/*===========================================================================*/
/*   (Llib/flac_decoder.scm)                                                 */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_decoder.scm -o objs/flac_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FLAC_DECODER_TYPE_DEFINITIONS
#define BGL___FLAC_DECODER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;


#endif // BGL___FLAC_DECODER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL int BGl_flaczd2debugzd2zz__flac_decoderz00(void);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00(void);
static obj_t BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
static bool_t BGl_musicbufzd2debugzd2zz__flac_decoderz00;
static obj_t BGl_genericzd2initzd2zz__flac_decoderz00(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__flac_decoderz00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__flac_decoderz00(obj_t);
static obj_t BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_decoderz00(void);
extern long BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_musicbufferz00zz__multimediazd2musicbufzd2;
static obj_t BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
static obj_t BGl_z62lambda1200z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1201z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1207z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1208z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1215z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1216z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62lambda1222z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1223z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31354ze3ze5zz__flac_decoderz00(obj_t, obj_t);
extern obj_t BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt, obj_t);
static obj_t BGl_z62lambda1230z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1231z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__flac_decoderz00(obj_t);
extern long BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1240z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1241z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_decoderz00(obj_t);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1326z62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT int bgl_debug(void);
static BgL_flacmusicdecoderz00_bglt BGl_z62lambda1338z62zz__flac_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1265z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1266z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_decoderz00(void);
extern obj_t BGl_flaczd2decoderzd2zz__flac_flacz00;
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00(void);
static BgL_flacdecz00_bglt BGl_z62lambda1191z62zz__flac_decoderz00(obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t bgl_custom_nil(void);
BGL_IMPORT obj_t BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, obj_t);
static obj_t BGl_z62lambda1361z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1362z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31376ze3ze5zz__flac_decoderz00(obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1374z62zz__flac_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1375z62zz__flac_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacdecz00zz__flac_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_za2debugzd2portza2zd2zz__flac_decoderz00;
BGL_EXPORTED_DECL int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long, char *, long, long);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00 = BUNSPEC;
static obj_t __cnst[ 18 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2031z00zz__flac_decoderz00, BgL_bgl_za762lambda1265za7622074z00, BGl_z62lambda1265z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2032z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2075za7, BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2033z00zz__flac_decoderz00, BgL_bgl_za762lambda1191za7622076z00, BGl_z62lambda1191z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2034z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2077za7, BGl_z62zc3z04anonymousza31363ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2035z00zz__flac_decoderz00, BgL_bgl_za762lambda1362za7622078z00, BGl_z62lambda1362z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2036z00zz__flac_decoderz00, BgL_bgl_za762lambda1361za7622079z00, BGl_z62lambda1361z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2043z00zz__flac_decoderz00, BgL_bgl_string2043za700za7za7_2080za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2037z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2081za7, BGl_z62zc3z04anonymousza31376ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2038z00zz__flac_decoderz00, BgL_bgl_za762lambda1375za7622082z00, BGl_z62lambda1375z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2045z00zz__flac_decoderz00, BgL_bgl_string2045za700za7za7_2083za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2039z00zz__flac_decoderz00, BgL_bgl_za762lambda1374za7622084z00, BGl_z62lambda1374z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2047z00zz__flac_decoderz00, BgL_bgl_string2047za700za7za7_2085za7, "flac-decoder-reset!", 19 );
DEFINE_STRING( BGl_string2049z00zz__flac_decoderz00, BgL_bgl_string2049za700za7za7_2086za7, "flac-decoder-write", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2040z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2087za7, BGl_z62zc3z04anonymousza31354ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2041z00zz__flac_decoderz00, BgL_bgl_za762lambda1338za7622088z00, BGl_z62lambda1338z62zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2042z00zz__flac_decoderz00, BgL_bgl_za762lambda1326za7622089z00, BGl_z62lambda1326z62zz__flac_decoderz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2044z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72090z00, BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2051z00zz__flac_decoderz00, BgL_bgl_string2051za700za7za7_2091za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2046z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2092z00, BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2053z00zz__flac_decoderz00, BgL_bgl_string2053za700za7za7_2093za7, "musicdecoder-position", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2048z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2094z00, BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00, 0L, BUNSPEC, 5 );
DEFINE_STRING( BGl_string2055z00zz__flac_decoderz00, BgL_bgl_string2055za700za7za7_2095za7, "musicdecoder-info", 17 );
DEFINE_STRING( BGl_string2057z00zz__flac_decoderz00, BgL_bgl_string2057za700za7za7_2096za7, "musicdecoder-volume-set!", 24 );
DEFINE_STRING( BGl_string2059z00zz__flac_decoderz00, BgL_bgl_string2059za700za7za7_2097za7, "musicdecoder-seek", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2050z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72098z00, BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2052z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72099z00, BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2054z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72100z00, BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2061z00zz__flac_decoderz00, BgL_bgl_string2061za700za7za7_2101za7, "flac-decoder-read", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2056z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72102z00, BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2063z00zz__flac_decoderz00, BgL_bgl_string2063za700za7za7_2103za7, "flac-decoder-tell", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2058z00zz__flac_decoderz00, BgL_bgl_za762musicdecoderza72104z00, BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2065z00zz__flac_decoderz00, BgL_bgl_string2065za700za7za7_2105za7, "flac-decoder-seek", 17 );
DEFINE_STRING( BGl_string2067z00zz__flac_decoderz00, BgL_bgl_string2067za700za7za7_2106za7, "flac-decoder-length", 19 );
DEFINE_STRING( BGl_string2068z00zz__flac_decoderz00, BgL_bgl_string2068za700za7za7_2107za7, "bcast, decode not full ", 23 );
DEFINE_STRING( BGl_string2069z00zz__flac_decoderz00, BgL_bgl_string2069za700za7za7_2108za7, ":", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2060z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2109z00, BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2062z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2110z00, BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2070z00zz__flac_decoderz00, BgL_bgl_string2070za700za7za7_2111za7, ",", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2064z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2112z00, BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2071z00zz__flac_decoderz00, BgL_bgl_string2071za700za7za7_2113za7, "__flac_decoder", 14 );
DEFINE_STRING( BGl_string2072z00zz__flac_decoderz00, BgL_bgl_string2072za700za7za7_2114za7, "(\"audio/flac\" \"application/x-flac\" \"audio/x-flac\") buffering play pause flacmusicdecoder %inseek %flac __flac_decoder flacdec %last-percentage %rate-min %rate-max int %rate %decoder %buffer obj %music ", 201 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2066z00zz__flac_decoderz00, BgL_bgl_za762flacza7d2decode2115z00, BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2checksumzd2debugzd2envzd2zz__flac_decoderz00, BgL_bgl_za762flacza7d2checks2116z00, BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00, 0L, BUNSPEC, 4 );
extern obj_t BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2debugzd2envz00zz__flac_decoderz00, BgL_bgl_za762flacza7d2debugza72117za7, BGl_z62flaczd2debugzb0zz__flac_decoderz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00;
DEFINE_STRING( BGl_string2005z00zz__flac_decoderz00, BgL_bgl_string2005za700za7za7_2118za7, "Llib/flac_decoder.scm", 21 );
DEFINE_STRING( BGl_string2006z00zz__flac_decoderz00, BgL_bgl_string2006za700za7za7_2119za7, "MUSICBUF_DEBUG", 14 );
DEFINE_STRING( BGl_string2007z00zz__flac_decoderz00, BgL_bgl_string2007za700za7za7_2120za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/flac/src/Llib/flac_decoder.scm", 86 );
DEFINE_STRING( BGl_string2008z00zz__flac_decoderz00, BgL_bgl_string2008za700za7za7_2121za7, "&flac-checksum-debug", 20 );
DEFINE_STRING( BGl_string2009z00zz__flac_decoderz00, BgL_bgl_string2009za700za7za7_2122za7, "bint", 4 );
DEFINE_STRING( BGl_string2010z00zz__flac_decoderz00, BgL_bgl_string2010za700za7za7_2123za7, "bstring", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2124za7, BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__flac_decoderz00, BgL_bgl_za762lambda1201za7622125z00, BGl_z62lambda1201z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__flac_decoderz00, BgL_bgl_za762lambda1200za7622126z00, BGl_z62lambda1200z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2127za7, BGl_z62zc3z04anonymousza31209ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__flac_decoderz00, BgL_bgl_za762lambda1208za7622128z00, BGl_z62lambda1208z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2016z00zz__flac_decoderz00, BgL_bgl_za762lambda1207za7622129z00, BGl_z62lambda1207z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2130za7, BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2018z00zz__flac_decoderz00, BgL_bgl_za762lambda1216za7622131z00, BGl_z62lambda1216z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__flac_decoderz00, BgL_bgl_za762lambda1215za7622132z00, BGl_z62lambda1215z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2020z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2133za7, BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2021z00zz__flac_decoderz00, BgL_bgl_za762lambda1223za7622134z00, BGl_z62lambda1223z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2022z00zz__flac_decoderz00, BgL_bgl_za762lambda1222za7622135z00, BGl_z62lambda1222z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2023z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2136za7, BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2024z00zz__flac_decoderz00, BgL_bgl_za762lambda1231za7622137z00, BGl_z62lambda1231z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2025z00zz__flac_decoderz00, BgL_bgl_za762lambda1230za7622138z00, BGl_z62lambda1230z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2026z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2139za7, BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2027z00zz__flac_decoderz00, BgL_bgl_za762lambda1241za7622140z00, BGl_z62lambda1241z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2028z00zz__flac_decoderz00, BgL_bgl_za762lambda1240za7622141z00, BGl_z62lambda1240z62zz__flac_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2029z00zz__flac_decoderz00, BgL_bgl_za762za7c3za704anonymo2142za7, BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2030z00zz__flac_decoderz00, BgL_bgl_za762lambda1266za7622143z00, BGl_z62lambda1266z62zz__flac_decoderz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacdecz00zz__flac_decoderz00) );
ADD_ROOT( (void *)(&BGl_flacmusicdecoderz00zz__flac_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long BgL_checksumz00_1049, char * BgL_fromz00_1050)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_cnstzd2initzd2zz__flac_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(); 
BGl_objectzd2initzd2zz__flac_decoderz00(); 
BGl_methodzd2initzd2zz__flac_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__customz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__flac_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__flac_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_cportz00_870;
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_stringz00_877;
BgL_stringz00_877 = BGl_string2072z00zz__flac_decoderz00; 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_startz00_878;
BgL_startz00_878 = 
BINT(0L); 
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_endz00_879;
BgL_endz00_879 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_877))); 
{ /* Llib/flac_decoder.scm 15 */

BgL_cportz00_870 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_877, BgL_startz00_878, BgL_endz00_879); } } } } 
{ 
 long BgL_iz00_871;
BgL_iz00_871 = 17L; 
BgL_loopz00_872:
if(
(BgL_iz00_871==(-1L)))
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_arg2073z00_873;
{ /* Llib/flac_decoder.scm 15 */

{ /* Llib/flac_decoder.scm 15 */
 obj_t BgL_locationz00_875;
BgL_locationz00_875 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_decoder.scm 15 */

BgL_arg2073z00_873 = 
BGl_readz00zz__readerz00(BgL_cportz00_870, BgL_locationz00_875); } } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_tmpz00_1087;
BgL_tmpz00_1087 = 
(int)(BgL_iz00_871); 
CNST_TABLE_SET(BgL_tmpz00_1087, BgL_arg2073z00_873); } } 
{ /* Llib/flac_decoder.scm 15 */
 int BgL_auxz00_876;
BgL_auxz00_876 = 
(int)(
(BgL_iz00_871-1L)); 
{ 
 long BgL_iz00_1092;
BgL_iz00_1092 = 
(long)(BgL_auxz00_876); 
BgL_iz00_871 = BgL_iz00_1092; 
goto BgL_loopz00_872;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string2005z00zz__flac_decoderz00)); 
{ /* Llib/flac_decoder.scm 64 */
 obj_t BgL_tmpz00_1097;
BgL_tmpz00_1097 = 
BGl_getenvz00zz__osz00(BGl_string2006z00zz__flac_decoderz00); 
BGl_musicbufzd2debugzd2zz__flac_decoderz00 = 
STRINGP(BgL_tmpz00_1097); } 
return ( 
BGl_za2debugzd2portza2zd2zz__flac_decoderz00 = ((bool_t)0), BUNSPEC) ;} 

}



/* flac-debug */
BGL_EXPORTED_DEF int BGl_flaczd2debugzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 53 */
if(
(0L>0L))
{ /* Llib/flac_decoder.scm 55 */
(long)(
bgl_debug()); }  else 
{ /* Llib/flac_decoder.scm 55 */0L; } 
return 
(int)(1L);} 

}



/* &flac-debug */
obj_t BGl_z62flaczd2debugzb0zz__flac_decoderz00(obj_t BgL_envz00_674)
{
{ /* Llib/flac_decoder.scm 53 */
return 
BINT(
BGl_flaczd2debugzd2zz__flac_decoderz00());} 

}



/* flac-checksum-debug */
BGL_EXPORTED_DEF int BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(long BgL_cz00_3, char * BgL_bufferz00_4, long BgL_iz00_5, long BgL_sz00_6)
{
{ /* Llib/flac_decoder.scm 69 */
{ 
 long BgL_nz00_486; long BgL_cz00_487;
{ /* Llib/flac_decoder.scm 70 */
 long BgL_tmpz00_1107;
BgL_nz00_486 = 0L; 
BgL_cz00_487 = BgL_cz00_3; 
BgL_loopz00_485:
if(
(BgL_nz00_486==BgL_sz00_6))
{ /* Llib/flac_decoder.scm 72 */
BgL_tmpz00_1107 = BgL_cz00_487
; }  else 
{ /* Llib/flac_decoder.scm 74 */
 long BgL_arg1160z00_491; long BgL_arg1162z00_492;
BgL_arg1160z00_491 = 
(BgL_nz00_486+1L); 
{ /* Llib/flac_decoder.scm 74 */
 char BgL_arg1163z00_494;
{ /* Llib/flac_decoder.scm 74 */
 long BgL_tmpz00_1111;
BgL_tmpz00_1111 = 
(BgL_iz00_5+BgL_nz00_486); 
BgL_arg1163z00_494 = 
BGL_FLAC_STRING_REF(BgL_bufferz00_4, BgL_tmpz00_1111); } 
BgL_arg1162z00_492 = 
(BgL_cz00_487 ^ 
(long)(BgL_arg1163z00_494)); } 
{ 
 long BgL_cz00_1117; long BgL_nz00_1116;
BgL_nz00_1116 = BgL_arg1160z00_491; 
BgL_cz00_1117 = BgL_arg1162z00_492; 
BgL_cz00_487 = BgL_cz00_1117; 
BgL_nz00_486 = BgL_nz00_1116; 
goto BgL_loopz00_485;} } 
return 
(int)(BgL_tmpz00_1107);} } } 

}



/* &flac-checksum-debug */
obj_t BGl_z62flaczd2checksumzd2debugz62zz__flac_decoderz00(obj_t BgL_envz00_675, obj_t BgL_cz00_676, obj_t BgL_bufferz00_677, obj_t BgL_iz00_678, obj_t BgL_sz00_679)
{
{ /* Llib/flac_decoder.scm 69 */
{ /* Llib/flac_decoder.scm 70 */
 int BgL_tmpz00_1119;
{ /* Llib/flac_decoder.scm 70 */
 long BgL_auxz00_1147; long BgL_auxz00_1138; char * BgL_auxz00_1129; long BgL_auxz00_1120;
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1148;
if(
INTEGERP(BgL_sz00_679))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1148 = BgL_sz00_679
; }  else 
{ 
 obj_t BgL_auxz00_1151;
BgL_auxz00_1151 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2007z00zz__flac_decoderz00, 
BINT(3046L), BGl_string2008z00zz__flac_decoderz00, BGl_string2009z00zz__flac_decoderz00, BgL_sz00_679); 
FAILURE(BgL_auxz00_1151,BFALSE,BFALSE);} 
BgL_auxz00_1147 = 
(long)CINT(BgL_tmpz00_1148); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1139;
if(
INTEGERP(BgL_iz00_678))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1139 = BgL_iz00_678
; }  else 
{ 
 obj_t BgL_auxz00_1142;
BgL_auxz00_1142 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2007z00zz__flac_decoderz00, 
BINT(3046L), BGl_string2008z00zz__flac_decoderz00, BGl_string2009z00zz__flac_decoderz00, BgL_iz00_678); 
FAILURE(BgL_auxz00_1142,BFALSE,BFALSE);} 
BgL_auxz00_1138 = 
(long)CINT(BgL_tmpz00_1139); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1130;
if(
STRINGP(BgL_bufferz00_677))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1130 = BgL_bufferz00_677
; }  else 
{ 
 obj_t BgL_auxz00_1133;
BgL_auxz00_1133 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2007z00zz__flac_decoderz00, 
BINT(3046L), BGl_string2008z00zz__flac_decoderz00, BGl_string2010z00zz__flac_decoderz00, BgL_bufferz00_677); 
FAILURE(BgL_auxz00_1133,BFALSE,BFALSE);} 
BgL_auxz00_1129 = 
BSTRING_TO_STRING(BgL_tmpz00_1130); } 
{ /* Llib/flac_decoder.scm 70 */
 obj_t BgL_tmpz00_1121;
if(
INTEGERP(BgL_cz00_676))
{ /* Llib/flac_decoder.scm 70 */
BgL_tmpz00_1121 = BgL_cz00_676
; }  else 
{ 
 obj_t BgL_auxz00_1124;
BgL_auxz00_1124 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2007z00zz__flac_decoderz00, 
BINT(3046L), BGl_string2008z00zz__flac_decoderz00, BGl_string2009z00zz__flac_decoderz00, BgL_cz00_676); 
FAILURE(BgL_auxz00_1124,BFALSE,BFALSE);} 
BgL_auxz00_1120 = 
(long)CINT(BgL_tmpz00_1121); } 
BgL_tmpz00_1119 = 
BGl_flaczd2checksumzd2debugz00zz__flac_decoderz00(BgL_auxz00_1120, BgL_auxz00_1129, BgL_auxz00_1138, BgL_auxz00_1147); } 
return 
BINT(BgL_tmpz00_1119);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1189z00_75; obj_t BgL_arg1190z00_76;
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1123z00_82;
BgL_v1123z00_82 = 
create_vector(7L); 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1196z00_83;
BgL_arg1196z00_83 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_proc2013z00zz__flac_decoderz00, BGl_proc2012z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2011z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1123z00_82,0L,BgL_arg1196z00_83); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1203z00_96;
BgL_arg1203z00_96 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), BGl_proc2016z00zz__flac_decoderz00, BGl_proc2015z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2014z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1123z00_82,1L,BgL_arg1203z00_96); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1210z00_109;
BgL_arg1210z00_109 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(3)), BGl_proc2019z00zz__flac_decoderz00, BGl_proc2018z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2017z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1123z00_82,2L,BgL_arg1210z00_109); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1218z00_122;
BgL_arg1218z00_122 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(4)), BGl_proc2022z00zz__flac_decoderz00, BGl_proc2021z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2020z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1123z00_82,3L,BgL_arg1218z00_122); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1225z00_135;
BgL_arg1225z00_135 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(6)), BGl_proc2025z00zz__flac_decoderz00, BGl_proc2024z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2023z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1123z00_82,4L,BgL_arg1225z00_135); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1233z00_148;
BgL_arg1233z00_148 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(7)), BGl_proc2028z00zz__flac_decoderz00, BGl_proc2027z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2026z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1123z00_82,5L,BgL_arg1233z00_148); } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_arg1243z00_161;
BgL_arg1243z00_161 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(8)), BGl_proc2031z00zz__flac_decoderz00, BGl_proc2030z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2029z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(5))); 
VECTOR_SET(BgL_v1123z00_82,6L,BgL_arg1243z00_161); } 
BgL_arg1189z00_75 = BgL_v1123z00_82; } 
{ /* Llib/flac_decoder.scm 28 */
 obj_t BgL_v1124z00_174;
BgL_v1124z00_174 = 
create_vector(0L); 
BgL_arg1190z00_76 = BgL_v1124z00_174; } 
BGl_flacdecz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_flaczd2decoderzd2zz__flac_flacz00, 58322L, BFALSE, BGl_proc2033z00zz__flac_decoderz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc2032z00zz__flac_decoderz00, BFALSE, BgL_arg1189z00_75, BgL_arg1190z00_76); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1286z00_180; obj_t BgL_arg1325z00_181;
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1125z00_204;
BgL_v1125z00_204 = 
create_vector(2L); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1355z00_205;
BgL_arg1355z00_205 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(11)), BGl_proc2036z00zz__flac_decoderz00, BGl_proc2035z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2034z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1125z00_204,0L,BgL_arg1355z00_205); } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_arg1364z00_218;
BgL_arg1364z00_218 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(12)), BGl_proc2039z00zz__flac_decoderz00, BGl_proc2038z00zz__flac_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2037z00zz__flac_decoderz00, 
((obj_t)
CNST_TABLE_REF(1))); 
VECTOR_SET(BgL_v1125z00_204,1L,BgL_arg1364z00_218); } 
BgL_arg1286z00_180 = BgL_v1125z00_204; } 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_v1126z00_231;
BgL_v1126z00_231 = 
create_vector(0L); 
BgL_arg1325z00_181 = BgL_v1126z00_231; } 
return ( 
BGl_flacmusicdecoderz00zz__flac_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(13)), 
((obj_t)
CNST_TABLE_REF(10)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, 48433L, BGl_proc2042z00zz__flac_decoderz00, BGl_proc2041z00zz__flac_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc2040z00zz__flac_decoderz00, BFALSE, BgL_arg1286z00_180, BgL_arg1325z00_181), BUNSPEC) ;} } 

}



/* &<@anonymous:1354> */
obj_t BGl_z62zc3z04anonymousza31354ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_712, obj_t BgL_new1090z00_713)
{
{ /* Llib/flac_decoder.scm 37 */
{ 
 BgL_flacmusicdecoderz00_bglt BgL_auxz00_1226;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713)))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713)))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1226 = 
((BgL_flacmusicdecoderz00_bglt)BgL_new1090z00_713); 
return 
((obj_t)BgL_auxz00_1226);} } 

}



/* &lambda1338 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1338z62zz__flac_decoderz00(obj_t BgL_envz00_714)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1089z00_882;
BgL_new1089z00_882 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1353z00_883;
BgL_arg1353z00_883 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_882), BgL_arg1353z00_883); } 
return BgL_new1089z00_882;} } 

}



/* &lambda1326 */
BgL_flacmusicdecoderz00_bglt BGl_z62lambda1326z62zz__flac_decoderz00(obj_t BgL_envz00_715, obj_t BgL_mimetypes1077z00_716, obj_t BgL_bufferzd2timezd2near1078z00_717, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1079z75_718, obj_t BgL_periodzd2siza7ezd2nearzd2rat1080z75_719, obj_t BgL_z52z12dpause1081z40_720, obj_t BgL_z52z12dabort1082z40_721, obj_t BgL_z52z12stop1083z40_722, obj_t BgL_z52dmutex1084z52_723, obj_t BgL_z52dcondv1085z52_724, obj_t BgL_z52doutcondv1086z52_725, obj_t BgL_z52flac1087z52_726, obj_t BgL_z52inseek1088z52_727)
{
{ /* Llib/flac_decoder.scm 37 */
{ /* Llib/flac_decoder.scm 37 */
 int BgL_bufferzd2timezd2near1078z00_885; int BgL_bufferzd2siza7ezd2nearzd2rat1079z75_886; int BgL_periodzd2siza7ezd2nearzd2rat1080z75_887; bool_t BgL_z52z12dpause1081z40_888; bool_t BgL_z52z12dabort1082z40_889; bool_t BgL_z52z12stop1083z40_890;
BgL_bufferzd2timezd2near1078z00_885 = 
CINT(BgL_bufferzd2timezd2near1078z00_717); 
BgL_bufferzd2siza7ezd2nearzd2rat1079z75_886 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1079z75_718); 
BgL_periodzd2siza7ezd2nearzd2rat1080z75_887 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1080z75_719); 
BgL_z52z12dpause1081z40_888 = 
CBOOL(BgL_z52z12dpause1081z40_720); 
BgL_z52z12dabort1082z40_889 = 
CBOOL(BgL_z52z12dabort1082z40_721); 
BgL_z52z12stop1083z40_890 = 
CBOOL(BgL_z52z12stop1083z40_722); 
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1120z00_894;
{ /* Llib/flac_decoder.scm 37 */
 BgL_flacmusicdecoderz00_bglt BgL_new1119z00_895;
BgL_new1119z00_895 = 
((BgL_flacmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacmusicdecoderz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 37 */
 long BgL_arg1337z00_896;
BgL_arg1337z00_896 = 
BGL_CLASS_NUM(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_895), BgL_arg1337z00_896); } 
BgL_new1120z00_894 = BgL_new1119z00_895; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1077z00_716)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1078z00_885),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1079z75_886),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1080z75_887),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1081z40_888),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1082z40_889),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1083z40_890),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1084z52_723)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1085z52_724)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1120z00_894)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1086z52_725)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1120z00_894))->BgL_z52flacz52)=((obj_t)BgL_z52flac1087z52_726),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_new1120z00_894))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1088z52_727),BUNSPEC); 
{ /* Llib/flac_decoder.scm 37 */
 obj_t BgL_fun1327z00_897;
BgL_fun1327z00_897 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacmusicdecoderz00zz__flac_decoderz00); 
BGL_PROCEDURE_CALL1(BgL_fun1327z00_897, 
((obj_t)BgL_new1120z00_894)); } 
return BgL_new1120z00_894;} } } 

}



/* &<@anonymous:1376> */
obj_t BGl_z62zc3z04anonymousza31376ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_728)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1375 */
obj_t BGl_z62lambda1375z62zz__flac_decoderz00(obj_t BgL_envz00_729, obj_t BgL_oz00_730, obj_t BgL_vz00_731)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_730)))->BgL_z52inseekz52)=((obj_t)BgL_vz00_731),BUNSPEC);} 

}



/* &lambda1374 */
obj_t BGl_z62lambda1374z62zz__flac_decoderz00(obj_t BgL_envz00_732, obj_t BgL_oz00_733)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_733)))->BgL_z52inseekz52);} 

}



/* &<@anonymous:1363> */
obj_t BGl_z62zc3z04anonymousza31363ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_734)
{
{ /* Llib/flac_decoder.scm 37 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1362 */
obj_t BGl_z62lambda1362z62zz__flac_decoderz00(obj_t BgL_envz00_735, obj_t BgL_oz00_736, obj_t BgL_vz00_737)
{
{ /* Llib/flac_decoder.scm 37 */
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_736)))->BgL_z52flacz52)=((obj_t)BgL_vz00_737),BUNSPEC);} 

}



/* &lambda1361 */
obj_t BGl_z62lambda1361z62zz__flac_decoderz00(obj_t BgL_envz00_738, obj_t BgL_oz00_739)
{
{ /* Llib/flac_decoder.scm 37 */
return 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_739)))->BgL_z52flacz52);} 

}



/* &<@anonymous:1194> */
obj_t BGl_z62zc3z04anonymousza31194ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_740, obj_t BgL_new1075z00_741)
{
{ /* Llib/flac_decoder.scm 28 */
{ 
 BgL_flacdecz00_bglt BgL_auxz00_1325;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_outbufz00)=((obj_t)BGl_string2043z00zz__flac_decoderz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52bchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_new1075z00_741))))->BgL_z52rchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52ratezd2maxz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52ratezd2minz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1075z00_741)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_1325 = 
((BgL_flacdecz00_bglt)BgL_new1075z00_741); 
return 
((obj_t)BgL_auxz00_1325);} } 

}



/* &lambda1191 */
BgL_flacdecz00_bglt BGl_z62lambda1191z62zz__flac_decoderz00(obj_t BgL_envz00_742)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 BgL_flacdecz00_bglt BgL_new1074z00_903;
BgL_new1074z00_903 = 
((BgL_flacdecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacdecz00_bgl) ))); 
{ /* Llib/flac_decoder.scm 28 */
 long BgL_arg1193z00_904;
BgL_arg1193z00_904 = 
BGL_CLASS_NUM(BGl_flacdecz00zz__flac_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_903), BgL_arg1193z00_904); } 
return BgL_new1074z00_903;} } 

}



/* &<@anonymous:1267> */
obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_743)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(0L);} 

}



/* &lambda1266 */
obj_t BGl_z62lambda1266z62zz__flac_decoderz00(obj_t BgL_envz00_744, obj_t BgL_oz00_745, obj_t BgL_vz00_746)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_906;
BgL_vz00_906 = 
CINT(BgL_vz00_746); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_745)))->BgL_z52lastzd2percentagez80)=((int)BgL_vz00_906),BUNSPEC);} } 

}



/* &lambda1265 */
obj_t BGl_z62lambda1265z62zz__flac_decoderz00(obj_t BgL_envz00_747, obj_t BgL_oz00_748)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_748)))->BgL_z52lastzd2percentagez80));} 

}



/* &<@anonymous:1242> */
obj_t BGl_z62zc3z04anonymousza31242ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_749)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(50L);} 

}



/* &lambda1241 */
obj_t BGl_z62lambda1241z62zz__flac_decoderz00(obj_t BgL_envz00_750, obj_t BgL_oz00_751, obj_t BgL_vz00_752)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_909;
BgL_vz00_909 = 
CINT(BgL_vz00_752); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_751)))->BgL_z52ratezd2minz80)=((int)BgL_vz00_909),BUNSPEC);} } 

}



/* &lambda1240 */
obj_t BGl_z62lambda1240z62zz__flac_decoderz00(obj_t BgL_envz00_753, obj_t BgL_oz00_754)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_754)))->BgL_z52ratezd2minz80));} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_755)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(80L);} 

}



/* &lambda1231 */
obj_t BGl_z62lambda1231z62zz__flac_decoderz00(obj_t BgL_envz00_756, obj_t BgL_oz00_757, obj_t BgL_vz00_758)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_912;
BgL_vz00_912 = 
CINT(BgL_vz00_758); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_757)))->BgL_z52ratezd2maxz80)=((int)BgL_vz00_912),BUNSPEC);} } 

}



/* &lambda1230 */
obj_t BGl_z62lambda1230z62zz__flac_decoderz00(obj_t BgL_envz00_759, obj_t BgL_oz00_760)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_760)))->BgL_z52ratezd2maxz80));} 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_761)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(80L);} 

}



/* &lambda1223 */
obj_t BGl_z62lambda1223z62zz__flac_decoderz00(obj_t BgL_envz00_762, obj_t BgL_oz00_763, obj_t BgL_vz00_764)
{
{ /* Llib/flac_decoder.scm 28 */
{ /* Llib/flac_decoder.scm 28 */
 int BgL_vz00_915;
BgL_vz00_915 = 
CINT(BgL_vz00_764); 
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_763)))->BgL_z52ratez52)=((int)BgL_vz00_915),BUNSPEC);} } 

}



/* &lambda1222 */
obj_t BGl_z62lambda1222z62zz__flac_decoderz00(obj_t BgL_envz00_765, obj_t BgL_oz00_766)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BINT(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_766)))->BgL_z52ratez52));} 

}



/* &<@anonymous:1217> */
obj_t BGl_z62zc3z04anonymousza31217ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_767)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1216 */
obj_t BGl_z62lambda1216z62zz__flac_decoderz00(obj_t BgL_envz00_768, obj_t BgL_oz00_769, obj_t BgL_vz00_770)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_769)))->BgL_z52decoderz52)=((obj_t)BgL_vz00_770),BUNSPEC);} 

}



/* &lambda1215 */
obj_t BGl_z62lambda1215z62zz__flac_decoderz00(obj_t BgL_envz00_771, obj_t BgL_oz00_772)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_772)))->BgL_z52decoderz52);} 

}



/* &<@anonymous:1209> */
obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_773)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1208 */
obj_t BGl_z62lambda1208z62zz__flac_decoderz00(obj_t BgL_envz00_774, obj_t BgL_oz00_775, obj_t BgL_vz00_776)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_775)))->BgL_z52bufferz52)=((obj_t)BgL_vz00_776),BUNSPEC);} 

}



/* &lambda1207 */
obj_t BGl_z62lambda1207z62zz__flac_decoderz00(obj_t BgL_envz00_777, obj_t BgL_oz00_778)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_778)))->BgL_z52bufferz52);} 

}



/* &<@anonymous:1202> */
obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_decoderz00(obj_t BgL_envz00_779)
{
{ /* Llib/flac_decoder.scm 28 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1201 */
obj_t BGl_z62lambda1201z62zz__flac_decoderz00(obj_t BgL_envz00_780, obj_t BgL_oz00_781, obj_t BgL_vz00_782)
{
{ /* Llib/flac_decoder.scm 28 */
return 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_781)))->BgL_z52musicz52)=((obj_t)BgL_vz00_782),BUNSPEC);} 

}



/* &lambda1200 */
obj_t BGl_z62lambda1200z62zz__flac_decoderz00(obj_t BgL_envz00_783, obj_t BgL_oz00_784)
{
{ /* Llib/flac_decoder.scm 28 */
return 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_784)))->BgL_z52musicz52);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2044z00zz__flac_decoderz00, BGl_string2045z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2046z00zz__flac_decoderz00, BGl_string2047z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2writezd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2048z00zz__flac_decoderz00, BGl_string2049z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2050z00zz__flac_decoderz00, BGl_string2051z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2052z00zz__flac_decoderz00, BGl_string2053z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2infozd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2054z00zz__flac_decoderz00, BGl_string2055z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2056z00zz__flac_decoderz00, BGl_string2057z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2seekzd2envz00zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00, BGl_proc2058z00zz__flac_decoderz00, BGl_string2059z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2readzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2060z00zz__flac_decoderz00, BGl_string2061z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2tellzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2062z00zz__flac_decoderz00, BGl_string2063z00zz__flac_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2seekzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2064z00zz__flac_decoderz00, BGl_string2065z00zz__flac_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2lengthzd2envzd2zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00, BGl_proc2066z00zz__flac_decoderz00, BGl_string2067z00zz__flac_decoderz00);} 

}



/* &flac-decoder-length-1150 */
obj_t BGl_z62flaczd2decoderzd2lengthzd21150zb0zz__flac_decoderz00(obj_t BgL_envz00_805, obj_t BgL_oz00_806)
{
{ /* Llib/flac_decoder.scm 280 */
{ /* Llib/flac_decoder.scm 282 */
 BgL_flacmusicdecoderz00_bglt BgL_i1117z00_924;
BgL_i1117z00_924 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_806)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 283 */
 BgL_flacdecz00_bglt BgL_i1118z00_925;
BgL_i1118z00_925 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1117z00_924))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 284 */
 obj_t BgL_arg1850z00_926;
BgL_arg1850z00_926 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1118z00_925))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2lengthzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1850z00_926));} } } } 

}



/* &flac-decoder-seek-fl1148 */
obj_t BGl_z62flaczd2decoderzd2seekzd2fl1148zb0zz__flac_decoderz00(obj_t BgL_envz00_807, obj_t BgL_oz00_808, obj_t BgL_offz00_809)
{
{ /* Llib/flac_decoder.scm 269 */
{ /* Llib/flac_decoder.scm 271 */
 BgL_flacmusicdecoderz00_bglt BgL_i1115z00_928;
BgL_i1115z00_928 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_808)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL_test2152z00_1447;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1849z00_929;
BgL_arg1849z00_929 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_808)))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_classz00_930;
BgL_classz00_930 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1849z00_929))
{ /* Llib/flac_decoder.scm 272 */
 BgL_objectz00_bglt BgL_arg1827z00_931;
BgL_arg1827z00_931 = 
(BgL_objectz00_bglt)(BgL_arg1849z00_929); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac_decoder.scm 272 */
 long BgL_idxz00_932;
BgL_idxz00_932 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_931); 
BgL_test2152z00_1447 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_932+1L))==BgL_classz00_930); }  else 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL_res1852z00_935;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_oclassz00_936;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1834z00_937; long BgL_arg1835z00_938;
BgL_arg1834z00_937 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac_decoder.scm 272 */
 long BgL_arg1836z00_939;
BgL_arg1836z00_939 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_931); 
BgL_arg1835z00_938 = 
(BgL_arg1836z00_939-OBJECT_TYPE); } 
BgL_oclassz00_936 = 
VECTOR_REF(BgL_arg1834z00_937,BgL_arg1835z00_938); } 
{ /* Llib/flac_decoder.scm 272 */
 bool_t BgL__ortest_1114z00_940;
BgL__ortest_1114z00_940 = 
(BgL_classz00_930==BgL_oclassz00_936); 
if(BgL__ortest_1114z00_940)
{ /* Llib/flac_decoder.scm 272 */
BgL_res1852z00_935 = BgL__ortest_1114z00_940; }  else 
{ /* Llib/flac_decoder.scm 272 */
 long BgL_odepthz00_941;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1824z00_942;
BgL_arg1824z00_942 = 
(BgL_oclassz00_936); 
BgL_odepthz00_941 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_942); } 
if(
(1L<BgL_odepthz00_941))
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1822z00_943;
{ /* Llib/flac_decoder.scm 272 */
 obj_t BgL_arg1823z00_944;
BgL_arg1823z00_944 = 
(BgL_oclassz00_936); 
BgL_arg1822z00_943 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_944, 1L); } 
BgL_res1852z00_935 = 
(BgL_arg1822z00_943==BgL_classz00_930); }  else 
{ /* Llib/flac_decoder.scm 272 */
BgL_res1852z00_935 = ((bool_t)0); } } } } 
BgL_test2152z00_1447 = BgL_res1852z00_935; } }  else 
{ /* Llib/flac_decoder.scm 272 */
BgL_test2152z00_1447 = ((bool_t)0)
; } } } 
if(BgL_test2152z00_1447)
{ /* Llib/flac_decoder.scm 272 */
{ /* Llib/flac_decoder.scm 273 */
 obj_t BgL_arg1848z00_945;
BgL_arg1848z00_945 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_808)))->BgL_z52bufferz52); 
BGl_musicbufferzd2seekzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1848z00_945), BgL_offz00_809); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1115z00_928))->BgL_z52inseekz52)=((obj_t)BFALSE),BUNSPEC); 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 272 */
return BFALSE;} } } } 

}



/* &flac-decoder-tell-fl1146 */
obj_t BGl_z62flaczd2decoderzd2tellzd2fl1146zb0zz__flac_decoderz00(obj_t BgL_envz00_810, obj_t BgL_oz00_811)
{
{ /* Llib/flac_decoder.scm 259 */
{ /* Llib/flac_decoder.scm 261 */
 BgL_flacmusicdecoderz00_bglt BgL_i1112z00_947;
BgL_i1112z00_947 = 
((BgL_flacmusicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_811)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 262 */
 BgL_flacdecz00_bglt BgL_i1113z00_948;
BgL_i1113z00_948 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(BgL_i1112z00_947))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL_test2157z00_1482;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1839z00_949;
BgL_arg1839z00_949 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1113z00_948))->BgL_z52bufferz52); 
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_classz00_950;
BgL_classz00_950 = BGl_musicbufferz00zz__multimediazd2musicbufzd2; 
if(
BGL_OBJECTP(BgL_arg1839z00_949))
{ /* Llib/flac_decoder.scm 263 */
 BgL_objectz00_bglt BgL_arg1827z00_951;
BgL_arg1827z00_951 = 
(BgL_objectz00_bglt)(BgL_arg1839z00_949); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/flac_decoder.scm 263 */
 long BgL_idxz00_952;
BgL_idxz00_952 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_951); 
BgL_test2157z00_1482 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_952+1L))==BgL_classz00_950); }  else 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL_res1851z00_955;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_oclassz00_956;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1834z00_957; long BgL_arg1835z00_958;
BgL_arg1834z00_957 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/flac_decoder.scm 263 */
 long BgL_arg1836z00_959;
BgL_arg1836z00_959 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_951); 
BgL_arg1835z00_958 = 
(BgL_arg1836z00_959-OBJECT_TYPE); } 
BgL_oclassz00_956 = 
VECTOR_REF(BgL_arg1834z00_957,BgL_arg1835z00_958); } 
{ /* Llib/flac_decoder.scm 263 */
 bool_t BgL__ortest_1114z00_960;
BgL__ortest_1114z00_960 = 
(BgL_classz00_950==BgL_oclassz00_956); 
if(BgL__ortest_1114z00_960)
{ /* Llib/flac_decoder.scm 263 */
BgL_res1851z00_955 = BgL__ortest_1114z00_960; }  else 
{ /* Llib/flac_decoder.scm 263 */
 long BgL_odepthz00_961;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1824z00_962;
BgL_arg1824z00_962 = 
(BgL_oclassz00_956); 
BgL_odepthz00_961 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_962); } 
if(
(1L<BgL_odepthz00_961))
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1822z00_963;
{ /* Llib/flac_decoder.scm 263 */
 obj_t BgL_arg1823z00_964;
BgL_arg1823z00_964 = 
(BgL_oclassz00_956); 
BgL_arg1822z00_963 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_964, 1L); } 
BgL_res1851z00_955 = 
(BgL_arg1822z00_963==BgL_classz00_950); }  else 
{ /* Llib/flac_decoder.scm 263 */
BgL_res1851z00_955 = ((bool_t)0); } } } } 
BgL_test2157z00_1482 = BgL_res1851z00_955; } }  else 
{ /* Llib/flac_decoder.scm 263 */
BgL_test2157z00_1482 = ((bool_t)0)
; } } } 
if(BgL_test2157z00_1482)
{ /* Llib/flac_decoder.scm 264 */
 obj_t BgL_arg1828z00_965;
BgL_arg1828z00_965 = 
(((BgL_flacdecz00_bglt)COBJECT(BgL_i1113z00_948))->BgL_z52bufferz52); 
return 
BGl_musicbufferzd2tellzd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1828z00_965));}  else 
{ /* Llib/flac_decoder.scm 263 */
return BFALSE;} } } } } 

}



/* &flac-decoder-read-fl1144 */
obj_t BGl_z62flaczd2decoderzd2readzd2fl1144zb0zz__flac_decoderz00(obj_t BgL_envz00_812, obj_t BgL_oz00_813, obj_t BgL_siza7eza7_814)
{
{ /* Llib/flac_decoder.scm 149 */
{ /* Llib/flac_decoder.scm 150 */
 long BgL_siza7eza7_967;
BgL_siza7eza7_967 = 
(long)CINT(BgL_siza7eza7_814); 
{ /* Llib/flac_decoder.scm 152 */
 BgL_musicdecoderz00_bglt BgL_i1104z00_968;
BgL_i1104z00_968 = 
((BgL_musicdecoderz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52decoderz52)); 
{ /* Llib/flac_decoder.scm 153 */
 BgL_musicbufferz00_bglt BgL_i1105z00_969;
BgL_i1105z00_969 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52bufferz52)); 
{ /* Llib/flac_decoder.scm 153 */
 long BgL_inlenz00_970;
BgL_inlenz00_970 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52inlenz52); 
{ /* Llib/flac_decoder.scm 161 */
 char * BgL_flacbufz00_971;
{ /* Llib/flac_decoder.scm 161 */
 obj_t BgL_arg1819z00_972;
BgL_arg1819z00_972 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_813))))->BgL_z52flacbufz52); 
BgL_flacbufz00_971 = 
CUSTOM_IDENTIFIER(BgL_arg1819z00_972); } 
{ 

{ 

{ 
 long BgL_siza7eza7_985;
{ 
 long BgL_siza7eza7_1000; long BgL_iz00_1001;
BgL_siza7eza7_1000 = BgL_siza7eza7_967; 
BgL_iz00_1001 = 0L; 
BgL_loopz00_999:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 208 */
{ /* Llib/flac_decoder.scm 209 */
 obj_t BgL_arg1445z00_1002;
BgL_arg1445z00_1002 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1445z00_1002), 
((obj_t)
CNST_TABLE_REF(14))); } 
{ /* Llib/flac_decoder.scm 211 */
 BgL_musicz00_bglt BgL_i1107z00_1003;
BgL_i1107z00_1003 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52)); 
{ /* Llib/flac_decoder.scm 212 */
 BgL_musicstatusz00_bglt BgL_i1108z00_1004;
BgL_i1108z00_1004 = 
(((BgL_musicz00_bglt)COBJECT(BgL_i1107z00_1003))->BgL_z52statusz52); 
{ 
 obj_t BgL_auxz00_1533;
{ /* Llib/flac_decoder.scm 214 */
 obj_t BgL_arg1446z00_1005; obj_t BgL_arg1482z00_1006;
BgL_arg1446z00_1005 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52decoderz52); 
BgL_arg1482z00_1006 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52bufferz52); 
BgL_auxz00_1533 = 
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)BgL_arg1446z00_1005), 
((BgL_musicbufferz00_bglt)BgL_arg1482z00_1006))); } 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1108z00_1004))->BgL_songposz00)=((obj_t)BgL_auxz00_1533),BUNSPEC); } } } 
{ /* Llib/flac_decoder.scm 215 */
 obj_t BgL_mutex1483z00_1007;
BgL_mutex1483z00_1007 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1483z00_1007); 
{ /* Llib/flac_decoder.scm 215 */
 bool_t BgL_tmp2163z00_1544;
{ 

BgL_liipz00_1008:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52z12dpausez40))
{ /* Llib/flac_decoder.scm 217 */
{ /* Llib/flac_decoder.scm 218 */
 obj_t BgL_arg1570z00_1009; obj_t BgL_arg1571z00_1010;
BgL_arg1570z00_1009 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52dcondvz52); 
BgL_arg1571z00_1010 = 
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52dmutexz52); 
{ /* Llib/flac_decoder.scm 218 */

BGL_CONDVAR_WAIT(BgL_arg1570z00_1009, BgL_arg1571z00_1010); } } 
goto BgL_liipz00_1008;}  else 
{ /* Llib/flac_decoder.scm 217 */
BgL_tmp2163z00_1544 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1483z00_1007); BgL_tmp2163z00_1544; } } 
{ /* Llib/flac_decoder.scm 220 */
 obj_t BgL_arg1578z00_1011;
BgL_arg1578z00_1011 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1578z00_1011), 
((obj_t)
CNST_TABLE_REF(15))); } 
{ 

goto BgL_loopz00_999;} }  else 
{ /* Llib/flac_decoder.scm 208 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 222 */
return 
BINT((-1L));}  else 
{ /* Llib/flac_decoder.scm 222 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 225 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 227 */
return BEOF;}  else 
{ /* Llib/flac_decoder.scm 227 */
{ /* Llib/flac_decoder.scm 230 */
 BgL_musicz00_bglt BgL_i1109z00_1012;
BgL_i1109z00_1012 = 
((BgL_musicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52)); 
{ 
 int BgL_auxz00_1568;
{ /* Llib/flac_decoder.scm 233 */
 long BgL_tmpz00_1570;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1788z00_974;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1792z00_975; BGL_LONGLONG_T BgL_arg1795z00_976;
{ /* Llib/flac_decoder.scm 166 */
 BGL_LONGLONG_T BgL_arg1796z00_977;
{ /* Llib/flac_decoder.scm 166 */
 long BgL_arg1799z00_978;
{ /* Llib/flac_decoder.scm 166 */
 obj_t BgL_arg1818z00_979;
BgL_arg1818z00_979 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52bufferz52); 
BgL_arg1799z00_978 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1818z00_979)); } 
BgL_arg1796z00_977 = 
LONG_TO_LLONG(BgL_arg1799z00_978); } 
BgL_arg1792z00_975 = 
(((BGL_LONGLONG_T)100)*BgL_arg1796z00_977); } 
BgL_arg1795z00_976 = 
LONG_TO_LLONG(BgL_inlenz00_970); 
BgL_arg1788z00_974 = 
(BgL_arg1792z00_975/BgL_arg1795z00_976); } 
BgL_tmpz00_1570 = 
LLONG_TO_LONG(BgL_arg1788z00_974); } 
BgL_auxz00_1568 = 
(int)(BgL_tmpz00_1570); } 
((((BgL_musicstatusz00_bglt)COBJECT(
(((BgL_musicz00_bglt)COBJECT(BgL_i1109z00_1012))->BgL_z52statusz52)))->BgL_bufferingz00)=((int)BgL_auxz00_1568),BUNSPEC); } } 
{ /* Llib/flac_decoder.scm 234 */
 obj_t BgL_arg1582z00_1013;
BgL_arg1582z00_1013 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1582z00_1013), 
((obj_t)
CNST_TABLE_REF(16))); } 
{ /* Llib/flac_decoder.scm 235 */
 obj_t BgL_mutex1583z00_1014;
BgL_mutex1583z00_1014 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 235 */
 obj_t BgL_top2169z00_1590;
BgL_top2169z00_1590 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1583z00_1014); 
BGL_EXITD_PUSH_PROTECT(BgL_top2169z00_1590, BgL_mutex1583z00_1014); BUNSPEC; 
{ /* Llib/flac_decoder.scm 235 */
 bool_t BgL_tmp2168z00_1589;
{ /* Llib/flac_decoder.scm 237 */
 bool_t BgL_test2170z00_1594;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 237 */
BgL_test2170z00_1594 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(BgL_i1104z00_968))->BgL_z52z12dabortz40))
{ /* Llib/flac_decoder.scm 237 */
BgL_test2170z00_1594 = ((bool_t)1)
; }  else 
{ /* Llib/flac_decoder.scm 237 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52emptyz52))
{ /* Llib/flac_decoder.scm 171 */
BgL_test2170z00_1594 = ((bool_t)0)
; }  else 
{ /* Llib/flac_decoder.scm 172 */
 long BgL_arg1778z00_981;
{ /* Llib/flac_decoder.scm 172 */
 long BgL_arg1784z00_982;
{ /* Llib/flac_decoder.scm 172 */
 obj_t BgL_arg1785z00_983;
BgL_arg1785z00_983 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52bufferz52); 
BgL_arg1784z00_982 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1785z00_983)); } 
BgL_arg1778z00_981 = 
(4L*BgL_arg1784z00_982); } 
BgL_test2170z00_1594 = 
(BgL_arg1778z00_981>BgL_inlenz00_970); } } } }  else 
{ /* Llib/flac_decoder.scm 237 */
BgL_test2170z00_1594 = ((bool_t)1)
; } 
if(BgL_test2170z00_1594)
{ /* Llib/flac_decoder.scm 237 */
BgL_tmp2168z00_1589 = ((bool_t)0); }  else 
{ /* Llib/flac_decoder.scm 241 */
 obj_t BgL_arg1596z00_1015; obj_t BgL_arg1597z00_1016;
BgL_arg1596z00_1015 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52bcondvz52); 
BgL_arg1597z00_1016 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 241 */

BgL_tmp2168z00_1589 = 
BGL_CONDVAR_WAIT(BgL_arg1596z00_1015, BgL_arg1597z00_1016); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2169z00_1590); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1583z00_1014); BgL_tmp2168z00_1589; } } } 
{ /* Llib/flac_decoder.scm 242 */
 obj_t BgL_arg1603z00_1017;
BgL_arg1603z00_1017 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52musicz52); 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_arg1603z00_1017), 
((obj_t)
CNST_TABLE_REF(15))); } 
{ 

goto BgL_loopz00_999;} } }  else 
{ /* Llib/flac_decoder.scm 245 */
 long BgL_sz00_1018;
{ /* Llib/flac_decoder.scm 245 */
 long BgL_bz00_1019;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52)))
{ /* Llib/flac_decoder.scm 246 */
BgL_bz00_1019 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52)); }  else 
{ /* Llib/flac_decoder.scm 246 */
BgL_bz00_1019 = 
(BgL_inlenz00_970-
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52)); } 
if(
(BgL_siza7eza7_1000<BgL_bz00_1019))
{ /* Llib/flac_decoder.scm 246 */
BgL_sz00_1018 = BgL_siza7eza7_1000; }  else 
{ /* Llib/flac_decoder.scm 246 */
BgL_sz00_1018 = BgL_bz00_1019; } } 
if(
(BgL_sz00_1018>0L))
{ /* Llib/flac_decoder.scm 249 */
{ /* Llib/flac_decoder.scm 250 */
 char * BgL_arg1610z00_1020; long BgL_arg1611z00_1021;
BgL_arg1610z00_1020 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52inbufpz52); 
BgL_arg1611z00_1021 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52); 
BGL_FLAC_BLIT_STRING(BgL_arg1610z00_1020, BgL_arg1611z00_1021, BgL_flacbufz00_971, BgL_iz00_1001, BgL_sz00_1018); BUNSPEC; } 
BgL_siza7eza7_985 = BgL_sz00_1018; 
{ /* Llib/flac_decoder.scm 176 */
 long BgL_ntailz00_986;
BgL_ntailz00_986 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52)+BgL_siza7eza7_985); 
if(
(BgL_ntailz00_986==BgL_inlenz00_970))
{ /* Llib/flac_decoder.scm 177 */
BgL_ntailz00_986 = 0L; }  else 
{ /* Llib/flac_decoder.scm 177 */BFALSE; } 
if(
(BgL_ntailz00_986==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52headz52)))
{ /* Llib/flac_decoder.scm 180 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))<80L))
{ /* Llib/flac_decoder.scm 181 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 181 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 180 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52tailz52)=((long)BgL_ntailz00_986),BUNSPEC); } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52eofz52))
{ /* Llib/flac_decoder.scm 185 */BFALSE; }  else 
{ /* Llib/flac_decoder.scm 188 */
 long BgL_availz00_987;
{ /* Llib/flac_decoder.scm 188 */
 obj_t BgL_arg1776z00_988;
BgL_arg1776z00_988 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52bufferz52); 
BgL_availz00_987 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_arg1776z00_988)); } 
{ /* Llib/flac_decoder.scm 188 */
 long BgL_pz00_989;
BgL_pz00_989 = 
(
(BgL_availz00_987*100L)/BgL_inlenz00_970); 
{ /* Llib/flac_decoder.scm 189 */

if(
(BgL_pz00_989<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))))
{ /* Llib/flac_decoder.scm 191 */
{ /* Llib/flac_decoder.scm 193 */
 obj_t BgL_mutex1713z00_990;
BgL_mutex1713z00_990 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52bmutexz52); 
{ /* Llib/flac_decoder.scm 193 */
 obj_t BgL_top2184z00_1668;
BgL_top2184z00_1668 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1713z00_990); 
BGL_EXITD_PUSH_PROTECT(BgL_top2184z00_1668, BgL_mutex1713z00_990); BUNSPEC; 
{ /* Llib/flac_decoder.scm 193 */
 bool_t BgL_tmp2183z00_1667;
if(BGl_musicbufzd2debugzd2zz__flac_decoderz00)
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1716z00_991; obj_t BgL_arg1722z00_992;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_tmpz00_1673;
BgL_tmpz00_1673 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1716z00_991 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1673); } 
BgL_arg1722z00_992 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_urlz00); 
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_list1723z00_993;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1724z00_994;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1731z00_995;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1732z00_996;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1737z00_997;
{ /* Llib/flac_decoder.scm 195 */
 obj_t BgL_arg1738z00_998;
BgL_arg1738z00_998 = 
MAKE_YOUNG_PAIR(BgL_arg1722z00_992, BNIL); 
BgL_arg1737z00_997 = 
MAKE_YOUNG_PAIR(BGl_string2068z00zz__flac_decoderz00, BgL_arg1738z00_998); } 
BgL_arg1732z00_996 = 
MAKE_YOUNG_PAIR(BGl_string2069z00zz__flac_decoderz00, BgL_arg1737z00_997); } 
BgL_arg1731z00_995 = 
MAKE_YOUNG_PAIR(
BINT(195L), BgL_arg1732z00_996); } 
BgL_arg1724z00_994 = 
MAKE_YOUNG_PAIR(BGl_string2070z00zz__flac_decoderz00, BgL_arg1731z00_995); } 
BgL_list1723z00_993 = 
MAKE_YOUNG_PAIR(BGl_string2005z00zz__flac_decoderz00, BgL_arg1724z00_994); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1716z00_991, BgL_list1723z00_993); } }  else 
{ /* Llib/flac_decoder.scm 194 */BFALSE; } 
{ /* Llib/flac_decoder.scm 196 */
 obj_t BgL_tmpz00_1685;
BgL_tmpz00_1685 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1105z00_969))->BgL_z52bcondvz52); 
BgL_tmp2183z00_1667 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1685); } 
BGL_EXITD_POP_PROTECT(BgL_top2184z00_1668); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1713z00_990); BgL_tmp2183z00_1667; } } } 
{ /* Llib/flac_decoder.scm 197 */
 bool_t BgL_test2186z00_1690;
if(
(BgL_pz00_989<=
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52lastzd2percentagez80))))
{ /* Llib/flac_decoder.scm 197 */
BgL_test2186z00_1690 = 
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))<
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratezd2maxz80)))
; }  else 
{ /* Llib/flac_decoder.scm 197 */
BgL_test2186z00_1690 = ((bool_t)0)
; } 
if(BgL_test2186z00_1690)
{ /* Llib/flac_decoder.scm 197 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))+10L))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 197 */BFALSE; } } }  else 
{ /* Llib/flac_decoder.scm 191 */
if(
(BgL_pz00_989>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 199 */
if(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))>
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratezd2minz80))))
{ /* Llib/flac_decoder.scm 200 */
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52)=((int)
(int)(
(
(long)(
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52ratez52))-1L))),BUNSPEC); }  else 
{ /* Llib/flac_decoder.scm 200 */BFALSE; } }  else 
{ /* Llib/flac_decoder.scm 199 */BFALSE; } } 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_813)))->BgL_z52lastzd2percentagez80)=((int)
(int)(BgL_pz00_989)),BUNSPEC); BUNSPEC; } } } }  else 
{ /* Llib/flac_decoder.scm 249 */BFALSE; } 
if(
(BgL_sz00_1018<BgL_siza7eza7_1000))
{ 
 long BgL_iz00_1737; long BgL_siza7eza7_1735;
BgL_siza7eza7_1735 = 
(BgL_siza7eza7_1000-BgL_sz00_1018); 
BgL_iz00_1737 = 
(BgL_iz00_1001+BgL_sz00_1018); 
BgL_iz00_1001 = BgL_iz00_1737; 
BgL_siza7eza7_1000 = BgL_siza7eza7_1735; 
goto BgL_loopz00_999;}  else 
{ /* Llib/flac_decoder.scm 252 */
return 
BINT(
(BgL_iz00_1001+BgL_sz00_1018));} } } } } } } } } } } } } } 

}



/* &musicdecoder-seek-fl1142 */
obj_t BGl_z62musicdecoderzd2seekzd2fl1142z62zz__flac_decoderz00(obj_t BgL_envz00_815, obj_t BgL_oz00_816, obj_t BgL_secz00_817)
{
{ /* Llib/flac_decoder.scm 136 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_816)))->BgL_z52inseekz52)))
{ /* Llib/flac_decoder.scm 138 */
return BFALSE;}  else 
{ /* Llib/flac_decoder.scm 138 */
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_816)))->BgL_z52inseekz52)=((obj_t)BTRUE),BUNSPEC); 
{ /* Llib/flac_decoder.scm 140 */
 BgL_flacdecz00_bglt BgL_i1102z00_1023;
BgL_i1102z00_1023 = 
((BgL_flacdecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_816)))->BgL_z52flacz52)); 
{ /* Llib/flac_decoder.scm 141 */
 unsigned long BgL_bpsz00_1024;
{ /* Llib/flac_decoder.scm 141 */
 FLAC__StreamDecoder * BgL_arg1411z00_1025;
BgL_arg1411z00_1025 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1023)))->BgL_z42builtinz42); 
BgL_bpsz00_1024 = 
FLAC__stream_decoder_get_bits_per_sample(BgL_arg1411z00_1025); } 
{ /* Llib/flac_decoder.scm 141 */
 unsigned long BgL_sratez00_1026;
{ /* Llib/flac_decoder.scm 142 */
 FLAC__StreamDecoder * BgL_arg1410z00_1027;
BgL_arg1410z00_1027 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1023)))->BgL_z42builtinz42); 
BgL_sratez00_1026 = 
FLAC__stream_decoder_get_sample_rate(BgL_arg1410z00_1027); } 
{ /* Llib/flac_decoder.scm 142 */
 BGL_LONGLONG_T BgL_offz00_1028;
{ /* Llib/flac_decoder.scm 143 */
 BGL_LONGLONG_T BgL_arg1406z00_1029; BGL_LONGLONG_T BgL_arg1409z00_1030;
{ /* Llib/flac_decoder.scm 143 */
 long BgL_tmpz00_1756;
BgL_tmpz00_1756 = 
(long)(BgL_sratez00_1026); 
BgL_arg1406z00_1029 = 
LONG_TO_LLONG(BgL_tmpz00_1756); } 
{ /* Llib/flac_decoder.scm 143 */
 long BgL_tmpz00_1759;
BgL_tmpz00_1759 = 
(long)CINT(BgL_secz00_817); 
BgL_arg1409z00_1030 = 
LONG_TO_LLONG(BgL_tmpz00_1759); } 
BgL_offz00_1028 = 
(BgL_arg1406z00_1029*BgL_arg1409z00_1030); } 
{ /* Llib/flac_decoder.scm 143 */

{ /* Llib/flac_decoder.scm 144 */
 FLAC__StreamDecoder * BgL_arg1402z00_1031;
BgL_arg1402z00_1031 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_i1102z00_1023)))->BgL_z42builtinz42); 
{ /* Llib/flac_decoder.scm 144 */
 long BgL_tmpz00_1765;
{ /* Llib/flac_decoder.scm 144 */
 unsigned BGL_LONGLONG_T BgL_tmpz00_1766;
BgL_tmpz00_1766 = 
(unsigned BGL_LONGLONG_T)(BgL_offz00_1028); 
BgL_tmpz00_1765 = 
FLAC__stream_decoder_seek_absolute(BgL_arg1402z00_1031, BgL_tmpz00_1766); } 
return 
BINT(BgL_tmpz00_1765);} } } } } } } } } 

}



/* &musicdecoder-volume-1140 */
obj_t BGl_z62musicdecoderzd2volumezd21140z62zz__flac_decoderz00(obj_t BgL_envz00_818, obj_t BgL_oz00_819, obj_t BgL_volz00_820)
{
{ /* Llib/flac_decoder.scm 129 */
{ /* Llib/flac_decoder.scm 131 */
 obj_t BgL_arg1398z00_1033;
BgL_arg1398z00_1033 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_819)))->BgL_z52flacz52); 
return 
BGl_flaczd2volumezd2setz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1398z00_1033), BgL_volz00_820);} } 

}



/* &musicdecoder-info-fl1138 */
obj_t BGl_z62musicdecoderzd2infozd2fl1138z62zz__flac_decoderz00(obj_t BgL_envz00_821, obj_t BgL_oz00_822)
{
{ /* Llib/flac_decoder.scm 122 */
{ /* Llib/flac_decoder.scm 123 */
 long BgL_tmpz00_1774;
{ /* Llib/flac_decoder.scm 124 */
 obj_t BgL_arg1397z00_1035;
BgL_arg1397z00_1035 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_822)))->BgL_z52flacz52); 
BgL_tmpz00_1774 = 
BGl_flaczd2decoderzd2infoz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1397z00_1035)); } 
return 
BINT(BgL_tmpz00_1774);} } 

}



/* &musicdecoder-positio1136 */
obj_t BGl_z62musicdecoderzd2positio1136zb0zz__flac_decoderz00(obj_t BgL_envz00_823, obj_t BgL_oz00_824, obj_t BgL_abufz00_825)
{
{ /* Llib/flac_decoder.scm 115 */
{ /* Llib/flac_decoder.scm 116 */
 long BgL_tmpz00_1780;
{ /* Llib/flac_decoder.scm 117 */
 obj_t BgL_arg1396z00_1037;
BgL_arg1396z00_1037 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_824)))->BgL_z52flacz52); 
BgL_tmpz00_1780 = 
BGl_flaczd2decoderzd2positionz00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1396z00_1037)); } 
return 
BINT(BgL_tmpz00_1780);} } 

}



/* &musicdecoder-reset!-1134 */
obj_t BGl_z62musicdecoderzd2resetz12zd21134z70zz__flac_decoderz00(obj_t BgL_envz00_826, obj_t BgL_oz00_827)
{
{ /* Llib/flac_decoder.scm 107 */
{ 

{ /* Llib/flac_decoder.scm 109 */
 obj_t BgL_arg1386z00_1041;
BgL_arg1386z00_1041 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_827)))->BgL_z52flacz52); 
BGl_flaczd2decoderzd2resetz12z12zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1386z00_1041)); } 
{ /* Llib/flac_decoder.scm 107 */
 obj_t BgL_nextzd2method1133zd2_1040;
BgL_nextzd2method1133zd2_1040 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_827)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_flacmusicdecoderz00zz__flac_decoderz00); 
return 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1133zd2_1040, 
((obj_t)
((BgL_flacmusicdecoderz00_bglt)BgL_oz00_827)));} } } 

}



/* &flac-decoder-write-f1132 */
obj_t BGl_z62flaczd2decoderzd2writezd2f1132zb0zz__flac_decoderz00(obj_t BgL_envz00_828, obj_t BgL_oz00_829, obj_t BgL_siza7eza7_830, obj_t BgL_ratez00_831, obj_t BgL_channelsz00_832, obj_t BgL_bpsz00_833)
{
{ /* Llib/flac_decoder.scm 98 */
if(
(
(long)CINT(BgL_siza7eza7_830)>0L))
{ /* Llib/flac_decoder.scm 100 */
{ /* Llib/flac_decoder.scm 101 */
 obj_t BgL_arg1384z00_1043; obj_t BgL_arg1385z00_1044;
BgL_arg1384z00_1043 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_829)))->BgL_z52musicz52); 
BgL_arg1385z00_1044 = 
(((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_829))))->BgL_outbufz00); 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufz00_bglt)BgL_arg1384z00_1043), BgL_arg1385z00_1044, 
(long)CINT(BgL_siza7eza7_830)); } 
return BTRUE;}  else 
{ /* Llib/flac_decoder.scm 100 */
return BFALSE;} } 

}



/* &flac-decoder-reset!-1130 */
obj_t BGl_z62flaczd2decoderzd2resetz12zd21130za2zz__flac_decoderz00(obj_t BgL_envz00_834, obj_t BgL_oz00_835)
{
{ /* Llib/flac_decoder.scm 87 */
{ 

((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_835)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_oz00_835)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_835))))->BgL_z52bchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_835))))->BgL_z52rchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
{ /* Llib/flac_decoder.scm 87 */
 obj_t BgL_nextzd2method1129zd2_1047;
BgL_nextzd2method1129zd2_1047 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flacdecz00_bglt)BgL_oz00_835)), BGl_flaczd2decoderzd2resetz12zd2envzc0zz__flac_flacz00, BGl_flacdecz00zz__flac_decoderz00); 
return 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1129zd2_1047, 
((obj_t)
((BgL_flacdecz00_bglt)BgL_oz00_835)));} } } 

}



/* &musicdecoder-init-fl1128 */
obj_t BGl_z62musicdecoderzd2initzd2fl1128z62zz__flac_decoderz00(obj_t BgL_envz00_836, obj_t BgL_decz00_837)
{
{ /* Llib/flac_decoder.scm 79 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_837))))->BgL_mimetypesz00)))
{ /* Llib/flac_decoder.scm 81 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_837))))->BgL_mimetypesz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(17))),BUNSPEC);}  else 
{ /* Llib/flac_decoder.scm 81 */
return BFALSE;} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_decoderz00(void)
{
{ /* Llib/flac_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__flac_flacz00(107017853L, 
BSTRING_TO_STRING(BGl_string2071z00zz__flac_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
