/*===========================================================================*/
/*   (Llib/flac_padec.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi flac -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/flac_padec.scm -o objs/flac_padec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <pulse/error.h>
#include <FLAC/stream_decoder.h>
#include <bglflac.h>
#include <pulse/simple.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___FLAC_PADEC_TYPE_DEFINITIONS
#define BGL___FLAC_PADEC_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_pulseaudiozd2simplezd2_bgl {
   header_t header;
   obj_t widening;
   pa_simple * BgL_z42builtinz42;
   obj_t BgL_srvnamez00;
   obj_t BgL_namez00;
   obj_t BgL_streamz00;
   long BgL_ratez00;
   long BgL_channelsz00;
   int BgL_bpsz00;
   obj_t BgL_formatz00;
} *BgL_pulseaudiozd2simplezd2_bglt;

typedef struct BgL_pulseaudiomusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_pulseaudiozd2simplezd2_bgl * BgL_simplez00;
   obj_t BgL_namez00;
} *BgL_pulseaudiomusicz00_bglt;

typedef struct BgL_flaczd2decoderzd2_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
} *BgL_flaczd2decoderzd2_bglt;

typedef struct BgL_flacdecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacdecz00_bglt;

typedef struct BgL_flacmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flacmusicdecoderz00_bglt;

typedef struct BgL_flacpadecz00_bgl {
   header_t header;
   obj_t widening;
   FLAC__StreamDecoder * BgL_z42builtinz42;
   obj_t BgL_z52flacbufz52;
   obj_t BgL_outbufz00;
   bool_t BgL_z52eofz52;
   long BgL_z52samplez52;
   double BgL_z52volumez52;
   bool_t BgL_md5checkz00;
   int BgL_z52bchecksumz52;
   int BgL_z52rchecksumz52;
   obj_t BgL_z52musicz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52decoderz52;
   int BgL_z52ratez52;
   int BgL_z52ratezd2maxz80;
   int BgL_z52ratezd2minz80;
   int BgL_z52lastzd2percentagez80;
} *BgL_flacpadecz00_bglt;

typedef struct BgL_flaczd2pulseaudiodecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_z52flacz52;
   obj_t BgL_z52inseekz52;
} *BgL_flaczd2pulseaudiodecoderzd2_bglt;


#endif // BGL___FLAC_PADEC_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_IMPORT obj_t BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00;
static obj_t BGl_z62musicdecoderzd2decodezd21143z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__flac_padecz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_padecz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__flac_padecz00(void);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_objectzd2initzd2zz__flac_padecz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(BgL_pulseaudiomusicz00_bglt, BgL_pulseaudiozd2simplezd2_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_z62zc3z04anonymousza31163ze3ze5zz__flac_padecz00(obj_t, obj_t);
static obj_t BGl_z62flaczd2decoderzd2metadat1145z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2initzd2fl1141z62zz__flac_padecz00(obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_EXPORTED_DEF obj_t BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_padecz00(obj_t, obj_t);
static BgL_flacpadecz00_bglt BGl_z62lambda1156z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__flac_flacz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__customz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
static BgL_flacpadecz00_bglt BGl_z62lambda1161z62zz__flac_padecz00(obj_t);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1169z62zz__flac_padecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_musicdecoderzd2decodezd21143ze70ze7zz__flac_padecz00(BgL_flaczd2pulseaudiodecoderzd2_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt);
static BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1172z62zz__flac_padecz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__flac_padecz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00(void);
BGL_IMPORT obj_t bgl_custom_nil(void);
BGL_IMPORT int bgl_pulseaudio_error(char *, char *, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_flacpadecz00zz__flac_padecz00 = BUNSPEC;
extern obj_t BGl_flacdecz00zz__flac_decoderz00;
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(BgL_flaczd2decoderzd2_bglt);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_flacmusicdecoderz00zz__flac_decoderz00;
static obj_t __cnst[ 6 ] ;


DEFINE_STRING( BGl_string1231z00zz__flac_padecz00, BgL_bgl_string1231za700za7za7_1244za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1225z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1245za7, BGl_z62zc3z04anonymousza31163ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1226z00zz__flac_padecz00, BgL_bgl_za762lambda1161za7621246z00, BGl_z62lambda1161z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1233z00zz__flac_padecz00, BgL_bgl_string1233za700za7za7_1247za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1227z00zz__flac_padecz00, BgL_bgl_za762lambda1156za7621248z00, BGl_z62lambda1156z62zz__flac_padecz00, 0L, BUNSPEC, 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1228z00zz__flac_padecz00, BgL_bgl_za762za7c3za704anonymo1249za7, BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1235z00zz__flac_padecz00, BgL_bgl_string1235za700za7za7_1250za7, "musicdecoder-decode", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1229z00zz__flac_padecz00, BgL_bgl_za762lambda1172za7621251z00, BGl_z62lambda1172z62zz__flac_padecz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1237z00zz__flac_padecz00, BgL_bgl_string1237za700za7za7_1252za7, "flac-decoder-metadata", 21 );
DEFINE_STRING( BGl_string1238z00zz__flac_padecz00, BgL_bgl_string1238za700za7za7_1253za7, "pulseaudio-simple-flush", 23 );
DEFINE_STRING( BGl_string1239z00zz__flac_padecz00, BgL_bgl_string1239za700za7za7_1254za7, "__flac_padec", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1230z00zz__flac_padecz00, BgL_bgl_za762lambda1169za7621255z00, BGl_z62lambda1169z62zz__flac_padecz00, 0L, BUNSPEC, 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1232z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71256z00, BGl_z62musicdecoderzd2initzd2fl1141z62zz__flac_padecz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1240z00zz__flac_padecz00, BgL_bgl_string1240za700za7za7_1257za7, "stop ended s16 flac-pulseaudiodecoder __flac_padec flacpadec ", 61 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1234z00zz__flac_padecz00, BgL_bgl_za762musicdecoderza71258z00, BGl_z62musicdecoderzd2decodezd21143z62zz__flac_padecz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1236z00zz__flac_padecz00, BgL_bgl_za762flacza7d2decode1259z00, BGl_z62flaczd2decoderzd2metadat1145z62zz__flac_padecz00, 0L, BUNSPEC, 5 );
BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
extern obj_t BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00;
extern obj_t BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1224z00zz__flac_padecz00, BgL_bgl_string1224za700za7za7_1260za7, "Llib/flac_padec.scm", 19 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00) );
ADD_ROOT( (void *)(&BGl_flacpadecz00zz__flac_padecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__flac_padecz00(long BgL_checksumz00_366, char * BgL_fromz00_367)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__flac_padecz00))
{ 
BGl_requirezd2initializa7ationz75zz__flac_padecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__flac_padecz00(); 
BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_cnstzd2initzd2zz__flac_padecz00(); 
BGl_importedzd2moduleszd2initz00zz__flac_padecz00(); 
BGl_objectzd2initzd2zz__flac_padecz00(); 
BGl_methodzd2initzd2zz__flac_padecz00(); 
return 
BGl_toplevelzd2initzd2zz__flac_padecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_simplez00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_musicz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__flac_padec"); 
BGl_modulezd2initializa7ationz75zz__customz00(0L, "__flac_padec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_cportz00_286;
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_stringz00_293;
BgL_stringz00_293 = BGl_string1240z00zz__flac_padecz00; 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_startz00_294;
BgL_startz00_294 = 
BINT(0L); 
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_endz00_295;
BgL_endz00_295 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_293))); 
{ /* Llib/flac_padec.scm 15 */

BgL_cportz00_286 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_293, BgL_startz00_294, BgL_endz00_295); } } } } 
{ 
 long BgL_iz00_287;
BgL_iz00_287 = 5L; 
BgL_loopz00_288:
if(
(BgL_iz00_287==(-1L)))
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_arg1243z00_289;
{ /* Llib/flac_padec.scm 15 */

{ /* Llib/flac_padec.scm 15 */
 obj_t BgL_locationz00_291;
BgL_locationz00_291 = 
BBOOL(((bool_t)0)); 
{ /* Llib/flac_padec.scm 15 */

BgL_arg1243z00_289 = 
BGl_readz00zz__readerz00(BgL_cportz00_286, BgL_locationz00_291); } } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_tmpz00_402;
BgL_tmpz00_402 = 
(int)(BgL_iz00_287); 
CNST_TABLE_SET(BgL_tmpz00_402, BgL_arg1243z00_289); } } 
{ /* Llib/flac_padec.scm 15 */
 int BgL_auxz00_292;
BgL_auxz00_292 = 
(int)(
(BgL_iz00_287-1L)); 
{ 
 long BgL_iz00_407;
BgL_iz00_407 = 
(long)(BgL_auxz00_292); 
BgL_iz00_287 = BgL_iz00_407; 
goto BgL_loopz00_288;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__pulseaudio_pulseaudioz00(0L, 
BSTRING_TO_STRING(BGl_string1224z00zz__flac_padecz00)); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1224z00zz__flac_padecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_arg1154z00_24; obj_t BgL_arg1155z00_25;
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1136z00_52;
BgL_v1136z00_52 = 
create_vector(0L); 
BgL_arg1154z00_24 = BgL_v1136z00_52; } 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_v1137z00_53;
BgL_v1137z00_53 = 
create_vector(0L); 
BgL_arg1155z00_25 = BgL_v1137z00_53; } 
BGl_flacpadecz00zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(0)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_flacdecz00zz__flac_decoderz00, 11770L, BGl_proc1227z00zz__flac_padecz00, BGl_proc1226z00zz__flac_padecz00, BGl_flaczd2decoderzd2initzd2envzd2zz__flac_flacz00, BGl_proc1225z00zz__flac_padecz00, BFALSE, BgL_arg1154z00_24, BgL_arg1155z00_25); } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_arg1167z00_60; obj_t BgL_arg1168z00_61;
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1138z00_84;
BgL_v1138z00_84 = 
create_vector(0L); 
BgL_arg1167z00_60 = BgL_v1138z00_84; } 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_v1139z00_85;
BgL_v1139z00_85 = 
create_vector(0L); 
BgL_arg1168z00_61 = BgL_v1139z00_85; } 
return ( 
BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(2)), 
((obj_t)
CNST_TABLE_REF(1)), BGl_flacmusicdecoderz00zz__flac_decoderz00, 38574L, BGl_proc1230z00zz__flac_padecz00, BGl_proc1229z00zz__flac_padecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1228z00zz__flac_padecz00, BFALSE, BgL_arg1167z00_60, BgL_arg1168z00_61), BUNSPEC) ;} } 

}



/* &<@anonymous:1176> */
obj_t BGl_z62zc3z04anonymousza31176ze3ze5zz__flac_padecz00(obj_t BgL_envz00_216, obj_t BgL_new1112z00_217)
{
{ /* Llib/flac_padec.scm 35 */
{ 
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_auxz00_428;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52flacz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217))))->BgL_z52inseekz52)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_428 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_new1112z00_217); 
return 
((obj_t)BgL_auxz00_428);} } 

}



/* &lambda1172 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1172z62zz__flac_padecz00(obj_t BgL_envz00_218)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1111z00_298;
BgL_new1111z00_298 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1175z00_299;
BgL_arg1175z00_299 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_298), BgL_arg1175z00_299); } 
return BgL_new1111z00_298;} } 

}



/* &lambda1169 */
BgL_flaczd2pulseaudiodecoderzd2_bglt BGl_z62lambda1169z62zz__flac_padecz00(obj_t BgL_envz00_219, obj_t BgL_mimetypes1099z00_220, obj_t BgL_bufferzd2timezd2near1100z00_221, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1101z75_222, obj_t BgL_periodzd2siza7ezd2nearzd2rat1102z75_223, obj_t BgL_z52z12dpause1103z40_224, obj_t BgL_z52z12dabort1104z40_225, obj_t BgL_z52z12stop1105z40_226, obj_t BgL_z52dmutex1106z52_227, obj_t BgL_z52dcondv1107z52_228, obj_t BgL_z52doutcondv1108z52_229, obj_t BgL_z52flac1109z52_230, obj_t BgL_z52inseek1110z52_231)
{
{ /* Llib/flac_padec.scm 35 */
{ /* Llib/flac_padec.scm 35 */
 int BgL_bufferzd2timezd2near1100z00_301; int BgL_bufferzd2siza7ezd2nearzd2rat1101z75_302; int BgL_periodzd2siza7ezd2nearzd2rat1102z75_303; bool_t BgL_z52z12dpause1103z40_304; bool_t BgL_z52z12dabort1104z40_305; bool_t BgL_z52z12stop1105z40_306;
BgL_bufferzd2timezd2near1100z00_301 = 
CINT(BgL_bufferzd2timezd2near1100z00_221); 
BgL_bufferzd2siza7ezd2nearzd2rat1101z75_302 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1101z75_222); 
BgL_periodzd2siza7ezd2nearzd2rat1102z75_303 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1102z75_223); 
BgL_z52z12dpause1103z40_304 = 
CBOOL(BgL_z52z12dpause1103z40_224); 
BgL_z52z12dabort1104z40_305 = 
CBOOL(BgL_z52z12dabort1104z40_225); 
BgL_z52z12stop1105z40_306 = 
CBOOL(BgL_z52z12stop1105z40_226); 
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1135z00_310;
{ /* Llib/flac_padec.scm 35 */
 BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_new1134z00_311;
BgL_new1134z00_311 = 
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flaczd2pulseaudiodecoderzd2_bgl) ))); 
{ /* Llib/flac_padec.scm 35 */
 long BgL_arg1171z00_312;
BgL_arg1171z00_312 = 
BGL_CLASS_NUM(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_311), BgL_arg1171z00_312); } 
BgL_new1135z00_310 = BgL_new1134z00_311; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1099z00_220)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1100z00_301),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1101z75_302),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1102z75_303),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1103z40_304),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1104z40_305),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1105z40_306),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1106z52_227)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1107z52_228)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1108z52_229)),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52flacz52)=((obj_t)BgL_z52flac1109z52_230),BUNSPEC); 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_new1135z00_310)))->BgL_z52inseekz52)=((obj_t)BgL_z52inseek1110z52_231),BUNSPEC); 
{ /* Llib/flac_padec.scm 35 */
 obj_t BgL_fun1170z00_313;
BgL_fun1170z00_313 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1170z00_313, 
((obj_t)BgL_new1135z00_310)); } 
return BgL_new1135z00_310;} } } 

}



/* &<@anonymous:1163> */
obj_t BGl_z62zc3z04anonymousza31163ze3ze5zz__flac_padecz00(obj_t BgL_envz00_232, obj_t BgL_new1097z00_233)
{
{ /* Llib/flac_padec.scm 26 */
{ 
 BgL_flacpadecz00_bglt BgL_auxz00_521;
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)
0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52flacbufz52)=((obj_t)
bgl_custom_nil()),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_outbufz00)=((obj_t)BGl_string1231z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52volumez52)=((double)((double)0.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52bchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52rchecksumz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52musicz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52bufferz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52decoderz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52ratez52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52ratezd2maxz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52ratezd2minz80)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_new1097z00_233))))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_521 = 
((BgL_flacpadecz00_bglt)BgL_new1097z00_233); 
return 
((obj_t)BgL_auxz00_521);} } 

}



/* &lambda1161 */
BgL_flacpadecz00_bglt BGl_z62lambda1161z62zz__flac_padecz00(obj_t BgL_envz00_234)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1096z00_315;
BgL_new1096z00_315 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1162z00_316;
BgL_arg1162z00_316 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_315), BgL_arg1162z00_316); } 
return BgL_new1096z00_315;} } 

}



/* &lambda1156 */
BgL_flacpadecz00_bglt BGl_z62lambda1156z62zz__flac_padecz00(obj_t BgL_envz00_235, obj_t BgL_z42builtin1080z42_236, obj_t BgL_z52flacbuf1081z52_237, obj_t BgL_outbuf1082z00_238, obj_t BgL_z52eof1083z52_239, obj_t BgL_z52sample1084z52_240, obj_t BgL_z52volume1085z52_241, obj_t BgL_md5check1086z00_242, obj_t BgL_z52bchecksum1087z52_243, obj_t BgL_z52rchecksum1088z52_244, obj_t BgL_z52music1089z52_245, obj_t BgL_z52buffer1090z52_246, obj_t BgL_z52decoder1091z52_247, obj_t BgL_z52rate1092z52_248, obj_t BgL_z52ratezd2max1093z80_249, obj_t BgL_z52ratezd2min1094z80_250, obj_t BgL_z52lastzd2percentage1095z80_251)
{
{ /* Llib/flac_padec.scm 26 */
{ /* Llib/flac_padec.scm 26 */
 FLAC__StreamDecoder * BgL_z42builtin1080z42_317; bool_t BgL_z52eof1083z52_320; long BgL_z52sample1084z52_321; double BgL_z52volume1085z52_322; bool_t BgL_md5check1086z00_323; int BgL_z52bchecksum1087z52_324; int BgL_z52rchecksum1088z52_325; int BgL_z52rate1092z52_326; int BgL_z52ratezd2max1093z80_327; int BgL_z52ratezd2min1094z80_328; int BgL_z52lastzd2percentage1095z80_329;
BgL_z42builtin1080z42_317 = 
FOREIGN_TO_COBJ(BgL_z42builtin1080z42_236); 
BgL_z52eof1083z52_320 = 
CBOOL(BgL_z52eof1083z52_239); 
BgL_z52sample1084z52_321 = 
(long)CINT(BgL_z52sample1084z52_240); 
BgL_z52volume1085z52_322 = 
REAL_TO_DOUBLE(BgL_z52volume1085z52_241); 
BgL_md5check1086z00_323 = 
CBOOL(BgL_md5check1086z00_242); 
BgL_z52bchecksum1087z52_324 = 
CINT(BgL_z52bchecksum1087z52_243); 
BgL_z52rchecksum1088z52_325 = 
CINT(BgL_z52rchecksum1088z52_244); 
BgL_z52rate1092z52_326 = 
CINT(BgL_z52rate1092z52_248); 
BgL_z52ratezd2max1093z80_327 = 
CINT(BgL_z52ratezd2max1093z80_249); 
BgL_z52ratezd2min1094z80_328 = 
CINT(BgL_z52ratezd2min1094z80_250); 
BgL_z52lastzd2percentage1095z80_329 = 
CINT(BgL_z52lastzd2percentage1095z80_251); 
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1133z00_330;
{ /* Llib/flac_padec.scm 26 */
 BgL_flacpadecz00_bglt BgL_new1132z00_331;
BgL_new1132z00_331 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 26 */
 long BgL_arg1160z00_332;
BgL_arg1160z00_332 = 
BGL_CLASS_NUM(BGl_flacpadecz00zz__flac_padecz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_331), BgL_arg1160z00_332); } 
BgL_new1133z00_330 = BgL_new1132z00_331; } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_z42builtin1080z42_317),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52flacbufz52)=((obj_t)
((obj_t)BgL_z52flacbuf1081z52_237)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1082z00_238)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52eofz52)=((bool_t)BgL_z52eof1083z52_320),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52samplez52)=((long)BgL_z52sample1084z52_321),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52volumez52)=((double)BgL_z52volume1085z52_322),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_md5checkz00)=((bool_t)BgL_md5check1086z00_323),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52bchecksumz52)=((int)BgL_z52bchecksum1087z52_324),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1133z00_330)))->BgL_z52rchecksumz52)=((int)BgL_z52rchecksum1088z52_325),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52musicz52)=((obj_t)BgL_z52music1089z52_245),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52bufferz52)=((obj_t)BgL_z52buffer1090z52_246),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52decoderz52)=((obj_t)BgL_z52decoder1091z52_247),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52ratez52)=((int)BgL_z52rate1092z52_326),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52ratezd2maxz80)=((int)BgL_z52ratezd2max1093z80_327),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52ratezd2minz80)=((int)BgL_z52ratezd2min1094z80_328),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1133z00_330)))->BgL_z52lastzd2percentagez80)=((int)BgL_z52lastzd2percentage1095z80_329),BUNSPEC); 
{ /* Llib/flac_padec.scm 26 */
 obj_t BgL_fun1157z00_333;
BgL_fun1157z00_333 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1157z00_333, 
((obj_t)BgL_new1133z00_330)); } 
return BgL_new1133z00_330;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1232z00zz__flac_padecz00, BGl_string1233z00zz__flac_padecz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00, BGl_proc1234z00zz__flac_padecz00, BGl_string1235z00zz__flac_padecz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_flaczd2decoderzd2metadatazd2envzd2zz__flac_flacz00, BGl_flacpadecz00zz__flac_padecz00, BGl_proc1236z00zz__flac_padecz00, BGl_string1237z00zz__flac_padecz00);} 

}



/* &flac-decoder-metadat1145 */
obj_t BGl_z62flaczd2decoderzd2metadat1145z62zz__flac_padecz00(obj_t BgL_envz00_260, obj_t BgL_oz00_261, obj_t BgL_totalz00_262, obj_t BgL_ratez00_263, obj_t BgL_channelsz00_264, obj_t BgL_bpsz00_265)
{
{ /* Llib/flac_padec.scm 78 */
{ /* Llib/flac_padec.scm 80 */
 BgL_pulseaudiomusicz00_bglt BgL_i1129z00_335;
BgL_i1129z00_335 = 
((BgL_pulseaudiomusicz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_261))))->BgL_z52musicz52)); 
{ /* Llib/flac_padec.scm 81 */
 obj_t BgL_arg1206z00_336; BgL_pulseaudiozd2simplezd2_bglt BgL_arg1209z00_337;
BgL_arg1206z00_336 = 
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)
((BgL_flacpadecz00_bglt)BgL_oz00_261))))->BgL_z52musicz52); 
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1131z00_338;
{ /* Llib/flac_padec.scm 82 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_new1130z00_339;
BgL_new1130z00_339 = 
((BgL_pulseaudiozd2simplezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pulseaudiozd2simplezd2_bgl) ))); 
{ /* Llib/flac_padec.scm 82 */
 long BgL_arg1213z00_340;
BgL_arg1213z00_340 = 
BGL_CLASS_NUM(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_339), BgL_arg1213z00_340); } 
BgL_new1131z00_338 = BgL_new1130z00_339; } 
{ 
 void * BgL_auxz00_653;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1210z00_341;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_arg1211z00_342;
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_classz00_343;
BgL_classz00_343 = BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00; 
BgL_arg1211z00_342 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_343); } 
BgL_arg1210z00_341 = 
VECTOR_REF(BgL_arg1211z00_342,0L); } 
BgL_auxz00_653 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1210z00_341)); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_z42builtinz42)=((pa_simple *)BgL_auxz00_653),BUNSPEC); } 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_srvnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_namez00)=((obj_t)
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1129z00_335))->BgL_namez00)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_streamz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_ratez00)=((long)
(long)CINT(BgL_ratez00_263)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_channelsz00)=((long)
(long)CINT(BgL_channelsz00_264)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_bpsz00)=((int)
CINT(BgL_bpsz00_265)),BUNSPEC); 
((((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_new1131z00_338))->BgL_formatz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(3))),BUNSPEC); 
{ /* Llib/flac_padec.scm 82 */
 obj_t BgL_fun1212z00_344;
BgL_fun1212z00_344 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_pulseaudiozd2simplezd2zz__pulseaudio_simplez00); 
BGL_PROCEDURE_CALL1(BgL_fun1212z00_344, 
((obj_t)BgL_new1131z00_338)); } 
BgL_arg1209z00_337 = BgL_new1131z00_338; } 
return 
BGl_pulseaudiomusiczd2simplezd2setz12z12zz__pulseaudio_musicz00(
((BgL_pulseaudiomusicz00_bglt)BgL_arg1206z00_336), BgL_arg1209z00_337);} } } 

}



/* &musicdecoder-decode-1143 */
obj_t BGl_z62musicdecoderzd2decodezd21143z62zz__flac_padecz00(obj_t BgL_envz00_266, obj_t BgL_decz00_267, obj_t BgL_amz00_268, obj_t BgL_bufferz00_269)
{
{ /* Llib/flac_padec.scm 55 */
return 
BGl_musicdecoderzd2decodezd21143ze70ze7zz__flac_padecz00(
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_267), 
((BgL_musicbufz00_bglt)BgL_amz00_268), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_269));} 

}



/* musicdecoder-decode-1143~0 */
obj_t BGl_musicdecoderzd2decodezd21143ze70ze7zz__flac_padecz00(BgL_flaczd2pulseaudiodecoderzd2_bglt BgL_decz00_103, BgL_musicbufz00_bglt BgL_amz00_104, BgL_musicbufferz00_bglt BgL_bufferz00_105)
{
{ /* Llib/flac_padec.scm 55 */
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_103)))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 59 */BFALSE; }  else 
{ 
 obj_t BgL_auxz00_688;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1118z00_110;
{ /* Llib/flac_padec.scm 59 */
 BgL_flacpadecz00_bglt BgL_new1117z00_116;
BgL_new1117z00_116 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 59 */
 long BgL_arg1196z00_117;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_182;
BgL_classz00_182 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1196z00_117 = 
BGL_CLASS_NUM(BgL_classz00_182); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_116), BgL_arg1196z00_117); } 
BgL_new1118z00_110 = BgL_new1117z00_116; } 
{ 
 void * BgL_auxz00_694;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1190z00_111;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1191z00_112;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_185;
BgL_classz00_185 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1191z00_112 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_185); } 
BgL_arg1190z00_111 = 
VECTOR_REF(BgL_arg1191z00_112,0L); } 
BgL_auxz00_694 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1190z00_111)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_694),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_701;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1193z00_113;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_arg1194z00_114;
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_classz00_187;
BgL_classz00_187 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1194z00_114 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_187); } 
BgL_arg1193z00_113 = 
VECTOR_REF(BgL_arg1194z00_114,1L); } 
BgL_auxz00_701 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1193z00_113); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_701),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_outbufz00)=((obj_t)BGl_string1231z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52bchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1118z00_110)))->BgL_z52rchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52ratezd2maxz80)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52ratezd2minz80)=((int)
(int)(50L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1118z00_110)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
{ /* Llib/flac_padec.scm 59 */
 obj_t BgL_fun1195z00_115;
BgL_fun1195z00_115 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1195z00_115, 
((obj_t)BgL_new1118z00_110)); } 
BgL_auxz00_688 = 
((obj_t)BgL_new1118z00_110); } 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_103)))->BgL_z52flacz52)=((obj_t)BgL_auxz00_688),BUNSPEC); } 
{ /* Llib/flac_padec.scm 60 */
 BgL_flacpadecz00_bglt BgL_i1119z00_118;
BgL_i1119z00_118 = 
((BgL_flacpadecz00_bglt)
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_103)))->BgL_z52flacz52)); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1119z00_118)))->BgL_z52bufferz52)=((obj_t)
((obj_t)BgL_bufferz00_105)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1119z00_118)))->BgL_z52musicz52)=((obj_t)
((obj_t)BgL_amz00_104)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1119z00_118)))->BgL_z52decoderz52)=((obj_t)
((obj_t)BgL_decz00_103)),BUNSPEC); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_exitd1122z00_121;
BgL_exitd1122z00_121 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac_padec.scm 71 */
 obj_t BgL_zc3z04anonymousza31202ze3z87_257;
BgL_zc3z04anonymousza31202ze3z87_257 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_padecz00, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31202ze3z87_257, 
(int)(0L), 
((obj_t)BgL_i1119z00_118)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31202ze3z87_257, 
(int)(1L), 
((obj_t)
((BgL_pulseaudiomusicz00_bglt)BgL_amz00_104))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31202ze3z87_257, 
(int)(2L), 
((obj_t)BgL_amz00_104)); 
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1846z00_197;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1847z00_198;
BgL_arg1847z00_198 = 
BGL_EXITD_PROTECT(BgL_exitd1122z00_121); 
BgL_arg1846z00_197 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31202ze3z87_257, BgL_arg1847z00_198); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1122z00_121, BgL_arg1846z00_197); BUNSPEC; } 
{ /* Llib/flac_padec.scm 67 */
 obj_t BgL_tmp1124z00_123;
{ /* Llib/flac_padec.scm 67 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_i1127z00_124;
BgL_i1127z00_124 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(
((BgL_pulseaudiomusicz00_bglt)BgL_amz00_104)))->BgL_simplez00); 
if(
(
(long)(
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_i1127z00_124))->BgL_bpsz00))<=16L))
{ /* Llib/flac_padec.scm 69 */
 obj_t BgL_arg1199z00_127;
BgL_arg1199z00_127 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_103)))->BgL_z52flacz52); 
BgL_tmp1124z00_123 = 
BGl_flaczd2decoderzd2decode16z00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1199z00_127)); }  else 
{ /* Llib/flac_padec.scm 70 */
 obj_t BgL_arg1200z00_128;
BgL_arg1200z00_128 = 
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)BgL_decz00_103)))->BgL_z52flacz52); 
BgL_tmp1124z00_123 = 
BGl_flaczd2decoderzd2decodez00zz__flac_flacz00(
((BgL_flaczd2decoderzd2_bglt)BgL_arg1200z00_128)); } } 
{ /* Llib/flac_padec.scm 66 */
 bool_t BgL_test1267z00_792;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1845z00_201;
BgL_arg1845z00_201 = 
BGL_EXITD_PROTECT(BgL_exitd1122z00_121); 
BgL_test1267z00_792 = 
PAIRP(BgL_arg1845z00_201); } 
if(BgL_test1267z00_792)
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1843z00_202;
{ /* Llib/flac_padec.scm 66 */
 obj_t BgL_arg1844z00_203;
BgL_arg1844z00_203 = 
BGL_EXITD_PROTECT(BgL_exitd1122z00_121); 
BgL_arg1843z00_202 = 
CDR(
((obj_t)BgL_arg1844z00_203)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1122z00_121, BgL_arg1843z00_202); BUNSPEC; }  else 
{ /* Llib/flac_padec.scm 66 */BFALSE; } } 
BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_padecz00(BgL_zc3z04anonymousza31202ze3z87_257); 
return BgL_tmp1124z00_123;} } } } } 

}



/* &<@anonymous:1202> */
obj_t BGl_z62zc3z04anonymousza31202ze3ze5zz__flac_padecz00(obj_t BgL_envz00_270)
{
{ /* Llib/flac_padec.scm 66 */
{ /* Llib/flac_padec.scm 71 */
 BgL_flacpadecz00_bglt BgL_i1119z00_271; BgL_pulseaudiomusicz00_bglt BgL_i1120z00_272; BgL_musicbufz00_bglt BgL_amz00_273;
BgL_i1119z00_271 = 
((BgL_flacpadecz00_bglt)
PROCEDURE_REF(BgL_envz00_270, 
(int)(0L))); 
BgL_i1120z00_272 = 
((BgL_pulseaudiomusicz00_bglt)
PROCEDURE_REF(BgL_envz00_270, 
(int)(1L))); 
BgL_amz00_273 = 
((BgL_musicbufz00_bglt)
PROCEDURE_REF(BgL_envz00_270, 
(int)(2L))); 
{ /* Llib/flac_padec.scm 71 */
 BgL_musicbufferz00_bglt BgL_i1126z00_345;
BgL_i1126z00_345 = 
((BgL_musicbufferz00_bglt)
(((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_i1119z00_271)))->BgL_z52bufferz52)); 
{ /* Llib/flac_padec.scm 72 */
 BgL_pulseaudiozd2simplezd2_bglt BgL_arg1203z00_346;
BgL_arg1203z00_346 = 
(((BgL_pulseaudiomusicz00_bglt)COBJECT(BgL_i1120z00_272))->BgL_simplez00); 
{ /* Llib/flac_padec.scm 72 */
 int BgL_errz00_347;
BgL_errz00_347 = 
(int)(0L); 
{ /* Llib/flac_padec.scm 72 */
 pa_simple * BgL_arg1082z00_348; int * BgL_arg1084z00_349;
BgL_arg1082z00_348 = 
(((BgL_pulseaudiozd2simplezd2_bglt)COBJECT(BgL_arg1203z00_346))->BgL_z42builtinz42); 
BgL_arg1084z00_349 = 
&(BgL_errz00_347); 
pa_simple_flush(BgL_arg1082z00_348, BgL_arg1084z00_349); } 
if(
(
(long)(BgL_errz00_347)<0L))
{ /* Llib/flac_padec.scm 72 */
 char * BgL_arg1086z00_350;
{ /* Llib/flac_padec.scm 72 */
 int BgL_tmpz00_820;
BgL_tmpz00_820 = 
(int)(0L); 
BgL_arg1086z00_350 = 
(char *)pa_strerror(BgL_tmpz00_820); } 
BINT(
bgl_pulseaudio_error(
BSTRING_TO_STRING(BGl_string1238z00zz__flac_padecz00), BgL_arg1086z00_350, 
BINT(0L))); }  else 
{ /* Llib/flac_padec.scm 72 */BFALSE; } } } 
{ /* Llib/flac_padec.scm 73 */
 obj_t BgL_arg1204z00_351;
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1126z00_345))->BgL_z52eofz52))
{ /* Llib/flac_padec.scm 73 */
BgL_arg1204z00_351 = 
((obj_t)
CNST_TABLE_REF(4)); }  else 
{ /* Llib/flac_padec.scm 73 */
BgL_arg1204z00_351 = 
((obj_t)
CNST_TABLE_REF(5)); } 
return 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_273), BgL_arg1204z00_351);} } } } 

}



/* &musicdecoder-init-fl1141 */
obj_t BGl_z62musicdecoderzd2initzd2fl1141z62zz__flac_padecz00(obj_t BgL_envz00_274, obj_t BgL_decz00_275)
{
{ /* Llib/flac_padec.scm 47 */
{ 

{ /* Llib/flac_padec.scm 47 */
 obj_t BgL_nextzd2method1140zd2_354;
BgL_nextzd2method1140zd2_354 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_275)), BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_flaczd2pulseaudiodecoderzd2zz__flac_padecz00); 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1140zd2_354, 
((obj_t)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_275))); } 
if(
CBOOL(
(((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_275))))->BgL_z52flacz52)))
{ /* Llib/flac_padec.scm 50 */
return BFALSE;}  else 
{ 
 obj_t BgL_auxz00_849;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1115z00_355;
{ /* Llib/flac_padec.scm 50 */
 BgL_flacpadecz00_bglt BgL_new1114z00_356;
BgL_new1114z00_356 = 
((BgL_flacpadecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_flacpadecz00_bgl) ))); 
{ /* Llib/flac_padec.scm 50 */
 long BgL_arg1188z00_357;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_358;
BgL_classz00_358 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1188z00_357 = 
BGL_CLASS_NUM(BgL_classz00_358); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_356), BgL_arg1188z00_357); } 
BgL_new1115z00_355 = BgL_new1114z00_356; } 
{ 
 void * BgL_auxz00_856;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1180z00_359;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1181z00_360;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_361;
BgL_classz00_361 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1181z00_360 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_361); } 
BgL_arg1180z00_359 = 
VECTOR_REF(BgL_arg1181z00_360,0L); } 
BgL_auxz00_856 = 
FOREIGN_TO_COBJ(
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1180z00_359)); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z42builtinz42)=((FLAC__StreamDecoder *)BgL_auxz00_856),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_863;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1182z00_362;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_arg1185z00_363;
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_classz00_364;
BgL_classz00_364 = BGl_flacpadecz00zz__flac_padecz00; 
BgL_arg1185z00_363 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_364); } 
BgL_arg1182z00_362 = 
VECTOR_REF(BgL_arg1185z00_363,1L); } 
BgL_auxz00_863 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1182z00_362); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52flacbufz52)=((obj_t)BgL_auxz00_863),BUNSPEC); } 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_outbufz00)=((obj_t)BGl_string1231z00zz__flac_padecz00),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52eofz52)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52samplez52)=((long)0L),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52volumez52)=((double)((double)1.0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_md5checkz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52bchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flaczd2decoderzd2_bglt)COBJECT(
((BgL_flaczd2decoderzd2_bglt)BgL_new1115z00_355)))->BgL_z52rchecksumz52)=((int)
(int)(128L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52musicz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52bufferz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52decoderz52)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52ratez52)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52ratezd2maxz80)=((int)
(int)(80L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52ratezd2minz80)=((int)
(int)(50L)),BUNSPEC); 
((((BgL_flacdecz00_bglt)COBJECT(
((BgL_flacdecz00_bglt)BgL_new1115z00_355)))->BgL_z52lastzd2percentagez80)=((int)
(int)(0L)),BUNSPEC); 
{ /* Llib/flac_padec.scm 50 */
 obj_t BgL_fun1186z00_365;
BgL_fun1186z00_365 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_flacpadecz00zz__flac_padecz00); 
BGL_PROCEDURE_CALL1(BgL_fun1186z00_365, 
((obj_t)BgL_new1115z00_355)); } 
BgL_auxz00_849 = 
((obj_t)BgL_new1115z00_355); } 
return 
((((BgL_flacmusicdecoderz00_bglt)COBJECT(
((BgL_flacmusicdecoderz00_bglt)
((BgL_flaczd2pulseaudiodecoderzd2_bglt)BgL_decz00_275))))->BgL_z52flacz52)=((obj_t)BgL_auxz00_849),BUNSPEC);} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__flac_padecz00(void)
{
{ /* Llib/flac_padec.scm 15 */
BGl_modulezd2initializa7ationz75zz__flac_flacz00(107017853L, 
BSTRING_TO_STRING(BGl_string1239z00zz__flac_padecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__flac_decoderz00(630617L, 
BSTRING_TO_STRING(BGl_string1239z00zz__flac_padecz00));} 

}

#ifdef __cplusplus
}
#endif
