/*===========================================================================*/
/*   (Llib/_scheduler.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -fPIC -copt -IPosix Llib/_scheduler.scm -o objs/_scheduler.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL___FT_z52SCHEDULERz52_TYPE_DEFINITIONS
#define BGL_BgL___FT_z52SCHEDULERz52_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_ftenvz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_instantz00;
} *BgL_ftenvz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


#endif // BGL_BgL___FT_z52SCHEDULERz52_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = BUNSPEC;
static obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
extern obj_t BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52(void);
static obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52(void);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52(void);
extern obj_t BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_fthreadz00_bglt);
static obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52(void);
static BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31244ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
static obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t);
extern obj_t BGl_ftenvzd2threadszd2zz__ft_envz00(BgL_ftenvz00_bglt);
extern bool_t BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52schedulerz52(obj_t);
static obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t);
extern bool_t BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(BgL_fthreadz00_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
extern BgL_schedulerz00_bglt BGl_makezd2schedulerzd2zz__ft_schedulerz00(obj_t);
extern obj_t BGl_signalzd2emitzd2zz__ft_signalz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
static obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t, obj_t);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(obj_t, BgL_z52pthreadz52_bglt);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(void);
extern obj_t BGl_instantzd2envz12zc0zz__ft_envz00(BgL_ftenvz00_bglt);
static obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
static bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t);
static obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t, obj_t);
extern obj_t BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
BGL_EXPORTED_DECL BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t, obj_t);
static obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
extern obj_t BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(obj_t, BgL_threadz00_bglt);
static obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(BgL_z52pthreadz52_bglt);
extern obj_t BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt, BgL_schedulerz00_bglt);
static obj_t __cnst[ 1 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752broadcastza71652za7, BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2spawnzd2asynczd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71653za7, BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1618z00zz__ft_z52schedulerz52, BgL_bgl_string1618za700za7za7_1654za7, "Llib/_scheduler.scm", 19 );
DEFINE_STRING( BGl_string1619z00zz__ft_z52schedulerz52, BgL_bgl_string1619za700za7za7_1655za7, "Illegal scheduler", 17 );
DEFINE_STRING( BGl_string1620z00zz__ft_z52schedulerz52, BgL_bgl_string1620za700za7za7_1656za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/fthread/src/Llib/_scheduler.scm", 87 );
DEFINE_STRING( BGl_string1621z00zz__ft_z52schedulerz52, BgL_bgl_string1621za700za7za7_1657za7, "&%get-optional-scheduler", 24 );
DEFINE_STRING( BGl_string1622z00zz__ft_z52schedulerz52, BgL_bgl_string1622za700za7za7_1658za7, "symbol", 6 );
DEFINE_STRING( BGl_string1623z00zz__ft_z52schedulerz52, BgL_bgl_string1623za700za7za7_1659za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1624z00zz__ft_z52schedulerz52, BgL_bgl_string1624za700za7za7_1660za7, "&%scheduler-add-async-runnable!", 31 );
DEFINE_STRING( BGl_string1625z00zz__ft_z52schedulerz52, BgL_bgl_string1625za700za7za7_1661za7, "%scheduler", 10 );
DEFINE_STRING( BGl_string1626z00zz__ft_z52schedulerz52, BgL_bgl_string1626za700za7za7_1662za7, "fthread", 7 );
DEFINE_STRING( BGl_string1627z00zz__ft_z52schedulerz52, BgL_bgl_string1627za700za7za7_1663za7, "&%scheduler-add-async!", 22 );
DEFINE_STRING( BGl_string1628z00zz__ft_z52schedulerz52, BgL_bgl_string1628za700za7za7_1664za7, "%sigasync", 9 );
DEFINE_STRING( BGl_string1630z00zz__ft_z52schedulerz52, BgL_bgl_string1630za700za7za7_1665za7, "&%scheduler-next-thread", 23 );
DEFINE_STRING( BGl_string1631z00zz__ft_z52schedulerz52, BgL_bgl_string1631za700za7za7_1666za7, "scheduler", 9 );
DEFINE_STRING( BGl_string1632z00zz__ft_z52schedulerz52, BgL_bgl_string1632za700za7za7_1667za7, "&%scheduler-switch-to-next-thread", 33 );
DEFINE_STRING( BGl_string1633z00zz__ft_z52schedulerz52, BgL_bgl_string1633za700za7za7_1668za7, "&%schedule-instant", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1629z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1669za7, BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1639z00zz__ft_z52schedulerz52, BgL_bgl_string1639za700za7za7_1670za7, "&%scheduler-spawn-async", 23 );
DEFINE_STRING( BGl_string1640z00zz__ft_z52schedulerz52, BgL_bgl_string1640za700za7za7_1671za7, "&%broadcast!", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1634z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1672za7, BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1641z00zz__ft_z52schedulerz52, BgL_bgl_string1641za700za7za7_1673za7, "&%scheduler-add-broadcast!", 26 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1635z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1674za7, BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1642z00zz__ft_z52schedulerz52, BgL_bgl_string1642za700za7za7_1675za7, "&%scheduler-time", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1636z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1676za7, BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1643z00zz__ft_z52schedulerz52, BgL_bgl_string1643za700za7za7_1677za7, "&%scheduler-waiting-threads", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1637z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1678za7, BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1644z00zz__ft_z52schedulerz52, BgL_bgl_string1644za700za7za7_1679za7, "__ft_%scheduler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1638z00zz__ft_z52schedulerz52, BgL_bgl_za762za7c3za704anonymo1680za7, BGl_z62zc3z04anonymousza31244ze3ze5zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1645z00zz__ft_z52schedulerz52, BgL_bgl_string1645za700za7za7_1681za7, "dead ", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52getzd2optionalzd2schedulerzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752getza7d2opti1682za7, BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulezd2instantzd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752scheduleza7d1683za7, BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asynczd2runnablez12zd2envz40zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71684za7, BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2asyncz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71685za7, BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2timezd2envz52zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71686za7, BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71687za7, BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2addzd2broadcastz12zd2envz92zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71688za7, BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2switchzd2tozd2nextzd2threadzd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71689za7, BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52schedulerzd2waitingzd2threadszd2envz80zz__ft_z52schedulerz52, BgL_bgl_za762za752schedulerza71690za7, BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long BgL_checksumz00_615, char * BgL_fromz00_616)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52schedulerz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
BGl_cnstzd2initzd2zz__ft_z52schedulerz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52schedulerz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ft_%scheduler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ft_%scheduler"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_cportz00_593;
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_stringz00_600;
BgL_stringz00_600 = BGl_string1645z00zz__ft_z52schedulerz52; 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_startz00_601;
BgL_startz00_601 = 
BINT(0L); 
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_endz00_602;
BgL_endz00_602 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_600))); 
{ /* Llib/_scheduler.scm 15 */

BgL_cportz00_593 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_600, BgL_startz00_601, BgL_endz00_602); } } } } 
{ 
 long BgL_iz00_594;
BgL_iz00_594 = 0L; 
BgL_loopz00_595:
if(
(BgL_iz00_594==(-1L)))
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_scheduler.scm 15 */
{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_arg1651z00_596;
{ /* Llib/_scheduler.scm 15 */

{ /* Llib/_scheduler.scm 15 */
 obj_t BgL_locationz00_598;
BgL_locationz00_598 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_scheduler.scm 15 */

BgL_arg1651z00_596 = 
BGl_readz00zz__readerz00(BgL_cportz00_593, BgL_locationz00_598); } } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_tmpz00_645;
BgL_tmpz00_645 = 
(int)(BgL_iz00_594); 
CNST_TABLE_SET(BgL_tmpz00_645, BgL_arg1651z00_596); } } 
{ /* Llib/_scheduler.scm 15 */
 int BgL_auxz00_599;
BgL_auxz00_599 = 
(int)(
(BgL_iz00_594-1L)); 
{ 
 long BgL_iz00_650;
BgL_iz00_650 = 
(long)(BgL_auxz00_599); 
BgL_iz00_594 = BgL_iz00_650; 
goto BgL_loopz00_595;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(0L, 
BSTRING_TO_STRING(BGl_string1618z00zz__ft_z52schedulerz52)); 
return BFALSE;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__ft_z52schedulerz52(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
if(
NULLP(BgL_l1z00_1))
{ 
return BgL_l2z00_2;}  else 
{ 
 obj_t BgL_headz00_41;
BgL_headz00_41 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_42; obj_t BgL_tailz00_43;
BgL_prevz00_42 = BgL_headz00_41; 
BgL_tailz00_43 = BgL_l1z00_1; 
BgL_loopz00_44:
if(
PAIRP(BgL_tailz00_43))
{ 
 obj_t BgL_newzd2prevzd2_46;
BgL_newzd2prevzd2_46 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_43), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_42, BgL_newzd2prevzd2_46); 
{ 
 obj_t BgL_tailz00_664; obj_t BgL_prevz00_663;
BgL_prevz00_663 = BgL_newzd2prevzd2_46; 
BgL_tailz00_664 = 
CDR(BgL_tailz00_43); 
BgL_tailz00_43 = BgL_tailz00_664; 
BgL_prevz00_42 = BgL_prevz00_663; 
goto BgL_loopz00_44;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_41);} } } 

}



/* %get-optional-scheduler */
BGL_EXPORTED_DEF BgL_schedulerz00_bglt BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(obj_t BgL_whoz00_3, obj_t BgL_oz00_4)
{
{ /* Llib/_scheduler.scm 54 */
if(
NULLP(BgL_oz00_4))
{ /* Llib/_scheduler.scm 57 */
 obj_t BgL_sz00_50;
BgL_sz00_50 = 
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_test1697z00_670;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_classz00_316;
BgL_classz00_316 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_sz00_50))
{ /* Llib/_scheduler.scm 58 */
 BgL_objectz00_bglt BgL_arg1827z00_318;
BgL_arg1827z00_318 = 
(BgL_objectz00_bglt)(BgL_sz00_50); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_scheduler.scm 58 */
 long BgL_idxz00_324;
BgL_idxz00_324 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_318); 
BgL_test1697z00_670 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_324+3L))==BgL_classz00_316); }  else 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL_res1579z00_349;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_oclassz00_332;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1834z00_340; long BgL_arg1835z00_341;
BgL_arg1834z00_340 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_scheduler.scm 58 */
 long BgL_arg1836z00_342;
BgL_arg1836z00_342 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_318); 
BgL_arg1835z00_341 = 
(BgL_arg1836z00_342-OBJECT_TYPE); } 
BgL_oclassz00_332 = 
VECTOR_REF(BgL_arg1834z00_340,BgL_arg1835z00_341); } 
{ /* Llib/_scheduler.scm 58 */
 bool_t BgL__ortest_1114z00_333;
BgL__ortest_1114z00_333 = 
(BgL_classz00_316==BgL_oclassz00_332); 
if(BgL__ortest_1114z00_333)
{ /* Llib/_scheduler.scm 58 */
BgL_res1579z00_349 = BgL__ortest_1114z00_333; }  else 
{ /* Llib/_scheduler.scm 58 */
 long BgL_odepthz00_334;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1824z00_335;
BgL_arg1824z00_335 = 
(BgL_oclassz00_332); 
BgL_odepthz00_334 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_335); } 
if(
(3L<BgL_odepthz00_334))
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1822z00_337;
{ /* Llib/_scheduler.scm 58 */
 obj_t BgL_arg1823z00_338;
BgL_arg1823z00_338 = 
(BgL_oclassz00_332); 
BgL_arg1822z00_337 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_338, 3L); } 
BgL_res1579z00_349 = 
(BgL_arg1822z00_337==BgL_classz00_316); }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_res1579z00_349 = ((bool_t)0); } } } } 
BgL_test1697z00_670 = BgL_res1579z00_349; } }  else 
{ /* Llib/_scheduler.scm 58 */
BgL_test1697z00_670 = ((bool_t)0)
; } } 
if(BgL_test1697z00_670)
{ /* Llib/_scheduler.scm 58 */
return 
((BgL_schedulerz00_bglt)BgL_sz00_50);}  else 
{ /* Llib/_scheduler.scm 60 */
 BgL_schedulerz00_bglt BgL_arg1130z00_52;
BgL_arg1130z00_52 = 
BGl_makezd2schedulerzd2zz__ft_schedulerz00(BNIL); 
{ /* Llib/_scheduler.scm 60 */
 obj_t BgL_list1131z00_53;
BgL_list1131z00_53 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1130z00_52), BNIL); 
return 
((BgL_schedulerz00_bglt)
BGl_defaultzd2schedulerzd2zz__ft_schedulerz00(BgL_list1131z00_53));} } } }  else 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_test1702z00_699;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1140z00_59;
BgL_arg1140z00_59 = 
CAR(BgL_oz00_4); 
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_classz00_351;
BgL_classz00_351 = BGl_schedulerz00zz__ft_typesz00; 
if(
BGL_OBJECTP(BgL_arg1140z00_59))
{ /* Llib/_scheduler.scm 61 */
 BgL_objectz00_bglt BgL_arg1827z00_353;
BgL_arg1827z00_353 = 
(BgL_objectz00_bglt)(BgL_arg1140z00_59); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/_scheduler.scm 61 */
 long BgL_idxz00_359;
BgL_idxz00_359 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_353); 
BgL_test1702z00_699 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_359+3L))==BgL_classz00_351); }  else 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL_res1580z00_384;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_oclassz00_367;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1834z00_375; long BgL_arg1835z00_376;
BgL_arg1834z00_375 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/_scheduler.scm 61 */
 long BgL_arg1836z00_377;
BgL_arg1836z00_377 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_353); 
BgL_arg1835z00_376 = 
(BgL_arg1836z00_377-OBJECT_TYPE); } 
BgL_oclassz00_367 = 
VECTOR_REF(BgL_arg1834z00_375,BgL_arg1835z00_376); } 
{ /* Llib/_scheduler.scm 61 */
 bool_t BgL__ortest_1114z00_368;
BgL__ortest_1114z00_368 = 
(BgL_classz00_351==BgL_oclassz00_367); 
if(BgL__ortest_1114z00_368)
{ /* Llib/_scheduler.scm 61 */
BgL_res1580z00_384 = BgL__ortest_1114z00_368; }  else 
{ /* Llib/_scheduler.scm 61 */
 long BgL_odepthz00_369;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1824z00_370;
BgL_arg1824z00_370 = 
(BgL_oclassz00_367); 
BgL_odepthz00_369 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_370); } 
if(
(3L<BgL_odepthz00_369))
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1822z00_372;
{ /* Llib/_scheduler.scm 61 */
 obj_t BgL_arg1823z00_373;
BgL_arg1823z00_373 = 
(BgL_oclassz00_367); 
BgL_arg1822z00_372 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_373, 3L); } 
BgL_res1580z00_384 = 
(BgL_arg1822z00_372==BgL_classz00_351); }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_res1580z00_384 = ((bool_t)0); } } } } 
BgL_test1702z00_699 = BgL_res1580z00_384; } }  else 
{ /* Llib/_scheduler.scm 61 */
BgL_test1702z00_699 = ((bool_t)0)
; } } } 
if(BgL_test1702z00_699)
{ /* Llib/_scheduler.scm 61 */
return 
((BgL_schedulerz00_bglt)
CAR(BgL_oz00_4));}  else 
{ /* Llib/_scheduler.scm 64 */
 obj_t BgL_arg1138z00_58;
BgL_arg1138z00_58 = 
CAR(BgL_oz00_4); 
return 
((BgL_schedulerz00_bglt)
BGl_errorz00zz__errorz00(BgL_whoz00_3, BGl_string1619z00zz__ft_z52schedulerz52, BgL_arg1138z00_58));} } } 

}



/* &%get-optional-scheduler */
BgL_schedulerz00_bglt BGl_z62z52getzd2optionalzd2schedulerz30zz__ft_z52schedulerz52(obj_t BgL_envz00_466, obj_t BgL_whoz00_467, obj_t BgL_oz00_468)
{
{ /* Llib/_scheduler.scm 54 */
{ /* Llib/_scheduler.scm 56 */
 obj_t BgL_auxz00_735; obj_t BgL_auxz00_728;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_oz00_468))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_735 = BgL_oz00_468
; }  else 
{ 
 obj_t BgL_auxz00_738;
BgL_auxz00_738 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(2487L), BGl_string1621z00zz__ft_z52schedulerz52, BGl_string1623z00zz__ft_z52schedulerz52, BgL_oz00_468); 
FAILURE(BgL_auxz00_738,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_whoz00_467))
{ /* Llib/_scheduler.scm 56 */
BgL_auxz00_728 = BgL_whoz00_467
; }  else 
{ 
 obj_t BgL_auxz00_731;
BgL_auxz00_731 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(2487L), BGl_string1621z00zz__ft_z52schedulerz52, BGl_string1622z00zz__ft_z52schedulerz52, BgL_whoz00_467); 
FAILURE(BgL_auxz00_731,BFALSE,BFALSE);} 
return 
BGl_z52getzd2optionalzd2schedulerz52zz__ft_z52schedulerz52(BgL_auxz00_728, BgL_auxz00_735);} } 

}



/* %scheduler-get-async-runnable */
obj_t BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_5, obj_t BgL_nvz00_6)
{
{ /* Llib/_scheduler.scm 73 */
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1141z00_61;
BgL_arg1141z00_61 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1141z00_61)); } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_g1065z00_62;
{ /* Llib/_scheduler.scm 76 */
 obj_t BgL_vz00_64;
BgL_vz00_64 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2); 
if(
PAIRP(BgL_nvz00_6))
{ /* Llib/_scheduler.scm 77 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_5))->BgL_asynczd2runnablezd2)=((obj_t)
CAR(BgL_nvz00_6)),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 77 */BFALSE; } 
BgL_g1065z00_62 = BgL_vz00_64; } 
{ /* Llib/_scheduler.scm 74 */
 obj_t BgL_arg1142z00_63;
BgL_arg1142z00_63 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_5)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1142z00_63)); } 
return BgL_g1065z00_62;} } 

}



/* %scheduler-add-async-runnable! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_7, BgL_fthreadz00_bglt BgL_tz00_8)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1144z00_69;
BgL_arg1144z00_69 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1144z00_69)); } 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_g1068z00_70;
{ 
 obj_t BgL_auxz00_760;
{ /* Llib/_scheduler.scm 94 */
 obj_t BgL_arg1148z00_73;
BgL_arg1148z00_73 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2); 
BgL_auxz00_760 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_tz00_8), BgL_arg1148z00_73); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_7))->BgL_asynczd2runnablezd2)=((obj_t)BgL_auxz00_760),BUNSPEC); } 
{ /* Llib/_scheduler.scm 95 */
 obj_t BgL_arg1149z00_74;
BgL_arg1149z00_74 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1149z00_74)); } 
BgL_g1068z00_70 = BUNSPEC; 
{ /* Llib/_scheduler.scm 91 */
 obj_t BgL_arg1147z00_71;
BgL_arg1147z00_71 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_7)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1147z00_71)); } 
return BgL_g1068z00_70;} } 

}



/* &%scheduler-add-async-runnable! */
obj_t BGl_z62z52schedulerzd2addzd2asynczd2runnablez12zf0zz__ft_z52schedulerz52(obj_t BgL_envz00_469, obj_t BgL_scdlz00_470, obj_t BgL_tz00_471)
{
{ /* Llib/_scheduler.scm 88 */
{ /* Llib/_scheduler.scm 91 */
 BgL_fthreadz00_bglt BgL_auxz00_781; BgL_z52schedulerz52_bglt BgL_auxz00_773;
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_471, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_781 = 
((BgL_fthreadz00_bglt)BgL_tz00_471)
; }  else 
{ 
 obj_t BgL_auxz00_785;
BgL_auxz00_785 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(4155L), BGl_string1624z00zz__ft_z52schedulerz52, BGl_string1626z00zz__ft_z52schedulerz52, BgL_tz00_471); 
FAILURE(BgL_auxz00_785,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_470, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 91 */
BgL_auxz00_773 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_470)
; }  else 
{ 
 obj_t BgL_auxz00_777;
BgL_auxz00_777 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(4155L), BGl_string1624z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_470); 
FAILURE(BgL_auxz00_777,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asynczd2runnablez12z92zz__ft_z52schedulerz52(BgL_auxz00_773, BgL_auxz00_781);} } 

}



/* %scheduler-add-async! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_9, BgL_z52sigasyncz52_bglt BgL_sigz00_10)
{
{ /* Llib/_scheduler.scm 101 */
{ 
 obj_t BgL_auxz00_790;
{ /* Llib/_scheduler.scm 103 */
 obj_t BgL_arg1150z00_389;
BgL_arg1150z00_389 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00); 
BgL_auxz00_790 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_sigz00_10), BgL_arg1150z00_389); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_9))->BgL_tospawnz00)=((obj_t)BgL_auxz00_790),BUNSPEC);} } 

}



/* &%scheduler-add-async! */
obj_t BGl_z62z52schedulerzd2addzd2asyncz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_472, obj_t BgL_scdlz00_473, obj_t BgL_sigz00_474)
{
{ /* Llib/_scheduler.scm 101 */
{ /* Llib/_scheduler.scm 102 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_803; BgL_z52schedulerz52_bglt BgL_auxz00_795;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_474, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_803 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_474)
; }  else 
{ 
 obj_t BgL_auxz00_807;
BgL_auxz00_807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(4674L), BGl_string1627z00zz__ft_z52schedulerz52, BGl_string1628z00zz__ft_z52schedulerz52, BgL_sigz00_474); 
FAILURE(BgL_auxz00_807,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_473, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 102 */
BgL_auxz00_795 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_473)
; }  else 
{ 
 obj_t BgL_auxz00_799;
BgL_auxz00_799 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(4674L), BGl_string1627z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_473); 
FAILURE(BgL_auxz00_799,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_auxz00_795, BgL_auxz00_803);} } 

}



/* %scheduler-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_11, BgL_schedulerz00_bglt BgL_scdlz00_12)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_arg1180z00_390;
{ /* Llib/_scheduler.scm 152 */
 obj_t BgL_tmpz00_812;
BgL_tmpz00_812 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1180z00_390 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_812); } 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1180z00_390, BGl_proc1629z00zz__ft_z52schedulerz52); } 
{ 
 obj_t BgL_runnablez00_80;
{ /* Llib/_scheduler.scm 115 */
 obj_t BgL_arg1151z00_79;
BgL_arg1151z00_79 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2); 
BgL_runnablez00_80 = BgL_arg1151z00_79; 
BgL_zc3z04anonymousza31152ze3z87_81:
if(
PAIRP(BgL_runnablez00_80))
{ /* Llib/_scheduler.scm 118 */
 obj_t BgL_ntz00_83;
BgL_ntz00_83 = 
CAR(BgL_runnablez00_80); 
if(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_83)))->BgL_z52iszd2suspendz80))
{ /* Llib/_scheduler.scm 120 */
{ 
 obj_t BgL_auxz00_824;
{ /* Llib/_scheduler.scm 122 */
 obj_t BgL_arg1155z00_86;
BgL_arg1155z00_86 = 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2); 
BgL_auxz00_824 = 
MAKE_YOUNG_PAIR(BgL_ntz00_83, BgL_arg1155z00_86); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2yieldzd2)=((obj_t)BgL_auxz00_824),BUNSPEC); } 
{ 
 obj_t BgL_runnablez00_830;
BgL_runnablez00_830 = 
CDR(BgL_runnablez00_80); 
BgL_runnablez00_80 = BgL_runnablez00_830; 
goto BgL_zc3z04anonymousza31152ze3z87_81;} }  else 
{ /* Llib/_scheduler.scm 120 */
if(
BGl_z52threadzd2iszd2deadz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_ntz00_83), BNIL))
{ 
 obj_t BgL_runnablez00_835;
BgL_runnablez00_835 = 
CDR(BgL_runnablez00_80); 
BgL_runnablez00_80 = BgL_runnablez00_835; 
goto BgL_zc3z04anonymousza31152ze3z87_81;}  else 
{ /* Llib/_scheduler.scm 124 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_runnablez00_80)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 128 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 128 */BFALSE; } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_83),BUNSPEC); 
return BgL_ntz00_83;} } }  else 
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_asyncz00_97;
{ /* Llib/_scheduler.scm 133 */
 obj_t BgL_list1176z00_105;
BgL_list1176z00_105 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_asyncz00_97 = 
BGl_z52schedulerzd2getzd2asynczd2runnablez80zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12), BgL_list1176z00_105); } 
if(
NULLP(BgL_asyncz00_97))
{ /* Llib/_scheduler.scm 134 */
return 
((obj_t)BgL_scdlz00_12);}  else 
{ /* Llib/_scheduler.scm 135 */
 obj_t BgL_ntz00_99;
BgL_ntz00_99 = 
CAR(BgL_asyncz00_97); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)=((obj_t)
CDR(BgL_asyncz00_97)),BUNSPEC); 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 137 */
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_threadszd2runnablezd2))),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_scdlz00_12)))->BgL_currentzd2threadzd2)=((obj_t)BgL_ntz00_99),BUNSPEC); 
return BgL_ntz00_99;} } } } } 

}



/* &%scheduler-next-thread */
obj_t BGl_z62z52schedulerzd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_476, obj_t BgL_tz00_477, obj_t BgL_scdlz00_478)
{
{ /* Llib/_scheduler.scm 108 */
{ /* Llib/_scheduler.scm 109 */
 BgL_schedulerz00_bglt BgL_auxz00_879; BgL_fthreadz00_bglt BgL_auxz00_871;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_478, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_879 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_478)
; }  else 
{ 
 obj_t BgL_auxz00_883;
BgL_auxz00_883 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(5042L), BGl_string1630z00zz__ft_z52schedulerz52, BGl_string1631z00zz__ft_z52schedulerz52, BgL_scdlz00_478); 
FAILURE(BgL_auxz00_883,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_477, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 109 */
BgL_auxz00_871 = 
((BgL_fthreadz00_bglt)BgL_tz00_477)
; }  else 
{ 
 obj_t BgL_auxz00_875;
BgL_auxz00_875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(5042L), BGl_string1630z00zz__ft_z52schedulerz52, BGl_string1626z00zz__ft_z52schedulerz52, BgL_tz00_477); 
FAILURE(BgL_auxz00_875,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_871, BgL_auxz00_879);} } 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_479)
{
{ /* Llib/_scheduler.scm 153 */
return BUNSPEC;} 

}



/* %scheduler-switch-to-next-thread */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_fthreadz00_bglt BgL_tz00_15, BgL_schedulerz00_bglt BgL_scdlz00_16)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 174 */
 obj_t BgL_ntz00_113;
BgL_ntz00_113 = 
BGl_z52schedulerzd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_tz00_15, BgL_scdlz00_16); 
{ /* Llib/_scheduler.scm 177 */
 obj_t BgL_arg1185z00_115; obj_t BgL_arg1186z00_116;
BgL_arg1185z00_115 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BgL_arg1186z00_116 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_ntz00_113)))->BgL_z52builtinz52); 
BGl_z52pthreadzd2switchz80zz__ft_z52pthreadz52(BgL_arg1185z00_115, 
((BgL_z52pthreadz52_bglt)BgL_arg1186z00_116)); } 
if(
(
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52statez52)==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/_scheduler.scm 178 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 178 */
{ /* Llib/_scheduler.scm 179 */
 obj_t BgL_arg1190z00_119;
BgL_arg1190z00_119 = 
(((BgL_fthreadz00_bglt)COBJECT(BgL_tz00_15))->BgL_z52builtinz52); 
BGl_z52pthreadzd2waitz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1190z00_119)); } 
return BUNSPEC;} } } 

}



/* &%scheduler-switch-to-next-thread */
obj_t BGl_z62z52schedulerzd2switchzd2tozd2nextzd2threadz30zz__ft_z52schedulerz52(obj_t BgL_envz00_480, obj_t BgL_tz00_481, obj_t BgL_scdlz00_482)
{
{ /* Llib/_scheduler.scm 171 */
{ /* Llib/_scheduler.scm 172 */
 BgL_schedulerz00_bglt BgL_auxz00_910; BgL_fthreadz00_bglt BgL_auxz00_902;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_482, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_910 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_482)
; }  else 
{ 
 obj_t BgL_auxz00_914;
BgL_auxz00_914 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(7677L), BGl_string1632z00zz__ft_z52schedulerz52, BGl_string1631z00zz__ft_z52schedulerz52, BgL_scdlz00_482); 
FAILURE(BgL_auxz00_914,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_tz00_481, BGl_fthreadz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 172 */
BgL_auxz00_902 = 
((BgL_fthreadz00_bglt)BgL_tz00_481)
; }  else 
{ 
 obj_t BgL_auxz00_906;
BgL_auxz00_906 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(7677L), BGl_string1632z00zz__ft_z52schedulerz52, BGl_string1626z00zz__ft_z52schedulerz52, BgL_tz00_481); 
FAILURE(BgL_auxz00_906,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(BgL_auxz00_902, BgL_auxz00_910);} } 

}



/* %schedule-instant */
BGL_EXPORTED_DEF obj_t BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_20)
{
{ /* Llib/_scheduler.scm 195 */
BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_scdlz00_20); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_20), 
((BgL_schedulerz00_bglt)BgL_scdlz00_20)); 
BGL_TAIL return 
BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_scdlz00_20);} 

}



/* &%schedule-instant */
obj_t BGl_z62z52schedulezd2instantze2zz__ft_z52schedulerz52(obj_t BgL_envz00_483, obj_t BgL_scdlz00_484)
{
{ /* Llib/_scheduler.scm 195 */
{ /* Llib/_scheduler.scm 211 */
 BgL_z52schedulerz52_bglt BgL_auxz00_930;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_484, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 211 */
BgL_auxz00_930 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_484)
; }  else 
{ 
 obj_t BgL_auxz00_934;
BgL_auxz00_934 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(9510L), BGl_string1633z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_484); 
FAILURE(BgL_auxz00_934,BFALSE,BFALSE);} 
return 
BGl_z52schedulezd2instantz80zz__ft_z52schedulerz52(BgL_auxz00_930);} } 

}



/* %env-init-instant */
bool_t BGl_z52envzd2initzd2instantz52zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_21)
{
{ /* Llib/_scheduler.scm 220 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_g1109z00_122;
BgL_g1109z00_122 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_scdlz00_21))))->BgL_envzb2zb2); 
{ 
 obj_t BgL_l1107z00_124;
BgL_l1107z00_124 = BgL_g1109z00_122; 
BgL_zc3z04anonymousza31192ze3z87_125:
if(
PAIRP(BgL_l1107z00_124))
{ /* Llib/_scheduler.scm 222 */
{ /* Llib/_scheduler.scm 222 */
 obj_t BgL_arg1194z00_127;
BgL_arg1194z00_127 = 
CAR(BgL_l1107z00_124); 
BGl_instantzd2envz12zc0zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1194z00_127)); } 
{ 
 obj_t BgL_l1107z00_947;
BgL_l1107z00_947 = 
CDR(BgL_l1107z00_124); 
BgL_l1107z00_124 = BgL_l1107z00_947; 
goto BgL_zc3z04anonymousza31192ze3z87_125;} }  else 
{ /* Llib/_scheduler.scm 222 */
return ((bool_t)1);} } } } 

}



/* %sort-threads */
obj_t BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(obj_t BgL_threadsz00_22)
{
{ /* Llib/_scheduler.scm 227 */
return 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_threadsz00_22, BGl_proc1634z00zz__ft_z52schedulerz52);} 

}



/* &<@anonymous:1198> */
obj_t BGl_z62zc3z04anonymousza31198ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_486, obj_t BgL_t1z00_487, obj_t BgL_t2z00_488)
{
{ /* Llib/_scheduler.scm 229 */
return 
BBOOL(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t1z00_487)))->BgL_z52identz52))<
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_t2z00_488)))->BgL_z52identz52))));} 

}



/* %select-threads! */
obj_t BGl_z52selectzd2threadsz12z92zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_23)
{
{ /* Llib/_scheduler.scm 240 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_runnablez00_495;
{ /* Llib/_scheduler.scm 264 */
 obj_t BgL_cellvalz00_959;
BgL_cellvalz00_959 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2); 
BgL_runnablez00_495 = 
BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_959); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
{ 
 obj_t BgL_auxz00_962;
{ /* Llib/_scheduler.scm 267 */
 obj_t BgL_arg1202z00_148;
BgL_arg1202z00_148 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2); 
{ /* Llib/_scheduler.scm 268 */
 obj_t BgL_zc3z04anonymousza31203ze3z87_489;
BgL_zc3z04anonymousza31203ze3z87_489 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31203ze3ze5zz__ft_z52schedulerz52, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31203ze3z87_489, 
(int)(0L), 
((obj_t)BgL_scdlz00_23)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31203ze3z87_489, 
(int)(1L), 
((obj_t)BgL_runnablez00_495)); 
BgL_auxz00_962 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BgL_zc3z04anonymousza31203ze3z87_489, BgL_arg1202z00_148); } } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_auxz00_962),BUNSPEC); } 
if(
CBOOL(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_23)))->BgL_strictzd2orderzf3z21)))
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
BGl_z52sortzd2threadsz80zz__ft_z52schedulerz52(
BGL_UNSAFE_CELL_REF(BgL_runnablez00_495))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 285 */
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)=((obj_t)
BGL_UNSAFE_CELL_REF(BgL_runnablez00_495)),BUNSPEC); } 
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2)))
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC);}  else 
{ /* Llib/_scheduler.scm 288 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_23))->BgL_threadszd2runnablezd2))),BUNSPEC);} } } 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_490, obj_t BgL_tz00_493)
{
{ /* Llib/_scheduler.scm 267 */
{ /* Llib/_scheduler.scm 268 */
 BgL_z52schedulerz52_bglt BgL_i1080z00_491; obj_t BgL_runnablez00_492;
BgL_i1080z00_491 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_490, 
(int)(0L))); 
BgL_runnablez00_492 = 
PROCEDURE_REF(BgL_envz00_490, 
(int)(1L)); 
{ /* Llib/_scheduler.scm 268 */
 bool_t BgL_tmpz00_994;
{ 

{ /* Llib/_scheduler.scm 269 */
 int BgL_aux1084z00_605;
BgL_aux1084z00_605 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_493)))->BgL_z52timeoutz52); 
{ /* Llib/_scheduler.scm 269 */
 obj_t BgL_aux1086z00_606;
BgL_aux1086z00_606 = 
BINT(BgL_aux1084z00_605); 
switch( 
(long)CINT(BgL_aux1086z00_606)) { case 0L : 

BgL_tmpz00_994 = ((bool_t)0); break;case 1L : 

{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_g1121z00_607;
BgL_g1121z00_607 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_493)))->BgL_z52signalsz52); 
{ 
 obj_t BgL_l1119z00_609;
BgL_l1119z00_609 = BgL_g1121z00_607; 
BgL_zc3z04anonymousza31571ze3z87_608:
if(
PAIRP(BgL_l1119z00_609))
{ /* Llib/_scheduler.scm 276 */
{ /* Llib/_scheduler.scm 276 */
 obj_t BgL_sz00_610;
BgL_sz00_610 = 
CAR(BgL_l1119z00_609); 
BGl_signalzd2unbindzd2threadz12z12zz__ft_signalz00(BgL_sz00_610, 
((BgL_threadz00_bglt)
((BgL_fthreadz00_bglt)BgL_tz00_493))); } 
{ 
 obj_t BgL_l1119z00_1006;
BgL_l1119z00_1006 = 
CDR(BgL_l1119z00_609); 
BgL_l1119z00_609 = BgL_l1119z00_1006; 
goto BgL_zc3z04anonymousza31571ze3z87_608;} }  else 
{ /* Llib/_scheduler.scm 276 */((bool_t)1); } } } 
{ /* Llib/_scheduler.scm 277 */
 obj_t BgL_auxz00_611;
BgL_auxz00_611 = 
MAKE_YOUNG_PAIR(BgL_tz00_493, 
BGL_UNSAFE_CELL_REF(BgL_runnablez00_492)); 
BGL_UNSAFE_CELL_SET(BgL_runnablez00_492, BgL_auxz00_611); } 
BgL_tmpz00_994 = ((bool_t)0); break;
default: 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_493)))->BgL_z52timeoutz52)=((int)
(int)(
(
(long)(
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_tz00_493)))->BgL_z52timeoutz52))-1L))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_i1080z00_491))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)1)),BUNSPEC); 
BgL_tmpz00_994 = ((bool_t)1); } } } } 
return 
BBOOL(BgL_tmpz00_994);} } } 

}



/* %start-new-threads */
obj_t BGl_z52startzd2newzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_sz00_24)
{
{ /* Llib/_scheduler.scm 297 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)))
{ /* Llib/_scheduler.scm 301 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 301 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)))
{ /* Llib/_scheduler.scm 303 */
{ 
 obj_t BgL_auxz00_1026;
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1219z00_172; obj_t BgL_arg1220z00_173;
BgL_arg1219z00_172 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2); 
{ /* Llib/_scheduler.scm 309 */
 obj_t BgL_arg1221z00_174;
BgL_arg1221z00_174 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00); 
BgL_arg1220z00_173 = 
bgl_reverse_bang(BgL_arg1221z00_174); } 
BgL_auxz00_1026 = 
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(BgL_arg1219z00_172, BgL_arg1220z00_173); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2)=((obj_t)BgL_auxz00_1026),BUNSPEC); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2))),BUNSPEC); }  else 
{ /* Llib/_scheduler.scm 303 */
BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2), 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00))); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_threadszd2runnablezd2lastzd2pairzd2))),BUNSPEC); } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_sz00_24))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %terminate-threads */
obj_t BGl_z52terminatezd2threadsz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_25)
{
{ /* Llib/_scheduler.scm 319 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)))
{ /* Llib/_scheduler.scm 324 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 329 */
 obj_t BgL_thdsz00_181;
BgL_thdsz00_181 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1635z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
{ /* Llib/_scheduler.scm 340 */
 obj_t BgL_runnablez00_182; obj_t BgL_yieldz00_183; obj_t BgL_timeoutz00_184;
BgL_runnablez00_182 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1636z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)); 
BgL_yieldz00_183 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1637z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)); 
BgL_timeoutz00_184 = 
BGl_filterz12z12zz__r4_control_features_6_9z00(BGl_proc1638z00zz__ft_z52schedulerz52, 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_thdsz00_181),BUNSPEC); 
BGl_z52schedulerzd2switchzd2tozd2nextzd2threadz52zz__ft_z52schedulerz52(
((BgL_fthreadz00_bglt)BgL_scdlz00_25), 
((BgL_schedulerz00_bglt)BgL_scdlz00_25)); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2runnablezd2)=((obj_t)BgL_runnablez00_182),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2yieldzd2)=((obj_t)BgL_yieldz00_183),BUNSPEC); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_25))->BgL_threadszd2timeoutzd2)=((obj_t)BgL_timeoutz00_184),BUNSPEC);} } } 

}



/* &<@anonymous:1244> */
obj_t BGl_z62zc3z04anonymousza31244ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_501, obj_t BgL_tz00_502)
{
{ /* Llib/_scheduler.scm 346 */
{ /* Llib/_scheduler.scm 347 */
 bool_t BgL_tmpz00_1062;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_502), BNIL))
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1062 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 347 */
BgL_tmpz00_1062 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1062);} } 

}



/* &<@anonymous:1235> */
obj_t BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_503, obj_t BgL_tz00_504)
{
{ /* Llib/_scheduler.scm 343 */
{ /* Llib/_scheduler.scm 344 */
 bool_t BgL_tmpz00_1067;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_504), BNIL))
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1067 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 344 */
BgL_tmpz00_1067 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1067);} } 

}



/* &<@anonymous:1229> */
obj_t BGl_z62zc3z04anonymousza31229ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_505, obj_t BgL_tz00_506)
{
{ /* Llib/_scheduler.scm 340 */
{ /* Llib/_scheduler.scm 341 */
 bool_t BgL_tmpz00_1072;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_506), BNIL))
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1072 = ((bool_t)0)
; }  else 
{ /* Llib/_scheduler.scm 341 */
BgL_tmpz00_1072 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_1072);} } 

}



/* &<@anonymous:1264> */
obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__ft_z52schedulerz52(obj_t BgL_envz00_507, obj_t BgL_tz00_508)
{
{ /* Llib/_scheduler.scm 329 */
{ /* Llib/_scheduler.scm 330 */
 bool_t BgL_tmpz00_1077;
if(
BGl_z52threadzd2iszd2toterminatez52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_508), BNIL))
{ /* Llib/_scheduler.scm 330 */
{ /* Llib/_scheduler.scm 332 */
 obj_t BgL_list1265z00_612;
BgL_list1265z00_612 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BGl_z52threadzd2iszd2terminatedz52zz__ft_z52threadz52(
((BgL_fthreadz00_bglt)BgL_tz00_508), BgL_list1265z00_612); } 
BgL_tmpz00_1077 = ((bool_t)1); }  else 
{ /* Llib/_scheduler.scm 330 */
BgL_tmpz00_1077 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_1077);} } 

}



/* %suspend/resume-threads */
obj_t BGl_z52suspendzf2resumezd2threadsz72zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_26)
{
{ /* Llib/_scheduler.scm 364 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)))
{ /* Llib/_scheduler.scm 366 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 366 */
{ /* Llib/_scheduler.scm 368 */
 obj_t BgL_g1112z00_221;
BgL_g1112z00_221 = 
bgl_reverse_bang(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)); 
{ 
 obj_t BgL_l1110z00_223;
BgL_l1110z00_223 = BgL_g1112z00_221; 
BgL_zc3z04anonymousza31272ze3z87_224:
if(
PAIRP(BgL_l1110z00_223))
{ /* Llib/_scheduler.scm 371 */
{ /* Llib/_scheduler.scm 369 */
 obj_t BgL_vz00_226;
BgL_vz00_226 = 
CAR(BgL_l1110z00_223); 
{ /* Llib/_scheduler.scm 369 */
 BgL_fthreadz00_bglt BgL_i1091z00_227;
BgL_i1091z00_227 = 
((BgL_fthreadz00_bglt)
CAR(
((obj_t)BgL_vz00_226))); 
((((BgL_fthreadz00_bglt)COBJECT(BgL_i1091z00_227))->BgL_z52iszd2suspendz80)=((bool_t)
CBOOL(
CDR(
((obj_t)BgL_vz00_226)))),BUNSPEC); } } 
{ 
 obj_t BgL_l1110z00_1100;
BgL_l1110z00_1100 = 
CDR(BgL_l1110z00_223); 
BgL_l1110z00_223 = BgL_l1110z00_1100; 
goto BgL_zc3z04anonymousza31272ze3z87_224;} }  else 
{ /* Llib/_scheduler.scm 371 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_26))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %scheduler-spawn-async */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_27, BgL_z52sigasyncz52_bglt BgL_sigz00_28)
{
{ /* Llib/_scheduler.scm 377 */
if(
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00))
{ /* Llib/_scheduler.scm 379 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_ntz00_509;
BgL_ntz00_509 = 
MAKE_FX_PROCEDURE(BGl_z62ntz62zz__ft_z52schedulerz52, 
(int)(0L), 
(int)(3L)); 
PROCEDURE_SET(BgL_ntz00_509, 
(int)(0L), 
((obj_t)BgL_sigz00_28)); 
PROCEDURE_SET(BgL_ntz00_509, 
(int)(1L), 
((obj_t)BgL_scdlz00_27)); 
PROCEDURE_SET(BgL_ntz00_509, 
(int)(2L), 
((obj_t)BgL_sigz00_28)); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_spawnedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/_scheduler.scm 385 */
 obj_t BgL_arg1337z00_236; obj_t BgL_arg1353z00_237;
BgL_arg1337z00_236 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_27)))->BgL_z52builtinz52); 
BgL_arg1353z00_237 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_sigz00_28))->BgL_idz00); 
BGl_z52asynczd2spawnz80zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1337z00_236), BgL_ntz00_509, BgL_arg1353z00_237); } 
return BUNSPEC;} } 

}



/* &%scheduler-spawn-async */
obj_t BGl_z62z52schedulerzd2spawnzd2asyncz30zz__ft_z52schedulerz52(obj_t BgL_envz00_510, obj_t BgL_scdlz00_511, obj_t BgL_sigz00_512)
{
{ /* Llib/_scheduler.scm 377 */
{ /* Llib/_scheduler.scm 378 */
 BgL_z52sigasyncz52_bglt BgL_auxz00_1131; BgL_z52schedulerz52_bglt BgL_auxz00_1123;
if(
BGl_isazf3zf3zz__objectz00(BgL_sigz00_512, BGl_z52sigasyncz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1131 = 
((BgL_z52sigasyncz52_bglt)BgL_sigz00_512)
; }  else 
{ 
 obj_t BgL_auxz00_1135;
BgL_auxz00_1135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(16633L), BGl_string1639z00zz__ft_z52schedulerz52, BGl_string1628z00zz__ft_z52schedulerz52, BgL_sigz00_512); 
FAILURE(BgL_auxz00_1135,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_511, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 378 */
BgL_auxz00_1123 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_511)
; }  else 
{ 
 obj_t BgL_auxz00_1127;
BgL_auxz00_1127 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(16633L), BGl_string1639z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_511); 
FAILURE(BgL_auxz00_1127,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_auxz00_1123, BgL_auxz00_1131);} } 

}



/* &nt */
obj_t BGl_z62ntz62zz__ft_z52schedulerz52(obj_t BgL_envz00_513)
{
{ /* Llib/_scheduler.scm 380 */
{ /* Llib/_scheduler.scm 381 */
 BgL_z52sigasyncz52_bglt BgL_i1092z00_514; BgL_z52schedulerz52_bglt BgL_scdlz00_515; BgL_z52sigasyncz52_bglt BgL_sigz00_516;
BgL_i1092z00_514 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_513, 
(int)(0L))); 
BgL_scdlz00_515 = 
((BgL_z52schedulerz52_bglt)
PROCEDURE_REF(BgL_envz00_513, 
(int)(1L))); 
BgL_sigz00_516 = 
((BgL_z52sigasyncz52_bglt)
PROCEDURE_REF(BgL_envz00_513, 
(int)(2L))); 
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_arg1355z00_613;
{ /* Llib/_scheduler.scm 381 */
 obj_t BgL_fun1356z00_614;
BgL_fun1356z00_614 = 
(((BgL_z52sigasyncz52_bglt)COBJECT(BgL_i1092z00_514))->BgL_thunkz00); 
BgL_arg1355z00_613 = 
BGL_PROCEDURE_CALL0(BgL_fun1356z00_614); } 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_scdlz00_515, 
((obj_t)BgL_sigz00_516), BgL_arg1355z00_613); } 
return BUNSPEC;} } 

}



/* %spawn-async */
obj_t BGl_z52spawnzd2asyncz80zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_29)
{
{ /* Llib/_scheduler.scm 395 */
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)))
{ /* Llib/_scheduler.scm 397 */
return BFALSE;}  else 
{ /* Llib/_scheduler.scm 397 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_g1115z00_245;
BgL_g1115z00_245 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00); 
{ 
 obj_t BgL_l1113z00_247;
BgL_l1113z00_247 = BgL_g1115z00_245; 
BgL_zc3z04anonymousza31364ze3z87_248:
if(
PAIRP(BgL_l1113z00_247))
{ /* Llib/_scheduler.scm 398 */
{ /* Llib/_scheduler.scm 398 */
 obj_t BgL_sz00_250;
BgL_sz00_250 = 
CAR(BgL_l1113z00_247); 
BGl_z52schedulerzd2spawnzd2asyncz52zz__ft_z52schedulerz52(BgL_scdlz00_29, 
((BgL_z52sigasyncz52_bglt)BgL_sz00_250)); } 
{ 
 obj_t BgL_l1113z00_1164;
BgL_l1113z00_1164 = 
CDR(BgL_l1113z00_247); 
BgL_l1113z00_247 = BgL_l1113z00_1164; 
goto BgL_zc3z04anonymousza31364ze3z87_248;} }  else 
{ /* Llib/_scheduler.scm 398 */((bool_t)1); } } } 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_29))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC);} } 

}



/* %broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_30, obj_t BgL_sigz00_31, obj_t BgL_valz00_32)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1374z00_434;
BgL_arg1374z00_434 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_30)))->BgL_envzb2zb2); 
return 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_sigz00_31, BgL_valz00_32, BgL_arg1374z00_434);} } 

}



/* &%broadcast! */
obj_t BGl_z62z52broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_517, obj_t BgL_scdlz00_518, obj_t BgL_sigz00_519, obj_t BgL_valz00_520)
{
{ /* Llib/_scheduler.scm 404 */
{ /* Llib/_scheduler.scm 407 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1170;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_518, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 407 */
BgL_auxz00_1170 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_518)
; }  else 
{ 
 obj_t BgL_auxz00_1174;
BgL_auxz00_1174 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(17989L), BGl_string1640z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_518); 
FAILURE(BgL_auxz00_1174,BFALSE,BFALSE);} 
return 
BGl_z52broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1170, BgL_sigz00_519, BgL_valz00_520);} } 

}



/* %scheduler-broadcast*! */
obj_t BGl_z52schedulerzd2broadcastza2z12z30zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_33)
{
{ /* Llib/_scheduler.scm 413 */
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1376z00_258;
BgL_arg1376z00_258 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1376z00_258)); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_g1098z00_259;
if(
NULLP(
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)))
{ /* Llib/_scheduler.scm 421 */
BgL_g1098z00_259 = BFALSE; }  else 
{ /* Llib/_scheduler.scm 421 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_g1118z00_264;
BgL_g1118z00_264 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00); 
{ 
 obj_t BgL_l1116z00_266;
BgL_l1116z00_266 = BgL_g1118z00_264; 
BgL_zc3z04anonymousza31384ze3z87_267:
if(
PAIRP(BgL_l1116z00_266))
{ /* Llib/_scheduler.scm 423 */
{ /* Llib/_scheduler.scm 423 */
 obj_t BgL_arg1396z00_269;
BgL_arg1396z00_269 = 
CAR(BgL_l1116z00_266); 
{ /* Llib/_scheduler.scm 415 */
 obj_t BgL_arg1402z00_443; obj_t BgL_arg1406z00_444;
BgL_arg1402z00_443 = 
CAR(
((obj_t)BgL_arg1396z00_269)); 
BgL_arg1406z00_444 = 
CDR(
((obj_t)BgL_arg1396z00_269)); 
{ /* Llib/_scheduler.scm 408 */
 obj_t BgL_arg1374z00_449;
BgL_arg1374z00_449 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_33)))->BgL_envzb2zb2); 
BGl_signalzd2emitzd2zz__ft_signalz00(BgL_arg1402z00_443, BgL_arg1406z00_444, BgL_arg1374z00_449); } } } 
{ 
 obj_t BgL_l1116z00_1197;
BgL_l1116z00_1197 = 
CDR(BgL_l1116z00_266); 
BgL_l1116z00_266 = BgL_l1116z00_1197; 
goto BgL_zc3z04anonymousza31384ze3z87_267;} }  else 
{ /* Llib/_scheduler.scm 423 */((bool_t)1); } } } 
BgL_g1098z00_259 = 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_33))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); } 
{ /* Llib/_scheduler.scm 416 */
 obj_t BgL_arg1377z00_260;
BgL_arg1377z00_260 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_33)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1377z00_260)); } 
return BgL_g1098z00_259;} } 

}



/* %scheduler-add-broadcast! */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_34, obj_t BgL_sigz00_35, obj_t BgL_valz00_36)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1409z00_279;
BgL_arg1409z00_279 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2synchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1409z00_279)); } 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_g1101z00_280;
{ /* Llib/_scheduler.scm 437 */
 obj_t BgL_svz00_283;
BgL_svz00_283 = 
MAKE_YOUNG_PAIR(BgL_sigz00_35, BgL_valz00_36); 
{ 
 obj_t BgL_auxz00_1209;
{ /* Llib/_scheduler.scm 438 */
 obj_t BgL_arg1411z00_284;
BgL_arg1411z00_284 = 
(((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00); 
BgL_auxz00_1209 = 
MAKE_YOUNG_PAIR(BgL_svz00_283, BgL_arg1411z00_284); } 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_scdlz00_34))->BgL_tobroadcastz00)=((obj_t)BgL_auxz00_1209),BUNSPEC); } } 
{ /* Llib/_scheduler.scm 439 */
 obj_t BgL_arg1412z00_285;
BgL_arg1412z00_285 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2schedulerzd2notifyz52zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1412z00_285)); } 
BgL_g1101z00_280 = BUNSPEC; 
{ /* Llib/_scheduler.scm 434 */
 obj_t BgL_arg1410z00_281;
BgL_arg1410z00_281 = 
(((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_scdlz00_34)))->BgL_z52builtinz52); 
BGl_z52asynczd2asynchroniza7ez27zz__ft_z52pthreadz52(
((BgL_z52pthreadz52_bglt)BgL_arg1410z00_281)); } 
return BgL_g1101z00_280;} } 

}



/* &%scheduler-add-broadcast! */
obj_t BGl_z62z52schedulerzd2addzd2broadcastz12z22zz__ft_z52schedulerz52(obj_t BgL_envz00_521, obj_t BgL_scdlz00_522, obj_t BgL_sigz00_523, obj_t BgL_valz00_524)
{
{ /* Llib/_scheduler.scm 433 */
{ /* Llib/_scheduler.scm 434 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1221;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_522, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 434 */
BgL_auxz00_1221 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_522)
; }  else 
{ 
 obj_t BgL_auxz00_1225;
BgL_auxz00_1225 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(19122L), BGl_string1641z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_522); 
FAILURE(BgL_auxz00_1225,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2addzd2broadcastz12z40zz__ft_z52schedulerz52(BgL_auxz00_1221, BgL_sigz00_523, BgL_valz00_524);} } 

}



/* %scheduler-time */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_schedulerz00_bglt BgL_scdlz00_37)
{
{ /* Llib/_scheduler.scm 445 */
return 
BINT(
(((BgL_ftenvz00_bglt)COBJECT(
((BgL_ftenvz00_bglt)
CAR(
(((BgL_schedulerz00_bglt)COBJECT(BgL_scdlz00_37))->BgL_envzb2zb2)))))->BgL_instantz00));} 

}



/* &%scheduler-time */
obj_t BGl_z62z52schedulerzd2timeze2zz__ft_z52schedulerz52(obj_t BgL_envz00_525, obj_t BgL_scdlz00_526)
{
{ /* Llib/_scheduler.scm 445 */
{ /* Llib/_scheduler.scm 447 */
 BgL_schedulerz00_bglt BgL_auxz00_1235;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_526, BGl_schedulerz00zz__ft_typesz00))
{ /* Llib/_scheduler.scm 447 */
BgL_auxz00_1235 = 
((BgL_schedulerz00_bglt)BgL_scdlz00_526)
; }  else 
{ 
 obj_t BgL_auxz00_1239;
BgL_auxz00_1239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(19672L), BGl_string1642z00zz__ft_z52schedulerz52, BGl_string1631z00zz__ft_z52schedulerz52, BgL_scdlz00_526); 
FAILURE(BgL_auxz00_1239,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2timez80zz__ft_z52schedulerz52(BgL_auxz00_1235);} } 

}



/* %scheduler-waiting-threads */
BGL_EXPORTED_DEF obj_t BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt BgL_scdlz00_38)
{
{ /* Llib/_scheduler.scm 453 */
{ 
 obj_t BgL_envsz00_293; obj_t BgL_thsz00_294;
{ /* Llib/_scheduler.scm 455 */
 obj_t BgL_arg1414z00_292;
BgL_arg1414z00_292 = 
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2); 
BgL_envsz00_293 = BgL_arg1414z00_292; 
BgL_thsz00_294 = BNIL; 
BgL_zc3z04anonymousza31415ze3z87_295:
if(
PAIRP(BgL_envsz00_293))
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1445z00_297; obj_t BgL_arg1446z00_298;
BgL_arg1445z00_297 = 
CDR(BgL_envsz00_293); 
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1482z00_299;
{ /* Llib/_scheduler.scm 458 */
 obj_t BgL_arg1483z00_300;
BgL_arg1483z00_300 = 
CAR(
(((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_scdlz00_38)))->BgL_envzb2zb2)); 
BgL_arg1482z00_299 = 
BGl_ftenvzd2threadszd2zz__ft_envz00(
((BgL_ftenvz00_bglt)BgL_arg1483z00_300)); } 
BgL_arg1446z00_298 = 
BGl_appendzd221010zd2zz__ft_z52schedulerz52(BgL_arg1482z00_299, BgL_thsz00_294); } 
{ 
 obj_t BgL_thsz00_1256; obj_t BgL_envsz00_1255;
BgL_envsz00_1255 = BgL_arg1445z00_297; 
BgL_thsz00_1256 = BgL_arg1446z00_298; 
BgL_thsz00_294 = BgL_thsz00_1256; 
BgL_envsz00_293 = BgL_envsz00_1255; 
goto BgL_zc3z04anonymousza31415ze3z87_295;} }  else 
{ /* Llib/_scheduler.scm 457 */
return BgL_thsz00_294;} } } } 

}



/* &%scheduler-waiting-threads */
obj_t BGl_z62z52schedulerzd2waitingzd2threadsz30zz__ft_z52schedulerz52(obj_t BgL_envz00_527, obj_t BgL_scdlz00_528)
{
{ /* Llib/_scheduler.scm 453 */
{ /* Llib/_scheduler.scm 454 */
 BgL_z52schedulerz52_bglt BgL_auxz00_1257;
if(
BGl_isazf3zf3zz__objectz00(BgL_scdlz00_528, BGl_z52schedulerz52zz__ft_z52typesz52))
{ /* Llib/_scheduler.scm 454 */
BgL_auxz00_1257 = 
((BgL_z52schedulerz52_bglt)BgL_scdlz00_528)
; }  else 
{ 
 obj_t BgL_auxz00_1261;
BgL_auxz00_1261 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1620z00zz__ft_z52schedulerz52, 
BINT(19994L), BGl_string1643z00zz__ft_z52schedulerz52, BGl_string1625z00zz__ft_z52schedulerz52, BgL_scdlz00_528); 
FAILURE(BgL_auxz00_1261,BFALSE,BFALSE);} 
return 
BGl_z52schedulerzd2waitingzd2threadsz52zz__ft_z52schedulerz52(BgL_auxz00_1257);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52schedulerz52(void)
{
{ /* Llib/_scheduler.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(414892275L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(0L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(427827911L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(536507091L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(360853603L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(471565054L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(295111899L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_z52pthreadz52(486293435L, 
BSTRING_TO_STRING(BGl_string1644z00zz__ft_z52schedulerz52));} 

}

#ifdef __cplusplus
}
#endif
