/*===========================================================================*/
/*   (Llib/mpg123.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -srfi mpg123 -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/mpg123.scm -o objs/mpg123.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <mpg123.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___MPG123_MPG123_TYPE_DEFINITIONS
#define BGL___MPG123_MPG123_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_mpg123zd2handlezd2_bgl {
   header_t header;
   obj_t widening;
   mpg123_handle * BgL_z42builtinz42;
   obj_t BgL_decoderz00;
   long BgL_siza7eza7;
} *BgL_mpg123zd2handlezd2_bglt;

typedef struct BgL_z62mpg123zd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62mpg123zd2errorzb0_bglt;


#endif // BGL___MPG123_MPG123_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_mpg123_getparam(obj_t, enum mpg123_parms);
static obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00(void);
BGL_EXPORTED_DECL long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, long);
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = BUNSPEC;
BGL_EXPORTED_DECL long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
static obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00(void);
BGL_EXPORTED_DECL obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
BGL_EXPORTED_DECL int bgl_mpg123_error(char *, char *, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00(void);
static obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt, obj_t, long, long, obj_t, long);
static obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern int bgl_mpg123_decode(obj_t, char *, long, long, char *, long);
extern long bgl_mpg123_info(obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__mpg123_mpg123z00(obj_t);
extern long bgl_mpg123_position(mpg123_handle *);
static obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__mpg123_mpg123z00(obj_t);
BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1265z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00(void);
static enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(void);
static BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1270z62zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62lambda1354z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1355z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
extern double bgl_mpg123_getvolume(mpg123_handle *);
static obj_t BGl_z62lambda1363z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1364z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31279ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1377z62zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62lambda1378z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_EXPORTED_DECL long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1387z62zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mpg123zd2error1416zb0zz__mpg123_mpg123z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31379ze3ze5zz__mpg123_mpg123z00(obj_t);
static BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1397z62zz__mpg123_mpg123z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int);
extern long bgl_mpg123_getformat(mpg123_handle *);
static obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31399ze3ze5zz__mpg123_mpg123z00(obj_t, obj_t);
static obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt);
extern mpg123_handle * bgl_mpg123_new(char *);
static obj_t __cnst[ 40 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2paramzd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2para1572z00, BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2resetz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1573z00, BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1501z00zz__mpg123_mpg123z00, BgL_bgl_string1501za700za7za7_1574za7, "mpg123-handle-init1098", 22 );
DEFINE_STRING( BGl_string1502z00zz__mpg123_mpg123z00, BgL_bgl_string1502za700za7za7_1575za7, "&mpg123-handle-init", 19 );
DEFINE_STRING( BGl_string1503z00zz__mpg123_mpg123z00, BgL_bgl_string1503za700za7za7_1576za7, "&mpg123-error __mpg123_mpg123 mpg123-handle long size obj decoder $mpg123-handle $builtin index-size resync-limit remove-flags timeout outscale icy-interval decode-frames start-frame upspeed downspeed rva down-sample force-rate add-flags flags verbose float64 float u32 s32 mu-law a-law s8 u8 u16 s16 done need-more err new-format ok ", 334 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1500z00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1577z00, BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2infozd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2info1578z00, BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2getzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1579z00, BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1455z00zz__mpg123_mpg123z00, BgL_bgl_string1455za700za7za7_1580za7, "mpg123", 6 );
DEFINE_STRING( BGl_string1456z00zz__mpg123_mpg123z00, BgL_bgl_string1456za700za7za7_1581za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/mpg123/src/Llib/mpg123.scm", 82 );
DEFINE_STRING( BGl_string1457z00zz__mpg123_mpg123z00, BgL_bgl_string1457za700za7za7_1582za7, "&mpg123-handle-close", 20 );
DEFINE_STRING( BGl_string1458z00zz__mpg123_mpg123z00, BgL_bgl_string1458za700za7za7_1583za7, "mpg123-handle", 13 );
DEFINE_STRING( BGl_string1459z00zz__mpg123_mpg123z00, BgL_bgl_string1459za700za7za7_1584za7, "&mpg123-handle-reset!", 21 );
DEFINE_STRING( BGl_string1460z00zz__mpg123_mpg123z00, BgL_bgl_string1460za700za7za7_1585za7, "&mpg123-error1416", 17 );
DEFINE_STRING( BGl_string1461z00zz__mpg123_mpg123z00, BgL_bgl_string1461za700za7za7_1586za7, "bstring", 7 );
DEFINE_STRING( BGl_string1462z00zz__mpg123_mpg123z00, BgL_bgl_string1462za700za7za7_1587za7, "&mpg123-decode", 14 );
DEFINE_STRING( BGl_string1463z00zz__mpg123_mpg123z00, BgL_bgl_string1463za700za7za7_1588za7, "bint", 4 );
DEFINE_STRING( BGl_string1464z00zz__mpg123_mpg123z00, BgL_bgl_string1464za700za7za7_1589za7, "&mpg123-get-format", 18 );
DEFINE_STRING( BGl_string1465z00zz__mpg123_mpg123z00, BgL_bgl_string1465za700za7za7_1590za7, "&mpg123-position", 16 );
DEFINE_STRING( BGl_string1466z00zz__mpg123_mpg123z00, BgL_bgl_string1466za700za7za7_1591za7, "mpg123-decode-status->symbol", 28 );
DEFINE_STRING( BGl_string1467z00zz__mpg123_mpg123z00, BgL_bgl_string1467za700za7za7_1592za7, "Unknown decode-status", 21 );
DEFINE_STRING( BGl_string1468z00zz__mpg123_mpg123z00, BgL_bgl_string1468za700za7za7_1593za7, "&mpg123-decode-status->symbol", 29 );
DEFINE_STRING( BGl_string1469z00zz__mpg123_mpg123z00, BgL_bgl_string1469za700za7za7_1594za7, "mpg123-format->alsa-format", 26 );
DEFINE_STRING( BGl_string1470z00zz__mpg123_mpg123z00, BgL_bgl_string1470za700za7za7_1595za7, "Unknown format", 14 );
DEFINE_STRING( BGl_string1471z00zz__mpg123_mpg123z00, BgL_bgl_string1471za700za7za7_1596za7, "&mpg123-param-get", 17 );
DEFINE_STRING( BGl_string1472z00zz__mpg123_mpg123z00, BgL_bgl_string1472za700za7za7_1597za7, "symbol", 6 );
DEFINE_STRING( BGl_string1473z00zz__mpg123_mpg123z00, BgL_bgl_string1473za700za7za7_1598za7, "mpg123-param->symbol", 20 );
DEFINE_STRING( BGl_string1474z00zz__mpg123_mpg123z00, BgL_bgl_string1474za700za7za7_1599za7, "unknown param", 13 );
DEFINE_STRING( BGl_string1475z00zz__mpg123_mpg123z00, BgL_bgl_string1475za700za7za7_1600za7, "&mpg123-info", 12 );
DEFINE_STRING( BGl_string1476z00zz__mpg123_mpg123z00, BgL_bgl_string1476za700za7za7_1601za7, "MPG123-SEEK, f=", 15 );
DEFINE_STRING( BGl_string1477z00zz__mpg123_mpg123z00, BgL_bgl_string1477za700za7za7_1602za7, ":", 1 );
DEFINE_STRING( BGl_string1478z00zz__mpg123_mpg123z00, BgL_bgl_string1478za700za7za7_1603za7, ",", 1 );
DEFINE_STRING( BGl_string1479z00zz__mpg123_mpg123z00, BgL_bgl_string1479za700za7za7_1604za7, "Llib/mpg123.scm", 15 );
DEFINE_STRING( BGl_string1480z00zz__mpg123_mpg123z00, BgL_bgl_string1480za700za7za7_1605za7, "MPG123-SEEK, o=", 15 );
DEFINE_STRING( BGl_string1481z00zz__mpg123_mpg123z00, BgL_bgl_string1481za700za7za7_1606za7, "&mpg123-seek", 12 );
DEFINE_STRING( BGl_string1482z00zz__mpg123_mpg123z00, BgL_bgl_string1482za700za7za7_1607za7, "Cannot get volume", 17 );
DEFINE_STRING( BGl_string1483z00zz__mpg123_mpg123z00, BgL_bgl_string1483za700za7za7_1608za7, "&mpg123-volume-get", 18 );
DEFINE_STRING( BGl_string1484z00zz__mpg123_mpg123z00, BgL_bgl_string1484za700za7za7_1609za7, "&mpg123-volume-set!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1485z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1610za7, BGl_z62zc3z04anonymousza31356ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1486z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1355za7621611z00, BGl_z62lambda1355z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1487z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1354za7621612z00, BGl_z62lambda1354z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1488z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1613za7, BGl_z62zc3z04anonymousza31365ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1489z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1364za7621614z00, BGl_z62lambda1364z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1490z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1363za7621615z00, BGl_z62lambda1363z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1491z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1616za7, BGl_z62zc3z04anonymousza31379ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1492z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1378za7621617z00, BGl_z62lambda1378z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1493z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1377za7621618z00, BGl_z62lambda1377z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1494z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1619za7, BGl_z62zc3z04anonymousza31279ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1495z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1270za7621620z00, BGl_z62lambda1270z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1496z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1265za7621621z00, BGl_z62lambda1265z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1497z00zz__mpg123_mpg123z00, BgL_bgl_za762za7c3za704anonymo1622za7, BGl_z62zc3z04anonymousza31399ze3ze5zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1498z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1397za7621623z00, BGl_z62lambda1397z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1499z00zz__mpg123_mpg123z00, BgL_bgl_za762lambda1387za7621624z00, BGl_z62lambda1387z62zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2errorzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2erro1625z00, BGl_z62mpg123zd2error1416zb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1626z00, BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2volumezd2setz12zd2envzc0zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2volu1627z00, BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2statuszd2ze3symbolzd2envze3zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1628z00, BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2positionzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2posi1629z00, BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52z42mpg123zd2handlezd2nilzd2envzc2zz__mpg123_mpg123z00, BgL_bgl_za762za752za742mpg123za71630z00, BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2getzd2formatzd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2getza71631za7, BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2decodezd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2deco1632z00, BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2seekzd2envz00zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2seek1633z00, BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mpg123zd2handlezd2closezd2envzd2zz__mpg123_mpg123z00, BgL_bgl_za762mpg123za7d2hand1634z00, BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00) );
ADD_ROOT( (void *)(&BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mpg123_mpg123z00(long BgL_checksumz00_681, char * BgL_fromz00_682)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00))
{ 
BGl_requirezd2initializa7ationz75zz__mpg123_mpg123z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(); 
BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(); 
BGl_cnstzd2initzd2zz__mpg123_mpg123z00(); 
BGl_objectzd2initzd2zz__mpg123_mpg123z00(); 
BGl_genericzd2initzd2zz__mpg123_mpg123z00(); 
return 
BGl_toplevelzd2initzd2zz__mpg123_mpg123z00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__mpg123_mpg123"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__mpg123_mpg123"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_cportz00_605;
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_stringz00_612;
BgL_stringz00_612 = BGl_string1503z00zz__mpg123_mpg123z00; 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_startz00_613;
BgL_startz00_613 = 
BINT(0L); 
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_endz00_614;
BgL_endz00_614 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_612))); 
{ /* Llib/mpg123.scm 15 */

BgL_cportz00_605 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_612, BgL_startz00_613, BgL_endz00_614); } } } } 
{ 
 long BgL_iz00_606;
BgL_iz00_606 = 39L; 
BgL_loopz00_607:
if(
(BgL_iz00_606==(-1L)))
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 15 */
 obj_t BgL_arg1570z00_608;
{ /* Llib/mpg123.scm 15 */

{ /* Llib/mpg123.scm 15 */
 obj_t BgL_locationz00_610;
BgL_locationz00_610 = 
BBOOL(((bool_t)0)); 
{ /* Llib/mpg123.scm 15 */

BgL_arg1570z00_608 = 
BGl_readz00zz__readerz00(BgL_cportz00_605, BgL_locationz00_610); } } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_tmpz00_714;
BgL_tmpz00_714 = 
(int)(BgL_iz00_606); 
CNST_TABLE_SET(BgL_tmpz00_714, BgL_arg1570z00_608); } } 
{ /* Llib/mpg123.scm 15 */
 int BgL_auxz00_611;
BgL_auxz00_611 = 
(int)(
(BgL_iz00_606-1L)); 
{ 
 long BgL_iz00_719;
BgL_iz00_719 = 
(long)(BgL_auxz00_611); 
BgL_iz00_606 = BgL_iz00_719; 
goto BgL_loopz00_607;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 222 */
 int BgL_errz00_32;
BgL_errz00_32 = 
mpg123_init(); 
if(
(
(long)(BgL_errz00_32)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 223 */
return BFALSE;}  else 
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1101z00_34;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1076z00_35;
{ /* Llib/mpg123.scm 224 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1075z00_38;
BgL_new1075z00_38 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 224 */
 long BgL_arg1107z00_39;
BgL_arg1107z00_39 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_38), BgL_arg1107z00_39); } 
BgL_new1076z00_35 = BgL_new1075z00_38; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_735;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1102z00_36;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_arg1106z00_37;
{ /* Llib/mpg123.scm 224 */
 obj_t BgL_classz00_296;
BgL_classz00_296 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1106z00_37 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_296); } 
BgL_arg1102z00_36 = 
VECTOR_REF(BgL_arg1106z00_37,2L); } 
BgL_auxz00_735 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1102z00_36); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_35)))->BgL_stackz00)=((obj_t)BgL_auxz00_735),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_procz00)=((obj_t)BGl_string1455z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_32))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_35)))->BgL_objz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1101z00_34 = BgL_new1076z00_35; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1101z00_34));} } } 

}



/* %$mpg123-handle-nil */
BGL_EXPORTED_DEF obj_t BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 48 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &%$mpg123-handle-nil */
obj_t BGl_z62z52z42mpg123zd2handlezd2nilz72zz__mpg123_mpg123z00(obj_t BgL_envz00_456)
{
{ /* Llib/mpg123.scm 48 */
return 
BGl_z52z42mpg123zd2handlezd2nilz10zz__mpg123_mpg123z00();} 

}



/* mpg123-handle-close */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_4)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 66 */
 mpg123_handle * BgL_arg1117z00_299;
BgL_arg1117z00_299 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_4))->BgL_z42builtinz42); 
mpg123_delete(BgL_arg1117z00_299); BUNSPEC; } 
return 
((obj_t)BgL_oz00_4);} 

}



/* &mpg123-handle-close */
obj_t BGl_z62mpg123zd2handlezd2closez62zz__mpg123_mpg123z00(obj_t BgL_envz00_457, obj_t BgL_oz00_458)
{
{ /* Llib/mpg123.scm 64 */
{ /* Llib/mpg123.scm 65 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_756;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_458, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 65 */
BgL_auxz00_756 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_458)
; }  else 
{ 
 obj_t BgL_auxz00_760;
BgL_auxz00_760 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(3009L), BGl_string1457z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_oz00_458); 
FAILURE(BgL_auxz00_760,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2closez00zz__mpg123_mpg123z00(BgL_auxz00_756);} } 

}



/* mpg123-handle-reset! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_5)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 74 */
 mpg123_handle * BgL_tmpz00_765;
BgL_tmpz00_765 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
mpg123_close(BgL_tmpz00_765); } 
{ /* Llib/mpg123.scm 75 */
 mpg123_handle * BgL_arg1119z00_302;
BgL_arg1119z00_302 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_oz00_5))->BgL_z42builtinz42); 
return 
BINT(
mpg123_open_feed(BgL_arg1119z00_302));} } 

}



/* &mpg123-handle-reset! */
obj_t BGl_z62mpg123zd2handlezd2resetz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_459, obj_t BgL_oz00_460)
{
{ /* Llib/mpg123.scm 72 */
{ /* Llib/mpg123.scm 73 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_771;
if(
BGl_isazf3zf3zz__objectz00(BgL_oz00_460, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 73 */
BgL_auxz00_771 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_460)
; }  else 
{ 
 obj_t BgL_auxz00_775;
BgL_auxz00_775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(3366L), BGl_string1459z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_oz00_460); 
FAILURE(BgL_auxz00_775,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2handlezd2resetz12z12zz__mpg123_mpg123z00(BgL_auxz00_771);} } 

}



/* mpg123-error */
BGL_EXPORTED_DEF int bgl_mpg123_error(char * BgL_procz00_6, char * BgL_msgz00_7, obj_t BgL_objz00_8)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1120z00_54;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1065z00_55;
{ /* Llib/mpg123.scm 81 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1064z00_58;
BgL_new1064z00_58 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 81 */
 long BgL_arg1123z00_59;
BgL_arg1123z00_59 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_58), BgL_arg1123z00_59); } 
BgL_new1065z00_55 = BgL_new1064z00_58; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_55)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_55)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_788;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1121z00_56;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_arg1122z00_57;
{ /* Llib/mpg123.scm 81 */
 obj_t BgL_classz00_306;
BgL_classz00_306 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1122z00_57 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_306); } 
BgL_arg1121z00_56 = 
VECTOR_REF(BgL_arg1122z00_57,2L); } 
BgL_auxz00_788 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1121z00_56); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1065z00_55)))->BgL_stackz00)=((obj_t)BgL_auxz00_788),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_55)))->BgL_procz00)=((obj_t)
string_to_bstring(BgL_procz00_6)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_55)))->BgL_msgz00)=((obj_t)
string_to_bstring(BgL_msgz00_7)),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1065z00_55)))->BgL_objz00)=((obj_t)BgL_objz00_8),BUNSPEC); 
BgL_arg1120z00_54 = BgL_new1065z00_55; } 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1120z00_54)); } 
return 
(int)(0L);} 

}



/* &mpg123-error1416 */
obj_t BGl_z62mpg123zd2error1416zb0zz__mpg123_mpg123z00(obj_t BgL_envz00_461, obj_t BgL_procz00_462, obj_t BgL_msgz00_463, obj_t BgL_objz00_464)
{
{ /* Llib/mpg123.scm 80 */
{ /* Llib/mpg123.scm 84 */
 int BgL_tmpz00_805;
{ /* Llib/mpg123.scm 84 */
 char * BgL_auxz00_815; char * BgL_auxz00_806;
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_816;
if(
STRINGP(BgL_msgz00_463))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_816 = BgL_msgz00_463
; }  else 
{ 
 obj_t BgL_auxz00_819;
BgL_auxz00_819 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(3828L), BGl_string1460z00zz__mpg123_mpg123z00, BGl_string1461z00zz__mpg123_mpg123z00, BgL_msgz00_463); 
FAILURE(BgL_auxz00_819,BFALSE,BFALSE);} 
BgL_auxz00_815 = 
BSTRING_TO_STRING(BgL_tmpz00_816); } 
{ /* Llib/mpg123.scm 84 */
 obj_t BgL_tmpz00_807;
if(
STRINGP(BgL_procz00_462))
{ /* Llib/mpg123.scm 84 */
BgL_tmpz00_807 = BgL_procz00_462
; }  else 
{ 
 obj_t BgL_auxz00_810;
BgL_auxz00_810 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(3828L), BGl_string1460z00zz__mpg123_mpg123z00, BGl_string1461z00zz__mpg123_mpg123z00, BgL_procz00_462); 
FAILURE(BgL_auxz00_810,BFALSE,BFALSE);} 
BgL_auxz00_806 = 
BSTRING_TO_STRING(BgL_tmpz00_807); } 
BgL_tmpz00_805 = 
bgl_mpg123_error(BgL_auxz00_806, BgL_auxz00_815, BgL_objz00_464); } 
return 
BINT(BgL_tmpz00_805);} } 

}



/* mpg123-decode */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_9, obj_t BgL_inbufz00_10, long BgL_inoffz00_11, long BgL_insza7za7_12, obj_t BgL_outbufz00_13, long BgL_outsza7za7_14)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 int BgL_statusz00_308;
BgL_statusz00_308 = 
bgl_mpg123_decode(
((obj_t)BgL_mz00_9), 
BSTRING_TO_STRING(BgL_inbufz00_10), BgL_inoffz00_11, BgL_insza7za7_12, 
BSTRING_TO_STRING(BgL_outbufz00_13), BgL_outsza7za7_14); 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_val0_1089z00_309; long BgL_val1_1090z00_310;
BgL_val0_1089z00_309 = 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_statusz00_308); 
BgL_val1_1090z00_310 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_9))->BgL_siza7eza7); 
{ /* Llib/mpg123.scm 92 */
 int BgL_tmpz00_832;
BgL_tmpz00_832 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_832); } 
{ /* Llib/mpg123.scm 92 */
 obj_t BgL_auxz00_837; int BgL_tmpz00_835;
BgL_auxz00_837 = 
BINT(BgL_val1_1090z00_310); 
BgL_tmpz00_835 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_835, BgL_auxz00_837); } 
return BgL_val0_1089z00_309;} } } 

}



/* &mpg123-decode */
obj_t BGl_z62mpg123zd2decodezb0zz__mpg123_mpg123z00(obj_t BgL_envz00_465, obj_t BgL_mz00_466, obj_t BgL_inbufz00_467, obj_t BgL_inoffz00_468, obj_t BgL_insza7za7_469, obj_t BgL_outbufz00_470, obj_t BgL_outsza7za7_471)
{
{ /* Llib/mpg123.scm 90 */
{ /* Llib/mpg123.scm 91 */
 long BgL_auxz00_880; obj_t BgL_auxz00_873; long BgL_auxz00_864; long BgL_auxz00_855; obj_t BgL_auxz00_848; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_840;
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_881;
if(
INTEGERP(BgL_outsza7za7_471))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_881 = BgL_outsza7za7_471
; }  else 
{ 
 obj_t BgL_auxz00_884;
BgL_auxz00_884 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1463z00zz__mpg123_mpg123z00, BgL_outsza7za7_471); 
FAILURE(BgL_auxz00_884,BFALSE,BFALSE);} 
BgL_auxz00_880 = 
(long)CINT(BgL_tmpz00_881); } 
if(
STRINGP(BgL_outbufz00_470))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_873 = BgL_outbufz00_470
; }  else 
{ 
 obj_t BgL_auxz00_876;
BgL_auxz00_876 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1461z00zz__mpg123_mpg123z00, BgL_outbufz00_470); 
FAILURE(BgL_auxz00_876,BFALSE,BFALSE);} 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_865;
if(
INTEGERP(BgL_insza7za7_469))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_865 = BgL_insza7za7_469
; }  else 
{ 
 obj_t BgL_auxz00_868;
BgL_auxz00_868 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1463z00zz__mpg123_mpg123z00, BgL_insza7za7_469); 
FAILURE(BgL_auxz00_868,BFALSE,BFALSE);} 
BgL_auxz00_864 = 
(long)CINT(BgL_tmpz00_865); } 
{ /* Llib/mpg123.scm 91 */
 obj_t BgL_tmpz00_856;
if(
INTEGERP(BgL_inoffz00_468))
{ /* Llib/mpg123.scm 91 */
BgL_tmpz00_856 = BgL_inoffz00_468
; }  else 
{ 
 obj_t BgL_auxz00_859;
BgL_auxz00_859 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1463z00zz__mpg123_mpg123z00, BgL_inoffz00_468); 
FAILURE(BgL_auxz00_859,BFALSE,BFALSE);} 
BgL_auxz00_855 = 
(long)CINT(BgL_tmpz00_856); } 
if(
STRINGP(BgL_inbufz00_467))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_848 = BgL_inbufz00_467
; }  else 
{ 
 obj_t BgL_auxz00_851;
BgL_auxz00_851 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1461z00zz__mpg123_mpg123z00, BgL_inbufz00_467); 
FAILURE(BgL_auxz00_851,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_466, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 91 */
BgL_auxz00_840 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_466)
; }  else 
{ 
 obj_t BgL_auxz00_844;
BgL_auxz00_844 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4133L), BGl_string1462z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_466); 
FAILURE(BgL_auxz00_844,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2decodezd2zz__mpg123_mpg123z00(BgL_auxz00_840, BgL_auxz00_848, BgL_auxz00_855, BgL_auxz00_864, BgL_auxz00_873, BgL_auxz00_880);} } 

}



/* mpg123-get-format */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_15)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 101 */
 long BgL_ratez00_65;
BgL_ratez00_65 = 
bgl_mpg123_getformat(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_15))->BgL_z42builtinz42)); 
{ /* Llib/mpg123.scm 102 */
 obj_t BgL_channelsz00_66; obj_t BgL_encodingz00_67;
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_312;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_892;
BgL_tmpz00_892 = 
(int)(1L); 
BgL_tmpz00_312 = 
BGL_MVALUES_VAL(BgL_tmpz00_892); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_895;
BgL_tmpz00_895 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_895, BUNSPEC); } 
BgL_channelsz00_66 = BgL_tmpz00_312; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_tmpz00_313;
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_898;
BgL_tmpz00_898 = 
(int)(2L); 
BgL_tmpz00_313 = 
BGL_MVALUES_VAL(BgL_tmpz00_898); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_901;
BgL_tmpz00_901 = 
(int)(2L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_901, BUNSPEC); } 
BgL_encodingz00_67 = BgL_tmpz00_313; } 
{ /* Llib/mpg123.scm 103 */
 obj_t BgL_val2_1093z00_70;
BgL_val2_1093z00_70 = 
BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(BgL_encodingz00_67); 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_905;
BgL_tmpz00_905 = 
(int)(3L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_905); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_908;
BgL_tmpz00_908 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_908, BgL_channelsz00_66); } 
{ /* Llib/mpg123.scm 103 */
 int BgL_tmpz00_911;
BgL_tmpz00_911 = 
(int)(2L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_911, BgL_val2_1093z00_70); } 
return 
BINT(BgL_ratez00_65);} } } } 

}



/* &mpg123-get-format */
obj_t BGl_z62mpg123zd2getzd2formatz62zz__mpg123_mpg123z00(obj_t BgL_envz00_472, obj_t BgL_mz00_473)
{
{ /* Llib/mpg123.scm 99 */
{ /* Llib/mpg123.scm 100 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_915;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_473, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 100 */
BgL_auxz00_915 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_473)
; }  else 
{ 
 obj_t BgL_auxz00_919;
BgL_auxz00_919 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(4578L), BGl_string1464z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_473); 
FAILURE(BgL_auxz00_919,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2getzd2formatz00zz__mpg123_mpg123z00(BgL_auxz00_915);} } 

}



/* mpg123-position */
BGL_EXPORTED_DEF long BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_16)
{
{ /* Llib/mpg123.scm 108 */
return 
bgl_mpg123_position(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_16))->BgL_z42builtinz42));} 

}



/* &mpg123-position */
obj_t BGl_z62mpg123zd2positionzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_474, obj_t BgL_mz00_475)
{
{ /* Llib/mpg123.scm 108 */
{ /* Llib/mpg123.scm 109 */
 long BgL_tmpz00_926;
{ /* Llib/mpg123.scm 109 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_927;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_475, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 109 */
BgL_auxz00_927 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_475)
; }  else 
{ 
 obj_t BgL_auxz00_931;
BgL_auxz00_931 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(5037L), BGl_string1465z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_475); 
FAILURE(BgL_auxz00_931,BFALSE,BFALSE);} 
BgL_tmpz00_926 = 
BGl_mpg123zd2positionzd2zz__mpg123_mpg123z00(BgL_auxz00_927); } 
return 
BINT(BgL_tmpz00_926);} } 

}



/* mpg123-decode-status->symbol */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(int BgL_sz00_17)
{
{ /* Llib/mpg123.scm 115 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_OK)))
{ /* Llib/mpg123.scm 117 */
return 
((obj_t)
CNST_TABLE_REF(0));}  else 
{ /* Llib/mpg123.scm 117 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEW_FORMAT)))
{ /* Llib/mpg123.scm 118 */
return 
((obj_t)
CNST_TABLE_REF(1));}  else 
{ /* Llib/mpg123.scm 118 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_ERR)))
{ /* Llib/mpg123.scm 119 */
return 
((obj_t)
CNST_TABLE_REF(2));}  else 
{ /* Llib/mpg123.scm 119 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_NEED_MORE)))
{ /* Llib/mpg123.scm 120 */
return 
((obj_t)
CNST_TABLE_REF(3));}  else 
{ /* Llib/mpg123.scm 120 */
if(
(
(long)(BgL_sz00_17)==
(long)(MPG123_DONE)))
{ /* Llib/mpg123.scm 121 */
return 
((obj_t)
CNST_TABLE_REF(4));}  else 
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1132z00_79;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1070z00_80;
{ /* Llib/mpg123.scm 122 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1069z00_83;
BgL_new1069z00_83 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 122 */
 long BgL_arg1137z00_84;
BgL_arg1137z00_84 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_83), BgL_arg1137z00_84); } 
BgL_new1070z00_80 = BgL_new1069z00_83; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_80)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_80)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_975;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1133z00_81;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_arg1136z00_82;
{ /* Llib/mpg123.scm 122 */
 obj_t BgL_classz00_329;
BgL_classz00_329 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1136z00_82 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_329); } 
BgL_arg1133z00_81 = 
VECTOR_REF(BgL_arg1136z00_82,2L); } 
BgL_auxz00_975 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1133z00_81); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1070z00_80)))->BgL_stackz00)=((obj_t)BgL_auxz00_975),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_80)))->BgL_procz00)=((obj_t)BGl_string1466z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_80)))->BgL_msgz00)=((obj_t)BGl_string1467z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1070z00_80)))->BgL_objz00)=((obj_t)
BINT(BgL_sz00_17)),BUNSPEC); 
BgL_arg1132z00_79 = BgL_new1070z00_80; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1132z00_79));} } } } } } 

}



/* &mpg123-decode-status->symbol */
obj_t BGl_z62mpg123zd2decodezd2statuszd2ze3symbolz53zz__mpg123_mpg123z00(obj_t BgL_envz00_476, obj_t BgL_sz00_477)
{
{ /* Llib/mpg123.scm 115 */
{ /* Llib/mpg123.scm 117 */
 int BgL_auxz00_990;
{ /* Llib/mpg123.scm 117 */
 obj_t BgL_tmpz00_991;
if(
INTEGERP(BgL_sz00_477))
{ /* Llib/mpg123.scm 117 */
BgL_tmpz00_991 = BgL_sz00_477
; }  else 
{ 
 obj_t BgL_auxz00_994;
BgL_auxz00_994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(5397L), BGl_string1468z00zz__mpg123_mpg123z00, BGl_string1463z00zz__mpg123_mpg123z00, BgL_sz00_477); 
FAILURE(BgL_auxz00_994,BFALSE,BFALSE);} 
BgL_auxz00_990 = 
CINT(BgL_tmpz00_991); } 
return 
BGl_mpg123zd2decodezd2statuszd2ze3symbolz31zz__mpg123_mpg123z00(BgL_auxz00_990);} } 

}



/* mpg123-format->symbol */
obj_t BGl_mpg123zd2formatzd2ze3symbolze3zz__mpg123_mpg123z00(obj_t BgL_fz00_18)
{
{ /* Llib/mpg123.scm 130 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_16))
{ /* Llib/mpg123.scm 132 */
return 
((obj_t)
CNST_TABLE_REF(5));}  else 
{ /* Llib/mpg123.scm 132 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_16))
{ /* Llib/mpg123.scm 133 */
return 
((obj_t)
CNST_TABLE_REF(6));}  else 
{ /* Llib/mpg123.scm 133 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_8))
{ /* Llib/mpg123.scm 134 */
return 
((obj_t)
CNST_TABLE_REF(7));}  else 
{ /* Llib/mpg123.scm 134 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_8))
{ /* Llib/mpg123.scm 135 */
return 
((obj_t)
CNST_TABLE_REF(8));}  else 
{ /* Llib/mpg123.scm 135 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ALAW_8))
{ /* Llib/mpg123.scm 136 */
return 
((obj_t)
CNST_TABLE_REF(9));}  else 
{ /* Llib/mpg123.scm 136 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_ULAW_8))
{ /* Llib/mpg123.scm 137 */
return 
((obj_t)
CNST_TABLE_REF(10));}  else 
{ /* Llib/mpg123.scm 137 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_SIGNED_32))
{ /* Llib/mpg123.scm 138 */
return 
((obj_t)
CNST_TABLE_REF(11));}  else 
{ /* Llib/mpg123.scm 138 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_UNSIGNED_32))
{ /* Llib/mpg123.scm 139 */
return 
((obj_t)
CNST_TABLE_REF(12));}  else 
{ /* Llib/mpg123.scm 139 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_32))
{ /* Llib/mpg123.scm 144 */
return 
((obj_t)
CNST_TABLE_REF(13));}  else 
{ /* Llib/mpg123.scm 144 */
if(
(
(long)CINT(BgL_fz00_18)==MPG123_ENC_FLOAT_64))
{ /* Llib/mpg123.scm 145 */
return 
((obj_t)
CNST_TABLE_REF(14));}  else 
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1148z00_95;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1072z00_96;
{ /* Llib/mpg123.scm 146 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1071z00_99;
BgL_new1071z00_99 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 146 */
 long BgL_arg1151z00_100;
BgL_arg1151z00_100 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1071z00_99), BgL_arg1151z00_100); } 
BgL_new1072z00_96 = BgL_new1071z00_99; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_96)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_96)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1058;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1149z00_97;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_arg1150z00_98;
{ /* Llib/mpg123.scm 146 */
 obj_t BgL_classz00_354;
BgL_classz00_354 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1150z00_98 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_354); } 
BgL_arg1149z00_97 = 
VECTOR_REF(BgL_arg1150z00_98,2L); } 
BgL_auxz00_1058 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1149z00_97); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1072z00_96)))->BgL_stackz00)=((obj_t)BgL_auxz00_1058),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_96)))->BgL_procz00)=((obj_t)BGl_string1469z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_96)))->BgL_msgz00)=((obj_t)BGl_string1470z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1072z00_96)))->BgL_objz00)=((obj_t)BgL_fz00_18),BUNSPEC); 
BgL_arg1148z00_95 = BgL_new1072z00_96; } 
BGL_TAIL return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1148z00_95));} } } } } } } } } } } 

}



/* mpg123-param-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_19, obj_t BgL_typez00_20)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 156 */
 mpg123_handle * BgL_arg1152z00_357; enum mpg123_parms BgL_arg1154z00_358;
BgL_arg1152z00_357 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_19))->BgL_z42builtinz42); 
BgL_arg1154z00_358 = 
BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(BgL_typez00_20); 
return 
bgl_mpg123_getparam(
void_star_to_obj(BgL_arg1152z00_357), BgL_arg1154z00_358);} } 

}



/* &mpg123-param-get */
obj_t BGl_z62mpg123zd2paramzd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_478, obj_t BgL_mz00_479, obj_t BgL_typez00_480)
{
{ /* Llib/mpg123.scm 154 */
{ /* Llib/mpg123.scm 155 */
 obj_t BgL_auxz00_1084; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1076;
if(
SYMBOLP(BgL_typez00_480))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1084 = BgL_typez00_480
; }  else 
{ 
 obj_t BgL_auxz00_1087;
BgL_auxz00_1087 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(7171L), BGl_string1471z00zz__mpg123_mpg123z00, BGl_string1472z00zz__mpg123_mpg123z00, BgL_typez00_480); 
FAILURE(BgL_auxz00_1087,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_479, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 155 */
BgL_auxz00_1076 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_479)
; }  else 
{ 
 obj_t BgL_auxz00_1080;
BgL_auxz00_1080 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(7171L), BGl_string1471z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_479); 
FAILURE(BgL_auxz00_1080,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2paramzd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1076, BgL_auxz00_1084);} } 

}



/* symbol->mpg123-param */
enum mpg123_parms BGl_symbolzd2ze3mpg123zd2paramze3zz__mpg123_mpg123z00(obj_t BgL_pz00_25)
{
{ /* Llib/mpg123.scm 196 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(15))))
{ /* Llib/mpg123.scm 197 */
return MPG123_VERBOSE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(16))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(17))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ADD_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(18))))
{ /* Llib/mpg123.scm 197 */
return MPG123_FORCE_RATE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(19))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWN_SAMPLE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(20))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RVA;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(21))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DOWNSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(22))))
{ /* Llib/mpg123.scm 197 */
return MPG123_UPSPEED;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(23))))
{ /* Llib/mpg123.scm 197 */
return MPG123_START_FRAME;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(24))))
{ /* Llib/mpg123.scm 197 */
return MPG123_DECODE_FRAMES;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(25))))
{ /* Llib/mpg123.scm 197 */
return MPG123_ICY_INTERVAL;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(26))))
{ /* Llib/mpg123.scm 197 */
return MPG123_OUTSCALE;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(27))))
{ /* Llib/mpg123.scm 197 */
return MPG123_TIMEOUT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(28))))
{ /* Llib/mpg123.scm 197 */
return MPG123_REMOVE_FLAGS;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(29))))
{ /* Llib/mpg123.scm 197 */
return MPG123_RESYNC_LIMIT;}  else 
{ /* Llib/mpg123.scm 197 */
if(
(BgL_pz00_25==
((obj_t)
CNST_TABLE_REF(30))))
{ /* Llib/mpg123.scm 197 */
return MPG123_INDEX_SIZE;}  else 
{ /* Llib/mpg123.scm 197 */
return 
(long)CINT(
BGl_errorz00zz__errorz00(BGl_string1473z00zz__mpg123_mpg123z00, BGl_string1474z00zz__mpg123_mpg123z00, BgL_pz00_25));} } } } } } } } } } } } } } } } } 

}



/* mpg123-info */
BGL_EXPORTED_DEF long BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_26)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 234 */
 mpg123_handle * BgL_arg1198z00_376;
BgL_arg1198z00_376 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_26))->BgL_z42builtinz42); 
return 
bgl_mpg123_info(
void_star_to_obj(BgL_arg1198z00_376));} } 

}



/* &mpg123-info */
obj_t BGl_z62mpg123zd2infozb0zz__mpg123_mpg123z00(obj_t BgL_envz00_481, obj_t BgL_mz00_482)
{
{ /* Llib/mpg123.scm 232 */
{ /* Llib/mpg123.scm 233 */
 long BgL_tmpz00_1161;
{ /* Llib/mpg123.scm 233 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1162;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_482, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 233 */
BgL_auxz00_1162 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_482)
; }  else 
{ 
 obj_t BgL_auxz00_1166;
BgL_auxz00_1166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(10878L), BGl_string1475z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_482); 
FAILURE(BgL_auxz00_1166,BFALSE,BFALSE);} 
BgL_tmpz00_1161 = 
BGl_mpg123zd2infozd2zz__mpg123_mpg123z00(BgL_auxz00_1162); } 
return 
BINT(BgL_tmpz00_1161);} } 

}



/* mpg123-seek */
BGL_EXPORTED_DEF long BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_27, long BgL_secz00_28)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 241 */
 long BgL_fz00_147;
{ /* Llib/mpg123.scm 241 */
 mpg123_handle * BgL_arg1217z00_165; double BgL_arg1218z00_166;
BgL_arg1217z00_165 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_arg1218z00_166 = 
(double)(BgL_secz00_28); 
BgL_fz00_147 = 
mpg123_timeframe(BgL_arg1217z00_165, BgL_arg1218z00_166); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1199z00_148;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_tmpz00_1175;
BgL_tmpz00_1175 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1199z00_148 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1175); } 
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_list1200z00_149;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1201z00_150;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1202z00_151;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1203z00_152;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1204z00_153;
{ /* Llib/mpg123.scm 242 */
 obj_t BgL_arg1205z00_154;
BgL_arg1205z00_154 = 
MAKE_YOUNG_PAIR(
BINT(BgL_fz00_147), BNIL); 
BgL_arg1204z00_153 = 
MAKE_YOUNG_PAIR(BGl_string1476z00zz__mpg123_mpg123z00, BgL_arg1205z00_154); } 
BgL_arg1203z00_152 = 
MAKE_YOUNG_PAIR(BGl_string1477z00zz__mpg123_mpg123z00, BgL_arg1204z00_153); } 
BgL_arg1202z00_151 = 
MAKE_YOUNG_PAIR(
BINT(242L), BgL_arg1203z00_152); } 
BgL_arg1201z00_150 = 
MAKE_YOUNG_PAIR(BGl_string1478z00zz__mpg123_mpg123z00, BgL_arg1202z00_151); } 
BgL_list1200z00_149 = 
MAKE_YOUNG_PAIR(BGl_string1479z00zz__mpg123_mpg123z00, BgL_arg1201z00_150); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1199z00_148, BgL_list1200z00_149); } } 
{ /* Llib/mpg123.scm 243 */
 long BgL_oz00_155;
{ /* Llib/mpg123.scm 243 */
 mpg123_handle * BgL_tmpz00_1187;
BgL_tmpz00_1187 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_27))->BgL_z42builtinz42); 
BgL_oz00_155 = 
mpg123_seek_frame(BgL_tmpz00_1187, BgL_fz00_147, SEEK_SET); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1206z00_156;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_tmpz00_1190;
BgL_tmpz00_1190 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1206z00_156 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1190); } 
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_list1207z00_157;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1209z00_158;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1210z00_159;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1211z00_160;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1213z00_161;
{ /* Llib/mpg123.scm 244 */
 obj_t BgL_arg1214z00_162;
BgL_arg1214z00_162 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oz00_155), BNIL); 
BgL_arg1213z00_161 = 
MAKE_YOUNG_PAIR(BGl_string1480z00zz__mpg123_mpg123z00, BgL_arg1214z00_162); } 
BgL_arg1211z00_160 = 
MAKE_YOUNG_PAIR(BGl_string1477z00zz__mpg123_mpg123z00, BgL_arg1213z00_161); } 
BgL_arg1210z00_159 = 
MAKE_YOUNG_PAIR(
BINT(244L), BgL_arg1211z00_160); } 
BgL_arg1209z00_158 = 
MAKE_YOUNG_PAIR(BGl_string1478z00zz__mpg123_mpg123z00, BgL_arg1210z00_159); } 
BgL_list1207z00_157 = 
MAKE_YOUNG_PAIR(BGl_string1479z00zz__mpg123_mpg123z00, BgL_arg1209z00_158); } 
BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1206z00_156, BgL_list1207z00_157); } } 
if(
(BgL_oz00_155<0L))
{ /* Llib/mpg123.scm 245 */
return 0L;}  else 
{ /* Llib/mpg123.scm 245 */
return BgL_oz00_155;} } } } 

}



/* &mpg123-seek */
obj_t BGl_z62mpg123zd2seekzb0zz__mpg123_mpg123z00(obj_t BgL_envz00_483, obj_t BgL_mz00_484, obj_t BgL_secz00_485)
{
{ /* Llib/mpg123.scm 239 */
{ /* Llib/mpg123.scm 240 */
 long BgL_tmpz00_1204;
{ /* Llib/mpg123.scm 240 */
 long BgL_auxz00_1213; BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1205;
{ /* Llib/mpg123.scm 240 */
 obj_t BgL_tmpz00_1214;
if(
INTEGERP(BgL_secz00_485))
{ /* Llib/mpg123.scm 240 */
BgL_tmpz00_1214 = BgL_secz00_485
; }  else 
{ 
 obj_t BgL_auxz00_1217;
BgL_auxz00_1217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(11227L), BGl_string1481z00zz__mpg123_mpg123z00, BGl_string1463z00zz__mpg123_mpg123z00, BgL_secz00_485); 
FAILURE(BgL_auxz00_1217,BFALSE,BFALSE);} 
BgL_auxz00_1213 = 
(long)CINT(BgL_tmpz00_1214); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_484, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 240 */
BgL_auxz00_1205 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_484)
; }  else 
{ 
 obj_t BgL_auxz00_1209;
BgL_auxz00_1209 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(11227L), BGl_string1481z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_484); 
FAILURE(BgL_auxz00_1209,BFALSE,BFALSE);} 
BgL_tmpz00_1204 = 
BGl_mpg123zd2seekzd2zz__mpg123_mpg123z00(BgL_auxz00_1205, BgL_auxz00_1213); } 
return 
BINT(BgL_tmpz00_1204);} } 

}



/* mpg123-volume-get */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_29)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 258 */
 double BgL_volz00_168;
BgL_volz00_168 = 
bgl_mpg123_getvolume(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_29))->BgL_z42builtinz42)); 
if(
(BgL_volz00_168<((double)0.0)))
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1220z00_170;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1081z00_171;
{ /* Llib/mpg123.scm 260 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1080z00_174;
BgL_new1080z00_174 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 260 */
 long BgL_arg1223z00_175;
BgL_arg1223z00_175 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_174), BgL_arg1223z00_175); } 
BgL_new1081z00_171 = BgL_new1080z00_174; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_171)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_171)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1236;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1221z00_172;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_arg1222z00_173;
{ /* Llib/mpg123.scm 260 */
 obj_t BgL_classz00_386;
BgL_classz00_386 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1222z00_173 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_386); } 
BgL_arg1221z00_172 = 
VECTOR_REF(BgL_arg1222z00_173,2L); } 
BgL_auxz00_1236 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1221z00_172); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_171)))->BgL_stackz00)=((obj_t)BgL_auxz00_1236),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_171)))->BgL_procz00)=((obj_t)BGl_string1455z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_171)))->BgL_msgz00)=((obj_t)BGl_string1482z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_171)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_29)),BUNSPEC); 
BgL_arg1220z00_170 = BgL_new1081z00_171; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1220z00_170));}  else 
{ /* Llib/mpg123.scm 264 */
 double BgL_arg1224z00_176;
BgL_arg1224z00_176 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
(((double)100.0)*
sqrt(BgL_volz00_168))); 
return 
BINT(
(long)(BgL_arg1224z00_176));} } } 

}



/* &mpg123-volume-get */
obj_t BGl_z62mpg123zd2volumezd2getz62zz__mpg123_mpg123z00(obj_t BgL_envz00_486, obj_t BgL_mz00_487)
{
{ /* Llib/mpg123.scm 256 */
{ /* Llib/mpg123.scm 257 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1256;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_487, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 257 */
BgL_auxz00_1256 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_487)
; }  else 
{ 
 obj_t BgL_auxz00_1260;
BgL_auxz00_1260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(11999L), BGl_string1483z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_487); 
FAILURE(BgL_auxz00_1260,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2getz00zz__mpg123_mpg123z00(BgL_auxz00_1256);} } 

}



/* mpg123-volume-set! */
BGL_EXPORTED_DEF obj_t BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_mz00_30, obj_t BgL_volz00_31)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 271 */
 double BgL_vz00_181;
BgL_vz00_181 = 
(
(double)(
(long)CINT(BgL_volz00_31))/((double)100.0)); 
{ /* Llib/mpg123.scm 271 */
 double BgL_v2z00_182;
BgL_v2z00_182 = 
(BgL_vz00_181*BgL_vz00_181); 
{ /* Llib/mpg123.scm 272 */

{ /* Llib/mpg123.scm 273 */
 int BgL_errz00_183;
{ /* Llib/mpg123.scm 273 */
 mpg123_handle * BgL_tmpz00_1269;
BgL_tmpz00_1269 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_mz00_30))->BgL_z42builtinz42); 
BgL_errz00_183 = 
mpg123_volume(BgL_tmpz00_1269, BgL_v2z00_182); } 
if(
(
(long)(BgL_errz00_183)<0L))
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_arg1230z00_185;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1084z00_186;
{ /* Llib/mpg123.scm 275 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1083z00_189;
BgL_new1083z00_189 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 275 */
 long BgL_arg1233z00_190;
BgL_arg1233z00_190 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_189), BgL_arg1233z00_190); } 
BgL_new1084z00_186 = BgL_new1083z00_189; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_186)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_186)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_1283;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1231z00_187;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_arg1232z00_188;
{ /* Llib/mpg123.scm 275 */
 obj_t BgL_classz00_401;
BgL_classz00_401 = BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00; 
BgL_arg1232z00_188 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_401); } 
BgL_arg1231z00_187 = 
VECTOR_REF(BgL_arg1232z00_188,2L); } 
BgL_auxz00_1283 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1231z00_187); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_186)))->BgL_stackz00)=((obj_t)BgL_auxz00_1283),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_186)))->BgL_procz00)=((obj_t)BGl_string1455z00zz__mpg123_mpg123z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_186)))->BgL_msgz00)=((obj_t)
string_to_bstring(
(char *)mpg123_plain_strerror(BgL_errz00_183))),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_186)))->BgL_objz00)=((obj_t)
((obj_t)BgL_mz00_30)),BUNSPEC); 
BgL_arg1230z00_185 = BgL_new1084z00_186; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1230z00_185));}  else 
{ /* Llib/mpg123.scm 274 */
return BFALSE;} } } } } } 

}



/* &mpg123-volume-set! */
obj_t BGl_z62mpg123zd2volumezd2setz12z70zz__mpg123_mpg123z00(obj_t BgL_envz00_488, obj_t BgL_mz00_489, obj_t BgL_volz00_490)
{
{ /* Llib/mpg123.scm 269 */
{ /* Llib/mpg123.scm 270 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1300;
if(
BGl_isazf3zf3zz__objectz00(BgL_mz00_489, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00))
{ /* Llib/mpg123.scm 270 */
BgL_auxz00_1300 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_mz00_489)
; }  else 
{ 
 obj_t BgL_auxz00_1304;
BgL_auxz00_1304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(12556L), BGl_string1484z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_mz00_489); 
FAILURE(BgL_auxz00_1304,BFALSE,BFALSE);} 
return 
BGl_mpg123zd2volumezd2setz12z12zz__mpg123_mpg123z00(BgL_auxz00_1300, BgL_volz00_490);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1263z00_196; obj_t BgL_arg1264z00_197;
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1094z00_211;
BgL_v1094z00_211 = 
create_vector(3L); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1286z00_212;
BgL_arg1286z00_212 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(31)), BGl_proc1487z00zz__mpg123_mpg123z00, BGl_proc1486z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1485z00zz__mpg123_mpg123z00, 
((obj_t)
CNST_TABLE_REF(32))); 
VECTOR_SET(BgL_v1094z00_211,0L,BgL_arg1286z00_212); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1359z00_225;
BgL_arg1359z00_225 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(33)), BGl_proc1490z00zz__mpg123_mpg123z00, BGl_proc1489z00zz__mpg123_mpg123z00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1488z00zz__mpg123_mpg123z00, 
((obj_t)
CNST_TABLE_REF(34))); 
VECTOR_SET(BgL_v1094z00_211,1L,BgL_arg1359z00_225); } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_arg1370z00_238;
BgL_arg1370z00_238 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_proc1493z00zz__mpg123_mpg123z00, BGl_proc1492z00zz__mpg123_mpg123z00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1491z00zz__mpg123_mpg123z00, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1094z00_211,2L,BgL_arg1370z00_238); } 
BgL_arg1263z00_196 = BgL_v1094z00_211; } 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_v1095z00_251;
BgL_v1095z00_251 = 
create_vector(0L); 
BgL_arg1264z00_197 = BgL_v1095z00_251; } 
BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(37)), 
((obj_t)
CNST_TABLE_REF(38)), BGl_objectz00zz__objectz00, 38616L, BGl_proc1496z00zz__mpg123_mpg123z00, BGl_proc1495z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1494z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1263z00_196, BgL_arg1264z00_197); } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_arg1385z00_258; obj_t BgL_arg1386z00_259;
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1096z00_275;
BgL_v1096z00_275 = 
create_vector(0L); 
BgL_arg1385z00_258 = BgL_v1096z00_275; } 
{ /* Llib/mpg123.scm 27 */
 obj_t BgL_v1097z00_276;
BgL_v1097z00_276 = 
create_vector(0L); 
BgL_arg1386z00_259 = BgL_v1097z00_276; } 
return ( 
BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(39)), 
((obj_t)
CNST_TABLE_REF(38)), BGl_z62errorz62zz__objectz00, 29460L, BGl_proc1499z00zz__mpg123_mpg123z00, BGl_proc1498z00zz__mpg123_mpg123z00, BFALSE, BGl_proc1497z00zz__mpg123_mpg123z00, BFALSE, BgL_arg1385z00_258, BgL_arg1386z00_259), BUNSPEC) ;} } 

}



/* &<@anonymous:1399> */
obj_t BGl_z62zc3z04anonymousza31399ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_506, obj_t BgL_new1060z00_507)
{
{ /* Llib/mpg123.scm 27 */
{ 
 BgL_z62mpg123zd2errorzb0_bglt BgL_auxz00_1341;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1341 = 
((BgL_z62mpg123zd2errorzb0_bglt)BgL_new1060z00_507); 
return 
((obj_t)BgL_auxz00_1341);} } 

}



/* &lambda1397 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1397z62zz__mpg123_mpg123z00(obj_t BgL_envz00_508)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1059z00_617;
BgL_new1059z00_617 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1398z00_618;
BgL_arg1398z00_618 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1059z00_617), BgL_arg1398z00_618); } 
return BgL_new1059z00_617;} } 

}



/* &lambda1387 */
BgL_z62mpg123zd2errorzb0_bglt BGl_z62lambda1387z62zz__mpg123_mpg123z00(obj_t BgL_envz00_509, obj_t BgL_fname1053z00_510, obj_t BgL_location1054z00_511, obj_t BgL_stack1055z00_512, obj_t BgL_proc1056z00_513, obj_t BgL_msg1057z00_514, obj_t BgL_obj1058z00_515)
{
{ /* Llib/mpg123.scm 27 */
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1088z00_619;
{ /* Llib/mpg123.scm 27 */
 BgL_z62mpg123zd2errorzb0_bglt BgL_new1087z00_620;
BgL_new1087z00_620 = 
((BgL_z62mpg123zd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62mpg123zd2errorzb0_bgl) ))); 
{ /* Llib/mpg123.scm 27 */
 long BgL_arg1396z00_621;
BgL_arg1396z00_621 = 
BGL_CLASS_NUM(BGl_z62mpg123zd2errorzb0zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_620), BgL_arg1396z00_621); } 
BgL_new1088z00_619 = BgL_new1087z00_620; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_619)))->BgL_fnamez00)=((obj_t)BgL_fname1053z00_510),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_619)))->BgL_locationz00)=((obj_t)BgL_location1054z00_511),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1088z00_619)))->BgL_stackz00)=((obj_t)BgL_stack1055z00_512),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_619)))->BgL_procz00)=((obj_t)BgL_proc1056z00_513),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_619)))->BgL_msgz00)=((obj_t)BgL_msg1057z00_514),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1088z00_619)))->BgL_objz00)=((obj_t)BgL_obj1058z00_515),BUNSPEC); 
return BgL_new1088z00_619;} } 

}



/* &<@anonymous:1279> */
obj_t BGl_z62zc3z04anonymousza31279ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_516, obj_t BgL_new1051z00_517)
{
{ /* Llib/mpg123.scm 21 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1382;
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_517)))->BgL_z42builtinz42)=((mpg123_handle *)
0L),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_517)))->BgL_decoderz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_517)))->BgL_siza7eza7)=((long)0L),BUNSPEC); 
BgL_auxz00_1382 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_new1051z00_517); 
return 
((obj_t)BgL_auxz00_1382);} } 

}



/* &lambda1270 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1270z62zz__mpg123_mpg123z00(obj_t BgL_envz00_518)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1050z00_623;
BgL_new1050z00_623 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1278z00_624;
BgL_arg1278z00_624 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_623), BgL_arg1278z00_624); } 
return BgL_new1050z00_623;} } 

}



/* &lambda1265 */
BgL_mpg123zd2handlezd2_bglt BGl_z62lambda1265z62zz__mpg123_mpg123z00(obj_t BgL_envz00_519, obj_t BgL_z42builtin1047z42_520, obj_t BgL_decoder1048z00_521, obj_t BgL_siza7e1049za7_522)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_z42builtin1047z42_625; long BgL_siza7e1049za7_626;
BgL_z42builtin1047z42_625 = 
FOREIGN_TO_COBJ(BgL_z42builtin1047z42_520); 
BgL_siza7e1049za7_626 = 
(long)CINT(BgL_siza7e1049za7_522); 
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1086z00_627;
{ /* Llib/mpg123.scm 21 */
 BgL_mpg123zd2handlezd2_bglt BgL_new1085z00_628;
BgL_new1085z00_628 = 
((BgL_mpg123zd2handlezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_mpg123zd2handlezd2_bgl) ))); 
{ /* Llib/mpg123.scm 21 */
 long BgL_arg1269z00_629;
BgL_arg1269z00_629 = 
BGL_CLASS_NUM(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_628), BgL_arg1269z00_629); } 
BgL_new1086z00_627 = BgL_new1085z00_628; } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_627))->BgL_z42builtinz42)=((mpg123_handle *)BgL_z42builtin1047z42_625),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_627))->BgL_decoderz00)=((obj_t)BgL_decoder1048z00_521),BUNSPEC); 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(BgL_new1086z00_627))->BgL_siza7eza7)=((long)BgL_siza7e1049za7_626),BUNSPEC); 
{ /* Llib/mpg123.scm 21 */
 obj_t BgL_fun1266z00_630;
BgL_fun1266z00_630 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00); 
BGL_PROCEDURE_CALL1(BgL_fun1266z00_630, 
((obj_t)BgL_new1086z00_627)); } 
return BgL_new1086z00_627;} } } 

}



/* &<@anonymous:1379> */
obj_t BGl_z62zc3z04anonymousza31379ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_523)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1378 */
obj_t BGl_z62lambda1378z62zz__mpg123_mpg123z00(obj_t BgL_envz00_524, obj_t BgL_oz00_525, obj_t BgL_vz00_526)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 long BgL_vz00_632;
BgL_vz00_632 = 
(long)CINT(BgL_vz00_526); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_525)))->BgL_siza7eza7)=((long)BgL_vz00_632),BUNSPEC);} } 

}



/* &lambda1377 */
obj_t BGl_z62lambda1377z62zz__mpg123_mpg123z00(obj_t BgL_envz00_527, obj_t BgL_oz00_528)
{
{ /* Llib/mpg123.scm 21 */
return 
BINT(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_528)))->BgL_siza7eza7));} 

}



/* &<@anonymous:1365> */
obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_529)
{
{ /* Llib/mpg123.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1364 */
obj_t BGl_z62lambda1364z62zz__mpg123_mpg123z00(obj_t BgL_envz00_530, obj_t BgL_oz00_531, obj_t BgL_vz00_532)
{
{ /* Llib/mpg123.scm 21 */
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_531)))->BgL_decoderz00)=((obj_t)BgL_vz00_532),BUNSPEC);} 

}



/* &lambda1363 */
obj_t BGl_z62lambda1363z62zz__mpg123_mpg123z00(obj_t BgL_envz00_533, obj_t BgL_oz00_534)
{
{ /* Llib/mpg123.scm 21 */
return 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_534)))->BgL_decoderz00);} 

}



/* &<@anonymous:1356> */
obj_t BGl_z62zc3z04anonymousza31356ze3ze5zz__mpg123_mpg123z00(obj_t BgL_envz00_535)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj((mpg123_handle *)0L);} 

}



/* &lambda1355 */
obj_t BGl_z62lambda1355z62zz__mpg123_mpg123z00(obj_t BgL_envz00_536, obj_t BgL_oz00_537, obj_t BgL_vz00_538)
{
{ /* Llib/mpg123.scm 21 */
{ /* Llib/mpg123.scm 21 */
 mpg123_handle * BgL_vz00_637;
BgL_vz00_637 = 
FOREIGN_TO_COBJ(BgL_vz00_538); 
return 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_537)))->BgL_z42builtinz42)=((mpg123_handle *)BgL_vz00_637),BUNSPEC);} } 

}



/* &lambda1354 */
obj_t BGl_z62lambda1354z62zz__mpg123_mpg123z00(obj_t BgL_envz00_539, obj_t BgL_oz00_540)
{
{ /* Llib/mpg123.scm 21 */
return 
void_star_to_obj(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_540)))->BgL_z42builtinz42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, BGl_proc1500z00zz__mpg123_mpg123z00, BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00, BGl_string1501z00zz__mpg123_mpg123z00);} 

}



/* &mpg123-handle-init1098 */
obj_t BGl_z62mpg123zd2handlezd2init1098z62zz__mpg123_mpg123z00(obj_t BgL_envz00_544, obj_t BgL_oz00_545)
{
{ /* Llib/mpg123.scm 54 */
{ 
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1431;
{ /* Llib/mpg123.scm 56 */
 char * BgL_dz00_640;
{ /* Llib/mpg123.scm 56 */
 bool_t BgL_test1697z00_1432;
{ /* Llib/mpg123.scm 56 */
 obj_t BgL_tmpz00_1433;
BgL_tmpz00_1433 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_545)))->BgL_decoderz00); 
BgL_test1697z00_1432 = 
STRINGP(BgL_tmpz00_1433); } 
if(BgL_test1697z00_1432)
{ /* Llib/mpg123.scm 56 */
BgL_dz00_640 = 
BSTRING_TO_STRING(
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_545)))->BgL_decoderz00)); }  else 
{ /* Llib/mpg123.scm 56 */
BgL_dz00_640 = ((char *)0L); } } 
((((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_545)))->BgL_z42builtinz42)=((mpg123_handle *)
bgl_mpg123_new(BgL_dz00_640)),BUNSPEC); } 
{ /* Llib/mpg123.scm 58 */
 mpg123_handle * BgL_tmpz00_1443;
BgL_tmpz00_1443 = 
(((BgL_mpg123zd2handlezd2_bglt)COBJECT(
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_545)))->BgL_z42builtinz42); 
mpg123_open_feed(BgL_tmpz00_1443); } 
BgL_auxz00_1431 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_545); 
return 
((obj_t)BgL_auxz00_1431);} } 

}



/* mpg123-handle-init */
BGL_EXPORTED_DEF BgL_mpg123zd2handlezd2_bglt BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_mpg123zd2handlezd2_bglt BgL_oz00_3)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_method1099z00_290;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_res1415z00_455;
{ /* Llib/mpg123.scm 54 */
 long BgL_objzd2classzd2numz00_426;
BgL_objzd2classzd2numz00_426 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1831z00_427;
BgL_arg1831z00_427 = 
PROCEDURE_REF(BGl_mpg123zd2handlezd2initzd2envzd2zz__mpg123_mpg123z00, 
(int)(1L)); 
{ /* Llib/mpg123.scm 54 */
 int BgL_offsetz00_430;
BgL_offsetz00_430 = 
(int)(BgL_objzd2classzd2numz00_426); 
{ /* Llib/mpg123.scm 54 */
 long BgL_offsetz00_431;
BgL_offsetz00_431 = 
(
(long)(BgL_offsetz00_430)-OBJECT_TYPE); 
{ /* Llib/mpg123.scm 54 */
 long BgL_modz00_432;
BgL_modz00_432 = 
(BgL_offsetz00_431 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/mpg123.scm 54 */
 long BgL_restz00_434;
BgL_restz00_434 = 
(BgL_offsetz00_431 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/mpg123.scm 54 */

{ /* Llib/mpg123.scm 54 */
 obj_t BgL_bucketz00_436;
BgL_bucketz00_436 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_427),BgL_modz00_432); 
BgL_res1415z00_455 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_436),BgL_restz00_434); } } } } } } } } 
BgL_method1099z00_290 = BgL_res1415z00_455; } 
return 
((BgL_mpg123zd2handlezd2_bglt)
BGL_PROCEDURE_CALL1(BgL_method1099z00_290, 
((obj_t)BgL_oz00_3)));} } 

}



/* &mpg123-handle-init */
BgL_mpg123zd2handlezd2_bglt BGl_z62mpg123zd2handlezd2initz62zz__mpg123_mpg123z00(obj_t BgL_envz00_541, obj_t BgL_oz00_542)
{
{ /* Llib/mpg123.scm 54 */
{ /* Llib/mpg123.scm 54 */
 BgL_mpg123zd2handlezd2_bglt BgL_auxz00_1480;
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_test1698z00_1481;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_classz00_641;
BgL_classz00_641 = BGl_mpg123zd2handlezd2zz__mpg123_mpg123z00; 
if(
BGL_OBJECTP(BgL_oz00_542))
{ /* Llib/mpg123.scm 54 */
 BgL_objectz00_bglt BgL_arg1829z00_643; long BgL_arg1830z00_644;
BgL_arg1829z00_643 = 
(BgL_objectz00_bglt)(BgL_oz00_542); 
BgL_arg1830z00_644 = 
BGL_CLASS_DEPTH(BgL_classz00_641); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/mpg123.scm 54 */
 long BgL_idxz00_652;
BgL_idxz00_652 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_643); 
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1820z00_653;
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1821z00_654;
BgL_arg1821z00_654 = 
(BgL_idxz00_652+BgL_arg1830z00_644); 
BgL_arg1820z00_653 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_654); } 
BgL_test1698z00_1481 = 
(BgL_arg1820z00_653==BgL_classz00_641); } }  else 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL_res1571z00_680;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_oclassz00_662;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1834z00_670; long BgL_arg1835z00_671;
BgL_arg1834z00_670 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/mpg123.scm 54 */
 long BgL_arg1836z00_672;
BgL_arg1836z00_672 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_643); 
BgL_arg1835z00_671 = 
(BgL_arg1836z00_672-OBJECT_TYPE); } 
BgL_oclassz00_662 = 
VECTOR_REF(BgL_arg1834z00_670,BgL_arg1835z00_671); } 
{ /* Llib/mpg123.scm 54 */
 bool_t BgL__ortest_1114z00_663;
BgL__ortest_1114z00_663 = 
(BgL_classz00_641==BgL_oclassz00_662); 
if(BgL__ortest_1114z00_663)
{ /* Llib/mpg123.scm 54 */
BgL_res1571z00_680 = BgL__ortest_1114z00_663; }  else 
{ /* Llib/mpg123.scm 54 */
 long BgL_odepthz00_664;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1824z00_665;
BgL_arg1824z00_665 = 
(BgL_oclassz00_662); 
BgL_odepthz00_664 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_665); } 
if(
(BgL_arg1830z00_644<BgL_odepthz00_664))
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1822z00_667;
{ /* Llib/mpg123.scm 54 */
 obj_t BgL_arg1823z00_668;
BgL_arg1823z00_668 = 
(BgL_oclassz00_662); 
BgL_arg1822z00_667 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_668, BgL_arg1830z00_644); } 
BgL_res1571z00_680 = 
(BgL_arg1822z00_667==BgL_classz00_641); }  else 
{ /* Llib/mpg123.scm 54 */
BgL_res1571z00_680 = ((bool_t)0); } } } } 
BgL_test1698z00_1481 = BgL_res1571z00_680; } }  else 
{ /* Llib/mpg123.scm 54 */
BgL_test1698z00_1481 = ((bool_t)0)
; } } 
if(BgL_test1698z00_1481)
{ /* Llib/mpg123.scm 54 */
BgL_auxz00_1480 = 
((BgL_mpg123zd2handlezd2_bglt)BgL_oz00_542)
; }  else 
{ 
 obj_t BgL_auxz00_1506;
BgL_auxz00_1506 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1456z00zz__mpg123_mpg123z00, 
BINT(2480L), BGl_string1502z00zz__mpg123_mpg123z00, BGl_string1458z00zz__mpg123_mpg123z00, BgL_oz00_542); 
FAILURE(BgL_auxz00_1506,BFALSE,BFALSE);} } 
return 
BGl_mpg123zd2handlezd2initz00zz__mpg123_mpg123z00(BgL_auxz00_1480);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__mpg123_mpg123z00(void)
{
{ /* Llib/mpg123.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
