/*===========================================================================*/
/*   (Llib/wav_decoder.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -safee -unsafe -srfi wav -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/wav_decoder.scm -o objs/wav_decoder.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___WAV_DECODER_TYPE_DEFINITIONS
#define BGL___WAV_DECODER_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicbufferz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_urlz00;
   bool_t BgL_z52eofz52;
   obj_t BgL_z52bcondvz52;
   obj_t BgL_z52bmutexz52;
   long BgL_z52inlenz52;
   char * BgL_z52inbufpz52;
   long BgL_z52headz52;
   long BgL_z52tailz52;
   bool_t BgL_z52emptyz52;
} *BgL_musicbufferz00_bglt;

typedef struct BgL_musicbufz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   int BgL_z52usecntz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
} *BgL_musicbufz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_wavmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavmusicdecoderz00_bglt;


#endif // BGL___WAV_DECODER_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static long BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00 = 0L;
static obj_t BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00(void);
BGL_IMPORT obj_t BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, obj_t, int, int);
BGL_IMPORT obj_t BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static obj_t BGl_genericzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_musicbufz00_bglt, obj_t, long);
static obj_t BGl_objectzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugz00zz__wav_decoderz00(obj_t);
static long BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00 = 0L;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt, BgL_musicbufz00_bglt, BgL_musicbufferz00_bglt, int, int);
static obj_t BGl_methodzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_musicdecoderz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static int BGl_wavzd2debugzd2zz__wav_decoderz00(void);
BGL_IMPORT obj_t make_string(long, unsigned char);
static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt, long, BgL_musicbufferz00_bglt, obj_t, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long, BgL_musicbufferz00_bglt);
BGL_IMPORT BGL_LONGLONG_T bgl_current_microseconds(void);
static obj_t BGl_z62zc3z04anonymousza31272ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00(void);
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1225z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(BgL_musicz00_bglt, obj_t);
static BgL_wavmusicdecoderz00_bglt BGl_z62lambda1228z62zz__wav_decoderz00(obj_t);
static obj_t BGl_zc3z04exitza31190ze3ze70z60zz__wav_decoderz00(int, BgL_wavmusicdecoderz00_bglt, BgL_musicbufferz00_bglt, obj_t, obj_t);
static long BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00 = 0L;
static obj_t BGl_z62lambda1235z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1236z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62lambda1249z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1250z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT int bgl_debug(void);
static obj_t BGl_z62lambda1338z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1339z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__wav_decoderz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(void);
static obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00(void);
static obj_t BGl_z62lambda1270z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1271z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31359ze3ze5zz__wav_decoderz00(obj_t);
static obj_t BGl_z62lambda1357z62zz__wav_decoderz00(obj_t, obj_t);
static obj_t BGl_z62lambda1358z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00(obj_t, obj_t);
BGL_IMPORT long BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt);
static obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00(obj_t, obj_t, obj_t);
static obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t);
extern long BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(void);
static long BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00 = 0L;
static obj_t BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(BgL_musicdecoderz00_bglt, BgL_musicz00_bglt, BgL_musicbufferz00_bglt);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_wavzd2parsezd2headerz00zz__wav_wavz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_wavmusicdecoderz00zz__wav_decoderz00 = BUNSPEC;
static obj_t BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BUNSPEC;
static bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt, BgL_wavmusicdecoderz00_bglt, int);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_musicbufferz00_bglt, int, int);
static obj_t __cnst[ 23 ] ;


DEFINE_STRING( BGl_string2040z00zz__wav_decoderz00, BgL_bgl_string2040za700za7za7_2053za7, "~~~ WAV_DECODER, NEED-MORE s=", 29 );
DEFINE_STRING( BGl_string2041z00zz__wav_decoderz00, BgL_bgl_string2041za700za7za7_2054za7, "wav decoding error", 18 );
DEFINE_STRING( BGl_string2042z00zz__wav_decoderz00, BgL_bgl_string2042za700za7za7_2055za7, "\033[0m\033[1;33m", 11 );
DEFINE_STRING( BGl_string2043z00zz__wav_decoderz00, BgL_bgl_string2043za700za7za7_2056za7, "\033[0m\033[1;32m", 11 );
DEFINE_STRING( BGl_string2044z00zz__wav_decoderz00, BgL_bgl_string2044za700za7za7_2057za7, " EOF", 4 );
DEFINE_STRING( BGl_string2045z00zz__wav_decoderz00, BgL_bgl_string2045za700za7za7_2058za7, " url=", 5 );
DEFINE_STRING( BGl_string2046z00zz__wav_decoderz00, BgL_bgl_string2046za700za7za7_2059za7, "%\033[0m", 5 );
DEFINE_STRING( BGl_string2047z00zz__wav_decoderz00, BgL_bgl_string2047za700za7za7_2060za7, "--- WAV_DECODER, buffer fill: ", 30 );
DEFINE_STRING( BGl_string2048z00zz__wav_decoderz00, BgL_bgl_string2048za700za7za7_2061za7, "--> WAV_DECODER, broadcast not-full ", 36 );
DEFINE_STRING( BGl_string2049z00zz__wav_decoderz00, BgL_bgl_string2049za700za7za7_2062za7, "#|wavmusicdecoder|", 18 );
DEFINE_STRING( BGl_string2050z00zz__wav_decoderz00, BgL_bgl_string2050za700za7za7_2063za7, "__wav_decoder", 13 );
DEFINE_STRING( BGl_string2051z00zz__wav_decoderz00, BgL_bgl_string2051za700za7za7_2064za7, "(\"audio/wav\" \"audio/x-wav\" \"audio/x-pn-windows-acm\") error buffering ended stop play pause __wav_decoder wavmusicdecoder %position %size int %cursor obj %header bstring outbuf pcm unknown-status ok need-more done new-format ", 224 );
BGL_IMPORT obj_t BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
BGL_IMPORT obj_t BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2;
DEFINE_STRING( BGl_string1990z00zz__wav_decoderz00, BgL_bgl_string1990za700za7za7_2065za7, "Llib/wav_decoder.scm", 20 );
DEFINE_STRING( BGl_string1991z00zz__wav_decoderz00, BgL_bgl_string1991za700za7za7_2066za7, "wav-decode", 10 );
DEFINE_STRING( BGl_string1992z00zz__wav_decoderz00, BgL_bgl_string1992za700za7za7_2067za7, "Cannot play none PCM wav format", 31 );
DEFINE_STRING( BGl_string1993z00zz__wav_decoderz00, BgL_bgl_string1993za700za7za7_2068za7, "/tmp/WAV.log", 12 );
DEFINE_STRING( BGl_string1994z00zz__wav_decoderz00, BgL_bgl_string1994za700za7za7_2069za7, "\n", 1 );
DEFINE_STRING( BGl_string1995z00zz__wav_decoderz00, BgL_bgl_string1995za700za7za7_2070za7, " ", 1 );
DEFINE_STRING( BGl_string1996z00zz__wav_decoderz00, BgL_bgl_string1996za700za7za7_2071za7, ">>> WAV_DECODER init ", 21 );
DEFINE_STRING( BGl_string1997z00zz__wav_decoderz00, BgL_bgl_string1997za700za7za7_2072za7, ">>> WAV_DECODER stop ", 21 );
BGL_IMPORT obj_t BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1998z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2073za7, BGl_z62zc3z04anonymousza31237ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1999z00zz__wav_decoderz00, BgL_bgl_za762lambda1236za7622074z00, BGl_z62lambda1236z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2000z00zz__wav_decoderz00, BgL_bgl_za762lambda1235za7622075z00, BGl_z62lambda1235z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2001z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2076za7, BGl_z62zc3z04anonymousza31251ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2002z00zz__wav_decoderz00, BgL_bgl_za762lambda1250za7622077z00, BGl_z62lambda1250z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2003z00zz__wav_decoderz00, BgL_bgl_za762lambda1249za7622078z00, BGl_z62lambda1249z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2004z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2079za7, BGl_z62zc3z04anonymousza31272ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2005z00zz__wav_decoderz00, BgL_bgl_za762lambda1271za7622080z00, BGl_z62lambda1271z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2006z00zz__wav_decoderz00, BgL_bgl_za762lambda1270za7622081z00, BGl_z62lambda1270z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2007z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2082za7, BGl_z62zc3z04anonymousza31340ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2008z00zz__wav_decoderz00, BgL_bgl_za762lambda1339za7622083z00, BGl_z62lambda1339z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2009z00zz__wav_decoderz00, BgL_bgl_za762lambda1338za7622084z00, BGl_z62lambda1338z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2016z00zz__wav_decoderz00, BgL_bgl_string2016za700za7za7_2085za7, "", 0 );
DEFINE_STRING( BGl_string2018z00zz__wav_decoderz00, BgL_bgl_string2018za700za7za7_2086za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2010z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2087za7, BGl_z62zc3z04anonymousza31359ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2011z00zz__wav_decoderz00, BgL_bgl_za762lambda1358za7622088z00, BGl_z62lambda1358z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2012z00zz__wav_decoderz00, BgL_bgl_za762lambda1357za7622089z00, BGl_z62lambda1357z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2013z00zz__wav_decoderz00, BgL_bgl_za762za7c3za704anonymo2090za7, BGl_z62zc3z04anonymousza31230ze3ze5zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zz__wav_decoderz00, BgL_bgl_string2020za700za7za7_2091za7, "musicdecoder-init", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2014z00zz__wav_decoderz00, BgL_bgl_za762lambda1228za7622092z00, BGl_z62lambda1228z62zz__wav_decoderz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2015z00zz__wav_decoderz00, BgL_bgl_za762lambda1225za7622093z00, BGl_z62lambda1225z62zz__wav_decoderz00, 0L, BUNSPEC, 15 );
DEFINE_STRING( BGl_string2022z00zz__wav_decoderz00, BgL_bgl_string2022za700za7za7_2094za7, "musicdecoder-reset!", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2017z00zz__wav_decoderz00, BgL_bgl_za762objectza7d2prin2095z00, BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2024z00zz__wav_decoderz00, BgL_bgl_string2024za700za7za7_2096za7, "musicdecoder-position", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2019z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72097z00, BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2026z00zz__wav_decoderz00, BgL_bgl_string2026za700za7za7_2098za7, "musicdecoder-decode", 19 );
DEFINE_STRING( BGl_string2028z00zz__wav_decoderz00, BgL_bgl_string2028za700za7za7_2099za7, "musicdecoder-volume-set!", 24 );
DEFINE_STRING( BGl_string2029z00zz__wav_decoderz00, BgL_bgl_string2029za700za7za7_2100za7, "~~~ WAV_DECODER, EOF ", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2021z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72101z00, BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2023z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72102z00, BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2030z00zz__wav_decoderz00, BgL_bgl_string2030za700za7za7_2103za7, "...", 3 );
DEFINE_STRING( BGl_string2031z00zz__wav_decoderz00, BgL_bgl_string2031za700za7za7_2104za7, "<-- WAV_DECODER, wait not-empty ", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2025z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72105z00, BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2032z00zz__wav_decoderz00, BgL_bgl_string2032za700za7za7_2106za7, " -> status=", 11 );
DEFINE_STRING( BGl_string2033z00zz__wav_decoderz00, BgL_bgl_string2033za700za7za7_2107za7, " hd=", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2027z00zz__wav_decoderz00, BgL_bgl_za762musicdecoderza72108z00, BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2034z00zz__wav_decoderz00, BgL_bgl_string2034za700za7za7_2109za7, " tl=", 4 );
DEFINE_STRING( BGl_string2035z00zz__wav_decoderz00, BgL_bgl_string2035za700za7za7_2110za7, "~~~ WAV_DECODER, s=", 19 );
DEFINE_STRING( BGl_string2036z00zz__wav_decoderz00, BgL_bgl_string2036za700za7za7_2111za7, " size=", 6 );
DEFINE_STRING( BGl_string2037z00zz__wav_decoderz00, BgL_bgl_string2037za700za7za7_2112za7, "~~~ WAV_DECODER, OK s=", 22 );
DEFINE_STRING( BGl_string2038z00zz__wav_decoderz00, BgL_bgl_string2038za700za7za7_2113za7, " tail=", 6 );
DEFINE_STRING( BGl_string2039z00zz__wav_decoderz00, BgL_bgl_string2039za700za7za7_2114za7, " %empty=", 8 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_wavmusicdecoderz00zz__wav_decoderz00) );
ADD_ROOT( (void *)(&BGl_za2debugzd2portza2zd2zz__wav_decoderz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long BgL_checksumz00_857, char * BgL_fromz00_858)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_decoderz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_decoderz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__wav_decoderz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_cnstzd2initzd2zz__wav_decoderz00(); 
BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(); 
BGl_objectzd2initzd2zz__wav_decoderz00(); 
BGl_methodzd2initzd2zz__wav_decoderz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_decoderz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__paramz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__datez00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__wav_decoder"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__wav_decoder"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_cportz00_729;
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_stringz00_736;
BgL_stringz00_736 = BGl_string2051z00zz__wav_decoderz00; 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_startz00_737;
BgL_startz00_737 = 
BINT(0L); 
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_endz00_738;
BgL_endz00_738 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_736))); 
{ /* Llib/wav_decoder.scm 15 */

BgL_cportz00_729 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_736, BgL_startz00_737, BgL_endz00_738); } } } } 
{ 
 long BgL_iz00_730;
BgL_iz00_730 = 22L; 
BgL_loopz00_731:
if(
(BgL_iz00_730==(-1L)))
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_arg2052z00_732;
{ /* Llib/wav_decoder.scm 15 */

{ /* Llib/wav_decoder.scm 15 */
 obj_t BgL_locationz00_734;
BgL_locationz00_734 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav_decoder.scm 15 */

BgL_arg2052z00_732 = 
BGl_readz00zz__readerz00(BgL_cportz00_729, BgL_locationz00_734); } } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_tmpz00_895;
BgL_tmpz00_895 = 
(int)(BgL_iz00_730); 
CNST_TABLE_SET(BgL_tmpz00_895, BgL_arg2052z00_732); } } 
{ /* Llib/wav_decoder.scm 15 */
 int BgL_auxz00_735;
BgL_auxz00_735 = 
(int)(
(BgL_iz00_730-1L)); 
{ 
 long BgL_iz00_900;
BgL_iz00_900 = 
(long)(BgL_auxz00_735); 
BgL_iz00_730 = BgL_iz00_900; 
goto BgL_loopz00_731;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1990z00zz__wav_decoderz00)); 
BGl_z42wavzd2statuszd2newzd2formatz90zz__wav_decoderz00 = 1L; 
BGl_z42wavzd2statuszd2donez42zz__wav_decoderz00 = 2L; 
BGl_z42wavzd2statuszd2needzd2morez90zz__wav_decoderz00 = 3L; 
BGl_z42wavzd2statuszd2okz42zz__wav_decoderz00 = 4L; 
return ( 
BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = BFALSE, BUNSPEC) ;} 

}



/* wav-debug */
int BGl_wavzd2debugzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 37 */
if(
(0L>0L))
{ /* Llib/wav_decoder.scm 38 */
BGL_TAIL return 
bgl_debug();}  else 
{ /* Llib/wav_decoder.scm 38 */
return 
(int)(0L);} } 

}



/* wav-decode-status->symbol */
obj_t BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(obj_t BgL_statusz00_10)
{
{ /* Llib/wav_decoder.scm 82 */
if(
(1L==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 84 */
return 
((obj_t)
CNST_TABLE_REF(0));}  else 
{ /* Llib/wav_decoder.scm 84 */
if(
(2L==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 85 */
return 
((obj_t)
CNST_TABLE_REF(1));}  else 
{ /* Llib/wav_decoder.scm 85 */
if(
(3L==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 86 */
return 
((obj_t)
CNST_TABLE_REF(2));}  else 
{ /* Llib/wav_decoder.scm 86 */
if(
(4L==
(long)CINT(BgL_statusz00_10)))
{ /* Llib/wav_decoder.scm 87 */
return 
((obj_t)
CNST_TABLE_REF(3));}  else 
{ /* Llib/wav_decoder.scm 87 */
return 
((obj_t)
CNST_TABLE_REF(4));} } } } } 

}



/* wav-decode */
obj_t BGl_wavzd2decodezd2zz__wav_decoderz00(BgL_wavmusicdecoderz00_bglt BgL_decz00_14, BgL_musicbufz00_bglt BgL_amz00_15, BgL_musicbufferz00_bglt BgL_bufferz00_16, int BgL_tailz00_17, int BgL_sz00_18)
{
{ /* Llib/wav_decoder.scm 267 */
if(
CBOOL(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)))
{ /* Llib/wav_decoder.scm 288 */
 BgL_wavinfoz00_bglt BgL_i1124z00_41;
BgL_i1124z00_41 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52headerz52)); 
if(
(
(long)(BgL_sz00_18)<
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_41))->BgL_blockalignz00))))
{ /* Llib/wav_decoder.scm 290 */
{ /* Llib/wav_decoder.scm 291 */
 long BgL_arg1160z00_44; obj_t BgL_arg1162z00_45; int BgL_arg1163z00_46;
BgL_arg1160z00_44 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1162z00_45 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1163z00_46 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1160z00_44), BgL_arg1162z00_45, BgL_arg1163z00_46, BgL_sz00_18); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52))+
(long)(BgL_sz00_18)))),BUNSPEC); 
return 
BINT(3L);}  else 
{ /* Llib/wav_decoder.scm 294 */
 bool_t BgL_test2124z00_953;
{ /* Llib/wav_decoder.scm 294 */
 long BgL_n1z00_492; long BgL_n2z00_493;
BgL_n1z00_492 = 
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)); 
{ /* Llib/wav_decoder.scm 294 */
 long BgL_tmpz00_956;
BgL_tmpz00_956 = 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_41))->BgL_chunksiza7eza7); 
BgL_n2z00_493 = 
(long)(BgL_tmpz00_956); } 
BgL_test2124z00_953 = 
(BgL_n1z00_492>=BgL_n2z00_493); } 
if(BgL_test2124z00_953)
{ /* Llib/wav_decoder.scm 294 */
return 
BINT(2L);}  else 
{ /* Llib/wav_decoder.scm 294 */
{ 
 int BgL_auxz00_961;
{ /* Llib/wav_decoder.scm 297 */
 long BgL_za71za7_496;
BgL_za71za7_496 = 
(long)(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1124z00_41))->BgL_blockalignz00)); 
BgL_auxz00_961 = 
(int)(
(BgL_za71za7_496*
(
(long)(BgL_sz00_18)/BgL_za71za7_496))); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5)=((int)BgL_auxz00_961),BUNSPEC); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52)=((int)
(int)(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52positionz52))+
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5))))),BUNSPEC); 
{ /* Llib/wav_decoder.scm 299 */
 long BgL_arg1176z00_56; obj_t BgL_arg1180z00_57; int BgL_arg1181z00_58; int BgL_arg1182z00_59;
BgL_arg1176z00_56 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_bufferz00_16))->BgL_z52tailz52); 
BgL_arg1180z00_57 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_outbufz00); 
BgL_arg1181z00_58 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52); 
BgL_arg1182z00_59 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52siza7ezf5); 
BGl_musicbufferzd2blitzd2stringz12z12zz__multimediazd2musicbufzd2(BgL_bufferz00_16, 
(int)(BgL_arg1176z00_56), BgL_arg1180z00_57, BgL_arg1181z00_58, BgL_arg1182z00_59); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_decz00_14))->BgL_z52cursorz52)=((int)
(int)(0L)),BUNSPEC); 
return 
BINT(4L);} } }  else 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_env1113z00_64;
BgL_env1113z00_64 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_cell1108z00_65;
BgL_cell1108z00_65 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_val1112z00_66;
BgL_val1112z00_66 = 
BGl_zc3z04exitza31190ze3ze70z60zz__wav_decoderz00(BgL_sz00_18, BgL_decz00_14, BgL_bufferz00_16, BgL_cell1108z00_65, BgL_env1113z00_64); 
if(
(BgL_val1112z00_66==BgL_cell1108z00_65))
{ /* Llib/wav_decoder.scm 271 */
{ /* Llib/wav_decoder.scm 271 */
 int BgL_tmpz00_990;
BgL_tmpz00_990 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_990); } 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1189z00_67;
BgL_arg1189z00_67 = 
CELL_REF(
((obj_t)BgL_val1112z00_66)); 
return 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)BgL_amz00_15), BgL_arg1189z00_67);} }  else 
{ /* Llib/wav_decoder.scm 271 */
return BgL_val1112z00_66;} } } } } 

}



/* <@exit:1190>~0 */
obj_t BGl_zc3z04exitza31190ze3ze70z60zz__wav_decoderz00(int BgL_sz00_728, BgL_wavmusicdecoderz00_bglt BgL_i1104z00_727, BgL_musicbufferz00_bglt BgL_bufferz00_726, obj_t BgL_cell1108z00_725, obj_t BgL_env1113z00_724)
{
{ /* Llib/wav_decoder.scm 271 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1118z00_69;
if (SET_EXIT(BgL_an_exit1118z00_69)) { 
return 
BGL_EXIT_VALUE();
} else {
#if (SIGSETJMP_SAVESIGS == 0)
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_69 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1113z00_724, BgL_an_exit1118z00_69, 1L); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_escape1109z00_70;
BgL_escape1109z00_70 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_724); 
{ /* Llib/wav_decoder.scm 271 */
 long BgL_res1121z00_71;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_ohs1105z00_72;
BgL_ohs1105z00_72 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1113z00_724); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_hds1106z00_73;
BgL_hds1106z00_73 = 
MAKE_STACK_PAIR(BgL_escape1109z00_70, BgL_cell1108z00_725); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_724, BgL_hds1106z00_73); BUNSPEC; 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_exitd1114z00_74;
BgL_exitd1114z00_74 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1113z00_724); 
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_tmp1116z00_75;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1201z00_88;
BgL_arg1201z00_88 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_74); 
BgL_tmp1116z00_75 = 
MAKE_YOUNG_PAIR(BgL_ohs1105z00_72, BgL_arg1201z00_88); } 
{ /* Llib/wav_decoder.scm 271 */

BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_74, BgL_tmp1116z00_75); BUNSPEC; 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_tmp1115z00_76;
{ /* Llib/wav_decoder.scm 274 */
 bool_t BgL_test2126z00_1008;
{ /* Llib/wav_decoder.scm 274 */
 long BgL_arg1200z00_87;
BgL_arg1200z00_87 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
{ /* Llib/wav_decoder.scm 274 */
 long BgL_n1z00_500; long BgL_n2z00_501;
BgL_n1z00_500 = 
(long)(BgL_sz00_728); 
BgL_n2z00_501 = 
(long)(BgL_arg1200z00_87); 
BgL_test2126z00_1008 = 
(BgL_n1z00_500<BgL_n2z00_501); } } 
if(BgL_test2126z00_1008)
{ /* Llib/wav_decoder.scm 274 */
BgL_tmp1115z00_76 = 3L; }  else 
{ /* Llib/wav_decoder.scm 276 */
 obj_t BgL_strz00_79;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_arg1198z00_85;
{ /* Llib/wav_decoder.scm 277 */
 long BgL_tmpz00_1013;
BgL_tmpz00_1013 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1198z00_85 = 
(long)(BgL_tmpz00_1013); } 
BgL_strz00_79 = 
BGl_musicbufferzd2substringzd2zz__multimediazd2musicbufzd2(BgL_bufferz00_726, 
(int)(0L), 
(int)(BgL_arg1198z00_85)); } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_727))->BgL_z52headerz52)=((obj_t)
BGl_wavzd2parsezd2headerz00zz__wav_wavz00(BgL_strz00_79)),BUNSPEC); 
{ /* Llib/wav_decoder.scm 279 */
 BgL_wavinfoz00_bglt BgL_i1117z00_80;
BgL_i1117z00_80 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_727))->BgL_z52headerz52)); 
if(
(
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1117z00_80))->BgL_audiofmtz00)==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Llib/wav_decoder.scm 280 */BFALSE; }  else 
{ /* Llib/wav_decoder.scm 280 */
BGl_errorz00zz__errorz00(BGl_string1991z00zz__wav_decoderz00, BGl_string1992z00zz__wav_decoderz00, 
(((BgL_wavinfoz00_bglt)COBJECT(BgL_i1117z00_80))->BgL_audiofmtz00)); } } 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_727))->BgL_z52siza7ezf5)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_727))->BgL_z52cursorz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1104z00_727))->BgL_z52positionz52)=((int)
(int)(0L)),BUNSPEC); 
BgL_tmp1115z00_76 = 1L; } } 
{ /* Llib/wav_decoder.scm 271 */
 bool_t BgL_test2128z00_1036;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1845z00_504;
BgL_arg1845z00_504 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_74); 
BgL_test2128z00_1036 = 
PAIRP(BgL_arg1845z00_504); } 
if(BgL_test2128z00_1036)
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1843z00_505;
{ /* Llib/wav_decoder.scm 271 */
 obj_t BgL_arg1844z00_506;
BgL_arg1844z00_506 = 
BGL_EXITD_PROTECT(BgL_exitd1114z00_74); 
BgL_arg1843z00_505 = 
CDR(
((obj_t)BgL_arg1844z00_506)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1114z00_74, BgL_arg1843z00_505); BUNSPEC; }  else 
{ /* Llib/wav_decoder.scm 271 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1113z00_724, BgL_ohs1105z00_72); BUNSPEC; 
BgL_res1121z00_71 = BgL_tmp1115z00_76; } } } } } } 
POP_ENV_EXIT(BgL_env1113z00_724); 
return 
BINT(BgL_res1121z00_71);} } 
}} 

}



/* debug-init! */
obj_t BGl_debugzd2initz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_21)
{
{ /* Llib/wav_decoder.scm 317 */
{ /* Llib/wav_decoder.scm 318 */

BGl_za2debugzd2portza2zd2zz__wav_decoderz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BGl_string1993z00zz__wav_decoderz00, BTRUE); } 
{ /* Llib/wav_decoder.scm 319 */
 BGL_LONGLONG_T BgL_arg1203z00_94;
BgL_arg1203z00_94 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_list1204z00_95;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1205z00_96;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1206z00_97;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1209z00_98;
{ /* Llib/wav_decoder.scm 319 */
 obj_t BgL_arg1210z00_99;
BgL_arg1210z00_99 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1209z00_98 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1203z00_94), BgL_arg1210z00_99); } 
BgL_arg1206z00_97 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zz__wav_decoderz00, BgL_arg1209z00_98); } 
BgL_arg1205z00_96 = 
MAKE_YOUNG_PAIR(BgL_urlz00_21, BgL_arg1206z00_97); } 
BgL_list1204z00_95 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zz__wav_decoderz00, BgL_arg1205z00_96); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1204z00_95);} } } 

}



/* debug-stop! */
obj_t BGl_debugzd2stopz12zc0zz__wav_decoderz00(obj_t BgL_urlz00_22)
{
{ /* Llib/wav_decoder.scm 324 */
{ /* Llib/wav_decoder.scm 325 */
 BGL_LONGLONG_T BgL_arg1211z00_100;
BgL_arg1211z00_100 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_list1212z00_101;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1213z00_102;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1214z00_103;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1215z00_104;
{ /* Llib/wav_decoder.scm 325 */
 obj_t BgL_arg1216z00_105;
BgL_arg1216z00_105 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1215z00_104 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1211z00_100), BgL_arg1216z00_105); } 
BgL_arg1214z00_103 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zz__wav_decoderz00, BgL_arg1215z00_104); } 
BgL_arg1213z00_102 = 
MAKE_YOUNG_PAIR(BgL_urlz00_22, BgL_arg1214z00_103); } 
BgL_list1212z00_101 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zz__wav_decoderz00, BgL_arg1213z00_102); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1212z00_101); } } 
return 
bgl_close_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* debug */
obj_t BGl_debugz00zz__wav_decoderz00(obj_t BgL_argsz00_23)
{
{ /* Llib/wav_decoder.scm 331 */
{ 
 obj_t BgL_l1127z00_107;
BgL_l1127z00_107 = BgL_argsz00_23; 
BgL_zc3z04anonymousza31217ze3z87_108:
if(
PAIRP(BgL_l1127z00_107))
{ /* Llib/wav_decoder.scm 332 */
{ /* Llib/wav_decoder.scm 332 */
 obj_t BgL_az00_110;
BgL_az00_110 = 
CAR(BgL_l1127z00_107); 
bgl_display_obj(BgL_az00_110, BGl_za2debugzd2portza2zd2zz__wav_decoderz00); } 
{ 
 obj_t BgL_l1127z00_1068;
BgL_l1127z00_1068 = 
CDR(BgL_l1127z00_107); 
BgL_l1127z00_107 = BgL_l1127z00_1068; 
goto BgL_zc3z04anonymousza31217ze3z87_108;} }  else 
{ /* Llib/wav_decoder.scm 332 */((bool_t)1); } } 
return 
bgl_flush_output_port(BGl_za2debugzd2portza2zd2zz__wav_decoderz00);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1223z00_116; obj_t BgL_arg1224z00_117;
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1129z00_143;
BgL_v1129z00_143 = 
create_vector(5L); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1231z00_144;
BgL_arg1231z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(6)), BGl_proc2000z00zz__wav_decoderz00, BGl_proc1999z00zz__wav_decoderz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc1998z00zz__wav_decoderz00, 
((obj_t)
CNST_TABLE_REF(7))); 
VECTOR_SET(BgL_v1129z00_143,0L,BgL_arg1231z00_144); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1238z00_159;
BgL_arg1238z00_159 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(8)), BGl_proc2003z00zz__wav_decoderz00, BGl_proc2002z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2001z00zz__wav_decoderz00, 
((obj_t)
CNST_TABLE_REF(9))); 
VECTOR_SET(BgL_v1129z00_143,1L,BgL_arg1238z00_159); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1263z00_172;
BgL_arg1263z00_172 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(10)), BGl_proc2006z00zz__wav_decoderz00, BGl_proc2005z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2004z00zz__wav_decoderz00, 
((obj_t)
CNST_TABLE_REF(11))); 
VECTOR_SET(BgL_v1129z00_143,2L,BgL_arg1263z00_172); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1278z00_185;
BgL_arg1278z00_185 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(12)), BGl_proc2009z00zz__wav_decoderz00, BGl_proc2008z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2007z00zz__wav_decoderz00, 
((obj_t)
CNST_TABLE_REF(11))); 
VECTOR_SET(BgL_v1129z00_143,3L,BgL_arg1278z00_185); } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_arg1353z00_198;
BgL_arg1353z00_198 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(13)), BGl_proc2012z00zz__wav_decoderz00, BGl_proc2011z00zz__wav_decoderz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2010z00zz__wav_decoderz00, 
((obj_t)
CNST_TABLE_REF(11))); 
VECTOR_SET(BgL_v1129z00_143,4L,BgL_arg1353z00_198); } 
BgL_arg1223z00_116 = BgL_v1129z00_143; } 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_v1130z00_211;
BgL_v1130z00_211 = 
create_vector(0L); 
BgL_arg1224z00_117 = BgL_v1130z00_211; } 
return ( 
BGl_wavmusicdecoderz00zz__wav_decoderz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(14)), 
((obj_t)
CNST_TABLE_REF(15)), BGl_musicdecoderz00zz__multimediazd2musicbufzd2, 3767L, BGl_proc2015z00zz__wav_decoderz00, BGl_proc2014z00zz__wav_decoderz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc2013z00zz__wav_decoderz00, BFALSE, BgL_arg1223z00_116, BgL_arg1224z00_117), BUNSPEC) ;} } 

}



/* &<@anonymous:1230> */
obj_t BGl_z62zc3z04anonymousza31230ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_622, obj_t BgL_new1090z00_623)
{
{ /* Llib/wav_decoder.scm 21 */
{ 
 BgL_wavmusicdecoderz00_bglt BgL_auxz00_1108;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623)))->BgL_outbufz00)=((obj_t)BGl_string2016z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623)))->BgL_z52headerz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623)))->BgL_z52cursorz52)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623)))->BgL_z52siza7ezf5)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623)))->BgL_z52positionz52)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_1108 = 
((BgL_wavmusicdecoderz00_bglt)BgL_new1090z00_623); 
return 
((obj_t)BgL_auxz00_1108);} } 

}



/* &lambda1228 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1228z62zz__wav_decoderz00(obj_t BgL_envz00_624)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1089z00_741;
BgL_new1089z00_741 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1229z00_742;
BgL_arg1229z00_742 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_741), BgL_arg1229z00_742); } 
return BgL_new1089z00_741;} } 

}



/* &lambda1225 */
BgL_wavmusicdecoderz00_bglt BGl_z62lambda1225z62zz__wav_decoderz00(obj_t BgL_envz00_625, obj_t BgL_mimetypes1074z00_626, obj_t BgL_bufferzd2timezd2near1075z00_627, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1076z75_628, obj_t BgL_periodzd2siza7ezd2nearzd2rat1077z75_629, obj_t BgL_z52z12dpause1078z40_630, obj_t BgL_z52z12dabort1079z40_631, obj_t BgL_z52z12stop1080z40_632, obj_t BgL_z52dmutex1081z52_633, obj_t BgL_z52dcondv1082z52_634, obj_t BgL_z52doutcondv1083z52_635, obj_t BgL_outbuf1084z00_636, obj_t BgL_z52header1085z52_637, obj_t BgL_z52cursor1086z52_638, obj_t BgL_z52siza7e1087zf5_639, obj_t BgL_z52position1088z52_640)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_bufferzd2timezd2near1075z00_744; int BgL_bufferzd2siza7ezd2nearzd2rat1076z75_745; int BgL_periodzd2siza7ezd2nearzd2rat1077z75_746; bool_t BgL_z52z12dpause1078z40_747; bool_t BgL_z52z12dabort1079z40_748; bool_t BgL_z52z12stop1080z40_749; int BgL_z52cursor1086z52_754; int BgL_z52siza7e1087zf5_755; int BgL_z52position1088z52_756;
BgL_bufferzd2timezd2near1075z00_744 = 
CINT(BgL_bufferzd2timezd2near1075z00_627); 
BgL_bufferzd2siza7ezd2nearzd2rat1076z75_745 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1076z75_628); 
BgL_periodzd2siza7ezd2nearzd2rat1077z75_746 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1077z75_629); 
BgL_z52z12dpause1078z40_747 = 
CBOOL(BgL_z52z12dpause1078z40_630); 
BgL_z52z12dabort1079z40_748 = 
CBOOL(BgL_z52z12dabort1079z40_631); 
BgL_z52z12stop1080z40_749 = 
CBOOL(BgL_z52z12stop1080z40_632); 
BgL_z52cursor1086z52_754 = 
CINT(BgL_z52cursor1086z52_638); 
BgL_z52siza7e1087zf5_755 = 
CINT(BgL_z52siza7e1087zf5_639); 
BgL_z52position1088z52_756 = 
CINT(BgL_z52position1088z52_640); 
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1126z00_757;
{ /* Llib/wav_decoder.scm 21 */
 BgL_wavmusicdecoderz00_bglt BgL_new1125z00_758;
BgL_new1125z00_758 = 
((BgL_wavmusicdecoderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavmusicdecoderz00_bgl) ))); 
{ /* Llib/wav_decoder.scm 21 */
 long BgL_arg1227z00_759;
BgL_arg1227z00_759 = 
BGL_CLASS_NUM(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_758), BgL_arg1227z00_759); } 
BgL_new1126z00_757 = BgL_new1125z00_758; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1074z00_626)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1075z00_744),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1076z75_745),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1077z75_746),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1078z40_747),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1079z40_748),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1080z40_749),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1081z52_633)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1082z52_634)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1126z00_757)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1083z52_635)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_757))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1084z00_636)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_757))->BgL_z52headerz52)=((obj_t)BgL_z52header1085z52_637),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_757))->BgL_z52cursorz52)=((int)BgL_z52cursor1086z52_754),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_757))->BgL_z52siza7ezf5)=((int)BgL_z52siza7e1087zf5_755),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_new1126z00_757))->BgL_z52positionz52)=((int)BgL_z52position1088z52_756),BUNSPEC); 
{ /* Llib/wav_decoder.scm 21 */
 obj_t BgL_fun1226z00_760;
BgL_fun1226z00_760 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_wavmusicdecoderz00zz__wav_decoderz00); 
BGL_PROCEDURE_CALL1(BgL_fun1226z00_760, 
((obj_t)BgL_new1126z00_757)); } 
return BgL_new1126z00_757;} } } 

}



/* &<@anonymous:1359> */
obj_t BGl_z62zc3z04anonymousza31359ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_641)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1358 */
obj_t BGl_z62lambda1358z62zz__wav_decoderz00(obj_t BgL_envz00_642, obj_t BgL_oz00_643, obj_t BgL_vz00_644)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_762;
BgL_vz00_762 = 
CINT(BgL_vz00_644); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_643)))->BgL_z52positionz52)=((int)BgL_vz00_762),BUNSPEC);} } 

}



/* &lambda1357 */
obj_t BGl_z62lambda1357z62zz__wav_decoderz00(obj_t BgL_envz00_645, obj_t BgL_oz00_646)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_646)))->BgL_z52positionz52));} 

}



/* &<@anonymous:1340> */
obj_t BGl_z62zc3z04anonymousza31340ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_647)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1339 */
obj_t BGl_z62lambda1339z62zz__wav_decoderz00(obj_t BgL_envz00_648, obj_t BgL_oz00_649, obj_t BgL_vz00_650)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_765;
BgL_vz00_765 = 
CINT(BgL_vz00_650); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_649)))->BgL_z52siza7ezf5)=((int)BgL_vz00_765),BUNSPEC);} } 

}



/* &lambda1338 */
obj_t BGl_z62lambda1338z62zz__wav_decoderz00(obj_t BgL_envz00_651, obj_t BgL_oz00_652)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_652)))->BgL_z52siza7ezf5));} 

}



/* &<@anonymous:1272> */
obj_t BGl_z62zc3z04anonymousza31272ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_653)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(0L);} 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__wav_decoderz00(obj_t BgL_envz00_654, obj_t BgL_oz00_655, obj_t BgL_vz00_656)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 21 */
 int BgL_vz00_768;
BgL_vz00_768 = 
CINT(BgL_vz00_656); 
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_655)))->BgL_z52cursorz52)=((int)BgL_vz00_768),BUNSPEC);} } 

}



/* &lambda1270 */
obj_t BGl_z62lambda1270z62zz__wav_decoderz00(obj_t BgL_envz00_657, obj_t BgL_oz00_658)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_658)))->BgL_z52cursorz52));} 

}



/* &<@anonymous:1251> */
obj_t BGl_z62zc3z04anonymousza31251ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_659)
{
{ /* Llib/wav_decoder.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1250 */
obj_t BGl_z62lambda1250z62zz__wav_decoderz00(obj_t BgL_envz00_660, obj_t BgL_oz00_661, obj_t BgL_vz00_662)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_661)))->BgL_z52headerz52)=((obj_t)BgL_vz00_662),BUNSPEC);} 

}



/* &lambda1249 */
obj_t BGl_z62lambda1249z62zz__wav_decoderz00(obj_t BgL_envz00_663, obj_t BgL_oz00_664)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_664)))->BgL_z52headerz52);} 

}



/* &<@anonymous:1237> */
obj_t BGl_z62zc3z04anonymousza31237ze3ze5zz__wav_decoderz00(obj_t BgL_envz00_665)
{
{ /* Llib/wav_decoder.scm 21 */
{ /* Llib/wav_decoder.scm 22 */

return 
make_string(2048L, ((unsigned char)' '));} } 

}



/* &lambda1236 */
obj_t BGl_z62lambda1236z62zz__wav_decoderz00(obj_t BgL_envz00_666, obj_t BgL_oz00_667, obj_t BgL_vz00_668)
{
{ /* Llib/wav_decoder.scm 21 */
return 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_667)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_vz00_668)),BUNSPEC);} 

}



/* &lambda1235 */
obj_t BGl_z62lambda1235z62zz__wav_decoderz00(obj_t BgL_envz00_669, obj_t BgL_oz00_670)
{
{ /* Llib/wav_decoder.scm 21 */
return 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_oz00_670)))->BgL_outbufz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2017z00zz__wav_decoderz00, BGl_string2018z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2019z00zz__wav_decoderz00, BGl_string2020z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2021z00zz__wav_decoderz00, BGl_string2022z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2positionzd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2023z00zz__wav_decoderz00, BGl_string2024z00zz__wav_decoderz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2decodezd2envz00zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2025z00zz__wav_decoderz00, BGl_string2026z00zz__wav_decoderz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2volumezd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00, BGl_proc2027z00zz__wav_decoderz00, BGl_string2028z00zz__wav_decoderz00);} 

}



/* &musicdecoder-volume-1142 */
obj_t BGl_z62musicdecoderzd2volumezd21142z62zz__wav_decoderz00(obj_t BgL_envz00_681, obj_t BgL_decz00_682, obj_t BgL_volz00_683)
{
{ /* Llib/wav_decoder.scm 306 */
return BFALSE;} 

}



/* &musicdecoder-decode-1140 */
obj_t BGl_z62musicdecoderzd2decodezd21140z62zz__wav_decoderz00(obj_t BgL_envz00_684, obj_t BgL_decz00_685, obj_t BgL_amz00_686, obj_t BgL_bufferz00_687)
{
{ /* Llib/wav_decoder.scm 93 */
{ /* Llib/wav_decoder.scm 99 */
struct bgl_unsafe_cell BgL_box2130_779z00; 
 obj_t BgL_haszd2beenzd2emptyzd2oncezd2_779;
BgL_haszd2beenzd2emptyzd2oncezd2_779 = 
BGL_MAKE_UNSAFE_CELL_STACK(BFALSE,BgL_box2130_779z00); 
{ /* Llib/wav_decoder.scm 99 */
 long BgL_inlenz00_780;
BgL_inlenz00_780 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52inlenz52); 
{ /* Llib/wav_decoder.scm 107 */
 long BgL_outlenz00_781;
BgL_outlenz00_781 = 
STRING_LENGTH(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)))->BgL_outbufz00)); 
{ 

{ /* Llib/wav_decoder.scm 169 */
 bool_t BgL_test2131z00_1256;
{ /* Llib/wav_decoder.scm 169 */
 int BgL_arg1373z00_783;
BgL_arg1373z00_783 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2131z00_1256 = 
(
(long)(BgL_arg1373z00_783)>0L); } 
if(BgL_test2131z00_1256)
{ /* Llib/wav_decoder.scm 169 */
BGl_debugzd2initz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_urlz00)); }  else 
{ /* Llib/wav_decoder.scm 169 */BFALSE; } } 
{ 

BgL_loopz00_784:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 173 */
{ /* Llib/wav_decoder.scm 175 */
 BgL_musicstatusz00_bglt BgL_i1100z00_785;
BgL_i1100z00_785 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1100z00_785))->BgL_songposz00)=((obj_t)
BINT(
BGl_musicdecoderzd2positionzd2zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(16))); 
{ /* Llib/wav_decoder.scm 178 */
 obj_t BgL_mutex1376z00_786;
BgL_mutex1376z00_786 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52dmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1376z00_786); 
{ /* Llib/wav_decoder.scm 178 */
 bool_t BgL_tmp2133z00_1284;
{ 

BgL_liipz00_787:
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52z12dpausez40))
{ /* Llib/wav_decoder.scm 180 */
{ /* Llib/wav_decoder.scm 181 */
 obj_t BgL_arg1381z00_788; obj_t BgL_arg1382z00_789;
BgL_arg1381z00_788 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52dcondvz52); 
BgL_arg1382z00_789 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52dmutexz52); 
{ /* Llib/wav_decoder.scm 181 */

BGL_CONDVAR_WAIT(BgL_arg1381z00_788, BgL_arg1382z00_789); } } 
goto BgL_liipz00_787;}  else 
{ /* Llib/wav_decoder.scm 180 */
BgL_tmp2133z00_1284 = ((bool_t)0); } } 
BGL_MUTEX_UNLOCK(BgL_mutex1376z00_786); BgL_tmp2133z00_1284; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(17))); 
goto BgL_loopz00_784;}  else 
{ /* Llib/wav_decoder.scm 173 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 185 */
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(18))); }  else 
{ /* Llib/wav_decoder.scm 185 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 188 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 192 */
 bool_t BgL_test2138z00_1318;
{ /* Llib/wav_decoder.scm 192 */
 int BgL_arg1410z00_790;
BgL_arg1410z00_790 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2138z00_1318 = 
(
(long)(BgL_arg1410z00_790)>=2L); } 
if(BgL_test2138z00_1318)
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1402z00_791;
BgL_arg1402z00_791 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_list1403z00_792;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1406z00_793;
{ /* Llib/wav_decoder.scm 193 */
 obj_t BgL_arg1409z00_794;
BgL_arg1409z00_794 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1406z00_793 = 
MAKE_YOUNG_PAIR(BgL_arg1402z00_791, BgL_arg1409z00_794); } 
BgL_list1403z00_792 = 
MAKE_YOUNG_PAIR(BGl_string2029z00zz__wav_decoderz00, BgL_arg1406z00_793); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1403z00_792); } }  else 
{ /* Llib/wav_decoder.scm 192 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(19))); }  else 
{ /* Llib/wav_decoder.scm 190 */
{ /* Llib/wav_decoder.scm 196 */
 bool_t BgL_test2139z00_1333;
{ /* Llib/wav_decoder.scm 196 */
 int BgL_arg1578z00_795;
BgL_arg1578z00_795 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2139z00_1333 = 
(
(long)(BgL_arg1578z00_795)>=1L); } 
if(BgL_test2139z00_1333)
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1445z00_796; BGL_LONGLONG_T BgL_arg1446z00_797;
BgL_arg1445z00_796 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_urlz00); 
BgL_arg1446z00_797 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_list1447z00_798;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1482z00_799;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1483z00_800;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1570z00_801;
{ /* Llib/wav_decoder.scm 197 */
 obj_t BgL_arg1571z00_802;
BgL_arg1571z00_802 = 
MAKE_YOUNG_PAIR(BGl_string2030z00zz__wav_decoderz00, BNIL); 
BgL_arg1570z00_801 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1446z00_797), BgL_arg1571z00_802); } 
BgL_arg1483z00_800 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zz__wav_decoderz00, BgL_arg1570z00_801); } 
BgL_arg1482z00_799 = 
MAKE_YOUNG_PAIR(BgL_arg1445z00_796, BgL_arg1483z00_800); } 
BgL_list1447z00_798 = 
MAKE_YOUNG_PAIR(BGl_string2031z00zz__wav_decoderz00, BgL_arg1482z00_799); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1447z00_798); } }  else 
{ /* Llib/wav_decoder.scm 196 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 200 */
 BgL_musicstatusz00_bglt BgL_i1102z00_803;
BgL_i1102z00_803 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1102z00_803))->BgL_bufferingz00)=((int)
(int)(
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_780, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))),BUNSPEC); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(20))); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_mutex1579z00_804;
BgL_mutex1579z00_804 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 204 */
 obj_t BgL_top2141z00_1362;
BgL_top2141z00_1362 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1579z00_804); 
BGL_EXITD_PUSH_PROTECT(BgL_top2141z00_1362, BgL_mutex1579z00_804); BUNSPEC; 
{ /* Llib/wav_decoder.scm 204 */
 bool_t BgL_tmp2140z00_1361;
{ /* Llib/wav_decoder.scm 206 */
 bool_t BgL_test2142z00_1366;
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52emptyz52))
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2142z00_1366 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
if(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685))))->BgL_z52z12dabortz40))
{ /* Llib/wav_decoder.scm 206 */
BgL_test2142z00_1366 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2142z00_1366 = 
(
(8L*
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))>BgL_inlenz00_780)
; } } }  else 
{ /* Llib/wav_decoder.scm 206 */
BgL_test2142z00_1366 = ((bool_t)1)
; } 
if(BgL_test2142z00_1366)
{ /* Llib/wav_decoder.scm 206 */
BgL_tmp2140z00_1361 = ((bool_t)0); }  else 
{ /* Llib/wav_decoder.scm 210 */
 obj_t BgL_arg1596z00_805; obj_t BgL_arg1597z00_806;
BgL_arg1596z00_805 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52bcondvz52); 
BgL_arg1597z00_806 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52bmutexz52); 
{ /* Llib/wav_decoder.scm 210 */

BgL_tmp2140z00_1361 = 
BGL_CONDVAR_WAIT(BgL_arg1596z00_805, BgL_arg1597z00_806); } } } 
BGL_EXITD_POP_PROTECT(BgL_top2141z00_1362); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1579z00_804); BgL_tmp2140z00_1361; } } } 
{ /* Llib/wav_decoder.scm 211 */
 bool_t BgL_test2146z00_1388;
{ /* Llib/wav_decoder.scm 211 */
 int BgL_arg1617z00_807;
BgL_arg1617z00_807 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2146z00_1388 = 
(
(long)(BgL_arg1617z00_807)>=1L); } 
if(BgL_test2146z00_1388)
{ /* Llib/wav_decoder.scm 212 */
 BGL_LONGLONG_T BgL_arg1610z00_808;
BgL_arg1610z00_808 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_list1611z00_809;
{ /* Llib/wav_decoder.scm 212 */
 obj_t BgL_arg1616z00_810;
BgL_arg1616z00_810 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_list1611z00_809 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1610z00_808), BgL_arg1616z00_810); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1611z00_809); } }  else 
{ /* Llib/wav_decoder.scm 211 */BFALSE; } } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(17))); 
goto BgL_loopz00_784;} }  else 
{ /* Llib/wav_decoder.scm 217 */
 long BgL_sz00_811;
{ /* Llib/wav_decoder.scm 217 */
 long BgL_bz00_812;
if(
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52headz52)>
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52)))
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_812 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52headz52)-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52)); }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_bz00_812 = 
(BgL_inlenz00_780-
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52)); } 
if(
(BgL_outlenz00_781<BgL_bz00_812))
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_811 = BgL_outlenz00_781; }  else 
{ /* Llib/wav_decoder.scm 218 */
BgL_sz00_811 = BgL_bz00_812; } } 
if(
(BgL_sz00_811==0L))
{ /* Llib/wav_decoder.scm 221 */
goto BgL_loopz00_784;}  else 
{ /* Llib/wav_decoder.scm 223 */
 obj_t BgL_statusz00_813;
{ /* Llib/wav_decoder.scm 223 */
 long BgL_arg1777z00_814;
BgL_arg1777z00_814 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52); 
BgL_statusz00_813 = 
BGl_wavzd2decodezd2zz__wav_decoderz00(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685), 
((BgL_musicbufz00_bglt)BgL_amz00_686), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687), 
(int)(BgL_arg1777z00_814), 
(int)(BgL_sz00_811)); } 
{ /* Llib/wav_decoder.scm 224 */
 bool_t BgL_test2150z00_1428;
{ /* Llib/wav_decoder.scm 224 */
 int BgL_arg1705z00_815;
BgL_arg1705z00_815 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2150z00_1428 = 
(
(long)(BgL_arg1705z00_815)>=4L); } 
if(BgL_test2150z00_1428)
{ /* Llib/wav_decoder.scm 225 */
 long BgL_arg1632z00_816; long BgL_arg1633z00_817; obj_t BgL_arg1634z00_818;
BgL_arg1632z00_816 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52); 
BgL_arg1633z00_817 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52headz52); 
BgL_arg1634z00_818 = 
BGl_wavzd2decodezd2statuszd2ze3symbolz31zz__wav_decoderz00(BgL_statusz00_813); 
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_list1635z00_819;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1651z00_820;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1652z00_821;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1653z00_822;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1654z00_823;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1667z00_824;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1691z00_825;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1692z00_826;
{ /* Llib/wav_decoder.scm 225 */
 obj_t BgL_arg1698z00_827;
BgL_arg1698z00_827 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1692z00_826 = 
MAKE_YOUNG_PAIR(BgL_arg1634z00_818, BgL_arg1698z00_827); } 
BgL_arg1691z00_825 = 
MAKE_YOUNG_PAIR(BGl_string2032z00zz__wav_decoderz00, BgL_arg1692z00_826); } 
BgL_arg1667z00_824 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1633z00_817), BgL_arg1691z00_825); } 
BgL_arg1654z00_823 = 
MAKE_YOUNG_PAIR(BGl_string2033z00zz__wav_decoderz00, BgL_arg1667z00_824); } 
BgL_arg1653z00_822 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1632z00_816), BgL_arg1654z00_823); } 
BgL_arg1652z00_821 = 
MAKE_YOUNG_PAIR(BGl_string2034z00zz__wav_decoderz00, BgL_arg1653z00_822); } 
BgL_arg1651z00_820 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_811), BgL_arg1652z00_821); } 
BgL_list1635z00_819 = 
MAKE_YOUNG_PAIR(BGl_string2035z00zz__wav_decoderz00, BgL_arg1651z00_820); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1635z00_819); } }  else 
{ /* Llib/wav_decoder.scm 224 */BFALSE; } } 
if(
(
(long)CINT(BgL_statusz00_813)==4L))
{ /* Llib/wav_decoder.scm 231 */
{ /* Llib/wav_decoder.scm 233 */
 bool_t BgL_test2152z00_1453;
{ /* Llib/wav_decoder.scm 233 */
 int BgL_arg1732z00_828;
BgL_arg1732z00_828 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2152z00_1453 = 
(
(long)(BgL_arg1732z00_828)>=5L); } 
if(BgL_test2152z00_1453)
{ /* Llib/wav_decoder.scm 234 */
 int BgL_arg1711z00_829;
BgL_arg1711z00_829 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)))->BgL_z52siza7ezf5); 
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_list1712z00_830;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1716z00_831;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1722z00_832;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1724z00_833;
{ /* Llib/wav_decoder.scm 234 */
 obj_t BgL_arg1731z00_834;
BgL_arg1731z00_834 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1724z00_833 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1711z00_829), BgL_arg1731z00_834); } 
BgL_arg1722z00_832 = 
MAKE_YOUNG_PAIR(BGl_string2036z00zz__wav_decoderz00, BgL_arg1724z00_833); } 
BgL_arg1716z00_831 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_811), BgL_arg1722z00_832); } 
BgL_list1712z00_830 = 
MAKE_YOUNG_PAIR(BGl_string2037z00zz__wav_decoderz00, BgL_arg1716z00_831); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1712z00_830); } }  else 
{ /* Llib/wav_decoder.scm 233 */BFALSE; } } 
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_686), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685), 
(int)(BgL_sz00_811)); 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687), BgL_inlenz00_780, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687), BgL_haszd2beenzd2emptyzd2oncezd2_779, BgL_sz00_811); 
goto BgL_loopz00_784;}  else 
{ /* Llib/wav_decoder.scm 231 */
if(
(
(long)CINT(BgL_statusz00_813)==3L))
{ /* Llib/wav_decoder.scm 239 */
{ /* Llib/wav_decoder.scm 241 */
 bool_t BgL_test2154z00_1477;
{ /* Llib/wav_decoder.scm 241 */
 int BgL_arg1762z00_835;
BgL_arg1762z00_835 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2154z00_1477 = 
(
(long)(BgL_arg1762z00_835)>=5L); } 
if(BgL_test2154z00_1477)
{ /* Llib/wav_decoder.scm 242 */
 int BgL_arg1741z00_836; bool_t BgL_arg1743z00_837; long BgL_arg1744z00_838;
BgL_arg1741z00_836 = 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)))->BgL_z52siza7ezf5); 
BgL_arg1743z00_837 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52emptyz52); 
BgL_arg1744z00_838 = 
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_z52tailz52); 
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_list1745z00_839;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1746z00_840;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1755z00_841;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1756z00_842;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1757z00_843;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1758z00_844;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1759z00_845;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1760z00_846;
{ /* Llib/wav_decoder.scm 242 */
 obj_t BgL_arg1761z00_847;
BgL_arg1761z00_847 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1760z00_846 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1744z00_838), BgL_arg1761z00_847); } 
BgL_arg1759z00_845 = 
MAKE_YOUNG_PAIR(BGl_string2038z00zz__wav_decoderz00, BgL_arg1760z00_846); } 
BgL_arg1758z00_844 = 
MAKE_YOUNG_PAIR(
BBOOL(BgL_arg1743z00_837), BgL_arg1759z00_845); } 
BgL_arg1757z00_843 = 
MAKE_YOUNG_PAIR(BGl_string2039z00zz__wav_decoderz00, BgL_arg1758z00_844); } 
BgL_arg1756z00_842 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1741z00_836), BgL_arg1757z00_843); } 
BgL_arg1755z00_841 = 
MAKE_YOUNG_PAIR(BGl_string2036z00zz__wav_decoderz00, BgL_arg1756z00_842); } 
BgL_arg1746z00_840 = 
MAKE_YOUNG_PAIR(
BINT(BgL_sz00_811), BgL_arg1755z00_841); } 
BgL_list1745z00_839 = 
MAKE_YOUNG_PAIR(BGl_string2040z00zz__wav_decoderz00, BgL_arg1746z00_840); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1745z00_839); } }  else 
{ /* Llib/wav_decoder.scm 241 */BFALSE; } } 
goto BgL_loopz00_784;}  else 
{ /* Llib/wav_decoder.scm 239 */
if(
(
(long)CINT(BgL_statusz00_813)==1L))
{ /* Llib/wav_decoder.scm 246 */
BGl_musicdecoderzd2hwparamszd2setz12z12zz__multimediazd2musicbufzd2(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)), 
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)); 
{ /* Llib/wav_decoder.scm 249 */
 long BgL_arg1769z00_848;
{ /* Llib/wav_decoder.scm 249 */
 long BgL_tmpz00_1510;
BgL_tmpz00_1510 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
BgL_arg1769z00_848 = 
(long)(BgL_tmpz00_1510); } 
BGl_inczd2tailz12ze70z27zz__wav_decoderz00(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687), BgL_inlenz00_780, 
((BgL_musicbufferz00_bglt)BgL_bufferz00_687), BgL_haszd2beenzd2emptyzd2oncezd2_779, BgL_arg1769z00_848); } 
goto BgL_loopz00_784;}  else 
{ /* Llib/wav_decoder.scm 246 */
if(
(
(long)CINT(BgL_statusz00_813)==2L))
{ /* Llib/wav_decoder.scm 251 */
if(
(
(long)(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)))->BgL_z52siza7ezf5))>0L))
{ /* Llib/wav_decoder.scm 253 */
BGl_flushze70ze7zz__wav_decoderz00(
((BgL_musicbufz00_bglt)BgL_amz00_686), 
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685), 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_685)))->BgL_z52siza7ezf5)); }  else 
{ /* Llib/wav_decoder.scm 253 */((bool_t)0); } 
BGl_musiczd2statezd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), 
((obj_t)
CNST_TABLE_REF(19))); }  else 
{ /* Llib/wav_decoder.scm 251 */
{ /* Llib/wav_decoder.scm 257 */
 BgL_musicstatusz00_bglt BgL_i1103z00_849;
BgL_i1103z00_849 = 
(((BgL_musicz00_bglt)COBJECT(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686))))->BgL_z52statusz52); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_849))->BgL_errz00)=((obj_t)BGl_string2041z00zz__wav_decoderz00),BUNSPEC); 
((((BgL_musicstatusz00_bglt)COBJECT(BgL_i1103z00_849))->BgL_statez00)=((obj_t)
((obj_t)
CNST_TABLE_REF(21))),BUNSPEC); } 
BGl_musiczd2errorzd2setz12z12zz__multimediazd2musiczd2(
((BgL_musicz00_bglt)
((BgL_musicbufz00_bglt)BgL_amz00_686)), BGl_string2041z00zz__wav_decoderz00); } } } } } } } } } 
{ /* Llib/wav_decoder.scm 261 */
 bool_t BgL_test2158z00_1544;
{ /* Llib/wav_decoder.scm 261 */
 int BgL_arg1826z00_850;
BgL_arg1826z00_850 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2158z00_1544 = 
(
(long)(BgL_arg1826z00_850)>0L); } 
if(BgL_test2158z00_1544)
{ /* Llib/wav_decoder.scm 261 */
return 
BGl_debugzd2stopz12zc0zz__wav_decoderz00(
(((BgL_musicbufferz00_bglt)COBJECT(
((BgL_musicbufferz00_bglt)BgL_bufferz00_687)))->BgL_urlz00));}  else 
{ /* Llib/wav_decoder.scm 261 */
return BFALSE;} } } } } } } 

}



/* flush~0 */
bool_t BGl_flushze70ze7zz__wav_decoderz00(BgL_musicbufz00_bglt BgL_amz00_714, BgL_wavmusicdecoderz00_bglt BgL_i1098z00_713, int BgL_sza7za7_465)
{
{ /* Llib/wav_decoder.scm 167 */
BGl_flushze70ze7zz__wav_decoderz00:
if(
(
(long)(BgL_sza7za7_465)>0L))
{ /* Llib/wav_decoder.scm 167 */
 long BgL_arg1912z00_468;
{ /* Llib/wav_decoder.scm 167 */
 obj_t BgL_arg1913z00_469;
BgL_arg1913z00_469 = 
BGl_musicbufzd2writezd2zz__multimediazd2musicbufzd2(BgL_amz00_714, 
(((BgL_wavmusicdecoderz00_bglt)COBJECT(BgL_i1098z00_713))->BgL_outbufz00), 
(long)(BgL_sza7za7_465)); 
BgL_arg1912z00_468 = 
(
(long)(BgL_sza7za7_465)-
(long)CINT(BgL_arg1913z00_469)); } 
{ 
 int BgL_sza7za7_1560;
BgL_sza7za7_1560 = 
(int)(BgL_arg1912z00_468); 
BgL_sza7za7_465 = BgL_sza7za7_1560; 
goto BGl_flushze70ze7zz__wav_decoderz00;} }  else 
{ /* Llib/wav_decoder.scm 166 */
return ((bool_t)0);} } 

}



/* inc-tail!~0 */
obj_t BGl_inczd2tailz12ze70z27zz__wav_decoderz00(BgL_musicbufferz00_bglt BgL_i1099z00_718, long BgL_inlenz00_717, BgL_musicbufferz00_bglt BgL_bufferz00_716, obj_t BgL_haszd2beenzd2emptyzd2oncezd2_715, long BgL_siza7eza7_434)
{
{ /* Llib/wav_decoder.scm 152 */
{ 

{ /* Llib/wav_decoder.scm 145 */
 long BgL_ntailz00_436;
BgL_ntailz00_436 = 
(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52tailz52)+BgL_siza7eza7_434); 
if(
(BgL_ntailz00_436==BgL_inlenz00_717))
{ /* Llib/wav_decoder.scm 146 */
BgL_ntailz00_436 = 0L; }  else 
{ /* Llib/wav_decoder.scm 146 */BFALSE; } 
if(
(BgL_ntailz00_436==
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52headz52)))
{ /* Llib/wav_decoder.scm 149 */
{ /* Llib/wav_decoder.scm 150 */
 obj_t BgL_auxz00_719;
BgL_auxz00_719 = BTRUE; 
BGL_UNSAFE_CELL_SET(BgL_haszd2beenzd2emptyzd2oncezd2_715, BgL_auxz00_719); } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52emptyz52)=((bool_t)((bool_t)1)),BUNSPEC); }  else 
{ /* Llib/wav_decoder.scm 149 */BFALSE; } 
((((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52tailz52)=((long)BgL_ntailz00_436),BUNSPEC); } 
{ /* Llib/wav_decoder.scm 128 */
 bool_t BgL_test2162z00_1571;
{ /* Llib/wav_decoder.scm 128 */
 int BgL_arg1881z00_433;
BgL_arg1881z00_433 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2162z00_1571 = 
(
(long)(BgL_arg1881z00_433)>=3L); } 
if(BgL_test2162z00_1571)
{ /* Llib/wav_decoder.scm 129 */
 long BgL_pz00_403;
BgL_pz00_403 = 
BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(BgL_inlenz00_717, BgL_bufferz00_716); 
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2163z00_1576;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2164z00_1577;
{ /* Llib/wav_decoder.scm 130 */
 bool_t BgL_test2165z00_1578;
if(
(BgL_pz00_403<75L))
{ /* Llib/wav_decoder.scm 130 */
BgL_test2165z00_1578 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2165z00_1578 = 
CBOOL(
((obj_t)
((obj_t)BGL_UNSAFE_CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_715))))
; } 
if(BgL_test2165z00_1578)
{ /* Llib/wav_decoder.scm 130 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 131 */
BgL_test2164z00_1577 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 131 */
BgL_test2164z00_1577 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 130 */
BgL_test2164z00_1577 = ((bool_t)0)
; } } 
if(BgL_test2164z00_1577)
{ /* Llib/wav_decoder.scm 130 */
BgL_test2163z00_1576 = ((bool_t)1)
; }  else 
{ /* Llib/wav_decoder.scm 132 */
 int BgL_arg1880z00_429;
BgL_arg1880z00_429 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2163z00_1576 = 
(
(long)(BgL_arg1880z00_429)>=4L); } } 
if(BgL_test2163z00_1576)
{ /* Llib/wav_decoder.scm 135 */
 obj_t BgL_arg1866z00_414; obj_t BgL_arg1867z00_415; obj_t BgL_arg1868z00_416;
if(
(BgL_pz00_403>=80L))
{ /* Llib/wav_decoder.scm 135 */
BgL_arg1866z00_414 = BGl_string2016z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 135 */
if(
(BgL_pz00_403>25L))
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1866z00_414 = BGl_string2042z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 136 */
BgL_arg1866z00_414 = BGl_string2043z00zz__wav_decoderz00; } } 
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1867z00_415 = BGl_string2044z00zz__wav_decoderz00; }  else 
{ /* Llib/wav_decoder.scm 140 */
BgL_arg1867z00_415 = BGl_string2016z00zz__wav_decoderz00; } 
BgL_arg1868z00_416 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_urlz00); 
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_list1869z00_417;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1870z00_418;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1871z00_419;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1872z00_420;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1873z00_421;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1874z00_422;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1875z00_423;
{ /* Llib/wav_decoder.scm 133 */
 obj_t BgL_arg1876z00_424;
BgL_arg1876z00_424 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_arg1875z00_423 = 
MAKE_YOUNG_PAIR(BgL_arg1868z00_416, BgL_arg1876z00_424); } 
BgL_arg1874z00_422 = 
MAKE_YOUNG_PAIR(BGl_string2045z00zz__wav_decoderz00, BgL_arg1875z00_423); } 
BgL_arg1873z00_421 = 
MAKE_YOUNG_PAIR(BgL_arg1867z00_415, BgL_arg1874z00_422); } 
BgL_arg1872z00_420 = 
MAKE_YOUNG_PAIR(BGl_string2046z00zz__wav_decoderz00, BgL_arg1873z00_421); } 
BgL_arg1871z00_419 = 
MAKE_YOUNG_PAIR(
BINT(BgL_pz00_403), BgL_arg1872z00_420); } 
BgL_arg1870z00_418 = 
MAKE_YOUNG_PAIR(BgL_arg1866z00_414, BgL_arg1871z00_419); } 
BgL_list1869z00_417 = 
MAKE_YOUNG_PAIR(BGl_string2047z00zz__wav_decoderz00, BgL_arg1870z00_418); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1869z00_417); } }  else 
{ /* Llib/wav_decoder.scm 130 */BFALSE; } } }  else 
{ /* Llib/wav_decoder.scm 128 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2171z00_1605;
{ /* Llib/wav_decoder.scm 156 */
 bool_t BgL_test2172z00_1606;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1853z00_396;
{ /* Llib/wav_decoder.scm 123 */
 long BgL_arg1854z00_397; long BgL_arg1855z00_398;
if(
CBOOL(
((obj_t)
((obj_t)BGL_UNSAFE_CELL_REF(BgL_haszd2beenzd2emptyzd2oncezd2_715)))))
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1854z00_397 = 2L; }  else 
{ /* Llib/wav_decoder.scm 123 */
BgL_arg1854z00_397 = 4L; } 
BgL_arg1855z00_398 = 
(BgL_inlenz00_717-
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_716)); 
BgL_arg1853z00_396 = 
(BgL_arg1854z00_397*BgL_arg1855z00_398); } 
BgL_test2172z00_1606 = 
(BgL_arg1853z00_396>BgL_inlenz00_717); } 
if(BgL_test2172z00_1606)
{ /* Llib/wav_decoder.scm 156 */
if(
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52eofz52))
{ /* Llib/wav_decoder.scm 156 */
BgL_test2171z00_1605 = ((bool_t)0)
; }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2171z00_1605 = ((bool_t)1)
; } }  else 
{ /* Llib/wav_decoder.scm 156 */
BgL_test2171z00_1605 = ((bool_t)0)
; } } 
if(BgL_test2171z00_1605)
{ /* Llib/wav_decoder.scm 156 */
{ /* Llib/wav_decoder.scm 157 */
 bool_t BgL_test2175z00_1616;
{ /* Llib/wav_decoder.scm 157 */
 int BgL_arg1901z00_454;
BgL_arg1901z00_454 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2175z00_1616 = 
(
(long)(BgL_arg1901z00_454)>=2L); } 
if(BgL_test2175z00_1616)
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1893z00_447; BGL_LONGLONG_T BgL_arg1894z00_448;
BgL_arg1893z00_447 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_urlz00); 
BgL_arg1894z00_448 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_list1895z00_449;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1897z00_450;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1898z00_451;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1899z00_452;
{ /* Llib/wav_decoder.scm 158 */
 obj_t BgL_arg1900z00_453;
BgL_arg1900z00_453 = 
MAKE_YOUNG_PAIR(BGl_string2030z00zz__wav_decoderz00, BNIL); 
BgL_arg1899z00_452 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1894z00_448), BgL_arg1900z00_453); } 
BgL_arg1898z00_451 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zz__wav_decoderz00, BgL_arg1899z00_452); } 
BgL_arg1897z00_450 = 
MAKE_YOUNG_PAIR(BgL_arg1893z00_447, BgL_arg1898z00_451); } 
BgL_list1895z00_449 = 
MAKE_YOUNG_PAIR(BGl_string2048z00zz__wav_decoderz00, BgL_arg1897z00_450); } 
BGl_debugz00zz__wav_decoderz00(BgL_list1895z00_449); } }  else 
{ /* Llib/wav_decoder.scm 157 */BFALSE; } } 
{ /* Llib/wav_decoder.scm 160 */
 obj_t BgL_mutex1902z00_455;
BgL_mutex1902z00_455 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52bmutexz52); 
BGL_MUTEX_LOCK(BgL_mutex1902z00_455); 
{ /* Llib/wav_decoder.scm 160 */
 bool_t BgL_tmp2176z00_1630;
{ /* Llib/wav_decoder.scm 161 */
 obj_t BgL_tmpz00_1632;
BgL_tmpz00_1632 = 
(((BgL_musicbufferz00_bglt)COBJECT(BgL_i1099z00_718))->BgL_z52bcondvz52); 
BgL_tmp2176z00_1630 = 
BGL_CONDVAR_BROADCAST(BgL_tmpz00_1632); } 
BGL_MUTEX_UNLOCK(BgL_mutex1902z00_455); BgL_tmp2176z00_1630; } } 
{ /* Llib/wav_decoder.scm 162 */
 bool_t BgL_test2177z00_1636;
{ /* Llib/wav_decoder.scm 162 */
 int BgL_arg1909z00_462;
BgL_arg1909z00_462 = 
BGl_wavzd2debugzd2zz__wav_decoderz00(); 
BgL_test2177z00_1636 = 
(
(long)(BgL_arg1909z00_462)>=2L); } 
if(BgL_test2177z00_1636)
{ /* Llib/wav_decoder.scm 163 */
 BGL_LONGLONG_T BgL_arg1906z00_459;
BgL_arg1906z00_459 = 
bgl_current_microseconds(); 
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_list1907z00_460;
{ /* Llib/wav_decoder.scm 163 */
 obj_t BgL_arg1908z00_461;
BgL_arg1908z00_461 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zz__wav_decoderz00, BNIL); 
BgL_list1907z00_460 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1906z00_459), BgL_arg1908z00_461); } 
return 
BGl_debugz00zz__wav_decoderz00(BgL_list1907z00_460);} }  else 
{ /* Llib/wav_decoder.scm 162 */
return BFALSE;} } }  else 
{ /* Llib/wav_decoder.scm 156 */
return BFALSE;} } } } 

}



/* buffer-percentage-filled~0 */
long BGl_bufferzd2percentagezd2filledze70ze7zz__wav_decoderz00(long BgL_inlenz00_721, BgL_musicbufferz00_bglt BgL_bufferz00_720)
{
{ /* Llib/wav_decoder.scm 115 */
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1828z00_387;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1839z00_388; BGL_LONGLONG_T BgL_arg1841z00_389;
{ /* Llib/wav_decoder.scm 114 */
 BGL_LONGLONG_T BgL_arg1842z00_390;
{ /* Llib/wav_decoder.scm 114 */
 long BgL_tmpz00_1645;
BgL_tmpz00_1645 = 
BGl_musicbufferzd2availablezd2zz__multimediazd2musicbufzd2(BgL_bufferz00_720); 
BgL_arg1842z00_390 = 
LONG_TO_LLONG(BgL_tmpz00_1645); } 
BgL_arg1839z00_388 = 
(((BGL_LONGLONG_T)100)*BgL_arg1842z00_390); } 
BgL_arg1841z00_389 = 
LONG_TO_LLONG(BgL_inlenz00_721); 
BgL_arg1828z00_387 = 
(BgL_arg1839z00_388/BgL_arg1841z00_389); } 
return 
LLONG_TO_LONG(BgL_arg1828z00_387);} } 

}



/* &musicdecoder-positio1138 */
obj_t BGl_z62musicdecoderzd2positio1138zb0zz__wav_decoderz00(obj_t BgL_envz00_688, obj_t BgL_decz00_689, obj_t BgL_bz00_690)
{
{ /* Llib/wav_decoder.scm 67 */
return 
BINT(
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_689)))->BgL_z52positionz52));} 

}



/* &musicdecoder-reset!-1136 */
obj_t BGl_z62musicdecoderzd2resetz12zd21136z70zz__wav_decoderz00(obj_t BgL_envz00_691, obj_t BgL_decz00_692)
{
{ /* Llib/wav_decoder.scm 59 */
{ 

((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_692)))->BgL_z52headerz52)=((obj_t)BFALSE),BUNSPEC); 
{ /* Llib/wav_decoder.scm 59 */
 obj_t BgL_nextzd2method1135zd2_854;
BgL_nextzd2method1135zd2_854 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_692)), BGl_musicdecoderzd2resetz12zd2envz12zz__multimediazd2musicbufzd2, BGl_wavmusicdecoderz00zz__wav_decoderz00); 
return 
BGL_PROCEDURE_CALL1(BgL_nextzd2method1135zd2_854, 
((obj_t)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_692)));} } } 

}



/* &musicdecoder-init-wa1134 */
obj_t BGl_z62musicdecoderzd2initzd2wa1134z62zz__wav_decoderz00(obj_t BgL_envz00_693, obj_t BgL_decz00_694)
{
{ /* Llib/wav_decoder.scm 51 */
if(
NULLP(
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_mimetypesz00)))
{ /* Llib/wav_decoder.scm 53 */
return 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavmusicdecoderz00_bglt)BgL_decz00_694))))->BgL_mimetypesz00)=((obj_t)
((obj_t)
CNST_TABLE_REF(22))),BUNSPEC);}  else 
{ /* Llib/wav_decoder.scm 53 */
return BFALSE;} } 

}



/* &object-print-wavmusi1132 */
obj_t BGl_z62objectzd2printzd2wavmusi1132z62zz__wav_decoderz00(obj_t BgL_envz00_695, obj_t BgL_oz00_696, obj_t BgL_portz00_697, obj_t BgL_printzd2slotzd2_698)
{
{ /* Llib/wav_decoder.scm 45 */
{ /* Llib/wav_decoder.scm 46 */
 obj_t BgL_tmpz00_1676;
BgL_tmpz00_1676 = 
((obj_t)BgL_portz00_697); 
return 
bgl_display_string(BGl_string2049z00zz__wav_decoderz00, BgL_tmpz00_1676);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__wav_decoderz00(void)
{
{ /* Llib/wav_decoder.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__wav_wavz00(21080121L, 
BSTRING_TO_STRING(BGl_string2050z00zz__wav_decoderz00));} 

}

#ifdef __cplusplus
}
#endif
