/*===========================================================================*/
/*   (Ast/glo_def.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/glo_def.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_AST_GLOzd2DEFzd2_TYPE_DEFINITIONS
#define BGL_BgL_AST_GLOzd2DEFzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;


#endif													// BGL_BgL_AST_GLOzd2DEFzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 = BUNSPEC;
	extern obj_t BGl_dssslzd2keyszd2zztools_dssslz00(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_dssslzd2formalszd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_glozd2defzd2(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzast_glozd2defzd2(void);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_glozd2defzd2(void);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_removezd2varzd2fromz12z12zzast_removez00(obj_t,
		BgL_variablez00_bglt);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t
		BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2(void);
	static BgL_globalz00_bglt
		BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2(void);
	extern obj_t BGl_dssslzd2optionalszd2zztools_dssslz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_glozd2defzd2(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t,
		BgL_typez00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern bool_t BGl_dssslzd2prototypezf3z21zztools_dssslz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2methodzd2definitionzd2envzd2zzast_glozd2defzd2,
		BgL_bgl_za762checkza7d2metho1899z00,
		BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2scnstz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71900za7,
		BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunzd2nozd2warningz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71901za7,
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2, 0L,
		BUNSPEC, 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2sfunz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71902za7,
		BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 8);
	      DEFINE_STRING(BGl_string1879z00zzast_glozd2defzd2,
		BgL_bgl_string1879za700za7za7a1903za7, "check-method-definition", 23);
	      DEFINE_STRING(BGl_string1880z00zzast_glozd2defzd2,
		BgL_bgl_string1880za700za7za7a1904za7, "unexpected generic arg", 22);
	      DEFINE_STRING(BGl_string1881z00zzast_glozd2defzd2,
		BgL_bgl_string1881za700za7za7a1905za7,
		"(incompatible DSSSL #!optional prototype)", 41);
	      DEFINE_STRING(BGl_string1882z00zzast_glozd2defzd2,
		BgL_bgl_string1882za700za7za7a1906za7,
		"(incompatible DSSSL #!key prototype)", 36);
	      DEFINE_STRING(BGl_string1883z00zzast_glozd2defzd2,
		BgL_bgl_string1883za700za7za7a1907za7, "(incompatible Dsssl prototype)",
		30);
	      DEFINE_STRING(BGl_string1884z00zzast_glozd2defzd2,
		BgL_bgl_string1884za700za7za7a1908za7, "(arity differs)", 15);
	      DEFINE_STRING(BGl_string1885z00zzast_glozd2defzd2,
		BgL_bgl_string1885za700za7za7a1909za7, "(incompatible formal type)", 26);
	      DEFINE_STRING(BGl_string1886z00zzast_glozd2defzd2,
		BgL_bgl_string1886za700za7za7a1910za7,
		"(incompatible function type result)", 35);
	      DEFINE_STRING(BGl_string1887z00zzast_glozd2defzd2,
		BgL_bgl_string1887za700za7za7a1911za7,
		"(declared as function of another class (~a/~a))", 47);
	      DEFINE_STRING(BGl_string1888z00zzast_glozd2defzd2,
		BgL_bgl_string1888za700za7za7a1912za7, "(not declared as function)", 26);
	      DEFINE_STRING(BGl_string1889z00zzast_glozd2defzd2,
		BgL_bgl_string1889za700za7za7a1913za7, "Illegal type for global variable",
		32);
	      DEFINE_STRING(BGl_string1890z00zzast_glozd2defzd2,
		BgL_bgl_string1890za700za7za7a1914za7, "(incompatible variable type)", 28);
	      DEFINE_STRING(BGl_string1891z00zzast_glozd2defzd2,
		BgL_bgl_string1891za700za7za7a1915za7, "(not declared as a variable)", 28);
	      DEFINE_STRING(BGl_string1892z00zzast_glozd2defzd2,
		BgL_bgl_string1892za700za7za7a1916za7,
		"Prototype and definition don't match", 36);
	      DEFINE_STRING(BGl_string1893z00zzast_glozd2defzd2,
		BgL_bgl_string1893za700za7za7a1917za7, " ", 1);
	      DEFINE_STRING(BGl_string1894z00zzast_glozd2defzd2,
		BgL_bgl_string1894za700za7za7a1918za7, "argument missing", 16);
	      DEFINE_STRING(BGl_string1895z00zzast_glozd2defzd2,
		BgL_bgl_string1895za700za7za7a1919za7, "(generic not found for method)",
		30);
	      DEFINE_STRING(BGl_string1896z00zzast_glozd2defzd2,
		BgL_bgl_string1896za700za7za7a1920za7, "ast_glo-def", 11);
	      DEFINE_STRING(BGl_string1897z00zzast_glozd2defzd2,
		BgL_bgl_string1897za700za7za7a1921za7,
		"bigloo now sgfun static export bdb ", 35);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_defzd2globalzd2svarz12zd2envzc0zzast_glozd2defzd2,
		BgL_bgl_za762defza7d2globalza71922za7,
		BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzast_glozd2defzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long
		BgL_checksumz00_3030, char *BgL_fromz00_3031)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_glozd2defzd2))
				{
					BGl_requirezd2initializa7ationz75zzast_glozd2defzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_glozd2defzd2();
					BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2();
					BGl_cnstzd2initzd2zzast_glozd2defzd2();
					BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2();
					return BGl_methodzd2initzd2zzast_glozd2defzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_glo-def");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_glo-def");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			{	/* Ast/glo_def.scm 15 */
				obj_t BgL_cportz00_3019;

				{	/* Ast/glo_def.scm 15 */
					obj_t BgL_stringz00_3026;

					BgL_stringz00_3026 = BGl_string1897z00zzast_glozd2defzd2;
					{	/* Ast/glo_def.scm 15 */
						obj_t BgL_startz00_3027;

						BgL_startz00_3027 = BINT(0L);
						{	/* Ast/glo_def.scm 15 */
							obj_t BgL_endz00_3028;

							BgL_endz00_3028 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3026)));
							{	/* Ast/glo_def.scm 15 */

								BgL_cportz00_3019 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3026, BgL_startz00_3027, BgL_endz00_3028);
				}}}}
				{
					long BgL_iz00_3020;

					BgL_iz00_3020 = 5L;
				BgL_loopz00_3021:
					if ((BgL_iz00_3020 == (-1L)))
						{	/* Ast/glo_def.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/glo_def.scm 15 */
							{	/* Ast/glo_def.scm 15 */
								obj_t BgL_arg1898z00_3022;

								{	/* Ast/glo_def.scm 15 */

									{	/* Ast/glo_def.scm 15 */
										obj_t BgL_locationz00_3024;

										BgL_locationz00_3024 = BBOOL(((bool_t) 0));
										{	/* Ast/glo_def.scm 15 */

											BgL_arg1898z00_3022 =
												BGl_readz00zz__readerz00(BgL_cportz00_3019,
												BgL_locationz00_3024);
										}
									}
								}
								{	/* Ast/glo_def.scm 15 */
									int BgL_tmpz00_3059;

									BgL_tmpz00_3059 = (int) (BgL_iz00_3020);
									CNST_TABLE_SET(BgL_tmpz00_3059, BgL_arg1898z00_3022);
							}}
							{	/* Ast/glo_def.scm 15 */
								int BgL_auxz00_3025;

								BgL_auxz00_3025 = (int) ((BgL_iz00_3020 - 1L));
								{
									long BgL_iz00_3064;

									BgL_iz00_3064 = (long) (BgL_auxz00_3025);
									BgL_iz00_3020 = BgL_iz00_3064;
									goto BgL_loopz00_3021;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* def-global-sfun-no-warning! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2(obj_t
		BgL_idz00_3, obj_t BgL_argsz00_4, obj_t BgL_locz00_5, obj_t BgL_modz00_6,
		obj_t BgL_classz00_7, obj_t BgL_srczd2expzd2_8, obj_t BgL_remz00_9,
		obj_t BgL_nodez00_10)
	{
		{	/* Ast/glo_def.scm 67 */
			{	/* Ast/glo_def.scm 68 */
				int BgL_warningz00_2165;

				BgL_warningz00_2165 = BGl_bigloozd2warningzd2zz__paramz00();
				BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (0L));
				{	/* Ast/glo_def.scm 70 */
					BgL_globalz00_bglt BgL_funz00_2166;

					BgL_funz00_2166 =
						BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_3,
						BgL_argsz00_4, BgL_locz00_5, BgL_modz00_6, BgL_classz00_7,
						BgL_srczd2expzd2_8, BgL_remz00_9, BgL_nodez00_10);
					BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_warningz00_2165);
					return BgL_funz00_2166;
				}
			}
		}

	}



/* &def-global-sfun-no-warning! */
	BgL_globalz00_bglt
		BGl_z62defzd2globalzd2sfunzd2nozd2warningz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2985, obj_t BgL_idz00_2986, obj_t BgL_argsz00_2987,
		obj_t BgL_locz00_2988, obj_t BgL_modz00_2989, obj_t BgL_classz00_2990,
		obj_t BgL_srczd2expzd2_2991, obj_t BgL_remz00_2992, obj_t BgL_nodez00_2993)
	{
		{	/* Ast/glo_def.scm 67 */
			return
				BGl_defzd2globalzd2sfunzd2nozd2warningz12z12zzast_glozd2defzd2
				(BgL_idz00_2986, BgL_argsz00_2987, BgL_locz00_2988, BgL_modz00_2989,
				BgL_classz00_2990, BgL_srczd2expzd2_2991, BgL_remz00_2992,
				BgL_nodez00_2993);
		}

	}



/* def-global-sfun! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(obj_t BgL_idz00_11,
		obj_t BgL_argsz00_12, obj_t BgL_localsz00_13, obj_t BgL_modulez00_14,
		obj_t BgL_classz00_15, obj_t BgL_srczd2expzd2_16, obj_t BgL_remz00_17,
		obj_t BgL_nodez00_18)
	{
		{	/* Ast/glo_def.scm 80 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_11);
			{	/* Ast/glo_def.scm 86 */
				obj_t BgL_locz00_1730;

				BgL_locz00_1730 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_16);
				{	/* Ast/glo_def.scm 86 */
					obj_t BgL_idzd2typezd2_1731;

					BgL_idzd2typezd2_1731 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_11, BgL_locz00_1730);
					{	/* Ast/glo_def.scm 87 */
						obj_t BgL_typezd2reszd2_1732;

						BgL_typezd2reszd2_1732 = CDR(BgL_idzd2typezd2_1731);
						{	/* Ast/glo_def.scm 88 */
							obj_t BgL_idz00_1733;

							BgL_idz00_1733 = CAR(BgL_idzd2typezd2_1731);
							{	/* Ast/glo_def.scm 89 */
								obj_t BgL_importz00_1734;

								{	/* Ast/glo_def.scm 90 */
									bool_t BgL_test1925z00_3078;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											3L))
										{	/* Ast/glo_def.scm 91 */
											obj_t BgL_arg1313z00_1787;

											{	/* Ast/glo_def.scm 91 */
												obj_t BgL_arg1314z00_1788;

												BgL_arg1314z00_1788 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1313z00_1787 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1314z00_1788)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1925z00_3078 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t) CNST_TABLE_REF(0)), BgL_arg1313z00_1787));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_test1925z00_3078 = ((bool_t) 0);
										}
									if (BgL_test1925z00_3078)
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1734 = ((obj_t) CNST_TABLE_REF(1));
										}
									else
										{	/* Ast/glo_def.scm 90 */
											BgL_importz00_1734 = ((obj_t) CNST_TABLE_REF(2));
										}
								}
								{	/* Ast/glo_def.scm 90 */
									obj_t BgL_oldzd2globalzd2_1735;

									BgL_oldzd2globalzd2_1735 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1733,
										BgL_modulez00_14);
									{	/* Ast/glo_def.scm 94 */
										BgL_globalz00_bglt BgL_globalz00_1736;

										{	/* Ast/glo_def.scm 96 */
											bool_t BgL_test1927z00_3094;

											{	/* Ast/glo_def.scm 96 */
												obj_t BgL_classz00_2171;

												BgL_classz00_2171 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_oldzd2globalzd2_1735))
													{	/* Ast/glo_def.scm 96 */
														BgL_objectz00_bglt BgL_arg1858z00_2173;

														BgL_arg1858z00_2173 =
															(BgL_objectz00_bglt) (BgL_oldzd2globalzd2_1735);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/glo_def.scm 96 */
																long BgL_idxz00_2179;

																BgL_idxz00_2179 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2173);
																BgL_test1927z00_3094 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2179 + 2L)) ==
																	BgL_classz00_2171);
															}
														else
															{	/* Ast/glo_def.scm 96 */
																bool_t BgL_res1858z00_2204;

																{	/* Ast/glo_def.scm 96 */
																	obj_t BgL_oclassz00_2187;

																	{	/* Ast/glo_def.scm 96 */
																		obj_t BgL_arg1866z00_2195;
																		long BgL_arg1867z00_2196;

																		BgL_arg1866z00_2195 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/glo_def.scm 96 */
																			long BgL_arg1869z00_2197;

																			BgL_arg1869z00_2197 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2173);
																			BgL_arg1867z00_2196 =
																				(BgL_arg1869z00_2197 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2187 =
																			VECTOR_REF(BgL_arg1866z00_2195,
																			BgL_arg1867z00_2196);
																	}
																	{	/* Ast/glo_def.scm 96 */
																		bool_t BgL__ortest_1115z00_2188;

																		BgL__ortest_1115z00_2188 =
																			(BgL_classz00_2171 == BgL_oclassz00_2187);
																		if (BgL__ortest_1115z00_2188)
																			{	/* Ast/glo_def.scm 96 */
																				BgL_res1858z00_2204 =
																					BgL__ortest_1115z00_2188;
																			}
																		else
																			{	/* Ast/glo_def.scm 96 */
																				long BgL_odepthz00_2189;

																				{	/* Ast/glo_def.scm 96 */
																					obj_t BgL_arg1855z00_2190;

																					BgL_arg1855z00_2190 =
																						(BgL_oclassz00_2187);
																					BgL_odepthz00_2189 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2190);
																				}
																				if ((2L < BgL_odepthz00_2189))
																					{	/* Ast/glo_def.scm 96 */
																						obj_t BgL_arg1853z00_2192;

																						{	/* Ast/glo_def.scm 96 */
																							obj_t BgL_arg1854z00_2193;

																							BgL_arg1854z00_2193 =
																								(BgL_oclassz00_2187);
																							BgL_arg1853z00_2192 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2193, 2L);
																						}
																						BgL_res1858z00_2204 =
																							(BgL_arg1853z00_2192 ==
																							BgL_classz00_2171);
																					}
																				else
																					{	/* Ast/glo_def.scm 96 */
																						BgL_res1858z00_2204 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1927z00_3094 = BgL_res1858z00_2204;
															}
													}
												else
													{	/* Ast/glo_def.scm 96 */
														BgL_test1927z00_3094 = ((bool_t) 0);
													}
											}
											if (BgL_test1927z00_3094)
												{	/* Ast/glo_def.scm 96 */
													BgL_globalz00_1736 =
														BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2
														(BgL_oldzd2globalzd2_1735, BgL_typezd2reszd2_1732,
														BgL_argsz00_12, BgL_localsz00_13, BgL_classz00_15,
														BgL_srczd2expzd2_16);
												}
											else
												{	/* Ast/glo_def.scm 96 */
													BgL_globalz00_1736 =
														BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
														(BgL_idz00_1733, BFALSE, BgL_argsz00_12,
														BgL_modulez00_14, BgL_importz00_1734,
														BgL_classz00_15, BgL_srczd2expzd2_16, BFALSE);
												}
										}
										{	/* Ast/glo_def.scm 95 */
											obj_t BgL_defzd2loczd2_1737;

											BgL_defzd2loczd2_1737 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_16);
											{	/* Ast/glo_def.scm 102 */

												{	/* Ast/glo_def.scm 103 */
													bool_t BgL_test1932z00_3120;

													{	/* Ast/glo_def.scm 103 */
														BgL_valuez00_bglt BgL_arg1301z00_1780;

														BgL_arg1301z00_1780 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1736)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 103 */
															obj_t BgL_classz00_2206;

															BgL_classz00_2206 = BGl_sfunz00zzast_varz00;
															{	/* Ast/glo_def.scm 103 */
																BgL_objectz00_bglt BgL_arg1858z00_2208;

																{	/* Ast/glo_def.scm 103 */
																	obj_t BgL_tmpz00_3123;

																	BgL_tmpz00_3123 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1301z00_1780));
																	BgL_arg1858z00_2208 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3123);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/glo_def.scm 103 */
																		long BgL_idxz00_2214;

																		BgL_idxz00_2214 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2208);
																		BgL_test1932z00_3120 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2214 + 3L)) ==
																			BgL_classz00_2206);
																	}
																else
																	{	/* Ast/glo_def.scm 103 */
																		bool_t BgL_res1859z00_2239;

																		{	/* Ast/glo_def.scm 103 */
																			obj_t BgL_oclassz00_2222;

																			{	/* Ast/glo_def.scm 103 */
																				obj_t BgL_arg1866z00_2230;
																				long BgL_arg1867z00_2231;

																				BgL_arg1866z00_2230 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Ast/glo_def.scm 103 */
																					long BgL_arg1869z00_2232;

																					BgL_arg1869z00_2232 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2208);
																					BgL_arg1867z00_2231 =
																						(BgL_arg1869z00_2232 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2222 =
																					VECTOR_REF(BgL_arg1866z00_2230,
																					BgL_arg1867z00_2231);
																			}
																			{	/* Ast/glo_def.scm 103 */
																				bool_t BgL__ortest_1115z00_2223;

																				BgL__ortest_1115z00_2223 =
																					(BgL_classz00_2206 ==
																					BgL_oclassz00_2222);
																				if (BgL__ortest_1115z00_2223)
																					{	/* Ast/glo_def.scm 103 */
																						BgL_res1859z00_2239 =
																							BgL__ortest_1115z00_2223;
																					}
																				else
																					{	/* Ast/glo_def.scm 103 */
																						long BgL_odepthz00_2224;

																						{	/* Ast/glo_def.scm 103 */
																							obj_t BgL_arg1855z00_2225;

																							BgL_arg1855z00_2225 =
																								(BgL_oclassz00_2222);
																							BgL_odepthz00_2224 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2225);
																						}
																						if ((3L < BgL_odepthz00_2224))
																							{	/* Ast/glo_def.scm 103 */
																								obj_t BgL_arg1853z00_2227;

																								{	/* Ast/glo_def.scm 103 */
																									obj_t BgL_arg1854z00_2228;

																									BgL_arg1854z00_2228 =
																										(BgL_oclassz00_2222);
																									BgL_arg1853z00_2227 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2228, 3L);
																								}
																								BgL_res1859z00_2239 =
																									(BgL_arg1853z00_2227 ==
																									BgL_classz00_2206);
																							}
																						else
																							{	/* Ast/glo_def.scm 103 */
																								BgL_res1859z00_2239 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1932z00_3120 = BgL_res1859z00_2239;
																	}
															}
														}
													}
													if (BgL_test1932z00_3120)
														{	/* Ast/glo_def.scm 103 */
															{	/* Ast/glo_def.scm 300 */
																obj_t BgL_oldzd2typezd2_2242;

																BgL_oldzd2typezd2_2242 =
																	((obj_t)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					BgL_globalz00_1736)))->BgL_typez00));
																if ((BgL_oldzd2typezd2_2242 ==
																		BGl_za2_za2z00zztype_cachez00))
																	{	/* Ast/glo_def.scm 301 */
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							BgL_globalz00_1736)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BgL_typezd2reszd2_1732)), BUNSPEC);
																	}
																else
																	{	/* Ast/glo_def.scm 301 */
																		BFALSE;
																	}
															}
															if (
																(bgl_list_length(BgL_localsz00_13) ==
																	bgl_list_length(
																		(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1736)))->
																							BgL_valuez00))))->BgL_argsz00))))
																{	/* Ast/glo_def.scm 114 */
																	obj_t BgL_typesz00_1745;

																	{	/* Ast/glo_def.scm 114 */
																		obj_t BgL_l1244z00_1756;

																		BgL_l1244z00_1756 =
																			(((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_globalz00_1736)))->
																							BgL_valuez00))))->BgL_argsz00);
																		if (NULLP(BgL_l1244z00_1756))
																			{	/* Ast/glo_def.scm 114 */
																				BgL_typesz00_1745 = BNIL;
																			}
																		else
																			{	/* Ast/glo_def.scm 114 */
																				obj_t BgL_head1246z00_1758;

																				BgL_head1246z00_1758 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				{
																					obj_t BgL_l1244z00_1760;
																					obj_t BgL_tail1247z00_1761;

																					BgL_l1244z00_1760 = BgL_l1244z00_1756;
																					BgL_tail1247z00_1761 =
																						BgL_head1246z00_1758;
																				BgL_zc3z04anonymousza31284ze3z87_1762:
																					if (NULLP(BgL_l1244z00_1760))
																						{	/* Ast/glo_def.scm 114 */
																							BgL_typesz00_1745 =
																								CDR(BgL_head1246z00_1758);
																						}
																					else
																						{	/* Ast/glo_def.scm 114 */
																							obj_t BgL_newtail1248z00_1764;

																							{	/* Ast/glo_def.scm 114 */
																								obj_t BgL_arg1288z00_1766;

																								{	/* Ast/glo_def.scm 114 */
																									obj_t BgL_az00_1767;

																									BgL_az00_1767 =
																										CAR(
																										((obj_t)
																											BgL_l1244z00_1760));
																									{	/* Ast/glo_def.scm 116 */
																										bool_t BgL_test1940z00_3174;

																										{	/* Ast/glo_def.scm 116 */
																											obj_t BgL_classz00_2254;

																											BgL_classz00_2254 =
																												BGl_localz00zzast_varz00;
																											if (BGL_OBJECTP
																												(BgL_az00_1767))
																												{	/* Ast/glo_def.scm 116 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_2256;
																													BgL_arg1858z00_2256 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1767);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Ast/glo_def.scm 116 */
																															long
																																BgL_idxz00_2262;
																															BgL_idxz00_2262 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_2256);
																															BgL_test1940z00_3174
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2262
																																		+ 2L)) ==
																																BgL_classz00_2254);
																														}
																													else
																														{	/* Ast/glo_def.scm 116 */
																															bool_t
																																BgL_res1860z00_2287;
																															{	/* Ast/glo_def.scm 116 */
																																obj_t
																																	BgL_oclassz00_2270;
																																{	/* Ast/glo_def.scm 116 */
																																	obj_t
																																		BgL_arg1866z00_2278;
																																	long
																																		BgL_arg1867z00_2279;
																																	BgL_arg1866z00_2278
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Ast/glo_def.scm 116 */
																																		long
																																			BgL_arg1869z00_2280;
																																		BgL_arg1869z00_2280
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_2256);
																																		BgL_arg1867z00_2279
																																			=
																																			(BgL_arg1869z00_2280
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2270
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_2278,
																																		BgL_arg1867z00_2279);
																																}
																																{	/* Ast/glo_def.scm 116 */
																																	bool_t
																																		BgL__ortest_1115z00_2271;
																																	BgL__ortest_1115z00_2271
																																		=
																																		(BgL_classz00_2254
																																		==
																																		BgL_oclassz00_2270);
																																	if (BgL__ortest_1115z00_2271)
																																		{	/* Ast/glo_def.scm 116 */
																																			BgL_res1860z00_2287
																																				=
																																				BgL__ortest_1115z00_2271;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 116 */
																																			long
																																				BgL_odepthz00_2272;
																																			{	/* Ast/glo_def.scm 116 */
																																				obj_t
																																					BgL_arg1855z00_2273;
																																				BgL_arg1855z00_2273
																																					=
																																					(BgL_oclassz00_2270);
																																				BgL_odepthz00_2272
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_2273);
																																			}
																																			if (
																																				(2L <
																																					BgL_odepthz00_2272))
																																				{	/* Ast/glo_def.scm 116 */
																																					obj_t
																																						BgL_arg1853z00_2275;
																																					{	/* Ast/glo_def.scm 116 */
																																						obj_t
																																							BgL_arg1854z00_2276;
																																						BgL_arg1854z00_2276
																																							=
																																							(BgL_oclassz00_2270);
																																						BgL_arg1853z00_2275
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_2276,
																																							2L);
																																					}
																																					BgL_res1860z00_2287
																																						=
																																						(BgL_arg1853z00_2275
																																						==
																																						BgL_classz00_2254);
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 116 */
																																					BgL_res1860z00_2287
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test1940z00_3174
																																=
																																BgL_res1860z00_2287;
																														}
																												}
																											else
																												{	/* Ast/glo_def.scm 116 */
																													BgL_test1940z00_3174 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test1940z00_3174)
																											{	/* Ast/glo_def.scm 116 */
																												BgL_arg1288z00_1766 =
																													((obj_t)
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_az00_1767))))->BgL_typez00));
																											}
																										else
																											{	/* Ast/glo_def.scm 118 */
																												bool_t
																													BgL_test1945z00_3201;
																												{	/* Ast/glo_def.scm 118 */
																													obj_t
																														BgL_classz00_2289;
																													BgL_classz00_2289 =
																														BGl_typez00zztype_typez00;
																													if (BGL_OBJECTP
																														(BgL_az00_1767))
																														{	/* Ast/glo_def.scm 118 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_2291;
																															BgL_arg1858z00_2291
																																=
																																(BgL_objectz00_bglt)
																																(BgL_az00_1767);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Ast/glo_def.scm 118 */
																																	long
																																		BgL_idxz00_2297;
																																	BgL_idxz00_2297
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_2291);
																																	BgL_test1945z00_3201
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2297
																																				+
																																				1L)) ==
																																		BgL_classz00_2289);
																																}
																															else
																																{	/* Ast/glo_def.scm 118 */
																																	bool_t
																																		BgL_res1861z00_2322;
																																	{	/* Ast/glo_def.scm 118 */
																																		obj_t
																																			BgL_oclassz00_2305;
																																		{	/* Ast/glo_def.scm 118 */
																																			obj_t
																																				BgL_arg1866z00_2313;
																																			long
																																				BgL_arg1867z00_2314;
																																			BgL_arg1866z00_2313
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Ast/glo_def.scm 118 */
																																				long
																																					BgL_arg1869z00_2315;
																																				BgL_arg1869z00_2315
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_2291);
																																				BgL_arg1867z00_2314
																																					=
																																					(BgL_arg1869z00_2315
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2305
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_2313,
																																				BgL_arg1867z00_2314);
																																		}
																																		{	/* Ast/glo_def.scm 118 */
																																			bool_t
																																				BgL__ortest_1115z00_2306;
																																			BgL__ortest_1115z00_2306
																																				=
																																				(BgL_classz00_2289
																																				==
																																				BgL_oclassz00_2305);
																																			if (BgL__ortest_1115z00_2306)
																																				{	/* Ast/glo_def.scm 118 */
																																					BgL_res1861z00_2322
																																						=
																																						BgL__ortest_1115z00_2306;
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 118 */
																																					long
																																						BgL_odepthz00_2307;
																																					{	/* Ast/glo_def.scm 118 */
																																						obj_t
																																							BgL_arg1855z00_2308;
																																						BgL_arg1855z00_2308
																																							=
																																							(BgL_oclassz00_2305);
																																						BgL_odepthz00_2307
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_2308);
																																					}
																																					if (
																																						(1L
																																							<
																																							BgL_odepthz00_2307))
																																						{	/* Ast/glo_def.scm 118 */
																																							obj_t
																																								BgL_arg1853z00_2310;
																																							{	/* Ast/glo_def.scm 118 */
																																								obj_t
																																									BgL_arg1854z00_2311;
																																								BgL_arg1854z00_2311
																																									=
																																									(BgL_oclassz00_2305);
																																								BgL_arg1853z00_2310
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_2311,
																																									1L);
																																							}
																																							BgL_res1861z00_2322
																																								=
																																								(BgL_arg1853z00_2310
																																								==
																																								BgL_classz00_2289);
																																						}
																																					else
																																						{	/* Ast/glo_def.scm 118 */
																																							BgL_res1861z00_2322
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test1945z00_3201
																																		=
																																		BgL_res1861z00_2322;
																																}
																														}
																													else
																														{	/* Ast/glo_def.scm 118 */
																															BgL_test1945z00_3201
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test1945z00_3201)
																													{	/* Ast/glo_def.scm 118 */
																														BgL_arg1288z00_1766
																															= BgL_az00_1767;
																													}
																												else
																													{	/* Ast/glo_def.scm 118 */
																														BgL_arg1288z00_1766
																															=
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string1879z00zzast_glozd2defzd2,
																															BGl_string1880z00zzast_glozd2defzd2,
																															BGl_shapez00zztools_shapez00
																															(BgL_az00_1767));
																													}
																											}
																									}
																								}
																								BgL_newtail1248z00_1764 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1288z00_1766, BNIL);
																							}
																							SET_CDR(BgL_tail1247z00_1761,
																								BgL_newtail1248z00_1764);
																							{	/* Ast/glo_def.scm 114 */
																								obj_t BgL_arg1287z00_1765;

																								BgL_arg1287z00_1765 =
																									CDR(
																									((obj_t) BgL_l1244z00_1760));
																								{
																									obj_t BgL_tail1247z00_3231;
																									obj_t BgL_l1244z00_3230;

																									BgL_l1244z00_3230 =
																										BgL_arg1287z00_1765;
																									BgL_tail1247z00_3231 =
																										BgL_newtail1248z00_1764;
																									BgL_tail1247z00_1761 =
																										BgL_tail1247z00_3231;
																									BgL_l1244z00_1760 =
																										BgL_l1244z00_3230;
																									goto
																										BgL_zc3z04anonymousza31284ze3z87_1762;
																								}
																							}
																						}
																				}
																			}
																	}
																	{
																		obj_t BgL_ll1249z00_1747;
																		obj_t BgL_ll1250z00_1748;

																		BgL_ll1249z00_1747 = BgL_localsz00_13;
																		BgL_ll1250z00_1748 = BgL_typesz00_1745;
																	BgL_zc3z04anonymousza31276ze3z87_1749:
																		if (NULLP(BgL_ll1249z00_1747))
																			{	/* Ast/glo_def.scm 126 */
																				((bool_t) 1);
																			}
																		else
																			{	/* Ast/glo_def.scm 126 */
																				{	/* Ast/glo_def.scm 126 */
																					obj_t BgL_arg1279z00_1751;
																					obj_t BgL_arg1280z00_1752;

																					BgL_arg1279z00_1751 =
																						CAR(((obj_t) BgL_ll1249z00_1747));
																					BgL_arg1280z00_1752 =
																						CAR(((obj_t) BgL_ll1250z00_1748));
																					{	/* Ast/glo_def.scm 300 */
																						obj_t BgL_oldzd2typezd2_2329;

																						BgL_oldzd2typezd2_2329 =
																							((obj_t)
																							(((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_arg1279z00_1751)))->
																								BgL_typez00));
																						if ((BgL_oldzd2typezd2_2329 ==
																								BGl_za2_za2z00zztype_cachez00))
																							{	/* Ast/glo_def.scm 301 */
																								((((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													BgL_arg1279z00_1751)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt) (
																											(BgL_typez00_bglt)
																											BgL_arg1280z00_1752)),
																									BUNSPEC);
																							}
																						else
																							{	/* Ast/glo_def.scm 301 */
																								BFALSE;
																							}
																					}
																				}
																				{	/* Ast/glo_def.scm 126 */
																					obj_t BgL_arg1281z00_1753;
																					obj_t BgL_arg1282z00_1754;

																					BgL_arg1281z00_1753 =
																						CDR(((obj_t) BgL_ll1249z00_1747));
																					BgL_arg1282z00_1754 =
																						CDR(((obj_t) BgL_ll1250z00_1748));
																					{
																						obj_t BgL_ll1250z00_3251;
																						obj_t BgL_ll1249z00_3250;

																						BgL_ll1249z00_3250 =
																							BgL_arg1281z00_1753;
																						BgL_ll1250z00_3251 =
																							BgL_arg1282z00_1754;
																						BgL_ll1250z00_1748 =
																							BgL_ll1250z00_3251;
																						BgL_ll1249z00_1747 =
																							BgL_ll1249z00_3250;
																						goto
																							BgL_zc3z04anonymousza31276ze3z87_1749;
																					}
																				}
																			}
																	}
																}
															else
																{	/* Ast/glo_def.scm 112 */
																	((bool_t) 0);
																}
															BGl_removezd2varzd2fromz12z12zzast_removez00
																(BgL_remz00_17,
																((BgL_variablez00_bglt) BgL_globalz00_1736));
															{	/* Ast/glo_def.scm 130 */
																BgL_valuez00_bglt BgL_arg1297z00_1777;

																BgL_arg1297z00_1777 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1736)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1297z00_1777)))->BgL_bodyz00) =
																	((obj_t) BgL_nodez00_18), BUNSPEC);
															}
															{	/* Ast/glo_def.scm 132 */
																BgL_valuez00_bglt BgL_arg1298z00_1778;

																BgL_arg1298z00_1778 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1736)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1298z00_1778)))->BgL_argsz00) =
																	((obj_t) BgL_localsz00_13), BUNSPEC);
															}
															{	/* Ast/glo_def.scm 134 */
																BgL_valuez00_bglt BgL_arg1299z00_1779;

																BgL_arg1299z00_1779 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1736)))->BgL_valuez00);
																((((BgL_sfunz00_bglt)
																			COBJECT(((BgL_sfunz00_bglt)
																					BgL_arg1299z00_1779)))->BgL_locz00) =
																	((obj_t) BgL_defzd2loczd2_1737), BUNSPEC);
															}
															BGl_leavezd2functionzd2zztools_errorz00();
														}
													else
														{	/* Ast/glo_def.scm 103 */
															BFALSE;
														}
												}
												return BgL_globalz00_1736;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &def-global-sfun! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2sfunz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_2994, obj_t BgL_idz00_2995, obj_t BgL_argsz00_2996,
		obj_t BgL_localsz00_2997, obj_t BgL_modulez00_2998, obj_t BgL_classz00_2999,
		obj_t BgL_srczd2expzd2_3000, obj_t BgL_remz00_3001, obj_t BgL_nodez00_3002)
	{
		{	/* Ast/glo_def.scm 80 */
			return
				BGl_defzd2globalzd2sfunz12z12zzast_glozd2defzd2(BgL_idz00_2995,
				BgL_argsz00_2996, BgL_localsz00_2997, BgL_modulez00_2998,
				BgL_classz00_2999, BgL_srczd2expzd2_3000, BgL_remz00_3001,
				BgL_nodez00_3002);
		}

	}



/* check-sfun-definition */
	BgL_globalz00_bglt BGl_checkzd2sfunzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_19, obj_t BgL_typezd2reszd2_20, obj_t BgL_argsz00_21,
		obj_t BgL_localsz00_22, obj_t BgL_classz00_23, obj_t BgL_srczd2expzd2_24)
	{
		{	/* Ast/glo_def.scm 142 */
			{	/* Ast/glo_def.scm 145 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1789;

				BgL_oldzd2valuezd2_1789 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oldz00_19))))->BgL_valuez00);
				{	/* Ast/glo_def.scm 147 */
					bool_t BgL_test1952z00_3271;

					{	/* Ast/glo_def.scm 147 */
						obj_t BgL_classz00_2342;

						BgL_classz00_2342 = BGl_sfunz00zzast_varz00;
						{	/* Ast/glo_def.scm 147 */
							BgL_objectz00_bglt BgL_arg1858z00_2344;

							{	/* Ast/glo_def.scm 147 */
								obj_t BgL_tmpz00_3272;

								BgL_tmpz00_3272 =
									((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2valuezd2_1789));
								BgL_arg1858z00_2344 = (BgL_objectz00_bglt) (BgL_tmpz00_3272);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/glo_def.scm 147 */
									long BgL_idxz00_2350;

									BgL_idxz00_2350 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2344);
									BgL_test1952z00_3271 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2350 + 3L)) == BgL_classz00_2342);
								}
							else
								{	/* Ast/glo_def.scm 147 */
									bool_t BgL_res1862z00_2375;

									{	/* Ast/glo_def.scm 147 */
										obj_t BgL_oclassz00_2358;

										{	/* Ast/glo_def.scm 147 */
											obj_t BgL_arg1866z00_2366;
											long BgL_arg1867z00_2367;

											BgL_arg1866z00_2366 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/glo_def.scm 147 */
												long BgL_arg1869z00_2368;

												BgL_arg1869z00_2368 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2344);
												BgL_arg1867z00_2367 =
													(BgL_arg1869z00_2368 - OBJECT_TYPE);
											}
											BgL_oclassz00_2358 =
												VECTOR_REF(BgL_arg1866z00_2366, BgL_arg1867z00_2367);
										}
										{	/* Ast/glo_def.scm 147 */
											bool_t BgL__ortest_1115z00_2359;

											BgL__ortest_1115z00_2359 =
												(BgL_classz00_2342 == BgL_oclassz00_2358);
											if (BgL__ortest_1115z00_2359)
												{	/* Ast/glo_def.scm 147 */
													BgL_res1862z00_2375 = BgL__ortest_1115z00_2359;
												}
											else
												{	/* Ast/glo_def.scm 147 */
													long BgL_odepthz00_2360;

													{	/* Ast/glo_def.scm 147 */
														obj_t BgL_arg1855z00_2361;

														BgL_arg1855z00_2361 = (BgL_oclassz00_2358);
														BgL_odepthz00_2360 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2361);
													}
													if ((3L < BgL_odepthz00_2360))
														{	/* Ast/glo_def.scm 147 */
															obj_t BgL_arg1853z00_2363;

															{	/* Ast/glo_def.scm 147 */
																obj_t BgL_arg1854z00_2364;

																BgL_arg1854z00_2364 = (BgL_oclassz00_2358);
																BgL_arg1853z00_2363 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2364,
																	3L);
															}
															BgL_res1862z00_2375 =
																(BgL_arg1853z00_2363 == BgL_classz00_2342);
														}
													else
														{	/* Ast/glo_def.scm 147 */
															BgL_res1862z00_2375 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1952z00_3271 = BgL_res1862z00_2375;
								}
						}
					}
					if (BgL_test1952z00_3271)
						{	/* Ast/glo_def.scm 147 */
							if (
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1789)))->
										BgL_classz00) == BgL_classz00_23))
								{	/* Ast/glo_def.scm 154 */
									bool_t BgL_test1957z00_3299;

									{	/* Ast/glo_def.scm 154 */
										long BgL_arg1480z00_1866;
										long BgL_arg1484z00_1867;

										BgL_arg1480z00_1866 =
											(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1789))))->
											BgL_arityz00);
										BgL_arg1484z00_1867 =
											BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_21);
										BgL_test1957z00_3299 =
											(BgL_arg1480z00_1866 == BgL_arg1484z00_1867);
									}
									if (BgL_test1957z00_3299)
										{	/* Ast/glo_def.scm 156 */
											bool_t BgL_test1958z00_3305;

											{	/* Ast/glo_def.scm 156 */
												bool_t BgL_arg1457z00_1863;
												BgL_typez00_bglt BgL_arg1471z00_1864;

												BgL_arg1457z00_1863 =
													(((obj_t) CNST_TABLE_REF(3)) == BgL_classz00_23);
												BgL_arg1471z00_1864 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_oldz00_19))))->
													BgL_typez00);
												BgL_test1958z00_3305 =
													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
													(BgL_arg1457z00_1863,
													((BgL_typez00_bglt) BgL_typezd2reszd2_20),
													BgL_arg1471z00_1864);
											}
											if (BgL_test1958z00_3305)
												{	/* Ast/glo_def.scm 156 */
													if (BGl_dssslzd2prototypezf3z21zztools_dssslz00
														(BgL_argsz00_21))
														{	/* Ast/glo_def.scm 162 */
															if (BGl_dssslzd2optionalzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																{	/* Ast/glo_def.scm 165 */
																	bool_t BgL_test1961z00_3318;

																	{	/* Ast/glo_def.scm 165 */
																		obj_t BgL_arg1331z00_1805;
																		obj_t BgL_arg1332z00_1806;

																		BgL_arg1331z00_1805 =
																			BGl_dssslzd2optionalszd2zztools_dssslz00
																			(BgL_argsz00_21);
																		BgL_arg1332z00_1806 =
																			(((BgL_sfunz00_bglt)
																				COBJECT(((BgL_sfunz00_bglt)
																						BgL_oldzd2valuezd2_1789)))->
																			BgL_optionalsz00);
																		BgL_test1961z00_3318 =
																			BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																			(BgL_arg1331z00_1805,
																			BgL_arg1332z00_1806);
																	}
																	if (BgL_test1961z00_3318)
																		{	/* Ast/glo_def.scm 165 */
																			BgL_oldz00_19;
																		}
																	else
																		{	/* Ast/glo_def.scm 167 */
																			obj_t BgL_list1329z00_1804;

																			BgL_list1329z00_1804 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1881z00zzast_glozd2defzd2,
																				BNIL);
																			((obj_t)
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																				(((BgL_globalz00_bglt) BgL_oldz00_19),
																					BgL_srczd2expzd2_24,
																					BgL_list1329z00_1804));
																		}
																}
															else
																{	/* Ast/glo_def.scm 164 */
																	if (BGl_dssslzd2keyzd2onlyzd2prototypezf3z21zztools_dssslz00(BgL_argsz00_21))
																		{	/* Ast/glo_def.scm 171 */
																			bool_t BgL_test1963z00_3329;

																			{	/* Ast/glo_def.scm 171 */
																				obj_t BgL_arg1342z00_1812;
																				obj_t BgL_arg1355z00_1813;

																				BgL_arg1342z00_1812 =
																					BGl_dssslzd2keyszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_arg1355z00_1813 =
																					(((BgL_sfunz00_bglt)
																						COBJECT(((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1789)))->
																					BgL_keysz00);
																				BgL_test1963z00_3329 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1342z00_1812,
																					BgL_arg1355z00_1813);
																			}
																			if (BgL_test1963z00_3329)
																				{	/* Ast/glo_def.scm 171 */
																					BgL_oldz00_19;
																				}
																			else
																				{	/* Ast/glo_def.scm 173 */
																					obj_t BgL_list1341z00_1811;

																					BgL_list1341z00_1811 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1882z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(((BgL_globalz00_bglt)
																								BgL_oldz00_19),
																							BgL_srczd2expzd2_24,
																							BgL_list1341z00_1811));
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 176 */
																			bool_t BgL_test1964z00_3338;

																			{	/* Ast/glo_def.scm 176 */
																				obj_t BgL_arg1364z00_1818;
																				obj_t BgL_arg1365z00_1819;

																				BgL_arg1364z00_1818 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_oldzd2valuezd2_1789)))->
																					BgL_dssslzd2keywordszd2);
																				BgL_arg1365z00_1819 =
																					BGl_dssslzd2formalszd2zztools_dssslz00
																					(BgL_argsz00_21);
																				BgL_test1964z00_3338 =
																					BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																					(BgL_arg1364z00_1818,
																					BgL_arg1365z00_1819);
																			}
																			if (BgL_test1964z00_3338)
																				{	/* Ast/glo_def.scm 176 */
																					BFALSE;
																				}
																			else
																				{	/* Ast/glo_def.scm 178 */
																					obj_t BgL_list1363z00_1817;

																					BgL_list1363z00_1817 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1883z00zzast_glozd2defzd2,
																						BNIL);
																					((obj_t)
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																						(((BgL_globalz00_bglt)
																								BgL_oldz00_19),
																							BgL_srczd2expzd2_24,
																							BgL_list1363z00_1817));
																				}
																		}
																}
														}
													else
														{	/* Ast/glo_def.scm 180 */
															obj_t BgL_g1110z00_1820;

															{	/* Ast/glo_def.scm 181 */
																obj_t BgL_l1252z00_1846;

																BgL_l1252z00_1846 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				BgL_oldzd2valuezd2_1789)))->
																	BgL_argsz00);
																if (NULLP(BgL_l1252z00_1846))
																	{	/* Ast/glo_def.scm 181 */
																		BgL_g1110z00_1820 = BNIL;
																	}
																else
																	{	/* Ast/glo_def.scm 181 */
																		obj_t BgL_head1254z00_1848;

																		BgL_head1254z00_1848 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1252z00_1850;
																			obj_t BgL_tail1255z00_1851;

																			BgL_l1252z00_1850 = BgL_l1252z00_1846;
																			BgL_tail1255z00_1851 =
																				BgL_head1254z00_1848;
																		BgL_zc3z04anonymousza31405ze3z87_1852:
																			if (NULLP(BgL_l1252z00_1850))
																				{	/* Ast/glo_def.scm 181 */
																					BgL_g1110z00_1820 =
																						CDR(BgL_head1254z00_1848);
																				}
																			else
																				{	/* Ast/glo_def.scm 181 */
																					obj_t BgL_newtail1256z00_1854;

																					{	/* Ast/glo_def.scm 181 */
																						obj_t BgL_arg1415z00_1856;

																						{	/* Ast/glo_def.scm 181 */
																							obj_t BgL_az00_1857;

																							BgL_az00_1857 =
																								CAR(
																								((obj_t) BgL_l1252z00_1850));
																							{	/* Ast/glo_def.scm 183 */
																								bool_t BgL_test1967z00_3357;

																								{	/* Ast/glo_def.scm 183 */
																									obj_t BgL_classz00_2387;

																									BgL_classz00_2387 =
																										BGl_localz00zzast_varz00;
																									if (BGL_OBJECTP
																										(BgL_az00_1857))
																										{	/* Ast/glo_def.scm 183 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2389;
																											BgL_arg1858z00_2389 =
																												(BgL_objectz00_bglt)
																												(BgL_az00_1857);
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Ast/glo_def.scm 183 */
																													long BgL_idxz00_2395;

																													BgL_idxz00_2395 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2389);
																													BgL_test1967z00_3357 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2395 +
																																2L)) ==
																														BgL_classz00_2387);
																												}
																											else
																												{	/* Ast/glo_def.scm 183 */
																													bool_t
																														BgL_res1863z00_2420;
																													{	/* Ast/glo_def.scm 183 */
																														obj_t
																															BgL_oclassz00_2403;
																														{	/* Ast/glo_def.scm 183 */
																															obj_t
																																BgL_arg1866z00_2411;
																															long
																																BgL_arg1867z00_2412;
																															BgL_arg1866z00_2411
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Ast/glo_def.scm 183 */
																																long
																																	BgL_arg1869z00_2413;
																																BgL_arg1869z00_2413
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2389);
																																BgL_arg1867z00_2412
																																	=
																																	(BgL_arg1869z00_2413
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2403
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2411,
																																BgL_arg1867z00_2412);
																														}
																														{	/* Ast/glo_def.scm 183 */
																															bool_t
																																BgL__ortest_1115z00_2404;
																															BgL__ortest_1115z00_2404
																																=
																																(BgL_classz00_2387
																																==
																																BgL_oclassz00_2403);
																															if (BgL__ortest_1115z00_2404)
																																{	/* Ast/glo_def.scm 183 */
																																	BgL_res1863z00_2420
																																		=
																																		BgL__ortest_1115z00_2404;
																																}
																															else
																																{	/* Ast/glo_def.scm 183 */
																																	long
																																		BgL_odepthz00_2405;
																																	{	/* Ast/glo_def.scm 183 */
																																		obj_t
																																			BgL_arg1855z00_2406;
																																		BgL_arg1855z00_2406
																																			=
																																			(BgL_oclassz00_2403);
																																		BgL_odepthz00_2405
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2406);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_2405))
																																		{	/* Ast/glo_def.scm 183 */
																																			obj_t
																																				BgL_arg1853z00_2408;
																																			{	/* Ast/glo_def.scm 183 */
																																				obj_t
																																					BgL_arg1854z00_2409;
																																				BgL_arg1854z00_2409
																																					=
																																					(BgL_oclassz00_2403);
																																				BgL_arg1853z00_2408
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2409,
																																					2L);
																																			}
																																			BgL_res1863z00_2420
																																				=
																																				(BgL_arg1853z00_2408
																																				==
																																				BgL_classz00_2387);
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 183 */
																																			BgL_res1863z00_2420
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test1967z00_3357 =
																														BgL_res1863z00_2420;
																												}
																										}
																									else
																										{	/* Ast/glo_def.scm 183 */
																											BgL_test1967z00_3357 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test1967z00_3357)
																									{	/* Ast/glo_def.scm 183 */
																										BgL_arg1415z00_1856 =
																											((obj_t)
																											(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_az00_1857))))->BgL_typez00));
																									}
																								else
																									{	/* Ast/glo_def.scm 185 */
																										bool_t BgL_test1972z00_3384;

																										{	/* Ast/glo_def.scm 185 */
																											obj_t BgL_classz00_2422;

																											BgL_classz00_2422 =
																												BGl_typez00zztype_typez00;
																											if (BGL_OBJECTP
																												(BgL_az00_1857))
																												{	/* Ast/glo_def.scm 185 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_2424;
																													BgL_arg1858z00_2424 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_1857);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Ast/glo_def.scm 185 */
																															long
																																BgL_idxz00_2430;
																															BgL_idxz00_2430 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_2424);
																															BgL_test1972z00_3384
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2430
																																		+ 1L)) ==
																																BgL_classz00_2422);
																														}
																													else
																														{	/* Ast/glo_def.scm 185 */
																															bool_t
																																BgL_res1864z00_2455;
																															{	/* Ast/glo_def.scm 185 */
																																obj_t
																																	BgL_oclassz00_2438;
																																{	/* Ast/glo_def.scm 185 */
																																	obj_t
																																		BgL_arg1866z00_2446;
																																	long
																																		BgL_arg1867z00_2447;
																																	BgL_arg1866z00_2446
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Ast/glo_def.scm 185 */
																																		long
																																			BgL_arg1869z00_2448;
																																		BgL_arg1869z00_2448
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_2424);
																																		BgL_arg1867z00_2447
																																			=
																																			(BgL_arg1869z00_2448
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2438
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_2446,
																																		BgL_arg1867z00_2447);
																																}
																																{	/* Ast/glo_def.scm 185 */
																																	bool_t
																																		BgL__ortest_1115z00_2439;
																																	BgL__ortest_1115z00_2439
																																		=
																																		(BgL_classz00_2422
																																		==
																																		BgL_oclassz00_2438);
																																	if (BgL__ortest_1115z00_2439)
																																		{	/* Ast/glo_def.scm 185 */
																																			BgL_res1864z00_2455
																																				=
																																				BgL__ortest_1115z00_2439;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 185 */
																																			long
																																				BgL_odepthz00_2440;
																																			{	/* Ast/glo_def.scm 185 */
																																				obj_t
																																					BgL_arg1855z00_2441;
																																				BgL_arg1855z00_2441
																																					=
																																					(BgL_oclassz00_2438);
																																				BgL_odepthz00_2440
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_2441);
																																			}
																																			if (
																																				(1L <
																																					BgL_odepthz00_2440))
																																				{	/* Ast/glo_def.scm 185 */
																																					obj_t
																																						BgL_arg1853z00_2443;
																																					{	/* Ast/glo_def.scm 185 */
																																						obj_t
																																							BgL_arg1854z00_2444;
																																						BgL_arg1854z00_2444
																																							=
																																							(BgL_oclassz00_2438);
																																						BgL_arg1853z00_2443
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_2444,
																																							1L);
																																					}
																																					BgL_res1864z00_2455
																																						=
																																						(BgL_arg1853z00_2443
																																						==
																																						BgL_classz00_2422);
																																				}
																																			else
																																				{	/* Ast/glo_def.scm 185 */
																																					BgL_res1864z00_2455
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test1972z00_3384
																																=
																																BgL_res1864z00_2455;
																														}
																												}
																											else
																												{	/* Ast/glo_def.scm 185 */
																													BgL_test1972z00_3384 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test1972z00_3384)
																											{	/* Ast/glo_def.scm 185 */
																												BgL_arg1415z00_1856 =
																													BgL_az00_1857;
																											}
																										else
																											{	/* Ast/glo_def.scm 185 */
																												BgL_arg1415z00_1856 =
																													BGl_internalzd2errorzd2zztools_errorz00
																													(BGl_string1879z00zzast_glozd2defzd2,
																													BGl_string1880z00zzast_glozd2defzd2,
																													BGl_shapez00zztools_shapez00
																													(BgL_az00_1857));
																											}
																									}
																							}
																						}
																						BgL_newtail1256z00_1854 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1415z00_1856, BNIL);
																					}
																					SET_CDR(BgL_tail1255z00_1851,
																						BgL_newtail1256z00_1854);
																					{	/* Ast/glo_def.scm 181 */
																						obj_t BgL_arg1414z00_1855;

																						BgL_arg1414z00_1855 =
																							CDR(((obj_t) BgL_l1252z00_1850));
																						{
																							obj_t BgL_tail1255z00_3414;
																							obj_t BgL_l1252z00_3413;

																							BgL_l1252z00_3413 =
																								BgL_arg1414z00_1855;
																							BgL_tail1255z00_3414 =
																								BgL_newtail1256z00_1854;
																							BgL_tail1255z00_1851 =
																								BgL_tail1255z00_3414;
																							BgL_l1252z00_1850 =
																								BgL_l1252z00_3413;
																							goto
																								BgL_zc3z04anonymousza31405ze3z87_1852;
																						}
																					}
																				}
																		}
																	}
															}
															{
																obj_t BgL_localsz00_1822;
																obj_t BgL_typesz00_1823;

																BgL_localsz00_1822 = BgL_localsz00_22;
																BgL_typesz00_1823 = BgL_g1110z00_1820;
															BgL_zc3z04anonymousza31366ze3z87_1824:
																if (NULLP(BgL_localsz00_1822))
																	{	/* Ast/glo_def.scm 193 */
																		if (NULLP(BgL_typesz00_1823))
																			{	/* Ast/glo_def.scm 196 */
																				((((BgL_globalz00_bglt) COBJECT(
																								((BgL_globalz00_bglt)
																									BgL_oldz00_19)))->
																						BgL_srcz00) =
																					((obj_t) BgL_srczd2expzd2_24),
																					BUNSPEC);
																			}
																		else
																			{	/* Ast/glo_def.scm 198 */
																				obj_t BgL_list1370z00_1827;

																				BgL_list1370z00_1827 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1884z00zzast_glozd2defzd2,
																					BNIL);
																				((obj_t)
																					BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt) BgL_oldz00_19),
																						BgL_srczd2expzd2_24,
																						BgL_list1370z00_1827));
																			}
																	}
																else
																	{	/* Ast/glo_def.scm 199 */
																		bool_t BgL_test1979z00_3425;

																		if (NULLP(BgL_typesz00_1823))
																			{	/* Ast/glo_def.scm 199 */
																				BgL_test1979z00_3425 = ((bool_t) 1);
																			}
																		else
																			{	/* Ast/glo_def.scm 200 */
																				bool_t BgL_test1981z00_3428;

																				{	/* Ast/glo_def.scm 201 */
																					BgL_typez00_bglt BgL_arg1400z00_1842;
																					obj_t BgL_arg1401z00_1843;

																					BgL_arg1400z00_1842 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										CAR(
																											((obj_t)
																												BgL_localsz00_1822))))))->
																						BgL_typez00);
																					BgL_arg1401z00_1843 =
																						CAR(((obj_t) BgL_typesz00_1823));
																					BgL_test1981z00_3428 =
																						BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																						(((bool_t) 0), BgL_arg1400z00_1842,
																						((BgL_typez00_bglt)
																							BgL_arg1401z00_1843));
																				}
																				if (BgL_test1981z00_3428)
																					{	/* Ast/glo_def.scm 200 */
																						BgL_test1979z00_3425 = ((bool_t) 0);
																					}
																				else
																					{	/* Ast/glo_def.scm 200 */
																						BgL_test1979z00_3425 = ((bool_t) 1);
																					}
																			}
																		if (BgL_test1979z00_3425)
																			{	/* Ast/glo_def.scm 203 */
																				obj_t BgL_list1388z00_1837;

																				BgL_list1388z00_1837 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1885z00zzast_glozd2defzd2,
																					BNIL);
																				((obj_t)
																					BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt) BgL_oldz00_19),
																						BgL_srczd2expzd2_24,
																						BgL_list1388z00_1837));
																			}
																		else
																			{	/* Ast/glo_def.scm 205 */
																				obj_t BgL_arg1390z00_1838;
																				obj_t BgL_arg1392z00_1839;

																				BgL_arg1390z00_1838 =
																					CDR(((obj_t) BgL_localsz00_1822));
																				BgL_arg1392z00_1839 =
																					CDR(((obj_t) BgL_typesz00_1823));
																				{
																					obj_t BgL_typesz00_3447;
																					obj_t BgL_localsz00_3446;

																					BgL_localsz00_3446 =
																						BgL_arg1390z00_1838;
																					BgL_typesz00_3447 =
																						BgL_arg1392z00_1839;
																					BgL_typesz00_1823 = BgL_typesz00_3447;
																					BgL_localsz00_1822 =
																						BgL_localsz00_3446;
																					goto
																						BgL_zc3z04anonymousza31366ze3z87_1824;
																				}
																			}
																	}
															}
														}
												}
											else
												{	/* Ast/glo_def.scm 159 */
													obj_t BgL_list1447z00_1862;

													BgL_list1447z00_1862 =
														MAKE_YOUNG_PAIR(BGl_string1886z00zzast_glozd2defzd2,
														BNIL);
													((obj_t)
														BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																(BgL_globalz00_bglt) BgL_oldz00_19),
															BgL_srczd2expzd2_24, BgL_list1447z00_1862));
												}
										}
									else
										{	/* Ast/glo_def.scm 155 */
											obj_t BgL_list1472z00_1865;

											BgL_list1472z00_1865 =
												MAKE_YOUNG_PAIR(BGl_string1884z00zzast_glozd2defzd2,
												BNIL);
											((obj_t)
												BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
														(BgL_globalz00_bglt) BgL_oldz00_19),
													BgL_srczd2expzd2_24, BgL_list1472z00_1865));
										}
								}
							else
								{	/* Ast/glo_def.scm 153 */
									obj_t BgL_arg1487z00_1868;

									{	/* Ast/glo_def.scm 153 */
										obj_t BgL_arg1489z00_1870;

										BgL_arg1489z00_1870 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2valuezd2_1789)))->
											BgL_classz00);
										{	/* Ast/glo_def.scm 152 */
											obj_t BgL_list1490z00_1871;

											{	/* Ast/glo_def.scm 152 */
												obj_t BgL_arg1506z00_1872;

												BgL_arg1506z00_1872 =
													MAKE_YOUNG_PAIR(BgL_classz00_23, BNIL);
												BgL_list1490z00_1871 =
													MAKE_YOUNG_PAIR(BgL_arg1489z00_1870,
													BgL_arg1506z00_1872);
											}
											BgL_arg1487z00_1868 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1887z00zzast_glozd2defzd2,
												BgL_list1490z00_1871);
										}
									}
									{	/* Ast/glo_def.scm 151 */
										obj_t BgL_list1488z00_1869;

										BgL_list1488z00_1869 =
											MAKE_YOUNG_PAIR(BgL_arg1487z00_1868, BNIL);
										((obj_t)
											BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
												((BgL_globalz00_bglt) BgL_oldz00_19),
												BgL_srczd2expzd2_24, BgL_list1488z00_1869));
									}
								}
						}
					else
						{	/* Ast/glo_def.scm 148 */
							obj_t BgL_list1512z00_1874;

							BgL_list1512z00_1874 =
								MAKE_YOUNG_PAIR(BGl_string1888z00zzast_glozd2defzd2, BNIL);
							((obj_t)
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
									((BgL_globalz00_bglt) BgL_oldz00_19), BgL_srczd2expzd2_24,
									BgL_list1512z00_1874));
						}
				}
				return ((BgL_globalz00_bglt) BgL_oldz00_19);
			}
		}

	}



/* def-global-scnst! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t BgL_idz00_25,
		obj_t BgL_modulez00_26, obj_t BgL_nodez00_27, obj_t BgL_classz00_28,
		obj_t BgL_locz00_29)
	{
		{	/* Ast/glo_def.scm 211 */
			BGl_enterzd2functionzd2zztools_errorz00(BgL_idz00_25);
			{	/* Ast/glo_def.scm 213 */
				obj_t BgL_idzd2typezd2_2465;

				BgL_idzd2typezd2_2465 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_25, BgL_locz00_29);
				{	/* Ast/glo_def.scm 213 */
					obj_t BgL_idzd2idzd2_2466;

					BgL_idzd2idzd2_2466 = CAR(BgL_idzd2typezd2_2465);
					{	/* Ast/glo_def.scm 214 */
						obj_t BgL_oldzd2globalzd2_2467;

						BgL_oldzd2globalzd2_2467 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_2466,
							BgL_modulez00_26);
						{	/* Ast/glo_def.scm 215 */
							BgL_globalz00_bglt BgL_globalz00_2468;

							BgL_globalz00_2468 =
								BGl_declarezd2globalzd2scnstz12z12zzast_glozd2declzd2
								(BgL_idz00_25, BFALSE, BgL_modulez00_26,
								((obj_t) CNST_TABLE_REF(2)), BgL_nodez00_27, BgL_classz00_28,
								BgL_locz00_29);
							{	/* Ast/glo_def.scm 216 */

								BGl_removezd2varzd2fromz12z12zzast_removez00(
									((obj_t)
										CNST_TABLE_REF(4)),
									((BgL_variablez00_bglt) BgL_globalz00_2468));
								BGl_leavezd2functionzd2zztools_errorz00();
								return BgL_globalz00_2468;
							}
						}
					}
				}
			}
		}

	}



/* &def-global-scnst! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2scnstz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_3003, obj_t BgL_idz00_3004, obj_t BgL_modulez00_3005,
		obj_t BgL_nodez00_3006, obj_t BgL_classz00_3007, obj_t BgL_locz00_3008)
	{
		{	/* Ast/glo_def.scm 211 */
			return
				BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(BgL_idz00_3004,
				BgL_modulez00_3005, BgL_nodez00_3006, BgL_classz00_3007,
				BgL_locz00_3008);
		}

	}



/* def-global-svar! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t BgL_idz00_30,
		obj_t BgL_modulez00_31, obj_t BgL_srczd2expzd2_32, obj_t BgL_remz00_33)
	{
		{	/* Ast/glo_def.scm 227 */
			{	/* Ast/glo_def.scm 228 */
				obj_t BgL_locz00_1879;

				BgL_locz00_1879 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2expzd2_32);
				{	/* Ast/glo_def.scm 228 */
					obj_t BgL_idzd2typezd2_1880;

					BgL_idzd2typezd2_1880 =
						BGl_parsezd2idzd2zzast_identz00(BgL_idz00_30, BgL_locz00_1879);
					{	/* Ast/glo_def.scm 229 */
						obj_t BgL_idzd2idzd2_1881;

						BgL_idzd2idzd2_1881 = CAR(BgL_idzd2typezd2_1880);
						{	/* Ast/glo_def.scm 230 */
							obj_t BgL_oldzd2globalzd2_1882;

							BgL_oldzd2globalzd2_1882 =
								BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idzd2idzd2_1881,
								BgL_modulez00_31);
							{	/* Ast/glo_def.scm 231 */
								obj_t BgL_importz00_1883;

								{	/* Ast/glo_def.scm 232 */
									bool_t BgL_test1982z00_3487;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											3L))
										{	/* Ast/glo_def.scm 233 */
											obj_t BgL_arg1553z00_1903;

											{	/* Ast/glo_def.scm 233 */
												obj_t BgL_arg1554z00_1904;

												BgL_arg1554z00_1904 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1553z00_1903 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1554z00_1904)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1982z00_3487 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t) CNST_TABLE_REF(0)), BgL_arg1553z00_1903));
										}
									else
										{	/* Ast/glo_def.scm 232 */
											BgL_test1982z00_3487 = ((bool_t) 0);
										}
									if (BgL_test1982z00_3487)
										{	/* Ast/glo_def.scm 232 */
											BgL_importz00_1883 = ((obj_t) CNST_TABLE_REF(1));
										}
									else
										{	/* Ast/glo_def.scm 232 */
											BgL_importz00_1883 = ((obj_t) CNST_TABLE_REF(2));
										}
								}
								{	/* Ast/glo_def.scm 232 */
									obj_t BgL_typez00_1884;

									{	/* Ast/glo_def.scm 236 */
										obj_t BgL_typez00_1892;

										BgL_typez00_1892 = CDR(BgL_idzd2typezd2_1880);
										if (
											((((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_typez00_1892)))->
													BgL_classz00) == ((obj_t) CNST_TABLE_REF(5))))
											{	/* Ast/glo_def.scm 239 */
												BgL_typez00_1884 = BgL_typez00_1892;
											}
										else
											{	/* Ast/glo_def.scm 239 */
												BgL_typez00_1884 =
													BGl_userzd2errorzd2zztools_errorz00
													(BgL_idzd2idzd2_1881,
													BGl_string1889z00zzast_glozd2defzd2,
													BGl_shapez00zztools_shapez00(BgL_typez00_1892), BNIL);
											}
									}
									{	/* Ast/glo_def.scm 236 */
										BgL_globalz00_bglt BgL_globalz00_1885;

										{	/* Ast/glo_def.scm 245 */
											bool_t BgL_test1985z00_3511;

											{	/* Ast/glo_def.scm 245 */
												obj_t BgL_classz00_2475;

												BgL_classz00_2475 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_oldzd2globalzd2_1882))
													{	/* Ast/glo_def.scm 245 */
														BgL_objectz00_bglt BgL_arg1858z00_2477;

														BgL_arg1858z00_2477 =
															(BgL_objectz00_bglt) (BgL_oldzd2globalzd2_1882);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/glo_def.scm 245 */
																long BgL_idxz00_2483;

																BgL_idxz00_2483 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2477);
																BgL_test1985z00_3511 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2483 + 2L)) ==
																	BgL_classz00_2475);
															}
														else
															{	/* Ast/glo_def.scm 245 */
																bool_t BgL_res1865z00_2508;

																{	/* Ast/glo_def.scm 245 */
																	obj_t BgL_oclassz00_2491;

																	{	/* Ast/glo_def.scm 245 */
																		obj_t BgL_arg1866z00_2499;
																		long BgL_arg1867z00_2500;

																		BgL_arg1866z00_2499 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/glo_def.scm 245 */
																			long BgL_arg1869z00_2501;

																			BgL_arg1869z00_2501 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2477);
																			BgL_arg1867z00_2500 =
																				(BgL_arg1869z00_2501 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2491 =
																			VECTOR_REF(BgL_arg1866z00_2499,
																			BgL_arg1867z00_2500);
																	}
																	{	/* Ast/glo_def.scm 245 */
																		bool_t BgL__ortest_1115z00_2492;

																		BgL__ortest_1115z00_2492 =
																			(BgL_classz00_2475 == BgL_oclassz00_2491);
																		if (BgL__ortest_1115z00_2492)
																			{	/* Ast/glo_def.scm 245 */
																				BgL_res1865z00_2508 =
																					BgL__ortest_1115z00_2492;
																			}
																		else
																			{	/* Ast/glo_def.scm 245 */
																				long BgL_odepthz00_2493;

																				{	/* Ast/glo_def.scm 245 */
																					obj_t BgL_arg1855z00_2494;

																					BgL_arg1855z00_2494 =
																						(BgL_oclassz00_2491);
																					BgL_odepthz00_2493 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2494);
																				}
																				if ((2L < BgL_odepthz00_2493))
																					{	/* Ast/glo_def.scm 245 */
																						obj_t BgL_arg1853z00_2496;

																						{	/* Ast/glo_def.scm 245 */
																							obj_t BgL_arg1854z00_2497;

																							BgL_arg1854z00_2497 =
																								(BgL_oclassz00_2491);
																							BgL_arg1853z00_2496 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2497, 2L);
																						}
																						BgL_res1865z00_2508 =
																							(BgL_arg1853z00_2496 ==
																							BgL_classz00_2475);
																					}
																				else
																					{	/* Ast/glo_def.scm 245 */
																						BgL_res1865z00_2508 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1985z00_3511 = BgL_res1865z00_2508;
															}
													}
												else
													{	/* Ast/glo_def.scm 245 */
														BgL_test1985z00_3511 = ((bool_t) 0);
													}
											}
											if (BgL_test1985z00_3511)
												{	/* Ast/glo_def.scm 245 */
													BgL_globalz00_1885 =
														BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2
														(BgL_oldzd2globalzd2_1882, BgL_typez00_1884,
														BgL_srczd2expzd2_32);
												}
											else
												{	/* Ast/glo_def.scm 245 */
													BgL_globalz00_1885 =
														BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
														(BgL_idz00_30, BFALSE, BgL_modulez00_31,
														BgL_importz00_1883, BgL_srczd2expzd2_32, BFALSE);
												}
										}
										{	/* Ast/glo_def.scm 244 */
											obj_t BgL_defzd2loczd2_1886;

											BgL_defzd2loczd2_1886 =
												BGl_findzd2locationzd2zztools_locationz00
												(BgL_srczd2expzd2_32);
											{	/* Ast/glo_def.scm 250 */

												{	/* Ast/glo_def.scm 300 */
													obj_t BgL_oldzd2typezd2_2511;

													BgL_oldzd2typezd2_2511 =
														((obj_t)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1885)))->BgL_typez00));
													if ((BgL_oldzd2typezd2_2511 ==
															BGl_za2_za2z00zztype_cachez00))
														{	/* Ast/glo_def.scm 301 */
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_globalz00_1885)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BgL_typez00_1884)), BUNSPEC);
														}
													else
														{	/* Ast/glo_def.scm 301 */
															BFALSE;
														}
												}
												{	/* Ast/glo_def.scm 254 */
													bool_t BgL_test1991z00_3545;

													{	/* Ast/glo_def.scm 254 */
														BgL_valuez00_bglt BgL_arg1516z00_1890;

														BgL_arg1516z00_1890 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_globalz00_1885)))->BgL_valuez00);
														{	/* Ast/glo_def.scm 254 */
															obj_t BgL_classz00_2516;

															BgL_classz00_2516 = BGl_svarz00zzast_varz00;
															{	/* Ast/glo_def.scm 254 */
																BgL_objectz00_bglt BgL_arg1858z00_2518;

																{	/* Ast/glo_def.scm 254 */
																	obj_t BgL_tmpz00_3548;

																	BgL_tmpz00_3548 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1516z00_1890));
																	BgL_arg1858z00_2518 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_3548);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/glo_def.scm 254 */
																		long BgL_idxz00_2524;

																		BgL_idxz00_2524 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2518);
																		BgL_test1991z00_3545 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2524 + 2L)) ==
																			BgL_classz00_2516);
																	}
																else
																	{	/* Ast/glo_def.scm 254 */
																		bool_t BgL_res1866z00_2549;

																		{	/* Ast/glo_def.scm 254 */
																			obj_t BgL_oclassz00_2532;

																			{	/* Ast/glo_def.scm 254 */
																				obj_t BgL_arg1866z00_2540;
																				long BgL_arg1867z00_2541;

																				BgL_arg1866z00_2540 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Ast/glo_def.scm 254 */
																					long BgL_arg1869z00_2542;

																					BgL_arg1869z00_2542 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2518);
																					BgL_arg1867z00_2541 =
																						(BgL_arg1869z00_2542 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2532 =
																					VECTOR_REF(BgL_arg1866z00_2540,
																					BgL_arg1867z00_2541);
																			}
																			{	/* Ast/glo_def.scm 254 */
																				bool_t BgL__ortest_1115z00_2533;

																				BgL__ortest_1115z00_2533 =
																					(BgL_classz00_2516 ==
																					BgL_oclassz00_2532);
																				if (BgL__ortest_1115z00_2533)
																					{	/* Ast/glo_def.scm 254 */
																						BgL_res1866z00_2549 =
																							BgL__ortest_1115z00_2533;
																					}
																				else
																					{	/* Ast/glo_def.scm 254 */
																						long BgL_odepthz00_2534;

																						{	/* Ast/glo_def.scm 254 */
																							obj_t BgL_arg1855z00_2535;

																							BgL_arg1855z00_2535 =
																								(BgL_oclassz00_2532);
																							BgL_odepthz00_2534 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2535);
																						}
																						if ((2L < BgL_odepthz00_2534))
																							{	/* Ast/glo_def.scm 254 */
																								obj_t BgL_arg1853z00_2537;

																								{	/* Ast/glo_def.scm 254 */
																									obj_t BgL_arg1854z00_2538;

																									BgL_arg1854z00_2538 =
																										(BgL_oclassz00_2532);
																									BgL_arg1853z00_2537 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2538, 2L);
																								}
																								BgL_res1866z00_2549 =
																									(BgL_arg1853z00_2537 ==
																									BgL_classz00_2516);
																							}
																						else
																							{	/* Ast/glo_def.scm 254 */
																								BgL_res1866z00_2549 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1991z00_3545 = BgL_res1866z00_2549;
																	}
															}
														}
													}
													if (BgL_test1991z00_3545)
														{	/* Ast/glo_def.scm 256 */
															BgL_valuez00_bglt BgL_arg1515z00_1889;

															BgL_arg1515z00_1889 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_1885)))->BgL_valuez00);
															((((BgL_svarz00_bglt) COBJECT(((BgL_svarz00_bglt)
																				BgL_arg1515z00_1889)))->BgL_locz00) =
																((obj_t) BgL_defzd2loczd2_1886), BUNSPEC);
														}
													else
														{	/* Ast/glo_def.scm 254 */
															BFALSE;
														}
												}
												BGl_removezd2varzd2fromz12z12zzast_removez00
													(BgL_remz00_33,
													((BgL_variablez00_bglt) BgL_globalz00_1885));
												return BgL_globalz00_1885;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &def-global-svar! */
	BgL_globalz00_bglt BGl_z62defzd2globalzd2svarz12z70zzast_glozd2defzd2(obj_t
		BgL_envz00_3009, obj_t BgL_idz00_3010, obj_t BgL_modulez00_3011,
		obj_t BgL_srczd2expzd2_3012, obj_t BgL_remz00_3013)
	{
		{	/* Ast/glo_def.scm 227 */
			return
				BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_idz00_3010,
				BgL_modulez00_3011, BgL_srczd2expzd2_3012, BgL_remz00_3013);
		}

	}



/* check-svar-definition */
	BgL_globalz00_bglt BGl_checkzd2svarzd2definitionz00zzast_glozd2defzd2(obj_t
		BgL_oldz00_34, obj_t BgL_typez00_35, obj_t BgL_srczd2expzd2_36)
	{
		{	/* Ast/glo_def.scm 264 */
			{	/* Ast/glo_def.scm 265 */
				BgL_valuez00_bglt BgL_oldzd2valuezd2_1905;

				BgL_oldzd2valuezd2_1905 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oldz00_34))))->BgL_valuez00);
				{	/* Ast/glo_def.scm 267 */
					bool_t BgL_test1995z00_3581;

					{	/* Ast/glo_def.scm 267 */
						obj_t BgL_classz00_2553;

						BgL_classz00_2553 = BGl_svarz00zzast_varz00;
						{	/* Ast/glo_def.scm 267 */
							BgL_objectz00_bglt BgL_arg1858z00_2555;

							{	/* Ast/glo_def.scm 267 */
								obj_t BgL_tmpz00_3582;

								BgL_tmpz00_3582 =
									((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2valuezd2_1905));
								BgL_arg1858z00_2555 = (BgL_objectz00_bglt) (BgL_tmpz00_3582);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/glo_def.scm 267 */
									long BgL_idxz00_2561;

									BgL_idxz00_2561 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2555);
									BgL_test1995z00_3581 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2561 + 2L)) == BgL_classz00_2553);
								}
							else
								{	/* Ast/glo_def.scm 267 */
									bool_t BgL_res1867z00_2586;

									{	/* Ast/glo_def.scm 267 */
										obj_t BgL_oclassz00_2569;

										{	/* Ast/glo_def.scm 267 */
											obj_t BgL_arg1866z00_2577;
											long BgL_arg1867z00_2578;

											BgL_arg1866z00_2577 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/glo_def.scm 267 */
												long BgL_arg1869z00_2579;

												BgL_arg1869z00_2579 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2555);
												BgL_arg1867z00_2578 =
													(BgL_arg1869z00_2579 - OBJECT_TYPE);
											}
											BgL_oclassz00_2569 =
												VECTOR_REF(BgL_arg1866z00_2577, BgL_arg1867z00_2578);
										}
										{	/* Ast/glo_def.scm 267 */
											bool_t BgL__ortest_1115z00_2570;

											BgL__ortest_1115z00_2570 =
												(BgL_classz00_2553 == BgL_oclassz00_2569);
											if (BgL__ortest_1115z00_2570)
												{	/* Ast/glo_def.scm 267 */
													BgL_res1867z00_2586 = BgL__ortest_1115z00_2570;
												}
											else
												{	/* Ast/glo_def.scm 267 */
													long BgL_odepthz00_2571;

													{	/* Ast/glo_def.scm 267 */
														obj_t BgL_arg1855z00_2572;

														BgL_arg1855z00_2572 = (BgL_oclassz00_2569);
														BgL_odepthz00_2571 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2572);
													}
													if ((2L < BgL_odepthz00_2571))
														{	/* Ast/glo_def.scm 267 */
															obj_t BgL_arg1853z00_2574;

															{	/* Ast/glo_def.scm 267 */
																obj_t BgL_arg1854z00_2575;

																BgL_arg1854z00_2575 = (BgL_oclassz00_2569);
																BgL_arg1853z00_2574 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2575,
																	2L);
															}
															BgL_res1867z00_2586 =
																(BgL_arg1853z00_2574 == BgL_classz00_2553);
														}
													else
														{	/* Ast/glo_def.scm 267 */
															BgL_res1867z00_2586 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1995z00_3581 = BgL_res1867z00_2586;
								}
						}
					}
					if (BgL_test1995z00_3581)
						{	/* Ast/glo_def.scm 269 */
							bool_t BgL_test1999z00_3605;

							{	/* Ast/glo_def.scm 269 */
								BgL_typez00_bglt BgL_arg1574z00_1910;

								BgL_arg1574z00_1910 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_oldz00_34))))->BgL_typez00);
								BgL_test1999z00_3605 =
									BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(((bool_t) 0),
									((BgL_typez00_bglt) BgL_typez00_35), BgL_arg1574z00_1910);
							}
							if (BgL_test1999z00_3605)
								{	/* Ast/glo_def.scm 269 */
									return ((BgL_globalz00_bglt) BgL_oldz00_34);
								}
							else
								{	/* Ast/glo_def.scm 270 */
									obj_t BgL_list1560z00_1909;

									BgL_list1560z00_1909 =
										MAKE_YOUNG_PAIR(BGl_string1890z00zzast_glozd2defzd2, BNIL);
									return
										BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
										((BgL_globalz00_bglt) BgL_oldz00_34), BgL_srczd2expzd2_36,
										BgL_list1560z00_1909);
								}
						}
					else
						{	/* Ast/glo_def.scm 268 */
							obj_t BgL_list1575z00_1911;

							BgL_list1575z00_1911 =
								MAKE_YOUNG_PAIR(BGl_string1891z00zzast_glozd2defzd2, BNIL);
							return
								BGl_mismatchzd2errorzd2zzast_glozd2defzd2(
								((BgL_globalz00_bglt) BgL_oldz00_34), BgL_srczd2expzd2_36,
								BgL_list1575z00_1911);
						}
				}
			}
		}

	}



/* compatible-type? */
	bool_t BGl_compatiblezd2typezf3z21zzast_glozd2defzd2(bool_t BgL_subzf3zf3_37,
		BgL_typez00_bglt BgL_newz00_38, BgL_typez00_bglt BgL_oldz00_39)
	{
		{	/* Ast/glo_def.scm 277 */
			{	/* Ast/glo_def.scm 278 */
				bool_t BgL__ortest_1111z00_1912;

				BgL__ortest_1111z00_1912 =
					(((obj_t) BgL_newz00_38) == BGl_za2_za2z00zztype_cachez00);
				if (BgL__ortest_1111z00_1912)
					{	/* Ast/glo_def.scm 278 */
						return BgL__ortest_1111z00_1912;
					}
				else
					{	/* Ast/glo_def.scm 279 */
						bool_t BgL__ortest_1112z00_1913;

						BgL__ortest_1112z00_1913 =
							(((obj_t) BgL_oldz00_39) == ((obj_t) BgL_newz00_38));
						if (BgL__ortest_1112z00_1913)
							{	/* Ast/glo_def.scm 279 */
								return BgL__ortest_1112z00_1913;
							}
						else
							{	/* Ast/glo_def.scm 279 */
								if (BgL_subzf3zf3_37)
									{	/* Ast/glo_def.scm 281 */
										bool_t BgL__ortest_1114z00_1915;

										BgL__ortest_1114z00_1915 =
											BGl_typezd2subclasszf3z21zzobject_classz00(BgL_newz00_38,
											BgL_oldz00_39);
										if (BgL__ortest_1114z00_1915)
											{	/* Ast/glo_def.scm 281 */
												return BgL__ortest_1114z00_1915;
											}
										else
											{	/* Ast/glo_def.scm 282 */
												bool_t BgL_test2004z00_3628;

												{	/* Ast/glo_def.scm 282 */
													obj_t BgL_classz00_2588;

													BgL_classz00_2588 = BGl_tclassz00zzobject_classz00;
													{	/* Ast/glo_def.scm 282 */
														BgL_objectz00_bglt BgL_arg1858z00_2590;

														{	/* Ast/glo_def.scm 282 */
															obj_t BgL_tmpz00_3629;

															BgL_tmpz00_3629 = ((obj_t) BgL_newz00_38);
															BgL_arg1858z00_2590 =
																(BgL_objectz00_bglt) (BgL_tmpz00_3629);
														}
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Ast/glo_def.scm 282 */
																long BgL_idxz00_2596;

																BgL_idxz00_2596 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2590);
																BgL_test2004z00_3628 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2596 + 2L)) ==
																	BgL_classz00_2588);
															}
														else
															{	/* Ast/glo_def.scm 282 */
																bool_t BgL_res1868z00_2621;

																{	/* Ast/glo_def.scm 282 */
																	obj_t BgL_oclassz00_2604;

																	{	/* Ast/glo_def.scm 282 */
																		obj_t BgL_arg1866z00_2612;
																		long BgL_arg1867z00_2613;

																		BgL_arg1866z00_2612 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Ast/glo_def.scm 282 */
																			long BgL_arg1869z00_2614;

																			BgL_arg1869z00_2614 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2590);
																			BgL_arg1867z00_2613 =
																				(BgL_arg1869z00_2614 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2604 =
																			VECTOR_REF(BgL_arg1866z00_2612,
																			BgL_arg1867z00_2613);
																	}
																	{	/* Ast/glo_def.scm 282 */
																		bool_t BgL__ortest_1115z00_2605;

																		BgL__ortest_1115z00_2605 =
																			(BgL_classz00_2588 == BgL_oclassz00_2604);
																		if (BgL__ortest_1115z00_2605)
																			{	/* Ast/glo_def.scm 282 */
																				BgL_res1868z00_2621 =
																					BgL__ortest_1115z00_2605;
																			}
																		else
																			{	/* Ast/glo_def.scm 282 */
																				long BgL_odepthz00_2606;

																				{	/* Ast/glo_def.scm 282 */
																					obj_t BgL_arg1855z00_2607;

																					BgL_arg1855z00_2607 =
																						(BgL_oclassz00_2604);
																					BgL_odepthz00_2606 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2607);
																				}
																				if ((2L < BgL_odepthz00_2606))
																					{	/* Ast/glo_def.scm 282 */
																						obj_t BgL_arg1853z00_2609;

																						{	/* Ast/glo_def.scm 282 */
																							obj_t BgL_arg1854z00_2610;

																							BgL_arg1854z00_2610 =
																								(BgL_oclassz00_2604);
																							BgL_arg1853z00_2609 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2610, 2L);
																						}
																						BgL_res1868z00_2621 =
																							(BgL_arg1853z00_2609 ==
																							BgL_classz00_2588);
																					}
																				else
																					{	/* Ast/glo_def.scm 282 */
																						BgL_res1868z00_2621 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2004z00_3628 = BgL_res1868z00_2621;
															}
													}
												}
												if (BgL_test2004z00_3628)
													{	/* Ast/glo_def.scm 282 */
														return
															(
															((obj_t) BgL_oldz00_39) ==
															BGl_za2objza2z00zztype_cachez00);
													}
												else
													{	/* Ast/glo_def.scm 282 */
														return ((bool_t) 0);
													}
											}
									}
								else
									{	/* Ast/glo_def.scm 280 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}

	}



/* mismatch-error */
	BgL_globalz00_bglt
		BGl_mismatchzd2errorzd2zzast_glozd2defzd2(BgL_globalz00_bglt
		BgL_globalz00_40, obj_t BgL_srczd2expzd2_41, obj_t BgL_addzd2msgzd2_42)
	{
		{	/* Ast/glo_def.scm 287 */
			{	/* Ast/glo_def.scm 289 */
				obj_t BgL_arg1577z00_1918;
				obj_t BgL_arg1578z00_1919;

				if (PAIRP(BgL_addzd2msgzd2_42))
					{	/* Ast/glo_def.scm 289 */
						BgL_arg1577z00_1918 =
							string_append_3(BGl_string1892z00zzast_glozd2defzd2,
							BGl_string1893z00zzast_glozd2defzd2, CAR(BgL_addzd2msgzd2_42));
					}
				else
					{	/* Ast/glo_def.scm 289 */
						BgL_arg1577z00_1918 = BGl_string1892z00zzast_glozd2defzd2;
					}
				BgL_arg1578z00_1919 =
					BGl_shapez00zztools_shapez00(
					(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_40))->BgL_srcz00));
				{	/* Ast/glo_def.scm 289 */
					obj_t BgL_list1579z00_1920;

					BgL_list1579z00_1920 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_40), BNIL);
					return
						((BgL_globalz00_bglt)
						BGl_userzd2errorzd2zztools_errorz00(BgL_arg1577z00_1918,
							BgL_arg1578z00_1919, BgL_srczd2expzd2_41, BgL_list1579z00_1920));
				}
			}
		}

	}



/* check-method-definition */
	BGL_EXPORTED_DEF bool_t
		BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2(obj_t BgL_idz00_45,
		obj_t BgL_argsz00_46, obj_t BgL_localsz00_47, obj_t BgL_srcz00_48)
	{
		{	/* Ast/glo_def.scm 307 */
			{	/* Ast/glo_def.scm 308 */
				obj_t BgL_locz00_1925;

				BgL_locz00_1925 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_48);
				{	/* Ast/glo_def.scm 308 */
					BgL_typez00_bglt BgL_typezd2reszd2_1926;

					BgL_typezd2reszd2_1926 =
						BGl_typezd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1925);
					{	/* Ast/glo_def.scm 309 */
						obj_t BgL_methodzd2idzd2_1927;

						BgL_methodzd2idzd2_1927 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_45, BgL_locz00_1925);
						{	/* Ast/glo_def.scm 310 */
							obj_t BgL_genericz00_1928;

							BgL_genericz00_1928 =
								BGl_findzd2globalzd2zzast_envz00(BgL_idz00_45, BNIL);
							{	/* Ast/glo_def.scm 311 */

								if (NULLP(BgL_argsz00_46))
									{	/* Ast/glo_def.scm 313 */
										BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_45,
											BGl_shapez00zztools_shapez00(BgL_srcz00_48),
											BGl_string1894z00zzast_glozd2defzd2, BNIL);
										return ((bool_t) 1);
									}
								else
									{	/* Ast/glo_def.scm 316 */
										bool_t BgL_test2010z00_3671;

										{	/* Ast/glo_def.scm 316 */
											obj_t BgL_classz00_2628;

											BgL_classz00_2628 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_genericz00_1928))
												{	/* Ast/glo_def.scm 316 */
													BgL_objectz00_bglt BgL_arg1858z00_2630;

													BgL_arg1858z00_2630 =
														(BgL_objectz00_bglt) (BgL_genericz00_1928);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/glo_def.scm 316 */
															long BgL_idxz00_2636;

															BgL_idxz00_2636 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2630);
															BgL_test2010z00_3671 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2636 + 2L)) == BgL_classz00_2628);
														}
													else
														{	/* Ast/glo_def.scm 316 */
															bool_t BgL_res1869z00_2661;

															{	/* Ast/glo_def.scm 316 */
																obj_t BgL_oclassz00_2644;

																{	/* Ast/glo_def.scm 316 */
																	obj_t BgL_arg1866z00_2652;
																	long BgL_arg1867z00_2653;

																	BgL_arg1866z00_2652 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/glo_def.scm 316 */
																		long BgL_arg1869z00_2654;

																		BgL_arg1869z00_2654 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2630);
																		BgL_arg1867z00_2653 =
																			(BgL_arg1869z00_2654 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2644 =
																		VECTOR_REF(BgL_arg1866z00_2652,
																		BgL_arg1867z00_2653);
																}
																{	/* Ast/glo_def.scm 316 */
																	bool_t BgL__ortest_1115z00_2645;

																	BgL__ortest_1115z00_2645 =
																		(BgL_classz00_2628 == BgL_oclassz00_2644);
																	if (BgL__ortest_1115z00_2645)
																		{	/* Ast/glo_def.scm 316 */
																			BgL_res1869z00_2661 =
																				BgL__ortest_1115z00_2645;
																		}
																	else
																		{	/* Ast/glo_def.scm 316 */
																			long BgL_odepthz00_2646;

																			{	/* Ast/glo_def.scm 316 */
																				obj_t BgL_arg1855z00_2647;

																				BgL_arg1855z00_2647 =
																					(BgL_oclassz00_2644);
																				BgL_odepthz00_2646 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2647);
																			}
																			if ((2L < BgL_odepthz00_2646))
																				{	/* Ast/glo_def.scm 316 */
																					obj_t BgL_arg1853z00_2649;

																					{	/* Ast/glo_def.scm 316 */
																						obj_t BgL_arg1854z00_2650;

																						BgL_arg1854z00_2650 =
																							(BgL_oclassz00_2644);
																						BgL_arg1853z00_2649 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2650, 2L);
																					}
																					BgL_res1869z00_2661 =
																						(BgL_arg1853z00_2649 ==
																						BgL_classz00_2628);
																				}
																			else
																				{	/* Ast/glo_def.scm 316 */
																					BgL_res1869z00_2661 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2010z00_3671 = BgL_res1869z00_2661;
														}
												}
											else
												{	/* Ast/glo_def.scm 316 */
													BgL_test2010z00_3671 = ((bool_t) 0);
												}
										}
										if (BgL_test2010z00_3671)
											{	/* Ast/glo_def.scm 321 */
												BgL_valuez00_bglt BgL_genericzd2valuezd2_1933;

												BgL_genericzd2valuezd2_1933 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_genericz00_1928))))->
													BgL_valuez00);
												{	/* Ast/glo_def.scm 323 */
													bool_t BgL_test2015z00_3697;

													{	/* Ast/glo_def.scm 323 */
														obj_t BgL_classz00_2663;

														BgL_classz00_2663 = BGl_sfunz00zzast_varz00;
														{	/* Ast/glo_def.scm 323 */
															BgL_objectz00_bglt BgL_arg1858z00_2665;

															{	/* Ast/glo_def.scm 323 */
																obj_t BgL_tmpz00_3698;

																BgL_tmpz00_3698 =
																	((obj_t)
																	((BgL_objectz00_bglt)
																		BgL_genericzd2valuezd2_1933));
																BgL_arg1858z00_2665 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_3698);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/glo_def.scm 323 */
																	long BgL_idxz00_2671;

																	BgL_idxz00_2671 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2665);
																	BgL_test2015z00_3697 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2671 + 3L)) ==
																		BgL_classz00_2663);
																}
															else
																{	/* Ast/glo_def.scm 323 */
																	bool_t BgL_res1870z00_2696;

																	{	/* Ast/glo_def.scm 323 */
																		obj_t BgL_oclassz00_2679;

																		{	/* Ast/glo_def.scm 323 */
																			obj_t BgL_arg1866z00_2687;
																			long BgL_arg1867z00_2688;

																			BgL_arg1866z00_2687 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/glo_def.scm 323 */
																				long BgL_arg1869z00_2689;

																				BgL_arg1869z00_2689 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2665);
																				BgL_arg1867z00_2688 =
																					(BgL_arg1869z00_2689 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2679 =
																				VECTOR_REF(BgL_arg1866z00_2687,
																				BgL_arg1867z00_2688);
																		}
																		{	/* Ast/glo_def.scm 323 */
																			bool_t BgL__ortest_1115z00_2680;

																			BgL__ortest_1115z00_2680 =
																				(BgL_classz00_2663 ==
																				BgL_oclassz00_2679);
																			if (BgL__ortest_1115z00_2680)
																				{	/* Ast/glo_def.scm 323 */
																					BgL_res1870z00_2696 =
																						BgL__ortest_1115z00_2680;
																				}
																			else
																				{	/* Ast/glo_def.scm 323 */
																					long BgL_odepthz00_2681;

																					{	/* Ast/glo_def.scm 323 */
																						obj_t BgL_arg1855z00_2682;

																						BgL_arg1855z00_2682 =
																							(BgL_oclassz00_2679);
																						BgL_odepthz00_2681 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2682);
																					}
																					if ((3L < BgL_odepthz00_2681))
																						{	/* Ast/glo_def.scm 323 */
																							obj_t BgL_arg1853z00_2684;

																							{	/* Ast/glo_def.scm 323 */
																								obj_t BgL_arg1854z00_2685;

																								BgL_arg1854z00_2685 =
																									(BgL_oclassz00_2679);
																								BgL_arg1853z00_2684 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2685, 3L);
																							}
																							BgL_res1870z00_2696 =
																								(BgL_arg1853z00_2684 ==
																								BgL_classz00_2663);
																						}
																					else
																						{	/* Ast/glo_def.scm 323 */
																							BgL_res1870z00_2696 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2015z00_3697 = BgL_res1870z00_2696;
																}
														}
													}
													if (BgL_test2015z00_3697)
														{	/* Ast/glo_def.scm 323 */
															if (
																((((BgL_sfunz00_bglt) COBJECT(
																				((BgL_sfunz00_bglt)
																					BgL_genericzd2valuezd2_1933)))->
																		BgL_classz00) ==
																	((obj_t) CNST_TABLE_REF(3))))
																{	/* Ast/glo_def.scm 329 */
																	bool_t BgL_test2020z00_3727;

																	{	/* Ast/glo_def.scm 329 */
																		long BgL_arg1673z00_1982;
																		long BgL_arg1674z00_1983;

																		BgL_arg1673z00_1982 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						((BgL_sfunz00_bglt)
																							BgL_genericzd2valuezd2_1933))))->
																			BgL_arityz00);
																		BgL_arg1674z00_1983 =
																			BGl_globalzd2arityzd2zztools_argsz00
																			(BgL_argsz00_46);
																		BgL_test2020z00_3727 =
																			(BgL_arg1673z00_1982 ==
																			BgL_arg1674z00_1983);
																	}
																	if (BgL_test2020z00_3727)
																		{	/* Ast/glo_def.scm 332 */
																			bool_t BgL_test2021z00_3733;

																			{	/* Ast/glo_def.scm 332 */
																				BgL_typez00_bglt BgL_arg1663z00_1980;

																				BgL_arg1663z00_1980 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_genericz00_1928))))->
																					BgL_typez00);
																				BgL_test2021z00_3733 =
																					BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																					(((bool_t) 1), BgL_typezd2reszd2_1926,
																					BgL_arg1663z00_1980);
																			}
																			if (BgL_test2021z00_3733)
																				{	/* Ast/glo_def.scm 337 */
																					obj_t BgL__ortest_1116z00_1942;

																					{	/* Ast/glo_def.scm 337 */
																						obj_t BgL_g1117z00_1943;

																						{	/* Ast/glo_def.scm 338 */
																							obj_t BgL_l1257z00_1963;

																							BgL_l1257z00_1963 =
																								(((BgL_sfunz00_bglt) COBJECT(
																										((BgL_sfunz00_bglt)
																											BgL_genericzd2valuezd2_1933)))->
																								BgL_argsz00);
																							if (NULLP(BgL_l1257z00_1963))
																								{	/* Ast/glo_def.scm 338 */
																									BgL_g1117z00_1943 = BNIL;
																								}
																							else
																								{	/* Ast/glo_def.scm 338 */
																									obj_t BgL_head1259z00_1965;

																									BgL_head1259z00_1965 =
																										MAKE_YOUNG_PAIR(BNIL, BNIL);
																									{
																										obj_t BgL_l1257z00_1967;
																										obj_t BgL_tail1260z00_1968;

																										BgL_l1257z00_1967 =
																											BgL_l1257z00_1963;
																										BgL_tail1260z00_1968 =
																											BgL_head1259z00_1965;
																									BgL_zc3z04anonymousza31652ze3z87_1969:
																										if (NULLP
																											(BgL_l1257z00_1967))
																											{	/* Ast/glo_def.scm 338 */
																												BgL_g1117z00_1943 =
																													CDR
																													(BgL_head1259z00_1965);
																											}
																										else
																											{	/* Ast/glo_def.scm 338 */
																												obj_t
																													BgL_newtail1261z00_1971;
																												{	/* Ast/glo_def.scm 338 */
																													obj_t
																														BgL_arg1656z00_1973;
																													{	/* Ast/glo_def.scm 338 */
																														obj_t BgL_az00_1974;

																														BgL_az00_1974 =
																															CAR(
																															((obj_t)
																																BgL_l1257z00_1967));
																														{	/* Ast/glo_def.scm 340 */
																															bool_t
																																BgL_test2024z00_3748;
																															{	/* Ast/glo_def.scm 340 */
																																obj_t
																																	BgL_classz00_2705;
																																BgL_classz00_2705
																																	=
																																	BGl_localz00zzast_varz00;
																																if (BGL_OBJECTP
																																	(BgL_az00_1974))
																																	{	/* Ast/glo_def.scm 340 */
																																		BgL_objectz00_bglt
																																			BgL_arg1858z00_2707;
																																		BgL_arg1858z00_2707
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_az00_1974);
																																		if (BGL_CONDEXPAND_ISA_ARCH64())
																																			{	/* Ast/glo_def.scm 340 */
																																				long
																																					BgL_idxz00_2713;
																																				BgL_idxz00_2713
																																					=
																																					BGL_OBJECT_INHERITANCE_NUM
																																					(BgL_arg1858z00_2707);
																																				BgL_test2024z00_3748
																																					=
																																					(VECTOR_REF
																																					(BGl_za2inheritancesza2z00zz__objectz00,
																																						(BgL_idxz00_2713
																																							+
																																							2L))
																																					==
																																					BgL_classz00_2705);
																																			}
																																		else
																																			{	/* Ast/glo_def.scm 340 */
																																				bool_t
																																					BgL_res1871z00_2738;
																																				{	/* Ast/glo_def.scm 340 */
																																					obj_t
																																						BgL_oclassz00_2721;
																																					{	/* Ast/glo_def.scm 340 */
																																						obj_t
																																							BgL_arg1866z00_2729;
																																						long
																																							BgL_arg1867z00_2730;
																																						BgL_arg1866z00_2729
																																							=
																																							(BGl_za2classesza2z00zz__objectz00);
																																						{	/* Ast/glo_def.scm 340 */
																																							long
																																								BgL_arg1869z00_2731;
																																							BgL_arg1869z00_2731
																																								=
																																								BGL_OBJECT_CLASS_NUM
																																								(BgL_arg1858z00_2707);
																																							BgL_arg1867z00_2730
																																								=
																																								(BgL_arg1869z00_2731
																																								-
																																								OBJECT_TYPE);
																																						}
																																						BgL_oclassz00_2721
																																							=
																																							VECTOR_REF
																																							(BgL_arg1866z00_2729,
																																							BgL_arg1867z00_2730);
																																					}
																																					{	/* Ast/glo_def.scm 340 */
																																						bool_t
																																							BgL__ortest_1115z00_2722;
																																						BgL__ortest_1115z00_2722
																																							=
																																							(BgL_classz00_2705
																																							==
																																							BgL_oclassz00_2721);
																																						if (BgL__ortest_1115z00_2722)
																																							{	/* Ast/glo_def.scm 340 */
																																								BgL_res1871z00_2738
																																									=
																																									BgL__ortest_1115z00_2722;
																																							}
																																						else
																																							{	/* Ast/glo_def.scm 340 */
																																								long
																																									BgL_odepthz00_2723;
																																								{	/* Ast/glo_def.scm 340 */
																																									obj_t
																																										BgL_arg1855z00_2724;
																																									BgL_arg1855z00_2724
																																										=
																																										(BgL_oclassz00_2721);
																																									BgL_odepthz00_2723
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_arg1855z00_2724);
																																								}
																																								if ((2L < BgL_odepthz00_2723))
																																									{	/* Ast/glo_def.scm 340 */
																																										obj_t
																																											BgL_arg1853z00_2726;
																																										{	/* Ast/glo_def.scm 340 */
																																											obj_t
																																												BgL_arg1854z00_2727;
																																											BgL_arg1854z00_2727
																																												=
																																												(BgL_oclassz00_2721);
																																											BgL_arg1853z00_2726
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_arg1854z00_2727,
																																												2L);
																																										}
																																										BgL_res1871z00_2738
																																											=
																																											(BgL_arg1853z00_2726
																																											==
																																											BgL_classz00_2705);
																																									}
																																								else
																																									{	/* Ast/glo_def.scm 340 */
																																										BgL_res1871z00_2738
																																											=
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																					}
																																				}
																																				BgL_test2024z00_3748
																																					=
																																					BgL_res1871z00_2738;
																																			}
																																	}
																																else
																																	{	/* Ast/glo_def.scm 340 */
																																		BgL_test2024z00_3748
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2024z00_3748)
																																{	/* Ast/glo_def.scm 340 */
																																	BgL_arg1656z00_1973
																																		=
																																		((obj_t) ((
																																				(BgL_variablez00_bglt)
																																				COBJECT(
																																					((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_az00_1974))))->BgL_typez00));
																																}
																															else
																																{	/* Ast/glo_def.scm 342 */
																																	bool_t
																																		BgL_test2029z00_3775;
																																	{	/* Ast/glo_def.scm 342 */
																																		obj_t
																																			BgL_classz00_2740;
																																		BgL_classz00_2740
																																			=
																																			BGl_typez00zztype_typez00;
																																		if (BGL_OBJECTP(BgL_az00_1974))
																																			{	/* Ast/glo_def.scm 342 */
																																				BgL_objectz00_bglt
																																					BgL_arg1858z00_2742;
																																				BgL_arg1858z00_2742
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_az00_1974);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Ast/glo_def.scm 342 */
																																						long
																																							BgL_idxz00_2748;
																																						BgL_idxz00_2748
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1858z00_2742);
																																						BgL_test2029z00_3775
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_2748
																																									+
																																									1L))
																																							==
																																							BgL_classz00_2740);
																																					}
																																				else
																																					{	/* Ast/glo_def.scm 342 */
																																						bool_t
																																							BgL_res1872z00_2773;
																																						{	/* Ast/glo_def.scm 342 */
																																							obj_t
																																								BgL_oclassz00_2756;
																																							{	/* Ast/glo_def.scm 342 */
																																								obj_t
																																									BgL_arg1866z00_2764;
																																								long
																																									BgL_arg1867z00_2765;
																																								BgL_arg1866z00_2764
																																									=
																																									(BGl_za2classesza2z00zz__objectz00);
																																								{	/* Ast/glo_def.scm 342 */
																																									long
																																										BgL_arg1869z00_2766;
																																									BgL_arg1869z00_2766
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1858z00_2742);
																																									BgL_arg1867z00_2765
																																										=
																																										(BgL_arg1869z00_2766
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_2756
																																									=
																																									VECTOR_REF
																																									(BgL_arg1866z00_2764,
																																									BgL_arg1867z00_2765);
																																							}
																																							{	/* Ast/glo_def.scm 342 */
																																								bool_t
																																									BgL__ortest_1115z00_2757;
																																								BgL__ortest_1115z00_2757
																																									=
																																									(BgL_classz00_2740
																																									==
																																									BgL_oclassz00_2756);
																																								if (BgL__ortest_1115z00_2757)
																																									{	/* Ast/glo_def.scm 342 */
																																										BgL_res1872z00_2773
																																											=
																																											BgL__ortest_1115z00_2757;
																																									}
																																								else
																																									{	/* Ast/glo_def.scm 342 */
																																										long
																																											BgL_odepthz00_2758;
																																										{	/* Ast/glo_def.scm 342 */
																																											obj_t
																																												BgL_arg1855z00_2759;
																																											BgL_arg1855z00_2759
																																												=
																																												(BgL_oclassz00_2756);
																																											BgL_odepthz00_2758
																																												=
																																												BGL_CLASS_DEPTH
																																												(BgL_arg1855z00_2759);
																																										}
																																										if ((1L < BgL_odepthz00_2758))
																																											{	/* Ast/glo_def.scm 342 */
																																												obj_t
																																													BgL_arg1853z00_2761;
																																												{	/* Ast/glo_def.scm 342 */
																																													obj_t
																																														BgL_arg1854z00_2762;
																																													BgL_arg1854z00_2762
																																														=
																																														(BgL_oclassz00_2756);
																																													BgL_arg1853z00_2761
																																														=
																																														BGL_CLASS_ANCESTORS_REF
																																														(BgL_arg1854z00_2762,
																																														1L);
																																												}
																																												BgL_res1872z00_2773
																																													=
																																													(BgL_arg1853z00_2761
																																													==
																																													BgL_classz00_2740);
																																											}
																																										else
																																											{	/* Ast/glo_def.scm 342 */
																																												BgL_res1872z00_2773
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test2029z00_3775
																																							=
																																							BgL_res1872z00_2773;
																																					}
																																			}
																																		else
																																			{	/* Ast/glo_def.scm 342 */
																																				BgL_test2029z00_3775
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																	if (BgL_test2029z00_3775)
																																		{	/* Ast/glo_def.scm 342 */
																																			BgL_arg1656z00_1973
																																				=
																																				BgL_az00_1974;
																																		}
																																	else
																																		{	/* Ast/glo_def.scm 342 */
																																			BgL_arg1656z00_1973
																																				=
																																				BGl_internalzd2errorzd2zztools_errorz00
																																				(BGl_string1879z00zzast_glozd2defzd2,
																																				BGl_string1880z00zzast_glozd2defzd2,
																																				BGl_shapez00zztools_shapez00
																																				(BgL_az00_1974));
																																		}
																																}
																														}
																													}
																													BgL_newtail1261z00_1971
																														=
																														MAKE_YOUNG_PAIR
																														(BgL_arg1656z00_1973,
																														BNIL);
																												}
																												SET_CDR
																													(BgL_tail1260z00_1968,
																													BgL_newtail1261z00_1971);
																												{	/* Ast/glo_def.scm 338 */
																													obj_t
																														BgL_arg1655z00_1972;
																													BgL_arg1655z00_1972 =
																														CDR(((obj_t)
																															BgL_l1257z00_1967));
																													{
																														obj_t
																															BgL_tail1260z00_3805;
																														obj_t
																															BgL_l1257z00_3804;
																														BgL_l1257z00_3804 =
																															BgL_arg1655z00_1972;
																														BgL_tail1260z00_3805
																															=
																															BgL_newtail1261z00_1971;
																														BgL_tail1260z00_1968
																															=
																															BgL_tail1260z00_3805;
																														BgL_l1257z00_1967 =
																															BgL_l1257z00_3804;
																														goto
																															BgL_zc3z04anonymousza31652ze3z87_1969;
																													}
																												}
																											}
																									}
																								}
																						}
																						{
																							obj_t BgL_localsz00_1945;
																							obj_t BgL_typesz00_1946;
																							bool_t BgL_subzf3zf3_1947;

																							BgL_localsz00_1945 =
																								BgL_localsz00_47;
																							BgL_typesz00_1946 =
																								BgL_g1117z00_1943;
																							BgL_subzf3zf3_1947 = ((bool_t) 1);
																						BgL_zc3z04anonymousza31628ze3z87_1948:
																							if (NULLP
																								(BgL_localsz00_1945))
																								{	/* Ast/glo_def.scm 352 */
																									BgL__ortest_1116z00_1942 =
																										BTRUE;
																								}
																							else
																								{	/* Ast/glo_def.scm 352 */
																									if (NULLP(BgL_typesz00_1946))
																										{	/* Ast/glo_def.scm 355 */
																											obj_t
																												BgL_list1631z00_1951;
																											BgL_list1631z00_1951 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1885z00zzast_glozd2defzd2,
																												BNIL);
																											BgL__ortest_1116z00_1942 =
																												((obj_t)
																												BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																												(((BgL_globalz00_bglt)
																														BgL_genericz00_1928),
																													BgL_srcz00_48,
																													BgL_list1631z00_1951));
																										}
																									else
																										{	/* Ast/glo_def.scm 358 */
																											bool_t
																												BgL_test2036z00_3814;
																											{	/* Ast/glo_def.scm 359 */
																												BgL_typez00_bglt
																													BgL_arg1648z00_1959;
																												obj_t
																													BgL_arg1649z00_1960;
																												BgL_arg1648z00_1959 =
																													(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) CAR(((obj_t) BgL_localsz00_1945))))))->BgL_typez00);
																												BgL_arg1649z00_1960 =
																													CAR(((obj_t)
																														BgL_typesz00_1946));
																												BgL_test2036z00_3814 =
																													BGl_compatiblezd2typezf3z21zzast_glozd2defzd2
																													(BgL_subzf3zf3_1947,
																													BgL_arg1648z00_1959,
																													((BgL_typez00_bglt)
																														BgL_arg1649z00_1960));
																											}
																											if (BgL_test2036z00_3814)
																												{	/* Ast/glo_def.scm 366 */
																													obj_t
																														BgL_arg1638z00_1956;
																													obj_t
																														BgL_arg1642z00_1957;
																													BgL_arg1638z00_1956 =
																														CDR(((obj_t)
																															BgL_localsz00_1945));
																													BgL_arg1642z00_1957 =
																														CDR(((obj_t)
																															BgL_typesz00_1946));
																													{
																														bool_t
																															BgL_subzf3zf3_3830;
																														obj_t
																															BgL_typesz00_3829;
																														obj_t
																															BgL_localsz00_3828;
																														BgL_localsz00_3828 =
																															BgL_arg1638z00_1956;
																														BgL_typesz00_3829 =
																															BgL_arg1642z00_1957;
																														BgL_subzf3zf3_3830 =
																															((bool_t) 0);
																														BgL_subzf3zf3_1947 =
																															BgL_subzf3zf3_3830;
																														BgL_typesz00_1946 =
																															BgL_typesz00_3829;
																														BgL_localsz00_1945 =
																															BgL_localsz00_3828;
																														goto
																															BgL_zc3z04anonymousza31628ze3z87_1948;
																													}
																												}
																											else
																												{	/* Ast/glo_def.scm 358 */
																													{	/* Ast/glo_def.scm 361 */
																														obj_t
																															BgL_list1643z00_1958;
																														BgL_list1643z00_1958
																															=
																															MAKE_YOUNG_PAIR
																															(BGl_string1885z00zzast_glozd2defzd2,
																															BNIL);
																														BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																															(((BgL_globalz00_bglt) BgL_genericz00_1928), BgL_srcz00_48, BgL_list1643z00_1958);
																													}
																													BgL__ortest_1116z00_1942
																														= BFALSE;
																												}
																										}
																								}
																						}
																					}
																					if (CBOOL(BgL__ortest_1116z00_1942))
																						{	/* Ast/glo_def.scm 337 */
																							return
																								CBOOL(BgL__ortest_1116z00_1942);
																						}
																					else
																						{	/* Ast/glo_def.scm 337 */
																							return ((bool_t) 1);
																						}
																				}
																			else
																				{	/* Ast/glo_def.scm 332 */
																					{	/* Ast/glo_def.scm 333 */
																						obj_t BgL_list1661z00_1979;

																						BgL_list1661z00_1979 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1886z00zzast_glozd2defzd2,
																							BNIL);
																						BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																							(((BgL_globalz00_bglt)
																								BgL_genericz00_1928),
																							BgL_srcz00_48,
																							BgL_list1661z00_1979);
																					}
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Ast/glo_def.scm 329 */
																			{	/* Ast/glo_def.scm 330 */
																				obj_t BgL_list1664z00_1981;

																				BgL_list1664z00_1981 =
																					MAKE_YOUNG_PAIR
																					(BGl_string1884z00zzast_glozd2defzd2,
																					BNIL);
																				BGl_mismatchzd2errorzd2zzast_glozd2defzd2
																					(((BgL_globalz00_bglt)
																						BgL_genericz00_1928), BgL_srcz00_48,
																					BgL_list1664z00_1981);
																			}
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Ast/glo_def.scm 326 */
																	{	/* Ast/glo_def.scm 327 */
																		obj_t BgL_list1675z00_1984;

																		BgL_list1675z00_1984 =
																			MAKE_YOUNG_PAIR
																			(BGl_string1895z00zzast_glozd2defzd2,
																			BNIL);
																		BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																				(BgL_globalz00_bglt)
																				BgL_genericz00_1928), BgL_srcz00_48,
																			BgL_list1675z00_1984);
																	}
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Ast/glo_def.scm 323 */
															{	/* Ast/glo_def.scm 324 */
																obj_t BgL_list1678z00_1986;

																BgL_list1678z00_1986 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1895z00zzast_glozd2defzd2, BNIL);
																BGl_mismatchzd2errorzd2zzast_glozd2defzd2((
																		(BgL_globalz00_bglt) BgL_genericz00_1928),
																	BgL_srcz00_48, BgL_list1678z00_1986);
															}
															return ((bool_t) 0);
														}
												}
											}
										else
											{	/* Ast/glo_def.scm 316 */
												return ((bool_t) 1);
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* &check-method-definition */
	obj_t BGl_z62checkzd2methodzd2definitionz62zzast_glozd2defzd2(obj_t
		BgL_envz00_3014, obj_t BgL_idz00_3015, obj_t BgL_argsz00_3016,
		obj_t BgL_localsz00_3017, obj_t BgL_srcz00_3018)
	{
		{	/* Ast/glo_def.scm 307 */
			return
				BBOOL(BGl_checkzd2methodzd2definitionz00zzast_glozd2defzd2
				(BgL_idz00_3015, BgL_argsz00_3016, BgL_localsz00_3017,
					BgL_srcz00_3018));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_glozd2defzd2(void)
	{
		{	/* Ast/glo_def.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(275867955L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1896z00zzast_glozd2defzd2));
		}

	}

#ifdef __cplusplus
}
#endif
