/*===========================================================================*/
/*   (Ast/occur.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/occur.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_OCCUR_TYPE_DEFINITIONS
#define BGL_AST_OCCUR_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_OCCUR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21307z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2letzd2fun1301za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez121266za2zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
	static obj_t BGl_z62occurzd2nodez12zd2extern1286z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62occurzd2nodez12zd2switch1298z70zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_occurz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2conditio1294z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_occurz00(void);
	static obj_t BGl_z62occurzd2nodez12zd2var1272z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_occurz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_occurz00(void);
	static obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2sequence1276z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2app1280z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2cast1290z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2letzd2var1303za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2retblock1309z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2pragma1288z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2setq1292z70zzast_occurz00(obj_t, obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2sync1278z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2fail1296z70zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1315za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2funcall1284z70zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_occurz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_occurz00(void);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2patch1274z70zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2return1311z70zzast_occurz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1305z70zzast_occurz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121317zb0zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2makezd2box1313za2zzast_occurz00(obj_t,
		obj_t);
	static obj_t BGl_z62occurzd2nodez12zd2appzd2ly1282za2zzast_occurz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_occurzd2nodezd2sfunz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71866za7,
		BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1835z00zzast_occurz00,
		BgL_bgl_string1835za700za7za7a1867za7, "occur-node!1266", 15);
	      DEFINE_STRING(BGl_string1837z00zzast_occurz00,
		BgL_bgl_string1837za700za7za7a1868za7, "occur-node!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1833z00zzast_occurz00,
		BgL_bgl_za762za7c3za704anonymo1869za7,
		BGl_z62zc3z04anonymousza31324ze3ze5zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71870za7,
		BGl_z62occurzd2nodez121266za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71871za7,
		BGl_z62occurzd2nodez12zd2var1272z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71872za7,
		BGl_z62occurzd2nodez12zd2patch1274z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1839z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71873za7,
		BGl_z62occurzd2nodez12zd2sequence1276z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71874za7,
		BGl_z62occurzd2nodez12zd2sync1278z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1841z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71875za7,
		BGl_z62occurzd2nodez12zd2app1280z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71876za7,
		BGl_z62occurzd2nodez12zd2appzd2ly1282za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1843z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71877za7,
		BGl_z62occurzd2nodez12zd2funcall1284z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71878za7,
		BGl_z62occurzd2nodez12zd2extern1286z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1845z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71879za7,
		BGl_z62occurzd2nodez12zd2pragma1288z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71880za7,
		BGl_z62occurzd2nodez12zd2cast1290z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1847z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71881za7,
		BGl_z62occurzd2nodez12zd2setq1292z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71882za7,
		BGl_z62occurzd2nodez12zd2conditio1294z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1849z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71883za7,
		BGl_z62occurzd2nodez12zd2fail1296z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71884za7,
		BGl_z62occurzd2nodez12zd2switch1298z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1851z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71885za7,
		BGl_z62occurzd2nodez12zd2letzd2fun1301za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1852z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71886za7,
		BGl_z62occurzd2nodez12zd2letzd2var1303za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1853z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71887za7,
		BGl_z62occurzd2nodez12zd2setzd2exzd2i1305z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1860z00zzast_occurz00,
		BgL_bgl_string1860za700za7za7a1888za7, "ast_occur", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71889za7,
		BGl_z62occurzd2nodez12zd2jumpzd2exzd21307z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1861z00zzast_occurz00,
		BgL_bgl_string1861za700za7za7a1890za7, "read write done ", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1855z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71891za7,
		BGl_z62occurzd2nodez12zd2retblock1309z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71892za7,
		BGl_z62occurzd2nodez12zd2return1311z70zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71893za7,
		BGl_z62occurzd2nodez12zd2makezd2box1313za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71894za7,
		BGl_z62occurzd2nodez12zd2boxzd2ref1315za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1859z00zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71895za7,
		BGl_z62occurzd2nodez12zd2boxzd2setz121317zb0zzast_occurz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2nodezd2inz12zd2envzc0zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71896za7,
		BGl_z62occurzd2nodezd2inz12z70zzast_occurz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
		BgL_bgl_za762occurza7d2nodeza71897za7,
		BGl_z62occurzd2nodez12za2zzast_occurz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_occurzd2varzd2envz00zzast_occurz00,
		BgL_bgl_za762occurza7d2varza7b1898za7, BGl_z62occurzd2varzb0zzast_occurz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_occurz00));
		     ADD_ROOT((void *) (&BGl_za2globalza2z00zzast_occurz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long
		BgL_checksumz00_2502, char *BgL_fromz00_2503)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_occurz00))
				{
					BGl_requirezd2initializa7ationz75zzast_occurz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_occurz00();
					BGl_libraryzd2moduleszd2initz00zzast_occurz00();
					BGl_cnstzd2initzd2zzast_occurz00();
					BGl_importedzd2moduleszd2initz00zzast_occurz00();
					BGl_genericzd2initzd2zzast_occurz00();
					BGl_methodzd2initzd2zzast_occurz00();
					return BGl_toplevelzd2initzd2zzast_occurz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_occur");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_occur");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			{	/* Ast/occur.scm 17 */
				obj_t BgL_cportz00_2335;

				{	/* Ast/occur.scm 17 */
					obj_t BgL_stringz00_2342;

					BgL_stringz00_2342 = BGl_string1861z00zzast_occurz00;
					{	/* Ast/occur.scm 17 */
						obj_t BgL_startz00_2343;

						BgL_startz00_2343 = BINT(0L);
						{	/* Ast/occur.scm 17 */
							obj_t BgL_endz00_2344;

							BgL_endz00_2344 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2342)));
							{	/* Ast/occur.scm 17 */

								BgL_cportz00_2335 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2342, BgL_startz00_2343, BgL_endz00_2344);
				}}}}
				{
					long BgL_iz00_2336;

					BgL_iz00_2336 = 2L;
				BgL_loopz00_2337:
					if ((BgL_iz00_2336 == (-1L)))
						{	/* Ast/occur.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/occur.scm 17 */
							{	/* Ast/occur.scm 17 */
								obj_t BgL_arg1865z00_2338;

								{	/* Ast/occur.scm 17 */

									{	/* Ast/occur.scm 17 */
										obj_t BgL_locationz00_2340;

										BgL_locationz00_2340 = BBOOL(((bool_t) 0));
										{	/* Ast/occur.scm 17 */

											BgL_arg1865z00_2338 =
												BGl_readz00zz__readerz00(BgL_cportz00_2335,
												BgL_locationz00_2340);
										}
									}
								}
								{	/* Ast/occur.scm 17 */
									int BgL_tmpz00_2532;

									BgL_tmpz00_2532 = (int) (BgL_iz00_2336);
									CNST_TABLE_SET(BgL_tmpz00_2532, BgL_arg1865z00_2338);
							}}
							{	/* Ast/occur.scm 17 */
								int BgL_auxz00_2341;

								BgL_auxz00_2341 = (int) ((BgL_iz00_2336 - 1L));
								{
									long BgL_iz00_2537;

									BgL_iz00_2537 = (long) (BgL_auxz00_2341);
									BgL_iz00_2336 = BgL_iz00_2537;
									goto BgL_loopz00_2337;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			BGl_za2globalza2z00zzast_occurz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* occur-var */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Ast/occur.scm 33 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1833z00zzast_occurz00,
				BNIL);
			{
				obj_t BgL_l1238z00_1393;

				BgL_l1238z00_1393 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31325ze3z87_1394:
				if (PAIRP(BgL_l1238z00_1393))
					{	/* Ast/occur.scm 39 */
						{	/* Ast/occur.scm 40 */
							obj_t BgL_globalz00_1396;

							BgL_globalz00_1396 = CAR(BgL_l1238z00_1393);
							{	/* Ast/occur.scm 40 */
								BgL_valuez00_bglt BgL_arg1327z00_1397;

								BgL_arg1327z00_1397 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1396))))->
									BgL_valuez00);
								BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(((BgL_sfunz00_bglt)
										BgL_arg1327z00_1397),
									((BgL_globalz00_bglt) BgL_globalz00_1396));
							}
						}
						{
							obj_t BgL_l1238z00_2550;

							BgL_l1238z00_2550 = CDR(BgL_l1238z00_1393);
							BgL_l1238z00_1393 = BgL_l1238z00_2550;
							goto BgL_zc3z04anonymousza31325ze3z87_1394;
						}
					}
				else
					{	/* Ast/occur.scm 39 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* &occur-var */
	obj_t BGl_z62occurzd2varzb0zzast_occurz00(obj_t BgL_envz00_2251,
		obj_t BgL_globalsz00_2252)
	{
		{	/* Ast/occur.scm 33 */
			return BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_2252);
		}

	}



/* &<@anonymous:1324> */
	obj_t BGl_z62zc3z04anonymousza31324ze3ze5zzast_occurz00(obj_t BgL_envz00_2253,
		obj_t BgL_globalz00_2254)
	{
		{	/* Ast/occur.scm 35 */
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_2254))))->
					BgL_occurrencez00) = ((long) 0L), BUNSPEC);
			return ((((BgL_variablez00_bglt)
						COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
									BgL_globalz00_2254))))->BgL_occurrencewz00) =
				((long) 0L), BUNSPEC);
		}

	}



/* occur-node-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(BgL_sfunz00_bglt BgL_fz00_4,
		BgL_globalz00_bglt BgL_globalz00_5)
	{
		{	/* Ast/occur.scm 47 */
			{	/* Ast/occur.scm 49 */
				obj_t BgL_g1242z00_1401;

				BgL_g1242z00_1401 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_fz00_4))->BgL_argsz00);
				{
					obj_t BgL_l1240z00_1403;

					BgL_l1240z00_1403 = BgL_g1242z00_1401;
				BgL_zc3z04anonymousza31332ze3z87_1404:
					if (PAIRP(BgL_l1240z00_1403))
						{	/* Ast/occur.scm 49 */
							{	/* Ast/occur.scm 49 */
								obj_t BgL_az00_1406;

								BgL_az00_1406 = CAR(BgL_l1240z00_1403);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_az00_1406))))->
										BgL_occurrencez00) = ((long) 0L), BUNSPEC);
							}
							{
								obj_t BgL_l1240z00_2566;

								BgL_l1240z00_2566 = CDR(BgL_l1240z00_1403);
								BgL_l1240z00_1403 = BgL_l1240z00_2566;
								goto BgL_zc3z04anonymousza31332ze3z87_1404;
							}
						}
					else
						{	/* Ast/occur.scm 49 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 50 */
				obj_t BgL_arg1338z00_1409;

				BgL_arg1338z00_1409 =
					(((BgL_sfunz00_bglt) COBJECT(BgL_fz00_4))->BgL_bodyz00);
				BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_5);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1338z00_1409));
			}
		}

	}



/* &occur-node-sfun! */
	obj_t BGl_z62occurzd2nodezd2sfunz12z70zzast_occurz00(obj_t BgL_envz00_2255,
		obj_t BgL_fz00_2256, obj_t BgL_globalz00_2257)
	{
		{	/* Ast/occur.scm 47 */
			return
				BGl_occurzd2nodezd2sfunz12z12zzast_occurz00(
				((BgL_sfunz00_bglt) BgL_fz00_2256),
				((BgL_globalz00_bglt) BgL_globalz00_2257));
		}

	}



/* occur-node-in! */
	BGL_EXPORTED_DEF obj_t
		BGl_occurzd2nodezd2inz12z12zzast_occurz00(BgL_nodez00_bglt BgL_nodez00_6,
		BgL_globalz00_bglt BgL_globalz00_7)
	{
		{	/* Ast/occur.scm 55 */
			BGl_za2globalza2z00zzast_occurz00 = ((obj_t) BgL_globalz00_7);
			return BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_6);
		}

	}



/* &occur-node-in! */
	obj_t BGl_z62occurzd2nodezd2inz12z70zzast_occurz00(obj_t BgL_envz00_2258,
		obj_t BgL_nodez00_2259, obj_t BgL_globalz00_2260)
	{
		{	/* Ast/occur.scm 55 */
			return
				BGl_occurzd2nodezd2inz12z12zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2259),
				((BgL_globalz00_bglt) BgL_globalz00_2260));
		}

	}



/* occur-node*! */
	bool_t BGl_occurzd2nodeza2z12z62zzast_occurz00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/occur.scm 294 */
			{
				obj_t BgL_l1264z00_1411;

				BgL_l1264z00_1411 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31339ze3z87_1412:
				if (PAIRP(BgL_l1264z00_1411))
					{	/* Ast/occur.scm 295 */
						{	/* Ast/occur.scm 295 */
							obj_t BgL_arg1341z00_1414;

							BgL_arg1341z00_1414 = CAR(BgL_l1264z00_1411);
							BGl_occurzd2nodez12zc0zzast_occurz00(
								((BgL_nodez00_bglt) BgL_arg1341z00_1414));
						}
						{
							obj_t BgL_l1264z00_2585;

							BgL_l1264z00_2585 = CDR(BgL_l1264z00_1411);
							BgL_l1264z00_1411 = BgL_l1264z00_2585;
							goto BgL_zc3z04anonymousza31339ze3z87_1412;
						}
					}
				else
					{	/* Ast/occur.scm 295 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_proc1834z00zzast_occurz00, BGl_nodez00zzast_nodez00,
				BGl_string1835z00zzast_occurz00);
		}

	}



/* &occur-node!1266 */
	obj_t BGl_z62occurzd2nodez121266za2zzast_occurz00(obj_t BgL_envz00_2262,
		obj_t BgL_nodez00_2263)
	{
		{	/* Ast/occur.scm 67 */
			return ((obj_t) CNST_TABLE_REF(0));
		}

	}



/* occur-node! */
	BGL_EXPORTED_DEF obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt
		BgL_nodez00_8)
	{
		{	/* Ast/occur.scm 67 */
			{	/* Ast/occur.scm 67 */
				obj_t BgL_method1269z00_1421;

				{	/* Ast/occur.scm 67 */
					obj_t BgL_res1823z00_1874;

					{	/* Ast/occur.scm 67 */
						long BgL_objzd2classzd2numz00_1845;

						BgL_objzd2classzd2numz00_1845 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_8));
						{	/* Ast/occur.scm 67 */
							obj_t BgL_arg1862z00_1846;

							BgL_arg1862z00_1846 =
								PROCEDURE_REF(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
								(int) (1L));
							{	/* Ast/occur.scm 67 */
								int BgL_offsetz00_1849;

								BgL_offsetz00_1849 = (int) (BgL_objzd2classzd2numz00_1845);
								{	/* Ast/occur.scm 67 */
									long BgL_offsetz00_1850;

									BgL_offsetz00_1850 =
										((long) (BgL_offsetz00_1849) - OBJECT_TYPE);
									{	/* Ast/occur.scm 67 */
										long BgL_modz00_1851;

										BgL_modz00_1851 =
											(BgL_offsetz00_1850 >> (int) ((long) ((int) (4L))));
										{	/* Ast/occur.scm 67 */
											long BgL_restz00_1853;

											BgL_restz00_1853 =
												(BgL_offsetz00_1850 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/occur.scm 67 */

												{	/* Ast/occur.scm 67 */
													obj_t BgL_bucketz00_1855;

													BgL_bucketz00_1855 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1846), BgL_modz00_1851);
													BgL_res1823z00_1874 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1855), BgL_restz00_1853);
					}}}}}}}}
					BgL_method1269z00_1421 = BgL_res1823z00_1874;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1269z00_1421, ((obj_t) BgL_nodez00_8));
			}
		}

	}



/* &occur-node! */
	obj_t BGl_z62occurzd2nodez12za2zzast_occurz00(obj_t BgL_envz00_2264,
		obj_t BgL_nodez00_2265)
	{
		{	/* Ast/occur.scm 67 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				((BgL_nodez00_bglt) BgL_nodez00_2265));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_varz00zzast_nodez00,
				BGl_proc1836z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_patchz00zzast_nodez00,
				BGl_proc1838z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1839z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_syncz00zzast_nodez00,
				BGl_proc1840z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_appz00zzast_nodez00,
				BGl_proc1841z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1842z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1843z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_externz00zzast_nodez00,
				BGl_proc1844z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1845z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_castz00zzast_nodez00,
				BGl_proc1846z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_setqz00zzast_nodez00,
				BGl_proc1847z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1848z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_failz00zzast_nodez00,
				BGl_proc1849z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_switchz00zzast_nodez00,
				BGl_proc1850z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1851z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1852z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1853z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1854z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_retblockz00zzast_nodez00, BGl_proc1855z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00, BGl_returnz00zzast_nodez00,
				BGl_proc1856z00zzast_occurz00, BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1857z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1858z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_occurzd2nodez12zd2envz12zzast_occurz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1859z00zzast_occurz00,
				BGl_string1837z00zzast_occurz00);
		}

	}



/* &occur-node!-box-set!1317 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2setz121317zb0zzast_occurz00(obj_t
		BgL_envz00_2289, obj_t BgL_nodez00_2290)
	{
		{	/* Ast/occur.scm 286 */
			{	/* Ast/occur.scm 288 */
				BgL_varz00_bglt BgL_arg1657z00_2348;

				BgL_arg1657z00_2348 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2290)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1657z00_2348));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2290)))->BgL_valuez00));
		}

	}



/* &occur-node!-box-ref1315 */
	obj_t BGl_z62occurzd2nodez12zd2boxzd2ref1315za2zzast_occurz00(obj_t
		BgL_envz00_2291, obj_t BgL_nodez00_2292)
	{
		{	/* Ast/occur.scm 280 */
			{	/* Ast/occur.scm 281 */
				BgL_varz00_bglt BgL_arg1656z00_2350;

				BgL_arg1656z00_2350 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2292)))->BgL_varz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1656z00_2350));
			}
		}

	}



/* &occur-node!-make-box1313 */
	obj_t BGl_z62occurzd2nodez12zd2makezd2box1313za2zzast_occurz00(obj_t
		BgL_envz00_2293, obj_t BgL_nodez00_2294)
	{
		{	/* Ast/occur.scm 274 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2294)))->BgL_valuez00));
		}

	}



/* &occur-node!-return1311 */
	obj_t BGl_z62occurzd2nodez12zd2return1311z70zzast_occurz00(obj_t
		BgL_envz00_2295, obj_t BgL_nodez00_2296)
	{
		{	/* Ast/occur.scm 267 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nodez00_2296)))->BgL_valuez00));
		}

	}



/* &occur-node!-retblock1309 */
	obj_t BGl_z62occurzd2nodez12zd2retblock1309z70zzast_occurz00(obj_t
		BgL_envz00_2297, obj_t BgL_nodez00_2298)
	{
		{	/* Ast/occur.scm 260 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nodez00_2298)))->BgL_bodyz00));
		}

	}



/* &occur-node!-jump-ex-1307 */
	obj_t BGl_z62occurzd2nodez12zd2jumpzd2exzd21307z70zzast_occurz00(obj_t
		BgL_envz00_2299, obj_t BgL_nodez00_2300)
	{
		{	/* Ast/occur.scm 252 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2300)))->BgL_exitz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2300)))->BgL_valuez00));
		}

	}



/* &occur-node!-set-ex-i1305 */
	obj_t BGl_z62occurzd2nodez12zd2setzd2exzd2i1305z70zzast_occurz00(obj_t
		BgL_envz00_2301, obj_t BgL_nodez00_2302)
	{
		{	/* Ast/occur.scm 240 */
			{	/* Ast/occur.scm 242 */
				BgL_localz00_bglt BgL_i1120z00_2356;

				BgL_i1120z00_2356 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2302)))->
									BgL_varz00)))->BgL_variablez00));
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1120z00_2356)))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_i1120z00_2356)))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				if (((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_i1120z00_2356)))->BgL_accessz00) ==
						((obj_t) CNST_TABLE_REF(1))))
					{	/* Ast/occur.scm 245 */
						((((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_i1120z00_2356)))->
								BgL_accessz00) =
							((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 245 */
						BFALSE;
					}
			}
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2302)))->BgL_onexitz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2302)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-var1303 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2var1303za2zzast_occurz00(obj_t
		BgL_envz00_2303, obj_t BgL_nodez00_2304)
	{
		{	/* Ast/occur.scm 224 */
			{	/* Ast/occur.scm 226 */
				obj_t BgL_g1260z00_2358;

				BgL_g1260z00_2358 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2304)))->BgL_bindingsz00);
				{
					obj_t BgL_l1258z00_2360;

					BgL_l1258z00_2360 = BgL_g1260z00_2358;
				BgL_zc3z04anonymousza31606ze3z87_2359:
					if (PAIRP(BgL_l1258z00_2360))
						{	/* Ast/occur.scm 226 */
							{	/* Ast/occur.scm 227 */
								obj_t BgL_bindingz00_2361;

								BgL_bindingz00_2361 = CAR(BgL_l1258z00_2360);
								{	/* Ast/occur.scm 227 */
									BgL_localz00_bglt BgL_i1118z00_2362;

									BgL_i1118z00_2362 =
										((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_2361)));
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_i1118z00_2362)))->
											BgL_occurrencez00) = ((long) 0L), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1118z00_2362)))->BgL_occurrencewz00) =
										((long) 0L), BUNSPEC);
									((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
														BgL_i1118z00_2362)))->BgL_accessz00) =
										((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
							}}
							{
								obj_t BgL_l1258z00_2711;

								BgL_l1258z00_2711 = CDR(BgL_l1258z00_2360);
								BgL_l1258z00_2360 = BgL_l1258z00_2711;
								goto BgL_zc3z04anonymousza31606ze3z87_2359;
							}
						}
					else
						{	/* Ast/occur.scm 226 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 232 */
				obj_t BgL_g1263z00_2363;

				BgL_g1263z00_2363 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2304)))->BgL_bindingsz00);
				{
					obj_t BgL_l1261z00_2365;

					BgL_l1261z00_2365 = BgL_g1263z00_2363;
				BgL_zc3z04anonymousza31612ze3z87_2364:
					if (PAIRP(BgL_l1261z00_2365))
						{	/* Ast/occur.scm 232 */
							{	/* Ast/occur.scm 233 */
								obj_t BgL_bindingz00_2366;

								BgL_bindingz00_2366 = CAR(BgL_l1261z00_2365);
								{	/* Ast/occur.scm 233 */
									obj_t BgL_arg1625z00_2367;

									BgL_arg1625z00_2367 = CDR(((obj_t) BgL_bindingz00_2366));
									BGl_occurzd2nodez12zc0zzast_occurz00(
										((BgL_nodez00_bglt) BgL_arg1625z00_2367));
								}
							}
							{
								obj_t BgL_l1261z00_2722;

								BgL_l1261z00_2722 = CDR(BgL_l1261z00_2365);
								BgL_l1261z00_2365 = BgL_l1261z00_2722;
								goto BgL_zc3z04anonymousza31612ze3z87_2364;
							}
						}
					else
						{	/* Ast/occur.scm 232 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2304)))->BgL_bodyz00));
		}

	}



/* &occur-node!-let-fun1301 */
	obj_t BGl_z62occurzd2nodez12zd2letzd2fun1301za2zzast_occurz00(obj_t
		BgL_envz00_2305, obj_t BgL_nodez00_2306)
	{
		{	/* Ast/occur.scm 202 */
			{	/* Ast/occur.scm 205 */
				obj_t BgL_g1254z00_2369;

				BgL_g1254z00_2369 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2306)))->BgL_localsz00);
				{
					obj_t BgL_l1252z00_2371;

					BgL_l1252z00_2371 = BgL_g1254z00_2369;
				BgL_zc3z04anonymousza31561ze3z87_2370:
					if (PAIRP(BgL_l1252z00_2371))
						{	/* Ast/occur.scm 205 */
							{	/* Ast/occur.scm 210 */
								obj_t BgL_localz00_2372;

								BgL_localz00_2372 = CAR(BgL_l1252z00_2371);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2372))))->
										BgL_occurrencez00) = ((long) 0L), BUNSPEC);
								((((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
														BgL_localz00_2372))))->BgL_occurrencewz00) =
									((long) 0L), BUNSPEC);
								if (((((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
															BgL_localz00_2372))))->BgL_accessz00) ==
										((obj_t) CNST_TABLE_REF(1))))
									{	/* Ast/occur.scm 210 */
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2372))))->
												BgL_accessz00) =
											((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
									}
								else
									{	/* Ast/occur.scm 210 */
										BFALSE;
									}
								{	/* Ast/occur.scm 211 */
									obj_t BgL_g1251z00_2373;

									BgL_g1251z00_2373 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_2372))))->
														BgL_valuez00))))->BgL_argsz00);
									{
										obj_t BgL_l1249z00_2375;

										BgL_l1249z00_2375 = BgL_g1251z00_2373;
									BgL_zc3z04anonymousza31578ze3z87_2374:
										if (PAIRP(BgL_l1249z00_2375))
											{	/* Ast/occur.scm 212 */
												{	/* Ast/occur.scm 211 */
													obj_t BgL_az00_2376;

													BgL_az00_2376 = CAR(BgL_l1249z00_2375);
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_az00_2376))))->
															BgL_occurrencez00) = ((long) 0L), BUNSPEC);
												}
												{
													obj_t BgL_l1249z00_2761;

													BgL_l1249z00_2761 = CDR(BgL_l1249z00_2375);
													BgL_l1249z00_2375 = BgL_l1249z00_2761;
													goto BgL_zc3z04anonymousza31578ze3z87_2374;
												}
											}
										else
											{	/* Ast/occur.scm 212 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1252z00_2763;

								BgL_l1252z00_2763 = CDR(BgL_l1252z00_2371);
								BgL_l1252z00_2371 = BgL_l1252z00_2763;
								goto BgL_zc3z04anonymousza31561ze3z87_2370;
							}
						}
					else
						{	/* Ast/occur.scm 205 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/occur.scm 214 */
				obj_t BgL_g1257z00_2377;

				BgL_g1257z00_2377 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2306)))->BgL_localsz00);
				{
					obj_t BgL_l1255z00_2379;

					BgL_l1255z00_2379 = BgL_g1257z00_2377;
				BgL_zc3z04anonymousza31589ze3z87_2378:
					if (PAIRP(BgL_l1255z00_2379))
						{	/* Ast/occur.scm 214 */
							{	/* Ast/occur.scm 215 */
								obj_t BgL_localz00_2380;

								BgL_localz00_2380 = CAR(BgL_l1255z00_2379);
								{	/* Ast/occur.scm 215 */
									long BgL_oldz00_2381;

									BgL_oldz00_2381 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2380))))->
										BgL_occurrencez00);
									{	/* Ast/occur.scm 216 */
										obj_t BgL_arg1592z00_2382;

										BgL_arg1592z00_2382 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2380))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_occurzd2nodez12zc0zzast_occurz00(((BgL_nodez00_bglt)
												BgL_arg1592z00_2382));
									}
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2380))))->
											BgL_occurrencez00) = ((long) BgL_oldz00_2381), BUNSPEC);
							}}
							{
								obj_t BgL_l1255z00_2783;

								BgL_l1255z00_2783 = CDR(BgL_l1255z00_2379);
								BgL_l1255z00_2379 = BgL_l1255z00_2783;
								goto BgL_zc3z04anonymousza31589ze3z87_2378;
							}
						}
					else
						{	/* Ast/occur.scm 214 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2306)))->BgL_bodyz00));
		}

	}



/* &occur-node!-switch1298 */
	obj_t BGl_z62occurzd2nodez12zd2switch1298z70zzast_occurz00(obj_t
		BgL_envz00_2307, obj_t BgL_nodez00_2308)
	{
		{	/* Ast/occur.scm 192 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2308)))->BgL_testz00));
			{	/* Ast/occur.scm 195 */
				obj_t BgL_g1248z00_2384;

				BgL_g1248z00_2384 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2308)))->BgL_clausesz00);
				{
					obj_t BgL_l1246z00_2386;

					{	/* Ast/occur.scm 195 */
						bool_t BgL_tmpz00_2793;

						BgL_l1246z00_2386 = BgL_g1248z00_2384;
					BgL_zc3z04anonymousza31554ze3z87_2385:
						if (PAIRP(BgL_l1246z00_2386))
							{	/* Ast/occur.scm 195 */
								{	/* Ast/occur.scm 196 */
									obj_t BgL_clausez00_2387;

									BgL_clausez00_2387 = CAR(BgL_l1246z00_2386);
									{	/* Ast/occur.scm 196 */
										obj_t BgL_arg1558z00_2388;

										BgL_arg1558z00_2388 = CDR(((obj_t) BgL_clausez00_2387));
										BGl_occurzd2nodez12zc0zzast_occurz00(
											((BgL_nodez00_bglt) BgL_arg1558z00_2388));
									}
								}
								{
									obj_t BgL_l1246z00_2801;

									BgL_l1246z00_2801 = CDR(BgL_l1246z00_2386);
									BgL_l1246z00_2386 = BgL_l1246z00_2801;
									goto BgL_zc3z04anonymousza31554ze3z87_2385;
								}
							}
						else
							{	/* Ast/occur.scm 195 */
								BgL_tmpz00_2793 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2793);
					}
				}
			}
		}

	}



/* &occur-node!-fail1296 */
	obj_t BGl_z62occurzd2nodez12zd2fail1296z70zzast_occurz00(obj_t
		BgL_envz00_2309, obj_t BgL_nodez00_2310)
	{
		{	/* Ast/occur.scm 183 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2310)))->BgL_procz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2310)))->BgL_msgz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2310)))->BgL_objz00));
		}

	}



/* &occur-node!-conditio1294 */
	obj_t BGl_z62occurzd2nodez12zd2conditio1294z70zzast_occurz00(obj_t
		BgL_envz00_2311, obj_t BgL_nodez00_2312)
	{
		{	/* Ast/occur.scm 174 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2312)))->BgL_testz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2312)))->BgL_truez00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2312)))->BgL_falsez00));
		}

	}



/* &occur-node!-setq1292 */
	obj_t BGl_z62occurzd2nodez12zd2setq1292z70zzast_occurz00(obj_t
		BgL_envz00_2313, obj_t BgL_nodez00_2314)
	{
		{	/* Ast/occur.scm 163 */
			{	/* Ast/occur.scm 165 */
				BgL_variablez00_bglt BgL_i1111z00_2392;

				BgL_i1111z00_2392 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2314)))->BgL_varz00)))->
					BgL_variablez00);
				if (((((BgL_variablez00_bglt) COBJECT(BgL_i1111z00_2392))->
							BgL_accessz00) == ((obj_t) CNST_TABLE_REF(2))))
					{	/* Ast/occur.scm 166 */
						((((BgL_variablez00_bglt) COBJECT(BgL_i1111z00_2392))->
								BgL_accessz00) =
							((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
					}
				else
					{	/* Ast/occur.scm 166 */
						BFALSE;
					}
				((((BgL_variablez00_bglt) COBJECT(BgL_i1111z00_2392))->
						BgL_occurrencewz00) =
					((long) (1L +
							(((BgL_variablez00_bglt) COBJECT(BgL_i1111z00_2392))->
								BgL_occurrencewz00))), BUNSPEC);
			}
			{	/* Ast/occur.scm 168 */
				BgL_varz00_bglt BgL_arg1513z00_2393;

				BgL_arg1513z00_2393 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2314)))->BgL_varz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1513z00_2393));
			}
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2314)))->BgL_valuez00));
		}

	}



/* &occur-node!-cast1290 */
	obj_t BGl_z62occurzd2nodez12zd2cast1290z70zzast_occurz00(obj_t
		BgL_envz00_2315, obj_t BgL_nodez00_2316)
	{
		{	/* Ast/occur.scm 157 */
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2316)))->BgL_argz00));
		}

	}



/* &occur-node!-pragma1288 */
	obj_t BGl_z62occurzd2nodez12zd2pragma1288z70zzast_occurz00(obj_t
		BgL_envz00_2317, obj_t BgL_nodez00_2318)
	{
		{	/* Ast/occur.scm 143 */
			{

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_2318))))->
							BgL_sidezd2effectzd2)))
					{	/* Ast/occur.scm 146 */
						obj_t BgL_g1245z00_2398;

						BgL_g1245z00_2398 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_pragmaz00_bglt) BgL_nodez00_2318))))->BgL_exprza2za2);
						{
							obj_t BgL_l1243z00_2400;

							BgL_l1243z00_2400 = BgL_g1245z00_2398;
						BgL_zc3z04anonymousza31421ze3z87_2399:
							if (PAIRP(BgL_l1243z00_2400))
								{	/* Ast/occur.scm 151 */
									{	/* Ast/occur.scm 147 */
										obj_t BgL_nz00_2401;

										BgL_nz00_2401 = CAR(BgL_l1243z00_2400);
										{	/* Ast/occur.scm 147 */
											bool_t BgL_test1915z00_2857;

											{	/* Ast/occur.scm 147 */
												bool_t BgL_test1916z00_2858;

												{	/* Ast/occur.scm 147 */
													obj_t BgL_classz00_2402;

													BgL_classz00_2402 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_nz00_2401))
														{	/* Ast/occur.scm 147 */
															BgL_objectz00_bglt BgL_arg1858z00_2403;

															BgL_arg1858z00_2403 =
																(BgL_objectz00_bglt) (BgL_nz00_2401);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Ast/occur.scm 147 */
																	long BgL_idxz00_2404;

																	BgL_idxz00_2404 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_2403);
																	BgL_test1916z00_2858 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_2404 + 2L)) ==
																		BgL_classz00_2402);
																}
															else
																{	/* Ast/occur.scm 147 */
																	bool_t BgL_res1827z00_2407;

																	{	/* Ast/occur.scm 147 */
																		obj_t BgL_oclassz00_2408;

																		{	/* Ast/occur.scm 147 */
																			obj_t BgL_arg1866z00_2409;
																			long BgL_arg1867z00_2410;

																			BgL_arg1866z00_2409 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Ast/occur.scm 147 */
																				long BgL_arg1869z00_2411;

																				BgL_arg1869z00_2411 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_2403);
																				BgL_arg1867z00_2410 =
																					(BgL_arg1869z00_2411 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_2408 =
																				VECTOR_REF(BgL_arg1866z00_2409,
																				BgL_arg1867z00_2410);
																		}
																		{	/* Ast/occur.scm 147 */
																			bool_t BgL__ortest_1115z00_2412;

																			BgL__ortest_1115z00_2412 =
																				(BgL_classz00_2402 ==
																				BgL_oclassz00_2408);
																			if (BgL__ortest_1115z00_2412)
																				{	/* Ast/occur.scm 147 */
																					BgL_res1827z00_2407 =
																						BgL__ortest_1115z00_2412;
																				}
																			else
																				{	/* Ast/occur.scm 147 */
																					long BgL_odepthz00_2413;

																					{	/* Ast/occur.scm 147 */
																						obj_t BgL_arg1855z00_2414;

																						BgL_arg1855z00_2414 =
																							(BgL_oclassz00_2408);
																						BgL_odepthz00_2413 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_2414);
																					}
																					if ((2L < BgL_odepthz00_2413))
																						{	/* Ast/occur.scm 147 */
																							obj_t BgL_arg1853z00_2415;

																							{	/* Ast/occur.scm 147 */
																								obj_t BgL_arg1854z00_2416;

																								BgL_arg1854z00_2416 =
																									(BgL_oclassz00_2408);
																								BgL_arg1853z00_2415 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_2416, 2L);
																							}
																							BgL_res1827z00_2407 =
																								(BgL_arg1853z00_2415 ==
																								BgL_classz00_2402);
																						}
																					else
																						{	/* Ast/occur.scm 147 */
																							BgL_res1827z00_2407 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1916z00_2858 = BgL_res1827z00_2407;
																}
														}
													else
														{	/* Ast/occur.scm 147 */
															BgL_test1916z00_2858 = ((bool_t) 0);
														}
												}
												if (BgL_test1916z00_2858)
													{	/* Ast/occur.scm 147 */
														BgL_variablez00_bglt BgL_arg1480z00_2417;

														BgL_arg1480z00_2417 =
															(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2401)))->
															BgL_variablez00);
														{	/* Ast/occur.scm 147 */
															obj_t BgL_classz00_2418;

															BgL_classz00_2418 = BGl_localz00zzast_varz00;
															{	/* Ast/occur.scm 147 */
																BgL_objectz00_bglt BgL_arg1858z00_2419;

																{	/* Ast/occur.scm 147 */
																	obj_t BgL_tmpz00_2883;

																	BgL_tmpz00_2883 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1480z00_2417));
																	BgL_arg1858z00_2419 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2883);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Ast/occur.scm 147 */
																		long BgL_idxz00_2420;

																		BgL_idxz00_2420 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2419);
																		BgL_test1915z00_2857 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2420 + 2L)) ==
																			BgL_classz00_2418);
																	}
																else
																	{	/* Ast/occur.scm 147 */
																		bool_t BgL_res1828z00_2423;

																		{	/* Ast/occur.scm 147 */
																			obj_t BgL_oclassz00_2424;

																			{	/* Ast/occur.scm 147 */
																				obj_t BgL_arg1866z00_2425;
																				long BgL_arg1867z00_2426;

																				BgL_arg1866z00_2425 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Ast/occur.scm 147 */
																					long BgL_arg1869z00_2427;

																					BgL_arg1869z00_2427 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2419);
																					BgL_arg1867z00_2426 =
																						(BgL_arg1869z00_2427 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2424 =
																					VECTOR_REF(BgL_arg1866z00_2425,
																					BgL_arg1867z00_2426);
																			}
																			{	/* Ast/occur.scm 147 */
																				bool_t BgL__ortest_1115z00_2428;

																				BgL__ortest_1115z00_2428 =
																					(BgL_classz00_2418 ==
																					BgL_oclassz00_2424);
																				if (BgL__ortest_1115z00_2428)
																					{	/* Ast/occur.scm 147 */
																						BgL_res1828z00_2423 =
																							BgL__ortest_1115z00_2428;
																					}
																				else
																					{	/* Ast/occur.scm 147 */
																						long BgL_odepthz00_2429;

																						{	/* Ast/occur.scm 147 */
																							obj_t BgL_arg1855z00_2430;

																							BgL_arg1855z00_2430 =
																								(BgL_oclassz00_2424);
																							BgL_odepthz00_2429 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2430);
																						}
																						if ((2L < BgL_odepthz00_2429))
																							{	/* Ast/occur.scm 147 */
																								obj_t BgL_arg1853z00_2431;

																								{	/* Ast/occur.scm 147 */
																									obj_t BgL_arg1854z00_2432;

																									BgL_arg1854z00_2432 =
																										(BgL_oclassz00_2424);
																									BgL_arg1853z00_2431 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2432, 2L);
																								}
																								BgL_res1828z00_2423 =
																									(BgL_arg1853z00_2431 ==
																									BgL_classz00_2418);
																							}
																						else
																							{	/* Ast/occur.scm 147 */
																								BgL_res1828z00_2423 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1915z00_2857 = BgL_res1828z00_2423;
																	}
															}
														}
													}
												else
													{	/* Ast/occur.scm 147 */
														BgL_test1915z00_2857 = ((bool_t) 0);
													}
											}
											if (BgL_test1915z00_2857)
												{	/* Ast/occur.scm 148 */
													BgL_localz00_bglt BgL_i1109z00_2433;

													BgL_i1109z00_2433 =
														((BgL_localz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nz00_2401)))->
															BgL_variablez00));
													if (((((BgL_variablez00_bglt)
																	COBJECT(((BgL_variablez00_bglt)
																			BgL_i1109z00_2433)))->BgL_accessz00) ==
															((obj_t) CNST_TABLE_REF(2))))
														{	/* Ast/occur.scm 149 */
															((((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				BgL_i1109z00_2433)))->BgL_accessz00) =
																((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
														}
													else
														{	/* Ast/occur.scm 149 */
															BFALSE;
														}
												}
											else
												{	/* Ast/occur.scm 147 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1243z00_2919;

										BgL_l1243z00_2919 = CDR(BgL_l1243z00_2400);
										BgL_l1243z00_2400 = BgL_l1243z00_2919;
										goto BgL_zc3z04anonymousza31421ze3z87_2399;
									}
								}
							else
								{	/* Ast/occur.scm 151 */
									((bool_t) 1);
								}
						}
					}
				else
					{	/* Ast/occur.scm 145 */
						((bool_t) 0);
					}
				{	/* Ast/occur.scm 143 */
					obj_t BgL_nextzd2method1287zd2_2397;

					BgL_nextzd2method1287zd2_2397 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) BgL_nodez00_2318)),
						BGl_occurzd2nodez12zd2envz12zzast_occurz00,
						BGl_pragmaz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1287zd2_2397,
						((obj_t) ((BgL_pragmaz00_bglt) BgL_nodez00_2318)));
				}
			}
		}

	}



/* &occur-node!-extern1286 */
	obj_t BGl_z62occurzd2nodez12zd2extern1286z70zzast_occurz00(obj_t
		BgL_envz00_2319, obj_t BgL_nodez00_2320)
	{
		{	/* Ast/occur.scm 135 */
			{	/* Ast/occur.scm 137 */
				obj_t BgL_nodesz00_2435;

				BgL_nodesz00_2435 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2320)))->BgL_exprza2za2);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_nodesz00_2435));
			}
		}

	}



/* &occur-node!-funcall1284 */
	obj_t BGl_z62occurzd2nodez12zd2funcall1284z70zzast_occurz00(obj_t
		BgL_envz00_2321, obj_t BgL_nodez00_2322)
	{
		{	/* Ast/occur.scm 127 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2322)))->BgL_funz00));
			{	/* Ast/occur.scm 130 */
				obj_t BgL_arg1416z00_2437;

				BgL_arg1416z00_2437 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2322)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1416z00_2437));
			}
		}

	}



/* &occur-node!-app-ly1282 */
	obj_t BGl_z62occurzd2nodez12zd2appzd2ly1282za2zzast_occurz00(obj_t
		BgL_envz00_2323, obj_t BgL_nodez00_2324)
	{
		{	/* Ast/occur.scm 119 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2324)))->BgL_funz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2324)))->BgL_argz00));
		}

	}



/* &occur-node!-app1280 */
	obj_t BGl_z62occurzd2nodez12zd2app1280z70zzast_occurz00(obj_t BgL_envz00_2325,
		obj_t BgL_nodez00_2326)
	{
		{	/* Ast/occur.scm 111 */
			{	/* Ast/occur.scm 113 */
				BgL_varz00_bglt BgL_arg1402z00_2440;

				BgL_arg1402z00_2440 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2326)))->BgL_funz00);
				BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1402z00_2440));
			}
			{	/* Ast/occur.scm 114 */
				obj_t BgL_arg1403z00_2441;

				BgL_arg1403z00_2441 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2326)))->BgL_argsz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1403z00_2441));
			}
		}

	}



/* &occur-node!-sync1278 */
	obj_t BGl_z62occurzd2nodez12zd2sync1278z70zzast_occurz00(obj_t
		BgL_envz00_2327, obj_t BgL_nodez00_2328)
	{
		{	/* Ast/occur.scm 103 */
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2328)))->BgL_mutexz00));
			BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2328)))->BgL_prelockz00));
			return
				BGl_occurzd2nodez12zc0zzast_occurz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2328)))->BgL_bodyz00));
		}

	}



/* &occur-node!-sequence1276 */
	obj_t BGl_z62occurzd2nodez12zd2sequence1276z70zzast_occurz00(obj_t
		BgL_envz00_2329, obj_t BgL_nodez00_2330)
	{
		{	/* Ast/occur.scm 97 */
			{	/* Ast/occur.scm 98 */
				obj_t BgL_arg1390z00_2444;

				BgL_arg1390z00_2444 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2330)))->BgL_nodesz00);
				return
					BBOOL(BGl_occurzd2nodeza2z12z62zzast_occurz00(BgL_arg1390z00_2444));
			}
		}

	}



/* &occur-node!-patch1274 */
	obj_t BGl_z62occurzd2nodez12zd2patch1274z70zzast_occurz00(obj_t
		BgL_envz00_2331, obj_t BgL_nodez00_2332)
	{
		{	/* Ast/occur.scm 84 */
			{	/* Ast/occur.scm 86 */
				bool_t BgL_test1925z00_2968;

				{	/* Ast/occur.scm 86 */
					obj_t BgL_arg1386z00_2446;

					BgL_arg1386z00_2446 =
						(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_2332))))->BgL_valuez00);
					{	/* Ast/occur.scm 86 */
						obj_t BgL_classz00_2447;

						BgL_classz00_2447 = BGl_varz00zzast_nodez00;
						if (BGL_OBJECTP(BgL_arg1386z00_2446))
							{	/* Ast/occur.scm 86 */
								BgL_objectz00_bglt BgL_arg1858z00_2448;

								BgL_arg1858z00_2448 =
									(BgL_objectz00_bglt) (BgL_arg1386z00_2446);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Ast/occur.scm 86 */
										long BgL_idxz00_2449;

										BgL_idxz00_2449 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2448);
										BgL_test1925z00_2968 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2449 + 2L)) == BgL_classz00_2447);
									}
								else
									{	/* Ast/occur.scm 86 */
										bool_t BgL_res1826z00_2452;

										{	/* Ast/occur.scm 86 */
											obj_t BgL_oclassz00_2453;

											{	/* Ast/occur.scm 86 */
												obj_t BgL_arg1866z00_2454;
												long BgL_arg1867z00_2455;

												BgL_arg1866z00_2454 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Ast/occur.scm 86 */
													long BgL_arg1869z00_2456;

													BgL_arg1869z00_2456 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2448);
													BgL_arg1867z00_2455 =
														(BgL_arg1869z00_2456 - OBJECT_TYPE);
												}
												BgL_oclassz00_2453 =
													VECTOR_REF(BgL_arg1866z00_2454, BgL_arg1867z00_2455);
											}
											{	/* Ast/occur.scm 86 */
												bool_t BgL__ortest_1115z00_2457;

												BgL__ortest_1115z00_2457 =
													(BgL_classz00_2447 == BgL_oclassz00_2453);
												if (BgL__ortest_1115z00_2457)
													{	/* Ast/occur.scm 86 */
														BgL_res1826z00_2452 = BgL__ortest_1115z00_2457;
													}
												else
													{	/* Ast/occur.scm 86 */
														long BgL_odepthz00_2458;

														{	/* Ast/occur.scm 86 */
															obj_t BgL_arg1855z00_2459;

															BgL_arg1855z00_2459 = (BgL_oclassz00_2453);
															BgL_odepthz00_2458 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2459);
														}
														if ((2L < BgL_odepthz00_2458))
															{	/* Ast/occur.scm 86 */
																obj_t BgL_arg1853z00_2460;

																{	/* Ast/occur.scm 86 */
																	obj_t BgL_arg1854z00_2461;

																	BgL_arg1854z00_2461 = (BgL_oclassz00_2453);
																	BgL_arg1853z00_2460 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2461,
																		2L);
																}
																BgL_res1826z00_2452 =
																	(BgL_arg1853z00_2460 == BgL_classz00_2447);
															}
														else
															{	/* Ast/occur.scm 86 */
																BgL_res1826z00_2452 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1925z00_2968 = BgL_res1826z00_2452;
									}
							}
						else
							{	/* Ast/occur.scm 86 */
								BgL_test1925z00_2968 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test1925z00_2968)
					{	/* Ast/occur.scm 87 */
						BgL_variablez00_bglt BgL_vz00_2462;

						BgL_vz00_2462 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt)
														((BgL_patchz00_bglt) BgL_nodez00_2332))))->
											BgL_valuez00))))->BgL_variablez00);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2462))->
								BgL_occurrencewz00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2462))->
										BgL_occurrencewz00) + 1L)), BUNSPEC);
						((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2462))->
								BgL_occurrencez00) =
							((long) ((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2462))->
										BgL_occurrencez00) + 1L)), BUNSPEC);
						{	/* Ast/occur.scm 90 */
							obj_t BgL_vz00_2463;

							BgL_vz00_2463 = ((obj_t) CNST_TABLE_REF(1));
							((((BgL_variablez00_bglt) COBJECT(BgL_vz00_2462))->
									BgL_accessz00) = ((obj_t) BgL_vz00_2463), BUNSPEC);
					}}
				else
					{	/* Ast/occur.scm 91 */
						obj_t BgL_arg1385z00_2464;

						BgL_arg1385z00_2464 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_patchz00_bglt) BgL_nodez00_2332))))->BgL_valuez00);
						BGl_occurzd2nodez12zc0zzast_occurz00(
							((BgL_nodez00_bglt) BgL_arg1385z00_2464));
					}
			}
			{	/* Ast/occur.scm 92 */
				BgL_varz00_bglt BgL_arg1388z00_2465;

				BgL_arg1388z00_2465 =
					(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_nodez00_2332)))->BgL_refz00);
				return
					BGl_occurzd2nodez12zc0zzast_occurz00(
					((BgL_nodez00_bglt) BgL_arg1388z00_2465));
			}
		}

	}



/* &occur-node!-var1272 */
	obj_t BGl_z62occurzd2nodez12zd2var1272z70zzast_occurz00(obj_t BgL_envz00_2333,
		obj_t BgL_nodez00_2334)
	{
		{	/* Ast/occur.scm 73 */
			{	/* Ast/occur.scm 74 */
				obj_t BgL_vz00_2467;

				BgL_vz00_2467 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2334)))->BgL_variablez00));
				{	/* Ast/occur.scm 75 */
					BgL_valuez00_bglt BgL_valuez00_2468;

					BgL_valuez00_2468 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_vz00_2467)))->BgL_valuez00);
					{	/* Ast/occur.scm 76 */
						bool_t BgL_test1930z00_3022;

						{	/* Ast/occur.scm 76 */
							bool_t BgL_test1931z00_3023;

							{	/* Ast/occur.scm 76 */
								obj_t BgL_classz00_2469;

								BgL_classz00_2469 = BGl_scnstz00zzast_varz00;
								{	/* Ast/occur.scm 76 */
									BgL_objectz00_bglt BgL_arg1858z00_2470;

									{	/* Ast/occur.scm 76 */
										obj_t BgL_tmpz00_3024;

										BgL_tmpz00_3024 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2468));
										BgL_arg1858z00_2470 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3024);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/occur.scm 76 */
											long BgL_idxz00_2471;

											BgL_idxz00_2471 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2470);
											BgL_test1931z00_3023 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2471 + 2L)) == BgL_classz00_2469);
										}
									else
										{	/* Ast/occur.scm 76 */
											bool_t BgL_res1824z00_2474;

											{	/* Ast/occur.scm 76 */
												obj_t BgL_oclassz00_2475;

												{	/* Ast/occur.scm 76 */
													obj_t BgL_arg1866z00_2476;
													long BgL_arg1867z00_2477;

													BgL_arg1866z00_2476 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/occur.scm 76 */
														long BgL_arg1869z00_2478;

														BgL_arg1869z00_2478 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2470);
														BgL_arg1867z00_2477 =
															(BgL_arg1869z00_2478 - OBJECT_TYPE);
													}
													BgL_oclassz00_2475 =
														VECTOR_REF(BgL_arg1866z00_2476,
														BgL_arg1867z00_2477);
												}
												{	/* Ast/occur.scm 76 */
													bool_t BgL__ortest_1115z00_2479;

													BgL__ortest_1115z00_2479 =
														(BgL_classz00_2469 == BgL_oclassz00_2475);
													if (BgL__ortest_1115z00_2479)
														{	/* Ast/occur.scm 76 */
															BgL_res1824z00_2474 = BgL__ortest_1115z00_2479;
														}
													else
														{	/* Ast/occur.scm 76 */
															long BgL_odepthz00_2480;

															{	/* Ast/occur.scm 76 */
																obj_t BgL_arg1855z00_2481;

																BgL_arg1855z00_2481 = (BgL_oclassz00_2475);
																BgL_odepthz00_2480 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2481);
															}
															if ((2L < BgL_odepthz00_2480))
																{	/* Ast/occur.scm 76 */
																	obj_t BgL_arg1853z00_2482;

																	{	/* Ast/occur.scm 76 */
																		obj_t BgL_arg1854z00_2483;

																		BgL_arg1854z00_2483 = (BgL_oclassz00_2475);
																		BgL_arg1853z00_2482 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2483, 2L);
																	}
																	BgL_res1824z00_2474 =
																		(BgL_arg1853z00_2482 == BgL_classz00_2469);
																}
															else
																{	/* Ast/occur.scm 76 */
																	BgL_res1824z00_2474 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1931z00_3023 = BgL_res1824z00_2474;
										}
								}
							}
							if (BgL_test1931z00_3023)
								{	/* Ast/occur.scm 76 */
									obj_t BgL_arg1365z00_2484;

									BgL_arg1365z00_2484 =
										(((BgL_scnstz00_bglt) COBJECT(
												((BgL_scnstz00_bglt) BgL_valuez00_2468)))->BgL_nodez00);
									{	/* Ast/occur.scm 76 */
										obj_t BgL_classz00_2485;

										BgL_classz00_2485 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1365z00_2484))
											{	/* Ast/occur.scm 76 */
												BgL_objectz00_bglt BgL_arg1858z00_2486;

												BgL_arg1858z00_2486 =
													(BgL_objectz00_bglt) (BgL_arg1365z00_2484);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Ast/occur.scm 76 */
														long BgL_idxz00_2487;

														BgL_idxz00_2487 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2486);
														BgL_test1930z00_3022 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2487 + 1L)) == BgL_classz00_2485);
													}
												else
													{	/* Ast/occur.scm 76 */
														bool_t BgL_res1825z00_2490;

														{	/* Ast/occur.scm 76 */
															obj_t BgL_oclassz00_2491;

															{	/* Ast/occur.scm 76 */
																obj_t BgL_arg1866z00_2492;
																long BgL_arg1867z00_2493;

																BgL_arg1866z00_2492 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Ast/occur.scm 76 */
																	long BgL_arg1869z00_2494;

																	BgL_arg1869z00_2494 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2486);
																	BgL_arg1867z00_2493 =
																		(BgL_arg1869z00_2494 - OBJECT_TYPE);
																}
																BgL_oclassz00_2491 =
																	VECTOR_REF(BgL_arg1866z00_2492,
																	BgL_arg1867z00_2493);
															}
															{	/* Ast/occur.scm 76 */
																bool_t BgL__ortest_1115z00_2495;

																BgL__ortest_1115z00_2495 =
																	(BgL_classz00_2485 == BgL_oclassz00_2491);
																if (BgL__ortest_1115z00_2495)
																	{	/* Ast/occur.scm 76 */
																		BgL_res1825z00_2490 =
																			BgL__ortest_1115z00_2495;
																	}
																else
																	{	/* Ast/occur.scm 76 */
																		long BgL_odepthz00_2496;

																		{	/* Ast/occur.scm 76 */
																			obj_t BgL_arg1855z00_2497;

																			BgL_arg1855z00_2497 =
																				(BgL_oclassz00_2491);
																			BgL_odepthz00_2496 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2497);
																		}
																		if ((1L < BgL_odepthz00_2496))
																			{	/* Ast/occur.scm 76 */
																				obj_t BgL_arg1853z00_2498;

																				{	/* Ast/occur.scm 76 */
																					obj_t BgL_arg1854z00_2499;

																					BgL_arg1854z00_2499 =
																						(BgL_oclassz00_2491);
																					BgL_arg1853z00_2498 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2499, 1L);
																				}
																				BgL_res1825z00_2490 =
																					(BgL_arg1853z00_2498 ==
																					BgL_classz00_2485);
																			}
																		else
																			{	/* Ast/occur.scm 76 */
																				BgL_res1825z00_2490 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1930z00_3022 = BgL_res1825z00_2490;
													}
											}
										else
											{	/* Ast/occur.scm 76 */
												BgL_test1930z00_3022 = ((bool_t) 0);
											}
									}
								}
							else
								{	/* Ast/occur.scm 76 */
									BgL_test1930z00_3022 = ((bool_t) 0);
								}
						}
						if (BgL_test1930z00_3022)
							{	/* Ast/occur.scm 77 */
								obj_t BgL_arg1364z00_2500;

								BgL_arg1364z00_2500 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_2468)))->BgL_nodez00);
								BGl_occurzd2nodez12zc0zzast_occurz00(
									((BgL_nodez00_bglt) BgL_arg1364z00_2500));
							}
						else
							{	/* Ast/occur.scm 76 */
								BFALSE;
							}
					}
				}
				if ((BgL_vz00_2467 == BGl_za2globalza2z00zzast_occurz00))
					{	/* Ast/occur.scm 78 */
						return BFALSE;
					}
				else
					{	/* Ast/occur.scm 79 */
						long BgL_arg1367z00_2501;

						BgL_arg1367z00_2501 =
							(
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_2467)))->
								BgL_occurrencez00) + 1L);
						return ((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
											BgL_vz00_2467)))->BgL_occurrencez00) =
							((long) BgL_arg1367z00_2501), BUNSPEC);
		}}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_occurz00(void)
	{
		{	/* Ast/occur.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1860z00zzast_occurz00));
		}

	}

#ifdef __cplusplus
}
#endif
