/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/arithmetic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_ARITHMETIC_TYPE_DEFINITIONS
#define BGL_CFA_ARITHMETIC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_CFA_ARITHMETIC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_za2eqzf3za2zf3zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2switch1584z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00(void);
	static obj_t BGl_z62cleanupzd2nodez12zd2app1604z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00(void);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b1594za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1592za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62cleanupzd2nodez121570za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00(void);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1608z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2setq1578z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va1588za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu1586za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal1602z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex1590za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00(void);
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00(void);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit1580z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re1596za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se1598za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen1574z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit1606za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2fail1582z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync1576z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly1600za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2213z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re1596za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2214z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se1598za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2215z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly1600za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2216z00,
		BGl_z62cleanupzd2nodez12zd2funcal1602z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2217z00,
		BGl_z62cleanupzd2nodez12zd2app1604z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza72218za7,
		BGl_z62nodezd2setupz12zd2prezd2arit1606za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit2219za7,
		BGl_z62cfaz12zd2arithmeticzd2app1608z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2187z00zzcfa_arithmeticz00,
		BgL_bgl_string2187za700za7za7c2220za7, "cleanup-node!1570", 17);
	      DEFINE_STRING(BGl_string2189z00zzcfa_arithmeticz00,
		BgL_bgl_string2189za700za7za7c2221za7, "cleanup-node!", 13);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string2206z00zzcfa_arithmeticz00,
		BgL_bgl_string2206za700za7za7c2222za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2208z00zzcfa_arithmeticz00,
		BgL_bgl_string2208za700za7za7c2223za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2209z00zzcfa_arithmeticz00,
		BgL_bgl_string2209za700za7za7c2224za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string2210z00zzcfa_arithmeticz00,
		BgL_bgl_string2210za700za7za7c2225za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string2211z00zzcfa_arithmeticz00,
		BgL_bgl_string2211za700za7za7c2226za7, "foreign c-eq? all arithmetic-app ",
		33);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2227z00,
		BGl_z62cleanupzd2nodez121570za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2228z00,
		BGl_z62cleanupzd2nodez12zd2sequen1574z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2229z00,
		BGl_z62cleanupzd2nodez12zd2sync1576z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2230z00,
		BGl_z62cleanupzd2nodez12zd2setq1578z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2231z00,
		BGl_z62cleanupzd2nodez12zd2condit1580z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2232z00,
		BGl_z62cleanupzd2nodez12zd2fail1582z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2233z00,
		BGl_z62cleanupzd2nodez12zd2switch1584z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2234z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu1586za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2235z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va1588za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2236z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex1590za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2237z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1592za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2238z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b1594za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari2239z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2240z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2eqzf3za2zf3zzcfa_arithmeticz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00));
		     ADD_ROOT((void
				*) (&BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_4855, char *BgL_fromz00_4856)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					return BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_arithmetic");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_4657;

				{	/* Cfa/arithmetic.scm 28 */
					obj_t BgL_stringz00_4664;

					BgL_stringz00_4664 = BGl_string2211z00zzcfa_arithmeticz00;
					{	/* Cfa/arithmetic.scm 28 */
						obj_t BgL_startz00_4665;

						BgL_startz00_4665 = BINT(0L);
						{	/* Cfa/arithmetic.scm 28 */
							obj_t BgL_endz00_4666;

							BgL_endz00_4666 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4664)));
							{	/* Cfa/arithmetic.scm 28 */

								BgL_cportz00_4657 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4664, BgL_startz00_4665, BgL_endz00_4666);
				}}}}
				{
					long BgL_iz00_4658;

					BgL_iz00_4658 = 3L;
				BgL_loopz00_4659:
					if ((BgL_iz00_4658 == (-1L)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg2212z00_4660;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_4662;

										BgL_locationz00_4662 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg2212z00_4660 =
												BGl_readz00zz__readerz00(BgL_cportz00_4657,
												BgL_locationz00_4662);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_tmpz00_4886;

									BgL_tmpz00_4886 = (int) (BgL_iz00_4658);
									CNST_TABLE_SET(BgL_tmpz00_4886, BgL_arg2212z00_4660);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_4663;

								BgL_auxz00_4663 = (int) ((BgL_iz00_4658 - 1L));
								{
									long BgL_iz00_4891;

									BgL_iz00_4891 = (long) (BgL_auxz00_4663);
									BgL_iz00_4658 = BgL_iz00_4891;
									goto BgL_loopz00_4659;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2eqzf3za2zf3zzcfa_arithmeticz00 = BFALSE;
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}

	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/arithmetic.scm 59 */
			{	/* Cfa/arithmetic.scm 72 */
				bool_t BgL_test2243z00_4894;

				{	/* Cfa/arithmetic.scm 72 */
					obj_t BgL_arg1631z00_3097;

					BgL_arg1631z00_3097 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test2243z00_4894 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1631z00_3097)))->
						BgL_typedzd2eqzd2);
				}
				if (BgL_test2243z00_4894)
					{	/* Cfa/arithmetic.scm 72 */
						BGl_za2eqzf3za2zf3zzcfa_arithmeticz00 = BFALSE;
					}
				else
					{	/* Cfa/arithmetic.scm 72 */
						BFALSE;
					}
			}
			{
				obj_t BgL_l1526z00_3099;

				BgL_l1526z00_3099 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3z04anonymousza31632ze3z87_3100:
				if (PAIRP(BgL_l1526z00_3099))
					{	/* Cfa/arithmetic.scm 75 */
						{	/* Cfa/arithmetic.scm 76 */
							obj_t BgL_nodez00_3102;

							BgL_nodez00_3102 = CAR(BgL_l1526z00_3099);
							{	/* Cfa/arithmetic.scm 77 */
								BgL_variablez00_bglt BgL_fz00_3104;

								BgL_fz00_3104 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_3102))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 77 */
									BgL_valuez00_bglt BgL_valz00_3105;

									BgL_valz00_3105 =
										(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3104))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 78 */

										{	/* Cfa/arithmetic.scm 80 */
											bool_t BgL_test2245z00_4906;

											{	/* Cfa/arithmetic.scm 80 */
												obj_t BgL_arg1638z00_3108;

												BgL_arg1638z00_3108 =
													((obj_t)
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_3104))->
														BgL_typez00));
												BgL_test2245z00_4906 =
													(BgL_arg1638z00_3108 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2245z00_4906)
												{	/* Cfa/arithmetic.scm 81 */
													BgL_typez00_bglt BgL_vz00_4092;

													BgL_vz00_4092 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) COBJECT(BgL_fz00_3104))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_4092), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 80 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 82 */
											bool_t BgL_test2246z00_4912;

											{	/* Cfa/arithmetic.scm 82 */
												obj_t BgL_arg1648z00_3111;

												BgL_arg1648z00_3111 =
													((obj_t)
													(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_nodez00_3102)))->
														BgL_typez00));
												BgL_test2246z00_4912 =
													(BgL_arg1648z00_3111 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2246z00_4912)
												{	/* Cfa/arithmetic.scm 83 */
													BgL_typez00_bglt BgL_vz00_4095;

													BgL_vz00_4095 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_3102)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_4095), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 82 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 85 */
											bool_t BgL_test2247z00_4920;

											{	/* Cfa/arithmetic.scm 85 */
												obj_t BgL_classz00_4096;

												BgL_classz00_4096 = BGl_sfunz00zzast_varz00;
												{	/* Cfa/arithmetic.scm 85 */
													BgL_objectz00_bglt BgL_arg1858z00_4098;

													{	/* Cfa/arithmetic.scm 85 */
														obj_t BgL_tmpz00_4921;

														BgL_tmpz00_4921 =
															((obj_t) ((BgL_objectz00_bglt) BgL_valz00_3105));
														BgL_arg1858z00_4098 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4921);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/arithmetic.scm 85 */
															long BgL_idxz00_4104;

															BgL_idxz00_4104 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4098);
															BgL_test2247z00_4920 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4104 + 3L)) == BgL_classz00_4096);
														}
													else
														{	/* Cfa/arithmetic.scm 85 */
															bool_t BgL_res2169z00_4129;

															{	/* Cfa/arithmetic.scm 85 */
																obj_t BgL_oclassz00_4112;

																{	/* Cfa/arithmetic.scm 85 */
																	obj_t BgL_arg1866z00_4120;
																	long BgL_arg1867z00_4121;

																	BgL_arg1866z00_4120 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/arithmetic.scm 85 */
																		long BgL_arg1869z00_4122;

																		BgL_arg1869z00_4122 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4098);
																		BgL_arg1867z00_4121 =
																			(BgL_arg1869z00_4122 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4112 =
																		VECTOR_REF(BgL_arg1866z00_4120,
																		BgL_arg1867z00_4121);
																}
																{	/* Cfa/arithmetic.scm 85 */
																	bool_t BgL__ortest_1115z00_4113;

																	BgL__ortest_1115z00_4113 =
																		(BgL_classz00_4096 == BgL_oclassz00_4112);
																	if (BgL__ortest_1115z00_4113)
																		{	/* Cfa/arithmetic.scm 85 */
																			BgL_res2169z00_4129 =
																				BgL__ortest_1115z00_4113;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 85 */
																			long BgL_odepthz00_4114;

																			{	/* Cfa/arithmetic.scm 85 */
																				obj_t BgL_arg1855z00_4115;

																				BgL_arg1855z00_4115 =
																					(BgL_oclassz00_4112);
																				BgL_odepthz00_4114 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_4115);
																			}
																			if ((3L < BgL_odepthz00_4114))
																				{	/* Cfa/arithmetic.scm 85 */
																					obj_t BgL_arg1853z00_4117;

																					{	/* Cfa/arithmetic.scm 85 */
																						obj_t BgL_arg1854z00_4118;

																						BgL_arg1854z00_4118 =
																							(BgL_oclassz00_4112);
																						BgL_arg1853z00_4117 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_4118, 3L);
																					}
																					BgL_res2169z00_4129 =
																						(BgL_arg1853z00_4117 ==
																						BgL_classz00_4096);
																				}
																			else
																				{	/* Cfa/arithmetic.scm 85 */
																					BgL_res2169z00_4129 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2247z00_4920 = BgL_res2169z00_4129;
														}
												}
											}
											if (BgL_test2247z00_4920)
												{	/* Cfa/arithmetic.scm 86 */
													obj_t BgL_arg1650z00_3113;

													{	/* Cfa/arithmetic.scm 86 */
														obj_t BgL_l1520z00_3114;

														BgL_l1520z00_3114 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_3105)))->
															BgL_argsz00);
														if (NULLP(BgL_l1520z00_3114))
															{	/* Cfa/arithmetic.scm 86 */
																BgL_arg1650z00_3113 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 86 */
																obj_t BgL_head1522z00_3116;

																{	/* Cfa/arithmetic.scm 86 */
																	obj_t BgL_arg1660z00_3128;

																	{	/* Cfa/arithmetic.scm 86 */
																		obj_t BgL_arg1663z00_3129;

																		BgL_arg1663z00_3129 =
																			CAR(((obj_t) BgL_l1520z00_3114));
																		BgL_arg1660z00_3128 =
																			BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1663z00_3129);
																	}
																	BgL_head1522z00_3116 =
																		MAKE_YOUNG_PAIR(BgL_arg1660z00_3128, BNIL);
																}
																{	/* Cfa/arithmetic.scm 86 */
																	obj_t BgL_g1525z00_3117;

																	BgL_g1525z00_3117 =
																		CDR(((obj_t) BgL_l1520z00_3114));
																	{
																		obj_t BgL_l1520z00_3119;
																		obj_t BgL_tail1523z00_3120;

																		BgL_l1520z00_3119 = BgL_g1525z00_3117;
																		BgL_tail1523z00_3120 = BgL_head1522z00_3116;
																	BgL_zc3z04anonymousza31652ze3z87_3121:
																		if (NULLP(BgL_l1520z00_3119))
																			{	/* Cfa/arithmetic.scm 86 */
																				BgL_arg1650z00_3113 =
																					BgL_head1522z00_3116;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 86 */
																				obj_t BgL_newtail1524z00_3123;

																				{	/* Cfa/arithmetic.scm 86 */
																					obj_t BgL_arg1656z00_3125;

																					{	/* Cfa/arithmetic.scm 86 */
																						obj_t BgL_arg1657z00_3126;

																						BgL_arg1657z00_3126 =
																							CAR(((obj_t) BgL_l1520z00_3119));
																						BgL_arg1656z00_3125 =
																							BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																							(BgL_arg1657z00_3126);
																					}
																					BgL_newtail1524z00_3123 =
																						MAKE_YOUNG_PAIR(BgL_arg1656z00_3125,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1523z00_3120,
																					BgL_newtail1524z00_3123);
																				{	/* Cfa/arithmetic.scm 86 */
																					obj_t BgL_arg1655z00_3124;

																					BgL_arg1655z00_3124 =
																						CDR(((obj_t) BgL_l1520z00_3119));
																					{
																						obj_t BgL_tail1523z00_4964;
																						obj_t BgL_l1520z00_4963;

																						BgL_l1520z00_4963 =
																							BgL_arg1655z00_3124;
																						BgL_tail1523z00_4964 =
																							BgL_newtail1524z00_3123;
																						BgL_tail1523z00_3120 =
																							BgL_tail1523z00_4964;
																						BgL_l1520z00_3119 =
																							BgL_l1520z00_4963;
																						goto
																							BgL_zc3z04anonymousza31652ze3z87_3121;
																					}
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_3105)))->
															BgL_argsz00) =
														((obj_t) BgL_arg1650z00_3113), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 87 */
													bool_t BgL_test2253z00_4967;

													{	/* Cfa/arithmetic.scm 87 */
														obj_t BgL_classz00_4137;

														BgL_classz00_4137 = BGl_cfunz00zzast_varz00;
														{	/* Cfa/arithmetic.scm 87 */
															BgL_objectz00_bglt BgL_arg1858z00_4139;

															{	/* Cfa/arithmetic.scm 87 */
																obj_t BgL_tmpz00_4968;

																BgL_tmpz00_4968 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_valz00_3105));
																BgL_arg1858z00_4139 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4968);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Cfa/arithmetic.scm 87 */
																	long BgL_idxz00_4145;

																	BgL_idxz00_4145 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4139);
																	BgL_test2253z00_4967 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4145 + 3L)) ==
																		BgL_classz00_4137);
																}
															else
																{	/* Cfa/arithmetic.scm 87 */
																	bool_t BgL_res2170z00_4170;

																	{	/* Cfa/arithmetic.scm 87 */
																		obj_t BgL_oclassz00_4153;

																		{	/* Cfa/arithmetic.scm 87 */
																			obj_t BgL_arg1866z00_4161;
																			long BgL_arg1867z00_4162;

																			BgL_arg1866z00_4161 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Cfa/arithmetic.scm 87 */
																				long BgL_arg1869z00_4163;

																				BgL_arg1869z00_4163 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4139);
																				BgL_arg1867z00_4162 =
																					(BgL_arg1869z00_4163 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4153 =
																				VECTOR_REF(BgL_arg1866z00_4161,
																				BgL_arg1867z00_4162);
																		}
																		{	/* Cfa/arithmetic.scm 87 */
																			bool_t BgL__ortest_1115z00_4154;

																			BgL__ortest_1115z00_4154 =
																				(BgL_classz00_4137 ==
																				BgL_oclassz00_4153);
																			if (BgL__ortest_1115z00_4154)
																				{	/* Cfa/arithmetic.scm 87 */
																					BgL_res2170z00_4170 =
																						BgL__ortest_1115z00_4154;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 87 */
																					long BgL_odepthz00_4155;

																					{	/* Cfa/arithmetic.scm 87 */
																						obj_t BgL_arg1855z00_4156;

																						BgL_arg1855z00_4156 =
																							(BgL_oclassz00_4153);
																						BgL_odepthz00_4155 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4156);
																					}
																					if ((3L < BgL_odepthz00_4155))
																						{	/* Cfa/arithmetic.scm 87 */
																							obj_t BgL_arg1853z00_4158;

																							{	/* Cfa/arithmetic.scm 87 */
																								obj_t BgL_arg1854z00_4159;

																								BgL_arg1854z00_4159 =
																									(BgL_oclassz00_4153);
																								BgL_arg1853z00_4158 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4159, 3L);
																							}
																							BgL_res2170z00_4170 =
																								(BgL_arg1853z00_4158 ==
																								BgL_classz00_4137);
																						}
																					else
																						{	/* Cfa/arithmetic.scm 87 */
																							BgL_res2170z00_4170 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2253z00_4967 = BgL_res2170z00_4170;
																}
														}
													}
													if (BgL_test2253z00_4967)
														{	/* Cfa/arithmetic.scm 88 */
															obj_t BgL_g1166z00_3131;

															BgL_g1166z00_3131 =
																(((BgL_cfunz00_bglt) COBJECT(
																		((BgL_cfunz00_bglt) BgL_valz00_3105)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_3133;

																{	/* Cfa/arithmetic.scm 88 */
																	bool_t BgL_tmpz00_4993;

																	BgL_lz00_3133 = BgL_g1166z00_3131;
																BgL_zc3z04anonymousza31665ze3z87_3134:
																	if (PAIRP(BgL_lz00_3133))
																		{	/* Cfa/arithmetic.scm 89 */
																			{	/* Cfa/arithmetic.scm 91 */
																				obj_t BgL_tmpz00_4996;

																				BgL_tmpz00_4996 =
																					BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																					(CAR(BgL_lz00_3133));
																				SET_CAR(BgL_lz00_3133, BgL_tmpz00_4996);
																			}
																			{
																				obj_t BgL_lz00_5000;

																				BgL_lz00_5000 = CDR(BgL_lz00_3133);
																				BgL_lz00_3133 = BgL_lz00_5000;
																				goto
																					BgL_zc3z04anonymousza31665ze3z87_3134;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 89 */
																			BgL_tmpz00_4993 = ((bool_t) 0);
																		}
																	BBOOL(BgL_tmpz00_4993);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 87 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1526z00_5003;

							BgL_l1526z00_5003 = CDR(BgL_l1526z00_3099);
							BgL_l1526z00_3099 = BgL_l1526z00_5003;
							goto BgL_zc3z04anonymousza31632ze3z87_3100;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 75 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1528z00_3144;

				BgL_l1528z00_3144 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31681ze3z87_3145:
				if (PAIRP(BgL_l1528z00_3144))
					{	/* Cfa/arithmetic.scm 95 */
						{	/* Cfa/arithmetic.scm 95 */
							obj_t BgL_arg1686z00_3147;

							BgL_arg1686z00_3147 = CAR(BgL_l1528z00_3144);
							{	/* Cfa/arithmetic.scm 102 */
								BgL_valuez00_bglt BgL_funz00_4177;

								BgL_funz00_4177 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_arg1686z00_3147)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 102 */
									obj_t BgL_bodyz00_4178;

									BgL_bodyz00_4178 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_4177)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 103 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_4178));
									}
								}
							}
						}
						{
							obj_t BgL_l1528z00_5014;

							BgL_l1528z00_5014 = CDR(BgL_l1528z00_3144);
							BgL_l1528z00_3144 = BgL_l1528z00_5014;
							goto BgL_zc3z04anonymousza31681ze3z87_3145;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 95 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_tz00_3150)
	{
		{	/* Cfa/arithmetic.scm 70 */
			{	/* Cfa/arithmetic.scm 63 */
				bool_t BgL_test2259z00_5016;

				{	/* Cfa/arithmetic.scm 63 */
					obj_t BgL_classz00_4015;

					BgL_classz00_4015 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_tz00_3150))
						{	/* Cfa/arithmetic.scm 63 */
							BgL_objectz00_bglt BgL_arg1858z00_4017;

							BgL_arg1858z00_4017 = (BgL_objectz00_bglt) (BgL_tz00_3150);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/arithmetic.scm 63 */
									long BgL_idxz00_4023;

									BgL_idxz00_4023 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4017);
									BgL_test2259z00_5016 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4023 + 1L)) == BgL_classz00_4015);
								}
							else
								{	/* Cfa/arithmetic.scm 63 */
									bool_t BgL_res2167z00_4048;

									{	/* Cfa/arithmetic.scm 63 */
										obj_t BgL_oclassz00_4031;

										{	/* Cfa/arithmetic.scm 63 */
											obj_t BgL_arg1866z00_4039;
											long BgL_arg1867z00_4040;

											BgL_arg1866z00_4039 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/arithmetic.scm 63 */
												long BgL_arg1869z00_4041;

												BgL_arg1869z00_4041 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4017);
												BgL_arg1867z00_4040 =
													(BgL_arg1869z00_4041 - OBJECT_TYPE);
											}
											BgL_oclassz00_4031 =
												VECTOR_REF(BgL_arg1866z00_4039, BgL_arg1867z00_4040);
										}
										{	/* Cfa/arithmetic.scm 63 */
											bool_t BgL__ortest_1115z00_4032;

											BgL__ortest_1115z00_4032 =
												(BgL_classz00_4015 == BgL_oclassz00_4031);
											if (BgL__ortest_1115z00_4032)
												{	/* Cfa/arithmetic.scm 63 */
													BgL_res2167z00_4048 = BgL__ortest_1115z00_4032;
												}
											else
												{	/* Cfa/arithmetic.scm 63 */
													long BgL_odepthz00_4033;

													{	/* Cfa/arithmetic.scm 63 */
														obj_t BgL_arg1855z00_4034;

														BgL_arg1855z00_4034 = (BgL_oclassz00_4031);
														BgL_odepthz00_4033 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4034);
													}
													if ((1L < BgL_odepthz00_4033))
														{	/* Cfa/arithmetic.scm 63 */
															obj_t BgL_arg1853z00_4036;

															{	/* Cfa/arithmetic.scm 63 */
																obj_t BgL_arg1854z00_4037;

																BgL_arg1854z00_4037 = (BgL_oclassz00_4031);
																BgL_arg1853z00_4036 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4037,
																	1L);
															}
															BgL_res2167z00_4048 =
																(BgL_arg1853z00_4036 == BgL_classz00_4015);
														}
													else
														{	/* Cfa/arithmetic.scm 63 */
															BgL_res2167z00_4048 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2259z00_5016 = BgL_res2167z00_4048;
								}
						}
					else
						{	/* Cfa/arithmetic.scm 63 */
							BgL_test2259z00_5016 = ((bool_t) 0);
						}
				}
				if (BgL_test2259z00_5016)
					{	/* Cfa/arithmetic.scm 63 */
						if ((BgL_tz00_3150 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/arithmetic.scm 64 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/arithmetic.scm 64 */
								return BgL_tz00_3150;
							}
					}
				else
					{	/* Cfa/arithmetic.scm 65 */
						bool_t BgL_test2265z00_5041;

						{	/* Cfa/arithmetic.scm 65 */
							obj_t BgL_classz00_4049;

							BgL_classz00_4049 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_tz00_3150))
								{	/* Cfa/arithmetic.scm 65 */
									BgL_objectz00_bglt BgL_arg1858z00_4051;

									BgL_arg1858z00_4051 = (BgL_objectz00_bglt) (BgL_tz00_3150);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/arithmetic.scm 65 */
											long BgL_idxz00_4057;

											BgL_idxz00_4057 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4051);
											BgL_test2265z00_5041 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4057 + 2L)) == BgL_classz00_4049);
										}
									else
										{	/* Cfa/arithmetic.scm 65 */
											bool_t BgL_res2168z00_4082;

											{	/* Cfa/arithmetic.scm 65 */
												obj_t BgL_oclassz00_4065;

												{	/* Cfa/arithmetic.scm 65 */
													obj_t BgL_arg1866z00_4073;
													long BgL_arg1867z00_4074;

													BgL_arg1866z00_4073 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/arithmetic.scm 65 */
														long BgL_arg1869z00_4075;

														BgL_arg1869z00_4075 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4051);
														BgL_arg1867z00_4074 =
															(BgL_arg1869z00_4075 - OBJECT_TYPE);
													}
													BgL_oclassz00_4065 =
														VECTOR_REF(BgL_arg1866z00_4073,
														BgL_arg1867z00_4074);
												}
												{	/* Cfa/arithmetic.scm 65 */
													bool_t BgL__ortest_1115z00_4066;

													BgL__ortest_1115z00_4066 =
														(BgL_classz00_4049 == BgL_oclassz00_4065);
													if (BgL__ortest_1115z00_4066)
														{	/* Cfa/arithmetic.scm 65 */
															BgL_res2168z00_4082 = BgL__ortest_1115z00_4066;
														}
													else
														{	/* Cfa/arithmetic.scm 65 */
															long BgL_odepthz00_4067;

															{	/* Cfa/arithmetic.scm 65 */
																obj_t BgL_arg1855z00_4068;

																BgL_arg1855z00_4068 = (BgL_oclassz00_4065);
																BgL_odepthz00_4067 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4068);
															}
															if ((2L < BgL_odepthz00_4067))
																{	/* Cfa/arithmetic.scm 65 */
																	obj_t BgL_arg1853z00_4070;

																	{	/* Cfa/arithmetic.scm 65 */
																		obj_t BgL_arg1854z00_4071;

																		BgL_arg1854z00_4071 = (BgL_oclassz00_4065);
																		BgL_arg1853z00_4070 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4071, 2L);
																	}
																	BgL_res2168z00_4082 =
																		(BgL_arg1853z00_4070 == BgL_classz00_4049);
																}
															else
																{	/* Cfa/arithmetic.scm 65 */
																	BgL_res2168z00_4082 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2265z00_5041 = BgL_res2168z00_4082;
										}
								}
							else
								{	/* Cfa/arithmetic.scm 65 */
									BgL_test2265z00_5041 = ((bool_t) 0);
								}
						}
						if (BgL_test2265z00_5041)
							{	/* Cfa/arithmetic.scm 65 */
								{	/* Cfa/arithmetic.scm 66 */
									bool_t BgL_test2270z00_5064;

									{	/* Cfa/arithmetic.scm 66 */
										obj_t BgL_arg1699z00_3156;

										BgL_arg1699z00_3156 =
											((obj_t)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_3150))))->
												BgL_typez00));
										BgL_test2270z00_5064 =
											(BgL_arg1699z00_3156 == BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2270z00_5064)
										{	/* Cfa/arithmetic.scm 67 */
											BgL_typez00_bglt BgL_vz00_4085;

											BgL_vz00_4085 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_tz00_3150))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4085), BUNSPEC);
										}
									else
										{	/* Cfa/arithmetic.scm 66 */
											BFALSE;
										}
								}
								return BgL_tz00_3150;
							}
						else
							{	/* Cfa/arithmetic.scm 65 */
								return BgL_tz00_3150;
							}
					}
			}
		}

	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4592, obj_t BgL_globalsz00_4593)
	{
		{	/* Cfa/arithmetic.scm 59 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_4593);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc2186z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string2187z00zzcfa_arithmeticz00);
		}

	}



/* &cleanup-node!1570 */
	obj_t BGl_z62cleanupzd2nodez121570za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4595, obj_t BgL_nodez00_4596)
	{
		{	/* Cfa/arithmetic.scm 109 */
			return BUNSPEC;
		}

	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Cfa/arithmetic.scm 109 */
			{	/* Cfa/arithmetic.scm 109 */
				obj_t BgL_method1572z00_3164;

				{	/* Cfa/arithmetic.scm 109 */
					obj_t BgL_res2175z00_4216;

					{	/* Cfa/arithmetic.scm 109 */
						long BgL_objzd2classzd2numz00_4187;

						BgL_objzd2classzd2numz00_4187 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
						{	/* Cfa/arithmetic.scm 109 */
							obj_t BgL_arg1862z00_4188;

							BgL_arg1862z00_4188 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (1L));
							{	/* Cfa/arithmetic.scm 109 */
								int BgL_offsetz00_4191;

								BgL_offsetz00_4191 = (int) (BgL_objzd2classzd2numz00_4187);
								{	/* Cfa/arithmetic.scm 109 */
									long BgL_offsetz00_4192;

									BgL_offsetz00_4192 =
										((long) (BgL_offsetz00_4191) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 109 */
										long BgL_modz00_4193;

										BgL_modz00_4193 =
											(BgL_offsetz00_4192 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/arithmetic.scm 109 */
											long BgL_restz00_4195;

											BgL_restz00_4195 =
												(BgL_offsetz00_4192 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/arithmetic.scm 109 */

												{	/* Cfa/arithmetic.scm 109 */
													obj_t BgL_bucketz00_4197;

													BgL_bucketz00_4197 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4188), BgL_modz00_4193);
													BgL_res2175z00_4216 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4197), BgL_restz00_4195);
					}}}}}}}}
					BgL_method1572z00_3164 = BgL_res2175z00_4216;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1572z00_3164, ((obj_t) BgL_nodez00_5));
			}
		}

	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_4597,
		obj_t BgL_nodez00_4598)
	{
		{	/* Cfa/arithmetic.scm 109 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_4598));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2188z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc2190z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc2191z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2192z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc2193z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_switchz00zzast_nodez00, BGl_proc2194z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2195z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2196z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2197z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2198z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2199z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2200z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2201z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2202z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2203z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc2204z00zzcfa_arithmeticz00,
				BGl_string2189z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc2205z00zzcfa_arithmeticz00,
				BGl_string2206z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc2207z00zzcfa_arithmeticz00,
				BGl_string2208z00zzcfa_arithmeticz00);
		}

	}



/* &cfa!-arithmetic-app1608 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1608z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4617, obj_t BgL_nodez00_4618)
	{
		{	/* Cfa/arithmetic.scm 305 */
			{
				obj_t BgL_argszd2approxzd2_4690;
				obj_t BgL_argszd2approxzd2_4680;
				obj_t BgL_typez00_4681;
				obj_t BgL_speczd2typeszd2_4682;
				obj_t BgL_argszd2approxzd2_4673;
				obj_t BgL_speczd2typeszd2_4674;

				{	/* Cfa/arithmetic.scm 351 */
					obj_t BgL_argszd2approxzd2_4696;

					{	/* Cfa/arithmetic.scm 351 */
						obj_t BgL_l1554z00_4697;

						BgL_l1554z00_4697 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4618))))->BgL_argsz00);
						if (NULLP(BgL_l1554z00_4697))
							{	/* Cfa/arithmetic.scm 351 */
								BgL_argszd2approxzd2_4696 = BNIL;
							}
						else
							{	/* Cfa/arithmetic.scm 351 */
								obj_t BgL_head1556z00_4698;

								{	/* Cfa/arithmetic.scm 351 */
									BgL_approxz00_bglt BgL_arg1972z00_4699;

									{	/* Cfa/arithmetic.scm 351 */
										obj_t BgL_arg1973z00_4700;

										BgL_arg1973z00_4700 = CAR(((obj_t) BgL_l1554z00_4697));
										BgL_arg1972z00_4699 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1973z00_4700));
									}
									BgL_head1556z00_4698 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1972z00_4699), BNIL);
								}
								{	/* Cfa/arithmetic.scm 351 */
									obj_t BgL_g1559z00_4701;

									BgL_g1559z00_4701 = CDR(((obj_t) BgL_l1554z00_4697));
									{
										obj_t BgL_l1554z00_4703;
										obj_t BgL_tail1557z00_4704;

										BgL_l1554z00_4703 = BgL_g1559z00_4701;
										BgL_tail1557z00_4704 = BgL_head1556z00_4698;
									BgL_zc3z04anonymousza31967ze3z87_4702:
										if (NULLP(BgL_l1554z00_4703))
											{	/* Cfa/arithmetic.scm 351 */
												BgL_argszd2approxzd2_4696 = BgL_head1556z00_4698;
											}
										else
											{	/* Cfa/arithmetic.scm 351 */
												obj_t BgL_newtail1558z00_4705;

												{	/* Cfa/arithmetic.scm 351 */
													BgL_approxz00_bglt BgL_arg1970z00_4706;

													{	/* Cfa/arithmetic.scm 351 */
														obj_t BgL_arg1971z00_4707;

														BgL_arg1971z00_4707 =
															CAR(((obj_t) BgL_l1554z00_4703));
														BgL_arg1970z00_4706 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1971z00_4707));
													}
													BgL_newtail1558z00_4705 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1970z00_4706), BNIL);
												}
												SET_CDR(BgL_tail1557z00_4704, BgL_newtail1558z00_4705);
												{	/* Cfa/arithmetic.scm 351 */
													obj_t BgL_arg1969z00_4708;

													BgL_arg1969z00_4708 =
														CDR(((obj_t) BgL_l1554z00_4703));
													{
														obj_t BgL_tail1557z00_5151;
														obj_t BgL_l1554z00_5150;

														BgL_l1554z00_5150 = BgL_arg1969z00_4708;
														BgL_tail1557z00_5151 = BgL_newtail1558z00_4705;
														BgL_tail1557z00_4704 = BgL_tail1557z00_5151;
														BgL_l1554z00_4703 = BgL_l1554z00_5150;
														goto BgL_zc3z04anonymousza31967ze3z87_4702;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/arithmetic.scm 353 */
						obj_t BgL_tyz00_4709;

						BgL_argszd2approxzd2_4690 = BgL_argszd2approxzd2_4696;
						{
							obj_t BgL_argsz00_4692;

							BgL_argsz00_4692 = BgL_argszd2approxzd2_4690;
						BgL_loopz00_4691:
							if (NULLP(BgL_argsz00_4692))
								{	/* Cfa/arithmetic.scm 316 */
									BgL_tyz00_4709 = BFALSE;
								}
							else
								{	/* Cfa/arithmetic.scm 318 */
									obj_t BgL_tz00_4693;

									{	/* Cfa/arithmetic.scm 318 */
										obj_t BgL_arg1979z00_4694;

										BgL_arg1979z00_4694 =
											((obj_t)
											(((BgL_approxz00_bglt) COBJECT(
														((BgL_approxz00_bglt)
															CAR(((obj_t) BgL_argsz00_4692)))))->BgL_typez00));
										if (
											(BgL_arg1979z00_4694 == BGl_za2intza2z00zztype_cachez00))
											{	/* Cfa/arithmetic.scm 309 */
												BgL_tz00_4693 = BGl_za2longza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/arithmetic.scm 309 */
												BgL_tz00_4693 = BgL_arg1979z00_4694;
											}
									}
									if ((BgL_tz00_4693 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/arithmetic.scm 320 */
											obj_t BgL_arg1978z00_4695;

											BgL_arg1978z00_4695 = CDR(((obj_t) BgL_argsz00_4692));
											{
												obj_t BgL_argsz00_5165;

												BgL_argsz00_5165 = BgL_arg1978z00_4695;
												BgL_argsz00_4692 = BgL_argsz00_5165;
												goto BgL_loopz00_4691;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 319 */
											BgL_tyz00_4709 = BgL_tz00_4693;
										}
								}
						}
						{	/* Cfa/arithmetic.scm 359 */
							bool_t BgL_test2276z00_5166;

							{	/* Cfa/arithmetic.scm 359 */
								obj_t BgL_arg1965z00_4710;

								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5167;

									{
										obj_t BgL_auxz00_5168;

										{	/* Cfa/arithmetic.scm 359 */
											BgL_objectz00_bglt BgL_tmpz00_5169;

											BgL_tmpz00_5169 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4618));
											BgL_auxz00_5168 = BGL_OBJECT_WIDENING(BgL_tmpz00_5169);
										}
										BgL_auxz00_5167 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5168);
									}
									BgL_arg1965z00_4710 =
										(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_5167))->
										BgL_speczd2typeszd2);
								}
								BgL_argszd2approxzd2_4680 = BgL_argszd2approxzd2_4696;
								BgL_typez00_4681 = BgL_tyz00_4709;
								BgL_speczd2typeszd2_4682 = BgL_arg1965z00_4710;
								{	/* Cfa/arithmetic.scm 326 */
									bool_t BgL__ortest_1190z00_4683;

									if (CBOOL(BgL_typez00_4681))
										{	/* Cfa/arithmetic.scm 326 */
											BgL__ortest_1190z00_4683 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 326 */
											BgL__ortest_1190z00_4683 = ((bool_t) 1);
										}
									if (BgL__ortest_1190z00_4683)
										{	/* Cfa/arithmetic.scm 326 */
											BgL_test2276z00_5166 = BgL__ortest_1190z00_4683;
										}
									else
										{	/* Cfa/arithmetic.scm 327 */
											obj_t BgL__andtest_1191z00_4684;

											BgL__andtest_1191z00_4684 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_typez00_4681, BgL_speczd2typeszd2_4682);
											if (CBOOL(BgL__andtest_1191z00_4684))
												{
													obj_t BgL_argsz00_4686;

													BgL_argsz00_4686 = BgL_argszd2approxzd2_4680;
												BgL_loopz00_4685:
													if (NULLP(BgL_argsz00_4686))
														{	/* Cfa/arithmetic.scm 329 */
															BgL_test2276z00_5166 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 331 */
															obj_t BgL_tz00_4687;

															{	/* Cfa/arithmetic.scm 331 */
																obj_t BgL_arg1986z00_4688;

																BgL_arg1986z00_4688 =
																	((obj_t)
																	(((BgL_approxz00_bglt) COBJECT(
																				((BgL_approxz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_4686)))))->
																		BgL_typez00));
																if ((BgL_arg1986z00_4688 ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 309 */
																		BgL_tz00_4687 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 309 */
																		BgL_tz00_4687 = BgL_arg1986z00_4688;
																	}
															}
															{	/* Cfa/arithmetic.scm 332 */
																bool_t BgL_test2282z00_5190;

																if ((BgL_tz00_4687 == BgL_typez00_4681))
																	{	/* Cfa/arithmetic.scm 332 */
																		BgL_test2282z00_5190 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 332 */
																		BgL_test2282z00_5190 =
																			(BgL_tz00_4687 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_test2282z00_5190)
																	{	/* Cfa/arithmetic.scm 333 */
																		obj_t BgL_arg1985z00_4689;

																		BgL_arg1985z00_4689 =
																			CDR(((obj_t) BgL_argsz00_4686));
																		{
																			obj_t BgL_argsz00_5196;

																			BgL_argsz00_5196 = BgL_arg1985z00_4689;
																			BgL_argsz00_4686 = BgL_argsz00_5196;
																			goto BgL_loopz00_4685;
																		}
																	}
																else
																	{	/* Cfa/arithmetic.scm 332 */
																		BgL_test2276z00_5166 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 327 */
													BgL_test2276z00_5166 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_test2276z00_5166)
								{	/* Cfa/arithmetic.scm 359 */
									{	/* Cfa/arithmetic.scm 362 */
										bool_t BgL_test2284z00_5197;

										{	/* Cfa/arithmetic.scm 362 */
											bool_t BgL_test2285z00_5198;

											{	/* Cfa/arithmetic.scm 362 */
												obj_t BgL_arg1939z00_4711;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5199;

													{
														obj_t BgL_auxz00_5200;

														{	/* Cfa/arithmetic.scm 362 */
															BgL_objectz00_bglt BgL_tmpz00_5201;

															BgL_tmpz00_5201 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4618));
															BgL_auxz00_5200 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5201);
														}
														BgL_auxz00_5199 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5200);
													}
													BgL_arg1939z00_4711 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_5199))->BgL_speczd2typeszd2);
												}
												BgL_argszd2approxzd2_4673 = BgL_argszd2approxzd2_4696;
												BgL_speczd2typeszd2_4674 = BgL_arg1939z00_4711;
												{
													obj_t BgL_argsz00_4676;

													BgL_argsz00_4676 = BgL_argszd2approxzd2_4673;
												BgL_loopz00_4675:
													if (NULLP(BgL_argsz00_4676))
														{	/* Cfa/arithmetic.scm 340 */
															BgL_test2285z00_5198 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 342 */
															bool_t BgL_test2287z00_5209;

															{	/* Cfa/arithmetic.scm 342 */
																obj_t BgL_arg1999z00_4677;

																{	/* Cfa/arithmetic.scm 342 */
																	obj_t BgL_arg2000z00_4678;

																	BgL_arg2000z00_4678 =
																		((obj_t)
																		(((BgL_approxz00_bglt) COBJECT(
																					((BgL_approxz00_bglt)
																						CAR(
																							((obj_t) BgL_argsz00_4676)))))->
																			BgL_typez00));
																	if ((BgL_arg2000z00_4678 ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg1999z00_4677 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 309 */
																			BgL_arg1999z00_4677 = BgL_arg2000z00_4678;
																		}
																}
																BgL_test2287z00_5209 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1999z00_4677,
																		BgL_speczd2typeszd2_4674));
															}
															if (BgL_test2287z00_5209)
																{	/* Cfa/arithmetic.scm 343 */
																	obj_t BgL_arg1998z00_4679;

																	BgL_arg1998z00_4679 =
																		CDR(((obj_t) BgL_argsz00_4676));
																	{
																		obj_t BgL_argsz00_5221;

																		BgL_argsz00_5221 = BgL_arg1998z00_4679;
																		BgL_argsz00_4676 = BgL_argsz00_5221;
																		goto BgL_loopz00_4675;
																	}
																}
															else
																{	/* Cfa/arithmetic.scm 342 */
																	BgL_test2285z00_5198 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test2285z00_5198)
												{	/* Cfa/arithmetic.scm 363 */
													obj_t BgL_arg1936z00_4712;

													{	/* Cfa/arithmetic.scm 363 */
														BgL_approxz00_bglt BgL_arg1938z00_4713;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5222;

															{
																obj_t BgL_auxz00_5223;

																{	/* Cfa/arithmetic.scm 363 */
																	BgL_objectz00_bglt BgL_tmpz00_5224;

																	BgL_tmpz00_5224 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4618));
																	BgL_auxz00_5223 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5224);
																}
																BgL_auxz00_5222 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_5223);
															}
															BgL_arg1938z00_4713 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	COBJECT(BgL_auxz00_5222))->BgL_approxz00);
														}
														BgL_arg1936z00_4712 =
															((obj_t)
															(((BgL_approxz00_bglt)
																	COBJECT(BgL_arg1938z00_4713))->BgL_typez00));
													}
													BgL_test2284z00_5197 =
														(BgL_arg1936z00_4712 ==
														BGl_za2_za2z00zztype_cachez00);
												}
											else
												{	/* Cfa/arithmetic.scm 362 */
													BgL_test2284z00_5197 = ((bool_t) 0);
												}
										}
										if (BgL_test2284z00_5197)
											{	/* Cfa/arithmetic.scm 362 */
												{	/* Cfa/arithmetic.scm 366 */
													BgL_approxz00_bglt BgL_arg1935z00_4714;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5233;

														{
															obj_t BgL_auxz00_5234;

															{	/* Cfa/arithmetic.scm 366 */
																BgL_objectz00_bglt BgL_tmpz00_5235;

																BgL_tmpz00_5235 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4618));
																BgL_auxz00_5234 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5235);
															}
															BgL_auxz00_5233 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_5234);
														}
														BgL_arg1935z00_4714 =
															(((BgL_arithmeticzd2appzd2_bglt)
																COBJECT(BgL_auxz00_5233))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg1935z00_4714,
														((BgL_typez00_bglt) BgL_tyz00_4709));
												}
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00(
													((obj_t) CNST_TABLE_REF(0)));
											}
										else
											{	/* Cfa/arithmetic.scm 362 */
												BFALSE;
											}
									}
								}
							else
								{	/* Cfa/arithmetic.scm 368 */
									bool_t BgL_test2289z00_5246;

									{	/* Cfa/arithmetic.scm 368 */
										obj_t BgL_arg1962z00_4715;

										BgL_arg1962z00_4715 =
											((obj_t)
											(((BgL_varz00_bglt) COBJECT(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4618))))->
															BgL_funz00)))->BgL_variablez00));
										BgL_test2289z00_5246 =
											(BgL_arg1962z00_4715 ==
											BGl_za2eqzf3za2zf3zzcfa_arithmeticz00);
									}
									if (BgL_test2289z00_5246)
										{	/* Cfa/arithmetic.scm 388 */
											bool_t BgL_test2290z00_5253;

											{	/* Cfa/arithmetic.scm 388 */
												obj_t BgL_g1562z00_4716;

												BgL_g1562z00_4716 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4618))))->
													BgL_argsz00);
												{
													obj_t BgL_l1560z00_4718;

													BgL_l1560z00_4718 = BgL_g1562z00_4716;
												BgL_zc3z04anonymousza31954ze3z87_4717:
													if (NULLP(BgL_l1560z00_4718))
														{	/* Cfa/arithmetic.scm 388 */
															BgL_test2290z00_5253 = ((bool_t) 0);
														}
													else
														{	/* Cfa/arithmetic.scm 389 */
															bool_t BgL__ortest_1563z00_4719;

															{	/* Cfa/arithmetic.scm 389 */
																obj_t BgL_az00_4720;

																BgL_az00_4720 =
																	CAR(((obj_t) BgL_l1560z00_4718));
																{	/* Cfa/arithmetic.scm 389 */
																	obj_t BgL_tz00_4721;

																	BgL_tz00_4721 =
																		((obj_t)
																		(((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt) BgL_az00_4720)))->
																			BgL_typez00));
																	{	/* Cfa/arithmetic.scm 390 */
																		bool_t BgL__ortest_1193z00_4722;

																		BgL__ortest_1193z00_4722 =
																			(BgL_tz00_4721 ==
																			BGl_za2_za2z00zztype_cachez00);
																		if (BgL__ortest_1193z00_4722)
																			{	/* Cfa/arithmetic.scm 390 */
																				BgL__ortest_1563z00_4719 =
																					BgL__ortest_1193z00_4722;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 390 */
																				BgL__ortest_1563z00_4719 =
																					BGl_bigloozd2typezf3z21zztype_typez00(
																					((BgL_typez00_bglt) BgL_tz00_4721));
																			}
																	}
																}
															}
															if (BgL__ortest_1563z00_4719)
																{	/* Cfa/arithmetic.scm 388 */
																	BgL_test2290z00_5253 =
																		BgL__ortest_1563z00_4719;
																}
															else
																{	/* Cfa/arithmetic.scm 388 */
																	obj_t BgL_arg1955z00_4723;

																	BgL_arg1955z00_4723 =
																		CDR(((obj_t) BgL_l1560z00_4718));
																	{
																		obj_t BgL_l1560z00_5271;

																		BgL_l1560z00_5271 = BgL_arg1955z00_4723;
																		BgL_l1560z00_4718 = BgL_l1560z00_5271;
																		goto BgL_zc3z04anonymousza31954ze3z87_4717;
																	}
																}
														}
												}
											}
											if (BgL_test2290z00_5253)
												{	/* Cfa/arithmetic.scm 392 */
													obj_t BgL_g1567z00_4724;

													BgL_g1567z00_4724 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4618))))->
														BgL_argsz00);
													{
														obj_t BgL_ll1564z00_4726;
														obj_t BgL_ll1565z00_4727;

														{	/* Cfa/arithmetic.scm 392 */
															bool_t BgL_tmpz00_5275;

															BgL_ll1564z00_4726 = BgL_g1567z00_4724;
															BgL_ll1565z00_4727 = BgL_argszd2approxzd2_4696;
														BgL_zc3z04anonymousza31948ze3z87_4725:
															if (NULLP(BgL_ll1564z00_4726))
																{	/* Cfa/arithmetic.scm 392 */
																	BgL_tmpz00_5275 = ((bool_t) 1);
																}
															else
																{	/* Cfa/arithmetic.scm 392 */
																	{	/* Cfa/arithmetic.scm 393 */
																		obj_t BgL_az00_4728;
																		obj_t BgL_pz00_4729;

																		BgL_az00_4728 =
																			CAR(((obj_t) BgL_ll1564z00_4726));
																		BgL_pz00_4729 =
																			CAR(((obj_t) BgL_ll1565z00_4727));
																		{	/* Cfa/arithmetic.scm 393 */
																			obj_t BgL_tz00_4730;

																			BgL_tz00_4730 =
																				((obj_t)
																				(((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_az00_4728)))->BgL_typez00));
																			if ((BgL_tz00_4730 ==
																					BGl_za2_za2z00zztype_cachez00))
																				{	/* Cfa/arithmetic.scm 394 */
																					BGl_approxzd2setzd2typez12z12zzcfa_approxz00
																						(((BgL_approxz00_bglt)
																							BgL_pz00_4729),
																						((BgL_typez00_bglt)
																							BGl_za2objza2z00zztype_cachez00));
																				}
																			else
																				{	/* Cfa/arithmetic.scm 394 */
																					BFALSE;
																				}
																		}
																	}
																	{	/* Cfa/arithmetic.scm 392 */
																		obj_t BgL_arg1950z00_4731;
																		obj_t BgL_arg1953z00_4732;

																		BgL_arg1950z00_4731 =
																			CDR(((obj_t) BgL_ll1564z00_4726));
																		BgL_arg1953z00_4732 =
																			CDR(((obj_t) BgL_ll1565z00_4727));
																		{
																			obj_t BgL_ll1565z00_5295;
																			obj_t BgL_ll1564z00_5294;

																			BgL_ll1564z00_5294 = BgL_arg1950z00_4731;
																			BgL_ll1565z00_5295 = BgL_arg1953z00_4732;
																			BgL_ll1565z00_4727 = BgL_ll1565z00_5295;
																			BgL_ll1564z00_4726 = BgL_ll1564z00_5294;
																			goto
																				BgL_zc3z04anonymousza31948ze3z87_4725;
																		}
																	}
																}
															BBOOL(BgL_tmpz00_5275);
														}
													}
												}
											else
												{	/* Cfa/arithmetic.scm 388 */
													BFALSE;
												}
										}
									else
										{	/* Cfa/arithmetic.scm 368 */
											{
												obj_t BgL_l1568z00_4734;

												BgL_l1568z00_4734 = BgL_argszd2approxzd2_4696;
											BgL_zc3z04anonymousza31956ze3z87_4733:
												if (PAIRP(BgL_l1568z00_4734))
													{	/* Cfa/arithmetic.scm 398 */
														{	/* Cfa/arithmetic.scm 398 */
															obj_t BgL_az00_4735;

															BgL_az00_4735 = CAR(BgL_l1568z00_4734);
															BGl_loosez12z12zzcfa_loosez00(
																((BgL_approxz00_bglt) BgL_az00_4735),
																((obj_t) CNST_TABLE_REF(1)));
														}
														{
															obj_t BgL_l1568z00_5304;

															BgL_l1568z00_5304 = CDR(BgL_l1568z00_4734);
															BgL_l1568z00_4734 = BgL_l1568z00_5304;
															goto BgL_zc3z04anonymousza31956ze3z87_4733;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 398 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 399 */
												BgL_approxz00_bglt BgL_arg1961z00_4736;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5306;

													{
														obj_t BgL_auxz00_5307;

														{	/* Cfa/arithmetic.scm 399 */
															BgL_objectz00_bglt BgL_tmpz00_5308;

															BgL_tmpz00_5308 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4618));
															BgL_auxz00_5307 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5308);
														}
														BgL_auxz00_5306 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5307);
													}
													BgL_arg1961z00_4736 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_5306))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1961z00_4736,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										}
								}
						}
					}
				}
				{
					BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5316;

					{
						obj_t BgL_auxz00_5317;

						{	/* Cfa/arithmetic.scm 402 */
							BgL_objectz00_bglt BgL_tmpz00_5318;

							BgL_tmpz00_5318 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4618));
							BgL_auxz00_5317 = BGL_OBJECT_WIDENING(BgL_tmpz00_5318);
						}
						BgL_auxz00_5316 = ((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5317);
					}
					return
						(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_5316))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-pre-arit1606 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit1606za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4619, obj_t BgL_nodez00_4620)
	{
		{	/* Cfa/arithmetic.scm 257 */
			if (CBOOL(BGl_za2eqzf3za2zf3zzcfa_arithmeticz00))
				{	/* Cfa/arithmetic.scm 269 */
					BFALSE;
				}
			else
				{	/* Cfa/arithmetic.scm 269 */
					BGl_za2eqzf3za2zf3zzcfa_arithmeticz00 =
						BGl_findzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(2)), ((obj_t) CNST_TABLE_REF(3)));
				}
			{	/* Cfa/arithmetic.scm 273 */
				BgL_variablez00_bglt BgL_fz00_4738;

				BgL_fz00_4738 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4620))))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/arithmetic.scm 273 */
					BgL_valuez00_bglt BgL_valz00_4739;

					BgL_valz00_4739 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4738))->BgL_valuez00);
					{	/* Cfa/arithmetic.scm 274 */

						{	/* Cfa/arithmetic.scm 276 */
							bool_t BgL_test2298z00_5336;

							{	/* Cfa/arithmetic.scm 276 */
								obj_t BgL_arg1893z00_4740;

								BgL_arg1893z00_4740 =
									((obj_t)
									(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4738))->
										BgL_typez00));
								BgL_test2298z00_5336 =
									(BgL_arg1893z00_4740 == BGl_za2objza2z00zztype_cachez00);
							}
							if (BgL_test2298z00_5336)
								{	/* Cfa/arithmetic.scm 276 */
									{	/* Cfa/arithmetic.scm 279 */
										BgL_typez00_bglt BgL_vz00_4741;

										BgL_vz00_4741 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_fz00_4738))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4741), BUNSPEC);
									}
									{	/* Cfa/arithmetic.scm 280 */
										BgL_typez00_bglt BgL_vz00_4742;

										BgL_vz00_4742 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4620))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4742), BUNSPEC);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 276 */
									BFALSE;
								}
						}
						{	/* Cfa/arithmetic.scm 282 */
							bool_t BgL_test2299z00_5346;

							{	/* Cfa/arithmetic.scm 282 */
								obj_t BgL_classz00_4743;

								BgL_classz00_4743 = BGl_sfunz00zzast_varz00;
								{	/* Cfa/arithmetic.scm 282 */
									BgL_objectz00_bglt BgL_arg1858z00_4744;

									{	/* Cfa/arithmetic.scm 282 */
										obj_t BgL_tmpz00_5347;

										BgL_tmpz00_5347 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valz00_4739));
										BgL_arg1858z00_4744 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5347);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/arithmetic.scm 282 */
											long BgL_idxz00_4745;

											BgL_idxz00_4745 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4744);
											BgL_test2299z00_5346 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4745 + 3L)) == BgL_classz00_4743);
										}
									else
										{	/* Cfa/arithmetic.scm 282 */
											bool_t BgL_res2178z00_4748;

											{	/* Cfa/arithmetic.scm 282 */
												obj_t BgL_oclassz00_4749;

												{	/* Cfa/arithmetic.scm 282 */
													obj_t BgL_arg1866z00_4750;
													long BgL_arg1867z00_4751;

													BgL_arg1866z00_4750 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/arithmetic.scm 282 */
														long BgL_arg1869z00_4752;

														BgL_arg1869z00_4752 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4744);
														BgL_arg1867z00_4751 =
															(BgL_arg1869z00_4752 - OBJECT_TYPE);
													}
													BgL_oclassz00_4749 =
														VECTOR_REF(BgL_arg1866z00_4750,
														BgL_arg1867z00_4751);
												}
												{	/* Cfa/arithmetic.scm 282 */
													bool_t BgL__ortest_1115z00_4753;

													BgL__ortest_1115z00_4753 =
														(BgL_classz00_4743 == BgL_oclassz00_4749);
													if (BgL__ortest_1115z00_4753)
														{	/* Cfa/arithmetic.scm 282 */
															BgL_res2178z00_4748 = BgL__ortest_1115z00_4753;
														}
													else
														{	/* Cfa/arithmetic.scm 282 */
															long BgL_odepthz00_4754;

															{	/* Cfa/arithmetic.scm 282 */
																obj_t BgL_arg1855z00_4755;

																BgL_arg1855z00_4755 = (BgL_oclassz00_4749);
																BgL_odepthz00_4754 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4755);
															}
															if ((3L < BgL_odepthz00_4754))
																{	/* Cfa/arithmetic.scm 282 */
																	obj_t BgL_arg1853z00_4756;

																	{	/* Cfa/arithmetic.scm 282 */
																		obj_t BgL_arg1854z00_4757;

																		BgL_arg1854z00_4757 = (BgL_oclassz00_4749);
																		BgL_arg1853z00_4756 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4757, 3L);
																	}
																	BgL_res2178z00_4748 =
																		(BgL_arg1853z00_4756 == BgL_classz00_4743);
																}
															else
																{	/* Cfa/arithmetic.scm 282 */
																	BgL_res2178z00_4748 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2299z00_5346 = BgL_res2178z00_4748;
										}
								}
							}
							if (BgL_test2299z00_5346)
								{	/* Cfa/arithmetic.scm 283 */
									obj_t BgL_arg1895z00_4758;

									{	/* Cfa/arithmetic.scm 283 */
										obj_t BgL_l1548z00_4759;

										BgL_l1548z00_4759 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4739)))->BgL_argsz00);
										if (NULLP(BgL_l1548z00_4759))
											{	/* Cfa/arithmetic.scm 283 */
												BgL_arg1895z00_4758 = BNIL;
											}
										else
											{	/* Cfa/arithmetic.scm 283 */
												obj_t BgL_head1550z00_4760;

												{	/* Cfa/arithmetic.scm 283 */
													obj_t BgL_arg1902z00_4761;

													{	/* Cfa/arithmetic.scm 283 */
														obj_t BgL_arg1903z00_4762;

														BgL_arg1903z00_4762 =
															CAR(((obj_t) BgL_l1548z00_4759));
														BgL_arg1902z00_4761 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(BgL_arg1903z00_4762);
													}
													BgL_head1550z00_4760 =
														MAKE_YOUNG_PAIR(BgL_arg1902z00_4761, BNIL);
												}
												{	/* Cfa/arithmetic.scm 283 */
													obj_t BgL_g1553z00_4763;

													BgL_g1553z00_4763 = CDR(((obj_t) BgL_l1548z00_4759));
													{
														obj_t BgL_l1548z00_4765;
														obj_t BgL_tail1551z00_4766;

														BgL_l1548z00_4765 = BgL_g1553z00_4763;
														BgL_tail1551z00_4766 = BgL_head1550z00_4760;
													BgL_zc3z04anonymousza31897ze3z87_4764:
														if (NULLP(BgL_l1548z00_4765))
															{	/* Cfa/arithmetic.scm 283 */
																BgL_arg1895z00_4758 = BgL_head1550z00_4760;
															}
														else
															{	/* Cfa/arithmetic.scm 283 */
																obj_t BgL_newtail1552z00_4767;

																{	/* Cfa/arithmetic.scm 283 */
																	obj_t BgL_arg1900z00_4768;

																	{	/* Cfa/arithmetic.scm 283 */
																		obj_t BgL_arg1901z00_4769;

																		BgL_arg1901z00_4769 =
																			CAR(((obj_t) BgL_l1548z00_4765));
																		BgL_arg1900z00_4768 =
																			BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1901z00_4769);
																	}
																	BgL_newtail1552z00_4767 =
																		MAKE_YOUNG_PAIR(BgL_arg1900z00_4768, BNIL);
																}
																SET_CDR(BgL_tail1551z00_4766,
																	BgL_newtail1552z00_4767);
																{	/* Cfa/arithmetic.scm 283 */
																	obj_t BgL_arg1899z00_4770;

																	BgL_arg1899z00_4770 =
																		CDR(((obj_t) BgL_l1548z00_4765));
																	{
																		obj_t BgL_tail1551z00_5390;
																		obj_t BgL_l1548z00_5389;

																		BgL_l1548z00_5389 = BgL_arg1899z00_4770;
																		BgL_tail1551z00_5390 =
																			BgL_newtail1552z00_4767;
																		BgL_tail1551z00_4766 = BgL_tail1551z00_5390;
																		BgL_l1548z00_4765 = BgL_l1548z00_5389;
																		goto BgL_zc3z04anonymousza31897ze3z87_4764;
																	}
																}
															}
													}
												}
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4739)))->BgL_argsz00) =
										((obj_t) BgL_arg1895z00_4758), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 284 */
									bool_t BgL_test2305z00_5393;

									{	/* Cfa/arithmetic.scm 284 */
										obj_t BgL_classz00_4771;

										BgL_classz00_4771 = BGl_cfunz00zzast_varz00;
										{	/* Cfa/arithmetic.scm 284 */
											BgL_objectz00_bglt BgL_arg1858z00_4772;

											{	/* Cfa/arithmetic.scm 284 */
												obj_t BgL_tmpz00_5394;

												BgL_tmpz00_5394 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valz00_4739));
												BgL_arg1858z00_4772 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5394);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/arithmetic.scm 284 */
													long BgL_idxz00_4773;

													BgL_idxz00_4773 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4772);
													BgL_test2305z00_5393 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4773 + 3L)) == BgL_classz00_4771);
												}
											else
												{	/* Cfa/arithmetic.scm 284 */
													bool_t BgL_res2179z00_4776;

													{	/* Cfa/arithmetic.scm 284 */
														obj_t BgL_oclassz00_4777;

														{	/* Cfa/arithmetic.scm 284 */
															obj_t BgL_arg1866z00_4778;
															long BgL_arg1867z00_4779;

															BgL_arg1866z00_4778 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/arithmetic.scm 284 */
																long BgL_arg1869z00_4780;

																BgL_arg1869z00_4780 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4772);
																BgL_arg1867z00_4779 =
																	(BgL_arg1869z00_4780 - OBJECT_TYPE);
															}
															BgL_oclassz00_4777 =
																VECTOR_REF(BgL_arg1866z00_4778,
																BgL_arg1867z00_4779);
														}
														{	/* Cfa/arithmetic.scm 284 */
															bool_t BgL__ortest_1115z00_4781;

															BgL__ortest_1115z00_4781 =
																(BgL_classz00_4771 == BgL_oclassz00_4777);
															if (BgL__ortest_1115z00_4781)
																{	/* Cfa/arithmetic.scm 284 */
																	BgL_res2179z00_4776 =
																		BgL__ortest_1115z00_4781;
																}
															else
																{	/* Cfa/arithmetic.scm 284 */
																	long BgL_odepthz00_4782;

																	{	/* Cfa/arithmetic.scm 284 */
																		obj_t BgL_arg1855z00_4783;

																		BgL_arg1855z00_4783 = (BgL_oclassz00_4777);
																		BgL_odepthz00_4782 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4783);
																	}
																	if ((3L < BgL_odepthz00_4782))
																		{	/* Cfa/arithmetic.scm 284 */
																			obj_t BgL_arg1853z00_4784;

																			{	/* Cfa/arithmetic.scm 284 */
																				obj_t BgL_arg1854z00_4785;

																				BgL_arg1854z00_4785 =
																					(BgL_oclassz00_4777);
																				BgL_arg1853z00_4784 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4785, 3L);
																			}
																			BgL_res2179z00_4776 =
																				(BgL_arg1853z00_4784 ==
																				BgL_classz00_4771);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 284 */
																			BgL_res2179z00_4776 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2305z00_5393 = BgL_res2179z00_4776;
												}
										}
									}
									if (BgL_test2305z00_5393)
										{	/* Cfa/arithmetic.scm 285 */
											obj_t BgL_g1184z00_4786;

											BgL_g1184z00_4786 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_4739)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_lz00_4788;

												BgL_lz00_4788 = BgL_g1184z00_4786;
											BgL_loopz00_4787:
												if (PAIRP(BgL_lz00_4788))
													{	/* Cfa/arithmetic.scm 287 */
														obj_t BgL_tmpz00_5421;

														BgL_tmpz00_5421 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(CAR(BgL_lz00_4788));
														SET_CAR(BgL_lz00_4788, BgL_tmpz00_5421);
													}
												else
													{	/* Cfa/arithmetic.scm 288 */
														obj_t BgL_arg1909z00_4789;

														BgL_arg1909z00_4789 = CDR(((obj_t) BgL_lz00_4788));
														{
															obj_t BgL_lz00_5427;

															BgL_lz00_5427 = BgL_arg1909z00_4789;
															BgL_lz00_4788 = BgL_lz00_5427;
															goto BgL_loopz00_4787;
														}
													}
											}
										}
									else
										{	/* Cfa/arithmetic.scm 284 */
											BGl_errorz00zz__errorz00
												(BGl_string2206z00zzcfa_arithmeticz00,
												BGl_string2209z00zzcfa_arithmeticz00,
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4620)));
										}
								}
						}
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_4620)),
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
						{	/* Cfa/arithmetic.scm 293 */
							obj_t BgL_arg1910z00_4790;

							BgL_arg1910z00_4790 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4620))))->BgL_argsz00);
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1910z00_4790);
						}
						{	/* Cfa/arithmetic.scm 294 */
							obj_t BgL_speczd2typeszd2_4791;

							{
								BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5438;

								{
									obj_t BgL_auxz00_5439;

									{	/* Cfa/arithmetic.scm 294 */
										BgL_objectz00_bglt BgL_tmpz00_5440;

										BgL_tmpz00_5440 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4620));
										BgL_auxz00_5439 = BGL_OBJECT_WIDENING(BgL_tmpz00_5440);
									}
									BgL_auxz00_5438 =
										((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5439);
								}
								BgL_speczd2typeszd2_4791 =
									(((BgL_prezd2arithmeticzd2appz00_bglt)
										COBJECT(BgL_auxz00_5438))->BgL_speczd2typeszd2);
							}
							{	/* Cfa/arithmetic.scm 294 */
								BgL_appz00_bglt BgL_nodez00_4792;

								{	/* Cfa/arithmetic.scm 295 */
									long BgL_arg1917z00_4793;

									{	/* Cfa/arithmetic.scm 295 */
										obj_t BgL_arg1918z00_4794;

										{	/* Cfa/arithmetic.scm 295 */
											obj_t BgL_arg1919z00_4795;

											{	/* Cfa/arithmetic.scm 295 */
												obj_t BgL_arg1866z00_4796;
												long BgL_arg1867z00_4797;

												BgL_arg1866z00_4796 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/arithmetic.scm 295 */
													long BgL_arg1869z00_4798;

													BgL_arg1869z00_4798 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4620)));
													BgL_arg1867z00_4797 =
														(BgL_arg1869z00_4798 - OBJECT_TYPE);
												}
												BgL_arg1919z00_4795 =
													VECTOR_REF(BgL_arg1866z00_4796, BgL_arg1867z00_4797);
											}
											BgL_arg1918z00_4794 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg1919z00_4795);
										}
										{	/* Cfa/arithmetic.scm 295 */
											obj_t BgL_tmpz00_5453;

											BgL_tmpz00_5453 = ((obj_t) BgL_arg1918z00_4794);
											BgL_arg1917z00_4793 = BGL_CLASS_NUM(BgL_tmpz00_5453);
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4620)),
										BgL_arg1917z00_4793);
								}
								{	/* Cfa/arithmetic.scm 295 */
									BgL_objectz00_bglt BgL_tmpz00_5459;

									BgL_tmpz00_5459 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4620));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5459, BFALSE);
								}
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4620));
								BgL_nodez00_4792 = ((BgL_appz00_bglt) BgL_nodez00_4620);
								{	/* Cfa/arithmetic.scm 295 */

									{	/* Cfa/arithmetic.scm 296 */
										BgL_arithmeticzd2appzd2_bglt BgL_wide1188z00_4799;

										BgL_wide1188z00_4799 =
											((BgL_arithmeticzd2appzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_arithmeticzd2appzd2_bgl))));
										{	/* Cfa/arithmetic.scm 296 */
											obj_t BgL_auxz00_5471;
											BgL_objectz00_bglt BgL_tmpz00_5467;

											BgL_auxz00_5471 = ((obj_t) BgL_wide1188z00_4799);
											BgL_tmpz00_5467 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_4792)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5467, BgL_auxz00_5471);
										}
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4792)));
										{	/* Cfa/arithmetic.scm 296 */
											long BgL_arg1911z00_4800;

											BgL_arg1911z00_4800 =
												BGL_CLASS_NUM(BGl_arithmeticzd2appzd2zzcfa_info2z00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4792))),
												BgL_arg1911z00_4800);
										}
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4792)));
									}
									{
										BgL_approxz00_bglt BgL_auxz00_5493;
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5485;

										{	/* Cfa/arithmetic.scm 298 */
											bool_t BgL_test2310z00_5494;

											{	/* Cfa/arithmetic.scm 298 */
												obj_t BgL_arg1916z00_4801;

												BgL_arg1916z00_4801 =
													((obj_t)
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4738))->
														BgL_typez00));
												BgL_test2310z00_5494 =
													(BgL_arg1916z00_4801 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2310z00_5494)
												{	/* Cfa/arithmetic.scm 298 */
													BgL_auxz00_5493 =
														BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
												}
											else
												{	/* Cfa/arithmetic.scm 300 */
													BgL_typez00_bglt BgL_arg1915z00_4802;

													BgL_arg1915z00_4802 =
														(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4738))->
														BgL_typez00);
													BgL_auxz00_5493 =
														BGl_makezd2typezd2approxz00zzcfa_approxz00
														(BgL_arg1915z00_4802);
												}
										}
										{
											obj_t BgL_auxz00_5486;

											{	/* Cfa/arithmetic.scm 298 */
												BgL_objectz00_bglt BgL_tmpz00_5487;

												BgL_tmpz00_5487 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4792)));
												BgL_auxz00_5486 = BGL_OBJECT_WIDENING(BgL_tmpz00_5487);
											}
											BgL_auxz00_5485 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5486);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_5485))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_auxz00_5493), BUNSPEC);
									}
									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5502;

										{
											obj_t BgL_auxz00_5503;

											{	/* Cfa/arithmetic.scm 297 */
												BgL_objectz00_bglt BgL_tmpz00_5504;

												BgL_tmpz00_5504 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4792)));
												BgL_auxz00_5503 = BGL_OBJECT_WIDENING(BgL_tmpz00_5504);
											}
											BgL_auxz00_5502 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5503);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_5502))->BgL_speczd2typeszd2) =
											((obj_t) BgL_speczd2typeszd2_4791), BUNSPEC);
									}
									return
										((obj_t)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4792)));
								}
							}
						}
					}
				}
			}
		}

	}



/* unspecified-type~0 */
	obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_lz00_3397)
	{
		{	/* Cfa/arithmetic.scm 267 */
			{	/* Cfa/arithmetic.scm 261 */
				bool_t BgL_test2311z00_5514;

				{	/* Cfa/arithmetic.scm 261 */
					obj_t BgL_classz00_4246;

					BgL_classz00_4246 = BGl_typez00zztype_typez00;
					if (BGL_OBJECTP(BgL_lz00_3397))
						{	/* Cfa/arithmetic.scm 261 */
							BgL_objectz00_bglt BgL_arg1858z00_4248;

							BgL_arg1858z00_4248 = (BgL_objectz00_bglt) (BgL_lz00_3397);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/arithmetic.scm 261 */
									long BgL_idxz00_4254;

									BgL_idxz00_4254 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4248);
									BgL_test2311z00_5514 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4254 + 1L)) == BgL_classz00_4246);
								}
							else
								{	/* Cfa/arithmetic.scm 261 */
									bool_t BgL_res2176z00_4279;

									{	/* Cfa/arithmetic.scm 261 */
										obj_t BgL_oclassz00_4262;

										{	/* Cfa/arithmetic.scm 261 */
											obj_t BgL_arg1866z00_4270;
											long BgL_arg1867z00_4271;

											BgL_arg1866z00_4270 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/arithmetic.scm 261 */
												long BgL_arg1869z00_4272;

												BgL_arg1869z00_4272 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4248);
												BgL_arg1867z00_4271 =
													(BgL_arg1869z00_4272 - OBJECT_TYPE);
											}
											BgL_oclassz00_4262 =
												VECTOR_REF(BgL_arg1866z00_4270, BgL_arg1867z00_4271);
										}
										{	/* Cfa/arithmetic.scm 261 */
											bool_t BgL__ortest_1115z00_4263;

											BgL__ortest_1115z00_4263 =
												(BgL_classz00_4246 == BgL_oclassz00_4262);
											if (BgL__ortest_1115z00_4263)
												{	/* Cfa/arithmetic.scm 261 */
													BgL_res2176z00_4279 = BgL__ortest_1115z00_4263;
												}
											else
												{	/* Cfa/arithmetic.scm 261 */
													long BgL_odepthz00_4264;

													{	/* Cfa/arithmetic.scm 261 */
														obj_t BgL_arg1855z00_4265;

														BgL_arg1855z00_4265 = (BgL_oclassz00_4262);
														BgL_odepthz00_4264 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4265);
													}
													if ((1L < BgL_odepthz00_4264))
														{	/* Cfa/arithmetic.scm 261 */
															obj_t BgL_arg1853z00_4267;

															{	/* Cfa/arithmetic.scm 261 */
																obj_t BgL_arg1854z00_4268;

																BgL_arg1854z00_4268 = (BgL_oclassz00_4262);
																BgL_arg1853z00_4267 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4268,
																	1L);
															}
															BgL_res2176z00_4279 =
																(BgL_arg1853z00_4267 == BgL_classz00_4246);
														}
													else
														{	/* Cfa/arithmetic.scm 261 */
															BgL_res2176z00_4279 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2311z00_5514 = BgL_res2176z00_4279;
								}
						}
					else
						{	/* Cfa/arithmetic.scm 261 */
							BgL_test2311z00_5514 = ((bool_t) 0);
						}
				}
				if (BgL_test2311z00_5514)
					{	/* Cfa/arithmetic.scm 261 */
						return BGl_za2_za2z00zztype_cachez00;
					}
				else
					{	/* Cfa/arithmetic.scm 263 */
						bool_t BgL_test2316z00_5537;

						{	/* Cfa/arithmetic.scm 263 */
							obj_t BgL_classz00_4280;

							BgL_classz00_4280 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_lz00_3397))
								{	/* Cfa/arithmetic.scm 263 */
									BgL_objectz00_bglt BgL_arg1858z00_4282;

									BgL_arg1858z00_4282 = (BgL_objectz00_bglt) (BgL_lz00_3397);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/arithmetic.scm 263 */
											long BgL_idxz00_4288;

											BgL_idxz00_4288 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4282);
											BgL_test2316z00_5537 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4288 + 2L)) == BgL_classz00_4280);
										}
									else
										{	/* Cfa/arithmetic.scm 263 */
											bool_t BgL_res2177z00_4313;

											{	/* Cfa/arithmetic.scm 263 */
												obj_t BgL_oclassz00_4296;

												{	/* Cfa/arithmetic.scm 263 */
													obj_t BgL_arg1866z00_4304;
													long BgL_arg1867z00_4305;

													BgL_arg1866z00_4304 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/arithmetic.scm 263 */
														long BgL_arg1869z00_4306;

														BgL_arg1869z00_4306 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4282);
														BgL_arg1867z00_4305 =
															(BgL_arg1869z00_4306 - OBJECT_TYPE);
													}
													BgL_oclassz00_4296 =
														VECTOR_REF(BgL_arg1866z00_4304,
														BgL_arg1867z00_4305);
												}
												{	/* Cfa/arithmetic.scm 263 */
													bool_t BgL__ortest_1115z00_4297;

													BgL__ortest_1115z00_4297 =
														(BgL_classz00_4280 == BgL_oclassz00_4296);
													if (BgL__ortest_1115z00_4297)
														{	/* Cfa/arithmetic.scm 263 */
															BgL_res2177z00_4313 = BgL__ortest_1115z00_4297;
														}
													else
														{	/* Cfa/arithmetic.scm 263 */
															long BgL_odepthz00_4298;

															{	/* Cfa/arithmetic.scm 263 */
																obj_t BgL_arg1855z00_4299;

																BgL_arg1855z00_4299 = (BgL_oclassz00_4296);
																BgL_odepthz00_4298 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4299);
															}
															if ((2L < BgL_odepthz00_4298))
																{	/* Cfa/arithmetic.scm 263 */
																	obj_t BgL_arg1853z00_4301;

																	{	/* Cfa/arithmetic.scm 263 */
																		obj_t BgL_arg1854z00_4302;

																		BgL_arg1854z00_4302 = (BgL_oclassz00_4296);
																		BgL_arg1853z00_4301 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4302, 2L);
																	}
																	BgL_res2177z00_4313 =
																		(BgL_arg1853z00_4301 == BgL_classz00_4280);
																}
															else
																{	/* Cfa/arithmetic.scm 263 */
																	BgL_res2177z00_4313 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2316z00_5537 = BgL_res2177z00_4313;
										}
								}
							else
								{	/* Cfa/arithmetic.scm 263 */
									BgL_test2316z00_5537 = ((bool_t) 0);
								}
						}
						if (BgL_test2316z00_5537)
							{	/* Cfa/arithmetic.scm 263 */
								{	/* Cfa/arithmetic.scm 264 */
									BgL_typez00_bglt BgL_vz00_4315;

									BgL_vz00_4315 =
										((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
									((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_lz00_3397))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_4315), BUNSPEC);
								}
								return BgL_lz00_3397;
							}
						else
							{	/* Cfa/arithmetic.scm 263 */
								return BgL_lz00_3397;
							}
					}
			}
		}

	}



/* &cleanup-node!-app1604 */
	obj_t BGl_z62cleanupzd2nodez12zd2app1604z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4621, obj_t BgL_nodez00_4622)
	{
		{	/* Cfa/arithmetic.scm 244 */
			{	/* Cfa/arithmetic.scm 245 */
				bool_t BgL_tmpz00_5564;

				{	/* Cfa/arithmetic.scm 246 */
					BgL_varz00_bglt BgL_arg1885z00_4804;

					BgL_arg1885z00_4804 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4622)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg1885z00_4804));
				}
				{	/* Cfa/arithmetic.scm 247 */
					obj_t BgL_g1547z00_4805;

					BgL_g1547z00_4805 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4622)))->BgL_argsz00);
					{
						obj_t BgL_l1545z00_4807;

						BgL_l1545z00_4807 = BgL_g1547z00_4805;
					BgL_zc3z04anonymousza31886ze3z87_4806:
						if (PAIRP(BgL_l1545z00_4807))
							{	/* Cfa/arithmetic.scm 247 */
								{	/* Cfa/arithmetic.scm 247 */
									obj_t BgL_arg1889z00_4808;

									BgL_arg1889z00_4808 = CAR(BgL_l1545z00_4807);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1889z00_4808));
								}
								{
									obj_t BgL_l1545z00_5576;

									BgL_l1545z00_5576 = CDR(BgL_l1545z00_4807);
									BgL_l1545z00_4807 = BgL_l1545z00_5576;
									goto BgL_zc3z04anonymousza31886ze3z87_4806;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 247 */
								BgL_tmpz00_5564 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5564);
			}
		}

	}



/* &cleanup-node!-funcal1602 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal1602z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4623, obj_t BgL_nodez00_4624)
	{
		{	/* Cfa/arithmetic.scm 236 */
			{	/* Cfa/arithmetic.scm 237 */
				bool_t BgL_tmpz00_5579;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4624)))->BgL_funz00));
				{	/* Cfa/arithmetic.scm 239 */
					obj_t BgL_g1544z00_4810;

					BgL_g1544z00_4810 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_4624)))->BgL_argsz00);
					{
						obj_t BgL_l1542z00_4812;

						BgL_l1542z00_4812 = BgL_g1544z00_4810;
					BgL_zc3z04anonymousza31877ze3z87_4811:
						if (PAIRP(BgL_l1542z00_4812))
							{	/* Cfa/arithmetic.scm 239 */
								{	/* Cfa/arithmetic.scm 239 */
									obj_t BgL_arg1882z00_4813;

									BgL_arg1882z00_4813 = CAR(BgL_l1542z00_4812);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1882z00_4813));
								}
								{
									obj_t BgL_l1542z00_5590;

									BgL_l1542z00_5590 = CDR(BgL_l1542z00_4812);
									BgL_l1542z00_4812 = BgL_l1542z00_5590;
									goto BgL_zc3z04anonymousza31877ze3z87_4811;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 239 */
								BgL_tmpz00_5579 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5579);
			}
		}

	}



/* &cleanup-node!-app-ly1600 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly1600za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4625, obj_t BgL_nodez00_4626)
	{
		{	/* Cfa/arithmetic.scm 228 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4626)))->BgL_funz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_4626)))->BgL_argz00));
		}

	}



/* &cleanup-node!-box-se1598 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se1598za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4627, obj_t BgL_nodez00_4628)
	{
		{	/* Cfa/arithmetic.scm 220 */
			{	/* Cfa/arithmetic.scm 222 */
				BgL_varz00_bglt BgL_arg1859z00_4816;

				BgL_arg1859z00_4816 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4628)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1859z00_4816));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4628)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-box-re1596 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re1596za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4629, obj_t BgL_nodez00_4630)
	{
		{	/* Cfa/arithmetic.scm 213 */
			{	/* Cfa/arithmetic.scm 215 */
				BgL_varz00_bglt BgL_arg1857z00_4818;

				BgL_arg1857z00_4818 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_4630)))->BgL_varz00);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1857z00_4818));
			}
		}

	}



/* &cleanup-node!-make-b1594 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b1594za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4631, obj_t BgL_nodez00_4632)
	{
		{	/* Cfa/arithmetic.scm 206 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4632)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-jump-e1592 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e1592za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4633, obj_t BgL_nodez00_4634)
	{
		{	/* Cfa/arithmetic.scm 198 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4634)))->BgL_exitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4634)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-set-ex1590 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex1590za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4635, obj_t BgL_nodez00_4636)
	{
		{	/* Cfa/arithmetic.scm 189 */
			{	/* Cfa/arithmetic.scm 191 */
				BgL_varz00_bglt BgL_arg1845z00_4822;

				BgL_arg1845z00_4822 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4636)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1845z00_4822));
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4636)))->BgL_onexitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4636)))->BgL_bodyz00));
		}

	}



/* &cleanup-node!-let-va1588 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va1588za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4637, obj_t BgL_nodez00_4638)
	{
		{	/* Cfa/arithmetic.scm 179 */
			{	/* Cfa/arithmetic.scm 181 */
				obj_t BgL_g1541z00_4824;

				BgL_g1541z00_4824 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4638)))->BgL_bindingsz00);
				{
					obj_t BgL_l1539z00_4826;

					BgL_l1539z00_4826 = BgL_g1541z00_4824;
				BgL_zc3z04anonymousza31819ze3z87_4825:
					if (PAIRP(BgL_l1539z00_4826))
						{	/* Cfa/arithmetic.scm 181 */
							{	/* Cfa/arithmetic.scm 181 */
								obj_t BgL_bz00_4827;

								BgL_bz00_4827 = CAR(BgL_l1539z00_4826);
								{	/* Cfa/arithmetic.scm 181 */
									obj_t BgL_arg1821z00_4828;

									BgL_arg1821z00_4828 = CDR(((obj_t) BgL_bz00_4827));
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1821z00_4828));
								}
							}
							{
								obj_t BgL_l1539z00_5638;

								BgL_l1539z00_5638 = CDR(BgL_l1539z00_4826);
								BgL_l1539z00_4826 = BgL_l1539z00_5638;
								goto BgL_zc3z04anonymousza31819ze3z87_4825;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 181 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4638)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 183 */
				bool_t BgL_test2324z00_5643;

				{	/* Cfa/arithmetic.scm 183 */
					obj_t BgL_arg1842z00_4829;

					BgL_arg1842z00_4829 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_nodez00_4638))))->
							BgL_typez00));
					BgL_test2324z00_5643 =
						(BgL_arg1842z00_4829 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2324z00_5643)
					{	/* Cfa/arithmetic.scm 183 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_4638))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2varzd2_bglt)
													COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_4638)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 183 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-let-fu1586 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu1586za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4639, obj_t BgL_nodez00_4640)
	{
		{	/* Cfa/arithmetic.scm 169 */
			{	/* Cfa/arithmetic.scm 171 */
				obj_t BgL_g1538z00_4831;

				BgL_g1538z00_4831 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4640)))->BgL_localsz00);
				{
					obj_t BgL_l1536z00_4833;

					BgL_l1536z00_4833 = BgL_g1538z00_4831;
				BgL_zc3z04anonymousza31801ze3z87_4832:
					if (PAIRP(BgL_l1536z00_4833))
						{	/* Cfa/arithmetic.scm 171 */
							{	/* Cfa/arithmetic.scm 171 */
								obj_t BgL_arg1803z00_4834;

								BgL_arg1803z00_4834 = CAR(BgL_l1536z00_4833);
								{	/* Cfa/arithmetic.scm 102 */
									BgL_valuez00_bglt BgL_funz00_4835;

									BgL_funz00_4835 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_arg1803z00_4834)))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 102 */
										obj_t BgL_bodyz00_4836;

										BgL_bodyz00_4836 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_4835)))->BgL_bodyz00);
										{	/* Cfa/arithmetic.scm 103 */

											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_bodyz00_4836));
										}
									}
								}
							}
							{
								obj_t BgL_l1536z00_5666;

								BgL_l1536z00_5666 = CDR(BgL_l1536z00_4833);
								BgL_l1536z00_4833 = BgL_l1536z00_5666;
								goto BgL_zc3z04anonymousza31801ze3z87_4832;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 171 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4640)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 173 */
				bool_t BgL_test2326z00_5671;

				{	/* Cfa/arithmetic.scm 173 */
					obj_t BgL_arg1818z00_4837;

					BgL_arg1818z00_4837 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_nodez00_4640))))->
							BgL_typez00));
					BgL_test2326z00_5671 =
						(BgL_arg1818z00_4837 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2326z00_5671)
					{	/* Cfa/arithmetic.scm 173 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_4640))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2funzd2_bglt)
													COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_4640)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 173 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-switch1584 */
	obj_t BGl_z62cleanupzd2nodez12zd2switch1584z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4641, obj_t BgL_nodez00_4642)
	{
		{	/* Cfa/arithmetic.scm 161 */
			{	/* Cfa/arithmetic.scm 162 */
				bool_t BgL_tmpz00_5683;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4642)))->BgL_testz00));
				{	/* Cfa/arithmetic.scm 164 */
					obj_t BgL_g1535z00_4839;

					BgL_g1535z00_4839 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_4642)))->BgL_clausesz00);
					{
						obj_t BgL_l1533z00_4841;

						BgL_l1533z00_4841 = BgL_g1535z00_4839;
					BgL_zc3z04anonymousza31797ze3z87_4840:
						if (PAIRP(BgL_l1533z00_4841))
							{	/* Cfa/arithmetic.scm 164 */
								{	/* Cfa/arithmetic.scm 164 */
									obj_t BgL_clausez00_4842;

									BgL_clausez00_4842 = CAR(BgL_l1533z00_4841);
									{	/* Cfa/arithmetic.scm 164 */
										obj_t BgL_arg1799z00_4843;

										BgL_arg1799z00_4843 = CDR(((obj_t) BgL_clausez00_4842));
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1799z00_4843));
									}
								}
								{
									obj_t BgL_l1533z00_5696;

									BgL_l1533z00_5696 = CDR(BgL_l1533z00_4841);
									BgL_l1533z00_4841 = BgL_l1533z00_5696;
									goto BgL_zc3z04anonymousza31797ze3z87_4840;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 164 */
								BgL_tmpz00_5683 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5683);
			}
		}

	}



/* &cleanup-node!-fail1582 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail1582z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4643, obj_t BgL_nodez00_4644)
	{
		{	/* Cfa/arithmetic.scm 152 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4644)))->BgL_procz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4644)))->BgL_msgz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_4644)))->BgL_objz00));
		}

	}



/* &cleanup-node!-condit1580 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit1580z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4645, obj_t BgL_nodez00_4646)
	{
		{	/* Cfa/arithmetic.scm 143 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4646)))->BgL_testz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4646)))->BgL_truez00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4646)))->BgL_falsez00));
		}

	}



/* &cleanup-node!-setq1578 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq1578z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4647, obj_t BgL_nodez00_4648)
	{
		{	/* Cfa/arithmetic.scm 136 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4648)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-sync1576 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync1576z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4649, obj_t BgL_nodez00_4650)
	{
		{	/* Cfa/arithmetic.scm 125 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4650)))->BgL_mutexz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4650)))->BgL_prelockz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4650)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 130 */
				bool_t BgL_test2328z00_5729;

				{	/* Cfa/arithmetic.scm 130 */
					obj_t BgL_arg1776z00_4848;

					BgL_arg1776z00_4848 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_nodez00_4650))))->BgL_typez00));
					BgL_test2328z00_5729 =
						(BgL_arg1776z00_4848 == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2328z00_5729)
					{	/* Cfa/arithmetic.scm 130 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_4650))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
															BgL_nodez00_4650)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 130 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-sequen1574 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen1574z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4651, obj_t BgL_nodez00_4652)
	{
		{	/* Cfa/arithmetic.scm 115 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4652)))->BgL_nodesz00)))
				{	/* Cfa/arithmetic.scm 117 */
					return BFALSE;
				}
			else
				{	/* Cfa/arithmetic.scm 117 */
					{	/* Cfa/arithmetic.scm 118 */
						obj_t BgL_g1532z00_4850;

						BgL_g1532z00_4850 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_4652)))->BgL_nodesz00);
						{
							obj_t BgL_l1530z00_4852;

							BgL_l1530z00_4852 = BgL_g1532z00_4850;
						BgL_zc3z04anonymousza31717ze3z87_4851:
							if (PAIRP(BgL_l1530z00_4852))
								{	/* Cfa/arithmetic.scm 118 */
									{	/* Cfa/arithmetic.scm 118 */
										obj_t BgL_arg1720z00_4853;

										BgL_arg1720z00_4853 = CAR(BgL_l1530z00_4852);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1720z00_4853));
									}
									{
										obj_t BgL_l1530z00_5752;

										BgL_l1530z00_5752 = CDR(BgL_l1530z00_4852);
										BgL_l1530z00_4852 = BgL_l1530z00_5752;
										goto BgL_zc3z04anonymousza31717ze3z87_4851;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 118 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/arithmetic.scm 119 */
						bool_t BgL_test2331z00_5754;

						{	/* Cfa/arithmetic.scm 119 */
							obj_t BgL_arg1756z00_4854;

							BgL_arg1756z00_4854 =
								((obj_t)
								(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_4652))))->
									BgL_typez00));
							BgL_test2331z00_5754 =
								(BgL_arg1756z00_4854 == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2331z00_5754)
							{	/* Cfa/arithmetic.scm 119 */
								return
									((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_4652))))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt)
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_nodez00_4652)))->
																	BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/arithmetic.scm 119 */
								return BFALSE;
							}
					}
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00(void)
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(131412063L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(168272122L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(324810626L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2210z00zzcfa_arithmeticz00));
		}

	}

#ifdef __cplusplus
}
#endif
