/*===========================================================================*/
/*   (Cfa/cfa.scm)                                                           */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/cfa.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_CFA_TYPE_DEFINITIONS
#define BGL_CFA_CFA_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


#endif													// BGL_CFA_CFA_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2genpatchidzf2Cinf1636z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_approxz00zzcfa_infoz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1628za2zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_cfaz00(void);
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62cfaz121601z70zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1658z70zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setfieldzf2Cinfo1640z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2literalzf2Cinfo1604z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2Cinfo1608z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_globalzd2loosez12zc0zzcfa_loosez00(BgL_globalz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2instanceofzf2Cinf1644z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conditionalzf2Cin1652z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1662z50zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2closure1614za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1660z70zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2failzf2Cinfo1654z50zzcfa_cfaz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1670z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2setqzf2Cinfo1650z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2sync1630za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1664z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1668z90zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BUNSPEC;
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1632z82zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2switchzf2Cinfo1656z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1646z82zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_cfaz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1666z82zzcfa_cfaz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2kwotezf2node1610z50zzcfa_cfaz00(obj_t, obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1615zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62cfazd2variablezd2valuezd2a1626zb0zzcfa_cfaz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2patchzf2Cinfo1606z50zzcfa_cfaz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2pragmazf2Cinfo1634z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_cfaz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00(void);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2var1612za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_approxz00_bglt BGl_z62cfaz12zd2cast1648za2zzcfa_cfaz00(obj_t,
		obj_t);
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2getfieldzf2Cinfo1638z50zzcfa_cfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2newzf2Cinfo1642z50zzcfa_cfaz00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2131z00zzcfa_cfaz00,
		BgL_bgl_string2131za700za7za7c2175za7, "cfa!1601", 8);
	      DEFINE_STRING(BGl_string2133z00zzcfa_cfaz00,
		BgL_bgl_string2133za700za7za7c2176za7, "cfa-variable-value-a1615", 24);
	      DEFINE_STRING(BGl_string2134z00zzcfa_cfaz00,
		BgL_bgl_string2134za700za7za7c2177za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2135z00zzcfa_cfaz00,
		BgL_bgl_string2135za700za7za7c2178za7, "cfa!:no method for this ast", 27);
	      DEFINE_STRING(BGl_string2137z00zzcfa_cfaz00,
		BgL_bgl_string2137za700za7za7c2179za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2144z00zzcfa_cfaz00,
		BgL_bgl_string2144za700za7za7c2180za7, "cfa-variable-value-approx", 25);
	      DEFINE_STRING(BGl_string2171z00zzcfa_cfaz00,
		BgL_bgl_string2171za700za7za7c2181za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2172z00zzcfa_cfaz00,
		BgL_bgl_string2172za700za7za7c2182za7, "cfa_cfa", 7);
	      DEFINE_STRING(BGl_string2173z00zzcfa_cfaz00,
		BgL_bgl_string2173za700za7za7c2183za7,
		"static all cfa-variable-value-a1615 ", 36);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za770za7za7cf2184za7, BGl_z62cfaz12z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7121601za7702185za7, BGl_z62cfaz121601z70zzcfa_cfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2186z00,
		BGl_z62cfazd2variablezd2valuezd2a1615zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2lite2187za7,
		BGl_z62cfaz12zd2literalzf2Cinfo1604z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2patc2188za7,
		BGl_z62cfaz12zd2patchzf2Cinfo1606z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2189za7,
		BGl_z62cfaz12zd2kwotezf2Cinfo1608z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2kwot2190za7,
		BGl_z62cfaz12zd2kwotezf2node1610z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2var12191za7,
		BGl_z62cfaz12zd2var1612za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2clos2192za7,
		BGl_z62cfaz12zd2closure1614za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2193z00,
		BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2194z00,
		BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2195z00,
		BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2196z00,
		BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2197z00,
		BGl_z62cfazd2variablezd2valuezd2a1626zb0zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sequ2198za7,
		BGl_z62cfaz12zd2sequence1628za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2sync2199za7,
		BGl_z62cfaz12zd2sync1630za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2appza72200z00,
		BGl_z62cfaz12zd2appzd2lyzf2Cinfo1632z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2prag2201za7,
		BGl_z62cfaz12zd2pragmazf2Cinfo1634z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2genp2202za7,
		BGl_z62cfaz12zd2genpatchidzf2Cinf1636z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2getf2203za7,
		BGl_z62cfaz12zd2getfieldzf2Cinfo1638z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setf2204za7,
		BGl_z62cfaz12zd2setfieldzf2Cinfo1640z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2newza72205z00,
		BGl_z62cfaz12zd2newzf2Cinfo1642z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2inst2206za7,
		BGl_z62cfaz12zd2instanceofzf2Cinf1644z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2207za7,
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1646z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cast2208za7,
		BGl_z62cfaz12zd2cast1648za2zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setq2209za7,
		BGl_z62cfaz12zd2setqzf2Cinfo1650z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2cond2210za7,
		BGl_z62cfaz12zd2conditionalzf2Cin1652z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2fail2211za7,
		BGl_z62cfaz12zd2failzf2Cinfo1654z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2swit2212za7,
		BGl_z62cfaz12zd2switchzf2Cinfo1656z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72213z00,
		BGl_z62cfaz12zd2letzd2fun1658z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2letza72214z00,
		BGl_z62cfaz12zd2letzd2var1660z70zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2setza72215z00,
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1662z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2jump2216za7,
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1664z50zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2make2217za7,
		BGl_z62cfaz12zd2makezd2boxzf2Cinfo1666z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72218z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1668z90zzcfa_cfaz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzcfa_cfaz00,
		BgL_bgl_za762cfaza712za7d2boxza72219z00,
		BGl_z62cfaz12zd2boxzd2refzf2Cinfo1670z82zzcfa_cfaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
		BgL_bgl_za762cfaza7d2variabl2220z00,
		BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_cfaz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long
		BgL_checksumz00_4826, char *BgL_fromz00_4827)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_cfaz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_cfaz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_cfaz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_cnstzd2initzd2zzcfa_cfaz00();
					BGl_importedzd2moduleszd2initz00zzcfa_cfaz00();
					BGl_genericzd2initzd2zzcfa_cfaz00();
					BGl_methodzd2initzd2zzcfa_cfaz00();
					return BGl_toplevelzd2initzd2zzcfa_cfaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_cfa");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_cfa");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			{	/* Cfa/cfa.scm 15 */
				obj_t BgL_cportz00_4665;

				{	/* Cfa/cfa.scm 15 */
					obj_t BgL_stringz00_4672;

					BgL_stringz00_4672 = BGl_string2173z00zzcfa_cfaz00;
					{	/* Cfa/cfa.scm 15 */
						obj_t BgL_startz00_4673;

						BgL_startz00_4673 = BINT(0L);
						{	/* Cfa/cfa.scm 15 */
							obj_t BgL_endz00_4674;

							BgL_endz00_4674 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4672)));
							{	/* Cfa/cfa.scm 15 */

								BgL_cportz00_4665 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4672, BgL_startz00_4673, BgL_endz00_4674);
				}}}}
				{
					long BgL_iz00_4666;

					BgL_iz00_4666 = 2L;
				BgL_loopz00_4667:
					if ((BgL_iz00_4666 == (-1L)))
						{	/* Cfa/cfa.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/cfa.scm 15 */
							{	/* Cfa/cfa.scm 15 */
								obj_t BgL_arg2174z00_4668;

								{	/* Cfa/cfa.scm 15 */

									{	/* Cfa/cfa.scm 15 */
										obj_t BgL_locationz00_4670;

										BgL_locationz00_4670 = BBOOL(((bool_t) 0));
										{	/* Cfa/cfa.scm 15 */

											BgL_arg2174z00_4668 =
												BGl_readz00zz__readerz00(BgL_cportz00_4665,
												BgL_locationz00_4670);
										}
									}
								}
								{	/* Cfa/cfa.scm 15 */
									int BgL_tmpz00_4857;

									BgL_tmpz00_4857 = (int) (BgL_iz00_4666);
									CNST_TABLE_SET(BgL_tmpz00_4857, BgL_arg2174z00_4668);
							}}
							{	/* Cfa/cfa.scm 15 */
								int BgL_auxz00_4671;

								BgL_auxz00_4671 = (int) ((BgL_iz00_4666 - 1L));
								{
									long BgL_iz00_4862;

									BgL_iz00_4862 = (long) (BgL_auxz00_4671);
									BgL_iz00_4666 = BgL_iz00_4862;
									goto BgL_loopz00_4667;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_proc2130z00zzcfa_cfaz00, BGl_nodez00zzast_nodez00,
				BGl_string2131z00zzcfa_cfaz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_proc2132z00zzcfa_cfaz00, BGl_valuez00zzast_varz00,
				BGl_string2133z00zzcfa_cfaz00);
		}

	}



/* &cfa-variable-value-a1615 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1615zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4558, obj_t BgL_valuez00_4559)
	{
		{	/* Cfa/cfa.scm 93 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string2134z00zzcfa_cfaz00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_4559)));
		}

	}



/* &cfa!1601 */
	obj_t BGl_z62cfaz121601z70zzcfa_cfaz00(obj_t BgL_envz00_4560,
		obj_t BgL_nodez00_4561)
	{
		{	/* Cfa/cfa.scm 38 */
			{	/* Cfa/cfa.scm 39 */
				obj_t BgL_arg1680z00_4678;

				BgL_arg1680z00_4678 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4561)));
				return
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2135z00zzcfa_cfaz00,
					((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4561)), BgL_arg1680z00_4678);
			}
		}

	}



/* cfa! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Cfa/cfa.scm 38 */
			{	/* Cfa/cfa.scm 38 */
				obj_t BgL_method1602z00_3461;

				{	/* Cfa/cfa.scm 38 */
					obj_t BgL_res2122z00_4368;

					{	/* Cfa/cfa.scm 38 */
						long BgL_objzd2classzd2numz00_4339;

						BgL_objzd2classzd2numz00_4339 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Cfa/cfa.scm 38 */
							obj_t BgL_arg1862z00_4340;

							BgL_arg1862z00_4340 =
								PROCEDURE_REF(BGl_cfaz12zd2envzc0zzcfa_cfaz00, (int) (1L));
							{	/* Cfa/cfa.scm 38 */
								int BgL_offsetz00_4343;

								BgL_offsetz00_4343 = (int) (BgL_objzd2classzd2numz00_4339);
								{	/* Cfa/cfa.scm 38 */
									long BgL_offsetz00_4344;

									BgL_offsetz00_4344 =
										((long) (BgL_offsetz00_4343) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 38 */
										long BgL_modz00_4345;

										BgL_modz00_4345 =
											(BgL_offsetz00_4344 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/cfa.scm 38 */
											long BgL_restz00_4347;

											BgL_restz00_4347 =
												(BgL_offsetz00_4344 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/cfa.scm 38 */

												{	/* Cfa/cfa.scm 38 */
													obj_t BgL_bucketz00_4349;

													BgL_bucketz00_4349 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4340), BgL_modz00_4345);
													BgL_res2122z00_4368 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4349), BgL_restz00_4347);
					}}}}}}}}
					BgL_method1602z00_3461 = BgL_res2122z00_4368;
				}
				return
					((BgL_approxz00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1602z00_3461, ((obj_t) BgL_nodez00_3)));
			}
		}

	}



/* &cfa! */
	BgL_approxz00_bglt BGl_z62cfaz12z70zzcfa_cfaz00(obj_t BgL_envz00_4562,
		obj_t BgL_nodez00_4563)
	{
		{	/* Cfa/cfa.scm 38 */
			return BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_nodez00_4563));
		}

	}



/* cfa-variable-value-approx */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt
		BgL_valuez00_10)
	{
		{	/* Cfa/cfa.scm 93 */
			{	/* Cfa/cfa.scm 93 */
				obj_t BgL_method1616z00_3462;

				{	/* Cfa/cfa.scm 93 */
					obj_t BgL_res2127z00_4399;

					{	/* Cfa/cfa.scm 93 */
						long BgL_objzd2classzd2numz00_4370;

						BgL_objzd2classzd2numz00_4370 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_10));
						{	/* Cfa/cfa.scm 93 */
							obj_t BgL_arg1862z00_4371;

							BgL_arg1862z00_4371 =
								PROCEDURE_REF
								(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
								(int) (1L));
							{	/* Cfa/cfa.scm 93 */
								int BgL_offsetz00_4374;

								BgL_offsetz00_4374 = (int) (BgL_objzd2classzd2numz00_4370);
								{	/* Cfa/cfa.scm 93 */
									long BgL_offsetz00_4375;

									BgL_offsetz00_4375 =
										((long) (BgL_offsetz00_4374) - OBJECT_TYPE);
									{	/* Cfa/cfa.scm 93 */
										long BgL_modz00_4376;

										BgL_modz00_4376 =
											(BgL_offsetz00_4375 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/cfa.scm 93 */
											long BgL_restz00_4378;

											BgL_restz00_4378 =
												(BgL_offsetz00_4375 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/cfa.scm 93 */

												{	/* Cfa/cfa.scm 93 */
													obj_t BgL_bucketz00_4380;

													BgL_bucketz00_4380 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4371), BgL_modz00_4376);
													BgL_res2127z00_4399 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4380), BgL_restz00_4378);
					}}}}}}}}
					BgL_method1616z00_3462 = BgL_res2127z00_4399;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1616z00_3462,
					((obj_t) BgL_valuez00_10));
			}
		}

	}



/* &cfa-variable-value-approx */
	obj_t BGl_z62cfazd2variablezd2valuezd2approxzb0zzcfa_cfaz00(obj_t
		BgL_envz00_4564, obj_t BgL_valuez00_4565)
	{
		{	/* Cfa/cfa.scm 93 */
			return
				BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
				((BgL_valuez00_bglt) BgL_valuez00_4565));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_literalzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2136z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_patchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2138z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2Cinfozf2zzcfa_infoz00,
				BGl_proc2139z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_kwotezf2nodezf2zzcfa_infoz00,
				BGl_proc2140z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_varz00zzast_nodez00,
				BGl_proc2141z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_closurez00zzast_nodez00,
				BGl_proc2142z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2143z00zzcfa_cfaz00,
				BGl_string2144z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2145z00zzcfa_cfaz00,
				BGl_string2144z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2146z00zzcfa_cfaz00,
				BGl_string2144z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2147z00zzcfa_cfaz00,
				BGl_string2144z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfazd2variablezd2valuezd2approxzd2envz00zzcfa_cfaz00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2148z00zzcfa_cfaz00,
				BGl_string2144z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2149z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_syncz00zzast_nodez00,
				BGl_proc2150z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2151z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_pragmazf2Cinfozf2zzcfa_info3z00,
				BGl_proc2152z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_genpatchidzf2Cinfozf2zzcfa_infoz00, BGl_proc2153z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_getfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2154z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setfieldzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2155z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_newzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2156z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_instanceofzf2Cinfozf2zzcfa_info3z00, BGl_proc2157z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00, BGl_proc2158z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_castz00zzast_nodez00,
				BGl_proc2159z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_setqzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2160z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2161z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_failzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2162z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_switchzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2163z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2164z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2165z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2166z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00, BGl_proc2167z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00, BGl_proc2168z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00, BGl_proc2169z00zzcfa_cfaz00,
				BGl_string2137z00zzcfa_cfaz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00,
				BGl_proc2170z00zzcfa_cfaz00, BGl_string2137z00zzcfa_cfaz00);
		}

	}



/* &cfa!-box-ref/Cinfo1670 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2boxzd2refzf2Cinfo1670z82zzcfa_cfaz00(obj_t
		BgL_envz00_4599, obj_t BgL_nodez00_4600)
	{
		{	/* Cfa/cfa.scm 369 */
			{	/* Cfa/cfa.scm 371 */
				BgL_varz00_bglt BgL_arg1912z00_4680;

				BgL_arg1912z00_4680 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_4600))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1912z00_4680));
			}
			{
				BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4981;

				{
					obj_t BgL_auxz00_4982;

					{	/* Cfa/cfa.scm 372 */
						BgL_objectz00_bglt BgL_tmpz00_4983;

						BgL_tmpz00_4983 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4600));
						BgL_auxz00_4982 = BGL_OBJECT_WIDENING(BgL_tmpz00_4983);
					}
					BgL_auxz00_4981 = ((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4982);
				}
				return
					(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4981))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-box-set!/Cinfo1668 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Cinfo1668z90zzcfa_cfaz00(obj_t
		BgL_envz00_4601, obj_t BgL_nodez00_4602)
	{
		{	/* Cfa/cfa.scm 358 */
			{	/* Cfa/cfa.scm 360 */
				BgL_varz00_bglt BgL_arg1907z00_4682;

				BgL_arg1907z00_4682 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4602))))->BgL_varz00);
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1907z00_4682));
			}
			{	/* Cfa/cfa.scm 361 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4683;

				{	/* Cfa/cfa.scm 361 */
					BgL_nodez00_bglt BgL_arg1909z00_4684;

					BgL_arg1909z00_4684 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4602))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4683 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1909z00_4684);
				}
				{	/* Cfa/cfa.scm 362 */
					BgL_approxz00_bglt BgL_arg1908z00_4685;

					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4998;

						{
							obj_t BgL_auxz00_4999;

							{	/* Cfa/cfa.scm 362 */
								BgL_objectz00_bglt BgL_tmpz00_5000;

								BgL_tmpz00_5000 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4602));
								BgL_auxz00_4999 = BGL_OBJECT_WIDENING(BgL_tmpz00_5000);
							}
							BgL_auxz00_4998 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4999);
						}
						BgL_arg1908z00_4685 =
							(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4998))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1908z00_4685,
						BgL_valzd2approxzd2_4683);
				}
			}
			{	/* Cfa/cfa.scm 363 */
				BgL_approxz00_bglt BgL_arg1910z00_4686;

				{	/* Cfa/cfa.scm 363 */
					BgL_nodez00_bglt BgL_arg1911z00_4687;

					BgL_arg1911z00_4687 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4602))))->
						BgL_valuez00);
					BgL_arg1910z00_4686 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1911z00_4687);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1910z00_4686,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{
				BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_5014;

				{
					obj_t BgL_auxz00_5015;

					{	/* Cfa/cfa.scm 364 */
						BgL_objectz00_bglt BgL_tmpz00_5016;

						BgL_tmpz00_5016 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4602));
						BgL_auxz00_5015 = BGL_OBJECT_WIDENING(BgL_tmpz00_5016);
					}
					BgL_auxz00_5014 =
						((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_5015);
				}
				return
					(((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_5014))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-make-box/Cinfo1666 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2makezd2boxzf2Cinfo1666z82zzcfa_cfaz00(obj_t
		BgL_envz00_4603, obj_t BgL_nodez00_4604)
	{
		{	/* Cfa/cfa.scm 348 */
			{	/* Cfa/cfa.scm 352 */
				BgL_approxz00_bglt BgL_arg1905z00_4689;

				{	/* Cfa/cfa.scm 352 */
					BgL_nodez00_bglt BgL_arg1906z00_4690;

					BgL_arg1906z00_4690 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4604))))->BgL_valuez00);
					BgL_arg1905z00_4689 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1906z00_4690);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1905z00_4689,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_5029;

				{
					obj_t BgL_auxz00_5030;

					{	/* Cfa/cfa.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_5031;

						BgL_tmpz00_5031 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_4604));
						BgL_auxz00_5030 = BGL_OBJECT_WIDENING(BgL_tmpz00_5031);
					}
					BgL_auxz00_5029 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_5030);
				}
				return
					(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5029))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-jump-ex-it/Cinf1664 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2jumpzd2exzd2itzf2Cinf1664z50zzcfa_cfaz00(obj_t
		BgL_envz00_4605, obj_t BgL_nodez00_4606)
	{
		{	/* Cfa/cfa.scm 338 */
			{	/* Cfa/cfa.scm 340 */
				BgL_nodez00_bglt BgL_arg1903z00_4692;

				BgL_arg1903z00_4692 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4606))))->
					BgL_exitz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1903z00_4692);
			}
			{	/* Cfa/cfa.scm 341 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4693;

				{	/* Cfa/cfa.scm 341 */
					BgL_nodez00_bglt BgL_arg1904z00_4694;

					BgL_arg1904z00_4694 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4606))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_4693 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1904z00_4694);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4693,
					((obj_t) CNST_TABLE_REF(1)));
				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_5048;

					{
						obj_t BgL_auxz00_5049;

						{	/* Cfa/cfa.scm 343 */
							BgL_objectz00_bglt BgL_tmpz00_5050;

							BgL_tmpz00_5050 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4606));
							BgL_auxz00_5049 = BGL_OBJECT_WIDENING(BgL_tmpz00_5050);
						}
						BgL_auxz00_5048 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_5049);
					}
					return
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5048))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-set-ex-it/Cinfo1662 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2setzd2exzd2itzf2Cinfo1662z50zzcfa_cfaz00(obj_t
		BgL_envz00_4607, obj_t BgL_nodez00_4608)
	{
		{	/* Cfa/cfa.scm 329 */
			{	/* Cfa/cfa.scm 331 */
				BgL_approxz00_bglt BgL_arg1899z00_4696;

				{	/* Cfa/cfa.scm 331 */
					BgL_nodez00_bglt BgL_arg1900z00_4697;

					BgL_arg1900z00_4697 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4608))))->
						BgL_bodyz00);
					BgL_arg1899z00_4696 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1900z00_4697);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1899z00_4696,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{	/* Cfa/cfa.scm 332 */
				BgL_approxz00_bglt BgL_arg1901z00_4698;

				{	/* Cfa/cfa.scm 332 */
					BgL_nodez00_bglt BgL_arg1902z00_4699;

					BgL_arg1902z00_4699 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4608))))->
						BgL_onexitz00);
					BgL_arg1901z00_4698 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1902z00_4699);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1901z00_4698,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_5070;

				{
					obj_t BgL_auxz00_5071;

					{	/* Cfa/cfa.scm 333 */
						BgL_objectz00_bglt BgL_tmpz00_5072;

						BgL_tmpz00_5072 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4608));
						BgL_auxz00_5071 = BGL_OBJECT_WIDENING(BgL_tmpz00_5072);
					}
					BgL_auxz00_5070 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_5071);
				}
				return
					(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5070))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-let-var1660 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2var1660z70zzcfa_cfaz00(obj_t
		BgL_envz00_4609, obj_t BgL_nodez00_4610)
	{
		{	/* Cfa/cfa.scm 288 */
			{	/* Cfa/cfa.scm 291 */
				obj_t BgL_g1600z00_4701;

				BgL_g1600z00_4701 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4610)))->BgL_bindingsz00);
				{
					obj_t BgL_l1598z00_4703;

					BgL_l1598z00_4703 = BgL_g1600z00_4701;
				BgL_zc3z04anonymousza31892ze3z87_4702:
					if (PAIRP(BgL_l1598z00_4703))
						{	/* Cfa/cfa.scm 291 */
							{	/* Cfa/cfa.scm 292 */
								obj_t BgL_bindingz00_4704;

								BgL_bindingz00_4704 = CAR(BgL_l1598z00_4703);
								{	/* Cfa/cfa.scm 292 */
									obj_t BgL_varz00_4705;

									BgL_varz00_4705 = CAR(((obj_t) BgL_bindingz00_4704));
									{	/* Cfa/cfa.scm 292 */
										BgL_approxz00_bglt BgL_varzd2approxzd2_4706;

										{	/* Cfa/cfa.scm 293 */
											BgL_svarz00_bglt BgL_oz00_4707;

											BgL_oz00_4707 =
												((BgL_svarz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_4705)))->
													BgL_valuez00));
											{
												BgL_svarzf2cinfozf2_bglt BgL_auxz00_5088;

												{
													obj_t BgL_auxz00_5089;

													{	/* Cfa/cfa.scm 293 */
														BgL_objectz00_bglt BgL_tmpz00_5090;

														BgL_tmpz00_5090 =
															((BgL_objectz00_bglt) BgL_oz00_4707);
														BgL_auxz00_5089 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5090);
													}
													BgL_auxz00_5088 =
														((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5089);
												}
												BgL_varzd2approxzd2_4706 =
													(((BgL_svarzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5088))->BgL_approxz00);
											}
										}
										{	/* Cfa/cfa.scm 293 */
											BgL_approxz00_bglt BgL_valzd2approxzd2_4708;

											{	/* Cfa/cfa.scm 294 */
												obj_t BgL_arg1895z00_4709;

												BgL_arg1895z00_4709 =
													CDR(((obj_t) BgL_bindingz00_4704));
												BgL_valzd2approxzd2_4708 =
													BGl_cfaz12z12zzcfa_cfaz00(
													((BgL_nodez00_bglt) BgL_arg1895z00_4709));
											}
											{	/* Cfa/cfa.scm 294 */

												{	/* Cfa/cfa.scm 295 */
													obj_t BgL_vtypez00_4710;
													obj_t BgL_atypez00_4711;

													BgL_vtypez00_4710 =
														((obj_t)
														(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt) BgL_varz00_4705)))->
															BgL_typez00));
													BgL_atypez00_4711 =
														((obj_t) (((BgL_approxz00_bglt)
																COBJECT(BgL_valzd2approxzd2_4708))->
															BgL_typez00));
													BGl_unionzd2approxzd2filterz12z12zzcfa_approxz00
														(BgL_varzd2approxzd2_4706,
														BgL_valzd2approxzd2_4708);
													{	/* Cfa/cfa.scm 311 */
														bool_t BgL_test2224z00_5105;

														if (
															(BgL_vtypez00_4710 ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/cfa.scm 311 */
																BgL_test2224z00_5105 = ((bool_t) 0);
															}
														else
															{	/* Cfa/cfa.scm 311 */
																if (
																	(BgL_vtypez00_4710 ==
																		BGl_za2objza2z00zztype_cachez00))
																	{	/* Cfa/cfa.scm 312 */
																		BgL_test2224z00_5105 = ((bool_t) 0);
																	}
																else
																	{	/* Cfa/cfa.scm 312 */
																		if (
																			(BgL_atypez00_4711 ==
																				BGl_za2_za2z00zztype_cachez00))
																			{	/* Cfa/cfa.scm 313 */
																				BgL_test2224z00_5105 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/cfa.scm 313 */
																				BgL_test2224z00_5105 =
																					(BgL_atypez00_4711 ==
																					BGl_za2objza2z00zztype_cachez00);
																			}
																	}
															}
														if (BgL_test2224z00_5105)
															{	/* Cfa/cfa.scm 311 */
																BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																	(BgL_valzd2approxzd2_4708);
																((obj_t)
																	BGl_loosez12z12zzcfa_loosez00
																	(BgL_valzd2approxzd2_4708,
																		((obj_t) CNST_TABLE_REF(1))));
															}
														else
															{	/* Cfa/cfa.scm 311 */
																BFALSE;
															}
													}
												}
											}
										}
									}
								}
							}
							{
								obj_t BgL_l1598z00_5118;

								BgL_l1598z00_5118 = CDR(BgL_l1598z00_4703);
								BgL_l1598z00_4703 = BgL_l1598z00_5118;
								goto BgL_zc3z04anonymousza31892ze3z87_4702;
							}
						}
					else
						{	/* Cfa/cfa.scm 291 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/cfa.scm 321 */
				BgL_approxz00_bglt BgL_approxz00_4712;

				BgL_approxz00_4712 =
					BGl_cfaz12z12zzcfa_cfaz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4610)))->BgL_bodyz00));
				return BgL_approxz00_4712;
			}
		}

	}



/* &cfa!-let-fun1658 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2letzd2fun1658z70zzcfa_cfaz00(obj_t
		BgL_envz00_4611, obj_t BgL_nodez00_4612)
	{
		{	/* Cfa/cfa.scm 281 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4612)))->BgL_bodyz00));
		}

	}



/* &cfa!-switch/Cinfo1656 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2switchzf2Cinfo1656z50zzcfa_cfaz00(obj_t
		BgL_envz00_4613, obj_t BgL_nodez00_4614)
	{
		{	/* Cfa/cfa.scm 267 */
			{	/* Cfa/cfa.scm 269 */
				BgL_nodez00_bglt BgL_arg1882z00_4715;

				BgL_arg1882z00_4715 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_4614))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1882z00_4715);
			}
			{	/* Cfa/cfa.scm 270 */
				BgL_approxz00_bglt BgL_reszd2approxzd2_4716;

				{
					BgL_switchzf2cinfozf2_bglt BgL_auxz00_5130;

					{
						obj_t BgL_auxz00_5131;

						{	/* Cfa/cfa.scm 270 */
							BgL_objectz00_bglt BgL_tmpz00_5132;

							BgL_tmpz00_5132 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_4614));
							BgL_auxz00_5131 = BGL_OBJECT_WIDENING(BgL_tmpz00_5132);
						}
						BgL_auxz00_5130 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_5131);
					}
					BgL_reszd2approxzd2_4716 =
						(((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5130))->
						BgL_approxz00);
				}
				{
					obj_t BgL_clsz00_4718;

					{	/* Cfa/cfa.scm 271 */
						obj_t BgL_arg1884z00_4723;

						BgL_arg1884z00_4723 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_nodez00_4614))))->BgL_clausesz00);
						BgL_clsz00_4718 = BgL_arg1884z00_4723;
					BgL_loopz00_4717:
						if (NULLP(BgL_clsz00_4718))
							{	/* Cfa/cfa.scm 272 */
								return BgL_reszd2approxzd2_4716;
							}
						else
							{	/* Cfa/cfa.scm 274 */
								BgL_approxz00_bglt BgL_newzd2approxzd2_4719;

								{	/* Cfa/cfa.scm 274 */
									obj_t BgL_arg1889z00_4720;

									{	/* Cfa/cfa.scm 274 */
										obj_t BgL_pairz00_4721;

										BgL_pairz00_4721 = CAR(((obj_t) BgL_clsz00_4718));
										BgL_arg1889z00_4720 = CDR(BgL_pairz00_4721);
									}
									BgL_newzd2approxzd2_4719 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1889z00_4720));
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00
									(BgL_reszd2approxzd2_4716, BgL_newzd2approxzd2_4719);
								{	/* Cfa/cfa.scm 276 */
									obj_t BgL_arg1887z00_4722;

									BgL_arg1887z00_4722 = CDR(((obj_t) BgL_clsz00_4718));
									{
										obj_t BgL_clsz00_5151;

										BgL_clsz00_5151 = BgL_arg1887z00_4722;
										BgL_clsz00_4718 = BgL_clsz00_5151;
										goto BgL_loopz00_4717;
									}
								}
							}
					}
				}
			}
		}

	}



/* &cfa!-fail/Cinfo1654 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2failzf2Cinfo1654z50zzcfa_cfaz00(obj_t
		BgL_envz00_4615, obj_t BgL_nodez00_4616)
	{
		{	/* Cfa/cfa.scm 257 */
			{	/* Cfa/cfa.scm 259 */
				BgL_approxz00_bglt BgL_arg1859z00_4725;

				{	/* Cfa/cfa.scm 259 */
					BgL_nodez00_bglt BgL_arg1865z00_4726;

					BgL_arg1865z00_4726 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4616))))->BgL_procz00);
					BgL_arg1859z00_4725 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1865z00_4726);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1859z00_4725,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{	/* Cfa/cfa.scm 260 */
				BgL_approxz00_bglt BgL_arg1872z00_4727;

				{	/* Cfa/cfa.scm 260 */
					BgL_nodez00_bglt BgL_arg1873z00_4728;

					BgL_arg1873z00_4728 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4616))))->BgL_msgz00);
					BgL_arg1872z00_4727 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1873z00_4728);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1872z00_4727,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{	/* Cfa/cfa.scm 261 */
				BgL_approxz00_bglt BgL_arg1876z00_4729;

				{	/* Cfa/cfa.scm 261 */
					BgL_nodez00_bglt BgL_arg1878z00_4730;

					BgL_arg1878z00_4730 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt)
									((BgL_failz00_bglt) BgL_nodez00_4616))))->BgL_objz00);
					BgL_arg1876z00_4729 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1878z00_4730);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1876z00_4729,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_5173;

				{
					obj_t BgL_auxz00_5174;

					{	/* Cfa/cfa.scm 262 */
						BgL_objectz00_bglt BgL_tmpz00_5175;

						BgL_tmpz00_5175 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_4616));
						BgL_auxz00_5174 = BGL_OBJECT_WIDENING(BgL_tmpz00_5175);
					}
					BgL_auxz00_5173 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_5174);
				}
				return
					(((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5173))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-conditional/Cin1652 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conditionalzf2Cin1652z50zzcfa_cfaz00(obj_t
		BgL_envz00_4617, obj_t BgL_nodez00_4618)
	{
		{	/* Cfa/cfa.scm 245 */
			{	/* Cfa/cfa.scm 247 */
				BgL_nodez00_bglt BgL_arg1848z00_4732;

				BgL_arg1848z00_4732 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4618))))->BgL_testz00);
				BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1848z00_4732);
			}
			{	/* Cfa/cfa.scm 248 */
				BgL_approxz00_bglt BgL_thenzd2approxzd2_4733;
				BgL_approxz00_bglt BgL_elsezd2approxzd2_4734;

				{	/* Cfa/cfa.scm 248 */
					BgL_nodez00_bglt BgL_arg1856z00_4735;

					BgL_arg1856z00_4735 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4618))))->BgL_truez00);
					BgL_thenzd2approxzd2_4733 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1856z00_4735);
				}
				{	/* Cfa/cfa.scm 249 */
					BgL_nodez00_bglt BgL_arg1857z00_4736;

					BgL_arg1857z00_4736 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4618))))->
						BgL_falsez00);
					BgL_elsezd2approxzd2_4734 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1857z00_4736);
				}
				{	/* Cfa/cfa.scm 250 */
					BgL_approxz00_bglt BgL_arg1851z00_4737;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5193;

						{
							obj_t BgL_auxz00_5194;

							{	/* Cfa/cfa.scm 250 */
								BgL_objectz00_bglt BgL_tmpz00_5195;

								BgL_tmpz00_5195 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4618));
								BgL_auxz00_5194 = BGL_OBJECT_WIDENING(BgL_tmpz00_5195);
							}
							BgL_auxz00_5193 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5194);
						}
						BgL_arg1851z00_4737 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5193))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1851z00_4737,
						BgL_thenzd2approxzd2_4733);
				}
				{	/* Cfa/cfa.scm 251 */
					BgL_approxz00_bglt BgL_arg1852z00_4738;

					{
						BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5202;

						{
							obj_t BgL_auxz00_5203;

							{	/* Cfa/cfa.scm 251 */
								BgL_objectz00_bglt BgL_tmpz00_5204;

								BgL_tmpz00_5204 =
									((BgL_objectz00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_4618));
								BgL_auxz00_5203 = BGL_OBJECT_WIDENING(BgL_tmpz00_5204);
							}
							BgL_auxz00_5202 =
								((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5203);
						}
						BgL_arg1852z00_4738 =
							(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5202))->
							BgL_approxz00);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1852z00_4738,
						BgL_elsezd2approxzd2_4734);
				}
				{
					BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_5211;

					{
						obj_t BgL_auxz00_5212;

						{	/* Cfa/cfa.scm 252 */
							BgL_objectz00_bglt BgL_tmpz00_5213;

							BgL_tmpz00_5213 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_4618));
							BgL_auxz00_5212 = BGL_OBJECT_WIDENING(BgL_tmpz00_5213);
						}
						BgL_auxz00_5211 =
							((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_5212);
					}
					return
						(((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5211))->
						BgL_approxz00);
				}
			}
		}

	}



/* &cfa!-setq/Cinfo1650 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setqzf2Cinfo1650z50zzcfa_cfaz00(obj_t
		BgL_envz00_4619, obj_t BgL_nodez00_4620)
	{
		{	/* Cfa/cfa.scm 227 */
			{	/* Cfa/cfa.scm 229 */
				BgL_approxz00_bglt BgL_varzd2approxzd2_4740;

				{	/* Cfa/cfa.scm 229 */
					BgL_varz00_bglt BgL_arg1847z00_4741;

					BgL_arg1847z00_4741 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt)
									((BgL_setqz00_bglt) BgL_nodez00_4620))))->BgL_varz00);
					BgL_varzd2approxzd2_4740 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1847z00_4741));
				}
				{	/* Cfa/cfa.scm 229 */
					BgL_approxz00_bglt BgL_valzd2approxzd2_4742;

					{	/* Cfa/cfa.scm 230 */
						BgL_nodez00_bglt BgL_arg1845z00_4743;

						BgL_arg1845z00_4743 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_nodez00_4620))))->BgL_valuez00);
						BgL_valzd2approxzd2_4742 =
							BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1845z00_4743);
					}
					{	/* Cfa/cfa.scm 230 */
						BgL_variablez00_bglt BgL_vz00_4744;

						BgL_vz00_4744 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_4620))))->
										BgL_varz00)))->BgL_variablez00);
						{	/* Cfa/cfa.scm 231 */

							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_varzd2approxzd2_4740,
								BgL_valzd2approxzd2_4742);
							{	/* Cfa/cfa.scm 236 */
								bool_t BgL_test2229z00_5233;

								{	/* Cfa/cfa.scm 236 */
									bool_t BgL_test2230z00_5234;

									{	/* Cfa/cfa.scm 236 */
										obj_t BgL_classz00_4745;

										BgL_classz00_4745 = BGl_globalz00zzast_varz00;
										{	/* Cfa/cfa.scm 236 */
											BgL_objectz00_bglt BgL_arg1858z00_4746;

											{	/* Cfa/cfa.scm 236 */
												obj_t BgL_tmpz00_5235;

												BgL_tmpz00_5235 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4744));
												BgL_arg1858z00_4746 =
													(BgL_objectz00_bglt) (BgL_tmpz00_5235);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/cfa.scm 236 */
													long BgL_idxz00_4747;

													BgL_idxz00_4747 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4746);
													BgL_test2230z00_5234 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4747 + 2L)) == BgL_classz00_4745);
												}
											else
												{	/* Cfa/cfa.scm 236 */
													bool_t BgL_res2128z00_4750;

													{	/* Cfa/cfa.scm 236 */
														obj_t BgL_oclassz00_4751;

														{	/* Cfa/cfa.scm 236 */
															obj_t BgL_arg1866z00_4752;
															long BgL_arg1867z00_4753;

															BgL_arg1866z00_4752 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/cfa.scm 236 */
																long BgL_arg1869z00_4754;

																BgL_arg1869z00_4754 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4746);
																BgL_arg1867z00_4753 =
																	(BgL_arg1869z00_4754 - OBJECT_TYPE);
															}
															BgL_oclassz00_4751 =
																VECTOR_REF(BgL_arg1866z00_4752,
																BgL_arg1867z00_4753);
														}
														{	/* Cfa/cfa.scm 236 */
															bool_t BgL__ortest_1115z00_4755;

															BgL__ortest_1115z00_4755 =
																(BgL_classz00_4745 == BgL_oclassz00_4751);
															if (BgL__ortest_1115z00_4755)
																{	/* Cfa/cfa.scm 236 */
																	BgL_res2128z00_4750 =
																		BgL__ortest_1115z00_4755;
																}
															else
																{	/* Cfa/cfa.scm 236 */
																	long BgL_odepthz00_4756;

																	{	/* Cfa/cfa.scm 236 */
																		obj_t BgL_arg1855z00_4757;

																		BgL_arg1855z00_4757 = (BgL_oclassz00_4751);
																		BgL_odepthz00_4756 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_4757);
																	}
																	if ((2L < BgL_odepthz00_4756))
																		{	/* Cfa/cfa.scm 236 */
																			obj_t BgL_arg1853z00_4758;

																			{	/* Cfa/cfa.scm 236 */
																				obj_t BgL_arg1854z00_4759;

																				BgL_arg1854z00_4759 =
																					(BgL_oclassz00_4751);
																				BgL_arg1853z00_4758 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_4759, 2L);
																			}
																			BgL_res2128z00_4750 =
																				(BgL_arg1853z00_4758 ==
																				BgL_classz00_4745);
																		}
																	else
																		{	/* Cfa/cfa.scm 236 */
																			BgL_res2128z00_4750 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2230z00_5234 = BgL_res2128z00_4750;
												}
										}
									}
									if (BgL_test2230z00_5234)
										{	/* Cfa/cfa.scm 237 */
											bool_t BgL__ortest_1199z00_4760;

											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_4744)))->
														BgL_initz00)))
												{	/* Cfa/cfa.scm 237 */
													BgL__ortest_1199z00_4760 = ((bool_t) 0);
												}
											else
												{	/* Cfa/cfa.scm 237 */
													BgL__ortest_1199z00_4760 = ((bool_t) 1);
												}
											if (BgL__ortest_1199z00_4760)
												{	/* Cfa/cfa.scm 237 */
													BgL_test2229z00_5233 = BgL__ortest_1199z00_4760;
												}
											else
												{	/* Cfa/cfa.scm 237 */
													if (
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_vz00_4744)))->
																BgL_importz00) == ((obj_t) CNST_TABLE_REF(2))))
														{	/* Cfa/cfa.scm 238 */
															BgL_test2229z00_5233 = ((bool_t) 0);
														}
													else
														{	/* Cfa/cfa.scm 238 */
															BgL_test2229z00_5233 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Cfa/cfa.scm 236 */
											BgL_test2229z00_5233 = ((bool_t) 0);
										}
								}
								if (BgL_test2229z00_5233)
									{	/* Cfa/cfa.scm 236 */
										BGl_globalzd2loosez12zc0zzcfa_loosez00(
											((BgL_globalz00_bglt) BgL_vz00_4744),
											BgL_varzd2approxzd2_4740);
									}
								else
									{	/* Cfa/cfa.scm 236 */
										BFALSE;
									}
							}
							{
								BgL_setqzf2cinfozf2_bglt BgL_auxz00_5271;

								{
									obj_t BgL_auxz00_5272;

									{	/* Cfa/cfa.scm 240 */
										BgL_objectz00_bglt BgL_tmpz00_5273;

										BgL_tmpz00_5273 =
											((BgL_objectz00_bglt)
											((BgL_setqz00_bglt) BgL_nodez00_4620));
										BgL_auxz00_5272 = BGL_OBJECT_WIDENING(BgL_tmpz00_5273);
									}
									BgL_auxz00_5271 =
										((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_5272);
								}
								return
									(((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5271))->
									BgL_approxz00);
							}
						}
					}
				}
			}
		}

	}



/* &cfa!-cast1648 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2cast1648za2zzcfa_cfaz00(obj_t
		BgL_envz00_4621, obj_t BgL_nodez00_4622)
	{
		{	/* Cfa/cfa.scm 220 */
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_4622)))->BgL_argz00));
		}

	}



/* &cfa!-cast-null/Cinfo1646 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2castzd2nullzf2Cinfo1646z82zzcfa_cfaz00(obj_t
		BgL_envz00_4623, obj_t BgL_nodez00_4624)
	{
		{	/* Cfa/cfa.scm 213 */
			{
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_5282;

				{
					obj_t BgL_auxz00_5283;

					{	/* Cfa/cfa.scm 214 */
						BgL_objectz00_bglt BgL_tmpz00_5284;

						BgL_tmpz00_5284 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_4624));
						BgL_auxz00_5283 = BGL_OBJECT_WIDENING(BgL_tmpz00_5284);
					}
					BgL_auxz00_5282 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_5283);
				}
				return
					(((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5282))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-instanceof/Cinf1644 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2instanceofzf2Cinf1644z50zzcfa_cfaz00(obj_t
		BgL_envz00_4625, obj_t BgL_nodez00_4626)
	{
		{	/* Cfa/cfa.scm 206 */
			{
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_5290;

				{
					obj_t BgL_auxz00_5291;

					{	/* Cfa/cfa.scm 207 */
						BgL_objectz00_bglt BgL_tmpz00_5292;

						BgL_tmpz00_5292 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_4626));
						BgL_auxz00_5291 = BGL_OBJECT_WIDENING(BgL_tmpz00_5292);
					}
					BgL_auxz00_5290 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_5291);
				}
				return
					(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5290))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-new/Cinfo1642 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2newzf2Cinfo1642z50zzcfa_cfaz00(obj_t
		BgL_envz00_4627, obj_t BgL_nodez00_4628)
	{
		{	/* Cfa/cfa.scm 198 */
			{	/* Cfa/cfa.scm 200 */
				obj_t BgL_g1597z00_4765;

				BgL_g1597z00_4765 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_4628))))->BgL_exprza2za2);
				{
					obj_t BgL_l1595z00_4767;

					BgL_l1595z00_4767 = BgL_g1597z00_4765;
				BgL_zc3z04anonymousza31812ze3z87_4766:
					if (PAIRP(BgL_l1595z00_4767))
						{	/* Cfa/cfa.scm 200 */
							{	/* Cfa/cfa.scm 200 */
								obj_t BgL_az00_4768;

								BgL_az00_4768 = CAR(BgL_l1595z00_4767);
								{	/* Cfa/cfa.scm 200 */
									BgL_approxz00_bglt BgL_arg1814z00_4769;

									BgL_arg1814z00_4769 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4768));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1814z00_4769,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1595z00_5309;

								BgL_l1595z00_5309 = CDR(BgL_l1595z00_4767);
								BgL_l1595z00_4767 = BgL_l1595z00_5309;
								goto BgL_zc3z04anonymousza31812ze3z87_4766;
							}
						}
					else
						{	/* Cfa/cfa.scm 200 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_newzf2cinfozf2_bglt BgL_auxz00_5311;

				{
					obj_t BgL_auxz00_5312;

					{	/* Cfa/cfa.scm 201 */
						BgL_objectz00_bglt BgL_tmpz00_5313;

						BgL_tmpz00_5313 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_4628));
						BgL_auxz00_5312 = BGL_OBJECT_WIDENING(BgL_tmpz00_5313);
					}
					BgL_auxz00_5311 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_5312);
				}
				return
					(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5311))->BgL_approxz00);
			}
		}

	}



/* &cfa!-setfield/Cinfo1640 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2setfieldzf2Cinfo1640z50zzcfa_cfaz00(obj_t
		BgL_envz00_4629, obj_t BgL_nodez00_4630)
	{
		{	/* Cfa/cfa.scm 190 */
			{	/* Cfa/cfa.scm 192 */
				obj_t BgL_g1594z00_4771;

				BgL_g1594z00_4771 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_4630))))->BgL_exprza2za2);
				{
					obj_t BgL_l1592z00_4773;

					BgL_l1592z00_4773 = BgL_g1594z00_4771;
				BgL_zc3z04anonymousza31803ze3z87_4772:
					if (PAIRP(BgL_l1592z00_4773))
						{	/* Cfa/cfa.scm 192 */
							{	/* Cfa/cfa.scm 192 */
								obj_t BgL_az00_4774;

								BgL_az00_4774 = CAR(BgL_l1592z00_4773);
								{	/* Cfa/cfa.scm 192 */
									BgL_approxz00_bglt BgL_arg1810z00_4775;

									BgL_arg1810z00_4775 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4774));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1810z00_4775,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1592z00_5330;

								BgL_l1592z00_5330 = CDR(BgL_l1592z00_4773);
								BgL_l1592z00_4773 = BgL_l1592z00_5330;
								goto BgL_zc3z04anonymousza31803ze3z87_4772;
							}
						}
					else
						{	/* Cfa/cfa.scm 192 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_5332;

				{
					obj_t BgL_auxz00_5333;

					{	/* Cfa/cfa.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_5334;

						BgL_tmpz00_5334 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_4630));
						BgL_auxz00_5333 = BGL_OBJECT_WIDENING(BgL_tmpz00_5334);
					}
					BgL_auxz00_5332 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_5333);
				}
				return
					(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5332))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-getfield/Cinfo1638 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2getfieldzf2Cinfo1638z50zzcfa_cfaz00(obj_t
		BgL_envz00_4631, obj_t BgL_nodez00_4632)
	{
		{	/* Cfa/cfa.scm 182 */
			{	/* Cfa/cfa.scm 184 */
				obj_t BgL_g1591z00_4777;

				BgL_g1591z00_4777 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_4632))))->BgL_exprza2za2);
				{
					obj_t BgL_l1589z00_4779;

					BgL_l1589z00_4779 = BgL_g1591z00_4777;
				BgL_zc3z04anonymousza31798ze3z87_4778:
					if (PAIRP(BgL_l1589z00_4779))
						{	/* Cfa/cfa.scm 184 */
							{	/* Cfa/cfa.scm 184 */
								obj_t BgL_az00_4780;

								BgL_az00_4780 = CAR(BgL_l1589z00_4779);
								{	/* Cfa/cfa.scm 184 */
									BgL_approxz00_bglt BgL_arg1801z00_4781;

									BgL_arg1801z00_4781 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4780));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1801z00_4781,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1589z00_5351;

								BgL_l1589z00_5351 = CDR(BgL_l1589z00_4779);
								BgL_l1589z00_4779 = BgL_l1589z00_5351;
								goto BgL_zc3z04anonymousza31798ze3z87_4778;
							}
						}
					else
						{	/* Cfa/cfa.scm 184 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_5353;

				{
					obj_t BgL_auxz00_5354;

					{	/* Cfa/cfa.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_5355;

						BgL_tmpz00_5355 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_4632));
						BgL_auxz00_5354 = BGL_OBJECT_WIDENING(BgL_tmpz00_5355);
					}
					BgL_auxz00_5353 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_5354);
				}
				return
					(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5353))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-genpatchid/Cinf1636 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2genpatchidzf2Cinf1636z50zzcfa_cfaz00(obj_t
		BgL_envz00_4633, obj_t BgL_nodez00_4634)
	{
		{	/* Cfa/cfa.scm 174 */
			{	/* Cfa/cfa.scm 176 */
				obj_t BgL_g1588z00_4783;

				BgL_g1588z00_4783 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_4634))))->BgL_exprza2za2);
				{
					obj_t BgL_l1586z00_4785;

					BgL_l1586z00_4785 = BgL_g1588z00_4783;
				BgL_zc3z04anonymousza31791ze3z87_4784:
					if (PAIRP(BgL_l1586z00_4785))
						{	/* Cfa/cfa.scm 176 */
							{	/* Cfa/cfa.scm 176 */
								obj_t BgL_az00_4786;

								BgL_az00_4786 = CAR(BgL_l1586z00_4785);
								{	/* Cfa/cfa.scm 176 */
									BgL_approxz00_bglt BgL_arg1796z00_4787;

									BgL_arg1796z00_4787 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4786));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1796z00_4787,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1586z00_5372;

								BgL_l1586z00_5372 = CDR(BgL_l1586z00_4785);
								BgL_l1586z00_4785 = BgL_l1586z00_5372;
								goto BgL_zc3z04anonymousza31791ze3z87_4784;
							}
						}
					else
						{	/* Cfa/cfa.scm 176 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_5374;

				{
					obj_t BgL_auxz00_5375;

					{	/* Cfa/cfa.scm 177 */
						BgL_objectz00_bglt BgL_tmpz00_5376;

						BgL_tmpz00_5376 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_4634));
						BgL_auxz00_5375 = BGL_OBJECT_WIDENING(BgL_tmpz00_5376);
					}
					BgL_auxz00_5374 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_5375);
				}
				return
					(((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5374))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-pragma/Cinfo1634 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2pragmazf2Cinfo1634z50zzcfa_cfaz00(obj_t
		BgL_envz00_4635, obj_t BgL_nodez00_4636)
	{
		{	/* Cfa/cfa.scm 166 */
			{	/* Cfa/cfa.scm 168 */
				obj_t BgL_g1585z00_4789;

				BgL_g1585z00_4789 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_4636))))->BgL_exprza2za2);
				{
					obj_t BgL_l1583z00_4791;

					BgL_l1583z00_4791 = BgL_g1585z00_4789;
				BgL_zc3z04anonymousza31786ze3z87_4790:
					if (PAIRP(BgL_l1583z00_4791))
						{	/* Cfa/cfa.scm 168 */
							{	/* Cfa/cfa.scm 168 */
								obj_t BgL_az00_4792;

								BgL_az00_4792 = CAR(BgL_l1583z00_4791);
								{	/* Cfa/cfa.scm 168 */
									BgL_approxz00_bglt BgL_arg1789z00_4793;

									BgL_arg1789z00_4793 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_az00_4792));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1789z00_4793,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1583z00_5393;

								BgL_l1583z00_5393 = CDR(BgL_l1583z00_4791);
								BgL_l1583z00_4791 = BgL_l1583z00_5393;
								goto BgL_zc3z04anonymousza31786ze3z87_4790;
							}
						}
					else
						{	/* Cfa/cfa.scm 168 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_5395;

				{
					obj_t BgL_auxz00_5396;

					{	/* Cfa/cfa.scm 169 */
						BgL_objectz00_bglt BgL_tmpz00_5397;

						BgL_tmpz00_5397 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_4636));
						BgL_auxz00_5396 = BGL_OBJECT_WIDENING(BgL_tmpz00_5397);
					}
					BgL_auxz00_5395 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_5396);
				}
				return
					(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_5395))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-app-ly/Cinfo1632 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2appzd2lyzf2Cinfo1632z82zzcfa_cfaz00(obj_t
		BgL_envz00_4637, obj_t BgL_nodez00_4638)
	{
		{	/* Cfa/cfa.scm 157 */
			{	/* Cfa/cfa.scm 159 */
				BgL_approxz00_bglt BgL_arg1782z00_4795;

				{	/* Cfa/cfa.scm 159 */
					BgL_nodez00_bglt BgL_arg1783z00_4796;

					BgL_arg1783z00_4796 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4638))))->BgL_argz00);
					BgL_arg1782z00_4795 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1783z00_4796);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1782z00_4795,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{	/* Cfa/cfa.scm 160 */
				BgL_approxz00_bglt BgL_arg1784z00_4797;

				{	/* Cfa/cfa.scm 160 */
					BgL_nodez00_bglt BgL_arg1785z00_4798;

					BgL_arg1785z00_4798 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_4638))))->BgL_funz00);
					BgL_arg1784z00_4797 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1785z00_4798);
				}
				BGl_loosez12z12zzcfa_loosez00(BgL_arg1784z00_4797,
					((obj_t) CNST_TABLE_REF(1)));
			}
			{
				BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_5417;

				{
					obj_t BgL_auxz00_5418;

					{	/* Cfa/cfa.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_5419;

						BgL_tmpz00_5419 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4638));
						BgL_auxz00_5418 = BGL_OBJECT_WIDENING(BgL_tmpz00_5419);
					}
					BgL_auxz00_5417 = ((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_5418);
				}
				return
					(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5417))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-sync1630 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sync1630za2zzcfa_cfaz00(obj_t
		BgL_envz00_4639, obj_t BgL_nodez00_4640)
	{
		{	/* Cfa/cfa.scm 148 */
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4640)))->BgL_prelockz00));
			BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4640)))->BgL_mutexz00));
			return
				BGl_cfaz12z12zzcfa_cfaz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_4640)))->BgL_bodyz00));
		}

	}



/* &cfa!-sequence1628 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2sequence1628za2zzcfa_cfaz00(obj_t
		BgL_envz00_4641, obj_t BgL_nodez00_4642)
	{
		{	/* Cfa/cfa.scm 137 */
			{	/* Cfa/cfa.scm 139 */
				obj_t BgL_arg1757z00_4801;

				BgL_arg1757z00_4801 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_4642)))->BgL_nodesz00);
				{
					obj_t BgL_nz00_4803;
					obj_t BgL_approxz00_4804;

					{
						obj_t BgL_auxz00_5436;

						BgL_nz00_4803 = BgL_arg1757z00_4801;
						BgL_approxz00_4804 = BUNSPEC;
					BgL_loopz00_4802:
						if (NULLP(BgL_nz00_4803))
							{	/* Cfa/cfa.scm 141 */
								BgL_auxz00_5436 = BgL_approxz00_4804;
							}
						else
							{	/* Cfa/cfa.scm 143 */
								obj_t BgL_arg1763z00_4805;
								BgL_approxz00_bglt BgL_arg1765z00_4806;

								BgL_arg1763z00_4805 = CDR(((obj_t) BgL_nz00_4803));
								{	/* Cfa/cfa.scm 143 */
									obj_t BgL_arg1768z00_4807;

									BgL_arg1768z00_4807 = CAR(((obj_t) BgL_nz00_4803));
									BgL_arg1765z00_4806 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg1768z00_4807));
								}
								{
									obj_t BgL_approxz00_5446;
									obj_t BgL_nz00_5445;

									BgL_nz00_5445 = BgL_arg1763z00_4805;
									BgL_approxz00_5446 = ((obj_t) BgL_arg1765z00_4806);
									BgL_approxz00_4804 = BgL_approxz00_5446;
									BgL_nz00_4803 = BgL_nz00_5445;
									goto BgL_loopz00_4802;
								}
							}
						return ((BgL_approxz00_bglt) BgL_auxz00_5436);
					}
				}
			}
		}

	}



/* &cfa-variable-value-a1626 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1626zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4643, obj_t BgL_valuez00_4644)
	{
		{	/* Cfa/cfa.scm 130 */
			{
				BgL_approxz00_bglt BgL_auxz00_5449;

				{
					BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5450;

					{
						obj_t BgL_auxz00_5451;

						{	/* Cfa/cfa.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_5452;

							BgL_tmpz00_5452 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_valuez00_4644));
							BgL_auxz00_5451 = BGL_OBJECT_WIDENING(BgL_tmpz00_5452);
						}
						BgL_auxz00_5450 =
							((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5451);
					}
					BgL_auxz00_5449 =
						(((BgL_internzd2sfunzf2cinfoz20_bglt) COBJECT(BgL_auxz00_5450))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5449);
			}
		}

	}



/* &cfa-variable-value-a1624 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1624zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4645, obj_t BgL_valuez00_4646)
	{
		{	/* Cfa/cfa.scm 119 */
			{
				BgL_approxz00_bglt BgL_auxz00_5459;

				{
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_5460;

					{
						obj_t BgL_auxz00_5461;

						{	/* Cfa/cfa.scm 120 */
							BgL_objectz00_bglt BgL_tmpz00_5462;

							BgL_tmpz00_5462 =
								((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_4646));
							BgL_auxz00_5461 = BGL_OBJECT_WIDENING(BgL_tmpz00_5462);
						}
						BgL_auxz00_5460 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_5461);
					}
					BgL_auxz00_5459 =
						(((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5460))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5459);
			}
		}

	}



/* &cfa-variable-value-a1622 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1622zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4647, obj_t BgL_valuez00_4648)
	{
		{	/* Cfa/cfa.scm 112 */
			{
				BgL_approxz00_bglt BgL_auxz00_5469;

				{
					BgL_cvarzf2cinfozf2_bglt BgL_auxz00_5470;

					{
						obj_t BgL_auxz00_5471;

						{	/* Cfa/cfa.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_5472;

							BgL_tmpz00_5472 =
								((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_4648));
							BgL_auxz00_5471 = BGL_OBJECT_WIDENING(BgL_tmpz00_5472);
						}
						BgL_auxz00_5470 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_5471);
					}
					BgL_auxz00_5469 =
						(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5470))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5469);
			}
		}

	}



/* &cfa-variable-value-a1620 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1620zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4649, obj_t BgL_valuez00_4650)
	{
		{	/* Cfa/cfa.scm 105 */
			{
				BgL_approxz00_bglt BgL_auxz00_5479;

				{
					BgL_scnstzf2cinfozf2_bglt BgL_auxz00_5480;

					{
						obj_t BgL_auxz00_5481;

						{	/* Cfa/cfa.scm 106 */
							BgL_objectz00_bglt BgL_tmpz00_5482;

							BgL_tmpz00_5482 =
								((BgL_objectz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_4650));
							BgL_auxz00_5481 = BGL_OBJECT_WIDENING(BgL_tmpz00_5482);
						}
						BgL_auxz00_5480 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_5481);
					}
					BgL_auxz00_5479 =
						(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5480))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5479);
			}
		}

	}



/* &cfa-variable-value-a1618 */
	obj_t BGl_z62cfazd2variablezd2valuezd2a1618zb0zzcfa_cfaz00(obj_t
		BgL_envz00_4651, obj_t BgL_valuez00_4652)
	{
		{	/* Cfa/cfa.scm 98 */
			{
				BgL_approxz00_bglt BgL_auxz00_5489;

				{
					BgL_svarzf2cinfozf2_bglt BgL_auxz00_5490;

					{
						obj_t BgL_auxz00_5491;

						{	/* Cfa/cfa.scm 99 */
							BgL_objectz00_bglt BgL_tmpz00_5492;

							BgL_tmpz00_5492 =
								((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_4652));
							BgL_auxz00_5491 = BGL_OBJECT_WIDENING(BgL_tmpz00_5492);
						}
						BgL_auxz00_5490 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5491);
					}
					BgL_auxz00_5489 =
						(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5490))->
						BgL_approxz00);
				}
				return ((obj_t) BgL_auxz00_5489);
			}
		}

	}



/* &cfa!-closure1614 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2closure1614za2zzcfa_cfaz00(obj_t
		BgL_envz00_4653, obj_t BgL_nodez00_4654)
	{
		{	/* Cfa/cfa.scm 87 */
			{	/* Cfa/cfa.scm 88 */
				obj_t BgL_arg1756z00_4814;

				BgL_arg1756z00_4814 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4654)));
				return
					((BgL_approxz00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00(BGl_string2137z00zzcfa_cfaz00,
						BGl_string2171z00zzcfa_cfaz00, BgL_arg1756z00_4814));
			}
		}

	}



/* &cfa!-var1612 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2var1612za2zzcfa_cfaz00(obj_t
		BgL_envz00_4655, obj_t BgL_nodez00_4656)
	{
		{	/* Cfa/cfa.scm 75 */
			{	/* Cfa/cfa.scm 77 */
				obj_t BgL_approxz00_4816;

				BgL_approxz00_4816 =
					BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
					(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_4656)))->
									BgL_variablez00)))->BgL_valuez00));
				{	/* Cfa/cfa.scm 78 */
					bool_t BgL_test2243z00_5508;

					if (
						(((obj_t)
								(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_4656)))->
												BgL_variablez00)))->BgL_typez00)) ==
							((obj_t) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
													BgL_nodez00_4656))))->BgL_typez00))))
						{	/* Cfa/cfa.scm 78 */
							BgL_test2243z00_5508 = ((bool_t) 1);
						}
					else
						{	/* Cfa/cfa.scm 78 */
							obj_t BgL_arg1724z00_4817;

							BgL_arg1724z00_4817 =
								((obj_t)
								(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_4656))))->BgL_typez00));
							BgL_test2243z00_5508 =
								(BgL_arg1724z00_4817 == BGl_za2_za2z00zztype_cachez00);
						}
					if (BgL_test2243z00_5508)
						{	/* Cfa/cfa.scm 78 */
							return ((BgL_approxz00_bglt) BgL_approxz00_4816);
						}
					else
						{	/* Cfa/cfa.scm 80 */
							BgL_approxz00_bglt BgL_new1178z00_4818;

							{	/* Cfa/cfa.scm 82 */
								BgL_approxz00_bglt BgL_new1181z00_4819;

								BgL_new1181z00_4819 =
									((BgL_approxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_approxz00_bgl))));
								{	/* Cfa/cfa.scm 82 */
									long BgL_arg1720z00_4820;

									BgL_arg1720z00_4820 =
										BGL_CLASS_NUM(BGl_approxz00zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1181z00_4819),
										BgL_arg1720z00_4820);
								}
								BgL_new1178z00_4818 = BgL_new1181z00_4819;
							}
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_varz00_bglt)
														BgL_nodez00_4656))))->BgL_typez00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_typezd2lockedzf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4816)))->BgL_typezd2lockedzf3z21)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_allocsz00) =
								((obj_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4816)))->BgL_allocsz00)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_topzf3zf3) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4816)))->BgL_topzf3zf3)), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_lostzd2stampzd2) =
								((long) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4816)))->BgL_lostzd2stampzd2)),
								BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_dupz00) = ((obj_t) BgL_approxz00_4816), BUNSPEC);
							((((BgL_approxz00_bglt) COBJECT(BgL_new1178z00_4818))->
									BgL_haszd2procedurezf3z21) =
								((bool_t) (((BgL_approxz00_bglt) COBJECT(((BgL_approxz00_bglt)
													BgL_approxz00_4816)))->BgL_haszd2procedurezf3z21)),
								BUNSPEC);
							return BgL_new1178z00_4818;
						}
				}
			}
		}

	}



/* &cfa!-kwote/node1610 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2node1610z50zzcfa_cfaz00(obj_t
		BgL_envz00_4657, obj_t BgL_knodez00_4658)
	{
		{	/* Cfa/cfa.scm 65 */
			{	/* Cfa/cfa.scm 70 */
				BgL_nodez00_bglt BgL_arg1691z00_4822;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_5549;

					{
						obj_t BgL_auxz00_5550;

						{	/* Cfa/cfa.scm 70 */
							BgL_objectz00_bglt BgL_tmpz00_5551;

							BgL_tmpz00_5551 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_knodez00_4658));
							BgL_auxz00_5550 = BGL_OBJECT_WIDENING(BgL_tmpz00_5551);
						}
						BgL_auxz00_5549 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_5550);
					}
					BgL_arg1691z00_4822 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_5549))->
						BgL_nodez00);
				}
				return BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1691z00_4822);
			}
		}

	}



/* &cfa!-kwote/Cinfo1608 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2kwotezf2Cinfo1608z50zzcfa_cfaz00(obj_t
		BgL_envz00_4659, obj_t BgL_nodez00_4660)
	{
		{	/* Cfa/cfa.scm 58 */
			{
				BgL_kwotezf2cinfozf2_bglt BgL_auxz00_5558;

				{
					obj_t BgL_auxz00_5559;

					{	/* Cfa/cfa.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_5560;

						BgL_tmpz00_5560 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_4660));
						BgL_auxz00_5559 = BGL_OBJECT_WIDENING(BgL_tmpz00_5560);
					}
					BgL_auxz00_5558 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_5559);
				}
				return
					(((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_5558))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-patch/Cinfo1606 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2patchzf2Cinfo1606z50zzcfa_cfaz00(obj_t
		BgL_envz00_4661, obj_t BgL_nodez00_4662)
	{
		{	/* Cfa/cfa.scm 51 */
			{
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_5566;

				{
					obj_t BgL_auxz00_5567;

					{	/* Cfa/cfa.scm 52 */
						BgL_objectz00_bglt BgL_tmpz00_5568;

						BgL_tmpz00_5568 =
							((BgL_objectz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_4662));
						BgL_auxz00_5567 = BGL_OBJECT_WIDENING(BgL_tmpz00_5568);
					}
					BgL_auxz00_5566 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_5567);
				}
				return
					(((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5566))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-literal/Cinfo1604 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2literalzf2Cinfo1604z50zzcfa_cfaz00(obj_t
		BgL_envz00_4663, obj_t BgL_nodez00_4664)
	{
		{	/* Cfa/cfa.scm 44 */
			{
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_5574;

				{
					obj_t BgL_auxz00_5575;

					{	/* Cfa/cfa.scm 45 */
						BgL_objectz00_bglt BgL_tmpz00_5576;

						BgL_tmpz00_5576 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_4664));
						BgL_auxz00_5575 = BGL_OBJECT_WIDENING(BgL_tmpz00_5576);
					}
					BgL_auxz00_5574 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_5575);
				}
				return
					(((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5574))->
					BgL_approxz00);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_cfaz00(void)
	{
		{	/* Cfa/cfa.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(131412063L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(102053843L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			BGl_modulezd2initializa7ationz75zzcfa_funcallz00(87791639L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(93933605L,
				BSTRING_TO_STRING(BGl_string2172z00zzcfa_cfaz00));
		}

	}

#ifdef __cplusplus
}
#endif
