/*===========================================================================*/
/*   (Cfa/funcall.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_FUNCALL_TYPE_DEFINITIONS
#define BGL_CFA_FUNCALL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


#endif													// BGL_CFA_FUNCALL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_objectzd2initzd2zzcfa_funcallz00(void);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt,
		obj_t, BgL_funcallz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_funcallz00(void);
	static bool_t
		BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt,
		obj_t);
	static bool_t
		BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00(BgL_approxz00_bglt);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00(void);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	extern BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt,
		BgL_varz00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1533z50zzcfa_funcallz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt,
		BgL_variablez00_bglt, long, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_funcallz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00(void);
	static obj_t BGl_genericzd2initzd2zzcfa_funcallz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern bool_t BGl_soundzd2arityzf3z21zztools_argsz00(obj_t, obj_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzcfa_funcallz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00(void);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t
		BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt, obj_t);
	extern obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzcfa_funcallz00,
		BgL_bgl_za762cfaza712za7d2func2070za7,
		BGl_z62cfaz12zd2funcallzf2Cinfo1533z50zzcfa_funcallz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzcfa_funcallz00,
		BgL_bgl_za762za7c3za704anonymo2071za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_funcallz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STRING(BGl_string2059z00zzcfa_funcallz00,
		BgL_bgl_string2059za700za7za7c2072za7, "cfa", 3);
	      DEFINE_STRING(BGl_string2060z00zzcfa_funcallz00,
		BgL_bgl_string2060za700za7za7c2073za7, "Possible funcall type error", 27);
	      DEFINE_STRING(BGl_string2061z00zzcfa_funcallz00,
		BgL_bgl_string2061za700za7za7c2074za7, " provided", 9);
	      DEFINE_STRING(BGl_string2062z00zzcfa_funcallz00,
		BgL_bgl_string2062za700za7za7c2075za7, " arg(s) expected, ", 18);
	      DEFINE_STRING(BGl_string2063z00zzcfa_funcallz00,
		BgL_bgl_string2063za700za7za7c2076za7, "Possible funcall arity error", 28);
	      DEFINE_STRING(BGl_string2065z00zzcfa_funcallz00,
		BgL_bgl_string2065za700za7za7c2077za7, "cfa!", 4);
	      DEFINE_STRING(BGl_string2067z00zzcfa_funcallz00,
		BgL_bgl_string2067za700za7za7c2078za7, "cfa_funcall", 11);
	      DEFINE_STRING(BGl_string2068z00zzcfa_funcallz00,
		BgL_bgl_string2068za700za7za7c2079za7, "all ", 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_funcallz00(long
		BgL_checksumz00_4141, char *BgL_fromz00_4142)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_cnstzd2initzd2zzcfa_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcfa_funcallz00();
					BGl_methodzd2initzd2zzcfa_funcallz00();
					return BGl_toplevelzd2initzd2zzcfa_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			{	/* Cfa/funcall.scm 15 */
				obj_t BgL_cportz00_4045;

				{	/* Cfa/funcall.scm 15 */
					obj_t BgL_stringz00_4052;

					BgL_stringz00_4052 = BGl_string2068z00zzcfa_funcallz00;
					{	/* Cfa/funcall.scm 15 */
						obj_t BgL_startz00_4053;

						BgL_startz00_4053 = BINT(0L);
						{	/* Cfa/funcall.scm 15 */
							obj_t BgL_endz00_4054;

							BgL_endz00_4054 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4052)));
							{	/* Cfa/funcall.scm 15 */

								BgL_cportz00_4045 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4052, BgL_startz00_4053, BgL_endz00_4054);
				}}}}
				{
					long BgL_iz00_4046;

					BgL_iz00_4046 = 0L;
				BgL_loopz00_4047:
					if ((BgL_iz00_4046 == (-1L)))
						{	/* Cfa/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/funcall.scm 15 */
							{	/* Cfa/funcall.scm 15 */
								obj_t BgL_arg2069z00_4048;

								{	/* Cfa/funcall.scm 15 */

									{	/* Cfa/funcall.scm 15 */
										obj_t BgL_locationz00_4050;

										BgL_locationz00_4050 = BBOOL(((bool_t) 0));
										{	/* Cfa/funcall.scm 15 */

											BgL_arg2069z00_4048 =
												BGl_readz00zz__readerz00(BgL_cportz00_4045,
												BgL_locationz00_4050);
										}
									}
								}
								{	/* Cfa/funcall.scm 15 */
									int BgL_tmpz00_4169;

									BgL_tmpz00_4169 = (int) (BgL_iz00_4046);
									CNST_TABLE_SET(BgL_tmpz00_4169, BgL_arg2069z00_4048);
							}}
							{	/* Cfa/funcall.scm 15 */
								int BgL_auxz00_4051;

								BgL_auxz00_4051 = (int) ((BgL_iz00_4046 - 1L));
								{
									long BgL_iz00_4174;

									BgL_iz00_4174 = (long) (BgL_auxz00_4051);
									BgL_iz00_4046 = BgL_iz00_4174;
									goto BgL_loopz00_4047;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* optional-correct-arity? */
	bool_t BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_4, obj_t BgL_argszd2approxzd2_5)
	{
		{	/* Cfa/funcall.scm 111 */
			{	/* Cfa/funcall.scm 113 */
				long BgL_miz00_2989;

				BgL_miz00_2989 =
					(1L +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_4)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 114 */
					long BgL_lz00_2991;

					BgL_lz00_2991 = bgl_list_length(BgL_argszd2approxzd2_5);
					{	/* Cfa/funcall.scm 115 */

						if ((BgL_lz00_2991 >= BgL_miz00_2989))
							{	/* Cfa/funcall.scm 116 */
								return
									(BgL_lz00_2991 <=
									(BgL_miz00_2989 +
										bgl_list_length(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_4)))->
												BgL_optionalsz00))));
							}
						else
							{	/* Cfa/funcall.scm 116 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* key-correct-arity? */
	bool_t BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_6, obj_t BgL_argszd2approxzd2_7)
	{
		{	/* Cfa/funcall.scm 121 */
			{	/* Cfa/funcall.scm 123 */
				long BgL_miz00_2996;

				BgL_miz00_2996 =
					(1L +
					(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_6)))->BgL_arityz00));
				{	/* Cfa/funcall.scm 124 */
					long BgL_lz00_2998;

					BgL_lz00_2998 = bgl_list_length(BgL_argszd2approxzd2_7);
					{	/* Cfa/funcall.scm 125 */

						if ((BgL_lz00_2998 >= BgL_miz00_2996))
							{	/* Cfa/funcall.scm 126 */
								return
									(BgL_lz00_2998 <=
									(BgL_miz00_2996 +
										(2L *
											bgl_list_length(
												(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_6)))->
													BgL_keysz00)))));
							}
						else
							{	/* Cfa/funcall.scm 126 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* cfa-correct-arity? */
	bool_t BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00(BgL_valuez00_bglt
		BgL_funz00_8, obj_t BgL_argszd2approxzd2_9)
	{
		{	/* Cfa/funcall.scm 131 */
			{	/* Cfa/funcall.scm 132 */
				obj_t BgL_gz00_3004;

				BgL_gz00_3004 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt) BgL_funz00_8)))->
					BgL_thezd2closurezd2globalz00);
				if (BGl_globalzd2optionalzf3z21zzast_varz00(BgL_gz00_3004))
					{	/* Cfa/funcall.scm 135 */
						BgL_valuez00_bglt BgL_arg1581z00_3006;

						BgL_arg1581z00_3006 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_3004))))->BgL_valuez00);
						BGL_TAIL return
							BGl_optionalzd2correctzd2arityzf3zf3zzcfa_funcallz00
							(BgL_arg1581z00_3006, BgL_argszd2approxzd2_9);
					}
				else
					{	/* Cfa/funcall.scm 134 */
						if (BGl_globalzd2keyzf3z21zzast_varz00(BgL_gz00_3004))
							{	/* Cfa/funcall.scm 137 */
								BgL_valuez00_bglt BgL_arg1587z00_3008;

								BgL_arg1587z00_3008 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3004))))->BgL_valuez00);
								BGL_TAIL return
									BGl_keyzd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_arg1587z00_3008, BgL_argszd2approxzd2_9);
							}
						else
							{	/* Cfa/funcall.scm 139 */
								long BgL_arg1588z00_3009;

								BgL_arg1588z00_3009 =
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_funz00_8)))->BgL_arityz00);
								return
									BGl_soundzd2arityzf3z21zztools_argsz00(BINT
									(BgL_arg1588z00_3009), BgL_argszd2approxzd2_9);
							}
					}
			}
		}

	}



/* funcall! */
	BgL_approxz00_bglt BGl_funcallz12z12zzcfa_funcallz00(BgL_appz00_bglt
		BgL_allocz00_10, obj_t BgL_argszd2approxzd2_11,
		BgL_funcallz00_bglt BgL_nodez00_12)
	{
		{	/* Cfa/funcall.scm 144 */
			{	/* Cfa/funcall.scm 145 */
				obj_t BgL_calleez00_3010;

				{	/* Cfa/funcall.scm 145 */
					obj_t BgL_pairz00_3691;

					BgL_pairz00_3691 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_allocz00_10)))->BgL_argsz00);
					BgL_calleez00_3010 = CAR(BgL_pairz00_3691);
				}
				{	/* Cfa/funcall.scm 145 */
					BgL_variablez00_bglt BgL_vz00_3011;

					BgL_vz00_3011 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_calleez00_3010)))->BgL_variablez00);
					{	/* Cfa/funcall.scm 146 */
						BgL_valuez00_bglt BgL_funz00_3012;

						BgL_funz00_3012 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3011))->BgL_valuez00);
						{	/* Cfa/funcall.scm 147 */
							long BgL_arityz00_3013;

							BgL_arityz00_3013 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_3012)))->BgL_arityz00);
							{	/* Cfa/funcall.scm 148 */

								if (BGl_cfazd2correctzd2arityzf3zf3zzcfa_funcallz00
									(BgL_funz00_3012, BgL_argszd2approxzd2_11))
									{	/* Cfa/funcall.scm 159 */
										bool_t BgL_test2087z00_4228;

										{	/* Cfa/funcall.scm 159 */
											bool_t BgL_test2088z00_4229;

											{	/* Cfa/funcall.scm 159 */
												obj_t BgL_arg1638z00_3052;

												BgL_arg1638z00_3052 =
													(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_3012)))->
													BgL_thezd2closurezd2globalz00);
												BgL_test2088z00_4229 =
													BGl_globalzd2optionalzf3z21zzast_varz00
													(BgL_arg1638z00_3052);
											}
											if (BgL_test2088z00_4229)
												{	/* Cfa/funcall.scm 159 */
													BgL_test2087z00_4228 = ((bool_t) 1);
												}
											else
												{	/* Cfa/funcall.scm 160 */
													obj_t BgL_arg1635z00_3051;

													BgL_arg1635z00_3051 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_3012)))->
														BgL_thezd2closurezd2globalz00);
													BgL_test2087z00_4228 =
														BGl_globalzd2keyzf3z21zzast_varz00
														(BgL_arg1635z00_3051);
												}
										}
										if (BgL_test2087z00_4228)
											{	/* Cfa/funcall.scm 159 */
												{
													obj_t BgL_l1528z00_3021;

													BgL_l1528z00_3021 = BgL_argszd2approxzd2_11;
												BgL_zc3z04anonymousza31595ze3z87_3022:
													if (PAIRP(BgL_l1528z00_3021))
														{	/* Cfa/funcall.scm 163 */
															{	/* Cfa/funcall.scm 163 */
																obj_t BgL_approxz00_3024;

																BgL_approxz00_3024 = CAR(BgL_l1528z00_3021);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_approxz00_3024),
																	((obj_t) CNST_TABLE_REF(0)));
															}
															{
																obj_t BgL_l1528z00_4243;

																BgL_l1528z00_4243 = CDR(BgL_l1528z00_3021);
																BgL_l1528z00_3021 = BgL_l1528z00_4243;
																goto BgL_zc3z04anonymousza31595ze3z87_3022;
															}
														}
													else
														{	/* Cfa/funcall.scm 163 */
															((bool_t) 1);
														}
												}
												return
													BGl_makezd2typezd2approxz00zzcfa_approxz00(
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/funcall.scm 159 */
												if ((BgL_arityz00_3013 >= 0L))
													{	/* Cfa/funcall.scm 165 */
														return
															BGl_appz12z12zzcfa_appz00(
															((BgL_funz00_bglt) BgL_funz00_3012),
															((BgL_varz00_bglt) BgL_calleez00_3010),
															BgL_argszd2approxzd2_11);
													}
												else
													{	/* Cfa/funcall.scm 165 */
														{
															obj_t BgL_oldzd2argszd2approxz00_3030;
															obj_t BgL_newzd2argszd2approxz00_3031;
															long BgL_arityz00_3032;

															BgL_oldzd2argszd2approxz00_3030 =
																BgL_argszd2approxzd2_11;
															BgL_newzd2argszd2approxz00_3031 = BNIL;
															BgL_arityz00_3032 = BgL_arityz00_3013;
														BgL_zc3z04anonymousza31599ze3z87_3033:
															if ((BgL_arityz00_3032 == (-1L)))
																{	/* Cfa/funcall.scm 175 */
																	{
																		obj_t BgL_l1530z00_3036;

																		BgL_l1530z00_3036 =
																			BgL_oldzd2argszd2approxz00_3030;
																	BgL_zc3z04anonymousza31601ze3z87_3037:
																		if (PAIRP(BgL_l1530z00_3036))
																			{	/* Cfa/funcall.scm 177 */
																				{	/* Cfa/funcall.scm 177 */
																					obj_t BgL_approxz00_3039;

																					BgL_approxz00_3039 =
																						CAR(BgL_l1530z00_3036);
																					BGl_loosez12z12zzcfa_loosez00(
																						((BgL_approxz00_bglt)
																							BgL_approxz00_3039),
																						((obj_t) CNST_TABLE_REF(0)));
																				}
																				{
																					obj_t BgL_l1530z00_4261;

																					BgL_l1530z00_4261 =
																						CDR(BgL_l1530z00_3036);
																					BgL_l1530z00_3036 = BgL_l1530z00_4261;
																					goto
																						BgL_zc3z04anonymousza31601ze3z87_3037;
																				}
																			}
																		else
																			{	/* Cfa/funcall.scm 177 */
																				((bool_t) 1);
																			}
																	}
																	{	/* Cfa/funcall.scm 181 */
																		obj_t BgL_arg1611z00_3042;

																		{	/* Cfa/funcall.scm 181 */
																			obj_t BgL_arg1612z00_3043;

																			{	/* Cfa/funcall.scm 181 */
																				BgL_approxz00_bglt BgL_arg1625z00_3044;

																				{
																					BgL_funcallzf2cinfozf2_bglt
																						BgL_auxz00_4263;
																					{
																						obj_t BgL_auxz00_4264;

																						{	/* Cfa/funcall.scm 181 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4265;
																							BgL_tmpz00_4265 =
																								((BgL_objectz00_bglt)
																								BgL_nodez00_12);
																							BgL_auxz00_4264 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_4265);
																						}
																						BgL_auxz00_4263 =
																							((BgL_funcallzf2cinfozf2_bglt)
																							BgL_auxz00_4264);
																					}
																					BgL_arg1625z00_3044 =
																						(((BgL_funcallzf2cinfozf2_bglt)
																							COBJECT(BgL_auxz00_4263))->
																						BgL_vazd2approxzd2);
																				}
																				BgL_arg1612z00_3043 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg1625z00_3044),
																					BgL_newzd2argszd2approxz00_3031);
																			}
																			BgL_arg1611z00_3042 =
																				bgl_reverse_bang(BgL_arg1612z00_3043);
																		}
																		return
																			BGl_appz12z12zzcfa_appz00(
																			((BgL_funz00_bglt) BgL_funz00_3012),
																			((BgL_varz00_bglt) BgL_calleez00_3010),
																			BgL_arg1611z00_3042);
																	}
																}
															else
																{	/* Cfa/funcall.scm 183 */
																	obj_t BgL_arg1626z00_3045;
																	obj_t BgL_arg1631z00_3046;
																	long BgL_arg1632z00_3047;

																	BgL_arg1626z00_3045 =
																		CDR(
																		((obj_t) BgL_oldzd2argszd2approxz00_3030));
																	{	/* Cfa/funcall.scm 184 */
																		obj_t BgL_arg1633z00_3048;

																		BgL_arg1633z00_3048 =
																			CAR(
																			((obj_t)
																				BgL_oldzd2argszd2approxz00_3030));
																		BgL_arg1631z00_3046 =
																			MAKE_YOUNG_PAIR(BgL_arg1633z00_3048,
																			BgL_newzd2argszd2approxz00_3031);
																	}
																	BgL_arg1632z00_3047 =
																		(BgL_arityz00_3032 + 1L);
																	{
																		long BgL_arityz00_4284;
																		obj_t BgL_newzd2argszd2approxz00_4283;
																		obj_t BgL_oldzd2argszd2approxz00_4282;

																		BgL_oldzd2argszd2approxz00_4282 =
																			BgL_arg1626z00_3045;
																		BgL_newzd2argszd2approxz00_4283 =
																			BgL_arg1631z00_3046;
																		BgL_arityz00_4284 = BgL_arg1632z00_3047;
																		BgL_arityz00_3032 = BgL_arityz00_4284;
																		BgL_newzd2argszd2approxz00_3031 =
																			BgL_newzd2argszd2approxz00_4283;
																		BgL_oldzd2argszd2approxz00_3030 =
																			BgL_oldzd2argszd2approxz00_4282;
																		goto BgL_zc3z04anonymousza31599ze3z87_3033;
																	}
																}
														}
													}
											}
									}
								else
									{	/* Cfa/funcall.scm 153 */
										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4285;

											{
												obj_t BgL_auxz00_4286;

												{	/* Cfa/funcall.scm 157 */
													BgL_objectz00_bglt BgL_tmpz00_4287;

													BgL_tmpz00_4287 =
														((BgL_objectz00_bglt) BgL_allocz00_10);
													BgL_auxz00_4286 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4287);
												}
												BgL_auxz00_4285 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_4286);
											}
											((((BgL_makezd2procedurezd2appz00_bglt)
														COBJECT(BgL_auxz00_4285))->BgL_xzd2tzf3z21) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										return
											BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00
											(BgL_nodez00_12, BgL_vz00_3011, BgL_arityz00_3013,
											BgL_argszd2approxzd2_11);
									}
							}
						}
					}
				}
			}
		}

	}



/* funcall-type-error */
	obj_t BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_13, obj_t BgL_typez00_14)
	{
		{	/* Cfa/funcall.scm 190 */
			{	/* Cfa/funcall.scm 193 */
				bool_t BgL_test2093z00_4293;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4294;

					{
						obj_t BgL_auxz00_4295;

						{	/* Cfa/funcall.scm 193 */
							BgL_objectz00_bglt BgL_tmpz00_4296;

							BgL_tmpz00_4296 = ((BgL_objectz00_bglt) BgL_nodez00_13);
							BgL_auxz00_4295 = BGL_OBJECT_WIDENING(BgL_tmpz00_4296);
						}
						BgL_auxz00_4294 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4295);
					}
					BgL_test2093z00_4293 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4294))->
						BgL_typezd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2093z00_4293)
					{	/* Cfa/funcall.scm 193 */
						return BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 193 */
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4301;

							{
								obj_t BgL_auxz00_4302;

								{	/* Cfa/funcall.scm 194 */
									BgL_objectz00_bglt BgL_tmpz00_4303;

									BgL_tmpz00_4303 = ((BgL_objectz00_bglt) BgL_nodez00_13);
									BgL_auxz00_4302 = BGL_OBJECT_WIDENING(BgL_tmpz00_4303);
								}
								BgL_auxz00_4301 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4302);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4301))->
									BgL_typezd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 195 */
							obj_t BgL_arg1648z00_3057;
							obj_t BgL_arg1649z00_3058;

							BgL_arg1648z00_3057 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_13)))->BgL_locz00);
							BgL_arg1649z00_3058 =
								BGl_shapez00zztools_shapez00(BgL_typez00_14);
							return
								BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1648z00_3057, BGl_string2059z00zzcfa_funcallz00,
								BGl_string2060z00zzcfa_funcallz00, BgL_arg1649z00_3058);
						}
					}
			}
		}

	}



/* funcall-arity-error */
	BgL_approxz00_bglt
		BGl_funcallzd2arityzd2errorz00zzcfa_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_15, BgL_variablez00_bglt BgL_vz00_16, long BgL_arityz00_17,
		obj_t BgL_argszd2approxzd2_18)
	{
		{	/* Cfa/funcall.scm 203 */
			{	/* Cfa/funcall.scm 205 */
				bool_t BgL_test2094z00_4312;

				{
					BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4313;

					{
						obj_t BgL_auxz00_4314;

						{	/* Cfa/funcall.scm 205 */
							BgL_objectz00_bglt BgL_tmpz00_4315;

							BgL_tmpz00_4315 = ((BgL_objectz00_bglt) BgL_nodez00_15);
							BgL_auxz00_4314 = BGL_OBJECT_WIDENING(BgL_tmpz00_4315);
						}
						BgL_auxz00_4313 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4314);
					}
					BgL_test2094z00_4312 =
						(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4313))->
						BgL_arityzd2errorzd2noticedzf3zf3);
				}
				if (BgL_test2094z00_4312)
					{	/* Cfa/funcall.scm 205 */
						BFALSE;
					}
				else
					{	/* Cfa/funcall.scm 206 */
						long BgL_lenzd2provzd2_3061;

						BgL_lenzd2provzd2_3061 =
							(bgl_list_length(BgL_argszd2approxzd2_18) - 1L);
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4322;

							{
								obj_t BgL_auxz00_4323;

								{	/* Cfa/funcall.scm 207 */
									BgL_objectz00_bglt BgL_tmpz00_4324;

									BgL_tmpz00_4324 = ((BgL_objectz00_bglt) BgL_nodez00_15);
									BgL_auxz00_4323 = BGL_OBJECT_WIDENING(BgL_tmpz00_4324);
								}
								BgL_auxz00_4322 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4323);
							}
							((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4322))->
									BgL_arityzd2errorzd2noticedzf3zf3) =
								((bool_t) ((bool_t) 1)), BUNSPEC);
						}
						{	/* Cfa/funcall.scm 208 */
							obj_t BgL_arg1653z00_3062;
							obj_t BgL_arg1655z00_3063;
							obj_t BgL_arg1656z00_3064;

							BgL_arg1653z00_3062 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_15)))->BgL_locz00);
							{	/* Cfa/funcall.scm 212 */
								BgL_variablez00_bglt BgL_arg1657z00_3065;

								{	/* Cfa/funcall.scm 212 */
									bool_t BgL_test2095z00_4331;

									{	/* Cfa/funcall.scm 212 */
										obj_t BgL_classz00_3714;

										BgL_classz00_3714 = BGl_localz00zzast_varz00;
										{	/* Cfa/funcall.scm 212 */
											BgL_objectz00_bglt BgL_arg1858z00_3716;

											{	/* Cfa/funcall.scm 212 */
												obj_t BgL_tmpz00_4332;

												BgL_tmpz00_4332 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
												BgL_arg1858z00_3716 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4332);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/funcall.scm 212 */
													long BgL_idxz00_3722;

													BgL_idxz00_3722 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3716);
													BgL_test2095z00_4331 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3722 + 2L)) == BgL_classz00_3714);
												}
											else
												{	/* Cfa/funcall.scm 212 */
													bool_t BgL_res2050z00_3747;

													{	/* Cfa/funcall.scm 212 */
														obj_t BgL_oclassz00_3730;

														{	/* Cfa/funcall.scm 212 */
															obj_t BgL_arg1866z00_3738;
															long BgL_arg1867z00_3739;

															BgL_arg1866z00_3738 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/funcall.scm 212 */
																long BgL_arg1869z00_3740;

																BgL_arg1869z00_3740 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3716);
																BgL_arg1867z00_3739 =
																	(BgL_arg1869z00_3740 - OBJECT_TYPE);
															}
															BgL_oclassz00_3730 =
																VECTOR_REF(BgL_arg1866z00_3738,
																BgL_arg1867z00_3739);
														}
														{	/* Cfa/funcall.scm 212 */
															bool_t BgL__ortest_1115z00_3731;

															BgL__ortest_1115z00_3731 =
																(BgL_classz00_3714 == BgL_oclassz00_3730);
															if (BgL__ortest_1115z00_3731)
																{	/* Cfa/funcall.scm 212 */
																	BgL_res2050z00_3747 =
																		BgL__ortest_1115z00_3731;
																}
															else
																{	/* Cfa/funcall.scm 212 */
																	long BgL_odepthz00_3732;

																	{	/* Cfa/funcall.scm 212 */
																		obj_t BgL_arg1855z00_3733;

																		BgL_arg1855z00_3733 = (BgL_oclassz00_3730);
																		BgL_odepthz00_3732 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3733);
																	}
																	if ((2L < BgL_odepthz00_3732))
																		{	/* Cfa/funcall.scm 212 */
																			obj_t BgL_arg1853z00_3735;

																			{	/* Cfa/funcall.scm 212 */
																				obj_t BgL_arg1854z00_3736;

																				BgL_arg1854z00_3736 =
																					(BgL_oclassz00_3730);
																				BgL_arg1853z00_3735 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3736, 2L);
																			}
																			BgL_res2050z00_3747 =
																				(BgL_arg1853z00_3735 ==
																				BgL_classz00_3714);
																		}
																	else
																		{	/* Cfa/funcall.scm 212 */
																			BgL_res2050z00_3747 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2095z00_4331 = BgL_res2050z00_3747;
												}
										}
									}
									if (BgL_test2095z00_4331)
										{	/* Cfa/funcall.scm 213 */
											BgL_localz00_bglt BgL_new1169z00_3068;

											{	/* Cfa/funcall.scm 213 */
												BgL_localz00_bglt BgL_new1175z00_3072;

												BgL_new1175z00_3072 =
													((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localz00_bgl))));
												{	/* Cfa/funcall.scm 213 */
													long BgL_arg1660z00_3073;

													BgL_arg1660z00_3073 =
														BGL_CLASS_NUM(BGl_localz00zzast_varz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1175z00_3072),
														BgL_arg1660z00_3073);
												}
												{	/* Cfa/funcall.scm 213 */
													BgL_objectz00_bglt BgL_tmpz00_4359;

													BgL_tmpz00_4359 =
														((BgL_objectz00_bglt) BgL_new1175z00_3072);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4359, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1175z00_3072);
												BgL_new1169z00_3068 = BgL_new1175z00_3072;
											}
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_new1169z00_3068)))->
													BgL_idz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_namez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_namez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_typez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_valuez00) =
												((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_valuez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_accessz00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_accessz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_fastzd2alphazd2) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_removablez00) =
												((obj_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_removablez00)),
												BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_occurrencez00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencez00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_occurrencewz00) =
												((long) (((BgL_variablez00_bglt) COBJECT(BgL_vz00_16))->
														BgL_occurrencewz00)), BUNSPEC);
											((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
																BgL_new1169z00_3068)))->BgL_userzf3zf3) =
												((bool_t) (((BgL_variablez00_bglt)
															COBJECT(BgL_vz00_16))->BgL_userzf3zf3)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1169z00_3068))->
													BgL_keyz00) =
												((long) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_keyz00)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1169z00_3068))->
													BgL_valzd2noescapezd2) =
												((obj_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_valzd2noescapezd2)), BUNSPEC);
											((((BgL_localz00_bglt) COBJECT(BgL_new1169z00_3068))->
													BgL_volatilez00) =
												((bool_t) (((BgL_localz00_bglt)
															COBJECT(((BgL_localz00_bglt) BgL_vz00_16)))->
														BgL_volatilez00)), BUNSPEC);
											BgL_arg1657z00_3065 =
												((BgL_variablez00_bglt) BgL_new1169z00_3068);
										}
									else
										{	/* Cfa/funcall.scm 214 */
											bool_t BgL_test2099z00_4403;

											{	/* Cfa/funcall.scm 214 */
												obj_t BgL_classz00_3752;

												BgL_classz00_3752 = BGl_globalz00zzast_varz00;
												{	/* Cfa/funcall.scm 214 */
													BgL_objectz00_bglt BgL_arg1858z00_3754;

													{	/* Cfa/funcall.scm 214 */
														obj_t BgL_tmpz00_4404;

														BgL_tmpz00_4404 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_16));
														BgL_arg1858z00_3754 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4404);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/funcall.scm 214 */
															long BgL_idxz00_3760;

															BgL_idxz00_3760 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3754);
															BgL_test2099z00_4403 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3760 + 2L)) == BgL_classz00_3752);
														}
													else
														{	/* Cfa/funcall.scm 214 */
															bool_t BgL_res2051z00_3785;

															{	/* Cfa/funcall.scm 214 */
																obj_t BgL_oclassz00_3768;

																{	/* Cfa/funcall.scm 214 */
																	obj_t BgL_arg1866z00_3776;
																	long BgL_arg1867z00_3777;

																	BgL_arg1866z00_3776 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/funcall.scm 214 */
																		long BgL_arg1869z00_3778;

																		BgL_arg1869z00_3778 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3754);
																		BgL_arg1867z00_3777 =
																			(BgL_arg1869z00_3778 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3768 =
																		VECTOR_REF(BgL_arg1866z00_3776,
																		BgL_arg1867z00_3777);
																}
																{	/* Cfa/funcall.scm 214 */
																	bool_t BgL__ortest_1115z00_3769;

																	BgL__ortest_1115z00_3769 =
																		(BgL_classz00_3752 == BgL_oclassz00_3768);
																	if (BgL__ortest_1115z00_3769)
																		{	/* Cfa/funcall.scm 214 */
																			BgL_res2051z00_3785 =
																				BgL__ortest_1115z00_3769;
																		}
																	else
																		{	/* Cfa/funcall.scm 214 */
																			long BgL_odepthz00_3770;

																			{	/* Cfa/funcall.scm 214 */
																				obj_t BgL_arg1855z00_3771;

																				BgL_arg1855z00_3771 =
																					(BgL_oclassz00_3768);
																				BgL_odepthz00_3770 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_3771);
																			}
																			if ((2L < BgL_odepthz00_3770))
																				{	/* Cfa/funcall.scm 214 */
																					obj_t BgL_arg1853z00_3773;

																					{	/* Cfa/funcall.scm 214 */
																						obj_t BgL_arg1854z00_3774;

																						BgL_arg1854z00_3774 =
																							(BgL_oclassz00_3768);
																						BgL_arg1853z00_3773 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_3774, 2L);
																					}
																					BgL_res2051z00_3785 =
																						(BgL_arg1853z00_3773 ==
																						BgL_classz00_3752);
																				}
																			else
																				{	/* Cfa/funcall.scm 214 */
																					BgL_res2051z00_3785 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2099z00_4403 = BgL_res2051z00_3785;
														}
												}
											}
											if (BgL_test2099z00_4403)
												{	/* Cfa/funcall.scm 215 */
													BgL_globalz00_bglt BgL_new1176z00_3076;

													{	/* Cfa/funcall.scm 215 */
														BgL_globalz00_bglt BgL_new1189z00_3087;

														BgL_new1189z00_3087 =
															((BgL_globalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_globalz00_bgl))));
														{	/* Cfa/funcall.scm 215 */
															long BgL_arg1663z00_3088;

															BgL_arg1663z00_3088 =
																BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1189z00_3087),
																BgL_arg1663z00_3088);
														}
														{	/* Cfa/funcall.scm 215 */
															BgL_objectz00_bglt BgL_tmpz00_4431;

															BgL_tmpz00_4431 =
																((BgL_objectz00_bglt) BgL_new1189z00_3087);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4431, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1189z00_3087);
														BgL_new1176z00_3076 = BgL_new1189z00_3087;
													}
													((((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_idz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_idz00)), BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_namez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_namez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_typez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_valuez00) =
														((BgL_valuez00_bglt) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_valuez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_accessz00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_accessz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->
															BgL_fastzd2alphazd2) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_fastzd2alphazd2)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_removablez00) =
														((obj_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_removablez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_occurrencez00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencez00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->
															BgL_occurrencewz00) =
														((long) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_occurrencewz00)),
														BUNSPEC);
													((((BgL_variablez00_bglt)
																COBJECT(((BgL_variablez00_bglt)
																		BgL_new1176z00_3076)))->BgL_userzf3zf3) =
														((bool_t) (((BgL_variablez00_bglt)
																	COBJECT(BgL_vz00_16))->BgL_userzf3zf3)),
														BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_modulez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_modulez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_importz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_importz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->
															BgL_evaluablezf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evaluablezf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_evalzf3zf3) =
														((bool_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_evalzf3zf3)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_libraryz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_libraryz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_pragmaz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_pragmaz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_srcz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_srcz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->
															BgL_qualifiedzd2typezd2namez00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_qualifiedzd2typezd2namez00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_initz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_initz00)), BUNSPEC);
													((((BgL_globalz00_bglt)
																COBJECT(BgL_new1176z00_3076))->BgL_aliasz00) =
														((obj_t) (((BgL_globalz00_bglt)
																	COBJECT(((BgL_globalz00_bglt) BgL_vz00_16)))->
																BgL_aliasz00)), BUNSPEC);
													BgL_arg1657z00_3065 =
														((BgL_variablez00_bglt) BgL_new1176z00_3076);
												}
											else
												{	/* Cfa/funcall.scm 214 */
													BgL_arg1657z00_3065 = BgL_vz00_16;
												}
										}
								}
								BgL_arg1655z00_3063 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1657z00_3065));
							}
							{	/* Cfa/funcall.scm 220 */
								obj_t BgL_arg1664z00_3089;
								obj_t BgL_arg1673z00_3090;

								{	/* Cfa/funcall.scm 220 */

									BgL_arg1664z00_3089 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(BgL_arityz00_17 - 1L), 10L);
								}
								{	/* Cfa/funcall.scm 222 */

									BgL_arg1673z00_3090 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_lenzd2provzd2_3061, 10L);
								}
								{	/* Cfa/funcall.scm 219 */
									obj_t BgL_list1674z00_3091;

									{	/* Cfa/funcall.scm 219 */
										obj_t BgL_arg1677z00_3092;

										{	/* Cfa/funcall.scm 219 */
											obj_t BgL_arg1679z00_3093;

											{	/* Cfa/funcall.scm 219 */
												obj_t BgL_arg1680z00_3094;

												BgL_arg1680z00_3094 =
													MAKE_YOUNG_PAIR(BGl_string2061z00zzcfa_funcallz00,
													BNIL);
												BgL_arg1679z00_3093 =
													MAKE_YOUNG_PAIR(BgL_arg1673z00_3090,
													BgL_arg1680z00_3094);
											}
											BgL_arg1677z00_3092 =
												MAKE_YOUNG_PAIR(BGl_string2062z00zzcfa_funcallz00,
												BgL_arg1679z00_3093);
										}
										BgL_list1674z00_3091 =
											MAKE_YOUNG_PAIR(BgL_arg1664z00_3089, BgL_arg1677z00_3092);
									}
									BgL_arg1656z00_3064 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list1674z00_3091);
								}
							}
							BGl_userzd2warningzf2locationz20zztools_errorz00
								(BgL_arg1653z00_3062, BgL_arg1655z00_3063,
								BGl_string2063z00zzcfa_funcallz00, BgL_arg1656z00_3064);
						}
					}
			}
			return BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_funcallzf2Cinfozf2zzcfa_infoz00,
				BGl_proc2064z00zzcfa_funcallz00, BGl_string2065z00zzcfa_funcallz00);
		}

	}



/* &cfa!-funcall/Cinfo1533 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2funcallzf2Cinfo1533z50zzcfa_funcallz00(obj_t
		BgL_envz00_4029, obj_t BgL_nodez00_4030)
	{
		{	/* Cfa/funcall.scm 44 */
			{	/* Cfa/funcall.scm 48 */
				BgL_approxz00_bglt BgL_fapproxz00_4057;

				{	/* Cfa/funcall.scm 48 */
					BgL_nodez00_bglt BgL_arg1842z00_4058;

					BgL_arg1842z00_4058 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_4030))))->BgL_funz00);
					BgL_fapproxz00_4057 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1842z00_4058);
				}
				{	/* Cfa/funcall.scm 48 */
					obj_t BgL_aapproxz00_4059;

					{	/* Cfa/funcall.scm 49 */
						obj_t BgL_l1520z00_4060;

						{	/* Cfa/funcall.scm 49 */
							obj_t BgL_pairz00_4061;

							BgL_pairz00_4061 =
								(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_4030))))->BgL_argsz00);
							BgL_l1520z00_4060 = CDR(BgL_pairz00_4061);
						}
						if (NULLP(BgL_l1520z00_4060))
							{	/* Cfa/funcall.scm 49 */
								BgL_aapproxz00_4059 = BNIL;
							}
						else
							{	/* Cfa/funcall.scm 49 */
								obj_t BgL_head1522z00_4062;

								{	/* Cfa/funcall.scm 49 */
									BgL_approxz00_bglt BgL_arg1825z00_4063;

									{	/* Cfa/funcall.scm 49 */
										obj_t BgL_arg1829z00_4064;

										BgL_arg1829z00_4064 = CAR(((obj_t) BgL_l1520z00_4060));
										BgL_arg1825z00_4063 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1829z00_4064));
									}
									BgL_head1522z00_4062 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1825z00_4063), BNIL);
								}
								{	/* Cfa/funcall.scm 49 */
									obj_t BgL_g1525z00_4065;

									BgL_g1525z00_4065 = CDR(((obj_t) BgL_l1520z00_4060));
									{
										obj_t BgL_l1520z00_4067;
										obj_t BgL_tail1523z00_4068;

										BgL_l1520z00_4067 = BgL_g1525z00_4065;
										BgL_tail1523z00_4068 = BgL_head1522z00_4062;
									BgL_zc3z04anonymousza31813ze3z87_4066:
										if (NULLP(BgL_l1520z00_4067))
											{	/* Cfa/funcall.scm 49 */
												BgL_aapproxz00_4059 = BgL_head1522z00_4062;
											}
										else
											{	/* Cfa/funcall.scm 49 */
												obj_t BgL_newtail1524z00_4069;

												{	/* Cfa/funcall.scm 49 */
													BgL_approxz00_bglt BgL_arg1821z00_4070;

													{	/* Cfa/funcall.scm 49 */
														obj_t BgL_arg1822z00_4071;

														BgL_arg1822z00_4071 =
															CAR(((obj_t) BgL_l1520z00_4067));
														BgL_arg1821z00_4070 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1822z00_4071));
													}
													BgL_newtail1524z00_4069 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg1821z00_4070), BNIL);
												}
												SET_CDR(BgL_tail1523z00_4068, BgL_newtail1524z00_4069);
												{	/* Cfa/funcall.scm 49 */
													obj_t BgL_arg1818z00_4072;

													BgL_arg1818z00_4072 =
														CDR(((obj_t) BgL_l1520z00_4067));
													{
														obj_t BgL_tail1523z00_4539;
														obj_t BgL_l1520z00_4538;

														BgL_l1520z00_4538 = BgL_arg1818z00_4072;
														BgL_tail1523z00_4539 = BgL_newtail1524z00_4069;
														BgL_tail1523z00_4068 = BgL_tail1523z00_4539;
														BgL_l1520z00_4067 = BgL_l1520z00_4538;
														goto BgL_zc3z04anonymousza31813ze3z87_4066;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/funcall.scm 49 */

						{	/* Cfa/funcall.scm 54 */
							obj_t BgL_funzd2typezd2_4073;

							BgL_funzd2typezd2_4073 =
								((obj_t)
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4057))->
									BgL_typez00));
							{	/* Cfa/funcall.scm 55 */
								bool_t BgL_test2105z00_4542;

								if ((BgL_funzd2typezd2_4073 == BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/funcall.scm 55 */
										BgL_test2105z00_4542 = ((bool_t) 1);
									}
								else
									{	/* Cfa/funcall.scm 55 */
										if (
											(BgL_funzd2typezd2_4073 ==
												BGl_za2objza2z00zztype_cachez00))
											{	/* Cfa/funcall.scm 56 */
												BgL_test2105z00_4542 = ((bool_t) 1);
											}
										else
											{	/* Cfa/funcall.scm 56 */
												BgL_test2105z00_4542 =
													(BgL_funzd2typezd2_4073 ==
													BGl_za2procedureza2z00zztype_cachez00);
											}
									}
								if (BgL_test2105z00_4542)
									{	/* Cfa/funcall.scm 55 */
										BFALSE;
									}
								else
									{	/* Cfa/funcall.scm 55 */
										BGl_funcallzd2typezd2errorz00zzcfa_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_4030),
											BgL_funzd2typezd2_4073);
									}
							}
						}
						{	/* Cfa/funcall.scm 60 */
							bool_t BgL_test2108z00_4550;

							{	/* Cfa/funcall.scm 60 */
								bool_t BgL_test2109z00_4551;

								{	/* Cfa/funcall.scm 60 */
									obj_t BgL_arg1715z00_4074;

									BgL_arg1715z00_4074 =
										((obj_t)
										(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4057))->
											BgL_typez00));
									BgL_test2109z00_4551 =
										(BgL_arg1715z00_4074 ==
										BGl_za2procedureza2z00zztype_cachez00);
								}
								if (BgL_test2109z00_4551)
									{	/* Cfa/funcall.scm 60 */
										BgL_test2108z00_4550 =
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4057))->
											BgL_topzf3zf3);
									}
								else
									{	/* Cfa/funcall.scm 60 */
										BgL_test2108z00_4550 = ((bool_t) 1);
									}
							}
							if (BgL_test2108z00_4550)
								{	/* Cfa/funcall.scm 62 */
									BgL_approxz00_bglt BgL_arg1703z00_4075;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4556;

										{
											obj_t BgL_auxz00_4557;

											{	/* Cfa/funcall.scm 62 */
												BgL_objectz00_bglt BgL_tmpz00_4558;

												BgL_tmpz00_4558 =
													((BgL_objectz00_bglt)
													((BgL_funcallz00_bglt) BgL_nodez00_4030));
												BgL_auxz00_4557 = BGL_OBJECT_WIDENING(BgL_tmpz00_4558);
											}
											BgL_auxz00_4556 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4557);
										}
										BgL_arg1703z00_4075 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4556))->BgL_approxz00);
									}
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
										(BgL_arg1703z00_4075,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
							else
								{	/* Cfa/funcall.scm 60 */
									BFALSE;
								}
						}
						{	/* Cfa/funcall.scm 65 */
							bool_t BgL_test2110z00_4566;

							if (
								(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4057))->
									BgL_topzf3zf3))
								{	/* Cfa/funcall.scm 65 */
									BgL_test2110z00_4566 = ((bool_t) 1);
								}
							else
								{	/* Cfa/funcall.scm 66 */
									bool_t BgL_test2112z00_4569;

									{	/* Cfa/funcall.scm 66 */
										obj_t BgL_arg1776z00_4076;

										BgL_arg1776z00_4076 =
											((obj_t)
											(((BgL_approxz00_bglt) COBJECT(BgL_fapproxz00_4057))->
												BgL_typez00));
										BgL_test2112z00_4569 =
											(BgL_arg1776z00_4076 ==
											BGl_za2procedureza2z00zztype_cachez00);
									}
									if (BgL_test2112z00_4569)
										{	/* Cfa/funcall.scm 66 */
											BgL_test2110z00_4566 = ((bool_t) 0);
										}
									else
										{	/* Cfa/funcall.scm 66 */
											BgL_test2110z00_4566 = ((bool_t) 1);
										}
								}
							if (BgL_test2110z00_4566)
								{	/* Cfa/funcall.scm 65 */
									{
										obj_t BgL_l1526z00_4078;

										BgL_l1526z00_4078 = BgL_aapproxz00_4059;
									BgL_zc3z04anonymousza31722ze3z87_4077:
										if (PAIRP(BgL_l1526z00_4078))
											{	/* Cfa/funcall.scm 67 */
												{	/* Cfa/funcall.scm 67 */
													obj_t BgL_approxz00_4079;

													BgL_approxz00_4079 = CAR(BgL_l1526z00_4078);
													BGl_loosez12z12zzcfa_loosez00(
														((BgL_approxz00_bglt) BgL_approxz00_4079),
														((obj_t) CNST_TABLE_REF(0)));
												}
												{
													obj_t BgL_l1526z00_4580;

													BgL_l1526z00_4580 = CDR(BgL_l1526z00_4078);
													BgL_l1526z00_4078 = BgL_l1526z00_4580;
													goto BgL_zc3z04anonymousza31722ze3z87_4077;
												}
											}
										else
											{	/* Cfa/funcall.scm 67 */
												((bool_t) 1);
											}
									}
									{	/* Cfa/funcall.scm 70 */
										obj_t BgL_zc3z04anonymousza31730ze3z87_4080;

										BgL_zc3z04anonymousza31730ze3z87_4080 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31730ze3ze5zzcfa_funcallz00,
											(int) (1L), (int) (3L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31730ze3z87_4080,
											(int) (0L),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4030)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31730ze3z87_4080,
											(int) (1L), BgL_aapproxz00_4059);
										PROCEDURE_SET(BgL_zc3z04anonymousza31730ze3z87_4080,
											(int) (2L),
											((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4030)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31730ze3z87_4080,
											BgL_fapproxz00_4057);
									}
									{	/* Cfa/funcall.scm 77 */
										BgL_approxz00_bglt BgL_arg1756z00_4081;

										{
											BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4596;

											{
												obj_t BgL_auxz00_4597;

												{	/* Cfa/funcall.scm 77 */
													BgL_objectz00_bglt BgL_tmpz00_4598;

													BgL_tmpz00_4598 =
														((BgL_objectz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_4030));
													BgL_auxz00_4597 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4598);
												}
												BgL_auxz00_4596 =
													((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4597);
											}
											BgL_arg1756z00_4081 =
												(((BgL_funcallzf2cinfozf2_bglt)
													COBJECT(BgL_auxz00_4596))->BgL_approxz00);
										}
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1756z00_4081);
								}}
							else
								{	/* Cfa/funcall.scm 65 */
									if (CBOOL(BGl_emptyzd2approxzd2alloczf3zf3zzcfa_approxz00
											(BgL_fapproxz00_4057)))
										{	/* Cfa/funcall.scm 82 */
											BgL_approxz00_bglt BgL_arg1763z00_4082;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4608;

												{
													obj_t BgL_auxz00_4609;

													{	/* Cfa/funcall.scm 82 */
														BgL_objectz00_bglt BgL_tmpz00_4610;

														BgL_tmpz00_4610 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_4030));
														BgL_auxz00_4609 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4610);
													}
													BgL_auxz00_4608 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4609);
												}
												BgL_arg1763z00_4082 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4608))->BgL_approxz00);
											}
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
												(BgL_arg1763z00_4082,
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										}
									else
										{	/* Cfa/funcall.scm 86 */
											obj_t BgL_zc3z04anonymousza31766ze3z87_4083;

											BgL_zc3z04anonymousza31766ze3z87_4083 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31766ze3ze5zzcfa_funcallz00,
												(int) (1L), (int) (3L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31766ze3z87_4083,
												(int) (0L),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4030)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31766ze3z87_4083,
												(int) (1L), BgL_aapproxz00_4059);
											PROCEDURE_SET(BgL_zc3z04anonymousza31766ze3z87_4083,
												(int) (2L),
												((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_4030)));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31766ze3z87_4083,
												BgL_fapproxz00_4057);
						}}}
						{	/* Cfa/funcall.scm 96 */
							bool_t BgL_test2115z00_4632;

							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Cfa/funcall.scm 97 */
									bool_t BgL_test2117z00_4635;

									{	/* Cfa/funcall.scm 97 */
										BgL_typez00_bglt BgL_arg1804z00_4084;

										{	/* Cfa/funcall.scm 97 */
											BgL_approxz00_bglt BgL_arg1810z00_4085;

											{
												BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4636;

												{
													obj_t BgL_auxz00_4637;

													{	/* Cfa/funcall.scm 97 */
														BgL_objectz00_bglt BgL_tmpz00_4638;

														BgL_tmpz00_4638 =
															((BgL_objectz00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_4030));
														BgL_auxz00_4637 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4638);
													}
													BgL_auxz00_4636 =
														((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4637);
												}
												BgL_arg1810z00_4085 =
													(((BgL_funcallzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_4636))->BgL_approxz00);
											}
											BgL_arg1804z00_4084 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1810z00_4085))->
												BgL_typez00);
										}
										BgL_test2117z00_4635 =
											BGl_bigloozd2typezf3z21zztype_typez00
											(BgL_arg1804z00_4084);
									}
									if (BgL_test2117z00_4635)
										{	/* Cfa/funcall.scm 98 */
											bool_t BgL_test2118z00_4646;

											{	/* Cfa/funcall.scm 98 */
												obj_t BgL_arg1802z00_4086;

												{	/* Cfa/funcall.scm 98 */
													BgL_approxz00_bglt BgL_arg1803z00_4087;

													{
														BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4647;

														{
															obj_t BgL_auxz00_4648;

															{	/* Cfa/funcall.scm 98 */
																BgL_objectz00_bglt BgL_tmpz00_4649;

																BgL_tmpz00_4649 =
																	((BgL_objectz00_bglt)
																	((BgL_funcallz00_bglt) BgL_nodez00_4030));
																BgL_auxz00_4648 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4649);
															}
															BgL_auxz00_4647 =
																((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4648);
														}
														BgL_arg1803z00_4087 =
															(((BgL_funcallzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_4647))->BgL_approxz00);
													}
													BgL_arg1802z00_4086 =
														((obj_t)
														(((BgL_approxz00_bglt)
																COBJECT(BgL_arg1803z00_4087))->BgL_typez00));
												}
												BgL_test2118z00_4646 =
													(BgL_arg1802z00_4086 ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2118z00_4646)
												{	/* Cfa/funcall.scm 98 */
													BgL_test2115z00_4632 = ((bool_t) 0);
												}
											else
												{	/* Cfa/funcall.scm 98 */
													BgL_test2115z00_4632 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/funcall.scm 97 */
											BgL_test2115z00_4632 = ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BgL_test2115z00_4632 = ((bool_t) 0);
								}
							if (BgL_test2115z00_4632)
								{	/* Cfa/funcall.scm 96 */
									BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
										(BGl_proc2066z00zzcfa_funcallz00, BgL_fapproxz00_4057);
								}
							else
								{	/* Cfa/funcall.scm 96 */
									BFALSE;
								}
						}
						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4659;

							{
								obj_t BgL_auxz00_4660;

								{	/* Cfa/funcall.scm 106 */
									BgL_objectz00_bglt BgL_tmpz00_4661;

									BgL_tmpz00_4661 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_4030));
									BgL_auxz00_4660 = BGL_OBJECT_WIDENING(BgL_tmpz00_4661);
								}
								BgL_auxz00_4659 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4660);
							}
							return
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_4659))->
								BgL_approxz00);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4031, obj_t BgL_az00_4032)
	{
		{	/* Cfa/funcall.scm 100 */
			{	/* Cfa/funcall.scm 101 */
				bool_t BgL_test2119z00_4667;

				{	/* Cfa/funcall.scm 101 */
					obj_t BgL_classz00_4088;

					BgL_classz00_4088 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
					if (BGL_OBJECTP(BgL_az00_4032))
						{	/* Cfa/funcall.scm 101 */
							BgL_objectz00_bglt BgL_arg1858z00_4089;

							BgL_arg1858z00_4089 = (BgL_objectz00_bglt) (BgL_az00_4032);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/funcall.scm 101 */
									long BgL_idxz00_4090;

									BgL_idxz00_4090 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4089);
									BgL_test2119z00_4667 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4090 + 4L)) == BgL_classz00_4088);
								}
							else
								{	/* Cfa/funcall.scm 101 */
									bool_t BgL_res2054z00_4093;

									{	/* Cfa/funcall.scm 101 */
										obj_t BgL_oclassz00_4094;

										{	/* Cfa/funcall.scm 101 */
											obj_t BgL_arg1866z00_4095;
											long BgL_arg1867z00_4096;

											BgL_arg1866z00_4095 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/funcall.scm 101 */
												long BgL_arg1869z00_4097;

												BgL_arg1869z00_4097 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4089);
												BgL_arg1867z00_4096 =
													(BgL_arg1869z00_4097 - OBJECT_TYPE);
											}
											BgL_oclassz00_4094 =
												VECTOR_REF(BgL_arg1866z00_4095, BgL_arg1867z00_4096);
										}
										{	/* Cfa/funcall.scm 101 */
											bool_t BgL__ortest_1115z00_4098;

											BgL__ortest_1115z00_4098 =
												(BgL_classz00_4088 == BgL_oclassz00_4094);
											if (BgL__ortest_1115z00_4098)
												{	/* Cfa/funcall.scm 101 */
													BgL_res2054z00_4093 = BgL__ortest_1115z00_4098;
												}
											else
												{	/* Cfa/funcall.scm 101 */
													long BgL_odepthz00_4099;

													{	/* Cfa/funcall.scm 101 */
														obj_t BgL_arg1855z00_4100;

														BgL_arg1855z00_4100 = (BgL_oclassz00_4094);
														BgL_odepthz00_4099 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_4100);
													}
													if ((4L < BgL_odepthz00_4099))
														{	/* Cfa/funcall.scm 101 */
															obj_t BgL_arg1853z00_4101;

															{	/* Cfa/funcall.scm 101 */
																obj_t BgL_arg1854z00_4102;

																BgL_arg1854z00_4102 = (BgL_oclassz00_4094);
																BgL_arg1853z00_4101 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4102,
																	4L);
															}
															BgL_res2054z00_4093 =
																(BgL_arg1853z00_4101 == BgL_classz00_4088);
														}
													else
														{	/* Cfa/funcall.scm 101 */
															BgL_res2054z00_4093 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2119z00_4667 = BgL_res2054z00_4093;
								}
						}
					else
						{	/* Cfa/funcall.scm 101 */
							BgL_test2119z00_4667 = ((bool_t) 0);
						}
				}
				if (BgL_test2119z00_4667)
					{	/* Cfa/funcall.scm 101 */
						return
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
							(((BgL_appz00_bglt) BgL_az00_4032));
					}
				else
					{	/* Cfa/funcall.scm 101 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1730> */
	obj_t BGl_z62zc3z04anonymousza31730ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4033, obj_t BgL_allocz00_4037)
	{
		{	/* Cfa/funcall.scm 69 */
			{	/* Cfa/funcall.scm 70 */
				BgL_funcallz00_bglt BgL_i1162z00_4034;
				obj_t BgL_aapproxz00_4035;
				BgL_funcallz00_bglt BgL_nodez00_4036;

				BgL_i1162z00_4034 =
					((BgL_funcallz00_bglt) PROCEDURE_REF(BgL_envz00_4033, (int) (0L)));
				BgL_aapproxz00_4035 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4033, (int) (1L)));
				BgL_nodez00_4036 =
					((BgL_funcallz00_bglt) PROCEDURE_REF(BgL_envz00_4033, (int) (2L)));
				{
					BgL_approxz00_bglt BgL_auxz00_4701;

					{	/* Cfa/funcall.scm 70 */
						bool_t BgL_test2124z00_4702;

						{	/* Cfa/funcall.scm 70 */
							obj_t BgL_classz00_4103;

							BgL_classz00_4103 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_4037))
								{	/* Cfa/funcall.scm 70 */
									BgL_objectz00_bglt BgL_arg1858z00_4104;

									BgL_arg1858z00_4104 =
										(BgL_objectz00_bglt) (BgL_allocz00_4037);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/funcall.scm 70 */
											long BgL_idxz00_4105;

											BgL_idxz00_4105 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4104);
											BgL_test2124z00_4702 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4105 + 4L)) == BgL_classz00_4103);
										}
									else
										{	/* Cfa/funcall.scm 70 */
											bool_t BgL_res2052z00_4108;

											{	/* Cfa/funcall.scm 70 */
												obj_t BgL_oclassz00_4109;

												{	/* Cfa/funcall.scm 70 */
													obj_t BgL_arg1866z00_4110;
													long BgL_arg1867z00_4111;

													BgL_arg1866z00_4110 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/funcall.scm 70 */
														long BgL_arg1869z00_4112;

														BgL_arg1869z00_4112 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4104);
														BgL_arg1867z00_4111 =
															(BgL_arg1869z00_4112 - OBJECT_TYPE);
													}
													BgL_oclassz00_4109 =
														VECTOR_REF(BgL_arg1866z00_4110,
														BgL_arg1867z00_4111);
												}
												{	/* Cfa/funcall.scm 70 */
													bool_t BgL__ortest_1115z00_4113;

													BgL__ortest_1115z00_4113 =
														(BgL_classz00_4103 == BgL_oclassz00_4109);
													if (BgL__ortest_1115z00_4113)
														{	/* Cfa/funcall.scm 70 */
															BgL_res2052z00_4108 = BgL__ortest_1115z00_4113;
														}
													else
														{	/* Cfa/funcall.scm 70 */
															long BgL_odepthz00_4114;

															{	/* Cfa/funcall.scm 70 */
																obj_t BgL_arg1855z00_4115;

																BgL_arg1855z00_4115 = (BgL_oclassz00_4109);
																BgL_odepthz00_4114 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4115);
															}
															if ((4L < BgL_odepthz00_4114))
																{	/* Cfa/funcall.scm 70 */
																	obj_t BgL_arg1853z00_4116;

																	{	/* Cfa/funcall.scm 70 */
																		obj_t BgL_arg1854z00_4117;

																		BgL_arg1854z00_4117 = (BgL_oclassz00_4109);
																		BgL_arg1853z00_4116 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4117, 4L);
																	}
																	BgL_res2052z00_4108 =
																		(BgL_arg1853z00_4116 == BgL_classz00_4103);
																}
															else
																{	/* Cfa/funcall.scm 70 */
																	BgL_res2052z00_4108 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2124z00_4702 = BgL_res2052z00_4108;
										}
								}
							else
								{	/* Cfa/funcall.scm 70 */
									BgL_test2124z00_4702 = ((bool_t) 0);
								}
						}
						if (BgL_test2124z00_4702)
							{	/* Cfa/funcall.scm 71 */
								BgL_approxz00_bglt BgL_eapproxz00_4118;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4725;

									{
										obj_t BgL_auxz00_4726;

										{	/* Cfa/funcall.scm 71 */
											BgL_objectz00_bglt BgL_tmpz00_4727;

											BgL_tmpz00_4727 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_4037));
											BgL_auxz00_4726 = BGL_OBJECT_WIDENING(BgL_tmpz00_4727);
										}
										BgL_auxz00_4725 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4726);
									}
									BgL_eapproxz00_4118 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4725))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 72 */
									BgL_approxz00_bglt BgL_arg1746z00_4119;
									BgL_approxz00_bglt BgL_arg1748z00_4120;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4733;

										{
											obj_t BgL_auxz00_4734;

											{	/* Cfa/funcall.scm 72 */
												BgL_objectz00_bglt BgL_tmpz00_4735;

												BgL_tmpz00_4735 =
													((BgL_objectz00_bglt) BgL_i1162z00_4034);
												BgL_auxz00_4734 = BGL_OBJECT_WIDENING(BgL_tmpz00_4735);
											}
											BgL_auxz00_4733 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4734);
										}
										BgL_arg1746z00_4119 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4733))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 74 */
										obj_t BgL_arg1755z00_4121;

										BgL_arg1755z00_4121 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4118), BgL_aapproxz00_4035);
										BgL_arg1748z00_4120 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_4037),
											BgL_arg1755z00_4121, BgL_nodez00_4036);
									}
									BgL_auxz00_4701 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1746z00_4119,
										BgL_arg1748z00_4120);
								}
							}
						else
							{	/* Cfa/funcall.scm 70 */
								BgL_auxz00_4701 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4701);
				}
			}
		}

	}



/* &<@anonymous:1766> */
	obj_t BGl_z62zc3z04anonymousza31766ze3ze5zzcfa_funcallz00(obj_t
		BgL_envz00_4038, obj_t BgL_allocz00_4042)
	{
		{	/* Cfa/funcall.scm 85 */
			{	/* Cfa/funcall.scm 86 */
				BgL_funcallz00_bglt BgL_i1162z00_4039;
				obj_t BgL_aapproxz00_4040;
				BgL_funcallz00_bglt BgL_nodez00_4041;

				BgL_i1162z00_4039 =
					((BgL_funcallz00_bglt) PROCEDURE_REF(BgL_envz00_4038, (int) (0L)));
				BgL_aapproxz00_4040 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4038, (int) (1L)));
				BgL_nodez00_4041 =
					((BgL_funcallz00_bglt) PROCEDURE_REF(BgL_envz00_4038, (int) (2L)));
				{
					BgL_approxz00_bglt BgL_auxz00_4756;

					{	/* Cfa/funcall.scm 86 */
						bool_t BgL_test2129z00_4757;

						{	/* Cfa/funcall.scm 86 */
							obj_t BgL_classz00_4122;

							BgL_classz00_4122 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_allocz00_4042))
								{	/* Cfa/funcall.scm 86 */
									BgL_objectz00_bglt BgL_arg1858z00_4123;

									BgL_arg1858z00_4123 =
										(BgL_objectz00_bglt) (BgL_allocz00_4042);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/funcall.scm 86 */
											long BgL_idxz00_4124;

											BgL_idxz00_4124 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4123);
											BgL_test2129z00_4757 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4124 + 4L)) == BgL_classz00_4122);
										}
									else
										{	/* Cfa/funcall.scm 86 */
											bool_t BgL_res2053z00_4127;

											{	/* Cfa/funcall.scm 86 */
												obj_t BgL_oclassz00_4128;

												{	/* Cfa/funcall.scm 86 */
													obj_t BgL_arg1866z00_4129;
													long BgL_arg1867z00_4130;

													BgL_arg1866z00_4129 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/funcall.scm 86 */
														long BgL_arg1869z00_4131;

														BgL_arg1869z00_4131 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4123);
														BgL_arg1867z00_4130 =
															(BgL_arg1869z00_4131 - OBJECT_TYPE);
													}
													BgL_oclassz00_4128 =
														VECTOR_REF(BgL_arg1866z00_4129,
														BgL_arg1867z00_4130);
												}
												{	/* Cfa/funcall.scm 86 */
													bool_t BgL__ortest_1115z00_4132;

													BgL__ortest_1115z00_4132 =
														(BgL_classz00_4122 == BgL_oclassz00_4128);
													if (BgL__ortest_1115z00_4132)
														{	/* Cfa/funcall.scm 86 */
															BgL_res2053z00_4127 = BgL__ortest_1115z00_4132;
														}
													else
														{	/* Cfa/funcall.scm 86 */
															long BgL_odepthz00_4133;

															{	/* Cfa/funcall.scm 86 */
																obj_t BgL_arg1855z00_4134;

																BgL_arg1855z00_4134 = (BgL_oclassz00_4128);
																BgL_odepthz00_4133 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4134);
															}
															if ((4L < BgL_odepthz00_4133))
																{	/* Cfa/funcall.scm 86 */
																	obj_t BgL_arg1853z00_4135;

																	{	/* Cfa/funcall.scm 86 */
																		obj_t BgL_arg1854z00_4136;

																		BgL_arg1854z00_4136 = (BgL_oclassz00_4128);
																		BgL_arg1853z00_4135 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4136, 4L);
																	}
																	BgL_res2053z00_4127 =
																		(BgL_arg1853z00_4135 == BgL_classz00_4122);
																}
															else
																{	/* Cfa/funcall.scm 86 */
																	BgL_res2053z00_4127 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2129z00_4757 = BgL_res2053z00_4127;
										}
								}
							else
								{	/* Cfa/funcall.scm 86 */
									BgL_test2129z00_4757 = ((bool_t) 0);
								}
						}
						if (BgL_test2129z00_4757)
							{	/* Cfa/funcall.scm 87 */
								BgL_approxz00_bglt BgL_eapproxz00_4137;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4780;

									{
										obj_t BgL_auxz00_4781;

										{	/* Cfa/funcall.scm 87 */
											BgL_objectz00_bglt BgL_tmpz00_4782;

											BgL_tmpz00_4782 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_4042));
											BgL_auxz00_4781 = BGL_OBJECT_WIDENING(BgL_tmpz00_4782);
										}
										BgL_auxz00_4780 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4781);
									}
									BgL_eapproxz00_4137 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4780))->BgL_approxz00);
								}
								{	/* Cfa/funcall.scm 88 */
									BgL_approxz00_bglt BgL_arg1768z00_4138;
									BgL_approxz00_bglt BgL_arg1770z00_4139;

									{
										BgL_funcallzf2cinfozf2_bglt BgL_auxz00_4788;

										{
											obj_t BgL_auxz00_4789;

											{	/* Cfa/funcall.scm 88 */
												BgL_objectz00_bglt BgL_tmpz00_4790;

												BgL_tmpz00_4790 =
													((BgL_objectz00_bglt) BgL_i1162z00_4039);
												BgL_auxz00_4789 = BGL_OBJECT_WIDENING(BgL_tmpz00_4790);
											}
											BgL_auxz00_4788 =
												((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_4789);
										}
										BgL_arg1768z00_4138 =
											(((BgL_funcallzf2cinfozf2_bglt)
												COBJECT(BgL_auxz00_4788))->BgL_approxz00);
									}
									{	/* Cfa/funcall.scm 90 */
										obj_t BgL_arg1772z00_4140;

										BgL_arg1772z00_4140 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_eapproxz00_4137), BgL_aapproxz00_4040);
										BgL_arg1770z00_4139 =
											BGl_funcallz12z12zzcfa_funcallz00(
											((BgL_appz00_bglt) BgL_allocz00_4042),
											BgL_arg1772z00_4140, BgL_nodez00_4041);
									}
									BgL_auxz00_4756 =
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1768z00_4138,
										BgL_arg1770z00_4139);
								}
							}
						else
							{	/* Cfa/funcall.scm 86 */
								BgL_auxz00_4756 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
							}
					}
					return ((obj_t) BgL_auxz00_4756);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_funcallz00(void)
	{
		{	/* Cfa/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			BGl_modulezd2initializa7ationz75zzcfa_appz00(102053843L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(227655313L,
				BSTRING_TO_STRING(BGl_string2067z00zzcfa_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
