/*===========================================================================*/
/*   (Cfa/vector.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/vector.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_VECTOR_TYPE_DEFINITIONS
#define BGL_CFA_VECTOR_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
		bool_t BgL_tvectorzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;

	typedef struct BgL_valloczf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_valloczf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


#endif													// BGL_CFA_VECTOR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vlengthzf2Cinfo1616z50zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_vectorz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vrefzf2Cinfo1618z50zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_vectorz00(void);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	static obj_t BGl_methodzd2initzd2zzcfa_vectorz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2vsetz121608z62zzcfa_vectorz00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1612ze2zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	BGL_EXPORTED_DECL bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00(void);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	static obj_t BGl_z62loosezd2allocz12zd2makezd2ve1622za2zzcfa_vectorz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_vlengthzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2vall1600za2zzcfa_vectorz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_vectorz00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_valloczf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00(obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_vectorz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00(void);
	static obj_t BGl_genericzd2initzd2zzcfa_vectorz00(void);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2vectorzd2app1610za2zzcfa_vectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static obj_t BGl_z62nodezd2setupz12zd2vref1606z70zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2vsetz12zf2Cinfo1620z42zzcfa_vectorz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfo1614z50zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2vlength1604z70zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	static obj_t BGl_z62nodezd2setupz12zd2valloc1602z70zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_vectorz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00(void);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1598za2zzcfa_vectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62loosezd2allocz12zd2valloczf21624z82zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string2121z00zzcfa_vectorz00,
		BgL_bgl_string2121za700za7za7c2140za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2128z00zzcfa_vectorz00,
		BgL_bgl_string2128za700za7za7c2141za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2135z00zzcfa_vectorz00,
		BgL_bgl_string2135za700za7za7c2142za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string2137z00zzcfa_vectorz00,
		BgL_bgl_string2137za700za7za7c2143za7, "cfa_vector", 10);
	      DEFINE_STRING(BGl_string2138z00zzcfa_vectorz00,
		BgL_bgl_string2138za700za7za7c2144za7, "all nothing ", 12);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2optimzf3zd2envzf3zzcfa_vectorz00,
		BgL_bgl_za762vectorza7d2opti2145z00,
		BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72146za7,
		BGl_z62nodezd2setupz12zd2prezd2make1598za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72147za7,
		BGl_z62nodezd2setupz12zd2prezd2vall1600za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72148za7,
		BGl_z62nodezd2setupz12zd2valloc1602z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72149za7,
		BGl_z62nodezd2setupz12zd2vlength1604z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72150za7,
		BGl_z62nodezd2setupz12zd2vref1606z70zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2126z00zzcfa_vectorz00,
		BgL_bgl_za762nodeza7d2setupza72151za7,
		BGl_z62nodezd2setupz12zd2vsetz121608z62zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2make2152za7,
		BGl_z62cfaz12zd2makezd2vectorzd2app1610za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vall2153za7,
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1612ze2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2130z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vall2154za7,
		BGl_z62cfaz12zd2valloczf2Cinfo1614z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vlen2155za7,
		BGl_z62cfaz12zd2vlengthzf2Cinfo1616z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vref2156za7,
		BGl_z62cfaz12zd2vrefzf2Cinfo1618z50zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_vectorz00,
		BgL_bgl_za762cfaza712za7d2vset2157za7,
		BGl_z62cfaz12zd2vsetz12zf2Cinfo1620z42zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzcfa_vectorz00,
		BgL_bgl_za762looseza7d2alloc2158z00,
		BGl_z62loosezd2allocz12zd2makezd2ve1622za2zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_vectorz00,
		BgL_bgl_za762looseza7d2alloc2159z00,
		BGl_z62loosezd2allocz12zd2valloczf21624z82zzcfa_vectorz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_vectorz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long
		BgL_checksumz00_4866, char *BgL_fromz00_4867)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_vectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_vectorz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_vectorz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_cnstzd2initzd2zzcfa_vectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_methodzd2initzd2zzcfa_vectorz00();
					return BGl_toplevelzd2initzd2zzcfa_vectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__tvectorz00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_vector");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			{	/* Cfa/vector.scm 17 */
				obj_t BgL_cportz00_4669;

				{	/* Cfa/vector.scm 17 */
					obj_t BgL_stringz00_4676;

					BgL_stringz00_4676 = BGl_string2138z00zzcfa_vectorz00;
					{	/* Cfa/vector.scm 17 */
						obj_t BgL_startz00_4677;

						BgL_startz00_4677 = BINT(0L);
						{	/* Cfa/vector.scm 17 */
							obj_t BgL_endz00_4678;

							BgL_endz00_4678 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4676)));
							{	/* Cfa/vector.scm 17 */

								BgL_cportz00_4669 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4676, BgL_startz00_4677, BgL_endz00_4678);
				}}}}
				{
					long BgL_iz00_4670;

					BgL_iz00_4670 = 1L;
				BgL_loopz00_4671:
					if ((BgL_iz00_4670 == (-1L)))
						{	/* Cfa/vector.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/vector.scm 17 */
							{	/* Cfa/vector.scm 17 */
								obj_t BgL_arg2139z00_4672;

								{	/* Cfa/vector.scm 17 */

									{	/* Cfa/vector.scm 17 */
										obj_t BgL_locationz00_4674;

										BgL_locationz00_4674 = BBOOL(((bool_t) 0));
										{	/* Cfa/vector.scm 17 */

											BgL_arg2139z00_4672 =
												BGl_readz00zz__readerz00(BgL_cportz00_4669,
												BgL_locationz00_4674);
										}
									}
								}
								{	/* Cfa/vector.scm 17 */
									int BgL_tmpz00_4895;

									BgL_tmpz00_4895 = (int) (BgL_iz00_4670);
									CNST_TABLE_SET(BgL_tmpz00_4895, BgL_arg2139z00_4672);
							}}
							{	/* Cfa/vector.scm 17 */
								int BgL_auxz00_4675;

								BgL_auxz00_4675 = (int) ((BgL_iz00_4670 - 1L));
								{
									long BgL_iz00_4900;

									BgL_iz00_4900 = (long) (BgL_auxz00_4675);
									BgL_iz00_4670 = BgL_iz00_4900;
									goto BgL_loopz00_4671;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* vector-optim? */
	BGL_EXPORTED_DEF bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 40 */
			return ((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L);
		}

	}



/* &vector-optim? */
	obj_t BGl_z62vectorzd2optimzf3z43zzcfa_vectorz00(obj_t BgL_envz00_4612)
	{
		{	/* Cfa/vector.scm 40 */
			return BBOOL(BGl_vectorzd2optimzf3z21zzcfa_vectorz00());
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00,
				BGl_proc2120z00zzcfa_vectorz00, BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00,
				BGl_proc2122z00zzcfa_vectorz00, BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vallocz00zzast_nodez00,
				BGl_proc2123z00zzcfa_vectorz00, BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2124z00zzcfa_vectorz00,
				BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2125z00zzcfa_vectorz00, BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2126z00zzcfa_vectorz00,
				BGl_string2121z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2127z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2129z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_valloczf2Cinfozf2zzcfa_info3z00,
				BGl_proc2130z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vlengthzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2131z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vrefzf2Cinfozf2zzcfa_info3z00,
				BGl_proc2132z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_vsetz12zf2Cinfoze0zzcfa_info3z00,
				BGl_proc2133z00zzcfa_vectorz00, BGl_string2128z00zzcfa_vectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2134z00zzcfa_vectorz00, BGl_string2135z00zzcfa_vectorz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2136z00zzcfa_vectorz00, BGl_string2135z00zzcfa_vectorz00);
		}

	}



/* &loose-alloc!-valloc/1624 */
	obj_t BGl_z62loosezd2allocz12zd2valloczf21624z82zzcfa_vectorz00(obj_t
		BgL_envz00_4631, obj_t BgL_allocz00_4632)
	{
		{	/* Cfa/vector.scm 281 */
			{	/* Cfa/vector.scm 283 */
				bool_t BgL_test2162z00_4921;

				{	/* Cfa/vector.scm 283 */
					long BgL_arg1905z00_4681;

					{
						BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4922;

						{
							obj_t BgL_auxz00_4923;

							{	/* Cfa/vector.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_4924;

								BgL_tmpz00_4924 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt) BgL_allocz00_4632));
								BgL_auxz00_4923 = BGL_OBJECT_WIDENING(BgL_tmpz00_4924);
							}
							BgL_auxz00_4922 =
								((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4923);
						}
						BgL_arg1905z00_4681 =
							(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_4922))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2162z00_4921 =
						(BgL_arg1905z00_4681 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2162z00_4921)
					{	/* Cfa/vector.scm 283 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/vector.scm 283 */
						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4932;

							{
								obj_t BgL_auxz00_4933;

								{	/* Cfa/vector.scm 288 */
									BgL_objectz00_bglt BgL_tmpz00_4934;

									BgL_tmpz00_4934 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_allocz00_4632));
									BgL_auxz00_4933 = BGL_OBJECT_WIDENING(BgL_tmpz00_4934);
								}
								BgL_auxz00_4932 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4933);
							}
							((((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4932))->BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/vector.scm 289 */
							BgL_approxz00_bglt BgL_arg1902z00_4682;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4941;

								{
									obj_t BgL_auxz00_4942;

									{	/* Cfa/vector.scm 289 */
										BgL_objectz00_bglt BgL_tmpz00_4943;

										BgL_tmpz00_4943 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4632));
										BgL_auxz00_4942 = BGL_OBJECT_WIDENING(BgL_tmpz00_4943);
									}
									BgL_auxz00_4941 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4942);
								}
								BgL_arg1902z00_4682 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4941))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1902z00_4682);
						}
						{	/* Cfa/vector.scm 290 */
							BgL_approxz00_bglt BgL_arg1903z00_4683;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4950;

								{
									obj_t BgL_auxz00_4951;

									{	/* Cfa/vector.scm 290 */
										BgL_objectz00_bglt BgL_tmpz00_4952;

										BgL_tmpz00_4952 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4632));
										BgL_auxz00_4951 = BGL_OBJECT_WIDENING(BgL_tmpz00_4952);
									}
									BgL_auxz00_4950 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4951);
								}
								BgL_arg1903z00_4683 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4950))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1903z00_4683,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/vector.scm 291 */
							BgL_approxz00_bglt BgL_arg1904z00_4684;

							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_4960;

								{
									obj_t BgL_auxz00_4961;

									{	/* Cfa/vector.scm 291 */
										BgL_objectz00_bglt BgL_tmpz00_4962;

										BgL_tmpz00_4962 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt) BgL_allocz00_4632));
										BgL_auxz00_4961 = BGL_OBJECT_WIDENING(BgL_tmpz00_4962);
									}
									BgL_auxz00_4960 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_4961);
								}
								BgL_arg1904z00_4684 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										COBJECT(BgL_auxz00_4960))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1904z00_4684);
						}
					}
			}
		}

	}



/* &loose-alloc!-make-ve1622 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2ve1622za2zzcfa_vectorz00(obj_t
		BgL_envz00_4633, obj_t BgL_allocz00_4634)
	{
		{	/* Cfa/vector.scm 263 */
			{	/* Cfa/vector.scm 265 */
				bool_t BgL_test2163z00_4969;

				{	/* Cfa/vector.scm 265 */
					long BgL_arg1899z00_4686;

					{
						BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4970;

						{
							obj_t BgL_auxz00_4971;

							{	/* Cfa/vector.scm 265 */
								BgL_objectz00_bglt BgL_tmpz00_4972;

								BgL_tmpz00_4972 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4634));
								BgL_auxz00_4971 = BGL_OBJECT_WIDENING(BgL_tmpz00_4972);
							}
							BgL_auxz00_4970 =
								((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4971);
						}
						BgL_arg1899z00_4686 =
							(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_4970))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2163z00_4969 =
						(BgL_arg1899z00_4686 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2163z00_4969)
					{	/* Cfa/vector.scm 265 */
						return BUNSPEC;
					}
				else
					{	/* Cfa/vector.scm 265 */
						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4980;

							{
								obj_t BgL_auxz00_4981;

								{	/* Cfa/vector.scm 269 */
									BgL_objectz00_bglt BgL_tmpz00_4982;

									BgL_tmpz00_4982 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4634));
									BgL_auxz00_4981 = BGL_OBJECT_WIDENING(BgL_tmpz00_4982);
								}
								BgL_auxz00_4980 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4981);
							}
							((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_4980))->
									BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						{	/* Cfa/vector.scm 270 */
							BgL_approxz00_bglt BgL_arg1896z00_4687;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4989;

								{
									obj_t BgL_auxz00_4990;

									{	/* Cfa/vector.scm 270 */
										BgL_objectz00_bglt BgL_tmpz00_4991;

										BgL_tmpz00_4991 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4634));
										BgL_auxz00_4990 = BGL_OBJECT_WIDENING(BgL_tmpz00_4991);
									}
									BgL_auxz00_4989 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4990);
								}
								BgL_arg1896z00_4687 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_4989))->BgL_valuezd2approxzd2);
							}
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
								BgL_arg1896z00_4687);
						}
						{	/* Cfa/vector.scm 271 */
							BgL_approxz00_bglt BgL_arg1897z00_4688;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_4998;

								{
									obj_t BgL_auxz00_4999;

									{	/* Cfa/vector.scm 271 */
										BgL_objectz00_bglt BgL_tmpz00_5000;

										BgL_tmpz00_5000 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4634));
										BgL_auxz00_4999 = BGL_OBJECT_WIDENING(BgL_tmpz00_5000);
									}
									BgL_auxz00_4998 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_4999);
								}
								BgL_arg1897z00_4688 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_4998))->BgL_valuezd2approxzd2);
							}
							BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_arg1897z00_4688,
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
						{	/* Cfa/vector.scm 272 */
							BgL_approxz00_bglt BgL_arg1898z00_4689;

							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5008;

								{
									obj_t BgL_auxz00_5009;

									{	/* Cfa/vector.scm 272 */
										BgL_objectz00_bglt BgL_tmpz00_5010;

										BgL_tmpz00_5010 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_allocz00_4634));
										BgL_auxz00_5009 = BGL_OBJECT_WIDENING(BgL_tmpz00_5010);
									}
									BgL_auxz00_5008 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5009);
								}
								BgL_arg1898z00_4689 =
									(((BgL_makezd2vectorzd2appz00_bglt)
										COBJECT(BgL_auxz00_5008))->BgL_valuezd2approxzd2);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1898z00_4689);
						}
					}
			}
		}

	}



/* &cfa!-vset!/Cinfo1620 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vsetz12zf2Cinfo1620z42zzcfa_vectorz00(obj_t
		BgL_envz00_4635, obj_t BgL_nodez00_4636)
	{
		{	/* Cfa/vector.scm 218 */
			{	/* Cfa/vector.scm 222 */
				obj_t BgL_arg1865z00_4691;

				{	/* Cfa/vector.scm 222 */
					obj_t BgL_pairz00_4692;

					BgL_pairz00_4692 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4636))))->BgL_exprza2za2);
					BgL_arg1865z00_4691 = CAR(CDR(BgL_pairz00_4692));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1865z00_4691));
			}
			{	/* Cfa/vector.scm 223 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4693;
				BgL_approxz00_bglt BgL_valzd2approxzd2_4694;

				{	/* Cfa/vector.scm 223 */
					obj_t BgL_arg1890z00_4695;

					{	/* Cfa/vector.scm 223 */
						obj_t BgL_pairz00_4696;

						BgL_pairz00_4696 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_4636))))->
							BgL_exprza2za2);
						BgL_arg1890z00_4695 = CAR(BgL_pairz00_4696);
					}
					BgL_veczd2approxzd2_4693 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1890z00_4695));
				}
				{	/* Cfa/vector.scm 224 */
					obj_t BgL_arg1892z00_4697;

					{	/* Cfa/vector.scm 224 */
						obj_t BgL_pairz00_4698;

						BgL_pairz00_4698 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_nodez00_4636))))->
							BgL_exprza2za2);
						BgL_arg1892z00_4697 = CAR(CDR(CDR(BgL_pairz00_4698)));
					}
					BgL_valzd2approxzd2_4694 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1892z00_4697));
				}
				{	/* Cfa/vector.scm 226 */
					bool_t BgL_test2164z00_5038;

					{
						BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5039;

						{
							obj_t BgL_auxz00_5040;

							{	/* Cfa/vector.scm 226 */
								BgL_objectz00_bglt BgL_tmpz00_5041;

								BgL_tmpz00_5041 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4636));
								BgL_auxz00_5040 = BGL_OBJECT_WIDENING(BgL_tmpz00_5041);
							}
							BgL_auxz00_5039 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5040);
						}
						BgL_test2164z00_5038 =
							(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5039))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2164z00_5038)
						{	/* Cfa/vector.scm 226 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Cfa/vector.scm 226 */
							if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
								{	/* Cfa/vector.scm 228 */
									{	/* Cfa/vector.scm 232 */
										bool_t BgL_test2166z00_5052;

										{	/* Cfa/vector.scm 232 */
											obj_t BgL_arg1878z00_4699;

											BgL_arg1878z00_4699 =
												((obj_t)
												(((BgL_approxz00_bglt)
														COBJECT(BgL_veczd2approxzd2_4693))->BgL_typez00));
											BgL_test2166z00_5052 =
												(BgL_arg1878z00_4699 ==
												BGl_za2vectorza2z00zztype_cachez00);
										}
										if (BgL_test2166z00_5052)
											{	/* Cfa/vector.scm 232 */
												BFALSE;
											}
										else
											{	/* Cfa/vector.scm 232 */
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_valzd2approxzd2_4694,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
									}
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_veczd2approxzd2_4693))->
											BgL_topzf3zf3))
										{	/* Cfa/vector.scm 235 */
											((obj_t)
												BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4694,
													((obj_t) CNST_TABLE_REF(1))));
										}
									else
										{	/* Cfa/vector.scm 242 */
											obj_t BgL_zc3z04anonymousza31883ze3z87_4700;

											BgL_zc3z04anonymousza31883ze3z87_4700 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_vectorz00,
												(int) (1L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31883ze3z87_4700,
												(int) (0L), ((obj_t) BgL_valzd2approxzd2_4694));
											BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
												(BgL_zc3z04anonymousza31883ze3z87_4700,
												BgL_veczd2approxzd2_4693);
								}}
							else
								{	/* Cfa/vector.scm 228 */
									BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4693,
										((obj_t) CNST_TABLE_REF(1)));
									((obj_t)
										BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_4694,
											((obj_t) CNST_TABLE_REF(1))));
								}
						}
				}
			}
			{
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5078;

				{
					obj_t BgL_auxz00_5079;

					{	/* Cfa/vector.scm 254 */
						BgL_objectz00_bglt BgL_tmpz00_5080;

						BgL_tmpz00_5080 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4636));
						BgL_auxz00_5079 = BGL_OBJECT_WIDENING(BgL_tmpz00_5080);
					}
					BgL_auxz00_5078 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5079);
				}
				return
					(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5078))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1883> */
	obj_t BGl_z62zc3z04anonymousza31883ze3ze5zzcfa_vectorz00(obj_t
		BgL_envz00_4637, obj_t BgL_appz00_4639)
	{
		{	/* Cfa/vector.scm 240 */
			{	/* Cfa/vector.scm 242 */
				BgL_approxz00_bglt BgL_valzd2approxzd2_4638;

				BgL_valzd2approxzd2_4638 =
					((BgL_approxz00_bglt) PROCEDURE_REF(BgL_envz00_4637, (int) (0L)));
				{	/* Cfa/vector.scm 242 */
					bool_t BgL_test2168z00_5089;

					{	/* Cfa/vector.scm 242 */
						obj_t BgL_classz00_4701;

						BgL_classz00_4701 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4639))
							{	/* Cfa/vector.scm 242 */
								BgL_objectz00_bglt BgL_arg1858z00_4702;

								BgL_arg1858z00_4702 = (BgL_objectz00_bglt) (BgL_appz00_4639);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/vector.scm 242 */
										long BgL_idxz00_4703;

										BgL_idxz00_4703 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4702);
										BgL_test2168z00_5089 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4703 + 4L)) == BgL_classz00_4701);
									}
								else
									{	/* Cfa/vector.scm 242 */
										bool_t BgL_res2113z00_4706;

										{	/* Cfa/vector.scm 242 */
											obj_t BgL_oclassz00_4707;

											{	/* Cfa/vector.scm 242 */
												obj_t BgL_arg1866z00_4708;
												long BgL_arg1867z00_4709;

												BgL_arg1866z00_4708 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/vector.scm 242 */
													long BgL_arg1869z00_4710;

													BgL_arg1869z00_4710 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4702);
													BgL_arg1867z00_4709 =
														(BgL_arg1869z00_4710 - OBJECT_TYPE);
												}
												BgL_oclassz00_4707 =
													VECTOR_REF(BgL_arg1866z00_4708, BgL_arg1867z00_4709);
											}
											{	/* Cfa/vector.scm 242 */
												bool_t BgL__ortest_1115z00_4711;

												BgL__ortest_1115z00_4711 =
													(BgL_classz00_4701 == BgL_oclassz00_4707);
												if (BgL__ortest_1115z00_4711)
													{	/* Cfa/vector.scm 242 */
														BgL_res2113z00_4706 = BgL__ortest_1115z00_4711;
													}
												else
													{	/* Cfa/vector.scm 242 */
														long BgL_odepthz00_4712;

														{	/* Cfa/vector.scm 242 */
															obj_t BgL_arg1855z00_4713;

															BgL_arg1855z00_4713 = (BgL_oclassz00_4707);
															BgL_odepthz00_4712 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4713);
														}
														if ((4L < BgL_odepthz00_4712))
															{	/* Cfa/vector.scm 242 */
																obj_t BgL_arg1853z00_4714;

																{	/* Cfa/vector.scm 242 */
																	obj_t BgL_arg1854z00_4715;

																	BgL_arg1854z00_4715 = (BgL_oclassz00_4707);
																	BgL_arg1853z00_4714 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4715,
																		4L);
																}
																BgL_res2113z00_4706 =
																	(BgL_arg1853z00_4714 == BgL_classz00_4701);
															}
														else
															{	/* Cfa/vector.scm 242 */
																BgL_res2113z00_4706 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2168z00_5089 = BgL_res2113z00_4706;
									}
							}
						else
							{	/* Cfa/vector.scm 242 */
								BgL_test2168z00_5089 = ((bool_t) 0);
							}
					}
					if (BgL_test2168z00_5089)
						{	/* Cfa/vector.scm 242 */
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5112;

								{
									obj_t BgL_auxz00_5113;

									{	/* Cfa/vector.scm 244 */
										BgL_objectz00_bglt BgL_tmpz00_5114;

										BgL_tmpz00_5114 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_4639));
										BgL_auxz00_5113 = BGL_OBJECT_WIDENING(BgL_tmpz00_5114);
									}
									BgL_auxz00_5112 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5113);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5112))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/vector.scm 245 */
								BgL_approxz00_bglt BgL_arg1886z00_4716;

								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5120;

									{
										obj_t BgL_auxz00_5121;

										{	/* Cfa/vector.scm 245 */
											BgL_objectz00_bglt BgL_tmpz00_5122;

											BgL_tmpz00_5122 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4639));
											BgL_auxz00_5121 = BGL_OBJECT_WIDENING(BgL_tmpz00_5122);
										}
										BgL_auxz00_5120 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5121);
									}
									BgL_arg1886z00_4716 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_5120))->BgL_valuezd2approxzd2);
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1886z00_4716,
										BgL_valzd2approxzd2_4638));
							}
						}
					else
						{	/* Cfa/vector.scm 246 */
							bool_t BgL_test2173z00_5130;

							{	/* Cfa/vector.scm 246 */
								obj_t BgL_classz00_4717;

								BgL_classz00_4717 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
								if (BGL_OBJECTP(BgL_appz00_4639))
									{	/* Cfa/vector.scm 246 */
										BgL_objectz00_bglt BgL_arg1860z00_4718;
										long BgL_arg1861z00_4719;

										BgL_arg1860z00_4718 =
											(BgL_objectz00_bglt) (BgL_appz00_4639);
										BgL_arg1861z00_4719 = BGL_CLASS_DEPTH(BgL_classz00_4717);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/vector.scm 246 */
												long BgL_idxz00_4720;

												BgL_idxz00_4720 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1860z00_4718);
												BgL_test2173z00_5130 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4720 + BgL_arg1861z00_4719)) ==
													BgL_classz00_4717);
											}
										else
											{	/* Cfa/vector.scm 246 */
												bool_t BgL_res2114z00_4723;

												{	/* Cfa/vector.scm 246 */
													obj_t BgL_oclassz00_4724;

													{	/* Cfa/vector.scm 246 */
														obj_t BgL_arg1866z00_4725;
														long BgL_arg1867z00_4726;

														BgL_arg1866z00_4725 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/vector.scm 246 */
															long BgL_arg1869z00_4727;

															BgL_arg1869z00_4727 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1860z00_4718);
															BgL_arg1867z00_4726 =
																(BgL_arg1869z00_4727 - OBJECT_TYPE);
														}
														BgL_oclassz00_4724 =
															VECTOR_REF(BgL_arg1866z00_4725,
															BgL_arg1867z00_4726);
													}
													{	/* Cfa/vector.scm 246 */
														bool_t BgL__ortest_1115z00_4728;

														BgL__ortest_1115z00_4728 =
															(BgL_classz00_4717 == BgL_oclassz00_4724);
														if (BgL__ortest_1115z00_4728)
															{	/* Cfa/vector.scm 246 */
																BgL_res2114z00_4723 = BgL__ortest_1115z00_4728;
															}
														else
															{	/* Cfa/vector.scm 246 */
																long BgL_odepthz00_4729;

																{	/* Cfa/vector.scm 246 */
																	obj_t BgL_arg1855z00_4730;

																	BgL_arg1855z00_4730 = (BgL_oclassz00_4724);
																	BgL_odepthz00_4729 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4730);
																}
																if ((BgL_arg1861z00_4719 < BgL_odepthz00_4729))
																	{	/* Cfa/vector.scm 246 */
																		obj_t BgL_arg1853z00_4731;

																		{	/* Cfa/vector.scm 246 */
																			obj_t BgL_arg1854z00_4732;

																			BgL_arg1854z00_4732 =
																				(BgL_oclassz00_4724);
																			BgL_arg1853z00_4731 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4732,
																				BgL_arg1861z00_4719);
																		}
																		BgL_res2114z00_4723 =
																			(BgL_arg1853z00_4731 ==
																			BgL_classz00_4717);
																	}
																else
																	{	/* Cfa/vector.scm 246 */
																		BgL_res2114z00_4723 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2173z00_5130 = BgL_res2114z00_4723;
											}
									}
								else
									{	/* Cfa/vector.scm 246 */
										BgL_test2173z00_5130 = ((bool_t) 0);
									}
							}
							if (BgL_test2173z00_5130)
								{	/* Cfa/vector.scm 246 */
									{
										BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5154;

										{
											obj_t BgL_auxz00_5155;

											{	/* Cfa/vector.scm 248 */
												BgL_objectz00_bglt BgL_tmpz00_5156;

												BgL_tmpz00_5156 =
													((BgL_objectz00_bglt)
													((BgL_vallocz00_bglt) BgL_appz00_4639));
												BgL_auxz00_5155 = BGL_OBJECT_WIDENING(BgL_tmpz00_5156);
											}
											BgL_auxz00_5154 =
												((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5155);
										}
										((((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5154))->BgL_seenzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Cfa/vector.scm 249 */
										BgL_approxz00_bglt BgL_arg1889z00_4733;

										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5162;

											{
												obj_t BgL_auxz00_5163;

												{	/* Cfa/vector.scm 249 */
													BgL_objectz00_bglt BgL_tmpz00_5164;

													BgL_tmpz00_5164 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4639));
													BgL_auxz00_5163 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5164);
												}
												BgL_auxz00_5162 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5163);
											}
											BgL_arg1889z00_4733 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5162))->BgL_valuezd2approxzd2);
										}
										return
											((obj_t)
											BGl_unionzd2approxz12zc0zzcfa_approxz00
											(BgL_arg1889z00_4733, BgL_valzd2approxzd2_4638));
									}
								}
							else
								{	/* Cfa/vector.scm 246 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-vref/Cinfo1618 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vrefzf2Cinfo1618z50zzcfa_vectorz00(obj_t
		BgL_envz00_4640, obj_t BgL_nodez00_4641)
	{
		{	/* Cfa/vector.scm 176 */
			{	/* Cfa/vector.scm 180 */
				obj_t BgL_arg1799z00_4735;

				{	/* Cfa/vector.scm 180 */
					obj_t BgL_pairz00_4736;

					BgL_pairz00_4736 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_4641))))->BgL_exprza2za2);
					BgL_arg1799z00_4735 = CAR(CDR(BgL_pairz00_4736));
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1799z00_4735));
			}
			{	/* Cfa/vector.scm 181 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4737;

				{	/* Cfa/vector.scm 181 */
					obj_t BgL_arg1857z00_4738;

					{	/* Cfa/vector.scm 181 */
						obj_t BgL_pairz00_4739;

						BgL_pairz00_4739 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vrefz00_bglt) BgL_nodez00_4641))))->BgL_exprza2za2);
						BgL_arg1857z00_4738 = CAR(BgL_pairz00_4739);
					}
					BgL_veczd2approxzd2_4737 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1857z00_4738));
				}
				{	/* Cfa/vector.scm 183 */
					bool_t BgL_test2178z00_5185;

					{
						BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5186;

						{
							obj_t BgL_auxz00_5187;

							{	/* Cfa/vector.scm 183 */
								BgL_objectz00_bglt BgL_tmpz00_5188;

								BgL_tmpz00_5188 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4641));
								BgL_auxz00_5187 = BGL_OBJECT_WIDENING(BgL_tmpz00_5188);
							}
							BgL_auxz00_5186 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5187);
						}
						BgL_test2178z00_5185 =
							(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5186))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2178z00_5185)
						{
							BgL_approxz00_bglt BgL_auxz00_5194;

							{
								BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5195;

								{
									obj_t BgL_auxz00_5196;

									{	/* Cfa/vector.scm 184 */
										BgL_objectz00_bglt BgL_tmpz00_5197;

										BgL_tmpz00_5197 =
											((BgL_objectz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_4641));
										BgL_auxz00_5196 = BGL_OBJECT_WIDENING(BgL_tmpz00_5197);
									}
									BgL_auxz00_5195 =
										((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5196);
								}
								BgL_auxz00_5194 =
									(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5195))->
									BgL_approxz00);
							}
							((obj_t) BgL_auxz00_5194);
						}
					else
						{	/* Cfa/vector.scm 183 */
							if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
								{	/* Cfa/vector.scm 185 */
									{	/* Cfa/vector.scm 190 */
										bool_t BgL_test2180z00_5207;

										{	/* Cfa/vector.scm 190 */
											bool_t BgL_test2181z00_5208;

											{	/* Cfa/vector.scm 190 */
												obj_t BgL_arg1818z00_4740;

												BgL_arg1818z00_4740 =
													((obj_t)
													(((BgL_approxz00_bglt)
															COBJECT(BgL_veczd2approxzd2_4737))->BgL_typez00));
												BgL_test2181z00_5208 =
													(BgL_arg1818z00_4740 ==
													BGl_za2vectorza2z00zztype_cachez00);
											}
											if (BgL_test2181z00_5208)
												{	/* Cfa/vector.scm 190 */
													BgL_test2180z00_5207 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_veczd2approxzd2_4737))->
														BgL_topzf3zf3);
												}
											else
												{	/* Cfa/vector.scm 190 */
													BgL_test2180z00_5207 = ((bool_t) 1);
												}
										}
										if (BgL_test2180z00_5207)
											{	/* Cfa/vector.scm 192 */
												BgL_approxz00_bglt BgL_arg1814z00_4741;

												{
													BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5213;

													{
														obj_t BgL_auxz00_5214;

														{	/* Cfa/vector.scm 192 */
															BgL_objectz00_bglt BgL_tmpz00_5215;

															BgL_tmpz00_5215 =
																((BgL_objectz00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_4641));
															BgL_auxz00_5214 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5215);
														}
														BgL_auxz00_5213 =
															((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5214);
													}
													BgL_arg1814z00_4741 =
														(((BgL_vrefzf2cinfozf2_bglt)
															COBJECT(BgL_auxz00_5213))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1814z00_4741,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										else
											{	/* Cfa/vector.scm 190 */
												BFALSE;
											}
									}
									if (
										(((BgL_approxz00_bglt) COBJECT(BgL_veczd2approxzd2_4737))->
											BgL_topzf3zf3))
										{	/* Cfa/vector.scm 195 */
											BgL_approxz00_bglt BgL_arg1821z00_4742;

											{
												BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5225;

												{
													obj_t BgL_auxz00_5226;

													{	/* Cfa/vector.scm 195 */
														BgL_objectz00_bglt BgL_tmpz00_5227;

														BgL_tmpz00_5227 =
															((BgL_objectz00_bglt)
															((BgL_vrefz00_bglt) BgL_nodez00_4641));
														BgL_auxz00_5226 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5227);
													}
													BgL_auxz00_5225 =
														((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5226);
												}
												BgL_arg1821z00_4742 =
													(((BgL_vrefzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5225))->BgL_approxz00);
											}
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
												(BgL_arg1821z00_4742);
										}
									else
										{	/* Cfa/vector.scm 194 */
											BFALSE;
										}
									{	/* Cfa/vector.scm 200 */
										obj_t BgL_zc3z04anonymousza31823ze3z87_4743;

										BgL_zc3z04anonymousza31823ze3z87_4743 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_vectorz00,
											(int) (1L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31823ze3z87_4743,
											(int) (0L),
											((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4641)));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3z04anonymousza31823ze3z87_4743,
											BgL_veczd2approxzd2_4737);
								}}
							else
								{	/* Cfa/vector.scm 185 */
									((obj_t)
										BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4737,
											((obj_t) CNST_TABLE_REF(1))));
								}
						}
				}
				{
					BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5246;

					{
						obj_t BgL_auxz00_5247;

						{	/* Cfa/vector.scm 213 */
							BgL_objectz00_bglt BgL_tmpz00_5248;

							BgL_tmpz00_5248 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4641));
							BgL_auxz00_5247 = BGL_OBJECT_WIDENING(BgL_tmpz00_5248);
						}
						BgL_auxz00_5246 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5247);
					}
					return
						(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5246))->
						BgL_approxz00);
				}
			}
		}

	}



/* &<@anonymous:1823> */
	obj_t BGl_z62zc3z04anonymousza31823ze3ze5zzcfa_vectorz00(obj_t
		BgL_envz00_4642, obj_t BgL_appz00_4644)
	{
		{	/* Cfa/vector.scm 198 */
			{	/* Cfa/vector.scm 200 */
				BgL_vrefz00_bglt BgL_i1211z00_4643;

				BgL_i1211z00_4643 =
					((BgL_vrefz00_bglt) PROCEDURE_REF(BgL_envz00_4642, (int) (0L)));
				{	/* Cfa/vector.scm 200 */
					bool_t BgL_test2183z00_5257;

					{	/* Cfa/vector.scm 200 */
						obj_t BgL_classz00_4744;

						BgL_classz00_4744 = BGl_makezd2vectorzd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4644))
							{	/* Cfa/vector.scm 200 */
								BgL_objectz00_bglt BgL_arg1858z00_4745;

								BgL_arg1858z00_4745 = (BgL_objectz00_bglt) (BgL_appz00_4644);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/vector.scm 200 */
										long BgL_idxz00_4746;

										BgL_idxz00_4746 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4745);
										BgL_test2183z00_5257 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4746 + 4L)) == BgL_classz00_4744);
									}
								else
									{	/* Cfa/vector.scm 200 */
										bool_t BgL_res2111z00_4749;

										{	/* Cfa/vector.scm 200 */
											obj_t BgL_oclassz00_4750;

											{	/* Cfa/vector.scm 200 */
												obj_t BgL_arg1866z00_4751;
												long BgL_arg1867z00_4752;

												BgL_arg1866z00_4751 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/vector.scm 200 */
													long BgL_arg1869z00_4753;

													BgL_arg1869z00_4753 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4745);
													BgL_arg1867z00_4752 =
														(BgL_arg1869z00_4753 - OBJECT_TYPE);
												}
												BgL_oclassz00_4750 =
													VECTOR_REF(BgL_arg1866z00_4751, BgL_arg1867z00_4752);
											}
											{	/* Cfa/vector.scm 200 */
												bool_t BgL__ortest_1115z00_4754;

												BgL__ortest_1115z00_4754 =
													(BgL_classz00_4744 == BgL_oclassz00_4750);
												if (BgL__ortest_1115z00_4754)
													{	/* Cfa/vector.scm 200 */
														BgL_res2111z00_4749 = BgL__ortest_1115z00_4754;
													}
												else
													{	/* Cfa/vector.scm 200 */
														long BgL_odepthz00_4755;

														{	/* Cfa/vector.scm 200 */
															obj_t BgL_arg1855z00_4756;

															BgL_arg1855z00_4756 = (BgL_oclassz00_4750);
															BgL_odepthz00_4755 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4756);
														}
														if ((4L < BgL_odepthz00_4755))
															{	/* Cfa/vector.scm 200 */
																obj_t BgL_arg1853z00_4757;

																{	/* Cfa/vector.scm 200 */
																	obj_t BgL_arg1854z00_4758;

																	BgL_arg1854z00_4758 = (BgL_oclassz00_4750);
																	BgL_arg1853z00_4757 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4758,
																		4L);
																}
																BgL_res2111z00_4749 =
																	(BgL_arg1853z00_4757 == BgL_classz00_4744);
															}
														else
															{	/* Cfa/vector.scm 200 */
																BgL_res2111z00_4749 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2183z00_5257 = BgL_res2111z00_4749;
									}
							}
						else
							{	/* Cfa/vector.scm 200 */
								BgL_test2183z00_5257 = ((bool_t) 0);
							}
					}
					if (BgL_test2183z00_5257)
						{	/* Cfa/vector.scm 200 */
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5280;

								{
									obj_t BgL_auxz00_5281;

									{	/* Cfa/vector.scm 202 */
										BgL_objectz00_bglt BgL_tmpz00_5282;

										BgL_tmpz00_5282 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_4644));
										BgL_auxz00_5281 = BGL_OBJECT_WIDENING(BgL_tmpz00_5282);
									}
									BgL_auxz00_5280 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5281);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5280))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/vector.scm 203 */
								BgL_approxz00_bglt BgL_arg1825z00_4759;
								BgL_approxz00_bglt BgL_arg1829z00_4760;

								{
									BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5288;

									{
										obj_t BgL_auxz00_5289;

										{	/* Cfa/vector.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_5290;

											BgL_tmpz00_5290 =
												((BgL_objectz00_bglt) BgL_i1211z00_4643);
											BgL_auxz00_5289 = BGL_OBJECT_WIDENING(BgL_tmpz00_5290);
										}
										BgL_auxz00_5288 =
											((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5289);
									}
									BgL_arg1825z00_4759 =
										(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5288))->
										BgL_approxz00);
								}
								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5295;

									{
										obj_t BgL_auxz00_5296;

										{	/* Cfa/vector.scm 203 */
											BgL_objectz00_bglt BgL_tmpz00_5297;

											BgL_tmpz00_5297 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4644));
											BgL_auxz00_5296 = BGL_OBJECT_WIDENING(BgL_tmpz00_5297);
										}
										BgL_auxz00_5295 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5296);
									}
									BgL_arg1829z00_4760 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_5295))->BgL_valuezd2approxzd2);
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1825z00_4759,
									BgL_arg1829z00_4760);
							}
							{	/* Cfa/vector.scm 204 */
								BgL_approxz00_bglt BgL_arg1834z00_4761;
								BgL_typez00_bglt BgL_arg1842z00_4762;

								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5304;

									{
										obj_t BgL_auxz00_5305;

										{	/* Cfa/vector.scm 204 */
											BgL_objectz00_bglt BgL_tmpz00_5306;

											BgL_tmpz00_5306 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4644));
											BgL_auxz00_5305 = BGL_OBJECT_WIDENING(BgL_tmpz00_5306);
										}
										BgL_auxz00_5304 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5305);
									}
									BgL_arg1834z00_4761 =
										(((BgL_makezd2vectorzd2appz00_bglt)
											COBJECT(BgL_auxz00_5304))->BgL_valuezd2approxzd2);
								}
								{	/* Cfa/vector.scm 204 */
									BgL_approxz00_bglt BgL_arg1845z00_4763;

									{
										BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5312;

										{
											obj_t BgL_auxz00_5313;

											{	/* Cfa/vector.scm 204 */
												BgL_objectz00_bglt BgL_tmpz00_5314;

												BgL_tmpz00_5314 =
													((BgL_objectz00_bglt) BgL_i1211z00_4643);
												BgL_auxz00_5313 = BGL_OBJECT_WIDENING(BgL_tmpz00_5314);
											}
											BgL_auxz00_5312 =
												((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5313);
										}
										BgL_arg1845z00_4763 =
											(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5312))->
											BgL_approxz00);
									}
									BgL_arg1842z00_4762 =
										(((BgL_approxz00_bglt) COBJECT(BgL_arg1845z00_4763))->
										BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg1834z00_4761, BgL_arg1842z00_4762);
							}
						}
					else
						{	/* Cfa/vector.scm 205 */
							bool_t BgL_test2188z00_5321;

							{	/* Cfa/vector.scm 205 */
								obj_t BgL_classz00_4764;

								BgL_classz00_4764 = BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
								if (BGL_OBJECTP(BgL_appz00_4644))
									{	/* Cfa/vector.scm 205 */
										BgL_objectz00_bglt BgL_arg1860z00_4765;
										long BgL_arg1861z00_4766;

										BgL_arg1860z00_4765 =
											(BgL_objectz00_bglt) (BgL_appz00_4644);
										BgL_arg1861z00_4766 = BGL_CLASS_DEPTH(BgL_classz00_4764);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/vector.scm 205 */
												long BgL_idxz00_4767;

												BgL_idxz00_4767 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1860z00_4765);
												BgL_test2188z00_5321 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4767 + BgL_arg1861z00_4766)) ==
													BgL_classz00_4764);
											}
										else
											{	/* Cfa/vector.scm 205 */
												bool_t BgL_res2112z00_4770;

												{	/* Cfa/vector.scm 205 */
													obj_t BgL_oclassz00_4771;

													{	/* Cfa/vector.scm 205 */
														obj_t BgL_arg1866z00_4772;
														long BgL_arg1867z00_4773;

														BgL_arg1866z00_4772 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/vector.scm 205 */
															long BgL_arg1869z00_4774;

															BgL_arg1869z00_4774 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1860z00_4765);
															BgL_arg1867z00_4773 =
																(BgL_arg1869z00_4774 - OBJECT_TYPE);
														}
														BgL_oclassz00_4771 =
															VECTOR_REF(BgL_arg1866z00_4772,
															BgL_arg1867z00_4773);
													}
													{	/* Cfa/vector.scm 205 */
														bool_t BgL__ortest_1115z00_4775;

														BgL__ortest_1115z00_4775 =
															(BgL_classz00_4764 == BgL_oclassz00_4771);
														if (BgL__ortest_1115z00_4775)
															{	/* Cfa/vector.scm 205 */
																BgL_res2112z00_4770 = BgL__ortest_1115z00_4775;
															}
														else
															{	/* Cfa/vector.scm 205 */
																long BgL_odepthz00_4776;

																{	/* Cfa/vector.scm 205 */
																	obj_t BgL_arg1855z00_4777;

																	BgL_arg1855z00_4777 = (BgL_oclassz00_4771);
																	BgL_odepthz00_4776 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4777);
																}
																if ((BgL_arg1861z00_4766 < BgL_odepthz00_4776))
																	{	/* Cfa/vector.scm 205 */
																		obj_t BgL_arg1853z00_4778;

																		{	/* Cfa/vector.scm 205 */
																			obj_t BgL_arg1854z00_4779;

																			BgL_arg1854z00_4779 =
																				(BgL_oclassz00_4771);
																			BgL_arg1853z00_4778 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4779,
																				BgL_arg1861z00_4766);
																		}
																		BgL_res2112z00_4770 =
																			(BgL_arg1853z00_4778 ==
																			BgL_classz00_4764);
																	}
																else
																	{	/* Cfa/vector.scm 205 */
																		BgL_res2112z00_4770 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2188z00_5321 = BgL_res2112z00_4770;
											}
									}
								else
									{	/* Cfa/vector.scm 205 */
										BgL_test2188z00_5321 = ((bool_t) 0);
									}
							}
							if (BgL_test2188z00_5321)
								{	/* Cfa/vector.scm 205 */
									{
										BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5345;

										{
											obj_t BgL_auxz00_5346;

											{	/* Cfa/vector.scm 207 */
												BgL_objectz00_bglt BgL_tmpz00_5347;

												BgL_tmpz00_5347 =
													((BgL_objectz00_bglt)
													((BgL_vallocz00_bglt) BgL_appz00_4644));
												BgL_auxz00_5346 = BGL_OBJECT_WIDENING(BgL_tmpz00_5347);
											}
											BgL_auxz00_5345 =
												((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5346);
										}
										((((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5345))->BgL_seenzf3zf3) =
											((bool_t) ((bool_t) 1)), BUNSPEC);
									}
									{	/* Cfa/vector.scm 208 */
										BgL_approxz00_bglt BgL_arg1847z00_4780;
										BgL_approxz00_bglt BgL_arg1848z00_4781;

										{
											BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5353;

											{
												obj_t BgL_auxz00_5354;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_tmpz00_5355;

													BgL_tmpz00_5355 =
														((BgL_objectz00_bglt) BgL_i1211z00_4643);
													BgL_auxz00_5354 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5355);
												}
												BgL_auxz00_5353 =
													((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5354);
											}
											BgL_arg1847z00_4780 =
												(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5353))->
												BgL_approxz00);
										}
										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5360;

											{
												obj_t BgL_auxz00_5361;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_tmpz00_5362;

													BgL_tmpz00_5362 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4644));
													BgL_auxz00_5361 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5362);
												}
												BgL_auxz00_5360 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5361);
											}
											BgL_arg1848z00_4781 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5360))->BgL_valuezd2approxzd2);
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1847z00_4780,
											BgL_arg1848z00_4781);
									}
									{	/* Cfa/vector.scm 209 */
										BgL_approxz00_bglt BgL_arg1851z00_4782;
										BgL_typez00_bglt BgL_arg1852z00_4783;

										{
											BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5369;

											{
												obj_t BgL_auxz00_5370;

												{	/* Cfa/vector.scm 209 */
													BgL_objectz00_bglt BgL_tmpz00_5371;

													BgL_tmpz00_5371 =
														((BgL_objectz00_bglt)
														((BgL_vallocz00_bglt) BgL_appz00_4644));
													BgL_auxz00_5370 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5371);
												}
												BgL_auxz00_5369 =
													((BgL_valloczf2cinfozb2optimz40_bglt)
													BgL_auxz00_5370);
											}
											BgL_arg1851z00_4782 =
												(((BgL_valloczf2cinfozb2optimz40_bglt)
													COBJECT(BgL_auxz00_5369))->BgL_valuezd2approxzd2);
										}
										{	/* Cfa/vector.scm 209 */
											BgL_approxz00_bglt BgL_arg1856z00_4784;

											{
												BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5377;

												{
													obj_t BgL_auxz00_5378;

													{	/* Cfa/vector.scm 209 */
														BgL_objectz00_bglt BgL_tmpz00_5379;

														BgL_tmpz00_5379 =
															((BgL_objectz00_bglt) BgL_i1211z00_4643);
														BgL_auxz00_5378 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5379);
													}
													BgL_auxz00_5377 =
														((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5378);
												}
												BgL_arg1856z00_4784 =
													(((BgL_vrefzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_5377))->BgL_approxz00);
											}
											BgL_arg1852z00_4783 =
												(((BgL_approxz00_bglt) COBJECT(BgL_arg1856z00_4784))->
												BgL_typez00);
										}
										return
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
											(BgL_arg1851z00_4782, BgL_arg1852z00_4783);
									}
								}
							else
								{	/* Cfa/vector.scm 205 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-vlength/Cinfo1616 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2vlengthzf2Cinfo1616z50zzcfa_vectorz00(obj_t
		BgL_envz00_4645, obj_t BgL_nodez00_4646)
	{
		{	/* Cfa/vector.scm 165 */
			{	/* Cfa/vector.scm 168 */
				BgL_approxz00_bglt BgL_veczd2approxzd2_4786;

				{	/* Cfa/vector.scm 168 */
					obj_t BgL_arg1796z00_4787;

					{	/* Cfa/vector.scm 168 */
						obj_t BgL_pairz00_4788;

						BgL_pairz00_4788 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_4646))))->
							BgL_exprza2za2);
						BgL_arg1796z00_4787 = CAR(BgL_pairz00_4788);
					}
					BgL_veczd2approxzd2_4786 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1796z00_4787));
				}
				if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
					{	/* Cfa/vector.scm 169 */
						BFALSE;
					}
				else
					{	/* Cfa/vector.scm 169 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_4786,
								((obj_t) CNST_TABLE_REF(1))));
					}
			}
			{
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5399;

				{
					obj_t BgL_auxz00_5400;

					{	/* Cfa/vector.scm 171 */
						BgL_objectz00_bglt BgL_tmpz00_5401;

						BgL_tmpz00_5401 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4646));
						BgL_auxz00_5400 = BGL_OBJECT_WIDENING(BgL_tmpz00_5401);
					}
					BgL_auxz00_5399 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5400);
				}
				return
					(((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5399))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-valloc/Cinfo1614 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2valloczf2Cinfo1614z50zzcfa_vectorz00(obj_t
		BgL_envz00_4647, obj_t BgL_nodez00_4648)
	{
		{	/* Cfa/vector.scm 156 */
			{	/* Cfa/vector.scm 159 */
				obj_t BgL_g1596z00_4790;

				BgL_g1596z00_4790 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4648))))->BgL_exprza2za2);
				{
					obj_t BgL_l1594z00_4792;

					BgL_l1594z00_4792 = BgL_g1596z00_4790;
				BgL_zc3z04anonymousza31787ze3z87_4791:
					if (PAIRP(BgL_l1594z00_4792))
						{	/* Cfa/vector.scm 159 */
							{	/* Cfa/vector.scm 159 */
								obj_t BgL_xz00_4793;

								BgL_xz00_4793 = CAR(BgL_l1594z00_4792);
								{	/* Cfa/vector.scm 159 */
									BgL_approxz00_bglt BgL_arg1789z00_4794;

									BgL_arg1789z00_4794 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_xz00_4793));
									BGl_loosez12z12zzcfa_loosez00(BgL_arg1789z00_4794,
										((obj_t) CNST_TABLE_REF(1)));
								}
							}
							{
								obj_t BgL_l1594z00_5418;

								BgL_l1594z00_5418 = CDR(BgL_l1594z00_4792);
								BgL_l1594z00_4792 = BgL_l1594z00_5418;
								goto BgL_zc3z04anonymousza31787ze3z87_4791;
							}
						}
					else
						{	/* Cfa/vector.scm 159 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_valloczf2cinfozf2_bglt BgL_auxz00_5420;

				{
					obj_t BgL_auxz00_5421;

					{	/* Cfa/vector.scm 160 */
						BgL_objectz00_bglt BgL_tmpz00_5422;

						BgL_tmpz00_5422 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4648));
						BgL_auxz00_5421 = BGL_OBJECT_WIDENING(BgL_tmpz00_5422);
					}
					BgL_auxz00_5420 = ((BgL_valloczf2cinfozf2_bglt) BgL_auxz00_5421);
				}
				return
					(((BgL_valloczf2cinfozf2_bglt) COBJECT(BgL_auxz00_5420))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-valloc/Cinfo+op1612 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2valloczf2Cinfozb2op1612ze2zzcfa_vectorz00(obj_t
		BgL_envz00_4649, obj_t BgL_nodez00_4650)
	{
		{	/* Cfa/vector.scm 147 */
			{	/* Cfa/vector.scm 150 */
				obj_t BgL_g1593z00_4796;

				BgL_g1593z00_4796 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4650))))->BgL_exprza2za2);
				{
					obj_t BgL_l1591z00_4798;

					BgL_l1591z00_4798 = BgL_g1593z00_4796;
				BgL_zc3z04anonymousza31783ze3z87_4797:
					if (PAIRP(BgL_l1591z00_4798))
						{	/* Cfa/vector.scm 150 */
							{	/* Cfa/vector.scm 150 */
								obj_t BgL_arg1785z00_4799;

								BgL_arg1785z00_4799 = CAR(BgL_l1591z00_4798);
								BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg1785z00_4799));
							}
							{
								obj_t BgL_l1591z00_5436;

								BgL_l1591z00_5436 = CDR(BgL_l1591z00_4798);
								BgL_l1591z00_4798 = BgL_l1591z00_5436;
								goto BgL_zc3z04anonymousza31783ze3z87_4797;
							}
						}
					else
						{	/* Cfa/vector.scm 150 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5438;

				{
					obj_t BgL_auxz00_5439;

					{	/* Cfa/vector.scm 151 */
						BgL_objectz00_bglt BgL_tmpz00_5440;

						BgL_tmpz00_5440 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4650));
						BgL_auxz00_5439 = BGL_OBJECT_WIDENING(BgL_tmpz00_5440);
					}
					BgL_auxz00_5438 =
						((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5439);
				}
				return
					(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_5438))->
					BgL_approxz00);
			}
		}

	}



/* &cfa!-make-vector-app1610 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2vectorzd2app1610za2zzcfa_vectorz00(obj_t
		BgL_envz00_4651, obj_t BgL_nodez00_4652)
	{
		{	/* Cfa/vector.scm 136 */
			{	/* Cfa/vector.scm 139 */
				obj_t BgL_arg1768z00_4801;

				{	/* Cfa/vector.scm 139 */
					obj_t BgL_pairz00_4802;

					BgL_pairz00_4802 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_4652))))->BgL_argsz00);
					BgL_arg1768z00_4801 = CAR(BgL_pairz00_4802);
				}
				BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1768z00_4801));
			}
			{	/* Cfa/vector.scm 140 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_4803;

				{	/* Cfa/vector.scm 140 */
					obj_t BgL_arg1776z00_4804;

					{	/* Cfa/vector.scm 140 */
						obj_t BgL_pairz00_4805;

						BgL_pairz00_4805 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4652))))->BgL_argsz00);
						BgL_arg1776z00_4804 = CAR(CDR(BgL_pairz00_4805));
					}
					BgL_initzd2valuezd2approxz00_4803 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1776z00_4804));
				}
				{	/* Cfa/vector.scm 141 */
					BgL_approxz00_bglt BgL_arg1772z00_4806;

					{
						BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5459;

						{
							obj_t BgL_auxz00_5460;

							{	/* Cfa/vector.scm 141 */
								BgL_objectz00_bglt BgL_tmpz00_5461;

								BgL_tmpz00_5461 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4652));
								BgL_auxz00_5460 = BGL_OBJECT_WIDENING(BgL_tmpz00_5461);
							}
							BgL_auxz00_5459 =
								((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5460);
						}
						BgL_arg1772z00_4806 =
							(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5459))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1772z00_4806,
						BgL_initzd2valuezd2approxz00_4803);
				}
				{
					BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5468;

					{
						obj_t BgL_auxz00_5469;

						{	/* Cfa/vector.scm 142 */
							BgL_objectz00_bglt BgL_tmpz00_5470;

							BgL_tmpz00_5470 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4652));
							BgL_auxz00_5469 = BGL_OBJECT_WIDENING(BgL_tmpz00_5470);
						}
						BgL_auxz00_5468 =
							((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5469);
					}
					return
						(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5468))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-vset!1608 */
	obj_t BGl_z62nodezd2setupz12zd2vsetz121608z62zzcfa_vectorz00(obj_t
		BgL_envz00_4653, obj_t BgL_nodez00_4654)
	{
		{	/* Cfa/vector.scm 126 */
			{	/* Cfa/vector.scm 128 */
				obj_t BgL_arg1730z00_4808;

				BgL_arg1730z00_4808 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_4654))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1730z00_4808);
			}
			{	/* Cfa/vector.scm 129 */
				BgL_vsetz12zf2cinfoze0_bglt BgL_wide1205z00_4809;

				BgL_wide1205z00_4809 =
					((BgL_vsetz12zf2cinfoze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12zf2cinfoze0_bgl))));
				{	/* Cfa/vector.scm 129 */
					obj_t BgL_auxz00_5485;
					BgL_objectz00_bglt BgL_tmpz00_5481;

					BgL_auxz00_5485 = ((obj_t) BgL_wide1205z00_4809);
					BgL_tmpz00_5481 =
						((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5481, BgL_auxz00_5485);
				}
				((BgL_objectz00_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
				{	/* Cfa/vector.scm 129 */
					long BgL_arg1746z00_4810;

					BgL_arg1746z00_4810 =
						BGL_CLASS_NUM(BGl_vsetz12zf2Cinfoze0zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) BgL_nodez00_4654))),
						BgL_arg1746z00_4810);
				}
				((BgL_vsetz12z12_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
			}
			{
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5499;

				{
					obj_t BgL_auxz00_5500;

					{	/* Cfa/vector.scm 130 */
						BgL_objectz00_bglt BgL_tmpz00_5501;

						BgL_tmpz00_5501 =
							((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
						BgL_auxz00_5500 = BGL_OBJECT_WIDENING(BgL_tmpz00_5501);
					}
					BgL_auxz00_5499 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5500);
				}
				((((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5499))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
			}
			{
				bool_t BgL_auxz00_5518;
				BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5510;

				{	/* Cfa/vector.scm 131 */
					bool_t BgL_test2196z00_5519;

					{	/* Cfa/vector.scm 131 */
						bool_t BgL_test2197z00_5520;

						{	/* Cfa/vector.scm 131 */
							obj_t BgL_arg1765z00_4811;

							BgL_arg1765z00_4811 =
								((obj_t)
								(((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_4654)))->
									BgL_ftypez00));
							BgL_test2197z00_5520 =
								(BgL_arg1765z00_4811 == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2197z00_5520)
							{	/* Cfa/vector.scm 131 */
								BgL_test2196z00_5519 = ((bool_t) 1);
							}
						else
							{	/* Cfa/vector.scm 131 */
								obj_t BgL_arg1763z00_4812;

								BgL_arg1763z00_4812 =
									((obj_t)
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_4654)))->
										BgL_ftypez00));
								BgL_test2196z00_5519 =
									(BgL_arg1763z00_4812 == BGl_za2objza2z00zztype_cachez00);
							}
					}
					if (BgL_test2196z00_5519)
						{	/* Cfa/vector.scm 131 */
							BgL_auxz00_5518 = ((bool_t) 0);
						}
					else
						{	/* Cfa/vector.scm 131 */
							BgL_auxz00_5518 = ((bool_t) 1);
						}
				}
				{
					obj_t BgL_auxz00_5511;

					{	/* Cfa/vector.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_5512;

						BgL_tmpz00_5512 =
							((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
						BgL_auxz00_5511 = BGL_OBJECT_WIDENING(BgL_tmpz00_5512);
					}
					BgL_auxz00_5510 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5511);
				}
				((((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5510))->
						BgL_tvectorzf3zf3) = ((bool_t) BgL_auxz00_5518), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4654)));
		}

	}



/* &node-setup!-vref1606 */
	obj_t BGl_z62nodezd2setupz12zd2vref1606z70zzcfa_vectorz00(obj_t
		BgL_envz00_4655, obj_t BgL_nodez00_4656)
	{
		{	/* Cfa/vector.scm 106 */
			{	/* Cfa/vector.scm 108 */
				obj_t BgL_arg1696z00_4814;

				BgL_arg1696z00_4814 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_nodez00_4656))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1696z00_4814);
			}
			{	/* Cfa/vector.scm 109 */
				bool_t BgL_tvectorzf3zf3_4815;

				{	/* Cfa/vector.scm 109 */
					bool_t BgL_test2198z00_5537;

					{	/* Cfa/vector.scm 109 */
						bool_t BgL_test2199z00_5538;

						{	/* Cfa/vector.scm 109 */
							obj_t BgL_arg1729z00_4816;

							BgL_arg1729z00_4816 =
								((obj_t)
								(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4656)))->BgL_ftypez00));
							BgL_test2199z00_5538 =
								(BgL_arg1729z00_4816 == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2199z00_5538)
							{	/* Cfa/vector.scm 109 */
								BgL_test2198z00_5537 = ((bool_t) 1);
							}
						else
							{	/* Cfa/vector.scm 109 */
								obj_t BgL_arg1724z00_4817;

								BgL_arg1724z00_4817 =
									((obj_t)
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_4656)))->BgL_ftypez00));
								BgL_test2198z00_5537 =
									(BgL_arg1724z00_4817 == BGl_za2objza2z00zztype_cachez00);
							}
					}
					if (BgL_test2198z00_5537)
						{	/* Cfa/vector.scm 109 */
							BgL_tvectorzf3zf3_4815 = ((bool_t) 0);
						}
					else
						{	/* Cfa/vector.scm 109 */
							BgL_tvectorzf3zf3_4815 = ((bool_t) 1);
						}
				}
				{	/* Cfa/vector.scm 109 */
					BgL_approxz00_bglt BgL_approxz00_4818;

					if (BgL_tvectorzf3zf3_4815)
						{	/* Cfa/vector.scm 111 */
							BgL_approxz00_4818 =
								BGl_makezd2typezd2approxz00zzcfa_approxz00(
								(((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_4656)))->BgL_ftypez00));
						}
					else
						{	/* Cfa/vector.scm 111 */
							if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 2L))
								{	/* Cfa/vector.scm 113 */
									BgL_approxz00_4818 =
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
								}
							else
								{	/* Cfa/vector.scm 116 */
									BgL_approxz00_bglt BgL_approxz00_4819;

									BgL_approxz00_4819 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_approxz00_4819);
									BgL_approxz00_4818 = BgL_approxz00_4819;
								}
						}
					{	/* Cfa/vector.scm 110 */

						{	/* Cfa/vector.scm 119 */
							BgL_vrefzf2cinfozf2_bglt BgL_wide1200z00_4820;

							BgL_wide1200z00_4820 =
								((BgL_vrefzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vrefzf2cinfozf2_bgl))));
							{	/* Cfa/vector.scm 119 */
								obj_t BgL_auxz00_5563;
								BgL_objectz00_bglt BgL_tmpz00_5559;

								BgL_auxz00_5563 = ((obj_t) BgL_wide1200z00_4820);
								BgL_tmpz00_5559 =
									((BgL_objectz00_bglt)
									((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5559, BgL_auxz00_5563);
							}
							((BgL_objectz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
							{	/* Cfa/vector.scm 119 */
								long BgL_arg1699z00_4821;

								BgL_arg1699z00_4821 =
									BGL_CLASS_NUM(BGl_vrefzf2Cinfozf2zzcfa_info3z00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_4656))),
									BgL_arg1699z00_4821);
							}
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
						}
						{
							BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5577;

							{
								obj_t BgL_auxz00_5578;

								{	/* Cfa/vector.scm 120 */
									BgL_objectz00_bglt BgL_tmpz00_5579;

									BgL_tmpz00_5579 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
									BgL_auxz00_5578 = BGL_OBJECT_WIDENING(BgL_tmpz00_5579);
								}
								BgL_auxz00_5577 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5578);
							}
							((((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5577))->
									BgL_approxz00) =
								((BgL_approxz00_bglt) BgL_approxz00_4818), BUNSPEC);
						}
						{
							BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5586;

							{
								obj_t BgL_auxz00_5587;

								{	/* Cfa/vector.scm 121 */
									BgL_objectz00_bglt BgL_tmpz00_5588;

									BgL_tmpz00_5588 =
										((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
									BgL_auxz00_5587 = BGL_OBJECT_WIDENING(BgL_tmpz00_5588);
								}
								BgL_auxz00_5586 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5587);
							}
							((((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5586))->
									BgL_tvectorzf3zf3) =
								((bool_t) BgL_tvectorzf3zf3_4815), BUNSPEC);
						}
						return
							((obj_t)
							((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4656)));
					}
				}
			}
		}

	}



/* &node-setup!-vlength1604 */
	obj_t BGl_z62nodezd2setupz12zd2vlength1604z70zzcfa_vectorz00(obj_t
		BgL_envz00_4657, obj_t BgL_nodez00_4658)
	{
		{	/* Cfa/vector.scm 96 */
			{	/* Cfa/vector.scm 98 */
				obj_t BgL_arg1686z00_4823;

				{	/* Cfa/vector.scm 98 */
					obj_t BgL_pairz00_4824;

					BgL_pairz00_4824 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_4658))))->BgL_exprza2za2);
					BgL_arg1686z00_4823 = CAR(BgL_pairz00_4824);
				}
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1686z00_4823));
			}
			{	/* Cfa/vector.scm 99 */
				BgL_vlengthzf2cinfozf2_bglt BgL_wide1195z00_4825;

				BgL_wide1195z00_4825 =
					((BgL_vlengthzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthzf2cinfozf2_bgl))));
				{	/* Cfa/vector.scm 99 */
					obj_t BgL_auxz00_5609;
					BgL_objectz00_bglt BgL_tmpz00_5605;

					BgL_auxz00_5609 = ((obj_t) BgL_wide1195z00_4825);
					BgL_tmpz00_5605 =
						((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5605, BgL_auxz00_5609);
				}
				((BgL_objectz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
				{	/* Cfa/vector.scm 99 */
					long BgL_arg1692z00_4826;

					BgL_arg1692z00_4826 =
						BGL_CLASS_NUM(BGl_vlengthzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) BgL_nodez00_4658))),
						BgL_arg1692z00_4826);
				}
				((BgL_vlengthz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_5631;
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5623;

				{	/* Cfa/vector.scm 100 */
					BgL_typez00_bglt BgL_arg1693z00_4827;

					BgL_arg1693z00_4827 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_nodez00_4658))))->BgL_typez00);
					BgL_auxz00_5631 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1693z00_4827);
				}
				{
					obj_t BgL_auxz00_5624;

					{	/* Cfa/vector.scm 100 */
						BgL_objectz00_bglt BgL_tmpz00_5625;

						BgL_tmpz00_5625 =
							((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
						BgL_auxz00_5624 = BGL_OBJECT_WIDENING(BgL_tmpz00_5625);
					}
					BgL_auxz00_5623 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5624);
				}
				((((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5623))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_5631), BUNSPEC);
			}
			{
				BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_5637;

				{
					obj_t BgL_auxz00_5638;

					{	/* Cfa/vector.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_5639;

						BgL_tmpz00_5639 =
							((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
						BgL_auxz00_5638 = BGL_OBJECT_WIDENING(BgL_tmpz00_5639);
					}
					BgL_auxz00_5637 = ((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_5638);
				}
				((((BgL_vlengthzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5637))->
						BgL_tvectorzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_nodez00_4658)));
		}

	}



/* &node-setup!-valloc1602 */
	obj_t BGl_z62nodezd2setupz12zd2valloc1602z70zzcfa_vectorz00(obj_t
		BgL_envz00_4659, obj_t BgL_nodez00_4660)
	{
		{	/* Cfa/vector.scm 83 */
			{	/* Cfa/vector.scm 85 */
				obj_t BgL_arg1677z00_4829;

				BgL_arg1677z00_4829 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4660))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1677z00_4829);
			}
			{	/* Cfa/vector.scm 87 */
				BgL_approxz00_bglt BgL_approxz00_4830;

				{	/* Cfa/vector.scm 87 */
					BgL_typez00_bglt BgL_arg1680z00_4831;

					BgL_arg1680z00_4831 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_4660))))->BgL_typez00);
					BgL_approxz00_4830 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1680z00_4831);
				}
				{	/* Cfa/vector.scm 87 */
					BgL_vallocz00_bglt BgL_wnodez00_4832;

					{	/* Cfa/vector.scm 88 */
						BgL_valloczf2cinfozf2_bglt BgL_wide1190z00_4833;

						BgL_wide1190z00_4833 =
							((BgL_valloczf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_valloczf2cinfozf2_bgl))));
						{	/* Cfa/vector.scm 88 */
							obj_t BgL_auxz00_5662;
							BgL_objectz00_bglt BgL_tmpz00_5658;

							BgL_auxz00_5662 = ((obj_t) BgL_wide1190z00_4833);
							BgL_tmpz00_5658 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4660)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5658, BgL_auxz00_5662);
						}
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4660)));
						{	/* Cfa/vector.scm 88 */
							long BgL_arg1679z00_4834;

							BgL_arg1679z00_4834 =
								BGL_CLASS_NUM(BGl_valloczf2Cinfozf2zzcfa_info3z00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4660))),
								BgL_arg1679z00_4834);
						}
						((BgL_vallocz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4660)));
					}
					{
						BgL_valloczf2cinfozf2_bglt BgL_auxz00_5676;

						{
							obj_t BgL_auxz00_5677;

							{	/* Cfa/vector.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_5678;

								BgL_tmpz00_5678 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4660)));
								BgL_auxz00_5677 = BGL_OBJECT_WIDENING(BgL_tmpz00_5678);
							}
							BgL_auxz00_5676 = ((BgL_valloczf2cinfozf2_bglt) BgL_auxz00_5677);
						}
						((((BgL_valloczf2cinfozf2_bglt) COBJECT(BgL_auxz00_5676))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) BgL_approxz00_4830), BUNSPEC);
					}
					BgL_wnodez00_4832 =
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4660));
					{	/* Cfa/vector.scm 88 */

						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_4830);
						return ((obj_t) BgL_wnodez00_4832);
					}
				}
			}
		}

	}



/* &node-setup!-pre-vall1600 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2vall1600za2zzcfa_vectorz00(obj_t
		BgL_envz00_4661, obj_t BgL_nodez00_4662)
	{
		{	/* Cfa/vector.scm 63 */
			BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4662)));
			{	/* Cfa/vector.scm 66 */
				obj_t BgL_arg1649z00_4836;

				BgL_arg1649z00_4836 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4662))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1649z00_4836);
			}
			{	/* Cfa/vector.scm 67 */
				BgL_variablez00_bglt BgL_ownerz00_4837;

				{
					BgL_prezd2valloczf2cinfoz20_bglt BgL_auxz00_5696;

					{
						obj_t BgL_auxz00_5697;

						{	/* Cfa/vector.scm 67 */
							BgL_objectz00_bglt BgL_tmpz00_5698;

							BgL_tmpz00_5698 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4662));
							BgL_auxz00_5697 = BGL_OBJECT_WIDENING(BgL_tmpz00_5698);
						}
						BgL_auxz00_5696 =
							((BgL_prezd2valloczf2cinfoz20_bglt) BgL_auxz00_5697);
					}
					BgL_ownerz00_4837 =
						(((BgL_prezd2valloczf2cinfoz20_bglt) COBJECT(BgL_auxz00_5696))->
						BgL_ownerz00);
				}
				{	/* Cfa/vector.scm 67 */
					BgL_vallocz00_bglt BgL_nodez00_4838;

					{	/* Cfa/vector.scm 68 */
						long BgL_arg1664z00_4839;

						{	/* Cfa/vector.scm 68 */
							obj_t BgL_arg1673z00_4840;

							{	/* Cfa/vector.scm 68 */
								obj_t BgL_arg1674z00_4841;

								{	/* Cfa/vector.scm 68 */
									obj_t BgL_arg1866z00_4842;
									long BgL_arg1867z00_4843;

									BgL_arg1866z00_4842 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Cfa/vector.scm 68 */
										long BgL_arg1869z00_4844;

										BgL_arg1869z00_4844 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4662)));
										BgL_arg1867z00_4843 = (BgL_arg1869z00_4844 - OBJECT_TYPE);
									}
									BgL_arg1674z00_4841 =
										VECTOR_REF(BgL_arg1866z00_4842, BgL_arg1867z00_4843);
								}
								BgL_arg1673z00_4840 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1674z00_4841);
							}
							{	/* Cfa/vector.scm 68 */
								obj_t BgL_tmpz00_5711;

								BgL_tmpz00_5711 = ((obj_t) BgL_arg1673z00_4840);
								BgL_arg1664z00_4839 = BGL_CLASS_NUM(BgL_tmpz00_5711);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_4662)), BgL_arg1664z00_4839);
					}
					{	/* Cfa/vector.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_5717;

						BgL_tmpz00_5717 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4662));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5717, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4662));
					BgL_nodez00_4838 = ((BgL_vallocz00_bglt) BgL_nodez00_4662);
					{	/* Cfa/vector.scm 68 */

						{	/* Cfa/vector.scm 69 */
							BgL_vallocz00_bglt BgL_wnodez00_4845;

							{	/* Cfa/vector.scm 69 */
								BgL_valloczf2cinfozb2optimz40_bglt BgL_wide1183z00_4846;

								BgL_wide1183z00_4846 =
									((BgL_valloczf2cinfozb2optimz40_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_valloczf2cinfozb2optimz40_bgl))));
								{	/* Cfa/vector.scm 69 */
									obj_t BgL_auxz00_5729;
									BgL_objectz00_bglt BgL_tmpz00_5725;

									BgL_auxz00_5729 = ((obj_t) BgL_wide1183z00_4846);
									BgL_tmpz00_5725 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt)
											((BgL_vallocz00_bglt) BgL_nodez00_4838)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5725, BgL_auxz00_5729);
								}
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4838)));
								{	/* Cfa/vector.scm 69 */
									long BgL_arg1655z00_4847;

									BgL_arg1655z00_4847 =
										BGL_CLASS_NUM(BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838))),
										BgL_arg1655z00_4847);
								}
								((BgL_vallocz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4838)));
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5743;

								{
									obj_t BgL_auxz00_5744;

									{	/* Cfa/vector.scm 71 */
										BgL_objectz00_bglt BgL_tmpz00_5745;

										BgL_tmpz00_5745 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5744 = BGL_OBJECT_WIDENING(BgL_tmpz00_5745);
									}
									BgL_auxz00_5743 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5744);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5743))->BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_approxz00_bglt BgL_auxz00_5761;
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5753;

								{	/* Cfa/vector.scm 72 */
									bool_t BgL_test2202z00_5762;

									{	/* Cfa/vector.scm 72 */
										obj_t BgL_arg1663z00_4848;

										BgL_arg1663z00_4848 =
											((obj_t)
											(((BgL_vallocz00_bglt) COBJECT(
														((BgL_vallocz00_bglt)
															((BgL_vallocz00_bglt) BgL_nodez00_4662))))->
												BgL_ftypez00));
										BgL_test2202z00_5762 =
											(BgL_arg1663z00_4848 == BGl_za2_za2z00zztype_cachez00);
									}
									if (BgL_test2202z00_5762)
										{	/* Cfa/vector.scm 72 */
											BgL_auxz00_5761 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
										}
									else
										{	/* Cfa/vector.scm 74 */
											BgL_typez00_bglt BgL_arg1660z00_4849;

											BgL_arg1660z00_4849 =
												(((BgL_vallocz00_bglt) COBJECT(
														((BgL_vallocz00_bglt)
															((BgL_vallocz00_bglt) BgL_nodez00_4662))))->
												BgL_ftypez00);
											BgL_auxz00_5761 =
												BGl_makezd2typezd2approxz00zzcfa_approxz00
												(BgL_arg1660z00_4849);
										}
								}
								{
									obj_t BgL_auxz00_5754;

									{	/* Cfa/vector.scm 72 */
										BgL_objectz00_bglt BgL_tmpz00_5755;

										BgL_tmpz00_5755 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5754 = BGL_OBJECT_WIDENING(BgL_tmpz00_5755);
									}
									BgL_auxz00_5753 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5754);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5753))->BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt) BgL_auxz00_5761), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5774;

								{
									obj_t BgL_auxz00_5775;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5776;

										BgL_tmpz00_5776 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5775 = BGL_OBJECT_WIDENING(BgL_tmpz00_5776);
									}
									BgL_auxz00_5774 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5775);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5774))->BgL_lostzd2stampzd2) =
									((long) (-1L)), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5783;

								{
									obj_t BgL_auxz00_5784;

									{	/* Cfa/vector.scm 70 */
										BgL_objectz00_bglt BgL_tmpz00_5785;

										BgL_tmpz00_5785 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5784 = BGL_OBJECT_WIDENING(BgL_tmpz00_5785);
									}
									BgL_auxz00_5783 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5784);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5783))->BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_4837), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5792;

								{
									obj_t BgL_auxz00_5793;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5794;

										BgL_tmpz00_5794 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5793 = BGL_OBJECT_WIDENING(BgL_tmpz00_5794);
									}
									BgL_auxz00_5792 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5793);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5792))->BgL_stackablezf3zf3) =
									((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5801;

								{
									obj_t BgL_auxz00_5802;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5803;

										BgL_tmpz00_5803 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5802 = BGL_OBJECT_WIDENING(BgL_tmpz00_5803);
									}
									BgL_auxz00_5801 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5802);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5801))->BgL_stackzd2stampzd2) =
									((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5810;

								{
									obj_t BgL_auxz00_5811;

									{	/* Cfa/vector.scm 68 */
										BgL_objectz00_bglt BgL_tmpz00_5812;

										BgL_tmpz00_5812 =
											((BgL_objectz00_bglt)
											((BgL_vallocz00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_4838)));
										BgL_auxz00_5811 = BGL_OBJECT_WIDENING(BgL_tmpz00_5812);
									}
									BgL_auxz00_5810 =
										((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5811);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt)
											COBJECT(BgL_auxz00_5810))->BgL_seenzf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							BgL_wnodez00_4845 =
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_4838));
							{	/* Cfa/vector.scm 78 */
								BgL_approxz00_bglt BgL_arg1650z00_4850;

								{	/* Cfa/vector.scm 78 */
									BgL_typez00_bglt BgL_arg1653z00_4851;

									BgL_arg1653z00_4851 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_vallocz00_bglt) BgL_nodez00_4662))))->
										BgL_typez00);
									BgL_arg1650z00_4850 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
										(BgL_arg1653z00_4851,
										((BgL_nodez00_bglt) BgL_nodez00_4838));
								}
								{
									BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5826;

									{
										obj_t BgL_auxz00_5827;

										{	/* Cfa/vector.scm 76 */
											BgL_objectz00_bglt BgL_tmpz00_5828;

											BgL_tmpz00_5828 =
												((BgL_objectz00_bglt) BgL_wnodez00_4845);
											BgL_auxz00_5827 = BGL_OBJECT_WIDENING(BgL_tmpz00_5828);
										}
										BgL_auxz00_5826 =
											((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5827);
									}
									return
										((((BgL_valloczf2cinfozb2optimz40_bglt)
												COBJECT(BgL_auxz00_5826))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1650z00_4850), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-pre-make1598 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1598za2zzcfa_vectorz00(obj_t
		BgL_envz00_4663, obj_t BgL_nodez00_4664)
	{
		{	/* Cfa/vector.scm 46 */
			BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4664)));
			{	/* Cfa/vector.scm 49 */
				obj_t BgL_arg1633z00_4853;

				BgL_arg1633z00_4853 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4664))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1633z00_4853);
			}
			{	/* Cfa/vector.scm 50 */
				BgL_variablez00_bglt BgL_ownerz00_4854;

				{
					BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_auxz00_5840;

					{
						obj_t BgL_auxz00_5841;

						{	/* Cfa/vector.scm 50 */
							BgL_objectz00_bglt BgL_tmpz00_5842;

							BgL_tmpz00_5842 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4664));
							BgL_auxz00_5841 = BGL_OBJECT_WIDENING(BgL_tmpz00_5842);
						}
						BgL_auxz00_5840 =
							((BgL_prezd2makezd2vectorzd2appzd2_bglt) BgL_auxz00_5841);
					}
					BgL_ownerz00_4854 =
						(((BgL_prezd2makezd2vectorzd2appzd2_bglt)
							COBJECT(BgL_auxz00_5840))->BgL_ownerz00);
				}
				{	/* Cfa/vector.scm 50 */
					BgL_appz00_bglt BgL_nodez00_4855;

					{	/* Cfa/vector.scm 51 */
						long BgL_arg1642z00_4856;

						{	/* Cfa/vector.scm 51 */
							obj_t BgL_arg1643z00_4857;

							{	/* Cfa/vector.scm 51 */
								obj_t BgL_arg1648z00_4858;

								{	/* Cfa/vector.scm 51 */
									obj_t BgL_arg1866z00_4859;
									long BgL_arg1867z00_4860;

									BgL_arg1866z00_4859 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Cfa/vector.scm 51 */
										long BgL_arg1869z00_4861;

										BgL_arg1869z00_4861 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4664)));
										BgL_arg1867z00_4860 = (BgL_arg1869z00_4861 - OBJECT_TYPE);
									}
									BgL_arg1648z00_4858 =
										VECTOR_REF(BgL_arg1866z00_4859, BgL_arg1867z00_4860);
								}
								BgL_arg1643z00_4857 =
									BGl_classzd2superzd2zz__objectz00(BgL_arg1648z00_4858);
							}
							{	/* Cfa/vector.scm 51 */
								obj_t BgL_tmpz00_5855;

								BgL_tmpz00_5855 = ((obj_t) BgL_arg1643z00_4857);
								BgL_arg1642z00_4856 = BGL_CLASS_NUM(BgL_tmpz00_5855);
						}}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4664)), BgL_arg1642z00_4856);
					}
					{	/* Cfa/vector.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_5861;

						BgL_tmpz00_5861 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4664));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5861, BFALSE);
					}
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4664));
					BgL_nodez00_4855 = ((BgL_appz00_bglt) BgL_nodez00_4664);
					{	/* Cfa/vector.scm 51 */

						{	/* Cfa/vector.scm 52 */
							BgL_appz00_bglt BgL_wnodez00_4862;

							{	/* Cfa/vector.scm 52 */
								BgL_makezd2vectorzd2appz00_bglt BgL_wide1176z00_4863;

								BgL_wide1176z00_4863 =
									((BgL_makezd2vectorzd2appz00_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_makezd2vectorzd2appz00_bgl))));
								{	/* Cfa/vector.scm 52 */
									obj_t BgL_auxz00_5873;
									BgL_objectz00_bglt BgL_tmpz00_5869;

									BgL_auxz00_5873 = ((obj_t) BgL_wide1176z00_4863);
									BgL_tmpz00_5869 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5869, BgL_auxz00_5873);
								}
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
								{	/* Cfa/vector.scm 52 */
									long BgL_arg1638z00_4864;

									BgL_arg1638z00_4864 =
										BGL_CLASS_NUM(BGl_makezd2vectorzd2appz00zzcfa_info2z00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4855))),
										BgL_arg1638z00_4864);
								}
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5887;

								{
									obj_t BgL_auxz00_5888;

									{	/* Cfa/vector.scm 54 */
										BgL_objectz00_bglt BgL_tmpz00_5889;

										BgL_tmpz00_5889 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5888 = BGL_OBJECT_WIDENING(BgL_tmpz00_5889);
									}
									BgL_auxz00_5887 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5888);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5887))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5897;

								{
									obj_t BgL_auxz00_5898;

									{	/* Cfa/vector.scm 55 */
										BgL_objectz00_bglt BgL_tmpz00_5899;

										BgL_tmpz00_5899 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5898 = BGL_OBJECT_WIDENING(BgL_tmpz00_5899);
									}
									BgL_auxz00_5897 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5898);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5897))->
										BgL_valuezd2approxzd2) =
									((BgL_approxz00_bglt)
										BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5907;

								{
									obj_t BgL_auxz00_5908;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5909;

										BgL_tmpz00_5909 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5908 = BGL_OBJECT_WIDENING(BgL_tmpz00_5909);
									}
									BgL_auxz00_5907 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5908);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5907))->
										BgL_lostzd2stampzd2) = ((long) (-1L)), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5916;

								{
									obj_t BgL_auxz00_5917;

									{	/* Cfa/vector.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_5918;

										BgL_tmpz00_5918 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5917 = BGL_OBJECT_WIDENING(BgL_tmpz00_5918);
									}
									BgL_auxz00_5916 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5917);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5916))->
										BgL_ownerz00) =
									((BgL_variablez00_bglt) BgL_ownerz00_4854), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5925;

								{
									obj_t BgL_auxz00_5926;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5927;

										BgL_tmpz00_5927 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5926 = BGL_OBJECT_WIDENING(BgL_tmpz00_5927);
									}
									BgL_auxz00_5925 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5926);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5925))->
										BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5934;

								{
									obj_t BgL_auxz00_5935;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5936;

										BgL_tmpz00_5936 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5935 = BGL_OBJECT_WIDENING(BgL_tmpz00_5936);
									}
									BgL_auxz00_5934 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5935);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5934))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5943;

								{
									obj_t BgL_auxz00_5944;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_tmpz00_5945;

										BgL_tmpz00_5945 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855)));
										BgL_auxz00_5944 = BGL_OBJECT_WIDENING(BgL_tmpz00_5945);
									}
									BgL_auxz00_5943 =
										((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5944);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_5943))->
										BgL_tvectorzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							BgL_wnodez00_4862 =
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4855));
							{	/* Cfa/vector.scm 58 */
								BgL_approxz00_bglt BgL_arg1635z00_4865;

								BgL_arg1635z00_4865 =
									BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
									((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00),
									((BgL_nodez00_bglt) BgL_nodez00_4855));
								{
									BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5957;

									{
										obj_t BgL_auxz00_5958;

										{	/* Cfa/vector.scm 57 */
											BgL_objectz00_bglt BgL_tmpz00_5959;

											BgL_tmpz00_5959 =
												((BgL_objectz00_bglt) BgL_wnodez00_4862);
											BgL_auxz00_5958 = BGL_OBJECT_WIDENING(BgL_tmpz00_5959);
										}
										BgL_auxz00_5957 =
											((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_5958);
									}
									return
										((((BgL_makezd2vectorzd2appz00_bglt)
												COBJECT(BgL_auxz00_5957))->BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_arg1635z00_4865), BUNSPEC);
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00(void)
	{
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(131412063L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(168272122L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(324810626L,
				BSTRING_TO_STRING(BGl_string2137z00zzcfa_vectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
