/*===========================================================================*/
/*   (Coerce/funcall.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Coerce/funcall.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_COERCE_FUNCALL_TYPE_DEFINITIONS
#define BGL_COERCE_FUNCALL_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_COERCE_FUNCALL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00(void);
	static BgL_nodez00_bglt
		BGl_z62coercez12zd2funcall1235za2zzcoerce_funcallz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcoerce_funcallz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcoerce_funcallz00(void);
	static obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_funcallz00(void);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00(void);
	static obj_t
		BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt,
		obj_t, obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00(void);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern BgL_nodez00_bglt BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	static BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[19];


	   
		 
		DEFINE_STRING(BGl_string1717z00zzcoerce_funcallz00,
		BgL_bgl_string1717za700za7za7c1725za7, ":Wrong number of arguments", 26);
	      DEFINE_STRING(BGl_string1719z00zzcoerce_funcallz00,
		BgL_bgl_string1719za700za7za7c1726za7, "coerce!", 7);
	      DEFINE_STRING(BGl_string1720z00zzcoerce_funcallz00,
		BgL_bgl_string1720za700za7za7c1727za7, "coerce_funcall", 14);
	      DEFINE_STRING(BGl_string1721z00zzcoerce_funcallz00,
		BgL_bgl_string1721za700za7za7c1728za7,
		"let if correct-arity? ::int len fun light elight __eoa__ dummy begin failure quote _ @ error/location __error location bdb ",
		123);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1718z00zzcoerce_funcallz00,
		BgL_bgl_za762coerceza712za7d2f1729za7,
		BGl_z62coercez12zd2funcall1235za2zzcoerce_funcallz00, 0L, BUNSPEC, 4);
	extern obj_t BGl_coercez12zd2envzc0zzcoerce_coercez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcoerce_funcallz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_funcallz00(long
		BgL_checksumz00_1983, char *BgL_fromz00_1984)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_funcallz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_funcallz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcoerce_funcallz00();
					BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_cnstzd2initzd2zzcoerce_funcallz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00();
					BGl_methodzd2initzd2zzcoerce_funcallz00();
					return BGl_toplevelzd2initzd2zzcoerce_funcallz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "coerce_funcall");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "coerce_funcall");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			{	/* Coerce/funcall.scm 15 */
				obj_t BgL_cportz00_1922;

				{	/* Coerce/funcall.scm 15 */
					obj_t BgL_stringz00_1929;

					BgL_stringz00_1929 = BGl_string1721z00zzcoerce_funcallz00;
					{	/* Coerce/funcall.scm 15 */
						obj_t BgL_startz00_1930;

						BgL_startz00_1930 = BINT(0L);
						{	/* Coerce/funcall.scm 15 */
							obj_t BgL_endz00_1931;

							BgL_endz00_1931 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1929)));
							{	/* Coerce/funcall.scm 15 */

								BgL_cportz00_1922 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1929, BgL_startz00_1930, BgL_endz00_1931);
				}}}}
				{
					long BgL_iz00_1923;

					BgL_iz00_1923 = 18L;
				BgL_loopz00_1924:
					if ((BgL_iz00_1923 == (-1L)))
						{	/* Coerce/funcall.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/funcall.scm 15 */
							{	/* Coerce/funcall.scm 15 */
								obj_t BgL_arg1724z00_1925;

								{	/* Coerce/funcall.scm 15 */

									{	/* Coerce/funcall.scm 15 */
										obj_t BgL_locationz00_1927;

										BgL_locationz00_1927 = BBOOL(((bool_t) 0));
										{	/* Coerce/funcall.scm 15 */

											BgL_arg1724z00_1925 =
												BGl_readz00zz__readerz00(BgL_cportz00_1922,
												BgL_locationz00_1927);
										}
									}
								}
								{	/* Coerce/funcall.scm 15 */
									int BgL_tmpz00_2013;

									BgL_tmpz00_2013 = (int) (BgL_iz00_1923);
									CNST_TABLE_SET(BgL_tmpz00_2013, BgL_arg1724z00_1925);
							}}
							{	/* Coerce/funcall.scm 15 */
								int BgL_auxz00_1928;

								BgL_auxz00_1928 = (int) ((BgL_iz00_1923 - 1L));
								{
									long BgL_iz00_2018;

									BgL_iz00_2018 = (long) (BgL_auxz00_1928);
									BgL_iz00_1923 = BgL_iz00_2018;
									goto BgL_loopz00_1924;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* make-arity-error-node */
	BgL_nodez00_bglt
		BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00(BgL_localz00_bglt
		BgL_funz00_21, obj_t BgL_errorzd2msgzd2_22, obj_t BgL_locz00_23,
		obj_t BgL_callerz00_24, obj_t BgL_toz00_25)
	{
		{	/* Coerce/funcall.scm 106 */
			{	/* Coerce/funcall.scm 107 */
				BgL_nodez00_bglt BgL_nodez00_1504;

				{	/* Coerce/funcall.scm 108 */
					obj_t BgL_arg1255z00_1505;

					{	/* Coerce/funcall.scm 108 */
						bool_t BgL_test1733z00_2021;

						{	/* Coerce/funcall.scm 108 */
							bool_t BgL_test1734z00_2022;

							if (
								((long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									0L))
								{	/* Coerce/funcall.scm 108 */
									BgL_test1734z00_2022 = ((bool_t) 1);
								}
							else
								{	/* Coerce/funcall.scm 108 */
									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
											0L))
										{	/* Coerce/funcall.scm 112 */
											obj_t BgL_arg1311z00_1551;

											{	/* Coerce/funcall.scm 112 */
												obj_t BgL_arg1313z00_1552;

												BgL_arg1313z00_1552 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1311z00_1551 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1313z00_1552)))->
													BgL_debugzd2supportzd2);
											}
											BgL_test1734z00_2022 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t) CNST_TABLE_REF(0)), BgL_arg1311z00_1551));
										}
									else
										{	/* Coerce/funcall.scm 109 */
											BgL_test1734z00_2022 = ((bool_t) 0);
										}
								}
							if (BgL_test1734z00_2022)
								{	/* Coerce/funcall.scm 108 */
									if (STRUCTP(BgL_locz00_23))
										{	/* Coerce/funcall.scm 113 */
											BgL_test1733z00_2021 =
												(STRUCT_KEY(BgL_locz00_23) ==
												((obj_t) CNST_TABLE_REF(1)));
										}
									else
										{	/* Coerce/funcall.scm 113 */
											BgL_test1733z00_2021 = ((bool_t) 0);
										}
								}
							else
								{	/* Coerce/funcall.scm 108 */
									BgL_test1733z00_2021 = ((bool_t) 0);
								}
						}
						if (BgL_test1733z00_2021)
							{	/* Coerce/funcall.scm 115 */
								obj_t BgL_arg1271z00_1516;

								{	/* Coerce/funcall.scm 115 */
									obj_t BgL_arg1272z00_1517;
									obj_t BgL_arg1273z00_1518;

									{	/* Coerce/funcall.scm 115 */
										obj_t BgL_arg1274z00_1519;
										obj_t BgL_arg1275z00_1520;

										{	/* Coerce/funcall.scm 115 */
											obj_t BgL_arg1276z00_1521;

											{	/* Coerce/funcall.scm 115 */
												obj_t BgL_arg1277z00_1522;

												BgL_arg1277z00_1522 =
													MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(2)), BNIL);
												BgL_arg1276z00_1521 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(3)), BgL_arg1277z00_1522);
											}
											BgL_arg1274z00_1519 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(4)), BgL_arg1276z00_1521);
										}
										{	/* Coerce/funcall.scm 117 */
											obj_t BgL_arg1279z00_1523;
											obj_t BgL_arg1280z00_1524;

											{	/* Coerce/funcall.scm 117 */
												obj_t BgL_arg1281z00_1525;

												{	/* Coerce/funcall.scm 117 */
													obj_t BgL_arg1282z00_1526;

													BgL_arg1282z00_1526 =
														BGl_currentzd2functionzd2zztools_errorz00();
													{	/* Coerce/funcall.scm 116 */
														obj_t BgL_arg1486z00_1846;

														BgL_arg1486z00_1846 =
															SYMBOL_TO_STRING(((obj_t) BgL_arg1282z00_1526));
														BgL_arg1281z00_1525 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_1846);
													}
												}
												BgL_arg1279z00_1523 =
													string_append(BgL_arg1281z00_1525,
													BGl_string1717z00zzcoerce_funcallz00);
											}
											{	/* Coerce/funcall.scm 121 */
												obj_t BgL_arg1284z00_1527;

												{	/* Coerce/funcall.scm 121 */
													obj_t BgL_arg1285z00_1528;

													{	/* Coerce/funcall.scm 121 */
														obj_t BgL_arg1287z00_1529;
														obj_t BgL_arg1288z00_1530;

														BgL_arg1287z00_1529 =
															BGl_locationzd2fullzd2fnamez00zztools_locationz00
															(BgL_locz00_23);
														BgL_arg1288z00_1530 =
															MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_23,
																(int) (1L)), BNIL);
														BgL_arg1285z00_1528 =
															MAKE_YOUNG_PAIR(BgL_arg1287z00_1529,
															BgL_arg1288z00_1530);
													}
													BgL_arg1284z00_1527 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_funz00_21), BgL_arg1285z00_1528);
												}
												BgL_arg1280z00_1524 =
													MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
													BgL_arg1284z00_1527);
											}
											BgL_arg1275z00_1520 =
												MAKE_YOUNG_PAIR(BgL_arg1279z00_1523,
												BgL_arg1280z00_1524);
										}
										BgL_arg1272z00_1517 =
											MAKE_YOUNG_PAIR(BgL_arg1274z00_1519, BgL_arg1275z00_1520);
									}
									{	/* Coerce/funcall.scm 123 */
										obj_t BgL_arg1291z00_1532;

										{	/* Coerce/funcall.scm 123 */
											obj_t BgL_arg1292z00_1533;

											{	/* Coerce/funcall.scm 123 */
												obj_t BgL_arg1293z00_1534;
												obj_t BgL_arg1294z00_1535;

												{	/* Coerce/funcall.scm 123 */
													obj_t BgL_arg1295z00_1536;

													BgL_arg1295z00_1536 =
														MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(5)), BNIL);
													BgL_arg1293z00_1534 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(6)), BgL_arg1295z00_1536);
												}
												{	/* Coerce/funcall.scm 123 */
													obj_t BgL_arg1296z00_1537;
													obj_t BgL_arg1297z00_1538;

													{	/* Coerce/funcall.scm 123 */
														obj_t BgL_arg1298z00_1539;

														BgL_arg1298z00_1539 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(5)), BNIL);
														BgL_arg1296z00_1537 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(6)), BgL_arg1298z00_1539);
													}
													{	/* Coerce/funcall.scm 123 */
														obj_t BgL_arg1299z00_1540;

														{	/* Coerce/funcall.scm 123 */
															obj_t BgL_arg1301z00_1541;

															BgL_arg1301z00_1541 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(5)), BNIL);
															BgL_arg1299z00_1540 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(6)), BgL_arg1301z00_1541);
														}
														BgL_arg1297z00_1538 =
															MAKE_YOUNG_PAIR(BgL_arg1299z00_1540, BNIL);
													}
													BgL_arg1294z00_1535 =
														MAKE_YOUNG_PAIR(BgL_arg1296z00_1537,
														BgL_arg1297z00_1538);
												}
												BgL_arg1292z00_1533 =
													MAKE_YOUNG_PAIR(BgL_arg1293z00_1534,
													BgL_arg1294z00_1535);
											}
											BgL_arg1291z00_1532 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(7)), BgL_arg1292z00_1533);
										}
										BgL_arg1273z00_1518 =
											MAKE_YOUNG_PAIR(BgL_arg1291z00_1532, BNIL);
									}
									BgL_arg1271z00_1516 =
										MAKE_YOUNG_PAIR(BgL_arg1272z00_1517, BgL_arg1273z00_1518);
								}
								BgL_arg1255z00_1505 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(8)), BgL_arg1271z00_1516);
							}
						else
							{	/* Coerce/funcall.scm 125 */
								obj_t BgL_arg1302z00_1542;

								{	/* Coerce/funcall.scm 125 */
									obj_t BgL_arg1303z00_1543;
									obj_t BgL_arg1304z00_1544;

									{	/* Coerce/funcall.scm 125 */
										obj_t BgL_arg1305z00_1545;

										{	/* Coerce/funcall.scm 125 */
											obj_t BgL_arg1309z00_1546;

											BgL_arg1309z00_1546 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/funcall.scm 124 */
												obj_t BgL_arg1486z00_1849;

												BgL_arg1486z00_1849 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1309z00_1546));
												BgL_arg1305z00_1545 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1486z00_1849);
											}
										}
										BgL_arg1303z00_1543 =
											string_append(BgL_arg1305z00_1545,
											BGl_string1717z00zzcoerce_funcallz00);
									}
									{	/* Coerce/funcall.scm 124 */
										obj_t BgL_arg1310z00_1547;

										BgL_arg1310z00_1547 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_funz00_21), BNIL);
										BgL_arg1304z00_1544 =
											MAKE_YOUNG_PAIR(BgL_errorzd2msgzd2_22,
											BgL_arg1310z00_1547);
									}
									BgL_arg1302z00_1542 =
										MAKE_YOUNG_PAIR(BgL_arg1303z00_1543, BgL_arg1304z00_1544);
								}
								BgL_arg1255z00_1505 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(7)), BgL_arg1302z00_1542);
							}
					}
					BgL_nodez00_1504 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
						(BgL_arg1255z00_1505, BgL_locz00_23);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_1504);
				return
					BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_1504, BgL_callerz00_24,
					((BgL_typez00_bglt) BgL_toz00_25), ((bool_t) 0));
			}
		}

	}



/* coerce-funcall-args! */
	obj_t BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_26, obj_t BgL_callerz00_27, obj_t BgL_toz00_28,
		obj_t BgL_safez00_29)
	{
		{	/* Coerce/funcall.scm 136 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 144 */
					obj_t BgL_arg1316z00_1556;

					{	/* Coerce/funcall.scm 144 */
						BgL_nodez00_bglt BgL_arg1317z00_1557;

						BgL_arg1317z00_1557 =
							BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_nodez00_26);
						{	/* Coerce/funcall.scm 144 */
							obj_t BgL_list1318z00_1558;

							BgL_list1318z00_1558 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1317z00_1557), BNIL);
							BgL_arg1316z00_1556 = BgL_list1318z00_1558;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00) =
						((obj_t) BgL_arg1316z00_1556), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 145 */
					obj_t BgL_g1115z00_1559;
					obj_t BgL_g1116z00_1560;

					BgL_g1115z00_1559 =
						(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_26))->BgL_argsz00);
					BgL_g1116z00_1560 = ((obj_t) CNST_TABLE_REF(9));
					{
						obj_t BgL_actualsz00_1562;
						obj_t BgL_prevz00_1563;

						BgL_actualsz00_1562 = BgL_g1115z00_1559;
						BgL_prevz00_1563 = BgL_g1116z00_1560;
					BgL_zc3z04anonymousza31319ze3z87_1564:
						if (NULLP(BgL_actualsz00_1562))
							{	/* Coerce/funcall.scm 148 */
								obj_t BgL_arg1321z00_1566;

								{	/* Coerce/funcall.scm 148 */
									BgL_nodez00_bglt BgL_arg1322z00_1567;

									BgL_arg1322z00_1567 =
										BGl_toplevelzd2expze71z35zzcoerce_funcallz00
										(BgL_nodez00_26);
									{	/* Coerce/funcall.scm 148 */
										obj_t BgL_list1323z00_1568;

										BgL_list1323z00_1568 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1322z00_1567), BNIL);
										BgL_arg1321z00_1566 = BgL_list1323z00_1568;
									}
								}
								{	/* Coerce/funcall.scm 148 */
									obj_t BgL_tmpz00_2126;

									BgL_tmpz00_2126 = ((obj_t) BgL_prevz00_1563);
									return SET_CDR(BgL_tmpz00_2126, BgL_arg1321z00_1566);
								}
							}
						else
							{	/* Coerce/funcall.scm 147 */
								{	/* Coerce/funcall.scm 150 */
									BgL_nodez00_bglt BgL_arg1326z00_1569;

									{	/* Coerce/funcall.scm 150 */
										obj_t BgL_arg1327z00_1570;

										BgL_arg1327z00_1570 = CAR(((obj_t) BgL_actualsz00_1562));
										BgL_arg1326z00_1569 =
											BGl_coercez12z12zzcoerce_coercez00(
											((BgL_nodez00_bglt) BgL_arg1327z00_1570),
											BgL_callerz00_27,
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
											CBOOL(BgL_safez00_29));
									}
									{	/* Coerce/funcall.scm 150 */
										obj_t BgL_auxz00_2137;
										obj_t BgL_tmpz00_2135;

										BgL_auxz00_2137 = ((obj_t) BgL_arg1326z00_1569);
										BgL_tmpz00_2135 = ((obj_t) BgL_actualsz00_1562);
										SET_CAR(BgL_tmpz00_2135, BgL_auxz00_2137);
									}
								}
								{	/* Coerce/funcall.scm 151 */
									obj_t BgL_arg1331z00_1571;

									BgL_arg1331z00_1571 = CDR(((obj_t) BgL_actualsz00_1562));
									{
										obj_t BgL_prevz00_2143;
										obj_t BgL_actualsz00_2142;

										BgL_actualsz00_2142 = BgL_arg1331z00_1571;
										BgL_prevz00_2143 = BgL_actualsz00_1562;
										BgL_prevz00_1563 = BgL_prevz00_2143;
										BgL_actualsz00_1562 = BgL_actualsz00_2142;
										goto BgL_zc3z04anonymousza31319ze3z87_1564;
									}
								}
							}
					}
				}
		}

	}



/* toplevel-exp~1 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze71z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1574)
	{
		{	/* Coerce/funcall.scm 141 */
			{	/* Coerce/funcall.scm 139 */
				BgL_nodez00_bglt BgL_nz00_1576;

				{	/* Coerce/funcall.scm 139 */
					obj_t BgL_arg1336z00_1577;

					BgL_arg1336z00_1577 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1574)))->BgL_locz00);
					BgL_nz00_1576 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(
						((obj_t) CNST_TABLE_REF(10)), BgL_arg1336z00_1577);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1576);
				return BgL_nz00_1576;
			}
		}

	}



/* coerce-funcall-elight-args! */
	obj_t
		BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
		(BgL_funcallz00_bglt BgL_nodez00_30, obj_t BgL_callerz00_31,
		obj_t BgL_toz00_32, obj_t BgL_safez00_33)
	{
		{	/* Coerce/funcall.scm 156 */
			if (NULLP((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00)))
				{	/* Coerce/funcall.scm 164 */
					obj_t BgL_arg1341z00_1582;

					{	/* Coerce/funcall.scm 164 */
						BgL_nodez00_bglt BgL_arg1342z00_1583;

						BgL_arg1342z00_1583 =
							BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_nodez00_30);
						{	/* Coerce/funcall.scm 164 */
							obj_t BgL_list1343z00_1584;

							BgL_list1343z00_1584 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1342z00_1583), BNIL);
							BgL_arg1341z00_1582 = BgL_list1343z00_1584;
						}
					}
					return
						((((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00) =
						((obj_t) BgL_arg1341z00_1582), BUNSPEC);
				}
			else
				{	/* Coerce/funcall.scm 165 */
					BgL_variablez00_bglt BgL_calleez00_1585;

					{
						BgL_varz00_bglt BgL_auxz00_2157;

						{	/* Coerce/funcall.scm 165 */
							obj_t BgL_pairz00_1865;

							BgL_pairz00_1865 =
								(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->
								BgL_functionsz00);
							BgL_auxz00_2157 = ((BgL_varz00_bglt) CAR(BgL_pairz00_1865));
						}
						BgL_calleez00_1585 =
							(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2157))->BgL_variablez00);
					}
					{	/* Coerce/funcall.scm 167 */
						obj_t BgL_g1117z00_1586;
						obj_t BgL_g1118z00_1587;
						obj_t BgL_g1119z00_1588;

						BgL_g1117z00_1586 =
							(((BgL_funcallz00_bglt) COBJECT(BgL_nodez00_30))->BgL_argsz00);
						BgL_g1118z00_1587 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(BgL_calleez00_1585))->
											BgL_valuez00))))->BgL_argsz00);
						BgL_g1119z00_1588 = ((obj_t) CNST_TABLE_REF(9));
						{
							obj_t BgL_actualsz00_1590;
							obj_t BgL_formalsz00_1591;
							obj_t BgL_prevz00_1592;

							BgL_actualsz00_1590 = BgL_g1117z00_1586;
							BgL_formalsz00_1591 = BgL_g1118z00_1587;
							BgL_prevz00_1592 = BgL_g1119z00_1588;
						BgL_zc3z04anonymousza31344ze3z87_1593:
							if (NULLP(BgL_actualsz00_1590))
								{	/* Coerce/funcall.scm 171 */
									obj_t BgL_arg1355z00_1595;

									{	/* Coerce/funcall.scm 171 */
										BgL_nodez00_bglt BgL_arg1358z00_1596;

										BgL_arg1358z00_1596 =
											BGl_toplevelzd2expze70z35zzcoerce_funcallz00
											(BgL_nodez00_30);
										{	/* Coerce/funcall.scm 171 */
											obj_t BgL_list1359z00_1597;

											BgL_list1359z00_1597 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1358z00_1596), BNIL);
											BgL_arg1355z00_1595 = BgL_list1359z00_1597;
										}
									}
									{	/* Coerce/funcall.scm 171 */
										obj_t BgL_tmpz00_2173;

										BgL_tmpz00_2173 = ((obj_t) BgL_prevz00_1592);
										return SET_CDR(BgL_tmpz00_2173, BgL_arg1355z00_1595);
									}
								}
							else
								{	/* Coerce/funcall.scm 170 */
									{	/* Coerce/funcall.scm 174 */
										BgL_nodez00_bglt BgL_arg1360z00_1598;

										{	/* Coerce/funcall.scm 174 */
											obj_t BgL_arg1361z00_1599;
											BgL_typez00_bglt BgL_arg1364z00_1600;

											BgL_arg1361z00_1599 = CAR(((obj_t) BgL_actualsz00_1590));
											BgL_arg1364z00_1600 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_formalsz00_1591))))))->
												BgL_typez00);
											BgL_arg1360z00_1598 =
												BGl_coercez12z12zzcoerce_coercez00(((BgL_nodez00_bglt)
													BgL_arg1361z00_1599), BgL_callerz00_31,
												BgL_arg1364z00_1600, CBOOL(BgL_safez00_33));
										}
										{	/* Coerce/funcall.scm 173 */
											obj_t BgL_auxz00_2188;
											obj_t BgL_tmpz00_2186;

											BgL_auxz00_2188 = ((obj_t) BgL_arg1360z00_1598);
											BgL_tmpz00_2186 = ((obj_t) BgL_actualsz00_1590);
											SET_CAR(BgL_tmpz00_2186, BgL_auxz00_2188);
										}
									}
									{	/* Coerce/funcall.scm 176 */
										obj_t BgL_arg1367z00_1602;
										obj_t BgL_arg1370z00_1603;

										BgL_arg1367z00_1602 = CDR(((obj_t) BgL_actualsz00_1590));
										BgL_arg1370z00_1603 = CDR(((obj_t) BgL_formalsz00_1591));
										{
											obj_t BgL_prevz00_2197;
											obj_t BgL_formalsz00_2196;
											obj_t BgL_actualsz00_2195;

											BgL_actualsz00_2195 = BgL_arg1367z00_1602;
											BgL_formalsz00_2196 = BgL_arg1370z00_1603;
											BgL_prevz00_2197 = BgL_actualsz00_1590;
											BgL_prevz00_1592 = BgL_prevz00_2197;
											BgL_formalsz00_1591 = BgL_formalsz00_2196;
											BgL_actualsz00_1590 = BgL_actualsz00_2195;
											goto BgL_zc3z04anonymousza31344ze3z87_1593;
										}
									}
								}
						}
					}
				}
		}

	}



/* toplevel-exp~0 */
	BgL_nodez00_bglt
		BGl_toplevelzd2expze70z35zzcoerce_funcallz00(BgL_funcallz00_bglt
		BgL_nodez00_1609)
	{
		{	/* Coerce/funcall.scm 161 */
			{	/* Coerce/funcall.scm 159 */
				BgL_nodez00_bglt BgL_nz00_1611;

				{	/* Coerce/funcall.scm 159 */
					obj_t BgL_arg1382z00_1612;

					BgL_arg1382z00_1612 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_1609)))->BgL_locz00);
					BgL_nz00_1611 =
						BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(
						((obj_t) CNST_TABLE_REF(10)), BgL_arg1382z00_1612);
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_1611);
				return BgL_nz00_1611;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_coercez12zd2envzc0zzcoerce_coercez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1718z00zzcoerce_funcallz00,
				BGl_string1719z00zzcoerce_funcallz00);
		}

	}



/* &coerce!-funcall1235 */
	BgL_nodez00_bglt BGl_z62coercez12zd2funcall1235za2zzcoerce_funcallz00(obj_t
		BgL_envz00_1911, obj_t BgL_nodez00_1912, obj_t BgL_callerz00_1913,
		obj_t BgL_toz00_1914, obj_t BgL_safez00_1915)
	{
		{	/* Coerce/funcall.scm 38 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_errorzd2msgzd2_1934;
				obj_t BgL_strengthz00_1935;
				BgL_typez00_bglt BgL_ntyz00_1936;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_arg1530z00_1937;

					BgL_arg1530z00_1937 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_1912)));
					{	/* Tools/trace.sch 53 */
						obj_t BgL_list1531z00_1938;

						{	/* Tools/trace.sch 53 */
							obj_t BgL_arg1532z00_1939;

							BgL_arg1532z00_1939 = MAKE_YOUNG_PAIR(BgL_arg1530z00_1937, BNIL);
							BgL_list1531z00_1938 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(6)), BgL_arg1532z00_1939);
						}
						BgL_errorzd2msgzd2_1934 = BgL_list1531z00_1938;
					}
				}
				BgL_strengthz00_1935 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_1912)))->BgL_strengthz00);
				BgL_ntyz00_1936 =
					(((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1912))))->BgL_typez00);
				if ((BgL_strengthz00_1935 == ((obj_t) CNST_TABLE_REF(11))))
					{	/* Tools/trace.sch 53 */
						if (CBOOL
							(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1912), BgL_callerz00_1913,
									BgL_toz00_1914, BgL_safez00_1915);
							}
						else
							{	/* Tools/trace.sch 53 */
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1912), BgL_callerz00_1913,
									BgL_toz00_1914, BgL_safez00_1915);
							}
						return
							BGl_convertz12z12zzcoerce_convertz00(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_1912)), BgL_ntyz00_1936,
							((BgL_typez00_bglt) BgL_toz00_1914), CBOOL(BgL_safez00_1915));
					}
				else
					{	/* Tools/trace.sch 53 */
						if ((BgL_strengthz00_1935 == ((obj_t) CNST_TABLE_REF(12))))
							{	/* Tools/trace.sch 53 */
								if (CBOOL
									(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2elightzd2argsz12zc0zzcoerce_funcallz00
											(((BgL_funcallz00_bglt) BgL_nodez00_1912),
											BgL_callerz00_1913, BgL_toz00_1914, BgL_safez00_1915);
									}
								else
									{	/* Tools/trace.sch 53 */
										BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
											((BgL_funcallz00_bglt) BgL_nodez00_1912),
											BgL_callerz00_1913, BgL_toz00_1914, BgL_safez00_1915);
									}
								return
									BGl_convertz12z12zzcoerce_convertz00(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_1912)), BgL_ntyz00_1936,
									((BgL_typez00_bglt) BgL_toz00_1914), CBOOL(BgL_safez00_1915));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_nodez00_bglt BgL_czd2funzd2_1940;

								{	/* Tools/trace.sch 53 */
									BgL_nodez00_bglt BgL_arg1516z00_1941;

									BgL_arg1516z00_1941 =
										(((BgL_funcallz00_bglt) COBJECT(
												((BgL_funcallz00_bglt) BgL_nodez00_1912)))->BgL_funz00);
									BgL_czd2funzd2_1940 =
										BGl_coercez12z12zzcoerce_coercez00(BgL_arg1516z00_1941,
										BgL_callerz00_1913,
										((BgL_typez00_bglt) BGl_za2procedureza2z00zztype_cachez00),
										CBOOL(BgL_safez00_1915));
								}
								BGl_coercezd2funcallzd2argsz12z12zzcoerce_funcallz00(
									((BgL_funcallz00_bglt) BgL_nodez00_1912), BgL_callerz00_1913,
									BgL_toz00_1914, BgL_safez00_1915);
								if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
									{	/* Tools/trace.sch 53 */
										((((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_nodez00_1912)))->
												BgL_funz00) =
											((BgL_nodez00_bglt) BgL_czd2funzd2_1940), BUNSPEC);
										return
											BGl_convertz12z12zzcoerce_convertz00(((BgL_nodez00_bglt) (
													(BgL_funcallz00_bglt) BgL_nodez00_1912)),
											BgL_ntyz00_1936, ((BgL_typez00_bglt) BgL_toz00_1914),
											CBOOL(BgL_safez00_1915));
									}
								else
									{	/* Tools/trace.sch 53 */
										BgL_localz00_bglt BgL_funz00_1942;

										BgL_funz00_1942 =
											BGl_makezd2localzd2svarz00zzast_localz00(
											((obj_t)
												CNST_TABLE_REF(13)),
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00));
										{	/* Tools/trace.sch 53 */
											obj_t BgL_locz00_1943;

											BgL_locz00_1943 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_nodez00_1912))))->
												BgL_locz00);
											{	/* Tools/trace.sch 53 */
												BgL_literalz00_bglt BgL_lenz00_1944;

												{	/* Tools/trace.sch 53 */
													BgL_literalz00_bglt BgL_new1108z00_1945;

													{	/* Tools/trace.sch 53 */
														BgL_literalz00_bglt BgL_new1107z00_1946;

														BgL_new1107z00_1946 =
															((BgL_literalz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_literalz00_bgl))));
														{	/* Tools/trace.sch 53 */
															long BgL_arg1515z00_1947;

															BgL_arg1515z00_1947 =
																BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1107z00_1946),
																BgL_arg1515z00_1947);
														}
														{	/* Tools/trace.sch 53 */
															BgL_objectz00_bglt BgL_tmpz00_2274;

															BgL_tmpz00_2274 =
																((BgL_objectz00_bglt) BgL_new1107z00_1946);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2274, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1107z00_1946);
														BgL_new1108z00_1945 = BgL_new1107z00_1946;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1108z00_1945)))->
															BgL_locz00) = ((obj_t) BgL_locz00_1943), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1108z00_1945)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
																		BgL_new1108z00_1945)))->BgL_valuez00) =
														((obj_t)
															BINT((bgl_list_length((((BgL_funcallz00_bglt)
																				COBJECT(((BgL_funcallz00_bglt)
																						BgL_nodez00_1912)))->BgL_argsz00)) -
																	2L))), BUNSPEC);
													BgL_lenz00_1944 = BgL_new1108z00_1945;
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_azd2lenzd2_1948;

													BgL_azd2lenzd2_1948 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
																CNST_TABLE_REF(14))));
													{	/* Tools/trace.sch 53 */
														obj_t BgL_azd2tlenzd2_1949;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1487z00_1950;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1489z00_1951;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_arg1490z00_1952;
																	obj_t BgL_arg1506z00_1953;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1486z00_1954;

																		BgL_arg1486z00_1954 =
																			SYMBOL_TO_STRING(BgL_azd2lenzd2_1948);
																		BgL_arg1490z00_1952 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1486z00_1954);
																	}
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_symbolz00_1955;

																		BgL_symbolz00_1955 =
																			((obj_t) CNST_TABLE_REF(15));
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1486z00_1956;

																			BgL_arg1486z00_1956 =
																				SYMBOL_TO_STRING(BgL_symbolz00_1955);
																			BgL_arg1506z00_1953 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1486z00_1956);
																	}}
																	BgL_arg1489z00_1951 =
																		string_append(BgL_arg1490z00_1952,
																		BgL_arg1506z00_1953);
																}
																BgL_arg1487z00_1950 =
																	bstring_to_symbol(BgL_arg1489z00_1951);
															}
															BgL_azd2tlenzd2_1949 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg1487z00_1950);
														}
														{	/* Tools/trace.sch 53 */
															BgL_letzd2varzd2_bglt BgL_lnodez00_1957;

															{	/* Tools/trace.sch 53 */
																BgL_letzd2varzd2_bglt BgL_new1110z00_1958;

																{	/* Tools/trace.sch 53 */
																	BgL_letzd2varzd2_bglt BgL_new1109z00_1959;

																	BgL_new1109z00_1959 =
																		((BgL_letzd2varzd2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_letzd2varzd2_bgl))));
																	{	/* Tools/trace.sch 53 */
																		long BgL_arg1484z00_1960;

																		BgL_arg1484z00_1960 =
																			BGL_CLASS_NUM
																			(BGl_letzd2varzd2zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt)
																				BgL_new1109z00_1959),
																			BgL_arg1484z00_1960);
																	}
																	{	/* Tools/trace.sch 53 */
																		BgL_objectz00_bglt BgL_tmpz00_2307;

																		BgL_tmpz00_2307 =
																			((BgL_objectz00_bglt)
																			BgL_new1109z00_1959);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2307,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1109z00_1959);
																	BgL_new1110z00_1958 = BgL_new1109z00_1959;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1110z00_1958)))->BgL_locz00) =
																	((obj_t) BgL_locz00_1943), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1110z00_1958)))->BgL_typez00) =
																	((BgL_typez00_bglt)
																		BGl_strictzd2nodezd2typez00zzast_nodez00((
																				(BgL_typez00_bglt) BgL_toz00_1914),
																			BgL_ntyz00_1936)), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1110z00_1958)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1110z00_1958)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																{
																	obj_t BgL_auxz00_2322;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1392z00_1961;

																		BgL_arg1392z00_1961 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_funz00_1942),
																			((obj_t) BgL_czd2funzd2_1940));
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_list1393z00_1962;

																			BgL_list1393z00_1962 =
																				MAKE_YOUNG_PAIR(BgL_arg1392z00_1961,
																				BNIL);
																			BgL_auxz00_2322 = BgL_list1393z00_1962;
																	}}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1110z00_1958))->
																			BgL_bindingsz00) =
																		((obj_t) BgL_auxz00_2322), BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2328;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1400z00_1963;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1401z00_1964;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1402z00_1965;
																				obj_t BgL_arg1403z00_1966;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1406z00_1967;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1414z00_1968;

																						BgL_arg1414z00_1968 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_lenz00_1944), BNIL);
																						BgL_arg1406z00_1967 =
																							MAKE_YOUNG_PAIR
																							(BgL_azd2tlenzd2_1949,
																							BgL_arg1414z00_1968);
																					}
																					BgL_arg1402z00_1965 =
																						MAKE_YOUNG_PAIR(BgL_arg1406z00_1967,
																						BNIL);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1415z00_1969;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1416z00_1970;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1417z00_1971;
																							obj_t BgL_arg1418z00_1972;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1419z00_1973;

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1446z00_1974;

																									BgL_arg1446z00_1974 =
																										MAKE_YOUNG_PAIR
																										(BgL_azd2lenzd2_1948, BNIL);
																									BgL_arg1419z00_1973 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_funz00_1942),
																										BgL_arg1446z00_1974);
																								}
																								BgL_arg1417z00_1971 =
																									MAKE_YOUNG_PAIR(
																									((obj_t)
																										CNST_TABLE_REF(16)),
																									BgL_arg1419z00_1973);
																							}
																							{	/* Tools/trace.sch 53 */
																								BgL_nodez00_bglt
																									BgL_arg1457z00_1975;
																								obj_t BgL_arg1471z00_1976;

																								BgL_arg1457z00_1975 =
																									BGl_convertz12z12zzcoerce_convertz00
																									(((BgL_nodez00_bglt) (
																											(BgL_funcallz00_bglt)
																											BgL_nodez00_1912)),
																									BgL_ntyz00_1936,
																									((BgL_typez00_bglt)
																										BgL_toz00_1914),
																									CBOOL(BgL_safez00_1915));
																								{	/* Tools/trace.sch 53 */
																									BgL_nodez00_bglt
																										BgL_arg1480z00_1977;
																									BgL_arg1480z00_1977 =
																										BGl_makezd2arityzd2errorzd2nodezd2zzcoerce_funcallz00
																										(BgL_funz00_1942,
																										BgL_errorzd2msgzd2_1934,
																										BgL_locz00_1943,
																										BgL_callerz00_1913,
																										BgL_toz00_1914);
																									BgL_arg1471z00_1976 =
																										MAKE_YOUNG_PAIR(((obj_t)
																											BgL_arg1480z00_1977),
																										BNIL);
																								}
																								BgL_arg1418z00_1972 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_arg1457z00_1975),
																									BgL_arg1471z00_1976);
																							}
																							BgL_arg1416z00_1970 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1417z00_1971,
																								BgL_arg1418z00_1972);
																						}
																						BgL_arg1415z00_1969 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(17)),
																							BgL_arg1416z00_1970);
																					}
																					BgL_arg1403z00_1966 =
																						MAKE_YOUNG_PAIR(BgL_arg1415z00_1969,
																						BNIL);
																				}
																				BgL_arg1401z00_1964 =
																					MAKE_YOUNG_PAIR(BgL_arg1402z00_1965,
																					BgL_arg1403z00_1966);
																			}
																			BgL_arg1400z00_1963 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(18)),
																				BgL_arg1401z00_1964);
																		}
																		BgL_auxz00_2328 =
																			BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_arg1400z00_1963, BgL_locz00_1943);
																	}
																	((((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_new1110z00_1958))->
																			BgL_bodyz00) =
																		((BgL_nodez00_bglt) BgL_auxz00_2328),
																		BUNSPEC);
																}
																((((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_new1110z00_1958))->
																		BgL_removablezf3zf3) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
																BgL_lnodez00_1957 = BgL_new1110z00_1958;
															}
															{	/* Tools/trace.sch 53 */

																{	/* Tools/trace.sch 53 */
																	BgL_refz00_bglt BgL_arg1386z00_1978;

																	{	/* Tools/trace.sch 53 */
																		BgL_refz00_bglt BgL_new1113z00_1979;

																		{	/* Tools/trace.sch 53 */
																			BgL_refz00_bglt BgL_new1112z00_1980;

																			BgL_new1112z00_1980 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Tools/trace.sch 53 */
																				long BgL_arg1390z00_1981;

																				BgL_arg1390z00_1981 =
																					BGL_CLASS_NUM
																					(BGl_refz00zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1112z00_1980),
																					BgL_arg1390z00_1981);
																			}
																			{	/* Tools/trace.sch 53 */
																				BgL_objectz00_bglt BgL_tmpz00_2365;

																				BgL_tmpz00_2365 =
																					((BgL_objectz00_bglt)
																					BgL_new1112z00_1980);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2365,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1112z00_1980);
																			BgL_new1113z00_1979 = BgL_new1112z00_1980;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1113z00_1979)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1943), BUNSPEC);
																		{
																			BgL_typez00_bglt BgL_auxz00_2371;

																			{	/* Tools/trace.sch 53 */
																				BgL_typez00_bglt BgL_arg1388z00_1982;

																				BgL_arg1388z00_1982 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								BgL_funz00_1942)))->
																					BgL_typez00);
																				BgL_auxz00_2371 =
																					BGl_strictzd2nodezd2typez00zzast_nodez00
																					(BgL_arg1388z00_1982,
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00));
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1113z00_1979)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_auxz00_2371),
																				BUNSPEC);
																		}
																		((((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							BgL_new1113z00_1979)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_funz00_1942)), BUNSPEC);
																		BgL_arg1386z00_1978 = BgL_new1113z00_1979;
																	}
																	((((BgL_funcallz00_bglt) COBJECT(
																					((BgL_funcallz00_bglt)
																						BgL_nodez00_1912)))->BgL_funz00) =
																		((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																				BgL_arg1386z00_1978)), BUNSPEC);
																}
																BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
																	((BgL_nodez00_bglt) BgL_lnodez00_1957));
																return ((BgL_nodez00_bglt) BgL_lnodez00_1957);
															}
														}
													}
												}
											}
										}
									}
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_funcallz00(void)
	{
		{	/* Coerce/funcall.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
			return
				BGl_modulezd2initializa7ationz75zzcoerce_convertz00(87995645L,
				BSTRING_TO_STRING(BGl_string1720z00zzcoerce_funcallz00));
		}

	}

#ifdef __cplusplus
}
#endif
