/*===========================================================================*/
/*   (Effect/feffect.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Effect/feffect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_EFFECT_FEFFECT_TYPE_DEFINITIONS
#define BGL_EFFECT_FEFFECT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


#endif													// BGL_EFFECT_FEFFECT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_feffectz00 = BUNSPEC;
	static BgL_feffectz00_bglt
		BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static BgL_feffectz00_bglt BGl_za2effectzd2topza2zd2zzeffect_feffectz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00(void);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1323z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1294z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1315za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_feffectz00(void);
	static obj_t BGl_objectzd2initzd2zzeffect_feffectz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1303z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_feffectz00(void);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1321z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62bodyzd2effectz121291za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1309z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1301z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1313za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	static obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1325z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1329za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1307z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1335za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1331z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1333z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_feffectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00(void);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1298z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt,
		BgL_feffectz00_bglt);
	static obj_t BGl_z62objectzd2displayzd2feffe1290z62zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1296z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31637ze3ze5zzeffect_feffectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21311z70zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1305z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1319za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1327z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1317za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1337za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_patchz00zzast_nodez00;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2050z00,
		BGl_z62bodyzd2effectz12zd2fail1309z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2051z00,
		BGl_z62bodyzd2effectz12zd2setzd2exzd21311z70zzeffect_feffectz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2052z00,
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1313za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2053z00,
		BGl_z62bodyzd2effectz12zd2makezd2bo1315za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2054z00,
		BGl_z62bodyzd2effectz12zd2boxzd2ref1317za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2055z00,
		BGl_z62bodyzd2effectz12zd2boxzd2set1319za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2056z00,
		BGl_z62bodyzd2effectz12zd2cast1321z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2057z00,
		BGl_z62bodyzd2effectz12zd2sequenc1323z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2058z00,
		BGl_z62bodyzd2effectz12zd2sync1325z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2046z00zzeffect_feffectz00,
		BgL_bgl_string2046za700za7za7e2059za7, "#|feffect: ~a ~a|", 17);
	      DEFINE_STRING(BGl_string2047z00zzeffect_feffectz00,
		BgL_bgl_string2047za700za7za7e2060za7, "effect_feffect", 14);
	      DEFINE_STRING(BGl_string2048z00zzeffect_feffectz00,
		BgL_bgl_string2048za700za7za7e2061za7,
		"body-effect!1291 (static export) write read (memory) top ", 57);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2062z00,
		BGl_z62bodyzd2effectz12zd2funcall1327z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2063z00,
		BGl_z62bodyzd2effectz12zd2appzd2ly1329za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2064z00,
		BGl_z62bodyzd2effectz12zd2app1331z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2065z00,
		BGl_z62bodyzd2effectz12zd2extern1333z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2066z00,
		BGl_z62bodyzd2effectz12zd2letzd2fun1335za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2067z00,
		BGl_z62bodyzd2effectz12zd2letzd2var1337za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2effectzd2envz00zzeffect_feffectz00,
		BgL_bgl_za762parseza7d2effec2068z00,
		BGl_z62parsezd2effectzb0zzeffect_feffectz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2069z00,
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2016z00zzeffect_feffectz00,
		BgL_bgl_string2016za700za7za7e2070za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2017z00zzeffect_feffectz00,
		BgL_bgl_string2017za700za7za7e2071za7, "Illegal `effect' pragma", 23);
	      DEFINE_STRING(BGl_string2019z00zzeffect_feffectz00,
		BgL_bgl_string2019za700za7za7e2072za7, "body-effect!1291", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectz12zd2envzc0zzeffect_feffectz00,
		BgL_bgl_za762feffectza712za7702073za7,
		BGl_z62feffectz12z70zzeffect_feffectz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2020z00zzeffect_feffectz00,
		BgL_bgl_string2020za700za7za7e2074za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2022z00zzeffect_feffectz00,
		BgL_bgl_string2022za700za7za7e2075za7, "object-display", 14);
	      DEFINE_STRING(BGl_string2024z00zzeffect_feffectz00,
		BgL_bgl_string2024za700za7za7e2076za7, "body-effect!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2077z00,
		BGl_z62bodyzd2effectz121291za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2021z00zzeffect_feffectz00,
		BgL_bgl_za762objectza7d2disp2078z00, va_generic_entry,
		BGl_z62objectzd2displayzd2feffe1290z62zzeffect_feffectz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2079z00,
		BGl_z62bodyzd2effectz12zd2atom1294z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2080z00,
		BGl_z62bodyzd2effectz12zd2patch1296z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2081z00,
		BGl_z62bodyzd2effectz12zd2kwote1298z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2082z00,
		BGl_z62bodyzd2effectz12zd2var1301z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2083z00,
		BGl_z62bodyzd2effectz12zd2setq1303z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2084z00,
		BGl_z62bodyzd2effectz12zd2conditi1305z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2085z00,
		BGl_z62bodyzd2effectz12zd2switch1307z70zzeffect_feffectz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_feffectz00));
		     ADD_ROOT((void
				*) (&BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
		     ADD_ROOT((void *) (&BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long
		BgL_checksumz00_3056, char *BgL_fromz00_3057)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_feffectz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_feffectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_feffectz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_cnstzd2initzd2zzeffect_feffectz00();
					BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_genericzd2initzd2zzeffect_feffectz00();
					BGl_methodzd2initzd2zzeffect_feffectz00();
					return BGl_toplevelzd2initzd2zzeffect_feffectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"effect_feffect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 16 */
				obj_t BgL_cportz00_2928;

				{	/* Effect/feffect.scm 16 */
					obj_t BgL_stringz00_2935;

					BgL_stringz00_2935 = BGl_string2048z00zzeffect_feffectz00;
					{	/* Effect/feffect.scm 16 */
						obj_t BgL_startz00_2936;

						BgL_startz00_2936 = BINT(0L);
						{	/* Effect/feffect.scm 16 */
							obj_t BgL_endz00_2937;

							BgL_endz00_2937 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2935)));
							{	/* Effect/feffect.scm 16 */

								BgL_cportz00_2928 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2935, BgL_startz00_2936, BgL_endz00_2937);
				}}}}
				{
					long BgL_iz00_2929;

					BgL_iz00_2929 = 5L;
				BgL_loopz00_2930:
					if ((BgL_iz00_2929 == (-1L)))
						{	/* Effect/feffect.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Effect/feffect.scm 16 */
							{	/* Effect/feffect.scm 16 */
								obj_t BgL_arg2049z00_2931;

								{	/* Effect/feffect.scm 16 */

									{	/* Effect/feffect.scm 16 */
										obj_t BgL_locationz00_2933;

										BgL_locationz00_2933 = BBOOL(((bool_t) 0));
										{	/* Effect/feffect.scm 16 */

											BgL_arg2049z00_2931 =
												BGl_readz00zz__readerz00(BgL_cportz00_2928,
												BgL_locationz00_2933);
										}
									}
								}
								{	/* Effect/feffect.scm 16 */
									int BgL_tmpz00_3089;

									BgL_tmpz00_3089 = (int) (BgL_iz00_2929);
									CNST_TABLE_SET(BgL_tmpz00_3089, BgL_arg2049z00_2931);
							}}
							{	/* Effect/feffect.scm 16 */
								int BgL_auxz00_2934;

								BgL_auxz00_2934 = (int) ((BgL_iz00_2929 - 1L));
								{
									long BgL_iz00_3094;

									BgL_iz00_3094 = (long) (BgL_auxz00_2934);
									BgL_iz00_2929 = BgL_iz00_3094;
									goto BgL_loopz00_2930;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 72 */
				BgL_feffectz00_bglt BgL_new1112z00_1545;

				{	/* Effect/feffect.scm 72 */
					BgL_feffectz00_bglt BgL_new1110z00_1546;

					BgL_new1110z00_1546 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 72 */
						long BgL_arg1338z00_1547;

						BgL_arg1338z00_1547 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1110z00_1546), BgL_arg1338z00_1547);
					}
					BgL_new1112z00_1545 = BgL_new1110z00_1546;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1545))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1112z00_1545))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				BGl_za2effectzd2topza2zd2zzeffect_feffectz00 = BgL_new1112z00_1545;
			}
			{	/* Effect/feffect.scm 73 */
				BgL_feffectz00_bglt BgL_new1115z00_1548;

				{	/* Effect/feffect.scm 73 */
					BgL_feffectz00_bglt BgL_new1113z00_1549;

					BgL_new1113z00_1549 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 73 */
						long BgL_arg1339z00_1550;

						BgL_arg1339z00_1550 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1113z00_1549), BgL_arg1339z00_1550);
					}
					BgL_new1115z00_1548 = BgL_new1113z00_1549;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1115z00_1548))->BgL_readz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1115z00_1548))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00 =
					BgL_new1115z00_1548;
			}
			{	/* Effect/feffect.scm 74 */
				BgL_feffectz00_bglt BgL_new1118z00_1551;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1116z00_1552;

					BgL_new1116z00_1552 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1340z00_1553;

						BgL_arg1340z00_1553 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1116z00_1552), BgL_arg1340z00_1553);
					}
					BgL_new1118z00_1551 = BgL_new1116z00_1552;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1118z00_1551))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1118z00_1551))->BgL_writez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00 =
					BgL_new1118z00_1551;
			}
			return BUNSPEC;
		}

	}



/* feffect! */
	BGL_EXPORTED_DEF obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Effect/feffect.scm 32 */
			{
				obj_t BgL_l1261z00_1564;

				BgL_l1261z00_1564 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31359ze3z87_1565:
				if (PAIRP(BgL_l1261z00_1564))
					{	/* Effect/feffect.scm 33 */
						{	/* Effect/feffect.scm 33 */
							obj_t BgL_arg1364z00_1567;

							BgL_arg1364z00_1567 = CAR(BgL_l1261z00_1564);
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(
								((BgL_globalz00_bglt) BgL_arg1364z00_1567));
						}
						{
							obj_t BgL_l1261z00_3128;

							BgL_l1261z00_3128 = CDR(BgL_l1261z00_1564);
							BgL_l1261z00_1564 = BgL_l1261z00_3128;
							goto BgL_zc3z04anonymousza31359ze3z87_1565;
						}
					}
				else
					{	/* Effect/feffect.scm 33 */
						((bool_t) 1);
					}
			}
			return
				BBOOL(BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00
				(BgL_globalsz00_3));
		}

	}



/* &feffect! */
	obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t BgL_envz00_2807,
		obj_t BgL_globalsz00_2808)
	{
		{	/* Effect/feffect.scm 32 */
			return BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_2808);
		}

	}



/* feffect-fix-point! */
	bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_4)
	{
		{	/* Effect/feffect.scm 39 */
			{	/* Effect/feffect.scm 40 */
				struct bgl_unsafe_cell BgL_box2089_2925z00;
				obj_t BgL_changedz00_2925;

				BgL_changedz00_2925 =
					BGL_MAKE_UNSAFE_CELL_STACK(BTRUE, BgL_box2089_2925z00);
				{
					obj_t BgL_varz00_1582;

					{

					BgL_zc3z04anonymousza31366ze3z87_1573:
						if (CBOOL(
								((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_changedz00_2925)))))
							{	/* Effect/feffect.scm 54 */
								{	/* Effect/feffect.scm 56 */
									obj_t BgL_auxz00_2926;

									BgL_auxz00_2926 = BFALSE;
									BGL_UNSAFE_CELL_SET(BgL_changedz00_2925, BgL_auxz00_2926);
								}
								{
									obj_t BgL_l1269z00_1575;

									BgL_l1269z00_1575 = BgL_globalsz00_4;
								BgL_zc3z04anonymousza31367ze3z87_1576:
									if (PAIRP(BgL_l1269z00_1575))
										{	/* Effect/feffect.scm 57 */
											BgL_varz00_1582 = CAR(BgL_l1269z00_1575);
											{	/* Effect/feffect.scm 47 */

												{	/* Effect/feffect.scm 49 */
													bool_t BgL_test2092z00_3138;

													{	/* Effect/feffect.scm 49 */
														obj_t BgL_classz00_2164;

														BgL_classz00_2164 =
															BGl_localzf2fromzf2zzeffect_cgraphz00;
														if (BGL_OBJECTP(BgL_varz00_1582))
															{	/* Effect/feffect.scm 49 */
																BgL_objectz00_bglt BgL_arg1858z00_2166;

																BgL_arg1858z00_2166 =
																	(BgL_objectz00_bglt) (BgL_varz00_1582);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Effect/feffect.scm 49 */
																		long BgL_idxz00_2172;

																		BgL_idxz00_2172 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2166);
																		BgL_test2092z00_3138 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2172 + 3L)) ==
																			BgL_classz00_2164);
																	}
																else
																	{	/* Effect/feffect.scm 49 */
																		bool_t BgL_res1910z00_2197;

																		{	/* Effect/feffect.scm 49 */
																			obj_t BgL_oclassz00_2180;

																			{	/* Effect/feffect.scm 49 */
																				obj_t BgL_arg1866z00_2188;
																				long BgL_arg1867z00_2189;

																				BgL_arg1866z00_2188 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Effect/feffect.scm 49 */
																					long BgL_arg1869z00_2190;

																					BgL_arg1869z00_2190 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2166);
																					BgL_arg1867z00_2189 =
																						(BgL_arg1869z00_2190 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2180 =
																					VECTOR_REF(BgL_arg1866z00_2188,
																					BgL_arg1867z00_2189);
																			}
																			{	/* Effect/feffect.scm 49 */
																				bool_t BgL__ortest_1115z00_2181;

																				BgL__ortest_1115z00_2181 =
																					(BgL_classz00_2164 ==
																					BgL_oclassz00_2180);
																				if (BgL__ortest_1115z00_2181)
																					{	/* Effect/feffect.scm 49 */
																						BgL_res1910z00_2197 =
																							BgL__ortest_1115z00_2181;
																					}
																				else
																					{	/* Effect/feffect.scm 49 */
																						long BgL_odepthz00_2182;

																						{	/* Effect/feffect.scm 49 */
																							obj_t BgL_arg1855z00_2183;

																							BgL_arg1855z00_2183 =
																								(BgL_oclassz00_2180);
																							BgL_odepthz00_2182 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2183);
																						}
																						if ((3L < BgL_odepthz00_2182))
																							{	/* Effect/feffect.scm 49 */
																								obj_t BgL_arg1853z00_2185;

																								{	/* Effect/feffect.scm 49 */
																									obj_t BgL_arg1854z00_2186;

																									BgL_arg1854z00_2186 =
																										(BgL_oclassz00_2180);
																									BgL_arg1853z00_2185 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2186, 3L);
																								}
																								BgL_res1910z00_2197 =
																									(BgL_arg1853z00_2185 ==
																									BgL_classz00_2164);
																							}
																						else
																							{	/* Effect/feffect.scm 49 */
																								BgL_res1910z00_2197 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2092z00_3138 = BgL_res1910z00_2197;
																	}
															}
														else
															{	/* Effect/feffect.scm 49 */
																BgL_test2092z00_3138 = ((bool_t) 0);
															}
													}
													if (BgL_test2092z00_3138)
														{	/* Effect/feffect.scm 50 */
															obj_t BgL_g1265z00_1587;

															{
																BgL_localzf2fromzf2_bglt BgL_auxz00_3161;

																{
																	obj_t BgL_auxz00_3162;

																	{	/* Effect/feffect.scm 50 */
																		BgL_objectz00_bglt BgL_tmpz00_3163;

																		BgL_tmpz00_3163 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) BgL_varz00_1582));
																		BgL_auxz00_3162 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3163);
																	}
																	BgL_auxz00_3161 =
																		((BgL_localzf2fromzf2_bglt)
																		BgL_auxz00_3162);
																}
																BgL_g1265z00_1587 =
																	(((BgL_localzf2fromzf2_bglt)
																		COBJECT(BgL_auxz00_3161))->BgL_fromz00);
															}
															{
																obj_t BgL_l1263z00_1589;

																BgL_l1263z00_1589 = BgL_g1265z00_1587;
															BgL_zc3z04anonymousza31374ze3z87_1590:
																if (PAIRP(BgL_l1263z00_1589))
																	{	/* Effect/feffect.scm 50 */
																		BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																			(BgL_changedz00_2925, BgL_varz00_1582,
																			CAR(BgL_l1263z00_1589));
																		{
																			obj_t BgL_l1263z00_3173;

																			BgL_l1263z00_3173 =
																				CDR(BgL_l1263z00_1589);
																			BgL_l1263z00_1589 = BgL_l1263z00_3173;
																			goto
																				BgL_zc3z04anonymousza31374ze3z87_1590;
																		}
																	}
																else
																	{	/* Effect/feffect.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													else
														{	/* Effect/feffect.scm 51 */
															bool_t BgL_test2098z00_3175;

															{	/* Effect/feffect.scm 51 */
																obj_t BgL_classz00_2202;

																BgL_classz00_2202 =
																	BGl_globalzf2fromzf2zzeffect_cgraphz00;
																if (BGL_OBJECTP(BgL_varz00_1582))
																	{	/* Effect/feffect.scm 51 */
																		BgL_objectz00_bglt BgL_arg1858z00_2204;

																		BgL_arg1858z00_2204 =
																			(BgL_objectz00_bglt) (BgL_varz00_1582);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Effect/feffect.scm 51 */
																				long BgL_idxz00_2210;

																				BgL_idxz00_2210 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2204);
																				BgL_test2098z00_3175 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2210 + 3L)) ==
																					BgL_classz00_2202);
																			}
																		else
																			{	/* Effect/feffect.scm 51 */
																				bool_t BgL_res1911z00_2235;

																				{	/* Effect/feffect.scm 51 */
																					obj_t BgL_oclassz00_2218;

																					{	/* Effect/feffect.scm 51 */
																						obj_t BgL_arg1866z00_2226;
																						long BgL_arg1867z00_2227;

																						BgL_arg1866z00_2226 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Effect/feffect.scm 51 */
																							long BgL_arg1869z00_2228;

																							BgL_arg1869z00_2228 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2204);
																							BgL_arg1867z00_2227 =
																								(BgL_arg1869z00_2228 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2218 =
																							VECTOR_REF(BgL_arg1866z00_2226,
																							BgL_arg1867z00_2227);
																					}
																					{	/* Effect/feffect.scm 51 */
																						bool_t BgL__ortest_1115z00_2219;

																						BgL__ortest_1115z00_2219 =
																							(BgL_classz00_2202 ==
																							BgL_oclassz00_2218);
																						if (BgL__ortest_1115z00_2219)
																							{	/* Effect/feffect.scm 51 */
																								BgL_res1911z00_2235 =
																									BgL__ortest_1115z00_2219;
																							}
																						else
																							{	/* Effect/feffect.scm 51 */
																								long BgL_odepthz00_2220;

																								{	/* Effect/feffect.scm 51 */
																									obj_t BgL_arg1855z00_2221;

																									BgL_arg1855z00_2221 =
																										(BgL_oclassz00_2218);
																									BgL_odepthz00_2220 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2221);
																								}
																								if ((3L < BgL_odepthz00_2220))
																									{	/* Effect/feffect.scm 51 */
																										obj_t BgL_arg1853z00_2223;

																										{	/* Effect/feffect.scm 51 */
																											obj_t BgL_arg1854z00_2224;

																											BgL_arg1854z00_2224 =
																												(BgL_oclassz00_2218);
																											BgL_arg1853z00_2223 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2224,
																												3L);
																										}
																										BgL_res1911z00_2235 =
																											(BgL_arg1853z00_2223 ==
																											BgL_classz00_2202);
																									}
																								else
																									{	/* Effect/feffect.scm 51 */
																										BgL_res1911z00_2235 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2098z00_3175 =
																					BgL_res1911z00_2235;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 51 */
																		BgL_test2098z00_3175 = ((bool_t) 0);
																	}
															}
															if (BgL_test2098z00_3175)
																{	/* Effect/feffect.scm 52 */
																	obj_t BgL_g1268z00_1596;

																	{
																		BgL_globalzf2fromzf2_bglt BgL_auxz00_3198;

																		{
																			obj_t BgL_auxz00_3199;

																			{	/* Effect/feffect.scm 52 */
																				BgL_objectz00_bglt BgL_tmpz00_3200;

																				BgL_tmpz00_3200 =
																					((BgL_objectz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_1582));
																				BgL_auxz00_3199 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3200);
																			}
																			BgL_auxz00_3198 =
																				((BgL_globalzf2fromzf2_bglt)
																				BgL_auxz00_3199);
																		}
																		BgL_g1268z00_1596 =
																			(((BgL_globalzf2fromzf2_bglt)
																				COBJECT(BgL_auxz00_3198))->BgL_fromz00);
																	}
																	{
																		obj_t BgL_l1266z00_1598;

																		BgL_l1266z00_1598 = BgL_g1268z00_1596;
																	BgL_zc3z04anonymousza31382ze3z87_1599:
																		if (PAIRP(BgL_l1266z00_1598))
																			{	/* Effect/feffect.scm 52 */
																				BGl_mergezd2callerz12ze70z27zzeffect_feffectz00
																					(BgL_changedz00_2925, BgL_varz00_1582,
																					CAR(BgL_l1266z00_1598));
																				{
																					obj_t BgL_l1266z00_3210;

																					BgL_l1266z00_3210 =
																						CDR(BgL_l1266z00_1598);
																					BgL_l1266z00_1598 = BgL_l1266z00_3210;
																					goto
																						BgL_zc3z04anonymousza31382ze3z87_1599;
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 52 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Effect/feffect.scm 51 */
																	((bool_t) 0);
																}
														}
												}
											}
											{
												obj_t BgL_l1269z00_3213;

												BgL_l1269z00_3213 = CDR(BgL_l1269z00_1575);
												BgL_l1269z00_1575 = BgL_l1269z00_3213;
												goto BgL_zc3z04anonymousza31367ze3z87_1576;
											}
										}
									else
										{	/* Effect/feffect.scm 57 */
											((bool_t) 1);
										}
								}
								goto BgL_zc3z04anonymousza31366ze3z87_1573;
							}
						else
							{	/* Effect/feffect.scm 54 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* merge-caller!~0 */
	obj_t BGl_mergezd2callerz12ze70z27zzeffect_feffectz00(obj_t
		BgL_changedz00_2923, obj_t BgL_varz00_2922, obj_t BgL_fz00_1604)
	{
		{	/* Effect/feffect.scm 46 */
			{	/* Effect/feffect.scm 43 */
				obj_t BgL_efz00_1606;
				obj_t BgL_etz00_1607;

				BgL_efz00_1606 =
					(((BgL_funz00_bglt) COBJECT(
							((BgL_funz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_fz00_1604)))->
									BgL_valuez00))))->BgL_effectz00);
				BgL_etz00_1607 =
					(((BgL_funz00_bglt)
						COBJECT(((BgL_funz00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_2922)))->
									BgL_valuez00))))->BgL_effectz00);
				{	/* Effect/feffect.scm 45 */
					bool_t BgL_test2104z00_3223;

					{	/* Effect/feffect.scm 45 */
						obj_t BgL_objz00_2128;

						BgL_objz00_2128 = BgL_efz00_1606;
						{	/* Effect/feffect.scm 45 */
							obj_t BgL_classz00_2129;

							BgL_classz00_2129 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_objz00_2128))
								{	/* Effect/feffect.scm 45 */
									BgL_objectz00_bglt BgL_arg1858z00_2131;

									BgL_arg1858z00_2131 = (BgL_objectz00_bglt) (BgL_objz00_2128);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 45 */
											long BgL_idxz00_2137;

											BgL_idxz00_2137 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2131);
											BgL_test2104z00_3223 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2137 + 1L)) == BgL_classz00_2129);
										}
									else
										{	/* Effect/feffect.scm 45 */
											bool_t BgL_res1909z00_2162;

											{	/* Effect/feffect.scm 45 */
												obj_t BgL_oclassz00_2145;

												{	/* Effect/feffect.scm 45 */
													obj_t BgL_arg1866z00_2153;
													long BgL_arg1867z00_2154;

													BgL_arg1866z00_2153 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 45 */
														long BgL_arg1869z00_2155;

														BgL_arg1869z00_2155 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2131);
														BgL_arg1867z00_2154 =
															(BgL_arg1869z00_2155 - OBJECT_TYPE);
													}
													BgL_oclassz00_2145 =
														VECTOR_REF(BgL_arg1866z00_2153,
														BgL_arg1867z00_2154);
												}
												{	/* Effect/feffect.scm 45 */
													bool_t BgL__ortest_1115z00_2146;

													BgL__ortest_1115z00_2146 =
														(BgL_classz00_2129 == BgL_oclassz00_2145);
													if (BgL__ortest_1115z00_2146)
														{	/* Effect/feffect.scm 45 */
															BgL_res1909z00_2162 = BgL__ortest_1115z00_2146;
														}
													else
														{	/* Effect/feffect.scm 45 */
															long BgL_odepthz00_2147;

															{	/* Effect/feffect.scm 45 */
																obj_t BgL_arg1855z00_2148;

																BgL_arg1855z00_2148 = (BgL_oclassz00_2145);
																BgL_odepthz00_2147 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2148);
															}
															if ((1L < BgL_odepthz00_2147))
																{	/* Effect/feffect.scm 45 */
																	obj_t BgL_arg1853z00_2150;

																	{	/* Effect/feffect.scm 45 */
																		obj_t BgL_arg1854z00_2151;

																		BgL_arg1854z00_2151 = (BgL_oclassz00_2145);
																		BgL_arg1853z00_2150 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2151, 1L);
																	}
																	BgL_res1909z00_2162 =
																		(BgL_arg1853z00_2150 == BgL_classz00_2129);
																}
															else
																{	/* Effect/feffect.scm 45 */
																	BgL_res1909z00_2162 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2104z00_3223 = BgL_res1909z00_2162;
										}
								}
							else
								{	/* Effect/feffect.scm 45 */
									BgL_test2104z00_3223 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2104z00_3223)
						{	/* Effect/feffect.scm 45 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 45 */
							BgL_efz00_1606 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				{	/* Effect/feffect.scm 46 */
					obj_t BgL_auxz00_2924;

					{	/* Effect/feffect.scm 46 */
						bool_t BgL__ortest_1108z00_1609;

						BgL__ortest_1108z00_1609 =
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_etz00_1607,
							BgL_efz00_1606);
						if (BgL__ortest_1108z00_1609)
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2924 = BBOOL(BgL__ortest_1108z00_1609);
							}
						else
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2924 =
									((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_changedz00_2923)));
							}
					}
					return BGL_UNSAFE_CELL_SET(BgL_changedz00_2923, BgL_auxz00_2924);
				}
			}
		}

	}



/* parse-effect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t BgL_propz00_7)
	{
		{	/* Effect/feffect.scm 79 */
			{	/* Effect/feffect.scm 80 */
				BgL_feffectz00_bglt BgL_ez00_1614;

				{	/* Effect/feffect.scm 80 */
					BgL_feffectz00_bglt BgL_new1121z00_1649;

					{	/* Ast/var.scm 179 */
						BgL_feffectz00_bglt BgL_new1120z00_1650;

						BgL_new1120z00_1650 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* Ast/var.scm 179 */
							long BgL_arg1513z00_1651;

							BgL_arg1513z00_1651 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1120z00_1650),
								BgL_arg1513z00_1651);
						}
						BgL_new1121z00_1649 = BgL_new1120z00_1650;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1121z00_1649))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1121z00_1649))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_ez00_1614 = BgL_new1121z00_1649;
				}
				{	/* Effect/feffect.scm 81 */
					obj_t BgL_g1122z00_1615;

					BgL_g1122z00_1615 = CDR(((obj_t) BgL_propz00_7));
					{
						obj_t BgL_vz00_1617;

						{
							obj_t BgL_auxz00_3259;

							BgL_vz00_1617 = BgL_g1122z00_1615;
						BgL_zc3z04anonymousza31401ze3z87_1618:
							if (NULLP(BgL_vz00_1617))
								{	/* Effect/feffect.scm 82 */
									BgL_auxz00_3259 = ((obj_t) BgL_ez00_1614);
								}
							else
								{

									{	/* Effect/feffect.scm 84 */
										obj_t BgL_ezd2362zd2_1625;

										BgL_ezd2362zd2_1625 = CAR(((obj_t) BgL_vz00_1617));
										if (PAIRP(BgL_ezd2362zd2_1625))
											{	/* Effect/feffect.scm 84 */
												obj_t BgL_cdrzd2367zd2_1627;

												BgL_cdrzd2367zd2_1627 = CDR(BgL_ezd2362zd2_1625);
												if (
													(CAR(BgL_ezd2362zd2_1625) ==
														((obj_t) CNST_TABLE_REF(2))))
													{	/* Effect/feffect.scm 84 */
														if (PAIRP(BgL_cdrzd2367zd2_1627))
															{	/* Effect/feffect.scm 84 */
																if (NULLP(CDR(BgL_cdrzd2367zd2_1627)))
																	{	/* Effect/feffect.scm 84 */
																		obj_t BgL_arg1446z00_1633;

																		BgL_arg1446z00_1633 =
																			CAR(BgL_cdrzd2367zd2_1627);
																		((((BgL_feffectz00_bglt)
																					COBJECT(BgL_ez00_1614))->
																				BgL_readz00) =
																			((obj_t) BgL_arg1446z00_1633), BUNSPEC);
																		{	/* Effect/feffect.scm 87 */
																			obj_t BgL_arg1506z00_2257;

																			BgL_arg1506z00_2257 =
																				CDR(((obj_t) BgL_vz00_1617));
																			{
																				obj_t BgL_vz00_3282;

																				BgL_vz00_3282 = BgL_arg1506z00_2257;
																				BgL_vz00_1617 = BgL_vz00_3282;
																				goto
																					BgL_zc3z04anonymousza31401ze3z87_1618;
																			}
																		}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																	BgL_tagzd2361zd2_1624:
																		BgL_auxz00_3259 =
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string2016z00zzeffect_feffectz00,
																			BGl_string2017z00zzeffect_feffectz00,
																			BgL_vz00_1617, BNIL);
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1624;
															}
													}
												else
													{	/* Effect/feffect.scm 84 */
														if (
															(CAR(BgL_ezd2362zd2_1625) ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Effect/feffect.scm 84 */
																if (PAIRP(BgL_cdrzd2367zd2_1627))
																	{	/* Effect/feffect.scm 84 */
																		if (NULLP(CDR(BgL_cdrzd2367zd2_1627)))
																			{	/* Effect/feffect.scm 84 */
																				obj_t BgL_arg1484z00_1641;

																				BgL_arg1484z00_1641 =
																					CAR(BgL_cdrzd2367zd2_1627);
																				((((BgL_feffectz00_bglt)
																							COBJECT(BgL_ez00_1614))->
																						BgL_writez00) =
																					((obj_t) BgL_arg1484z00_1641),
																					BUNSPEC);
																				{	/* Effect/feffect.scm 90 */
																					obj_t BgL_arg1511z00_2264;

																					BgL_arg1511z00_2264 =
																						CDR(((obj_t) BgL_vz00_1617));
																					{
																						obj_t BgL_vz00_3298;

																						BgL_vz00_3298 = BgL_arg1511z00_2264;
																						BgL_vz00_1617 = BgL_vz00_3298;
																						goto
																							BgL_zc3z04anonymousza31401ze3z87_1618;
																					}
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 84 */
																				goto BgL_tagzd2361zd2_1624;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																		goto BgL_tagzd2361zd2_1624;
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1624;
															}
													}
											}
										else
											{	/* Effect/feffect.scm 84 */
												goto BgL_tagzd2361zd2_1624;
											}
									}
								}
							return ((BgL_feffectz00_bglt) BgL_auxz00_3259);
						}
					}
				}
			}
		}

	}



/* &parse-effect */
	BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t
		BgL_envz00_2809, obj_t BgL_propz00_2810)
	{
		{	/* Effect/feffect.scm 79 */
			return BGl_parsezd2effectzd2zzeffect_feffectz00(BgL_propz00_2810);
		}

	}



/* merge-effects! */
	bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t BgL_f1z00_8,
		obj_t BgL_f2z00_9)
	{
		{	/* Effect/feffect.scm 100 */
			{	/* Effect/feffect.scm 100 */
				struct bgl_unsafe_cell BgL_box2118_2920z00;
				obj_t BgL_changedz00_2920;

				BgL_changedz00_2920 =
					BGL_MAKE_UNSAFE_CELL_STACK(BFALSE, BgL_box2118_2920z00);
				{	/* Effect/feffect.scm 136 */
					obj_t BgL_arg1515z00_1655;

					{	/* Effect/feffect.scm 136 */
						obj_t BgL_arg1516z00_1656;
						obj_t BgL_arg1530z00_1657;

						BgL_arg1516z00_1656 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00);
						BgL_arg1530z00_1657 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_readz00);
						BgL_arg1515z00_1655 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2920,
							BgL_arg1516z00_1656, BgL_arg1530z00_1657);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00) =
						((obj_t) BgL_arg1515z00_1655), BUNSPEC);
				}
				{	/* Effect/feffect.scm 137 */
					obj_t BgL_arg1532z00_1658;

					{	/* Effect/feffect.scm 137 */
						obj_t BgL_arg1535z00_1659;
						obj_t BgL_arg1543z00_1660;

						BgL_arg1535z00_1659 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00);
						BgL_arg1543z00_1660 =
							(((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_writez00);
						BgL_arg1532z00_1658 =
							BGl_mergez12ze70zf5zzeffect_feffectz00(BgL_changedz00_2920,
							BgL_arg1535z00_1659, BgL_arg1543z00_1660);
					}
					((((BgL_feffectz00_bglt) COBJECT(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00) =
						((obj_t) BgL_arg1532z00_1658), BUNSPEC);
				}
				return
					CBOOL(((obj_t) ((obj_t) BGL_UNSAFE_CELL_REF(BgL_changedz00_2920))));
			}
		}

	}



/* merge!~0 */
	obj_t BGl_mergez12ze70zf5zzeffect_feffectz00(obj_t BgL_changedz00_2916,
		obj_t BgL_e1z00_1691, obj_t BgL_e2z00_1692)
	{
		{	/* Effect/feffect.scm 135 */
			{
				obj_t BgL_l1z00_1661;
				obj_t BgL_l2z00_1662;

				if ((BgL_e1z00_1691 == ((obj_t) CNST_TABLE_REF(0))))
					{	/* Effect/feffect.scm 127 */
						return BgL_e1z00_1691;
					}
				else
					{	/* Effect/feffect.scm 127 */
						if (NULLP(BgL_e2z00_1692))
							{	/* Effect/feffect.scm 129 */
								return BgL_e1z00_1691;
							}
						else
							{	/* Effect/feffect.scm 129 */
								if ((BgL_e2z00_1692 == ((obj_t) CNST_TABLE_REF(0))))
									{	/* Effect/feffect.scm 131 */
										{	/* Effect/feffect.scm 132 */
											obj_t BgL_auxz00_2917;

											BgL_auxz00_2917 = BTRUE;
											BGL_UNSAFE_CELL_SET(BgL_changedz00_2916, BgL_auxz00_2917);
										}
										return ((obj_t) CNST_TABLE_REF(0));
									}
								else
									{	/* Effect/feffect.scm 131 */
										BgL_l1z00_1661 = BgL_e1z00_1691;
										BgL_l2z00_1662 = BgL_e2z00_1692;
										if (NULLP(BgL_l1z00_1661))
											{	/* Effect/feffect.scm 104 */
												if (PAIRP(BgL_l2z00_1662))
													{	/* Effect/feffect.scm 106 */
														obj_t BgL_auxz00_2918;

														BgL_auxz00_2918 = BTRUE;
														BGL_UNSAFE_CELL_SET(BgL_changedz00_2916,
															BgL_auxz00_2918);
													}
												else
													{	/* Effect/feffect.scm 105 */
														BFALSE;
													}
												return BgL_l2z00_1662;
											}
										else
											{	/* Effect/feffect.scm 104 */
												if (NULLP(BgL_l2z00_1662))
													{	/* Effect/feffect.scm 108 */
														return BgL_l1z00_1661;
													}
												else
													{	/* Effect/feffect.scm 111 */
														obj_t BgL_kz00_1667;

														{	/* Effect/feffect.scm 111 */

															{	/* Effect/feffect.scm 111 */

																BgL_kz00_1667 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														{
															obj_t BgL_l1271z00_1669;

															BgL_l1271z00_1669 = BgL_l1z00_1661;
														BgL_zc3z04anonymousza31548ze3z87_1670:
															if (PAIRP(BgL_l1271z00_1669))
																{	/* Effect/feffect.scm 112 */
																	BGl_putpropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1271z00_1669), BgL_kz00_1667, BTRUE);
																	{
																		obj_t BgL_l1271z00_3340;

																		BgL_l1271z00_3340 = CDR(BgL_l1271z00_1669);
																		BgL_l1271z00_1669 = BgL_l1271z00_3340;
																		goto BgL_zc3z04anonymousza31548ze3z87_1670;
																	}
																}
															else
																{	/* Effect/feffect.scm 112 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1273z00_1676;

															BgL_l1273z00_1676 = BgL_l2z00_1662;
														BgL_zc3z04anonymousza31554ze3z87_1677:
															if (PAIRP(BgL_l1273z00_1676))
																{	/* Effect/feffect.scm 115 */
																	{	/* Effect/feffect.scm 116 */
																		obj_t BgL_sz00_1679;

																		BgL_sz00_1679 = CAR(BgL_l1273z00_1676);
																		if (CBOOL
																			(BGl_getpropz00zz__r4_symbols_6_4z00
																				(BgL_sz00_1679, BgL_kz00_1667)))
																			{	/* Effect/feffect.scm 116 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/feffect.scm 116 */
																				{	/* Effect/feffect.scm 118 */
																					obj_t BgL_auxz00_2919;

																					BgL_auxz00_2919 = BTRUE;
																					BGL_UNSAFE_CELL_SET
																						(BgL_changedz00_2916,
																						BgL_auxz00_2919);
																				}
																				BgL_l1z00_1661 =
																					MAKE_YOUNG_PAIR(BgL_sz00_1679,
																					BgL_l1z00_1661);
																			}
																	}
																	{
																		obj_t BgL_l1273z00_3349;

																		BgL_l1273z00_3349 = CDR(BgL_l1273z00_1676);
																		BgL_l1273z00_1676 = BgL_l1273z00_3349;
																		goto BgL_zc3z04anonymousza31554ze3z87_1677;
																	}
																}
															else
																{	/* Effect/feffect.scm 115 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1275z00_1684;

															BgL_l1275z00_1684 = BgL_l1z00_1661;
														BgL_zc3z04anonymousza31559ze3z87_1685:
															if (PAIRP(BgL_l1275z00_1684))
																{	/* Effect/feffect.scm 121 */
																	BGl_rempropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1275z00_1684), BgL_kz00_1667);
																	{
																		obj_t BgL_l1275z00_3355;

																		BgL_l1275z00_3355 = CDR(BgL_l1275z00_1684);
																		BgL_l1275z00_1684 = BgL_l1275z00_3355;
																		goto BgL_zc3z04anonymousza31559ze3z87_1685;
																	}
																}
															else
																{	/* Effect/feffect.scm 121 */
																	((bool_t) 1);
																}
														}
														return BgL_l1z00_1661;
													}
											}
									}
							}
					}
			}
		}

	}



/* fun-effect! */
	BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t
		BgL_vz00_10)
	{
		{	/* Effect/feffect.scm 143 */
			{	/* Effect/feffect.scm 144 */
				bool_t BgL_test2129z00_3357;

				{	/* Effect/feffect.scm 144 */
					obj_t BgL_classz00_2280;

					BgL_classz00_2280 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_vz00_10))
						{	/* Effect/feffect.scm 144 */
							BgL_objectz00_bglt BgL_arg1858z00_2282;

							BgL_arg1858z00_2282 = (BgL_objectz00_bglt) (BgL_vz00_10);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 144 */
									long BgL_idxz00_2288;

									BgL_idxz00_2288 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2282);
									BgL_test2129z00_3357 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2288 + 2L)) == BgL_classz00_2280);
								}
							else
								{	/* Effect/feffect.scm 144 */
									bool_t BgL_res1912z00_2313;

									{	/* Effect/feffect.scm 144 */
										obj_t BgL_oclassz00_2296;

										{	/* Effect/feffect.scm 144 */
											obj_t BgL_arg1866z00_2304;
											long BgL_arg1867z00_2305;

											BgL_arg1866z00_2304 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Effect/feffect.scm 144 */
												long BgL_arg1869z00_2306;

												BgL_arg1869z00_2306 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2282);
												BgL_arg1867z00_2305 =
													(BgL_arg1869z00_2306 - OBJECT_TYPE);
											}
											BgL_oclassz00_2296 =
												VECTOR_REF(BgL_arg1866z00_2304, BgL_arg1867z00_2305);
										}
										{	/* Effect/feffect.scm 144 */
											bool_t BgL__ortest_1115z00_2297;

											BgL__ortest_1115z00_2297 =
												(BgL_classz00_2280 == BgL_oclassz00_2296);
											if (BgL__ortest_1115z00_2297)
												{	/* Effect/feffect.scm 144 */
													BgL_res1912z00_2313 = BgL__ortest_1115z00_2297;
												}
											else
												{	/* Effect/feffect.scm 144 */
													long BgL_odepthz00_2298;

													{	/* Effect/feffect.scm 144 */
														obj_t BgL_arg1855z00_2299;

														BgL_arg1855z00_2299 = (BgL_oclassz00_2296);
														BgL_odepthz00_2298 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2299);
													}
													if ((2L < BgL_odepthz00_2298))
														{	/* Effect/feffect.scm 144 */
															obj_t BgL_arg1853z00_2301;

															{	/* Effect/feffect.scm 144 */
																obj_t BgL_arg1854z00_2302;

																BgL_arg1854z00_2302 = (BgL_oclassz00_2296);
																BgL_arg1853z00_2301 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2302,
																	2L);
															}
															BgL_res1912z00_2313 =
																(BgL_arg1853z00_2301 == BgL_classz00_2280);
														}
													else
														{	/* Effect/feffect.scm 144 */
															BgL_res1912z00_2313 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2129z00_3357 = BgL_res1912z00_2313;
								}
						}
					else
						{	/* Effect/feffect.scm 144 */
							BgL_test2129z00_3357 = ((bool_t) 0);
						}
				}
				if (BgL_test2129z00_3357)
					{	/* Effect/feffect.scm 144 */
						return
							BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(
							((BgL_globalz00_bglt) BgL_vz00_10));
					}
				else
					{	/* Effect/feffect.scm 144 */
						return
							BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
							((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_vz00_10)));
					}
			}
		}

	}



/* fun-effect-global! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_11)
	{
		{	/* Effect/feffect.scm 151 */
			{	/* Effect/feffect.scm 152 */
				bool_t BgL_test2134z00_3385;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_globalz00_bglt) COBJECT(BgL_vz00_11))->BgL_importz00),
							((obj_t) CNST_TABLE_REF(4)))))
					{	/* Effect/feffect.scm 153 */
						bool_t BgL_test2136z00_3392;

						{	/* Effect/feffect.scm 153 */
							BgL_valuez00_bglt BgL_arg1590z00_1707;

							BgL_arg1590z00_1707 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_vz00_11)))->BgL_valuez00);
							{	/* Effect/feffect.scm 153 */
								obj_t BgL_classz00_2317;

								BgL_classz00_2317 = BGl_sfunz00zzast_varz00;
								{	/* Effect/feffect.scm 153 */
									BgL_objectz00_bglt BgL_arg1858z00_2319;

									{	/* Effect/feffect.scm 153 */
										obj_t BgL_tmpz00_3395;

										BgL_tmpz00_3395 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1590z00_1707));
										BgL_arg1858z00_2319 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3395);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 153 */
											long BgL_idxz00_2325;

											BgL_idxz00_2325 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2319);
											BgL_test2136z00_3392 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2325 + 3L)) == BgL_classz00_2317);
										}
									else
										{	/* Effect/feffect.scm 153 */
											bool_t BgL_res1913z00_2350;

											{	/* Effect/feffect.scm 153 */
												obj_t BgL_oclassz00_2333;

												{	/* Effect/feffect.scm 153 */
													obj_t BgL_arg1866z00_2341;
													long BgL_arg1867z00_2342;

													BgL_arg1866z00_2341 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 153 */
														long BgL_arg1869z00_2343;

														BgL_arg1869z00_2343 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2319);
														BgL_arg1867z00_2342 =
															(BgL_arg1869z00_2343 - OBJECT_TYPE);
													}
													BgL_oclassz00_2333 =
														VECTOR_REF(BgL_arg1866z00_2341,
														BgL_arg1867z00_2342);
												}
												{	/* Effect/feffect.scm 153 */
													bool_t BgL__ortest_1115z00_2334;

													BgL__ortest_1115z00_2334 =
														(BgL_classz00_2317 == BgL_oclassz00_2333);
													if (BgL__ortest_1115z00_2334)
														{	/* Effect/feffect.scm 153 */
															BgL_res1913z00_2350 = BgL__ortest_1115z00_2334;
														}
													else
														{	/* Effect/feffect.scm 153 */
															long BgL_odepthz00_2335;

															{	/* Effect/feffect.scm 153 */
																obj_t BgL_arg1855z00_2336;

																BgL_arg1855z00_2336 = (BgL_oclassz00_2333);
																BgL_odepthz00_2335 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2336);
															}
															if ((3L < BgL_odepthz00_2335))
																{	/* Effect/feffect.scm 153 */
																	obj_t BgL_arg1853z00_2338;

																	{	/* Effect/feffect.scm 153 */
																		obj_t BgL_arg1854z00_2339;

																		BgL_arg1854z00_2339 = (BgL_oclassz00_2333);
																		BgL_arg1853z00_2338 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2339, 3L);
																	}
																	BgL_res1913z00_2350 =
																		(BgL_arg1853z00_2338 == BgL_classz00_2317);
																}
															else
																{	/* Effect/feffect.scm 153 */
																	BgL_res1913z00_2350 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2136z00_3392 = BgL_res1913z00_2350;
										}
								}
							}
						}
						if (BgL_test2136z00_3392)
							{	/* Effect/feffect.scm 153 */
								BgL_test2134z00_3385 = ((bool_t) 0);
							}
						else
							{	/* Effect/feffect.scm 153 */
								BgL_test2134z00_3385 = ((bool_t) 1);
							}
					}
				else
					{	/* Effect/feffect.scm 152 */
						BgL_test2134z00_3385 = ((bool_t) 1);
					}
				if (BgL_test2134z00_3385)
					{	/* Effect/feffect.scm 152 */
						BGL_TAIL return
							BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_vz00_11);
					}
				else
					{	/* Effect/feffect.scm 152 */
						BGL_TAIL return
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_vz00_11);
					}
			}
		}

	}



/* fun-effect-alien! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_gz00_12)
	{
		{	/* Effect/feffect.scm 162 */
			{	/* Effect/feffect.scm 163 */
				BgL_funz00_bglt BgL_i1123z00_1709;

				BgL_i1123z00_1709 =
					((BgL_funz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_gz00_12)))->BgL_valuez00));
				{	/* Effect/feffect.scm 164 */
					bool_t BgL_test2140z00_3423;

					{	/* Effect/feffect.scm 164 */
						obj_t BgL_arg1597z00_1712;

						BgL_arg1597z00_1712 =
							(((BgL_funz00_bglt) COBJECT(BgL_i1123z00_1709))->BgL_effectz00);
						{	/* Effect/feffect.scm 164 */
							obj_t BgL_classz00_2352;

							BgL_classz00_2352 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1597z00_1712))
								{	/* Effect/feffect.scm 164 */
									BgL_objectz00_bglt BgL_arg1858z00_2354;

									BgL_arg1858z00_2354 =
										(BgL_objectz00_bglt) (BgL_arg1597z00_1712);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 164 */
											long BgL_idxz00_2360;

											BgL_idxz00_2360 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2354);
											BgL_test2140z00_3423 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2360 + 1L)) == BgL_classz00_2352);
										}
									else
										{	/* Effect/feffect.scm 164 */
											bool_t BgL_res1914z00_2385;

											{	/* Effect/feffect.scm 164 */
												obj_t BgL_oclassz00_2368;

												{	/* Effect/feffect.scm 164 */
													obj_t BgL_arg1866z00_2376;
													long BgL_arg1867z00_2377;

													BgL_arg1866z00_2376 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 164 */
														long BgL_arg1869z00_2378;

														BgL_arg1869z00_2378 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2354);
														BgL_arg1867z00_2377 =
															(BgL_arg1869z00_2378 - OBJECT_TYPE);
													}
													BgL_oclassz00_2368 =
														VECTOR_REF(BgL_arg1866z00_2376,
														BgL_arg1867z00_2377);
												}
												{	/* Effect/feffect.scm 164 */
													bool_t BgL__ortest_1115z00_2369;

													BgL__ortest_1115z00_2369 =
														(BgL_classz00_2352 == BgL_oclassz00_2368);
													if (BgL__ortest_1115z00_2369)
														{	/* Effect/feffect.scm 164 */
															BgL_res1914z00_2385 = BgL__ortest_1115z00_2369;
														}
													else
														{	/* Effect/feffect.scm 164 */
															long BgL_odepthz00_2370;

															{	/* Effect/feffect.scm 164 */
																obj_t BgL_arg1855z00_2371;

																BgL_arg1855z00_2371 = (BgL_oclassz00_2368);
																BgL_odepthz00_2370 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2371);
															}
															if ((1L < BgL_odepthz00_2370))
																{	/* Effect/feffect.scm 164 */
																	obj_t BgL_arg1853z00_2373;

																	{	/* Effect/feffect.scm 164 */
																		obj_t BgL_arg1854z00_2374;

																		BgL_arg1854z00_2374 = (BgL_oclassz00_2368);
																		BgL_arg1853z00_2373 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2374, 1L);
																	}
																	BgL_res1914z00_2385 =
																		(BgL_arg1853z00_2373 == BgL_classz00_2352);
																}
															else
																{	/* Effect/feffect.scm 164 */
																	BgL_res1914z00_2385 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2140z00_3423 = BgL_res1914z00_2385;
										}
								}
							else
								{	/* Effect/feffect.scm 164 */
									BgL_test2140z00_3423 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2140z00_3423)
						{	/* Effect/feffect.scm 164 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 164 */
							((((BgL_funz00_bglt) COBJECT(BgL_i1123z00_1709))->BgL_effectz00) =
								((obj_t) ((obj_t)
										BGl_za2effectzd2topza2zd2zzeffect_feffectz00)), BUNSPEC);
						}
				}
				return
					((BgL_feffectz00_bglt)
					(((BgL_funz00_bglt) COBJECT(BgL_i1123z00_1709))->BgL_effectz00));
			}
		}

	}



/* fun-effect-module! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_13)
	{
		{	/* Effect/feffect.scm 171 */
			{	/* Effect/feffect.scm 172 */
				BgL_valuez00_bglt BgL_funz00_1713;

				BgL_funz00_1713 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_13)))->BgL_valuez00);
				{	/* Effect/feffect.scm 172 */
					obj_t BgL_efz00_1714;

					BgL_efz00_1714 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_funz00_1713)))->BgL_effectz00);
					{	/* Effect/feffect.scm 173 */

						{	/* Effect/feffect.scm 176 */
							bool_t BgL_test2145z00_3455;

							{	/* Effect/feffect.scm 176 */
								obj_t BgL_classz00_2388;

								BgL_classz00_2388 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 176 */
									BgL_objectz00_bglt BgL_arg1858z00_2390;

									{	/* Effect/feffect.scm 176 */
										obj_t BgL_tmpz00_3456;

										BgL_tmpz00_3456 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_1713));
										BgL_arg1858z00_2390 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3456);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 176 */
											long BgL_idxz00_2396;

											BgL_idxz00_2396 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2390);
											BgL_test2145z00_3455 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2396 + 1L)) == BgL_classz00_2388);
										}
									else
										{	/* Effect/feffect.scm 176 */
											bool_t BgL_res1915z00_2421;

											{	/* Effect/feffect.scm 176 */
												obj_t BgL_oclassz00_2404;

												{	/* Effect/feffect.scm 176 */
													obj_t BgL_arg1866z00_2412;
													long BgL_arg1867z00_2413;

													BgL_arg1866z00_2412 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 176 */
														long BgL_arg1869z00_2414;

														BgL_arg1869z00_2414 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2390);
														BgL_arg1867z00_2413 =
															(BgL_arg1869z00_2414 - OBJECT_TYPE);
													}
													BgL_oclassz00_2404 =
														VECTOR_REF(BgL_arg1866z00_2412,
														BgL_arg1867z00_2413);
												}
												{	/* Effect/feffect.scm 176 */
													bool_t BgL__ortest_1115z00_2405;

													BgL__ortest_1115z00_2405 =
														(BgL_classz00_2388 == BgL_oclassz00_2404);
													if (BgL__ortest_1115z00_2405)
														{	/* Effect/feffect.scm 176 */
															BgL_res1915z00_2421 = BgL__ortest_1115z00_2405;
														}
													else
														{	/* Effect/feffect.scm 176 */
															long BgL_odepthz00_2406;

															{	/* Effect/feffect.scm 176 */
																obj_t BgL_arg1855z00_2407;

																BgL_arg1855z00_2407 = (BgL_oclassz00_2404);
																BgL_odepthz00_2406 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2407);
															}
															if ((1L < BgL_odepthz00_2406))
																{	/* Effect/feffect.scm 176 */
																	obj_t BgL_arg1853z00_2409;

																	{	/* Effect/feffect.scm 176 */
																		obj_t BgL_arg1854z00_2410;

																		BgL_arg1854z00_2410 = (BgL_oclassz00_2404);
																		BgL_arg1853z00_2409 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2410, 1L);
																	}
																	BgL_res1915z00_2421 =
																		(BgL_arg1853z00_2409 == BgL_classz00_2388);
																}
															else
																{	/* Effect/feffect.scm 176 */
																	BgL_res1915z00_2421 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2145z00_3455 = BgL_res1915z00_2421;
										}
								}
							}
							if (BgL_test2145z00_3455)
								{	/* Effect/feffect.scm 176 */
									return ((BgL_feffectz00_bglt) BgL_efz00_1714);
								}
							else
								{	/* Effect/feffect.scm 176 */
									return
										BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
										((BgL_variablez00_bglt) BgL_vz00_13));
								}
						}
					}
				}
			}
		}

	}



/* do-fun-effect! */
	BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt
		BgL_vz00_15)
	{
		{	/* Effect/feffect.scm 195 */
			{	/* Effect/feffect.scm 196 */
				BgL_sfunz00_bglt BgL_i1124z00_1716;

				BgL_i1124z00_1716 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_15))->BgL_valuez00));
				{	/* Effect/feffect.scm 197 */
					bool_t BgL_test2149z00_3484;

					{	/* Effect/feffect.scm 197 */
						obj_t BgL_arg1626z00_1724;

						BgL_arg1626z00_1724 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_i1124z00_1716)))->BgL_effectz00);
						{	/* Effect/feffect.scm 197 */
							obj_t BgL_classz00_2423;

							BgL_classz00_2423 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1626z00_1724))
								{	/* Effect/feffect.scm 197 */
									BgL_objectz00_bglt BgL_arg1858z00_2425;

									BgL_arg1858z00_2425 =
										(BgL_objectz00_bglt) (BgL_arg1626z00_1724);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 197 */
											long BgL_idxz00_2431;

											BgL_idxz00_2431 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2425);
											BgL_test2149z00_3484 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2431 + 1L)) == BgL_classz00_2423);
										}
									else
										{	/* Effect/feffect.scm 197 */
											bool_t BgL_res1916z00_2456;

											{	/* Effect/feffect.scm 197 */
												obj_t BgL_oclassz00_2439;

												{	/* Effect/feffect.scm 197 */
													obj_t BgL_arg1866z00_2447;
													long BgL_arg1867z00_2448;

													BgL_arg1866z00_2447 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 197 */
														long BgL_arg1869z00_2449;

														BgL_arg1869z00_2449 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2425);
														BgL_arg1867z00_2448 =
															(BgL_arg1869z00_2449 - OBJECT_TYPE);
													}
													BgL_oclassz00_2439 =
														VECTOR_REF(BgL_arg1866z00_2447,
														BgL_arg1867z00_2448);
												}
												{	/* Effect/feffect.scm 197 */
													bool_t BgL__ortest_1115z00_2440;

													BgL__ortest_1115z00_2440 =
														(BgL_classz00_2423 == BgL_oclassz00_2439);
													if (BgL__ortest_1115z00_2440)
														{	/* Effect/feffect.scm 197 */
															BgL_res1916z00_2456 = BgL__ortest_1115z00_2440;
														}
													else
														{	/* Effect/feffect.scm 197 */
															long BgL_odepthz00_2441;

															{	/* Effect/feffect.scm 197 */
																obj_t BgL_arg1855z00_2442;

																BgL_arg1855z00_2442 = (BgL_oclassz00_2439);
																BgL_odepthz00_2441 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2442);
															}
															if ((1L < BgL_odepthz00_2441))
																{	/* Effect/feffect.scm 197 */
																	obj_t BgL_arg1853z00_2444;

																	{	/* Effect/feffect.scm 197 */
																		obj_t BgL_arg1854z00_2445;

																		BgL_arg1854z00_2445 = (BgL_oclassz00_2439);
																		BgL_arg1853z00_2444 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2445, 1L);
																	}
																	BgL_res1916z00_2456 =
																		(BgL_arg1853z00_2444 == BgL_classz00_2423);
																}
															else
																{	/* Effect/feffect.scm 197 */
																	BgL_res1916z00_2456 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2149z00_3484 = BgL_res1916z00_2456;
										}
								}
							else
								{	/* Effect/feffect.scm 197 */
									BgL_test2149z00_3484 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2149z00_3484)
						{	/* Effect/feffect.scm 197 */
							return
								((BgL_feffectz00_bglt)
								(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt) BgL_i1124z00_1716)))->BgL_effectz00));
						}
					else
						{	/* Effect/feffect.scm 197 */
							{
								obj_t BgL_auxz00_3512;

								{	/* Effect/feffect.scm 200 */
									BgL_feffectz00_bglt BgL_new1126z00_1719;

									{	/* Ast/var.scm 180 */
										BgL_feffectz00_bglt BgL_new1125z00_1720;

										BgL_new1125z00_1720 =
											((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_feffectz00_bgl))));
										{	/* Ast/var.scm 180 */
											long BgL_arg1611z00_1721;

											{	/* Ast/var.scm 180 */
												obj_t BgL_classz00_2457;

												BgL_classz00_2457 = BGl_feffectz00zzast_varz00;
												BgL_arg1611z00_1721 = BGL_CLASS_NUM(BgL_classz00_2457);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1125z00_1720),
												BgL_arg1611z00_1721);
										}
										BgL_new1126z00_1719 = BgL_new1125z00_1720;
									}
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1126z00_1719))->
											BgL_readz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_feffectz00_bglt) COBJECT(BgL_new1126z00_1719))->
											BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_3512 = ((obj_t) BgL_new1126z00_1719);
								}
								((((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_i1124z00_1716)))->
										BgL_effectz00) = ((obj_t) BgL_auxz00_3512), BUNSPEC);
							}
							{	/* Effect/feffect.scm 201 */
								obj_t BgL_arg1612z00_1722;
								obj_t BgL_arg1625z00_1723;

								BgL_arg1612z00_1722 =
									(((BgL_sfunz00_bglt) COBJECT(BgL_i1124z00_1716))->
									BgL_bodyz00);
								BgL_arg1625z00_1723 =
									(((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
												BgL_i1124z00_1716)))->BgL_effectz00);
								return
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(((BgL_nodez00_bglt)
										BgL_arg1612z00_1722),
									((BgL_feffectz00_bglt) BgL_arg1625z00_1723));
							}
						}
				}
			}
		}

	}



/* body-effect*! */
	obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t BgL_nodeza2za2_62,
		obj_t BgL_effectz00_63)
	{
		{	/* Effect/feffect.scm 390 */
			{
				obj_t BgL_l1286z00_1726;

				BgL_l1286z00_1726 = BgL_nodeza2za2_62;
			BgL_zc3z04anonymousza31627ze3z87_1727:
				if (PAIRP(BgL_l1286z00_1726))
					{	/* Effect/feffect.scm 391 */
						{	/* Effect/feffect.scm 391 */
							obj_t BgL_nz00_1729;

							BgL_nz00_1729 = CAR(BgL_l1286z00_1726);
							BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
								((BgL_nodez00_bglt) BgL_nz00_1729),
								((BgL_feffectz00_bglt) BgL_effectz00_63));
						}
						{
							obj_t BgL_l1286z00_3534;

							BgL_l1286z00_3534 = CDR(BgL_l1286z00_1726);
							BgL_l1286z00_1726 = BgL_l1286z00_3534;
							goto BgL_zc3z04anonymousza31627ze3z87_1727;
						}
					}
				else
					{	/* Effect/feffect.scm 391 */
						((bool_t) 1);
					}
			}
			return BgL_effectz00_63;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_proc2018z00zzeffect_feffectz00, BGl_nodez00zzast_nodez00,
				BGl_string2019z00zzeffect_feffectz00);
		}

	}



/* &body-effect!1291 */
	obj_t BGl_z62bodyzd2effectz121291za2zzeffect_feffectz00(obj_t BgL_envz00_2812,
		obj_t BgL_nodez00_2813, obj_t BgL_effectz00_2814)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(5)), BGl_string2020z00zzeffect_feffectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2813)));
		}

	}



/* body-effect! */
	BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt BgL_nodez00_16,
		BgL_feffectz00_bglt BgL_effectz00_17)
	{
		{	/* Effect/feffect.scm 210 */
			{	/* Effect/feffect.scm 210 */
				obj_t BgL_method1292z00_1737;

				{	/* Effect/feffect.scm 210 */
					obj_t BgL_res1921z00_2492;

					{	/* Effect/feffect.scm 210 */
						long BgL_objzd2classzd2numz00_2463;

						BgL_objzd2classzd2numz00_2463 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_16));
						{	/* Effect/feffect.scm 210 */
							obj_t BgL_arg1862z00_2464;

							BgL_arg1862z00_2464 =
								PROCEDURE_REF(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
								(int) (1L));
							{	/* Effect/feffect.scm 210 */
								int BgL_offsetz00_2467;

								BgL_offsetz00_2467 = (int) (BgL_objzd2classzd2numz00_2463);
								{	/* Effect/feffect.scm 210 */
									long BgL_offsetz00_2468;

									BgL_offsetz00_2468 =
										((long) (BgL_offsetz00_2467) - OBJECT_TYPE);
									{	/* Effect/feffect.scm 210 */
										long BgL_modz00_2469;

										BgL_modz00_2469 =
											(BgL_offsetz00_2468 >> (int) ((long) ((int) (4L))));
										{	/* Effect/feffect.scm 210 */
											long BgL_restz00_2471;

											BgL_restz00_2471 =
												(BgL_offsetz00_2468 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Effect/feffect.scm 210 */

												{	/* Effect/feffect.scm 210 */
													obj_t BgL_bucketz00_2473;

													BgL_bucketz00_2473 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2464), BgL_modz00_2469);
													BgL_res1921z00_2492 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2473), BgL_restz00_2471);
					}}}}}}}}
					BgL_method1292z00_1737 = BgL_res1921z00_2492;
				}
				return
					((BgL_feffectz00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1292z00_1737,
						((obj_t) BgL_nodez00_16), ((obj_t) BgL_effectz00_17)));
			}
		}

	}



/* &body-effect! */
	BgL_feffectz00_bglt BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t
		BgL_envz00_2815, obj_t BgL_nodez00_2816, obj_t BgL_effectz00_2817)
	{
		{	/* Effect/feffect.scm 210 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				((BgL_nodez00_bglt) BgL_nodez00_2816),
				((BgL_feffectz00_bglt) BgL_effectz00_2817));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_feffectz00zzast_varz00,
				BGl_proc2021z00zzeffect_feffectz00,
				BGl_string2022z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_atomz00zzast_nodez00, BGl_proc2023z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_patchz00zzast_nodez00, BGl_proc2025z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2026z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_varz00zzast_nodez00, BGl_proc2027z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setqz00zzast_nodez00, BGl_proc2028z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2029z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_switchz00zzast_nodez00, BGl_proc2030z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_failz00zzast_nodez00, BGl_proc2031z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2032z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2033z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2034z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2035z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2036z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_castz00zzast_nodez00, BGl_proc2037z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2038z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_syncz00zzast_nodez00, BGl_proc2039z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2040z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2041z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appz00zzast_nodez00, BGl_proc2042z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_externz00zzast_nodez00, BGl_proc2043z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2044z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2045z00zzeffect_feffectz00,
				BGl_string2024z00zzeffect_feffectz00);
		}

	}



/* &body-effect!-let-var1337 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1337za2zzeffect_feffectz00(obj_t
		BgL_envz00_2842, obj_t BgL_nodez00_2843, obj_t BgL_effectz00_2844)
	{
		{	/* Effect/feffect.scm 380 */
			{	/* Effect/feffect.scm 382 */
				obj_t BgL_g1285z00_2943;

				BgL_g1285z00_2943 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2843)))->BgL_bindingsz00);
				{
					obj_t BgL_l1283z00_2945;

					BgL_l1283z00_2945 = BgL_g1285z00_2943;
				BgL_zc3z04anonymousza31783ze3z87_2944:
					if (PAIRP(BgL_l1283z00_2945))
						{	/* Effect/feffect.scm 382 */
							{	/* Effect/feffect.scm 383 */
								obj_t BgL_bindingz00_2946;

								BgL_bindingz00_2946 = CAR(BgL_l1283z00_2945);
								{	/* Effect/feffect.scm 383 */
									obj_t BgL_arg1785z00_2947;

									BgL_arg1785z00_2947 = CDR(((obj_t) BgL_bindingz00_2946));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1785z00_2947),
										((BgL_feffectz00_bglt) BgL_effectz00_2844));
								}
							}
							{
								obj_t BgL_l1283z00_3611;

								BgL_l1283z00_3611 = CDR(BgL_l1283z00_2945);
								BgL_l1283z00_2945 = BgL_l1283z00_3611;
								goto BgL_zc3z04anonymousza31783ze3z87_2944;
							}
						}
					else
						{	/* Effect/feffect.scm 382 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2843)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2844));
		}

	}



/* &body-effect!-let-fun1335 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1335za2zzeffect_feffectz00(obj_t
		BgL_envz00_2845, obj_t BgL_nodez00_2846, obj_t BgL_effectz00_2847)
	{
		{	/* Effect/feffect.scm 372 */
			{	/* Effect/feffect.scm 374 */
				obj_t BgL_g1282z00_2950;

				BgL_g1282z00_2950 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2846)))->BgL_localsz00);
				{
					obj_t BgL_l1280z00_2952;

					BgL_l1280z00_2952 = BgL_g1282z00_2950;
				BgL_zc3z04anonymousza31769ze3z87_2951:
					if (PAIRP(BgL_l1280z00_2952))
						{	/* Effect/feffect.scm 374 */
							BGl_funzd2effectz12zc0zzeffect_feffectz00(CAR(BgL_l1280z00_2952));
							{
								obj_t BgL_l1280z00_3623;

								BgL_l1280z00_3623 = CDR(BgL_l1280z00_2952);
								BgL_l1280z00_2952 = BgL_l1280z00_3623;
								goto BgL_zc3z04anonymousza31769ze3z87_2951;
							}
						}
					else
						{	/* Effect/feffect.scm 374 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2846)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2847));
		}

	}



/* &body-effect!-extern1333 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1333z70zzeffect_feffectz00(obj_t
		BgL_envz00_2848, obj_t BgL_nodez00_2849, obj_t BgL_effectz00_2850)
	{
		{	/* Effect/feffect.scm 362 */
			{	/* Effect/feffect.scm 363 */
				obj_t BgL_efz00_2954;

				{	/* Effect/feffect.scm 363 */
					bool_t BgL_test2157z00_3629;

					{	/* Effect/feffect.scm 363 */
						obj_t BgL_arg1768z00_2955;

						BgL_arg1768z00_2955 =
							(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nodez00_2849)))->BgL_effectz00);
						{	/* Effect/feffect.scm 363 */
							obj_t BgL_classz00_2956;

							BgL_classz00_2956 = BGl_feffectz00zzast_varz00;
							if (BGL_OBJECTP(BgL_arg1768z00_2955))
								{	/* Effect/feffect.scm 363 */
									BgL_objectz00_bglt BgL_arg1858z00_2957;

									BgL_arg1858z00_2957 =
										(BgL_objectz00_bglt) (BgL_arg1768z00_2955);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/feffect.scm 363 */
											long BgL_idxz00_2958;

											BgL_idxz00_2958 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2957);
											BgL_test2157z00_3629 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2958 + 1L)) == BgL_classz00_2956);
										}
									else
										{	/* Effect/feffect.scm 363 */
											bool_t BgL_res1924z00_2961;

											{	/* Effect/feffect.scm 363 */
												obj_t BgL_oclassz00_2962;

												{	/* Effect/feffect.scm 363 */
													obj_t BgL_arg1866z00_2963;
													long BgL_arg1867z00_2964;

													BgL_arg1866z00_2963 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/feffect.scm 363 */
														long BgL_arg1869z00_2965;

														BgL_arg1869z00_2965 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2957);
														BgL_arg1867z00_2964 =
															(BgL_arg1869z00_2965 - OBJECT_TYPE);
													}
													BgL_oclassz00_2962 =
														VECTOR_REF(BgL_arg1866z00_2963,
														BgL_arg1867z00_2964);
												}
												{	/* Effect/feffect.scm 363 */
													bool_t BgL__ortest_1115z00_2966;

													BgL__ortest_1115z00_2966 =
														(BgL_classz00_2956 == BgL_oclassz00_2962);
													if (BgL__ortest_1115z00_2966)
														{	/* Effect/feffect.scm 363 */
															BgL_res1924z00_2961 = BgL__ortest_1115z00_2966;
														}
													else
														{	/* Effect/feffect.scm 363 */
															long BgL_odepthz00_2967;

															{	/* Effect/feffect.scm 363 */
																obj_t BgL_arg1855z00_2968;

																BgL_arg1855z00_2968 = (BgL_oclassz00_2962);
																BgL_odepthz00_2967 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2968);
															}
															if ((1L < BgL_odepthz00_2967))
																{	/* Effect/feffect.scm 363 */
																	obj_t BgL_arg1853z00_2969;

																	{	/* Effect/feffect.scm 363 */
																		obj_t BgL_arg1854z00_2970;

																		BgL_arg1854z00_2970 = (BgL_oclassz00_2962);
																		BgL_arg1853z00_2969 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2970, 1L);
																	}
																	BgL_res1924z00_2961 =
																		(BgL_arg1853z00_2969 == BgL_classz00_2956);
																}
															else
																{	/* Effect/feffect.scm 363 */
																	BgL_res1924z00_2961 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2157z00_3629 = BgL_res1924z00_2961;
										}
								}
							else
								{	/* Effect/feffect.scm 363 */
									BgL_test2157z00_3629 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2157z00_3629)
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2954 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_2849)))->BgL_effectz00);
						}
					else
						{	/* Effect/feffect.scm 363 */
							BgL_efz00_2954 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2850,
					BgL_efz00_2954);
				return ((BgL_feffectz00_bglt) BgL_effectz00_2850);
			}
		}

	}



/* &body-effect!-app1331 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1331z70zzeffect_feffectz00(obj_t
		BgL_envz00_2851, obj_t BgL_nodez00_2852, obj_t BgL_effectz00_2853)
	{
		{	/* Effect/feffect.scm 352 */
			BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2852)))->BgL_argsz00),
				BgL_effectz00_2853);
			{	/* Effect/feffect.scm 355 */
				BgL_feffectz00_bglt BgL_efz00_2972;

				{	/* Effect/feffect.scm 355 */
					BgL_variablez00_bglt BgL_arg1757z00_2973;

					BgL_arg1757z00_2973 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2852)))->BgL_funz00)))->
						BgL_variablez00);
					BgL_efz00_2972 =
						BGl_funzd2effectz12zc0zzeffect_feffectz00(((obj_t)
							BgL_arg1757z00_2973));
				}
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_2853,
					((obj_t) BgL_efz00_2972));
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2853);
		}

	}



/* &body-effect!-app-ly1329 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1329za2zzeffect_feffectz00(obj_t
		BgL_envz00_2854, obj_t BgL_nodez00_2855, obj_t BgL_effectz00_2856)
	{
		{	/* Effect/feffect.scm 345 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2856)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2856);
		}

	}



/* &body-effect!-funcall1327 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1327z70zzeffect_feffectz00(obj_t
		BgL_envz00_2857, obj_t BgL_nodez00_2858, obj_t BgL_effectz00_2859)
	{
		{	/* Effect/feffect.scm 338 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2859)),
				((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
			return ((BgL_feffectz00_bglt) BgL_effectz00_2859);
		}

	}



/* &body-effect!-sync1325 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sync1325z70zzeffect_feffectz00(obj_t
		BgL_envz00_2860, obj_t BgL_nodez00_2861, obj_t BgL_effectz00_2862)
	{
		{	/* Effect/feffect.scm 330 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2861)))->BgL_mutexz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2862));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2861)))->BgL_prelockz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2862));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2861)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2862));
		}

	}



/* &body-effect!-sequenc1323 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1323z70zzeffect_feffectz00(obj_t
		BgL_envz00_2863, obj_t BgL_nodez00_2864, obj_t BgL_effectz00_2865)
	{
		{	/* Effect/feffect.scm 324 */
			{	/* Effect/feffect.scm 325 */
				obj_t BgL_arg1730z00_2982;

				BgL_arg1730z00_2982 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2864)))->BgL_nodesz00);
				return
					((BgL_feffectz00_bglt)
					BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(BgL_arg1730z00_2982,
						((obj_t) ((BgL_feffectz00_bglt) BgL_effectz00_2865))));
			}
		}

	}



/* &body-effect!-cast1321 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1321z70zzeffect_feffectz00(obj_t
		BgL_envz00_2866, obj_t BgL_nodez00_2867, obj_t BgL_effectz00_2868)
	{
		{	/* Effect/feffect.scm 317 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2867)))->BgL_argz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2868));
		}

	}



/* &body-effect!-box-set1319 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1319za2zzeffect_feffectz00(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870, obj_t BgL_effectz00_2871)
	{
		{	/* Effect/feffect.scm 309 */
			{	/* Effect/feffect.scm 311 */
				BgL_varz00_bglt BgL_arg1720z00_2987;

				BgL_arg1720z00_2987 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2870)))->BgL_varz00);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1720z00_2987),
					((BgL_feffectz00_bglt) BgL_effectz00_2871));
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2870)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2871));
		}

	}



/* &body-effect!-box-ref1317 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1317za2zzeffect_feffectz00(obj_t
		BgL_envz00_2872, obj_t BgL_nodez00_2873, obj_t BgL_effectz00_2874)
	{
		{	/* Effect/feffect.scm 303 */
			{	/* Effect/feffect.scm 304 */
				BgL_varz00_bglt BgL_arg1717z00_2990;

				BgL_arg1717z00_2990 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2873)))->BgL_varz00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1717z00_2990),
					((BgL_feffectz00_bglt) BgL_effectz00_2874));
			}
		}

	}



/* &body-effect!-make-bo1315 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1315za2zzeffect_feffectz00(obj_t
		BgL_envz00_2875, obj_t BgL_nodez00_2876, obj_t BgL_effectz00_2877)
	{
		{	/* Effect/feffect.scm 297 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2876)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2877));
		}

	}



/* &body-effect!-jump-ex1313 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1313za2zzeffect_feffectz00(obj_t
		BgL_envz00_2878, obj_t BgL_nodez00_2879, obj_t BgL_effectz00_2880)
	{
		{	/* Effect/feffect.scm 289 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2879)))->BgL_exitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2880));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2879)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2880));
		}

	}



/* &body-effect!-set-ex-1311 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21311z70zzeffect_feffectz00(obj_t
		BgL_envz00_2881, obj_t BgL_nodez00_2882, obj_t BgL_effectz00_2883)
	{
		{	/* Effect/feffect.scm 281 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2882)))->BgL_onexitz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2883));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2882)))->BgL_bodyz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2883));
		}

	}



/* &body-effect!-fail1309 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1309z70zzeffect_feffectz00(obj_t
		BgL_envz00_2884, obj_t BgL_nodez00_2885, obj_t BgL_effectz00_2886)
	{
		{	/* Effect/feffect.scm 272 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2885)))->BgL_procz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2886));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2885)))->BgL_msgz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2886));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2885)))->BgL_objz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2886));
		}

	}



/* &body-effect!-switch1307 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2switch1307z70zzeffect_feffectz00(obj_t
		BgL_envz00_2887, obj_t BgL_nodez00_2888, obj_t BgL_effectz00_2889)
	{
		{	/* Effect/feffect.scm 261 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2888)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2889));
			{	/* Effect/feffect.scm 264 */
				obj_t BgL_g1279z00_3001;

				BgL_g1279z00_3001 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2888)))->BgL_clausesz00);
				{
					obj_t BgL_l1277z00_3003;

					BgL_l1277z00_3003 = BgL_g1279z00_3001;
				BgL_zc3z04anonymousza31680ze3z87_3002:
					if (PAIRP(BgL_l1277z00_3003))
						{	/* Effect/feffect.scm 264 */
							{	/* Effect/feffect.scm 265 */
								obj_t BgL_clausez00_3004;

								BgL_clausez00_3004 = CAR(BgL_l1277z00_3003);
								{	/* Effect/feffect.scm 265 */
									obj_t BgL_arg1686z00_3005;

									BgL_arg1686z00_3005 = CDR(((obj_t) BgL_clausez00_3004));
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
										((BgL_nodez00_bglt) BgL_arg1686z00_3005),
										((BgL_feffectz00_bglt) BgL_effectz00_2889));
								}
							}
							{
								obj_t BgL_l1277z00_3762;

								BgL_l1277z00_3762 = CDR(BgL_l1277z00_3003);
								BgL_l1277z00_3003 = BgL_l1277z00_3762;
								goto BgL_zc3z04anonymousza31680ze3z87_3002;
							}
						}
					else
						{	/* Effect/feffect.scm 264 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2889);
		}

	}



/* &body-effect!-conditi1305 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1305z70zzeffect_feffectz00(obj_t
		BgL_envz00_2890, obj_t BgL_nodez00_2891, obj_t BgL_effectz00_2892)
	{
		{	/* Effect/feffect.scm 252 */
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2891)))->BgL_testz00),
				((BgL_feffectz00_bglt) BgL_effectz00_2892));
			BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2891)))->BgL_truez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2892));
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2891)))->BgL_falsez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2892));
		}

	}



/* &body-effect!-setq1303 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1303z70zzeffect_feffectz00(obj_t
		BgL_envz00_2893, obj_t BgL_nodez00_2894, obj_t BgL_effectz00_2895)
	{
		{	/* Effect/feffect.scm 243 */
			{	/* Effect/feffect.scm 245 */
				bool_t BgL_test2163z00_3777;

				{	/* Effect/feffect.scm 245 */
					BgL_variablez00_bglt BgL_arg1663z00_3010;

					BgL_arg1663z00_3010 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_2894)))->BgL_varz00)))->
						BgL_variablez00);
					{	/* Effect/feffect.scm 245 */
						obj_t BgL_classz00_3011;

						BgL_classz00_3011 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 245 */
							BgL_objectz00_bglt BgL_arg1858z00_3012;

							{	/* Effect/feffect.scm 245 */
								obj_t BgL_tmpz00_3781;

								BgL_tmpz00_3781 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1663z00_3010));
								BgL_arg1858z00_3012 = (BgL_objectz00_bglt) (BgL_tmpz00_3781);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 245 */
									long BgL_idxz00_3013;

									BgL_idxz00_3013 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3012);
									BgL_test2163z00_3777 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3013 + 2L)) == BgL_classz00_3011);
								}
							else
								{	/* Effect/feffect.scm 245 */
									bool_t BgL_res1923z00_3016;

									{	/* Effect/feffect.scm 245 */
										obj_t BgL_oclassz00_3017;

										{	/* Effect/feffect.scm 245 */
											obj_t BgL_arg1866z00_3018;
											long BgL_arg1867z00_3019;

											BgL_arg1866z00_3018 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Effect/feffect.scm 245 */
												long BgL_arg1869z00_3020;

												BgL_arg1869z00_3020 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3012);
												BgL_arg1867z00_3019 =
													(BgL_arg1869z00_3020 - OBJECT_TYPE);
											}
											BgL_oclassz00_3017 =
												VECTOR_REF(BgL_arg1866z00_3018, BgL_arg1867z00_3019);
										}
										{	/* Effect/feffect.scm 245 */
											bool_t BgL__ortest_1115z00_3021;

											BgL__ortest_1115z00_3021 =
												(BgL_classz00_3011 == BgL_oclassz00_3017);
											if (BgL__ortest_1115z00_3021)
												{	/* Effect/feffect.scm 245 */
													BgL_res1923z00_3016 = BgL__ortest_1115z00_3021;
												}
											else
												{	/* Effect/feffect.scm 245 */
													long BgL_odepthz00_3022;

													{	/* Effect/feffect.scm 245 */
														obj_t BgL_arg1855z00_3023;

														BgL_arg1855z00_3023 = (BgL_oclassz00_3017);
														BgL_odepthz00_3022 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3023);
													}
													if ((2L < BgL_odepthz00_3022))
														{	/* Effect/feffect.scm 245 */
															obj_t BgL_arg1853z00_3024;

															{	/* Effect/feffect.scm 245 */
																obj_t BgL_arg1854z00_3025;

																BgL_arg1854z00_3025 = (BgL_oclassz00_3017);
																BgL_arg1853z00_3024 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3025,
																	2L);
															}
															BgL_res1923z00_3016 =
																(BgL_arg1853z00_3024 == BgL_classz00_3011);
														}
													else
														{	/* Effect/feffect.scm 245 */
															BgL_res1923z00_3016 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2163z00_3777 = BgL_res1923z00_3016;
								}
						}
					}
				}
				if (BgL_test2163z00_3777)
					{	/* Effect/feffect.scm 245 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2895)),
							((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 245 */
						((bool_t) 0);
					}
			}
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2894)))->BgL_valuez00),
				((BgL_feffectz00_bglt) BgL_effectz00_2895));
		}

	}



/* &body-effect!-var1301 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1301z70zzeffect_feffectz00(obj_t
		BgL_envz00_2896, obj_t BgL_nodez00_2897, obj_t BgL_effectz00_2898)
	{
		{	/* Effect/feffect.scm 235 */
			{	/* Effect/feffect.scm 236 */
				bool_t BgL_test2167z00_3812;

				{	/* Effect/feffect.scm 236 */
					BgL_variablez00_bglt BgL_arg1656z00_3028;

					BgL_arg1656z00_3028 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2897)))->BgL_variablez00);
					{	/* Effect/feffect.scm 236 */
						obj_t BgL_classz00_3029;

						BgL_classz00_3029 = BGl_globalz00zzast_varz00;
						{	/* Effect/feffect.scm 236 */
							BgL_objectz00_bglt BgL_arg1858z00_3030;

							{	/* Effect/feffect.scm 236 */
								obj_t BgL_tmpz00_3815;

								BgL_tmpz00_3815 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1656z00_3028));
								BgL_arg1858z00_3030 = (BgL_objectz00_bglt) (BgL_tmpz00_3815);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Effect/feffect.scm 236 */
									long BgL_idxz00_3031;

									BgL_idxz00_3031 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3030);
									BgL_test2167z00_3812 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3031 + 2L)) == BgL_classz00_3029);
								}
							else
								{	/* Effect/feffect.scm 236 */
									bool_t BgL_res1922z00_3034;

									{	/* Effect/feffect.scm 236 */
										obj_t BgL_oclassz00_3035;

										{	/* Effect/feffect.scm 236 */
											obj_t BgL_arg1866z00_3036;
											long BgL_arg1867z00_3037;

											BgL_arg1866z00_3036 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Effect/feffect.scm 236 */
												long BgL_arg1869z00_3038;

												BgL_arg1869z00_3038 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3030);
												BgL_arg1867z00_3037 =
													(BgL_arg1869z00_3038 - OBJECT_TYPE);
											}
											BgL_oclassz00_3035 =
												VECTOR_REF(BgL_arg1866z00_3036, BgL_arg1867z00_3037);
										}
										{	/* Effect/feffect.scm 236 */
											bool_t BgL__ortest_1115z00_3039;

											BgL__ortest_1115z00_3039 =
												(BgL_classz00_3029 == BgL_oclassz00_3035);
											if (BgL__ortest_1115z00_3039)
												{	/* Effect/feffect.scm 236 */
													BgL_res1922z00_3034 = BgL__ortest_1115z00_3039;
												}
											else
												{	/* Effect/feffect.scm 236 */
													long BgL_odepthz00_3040;

													{	/* Effect/feffect.scm 236 */
														obj_t BgL_arg1855z00_3041;

														BgL_arg1855z00_3041 = (BgL_oclassz00_3035);
														BgL_odepthz00_3040 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3041);
													}
													if ((2L < BgL_odepthz00_3040))
														{	/* Effect/feffect.scm 236 */
															obj_t BgL_arg1853z00_3042;

															{	/* Effect/feffect.scm 236 */
																obj_t BgL_arg1854z00_3043;

																BgL_arg1854z00_3043 = (BgL_oclassz00_3035);
																BgL_arg1853z00_3042 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3043,
																	2L);
															}
															BgL_res1922z00_3034 =
																(BgL_arg1853z00_3042 == BgL_classz00_3029);
														}
													else
														{	/* Effect/feffect.scm 236 */
															BgL_res1922z00_3034 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2167z00_3812 = BgL_res1922z00_3034;
								}
						}
					}
				}
				if (BgL_test2167z00_3812)
					{	/* Effect/feffect.scm 236 */
						BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
							((obj_t)
								((BgL_feffectz00_bglt) BgL_effectz00_2898)),
							((obj_t) BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
					}
				else
					{	/* Effect/feffect.scm 236 */
						((bool_t) 0);
					}
			}
			return ((BgL_feffectz00_bglt) BgL_effectz00_2898);
		}

	}



/* &body-effect!-kwote1298 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1298z70zzeffect_feffectz00(obj_t
		BgL_envz00_2899, obj_t BgL_nodez00_2900, obj_t BgL_effectz00_2901)
	{
		{	/* Effect/feffect.scm 229 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2901);
		}

	}



/* &body-effect!-patch1296 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2patch1296z70zzeffect_feffectz00(obj_t
		BgL_envz00_2902, obj_t BgL_nodez00_2903, obj_t BgL_effectz00_2904)
	{
		{	/* Effect/feffect.scm 221 */
			BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
				((obj_t)
					((BgL_feffectz00_bglt) BgL_effectz00_2904)),
				((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
			{	/* Effect/feffect.scm 224 */
				obj_t BgL_arg1650z00_3047;

				BgL_arg1650z00_3047 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_2903))))->BgL_valuez00);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					((BgL_nodez00_bglt) BgL_arg1650z00_3047),
					((BgL_feffectz00_bglt) BgL_effectz00_2904));
			}
		}

	}



/* &body-effect!-atom1294 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1294z70zzeffect_feffectz00(obj_t
		BgL_envz00_2905, obj_t BgL_nodez00_2906, obj_t BgL_effectz00_2907)
	{
		{	/* Effect/feffect.scm 215 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2907);
		}

	}



/* &object-display-feffe1290 */
	obj_t BGl_z62objectzd2displayzd2feffe1290z62zzeffect_feffectz00(obj_t
		BgL_envz00_2908, obj_t BgL_fz00_2909, obj_t BgL_pz00_2910)
	{
		{	/* Effect/feffect.scm 63 */
			{	/* Effect/feffect.scm 64 */
				obj_t BgL_arg1633z00_3050;

				if (PAIRP(BgL_pz00_2910))
					{	/* Effect/feffect.scm 64 */
						BgL_arg1633z00_3050 = CAR(BgL_pz00_2910);
					}
				else
					{	/* Effect/feffect.scm 64 */
						obj_t BgL_tmpz00_3858;

						BgL_tmpz00_3858 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1633z00_3050 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3858);
					}
				{	/* Effect/feffect.scm 66 */
					obj_t BgL_zc3z04anonymousza31637ze3z87_3051;

					BgL_zc3z04anonymousza31637ze3z87_3051 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza31637ze3ze5zzeffect_feffectz00, (int) (0L),
						(int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza31637ze3z87_3051, (int) (0L),
						((obj_t) ((BgL_feffectz00_bglt) BgL_fz00_2909)));
					return
						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
						(BgL_arg1633z00_3050, BgL_zc3z04anonymousza31637ze3z87_3051);
				}
			}
		}

	}



/* &<@anonymous:1637> */
	obj_t BGl_z62zc3z04anonymousza31637ze3ze5zzeffect_feffectz00(obj_t
		BgL_envz00_2911)
	{
		{	/* Effect/feffect.scm 65 */
			{	/* Effect/feffect.scm 66 */
				BgL_feffectz00_bglt BgL_fz00_2912;

				BgL_fz00_2912 =
					((BgL_feffectz00_bglt) PROCEDURE_REF(BgL_envz00_2911, (int) (0L)));
				{	/* Effect/feffect.scm 67 */
					obj_t BgL_arg1638z00_3052;
					obj_t BgL_arg1642z00_3053;

					BgL_arg1638z00_3052 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2912))->BgL_readz00);
					BgL_arg1642z00_3053 =
						(((BgL_feffectz00_bglt) COBJECT(BgL_fz00_2912))->BgL_writez00);
					{	/* Effect/feffect.scm 67 */
						obj_t BgL_list1643z00_3054;

						{	/* Effect/feffect.scm 67 */
							obj_t BgL_arg1648z00_3055;

							BgL_arg1648z00_3055 = MAKE_YOUNG_PAIR(BgL_arg1642z00_3053, BNIL);
							BgL_list1643z00_3054 =
								MAKE_YOUNG_PAIR(BgL_arg1638z00_3052, BgL_arg1648z00_3055);
						}
						return
							BGl_printfz00zz__r4_output_6_10_3z00
							(BGl_string2046z00zzeffect_feffectz00, BgL_list1643z00_3054);
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00(void)
	{
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(271385047L,
				BSTRING_TO_STRING(BGl_string2047z00zzeffect_feffectz00));
		}

	}

#ifdef __cplusplus
}
#endif
