/*===========================================================================*/
/*   (Engine/interp.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Engine/interp.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ENGINE_INTERP_TYPE_DEFINITIONS
#define BGL_ENGINE_INTERP_TYPE_DEFINITIONS
#endif													// BGL_ENGINE_INTERP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzengine_interpz00 = BUNSPEC;
	static obj_t BGl_z62interpz62zzengine_interpz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_interpz00(void);
	static obj_t BGl_objectzd2initzd2zzengine_interpz00(void);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_za2bigloozd2interpreterza2zd2zz__readerz00;
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzengine_interpz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_interpz00(void);
	extern obj_t BGl_za2accesszd2filezd2defaultza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzengine_interpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl_loadiz00zzengine_interpz00(obj_t);
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t command_line;
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_interpz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_interpz00(void);
	static bool_t BGl_loadzd2stdinzd2zzengine_interpz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzengine_interpz00(void);
	BGL_EXPORTED_DECL obj_t BGl_interpz00zzengine_interpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_replz00zz__evalz00(void);
	static obj_t BGl_interpzd2parsezd2argsz00zzengine_interpz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00(void);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1098z00zzengine_interpz00,
		BgL_bgl_string1098za700za7za7e1108za7, "Welcome to the interpreter", 26);
	      DEFINE_STRING(BGl_string1099z00zzengine_interpz00,
		BgL_bgl_string1099za700za7za7e1109za7, "Interpreting files: ", 20);
	      DEFINE_STRING(BGl_string1100z00zzengine_interpz00,
		BgL_bgl_string1100za700za7za7e1110za7, "HOME", 4);
	      DEFINE_STRING(BGl_string1101z00zzengine_interpz00,
		BgL_bgl_string1101za700za7za7e1111za7, "Can't file startup file -- ", 27);
	      DEFINE_STRING(BGl_string1102z00zzengine_interpz00,
		BgL_bgl_string1102za700za7za7e1112za7, "interp", 6);
	      DEFINE_STRING(BGl_string1103z00zzengine_interpz00,
		BgL_bgl_string1103za700za7za7e1113za7, "]", 1);
	      DEFINE_STRING(BGl_string1104z00zzengine_interpz00,
		BgL_bgl_string1104za700za7za7e1114za7, "      [reading afile ", 21);
	      DEFINE_STRING(BGl_string1105z00zzengine_interpz00,
		BgL_bgl_string1105za700za7za7e1115za7, "-i", 2);
	      DEFINE_STRING(BGl_string1106z00zzengine_interpz00,
		BgL_bgl_string1106za700za7za7e1116za7, "--", 2);
	      DEFINE_STRING(BGl_string1107z00zzengine_interpz00,
		BgL_bgl_string1107za700za7za7e1117za7, "engine_interp", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_interpzd2envzd2zzengine_interpz00,
		BgL_bgl_za762interpza762za7za7en1118z00, BGl_z62interpz62zzengine_interpz00,
		0L, BUNSPEC, 6);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzengine_interpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_interpz00(long
		BgL_checksumz00_145, char *BgL_fromz00_146)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_interpz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_interpz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_interpz00();
					BGl_libraryzd2moduleszd2initz00zzengine_interpz00();
					BGl_importedzd2moduleszd2initz00zzengine_interpz00();
					return BGl_methodzd2initzd2zzengine_interpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "engine_interp");
			BGl_modulezd2initializa7ationz75zz__evalz00(0L, "engine_interp");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "engine_interp");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"engine_interp");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "engine_interp");
			BGl_modulezd2initializa7ationz75zz__modulez00(0L, "engine_interp");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(0L,
				"engine_interp");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"engine_interp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"engine_interp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"engine_interp");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzengine_interpz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_12;

					BgL_headz00_12 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_13;
						obj_t BgL_tailz00_14;

						BgL_prevz00_13 = BgL_headz00_12;
						BgL_tailz00_14 = BgL_l1z00_1;
					BgL_loopz00_15:
						if (PAIRP(BgL_tailz00_14))
							{
								obj_t BgL_newzd2prevzd2_17;

								BgL_newzd2prevzd2_17 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_14), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_13, BgL_newzd2prevzd2_17);
								{
									obj_t BgL_tailz00_174;
									obj_t BgL_prevz00_173;

									BgL_prevz00_173 = BgL_newzd2prevzd2_17;
									BgL_tailz00_174 = CDR(BgL_tailz00_14);
									BgL_tailz00_14 = BgL_tailz00_174;
									BgL_prevz00_13 = BgL_prevz00_173;
									goto BgL_loopz00_15;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_12);
					}
				}
		}

	}



/* interp */
	BGL_EXPORTED_DEF obj_t BGl_interpz00zzengine_interpz00(obj_t BgL_versionz00_3,
		obj_t BgL_verbz00_4, obj_t BgL_filesz00_5, obj_t BgL_startupz00_6,
		obj_t BgL_pathz00_7, obj_t BgL_argsz00_8)
	{
		{	/* Engine/interp.scm 23 */
			BGl_za2bigloozd2interpreterza2zd2zz__readerz00 = BTRUE;
			{	/* Engine/interp.scm 25 */
				bool_t BgL_test1122z00_177;

				if (((long) CINT(BgL_verbz00_4) >= 0L))
					{	/* Engine/interp.scm 25 */
						if (PAIRP(BgL_filesz00_5))
							{	/* Engine/interp.scm 25 */
								BgL_test1122z00_177 = ((bool_t) 0);
							}
						else
							{	/* Engine/interp.scm 25 */
								BgL_test1122z00_177 = ((bool_t) 1);
							}
					}
				else
					{	/* Engine/interp.scm 25 */
						BgL_test1122z00_177 = ((bool_t) 0);
					}
				if (BgL_test1122z00_177)
					{	/* Engine/interp.scm 25 */
						BGL_PROCEDURE_CALL0(BgL_versionz00_3);
						{	/* Engine/interp.scm 28 */
							obj_t BgL_list1024z00_23;

							BgL_list1024z00_23 =
								MAKE_YOUNG_PAIR(BGl_string1098z00zzengine_interpz00, BNIL);
							BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1024z00_23);
						}
					}
				else
					{	/* Engine/interp.scm 29 */
						obj_t BgL_list1025z00_24;

						{	/* Engine/interp.scm 29 */
							obj_t BgL_arg1026z00_25;

							{	/* Engine/interp.scm 29 */
								obj_t BgL_arg1027z00_26;

								BgL_arg1027z00_26 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1026z00_25 =
									MAKE_YOUNG_PAIR(BgL_filesz00_5, BgL_arg1027z00_26);
							}
							BgL_list1025z00_24 =
								MAKE_YOUNG_PAIR(BGl_string1099z00zzengine_interpz00,
								BgL_arg1026z00_25);
						}
						BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1025z00_24);
			}}
			command_line =
				BGl_interpzd2parsezd2argsz00zzengine_interpz00(BgL_argsz00_8);
			if (STRINGP(BgL_startupz00_6))
				{	/* Engine/interp.scm 34 */
					obj_t BgL_pathz00_30;

					{	/* Engine/interp.scm 34 */
						obj_t BgL_homez00_38;

						BgL_homez00_38 =
							BGl_getenvz00zz__osz00(BGl_string1100z00zzengine_interpz00);
						if (STRINGP(BgL_homez00_38))
							{	/* Engine/interp.scm 35 */
								BgL_pathz00_30 = MAKE_YOUNG_PAIR(BgL_homez00_38, BgL_pathz00_7);
							}
						else
							{	/* Engine/interp.scm 35 */
								BgL_pathz00_30 = BgL_pathz00_7;
							}
					}
					{	/* Engine/interp.scm 38 */
						obj_t BgL_fstartupz00_31;

						BgL_fstartupz00_31 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_startupz00_6,
							BgL_pathz00_30);
						if (CBOOL(BgL_fstartupz00_31))
							{	/* Engine/interp.scm 40 */
								obj_t BgL_envz00_33;

								BgL_envz00_33 = BGl_defaultzd2environmentzd2zz__evalz00();
								{	/* Engine/interp.scm 40 */

									BGl_loadqz00zz__evalz00(BgL_startupz00_6, BgL_envz00_33);
								}
							}
						else
							{	/* Engine/interp.scm 41 */
								obj_t BgL_list1029z00_34;

								{	/* Engine/interp.scm 41 */
									obj_t BgL_arg1031z00_35;

									{	/* Engine/interp.scm 41 */
										obj_t BgL_arg1032z00_36;

										{	/* Engine/interp.scm 41 */
											obj_t BgL_arg1034z00_37;

											BgL_arg1034z00_37 =
												MAKE_YOUNG_PAIR(BgL_startupz00_6, BNIL);
											BgL_arg1032z00_36 =
												MAKE_YOUNG_PAIR(BGl_string1101z00zzengine_interpz00,
												BgL_arg1034z00_37);
										}
										BgL_arg1031z00_35 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
											BgL_arg1032z00_36);
									}
									BgL_list1029z00_34 =
										MAKE_YOUNG_PAIR(BGl_string1102z00zzengine_interpz00,
										BgL_arg1031z00_35);
								}
								BGl_warningz00zz__errorz00(BgL_list1029z00_34);
				}}}
			else
				{	/* Engine/interp.scm 33 */
					BFALSE;
				}
			if (PAIRP(BgL_filesz00_5))
				{
					obj_t BgL_l1015z00_42;

					{	/* Engine/interp.scm 46 */
						bool_t BgL_tmpz00_215;

						BgL_l1015z00_42 = BgL_filesz00_5;
					BgL_zc3z04anonymousza31037ze3z87_43:
						if (PAIRP(BgL_l1015z00_42))
							{	/* Engine/interp.scm 46 */
								{	/* Engine/interp.scm 46 */
									obj_t BgL_fz00_45;

									BgL_fz00_45 = CAR(BgL_l1015z00_42);
									if (STRINGP(BgL_fz00_45))
										{	/* Engine/interp.scm 46 */
											BGl_loadiz00zzengine_interpz00(BgL_fz00_45);
										}
									else
										{	/* Engine/interp.scm 46 */
											BBOOL(BGl_loadzd2stdinzd2zzengine_interpz00());
										}
								}
								{
									obj_t BgL_l1015z00_224;

									BgL_l1015z00_224 = CDR(BgL_l1015z00_42);
									BgL_l1015z00_42 = BgL_l1015z00_224;
									goto BgL_zc3z04anonymousza31037ze3z87_43;
								}
							}
						else
							{	/* Engine/interp.scm 46 */
								BgL_tmpz00_215 = ((bool_t) 1);
							}
						BBOOL(BgL_tmpz00_215);
					}
				}
			else
				{	/* Engine/interp.scm 45 */
					BGl_replz00zz__evalz00();
				}
			return BINT(0L);
		}

	}



/* &interp */
	obj_t BGl_z62interpz62zzengine_interpz00(obj_t BgL_envz00_138,
		obj_t BgL_versionz00_139, obj_t BgL_verbz00_140, obj_t BgL_filesz00_141,
		obj_t BgL_startupz00_142, obj_t BgL_pathz00_143, obj_t BgL_argsz00_144)
	{
		{	/* Engine/interp.scm 23 */
			return
				BGl_interpz00zzengine_interpz00(BgL_versionz00_139, BgL_verbz00_140,
				BgL_filesz00_141, BgL_startupz00_142, BgL_pathz00_143, BgL_argsz00_144);
		}

	}



/* loadi */
	obj_t BGl_loadiz00zzengine_interpz00(obj_t BgL_fz00_9)
	{
		{	/* Engine/interp.scm 53 */
			{	/* Engine/interp.scm 54 */
				obj_t BgL_afilez00_49;

				{	/* Engine/interp.scm 54 */
					obj_t BgL_arg1047z00_57;

					BgL_arg1047z00_57 = BGl_dirnamez00zz__osz00(BgL_fz00_9);
					BgL_afilez00_49 =
						BGl_makezd2filezd2namez00zz__osz00(BgL_arg1047z00_57,
						BGl_za2accesszd2filezd2defaultza2z00zzengine_paramz00);
				}
				if (fexists(BSTRING_TO_STRING(BgL_afilez00_49)))
					{	/* Engine/interp.scm 55 */
						{	/* Engine/interp.scm 56 */
							obj_t BgL_list1042z00_51;

							{	/* Engine/interp.scm 56 */
								obj_t BgL_arg1043z00_52;

								{	/* Engine/interp.scm 56 */
									obj_t BgL_arg1044z00_53;

									{	/* Engine/interp.scm 56 */
										obj_t BgL_arg1046z00_54;

										BgL_arg1046z00_54 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
										BgL_arg1044z00_53 =
											MAKE_YOUNG_PAIR(BGl_string1103z00zzengine_interpz00,
											BgL_arg1046z00_54);
									}
									BgL_arg1043z00_52 =
										MAKE_YOUNG_PAIR(BgL_afilez00_49, BgL_arg1044z00_53);
								}
								BgL_list1042z00_51 =
									MAKE_YOUNG_PAIR(BGl_string1104z00zzengine_interpz00,
									BgL_arg1043z00_52);
							}
							BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1042z00_51);
						}
						BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(BgL_afilez00_49);
					}
				else
					{	/* Engine/interp.scm 55 */
						BFALSE;
					}
				{	/* Engine/interp.scm 58 */
					obj_t BgL_envz00_56;

					BgL_envz00_56 = BGl_defaultzd2environmentzd2zz__evalz00();
					{	/* Engine/interp.scm 58 */

						return BGl_loadqz00zz__evalz00(BgL_fz00_9, BgL_envz00_56);
					}
				}
			}
		}

	}



/* load-stdin */
	bool_t BGl_loadzd2stdinzd2zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 63 */
			{	/* Engine/interp.scm 64 */
				obj_t BgL_g1012z00_58;

				{	/* Engine/interp.scm 64 */
					obj_t BgL_arg1052z00_70;

					{	/* Engine/interp.scm 64 */
						obj_t BgL_tmpz00_245;

						BgL_tmpz00_245 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1052z00_70 = BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_245);
					}
					{	/* Engine/interp.scm 64 */

						{	/* Engine/interp.scm 64 */

							BgL_g1012z00_58 =
								BGl_readz00zz__readerz00(BgL_arg1052z00_70, BFALSE);
				}}}
				{
					obj_t BgL_ez00_60;

					BgL_ez00_60 = BgL_g1012z00_58;
				BgL_zc3z04anonymousza31048ze3z87_61:
					if (EOF_OBJECTP(BgL_ez00_60))
						{	/* Engine/interp.scm 65 */
							return ((bool_t) 0);
						}
					else
						{	/* Engine/interp.scm 65 */
							{	/* Engine/interp.scm 67 */
								obj_t BgL_envz00_64;

								BgL_envz00_64 = BGl_defaultzd2environmentzd2zz__evalz00();
								{	/* Engine/interp.scm 67 */

									BGl_evalz00zz__evalz00(BgL_ez00_60, BgL_envz00_64);
								}
							}
							{	/* Engine/interp.scm 68 */
								obj_t BgL_arg1050z00_65;

								{	/* Engine/interp.scm 68 */
									obj_t BgL_arg1051z00_66;

									{	/* Engine/interp.scm 68 */
										obj_t BgL_tmpz00_253;

										BgL_tmpz00_253 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1051z00_66 =
											BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_253);
									}
									{	/* Engine/interp.scm 68 */

										{	/* Engine/interp.scm 68 */

											BgL_arg1050z00_65 =
												BGl_readz00zz__readerz00(BgL_arg1051z00_66, BFALSE);
										}
									}
								}
								{
									obj_t BgL_ez00_257;

									BgL_ez00_257 = BgL_arg1050z00_65;
									BgL_ez00_60 = BgL_ez00_257;
									goto BgL_zc3z04anonymousza31048ze3z87_61;
								}
							}
						}
				}
			}
		}

	}



/* interp-parse-args */
	obj_t BGl_interpzd2parsezd2argsz00zzengine_interpz00(obj_t BgL_argsz00_10)
	{
		{	/* Engine/interp.scm 73 */
			{	/* Engine/interp.scm 74 */
				obj_t BgL_g1013z00_73;

				BgL_g1013z00_73 = CDR(((obj_t) BgL_argsz00_10));
				{
					obj_t BgL_argsz00_76;
					obj_t BgL_resz00_77;

					BgL_argsz00_76 = BgL_g1013z00_73;
					BgL_resz00_77 = BNIL;
				BgL_zc3z04anonymousza31053ze3z87_78:
					if (NULLP(BgL_argsz00_76))
						{	/* Engine/interp.scm 78 */
							obj_t BgL_arg1055z00_80;

							BgL_arg1055z00_80 = bgl_reverse(BgL_resz00_77);
							return
								BGl_appendzd221011zd2zzengine_interpz00
								(BGl_za2srczd2filesza2zd2zzengine_paramz00, BgL_arg1055z00_80);
						}
					else
						{	/* Engine/interp.scm 79 */
							bool_t BgL_test1134z00_264;

							{	/* Engine/interp.scm 79 */
								obj_t BgL_arg1097z00_95;

								BgL_arg1097z00_95 = CAR(((obj_t) BgL_argsz00_76));
								{	/* Engine/interp.scm 79 */
									long BgL_l1z00_111;

									BgL_l1z00_111 = STRING_LENGTH(((obj_t) BgL_arg1097z00_95));
									if ((BgL_l1z00_111 == 2L))
										{	/* Engine/interp.scm 79 */
											int BgL_arg1343z00_114;

											{	/* Engine/interp.scm 79 */
												char *BgL_auxz00_274;
												char *BgL_tmpz00_271;

												BgL_auxz00_274 =
													BSTRING_TO_STRING
													(BGl_string1105z00zzengine_interpz00);
												BgL_tmpz00_271 =
													BSTRING_TO_STRING(((obj_t) BgL_arg1097z00_95));
												BgL_arg1343z00_114 =
													memcmp(BgL_tmpz00_271, BgL_auxz00_274, BgL_l1z00_111);
											}
											BgL_test1134z00_264 = ((long) (BgL_arg1343z00_114) == 0L);
										}
									else
										{	/* Engine/interp.scm 79 */
											BgL_test1134z00_264 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1134z00_264)
								{	/* Engine/interp.scm 80 */
									obj_t BgL_arg1058z00_83;

									BgL_arg1058z00_83 = CDR(((obj_t) BgL_argsz00_76));
									{
										obj_t BgL_argsz00_281;

										BgL_argsz00_281 = BgL_arg1058z00_83;
										BgL_argsz00_76 = BgL_argsz00_281;
										goto BgL_zc3z04anonymousza31053ze3z87_78;
									}
								}
							else
								{	/* Engine/interp.scm 81 */
									bool_t BgL_test1136z00_282;

									{	/* Engine/interp.scm 81 */
										obj_t BgL_arg1095z00_94;

										BgL_arg1095z00_94 = CAR(((obj_t) BgL_argsz00_76));
										BgL_test1136z00_282 =
											CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1095z00_94,
												BGl_za2srczd2filesza2zd2zzengine_paramz00));
									}
									if (BgL_test1136z00_282)
										{	/* Engine/interp.scm 82 */
											obj_t BgL_arg1063z00_86;

											BgL_arg1063z00_86 = CDR(((obj_t) BgL_argsz00_76));
											{
												obj_t BgL_argsz00_289;

												BgL_argsz00_289 = BgL_arg1063z00_86;
												BgL_argsz00_76 = BgL_argsz00_289;
												goto BgL_zc3z04anonymousza31053ze3z87_78;
											}
										}
									else
										{	/* Engine/interp.scm 84 */
											bool_t BgL_test1137z00_290;

											{	/* Engine/interp.scm 84 */
												obj_t BgL_arg1083z00_93;

												BgL_arg1083z00_93 = CAR(((obj_t) BgL_argsz00_76));
												{	/* Engine/interp.scm 84 */
													long BgL_l1z00_126;

													BgL_l1z00_126 =
														STRING_LENGTH(((obj_t) BgL_arg1083z00_93));
													if ((BgL_l1z00_126 == 2L))
														{	/* Engine/interp.scm 84 */
															int BgL_arg1343z00_129;

															{	/* Engine/interp.scm 84 */
																char *BgL_auxz00_300;
																char *BgL_tmpz00_297;

																BgL_auxz00_300 =
																	BSTRING_TO_STRING
																	(BGl_string1106z00zzengine_interpz00);
																BgL_tmpz00_297 =
																	BSTRING_TO_STRING(((obj_t)
																		BgL_arg1083z00_93));
																BgL_arg1343z00_129 =
																	memcmp(BgL_tmpz00_297, BgL_auxz00_300,
																	BgL_l1z00_126);
															}
															BgL_test1137z00_290 =
																((long) (BgL_arg1343z00_129) == 0L);
														}
													else
														{	/* Engine/interp.scm 84 */
															BgL_test1137z00_290 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test1137z00_290)
												{	/* Engine/interp.scm 85 */
													obj_t BgL_arg1067z00_89;

													BgL_arg1067z00_89 = CDR(((obj_t) BgL_argsz00_76));
													{
														obj_t BgL_argsz00_307;

														BgL_argsz00_307 = BgL_arg1067z00_89;
														BgL_argsz00_76 = BgL_argsz00_307;
														goto BgL_zc3z04anonymousza31053ze3z87_78;
													}
												}
											else
												{	/* Engine/interp.scm 87 */
													obj_t BgL_arg1068z00_90;
													obj_t BgL_arg1072z00_91;

													BgL_arg1068z00_90 = CDR(((obj_t) BgL_argsz00_76));
													{	/* Engine/interp.scm 87 */
														obj_t BgL_arg1074z00_92;

														BgL_arg1074z00_92 = CAR(((obj_t) BgL_argsz00_76));
														BgL_arg1072z00_91 =
															MAKE_YOUNG_PAIR(BgL_arg1074z00_92, BgL_resz00_77);
													}
													{
														obj_t BgL_resz00_314;
														obj_t BgL_argsz00_313;

														BgL_argsz00_313 = BgL_arg1068z00_90;
														BgL_resz00_314 = BgL_arg1072z00_91;
														BgL_resz00_77 = BgL_resz00_314;
														BgL_argsz00_76 = BgL_argsz00_313;
														goto BgL_zc3z04anonymousza31053ze3z87_78;
													}
												}
										}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_interpz00(void)
	{
		{	/* Engine/interp.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1107z00zzengine_interpz00));
			return
				BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1107z00zzengine_interpz00));
		}

	}

#ifdef __cplusplus
}
#endif
