/*===========================================================================*/
/*   (Fxop/walk.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Fxop/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_FXOP_WALK_TYPE_DEFINITIONS
#define BGL_FXOP_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_FXOP_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzfxop_walkz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzfxop_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzfxop_walkz00(void);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzfxop_walkz00(void);
	static obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t);
	static obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t);
	static bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1301z70zzfxop_walkz00(obj_t,
		obj_t);
	static obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzfxop_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00(void);
	static BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
	static obj_t BGl_za2fxopsza2z00zzfxop_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t, obj_t);
	static obj_t BGl_z62fxopz121297z70zzfxop_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fxopzd2walkz12zd2envz12zzfxop_walkz00,
		BgL_bgl_za762fxopza7d2walkza711966za7,
		BGl_z62fxopzd2walkz12za2zzfxop_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1951z00zzfxop_walkz00,
		BgL_bgl_string1951za700za7za7f1967za7, "Fxop", 4);
	      DEFINE_STRING(BGl_string1952z00zzfxop_walkz00,
		BgL_bgl_string1952za700za7za7f1968za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1953z00zzfxop_walkz00,
		BgL_bgl_string1953za700za7za7f1969za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1954z00zzfxop_walkz00,
		BgL_bgl_string1954za700za7za7f1970za7, " error", 6);
	      DEFINE_STRING(BGl_string1955z00zzfxop_walkz00,
		BgL_bgl_string1955za700za7za7f1971za7, "s", 1);
	      DEFINE_STRING(BGl_string1956z00zzfxop_walkz00,
		BgL_bgl_string1956za700za7za7f1972za7, "", 0);
	      DEFINE_STRING(BGl_string1957z00zzfxop_walkz00,
		BgL_bgl_string1957za700za7za7f1973za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1958z00zzfxop_walkz00,
		BgL_bgl_string1958za700za7za7f1974za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1960z00zzfxop_walkz00,
		BgL_bgl_string1960za700za7za7f1975za7, "fxop!1297", 9);
	      DEFINE_STRING(BGl_string1962z00zzfxop_walkz00,
		BgL_bgl_string1962za700za7za7f1976za7, "fxop!::node", 11);
	      DEFINE_STRING(BGl_string1963z00zzfxop_walkz00,
		BgL_bgl_string1963za700za7za7f1977za7, "fxop_walk", 9);
	      DEFINE_STRING(BGl_string1964z00zzfxop_walkz00,
		BgL_bgl_string1964za700za7za7f1978za7,
		"(($+fx $addfx) ($-fx $subfx) ($<fx $ltfx) ($<=fx $lefx) ($>fx $c-gtfx) ($>=fx $c-gefx) ($=fx $c-egfx)) $long->bint $bint->long foreign (clear-fxop-cache!) pass-started (init-fxop-cache!) ",
		187);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzfxop_walkz00,
		BgL_bgl_za762fxopza7121297za771979za7, BGl_z62fxopz121297z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzfxop_walkz00,
		BgL_bgl_za762fxopza712za7d2let1980za7,
		BGl_z62fxopz12zd2letzd2var1301z70zzfxop_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762clearza7d2fxopza71981za7,
		BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fxopz12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762fxopza712za770za7za7f1982za7, BGl_z62fxopz12z70zzfxop_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
		BgL_bgl_za762initza7d2fxopza7d1983za7,
		BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2longzd2ze3bintza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2bintzd2ze3longza2z31zzfxop_walkz00));
		     ADD_ROOT((void *) (&BGl_za2fxopsza2z00zzfxop_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long
		BgL_checksumz00_2683, char *BgL_fromz00_2684)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzfxop_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzfxop_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzfxop_walkz00();
					BGl_libraryzd2moduleszd2initz00zzfxop_walkz00();
					BGl_cnstzd2initzd2zzfxop_walkz00();
					BGl_importedzd2moduleszd2initz00zzfxop_walkz00();
					BGl_genericzd2initzd2zzfxop_walkz00();
					BGl_methodzd2initzd2zzfxop_walkz00();
					return BGl_toplevelzd2initzd2zzfxop_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"fxop_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "fxop_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "fxop_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			{	/* Fxop/walk.scm 21 */
				obj_t BgL_cportz00_2551;

				{	/* Fxop/walk.scm 21 */
					obj_t BgL_stringz00_2558;

					BgL_stringz00_2558 = BGl_string1964z00zzfxop_walkz00;
					{	/* Fxop/walk.scm 21 */
						obj_t BgL_startz00_2559;

						BgL_startz00_2559 = BINT(0L);
						{	/* Fxop/walk.scm 21 */
							obj_t BgL_endz00_2560;

							BgL_endz00_2560 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2558)));
							{	/* Fxop/walk.scm 21 */

								BgL_cportz00_2551 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2558, BgL_startz00_2559, BgL_endz00_2560);
				}}}}
				{
					long BgL_iz00_2552;

					BgL_iz00_2552 = 6L;
				BgL_loopz00_2553:
					if ((BgL_iz00_2552 == (-1L)))
						{	/* Fxop/walk.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Fxop/walk.scm 21 */
							{	/* Fxop/walk.scm 21 */
								obj_t BgL_arg1965z00_2554;

								{	/* Fxop/walk.scm 21 */

									{	/* Fxop/walk.scm 21 */
										obj_t BgL_locationz00_2556;

										BgL_locationz00_2556 = BBOOL(((bool_t) 0));
										{	/* Fxop/walk.scm 21 */

											BgL_arg1965z00_2554 =
												BGl_readz00zz__readerz00(BgL_cportz00_2551,
												BgL_locationz00_2556);
										}
									}
								}
								{	/* Fxop/walk.scm 21 */
									int BgL_tmpz00_2717;

									BgL_tmpz00_2717 = (int) (BgL_iz00_2552);
									CNST_TABLE_SET(BgL_tmpz00_2717, BgL_arg1965z00_2554);
							}}
							{	/* Fxop/walk.scm 21 */
								int BgL_auxz00_2557;

								BgL_auxz00_2557 = (int) ((BgL_iz00_2552 - 1L));
								{
									long BgL_iz00_2722;

									BgL_iz00_2722 = (long) (BgL_auxz00_2557);
									BgL_iz00_2552 = BgL_iz00_2722;
									goto BgL_loopz00_2553;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BUNSPEC;
			BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL;
			return BUNSPEC;
		}

	}



/* fxop-walk! */
	BGL_EXPORTED_DEF obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Fxop/walk.scm 45 */
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_list1323z00_1487;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_arg1326z00_1488;

					{	/* Fxop/walk.scm 46 */
						obj_t BgL_arg1327z00_1489;

						BgL_arg1327z00_1489 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1326z00_1488 =
							MAKE_YOUNG_PAIR(BGl_string1951z00zzfxop_walkz00,
							BgL_arg1327z00_1489);
					}
					BgL_list1323z00_1487 =
						MAKE_YOUNG_PAIR(BGl_string1952z00zzfxop_walkz00,
						BgL_arg1326z00_1488);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1323z00_1487);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1951z00zzfxop_walkz00;
			{	/* Fxop/walk.scm 46 */
				obj_t BgL_g1117z00_1490;
				obj_t BgL_g1118z00_1491;

				{	/* Fxop/walk.scm 46 */
					obj_t BgL_list1338z00_1504;

					BgL_list1338z00_1504 =
						MAKE_YOUNG_PAIR(BGl_initzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00,
						BNIL);
					BgL_g1117z00_1490 = BgL_list1338z00_1504;
				}
				BgL_g1118z00_1491 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1493;
					obj_t BgL_hnamesz00_1494;

					BgL_hooksz00_1493 = BgL_g1117z00_1490;
					BgL_hnamesz00_1494 = BgL_g1118z00_1491;
				BgL_zc3z04anonymousza31328ze3z87_1495:
					if (NULLP(BgL_hooksz00_1493))
						{	/* Fxop/walk.scm 46 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Fxop/walk.scm 46 */
							bool_t BgL_test1987z00_2739;

							{	/* Fxop/walk.scm 46 */
								obj_t BgL_fun1337z00_1502;

								BgL_fun1337z00_1502 = CAR(((obj_t) BgL_hooksz00_1493));
								BgL_test1987z00_2739 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1337z00_1502));
							}
							if (BgL_test1987z00_2739)
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1332z00_1499;
									obj_t BgL_arg1333z00_1500;

									BgL_arg1332z00_1499 = CDR(((obj_t) BgL_hooksz00_1493));
									BgL_arg1333z00_1500 = CDR(((obj_t) BgL_hnamesz00_1494));
									{
										obj_t BgL_hnamesz00_2751;
										obj_t BgL_hooksz00_2750;

										BgL_hooksz00_2750 = BgL_arg1332z00_1499;
										BgL_hnamesz00_2751 = BgL_arg1333z00_1500;
										BgL_hnamesz00_1494 = BgL_hnamesz00_2751;
										BgL_hooksz00_1493 = BgL_hooksz00_2750;
										goto BgL_zc3z04anonymousza31328ze3z87_1495;
									}
								}
							else
								{	/* Fxop/walk.scm 46 */
									obj_t BgL_arg1336z00_1501;

									BgL_arg1336z00_1501 = CAR(((obj_t) BgL_hnamesz00_1494));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1951z00zzfxop_walkz00,
										BGl_string1953z00zzfxop_walkz00, BgL_arg1336z00_1501);
								}
						}
				}
			}
			{
				obj_t BgL_l1289z00_1506;

				BgL_l1289z00_1506 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31339ze3z87_1507:
				if (PAIRP(BgL_l1289z00_1506))
					{	/* Fxop/walk.scm 47 */
						BGl_fxopzd2funz12zc0zzfxop_walkz00(CAR(BgL_l1289z00_1506));
						{
							obj_t BgL_l1289z00_2759;

							BgL_l1289z00_2759 = CDR(BgL_l1289z00_1506);
							BgL_l1289z00_1506 = BgL_l1289z00_2759;
							goto BgL_zc3z04anonymousza31339ze3z87_1507;
						}
					}
				else
					{	/* Fxop/walk.scm 47 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Fxop/walk.scm 48 */
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_port1291z00_1514;

						{	/* Fxop/walk.scm 48 */
							obj_t BgL_tmpz00_2764;

							BgL_tmpz00_2764 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1291z00_1514 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2764);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1291z00_1514);
						bgl_display_string(BGl_string1954z00zzfxop_walkz00,
							BgL_port1291z00_1514);
						{	/* Fxop/walk.scm 48 */
							obj_t BgL_arg1355z00_1515;

							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test1990z00_2769;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Fxop/walk.scm 48 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Fxop/walk.scm 48 */
												BgL_test1990z00_2769 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Fxop/walk.scm 48 */
												BgL_test1990z00_2769 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_test1990z00_2769 = ((bool_t) 0);
									}
								if (BgL_test1990z00_2769)
									{	/* Fxop/walk.scm 48 */
										BgL_arg1355z00_1515 = BGl_string1955z00zzfxop_walkz00;
									}
								else
									{	/* Fxop/walk.scm 48 */
										BgL_arg1355z00_1515 = BGl_string1956z00zzfxop_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1355z00_1515, BgL_port1291z00_1514);
						}
						bgl_display_string(BGl_string1957z00zzfxop_walkz00,
							BgL_port1291z00_1514);
						bgl_display_char(((unsigned char) 10), BgL_port1291z00_1514);
					}
					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1358z00_1519;

						BgL_list1358z00_1519 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1358z00_1519);
					}
				}
			else
				{	/* Fxop/walk.scm 48 */
					obj_t BgL_g1119z00_1520;
					obj_t BgL_g1120z00_1521;

					{	/* Fxop/walk.scm 48 */
						obj_t BgL_list1378z00_1534;

						BgL_list1378z00_1534 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2fxopzd2cachez12zd2envzc0zzfxop_walkz00, BNIL);
						BgL_g1119z00_1520 = BgL_list1378z00_1534;
					}
					BgL_g1120z00_1521 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1523;
						obj_t BgL_hnamesz00_1524;

						BgL_hooksz00_1523 = BgL_g1119z00_1520;
						BgL_hnamesz00_1524 = BgL_g1120z00_1521;
					BgL_zc3z04anonymousza31359ze3z87_1525:
						if (NULLP(BgL_hooksz00_1523))
							{	/* Fxop/walk.scm 48 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Fxop/walk.scm 48 */
								bool_t BgL_test1994z00_2789;

								{	/* Fxop/walk.scm 48 */
									obj_t BgL_fun1377z00_1532;

									BgL_fun1377z00_1532 = CAR(((obj_t) BgL_hooksz00_1523));
									BgL_test1994z00_2789 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1377z00_1532));
								}
								if (BgL_test1994z00_2789)
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1370z00_1529;
										obj_t BgL_arg1371z00_1530;

										BgL_arg1370z00_1529 = CDR(((obj_t) BgL_hooksz00_1523));
										BgL_arg1371z00_1530 = CDR(((obj_t) BgL_hnamesz00_1524));
										{
											obj_t BgL_hnamesz00_2801;
											obj_t BgL_hooksz00_2800;

											BgL_hooksz00_2800 = BgL_arg1370z00_1529;
											BgL_hnamesz00_2801 = BgL_arg1371z00_1530;
											BgL_hnamesz00_1524 = BgL_hnamesz00_2801;
											BgL_hooksz00_1523 = BgL_hooksz00_2800;
											goto BgL_zc3z04anonymousza31359ze3z87_1525;
										}
									}
								else
									{	/* Fxop/walk.scm 48 */
										obj_t BgL_arg1376z00_1531;

										BgL_arg1376z00_1531 = CAR(((obj_t) BgL_hnamesz00_1524));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1958z00zzfxop_walkz00, BgL_arg1376z00_1531);
									}
							}
					}
				}
		}

	}



/* &fxop-walk! */
	obj_t BGl_z62fxopzd2walkz12za2zzfxop_walkz00(obj_t BgL_envz00_2538,
		obj_t BgL_globalsz00_2539)
	{
		{	/* Fxop/walk.scm 45 */
			return BGl_fxopzd2walkz12zc0zzfxop_walkz00(BgL_globalsz00_2539);
		}

	}



/* init-fxop-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 60 */
			if (PAIRP(BGl_za2fxopsza2z00zzfxop_walkz00))
				{	/* Fxop/walk.scm 61 */
					BFALSE;
				}
			else
				{	/* Fxop/walk.scm 61 */
					{	/* Fxop/walk.scm 62 */
						obj_t BgL_list1380z00_1536;

						BgL_list1380z00_1536 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
						BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(4)), BgL_list1380z00_1536);
					}
					{	/* Fxop/walk.scm 63 */
						obj_t BgL_list1381z00_1537;

						BgL_list1381z00_1537 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BNIL);
						BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(5)), BgL_list1381z00_1537);
					}
					{	/* Fxop/walk.scm 65 */
						obj_t BgL_l1292z00_1538;

						BgL_l1292z00_1538 = ((obj_t) CNST_TABLE_REF(6));
						{	/* Fxop/walk.scm 65 */
							obj_t BgL_head1294z00_1540;

							BgL_head1294z00_1540 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1292z00_1542;
								obj_t BgL_tail1295z00_1543;

								BgL_l1292z00_1542 = BgL_l1292z00_1538;
								BgL_tail1295z00_1543 = BgL_head1294z00_1540;
							BgL_zc3z04anonymousza31383ze3z87_1544:
								if (NULLP(BgL_l1292z00_1542))
									{	/* Fxop/walk.scm 65 */
										BGl_za2fxopsza2z00zzfxop_walkz00 =
											CDR(BgL_head1294z00_1540);
									}
								else
									{	/* Fxop/walk.scm 65 */
										obj_t BgL_newtail1296z00_1546;

										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1386z00_1548;

											{	/* Fxop/walk.scm 65 */
												obj_t BgL_utz00_1549;

												BgL_utz00_1549 = CAR(((obj_t) BgL_l1292z00_1542));
												{	/* Fxop/walk.scm 66 */
													obj_t BgL_arg1388z00_1550;
													obj_t BgL_arg1390z00_1551;

													{	/* Fxop/walk.scm 66 */
														obj_t BgL_arg1392z00_1552;

														BgL_arg1392z00_1552 = CAR(((obj_t) BgL_utz00_1549));
														{	/* Fxop/walk.scm 66 */
															obj_t BgL_list1393z00_1553;

															BgL_list1393z00_1553 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(3)), BNIL);
															BgL_arg1388z00_1550 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1392z00_1552, BgL_list1393z00_1553);
														}
													}
													{	/* Fxop/walk.scm 67 */
														obj_t BgL_arg1400z00_1554;

														{	/* Fxop/walk.scm 67 */
															obj_t BgL_pairz00_2000;

															BgL_pairz00_2000 = CDR(((obj_t) BgL_utz00_1549));
															BgL_arg1400z00_1554 = CAR(BgL_pairz00_2000);
														}
														{	/* Fxop/walk.scm 67 */
															obj_t BgL_list1401z00_1555;

															BgL_list1401z00_1555 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(3)), BNIL);
															BgL_arg1390z00_1551 =
																BGl_findzd2globalzd2zzast_envz00
																(BgL_arg1400z00_1554, BgL_list1401z00_1555);
														}
													}
													BgL_arg1386z00_1548 =
														MAKE_YOUNG_PAIR(BgL_arg1388z00_1550,
														BgL_arg1390z00_1551);
												}
											}
											BgL_newtail1296z00_1546 =
												MAKE_YOUNG_PAIR(BgL_arg1386z00_1548, BNIL);
										}
										SET_CDR(BgL_tail1295z00_1543, BgL_newtail1296z00_1546);
										{	/* Fxop/walk.scm 65 */
											obj_t BgL_arg1385z00_1547;

											BgL_arg1385z00_1547 = CDR(((obj_t) BgL_l1292z00_1542));
											{
												obj_t BgL_tail1295z00_2847;
												obj_t BgL_l1292z00_2846;

												BgL_l1292z00_2846 = BgL_arg1385z00_1547;
												BgL_tail1295z00_2847 = BgL_newtail1296z00_1546;
												BgL_tail1295z00_1543 = BgL_tail1295z00_2847;
												BgL_l1292z00_1542 = BgL_l1292z00_2846;
												goto BgL_zc3z04anonymousza31383ze3z87_1544;
											}
										}
									}
							}
						}
					}
				}
			return BUNSPEC;
		}

	}



/* &init-fxop-cache! */
	obj_t BGl_z62initzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2540)
	{
		{	/* Fxop/walk.scm 60 */
			return BGl_initzd2fxopzd2cachez12z12zzfxop_walkz00();
		}

	}



/* &clear-fxop-cache! */
	obj_t BGl_z62clearzd2fxopzd2cachez12z70zzfxop_walkz00(obj_t BgL_envz00_2541)
	{
		{	/* Fxop/walk.scm 80 */
			BGl_za2longzd2ze3bintza2z31zzfxop_walkz00 = BFALSE;
			BGl_za2bintzd2ze3longza2z31zzfxop_walkz00 = BFALSE;
			return (BGl_za2fxopsza2z00zzfxop_walkz00 = BNIL, BUNSPEC);
		}

	}



/* fxop-fun! */
	obj_t BGl_fxopzd2funz12zc0zzfxop_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Fxop/walk.scm 88 */
			{	/* Fxop/walk.scm 89 */
				obj_t BgL_arg1402z00_1557;

				BgL_arg1402z00_1557 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1402z00_1557);
			}
			{	/* Fxop/walk.scm 90 */
				BgL_valuez00_bglt BgL_funz00_1558;

				BgL_funz00_1558 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Fxop/walk.scm 91 */
					BgL_nodez00_bglt BgL_arg1403z00_1559;

					{	/* Fxop/walk.scm 91 */
						obj_t BgL_arg1406z00_1560;

						BgL_arg1406z00_1560 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1558)))->BgL_bodyz00);
						BgL_arg1403z00_1559 =
							BGl_fxopz12z12zzfxop_walkz00(
							((BgL_nodez00_bglt) BgL_arg1406z00_1560));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1558)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1403z00_1559)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_proc1959z00zzfxop_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1960z00zzfxop_walkz00);
		}

	}



/* &fxop!1297 */
	obj_t BGl_z62fxopz121297z70zzfxop_walkz00(obj_t BgL_envz00_2545,
		obj_t BgL_nodez00_2546)
	{
		{	/* Fxop/walk.scm 98 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2546),
					BGl_fxopz12zd2envzc0zzfxop_walkz00));
		}

	}



/* fxop! */
	BgL_nodez00_bglt BGl_fxopz12z12zzfxop_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Fxop/walk.scm 98 */
			{	/* Fxop/walk.scm 98 */
				obj_t BgL_method1298z00_1576;

				{	/* Fxop/walk.scm 98 */
					obj_t BgL_res1936z00_2038;

					{	/* Fxop/walk.scm 98 */
						long BgL_objzd2classzd2numz00_2009;

						BgL_objzd2classzd2numz00_2009 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Fxop/walk.scm 98 */
							obj_t BgL_arg1862z00_2010;

							BgL_arg1862z00_2010 =
								PROCEDURE_REF(BGl_fxopz12zd2envzc0zzfxop_walkz00, (int) (1L));
							{	/* Fxop/walk.scm 98 */
								int BgL_offsetz00_2013;

								BgL_offsetz00_2013 = (int) (BgL_objzd2classzd2numz00_2009);
								{	/* Fxop/walk.scm 98 */
									long BgL_offsetz00_2014;

									BgL_offsetz00_2014 =
										((long) (BgL_offsetz00_2013) - OBJECT_TYPE);
									{	/* Fxop/walk.scm 98 */
										long BgL_modz00_2015;

										BgL_modz00_2015 =
											(BgL_offsetz00_2014 >> (int) ((long) ((int) (4L))));
										{	/* Fxop/walk.scm 98 */
											long BgL_restz00_2017;

											BgL_restz00_2017 =
												(BgL_offsetz00_2014 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Fxop/walk.scm 98 */

												{	/* Fxop/walk.scm 98 */
													obj_t BgL_bucketz00_2019;

													BgL_bucketz00_2019 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2010), BgL_modz00_2015);
													BgL_res1936z00_2038 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2019), BgL_restz00_2017);
					}}}}}}}}
					BgL_method1298z00_1576 = BgL_res1936z00_2038;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1298z00_1576,
						((obj_t) BgL_nodez00_19)));
			}
		}

	}



/* &fxop! */
	BgL_nodez00_bglt BGl_z62fxopz12z70zzfxop_walkz00(obj_t BgL_envz00_2543,
		obj_t BgL_nodez00_2544)
	{
		{	/* Fxop/walk.scm 98 */
			return
				BGl_fxopz12z12zzfxop_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2544));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fxopz12zd2envzc0zzfxop_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1961z00zzfxop_walkz00, BGl_string1962z00zzfxop_walkz00);
		}

	}



/* &fxop!-let-var1301 */
	BgL_nodez00_bglt BGl_z62fxopz12zd2letzd2var1301z70zzfxop_walkz00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549)
	{
		{	/* Fxop/walk.scm 104 */
			{
				obj_t BgL_opz00_2657;
				BgL_letzd2varzd2_bglt BgL_nodez00_2658;
				obj_t BgL_opz00_2587;
				BgL_letzd2varzd2_bglt BgL_nodez00_2588;
				obj_t BgL_opz00_2567;
				BgL_letzd2varzd2_bglt BgL_nodez00_2568;

				{	/* Fxop/walk.scm 220 */
					obj_t BgL_g1161z00_2677;

					{	/* Fxop/walk.scm 220 */
						bool_t BgL_test1997z00_2900;

						{	/* Fxop/walk.scm 220 */
							obj_t BgL_arg1489z00_2678;

							BgL_arg1489z00_2678 =
								((obj_t)
								(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2549))))->
									BgL_typez00));
							BgL_test1997z00_2900 =
								(BgL_arg1489z00_2678 == BGl_za2bintza2z00zztype_cachez00);
						}
						if (BgL_test1997z00_2900)
							{	/* Fxop/walk.scm 220 */
								BgL_g1161z00_2677 =
									BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2549)))->
										BgL_bindingsz00),
									(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
													BgL_nodez00_2549)))->BgL_bodyz00));
							}
						else
							{	/* Fxop/walk.scm 220 */
								BgL_g1161z00_2677 = BFALSE;
							}
					}
					if (CBOOL(BgL_g1161z00_2677))
						{
							BgL_appz00_bglt BgL_auxz00_2913;

							BgL_opz00_2567 = BgL_g1161z00_2677;
							BgL_nodez00_2568 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2549);
							{	/* Fxop/walk.scm 177 */
								BgL_appz00_bglt BgL_new1145z00_2569;

								{	/* Fxop/walk.scm 177 */
									BgL_appz00_bglt BgL_new1144z00_2570;

									BgL_new1144z00_2570 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 177 */
										long BgL_arg1663z00_2571;

										BgL_arg1663z00_2571 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1144z00_2570),
											BgL_arg1663z00_2571);
									}
									{	/* Fxop/walk.scm 177 */
										BgL_objectz00_bglt BgL_tmpz00_2918;

										BgL_tmpz00_2918 =
											((BgL_objectz00_bglt) BgL_new1144z00_2570);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2918, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1144z00_2570);
									BgL_new1145z00_2569 = BgL_new1144z00_2570;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1145z00_2569)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1145z00_2569)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2569)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1145z00_2569)))->BgL_keyz00) =
									((obj_t) BINT((-1L))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_2932;

									{	/* Fxop/walk.scm 179 */
										BgL_refz00_bglt BgL_new1147z00_2572;

										{	/* Fxop/walk.scm 179 */
											BgL_refz00_bglt BgL_new1146z00_2573;

											BgL_new1146z00_2573 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 179 */
												long BgL_arg1648z00_2574;

												{	/* Fxop/walk.scm 179 */
													obj_t BgL_classz00_2575;

													BgL_classz00_2575 = BGl_refz00zzast_nodez00;
													BgL_arg1648z00_2574 =
														BGL_CLASS_NUM(BgL_classz00_2575);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1146z00_2573),
													BgL_arg1648z00_2574);
											}
											{	/* Fxop/walk.scm 179 */
												BgL_objectz00_bglt BgL_tmpz00_2937;

												BgL_tmpz00_2937 =
													((BgL_objectz00_bglt) BgL_new1146z00_2573);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2937, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1146z00_2573);
											BgL_new1147z00_2572 = BgL_new1146z00_2573;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1147z00_2572)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1147z00_2572)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1147z00_2572)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_opz00_2567)), BUNSPEC);
										BgL_auxz00_2932 = ((BgL_varz00_bglt) BgL_new1147z00_2572);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2569))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_2932), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_2951;

									{	/* Fxop/walk.scm 183 */
										BgL_nodez00_bglt BgL_arg1649z00_2576;
										BgL_nodez00_bglt BgL_arg1650z00_2577;

										{	/* Fxop/walk.scm 183 */
											obj_t BgL_arg1655z00_2578;

											{	/* Fxop/walk.scm 183 */
												obj_t BgL_pairz00_2579;

												BgL_pairz00_2579 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2568))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 183 */
													obj_t BgL_pairz00_2580;

													BgL_pairz00_2580 = CAR(BgL_pairz00_2579);
													BgL_arg1655z00_2578 = CDR(BgL_pairz00_2580);
											}}
											BgL_arg1649z00_2576 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1655z00_2578));
										}
										{	/* Fxop/walk.scm 184 */
											obj_t BgL_arg1657z00_2581;

											{	/* Fxop/walk.scm 184 */
												obj_t BgL_pairz00_2582;

												BgL_pairz00_2582 =
													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_2568))->
													BgL_bindingsz00);
												{	/* Fxop/walk.scm 184 */
													obj_t BgL_pairz00_2583;

													{	/* Fxop/walk.scm 184 */
														obj_t BgL_pairz00_2584;

														BgL_pairz00_2584 = CDR(BgL_pairz00_2582);
														BgL_pairz00_2583 = CAR(BgL_pairz00_2584);
													}
													BgL_arg1657z00_2581 = CDR(BgL_pairz00_2583);
											}}
											BgL_arg1650z00_2577 =
												BGl_bintze70ze7zzfxop_walkz00(
												((BgL_nodez00_bglt) BgL_arg1657z00_2581));
										}
										{	/* Fxop/walk.scm 182 */
											obj_t BgL_list1651z00_2585;

											{	/* Fxop/walk.scm 182 */
												obj_t BgL_arg1653z00_2586;

												BgL_arg1653z00_2586 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1650z00_2577), BNIL);
												BgL_list1651z00_2585 =
													MAKE_YOUNG_PAIR(
													((obj_t) BgL_arg1649z00_2576), BgL_arg1653z00_2586);
											}
											BgL_auxz00_2951 = BgL_list1651z00_2585;
									}}
									((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2569))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_2951), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1145z00_2569))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_auxz00_2913 = BgL_new1145z00_2569;
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_2913);
						}
					else
						{	/* Fxop/walk.scm 224 */
							obj_t BgL_g1166z00_2679;

							{	/* Fxop/walk.scm 224 */
								bool_t BgL_test1999z00_2971;

								{	/* Fxop/walk.scm 224 */
									obj_t BgL_arg1480z00_2680;

									BgL_arg1480z00_2680 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2549))))->
											BgL_typez00));
									BgL_test1999z00_2971 =
										(BgL_arg1480z00_2680 == BGl_za2bintza2z00zztype_cachez00);
								}
								if (BgL_test1999z00_2971)
									{	/* Fxop/walk.scm 224 */
										BgL_g1166z00_2679 =
											BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_2549)))->
												BgL_bindingsz00),
											(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
															BgL_nodez00_2549)))->BgL_bodyz00));
									}
								else
									{	/* Fxop/walk.scm 224 */
										BgL_g1166z00_2679 = BFALSE;
									}
							}
							if (CBOOL(BgL_g1166z00_2679))
								{
									BgL_appz00_bglt BgL_auxz00_2984;

									BgL_opz00_2587 = BgL_g1166z00_2679;
									BgL_nodez00_2588 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2549);
									{	/* Fxop/walk.scm 188 */
										obj_t BgL_callz00_2589;

										{	/* Fxop/walk.scm 188 */
											obj_t BgL_pairz00_2590;

											BgL_pairz00_2590 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															(((BgL_letzd2varzd2_bglt)
																	COBJECT(BgL_nodez00_2588))->BgL_bodyz00))))->
												BgL_argsz00);
											BgL_callz00_2589 = CAR(BgL_pairz00_2590);
										}
										{	/* Fxop/walk.scm 190 */
											BgL_appz00_bglt BgL_new1151z00_2591;

											{	/* Fxop/walk.scm 190 */
												BgL_appz00_bglt BgL_new1150z00_2592;

												BgL_new1150z00_2592 =
													((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_appz00_bgl))));
												{	/* Fxop/walk.scm 190 */
													long BgL_arg1803z00_2593;

													BgL_arg1803z00_2593 =
														BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1150z00_2592),
														BgL_arg1803z00_2593);
												}
												{	/* Fxop/walk.scm 190 */
													BgL_objectz00_bglt BgL_tmpz00_2993;

													BgL_tmpz00_2993 =
														((BgL_objectz00_bglt) BgL_new1150z00_2592);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2993, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1150z00_2592);
												BgL_new1151z00_2591 = BgL_new1150z00_2592;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1151z00_2591)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1151z00_2591)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1151z00_2591)))->BgL_sidezd2effectzd2) =
												((obj_t) BUNSPEC), BUNSPEC);
											((((BgL_nodezf2effectzf2_bglt)
														COBJECT(((BgL_nodezf2effectzf2_bglt)
																BgL_new1151z00_2591)))->BgL_keyz00) =
												((obj_t) BINT((-1L))), BUNSPEC);
											{
												BgL_varz00_bglt BgL_auxz00_3007;

												{	/* Fxop/walk.scm 192 */
													BgL_refz00_bglt BgL_new1153z00_2594;

													{	/* Fxop/walk.scm 192 */
														BgL_refz00_bglt BgL_new1152z00_2595;

														BgL_new1152z00_2595 =
															((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_refz00_bgl))));
														{	/* Fxop/walk.scm 192 */
															long BgL_arg1673z00_2596;

															{	/* Fxop/walk.scm 192 */
																obj_t BgL_classz00_2597;

																BgL_classz00_2597 = BGl_refz00zzast_nodez00;
																BgL_arg1673z00_2596 =
																	BGL_CLASS_NUM(BgL_classz00_2597);
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1152z00_2595),
																BgL_arg1673z00_2596);
														}
														{	/* Fxop/walk.scm 192 */
															BgL_objectz00_bglt BgL_tmpz00_3012;

															BgL_tmpz00_3012 =
																((BgL_objectz00_bglt) BgL_new1152z00_2595);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3012, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1152z00_2595);
														BgL_new1153z00_2594 = BgL_new1152z00_2595;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1153z00_2594)))->
															BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1153z00_2594)))->BgL_typez00) =
														((BgL_typez00_bglt) ((BgL_typez00_bglt)
																BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																		BgL_new1153z00_2594)))->BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_opz00_2587)), BUNSPEC);
													BgL_auxz00_3007 =
														((BgL_varz00_bglt) BgL_new1153z00_2594);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2591))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_auxz00_3007), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_3026;

												{	/* Fxop/walk.scm 196 */
													BgL_nodez00_bglt BgL_arg1674z00_2598;
													BgL_nodez00_bglt BgL_arg1675z00_2599;

													{	/* Fxop/walk.scm 196 */
														bool_t BgL_test2001z00_3027;

														{	/* Fxop/walk.scm 196 */
															bool_t BgL_test2002z00_3028;

															{	/* Fxop/walk.scm 196 */
																obj_t BgL_arg1748z00_2600;

																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_pairz00_2601;

																	BgL_pairz00_2601 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2589)))->
																		BgL_argsz00);
																	BgL_arg1748z00_2600 = CAR(BgL_pairz00_2601);
																}
																{	/* Fxop/walk.scm 196 */
																	obj_t BgL_classz00_2602;

																	BgL_classz00_2602 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1748z00_2600))
																		{	/* Fxop/walk.scm 196 */
																			BgL_objectz00_bglt BgL_arg1858z00_2603;

																			BgL_arg1858z00_2603 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1748z00_2600);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Fxop/walk.scm 196 */
																					long BgL_idxz00_2604;

																					BgL_idxz00_2604 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2603);
																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_arg1849z00_2605;

																						{	/* Fxop/walk.scm 196 */
																							long BgL_arg1850z00_2606;

																							BgL_arg1850z00_2606 =
																								(BgL_idxz00_2604 + 2L);
																							{	/* Fxop/walk.scm 196 */
																								obj_t BgL_vectorz00_2607;

																								BgL_vectorz00_2607 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1849z00_2605 =
																									VECTOR_REF(BgL_vectorz00_2607,
																									BgL_arg1850z00_2606);
																						}}
																						BgL_test2002z00_3028 =
																							(BgL_arg1849z00_2605 ==
																							BgL_classz00_2602);
																				}}
																			else
																				{	/* Fxop/walk.scm 196 */
																					bool_t BgL_res1945z00_2608;

																					{	/* Fxop/walk.scm 196 */
																						obj_t BgL_oclassz00_2609;

																						{	/* Fxop/walk.scm 196 */
																							obj_t BgL_arg1866z00_2610;
																							long BgL_arg1867z00_2611;

																							BgL_arg1866z00_2610 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Fxop/walk.scm 196 */
																								long BgL_arg1869z00_2612;

																								BgL_arg1869z00_2612 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2603);
																								BgL_arg1867z00_2611 =
																									(BgL_arg1869z00_2612 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2609 =
																								VECTOR_REF(BgL_arg1866z00_2610,
																								BgL_arg1867z00_2611);
																						}
																						{	/* Fxop/walk.scm 196 */
																							bool_t BgL__ortest_1115z00_2613;

																							BgL__ortest_1115z00_2613 =
																								(BgL_classz00_2602 ==
																								BgL_oclassz00_2609);
																							if (BgL__ortest_1115z00_2613)
																								{	/* Fxop/walk.scm 196 */
																									BgL_res1945z00_2608 =
																										BgL__ortest_1115z00_2613;
																								}
																							else
																								{	/* Fxop/walk.scm 196 */
																									long BgL_odepthz00_2614;

																									{	/* Fxop/walk.scm 196 */
																										obj_t BgL_arg1855z00_2615;

																										BgL_arg1855z00_2615 =
																											(BgL_oclassz00_2609);
																										BgL_odepthz00_2614 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2615);
																									}
																									if ((2L < BgL_odepthz00_2614))
																										{	/* Fxop/walk.scm 196 */
																											obj_t BgL_arg1853z00_2616;

																											{	/* Fxop/walk.scm 196 */
																												obj_t
																													BgL_arg1854z00_2617;
																												BgL_arg1854z00_2617 =
																													(BgL_oclassz00_2609);
																												BgL_arg1853z00_2616 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2617,
																													2L);
																											}
																											BgL_res1945z00_2608 =
																												(BgL_arg1853z00_2616 ==
																												BgL_classz00_2602);
																										}
																									else
																										{	/* Fxop/walk.scm 196 */
																											BgL_res1945z00_2608 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2002z00_3028 =
																						BgL_res1945z00_2608;
																				}
																		}
																	else
																		{	/* Fxop/walk.scm 196 */
																			BgL_test2002z00_3028 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2002z00_3028)
																{	/* Fxop/walk.scm 197 */
																	obj_t BgL_auxz00_3063;
																	obj_t BgL_tmpz00_3054;

																	{	/* Fxop/walk.scm 198 */
																		obj_t BgL_pairz00_2619;

																		BgL_pairz00_2619 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2588))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 198 */
																			obj_t BgL_pairz00_2620;

																			BgL_pairz00_2620 = CAR(BgL_pairz00_2619);
																			BgL_auxz00_3063 = CAR(BgL_pairz00_2620);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3055;

																		{
																			BgL_varz00_bglt BgL_auxz00_3056;

																			{	/* Fxop/walk.scm 197 */
																				obj_t BgL_pairz00_2618;

																				BgL_pairz00_2618 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_callz00_2589)))->
																					BgL_argsz00);
																				BgL_auxz00_3056 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2618));
																			}
																			BgL_auxz00_3055 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3056))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3054 = ((obj_t) BgL_auxz00_3055);
																	}
																	BgL_test2001z00_3027 =
																		(BgL_tmpz00_3054 == BgL_auxz00_3063);
																}
															else
																{	/* Fxop/walk.scm 196 */
																	BgL_test2001z00_3027 = ((bool_t) 0);
																}
														}
														if (BgL_test2001z00_3027)
															{	/* Fxop/walk.scm 199 */
																obj_t BgL_arg1703z00_2621;

																{	/* Fxop/walk.scm 199 */
																	obj_t BgL_pairz00_2622;

																	BgL_pairz00_2622 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2588))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 199 */
																		obj_t BgL_pairz00_2623;

																		BgL_pairz00_2623 = CAR(BgL_pairz00_2622);
																		BgL_arg1703z00_2621 = CDR(BgL_pairz00_2623);
																	}
																}
																BgL_arg1674z00_2598 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1703z00_2621));
															}
														else
															{	/* Fxop/walk.scm 200 */
																obj_t BgL_arg1716z00_2624;

																{	/* Fxop/walk.scm 200 */
																	obj_t BgL_pairz00_2625;

																	BgL_pairz00_2625 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2589)))->
																		BgL_argsz00);
																	BgL_arg1716z00_2624 = CAR(BgL_pairz00_2625);
																}
																BgL_arg1674z00_2598 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1716z00_2624));
															}
													}
													{	/* Fxop/walk.scm 201 */
														bool_t BgL_test2007z00_3078;

														{	/* Fxop/walk.scm 201 */
															bool_t BgL_test2008z00_3079;

															{	/* Fxop/walk.scm 201 */
																obj_t BgL_arg1801z00_2626;

																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_pairz00_2627;

																	BgL_pairz00_2627 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2589)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 201 */
																		obj_t BgL_pairz00_2628;

																		BgL_pairz00_2628 = CDR(BgL_pairz00_2627);
																		BgL_arg1801z00_2626 = CAR(BgL_pairz00_2628);
																	}
																}
																{	/* Fxop/walk.scm 201 */
																	obj_t BgL_classz00_2629;

																	BgL_classz00_2629 = BGl_varz00zzast_nodez00;
																	if (BGL_OBJECTP(BgL_arg1801z00_2626))
																		{	/* Fxop/walk.scm 201 */
																			BgL_objectz00_bglt BgL_arg1858z00_2630;

																			BgL_arg1858z00_2630 =
																				(BgL_objectz00_bglt)
																				(BgL_arg1801z00_2626);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Fxop/walk.scm 201 */
																					long BgL_idxz00_2631;

																					BgL_idxz00_2631 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2630);
																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_arg1849z00_2632;

																						{	/* Fxop/walk.scm 201 */
																							long BgL_arg1850z00_2633;

																							BgL_arg1850z00_2633 =
																								(BgL_idxz00_2631 + 2L);
																							{	/* Fxop/walk.scm 201 */
																								obj_t BgL_vectorz00_2634;

																								BgL_vectorz00_2634 =
																									BGl_za2inheritancesza2z00zz__objectz00;
																								BgL_arg1849z00_2632 =
																									VECTOR_REF(BgL_vectorz00_2634,
																									BgL_arg1850z00_2633);
																						}}
																						BgL_test2008z00_3079 =
																							(BgL_arg1849z00_2632 ==
																							BgL_classz00_2629);
																				}}
																			else
																				{	/* Fxop/walk.scm 201 */
																					bool_t BgL_res1946z00_2635;

																					{	/* Fxop/walk.scm 201 */
																						obj_t BgL_oclassz00_2636;

																						{	/* Fxop/walk.scm 201 */
																							obj_t BgL_arg1866z00_2637;
																							long BgL_arg1867z00_2638;

																							BgL_arg1866z00_2637 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Fxop/walk.scm 201 */
																								long BgL_arg1869z00_2639;

																								BgL_arg1869z00_2639 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2630);
																								BgL_arg1867z00_2638 =
																									(BgL_arg1869z00_2639 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2636 =
																								VECTOR_REF(BgL_arg1866z00_2637,
																								BgL_arg1867z00_2638);
																						}
																						{	/* Fxop/walk.scm 201 */
																							bool_t BgL__ortest_1115z00_2640;

																							BgL__ortest_1115z00_2640 =
																								(BgL_classz00_2629 ==
																								BgL_oclassz00_2636);
																							if (BgL__ortest_1115z00_2640)
																								{	/* Fxop/walk.scm 201 */
																									BgL_res1946z00_2635 =
																										BgL__ortest_1115z00_2640;
																								}
																							else
																								{	/* Fxop/walk.scm 201 */
																									long BgL_odepthz00_2641;

																									{	/* Fxop/walk.scm 201 */
																										obj_t BgL_arg1855z00_2642;

																										BgL_arg1855z00_2642 =
																											(BgL_oclassz00_2636);
																										BgL_odepthz00_2641 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2642);
																									}
																									if ((2L < BgL_odepthz00_2641))
																										{	/* Fxop/walk.scm 201 */
																											obj_t BgL_arg1853z00_2643;

																											{	/* Fxop/walk.scm 201 */
																												obj_t
																													BgL_arg1854z00_2644;
																												BgL_arg1854z00_2644 =
																													(BgL_oclassz00_2636);
																												BgL_arg1853z00_2643 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2644,
																													2L);
																											}
																											BgL_res1946z00_2635 =
																												(BgL_arg1853z00_2643 ==
																												BgL_classz00_2629);
																										}
																									else
																										{	/* Fxop/walk.scm 201 */
																											BgL_res1946z00_2635 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2008z00_3079 =
																						BgL_res1946z00_2635;
																				}
																		}
																	else
																		{	/* Fxop/walk.scm 201 */
																			BgL_test2008z00_3079 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2008z00_3079)
																{	/* Fxop/walk.scm 202 */
																	obj_t BgL_auxz00_3117;
																	obj_t BgL_tmpz00_3106;

																	{	/* Fxop/walk.scm 203 */
																		obj_t BgL_pairz00_2647;

																		BgL_pairz00_2647 =
																			(((BgL_letzd2varzd2_bglt)
																				COBJECT(BgL_nodez00_2588))->
																			BgL_bindingsz00);
																		{	/* Fxop/walk.scm 203 */
																			obj_t BgL_pairz00_2648;

																			BgL_pairz00_2648 = CAR(BgL_pairz00_2647);
																			BgL_auxz00_3117 = CAR(BgL_pairz00_2648);
																		}
																	}
																	{
																		BgL_variablez00_bglt BgL_auxz00_3107;

																		{
																			BgL_varz00_bglt BgL_auxz00_3108;

																			{
																				obj_t BgL_auxz00_3109;

																				{	/* Fxop/walk.scm 202 */
																					obj_t BgL_pairz00_2645;

																					BgL_pairz00_2645 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_callz00_2589)))->
																						BgL_argsz00);
																					{	/* Fxop/walk.scm 202 */
																						obj_t BgL_pairz00_2646;

																						BgL_pairz00_2646 =
																							CDR(BgL_pairz00_2645);
																						BgL_auxz00_3109 =
																							CAR(BgL_pairz00_2646);
																					}
																				}
																				BgL_auxz00_3108 =
																					((BgL_varz00_bglt) BgL_auxz00_3109);
																			}
																			BgL_auxz00_3107 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3108))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3106 = ((obj_t) BgL_auxz00_3107);
																	}
																	BgL_test2007z00_3078 =
																		(BgL_tmpz00_3106 == BgL_auxz00_3117);
																}
															else
																{	/* Fxop/walk.scm 201 */
																	BgL_test2007z00_3078 = ((bool_t) 0);
																}
														}
														if (BgL_test2007z00_3078)
															{	/* Fxop/walk.scm 204 */
																obj_t BgL_arg1784z00_2649;

																{	/* Fxop/walk.scm 204 */
																	obj_t BgL_pairz00_2650;

																	BgL_pairz00_2650 =
																		(((BgL_letzd2varzd2_bglt)
																			COBJECT(BgL_nodez00_2588))->
																		BgL_bindingsz00);
																	{	/* Fxop/walk.scm 204 */
																		obj_t BgL_pairz00_2651;

																		BgL_pairz00_2651 = CAR(BgL_pairz00_2650);
																		BgL_arg1784z00_2649 = CDR(BgL_pairz00_2651);
																	}
																}
																BgL_arg1675z00_2599 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1784z00_2649));
															}
														else
															{	/* Fxop/walk.scm 205 */
																obj_t BgL_arg1786z00_2652;

																{	/* Fxop/walk.scm 205 */
																	obj_t BgL_pairz00_2653;

																	BgL_pairz00_2653 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_callz00_2589)))->
																		BgL_argsz00);
																	{	/* Fxop/walk.scm 205 */
																		obj_t BgL_pairz00_2654;

																		BgL_pairz00_2654 = CDR(BgL_pairz00_2653);
																		BgL_arg1786z00_2652 = CAR(BgL_pairz00_2654);
																	}
																}
																BgL_arg1675z00_2599 =
																	BGl_bintze70ze7zzfxop_walkz00(
																	((BgL_nodez00_bglt) BgL_arg1786z00_2652));
															}
													}
													{	/* Fxop/walk.scm 195 */
														obj_t BgL_list1676z00_2655;

														{	/* Fxop/walk.scm 195 */
															obj_t BgL_arg1677z00_2656;

															BgL_arg1677z00_2656 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1675z00_2599), BNIL);
															BgL_list1676z00_2655 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1674z00_2598),
																BgL_arg1677z00_2656);
														}
														BgL_auxz00_3026 = BgL_list1676z00_2655;
													}
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2591))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_3026), BUNSPEC);
											}
											((((BgL_appz00_bglt) COBJECT(BgL_new1151z00_2591))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
											BgL_auxz00_2984 = BgL_new1151z00_2591;
										}
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_2984);
								}
							else
								{	/* Fxop/walk.scm 228 */
									obj_t BgL_g1169z00_2681;

									{	/* Fxop/walk.scm 228 */
										bool_t BgL_test2013z00_3141;

										{	/* Fxop/walk.scm 228 */
											obj_t BgL_arg1446z00_2682;

											BgL_arg1446z00_2682 =
												((obj_t)
												(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2549))))->
													BgL_typez00));
											BgL_test2013z00_3141 =
												(BgL_arg1446z00_2682 ==
												BGl_za2boolza2z00zztype_cachez00);
										}
										if (BgL_test2013z00_3141)
											{	/* Fxop/walk.scm 228 */
												BgL_g1169z00_2681 =
													BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(
													(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_2549)))->
														BgL_bindingsz00),
													(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt)
																	BgL_nodez00_2549)))->BgL_bodyz00));
											}
										else
											{	/* Fxop/walk.scm 228 */
												BgL_g1169z00_2681 = BFALSE;
											}
									}
									if (CBOOL(BgL_g1169z00_2681))
										{
											BgL_appz00_bglt BgL_auxz00_3154;

											BgL_opz00_2657 = BgL_g1169z00_2681;
											BgL_nodez00_2658 =
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2549);
											{	/* Fxop/walk.scm 209 */
												BgL_appz00_bglt BgL_new1156z00_2659;

												{	/* Fxop/walk.scm 209 */
													BgL_appz00_bglt BgL_new1155z00_2660;

													BgL_new1155z00_2660 =
														((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_appz00_bgl))));
													{	/* Fxop/walk.scm 209 */
														long BgL_arg1847z00_2661;

														BgL_arg1847z00_2661 =
															BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1155z00_2660),
															BgL_arg1847z00_2661);
													}
													{	/* Fxop/walk.scm 209 */
														BgL_objectz00_bglt BgL_tmpz00_3159;

														BgL_tmpz00_3159 =
															((BgL_objectz00_bglt) BgL_new1155z00_2660);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3159, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1155z00_2660);
													BgL_new1156z00_2659 = BgL_new1155z00_2660;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1156z00_2659)))->
														BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1156z00_2659)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2boolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1156z00_2659)))->
														BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
												((((BgL_nodezf2effectzf2_bglt)
															COBJECT(((BgL_nodezf2effectzf2_bglt)
																	BgL_new1156z00_2659)))->BgL_keyz00) =
													((obj_t) BINT((-1L))), BUNSPEC);
												{
													BgL_varz00_bglt BgL_auxz00_3173;

													{	/* Fxop/walk.scm 211 */
														BgL_refz00_bglt BgL_new1158z00_2662;

														{	/* Fxop/walk.scm 211 */
															BgL_refz00_bglt BgL_new1157z00_2663;

															BgL_new1157z00_2663 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Fxop/walk.scm 211 */
																long BgL_arg1814z00_2664;

																{	/* Fxop/walk.scm 211 */
																	obj_t BgL_classz00_2665;

																	BgL_classz00_2665 = BGl_refz00zzast_nodez00;
																	BgL_arg1814z00_2664 =
																		BGL_CLASS_NUM(BgL_classz00_2665);
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1157z00_2663),
																	BgL_arg1814z00_2664);
															}
															{	/* Fxop/walk.scm 211 */
																BgL_objectz00_bglt BgL_tmpz00_3178;

																BgL_tmpz00_3178 =
																	((BgL_objectz00_bglt) BgL_new1157z00_2663);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3178,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1157z00_2663);
															BgL_new1158z00_2662 = BgL_new1157z00_2663;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1158z00_2662)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1158z00_2662)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_opz00_2657)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1158z00_2662)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_opz00_2657)), BUNSPEC);
														BgL_auxz00_3173 =
															((BgL_varz00_bglt) BgL_new1158z00_2662);
													}
													((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2659))->
															BgL_funz00) =
														((BgL_varz00_bglt) BgL_auxz00_3173), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_3193;

													{	/* Fxop/walk.scm 215 */
														BgL_nodez00_bglt BgL_arg1818z00_2666;
														BgL_nodez00_bglt BgL_arg1821z00_2667;

														{	/* Fxop/walk.scm 215 */
															obj_t BgL_arg1829z00_2668;

															{	/* Fxop/walk.scm 215 */
																obj_t BgL_pairz00_2669;

																BgL_pairz00_2669 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2658))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 215 */
																	obj_t BgL_pairz00_2670;

																	BgL_pairz00_2670 = CAR(BgL_pairz00_2669);
																	BgL_arg1829z00_2668 = CDR(BgL_pairz00_2670);
															}}
															BgL_arg1818z00_2666 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1829z00_2668));
														}
														{	/* Fxop/walk.scm 216 */
															obj_t BgL_arg1842z00_2671;

															{	/* Fxop/walk.scm 216 */
																obj_t BgL_pairz00_2672;

																BgL_pairz00_2672 =
																	(((BgL_letzd2varzd2_bglt)
																		COBJECT(BgL_nodez00_2658))->
																	BgL_bindingsz00);
																{	/* Fxop/walk.scm 216 */
																	obj_t BgL_pairz00_2673;

																	{	/* Fxop/walk.scm 216 */
																		obj_t BgL_pairz00_2674;

																		BgL_pairz00_2674 = CDR(BgL_pairz00_2672);
																		BgL_pairz00_2673 = CAR(BgL_pairz00_2674);
																	}
																	BgL_arg1842z00_2671 = CDR(BgL_pairz00_2673);
															}}
															BgL_arg1821z00_2667 =
																BGl_bintze70ze7zzfxop_walkz00(
																((BgL_nodez00_bglt) BgL_arg1842z00_2671));
														}
														{	/* Fxop/walk.scm 214 */
															obj_t BgL_list1822z00_2675;

															{	/* Fxop/walk.scm 214 */
																obj_t BgL_arg1825z00_2676;

																BgL_arg1825z00_2676 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1821z00_2667), BNIL);
																BgL_list1822z00_2675 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1818z00_2666),
																	BgL_arg1825z00_2676);
															}
															BgL_auxz00_3193 = BgL_list1822z00_2675;
													}}
													((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2659))->
															BgL_argsz00) =
														((obj_t) BgL_auxz00_3193), BUNSPEC);
												}
												((((BgL_appz00_bglt) COBJECT(BgL_new1156z00_2659))->
														BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
												BgL_auxz00_3154 = BgL_new1156z00_2659;
											}
											return ((BgL_nodez00_bglt) BgL_auxz00_3154);
										}
									else
										{	/* Fxop/walk.scm 228 */
											return
												BGl_walk0z12z12zzast_walkz00(
												((BgL_nodez00_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2549)),
												BGl_fxopz12zd2envzc0zzfxop_walkz00);
										}
								}
						}
				}
			}
		}

	}



/* find-fxop~0 */
	obj_t BGl_findzd2fxopze70z35zzfxop_walkz00(obj_t BgL_exprz00_1630)
	{
		{	/* Fxop/walk.scm 120 */
			{	/* Fxop/walk.scm 117 */
				bool_t BgL_test2015z00_3216;

				{	/* Fxop/walk.scm 117 */
					obj_t BgL_classz00_2111;

					BgL_classz00_2111 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1630))
						{	/* Fxop/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1858z00_2113;

							BgL_arg1858z00_2113 = (BgL_objectz00_bglt) (BgL_exprz00_1630);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Fxop/walk.scm 117 */
									long BgL_idxz00_2119;

									BgL_idxz00_2119 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2113);
									BgL_test2015z00_3216 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2119 + 3L)) == BgL_classz00_2111);
								}
							else
								{	/* Fxop/walk.scm 117 */
									bool_t BgL_res1939z00_2144;

									{	/* Fxop/walk.scm 117 */
										obj_t BgL_oclassz00_2127;

										{	/* Fxop/walk.scm 117 */
											obj_t BgL_arg1866z00_2135;
											long BgL_arg1867z00_2136;

											BgL_arg1866z00_2135 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Fxop/walk.scm 117 */
												long BgL_arg1869z00_2137;

												BgL_arg1869z00_2137 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2113);
												BgL_arg1867z00_2136 =
													(BgL_arg1869z00_2137 - OBJECT_TYPE);
											}
											BgL_oclassz00_2127 =
												VECTOR_REF(BgL_arg1866z00_2135, BgL_arg1867z00_2136);
										}
										{	/* Fxop/walk.scm 117 */
											bool_t BgL__ortest_1115z00_2128;

											BgL__ortest_1115z00_2128 =
												(BgL_classz00_2111 == BgL_oclassz00_2127);
											if (BgL__ortest_1115z00_2128)
												{	/* Fxop/walk.scm 117 */
													BgL_res1939z00_2144 = BgL__ortest_1115z00_2128;
												}
											else
												{	/* Fxop/walk.scm 117 */
													long BgL_odepthz00_2129;

													{	/* Fxop/walk.scm 117 */
														obj_t BgL_arg1855z00_2130;

														BgL_arg1855z00_2130 = (BgL_oclassz00_2127);
														BgL_odepthz00_2129 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2130);
													}
													if ((3L < BgL_odepthz00_2129))
														{	/* Fxop/walk.scm 117 */
															obj_t BgL_arg1853z00_2132;

															{	/* Fxop/walk.scm 117 */
																obj_t BgL_arg1854z00_2133;

																BgL_arg1854z00_2133 = (BgL_oclassz00_2127);
																BgL_arg1853z00_2132 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2133,
																	3L);
															}
															BgL_res1939z00_2144 =
																(BgL_arg1853z00_2132 == BgL_classz00_2111);
														}
													else
														{	/* Fxop/walk.scm 117 */
															BgL_res1939z00_2144 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2015z00_3216 = BgL_res1939z00_2144;
								}
						}
					else
						{	/* Fxop/walk.scm 117 */
							BgL_test2015z00_3216 = ((bool_t) 0);
						}
				}
				if (BgL_test2015z00_3216)
					{	/* Fxop/walk.scm 118 */
						BgL_variablez00_bglt BgL_vz00_1633;

						BgL_vz00_1633 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_exprz00_1630)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Fxop/walk.scm 119 */
							obj_t BgL_cz00_1634;

							BgL_cz00_1634 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_vz00_1633), BGl_za2fxopsza2z00zzfxop_walkz00);
							if (CBOOL(BgL_cz00_1634))
								{	/* Fxop/walk.scm 120 */
									return CDR(((obj_t) BgL_cz00_1634));
								}
							else
								{	/* Fxop/walk.scm 120 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Fxop/walk.scm 117 */
						return BFALSE;
					}
			}
		}

	}



/* bint~0 */
	BgL_nodez00_bglt BGl_bintze70ze7zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1684)
	{
		{	/* Fxop/walk.scm 173 */
			{	/* Fxop/walk.scm 163 */
				bool_t BgL_test2021z00_3248;

				{	/* Fxop/walk.scm 163 */
					obj_t BgL_arg1643z00_1698;

					BgL_arg1643z00_1698 =
						((obj_t)
						(((BgL_nodez00_bglt) COBJECT(BgL_exprz00_1684))->BgL_typez00));
					BgL_test2021z00_3248 =
						(BgL_arg1643z00_1698 == BGl_za2bintza2z00zztype_cachez00);
				}
				if (BgL_test2021z00_3248)
					{	/* Fxop/walk.scm 163 */
						return BgL_exprz00_1684;
					}
				else
					{	/* Fxop/walk.scm 163 */
						if (BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(
								((obj_t) BgL_exprz00_1684)))
							{	/* Fxop/walk.scm 166 */
								obj_t BgL_pairz00_2308;

								BgL_pairz00_2308 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_exprz00_1684)))->BgL_argsz00);
								return ((BgL_nodez00_bglt) CAR(BgL_pairz00_2308));
							}
						else
							{	/* Fxop/walk.scm 168 */
								BgL_appz00_bglt BgL_new1140z00_1691;

								{	/* Fxop/walk.scm 168 */
									BgL_appz00_bglt BgL_new1139z00_1696;

									BgL_new1139z00_1696 =
										((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Fxop/walk.scm 168 */
										long BgL_arg1642z00_1697;

										BgL_arg1642z00_1697 =
											BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1139z00_1696),
											BgL_arg1642z00_1697);
									}
									{	/* Fxop/walk.scm 168 */
										BgL_objectz00_bglt BgL_tmpz00_3263;

										BgL_tmpz00_3263 =
											((BgL_objectz00_bglt) BgL_new1139z00_1696);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3263, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1139z00_1696);
									BgL_new1140z00_1691 = BgL_new1139z00_1696;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1140z00_1691)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1140z00_1691)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1140z00_1691)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt)
													BgL_new1140z00_1691)))->BgL_keyz00) =
									((obj_t) BINT((-1L))), BUNSPEC);
								{
									BgL_varz00_bglt BgL_auxz00_3277;

									{	/* Fxop/walk.scm 170 */
										BgL_refz00_bglt BgL_new1142z00_1692;

										{	/* Fxop/walk.scm 170 */
											BgL_refz00_bglt BgL_new1141z00_1693;

											BgL_new1141z00_1693 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Fxop/walk.scm 170 */
												long BgL_arg1638z00_1694;

												{	/* Fxop/walk.scm 170 */
													obj_t BgL_classz00_2313;

													BgL_classz00_2313 = BGl_refz00zzast_nodez00;
													BgL_arg1638z00_1694 =
														BGL_CLASS_NUM(BgL_classz00_2313);
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1141z00_1693),
													BgL_arg1638z00_1694);
											}
											{	/* Fxop/walk.scm 170 */
												BgL_objectz00_bglt BgL_tmpz00_3282;

												BgL_tmpz00_3282 =
													((BgL_objectz00_bglt) BgL_new1141z00_1693);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3282, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1141z00_1693);
											BgL_new1142z00_1692 = BgL_new1141z00_1693;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1142z00_1692)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1142z00_1692)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bintza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1142z00_1692)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BGl_za2longzd2ze3bintza2z31zzfxop_walkz00)), BUNSPEC);
										BgL_auxz00_3277 = ((BgL_varz00_bglt) BgL_new1142z00_1692);
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1691))->
											BgL_funz00) =
										((BgL_varz00_bglt) BgL_auxz00_3277), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_3296;

									{	/* Fxop/walk.scm 173 */
										obj_t BgL_list1639z00_1695;

										BgL_list1639z00_1695 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_exprz00_1684), BNIL);
										BgL_auxz00_3296 = BgL_list1639z00_1695;
									}
									((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1691))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_3296), BUNSPEC);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1140z00_1691))->
										BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1140z00_1691);
							}
					}
			}
		}

	}



/* bint->long?~0 */
	bool_t BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(obj_t BgL_exprz00_1620)
	{
		{	/* Fxop/walk.scm 109 */
			{	/* Fxop/walk.scm 107 */
				bool_t BgL_test2023z00_3302;

				{	/* Fxop/walk.scm 107 */
					obj_t BgL_classz00_2039;

					BgL_classz00_2039 = BGl_appz00zzast_nodez00;
					if (BGL_OBJECTP(BgL_exprz00_1620))
						{	/* Fxop/walk.scm 107 */
							BgL_objectz00_bglt BgL_arg1858z00_2041;

							BgL_arg1858z00_2041 = (BgL_objectz00_bglt) (BgL_exprz00_1620);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Fxop/walk.scm 107 */
									long BgL_idxz00_2047;

									BgL_idxz00_2047 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2041);
									BgL_test2023z00_3302 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2047 + 3L)) == BgL_classz00_2039);
								}
							else
								{	/* Fxop/walk.scm 107 */
									bool_t BgL_res1937z00_2072;

									{	/* Fxop/walk.scm 107 */
										obj_t BgL_oclassz00_2055;

										{	/* Fxop/walk.scm 107 */
											obj_t BgL_arg1866z00_2063;
											long BgL_arg1867z00_2064;

											BgL_arg1866z00_2063 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Fxop/walk.scm 107 */
												long BgL_arg1869z00_2065;

												BgL_arg1869z00_2065 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2041);
												BgL_arg1867z00_2064 =
													(BgL_arg1869z00_2065 - OBJECT_TYPE);
											}
											BgL_oclassz00_2055 =
												VECTOR_REF(BgL_arg1866z00_2063, BgL_arg1867z00_2064);
										}
										{	/* Fxop/walk.scm 107 */
											bool_t BgL__ortest_1115z00_2056;

											BgL__ortest_1115z00_2056 =
												(BgL_classz00_2039 == BgL_oclassz00_2055);
											if (BgL__ortest_1115z00_2056)
												{	/* Fxop/walk.scm 107 */
													BgL_res1937z00_2072 = BgL__ortest_1115z00_2056;
												}
											else
												{	/* Fxop/walk.scm 107 */
													long BgL_odepthz00_2057;

													{	/* Fxop/walk.scm 107 */
														obj_t BgL_arg1855z00_2058;

														BgL_arg1855z00_2058 = (BgL_oclassz00_2055);
														BgL_odepthz00_2057 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2058);
													}
													if ((3L < BgL_odepthz00_2057))
														{	/* Fxop/walk.scm 107 */
															obj_t BgL_arg1853z00_2060;

															{	/* Fxop/walk.scm 107 */
																obj_t BgL_arg1854z00_2061;

																BgL_arg1854z00_2061 = (BgL_oclassz00_2055);
																BgL_arg1853z00_2060 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2061,
																	3L);
															}
															BgL_res1937z00_2072 =
																(BgL_arg1853z00_2060 == BgL_classz00_2039);
														}
													else
														{	/* Fxop/walk.scm 107 */
															BgL_res1937z00_2072 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2023z00_3302 = BgL_res1937z00_2072;
								}
						}
					else
						{	/* Fxop/walk.scm 107 */
							BgL_test2023z00_3302 = ((bool_t) 0);
						}
				}
				if (BgL_test2023z00_3302)
					{	/* Fxop/walk.scm 108 */
						obj_t BgL_vz00_1623;

						BgL_vz00_1623 =
							((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_exprz00_1620)))->
											BgL_funz00)))->BgL_variablez00));
						return (BgL_vz00_1623 == BGl_za2bintzd2ze3longza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 107 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* long->bint?~0 */
	bool_t BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00(BgL_nodez00_bglt
		BgL_exprz00_1625)
	{
		{	/* Fxop/walk.scm 114 */
			{	/* Fxop/walk.scm 112 */
				bool_t BgL_test2028z00_3330;

				{	/* Fxop/walk.scm 112 */
					obj_t BgL_classz00_2075;

					BgL_classz00_2075 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 112 */
						BgL_objectz00_bglt BgL_arg1858z00_2077;

						{	/* Fxop/walk.scm 112 */
							obj_t BgL_tmpz00_3331;

							BgL_tmpz00_3331 =
								((obj_t) ((BgL_objectz00_bglt) BgL_exprz00_1625));
							BgL_arg1858z00_2077 = (BgL_objectz00_bglt) (BgL_tmpz00_3331);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Fxop/walk.scm 112 */
								long BgL_idxz00_2083;

								BgL_idxz00_2083 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2077);
								BgL_test2028z00_3330 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2083 + 3L)) == BgL_classz00_2075);
							}
						else
							{	/* Fxop/walk.scm 112 */
								bool_t BgL_res1938z00_2108;

								{	/* Fxop/walk.scm 112 */
									obj_t BgL_oclassz00_2091;

									{	/* Fxop/walk.scm 112 */
										obj_t BgL_arg1866z00_2099;
										long BgL_arg1867z00_2100;

										BgL_arg1866z00_2099 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Fxop/walk.scm 112 */
											long BgL_arg1869z00_2101;

											BgL_arg1869z00_2101 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2077);
											BgL_arg1867z00_2100 = (BgL_arg1869z00_2101 - OBJECT_TYPE);
										}
										BgL_oclassz00_2091 =
											VECTOR_REF(BgL_arg1866z00_2099, BgL_arg1867z00_2100);
									}
									{	/* Fxop/walk.scm 112 */
										bool_t BgL__ortest_1115z00_2092;

										BgL__ortest_1115z00_2092 =
											(BgL_classz00_2075 == BgL_oclassz00_2091);
										if (BgL__ortest_1115z00_2092)
											{	/* Fxop/walk.scm 112 */
												BgL_res1938z00_2108 = BgL__ortest_1115z00_2092;
											}
										else
											{	/* Fxop/walk.scm 112 */
												long BgL_odepthz00_2093;

												{	/* Fxop/walk.scm 112 */
													obj_t BgL_arg1855z00_2094;

													BgL_arg1855z00_2094 = (BgL_oclassz00_2091);
													BgL_odepthz00_2093 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2094);
												}
												if ((3L < BgL_odepthz00_2093))
													{	/* Fxop/walk.scm 112 */
														obj_t BgL_arg1853z00_2096;

														{	/* Fxop/walk.scm 112 */
															obj_t BgL_arg1854z00_2097;

															BgL_arg1854z00_2097 = (BgL_oclassz00_2091);
															BgL_arg1853z00_2096 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2097,
																3L);
														}
														BgL_res1938z00_2108 =
															(BgL_arg1853z00_2096 == BgL_classz00_2075);
													}
												else
													{	/* Fxop/walk.scm 112 */
														BgL_res1938z00_2108 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2028z00_3330 = BgL_res1938z00_2108;
							}
					}
				}
				if (BgL_test2028z00_3330)
					{	/* Fxop/walk.scm 113 */
						obj_t BgL_vz00_1628;

						BgL_vz00_1628 =
							((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_exprz00_1625)))->
											BgL_funz00)))->BgL_variablez00));
						return (BgL_vz00_1628 == BGl_za2longzd2ze3bintza2z31zzfxop_walkz00);
					}
				else
					{	/* Fxop/walk.scm 112 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* fxop-double-int-letvar?~0 */
	obj_t BGl_fxopzd2doublezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1636, BgL_nodez00_bglt BgL_bodyz00_1637)
	{
		{	/* Fxop/walk.scm 136 */
			if ((bgl_list_length(BgL_bindingsz00_1636) == 2L))
				{	/* Fxop/walk.scm 128 */
					bool_t BgL_test2033z00_3362;

					{	/* Fxop/walk.scm 128 */
						bool_t BgL__ortest_1125z00_1645;

						{	/* Fxop/walk.scm 128 */
							bool_t BgL__ortest_1126z00_1653;

							{	/* Fxop/walk.scm 128 */
								obj_t BgL_arg1578z00_1659;

								{	/* Fxop/walk.scm 128 */
									obj_t BgL_pairz00_2152;

									BgL_pairz00_2152 = CAR(((obj_t) BgL_bindingsz00_1636));
									BgL_arg1578z00_1659 = CDR(BgL_pairz00_2152);
								}
								BgL__ortest_1126z00_1653 =
									BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
									(BgL_arg1578z00_1659);
							}
							if (BgL__ortest_1126z00_1653)
								{	/* Fxop/walk.scm 128 */
									BgL__ortest_1125z00_1645 = BgL__ortest_1126z00_1653;
								}
							else
								{	/* Fxop/walk.scm 129 */
									bool_t BgL__ortest_1127z00_1654;

									{	/* Fxop/walk.scm 129 */
										obj_t BgL_arg1574z00_1657;

										{
											BgL_typez00_bglt BgL_auxz00_3368;

											{
												BgL_variablez00_bglt BgL_auxz00_3369;

												{	/* Fxop/walk.scm 129 */
													obj_t BgL_pairz00_2156;

													BgL_pairz00_2156 =
														CAR(((obj_t) BgL_bindingsz00_1636));
													BgL_auxz00_3369 =
														((BgL_variablez00_bglt) CAR(BgL_pairz00_2156));
												}
												BgL_auxz00_3368 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3369))->
													BgL_typez00);
											}
											BgL_arg1574z00_1657 = ((obj_t) BgL_auxz00_3368);
										}
										BgL__ortest_1127z00_1654 =
											(BgL_arg1574z00_1657 == BGl_za2bintza2z00zztype_cachez00);
									}
									if (BgL__ortest_1127z00_1654)
										{	/* Fxop/walk.scm 129 */
											BgL__ortest_1125z00_1645 = BgL__ortest_1127z00_1654;
										}
									else
										{	/* Fxop/walk.scm 130 */
											obj_t BgL_arg1558z00_1655;

											{
												BgL_typez00_bglt BgL_auxz00_3378;

												{
													BgL_variablez00_bglt BgL_auxz00_3379;

													{	/* Fxop/walk.scm 130 */
														obj_t BgL_pairz00_2161;

														BgL_pairz00_2161 =
															CAR(((obj_t) BgL_bindingsz00_1636));
														BgL_auxz00_3379 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_2161));
													}
													BgL_auxz00_3378 =
														(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3379))->
														BgL_typez00);
												}
												BgL_arg1558z00_1655 = ((obj_t) BgL_auxz00_3378);
											}
											BgL__ortest_1125z00_1645 =
												(BgL_arg1558z00_1655 ==
												BGl_za2longza2z00zztype_cachez00);
										}
								}
						}
						if (BgL__ortest_1125z00_1645)
							{	/* Fxop/walk.scm 128 */
								BgL_test2033z00_3362 = BgL__ortest_1125z00_1645;
							}
						else
							{	/* Fxop/walk.scm 131 */
								bool_t BgL__ortest_1128z00_1646;

								{	/* Fxop/walk.scm 131 */
									obj_t BgL_arg1554z00_1652;

									{	/* Fxop/walk.scm 131 */
										obj_t BgL_pairz00_2168;

										{	/* Fxop/walk.scm 131 */
											obj_t BgL_pairz00_2167;

											BgL_pairz00_2167 = CDR(((obj_t) BgL_bindingsz00_1636));
											BgL_pairz00_2168 = CAR(BgL_pairz00_2167);
										}
										BgL_arg1554z00_1652 = CDR(BgL_pairz00_2168);
									}
									BgL__ortest_1128z00_1646 =
										BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
										(BgL_arg1554z00_1652);
								}
								if (BgL__ortest_1128z00_1646)
									{	/* Fxop/walk.scm 131 */
										BgL_test2033z00_3362 = BgL__ortest_1128z00_1646;
									}
								else
									{	/* Fxop/walk.scm 132 */
										bool_t BgL__ortest_1129z00_1647;

										{	/* Fxop/walk.scm 132 */
											obj_t BgL_arg1545z00_1650;

											{
												BgL_typez00_bglt BgL_auxz00_3394;

												{
													BgL_variablez00_bglt BgL_auxz00_3395;

													{	/* Fxop/walk.scm 132 */
														obj_t BgL_pairz00_2174;

														{	/* Fxop/walk.scm 132 */
															obj_t BgL_pairz00_2173;

															BgL_pairz00_2173 =
																CDR(((obj_t) BgL_bindingsz00_1636));
															BgL_pairz00_2174 = CAR(BgL_pairz00_2173);
														}
														BgL_auxz00_3395 =
															((BgL_variablez00_bglt) CAR(BgL_pairz00_2174));
													}
													BgL_auxz00_3394 =
														(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_3395))->
														BgL_typez00);
												}
												BgL_arg1545z00_1650 = ((obj_t) BgL_auxz00_3394);
											}
											BgL__ortest_1129z00_1647 =
												(BgL_arg1545z00_1650 ==
												BGl_za2bintza2z00zztype_cachez00);
										}
										if (BgL__ortest_1129z00_1647)
											{	/* Fxop/walk.scm 132 */
												BgL_test2033z00_3362 = BgL__ortest_1129z00_1647;
											}
										else
											{	/* Fxop/walk.scm 133 */
												obj_t BgL_arg1535z00_1648;

												{
													BgL_typez00_bglt BgL_auxz00_3405;

													{
														BgL_variablez00_bglt BgL_auxz00_3406;

														{	/* Fxop/walk.scm 133 */
															obj_t BgL_pairz00_2181;

															{	/* Fxop/walk.scm 133 */
																obj_t BgL_pairz00_2180;

																BgL_pairz00_2180 =
																	CDR(((obj_t) BgL_bindingsz00_1636));
																BgL_pairz00_2181 = CAR(BgL_pairz00_2180);
															}
															BgL_auxz00_3406 =
																((BgL_variablez00_bglt) CAR(BgL_pairz00_2181));
														}
														BgL_auxz00_3405 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_3406))->BgL_typez00);
													}
													BgL_arg1535z00_1648 = ((obj_t) BgL_auxz00_3405);
												}
												BgL_test2033z00_3362 =
													(BgL_arg1535z00_1648 ==
													BGl_za2longza2z00zztype_cachez00);
											}
									}
							}
					}
					if (BgL_test2033z00_3362)
						{	/* Fxop/walk.scm 134 */
							bool_t BgL_test2039z00_3415;

							{	/* Fxop/walk.scm 134 */
								obj_t BgL_classz00_2183;

								BgL_classz00_2183 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 134 */
									BgL_objectz00_bglt BgL_arg1858z00_2185;

									{	/* Fxop/walk.scm 134 */
										obj_t BgL_tmpz00_3416;

										BgL_tmpz00_3416 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1637));
										BgL_arg1858z00_2185 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3416);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Fxop/walk.scm 134 */
											long BgL_idxz00_2191;

											BgL_idxz00_2191 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2185);
											BgL_test2039z00_3415 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2191 + 3L)) == BgL_classz00_2183);
										}
									else
										{	/* Fxop/walk.scm 134 */
											bool_t BgL_res1940z00_2216;

											{	/* Fxop/walk.scm 134 */
												obj_t BgL_oclassz00_2199;

												{	/* Fxop/walk.scm 134 */
													obj_t BgL_arg1866z00_2207;
													long BgL_arg1867z00_2208;

													BgL_arg1866z00_2207 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Fxop/walk.scm 134 */
														long BgL_arg1869z00_2209;

														BgL_arg1869z00_2209 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2185);
														BgL_arg1867z00_2208 =
															(BgL_arg1869z00_2209 - OBJECT_TYPE);
													}
													BgL_oclassz00_2199 =
														VECTOR_REF(BgL_arg1866z00_2207,
														BgL_arg1867z00_2208);
												}
												{	/* Fxop/walk.scm 134 */
													bool_t BgL__ortest_1115z00_2200;

													BgL__ortest_1115z00_2200 =
														(BgL_classz00_2183 == BgL_oclassz00_2199);
													if (BgL__ortest_1115z00_2200)
														{	/* Fxop/walk.scm 134 */
															BgL_res1940z00_2216 = BgL__ortest_1115z00_2200;
														}
													else
														{	/* Fxop/walk.scm 134 */
															long BgL_odepthz00_2201;

															{	/* Fxop/walk.scm 134 */
																obj_t BgL_arg1855z00_2202;

																BgL_arg1855z00_2202 = (BgL_oclassz00_2199);
																BgL_odepthz00_2201 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2202);
															}
															if ((3L < BgL_odepthz00_2201))
																{	/* Fxop/walk.scm 134 */
																	obj_t BgL_arg1853z00_2204;

																	{	/* Fxop/walk.scm 134 */
																		obj_t BgL_arg1854z00_2205;

																		BgL_arg1854z00_2205 = (BgL_oclassz00_2199);
																		BgL_arg1853z00_2204 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2205, 3L);
																	}
																	BgL_res1940z00_2216 =
																		(BgL_arg1853z00_2204 == BgL_classz00_2183);
																}
															else
																{	/* Fxop/walk.scm 134 */
																	BgL_res1940z00_2216 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2039z00_3415 = BgL_res1940z00_2216;
										}
								}
							}
							if (BgL_test2039z00_3415)
								{	/* Fxop/walk.scm 134 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1637))
										{	/* Fxop/walk.scm 136 */
											obj_t BgL_arg1530z00_1643;

											{	/* Fxop/walk.scm 136 */
												obj_t BgL_pairz00_2218;

												BgL_pairz00_2218 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1637)))->
													BgL_argsz00);
												BgL_arg1530z00_1643 = CAR(BgL_pairz00_2218);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1530z00_1643);
										}
									else
										{	/* Fxop/walk.scm 135 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 134 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 128 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 127 */
					return BFALSE;
				}
		}

	}



/* fxop-simple-int-letvar?~0 */
	obj_t BGl_fxopzd2simplezd2intzd2letvarzf3ze70zc6zzfxop_walkz00(obj_t
		BgL_bindingsz00_1661, BgL_nodez00_bglt BgL_bodyz00_1662)
	{
		{	/* Fxop/walk.scm 147 */
			if ((bgl_list_length(BgL_bindingsz00_1661) == 1L))
				{	/* Fxop/walk.scm 144 */
					bool_t BgL_test2045z00_3448;

					{	/* Fxop/walk.scm 144 */
						obj_t BgL_arg1590z00_1670;

						{	/* Fxop/walk.scm 144 */
							obj_t BgL_pairz00_2223;

							BgL_pairz00_2223 = CAR(((obj_t) BgL_bindingsz00_1661));
							BgL_arg1590z00_1670 = CDR(BgL_pairz00_2223);
						}
						BgL_test2045z00_3448 =
							BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00(BgL_arg1590z00_1670);
					}
					if (BgL_test2045z00_3448)
						{	/* Fxop/walk.scm 145 */
							bool_t BgL_test2046z00_3453;

							{	/* Fxop/walk.scm 145 */
								obj_t BgL_classz00_2224;

								BgL_classz00_2224 = BGl_appz00zzast_nodez00;
								{	/* Fxop/walk.scm 145 */
									BgL_objectz00_bglt BgL_arg1858z00_2226;

									{	/* Fxop/walk.scm 145 */
										obj_t BgL_tmpz00_3454;

										BgL_tmpz00_3454 =
											((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1662));
										BgL_arg1858z00_2226 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3454);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Fxop/walk.scm 145 */
											long BgL_idxz00_2232;

											BgL_idxz00_2232 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2226);
											BgL_test2046z00_3453 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2232 + 3L)) == BgL_classz00_2224);
										}
									else
										{	/* Fxop/walk.scm 145 */
											bool_t BgL_res1941z00_2257;

											{	/* Fxop/walk.scm 145 */
												obj_t BgL_oclassz00_2240;

												{	/* Fxop/walk.scm 145 */
													obj_t BgL_arg1866z00_2248;
													long BgL_arg1867z00_2249;

													BgL_arg1866z00_2248 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Fxop/walk.scm 145 */
														long BgL_arg1869z00_2250;

														BgL_arg1869z00_2250 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2226);
														BgL_arg1867z00_2249 =
															(BgL_arg1869z00_2250 - OBJECT_TYPE);
													}
													BgL_oclassz00_2240 =
														VECTOR_REF(BgL_arg1866z00_2248,
														BgL_arg1867z00_2249);
												}
												{	/* Fxop/walk.scm 145 */
													bool_t BgL__ortest_1115z00_2241;

													BgL__ortest_1115z00_2241 =
														(BgL_classz00_2224 == BgL_oclassz00_2240);
													if (BgL__ortest_1115z00_2241)
														{	/* Fxop/walk.scm 145 */
															BgL_res1941z00_2257 = BgL__ortest_1115z00_2241;
														}
													else
														{	/* Fxop/walk.scm 145 */
															long BgL_odepthz00_2242;

															{	/* Fxop/walk.scm 145 */
																obj_t BgL_arg1855z00_2243;

																BgL_arg1855z00_2243 = (BgL_oclassz00_2240);
																BgL_odepthz00_2242 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2243);
															}
															if ((3L < BgL_odepthz00_2242))
																{	/* Fxop/walk.scm 145 */
																	obj_t BgL_arg1853z00_2245;

																	{	/* Fxop/walk.scm 145 */
																		obj_t BgL_arg1854z00_2246;

																		BgL_arg1854z00_2246 = (BgL_oclassz00_2240);
																		BgL_arg1853z00_2245 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2246, 3L);
																	}
																	BgL_res1941z00_2257 =
																		(BgL_arg1853z00_2245 == BgL_classz00_2224);
																}
															else
																{	/* Fxop/walk.scm 145 */
																	BgL_res1941z00_2257 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2046z00_3453 = BgL_res1941z00_2257;
										}
								}
							}
							if (BgL_test2046z00_3453)
								{	/* Fxop/walk.scm 145 */
									if (BGl_longzd2ze3bintzf3ze70z25zzfxop_walkz00
										(BgL_bodyz00_1662))
										{	/* Fxop/walk.scm 147 */
											obj_t BgL_arg1587z00_1668;

											{	/* Fxop/walk.scm 147 */
												obj_t BgL_pairz00_2259;

												BgL_pairz00_2259 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_bodyz00_1662)))->
													BgL_argsz00);
												BgL_arg1587z00_1668 = CAR(BgL_pairz00_2259);
											}
											return
												BGl_findzd2fxopze70z35zzfxop_walkz00
												(BgL_arg1587z00_1668);
										}
									else
										{	/* Fxop/walk.scm 146 */
											return BFALSE;
										}
								}
							else
								{	/* Fxop/walk.scm 145 */
									return BFALSE;
								}
						}
					else
						{	/* Fxop/walk.scm 144 */
							return BFALSE;
						}
				}
			else
				{	/* Fxop/walk.scm 143 */
					return BFALSE;
				}
		}

	}



/* fxop-bool-letvar?~0 */
	obj_t BGl_fxopzd2boolzd2letvarzf3ze70z14zzfxop_walkz00(obj_t
		BgL_bindingsz00_1672, BgL_nodez00_bglt BgL_bodyz00_1673)
	{
		{	/* Fxop/walk.scm 158 */
			{	/* Fxop/walk.scm 154 */
				bool_t BgL_test2051z00_3483;

				{	/* Fxop/walk.scm 154 */
					obj_t BgL_classz00_2260;

					BgL_classz00_2260 = BGl_appz00zzast_nodez00;
					{	/* Fxop/walk.scm 154 */
						BgL_objectz00_bglt BgL_arg1858z00_2262;

						{	/* Fxop/walk.scm 154 */
							obj_t BgL_tmpz00_3484;

							BgL_tmpz00_3484 =
								((obj_t) ((BgL_objectz00_bglt) BgL_bodyz00_1673));
							BgL_arg1858z00_2262 = (BgL_objectz00_bglt) (BgL_tmpz00_3484);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Fxop/walk.scm 154 */
								long BgL_idxz00_2268;

								BgL_idxz00_2268 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2262);
								BgL_test2051z00_3483 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2268 + 3L)) == BgL_classz00_2260);
							}
						else
							{	/* Fxop/walk.scm 154 */
								bool_t BgL_res1942z00_2293;

								{	/* Fxop/walk.scm 154 */
									obj_t BgL_oclassz00_2276;

									{	/* Fxop/walk.scm 154 */
										obj_t BgL_arg1866z00_2284;
										long BgL_arg1867z00_2285;

										BgL_arg1866z00_2284 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Fxop/walk.scm 154 */
											long BgL_arg1869z00_2286;

											BgL_arg1869z00_2286 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2262);
											BgL_arg1867z00_2285 = (BgL_arg1869z00_2286 - OBJECT_TYPE);
										}
										BgL_oclassz00_2276 =
											VECTOR_REF(BgL_arg1866z00_2284, BgL_arg1867z00_2285);
									}
									{	/* Fxop/walk.scm 154 */
										bool_t BgL__ortest_1115z00_2277;

										BgL__ortest_1115z00_2277 =
											(BgL_classz00_2260 == BgL_oclassz00_2276);
										if (BgL__ortest_1115z00_2277)
											{	/* Fxop/walk.scm 154 */
												BgL_res1942z00_2293 = BgL__ortest_1115z00_2277;
											}
										else
											{	/* Fxop/walk.scm 154 */
												long BgL_odepthz00_2278;

												{	/* Fxop/walk.scm 154 */
													obj_t BgL_arg1855z00_2279;

													BgL_arg1855z00_2279 = (BgL_oclassz00_2276);
													BgL_odepthz00_2278 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2279);
												}
												if ((3L < BgL_odepthz00_2278))
													{	/* Fxop/walk.scm 154 */
														obj_t BgL_arg1853z00_2281;

														{	/* Fxop/walk.scm 154 */
															obj_t BgL_arg1854z00_2282;

															BgL_arg1854z00_2282 = (BgL_oclassz00_2276);
															BgL_arg1853z00_2281 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2282,
																3L);
														}
														BgL_res1942z00_2293 =
															(BgL_arg1853z00_2281 == BgL_classz00_2260);
													}
												else
													{	/* Fxop/walk.scm 154 */
														BgL_res1942z00_2293 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2051z00_3483 = BgL_res1942z00_2293;
							}
					}
				}
				if (BgL_test2051z00_3483)
					{	/* Fxop/walk.scm 154 */
						if ((bgl_list_length(BgL_bindingsz00_1672) == 2L))
							{	/* Fxop/walk.scm 156 */
								bool_t BgL_test2056z00_3510;

								{	/* Fxop/walk.scm 156 */
									bool_t BgL_test2057z00_3511;

									{	/* Fxop/walk.scm 156 */
										obj_t BgL_arg1612z00_1682;

										{	/* Fxop/walk.scm 156 */
											obj_t BgL_pairz00_2298;

											BgL_pairz00_2298 = CAR(((obj_t) BgL_bindingsz00_1672));
											BgL_arg1612z00_1682 = CDR(BgL_pairz00_2298);
										}
										BgL_test2057z00_3511 =
											BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
											(BgL_arg1612z00_1682);
									}
									if (BgL_test2057z00_3511)
										{	/* Fxop/walk.scm 157 */
											obj_t BgL_arg1611z00_1681;

											{	/* Fxop/walk.scm 157 */
												obj_t BgL_pairz00_2304;

												{	/* Fxop/walk.scm 157 */
													obj_t BgL_pairz00_2303;

													BgL_pairz00_2303 =
														CDR(((obj_t) BgL_bindingsz00_1672));
													BgL_pairz00_2304 = CAR(BgL_pairz00_2303);
												}
												BgL_arg1611z00_1681 = CDR(BgL_pairz00_2304);
											}
											BgL_test2056z00_3510 =
												BGl_bintzd2ze3longzf3ze70z25zzfxop_walkz00
												(BgL_arg1611z00_1681);
										}
									else
										{	/* Fxop/walk.scm 156 */
											BgL_test2056z00_3510 = ((bool_t) 0);
										}
								}
								if (BgL_test2056z00_3510)
									{	/* Fxop/walk.scm 158 */
										obj_t BgL_arg1597z00_1678;

										{	/* Fxop/walk.scm 158 */
											obj_t BgL_pairz00_2306;

											BgL_pairz00_2306 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bodyz00_1673)))->
												BgL_argsz00);
											BgL_arg1597z00_1678 = CAR(BgL_pairz00_2306);
										}
										return
											BGl_findzd2fxopze70z35zzfxop_walkz00(BgL_arg1597z00_1678);
									}
								else
									{	/* Fxop/walk.scm 156 */
										return BFALSE;
									}
							}
						else
							{	/* Fxop/walk.scm 155 */
								return BFALSE;
							}
					}
				else
					{	/* Fxop/walk.scm 154 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzfxop_walkz00(void)
	{
		{	/* Fxop/walk.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1963z00zzfxop_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
