/*===========================================================================*/
/*   (Globalize/globalize.scm)                                               */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/globalize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_GLOBALIZE_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_GLOBALIZE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_GLOBALIZE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern BgL_globalz00_bglt
		BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
		(BgL_localz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00 =
		BUNSPEC;
	extern BgL_globalz00_bglt
		BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00(void);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_globaliza7ez00(void);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_globaliza7ez00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t
		BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
		(BgL_globalz00_bglt, obj_t);
	static bool_t BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00(void);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_globaliza7ez00(void);
	extern BgL_nodez00_bglt
		BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	extern obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(BgL_globalz00_bglt);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00(void);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00(void);
	static obj_t BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00(obj_t,
		obj_t);
	extern obj_t BGl_Gnz12z12zzglobaliza7e_gnza7(obj_t, BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1634z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1634za700za7za7g1641za7, ": ", 2);
	      DEFINE_STRING(BGl_string1635z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1635za700za7za7g1642za7, "        ", 8);
	      DEFINE_STRING(BGl_string1636z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1636za700za7za7g1643za7, " ==>", 4);
	      DEFINE_STRING(BGl_string1637z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1637za700za7za7g1644za7, "           ", 11);
	      DEFINE_STRING(BGl_string1638z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1638za700za7za7g1645za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1639z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1639za700za7za7g1646za7, " -->", 4);
	      DEFINE_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00,
		BgL_bgl_string1640za700za7za7g1647za7, "globalize_globalize", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globaliza7ez12zd2envz67zzglobaliza7e_globaliza7ez00,
		BgL_bgl_za762globaliza7a7eza711648za7,
		BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00));
		     ADD_ROOT((void *) (&BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long
		BgL_checksumz00_2200, char *BgL_fromz00_2201)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_globaliza7ez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00();
					return BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_globalize");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_globalize");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BNIL;
			BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
			return (BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BNIL, BUNSPEC);
		}

	}



/* globalize! */
	BGL_EXPORTED_DEF obj_t
		BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(BgL_globalz00_bglt
		BgL_globalz00_3)
	{
		{	/* Globalize/globalize.scm 50 */
			{	/* Globalize/globalize.scm 57 */
				bool_t BgL_test1650z00_2217;

				if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
					{	/* Globalize/globalize.scm 57 */
						BgL_test1650z00_2217 =
							(3L <= (long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
					}
				else
					{	/* Globalize/globalize.scm 57 */
						BgL_test1650z00_2217 =
							BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
							BGl_za2verboseza2z00zzengine_paramz00);
					}
				if (BgL_test1650z00_2217)
					{	/* Globalize/globalize.scm 57 */
						obj_t BgL_arg1271z00_1716;

						BgL_arg1271z00_1716 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_3));
						{	/* Globalize/globalize.scm 57 */
							obj_t BgL_list1272z00_1717;

							{	/* Globalize/globalize.scm 57 */
								obj_t BgL_arg1273z00_1718;

								{	/* Globalize/globalize.scm 57 */
									obj_t BgL_arg1274z00_1719;

									{	/* Globalize/globalize.scm 57 */
										obj_t BgL_arg1275z00_1720;

										BgL_arg1275z00_1720 =
											MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
										BgL_arg1274z00_1719 =
											MAKE_YOUNG_PAIR
											(BGl_string1634z00zzglobaliza7e_globaliza7ez00,
											BgL_arg1275z00_1720);
									}
									BgL_arg1273z00_1718 =
										MAKE_YOUNG_PAIR(BgL_arg1271z00_1716, BgL_arg1274z00_1719);
								}
								BgL_list1272z00_1717 =
									MAKE_YOUNG_PAIR(BGl_string1635z00zzglobaliza7e_globaliza7ez00,
									BgL_arg1273z00_1718);
							}
							BGl_verbosez00zztools_speekz00(BINT(3L), BgL_list1272z00_1717);
					}}
				else
					{	/* Globalize/globalize.scm 57 */
						BUNSPEC;
					}
			}
			{	/* Globalize/globalize.scm 58 */
				BgL_valuez00_bglt BgL_funz00_1722;

				BgL_funz00_1722 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_3)))->BgL_valuez00);
				BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00 = BNIL;
				{	/* Globalize/globalize.scm 62 */
					obj_t BgL_arg1276z00_1723;
					obj_t BgL_arg1277z00_1724;

					BgL_arg1276z00_1723 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1722)))->BgL_argsz00);
					BgL_arg1277z00_1724 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1722)))->BgL_bodyz00);
					BGl_Gnz12z12zzglobaliza7e_gnza7(BgL_arg1276z00_1723,
						((BgL_nodez00_bglt) BgL_arg1277z00_1724),
						((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
				}
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_3,
					BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00,
					BGl_za2G0za2z00zzglobaliza7e_globaliza7ez00,
					BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00);
				{	/* Globalize/globalize.scm 73 */
					obj_t BgL_gz00_1725;

					{
						obj_t BgL_g1z00_1751;
						obj_t BgL_gz00_1752;

						BgL_g1z00_1751 = BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
						BgL_gz00_1752 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
					BgL_zc3z04anonymousza31295ze3z87_1753:
						if (NULLP(BgL_g1z00_1751))
							{	/* Globalize/globalize.scm 76 */
								BgL_gz00_1725 = BgL_gz00_1752;
							}
						else
							{	/* Globalize/globalize.scm 78 */
								bool_t BgL_test1655z00_2245;

								{	/* Globalize/globalize.scm 78 */
									obj_t BgL_arg1305z00_1763;

									{	/* Globalize/globalize.scm 78 */
										BgL_sfunz00_bglt BgL_oz00_2023;

										BgL_oz00_2023 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_g1z00_1751))))))->BgL_valuez00));
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2252;

											{
												obj_t BgL_auxz00_2253;

												{	/* Globalize/globalize.scm 78 */
													BgL_objectz00_bglt BgL_tmpz00_2254;

													BgL_tmpz00_2254 =
														((BgL_objectz00_bglt) BgL_oz00_2023);
													BgL_auxz00_2253 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2254);
												}
												BgL_auxz00_2252 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2253);
											}
											BgL_arg1305z00_1763 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2252))->
												BgL_integratorz00);
										}
									}
									{	/* Globalize/globalize.scm 78 */
										obj_t BgL_classz00_2025;

										BgL_classz00_2025 = BGl_variablez00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1305z00_1763))
											{	/* Globalize/globalize.scm 78 */
												BgL_objectz00_bglt BgL_arg1858z00_2027;

												BgL_arg1858z00_2027 =
													(BgL_objectz00_bglt) (BgL_arg1305z00_1763);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/globalize.scm 78 */
														long BgL_idxz00_2033;

														BgL_idxz00_2033 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2027);
														BgL_test1655z00_2245 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2033 + 1L)) == BgL_classz00_2025);
													}
												else
													{	/* Globalize/globalize.scm 78 */
														bool_t BgL_res1627z00_2058;

														{	/* Globalize/globalize.scm 78 */
															obj_t BgL_oclassz00_2041;

															{	/* Globalize/globalize.scm 78 */
																obj_t BgL_arg1866z00_2049;
																long BgL_arg1867z00_2050;

																BgL_arg1866z00_2049 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Globalize/globalize.scm 78 */
																	long BgL_arg1869z00_2051;

																	BgL_arg1869z00_2051 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2027);
																	BgL_arg1867z00_2050 =
																		(BgL_arg1869z00_2051 - OBJECT_TYPE);
																}
																BgL_oclassz00_2041 =
																	VECTOR_REF(BgL_arg1866z00_2049,
																	BgL_arg1867z00_2050);
															}
															{	/* Globalize/globalize.scm 78 */
																bool_t BgL__ortest_1115z00_2042;

																BgL__ortest_1115z00_2042 =
																	(BgL_classz00_2025 == BgL_oclassz00_2041);
																if (BgL__ortest_1115z00_2042)
																	{	/* Globalize/globalize.scm 78 */
																		BgL_res1627z00_2058 =
																			BgL__ortest_1115z00_2042;
																	}
																else
																	{	/* Globalize/globalize.scm 78 */
																		long BgL_odepthz00_2043;

																		{	/* Globalize/globalize.scm 78 */
																			obj_t BgL_arg1855z00_2044;

																			BgL_arg1855z00_2044 =
																				(BgL_oclassz00_2041);
																			BgL_odepthz00_2043 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2044);
																		}
																		if ((1L < BgL_odepthz00_2043))
																			{	/* Globalize/globalize.scm 78 */
																				obj_t BgL_arg1853z00_2046;

																				{	/* Globalize/globalize.scm 78 */
																					obj_t BgL_arg1854z00_2047;

																					BgL_arg1854z00_2047 =
																						(BgL_oclassz00_2041);
																					BgL_arg1853z00_2046 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2047, 1L);
																				}
																				BgL_res1627z00_2058 =
																					(BgL_arg1853z00_2046 ==
																					BgL_classz00_2025);
																			}
																		else
																			{	/* Globalize/globalize.scm 78 */
																				BgL_res1627z00_2058 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1655z00_2245 = BgL_res1627z00_2058;
													}
											}
										else
											{	/* Globalize/globalize.scm 78 */
												BgL_test1655z00_2245 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test1655z00_2245)
									{	/* Globalize/globalize.scm 79 */
										obj_t BgL_arg1301z00_1759;

										BgL_arg1301z00_1759 = CDR(((obj_t) BgL_g1z00_1751));
										{
											obj_t BgL_g1z00_2283;

											BgL_g1z00_2283 = BgL_arg1301z00_1759;
											BgL_g1z00_1751 = BgL_g1z00_2283;
											goto BgL_zc3z04anonymousza31295ze3z87_1753;
										}
									}
								else
									{	/* Globalize/globalize.scm 81 */
										obj_t BgL_arg1302z00_1760;
										obj_t BgL_arg1303z00_1761;

										BgL_arg1302z00_1760 = CDR(((obj_t) BgL_g1z00_1751));
										{	/* Globalize/globalize.scm 81 */
											obj_t BgL_arg1304z00_1762;

											BgL_arg1304z00_1762 = CAR(((obj_t) BgL_g1z00_1751));
											BgL_arg1303z00_1761 =
												MAKE_YOUNG_PAIR(BgL_arg1304z00_1762, BgL_gz00_1752);
										}
										{
											obj_t BgL_gz00_2290;
											obj_t BgL_g1z00_2289;

											BgL_g1z00_2289 = BgL_arg1302z00_1760;
											BgL_gz00_2290 = BgL_arg1303z00_1761;
											BgL_gz00_1752 = BgL_gz00_2290;
											BgL_g1z00_1751 = BgL_g1z00_2289;
											goto BgL_zc3z04anonymousza31295ze3z87_1753;
										}
									}
							}
					}
					BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00();
					BGl_setzd2globaliza7edzd2newzd2bodiesz12z67zzglobaliza7e_newzd2bodyz75
						(BgL_globalz00_3, BgL_gz00_1725);
					BGl_setzd2kapturedz12zc0zzglobaliza7e_kaptureza7(BgL_gz00_1725);
					{	/* Globalize/globalize.scm 91 */
						obj_t BgL_g1112z00_1726;

						{	/* Globalize/globalize.scm 92 */
							bool_t BgL_test1661z00_2294;

							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_2295;

								{
									obj_t BgL_auxz00_2296;

									{	/* Globalize/globalize.scm 92 */
										BgL_objectz00_bglt BgL_tmpz00_2297;

										BgL_tmpz00_2297 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_3));
										BgL_auxz00_2296 = BGL_OBJECT_WIDENING(BgL_tmpz00_2297);
									}
									BgL_auxz00_2295 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_2296);
								}
								BgL_test1661z00_2294 =
									(((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2295))->
									BgL_escapezf3zf3);
							}
							if (BgL_test1661z00_2294)
								{	/* Globalize/globalize.scm 93 */
									BgL_globalz00_bglt BgL_cloz00_1740;

									{	/* Globalize/globalize.scm 94 */
										obj_t BgL_arg1292z00_1747;

										BgL_arg1292z00_1747 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_1722)))->
															BgL_bodyz00))))->BgL_locz00);
										BgL_cloz00_1740 =
											BGl_globalzd2closurezd2zzglobaliza7e_globalzd2closurez75
											(BgL_globalz00_3, BgL_arg1292z00_1747);
									}
									{	/* Globalize/globalize.scm 95 */
										bool_t BgL_test1662z00_2308;

										if (BGl_globalzd2optionalzf3z21zzast_varz00(
												((obj_t) BgL_globalz00_3)))
											{	/* Globalize/globalize.scm 95 */
												BgL_test1662z00_2308 = ((bool_t) 1);
											}
										else
											{	/* Globalize/globalize.scm 95 */
												BgL_test1662z00_2308 =
													BGl_globalzd2keyzf3z21zzast_varz00(
													((obj_t) BgL_globalz00_3));
											}
										if (BgL_test1662z00_2308)
											{	/* Globalize/globalize.scm 101 */
												obj_t BgL_list1289z00_1743;

												BgL_list1289z00_1743 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
												BgL_g1112z00_1726 = BgL_list1289z00_1743;
											}
										else
											{	/* Globalize/globalize.scm 102 */
												obj_t BgL_list1290z00_1744;

												{	/* Globalize/globalize.scm 102 */
													obj_t BgL_arg1291z00_1745;

													BgL_arg1291z00_1745 =
														MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
													BgL_list1290z00_1744 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_cloz00_1740), BgL_arg1291z00_1745);
												}
												BgL_g1112z00_1726 = BgL_list1290z00_1744;
											}
									}
								}
							else
								{	/* Globalize/globalize.scm 103 */
									obj_t BgL_list1294z00_1749;

									BgL_list1294z00_1749 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BNIL);
									BgL_g1112z00_1726 = BgL_list1294z00_1749;
								}
						}
						{
							obj_t BgL_gz00_1728;
							obj_t BgL_newzd2gzd2_1729;

							BgL_gz00_1728 = BgL_gz00_1725;
							BgL_newzd2gzd2_1729 = BgL_g1112z00_1726;
						BgL_zc3z04anonymousza31278ze3z87_1730:
							if (NULLP(BgL_gz00_1728))
								{	/* Globalize/globalize.scm 106 */
									BgL_nodez00_bglt BgL_bodyz00_1732;

									{	/* Globalize/globalize.scm 106 */
										obj_t BgL_arg1280z00_1733;

										BgL_arg1280z00_1733 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_1722)))->BgL_bodyz00);
										BgL_bodyz00_1732 =
											BGl_nodezd2globaliza7ez12z67zzglobaliza7e_nodeza7(
											((BgL_nodez00_bglt) BgL_arg1280z00_1733),
											((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_1722)))->BgL_bodyz00) =
										((obj_t) ((obj_t) BgL_bodyz00_1732)), BUNSPEC);
									return BgL_newzd2gzd2_1729;
								}
							else
								{	/* Globalize/globalize.scm 110 */
									obj_t BgL_arg1281z00_1734;
									obj_t BgL_arg1282z00_1735;

									BgL_arg1281z00_1734 = CDR(((obj_t) BgL_gz00_1728));
									{	/* Globalize/globalize.scm 110 */
										BgL_globalz00_bglt BgL_arg1284z00_1736;

										{	/* Globalize/globalize.scm 110 */
											obj_t BgL_arg1285z00_1737;

											BgL_arg1285z00_1737 = CAR(((obj_t) BgL_gz00_1728));
											BgL_arg1284z00_1736 =
												BGl_localzd2ze3globalz31zzglobaliza7e_localzd2ze3globalz96
												(((BgL_localz00_bglt) BgL_arg1285z00_1737));
										}
										BgL_arg1282z00_1735 =
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1284z00_1736), BgL_newzd2gzd2_1729);
									}
									{
										obj_t BgL_newzd2gzd2_2341;
										obj_t BgL_gz00_2340;

										BgL_gz00_2340 = BgL_arg1281z00_1734;
										BgL_newzd2gzd2_2341 = BgL_arg1282z00_1735;
										BgL_newzd2gzd2_1729 = BgL_newzd2gzd2_2341;
										BgL_gz00_1728 = BgL_gz00_2340;
										goto BgL_zc3z04anonymousza31278ze3z87_1730;
									}
								}
						}
					}
				}
			}
		}

	}



/* &globalize! */
	obj_t BGl_z62globaliza7ez12zd7zzglobaliza7e_globaliza7ez00(obj_t
		BgL_envz00_2198, obj_t BgL_globalz00_2199)
	{
		{	/* Globalize/globalize.scm 50 */
			return
				BGl_globaliza7ez12zb5zzglobaliza7e_globaliza7ez00(
				((BgL_globalz00_bglt) BgL_globalz00_2199));
		}

	}



/* verb-globalization */
	bool_t BGl_verbzd2globaliza7ationz75zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 115 */
			{
				obj_t BgL_l1251z00_1768;

				BgL_l1251z00_1768 = BGl_za2Eza2z00zzglobaliza7e_globaliza7ez00;
			BgL_zc3z04anonymousza31311ze3z87_1769:
				if (PAIRP(BgL_l1251z00_1768))
					{	/* Globalize/globalize.scm 116 */
						{	/* Globalize/globalize.scm 117 */
							obj_t BgL_localz00_1771;

							BgL_localz00_1771 = CAR(BgL_l1251z00_1768);
							{	/* Globalize/globalize.scm 117 */
								bool_t BgL_test1666z00_2347;

								if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
									{	/* Globalize/globalize.scm 117 */
										BgL_test1666z00_2347 =
											(3L <=
											(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
									}
								else
									{	/* Globalize/globalize.scm 117 */
										BgL_test1666z00_2347 =
											BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
											BGl_za2verboseza2z00zzengine_paramz00);
									}
								if (BgL_test1666z00_2347)
									{	/* Globalize/globalize.scm 117 */
										bool_t BgL_test1668z00_2354;

										if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
											{	/* Globalize/globalize.scm 117 */
												BgL_test1668z00_2354 =
													(3L <=
													(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
											}
										else
											{	/* Globalize/globalize.scm 117 */
												BgL_test1668z00_2354 =
													BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
													BGl_za2verboseza2z00zzengine_paramz00);
											}
										if (BgL_test1668z00_2354)
											{	/* Globalize/globalize.scm 117 */
												obj_t BgL_arg1317z00_1778;

												BgL_arg1317z00_1778 =
													BGl_shapez00zztools_shapez00(BgL_localz00_1771);
												{	/* Globalize/globalize.scm 117 */
													obj_t BgL_list1318z00_1779;

													{	/* Globalize/globalize.scm 117 */
														obj_t BgL_arg1319z00_1780;

														{	/* Globalize/globalize.scm 117 */
															obj_t BgL_arg1320z00_1781;

															{	/* Globalize/globalize.scm 117 */
																obj_t BgL_arg1321z00_1782;

																BgL_arg1321z00_1782 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1320z00_1781 =
																	MAKE_YOUNG_PAIR
																	(BGl_string1636z00zzglobaliza7e_globaliza7ez00,
																	BgL_arg1321z00_1782);
															}
															BgL_arg1319z00_1780 =
																MAKE_YOUNG_PAIR(BgL_arg1317z00_1778,
																BgL_arg1320z00_1781);
														}
														BgL_list1318z00_1779 =
															MAKE_YOUNG_PAIR
															(BGl_string1637z00zzglobaliza7e_globaliza7ez00,
															BgL_arg1319z00_1780);
													}
													BGl_verbosez00zztools_speekz00(BINT(3L),
														BgL_list1318z00_1779);
											}}
										else
											{	/* Globalize/globalize.scm 117 */
												BUNSPEC;
											}
									}
								else
									{	/* Globalize/globalize.scm 117 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1251z00_2369;

							BgL_l1251z00_2369 = CDR(BgL_l1251z00_1768);
							BgL_l1251z00_1768 = BgL_l1251z00_2369;
							goto BgL_zc3z04anonymousza31311ze3z87_1769;
						}
					}
				else
					{	/* Globalize/globalize.scm 116 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1254z00_1788;

				BgL_l1254z00_1788 = BGl_za2G1za2z00zzglobaliza7e_globaliza7ez00;
			BgL_zc3z04anonymousza31323ze3z87_1789:
				if (PAIRP(BgL_l1254z00_1788))
					{	/* Globalize/globalize.scm 119 */
						{	/* Globalize/globalize.scm 120 */
							obj_t BgL_localz00_1791;

							BgL_localz00_1791 = CAR(BgL_l1254z00_1788);
							{	/* Globalize/globalize.scm 120 */
								BgL_valuez00_bglt BgL_sfunzf2ginfozf2_1792;

								BgL_sfunzf2ginfozf2_1792 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1791))))->
									BgL_valuez00);
								{	/* Globalize/globalize.scm 121 */
									bool_t BgL_test1671z00_2377;

									{	/* Globalize/globalize.scm 121 */
										obj_t BgL_arg1361z00_1824;

										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2378;

											{
												obj_t BgL_auxz00_2379;

												{	/* Globalize/globalize.scm 121 */
													BgL_objectz00_bglt BgL_tmpz00_2380;

													BgL_tmpz00_2380 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunzf2ginfozf2_1792));
													BgL_auxz00_2379 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2380);
												}
												BgL_auxz00_2378 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2379);
											}
											BgL_arg1361z00_1824 =
												(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2378))->
												BgL_integratorz00);
										}
										{	/* Globalize/globalize.scm 121 */
											obj_t BgL_classz00_2083;

											BgL_classz00_2083 = BGl_localz00zzast_varz00;
											if (BGL_OBJECTP(BgL_arg1361z00_1824))
												{	/* Globalize/globalize.scm 121 */
													BgL_objectz00_bglt BgL_arg1858z00_2085;

													BgL_arg1858z00_2085 =
														(BgL_objectz00_bglt) (BgL_arg1361z00_1824);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Globalize/globalize.scm 121 */
															long BgL_idxz00_2091;

															BgL_idxz00_2091 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2085);
															BgL_test1671z00_2377 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2091 + 2L)) == BgL_classz00_2083);
														}
													else
														{	/* Globalize/globalize.scm 121 */
															bool_t BgL_res1631z00_2116;

															{	/* Globalize/globalize.scm 121 */
																obj_t BgL_oclassz00_2099;

																{	/* Globalize/globalize.scm 121 */
																	obj_t BgL_arg1866z00_2107;
																	long BgL_arg1867z00_2108;

																	BgL_arg1866z00_2107 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Globalize/globalize.scm 121 */
																		long BgL_arg1869z00_2109;

																		BgL_arg1869z00_2109 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2085);
																		BgL_arg1867z00_2108 =
																			(BgL_arg1869z00_2109 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2099 =
																		VECTOR_REF(BgL_arg1866z00_2107,
																		BgL_arg1867z00_2108);
																}
																{	/* Globalize/globalize.scm 121 */
																	bool_t BgL__ortest_1115z00_2100;

																	BgL__ortest_1115z00_2100 =
																		(BgL_classz00_2083 == BgL_oclassz00_2099);
																	if (BgL__ortest_1115z00_2100)
																		{	/* Globalize/globalize.scm 121 */
																			BgL_res1631z00_2116 =
																				BgL__ortest_1115z00_2100;
																		}
																	else
																		{	/* Globalize/globalize.scm 121 */
																			long BgL_odepthz00_2101;

																			{	/* Globalize/globalize.scm 121 */
																				obj_t BgL_arg1855z00_2102;

																				BgL_arg1855z00_2102 =
																					(BgL_oclassz00_2099);
																				BgL_odepthz00_2101 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2102);
																			}
																			if ((2L < BgL_odepthz00_2101))
																				{	/* Globalize/globalize.scm 121 */
																					obj_t BgL_arg1853z00_2104;

																					{	/* Globalize/globalize.scm 121 */
																						obj_t BgL_arg1854z00_2105;

																						BgL_arg1854z00_2105 =
																							(BgL_oclassz00_2099);
																						BgL_arg1853z00_2104 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2105, 2L);
																					}
																					BgL_res1631z00_2116 =
																						(BgL_arg1853z00_2104 ==
																						BgL_classz00_2083);
																				}
																			else
																				{	/* Globalize/globalize.scm 121 */
																					BgL_res1631z00_2116 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1671z00_2377 = BgL_res1631z00_2116;
														}
												}
											else
												{	/* Globalize/globalize.scm 121 */
													BgL_test1671z00_2377 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test1671z00_2377)
										{	/* Globalize/globalize.scm 122 */
											bool_t BgL_test1678z00_2408;

											if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
												{	/* Globalize/globalize.scm 122 */
													BgL_test1678z00_2408 =
														(3L <=
														(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
												}
											else
												{	/* Globalize/globalize.scm 122 */
													BgL_test1678z00_2408 =
														BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
														BGl_za2verboseza2z00zzengine_paramz00);
												}
											if (BgL_test1678z00_2408)
												{	/* Globalize/globalize.scm 122 */
													bool_t BgL_test1680z00_2415;

													if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
														{	/* Globalize/globalize.scm 122 */
															BgL_test1680z00_2415 =
																(3L <=
																(long)
																CINT(BGl_za2verboseza2z00zzengine_paramz00));
														}
													else
														{	/* Globalize/globalize.scm 122 */
															BgL_test1680z00_2415 =
																BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
																BGl_za2verboseza2z00zzengine_paramz00);
														}
													if (BgL_test1680z00_2415)
														{	/* Globalize/globalize.scm 123 */
															obj_t BgL_arg1332z00_1801;
															obj_t BgL_arg1333z00_1802;

															BgL_arg1332z00_1801 =
																BGl_shapez00zztools_shapez00(BgL_localz00_1791);
															{	/* Globalize/globalize.scm 125 */
																obj_t BgL_arg1341z00_1808;

																{
																	BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2423;

																	{
																		obj_t BgL_auxz00_2424;

																		{	/* Globalize/globalize.scm 125 */
																			BgL_objectz00_bglt BgL_tmpz00_2425;

																			BgL_tmpz00_2425 =
																				((BgL_objectz00_bglt)
																				((BgL_sfunz00_bglt)
																					BgL_sfunzf2ginfozf2_1792));
																			BgL_auxz00_2424 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_2425);
																		}
																		BgL_auxz00_2423 =
																			((BgL_sfunzf2ginfozf2_bglt)
																			BgL_auxz00_2424);
																	}
																	BgL_arg1341z00_1808 =
																		(((BgL_sfunzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_2423))->
																		BgL_integratorz00);
																}
																BgL_arg1333z00_1802 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1341z00_1808);
															}
															{	/* Globalize/globalize.scm 122 */
																obj_t BgL_list1334z00_1803;

																{	/* Globalize/globalize.scm 122 */
																	obj_t BgL_arg1336z00_1804;

																	{	/* Globalize/globalize.scm 122 */
																		obj_t BgL_arg1338z00_1805;

																		{	/* Globalize/globalize.scm 122 */
																			obj_t BgL_arg1339z00_1806;

																			{	/* Globalize/globalize.scm 122 */
																				obj_t BgL_arg1340z00_1807;

																				BgL_arg1340z00_1807 =
																					MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																							10)), BNIL);
																				BgL_arg1339z00_1806 =
																					MAKE_YOUNG_PAIR(BgL_arg1333z00_1802,
																					BgL_arg1340z00_1807);
																			}
																			BgL_arg1338z00_1805 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1638z00zzglobaliza7e_globaliza7ez00,
																				BgL_arg1339z00_1806);
																		}
																		BgL_arg1336z00_1804 =
																			MAKE_YOUNG_PAIR(BgL_arg1332z00_1801,
																			BgL_arg1338z00_1805);
																	}
																	BgL_list1334z00_1803 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1637z00zzglobaliza7e_globaliza7ez00,
																		BgL_arg1336z00_1804);
																}
																BGl_verbosez00zztools_speekz00(BINT(3L),
																	BgL_list1334z00_1803);
														}}
													else
														{	/* Globalize/globalize.scm 122 */
															BUNSPEC;
														}
												}
											else
												{	/* Globalize/globalize.scm 122 */
													BFALSE;
												}
										}
									else
										{	/* Globalize/globalize.scm 127 */
											bool_t BgL_test1682z00_2440;

											if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
												{	/* Globalize/globalize.scm 127 */
													BgL_test1682z00_2440 =
														(3L <=
														(long) CINT(BGl_za2verboseza2z00zzengine_paramz00));
												}
											else
												{	/* Globalize/globalize.scm 127 */
													BgL_test1682z00_2440 =
														BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
														BGl_za2verboseza2z00zzengine_paramz00);
												}
											if (BgL_test1682z00_2440)
												{	/* Globalize/globalize.scm 127 */
													bool_t BgL_test1684z00_2447;

													if (INTEGERP(BGl_za2verboseza2z00zzengine_paramz00))
														{	/* Globalize/globalize.scm 127 */
															BgL_test1684z00_2447 =
																(3L <=
																(long)
																CINT(BGl_za2verboseza2z00zzengine_paramz00));
														}
													else
														{	/* Globalize/globalize.scm 127 */
															BgL_test1684z00_2447 =
																BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(3L),
																BGl_za2verboseza2z00zzengine_paramz00);
														}
													if (BgL_test1684z00_2447)
														{	/* Globalize/globalize.scm 127 */
															obj_t BgL_arg1355z00_1817;

															BgL_arg1355z00_1817 =
																BGl_shapez00zztools_shapez00(BgL_localz00_1791);
															{	/* Globalize/globalize.scm 127 */
																obj_t BgL_list1356z00_1818;

																{	/* Globalize/globalize.scm 127 */
																	obj_t BgL_arg1358z00_1819;

																	{	/* Globalize/globalize.scm 127 */
																		obj_t BgL_arg1359z00_1820;

																		{	/* Globalize/globalize.scm 127 */
																			obj_t BgL_arg1360z00_1821;

																			BgL_arg1360z00_1821 =
																				MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																						10)), BNIL);
																			BgL_arg1359z00_1820 =
																				MAKE_YOUNG_PAIR
																				(BGl_string1639z00zzglobaliza7e_globaliza7ez00,
																				BgL_arg1360z00_1821);
																		}
																		BgL_arg1358z00_1819 =
																			MAKE_YOUNG_PAIR(BgL_arg1355z00_1817,
																			BgL_arg1359z00_1820);
																	}
																	BgL_list1356z00_1818 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1637z00zzglobaliza7e_globaliza7ez00,
																		BgL_arg1358z00_1819);
																}
																BGl_verbosez00zztools_speekz00(BINT(3L),
																	BgL_list1356z00_1818);
														}}
													else
														{	/* Globalize/globalize.scm 127 */
															BUNSPEC;
														}
												}
											else
												{	/* Globalize/globalize.scm 127 */
													BFALSE;
												}
										}
								}
							}
						}
						{
							obj_t BgL_l1254z00_2462;

							BgL_l1254z00_2462 = CDR(BgL_l1254z00_1788);
							BgL_l1254z00_1788 = BgL_l1254z00_2462;
							goto BgL_zc3z04anonymousza31323ze3z87_1789;
						}
					}
				else
					{	/* Globalize/globalize.scm 119 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_globaliza7ez00(void)
	{
		{	/* Globalize/globalize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_nodeza7(2706117L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_freeza7(244215788L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(459831036L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_gnza7(13532668L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(395399079L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_newzd2bodyz75(420014038L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_localzd2ze3globalz96
				(115338080L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globalzd2closurez75
				(62221965L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
			return BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(88839753L,
				BSTRING_TO_STRING(BGl_string1640z00zzglobaliza7e_globaliza7ez00));
		}

	}

#ifdef __cplusplus
}
#endif
