/*===========================================================================*/
/*   (Globalize/integration.scm)                                             */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/integration.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_INTEGRATION_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_INTEGRATION_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_INTEGRATION_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7(void);
	static obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7(void);
	static obj_t
		BGl_z62zc3z04anonymousza31319ze3ze5zzglobaliza7e_integrationza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t
		BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7(void);
	static obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2integrationz12zd2envz12zzglobaliza7e_integrationza7,
		BgL_bgl_za762setza7d2integra1658z00,
		BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1655z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1655za700za7za7g1659za7, "set-integration!", 16);
	      DEFINE_STRING(BGl_string1656z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1656za700za7za7g1660za7, "No integration for ", 19);
	      DEFINE_STRING(BGl_string1657z00zzglobaliza7e_integrationza7,
		BgL_bgl_string1657za700za7za7g1661za7, "globalize_integration", 21);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_integrationza7(long
		BgL_checksumz00_2425, char *BgL_fromz00_2426)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_integrationza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7();
					return BGl_methodzd2initzd2zzglobaliza7e_integrationza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_integration");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L,
				"globalize_integration");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_integrationza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1713;

					BgL_headz00_1713 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1714;
						obj_t BgL_tailz00_1715;

						BgL_prevz00_1714 = BgL_headz00_1713;
						BgL_tailz00_1715 = BgL_l1z00_1;
					BgL_loopz00_1716:
						if (PAIRP(BgL_tailz00_1715))
							{
								obj_t BgL_newzd2prevzd2_1718;

								BgL_newzd2prevzd2_1718 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1715), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1714, BgL_newzd2prevzd2_1718);
								{
									obj_t BgL_tailz00_2451;
									obj_t BgL_prevz00_2450;

									BgL_prevz00_2450 = BgL_newzd2prevzd2_1718;
									BgL_tailz00_2451 = CDR(BgL_tailz00_1715);
									BgL_tailz00_1715 = BgL_tailz00_2451;
									BgL_prevz00_1714 = BgL_prevz00_2450;
									goto BgL_loopz00_1716;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1713);
					}
				}
		}

	}



/* set-integration! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(BgL_globalz00_bglt
		BgL_globalz00_3, obj_t BgL_ez00_4, obj_t BgL_g0z00_5, obj_t BgL_g1z00_6)
	{
		{	/* Globalize/integration.scm 31 */
			{
				obj_t BgL_l1255z00_1722;

				BgL_l1255z00_1722 = BgL_ez00_4;
			BgL_zc3z04anonymousza31277ze3z87_1723:
				if (PAIRP(BgL_l1255z00_1722))
					{	/* Globalize/integration.scm 34 */
						{	/* Globalize/integration.scm 35 */
							obj_t BgL_fz00_1725;

							BgL_fz00_1725 = CAR(BgL_l1255z00_1722);
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2457;

								{
									obj_t BgL_auxz00_2458;

									{	/* Globalize/integration.scm 36 */
										BgL_objectz00_bglt BgL_tmpz00_2459;

										BgL_tmpz00_2459 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_fz00_1725));
										BgL_auxz00_2458 = BGL_OBJECT_WIDENING(BgL_tmpz00_2459);
									}
									BgL_auxz00_2457 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2458);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2457))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
						}
						{
							obj_t BgL_l1255z00_2465;

							BgL_l1255z00_2465 = CDR(BgL_l1255z00_1722);
							BgL_l1255z00_1722 = BgL_l1255z00_2465;
							goto BgL_zc3z04anonymousza31277ze3z87_1723;
						}
					}
				else
					{	/* Globalize/integration.scm 34 */
						((bool_t) 1);
					}
			}
			{	/* Globalize/integration.scm 40 */
				obj_t BgL_g1112z00_1729;

				BgL_g1112z00_1729 =
					MAKE_YOUNG_PAIR(((obj_t) BgL_globalz00_3), BgL_ez00_4);
				{
					obj_t BgL_fnsz00_1731;

					BgL_fnsz00_1731 = BgL_g1112z00_1729;
				BgL_zc3z04anonymousza31280ze3z87_1732:
					if (NULLP(BgL_fnsz00_1731))
						{	/* Globalize/integration.scm 41 */
							((bool_t) 0);
						}
					else
						{	/* Globalize/integration.scm 44 */
							obj_t BgL_arg1282z00_1734;

							{	/* Globalize/integration.scm 44 */
								obj_t BgL_arg1284z00_1735;

								{	/* Globalize/integration.scm 44 */
									obj_t BgL_runner1294z00_1754;

									{	/* Globalize/integration.scm 44 */
										obj_t BgL_head1259z00_1740;

										BgL_head1259z00_1740 =
											MAKE_YOUNG_PAIR
											(BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
											(CAR(BgL_fnsz00_1731)), BNIL);
										{	/* Globalize/integration.scm 44 */
											obj_t BgL_g1262z00_1741;

											BgL_g1262z00_1741 = CDR(BgL_fnsz00_1731);
											{
												obj_t BgL_l1257z00_1743;
												obj_t BgL_tail1260z00_1744;

												BgL_l1257z00_1743 = BgL_g1262z00_1741;
												BgL_tail1260z00_1744 = BgL_head1259z00_1740;
											BgL_zc3z04anonymousza31286ze3z87_1745:
												if (NULLP(BgL_l1257z00_1743))
													{	/* Globalize/integration.scm 44 */
														BgL_runner1294z00_1754 = BgL_head1259z00_1740;
													}
												else
													{	/* Globalize/integration.scm 44 */
														obj_t BgL_newtail1261z00_1747;

														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1289z00_1749;

															{	/* Globalize/integration.scm 44 */
																obj_t BgL_arg1291z00_1750;

																BgL_arg1291z00_1750 =
																	CAR(((obj_t) BgL_l1257z00_1743));
																BgL_arg1289z00_1749 =
																	BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7
																	(BgL_arg1291z00_1750);
															}
															BgL_newtail1261z00_1747 =
																MAKE_YOUNG_PAIR(BgL_arg1289z00_1749, BNIL);
														}
														SET_CDR(BgL_tail1260z00_1744,
															BgL_newtail1261z00_1747);
														{	/* Globalize/integration.scm 44 */
															obj_t BgL_arg1288z00_1748;

															BgL_arg1288z00_1748 =
																CDR(((obj_t) BgL_l1257z00_1743));
															{
																obj_t BgL_tail1260z00_2485;
																obj_t BgL_l1257z00_2484;

																BgL_l1257z00_2484 = BgL_arg1288z00_1748;
																BgL_tail1260z00_2485 = BgL_newtail1261z00_1747;
																BgL_tail1260z00_1744 = BgL_tail1260z00_2485;
																BgL_l1257z00_1743 = BgL_l1257z00_2484;
																goto BgL_zc3z04anonymousza31286ze3z87_1745;
															}
														}
													}
											}
										}
									}
									BgL_arg1284z00_1735 =
										BGl_appendz00zz__r4_pairs_and_lists_6_3z00
										(BgL_runner1294z00_1754);
								}
								{	/* Globalize/integration.scm 43 */

									BgL_arg1282z00_1734 =
										BGl_deletezd2duplicatesz12zc0zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1284z00_1735,
										BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
								}
							}
							{
								obj_t BgL_fnsz00_2488;

								BgL_fnsz00_2488 = BgL_arg1282z00_1734;
								BgL_fnsz00_1731 = BgL_fnsz00_2488;
								goto BgL_zc3z04anonymousza31280ze3z87_1732;
							}
						}
				}
			}
			{
				obj_t BgL_l1263z00_1757;

				BgL_l1263z00_1757 = BgL_g1z00_6;
			BgL_zc3z04anonymousza31295ze3z87_1758:
				if (PAIRP(BgL_l1263z00_1757))
					{	/* Globalize/integration.scm 46 */
						{	/* Globalize/integration.scm 47 */
							obj_t BgL_fz00_1760;

							BgL_fz00_1760 = CAR(BgL_l1263z00_1757);
							{	/* Globalize/integration.scm 47 */
								bool_t BgL_test1669z00_2492;

								{	/* Globalize/integration.scm 108 */
									bool_t BgL__ortest_1118z00_2036;

									{	/* Globalize/integration.scm 108 */
										obj_t BgL_classz00_2037;

										BgL_classz00_2037 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_fz00_1760))
											{	/* Globalize/integration.scm 108 */
												BgL_objectz00_bglt BgL_arg1858z00_2039;

												BgL_arg1858z00_2039 =
													(BgL_objectz00_bglt) (BgL_fz00_1760);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Globalize/integration.scm 108 */
														long BgL_idxz00_2045;

														BgL_idxz00_2045 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2039);
														BgL__ortest_1118z00_2036 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2045 + 2L)) == BgL_classz00_2037);
													}
												else
													{	/* Globalize/integration.scm 108 */
														bool_t BgL_res1643z00_2070;

														{	/* Globalize/integration.scm 108 */
															obj_t BgL_oclassz00_2053;

															{	/* Globalize/integration.scm 108 */
																obj_t BgL_arg1866z00_2061;
																long BgL_arg1867z00_2062;

																BgL_arg1866z00_2061 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Globalize/integration.scm 108 */
																	long BgL_arg1869z00_2063;

																	BgL_arg1869z00_2063 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2039);
																	BgL_arg1867z00_2062 =
																		(BgL_arg1869z00_2063 - OBJECT_TYPE);
																}
																BgL_oclassz00_2053 =
																	VECTOR_REF(BgL_arg1866z00_2061,
																	BgL_arg1867z00_2062);
															}
															{	/* Globalize/integration.scm 108 */
																bool_t BgL__ortest_1115z00_2054;

																BgL__ortest_1115z00_2054 =
																	(BgL_classz00_2037 == BgL_oclassz00_2053);
																if (BgL__ortest_1115z00_2054)
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1643z00_2070 =
																			BgL__ortest_1115z00_2054;
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		long BgL_odepthz00_2055;

																		{	/* Globalize/integration.scm 108 */
																			obj_t BgL_arg1855z00_2056;

																			BgL_arg1855z00_2056 =
																				(BgL_oclassz00_2053);
																			BgL_odepthz00_2055 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2056);
																		}
																		if ((2L < BgL_odepthz00_2055))
																			{	/* Globalize/integration.scm 108 */
																				obj_t BgL_arg1853z00_2058;

																				{	/* Globalize/integration.scm 108 */
																					obj_t BgL_arg1854z00_2059;

																					BgL_arg1854z00_2059 =
																						(BgL_oclassz00_2053);
																					BgL_arg1853z00_2058 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2059, 2L);
																				}
																				BgL_res1643z00_2070 =
																					(BgL_arg1853z00_2058 ==
																					BgL_classz00_2037);
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1643z00_2070 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL__ortest_1118z00_2036 = BgL_res1643z00_2070;
													}
											}
										else
											{	/* Globalize/integration.scm 108 */
												BgL__ortest_1118z00_2036 = ((bool_t) 0);
											}
									}
									if (BgL__ortest_1118z00_2036)
										{	/* Globalize/integration.scm 108 */
											BgL_test1669z00_2492 = BgL__ortest_1118z00_2036;
										}
									else
										{
											BgL_localzf2ginfozf2_bglt BgL_auxz00_2516;

											{
												obj_t BgL_auxz00_2517;

												{	/* Globalize/integration.scm 108 */
													BgL_objectz00_bglt BgL_tmpz00_2518;

													BgL_tmpz00_2518 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1760));
													BgL_auxz00_2517 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2518);
												}
												BgL_auxz00_2516 =
													((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2517);
											}
											BgL_test1669z00_2492 =
												(((BgL_localzf2ginfozf2_bglt)
													COBJECT(BgL_auxz00_2516))->BgL_globaliza7edzf3z54);
										}
								}
								if (BgL_test1669z00_2492)
									{	/* Globalize/integration.scm 47 */
										BFALSE;
									}
								else
									{	/* Globalize/integration.scm 51 */
										BgL_sfunz00_bglt BgL_i1114z00_1763;

										BgL_i1114z00_1763 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_fz00_1760))))->
												BgL_valuez00));
										{
											obj_t BgL_auxz00_2534;
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2528;

											{	/* Globalize/integration.scm 52 */
												obj_t BgL_arg1298z00_1764;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2535;

													{
														obj_t BgL_auxz00_2536;

														{	/* Globalize/integration.scm 52 */
															BgL_objectz00_bglt BgL_tmpz00_2537;

															BgL_tmpz00_2537 =
																((BgL_objectz00_bglt) BgL_i1114z00_1763);
															BgL_auxz00_2536 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2537);
														}
														BgL_auxz00_2535 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2536);
													}
													BgL_arg1298z00_1764 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2535))->BgL_imarkz00);
												}
												BgL_auxz00_2534 = CAR(((obj_t) BgL_arg1298z00_1764));
											}
											{
												obj_t BgL_auxz00_2529;

												{	/* Globalize/integration.scm 52 */
													BgL_objectz00_bglt BgL_tmpz00_2530;

													BgL_tmpz00_2530 =
														((BgL_objectz00_bglt) BgL_i1114z00_1763);
													BgL_auxz00_2529 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2530);
												}
												BgL_auxz00_2528 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2529);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2528))->
													BgL_integratorz00) =
												((obj_t) BgL_auxz00_2534), BUNSPEC);
										}
									}
							}
						}
						{
							obj_t BgL_l1263z00_2545;

							BgL_l1263z00_2545 = CDR(BgL_l1263z00_1757);
							BgL_l1263z00_1757 = BgL_l1263z00_2545;
							goto BgL_zc3z04anonymousza31295ze3z87_1758;
						}
					}
				else
					{	/* Globalize/integration.scm 46 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1265z00_1768;

				{	/* Globalize/integration.scm 55 */
					bool_t BgL_tmpz00_2547;

					BgL_l1265z00_1768 = BgL_g1z00_6;
				BgL_zc3z04anonymousza31300ze3z87_1769:
					if (PAIRP(BgL_l1265z00_1768))
						{	/* Globalize/integration.scm 55 */
							{	/* Globalize/integration.scm 56 */
								obj_t BgL_fz00_1771;

								BgL_fz00_1771 = CAR(BgL_l1265z00_1768);
								{	/* Globalize/integration.scm 56 */
									BgL_sfunz00_bglt BgL_i1115z00_1772;

									BgL_i1115z00_1772 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_fz00_1771))))->
											BgL_valuez00));
									{	/* Globalize/integration.scm 59 */
										bool_t BgL_test1678z00_2555;

										{	/* Globalize/integration.scm 108 */
											bool_t BgL__ortest_1118z00_2080;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_classz00_2081;

												BgL_classz00_2081 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_fz00_1771))
													{	/* Globalize/integration.scm 108 */
														BgL_objectz00_bglt BgL_arg1858z00_2083;

														BgL_arg1858z00_2083 =
															(BgL_objectz00_bglt) (BgL_fz00_1771);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Globalize/integration.scm 108 */
																long BgL_idxz00_2089;

																BgL_idxz00_2089 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2083);
																BgL__ortest_1118z00_2080 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2089 + 2L)) ==
																	BgL_classz00_2081);
															}
														else
															{	/* Globalize/integration.scm 108 */
																bool_t BgL_res1644z00_2114;

																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_oclassz00_2097;

																	{	/* Globalize/integration.scm 108 */
																		obj_t BgL_arg1866z00_2105;
																		long BgL_arg1867z00_2106;

																		BgL_arg1866z00_2105 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Globalize/integration.scm 108 */
																			long BgL_arg1869z00_2107;

																			BgL_arg1869z00_2107 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2083);
																			BgL_arg1867z00_2106 =
																				(BgL_arg1869z00_2107 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2097 =
																			VECTOR_REF(BgL_arg1866z00_2105,
																			BgL_arg1867z00_2106);
																	}
																	{	/* Globalize/integration.scm 108 */
																		bool_t BgL__ortest_1115z00_2098;

																		BgL__ortest_1115z00_2098 =
																			(BgL_classz00_2081 == BgL_oclassz00_2097);
																		if (BgL__ortest_1115z00_2098)
																			{	/* Globalize/integration.scm 108 */
																				BgL_res1644z00_2114 =
																					BgL__ortest_1115z00_2098;
																			}
																		else
																			{	/* Globalize/integration.scm 108 */
																				long BgL_odepthz00_2099;

																				{	/* Globalize/integration.scm 108 */
																					obj_t BgL_arg1855z00_2100;

																					BgL_arg1855z00_2100 =
																						(BgL_oclassz00_2097);
																					BgL_odepthz00_2099 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2100);
																				}
																				if ((2L < BgL_odepthz00_2099))
																					{	/* Globalize/integration.scm 108 */
																						obj_t BgL_arg1853z00_2102;

																						{	/* Globalize/integration.scm 108 */
																							obj_t BgL_arg1854z00_2103;

																							BgL_arg1854z00_2103 =
																								(BgL_oclassz00_2097);
																							BgL_arg1853z00_2102 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2103, 2L);
																						}
																						BgL_res1644z00_2114 =
																							(BgL_arg1853z00_2102 ==
																							BgL_classz00_2081);
																					}
																				else
																					{	/* Globalize/integration.scm 108 */
																						BgL_res1644z00_2114 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL__ortest_1118z00_2080 = BgL_res1644z00_2114;
															}
													}
												else
													{	/* Globalize/integration.scm 108 */
														BgL__ortest_1118z00_2080 = ((bool_t) 0);
													}
											}
											if (BgL__ortest_1118z00_2080)
												{	/* Globalize/integration.scm 108 */
													BgL_test1678z00_2555 = BgL__ortest_1118z00_2080;
												}
											else
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2579;

													{
														obj_t BgL_auxz00_2580;

														{	/* Globalize/integration.scm 108 */
															BgL_objectz00_bglt BgL_tmpz00_2581;

															BgL_tmpz00_2581 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_fz00_1771));
															BgL_auxz00_2580 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2581);
														}
														BgL_auxz00_2579 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2580);
													}
													BgL_test1678z00_2555 =
														(((BgL_localzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2579))->
														BgL_globaliza7edzf3z54);
												}
										}
										if (BgL_test1678z00_2555)
											{	/* Globalize/integration.scm 59 */
												{	/* Globalize/integration.scm 114 */
													BgL_valuez00_bglt BgL_arg1370z00_2117;

													BgL_arg1370z00_2117 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_fz00_1771))))->
														BgL_valuez00);
													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2590;

														{
															obj_t BgL_auxz00_2591;

															{	/* Globalize/integration.scm 114 */
																BgL_objectz00_bglt BgL_tmpz00_2592;

																BgL_tmpz00_2592 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_arg1370z00_2117));
																BgL_auxz00_2591 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2592);
															}
															BgL_auxz00_2590 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2591);
														}
														((((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2590))->
																BgL_integratorz00) = ((obj_t) BFALSE), BUNSPEC);
													}
												}
											}
										else
											{	/* Globalize/integration.scm 62 */
												bool_t BgL_test1684z00_2598;

												{	/* Globalize/integration.scm 62 */
													obj_t BgL_arg1314z00_1778;

													{
														BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2599;

														{
															obj_t BgL_auxz00_2600;

															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_tmpz00_2601;

																BgL_tmpz00_2601 =
																	((BgL_objectz00_bglt) BgL_i1115z00_1772);
																BgL_auxz00_2600 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_2601);
															}
															BgL_auxz00_2599 =
																((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2600);
														}
														BgL_arg1314z00_1778 =
															(((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2599))->BgL_integratorz00);
													}
													{	/* Globalize/integration.scm 62 */
														obj_t BgL_classz00_2122;

														BgL_classz00_2122 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1314z00_1778))
															{	/* Globalize/integration.scm 62 */
																BgL_objectz00_bglt BgL_arg1858z00_2124;

																BgL_arg1858z00_2124 =
																	(BgL_objectz00_bglt) (BgL_arg1314z00_1778);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Globalize/integration.scm 62 */
																		long BgL_idxz00_2130;

																		BgL_idxz00_2130 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2124);
																		BgL_test1684z00_2598 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2130 + 1L)) ==
																			BgL_classz00_2122);
																	}
																else
																	{	/* Globalize/integration.scm 62 */
																		bool_t BgL_res1645z00_2155;

																		{	/* Globalize/integration.scm 62 */
																			obj_t BgL_oclassz00_2138;

																			{	/* Globalize/integration.scm 62 */
																				obj_t BgL_arg1866z00_2146;
																				long BgL_arg1867z00_2147;

																				BgL_arg1866z00_2146 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Globalize/integration.scm 62 */
																					long BgL_arg1869z00_2148;

																					BgL_arg1869z00_2148 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2124);
																					BgL_arg1867z00_2147 =
																						(BgL_arg1869z00_2148 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2138 =
																					VECTOR_REF(BgL_arg1866z00_2146,
																					BgL_arg1867z00_2147);
																			}
																			{	/* Globalize/integration.scm 62 */
																				bool_t BgL__ortest_1115z00_2139;

																				BgL__ortest_1115z00_2139 =
																					(BgL_classz00_2122 ==
																					BgL_oclassz00_2138);
																				if (BgL__ortest_1115z00_2139)
																					{	/* Globalize/integration.scm 62 */
																						BgL_res1645z00_2155 =
																							BgL__ortest_1115z00_2139;
																					}
																				else
																					{	/* Globalize/integration.scm 62 */
																						long BgL_odepthz00_2140;

																						{	/* Globalize/integration.scm 62 */
																							obj_t BgL_arg1855z00_2141;

																							BgL_arg1855z00_2141 =
																								(BgL_oclassz00_2138);
																							BgL_odepthz00_2140 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2141);
																						}
																						if ((1L < BgL_odepthz00_2140))
																							{	/* Globalize/integration.scm 62 */
																								obj_t BgL_arg1853z00_2143;

																								{	/* Globalize/integration.scm 62 */
																									obj_t BgL_arg1854z00_2144;

																									BgL_arg1854z00_2144 =
																										(BgL_oclassz00_2138);
																									BgL_arg1853z00_2143 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2144, 1L);
																								}
																								BgL_res1645z00_2155 =
																									(BgL_arg1853z00_2143 ==
																									BgL_classz00_2122);
																							}
																						else
																							{	/* Globalize/integration.scm 62 */
																								BgL_res1645z00_2155 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1684z00_2598 = BgL_res1645z00_2155;
																	}
															}
														else
															{	/* Globalize/integration.scm 62 */
																BgL_test1684z00_2598 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1684z00_2598)
													{	/* Globalize/integration.scm 62 */
														{	/* Globalize/integration.scm 66 */
															obj_t BgL_arg1311z00_1776;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2628;

																{
																	obj_t BgL_auxz00_2629;

																	{	/* Globalize/integration.scm 66 */
																		BgL_objectz00_bglt BgL_tmpz00_2630;

																		BgL_tmpz00_2630 =
																			((BgL_objectz00_bglt) BgL_i1115z00_1772);
																		BgL_auxz00_2629 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_2630);
																	}
																	BgL_auxz00_2628 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_2629);
																}
																BgL_arg1311z00_1776 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2628))->
																	BgL_integratorz00);
															}
															BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7
																(BgL_fz00_1771, BgL_arg1311z00_1776);
														}
													}
												else
													{	/* Globalize/integration.scm 62 */
														BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string1655z00zzglobaliza7e_integrationza7,
															BGl_string1656z00zzglobaliza7e_integrationza7,
															BGl_shapez00zztools_shapez00(BgL_fz00_1771));
													}
											}
									}
								}
							}
							{
								obj_t BgL_l1265z00_2638;

								BgL_l1265z00_2638 = CDR(BgL_l1265z00_1768);
								BgL_l1265z00_1768 = BgL_l1265z00_2638;
								goto BgL_zc3z04anonymousza31300ze3z87_1769;
							}
						}
					else
						{	/* Globalize/integration.scm 55 */
							BgL_tmpz00_2547 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_2547);
				}
			}
		}

	}



/* &set-integration! */
	obj_t BGl_z62setzd2integrationz12za2zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2381, obj_t BgL_globalz00_2382, obj_t BgL_ez00_2383,
		obj_t BgL_g0z00_2384, obj_t BgL_g1z00_2385)
	{
		{	/* Globalize/integration.scm 31 */
			return
				BGl_setzd2integrationz12zc0zzglobaliza7e_integrationza7(
				((BgL_globalz00_bglt) BgL_globalz00_2382), BgL_ez00_2383,
				BgL_g0z00_2384, BgL_g1z00_2385);
		}

	}



/* traverse-call-to! */
	obj_t BGl_traversezd2callzd2toz12z12zzglobaliza7e_integrationza7(obj_t
		BgL_fz00_7)
	{
		{	/* Globalize/integration.scm 77 */
			{	/* Globalize/integration.scm 78 */
				obj_t BgL_integratorsz00_1781;

				{	/* Globalize/integration.scm 78 */
					bool_t BgL_test1689z00_2643;

					{	/* Globalize/integration.scm 108 */
						bool_t BgL__ortest_1118z00_2158;

						{	/* Globalize/integration.scm 108 */
							obj_t BgL_classz00_2159;

							BgL_classz00_2159 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_fz00_7))
								{	/* Globalize/integration.scm 108 */
									BgL_objectz00_bglt BgL_arg1858z00_2161;

									BgL_arg1858z00_2161 = (BgL_objectz00_bglt) (BgL_fz00_7);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Globalize/integration.scm 108 */
											long BgL_idxz00_2167;

											BgL_idxz00_2167 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2161);
											BgL__ortest_1118z00_2158 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2167 + 2L)) == BgL_classz00_2159);
										}
									else
										{	/* Globalize/integration.scm 108 */
											bool_t BgL_res1646z00_2192;

											{	/* Globalize/integration.scm 108 */
												obj_t BgL_oclassz00_2175;

												{	/* Globalize/integration.scm 108 */
													obj_t BgL_arg1866z00_2183;
													long BgL_arg1867z00_2184;

													BgL_arg1866z00_2183 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Globalize/integration.scm 108 */
														long BgL_arg1869z00_2185;

														BgL_arg1869z00_2185 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2161);
														BgL_arg1867z00_2184 =
															(BgL_arg1869z00_2185 - OBJECT_TYPE);
													}
													BgL_oclassz00_2175 =
														VECTOR_REF(BgL_arg1866z00_2183,
														BgL_arg1867z00_2184);
												}
												{	/* Globalize/integration.scm 108 */
													bool_t BgL__ortest_1115z00_2176;

													BgL__ortest_1115z00_2176 =
														(BgL_classz00_2159 == BgL_oclassz00_2175);
													if (BgL__ortest_1115z00_2176)
														{	/* Globalize/integration.scm 108 */
															BgL_res1646z00_2192 = BgL__ortest_1115z00_2176;
														}
													else
														{	/* Globalize/integration.scm 108 */
															long BgL_odepthz00_2177;

															{	/* Globalize/integration.scm 108 */
																obj_t BgL_arg1855z00_2178;

																BgL_arg1855z00_2178 = (BgL_oclassz00_2175);
																BgL_odepthz00_2177 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2178);
															}
															if ((2L < BgL_odepthz00_2177))
																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_arg1853z00_2180;

																	{	/* Globalize/integration.scm 108 */
																		obj_t BgL_arg1854z00_2181;

																		BgL_arg1854z00_2181 = (BgL_oclassz00_2175);
																		BgL_arg1853z00_2180 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2181, 2L);
																	}
																	BgL_res1646z00_2192 =
																		(BgL_arg1853z00_2180 == BgL_classz00_2159);
																}
															else
																{	/* Globalize/integration.scm 108 */
																	BgL_res1646z00_2192 = ((bool_t) 0);
																}
														}
												}
											}
											BgL__ortest_1118z00_2158 = BgL_res1646z00_2192;
										}
								}
							else
								{	/* Globalize/integration.scm 108 */
									BgL__ortest_1118z00_2158 = ((bool_t) 0);
								}
						}
						if (BgL__ortest_1118z00_2158)
							{	/* Globalize/integration.scm 108 */
								BgL_test1689z00_2643 = BgL__ortest_1118z00_2158;
							}
						else
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_2667;

								{
									obj_t BgL_auxz00_2668;

									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_tmpz00_2669;

										BgL_tmpz00_2669 =
											((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_fz00_7));
										BgL_auxz00_2668 = BGL_OBJECT_WIDENING(BgL_tmpz00_2669);
									}
									BgL_auxz00_2667 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2668);
								}
								BgL_test1689z00_2643 =
									(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2667))->
									BgL_globaliza7edzf3z54);
							}
					}
					if (BgL_test1689z00_2643)
						{	/* Globalize/integration.scm 79 */
							obj_t BgL_list1363z00_1822;

							BgL_list1363z00_1822 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
							BgL_integratorsz00_1781 = BgL_list1363z00_1822;
						}
					else
						{	/* Globalize/integration.scm 80 */
							obj_t BgL_arg1364z00_1823;
							obj_t BgL_arg1365z00_1824;

							{	/* Globalize/integration.scm 80 */
								BgL_sfunz00_bglt BgL_oz00_2197;

								BgL_oz00_2197 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_fz00_7))))->BgL_valuez00));
								{
									BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2680;

									{
										obj_t BgL_auxz00_2681;

										{	/* Globalize/integration.scm 80 */
											BgL_objectz00_bglt BgL_tmpz00_2682;

											BgL_tmpz00_2682 = ((BgL_objectz00_bglt) BgL_oz00_2197);
											BgL_auxz00_2681 = BGL_OBJECT_WIDENING(BgL_tmpz00_2682);
										}
										BgL_auxz00_2680 =
											((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2681);
									}
									BgL_arg1364z00_1823 =
										(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2680))->
										BgL_imarkz00);
								}
							}
							{	/* Globalize/integration.scm 80 */
								obj_t BgL_list1368z00_1826;

								BgL_list1368z00_1826 = MAKE_YOUNG_PAIR(BgL_fz00_7, BNIL);
								BgL_arg1365z00_1824 = BgL_list1368z00_1826;
							}
							BgL_integratorsz00_1781 =
								BGl_appendzd221011zd2zzglobaliza7e_integrationza7
								(BgL_arg1364z00_1823, BgL_arg1365z00_1824);
						}
				}
				{	/* Globalize/integration.scm 81 */
					obj_t BgL_arg1317z00_1783;

					{	/* Globalize/integration.scm 98 */
						BgL_sfunz00_bglt BgL_oz00_2201;

						BgL_oz00_2201 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt) BgL_fz00_7)))->BgL_valuez00));
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2692;

							{
								obj_t BgL_auxz00_2693;

								{	/* Globalize/integration.scm 98 */
									BgL_objectz00_bglt BgL_tmpz00_2694;

									BgL_tmpz00_2694 = ((BgL_objectz00_bglt) BgL_oz00_2201);
									BgL_auxz00_2693 = BGL_OBJECT_WIDENING(BgL_tmpz00_2694);
								}
								BgL_auxz00_2692 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2693);
							}
							BgL_arg1317z00_1783 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2692))->
								BgL_ctoz00);
						}
					}
					{	/* Globalize/integration.scm 83 */
						obj_t BgL_zc3z04anonymousza31319ze3z87_2389;

						BgL_zc3z04anonymousza31319ze3z87_2389 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31319ze3ze5zzglobaliza7e_integrationza7,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31319ze3z87_2389, (int) (0L),
							BgL_integratorsz00_1781);
						PROCEDURE_SET(BgL_zc3z04anonymousza31319ze3z87_2389, (int) (1L),
							BgL_fz00_7);
						{	/* Globalize/integration.scm 81 */
							obj_t BgL_list1318z00_1784;

							BgL_list1318z00_1784 = MAKE_YOUNG_PAIR(BgL_arg1317z00_1783, BNIL);
							return
								BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
								(BgL_zc3z04anonymousza31319ze3z87_2389, BgL_list1318z00_1784);
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1319> */
	obj_t BGl_z62zc3z04anonymousza31319ze3ze5zzglobaliza7e_integrationza7(obj_t
		BgL_envz00_2390, obj_t BgL_gz00_2393)
	{
		{	/* Globalize/integration.scm 81 */
			{	/* Globalize/integration.scm 83 */
				obj_t BgL_integratorsz00_2391;
				obj_t BgL_fz00_2392;

				BgL_integratorsz00_2391 = PROCEDURE_REF(BgL_envz00_2390, (int) (0L));
				BgL_fz00_2392 = PROCEDURE_REF(BgL_envz00_2390, (int) (1L));
				{	/* Globalize/integration.scm 83 */
					bool_t BgL_test1696z00_2712;

					{	/* Globalize/integration.scm 83 */
						bool_t BgL_test1697z00_2713;

						{	/* Globalize/integration.scm 108 */
							bool_t BgL__ortest_1118z00_2394;

							{	/* Globalize/integration.scm 108 */
								obj_t BgL_classz00_2395;

								BgL_classz00_2395 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_2393))
									{	/* Globalize/integration.scm 108 */
										BgL_objectz00_bglt BgL_arg1858z00_2396;

										BgL_arg1858z00_2396 = (BgL_objectz00_bglt) (BgL_gz00_2393);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Globalize/integration.scm 108 */
												long BgL_idxz00_2397;

												BgL_idxz00_2397 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2396);
												BgL__ortest_1118z00_2394 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2397 + 2L)) == BgL_classz00_2395);
											}
										else
											{	/* Globalize/integration.scm 108 */
												bool_t BgL_res1649z00_2400;

												{	/* Globalize/integration.scm 108 */
													obj_t BgL_oclassz00_2401;

													{	/* Globalize/integration.scm 108 */
														obj_t BgL_arg1866z00_2402;
														long BgL_arg1867z00_2403;

														BgL_arg1866z00_2402 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Globalize/integration.scm 108 */
															long BgL_arg1869z00_2404;

															BgL_arg1869z00_2404 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2396);
															BgL_arg1867z00_2403 =
																(BgL_arg1869z00_2404 - OBJECT_TYPE);
														}
														BgL_oclassz00_2401 =
															VECTOR_REF(BgL_arg1866z00_2402,
															BgL_arg1867z00_2403);
													}
													{	/* Globalize/integration.scm 108 */
														bool_t BgL__ortest_1115z00_2405;

														BgL__ortest_1115z00_2405 =
															(BgL_classz00_2395 == BgL_oclassz00_2401);
														if (BgL__ortest_1115z00_2405)
															{	/* Globalize/integration.scm 108 */
																BgL_res1649z00_2400 = BgL__ortest_1115z00_2405;
															}
														else
															{	/* Globalize/integration.scm 108 */
																long BgL_odepthz00_2406;

																{	/* Globalize/integration.scm 108 */
																	obj_t BgL_arg1855z00_2407;

																	BgL_arg1855z00_2407 = (BgL_oclassz00_2401);
																	BgL_odepthz00_2406 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2407);
																}
																if ((2L < BgL_odepthz00_2406))
																	{	/* Globalize/integration.scm 108 */
																		obj_t BgL_arg1853z00_2408;

																		{	/* Globalize/integration.scm 108 */
																			obj_t BgL_arg1854z00_2409;

																			BgL_arg1854z00_2409 =
																				(BgL_oclassz00_2401);
																			BgL_arg1853z00_2408 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2409, 2L);
																		}
																		BgL_res1649z00_2400 =
																			(BgL_arg1853z00_2408 ==
																			BgL_classz00_2395);
																	}
																else
																	{	/* Globalize/integration.scm 108 */
																		BgL_res1649z00_2400 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL__ortest_1118z00_2394 = BgL_res1649z00_2400;
											}
									}
								else
									{	/* Globalize/integration.scm 108 */
										BgL__ortest_1118z00_2394 = ((bool_t) 0);
									}
							}
							if (BgL__ortest_1118z00_2394)
								{	/* Globalize/integration.scm 108 */
									BgL_test1697z00_2713 = BgL__ortest_1118z00_2394;
								}
							else
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_2737;

									{
										obj_t BgL_auxz00_2738;

										{	/* Globalize/integration.scm 108 */
											BgL_objectz00_bglt BgL_tmpz00_2739;

											BgL_tmpz00_2739 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2393));
											BgL_auxz00_2738 = BGL_OBJECT_WIDENING(BgL_tmpz00_2739);
										}
										BgL_auxz00_2737 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2738);
									}
									BgL_test1697z00_2713 =
										(((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2737))->
										BgL_globaliza7edzf3z54);
								}
						}
						if (BgL_test1697z00_2713)
							{	/* Globalize/integration.scm 83 */
								BgL_test1696z00_2712 = ((bool_t) 1);
							}
						else
							{	/* Globalize/integration.scm 83 */
								BgL_test1696z00_2712 = (BgL_fz00_2392 == BgL_gz00_2393);
							}
					}
					if (BgL_test1696z00_2712)
						{	/* Globalize/integration.scm 83 */
							return BFALSE;
						}
					else
						{	/* Globalize/integration.scm 84 */
							BgL_sfunz00_bglt BgL_i1117z00_2410;

							BgL_i1117z00_2410 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_gz00_2393))))->BgL_valuez00));
							{	/* Globalize/integration.scm 85 */
								bool_t BgL_test1703z00_2750;

								{	/* Globalize/integration.scm 85 */
									obj_t BgL_arg1359z00_2411;

									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2751;

										{
											obj_t BgL_auxz00_2752;

											{	/* Globalize/integration.scm 85 */
												BgL_objectz00_bglt BgL_tmpz00_2753;

												BgL_tmpz00_2753 =
													((BgL_objectz00_bglt) BgL_i1117z00_2410);
												BgL_auxz00_2752 = BGL_OBJECT_WIDENING(BgL_tmpz00_2753);
											}
											BgL_auxz00_2751 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2752);
										}
										BgL_arg1359z00_2411 =
											(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2751))->
											BgL_imarkz00);
									}
									BgL_test1703z00_2750 = (BgL_arg1359z00_2411 == BNIL);
								}
								if (BgL_test1703z00_2750)
									{	/* Globalize/integration.scm 85 */
										{
											BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2759;

											{
												obj_t BgL_auxz00_2760;

												{	/* Globalize/integration.scm 87 */
													BgL_objectz00_bglt BgL_tmpz00_2761;

													BgL_tmpz00_2761 =
														((BgL_objectz00_bglt) BgL_i1117z00_2410);
													BgL_auxz00_2760 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2761);
												}
												BgL_auxz00_2759 =
													((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2760);
											}
											((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2759))->
													BgL_imarkz00) =
												((obj_t) BgL_integratorsz00_2391), BUNSPEC);
										}
										return BgL_gz00_2393;
									}
								else
									{	/* Globalize/integration.scm 89 */
										obj_t BgL_nimarkz00_2412;

										{	/* Globalize/integration.scm 89 */
											obj_t BgL_hook1271z00_2413;

											BgL_hook1271z00_2413 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
											{	/* Globalize/integration.scm 89 */
												obj_t BgL_g1272z00_2414;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2767;

													{
														obj_t BgL_auxz00_2768;

														{	/* Globalize/integration.scm 89 */
															BgL_objectz00_bglt BgL_tmpz00_2769;

															BgL_tmpz00_2769 =
																((BgL_objectz00_bglt) BgL_i1117z00_2410);
															BgL_auxz00_2768 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2769);
														}
														BgL_auxz00_2767 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2768);
													}
													BgL_g1272z00_2414 =
														(((BgL_sfunzf2ginfozf2_bglt)
															COBJECT(BgL_auxz00_2767))->BgL_imarkz00);
												}
												{
													obj_t BgL_l1268z00_2416;
													obj_t BgL_h1269z00_2417;

													BgL_l1268z00_2416 = BgL_g1272z00_2414;
													BgL_h1269z00_2417 = BgL_hook1271z00_2413;
												BgL_zc3z04anonymousza31339ze3z87_2415:
													if (NULLP(BgL_l1268z00_2416))
														{	/* Globalize/integration.scm 89 */
															BgL_nimarkz00_2412 = CDR(BgL_hook1271z00_2413);
														}
													else
														{	/* Globalize/integration.scm 89 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(CAR(((obj_t) BgL_l1268z00_2416)),
																		BgL_integratorsz00_2391)))
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_nh1270z00_2418;

																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1355z00_2419;

																		BgL_arg1355z00_2419 =
																			CAR(((obj_t) BgL_l1268z00_2416));
																		BgL_nh1270z00_2418 =
																			MAKE_YOUNG_PAIR(BgL_arg1355z00_2419,
																			BNIL);
																	}
																	SET_CDR(BgL_h1269z00_2417,
																		BgL_nh1270z00_2418);
																	{	/* Globalize/integration.scm 89 */
																		obj_t BgL_arg1342z00_2420;

																		BgL_arg1342z00_2420 =
																			CDR(((obj_t) BgL_l1268z00_2416));
																		{
																			obj_t BgL_h1269z00_2789;
																			obj_t BgL_l1268z00_2788;

																			BgL_l1268z00_2788 = BgL_arg1342z00_2420;
																			BgL_h1269z00_2789 = BgL_nh1270z00_2418;
																			BgL_h1269z00_2417 = BgL_h1269z00_2789;
																			BgL_l1268z00_2416 = BgL_l1268z00_2788;
																			goto
																				BgL_zc3z04anonymousza31339ze3z87_2415;
																		}
																	}
																}
															else
																{	/* Globalize/integration.scm 89 */
																	obj_t BgL_arg1358z00_2421;

																	BgL_arg1358z00_2421 =
																		CDR(((obj_t) BgL_l1268z00_2416));
																	{
																		obj_t BgL_l1268z00_2792;

																		BgL_l1268z00_2792 = BgL_arg1358z00_2421;
																		BgL_l1268z00_2416 = BgL_l1268z00_2792;
																		goto BgL_zc3z04anonymousza31339ze3z87_2415;
																	}
																}
														}
												}
											}
										}
										if (NULLP(BgL_nimarkz00_2412))
											{	/* Globalize/integration.scm 91 */
												{
													BgL_localzf2ginfozf2_bglt BgL_auxz00_2795;

													{
														obj_t BgL_auxz00_2796;

														{	/* Globalize/integration.scm 92 */
															BgL_objectz00_bglt BgL_tmpz00_2797;

															BgL_tmpz00_2797 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_gz00_2393));
															BgL_auxz00_2796 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2797);
														}
														BgL_auxz00_2795 =
															((BgL_localzf2ginfozf2_bglt) BgL_auxz00_2796);
													}
													((((BgL_localzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2795))->
															BgL_globaliza7edzf3z54) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2803;

													{
														obj_t BgL_auxz00_2804;

														{	/* Globalize/integration.scm 93 */
															BgL_objectz00_bglt BgL_tmpz00_2805;

															BgL_tmpz00_2805 =
																((BgL_objectz00_bglt) BgL_i1117z00_2410);
															BgL_auxz00_2804 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2805);
														}
														BgL_auxz00_2803 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2804);
													}
													((((BgL_sfunzf2ginfozf2_bglt)
																COBJECT(BgL_auxz00_2803))->BgL_imarkz00) =
														((obj_t) BNIL), BUNSPEC);
												}
												return BgL_gz00_2393;
											}
										else
											{	/* Globalize/integration.scm 95 */
												bool_t BgL_test1707z00_2810;

												{	/* Globalize/integration.scm 95 */
													long BgL_arg1333z00_2422;
													long BgL_arg1336z00_2423;

													BgL_arg1333z00_2422 =
														bgl_list_length(BgL_nimarkz00_2412);
													{	/* Globalize/integration.scm 95 */
														obj_t BgL_arg1338z00_2424;

														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2812;

															{
																obj_t BgL_auxz00_2813;

																{	/* Globalize/integration.scm 95 */
																	BgL_objectz00_bglt BgL_tmpz00_2814;

																	BgL_tmpz00_2814 =
																		((BgL_objectz00_bglt) BgL_i1117z00_2410);
																	BgL_auxz00_2813 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2814);
																}
																BgL_auxz00_2812 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2813);
															}
															BgL_arg1338z00_2424 =
																(((BgL_sfunzf2ginfozf2_bglt)
																	COBJECT(BgL_auxz00_2812))->BgL_imarkz00);
														}
														BgL_arg1336z00_2423 =
															bgl_list_length(BgL_arg1338z00_2424);
													}
													BgL_test1707z00_2810 =
														(BgL_arg1333z00_2422 == BgL_arg1336z00_2423);
												}
												if (BgL_test1707z00_2810)
													{	/* Globalize/integration.scm 95 */
														return BFALSE;
													}
												else
													{	/* Globalize/integration.scm 95 */
														{
															BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2821;

															{
																obj_t BgL_auxz00_2822;

																{	/* Globalize/integration.scm 96 */
																	BgL_objectz00_bglt BgL_tmpz00_2823;

																	BgL_tmpz00_2823 =
																		((BgL_objectz00_bglt) BgL_i1117z00_2410);
																	BgL_auxz00_2822 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2823);
																}
																BgL_auxz00_2821 =
																	((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2822);
															}
															((((BgL_sfunzf2ginfozf2_bglt)
																		COBJECT(BgL_auxz00_2821))->BgL_imarkz00) =
																((obj_t) BgL_nimarkz00_2412), BUNSPEC);
														}
														return BgL_gz00_2393;
													}
											}
									}
							}
						}
				}
			}
		}

	}



/* integrate-in! */
	obj_t BGl_integratezd2inz12zc0zzglobaliza7e_integrationza7(obj_t BgL_fz00_10,
		obj_t BgL_integratorz00_11)
	{
		{	/* Globalize/integration.scm 119 */
			{	/* Globalize/integration.scm 121 */
				BgL_valuez00_bglt BgL_arg1371z00_1830;

				BgL_arg1371z00_1830 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2831;

					{
						obj_t BgL_auxz00_2832;

						{	/* Globalize/integration.scm 121 */
							BgL_objectz00_bglt BgL_tmpz00_2833;

							BgL_tmpz00_2833 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1371z00_1830));
							BgL_auxz00_2832 = BGL_OBJECT_WIDENING(BgL_tmpz00_2833);
						}
						BgL_auxz00_2831 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2832);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2831))->
							BgL_integratorz00) = ((obj_t) BgL_integratorz00_11), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 122 */
				BgL_valuez00_bglt BgL_arg1376z00_1831;

				BgL_arg1376z00_1831 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_fz00_10))))->BgL_valuez00);
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2842;

					{
						obj_t BgL_auxz00_2843;

						{	/* Globalize/integration.scm 122 */
							BgL_objectz00_bglt BgL_tmpz00_2844;

							BgL_tmpz00_2844 =
								((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_arg1376z00_1831));
							BgL_auxz00_2843 = BGL_OBJECT_WIDENING(BgL_tmpz00_2844);
						}
						BgL_auxz00_2842 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2843);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2842))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
			}
			{	/* Globalize/integration.scm 123 */
				BgL_sfunz00_bglt BgL_i1120z00_1832;

				BgL_i1120z00_1832 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_integratorz00_11)))->BgL_valuez00));
				{
					obj_t BgL_auxz00_2859;
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2853;

					{	/* Globalize/integration.scm 124 */
						obj_t BgL_arg1379z00_1833;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2860;

							{
								obj_t BgL_auxz00_2861;

								{	/* Globalize/integration.scm 124 */
									BgL_objectz00_bglt BgL_tmpz00_2862;

									BgL_tmpz00_2862 = ((BgL_objectz00_bglt) BgL_i1120z00_1832);
									BgL_auxz00_2861 = BGL_OBJECT_WIDENING(BgL_tmpz00_2862);
								}
								BgL_auxz00_2860 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2861);
							}
							BgL_arg1379z00_1833 =
								(((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2860))->
								BgL_integratedz00);
						}
						BgL_auxz00_2859 = MAKE_YOUNG_PAIR(BgL_fz00_10, BgL_arg1379z00_1833);
					}
					{
						obj_t BgL_auxz00_2854;

						{	/* Globalize/integration.scm 124 */
							BgL_objectz00_bglt BgL_tmpz00_2855;

							BgL_tmpz00_2855 = ((BgL_objectz00_bglt) BgL_i1120z00_1832);
							BgL_auxz00_2854 = BGL_OBJECT_WIDENING(BgL_tmpz00_2855);
						}
						BgL_auxz00_2853 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2854);
					}
					return
						((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_2853))->
							BgL_integratedz00) = ((obj_t) BgL_auxz00_2859), BUNSPEC);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_integrationza7(void)
	{
		{	/* Globalize/integration.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_globaliza7ez00(34590581L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(459831036L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1657z00zzglobaliza7e_integrationza7));
		}

	}

#ifdef __cplusplus
}
#endif
