/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Heap/restore.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_HEAP_RESTORE_TYPE_DEFINITIONS
#define BGL_HEAP_RESTORE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_HEAP_RESTORE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00(void);
	extern obj_t BGl_za2cczd2optionsza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00(void);
	static obj_t BGl_z62zc3z04anonymousza31303ze3ze5zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzheap_restorez00(void);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzheap_restorez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00(void);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_restorez00(void);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzheap_restorez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31327ze3ze5zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zzheap_restorez00(obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00(void);
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzheap_restorez00(void);
	static obj_t BGl_z62zc3z04anonymousza31197ze3ze5zzheap_restorez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	static obj_t __cnst[6];


	   
		 
		DEFINE_STRING(BGl_string1400z00zzheap_restorez00,
		BgL_bgl_string1400za700za7za7h1415za7, "Specific version mismatch", 25);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1416z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1403z00zzheap_restorez00,
		BgL_bgl_string1403za700za7za7h1417za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1404z00zzheap_restorez00,
		BgL_bgl_string1404za700za7za7h1418za7, "restore-heap", 12);
	      DEFINE_STRING(BGl_string1405z00zzheap_restorez00,
		BgL_bgl_string1405za700za7za7h1419za7, ".", 1);
	      DEFINE_STRING(BGl_string1406z00zzheap_restorez00,
		BgL_bgl_string1406za700za7za7h1420za7, "Library", 7);
	      DEFINE_STRING(BGl_string1409z00zzheap_restorez00,
		BgL_bgl_string1409za700za7za7h1421za7, "-", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1401z00zzheap_restorez00,
		BgL_bgl_za762za7c3za704anonymo1422za7,
		BGl_z62zc3z04anonymousza31197ze3ze5zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1402z00zzheap_restorez00,
		BgL_bgl_za762za7c3za704anonymo1423za7,
		BGl_z62zc3z04anonymousza31237ze3ze5zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1410z00zzheap_restorez00,
		BgL_bgl_string1410za700za7za7h1424za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string1411z00zzheap_restorez00,
		BgL_bgl_string1411za700za7za7h1425za7,
		"make-heap call-with-current-continuation __r4_control_features_6_9 call/cc pass-started heap-mark ",
		98);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1407z00zzheap_restorez00,
		BgL_bgl_za762za7c3za704anonymo1426za7,
		BGl_z62zc3z04anonymousza31303ze3ze5zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1408z00zzheap_restorez00,
		BgL_bgl_za762za7c3za704anonymo1427za7,
		BGl_z62zc3z04anonymousza31314ze3ze5zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module1428z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1390z00zzheap_restorez00,
		BgL_bgl_string1390za700za7za7h1429za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1391z00zzheap_restorez00,
		BgL_bgl_string1391za700za7za7h1430za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1392z00zzheap_restorez00,
		BgL_bgl_string1392za700za7za7h1431za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1393z00zzheap_restorez00,
		BgL_bgl_string1393za700za7za7h1432za7, "]", 1);
	      DEFINE_STRING(BGl_string1394z00zzheap_restorez00,
		BgL_bgl_string1394za700za7za7h1433za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1395z00zzheap_restorez00,
		BgL_bgl_string1395za700za7za7h1434za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1396z00zzheap_restorez00,
		BgL_bgl_string1396za700za7za7h1435za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string1397z00zzheap_restorez00,
		BgL_bgl_string1397za700za7za7h1436za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string1398z00zzheap_restorez00,
		BgL_bgl_string1398za700za7za7h1437za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string1399z00zzheap_restorez00,
		BgL_bgl_string1399za700za7za7h1438za7, "Release mismatch", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea1439z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1440z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2filezd2namezd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2fileza7d1441za7,
		BGl_z62heapzd2filezd2namez62zzheap_restorez00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzheap_restorez00));
		   
			 ADD_ROOT((void *) (&BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00));
		     ADD_ROOT((void *) (&BGl_za2heapzd2markza2zd2zzheap_restorez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_933, char *BgL_fromz00_934)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzheap_restorez00();
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					return BGl_toplevelzd2initzd2zzheap_restorez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "heap_restore");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_906;

				{	/* Heap/restore.scm 15 */
					obj_t BgL_stringz00_913;

					BgL_stringz00_913 = BGl_string1411z00zzheap_restorez00;
					{	/* Heap/restore.scm 15 */
						obj_t BgL_startz00_914;

						BgL_startz00_914 = BINT(0L);
						{	/* Heap/restore.scm 15 */
							obj_t BgL_endz00_915;

							BgL_endz00_915 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_913)));
							{	/* Heap/restore.scm 15 */

								BgL_cportz00_906 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_913, BgL_startz00_914, BgL_endz00_915);
				}}}}
				{
					long BgL_iz00_907;

					BgL_iz00_907 = 5L;
				BgL_loopz00_908:
					if ((BgL_iz00_907 == (-1L)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg1414z00_909;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_911;

										BgL_locationz00_911 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg1414z00_909 =
												BGl_readz00zz__readerz00(BgL_cportz00_906,
												BgL_locationz00_911);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_tmpz00_966;

									BgL_tmpz00_966 = (int) (BgL_iz00_907);
									CNST_TABLE_SET(BgL_tmpz00_966, BgL_arg1414z00_909);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_912;

								BgL_auxz00_912 = (int) ((BgL_iz00_907 - 1L));
								{
									long BgL_iz00_971;

									BgL_iz00_971 = (long) (BgL_auxz00_912);
									BgL_iz00_907 = BgL_iz00_971;
									goto BgL_loopz00_908;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BNIL;
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				((obj_t) CNST_TABLE_REF(0)), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_543;

					BgL_headz00_543 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_544;
						obj_t BgL_tailz00_545;

						BgL_prevz00_544 = BgL_headz00_543;
						BgL_tailz00_545 = BgL_l1z00_1;
					BgL_loopz00_546:
						if (PAIRP(BgL_tailz00_545))
							{
								obj_t BgL_newzd2prevzd2_548;

								BgL_newzd2prevzd2_548 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_545), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_544, BgL_newzd2prevzd2_548);
								{
									obj_t BgL_tailz00_985;
									obj_t BgL_prevz00_984;

									BgL_prevz00_984 = BgL_newzd2prevzd2_548;
									BgL_tailz00_985 = CDR(BgL_tailz00_545);
									BgL_tailz00_545 = BgL_tailz00_985;
									BgL_prevz00_544 = BgL_prevz00_984;
									goto BgL_loopz00_546;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_543);
					}
				}
		}

	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		{	/* Heap/restore.scm 37 */
			{	/* Heap/restore.scm 38 */
				BgL_backendz00_bglt BgL_i1065z00_551;

				BgL_i1065z00_551 =
					((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
				{	/* Heap/restore.scm 39 */
					bool_t BgL__ortest_1066z00_552;

					BgL__ortest_1066z00_552 =
						(BgL_targetz00_3 ==
						(((BgL_backendz00_bglt) COBJECT(BgL_i1065z00_551))->
							BgL_languagez00));
					if (BgL__ortest_1066z00_552)
						{	/* Heap/restore.scm 39 */
							return BgL__ortest_1066z00_552;
						}
					else
						{	/* Heap/restore.scm 39 */
							return
								(BgL_targetz00_3 ==
								(((BgL_backendz00_bglt) COBJECT(BgL_i1065z00_551))->
									BgL_heapzd2compatiblezd2));
						}
				}
			}
		}

	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 44 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 45 */
					{	/* Heap/restore.scm 46 */
						obj_t BgL_list1130z00_556;

						{	/* Heap/restore.scm 46 */
							obj_t BgL_arg1131z00_557;

							{	/* Heap/restore.scm 46 */
								obj_t BgL_arg1134z00_558;

								BgL_arg1134z00_558 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1131z00_557 =
									MAKE_YOUNG_PAIR(BGl_string1390z00zzheap_restorez00,
									BgL_arg1134z00_558);
							}
							BgL_list1130z00_556 =
								MAKE_YOUNG_PAIR(BGl_string1391z00zzheap_restorez00,
								BgL_arg1131z00_557);
						}
						BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1130z00_556);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1390z00zzheap_restorez00;
					{	/* Heap/restore.scm 46 */
						obj_t BgL_g1067z00_559;

						BgL_g1067z00_559 = BNIL;
						{
							obj_t BgL_hooksz00_562;
							obj_t BgL_hnamesz00_563;

							BgL_hooksz00_562 = BgL_g1067z00_559;
							BgL_hnamesz00_563 = BNIL;
						BgL_zc3z04anonymousza31135ze3z87_564:
							if (NULLP(BgL_hooksz00_562))
								{	/* Heap/restore.scm 46 */
									((obj_t) CNST_TABLE_REF(1));
								}
							else
								{	/* Heap/restore.scm 46 */
									bool_t BgL_test1451z00_1008;

									{	/* Heap/restore.scm 46 */
										obj_t BgL_fun1147z00_571;

										BgL_fun1147z00_571 = CAR(((obj_t) BgL_hooksz00_562));
										BgL_test1451z00_1008 =
											CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1147z00_571));
									}
									if (BgL_test1451z00_1008)
										{	/* Heap/restore.scm 46 */
											obj_t BgL_arg1139z00_568;
											obj_t BgL_arg1145z00_569;

											BgL_arg1139z00_568 = CDR(((obj_t) BgL_hooksz00_562));
											BgL_arg1145z00_569 = CDR(((obj_t) BgL_hnamesz00_563));
											{
												obj_t BgL_hnamesz00_1020;
												obj_t BgL_hooksz00_1019;

												BgL_hooksz00_1019 = BgL_arg1139z00_568;
												BgL_hnamesz00_1020 = BgL_arg1145z00_569;
												BgL_hnamesz00_563 = BgL_hnamesz00_1020;
												BgL_hooksz00_562 = BgL_hooksz00_1019;
												goto BgL_zc3z04anonymousza31135ze3z87_564;
											}
										}
									else
										{	/* Heap/restore.scm 46 */
											obj_t BgL_arg1146z00_570;

											BgL_arg1146z00_570 = CAR(((obj_t) BgL_hnamesz00_563));
											BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1390z00zzheap_restorez00,
												BGl_string1392z00zzheap_restorez00, BgL_arg1146z00_570);
										}
								}
						}
					}
					{	/* Heap/restore.scm 47 */
						obj_t BgL_fnamez00_574;

						BgL_fnamez00_574 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_574))
							{	/* Heap/restore.scm 49 */
								obj_t BgL_portz00_576;

								BgL_portz00_576 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_574);
								if (BINARY_PORTP(BgL_portz00_576))
									{	/* Heap/restore.scm 50 */
										{	/* Heap/restore.scm 55 */
											obj_t BgL_list1151z00_578;

											{	/* Heap/restore.scm 55 */
												obj_t BgL_arg1153z00_579;

												{	/* Heap/restore.scm 55 */
													obj_t BgL_arg1156z00_580;

													{	/* Heap/restore.scm 55 */
														obj_t BgL_arg1157z00_581;

														BgL_arg1157z00_581 =
															MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
															BNIL);
														BgL_arg1156z00_580 =
															MAKE_YOUNG_PAIR
															(BGl_string1393z00zzheap_restorez00,
															BgL_arg1157z00_581);
													}
													BgL_arg1153z00_579 =
														MAKE_YOUNG_PAIR(BgL_fnamez00_574,
														BgL_arg1156z00_580);
												}
												BgL_list1151z00_578 =
													MAKE_YOUNG_PAIR(BGl_string1394z00zzheap_restorez00,
													BgL_arg1153z00_579);
											}
											BGl_verbosez00zztools_speekz00(BINT(2L),
												BgL_list1151z00_578);
										}
										{	/* Heap/restore.scm 56 */
											obj_t BgL_exitd1069z00_582;

											BgL_exitd1069z00_582 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Heap/restore.scm 110 */
												obj_t BgL_zc3z04anonymousza31247ze3z87_878;

												BgL_zc3z04anonymousza31247ze3z87_878 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31247ze3ze5zzheap_restorez00,
													(int) (0L), (int) (1L));
												PROCEDURE_SET(BgL_zc3z04anonymousza31247ze3z87_878,
													(int) (0L), BgL_portz00_576);
												{	/* Heap/restore.scm 56 */
													obj_t BgL_arg1881z00_804;

													{	/* Heap/restore.scm 56 */
														obj_t BgL_arg1883z00_805;

														BgL_arg1883z00_805 =
															BGL_EXITD_PROTECT(BgL_exitd1069z00_582);
														BgL_arg1881z00_804 =
															MAKE_YOUNG_PAIR
															(BgL_zc3z04anonymousza31247ze3z87_878,
															BgL_arg1883z00_805);
													}
													BGL_EXITD_PROTECT_SET(BgL_exitd1069z00_582,
														BgL_arg1881z00_804);
													BUNSPEC;
												}
												{	/* Heap/restore.scm 57 */
													bool_t BgL_tmp1071z00_584;

													{	/* Heap/restore.scm 57 */
														obj_t BgL_envsz00_585;

														BgL_envsz00_585 = input_obj(BgL_portz00_576);
														{	/* Heap/restore.scm 57 */
															obj_t BgL__z00_586;

															{	/* Heap/restore.scm 58 */
																bool_t BgL_test1454z00_1047;

																if (VECTORP(BgL_envsz00_585))
																	{	/* Heap/restore.scm 58 */
																		BgL_test1454z00_1047 =
																			(VECTOR_LENGTH(BgL_envsz00_585) == 5L);
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL_test1454z00_1047 = ((bool_t) 0);
																	}
																if (BgL_test1454z00_1047)
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_586 = BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_586 =
																			BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1395z00zzheap_restorez00,
																			BgL_envsz00_585);
																	}
															}
															{	/* Heap/restore.scm 58 */
																obj_t BgL_targetz00_587;

																BgL_targetz00_587 =
																	VECTOR_REF(((obj_t) BgL_envsz00_585), 0L);
																{	/* Heap/restore.scm 63 */
																	obj_t BgL_versionz00_588;

																	BgL_versionz00_588 =
																		VECTOR_REF(((obj_t) BgL_envsz00_585), 1L);
																	{	/* Heap/restore.scm 64 */
																		obj_t BgL_specificz00_589;

																		BgL_specificz00_589 =
																			VECTOR_REF(((obj_t) BgL_envsz00_585), 2L);
																		{	/* Heap/restore.scm 65 */
																			obj_t BgL_genvz00_590;

																			BgL_genvz00_590 =
																				VECTOR_REF(
																				((obj_t) BgL_envsz00_585), 3L);
																			{	/* Heap/restore.scm 66 */
																				obj_t BgL_tenvz00_591;

																				BgL_tenvz00_591 =
																					VECTOR_REF(
																					((obj_t) BgL_envsz00_585), 4L);
																				{	/* Heap/restore.scm 67 */

																					if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_587))
																						{	/* Heap/restore.scm 69 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 74 */
																							obj_t BgL_arg1159z00_593;

																							{	/* Heap/restore.scm 74 */
																								obj_t BgL_arg1161z00_594;

																								{	/* Heap/restore.scm 74 */
																									obj_t BgL_arg1173z00_597;

																									BgL_arg1173z00_597 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									BgL_arg1161z00_594 =
																										(((BgL_backendz00_bglt)
																											COBJECT((
																													(BgL_backendz00_bglt)
																													BgL_arg1173z00_597)))->
																										BgL_languagez00);
																								}
																								{	/* Heap/restore.scm 72 */
																									obj_t BgL_list1162z00_595;

																									{	/* Heap/restore.scm 72 */
																										obj_t BgL_arg1172z00_596;

																										BgL_arg1172z00_596 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1161z00_594,
																											BNIL);
																										BgL_list1162z00_595 =
																											MAKE_YOUNG_PAIR
																											(BgL_targetz00_587,
																											BgL_arg1172z00_596);
																									}
																									BgL_arg1159z00_593 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1396z00zzheap_restorez00,
																										BgL_list1162z00_595);
																								}
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1397z00zzheap_restorez00,
																								BgL_arg1159z00_593);
																						}
																					{	/* Heap/restore.scm 75 */
																						bool_t BgL_test1457z00_1072;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 75 */
																								BgL_test1457z00_1072 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 75 */
																								BgL_test1457z00_1072 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_versionz00_588,
																									BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																							}
																						if (BgL_test1457z00_1072)
																							{	/* Heap/restore.scm 75 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 79 */
																								obj_t BgL_arg1177z00_599;

																								{	/* Heap/restore.scm 79 */
																									obj_t BgL_list1178z00_600;

																									{	/* Heap/restore.scm 79 */
																										obj_t BgL_arg1179z00_601;

																										BgL_arg1179z00_601 =
																											MAKE_YOUNG_PAIR
																											(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																											BNIL);
																										BgL_list1178z00_600 =
																											MAKE_YOUNG_PAIR
																											(BgL_versionz00_588,
																											BgL_arg1179z00_601);
																									}
																									BgL_arg1177z00_599 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1398z00zzheap_restorez00,
																										BgL_list1178z00_600);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1399z00zzheap_restorez00,
																									BgL_arg1177z00_599);
																							}
																					}
																					{	/* Heap/restore.scm 82 */
																						bool_t BgL_test1459z00_1080;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 82 */
																								BgL_test1459z00_1080 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 82 */
																								BgL_test1459z00_1080 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_specificz00_589,
																									BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																							}
																						if (BgL_test1459z00_1080)
																							{	/* Heap/restore.scm 82 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 86 */
																								obj_t BgL_arg1183z00_603;

																								{	/* Heap/restore.scm 86 */
																									obj_t BgL_list1184z00_604;

																									{	/* Heap/restore.scm 86 */
																										obj_t BgL_arg1187z00_605;

																										BgL_arg1187z00_605 =
																											MAKE_YOUNG_PAIR
																											(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																											BNIL);
																										BgL_list1184z00_604 =
																											MAKE_YOUNG_PAIR
																											(BgL_specificz00_589,
																											BgL_arg1187z00_605);
																									}
																									BgL_arg1183z00_603 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1398z00zzheap_restorez00,
																										BgL_list1184z00_604);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1400z00zzheap_restorez00,
																									BgL_arg1183z00_603);
																							}
																					}
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_590);
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_591);
																					if (CBOOL
																						(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																						{	/* Heap/restore.scm 94 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 94 */
																							BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																								();
																						}
																					{	/* Heap/restore.scm 97 */
																						bool_t BgL_test1462z00_1093;

																						{	/* Heap/restore.scm 97 */
																							obj_t BgL_arg1226z00_617;

																							BgL_arg1226z00_617 =
																								BGl_thezd2backendzd2zzbackend_backendz00
																								();
																							BgL_test1462z00_1093 =
																								(((BgL_backendz00_bglt)
																									COBJECT(((BgL_backendz00_bglt)
																											BgL_arg1226z00_617)))->
																								BgL_qualifiedzd2typeszd2);
																						}
																						if (BgL_test1462z00_1093)
																							{	/* Heap/restore.scm 97 */
																								BGl_forzd2eachzd2globalz12z12zzast_envz00
																									(BGl_proc1401z00zzheap_restorez00,
																									BNIL);
																								BgL_genvz00_590;
																							}
																						else
																							{	/* Heap/restore.scm 97 */
																								BFALSE;
																							}
																					}
																					BGl_forzd2eachzd2globalz12z12zzast_envz00
																						(BGl_proc1402z00zzheap_restorez00,
																						BNIL);
																					BgL_tmp1071z00_584 = ((bool_t) 1);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													{	/* Heap/restore.scm 56 */
														bool_t BgL_test1463z00_1099;

														{	/* Heap/restore.scm 56 */
															obj_t BgL_arg1880z00_822;

															BgL_arg1880z00_822 =
																BGL_EXITD_PROTECT(BgL_exitd1069z00_582);
															BgL_test1463z00_1099 = PAIRP(BgL_arg1880z00_822);
														}
														if (BgL_test1463z00_1099)
															{	/* Heap/restore.scm 56 */
																obj_t BgL_arg1877z00_823;

																{	/* Heap/restore.scm 56 */
																	obj_t BgL_arg1879z00_824;

																	BgL_arg1879z00_824 =
																		BGL_EXITD_PROTECT(BgL_exitd1069z00_582);
																	BgL_arg1877z00_823 =
																		CDR(((obj_t) BgL_arg1879z00_824));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1069z00_582,
																	BgL_arg1877z00_823);
																BUNSPEC;
															}
														else
															{	/* Heap/restore.scm 56 */
																BFALSE;
															}
													}
													close_binary_port(BgL_portz00_576);
													return BBOOL(BgL_tmp1071z00_584);
												}
											}
										}
									}
								else
									{	/* Heap/restore.scm 51 */
										obj_t BgL_mz00_632;

										{	/* Heap/restore.scm 51 */
											obj_t BgL_list1248z00_633;

											BgL_list1248z00_633 =
												MAKE_YOUNG_PAIR(BgL_fnamez00_574, BNIL);
											BgL_mz00_632 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1403z00zzheap_restorez00,
												BgL_list1248z00_633);
										}
										BGl_errorz00zz__errorz00(BGl_string1404z00zzheap_restorez00,
											BgL_mz00_632, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(5L));
									}
							}
						else
							{	/* Heap/restore.scm 111 */
								obj_t BgL_mz00_634;

								{	/* Heap/restore.scm 111 */
									obj_t BgL_list1249z00_635;

									BgL_list1249z00_635 =
										MAKE_YOUNG_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
										BNIL);
									BgL_mz00_634 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1403z00zzheap_restorez00, BgL_list1249z00_635);
								}
								BGl_errorz00zz__errorz00(BGl_string1404z00zzheap_restorez00,
									BgL_mz00_634, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(5L));
							}
					}
				}
			else
				{	/* Heap/restore.scm 45 */
					return BFALSE;
				}
		}

	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_879)
	{
		{	/* Heap/restore.scm 44 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}

	}



/* &<@anonymous:1237> */
	obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_880, obj_t BgL_newz00_881)
	{
		{	/* Heap/restore.scm 107 */
			{	/* Heap/restore.scm 108 */
				obj_t BgL_arg1240z00_917;

				BgL_arg1240z00_917 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_881)))->BgL_modulez00);
				{	/* Heap/restore.scm 108 */
					obj_t BgL_list1241z00_918;

					BgL_list1241z00_918 = MAKE_YOUNG_PAIR(BgL_arg1240z00_917, BNIL);
					return
						BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list1241z00_918);
				}
			}
		}

	}



/* &<@anonymous:1197> */
	obj_t BGl_z62zc3z04anonymousza31197ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_882, obj_t BgL_newz00_883)
	{
		{	/* Heap/restore.scm 99 */
			{	/* Heap/restore.scm 101 */
				obj_t BgL_arg1207z00_919;
				obj_t BgL_arg1208z00_920;
				obj_t BgL_arg1212z00_921;

				BgL_arg1207z00_919 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_883)))->BgL_modulez00);
				BgL_arg1208z00_920 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_883)))->
					BgL_qualifiedzd2typezd2namez00);
				BgL_arg1212z00_921 = BGl_shapez00zztools_shapez00(BgL_newz00_883);
				{	/* Heap/restore.scm 100 */
					obj_t BgL_list1213z00_922;

					BgL_list1213z00_922 = MAKE_YOUNG_PAIR(BgL_arg1212z00_921, BNIL);
					return
						BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1207z00_919,
						BgL_arg1208z00_920, BgL_list1213z00_922);
				}
			}
		}

	}



/* &<@anonymous:1247> */
	obj_t BGl_z62zc3z04anonymousza31247ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_884)
	{
		{	/* Heap/restore.scm 56 */
			{	/* Heap/restore.scm 110 */
				obj_t BgL_portz00_885;

				BgL_portz00_885 = PROCEDURE_REF(BgL_envz00_884, (int) (0L));
				return close_binary_port(((obj_t) BgL_portz00_885));
			}
		}

	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 118 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(2)), ((obj_t) CNST_TABLE_REF(3)))))
				{	/* Heap/restore.scm 119 */
					BGl_unbindzd2globalz12zc0zzast_envz00(
						((obj_t) CNST_TABLE_REF(2)), ((obj_t) CNST_TABLE_REF(3)));
				}
			else
				{	/* Heap/restore.scm 119 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(4)), ((obj_t) CNST_TABLE_REF(3)))))
				{	/* Heap/restore.scm 121 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(
						((obj_t) CNST_TABLE_REF(4)), ((obj_t) CNST_TABLE_REF(3)));
				}
			else
				{	/* Heap/restore.scm 121 */
					return BFALSE;
				}
		}

	}



/* heap-file-name */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t
		BgL_heapz00_4)
	{
		{	/* Heap/restore.scm 129 */
			{	/* Heap/restore.scm 130 */
				obj_t BgL_arg1252z00_827;

				{	/* Heap/restore.scm 130 */
					obj_t BgL_arg1253z00_828;

					BgL_arg1253z00_828 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1252z00_827 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1253z00_828)))->
						BgL_heapzd2suffixzd2);
				}
				return
					string_append_3(BgL_heapz00_4, BGl_string1405z00zzheap_restorez00,
					BgL_arg1252z00_827);
			}
		}

	}



/* &heap-file-name */
	obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t BgL_envz00_886,
		obj_t BgL_heapz00_887)
	{
		{	/* Heap/restore.scm 129 */
			return BGl_heapzd2filezd2namez00zzheap_restorez00(BgL_heapz00_887);
		}

	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 135 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 136 */
					{	/* Heap/restore.scm 137 */
						obj_t BgL_list1255z00_641;

						{	/* Heap/restore.scm 137 */
							obj_t BgL_arg1256z00_642;

							{	/* Heap/restore.scm 137 */
								obj_t BgL_arg1258z00_643;

								BgL_arg1258z00_643 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1256z00_642 =
									MAKE_YOUNG_PAIR(BGl_string1406z00zzheap_restorez00,
									BgL_arg1258z00_643);
							}
							BgL_list1255z00_641 =
								MAKE_YOUNG_PAIR(BGl_string1391z00zzheap_restorez00,
								BgL_arg1256z00_642);
						}
						BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1255z00_641);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1406z00zzheap_restorez00;
					{	/* Heap/restore.scm 137 */
						obj_t BgL_g1073z00_644;

						BgL_g1073z00_644 = BNIL;
						{
							obj_t BgL_hooksz00_647;
							obj_t BgL_hnamesz00_648;

							BgL_hooksz00_647 = BgL_g1073z00_644;
							BgL_hnamesz00_648 = BNIL;
						BgL_zc3z04anonymousza31259ze3z87_649:
							if (NULLP(BgL_hooksz00_647))
								{	/* Heap/restore.scm 137 */
									((obj_t) CNST_TABLE_REF(1));
								}
							else
								{	/* Heap/restore.scm 137 */
									bool_t BgL_test1468z00_1176;

									{	/* Heap/restore.scm 137 */
										obj_t BgL_fun1270z00_656;

										BgL_fun1270z00_656 = CAR(((obj_t) BgL_hooksz00_647));
										BgL_test1468z00_1176 =
											CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1270z00_656));
									}
									if (BgL_test1468z00_1176)
										{	/* Heap/restore.scm 137 */
											obj_t BgL_arg1266z00_653;
											obj_t BgL_arg1267z00_654;

											BgL_arg1266z00_653 = CDR(((obj_t) BgL_hooksz00_647));
											BgL_arg1267z00_654 = CDR(((obj_t) BgL_hnamesz00_648));
											{
												obj_t BgL_hnamesz00_1188;
												obj_t BgL_hooksz00_1187;

												BgL_hooksz00_1187 = BgL_arg1266z00_653;
												BgL_hnamesz00_1188 = BgL_arg1267z00_654;
												BgL_hnamesz00_648 = BgL_hnamesz00_1188;
												BgL_hooksz00_647 = BgL_hooksz00_1187;
												goto BgL_zc3z04anonymousza31259ze3z87_649;
											}
										}
									else
										{	/* Heap/restore.scm 137 */
											obj_t BgL_arg1268z00_655;

											BgL_arg1268z00_655 = CAR(((obj_t) BgL_hnamesz00_648));
											BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string1406z00zzheap_restorez00,
												BGl_string1392z00zzheap_restorez00, BgL_arg1268z00_655);
										}
								}
						}
					}
					{	/* Heap/restore.scm 138 */
						obj_t BgL_g1108z00_659;

						BgL_g1108z00_659 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l1106z00_661;

							{	/* Heap/restore.scm 143 */
								bool_t BgL_tmpz00_1193;

								BgL_l1106z00_661 = BgL_g1108z00_659;
							BgL_zc3z04anonymousza31272ze3z87_662:
								if (PAIRP(BgL_l1106z00_661))
									{	/* Heap/restore.scm 143 */
										{	/* Heap/restore.scm 139 */
											obj_t BgL_hz00_664;

											BgL_hz00_664 = CAR(BgL_l1106z00_661);
											if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
													(BgL_hz00_664,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00)))
												{	/* Heap/restore.scm 139 */
													BFALSE;
												}
											else
												{	/* Heap/restore.scm 139 */
													BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00
														=
														MAKE_YOUNG_PAIR(BgL_hz00_664,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00);
													{	/* Heap/restore.scm 142 */
														obj_t BgL_arg1275z00_666;

														{	/* Heap/restore.scm 130 */
															obj_t BgL_arg1252z00_838;

															{	/* Heap/restore.scm 130 */
																obj_t BgL_arg1253z00_839;

																BgL_arg1253z00_839 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1252z00_838 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1253z00_839)))->
																	BgL_heapzd2suffixzd2);
															}
															BgL_arg1275z00_666 =
																string_append_3(
																((obj_t) BgL_hz00_664),
																BGl_string1405z00zzheap_restorez00,
																BgL_arg1252z00_838);
														}
														BGl_restorezd2additionalzd2heapz00zzheap_restorez00
															(BgL_arg1275z00_666);
													}
												}
										}
										{
											obj_t BgL_l1106z00_1207;

											BgL_l1106z00_1207 = CDR(BgL_l1106z00_661);
											BgL_l1106z00_661 = BgL_l1106z00_1207;
											goto BgL_zc3z04anonymousza31272ze3z87_662;
										}
									}
								else
									{	/* Heap/restore.scm 143 */
										BgL_tmpz00_1193 = ((bool_t) 1);
									}
								return BBOOL(BgL_tmpz00_1193);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 136 */
					return BFALSE;
				}
		}

	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_888)
	{
		{	/* Heap/restore.scm 135 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}

	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_5)
	{
		{	/* Heap/restore.scm 153 */
			{	/* Heap/restore.scm 154 */
				obj_t BgL_fnamez00_669;

				BgL_fnamez00_669 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_5,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_669))
					{	/* Heap/restore.scm 156 */
						obj_t BgL_portz00_671;

						BgL_portz00_671 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_669);
						if (BINARY_PORTP(BgL_portz00_671))
							{	/* Heap/restore.scm 157 */
								{	/* Heap/restore.scm 165 */
									obj_t BgL_list1279z00_673;

									{	/* Heap/restore.scm 165 */
										obj_t BgL_arg1280z00_674;

										{	/* Heap/restore.scm 165 */
											obj_t BgL_arg1281z00_675;

											{	/* Heap/restore.scm 165 */
												obj_t BgL_arg1282z00_676;

												BgL_arg1282z00_676 =
													MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
												BgL_arg1281z00_675 =
													MAKE_YOUNG_PAIR(BGl_string1393z00zzheap_restorez00,
													BgL_arg1282z00_676);
											}
											BgL_arg1280z00_674 =
												MAKE_YOUNG_PAIR(BgL_fnamez00_669, BgL_arg1281z00_675);
										}
										BgL_list1279z00_673 =
											MAKE_YOUNG_PAIR(BGl_string1394z00zzheap_restorez00,
											BgL_arg1280z00_674);
									}
									BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1279z00_673);
								}
								{	/* Heap/restore.scm 166 */
									obj_t BgL_exitd1075z00_677;

									BgL_exitd1075z00_677 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Heap/restore.scm 234 */
										obj_t BgL_zc3z04anonymousza31327ze3z87_891;

										BgL_zc3z04anonymousza31327ze3z87_891 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31327ze3ze5zzheap_restorez00,
											(int) (0L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31327ze3z87_891,
											(int) (0L), BgL_portz00_671);
										{	/* Heap/restore.scm 166 */
											obj_t BgL_arg1881z00_843;

											{	/* Heap/restore.scm 166 */
												obj_t BgL_arg1883z00_844;

												BgL_arg1883z00_844 =
													BGL_EXITD_PROTECT(BgL_exitd1075z00_677);
												BgL_arg1881z00_843 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31327ze3z87_891,
													BgL_arg1883z00_844);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1075z00_677,
												BgL_arg1881z00_843);
											BUNSPEC;
										}
										{	/* Heap/restore.scm 167 */
											bool_t BgL_tmp1077z00_679;

											{	/* Heap/restore.scm 167 */
												obj_t BgL_envsz00_680;

												BgL_envsz00_680 = input_obj(BgL_portz00_671);
												{	/* Heap/restore.scm 167 */
													obj_t BgL__z00_681;

													{	/* Heap/restore.scm 168 */
														bool_t BgL_test1473z00_1234;

														if (VECTORP(BgL_envsz00_680))
															{	/* Heap/restore.scm 168 */
																BgL_test1473z00_1234 =
																	(VECTOR_LENGTH(BgL_envsz00_680) == 7L);
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL_test1473z00_1234 = ((bool_t) 0);
															}
														if (BgL_test1473z00_1234)
															{	/* Heap/restore.scm 168 */
																BgL__z00_681 = BFALSE;
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL__z00_681 =
																	BGl_errorz00zz__errorz00(BgL_heapz00_5,
																	BGl_string1395z00zzheap_restorez00,
																	BgL_envsz00_680);
															}
													}
													{	/* Heap/restore.scm 168 */
														obj_t BgL_targetz00_682;

														BgL_targetz00_682 =
															VECTOR_REF(((obj_t) BgL_envsz00_680), 0L);
														{	/* Heap/restore.scm 171 */
															obj_t BgL_versionz00_683;

															BgL_versionz00_683 =
																VECTOR_REF(((obj_t) BgL_envsz00_680), 1L);
															{	/* Heap/restore.scm 172 */
																obj_t BgL_specificz00_684;

																BgL_specificz00_684 =
																	VECTOR_REF(((obj_t) BgL_envsz00_680), 2L);
																{	/* Heap/restore.scm 173 */
																	obj_t BgL_genvz00_685;

																	BgL_genvz00_685 =
																		VECTOR_REF(((obj_t) BgL_envsz00_680), 3L);
																	{	/* Heap/restore.scm 174 */
																		obj_t BgL_tenvz00_686;

																		BgL_tenvz00_686 =
																			VECTOR_REF(((obj_t) BgL_envsz00_680), 4L);
																		{	/* Heap/restore.scm 175 */
																			obj_t BgL_includesz00_687;

																			BgL_includesz00_687 =
																				VECTOR_REF(
																				((obj_t) BgL_envsz00_680), 5L);
																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_ccoptsz00_688;

																				BgL_ccoptsz00_688 =
																					VECTOR_REF(
																					((obj_t) BgL_envsz00_680), 6L);
																				{	/* Heap/restore.scm 177 */

																					if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_682))
																						{	/* Heap/restore.scm 179 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 184 */
																							obj_t BgL_arg1284z00_690;

																							{	/* Heap/restore.scm 184 */
																								obj_t BgL_arg1285z00_691;

																								{	/* Heap/restore.scm 184 */
																									obj_t BgL_arg1288z00_694;

																									BgL_arg1288z00_694 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									BgL_arg1285z00_691 =
																										(((BgL_backendz00_bglt)
																											COBJECT((
																													(BgL_backendz00_bglt)
																													BgL_arg1288z00_694)))->
																										BgL_languagez00);
																								}
																								{	/* Heap/restore.scm 182 */
																									obj_t BgL_list1286z00_692;

																									{	/* Heap/restore.scm 182 */
																										obj_t BgL_arg1287z00_693;

																										BgL_arg1287z00_693 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1285z00_691,
																											BNIL);
																										BgL_list1286z00_692 =
																											MAKE_YOUNG_PAIR
																											(BgL_targetz00_682,
																											BgL_arg1287z00_693);
																									}
																									BgL_arg1284z00_690 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1396z00zzheap_restorez00,
																										BgL_list1286z00_692);
																								}
																							}
																							BGl_errorz00zz__errorz00
																								(BgL_heapz00_5,
																								BGl_string1397z00zzheap_restorez00,
																								BgL_arg1284z00_690);
																						}
																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_versionz00_683, BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																						{	/* Heap/restore.scm 185 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 188 */
																							obj_t BgL_arg1291z00_696;

																							{	/* Heap/restore.scm 188 */
																								obj_t BgL_list1292z00_697;

																								{	/* Heap/restore.scm 188 */
																									obj_t BgL_arg1293z00_698;

																									BgL_arg1293z00_698 =
																										MAKE_YOUNG_PAIR
																										(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																										BNIL);
																									BgL_list1292z00_697 =
																										MAKE_YOUNG_PAIR
																										(BgL_versionz00_683,
																										BgL_arg1293z00_698);
																								}
																								BgL_arg1291z00_696 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string1398z00zzheap_restorez00,
																									BgL_list1292z00_697);
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1399z00zzheap_restorez00,
																								BgL_arg1291z00_696);
																						}
																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_specificz00_684, BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																						{	/* Heap/restore.scm 191 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 194 */
																							obj_t BgL_arg1295z00_700;

																							{	/* Heap/restore.scm 194 */
																								obj_t BgL_list1296z00_701;

																								{	/* Heap/restore.scm 194 */
																									obj_t BgL_arg1297z00_702;

																									BgL_arg1297z00_702 =
																										MAKE_YOUNG_PAIR
																										(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																										BNIL);
																									BgL_list1296z00_701 =
																										MAKE_YOUNG_PAIR
																										(BgL_specificz00_684,
																										BgL_arg1297z00_702);
																								}
																								BgL_arg1295z00_700 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string1398z00zzheap_restorez00,
																									BgL_list1296z00_701);
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1400z00zzheap_restorez00,
																								BgL_arg1295z00_700);
																						}
																					BGl_addzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_686);
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_685);
																					{	/* Heap/restore.scm 210 */
																						bool_t BgL_test1478z00_1277;

																						{	/* Heap/restore.scm 210 */
																							obj_t BgL_arg1311z00_714;

																							BgL_arg1311z00_714 =
																								BGl_thezd2backendzd2zzbackend_backendz00
																								();
																							BgL_test1478z00_1277 =
																								(((BgL_backendz00_bglt)
																									COBJECT(((BgL_backendz00_bglt)
																											BgL_arg1311z00_714)))->
																								BgL_qualifiedzd2typeszd2);
																						}
																						if (BgL_test1478z00_1277)
																							{	/* Heap/restore.scm 210 */
																								BGl_forzd2eachzd2globalz12z12zzast_envz00
																									(BGl_proc1407z00zzheap_restorez00,
																									BNIL);
																							}
																						else
																							{	/* Heap/restore.scm 210 */
																								BFALSE;
																							}
																					}
																					BGl_hashtablezd2forzd2eachz00zz__hashz00
																						(BgL_genvz00_685,
																						BGl_proc1408z00zzheap_restorez00);
																					if (
																						(BGl_za2passza2z00zzengine_paramz00
																							== ((obj_t) CNST_TABLE_REF(5))))
																						{	/* Heap/restore.scm 226 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 226 */
																							BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																								=
																								BGl_appendzd221011zd2zzheap_restorez00
																								(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																								BgL_includesz00_687);
																							{	/* Heap/restore.scm 232 */
																								obj_t BgL_arg1320z00_730;

																								BgL_arg1320z00_730 =
																									BGl_appendzd221011zd2zzheap_restorez00
																									(BGl_za2cczd2optionsza2zd2zzengine_paramz00,
																									BgL_ccoptsz00_688);
																								{	/* Heap/restore.scm 231 */

																									BGl_za2cczd2optionsza2zd2zzengine_paramz00
																										=
																										BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1320z00_730,
																										BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
																								}
																							}
																						}
																					BgL_tmp1077z00_679 = ((bool_t) 1);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
											{	/* Heap/restore.scm 166 */
												bool_t BgL_test1480z00_1290;

												{	/* Heap/restore.scm 166 */
													obj_t BgL_arg1880z00_864;

													BgL_arg1880z00_864 =
														BGL_EXITD_PROTECT(BgL_exitd1075z00_677);
													BgL_test1480z00_1290 = PAIRP(BgL_arg1880z00_864);
												}
												if (BgL_test1480z00_1290)
													{	/* Heap/restore.scm 166 */
														obj_t BgL_arg1877z00_865;

														{	/* Heap/restore.scm 166 */
															obj_t BgL_arg1879z00_866;

															BgL_arg1879z00_866 =
																BGL_EXITD_PROTECT(BgL_exitd1075z00_677);
															BgL_arg1877z00_865 =
																CDR(((obj_t) BgL_arg1879z00_866));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1075z00_677,
															BgL_arg1877z00_865);
														BUNSPEC;
													}
												else
													{	/* Heap/restore.scm 166 */
														BFALSE;
													}
											}
											close_binary_port(BgL_portz00_671);
											return BBOOL(BgL_tmp1077z00_679);
										}
									}
								}
							}
						else
							{	/* Heap/restore.scm 158 */
								obj_t BgL_mz00_740;

								{	/* Heap/restore.scm 158 */
									obj_t BgL_list1333z00_743;

									BgL_list1333z00_743 = MAKE_YOUNG_PAIR(BgL_fnamez00_669, BNIL);
									BgL_mz00_740 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1403z00zzheap_restorez00, BgL_list1333z00_743);
								}
								{	/* Heap/restore.scm 159 */
									obj_t BgL_arg1331z00_741;

									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* Heap/restore.scm 159 */
											BgL_arg1331z00_741 =
												CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										}
									else
										{	/* Heap/restore.scm 159 */
											BgL_arg1331z00_741 = BGl_string1409z00zzheap_restorez00;
										}
									BGl_errorz00zz__errorz00(BgL_arg1331z00_741, BgL_mz00_740,
										BGl_za2libzd2dirza2zd2zzengine_paramz00);
								}
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(6L));
							}
					}
				else
					{	/* Heap/restore.scm 235 */
						obj_t BgL_mz00_744;

						{	/* Heap/restore.scm 235 */
							obj_t BgL_list1338z00_747;

							BgL_list1338z00_747 = MAKE_YOUNG_PAIR(BgL_heapz00_5, BNIL);
							BgL_mz00_744 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1403z00zzheap_restorez00, BgL_list1338z00_747);
						}
						{	/* Heap/restore.scm 236 */
							obj_t BgL_arg1336z00_745;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Heap/restore.scm 236 */
									BgL_arg1336z00_745 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								}
							else
								{	/* Heap/restore.scm 236 */
									BgL_arg1336z00_745 = BGl_string1409z00zzheap_restorez00;
								}
							BGl_errorz00zz__errorz00(BgL_arg1336z00_745, BgL_mz00_744,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
						}
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(6L));
					}
			}
		}

	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_892, obj_t BgL_heapz00_893)
	{
		{	/* Heap/restore.scm 153 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_893);
		}

	}



/* &<@anonymous:1314> */
	obj_t BGl_z62zc3z04anonymousza31314ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_894, obj_t BgL_kz00_895, obj_t BgL_bucketz00_896)
	{
		{	/* Heap/restore.scm 220 */
			{	/* Heap/restore.scm 221 */
				bool_t BgL_tmpz00_1316;

				{	/* Heap/restore.scm 221 */
					obj_t BgL_g1111z00_923;

					BgL_g1111z00_923 = CDR(((obj_t) BgL_bucketz00_896));
					{
						obj_t BgL_l1109z00_925;

						BgL_l1109z00_925 = BgL_g1111z00_923;
					BgL_zc3z04anonymousza31315ze3z87_924:
						if (PAIRP(BgL_l1109z00_925))
							{	/* Heap/restore.scm 224 */
								{	/* Heap/restore.scm 222 */
									obj_t BgL_newz00_926;

									BgL_newz00_926 = CAR(BgL_l1109z00_925);
									{	/* Heap/restore.scm 223 */
										obj_t BgL_arg1317z00_927;

										BgL_arg1317z00_927 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_newz00_926)))->
											BgL_modulez00);
										{	/* Heap/restore.scm 222 */
											obj_t BgL_list1318z00_928;

											BgL_list1318z00_928 =
												MAKE_YOUNG_PAIR(BgL_arg1317z00_927, BNIL);
											BGl_heapzd2modulezd2listz00zzheap_restorez00
												(BgL_list1318z00_928);
										}
									}
								}
								{
									obj_t BgL_l1109z00_1326;

									BgL_l1109z00_1326 = CDR(BgL_l1109z00_925);
									BgL_l1109z00_925 = BgL_l1109z00_1326;
									goto BgL_zc3z04anonymousza31315ze3z87_924;
								}
							}
						else
							{	/* Heap/restore.scm 224 */
								BgL_tmpz00_1316 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_1316);
			}
		}

	}



/* &<@anonymous:1303> */
	obj_t BGl_z62zc3z04anonymousza31303ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_897, obj_t BgL_newz00_898)
	{
		{	/* Heap/restore.scm 212 */
			{	/* Heap/restore.scm 214 */
				obj_t BgL_arg1304z00_929;
				obj_t BgL_arg1305z00_930;
				obj_t BgL_arg1309z00_931;

				BgL_arg1304z00_929 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_898)))->BgL_modulez00);
				BgL_arg1305z00_930 =
					(((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_newz00_898)))->
					BgL_qualifiedzd2typezd2namez00);
				BgL_arg1309z00_931 = BGl_shapez00zztools_shapez00(BgL_newz00_898);
				{	/* Heap/restore.scm 213 */
					obj_t BgL_list1310z00_932;

					BgL_list1310z00_932 = MAKE_YOUNG_PAIR(BgL_arg1309z00_931, BNIL);
					return
						BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1304z00_929,
						BgL_arg1305z00_930, BgL_list1310z00_932);
				}
			}
		}

	}



/* &<@anonymous:1327> */
	obj_t BGl_z62zc3z04anonymousza31327ze3ze5zzheap_restorez00(obj_t
		BgL_envz00_899)
	{
		{	/* Heap/restore.scm 166 */
			{	/* Heap/restore.scm 234 */
				obj_t BgL_portz00_900;

				BgL_portz00_900 = PROCEDURE_REF(BgL_envz00_899, (int) (0L));
				return close_binary_port(((obj_t) BgL_portz00_900));
			}
		}

	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_6)
	{
		{	/* Heap/restore.scm 255 */
			if (NULLP(BgL_argsz00_6))
				{	/* Heap/restore.scm 257 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 257 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(
									((obj_t) BgL_argsz00_6)), ((obj_t) CNST_TABLE_REF(0)))))
						{	/* Heap/restore.scm 259 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 259 */
							{	/* Heap/restore.scm 260 */
								obj_t BgL_arg1355z00_751;

								BgL_arg1355z00_751 = CAR(((obj_t) BgL_argsz00_6));
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg1355z00_751,
									((obj_t) CNST_TABLE_REF(0)), BTRUE);
							}
							{	/* Heap/restore.scm 261 */
								obj_t BgL_arg1358z00_752;

								BgL_arg1358z00_752 = CAR(((obj_t) BgL_argsz00_6));
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_YOUNG_PAIR(BgL_arg1358z00_752,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}

	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_904,
		obj_t BgL_argsz00_905)
	{
		{	/* Heap/restore.scm 255 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_905);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00(void)
	{
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(373986149L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(288050968L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1410z00zzheap_restorez00));
		}

	}

#ifdef __cplusplus
}
#endif
