/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/cto.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_CTO_TYPE_DEFINITIONS
#define BGL_INTEGRATE_CTO_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_CTO_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2app1278z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
	static obj_t
		BGl_z62setzd2ctoz12zd2boxzd2setz121307zb0zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2makezd2box1305za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2appzd2ly1280za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2atom1266z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1309za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctoz00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2extern1284z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2switch1294z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2funcall1282z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2var1298za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2closure1272z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2kwote1268z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2conditional1290z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2cast1286z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sequence1274z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2setq1288z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2sync1276z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2fail1292z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00(void);
	static obj_t BGl_z62setzd2ctoz121263za2zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1301z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2var1270z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2letzd2fun1296za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1303z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71797z00,
		BGl_z62setzd2ctoz12za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1765z00zzintegrate_ctoz00,
		BgL_bgl_string1765za700za7za7i1798za7, "set-cto!1263", 12);
	      DEFINE_STRING(BGl_string1766z00zzintegrate_ctoz00,
		BgL_bgl_string1766za700za7za7i1799za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1768z00zzintegrate_ctoz00,
		BgL_bgl_string1768za700za7za7i1800za7, "set-cto!", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza71211801za7,
		BGl_z62setzd2ctoz121263za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71802z00,
		BGl_z62setzd2ctoz12zd2atom1266z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71803z00,
		BGl_z62setzd2ctoz12zd2kwote1268z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71804z00,
		BGl_z62setzd2ctoz12zd2var1270z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71805z00,
		BGl_z62setzd2ctoz12zd2closure1272z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71806z00,
		BGl_z62setzd2ctoz12zd2sequence1274z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71807z00,
		BGl_z62setzd2ctoz12zd2sync1276z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71808z00,
		BGl_z62setzd2ctoz12zd2app1278z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71809z00,
		BGl_z62setzd2ctoz12zd2appzd2ly1280za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71810z00,
		BGl_z62setzd2ctoz12zd2funcall1282z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71811z00,
		BGl_z62setzd2ctoz12zd2extern1284z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71812z00,
		BGl_z62setzd2ctoz12zd2cast1286z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71813z00,
		BGl_z62setzd2ctoz12zd2setq1288z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71814z00,
		BGl_z62setzd2ctoz12zd2conditional1290z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71815z00,
		BGl_z62setzd2ctoz12zd2fail1292z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71816z00,
		BGl_z62setzd2ctoz12zd2switch1294z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71817z00,
		BGl_z62setzd2ctoz12zd2letzd2fun1296za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1790z00zzintegrate_ctoz00,
		BgL_bgl_string1790za700za7za7i1818za7, "Unexpected closure", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71819z00,
		BGl_z62setzd2ctoz12zd2letzd2var1298za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1791z00zzintegrate_ctoz00,
		BgL_bgl_string1791za700za7za7i1820za7, "integrate_cto", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71821z00,
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1301z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1792z00zzintegrate_ctoz00,
		BgL_bgl_string1792za700za7za7i1822za7, "set-cto!1263 ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71823z00,
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1303z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71824z00,
		BGl_z62setzd2ctoz12zd2makezd2box1305za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71825z00,
		BGl_z62setzd2ctoz12zd2boxzd2setz121307zb0zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71826z00,
		BGl_z62setzd2ctoz12zd2boxzd2ref1309za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_ctoz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long
		BgL_checksumz00_2466, char *BgL_fromz00_2467)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_ctoz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_cnstzd2initzd2zzintegrate_ctoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_genericzd2initzd2zzintegrate_ctoz00();
					BGl_methodzd2initzd2zzintegrate_ctoz00();
					return BGl_toplevelzd2initzd2zzintegrate_ctoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_cto");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			{	/* Integrate/cto.scm 15 */
				obj_t BgL_cportz00_2331;

				{	/* Integrate/cto.scm 15 */
					obj_t BgL_stringz00_2338;

					BgL_stringz00_2338 = BGl_string1792z00zzintegrate_ctoz00;
					{	/* Integrate/cto.scm 15 */
						obj_t BgL_startz00_2339;

						BgL_startz00_2339 = BINT(0L);
						{	/* Integrate/cto.scm 15 */
							obj_t BgL_endz00_2340;

							BgL_endz00_2340 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2338)));
							{	/* Integrate/cto.scm 15 */

								BgL_cportz00_2331 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2338, BgL_startz00_2339, BgL_endz00_2340);
				}}}}
				{
					long BgL_iz00_2332;

					BgL_iz00_2332 = 0L;
				BgL_loopz00_2333:
					if ((BgL_iz00_2332 == (-1L)))
						{	/* Integrate/cto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 15 */
							{	/* Integrate/cto.scm 15 */
								obj_t BgL_arg1796z00_2334;

								{	/* Integrate/cto.scm 15 */

									{	/* Integrate/cto.scm 15 */
										obj_t BgL_locationz00_2336;

										BgL_locationz00_2336 = BBOOL(((bool_t) 0));
										{	/* Integrate/cto.scm 15 */

											BgL_arg1796z00_2334 =
												BGl_readz00zz__readerz00(BgL_cportz00_2331,
												BgL_locationz00_2336);
										}
									}
								}
								{	/* Integrate/cto.scm 15 */
									int BgL_tmpz00_2497;

									BgL_tmpz00_2497 = (int) (BgL_iz00_2332);
									CNST_TABLE_SET(BgL_tmpz00_2497, BgL_arg1796z00_2334);
							}}
							{	/* Integrate/cto.scm 15 */
								int BgL_auxz00_2337;

								BgL_auxz00_2337 = (int) ((BgL_iz00_2332 - 1L));
								{
									long BgL_iz00_2502;

									BgL_iz00_2502 = (long) (BgL_auxz00_2337);
									BgL_iz00_2332 = BgL_iz00_2502;
									goto BgL_loopz00_2333;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_proc1764z00zzintegrate_ctoz00, BGl_nodez00zzast_nodez00,
				BGl_string1765z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!1263 */
	obj_t BGl_z62setzd2ctoz121263za2zzintegrate_ctoz00(obj_t BgL_envz00_2237,
		obj_t BgL_nodez00_2238, obj_t BgL_localz00_2239)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1766z00zzintegrate_ctoz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2238)));
		}

	}



/* set-cto! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
	{
		{	/* Integrate/cto.scm 28 */
			{	/* Integrate/cto.scm 28 */
				obj_t BgL_method1264z00_1623;

				{	/* Integrate/cto.scm 28 */
					obj_t BgL_res1760z00_2072;

					{	/* Integrate/cto.scm 28 */
						long BgL_objzd2classzd2numz00_2043;

						BgL_objzd2classzd2numz00_2043 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Integrate/cto.scm 28 */
							obj_t BgL_arg1862z00_2044;

							BgL_arg1862z00_2044 =
								PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
								(int) (1L));
							{	/* Integrate/cto.scm 28 */
								int BgL_offsetz00_2047;

								BgL_offsetz00_2047 = (int) (BgL_objzd2classzd2numz00_2043);
								{	/* Integrate/cto.scm 28 */
									long BgL_offsetz00_2048;

									BgL_offsetz00_2048 =
										((long) (BgL_offsetz00_2047) - OBJECT_TYPE);
									{	/* Integrate/cto.scm 28 */
										long BgL_modz00_2049;

										BgL_modz00_2049 =
											(BgL_offsetz00_2048 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/cto.scm 28 */
											long BgL_restz00_2051;

											BgL_restz00_2051 =
												(BgL_offsetz00_2048 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/cto.scm 28 */

												{	/* Integrate/cto.scm 28 */
													obj_t BgL_bucketz00_2053;

													BgL_bucketz00_2053 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2044), BgL_modz00_2049);
													BgL_res1760z00_2072 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2053), BgL_restz00_2051);
					}}}}}}}}
					BgL_method1264z00_1623 = BgL_res1760z00_2072;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1264z00_1623,
					((obj_t) BgL_nodez00_3), ((obj_t) BgL_localz00_4));
			}
		}

	}



/* &set-cto! */
	obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t BgL_envz00_2240,
		obj_t BgL_nodez00_2241, obj_t BgL_localz00_2242)
	{
		{	/* Integrate/cto.scm 28 */
			return
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
				((BgL_nodez00_bglt) BgL_nodez00_2241),
				((BgL_localz00_bglt) BgL_localz00_2242));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00,
				BGl_proc1767z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1769z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00,
				BGl_proc1770z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_closurez00zzast_nodez00, BGl_proc1771z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1772z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_syncz00zzast_nodez00,
				BGl_proc1773z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00,
				BGl_proc1774z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1775z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1776z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_externz00zzast_nodez00, BGl_proc1777z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00,
				BGl_proc1778z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00,
				BGl_proc1779z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1780z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00,
				BGl_proc1781z00zzintegrate_ctoz00, BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_switchz00zzast_nodez00, BGl_proc1782z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1783z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1784z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1785z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1786z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1787z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1788z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1789z00zzintegrate_ctoz00,
				BGl_string1768z00zzintegrate_ctoz00);
		}

	}



/* &set-cto!-box-ref1309 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1309za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2265, obj_t BgL_nodez00_2266, obj_t BgL_localz00_2267)
	{
		{	/* Integrate/cto.scm 233 */
			{	/* Integrate/cto.scm 235 */
				BgL_varz00_bglt BgL_arg1553z00_2345;

				BgL_arg1553z00_2345 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2266)))->BgL_varz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1553z00_2345),
					((BgL_localz00_bglt) BgL_localz00_2267));
			}
		}

	}



/* &set-cto!-box-set!1307 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2setz121307zb0zzintegrate_ctoz00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269, obj_t BgL_localz00_2270)
	{
		{	/* Integrate/cto.scm 225 */
			{	/* Integrate/cto.scm 227 */
				BgL_varz00_bglt BgL_arg1543z00_2347;

				BgL_arg1543z00_2347 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2269)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1543z00_2347),
					((BgL_localz00_bglt) BgL_localz00_2270));
			}
			{	/* Integrate/cto.scm 228 */
				BgL_nodez00_bglt BgL_arg1545z00_2348;

				BgL_arg1545z00_2348 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2269)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1545z00_2348,
					((BgL_localz00_bglt) BgL_localz00_2270));
			}
		}

	}



/* &set-cto!-make-box1305 */
	obj_t BGl_z62setzd2ctoz12zd2makezd2box1305za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2271, obj_t BgL_nodez00_2272, obj_t BgL_localz00_2273)
	{
		{	/* Integrate/cto.scm 218 */
			{	/* Integrate/cto.scm 220 */
				BgL_nodez00_bglt BgL_arg1535z00_2350;

				BgL_arg1535z00_2350 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2272)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1535z00_2350,
					((BgL_localz00_bglt) BgL_localz00_2273));
			}
		}

	}



/* &set-cto!-jump-ex-it1303 */
	obj_t BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1303z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2274, obj_t BgL_nodez00_2275, obj_t BgL_localz00_2276)
	{
		{	/* Integrate/cto.scm 210 */
			{	/* Integrate/cto.scm 212 */
				BgL_nodez00_bglt BgL_arg1530z00_2352;

				BgL_arg1530z00_2352 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2275)))->BgL_exitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1530z00_2352,
					((BgL_localz00_bglt) BgL_localz00_2276));
			}
			{	/* Integrate/cto.scm 213 */
				BgL_nodez00_bglt BgL_arg1532z00_2353;

				BgL_arg1532z00_2353 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2275)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1532z00_2353,
					((BgL_localz00_bglt) BgL_localz00_2276));
			}
		}

	}



/* &set-cto!-set-ex-it1301 */
	obj_t BGl_z62setzd2ctoz12zd2setzd2exzd2it1301z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2277, obj_t BgL_nodez00_2278, obj_t BgL_localz00_2279)
	{
		{	/* Integrate/cto.scm 202 */
			{	/* Integrate/cto.scm 204 */
				BgL_nodez00_bglt BgL_arg1515z00_2355;

				BgL_arg1515z00_2355 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2278)))->BgL_onexitz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1515z00_2355,
					((BgL_localz00_bglt) BgL_localz00_2279));
			}
			{	/* Integrate/cto.scm 205 */
				BgL_nodez00_bglt BgL_arg1516z00_2356;

				BgL_arg1516z00_2356 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2278)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1516z00_2356,
					((BgL_localz00_bglt) BgL_localz00_2279));
			}
		}

	}



/* &set-cto!-let-var1298 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2var1298za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2280, obj_t BgL_nodez00_2281, obj_t BgL_localz00_2282)
	{
		{	/* Integrate/cto.scm 190 */
			{	/* Integrate/cto.scm 192 */
				obj_t BgL_g1124z00_2358;

				BgL_g1124z00_2358 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2281)))->BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_2360;

					BgL_bindingsz00_2360 = BgL_g1124z00_2358;
				BgL_liipz00_2359:
					if (NULLP(BgL_bindingsz00_2360))
						{	/* Integrate/cto.scm 194 */
							BgL_nodez00_bglt BgL_arg1506z00_2361;

							BgL_arg1506z00_2361 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2281)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1506z00_2361,
								((BgL_localz00_bglt) BgL_localz00_2282));
						}
					else
						{	/* Integrate/cto.scm 193 */
							{	/* Integrate/cto.scm 196 */
								obj_t BgL_arg1511z00_2362;

								{	/* Integrate/cto.scm 196 */
									obj_t BgL_pairz00_2363;

									BgL_pairz00_2363 = CAR(((obj_t) BgL_bindingsz00_2360));
									BgL_arg1511z00_2362 = CDR(BgL_pairz00_2363);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1511z00_2362),
									((BgL_localz00_bglt) BgL_localz00_2282));
							}
							{	/* Integrate/cto.scm 197 */
								obj_t BgL_arg1513z00_2364;

								BgL_arg1513z00_2364 = CDR(((obj_t) BgL_bindingsz00_2360));
								{
									obj_t BgL_bindingsz00_2618;

									BgL_bindingsz00_2618 = BgL_arg1513z00_2364;
									BgL_bindingsz00_2360 = BgL_bindingsz00_2618;
									goto BgL_liipz00_2359;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-let-fun1296 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2fun1296za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2283, obj_t BgL_nodez00_2284, obj_t BgL_localz00_2285)
	{
		{	/* Integrate/cto.scm 175 */
			{	/* Integrate/cto.scm 177 */
				obj_t BgL_g1122z00_2366;

				BgL_g1122z00_2366 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2284)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2368;

					BgL_localsz00_2368 = BgL_g1122z00_2366;
				BgL_liipz00_2367:
					if (NULLP(BgL_localsz00_2368))
						{	/* Integrate/cto.scm 179 */
							BgL_nodez00_bglt BgL_arg1484z00_2369;

							BgL_arg1484z00_2369 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2284)))->BgL_bodyz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1484z00_2369,
								((BgL_localz00_bglt) BgL_localz00_2285));
						}
					else
						{	/* Integrate/cto.scm 180 */
							obj_t BgL_llocalz00_2370;

							BgL_llocalz00_2370 = CAR(((obj_t) BgL_localsz00_2368));
							{	/* Integrate/cto.scm 180 */
								BgL_valuez00_bglt BgL_funz00_2371;

								BgL_funz00_2371 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_llocalz00_2370))))->
									BgL_valuez00);
								{	/* Integrate/cto.scm 182 */

									{	/* Integrate/cto.scm 184 */
										obj_t BgL_arg1487z00_2372;

										BgL_arg1487z00_2372 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2371)))->BgL_bodyz00);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_arg1487z00_2372),
											((BgL_localz00_bglt) BgL_localz00_2285));
									}
									{	/* Integrate/cto.scm 185 */
										obj_t BgL_arg1489z00_2373;

										BgL_arg1489z00_2373 = CDR(((obj_t) BgL_localsz00_2368));
										{
											obj_t BgL_localsz00_2639;

											BgL_localsz00_2639 = BgL_arg1489z00_2373;
											BgL_localsz00_2368 = BgL_localsz00_2639;
											goto BgL_liipz00_2367;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-switch1294 */
	obj_t BGl_z62setzd2ctoz12zd2switch1294z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2286, obj_t BgL_nodez00_2287, obj_t BgL_localz00_2288)
	{
		{	/* Integrate/cto.scm 163 */
			{	/* Integrate/cto.scm 165 */
				obj_t BgL_g1120z00_2375;

				BgL_g1120z00_2375 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2287)))->BgL_clausesz00);
				{
					obj_t BgL_clausesz00_2377;

					BgL_clausesz00_2377 = BgL_g1120z00_2375;
				BgL_liipz00_2376:
					if (NULLP(BgL_clausesz00_2377))
						{	/* Integrate/cto.scm 167 */
							BgL_nodez00_bglt BgL_arg1446z00_2378;

							BgL_arg1446z00_2378 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2287)))->BgL_testz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1446z00_2378,
								((BgL_localz00_bglt) BgL_localz00_2288));
						}
					else
						{	/* Integrate/cto.scm 166 */
							{	/* Integrate/cto.scm 169 */
								obj_t BgL_arg1457z00_2379;

								{	/* Integrate/cto.scm 169 */
									obj_t BgL_pairz00_2380;

									BgL_pairz00_2380 = CAR(((obj_t) BgL_clausesz00_2377));
									BgL_arg1457z00_2379 = CDR(BgL_pairz00_2380);
								}
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1457z00_2379),
									((BgL_localz00_bglt) BgL_localz00_2288));
							}
							{	/* Integrate/cto.scm 170 */
								obj_t BgL_arg1480z00_2381;

								BgL_arg1480z00_2381 = CDR(((obj_t) BgL_clausesz00_2377));
								{
									obj_t BgL_clausesz00_2656;

									BgL_clausesz00_2656 = BgL_arg1480z00_2381;
									BgL_clausesz00_2377 = BgL_clausesz00_2656;
									goto BgL_liipz00_2376;
								}
							}
						}
				}
			}
		}

	}



/* &set-cto!-fail1292 */
	obj_t BGl_z62setzd2ctoz12zd2fail1292z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2289, obj_t BgL_nodez00_2290, obj_t BgL_localz00_2291)
	{
		{	/* Integrate/cto.scm 154 */
			{	/* Integrate/cto.scm 156 */
				BgL_nodez00_bglt BgL_arg1415z00_2383;

				BgL_arg1415z00_2383 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2290)))->BgL_procz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1415z00_2383,
					((BgL_localz00_bglt) BgL_localz00_2291));
			}
			{	/* Integrate/cto.scm 157 */
				BgL_nodez00_bglt BgL_arg1416z00_2384;

				BgL_arg1416z00_2384 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2290)))->BgL_msgz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1416z00_2384,
					((BgL_localz00_bglt) BgL_localz00_2291));
			}
			{	/* Integrate/cto.scm 158 */
				BgL_nodez00_bglt BgL_arg1417z00_2385;

				BgL_arg1417z00_2385 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2290)))->BgL_objz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1417z00_2385,
					((BgL_localz00_bglt) BgL_localz00_2291));
			}
		}

	}



/* &set-cto!-conditional1290 */
	obj_t BGl_z62setzd2ctoz12zd2conditional1290z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2292, obj_t BgL_nodez00_2293, obj_t BgL_localz00_2294)
	{
		{	/* Integrate/cto.scm 145 */
			{	/* Integrate/cto.scm 147 */
				BgL_nodez00_bglt BgL_arg1403z00_2387;

				BgL_arg1403z00_2387 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2293)))->BgL_testz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1403z00_2387,
					((BgL_localz00_bglt) BgL_localz00_2294));
			}
			{	/* Integrate/cto.scm 148 */
				BgL_nodez00_bglt BgL_arg1406z00_2388;

				BgL_arg1406z00_2388 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2293)))->BgL_truez00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1406z00_2388,
					((BgL_localz00_bglt) BgL_localz00_2294));
			}
			{	/* Integrate/cto.scm 149 */
				BgL_nodez00_bglt BgL_arg1414z00_2389;

				BgL_arg1414z00_2389 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2293)))->BgL_falsez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1414z00_2389,
					((BgL_localz00_bglt) BgL_localz00_2294));
			}
		}

	}



/* &set-cto!-setq1288 */
	obj_t BGl_z62setzd2ctoz12zd2setq1288z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2295, obj_t BgL_nodez00_2296, obj_t BgL_localz00_2297)
	{
		{	/* Integrate/cto.scm 137 */
			{	/* Integrate/cto.scm 139 */
				BgL_varz00_bglt BgL_arg1401z00_2391;

				BgL_arg1401z00_2391 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2296)))->BgL_varz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
					((BgL_nodez00_bglt) BgL_arg1401z00_2391),
					((BgL_localz00_bglt) BgL_localz00_2297));
			}
			{	/* Integrate/cto.scm 140 */
				BgL_nodez00_bglt BgL_arg1402z00_2392;

				BgL_arg1402z00_2392 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2296)))->BgL_valuez00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1402z00_2392,
					((BgL_localz00_bglt) BgL_localz00_2297));
			}
		}

	}



/* &set-cto!-cast1286 */
	obj_t BGl_z62setzd2ctoz12zd2cast1286z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2298, obj_t BgL_nodez00_2299, obj_t BgL_localz00_2300)
	{
		{	/* Integrate/cto.scm 130 */
			{	/* Integrate/cto.scm 132 */
				BgL_nodez00_bglt BgL_arg1400z00_2394;

				BgL_arg1400z00_2394 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2299)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1400z00_2394,
					((BgL_localz00_bglt) BgL_localz00_2300));
			}
		}

	}



/* &set-cto!-extern1284 */
	obj_t BGl_z62setzd2ctoz12zd2extern1284z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2301, obj_t BgL_nodez00_2302, obj_t BgL_localz00_2303)
	{
		{	/* Integrate/cto.scm 123 */
			{	/* Integrate/cto.scm 125 */
				obj_t BgL_g1262z00_2396;

				BgL_g1262z00_2396 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2302)))->BgL_exprza2za2);
				{
					obj_t BgL_l1260z00_2398;

					{	/* Integrate/cto.scm 125 */
						bool_t BgL_tmpz00_2696;

						BgL_l1260z00_2398 = BgL_g1262z00_2396;
					BgL_zc3z04anonymousza31387ze3z87_2397:
						if (PAIRP(BgL_l1260z00_2398))
							{	/* Integrate/cto.scm 125 */
								{	/* Integrate/cto.scm 125 */
									obj_t BgL_nodez00_2399;

									BgL_nodez00_2399 = CAR(BgL_l1260z00_2398);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2399),
										((BgL_localz00_bglt) BgL_localz00_2303));
								}
								{
									obj_t BgL_l1260z00_2703;

									BgL_l1260z00_2703 = CDR(BgL_l1260z00_2398);
									BgL_l1260z00_2398 = BgL_l1260z00_2703;
									goto BgL_zc3z04anonymousza31387ze3z87_2397;
								}
							}
						else
							{	/* Integrate/cto.scm 125 */
								BgL_tmpz00_2696 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2696);
					}
				}
			}
		}

	}



/* &set-cto!-funcall1282 */
	obj_t BGl_z62setzd2ctoz12zd2funcall1282z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2304, obj_t BgL_nodez00_2305, obj_t BgL_localz00_2306)
	{
		{	/* Integrate/cto.scm 111 */
			{
				obj_t BgL_astsz00_2402;

				BgL_astsz00_2402 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2305)))->BgL_argsz00);
			BgL_liipz00_2401:
				if (NULLP(BgL_astsz00_2402))
					{	/* Integrate/cto.scm 115 */
						BgL_nodez00_bglt BgL_arg1383z00_2403;

						BgL_arg1383z00_2403 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2305)))->BgL_funz00);
						return
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1383z00_2403,
							((BgL_localz00_bglt) BgL_localz00_2306));
					}
				else
					{	/* Integrate/cto.scm 114 */
						{	/* Integrate/cto.scm 117 */
							obj_t BgL_arg1385z00_2404;

							BgL_arg1385z00_2404 = CAR(((obj_t) BgL_astsz00_2402));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1385z00_2404),
								((BgL_localz00_bglt) BgL_localz00_2306));
						}
						{	/* Integrate/cto.scm 118 */
							obj_t BgL_arg1386z00_2405;

							BgL_arg1386z00_2405 = CDR(((obj_t) BgL_astsz00_2402));
							{
								obj_t BgL_astsz00_2719;

								BgL_astsz00_2719 = BgL_arg1386z00_2405;
								BgL_astsz00_2402 = BgL_astsz00_2719;
								goto BgL_liipz00_2401;
							}
						}
					}
			}
		}

	}



/* &set-cto!-app-ly1280 */
	obj_t BGl_z62setzd2ctoz12zd2appzd2ly1280za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2307, obj_t BgL_nodez00_2308, obj_t BgL_localz00_2309)
	{
		{	/* Integrate/cto.scm 103 */
			{	/* Integrate/cto.scm 105 */
				BgL_nodez00_bglt BgL_arg1376z00_2407;

				BgL_arg1376z00_2407 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2308)))->BgL_funz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1376z00_2407,
					((BgL_localz00_bglt) BgL_localz00_2309));
			}
			{	/* Integrate/cto.scm 106 */
				BgL_nodez00_bglt BgL_arg1379z00_2408;

				BgL_arg1379z00_2408 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2308)))->BgL_argz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1379z00_2408,
					((BgL_localz00_bglt) BgL_localz00_2309));
			}
		}

	}



/* &set-cto!-app1278 */
	obj_t BGl_z62setzd2ctoz12zd2app1278z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2310, obj_t BgL_nodez00_2311, obj_t BgL_localz00_2312)
	{
		{	/* Integrate/cto.scm 73 */
			{	/* Integrate/cto.scm 77 */
				obj_t BgL_funz00_2410;

				BgL_funz00_2410 =
					((obj_t)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_2311)))->BgL_funz00)))->
						BgL_variablez00));
				{	/* Integrate/cto.scm 78 */
					bool_t BgL_test1834z00_2734;

					{	/* Integrate/cto.scm 78 */
						bool_t BgL_test1835z00_2735;

						{	/* Integrate/cto.scm 78 */
							obj_t BgL_classz00_2411;

							BgL_classz00_2411 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_funz00_2410))
								{	/* Integrate/cto.scm 78 */
									BgL_objectz00_bglt BgL_arg1858z00_2412;

									BgL_arg1858z00_2412 = (BgL_objectz00_bglt) (BgL_funz00_2410);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Integrate/cto.scm 78 */
											long BgL_idxz00_2413;

											BgL_idxz00_2413 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2412);
											BgL_test1835z00_2735 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2413 + 2L)) == BgL_classz00_2411);
										}
									else
										{	/* Integrate/cto.scm 78 */
											bool_t BgL_res1761z00_2416;

											{	/* Integrate/cto.scm 78 */
												obj_t BgL_oclassz00_2417;

												{	/* Integrate/cto.scm 78 */
													obj_t BgL_arg1866z00_2418;
													long BgL_arg1867z00_2419;

													BgL_arg1866z00_2418 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Integrate/cto.scm 78 */
														long BgL_arg1869z00_2420;

														BgL_arg1869z00_2420 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2412);
														BgL_arg1867z00_2419 =
															(BgL_arg1869z00_2420 - OBJECT_TYPE);
													}
													BgL_oclassz00_2417 =
														VECTOR_REF(BgL_arg1866z00_2418,
														BgL_arg1867z00_2419);
												}
												{	/* Integrate/cto.scm 78 */
													bool_t BgL__ortest_1115z00_2421;

													BgL__ortest_1115z00_2421 =
														(BgL_classz00_2411 == BgL_oclassz00_2417);
													if (BgL__ortest_1115z00_2421)
														{	/* Integrate/cto.scm 78 */
															BgL_res1761z00_2416 = BgL__ortest_1115z00_2421;
														}
													else
														{	/* Integrate/cto.scm 78 */
															long BgL_odepthz00_2422;

															{	/* Integrate/cto.scm 78 */
																obj_t BgL_arg1855z00_2423;

																BgL_arg1855z00_2423 = (BgL_oclassz00_2417);
																BgL_odepthz00_2422 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2423);
															}
															if ((2L < BgL_odepthz00_2422))
																{	/* Integrate/cto.scm 78 */
																	obj_t BgL_arg1853z00_2424;

																	{	/* Integrate/cto.scm 78 */
																		obj_t BgL_arg1854z00_2425;

																		BgL_arg1854z00_2425 = (BgL_oclassz00_2417);
																		BgL_arg1853z00_2424 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2425, 2L);
																	}
																	BgL_res1761z00_2416 =
																		(BgL_arg1853z00_2424 == BgL_classz00_2411);
																}
															else
																{	/* Integrate/cto.scm 78 */
																	BgL_res1761z00_2416 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1835z00_2735 = BgL_res1761z00_2416;
										}
								}
							else
								{	/* Integrate/cto.scm 78 */
									BgL_test1835z00_2735 = ((bool_t) 0);
								}
						}
						if (BgL_test1835z00_2735)
							{	/* Integrate/cto.scm 78 */
								if ((BgL_localz00_2312 == BgL_funz00_2410))
									{	/* Integrate/cto.scm 78 */
										BgL_test1834z00_2734 = ((bool_t) 0);
									}
								else
									{	/* Integrate/cto.scm 78 */
										BgL_test1834z00_2734 = ((bool_t) 1);
									}
							}
						else
							{	/* Integrate/cto.scm 78 */
								BgL_test1834z00_2734 = ((bool_t) 0);
							}
					}
					if (BgL_test1834z00_2734)
						{	/* Integrate/cto.scm 78 */
							BNIL;
						}
					else
						{	/* Integrate/cto.scm 78 */
							BFALSE;
						}
				}
				{	/* Integrate/cto.scm 85 */
					bool_t BgL_test1841z00_2760;

					{	/* Integrate/cto.scm 85 */
						bool_t BgL_test1842z00_2761;

						{	/* Integrate/cto.scm 85 */
							obj_t BgL_classz00_2426;

							BgL_classz00_2426 = BGl_localz00zzast_varz00;
							if (BGL_OBJECTP(BgL_funz00_2410))
								{	/* Integrate/cto.scm 85 */
									BgL_objectz00_bglt BgL_arg1858z00_2427;

									BgL_arg1858z00_2427 = (BgL_objectz00_bglt) (BgL_funz00_2410);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Integrate/cto.scm 85 */
											long BgL_idxz00_2428;

											BgL_idxz00_2428 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2427);
											BgL_test1842z00_2761 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2428 + 2L)) == BgL_classz00_2426);
										}
									else
										{	/* Integrate/cto.scm 85 */
											bool_t BgL_res1762z00_2431;

											{	/* Integrate/cto.scm 85 */
												obj_t BgL_oclassz00_2432;

												{	/* Integrate/cto.scm 85 */
													obj_t BgL_arg1866z00_2433;
													long BgL_arg1867z00_2434;

													BgL_arg1866z00_2433 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Integrate/cto.scm 85 */
														long BgL_arg1869z00_2435;

														BgL_arg1869z00_2435 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2427);
														BgL_arg1867z00_2434 =
															(BgL_arg1869z00_2435 - OBJECT_TYPE);
													}
													BgL_oclassz00_2432 =
														VECTOR_REF(BgL_arg1866z00_2433,
														BgL_arg1867z00_2434);
												}
												{	/* Integrate/cto.scm 85 */
													bool_t BgL__ortest_1115z00_2436;

													BgL__ortest_1115z00_2436 =
														(BgL_classz00_2426 == BgL_oclassz00_2432);
													if (BgL__ortest_1115z00_2436)
														{	/* Integrate/cto.scm 85 */
															BgL_res1762z00_2431 = BgL__ortest_1115z00_2436;
														}
													else
														{	/* Integrate/cto.scm 85 */
															long BgL_odepthz00_2437;

															{	/* Integrate/cto.scm 85 */
																obj_t BgL_arg1855z00_2438;

																BgL_arg1855z00_2438 = (BgL_oclassz00_2432);
																BgL_odepthz00_2437 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2438);
															}
															if ((2L < BgL_odepthz00_2437))
																{	/* Integrate/cto.scm 85 */
																	obj_t BgL_arg1853z00_2439;

																	{	/* Integrate/cto.scm 85 */
																		obj_t BgL_arg1854z00_2440;

																		BgL_arg1854z00_2440 = (BgL_oclassz00_2432);
																		BgL_arg1853z00_2439 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2440, 2L);
																	}
																	BgL_res1762z00_2431 =
																		(BgL_arg1853z00_2439 == BgL_classz00_2426);
																}
															else
																{	/* Integrate/cto.scm 85 */
																	BgL_res1762z00_2431 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1842z00_2761 = BgL_res1762z00_2431;
										}
								}
							else
								{	/* Integrate/cto.scm 85 */
									BgL_test1842z00_2761 = ((bool_t) 0);
								}
						}
						if (BgL_test1842z00_2761)
							{	/* Integrate/cto.scm 86 */
								bool_t BgL_test1849z00_2784;

								{	/* Integrate/cto.scm 86 */
									BgL_sfunz00_bglt BgL_oz00_2441;

									BgL_oz00_2441 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_funz00_2410))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2789;

										{
											obj_t BgL_auxz00_2790;

											{	/* Integrate/cto.scm 86 */
												BgL_objectz00_bglt BgL_tmpz00_2791;

												BgL_tmpz00_2791 = ((BgL_objectz00_bglt) BgL_oz00_2441);
												BgL_auxz00_2790 = BGL_OBJECT_WIDENING(BgL_tmpz00_2791);
											}
											BgL_auxz00_2789 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2790);
										}
										BgL_test1849z00_2784 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2789))->
											BgL_gzf3zf3);
									}
								}
								if (BgL_test1849z00_2784)
									{	/* Integrate/cto.scm 86 */
										if ((BgL_localz00_2312 == BgL_funz00_2410))
											{	/* Integrate/cto.scm 87 */
												BgL_test1841z00_2760 = ((bool_t) 0);
											}
										else
											{	/* Integrate/cto.scm 88 */
												bool_t BgL_test1851z00_2798;

												{	/* Integrate/cto.scm 88 */
													obj_t BgL_arg1359z00_2442;

													{	/* Integrate/cto.scm 88 */
														BgL_sfunz00_bglt BgL_oz00_2443;

														BgL_oz00_2443 =
															((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_2312))))->BgL_valuez00));
														{
															BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2803;

															{
																obj_t BgL_auxz00_2804;

																{	/* Integrate/cto.scm 88 */
																	BgL_objectz00_bglt BgL_tmpz00_2805;

																	BgL_tmpz00_2805 =
																		((BgL_objectz00_bglt) BgL_oz00_2443);
																	BgL_auxz00_2804 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2805);
																}
																BgL_auxz00_2803 =
																	((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2804);
															}
															BgL_arg1359z00_2442 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	COBJECT(BgL_auxz00_2803))->BgL_ctoz00);
														}
													}
													BgL_test1851z00_2798 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_funz00_2410, BgL_arg1359z00_2442));
												}
												if (BgL_test1851z00_2798)
													{	/* Integrate/cto.scm 88 */
														BgL_test1841z00_2760 = ((bool_t) 0);
													}
												else
													{	/* Integrate/cto.scm 88 */
														BgL_test1841z00_2760 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/cto.scm 86 */
										BgL_test1841z00_2760 = ((bool_t) 0);
									}
							}
						else
							{	/* Integrate/cto.scm 85 */
								BgL_test1841z00_2760 = ((bool_t) 0);
							}
					}
					if (BgL_test1841z00_2760)
						{	/* Integrate/cto.scm 89 */
							BgL_valuez00_bglt BgL_arg1341z00_2444;
							obj_t BgL_arg1342z00_2445;

							BgL_arg1341z00_2444 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2312))))->BgL_valuez00);
							{	/* Integrate/cto.scm 92 */
								obj_t BgL_arg1355z00_2446;

								{	/* Integrate/cto.scm 91 */
									BgL_sfunz00_bglt BgL_oz00_2447;

									BgL_oz00_2447 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2312))))->
											BgL_valuez00));
									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2819;

										{
											obj_t BgL_auxz00_2820;

											{	/* Integrate/cto.scm 91 */
												BgL_objectz00_bglt BgL_tmpz00_2821;

												BgL_tmpz00_2821 = ((BgL_objectz00_bglt) BgL_oz00_2447);
												BgL_auxz00_2820 = BGL_OBJECT_WIDENING(BgL_tmpz00_2821);
											}
											BgL_auxz00_2819 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2820);
										}
										BgL_arg1355z00_2446 =
											(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2819))->
											BgL_ctoz00);
									}
								}
								BgL_arg1342z00_2445 =
									MAKE_YOUNG_PAIR(BgL_funz00_2410, BgL_arg1355z00_2446);
							}
							{
								BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2827;

								{
									obj_t BgL_auxz00_2828;

									{	/* Integrate/cto.scm 89 */
										BgL_objectz00_bglt BgL_tmpz00_2829;

										BgL_tmpz00_2829 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) BgL_arg1341z00_2444));
										BgL_auxz00_2828 = BGL_OBJECT_WIDENING(BgL_tmpz00_2829);
									}
									BgL_auxz00_2827 =
										((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2828);
								}
								((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2827))->
										BgL_ctoz00) = ((obj_t) BgL_arg1342z00_2445), BUNSPEC);
							}
						}
					else
						{	/* Integrate/cto.scm 85 */
							BFALSE;
						}
				}
			}
			{
				obj_t BgL_astsz00_2449;

				BgL_astsz00_2449 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2311)))->BgL_argsz00);
			BgL_liipz00_2448:
				if (NULLP(BgL_astsz00_2449))
					{	/* Integrate/cto.scm 94 */
						return BUNSPEC;
					}
				else
					{	/* Integrate/cto.scm 94 */
						{	/* Integrate/cto.scm 97 */
							obj_t BgL_arg1370z00_2450;

							BgL_arg1370z00_2450 = CAR(((obj_t) BgL_astsz00_2449));
							BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
								((BgL_nodez00_bglt) BgL_arg1370z00_2450),
								((BgL_localz00_bglt) BgL_localz00_2312));
						}
						{	/* Integrate/cto.scm 98 */
							obj_t BgL_arg1371z00_2451;

							BgL_arg1371z00_2451 = CDR(((obj_t) BgL_astsz00_2449));
							{
								obj_t BgL_astsz00_2844;

								BgL_astsz00_2844 = BgL_arg1371z00_2451;
								BgL_astsz00_2449 = BgL_astsz00_2844;
								goto BgL_liipz00_2448;
							}
						}
					}
			}
		}

	}



/* &set-cto!-sync1276 */
	obj_t BGl_z62setzd2ctoz12zd2sync1276z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2313, obj_t BgL_nodez00_2314, obj_t BgL_localz00_2315)
	{
		{	/* Integrate/cto.scm 64 */
			{	/* Integrate/cto.scm 66 */
				BgL_nodez00_bglt BgL_arg1320z00_2453;

				BgL_arg1320z00_2453 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2314)))->BgL_mutexz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1320z00_2453,
					((BgL_localz00_bglt) BgL_localz00_2315));
			}
			{	/* Integrate/cto.scm 67 */
				BgL_nodez00_bglt BgL_arg1321z00_2454;

				BgL_arg1321z00_2454 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2314)))->BgL_prelockz00);
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1321z00_2454,
					((BgL_localz00_bglt) BgL_localz00_2315));
			}
			{	/* Integrate/cto.scm 68 */
				BgL_nodez00_bglt BgL_arg1322z00_2455;

				BgL_arg1322z00_2455 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2314)))->BgL_bodyz00);
				return
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1322z00_2455,
					((BgL_localz00_bglt) BgL_localz00_2315));
			}
		}

	}



/* &set-cto!-sequence1274 */
	obj_t BGl_z62setzd2ctoz12zd2sequence1274z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2316, obj_t BgL_nodez00_2317, obj_t BgL_localz00_2318)
	{
		{	/* Integrate/cto.scm 57 */
			{	/* Integrate/cto.scm 59 */
				obj_t BgL_g1259z00_2457;

				BgL_g1259z00_2457 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2317)))->BgL_nodesz00);
				{
					obj_t BgL_l1257z00_2459;

					{	/* Integrate/cto.scm 59 */
						bool_t BgL_tmpz00_2861;

						BgL_l1257z00_2459 = BgL_g1259z00_2457;
					BgL_zc3z04anonymousza31317ze3z87_2458:
						if (PAIRP(BgL_l1257z00_2459))
							{	/* Integrate/cto.scm 59 */
								{	/* Integrate/cto.scm 59 */
									obj_t BgL_nodez00_2460;

									BgL_nodez00_2460 = CAR(BgL_l1257z00_2459);
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_nodez00_2460),
										((BgL_localz00_bglt) BgL_localz00_2318));
								}
								{
									obj_t BgL_l1257z00_2868;

									BgL_l1257z00_2868 = CDR(BgL_l1257z00_2459);
									BgL_l1257z00_2459 = BgL_l1257z00_2868;
									goto BgL_zc3z04anonymousza31317ze3z87_2458;
								}
							}
						else
							{	/* Integrate/cto.scm 59 */
								BgL_tmpz00_2861 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_2861);
					}
				}
			}
		}

	}



/* &set-cto!-closure1272 */
	obj_t BGl_z62setzd2ctoz12zd2closure1272z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2319, obj_t BgL_nodez00_2320, obj_t BgL_localz00_2321)
	{
		{	/* Integrate/cto.scm 51 */
			{	/* Integrate/cto.scm 52 */
				obj_t BgL_arg1316z00_2462;

				BgL_arg1316z00_2462 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2320)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1768z00zzintegrate_ctoz00,
					BGl_string1790z00zzintegrate_ctoz00, BgL_arg1316z00_2462);
			}
		}

	}



/* &set-cto!-var1270 */
	obj_t BGl_z62setzd2ctoz12zd2var1270z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2322, obj_t BgL_nodez00_2323, obj_t BgL_localz00_2324)
	{
		{	/* Integrate/cto.scm 45 */
			return BUNSPEC;
		}

	}



/* &set-cto!-kwote1268 */
	obj_t BGl_z62setzd2ctoz12zd2kwote1268z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2325, obj_t BgL_nodez00_2326, obj_t BgL_localz00_2327)
	{
		{	/* Integrate/cto.scm 39 */
			return BUNSPEC;
		}

	}



/* &set-cto!-atom1266 */
	obj_t BGl_z62setzd2ctoz12zd2atom1266z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2328, obj_t BgL_nodez00_2329, obj_t BgL_localz00_2330)
	{
		{	/* Integrate/cto.scm 33 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00(void)
	{
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1791z00zzintegrate_ctoz00));
		}

	}

#ifdef __cplusplus
}
#endif
