/*===========================================================================*/
/*   (Integrate/free.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/free.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_FREE_TYPE_DEFINITIONS
#define BGL_INTEGRATE_FREE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
		obj_t BgL_xhdlz00;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
		bool_t BgL_xhdlzf3zf3;
		obj_t BgL_xhdlsz00;
	}                      *BgL_sfunzf2iinfozf2_bglt;


#endif													// BGL_INTEGRATE_FREE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62nodezd2freezd2letzd2fun1301zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2makezd2box1309zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_freez00 = BUNSPEC;
	static obj_t
		BGl_z62nodezd2freezd2boxzd2setz121313za2zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzintegrate_freez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t, obj_t);
	static obj_t BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzintegrate_freez00(void);
	static obj_t BGl_z62nodezd2freezd2conditiona1294z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_freez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2jumpzd2exzd2it1307z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_freez00(void);
	static obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t, obj_t, obj_t);
	static obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt,
		BgL_localz00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2letzd2var1303zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt);
	static obj_t
		BGl_z62nodezd2freezd2setzd2exzd2it1305z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2boxzd2ref1311zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t,
		BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
	static obj_t BGl_za2roundza2z00zzintegrate_freez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2freezd2sequence1278z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2freezd2var1274z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62nodezd2freezd2funcall1286z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Iinfozf2zzintegrate_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2closure1276z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00(void);
	static obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00(void);
	static obj_t BGl_z62nodezd2freezd2app1282z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2appzd2ly1284zb0zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2free1271zb0zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2extern1288z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62nodezd2freezd2cast1290z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2switch1298z62zzintegrate_freez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2freezd2setq1292z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2sync1280z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2freezd2fail1296z62zzintegrate_freez00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2freezd2varszd2envzd2zzintegrate_freez00,
		BgL_bgl_za762getza7d2freeza7d21906za7,
		BGl_z62getzd2freezd2varsz62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1904z00zzintegrate_freez00,
		BgL_bgl_string1904za700za7za7i1907za7, "Unexepected `closure' node", 26);
	      DEFINE_STRING(BGl_string1905z00zzintegrate_freez00,
		BgL_bgl_string1905za700za7za7i1908za7, "integrate_free", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1909za7,
		BGl_z62nodezd2freezd2jumpzd2exzd2it1307z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1910za7,
		BGl_z62nodezd2freezd2makezd2box1309zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1911za7,
		BGl_z62nodezd2freezd2boxzd2ref1311zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1903z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1912za7,
		BGl_z62nodezd2freezd2boxzd2setz121313za2zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1879z00zzintegrate_freez00,
		BgL_bgl_string1879za700za7za7i1913za7, "free-variable?", 14);
	      DEFINE_STRING(BGl_string1880z00zzintegrate_freez00,
		BgL_bgl_string1880za700za7za7i1914za7, "Unknown variable type", 21);
	      DEFINE_STRING(BGl_string1882z00zzintegrate_freez00,
		BgL_bgl_string1882za700za7za7i1915za7, "node-free1271", 13);
	      DEFINE_STRING(BGl_string1884z00zzintegrate_freez00,
		BgL_bgl_string1884za700za7za7i1916za7, "node-free", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2free121917z00,
		BGl_z62nodezd2free1271zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1918za7,
		BGl_z62nodezd2freezd2var1274z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1919za7,
		BGl_z62nodezd2freezd2closure1276z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1920za7,
		BGl_z62nodezd2freezd2sequence1278z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1921za7,
		BGl_z62nodezd2freezd2sync1280z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1922za7,
		BGl_z62nodezd2freezd2app1282z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1923za7,
		BGl_z62nodezd2freezd2appzd2ly1284zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1924za7,
		BGl_z62nodezd2freezd2funcall1286z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1925za7,
		BGl_z62nodezd2freezd2extern1288z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1926za7,
		BGl_z62nodezd2freezd2cast1290z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1927za7,
		BGl_z62nodezd2freezd2setq1292z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1928za7,
		BGl_z62nodezd2freezd2conditiona1294z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1929za7,
		BGl_z62nodezd2freezd2fail1296z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1930za7,
		BGl_z62nodezd2freezd2switch1298z62zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1931za7,
		BGl_z62nodezd2freezd2letzd2fun1301zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1932za7,
		BGl_z62nodezd2freezd2letzd2var1303zb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7d1933za7,
		BGl_z62nodezd2freezd2setzd2exzd2it1305z62zzintegrate_freez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_freezd2fromzd2envz00zzintegrate_freez00,
		BgL_bgl_za762freeza7d2fromza7b1934za7,
		BGl_z62freezd2fromzb0zzintegrate_freez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2freezd2envz00zzintegrate_freez00,
		BgL_bgl_za762nodeza7d2freeza7b1935za7,
		BGl_z62nodezd2freezb0zzintegrate_freez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_freez00));
		     ADD_ROOT((void *) (&BGl_za2integratorza2z00zzintegrate_freez00));
		     ADD_ROOT((void *) (&BGl_za2roundza2z00zzintegrate_freez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_freez00(long
		BgL_checksumz00_2677, char *BgL_fromz00_2678)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_freez00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_freez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_freez00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_freez00();
					BGl_importedzd2moduleszd2initz00zzintegrate_freez00();
					BGl_genericzd2initzd2zzintegrate_freez00();
					BGl_methodzd2initzd2zzintegrate_freez00();
					return BGl_toplevelzd2initzd2zzintegrate_freez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "integrate_free");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_free");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_free");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_free");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			BGl_za2roundza2z00zzintegrate_freez00 = BINT(0L);
			BGl_za2integratorza2z00zzintegrate_freez00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* mark-variable! */
	obj_t BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_3)
	{
		{	/* Integrate/free.scm 41 */
			{	/* Integrate/free.scm 42 */
				BgL_valuez00_bglt BgL_infoz00_1626;

				BgL_infoz00_1626 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_localz00_3)))->BgL_valuez00);
				{	/* Integrate/free.scm 44 */
					bool_t BgL_test1937z00_2700;

					{	/* Integrate/free.scm 44 */
						obj_t BgL_classz00_2104;

						BgL_classz00_2104 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/free.scm 44 */
							BgL_objectz00_bglt BgL_arg1858z00_2106;

							{	/* Integrate/free.scm 44 */
								obj_t BgL_tmpz00_2701;

								BgL_tmpz00_2701 =
									((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1626));
								BgL_arg1858z00_2106 = (BgL_objectz00_bglt) (BgL_tmpz00_2701);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/free.scm 44 */
									long BgL_idxz00_2112;

									BgL_idxz00_2112 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2106);
									BgL_test1937z00_2700 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2112 + 3L)) == BgL_classz00_2104);
								}
							else
								{	/* Integrate/free.scm 44 */
									bool_t BgL_res1866z00_2137;

									{	/* Integrate/free.scm 44 */
										obj_t BgL_oclassz00_2120;

										{	/* Integrate/free.scm 44 */
											obj_t BgL_arg1866z00_2128;
											long BgL_arg1867z00_2129;

											BgL_arg1866z00_2128 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Integrate/free.scm 44 */
												long BgL_arg1869z00_2130;

												BgL_arg1869z00_2130 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2106);
												BgL_arg1867z00_2129 =
													(BgL_arg1869z00_2130 - OBJECT_TYPE);
											}
											BgL_oclassz00_2120 =
												VECTOR_REF(BgL_arg1866z00_2128, BgL_arg1867z00_2129);
										}
										{	/* Integrate/free.scm 44 */
											bool_t BgL__ortest_1115z00_2121;

											BgL__ortest_1115z00_2121 =
												(BgL_classz00_2104 == BgL_oclassz00_2120);
											if (BgL__ortest_1115z00_2121)
												{	/* Integrate/free.scm 44 */
													BgL_res1866z00_2137 = BgL__ortest_1115z00_2121;
												}
											else
												{	/* Integrate/free.scm 44 */
													long BgL_odepthz00_2122;

													{	/* Integrate/free.scm 44 */
														obj_t BgL_arg1855z00_2123;

														BgL_arg1855z00_2123 = (BgL_oclassz00_2120);
														BgL_odepthz00_2122 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2123);
													}
													if ((3L < BgL_odepthz00_2122))
														{	/* Integrate/free.scm 44 */
															obj_t BgL_arg1853z00_2125;

															{	/* Integrate/free.scm 44 */
																obj_t BgL_arg1854z00_2126;

																BgL_arg1854z00_2126 = (BgL_oclassz00_2120);
																BgL_arg1853z00_2125 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2126,
																	3L);
															}
															BgL_res1866z00_2137 =
																(BgL_arg1853z00_2125 == BgL_classz00_2104);
														}
													else
														{	/* Integrate/free.scm 44 */
															BgL_res1866z00_2137 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1937z00_2700 = BgL_res1866z00_2137;
								}
						}
					}
					if (BgL_test1937z00_2700)
						{	/* Integrate/free.scm 45 */
							obj_t BgL_vz00_2139;

							BgL_vz00_2139 = BGl_za2roundza2z00zzintegrate_freez00;
							{
								BgL_svarzf2iinfozf2_bglt BgL_auxz00_2724;

								{
									obj_t BgL_auxz00_2725;

									{	/* Integrate/free.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_2726;

										BgL_tmpz00_2726 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt) BgL_infoz00_1626));
										BgL_auxz00_2725 = BGL_OBJECT_WIDENING(BgL_tmpz00_2726);
									}
									BgL_auxz00_2724 =
										((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2725);
								}
								return
									((((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2724))->
										BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2139), BUNSPEC);
							}
						}
					else
						{	/* Integrate/free.scm 46 */
							bool_t BgL_test1941z00_2732;

							{	/* Integrate/free.scm 46 */
								obj_t BgL_classz00_2141;

								BgL_classz00_2141 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
								{	/* Integrate/free.scm 46 */
									BgL_objectz00_bglt BgL_arg1858z00_2143;

									{	/* Integrate/free.scm 46 */
										obj_t BgL_tmpz00_2733;

										BgL_tmpz00_2733 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1626));
										BgL_arg1858z00_2143 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2733);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Integrate/free.scm 46 */
											long BgL_idxz00_2149;

											BgL_idxz00_2149 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2143);
											BgL_test1941z00_2732 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2149 + 3L)) == BgL_classz00_2141);
										}
									else
										{	/* Integrate/free.scm 46 */
											bool_t BgL_res1867z00_2174;

											{	/* Integrate/free.scm 46 */
												obj_t BgL_oclassz00_2157;

												{	/* Integrate/free.scm 46 */
													obj_t BgL_arg1866z00_2165;
													long BgL_arg1867z00_2166;

													BgL_arg1866z00_2165 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Integrate/free.scm 46 */
														long BgL_arg1869z00_2167;

														BgL_arg1869z00_2167 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2143);
														BgL_arg1867z00_2166 =
															(BgL_arg1869z00_2167 - OBJECT_TYPE);
													}
													BgL_oclassz00_2157 =
														VECTOR_REF(BgL_arg1866z00_2165,
														BgL_arg1867z00_2166);
												}
												{	/* Integrate/free.scm 46 */
													bool_t BgL__ortest_1115z00_2158;

													BgL__ortest_1115z00_2158 =
														(BgL_classz00_2141 == BgL_oclassz00_2157);
													if (BgL__ortest_1115z00_2158)
														{	/* Integrate/free.scm 46 */
															BgL_res1867z00_2174 = BgL__ortest_1115z00_2158;
														}
													else
														{	/* Integrate/free.scm 46 */
															long BgL_odepthz00_2159;

															{	/* Integrate/free.scm 46 */
																obj_t BgL_arg1855z00_2160;

																BgL_arg1855z00_2160 = (BgL_oclassz00_2157);
																BgL_odepthz00_2159 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2160);
															}
															if ((3L < BgL_odepthz00_2159))
																{	/* Integrate/free.scm 46 */
																	obj_t BgL_arg1853z00_2162;

																	{	/* Integrate/free.scm 46 */
																		obj_t BgL_arg1854z00_2163;

																		BgL_arg1854z00_2163 = (BgL_oclassz00_2157);
																		BgL_arg1853z00_2162 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2163, 3L);
																	}
																	BgL_res1867z00_2174 =
																		(BgL_arg1853z00_2162 == BgL_classz00_2141);
																}
															else
																{	/* Integrate/free.scm 46 */
																	BgL_res1867z00_2174 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1941z00_2732 = BgL_res1867z00_2174;
										}
								}
							}
							if (BgL_test1941z00_2732)
								{	/* Integrate/free.scm 47 */
									obj_t BgL_vz00_2176;

									BgL_vz00_2176 = BGl_za2roundza2z00zzintegrate_freez00;
									{
										BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2756;

										{
											obj_t BgL_auxz00_2757;

											{	/* Integrate/free.scm 47 */
												BgL_objectz00_bglt BgL_tmpz00_2758;

												BgL_tmpz00_2758 =
													((BgL_objectz00_bglt)
													((BgL_sexitz00_bglt) BgL_infoz00_1626));
												BgL_auxz00_2757 = BGL_OBJECT_WIDENING(BgL_tmpz00_2758);
											}
											BgL_auxz00_2756 =
												((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2757);
										}
										return
											((((BgL_sexitzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2756))->
												BgL_fzd2markzd2) = ((obj_t) BgL_vz00_2176), BUNSPEC);
									}
								}
							else
								{	/* Integrate/free.scm 46 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* bind-variable! */
	obj_t BGl_bindzd2variablez12zc0zzintegrate_freez00(BgL_localz00_bglt
		BgL_localz00_4, BgL_localz00_bglt BgL_integratorz00_5)
	{
		{	/* Integrate/free.scm 52 */
			{	/* Integrate/free.scm 53 */
				BgL_valuez00_bglt BgL_finfoz00_1629;

				BgL_finfoz00_1629 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_5)))->BgL_valuez00);
				{	/* Integrate/free.scm 54 */
					obj_t BgL_arg1320z00_1630;

					{	/* Integrate/free.scm 54 */
						obj_t BgL_arg1321z00_1631;

						{
							BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2766;

							{
								obj_t BgL_auxz00_2767;

								{	/* Integrate/free.scm 54 */
									BgL_objectz00_bglt BgL_tmpz00_2768;

									BgL_tmpz00_2768 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_finfoz00_1629));
									BgL_auxz00_2767 = BGL_OBJECT_WIDENING(BgL_tmpz00_2768);
								}
								BgL_auxz00_2766 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2767);
							}
							BgL_arg1321z00_1631 =
								(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2766))->
								BgL_boundz00);
						}
						BgL_arg1320z00_1630 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_4), BgL_arg1321z00_1631);
					}
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2776;

						{
							obj_t BgL_auxz00_2777;

							{	/* Integrate/free.scm 54 */
								BgL_objectz00_bglt BgL_tmpz00_2778;

								BgL_tmpz00_2778 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1629));
								BgL_auxz00_2777 = BGL_OBJECT_WIDENING(BgL_tmpz00_2778);
							}
							BgL_auxz00_2776 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2777);
						}
						((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2776))->
								BgL_boundz00) = ((obj_t) BgL_arg1320z00_1630), BUNSPEC);
					}
				}
				return BGl_markzd2variablez12zc0zzintegrate_freez00(BgL_localz00_4);
			}
		}

	}



/* free-variable? */
	obj_t BGl_freezd2variablezf3z21zzintegrate_freez00(obj_t BgL_localz00_6)
	{
		{	/* Integrate/free.scm 60 */
			{	/* Integrate/free.scm 61 */
				BgL_valuez00_bglt BgL_infoz00_1632;

				BgL_infoz00_1632 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_localz00_6))))->BgL_valuez00);
				{	/* Integrate/free.scm 63 */
					bool_t BgL_test1945z00_2788;

					{	/* Integrate/free.scm 63 */
						obj_t BgL_classz00_2184;

						BgL_classz00_2184 = BGl_svarzf2Iinfozf2zzintegrate_infoz00;
						{	/* Integrate/free.scm 63 */
							BgL_objectz00_bglt BgL_arg1858z00_2186;

							{	/* Integrate/free.scm 63 */
								obj_t BgL_tmpz00_2789;

								BgL_tmpz00_2789 =
									((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1632));
								BgL_arg1858z00_2186 = (BgL_objectz00_bglt) (BgL_tmpz00_2789);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/free.scm 63 */
									long BgL_idxz00_2192;

									BgL_idxz00_2192 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2186);
									BgL_test1945z00_2788 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2192 + 3L)) == BgL_classz00_2184);
								}
							else
								{	/* Integrate/free.scm 63 */
									bool_t BgL_res1868z00_2217;

									{	/* Integrate/free.scm 63 */
										obj_t BgL_oclassz00_2200;

										{	/* Integrate/free.scm 63 */
											obj_t BgL_arg1866z00_2208;
											long BgL_arg1867z00_2209;

											BgL_arg1866z00_2208 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Integrate/free.scm 63 */
												long BgL_arg1869z00_2210;

												BgL_arg1869z00_2210 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2186);
												BgL_arg1867z00_2209 =
													(BgL_arg1869z00_2210 - OBJECT_TYPE);
											}
											BgL_oclassz00_2200 =
												VECTOR_REF(BgL_arg1866z00_2208, BgL_arg1867z00_2209);
										}
										{	/* Integrate/free.scm 63 */
											bool_t BgL__ortest_1115z00_2201;

											BgL__ortest_1115z00_2201 =
												(BgL_classz00_2184 == BgL_oclassz00_2200);
											if (BgL__ortest_1115z00_2201)
												{	/* Integrate/free.scm 63 */
													BgL_res1868z00_2217 = BgL__ortest_1115z00_2201;
												}
											else
												{	/* Integrate/free.scm 63 */
													long BgL_odepthz00_2202;

													{	/* Integrate/free.scm 63 */
														obj_t BgL_arg1855z00_2203;

														BgL_arg1855z00_2203 = (BgL_oclassz00_2200);
														BgL_odepthz00_2202 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2203);
													}
													if ((3L < BgL_odepthz00_2202))
														{	/* Integrate/free.scm 63 */
															obj_t BgL_arg1853z00_2205;

															{	/* Integrate/free.scm 63 */
																obj_t BgL_arg1854z00_2206;

																BgL_arg1854z00_2206 = (BgL_oclassz00_2200);
																BgL_arg1853z00_2205 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2206,
																	3L);
															}
															BgL_res1868z00_2217 =
																(BgL_arg1853z00_2205 == BgL_classz00_2184);
														}
													else
														{	/* Integrate/free.scm 63 */
															BgL_res1868z00_2217 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1945z00_2788 = BgL_res1868z00_2217;
								}
						}
					}
					if (BgL_test1945z00_2788)
						{	/* Integrate/free.scm 64 */
							bool_t BgL_test1949z00_2812;

							{	/* Integrate/free.scm 64 */
								obj_t BgL_arg1331z00_1636;

								{
									BgL_svarzf2iinfozf2_bglt BgL_auxz00_2813;

									{
										obj_t BgL_auxz00_2814;

										{	/* Integrate/free.scm 64 */
											BgL_objectz00_bglt BgL_tmpz00_2815;

											BgL_tmpz00_2815 =
												((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_infoz00_1632));
											BgL_auxz00_2814 = BGL_OBJECT_WIDENING(BgL_tmpz00_2815);
										}
										BgL_auxz00_2813 =
											((BgL_svarzf2iinfozf2_bglt) BgL_auxz00_2814);
									}
									BgL_arg1331z00_1636 =
										(((BgL_svarzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2813))->
										BgL_fzd2markzd2);
								}
								BgL_test1949z00_2812 =
									(BgL_arg1331z00_1636 ==
									BGl_za2roundza2z00zzintegrate_freez00);
							}
							if (BgL_test1949z00_2812)
								{	/* Integrate/free.scm 64 */
									return BFALSE;
								}
							else
								{	/* Integrate/free.scm 64 */
									return BTRUE;
								}
						}
					else
						{	/* Integrate/free.scm 65 */
							bool_t BgL_test1950z00_2822;

							{	/* Integrate/free.scm 65 */
								obj_t BgL_classz00_2220;

								BgL_classz00_2220 = BGl_sexitzf2Iinfozf2zzintegrate_infoz00;
								{	/* Integrate/free.scm 65 */
									BgL_objectz00_bglt BgL_arg1858z00_2222;

									{	/* Integrate/free.scm 65 */
										obj_t BgL_tmpz00_2823;

										BgL_tmpz00_2823 =
											((obj_t) ((BgL_objectz00_bglt) BgL_infoz00_1632));
										BgL_arg1858z00_2222 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2823);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Integrate/free.scm 65 */
											long BgL_idxz00_2228;

											BgL_idxz00_2228 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2222);
											BgL_test1950z00_2822 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2228 + 3L)) == BgL_classz00_2220);
										}
									else
										{	/* Integrate/free.scm 65 */
											bool_t BgL_res1869z00_2253;

											{	/* Integrate/free.scm 65 */
												obj_t BgL_oclassz00_2236;

												{	/* Integrate/free.scm 65 */
													obj_t BgL_arg1866z00_2244;
													long BgL_arg1867z00_2245;

													BgL_arg1866z00_2244 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Integrate/free.scm 65 */
														long BgL_arg1869z00_2246;

														BgL_arg1869z00_2246 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2222);
														BgL_arg1867z00_2245 =
															(BgL_arg1869z00_2246 - OBJECT_TYPE);
													}
													BgL_oclassz00_2236 =
														VECTOR_REF(BgL_arg1866z00_2244,
														BgL_arg1867z00_2245);
												}
												{	/* Integrate/free.scm 65 */
													bool_t BgL__ortest_1115z00_2237;

													BgL__ortest_1115z00_2237 =
														(BgL_classz00_2220 == BgL_oclassz00_2236);
													if (BgL__ortest_1115z00_2237)
														{	/* Integrate/free.scm 65 */
															BgL_res1869z00_2253 = BgL__ortest_1115z00_2237;
														}
													else
														{	/* Integrate/free.scm 65 */
															long BgL_odepthz00_2238;

															{	/* Integrate/free.scm 65 */
																obj_t BgL_arg1855z00_2239;

																BgL_arg1855z00_2239 = (BgL_oclassz00_2236);
																BgL_odepthz00_2238 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2239);
															}
															if ((3L < BgL_odepthz00_2238))
																{	/* Integrate/free.scm 65 */
																	obj_t BgL_arg1853z00_2241;

																	{	/* Integrate/free.scm 65 */
																		obj_t BgL_arg1854z00_2242;

																		BgL_arg1854z00_2242 = (BgL_oclassz00_2236);
																		BgL_arg1853z00_2241 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2242, 3L);
																	}
																	BgL_res1869z00_2253 =
																		(BgL_arg1853z00_2241 == BgL_classz00_2220);
																}
															else
																{	/* Integrate/free.scm 65 */
																	BgL_res1869z00_2253 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1950z00_2822 = BgL_res1869z00_2253;
										}
								}
							}
							if (BgL_test1950z00_2822)
								{	/* Integrate/free.scm 66 */
									bool_t BgL_test1954z00_2846;

									{	/* Integrate/free.scm 66 */
										obj_t BgL_arg1336z00_1640;

										{
											BgL_sexitzf2iinfozf2_bglt BgL_auxz00_2847;

											{
												obj_t BgL_auxz00_2848;

												{	/* Integrate/free.scm 66 */
													BgL_objectz00_bglt BgL_tmpz00_2849;

													BgL_tmpz00_2849 =
														((BgL_objectz00_bglt)
														((BgL_sexitz00_bglt) BgL_infoz00_1632));
													BgL_auxz00_2848 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2849);
												}
												BgL_auxz00_2847 =
													((BgL_sexitzf2iinfozf2_bglt) BgL_auxz00_2848);
											}
											BgL_arg1336z00_1640 =
												(((BgL_sexitzf2iinfozf2_bglt)
													COBJECT(BgL_auxz00_2847))->BgL_fzd2markzd2);
										}
										BgL_test1954z00_2846 =
											(BgL_arg1336z00_1640 ==
											BGl_za2roundza2z00zzintegrate_freez00);
									}
									if (BgL_test1954z00_2846)
										{	/* Integrate/free.scm 66 */
											return BFALSE;
										}
									else
										{	/* Integrate/free.scm 66 */
											return BTRUE;
										}
								}
							else
								{	/* Integrate/free.scm 70 */
									obj_t BgL_arg1338z00_1641;

									BgL_arg1338z00_1641 =
										MAKE_YOUNG_PAIR(BgL_localz00_6,
										BGl_shapez00zztools_shapez00(BgL_localz00_6));
									return
										BGl_errorz00zz__errorz00
										(BGl_string1879z00zzintegrate_freez00,
										BGl_string1880z00zzintegrate_freez00, BgL_arg1338z00_1641);
								}
						}
				}
			}
		}

	}



/* get-free-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2freezd2varsz00zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_7,
		BgL_localz00_bglt BgL_integratorz00_8)
	{
		{	/* Integrate/free.scm 78 */
			{	/* Integrate/free.scm 81 */
				obj_t BgL_freez00_1643;

				{	/* Integrate/free.scm 81 */
					BgL_sfunz00_bglt BgL_oz00_2257;

					BgL_oz00_2257 =
						((BgL_sfunz00_bglt)
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_integratorz00_8)))->
							BgL_valuez00));
					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2862;

						{
							obj_t BgL_auxz00_2863;

							{	/* Integrate/free.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_2864;

								BgL_tmpz00_2864 = ((BgL_objectz00_bglt) BgL_oz00_2257);
								BgL_auxz00_2863 = BGL_OBJECT_WIDENING(BgL_tmpz00_2864);
							}
							BgL_auxz00_2862 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2863);
						}
						BgL_freez00_1643 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2862))->
							BgL_freez00);
					}
				}
				{	/* Integrate/free.scm 82 */
					bool_t BgL_test1955z00_2869;

					if (NULLP(BgL_freez00_1643))
						{	/* Integrate/free.scm 82 */
							BgL_test1955z00_2869 = ((bool_t) 1);
						}
					else
						{	/* Integrate/free.scm 82 */
							BgL_test1955z00_2869 = PAIRP(BgL_freez00_1643);
						}
					if (BgL_test1955z00_2869)
						{	/* Integrate/free.scm 82 */
							return BgL_freez00_1643;
						}
					else
						{	/* Integrate/free.scm 84 */
							obj_t BgL_freez00_1646;

							BgL_freez00_1646 =
								BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00
								(BgL_nodez00_7, BgL_integratorz00_8);
							{	/* Integrate/free.scm 85 */
								BgL_valuez00_bglt BgL_arg1342z00_1647;

								BgL_arg1342z00_1647 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_8)))->
									BgL_valuez00);
								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2876;

									{
										obj_t BgL_auxz00_2877;

										{	/* Integrate/free.scm 85 */
											BgL_objectz00_bglt BgL_tmpz00_2878;

											BgL_tmpz00_2878 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1342z00_1647));
											BgL_auxz00_2877 = BGL_OBJECT_WIDENING(BgL_tmpz00_2878);
										}
										BgL_auxz00_2876 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2877);
									}
									((((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2876))->
											BgL_freez00) = ((obj_t) BgL_freez00_1646), BUNSPEC);
								}
							}
							return BgL_freez00_1646;
						}
				}
			}
		}

	}



/* &get-free-vars */
	obj_t BGl_z62getzd2freezd2varsz62zzintegrate_freez00(obj_t BgL_envz00_2508,
		obj_t BgL_nodez00_2509, obj_t BgL_integratorz00_2510)
	{
		{	/* Integrate/free.scm 78 */
			return
				BGl_getzd2freezd2varsz00zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2509),
				((BgL_localz00_bglt) BgL_integratorz00_2510));
		}

	}



/* internal-get-free-vars! */
	obj_t
		BGl_internalzd2getzd2freezd2varsz12zc0zzintegrate_freez00(BgL_nodez00_bglt
		BgL_nodez00_9, BgL_localz00_bglt BgL_integratorz00_10)
	{
		{	/* Integrate/free.scm 99 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				ADDFX(BGl_za2roundza2z00zzintegrate_freez00, BINT(1L));
			BGl_za2integratorza2z00zzintegrate_freez00 =
				((obj_t) BgL_integratorz00_10);
			{	/* Integrate/free.scm 103 */
				obj_t BgL_g1259z00_1650;

				BgL_g1259z00_1650 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_integratorz00_10)))->
									BgL_valuez00))))->BgL_argsz00);
				{
					obj_t BgL_l1257z00_1652;

					BgL_l1257z00_1652 = BgL_g1259z00_1650;
				BgL_zc3z04anonymousza31356ze3z87_1653:
					if (PAIRP(BgL_l1257z00_1652))
						{	/* Integrate/free.scm 104 */
							{	/* Integrate/free.scm 103 */
								obj_t BgL_lz00_1655;

								BgL_lz00_1655 = CAR(BgL_l1257z00_1652);
								BGl_bindzd2variablez12zc0zzintegrate_freez00(
									((BgL_localz00_bglt) BgL_lz00_1655), BgL_integratorz00_10);
							}
							{
								obj_t BgL_l1257z00_2899;

								BgL_l1257z00_2899 = CDR(BgL_l1257z00_1652);
								BgL_l1257z00_1652 = BgL_l1257z00_2899;
								goto BgL_zc3z04anonymousza31356ze3z87_1653;
							}
						}
					else
						{	/* Integrate/free.scm 104 */
							((bool_t) 1);
						}
				}
			}
			return BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_9, BNIL);
		}

	}



/* node-free* */
	obj_t BGl_nodezd2freeza2z70zzintegrate_freez00(obj_t BgL_nodeza2za2_53,
		obj_t BgL_freez00_54)
	{
		{	/* Integrate/free.scm 285 */
			{
				obj_t BgL_nodeza2za2_1660;
				obj_t BgL_freez00_1661;

				BgL_nodeza2za2_1660 = BgL_nodeza2za2_53;
				BgL_freez00_1661 = BgL_freez00_54;
			BgL_zc3z04anonymousza31360ze3z87_1662:
				if (NULLP(BgL_nodeza2za2_1660))
					{	/* Integrate/free.scm 288 */
						return BgL_freez00_1661;
					}
				else
					{	/* Integrate/free.scm 290 */
						obj_t BgL_arg1364z00_1664;
						obj_t BgL_arg1365z00_1665;

						BgL_arg1364z00_1664 = CDR(((obj_t) BgL_nodeza2za2_1660));
						{	/* Integrate/free.scm 291 */
							obj_t BgL_arg1367z00_1666;

							BgL_arg1367z00_1666 = CAR(((obj_t) BgL_nodeza2za2_1660));
							BgL_arg1365z00_1665 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1367z00_1666), BgL_freez00_1661);
						}
						{
							obj_t BgL_freez00_2911;
							obj_t BgL_nodeza2za2_2910;

							BgL_nodeza2za2_2910 = BgL_arg1364z00_1664;
							BgL_freez00_2911 = BgL_arg1365z00_1665;
							BgL_freez00_1661 = BgL_freez00_2911;
							BgL_nodeza2za2_1660 = BgL_nodeza2za2_2910;
							goto BgL_zc3z04anonymousza31360ze3z87_1662;
						}
					}
			}
		}

	}



/* free-from */
	BGL_EXPORTED_DEF obj_t BGl_freezd2fromzd2zzintegrate_freez00(obj_t
		BgL_setsz00_55, BgL_localz00_bglt BgL_integratorz00_56)
	{
		{	/* Integrate/free.scm 296 */
			BGl_za2roundza2z00zzintegrate_freez00 =
				ADDFX(BGl_za2roundza2z00zzintegrate_freez00, BINT(1L));
			{	/* Integrate/free.scm 299 */
				BgL_valuez00_bglt BgL_finfoz00_1668;

				BgL_finfoz00_1668 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_integratorz00_56)))->BgL_valuez00);
				{	/* Integrate/free.scm 306 */
					obj_t BgL_g1265z00_1669;

					{
						BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2916;

						{
							obj_t BgL_auxz00_2917;

							{	/* Integrate/free.scm 306 */
								BgL_objectz00_bglt BgL_tmpz00_2918;

								BgL_tmpz00_2918 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_finfoz00_1668));
								BgL_auxz00_2917 = BGL_OBJECT_WIDENING(BgL_tmpz00_2918);
							}
							BgL_auxz00_2916 = ((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2917);
						}
						BgL_g1265z00_1669 =
							(((BgL_sfunzf2iinfozf2_bglt) COBJECT(BgL_auxz00_2916))->
							BgL_boundz00);
					}
					{
						obj_t BgL_l1263z00_1671;

						BgL_l1263z00_1671 = BgL_g1265z00_1669;
					BgL_zc3z04anonymousza31368ze3z87_1672:
						if (PAIRP(BgL_l1263z00_1671))
							{	/* Integrate/free.scm 306 */
								{	/* Integrate/free.scm 306 */
									obj_t BgL_arg1370z00_1674;

									BgL_arg1370z00_1674 = CAR(BgL_l1263z00_1671);
									BGl_markzd2variablez12zc0zzintegrate_freez00(
										((BgL_localz00_bglt) BgL_arg1370z00_1674));
								}
								{
									obj_t BgL_l1263z00_2929;

									BgL_l1263z00_2929 = CDR(BgL_l1263z00_1671);
									BgL_l1263z00_1671 = BgL_l1263z00_2929;
									goto BgL_zc3z04anonymousza31368ze3z87_1672;
								}
							}
						else
							{	/* Integrate/free.scm 306 */
								((bool_t) 1);
							}
					}
				}
			}
			if (NULLP(BgL_setsz00_55))
				{	/* Integrate/free.scm 308 */
					return BNIL;
				}
			else
				{	/* Integrate/free.scm 308 */
					obj_t BgL_head1268z00_1679;

					BgL_head1268z00_1679 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1266z00_1681;
						obj_t BgL_tail1269z00_1682;

						BgL_l1266z00_1681 = BgL_setsz00_55;
						BgL_tail1269z00_1682 = BgL_head1268z00_1679;
					BgL_zc3z04anonymousza31373ze3z87_1683:
						if (NULLP(BgL_l1266z00_1681))
							{	/* Integrate/free.scm 308 */
								return CDR(BgL_head1268z00_1679);
							}
						else
							{	/* Integrate/free.scm 308 */
								obj_t BgL_newtail1270z00_1685;

								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1379z00_1687;

									{	/* Integrate/free.scm 308 */
										obj_t BgL_setz00_1688;

										BgL_setz00_1688 = CAR(((obj_t) BgL_l1266z00_1681));
										{
											obj_t BgL_setz00_1691;
											obj_t BgL_resz00_1692;

											BgL_setz00_1691 = BgL_setz00_1688;
											BgL_resz00_1692 = BNIL;
										BgL_zc3z04anonymousza31380ze3z87_1693:
											if (NULLP(BgL_setz00_1691))
												{	/* Integrate/free.scm 312 */
													BgL_arg1379z00_1687 = BgL_resz00_1692;
												}
											else
												{	/* Integrate/free.scm 314 */
													bool_t BgL_test1963z00_2941;

													{	/* Integrate/free.scm 314 */
														obj_t BgL_arg1392z00_1701;

														BgL_arg1392z00_1701 =
															CAR(((obj_t) BgL_setz00_1691));
														BgL_test1963z00_2941 =
															CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00
															(BgL_arg1392z00_1701));
													}
													if (BgL_test1963z00_2941)
														{	/* Integrate/free.scm 315 */
															obj_t BgL_arg1385z00_1697;
															obj_t BgL_arg1386z00_1698;

															BgL_arg1385z00_1697 =
																CDR(((obj_t) BgL_setz00_1691));
															{	/* Integrate/free.scm 315 */
																obj_t BgL_arg1388z00_1699;

																BgL_arg1388z00_1699 =
																	CAR(((obj_t) BgL_setz00_1691));
																BgL_arg1386z00_1698 =
																	MAKE_YOUNG_PAIR(BgL_arg1388z00_1699,
																	BgL_resz00_1692);
															}
															{
																obj_t BgL_resz00_2952;
																obj_t BgL_setz00_2951;

																BgL_setz00_2951 = BgL_arg1385z00_1697;
																BgL_resz00_2952 = BgL_arg1386z00_1698;
																BgL_resz00_1692 = BgL_resz00_2952;
																BgL_setz00_1691 = BgL_setz00_2951;
																goto BgL_zc3z04anonymousza31380ze3z87_1693;
															}
														}
													else
														{	/* Integrate/free.scm 317 */
															obj_t BgL_arg1390z00_1700;

															BgL_arg1390z00_1700 =
																CDR(((obj_t) BgL_setz00_1691));
															{
																obj_t BgL_setz00_2955;

																BgL_setz00_2955 = BgL_arg1390z00_1700;
																BgL_setz00_1691 = BgL_setz00_2955;
																goto BgL_zc3z04anonymousza31380ze3z87_1693;
															}
														}
												}
										}
									}
									BgL_newtail1270z00_1685 =
										MAKE_YOUNG_PAIR(BgL_arg1379z00_1687, BNIL);
								}
								SET_CDR(BgL_tail1269z00_1682, BgL_newtail1270z00_1685);
								{	/* Integrate/free.scm 308 */
									obj_t BgL_arg1376z00_1686;

									BgL_arg1376z00_1686 = CDR(((obj_t) BgL_l1266z00_1681));
									{
										obj_t BgL_tail1269z00_2961;
										obj_t BgL_l1266z00_2960;

										BgL_l1266z00_2960 = BgL_arg1376z00_1686;
										BgL_tail1269z00_2961 = BgL_newtail1270z00_1685;
										BgL_tail1269z00_1682 = BgL_tail1269z00_2961;
										BgL_l1266z00_1681 = BgL_l1266z00_2960;
										goto BgL_zc3z04anonymousza31373ze3z87_1683;
									}
								}
							}
					}
				}
		}

	}



/* &free-from */
	obj_t BGl_z62freezd2fromzb0zzintegrate_freez00(obj_t BgL_envz00_2511,
		obj_t BgL_setsz00_2512, obj_t BgL_integratorz00_2513)
	{
		{	/* Integrate/free.scm 296 */
			return
				BGl_freezd2fromzd2zzintegrate_freez00(BgL_setsz00_2512,
				((BgL_localz00_bglt) BgL_integratorz00_2513));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_proc1881z00zzintegrate_freez00, BGl_nodez00zzast_nodez00,
				BGl_string1882z00zzintegrate_freez00);
		}

	}



/* &node-free1271 */
	obj_t BGl_z62nodezd2free1271zb0zzintegrate_freez00(obj_t BgL_envz00_2515,
		obj_t BgL_nodez00_2516, obj_t BgL_freez00_2517)
	{
		{	/* Integrate/free.scm 111 */
			return BgL_freez00_2517;
		}

	}



/* node-free */
	obj_t BGl_nodezd2freezd2zzintegrate_freez00(BgL_nodez00_bglt BgL_nodez00_11,
		obj_t BgL_freez00_12)
	{
		{	/* Integrate/free.scm 111 */
			{	/* Integrate/free.scm 111 */
				obj_t BgL_method1272z00_1709;

				{	/* Integrate/free.scm 111 */
					obj_t BgL_res1874z00_2313;

					{	/* Integrate/free.scm 111 */
						long BgL_objzd2classzd2numz00_2284;

						BgL_objzd2classzd2numz00_2284 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_11));
						{	/* Integrate/free.scm 111 */
							obj_t BgL_arg1862z00_2285;

							BgL_arg1862z00_2285 =
								PROCEDURE_REF(BGl_nodezd2freezd2envz00zzintegrate_freez00,
								(int) (1L));
							{	/* Integrate/free.scm 111 */
								int BgL_offsetz00_2288;

								BgL_offsetz00_2288 = (int) (BgL_objzd2classzd2numz00_2284);
								{	/* Integrate/free.scm 111 */
									long BgL_offsetz00_2289;

									BgL_offsetz00_2289 =
										((long) (BgL_offsetz00_2288) - OBJECT_TYPE);
									{	/* Integrate/free.scm 111 */
										long BgL_modz00_2290;

										BgL_modz00_2290 =
											(BgL_offsetz00_2289 >> (int) ((long) ((int) (4L))));
										{	/* Integrate/free.scm 111 */
											long BgL_restz00_2292;

											BgL_restz00_2292 =
												(BgL_offsetz00_2289 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Integrate/free.scm 111 */

												{	/* Integrate/free.scm 111 */
													obj_t BgL_bucketz00_2294;

													BgL_bucketz00_2294 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2285), BgL_modz00_2290);
													BgL_res1874z00_2313 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2294), BgL_restz00_2292);
					}}}}}}}}
					BgL_method1272z00_1709 = BgL_res1874z00_2313;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1272z00_1709,
					((obj_t) BgL_nodez00_11), BgL_freez00_12);
			}
		}

	}



/* &node-free */
	obj_t BGl_z62nodezd2freezb0zzintegrate_freez00(obj_t BgL_envz00_2518,
		obj_t BgL_nodez00_2519, obj_t BgL_freez00_2520)
	{
		{	/* Integrate/free.scm 111 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				((BgL_nodez00_bglt) BgL_nodez00_2519), BgL_freez00_2520);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_varz00zzast_nodez00,
				BGl_proc1883z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_closurez00zzast_nodez00, BGl_proc1885z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1886z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_syncz00zzast_nodez00,
				BGl_proc1887z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_appz00zzast_nodez00,
				BGl_proc1888z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1889z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1890z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_externz00zzast_nodez00, BGl_proc1891z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_castz00zzast_nodez00,
				BGl_proc1892z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_setqz00zzast_nodez00,
				BGl_proc1893z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1894z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00, BGl_failz00zzast_nodez00,
				BGl_proc1895z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_switchz00zzast_nodez00, BGl_proc1896z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1897z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1898z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1899z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1900z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1901z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1902z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2freezd2envz00zzintegrate_freez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1903z00zzintegrate_freez00,
				BGl_string1884z00zzintegrate_freez00);
		}

	}



/* &node-free-box-set!1313 */
	obj_t BGl_z62nodezd2freezd2boxzd2setz121313za2zzintegrate_freez00(obj_t
		BgL_envz00_2541, obj_t BgL_nodez00_2542, obj_t BgL_freez00_2543)
	{
		{	/* Integrate/free.scm 278 */
			{	/* Integrate/free.scm 280 */
				BgL_varz00_bglt BgL_arg1679z00_2603;
				obj_t BgL_arg1680z00_2604;

				BgL_arg1679z00_2603 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2542)))->BgL_varz00);
				BgL_arg1680z00_2604 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2542)))->BgL_valuez00),
					BgL_freez00_2543);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1679z00_2603), BgL_arg1680z00_2604);
			}
		}

	}



/* &node-free-box-ref1311 */
	obj_t BGl_z62nodezd2freezd2boxzd2ref1311zb0zzintegrate_freez00(obj_t
		BgL_envz00_2544, obj_t BgL_nodez00_2545, obj_t BgL_freez00_2546)
	{
		{	/* Integrate/free.scm 271 */
			{	/* Integrate/free.scm 273 */
				BgL_varz00_bglt BgL_arg1677z00_2606;

				BgL_arg1677z00_2606 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2545)))->BgL_varz00);
				return
					BGl_nodezd2freezd2zzintegrate_freez00(
					((BgL_nodez00_bglt) BgL_arg1677z00_2606), BgL_freez00_2546);
			}
		}

	}



/* &node-free-make-box1309 */
	obj_t BGl_z62nodezd2freezd2makezd2box1309zb0zzintegrate_freez00(obj_t
		BgL_envz00_2547, obj_t BgL_nodez00_2548, obj_t BgL_freez00_2549)
	{
		{	/* Integrate/free.scm 264 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2548)))->BgL_valuez00),
				BgL_freez00_2549);
		}

	}



/* &node-free-jump-ex-it1307 */
	obj_t BGl_z62nodezd2freezd2jumpzd2exzd2it1307z62zzintegrate_freez00(obj_t
		BgL_envz00_2550, obj_t BgL_nodez00_2551, obj_t BgL_freez00_2552)
	{
		{	/* Integrate/free.scm 257 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2551)))->BgL_exitz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2551)))->
						BgL_valuez00), BgL_freez00_2552));
		}

	}



/* &node-free-set-ex-it1305 */
	obj_t BGl_z62nodezd2freezd2setzd2exzd2it1305z62zzintegrate_freez00(obj_t
		BgL_envz00_2553, obj_t BgL_nodez00_2554, obj_t BgL_freez00_2555)
	{
		{	/* Integrate/free.scm 249 */
			{	/* Integrate/free.scm 251 */
				BgL_variablez00_bglt BgL_arg1655z00_2610;

				BgL_arg1655z00_2610 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2554)))->
								BgL_varz00)))->BgL_variablez00);
				BGl_bindzd2variablez12zc0zzintegrate_freez00(((BgL_localz00_bglt)
						BgL_arg1655z00_2610),
					((BgL_localz00_bglt) BGl_za2integratorza2z00zzintegrate_freez00));
			}
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2554)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2554)))->
						BgL_onexitz00), BgL_freez00_2555));
		}

	}



/* &node-free-let-var1303 */
	obj_t BGl_z62nodezd2freezd2letzd2var1303zb0zzintegrate_freez00(obj_t
		BgL_envz00_2556, obj_t BgL_nodez00_2557, obj_t BgL_freez00_2558)
	{
		{	/* Integrate/free.scm 235 */
			{
				obj_t BgL_bindingsz00_2613;
				obj_t BgL_freez00_2614;

				BgL_bindingsz00_2613 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)))->BgL_bindingsz00);
				BgL_freez00_2614 = BgL_freez00_2558;
			BgL_loopz00_2612:
				if (NULLP(BgL_bindingsz00_2613))
					{	/* Integrate/free.scm 239 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)))->BgL_bodyz00),
							BgL_freez00_2614);
					}
				else
					{	/* Integrate/free.scm 239 */
						{	/* Integrate/free.scm 242 */
							obj_t BgL_arg1642z00_2615;

							{	/* Integrate/free.scm 242 */
								obj_t BgL_pairz00_2616;

								BgL_pairz00_2616 = CAR(((obj_t) BgL_bindingsz00_2613));
								BgL_arg1642z00_2615 = CAR(BgL_pairz00_2616);
							}
							BGl_bindzd2variablez12zc0zzintegrate_freez00(
								((BgL_localz00_bglt) BgL_arg1642z00_2615),
								((BgL_localz00_bglt)
									BGl_za2integratorza2z00zzintegrate_freez00));
						}
						{	/* Integrate/free.scm 243 */
							obj_t BgL_arg1648z00_2617;
							obj_t BgL_arg1649z00_2618;

							BgL_arg1648z00_2617 = CDR(((obj_t) BgL_bindingsz00_2613));
							{	/* Integrate/free.scm 244 */
								obj_t BgL_arg1650z00_2619;

								{	/* Integrate/free.scm 244 */
									obj_t BgL_pairz00_2620;

									BgL_pairz00_2620 = CAR(((obj_t) BgL_bindingsz00_2613));
									BgL_arg1650z00_2619 = CDR(BgL_pairz00_2620);
								}
								BgL_arg1649z00_2618 =
									BGl_nodezd2freezd2zzintegrate_freez00(
									((BgL_nodez00_bglt) BgL_arg1650z00_2619), BgL_freez00_2614);
							}
							{
								obj_t BgL_freez00_3069;
								obj_t BgL_bindingsz00_3068;

								BgL_bindingsz00_3068 = BgL_arg1648z00_2617;
								BgL_freez00_3069 = BgL_arg1649z00_2618;
								BgL_freez00_2614 = BgL_freez00_3069;
								BgL_bindingsz00_2613 = BgL_bindingsz00_3068;
								goto BgL_loopz00_2612;
							}
						}
					}
			}
		}

	}



/* &node-free-let-fun1301 */
	obj_t BGl_z62nodezd2freezd2letzd2fun1301zb0zzintegrate_freez00(obj_t
		BgL_envz00_2559, obj_t BgL_nodez00_2560, obj_t BgL_freez00_2561)
	{
		{	/* Integrate/free.scm 218 */
			{	/* Integrate/free.scm 221 */
				obj_t BgL_g1122z00_2622;

				BgL_g1122z00_2622 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2560)))->BgL_localsz00);
				{
					obj_t BgL_localsz00_2624;
					obj_t BgL_freez00_2625;

					BgL_localsz00_2624 = BgL_g1122z00_2622;
					BgL_freez00_2625 = BgL_freez00_2561;
				BgL_liipz00_2623:
					if (NULLP(BgL_localsz00_2624))
						{	/* Integrate/free.scm 223 */
							return
								BGl_nodezd2freezd2zzintegrate_freez00(
								(((BgL_letzd2funzd2_bglt) COBJECT(
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2560)))->
									BgL_bodyz00), BgL_freez00_2625);
						}
					else
						{	/* Integrate/free.scm 225 */
							obj_t BgL_localz00_2626;

							BgL_localz00_2626 = CAR(((obj_t) BgL_localsz00_2624));
							{	/* Integrate/free.scm 225 */
								BgL_valuez00_bglt BgL_funz00_2627;

								BgL_funz00_2627 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2626))))->
									BgL_valuez00);
								{	/* Integrate/free.scm 226 */

									{	/* Integrate/free.scm 227 */
										obj_t BgL_g1262z00_2628;

										BgL_g1262z00_2628 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2627)))->BgL_argsz00);
										{
											obj_t BgL_l1260z00_2630;

											BgL_l1260z00_2630 = BgL_g1262z00_2628;
										BgL_zc3z04anonymousza31612ze3z87_2629:
											if (PAIRP(BgL_l1260z00_2630))
												{	/* Integrate/free.scm 228 */
													{	/* Integrate/free.scm 227 */
														obj_t BgL_lz00_2631;

														BgL_lz00_2631 = CAR(BgL_l1260z00_2630);
														BGl_bindzd2variablez12zc0zzintegrate_freez00(
															((BgL_localz00_bglt) BgL_lz00_2631),
															((BgL_localz00_bglt)
																BGl_za2integratorza2z00zzintegrate_freez00));
													}
													{
														obj_t BgL_l1260z00_3092;

														BgL_l1260z00_3092 = CDR(BgL_l1260z00_2630);
														BgL_l1260z00_2630 = BgL_l1260z00_3092;
														goto BgL_zc3z04anonymousza31612ze3z87_2629;
													}
												}
											else
												{	/* Integrate/free.scm 228 */
													((bool_t) 1);
												}
										}
									}
									{	/* Integrate/free.scm 229 */
										obj_t BgL_arg1626z00_2632;
										obj_t BgL_arg1631z00_2633;

										BgL_arg1626z00_2632 = CDR(((obj_t) BgL_localsz00_2624));
										{	/* Integrate/free.scm 230 */
											obj_t BgL_arg1632z00_2634;

											BgL_arg1632z00_2634 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2627)))->
												BgL_bodyz00);
											BgL_arg1631z00_2633 =
												BGl_nodezd2freezd2zzintegrate_freez00((
													(BgL_nodez00_bglt) BgL_arg1632z00_2634),
												BgL_freez00_2625);
										}
										{
											obj_t BgL_freez00_3101;
											obj_t BgL_localsz00_3100;

											BgL_localsz00_3100 = BgL_arg1626z00_2632;
											BgL_freez00_3101 = BgL_arg1631z00_2633;
											BgL_freez00_2625 = BgL_freez00_3101;
											BgL_localsz00_2624 = BgL_localsz00_3100;
											goto BgL_liipz00_2623;
										}
									}
								}
							}
						}
				}
			}
		}

	}



/* &node-free-switch1298 */
	obj_t BGl_z62nodezd2freezd2switch1298z62zzintegrate_freez00(obj_t
		BgL_envz00_2562, obj_t BgL_nodez00_2563, obj_t BgL_freez00_2564)
	{
		{	/* Integrate/free.scm 207 */
			{
				obj_t BgL_clausesz00_2637;
				obj_t BgL_freez00_2638;

				BgL_clausesz00_2637 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2563)))->BgL_clausesz00);
				BgL_freez00_2638 = BgL_freez00_2564;
			BgL_loopz00_2636:
				if (NULLP(BgL_clausesz00_2637))
					{	/* Integrate/free.scm 211 */
						return
							BGl_nodezd2freezd2zzintegrate_freez00(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2563)))->BgL_testz00),
							BgL_freez00_2638);
					}
				else
					{	/* Integrate/free.scm 213 */
						obj_t BgL_arg1592z00_2639;
						obj_t BgL_arg1593z00_2640;

						BgL_arg1592z00_2639 = CDR(((obj_t) BgL_clausesz00_2637));
						{	/* Integrate/free.scm 213 */
							obj_t BgL_arg1597z00_2641;

							{	/* Integrate/free.scm 213 */
								obj_t BgL_pairz00_2642;

								BgL_pairz00_2642 = CAR(((obj_t) BgL_clausesz00_2637));
								BgL_arg1597z00_2641 = CDR(BgL_pairz00_2642);
							}
							BgL_arg1593z00_2640 =
								BGl_nodezd2freezd2zzintegrate_freez00(
								((BgL_nodez00_bglt) BgL_arg1597z00_2641), BgL_freez00_2638);
						}
						{
							obj_t BgL_freez00_3115;
							obj_t BgL_clausesz00_3114;

							BgL_clausesz00_3114 = BgL_arg1592z00_2639;
							BgL_freez00_3115 = BgL_arg1593z00_2640;
							BgL_freez00_2638 = BgL_freez00_3115;
							BgL_clausesz00_2637 = BgL_clausesz00_3114;
							goto BgL_loopz00_2636;
						}
					}
			}
		}

	}



/* &node-free-fail1296 */
	obj_t BGl_z62nodezd2freezd2fail1296z62zzintegrate_freez00(obj_t
		BgL_envz00_2565, obj_t BgL_nodez00_2566, obj_t BgL_freez00_2567)
	{
		{	/* Integrate/free.scm 200 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2566)))->BgL_procz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2566)))->BgL_msgz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2566)))->BgL_objz00),
						BgL_freez00_2567)));
		}

	}



/* &node-free-conditiona1294 */
	obj_t BGl_z62nodezd2freezd2conditiona1294z62zzintegrate_freez00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569, obj_t BgL_freez00_2570)
	{
		{	/* Integrate/free.scm 193 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2569)))->BgL_testz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2569)))->BgL_truez00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2569)))->BgL_falsez00),
						BgL_freez00_2570)));
		}

	}



/* &node-free-setq1292 */
	obj_t BGl_z62nodezd2freezd2setq1292z62zzintegrate_freez00(obj_t
		BgL_envz00_2571, obj_t BgL_nodez00_2572, obj_t BgL_freez00_2573)
	{
		{	/* Integrate/free.scm 186 */
			{	/* Integrate/free.scm 188 */
				BgL_varz00_bglt BgL_arg1530z00_2646;
				obj_t BgL_arg1532z00_2647;

				BgL_arg1530z00_2646 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2572)))->BgL_varz00);
				BgL_arg1532z00_2647 =
					BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2572)))->BgL_valuez00),
					BgL_freez00_2573);
				return BGl_nodezd2freezd2zzintegrate_freez00(((BgL_nodez00_bglt)
						BgL_arg1530z00_2646), BgL_arg1532z00_2647);
			}
		}

	}



/* &node-free-cast1290 */
	obj_t BGl_z62nodezd2freezd2cast1290z62zzintegrate_freez00(obj_t
		BgL_envz00_2574, obj_t BgL_nodez00_2575, obj_t BgL_freez00_2576)
	{
		{	/* Integrate/free.scm 179 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2575)))->BgL_argz00),
				BgL_freez00_2576);
		}

	}



/* &node-free-extern1288 */
	obj_t BGl_z62nodezd2freezd2extern1288z62zzintegrate_freez00(obj_t
		BgL_envz00_2577, obj_t BgL_nodez00_2578, obj_t BgL_freez00_2579)
	{
		{	/* Integrate/free.scm 172 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2578)))->BgL_exprza2za2),
				BgL_freez00_2579);
		}

	}



/* &node-free-funcall1286 */
	obj_t BGl_z62nodezd2freezd2funcall1286z62zzintegrate_freez00(obj_t
		BgL_envz00_2580, obj_t BgL_nodez00_2581, obj_t BgL_freez00_2582)
	{
		{	/* Integrate/free.scm 165 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2581)))->BgL_funz00),
				BGl_nodezd2freeza2z70zzintegrate_freez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2581)))->BgL_argsz00),
					BgL_freez00_2582));
		}

	}



/* &node-free-app-ly1284 */
	obj_t BGl_z62nodezd2freezd2appzd2ly1284zb0zzintegrate_freez00(obj_t
		BgL_envz00_2583, obj_t BgL_nodez00_2584, obj_t BgL_freez00_2585)
	{
		{	/* Integrate/free.scm 158 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2584)))->BgL_funz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2584)))->BgL_argz00),
					BgL_freez00_2585));
		}

	}



/* &node-free-app1282 */
	obj_t BGl_z62nodezd2freezd2app1282z62zzintegrate_freez00(obj_t
		BgL_envz00_2586, obj_t BgL_nodez00_2587, obj_t BgL_freez00_2588)
	{
		{	/* Integrate/free.scm 151 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2587)))->BgL_argsz00),
				BgL_freez00_2588);
		}

	}



/* &node-free-sync1280 */
	obj_t BGl_z62nodezd2freezd2sync1280z62zzintegrate_freez00(obj_t
		BgL_envz00_2589, obj_t BgL_nodez00_2590, obj_t BgL_freez00_2591)
	{
		{	/* Integrate/free.scm 144 */
			return
				BGl_nodezd2freezd2zzintegrate_freez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2590)))->BgL_bodyz00),
				BGl_nodezd2freezd2zzintegrate_freez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2590)))->BgL_prelockz00),
					BGl_nodezd2freezd2zzintegrate_freez00(
						(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_2590)))->BgL_mutexz00),
						BgL_freez00_2591)));
		}

	}



/* &node-free-sequence1278 */
	obj_t BGl_z62nodezd2freezd2sequence1278z62zzintegrate_freez00(obj_t
		BgL_envz00_2592, obj_t BgL_nodez00_2593, obj_t BgL_freez00_2594)
	{
		{	/* Integrate/free.scm 137 */
			return
				BGl_nodezd2freeza2z70zzintegrate_freez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2593)))->BgL_nodesz00),
				BgL_freez00_2594);
		}

	}



/* &node-free-closure1276 */
	obj_t BGl_z62nodezd2freezd2closure1276z62zzintegrate_freez00(obj_t
		BgL_envz00_2595, obj_t BgL_nodez00_2596, obj_t BgL_freez00_2597)
	{
		{	/* Integrate/free.scm 131 */
			{	/* Integrate/free.scm 132 */
				obj_t BgL_arg1418z00_2656;

				BgL_arg1418z00_2656 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_2596)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string1884z00zzintegrate_freez00,
					BGl_string1904z00zzintegrate_freez00, BgL_arg1418z00_2656);
			}
		}

	}



/* &node-free-var1274 */
	obj_t BGl_z62nodezd2freezd2var1274z62zzintegrate_freez00(obj_t
		BgL_envz00_2598, obj_t BgL_nodez00_2599, obj_t BgL_freez00_2600)
	{
		{	/* Integrate/free.scm 117 */
			{	/* Integrate/free.scm 120 */
				bool_t BgL_test1968z00_3180;

				{	/* Integrate/free.scm 120 */
					BgL_variablez00_bglt BgL_arg1417z00_2658;

					BgL_arg1417z00_2658 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2599)))->BgL_variablez00);
					{	/* Integrate/free.scm 120 */
						obj_t BgL_classz00_2659;

						BgL_classz00_2659 = BGl_globalz00zzast_varz00;
						{	/* Integrate/free.scm 120 */
							BgL_objectz00_bglt BgL_arg1858z00_2660;

							{	/* Integrate/free.scm 120 */
								obj_t BgL_tmpz00_3183;

								BgL_tmpz00_3183 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1417z00_2658));
								BgL_arg1858z00_2660 = (BgL_objectz00_bglt) (BgL_tmpz00_3183);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Integrate/free.scm 120 */
									long BgL_idxz00_2661;

									BgL_idxz00_2661 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2660);
									BgL_test1968z00_3180 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2661 + 2L)) == BgL_classz00_2659);
								}
							else
								{	/* Integrate/free.scm 120 */
									bool_t BgL_res1875z00_2664;

									{	/* Integrate/free.scm 120 */
										obj_t BgL_oclassz00_2665;

										{	/* Integrate/free.scm 120 */
											obj_t BgL_arg1866z00_2666;
											long BgL_arg1867z00_2667;

											BgL_arg1866z00_2666 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Integrate/free.scm 120 */
												long BgL_arg1869z00_2668;

												BgL_arg1869z00_2668 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2660);
												BgL_arg1867z00_2667 =
													(BgL_arg1869z00_2668 - OBJECT_TYPE);
											}
											BgL_oclassz00_2665 =
												VECTOR_REF(BgL_arg1866z00_2666, BgL_arg1867z00_2667);
										}
										{	/* Integrate/free.scm 120 */
											bool_t BgL__ortest_1115z00_2669;

											BgL__ortest_1115z00_2669 =
												(BgL_classz00_2659 == BgL_oclassz00_2665);
											if (BgL__ortest_1115z00_2669)
												{	/* Integrate/free.scm 120 */
													BgL_res1875z00_2664 = BgL__ortest_1115z00_2669;
												}
											else
												{	/* Integrate/free.scm 120 */
													long BgL_odepthz00_2670;

													{	/* Integrate/free.scm 120 */
														obj_t BgL_arg1855z00_2671;

														BgL_arg1855z00_2671 = (BgL_oclassz00_2665);
														BgL_odepthz00_2670 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2671);
													}
													if ((2L < BgL_odepthz00_2670))
														{	/* Integrate/free.scm 120 */
															obj_t BgL_arg1853z00_2672;

															{	/* Integrate/free.scm 120 */
																obj_t BgL_arg1854z00_2673;

																BgL_arg1854z00_2673 = (BgL_oclassz00_2665);
																BgL_arg1853z00_2672 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2673,
																	2L);
															}
															BgL_res1875z00_2664 =
																(BgL_arg1853z00_2672 == BgL_classz00_2659);
														}
													else
														{	/* Integrate/free.scm 120 */
															BgL_res1875z00_2664 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1968z00_3180 = BgL_res1875z00_2664;
								}
						}
					}
				}
				if (BgL_test1968z00_3180)
					{	/* Integrate/free.scm 120 */
						return BgL_freez00_2600;
					}
				else
					{	/* Integrate/free.scm 122 */
						bool_t BgL_test1972z00_3206;

						{	/* Integrate/free.scm 122 */
							BgL_variablez00_bglt BgL_arg1416z00_2674;

							BgL_arg1416z00_2674 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2599)))->BgL_variablez00);
							BgL_test1972z00_3206 =
								CBOOL(BGl_freezd2variablezf3z21zzintegrate_freez00(
									((obj_t) BgL_arg1416z00_2674)));
						}
						if (BgL_test1972z00_3206)
							{	/* Integrate/free.scm 122 */
								{	/* Integrate/free.scm 123 */
									BgL_variablez00_bglt BgL_arg1414z00_2675;

									BgL_arg1414z00_2675 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2599)))->
										BgL_variablez00);
									BGl_markzd2variablez12zc0zzintegrate_freez00((
											(BgL_localz00_bglt) BgL_arg1414z00_2675));
								}
								{	/* Integrate/free.scm 124 */
									BgL_variablez00_bglt BgL_arg1415z00_2676;

									BgL_arg1415z00_2676 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2599)))->
										BgL_variablez00);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1415z00_2676),
										BgL_freez00_2600);
								}
							}
						else
							{	/* Integrate/free.scm 122 */
								return BgL_freez00_2600;
							}
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_freez00(void)
	{
		{	/* Integrate/free.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(0L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(347237104L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1905z00zzintegrate_freez00));
		}

	}

#ifdef __cplusplus
}
#endif
