/*===========================================================================*/
/*   (Integrate/walk.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Integrate/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INTEGRATE_WALK_TYPE_DEFINITIONS
#define BGL_INTEGRATE_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_INTEGRATE_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_walkz00(void);
	static obj_t BGl_objectzd2initzd2zzintegrate_walkz00(void);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_walkz00(void);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00(void);
	BGL_EXPORTED_DECL obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	static obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern BgL_globalz00_bglt
		BGl_volatilez12z12zzintegrate_volatilez00(BgL_globalz00_bglt);
	extern obj_t BGl_za2localzd2exitzf3za2z21zzengine_paramz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1388z00zzintegrate_walkz00,
		BgL_bgl_string1388za700za7za7i1401za7, "Integration", 11);
	      DEFINE_STRING(BGl_string1389z00zzintegrate_walkz00,
		BgL_bgl_string1389za700za7za7i1402za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1390z00zzintegrate_walkz00,
		BgL_bgl_string1390za700za7za7i1403za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1391z00zzintegrate_walkz00,
		BgL_bgl_string1391za700za7za7i1404za7, " error", 6);
	      DEFINE_STRING(BGl_string1392z00zzintegrate_walkz00,
		BgL_bgl_string1392za700za7za7i1405za7, "s", 1);
	      DEFINE_STRING(BGl_string1393z00zzintegrate_walkz00,
		BgL_bgl_string1393za700za7za7i1406za7, "", 0);
	      DEFINE_STRING(BGl_string1394z00zzintegrate_walkz00,
		BgL_bgl_string1394za700za7za7i1407za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1395z00zzintegrate_walkz00,
		BgL_bgl_string1395za700za7za7i1408za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1396z00zzintegrate_walkz00,
		BgL_bgl_string1396za700za7za7i1409za7, "integrate_walk", 14);
	      DEFINE_STRING(BGl_string1397z00zzintegrate_walkz00,
		BgL_bgl_string1397za700za7za7i1410za7, "(integrate cfa) pass-started ", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2walkz12zd2envz12zzintegrate_walkz00,
		BgL_bgl_za762integrateza7d2w1411z00,
		BGl_z62integratezd2walkz12za2zzintegrate_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzintegrate_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long
		BgL_checksumz00_1630, char *BgL_fromz00_1631)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzintegrate_walkz00();
					BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00();
					BGl_cnstzd2initzd2zzintegrate_walkz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_walkz00();
					return BGl_methodzd2initzd2zzintegrate_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"integrate_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"integrate_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			{	/* Integrate/walk.scm 15 */
				obj_t BgL_cportz00_1619;

				{	/* Integrate/walk.scm 15 */
					obj_t BgL_stringz00_1626;

					BgL_stringz00_1626 = BGl_string1397z00zzintegrate_walkz00;
					{	/* Integrate/walk.scm 15 */
						obj_t BgL_startz00_1627;

						BgL_startz00_1627 = BINT(0L);
						{	/* Integrate/walk.scm 15 */
							obj_t BgL_endz00_1628;

							BgL_endz00_1628 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1626)));
							{	/* Integrate/walk.scm 15 */

								BgL_cportz00_1619 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1626, BgL_startz00_1627, BgL_endz00_1628);
				}}}}
				{
					long BgL_iz00_1620;

					BgL_iz00_1620 = 1L;
				BgL_loopz00_1621:
					if ((BgL_iz00_1620 == (-1L)))
						{	/* Integrate/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/walk.scm 15 */
							{	/* Integrate/walk.scm 15 */
								obj_t BgL_arg1400z00_1622;

								{	/* Integrate/walk.scm 15 */

									{	/* Integrate/walk.scm 15 */
										obj_t BgL_locationz00_1624;

										BgL_locationz00_1624 = BBOOL(((bool_t) 0));
										{	/* Integrate/walk.scm 15 */

											BgL_arg1400z00_1622 =
												BGl_readz00zz__readerz00(BgL_cportz00_1619,
												BgL_locationz00_1624);
										}
									}
								}
								{	/* Integrate/walk.scm 15 */
									int BgL_tmpz00_1657;

									BgL_tmpz00_1657 = (int) (BgL_iz00_1620);
									CNST_TABLE_SET(BgL_tmpz00_1657, BgL_arg1400z00_1622);
							}}
							{	/* Integrate/walk.scm 15 */
								int BgL_auxz00_1625;

								BgL_auxz00_1625 = (int) ((BgL_iz00_1620 - 1L));
								{
									long BgL_iz00_1662;

									BgL_iz00_1662 = (long) (BgL_auxz00_1625);
									BgL_iz00_1620 = BgL_iz00_1662;
									goto BgL_loopz00_1621;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzintegrate_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1350;

					BgL_headz00_1350 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1351;
						obj_t BgL_tailz00_1352;

						BgL_prevz00_1351 = BgL_headz00_1350;
						BgL_tailz00_1352 = BgL_l1z00_1;
					BgL_loopz00_1353:
						if (PAIRP(BgL_tailz00_1352))
							{
								obj_t BgL_newzd2prevzd2_1355;

								BgL_newzd2prevzd2_1355 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1352), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1351, BgL_newzd2prevzd2_1355);
								{
									obj_t BgL_tailz00_1674;
									obj_t BgL_prevz00_1673;

									BgL_prevz00_1673 = BgL_newzd2prevzd2_1355;
									BgL_tailz00_1674 = CDR(BgL_tailz00_1352);
									BgL_tailz00_1352 = BgL_tailz00_1674;
									BgL_prevz00_1351 = BgL_prevz00_1673;
									goto BgL_loopz00_1353;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1350);
					}
				}
		}

	}



/* integrate-walk! */
	BGL_EXPORTED_DEF obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Integrate/walk.scm 31 */
			{	/* Integrate/walk.scm 32 */
				obj_t BgL_list1241z00_1358;

				{	/* Integrate/walk.scm 32 */
					obj_t BgL_arg1242z00_1359;

					{	/* Integrate/walk.scm 32 */
						obj_t BgL_arg1244z00_1360;

						BgL_arg1244z00_1360 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1242z00_1359 =
							MAKE_YOUNG_PAIR(BGl_string1388z00zzintegrate_walkz00,
							BgL_arg1244z00_1360);
					}
					BgL_list1241z00_1358 =
						MAKE_YOUNG_PAIR(BGl_string1389z00zzintegrate_walkz00,
						BgL_arg1242z00_1359);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1241z00_1358);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1388z00zzintegrate_walkz00;
			{	/* Integrate/walk.scm 32 */
				obj_t BgL_g1106z00_1361;

				BgL_g1106z00_1361 = BNIL;
				{
					obj_t BgL_hooksz00_1364;
					obj_t BgL_hnamesz00_1365;

					BgL_hooksz00_1364 = BgL_g1106z00_1361;
					BgL_hnamesz00_1365 = BNIL;
				BgL_zc3z04anonymousza31245ze3z87_1366:
					if (NULLP(BgL_hooksz00_1364))
						{	/* Integrate/walk.scm 32 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Integrate/walk.scm 32 */
							bool_t BgL_test1425z00_1688;

							{	/* Integrate/walk.scm 32 */
								obj_t BgL_fun1255z00_1373;

								BgL_fun1255z00_1373 = CAR(((obj_t) BgL_hooksz00_1364));
								BgL_test1425z00_1688 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1255z00_1373));
							}
							if (BgL_test1425z00_1688)
								{	/* Integrate/walk.scm 32 */
									obj_t BgL_arg1249z00_1370;
									obj_t BgL_arg1250z00_1371;

									BgL_arg1249z00_1370 = CDR(((obj_t) BgL_hooksz00_1364));
									BgL_arg1250z00_1371 = CDR(((obj_t) BgL_hnamesz00_1365));
									{
										obj_t BgL_hnamesz00_1700;
										obj_t BgL_hooksz00_1699;

										BgL_hooksz00_1699 = BgL_arg1249z00_1370;
										BgL_hnamesz00_1700 = BgL_arg1250z00_1371;
										BgL_hnamesz00_1365 = BgL_hnamesz00_1700;
										BgL_hooksz00_1364 = BgL_hooksz00_1699;
										goto BgL_zc3z04anonymousza31245ze3z87_1366;
									}
								}
							else
								{	/* Integrate/walk.scm 32 */
									obj_t BgL_arg1252z00_1372;

									BgL_arg1252z00_1372 = CAR(((obj_t) BgL_hnamesz00_1365));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1388z00zzintegrate_walkz00,
										BGl_string1390z00zzintegrate_walkz00, BgL_arg1252z00_1372);
								}
						}
				}
			}
			{
				obj_t BgL_oldz00_1378;
				obj_t BgL_newz00_1379;

				BgL_oldz00_1378 = BgL_globalsz00_3;
				BgL_newz00_1379 = BNIL;
			BgL_zc3z04anonymousza31257ze3z87_1380:
				if (NULLP(BgL_oldz00_1378))
					{	/* Integrate/walk.scm 36 */
						obj_t BgL_varsz00_1382;

						if (CBOOL(BGl_za2localzd2exitzf3za2z21zzengine_paramz00))
							{	/* Integrate/walk.scm 36 */
								if (NULLP(BgL_newz00_1379))
									{	/* Integrate/walk.scm 36 */
										BgL_varsz00_1382 = BNIL;
									}
								else
									{	/* Integrate/walk.scm 36 */
										obj_t BgL_head1230z00_1408;

										{	/* Integrate/walk.scm 36 */
											BgL_globalz00_bglt BgL_arg1284z00_1420;

											{	/* Integrate/walk.scm 36 */
												obj_t BgL_arg1285z00_1421;

												BgL_arg1285z00_1421 = CAR(((obj_t) BgL_newz00_1379));
												BgL_arg1284z00_1420 =
													BGl_volatilez12z12zzintegrate_volatilez00(
													((BgL_globalz00_bglt) BgL_arg1285z00_1421));
											}
											BgL_head1230z00_1408 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1284z00_1420), BNIL);
										}
										{	/* Integrate/walk.scm 36 */
											obj_t BgL_g1233z00_1409;

											BgL_g1233z00_1409 = CDR(((obj_t) BgL_newz00_1379));
											{
												obj_t BgL_l1228z00_1411;
												obj_t BgL_tail1231z00_1412;

												BgL_l1228z00_1411 = BgL_g1233z00_1409;
												BgL_tail1231z00_1412 = BgL_head1230z00_1408;
											BgL_zc3z04anonymousza31278ze3z87_1413:
												if (NULLP(BgL_l1228z00_1411))
													{	/* Integrate/walk.scm 36 */
														BgL_varsz00_1382 = BgL_head1230z00_1408;
													}
												else
													{	/* Integrate/walk.scm 36 */
														obj_t BgL_newtail1232z00_1415;

														{	/* Integrate/walk.scm 36 */
															BgL_globalz00_bglt BgL_arg1281z00_1417;

															{	/* Integrate/walk.scm 36 */
																obj_t BgL_arg1282z00_1418;

																BgL_arg1282z00_1418 =
																	CAR(((obj_t) BgL_l1228z00_1411));
																BgL_arg1281z00_1417 =
																	BGl_volatilez12z12zzintegrate_volatilez00(
																	((BgL_globalz00_bglt) BgL_arg1282z00_1418));
															}
															BgL_newtail1232z00_1415 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1281z00_1417), BNIL);
														}
														SET_CDR(BgL_tail1231z00_1412,
															BgL_newtail1232z00_1415);
														{	/* Integrate/walk.scm 36 */
															obj_t BgL_arg1280z00_1416;

															BgL_arg1280z00_1416 =
																CDR(((obj_t) BgL_l1228z00_1411));
															{
																obj_t BgL_tail1231z00_1730;
																obj_t BgL_l1228z00_1729;

																BgL_l1228z00_1729 = BgL_arg1280z00_1416;
																BgL_tail1231z00_1730 = BgL_newtail1232z00_1415;
																BgL_tail1231z00_1412 = BgL_tail1231z00_1730;
																BgL_l1228z00_1411 = BgL_l1228z00_1729;
																goto BgL_zc3z04anonymousza31278ze3z87_1413;
															}
														}
													}
											}
										}
									}
							}
						else
							{	/* Integrate/walk.scm 36 */
								BgL_varsz00_1382 = BgL_newz00_1379;
							}
						{	/* Integrate/walk.scm 37 */
							obj_t BgL_valuez00_1383;

							BgL_valuez00_1383 =
								BGl_removezd2varzd2zzast_removez00(
								((obj_t) CNST_TABLE_REF(1)), BgL_varsz00_1382);
							if (
								((long)
									CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
									0L))
								{	/* Integrate/walk.scm 37 */
									{	/* Integrate/walk.scm 37 */
										obj_t BgL_port1234z00_1385;

										{	/* Integrate/walk.scm 37 */
											obj_t BgL_tmpz00_1737;

											BgL_tmpz00_1737 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_port1234z00_1385 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1737);
										}
										bgl_display_obj
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BgL_port1234z00_1385);
										bgl_display_string(BGl_string1391z00zzintegrate_walkz00,
											BgL_port1234z00_1385);
										{	/* Integrate/walk.scm 37 */
											obj_t BgL_arg1262z00_1386;

											{	/* Integrate/walk.scm 37 */
												bool_t BgL_test1431z00_1742;

												if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Integrate/walk.scm 37 */
														if (INTEGERP
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Integrate/walk.scm 37 */
																BgL_test1431z00_1742 =
																	(
																	(long)
																	CINT
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																	> 1L);
															}
														else
															{	/* Integrate/walk.scm 37 */
																BgL_test1431z00_1742 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(1L));
															}
													}
												else
													{	/* Integrate/walk.scm 37 */
														BgL_test1431z00_1742 = ((bool_t) 0);
													}
												if (BgL_test1431z00_1742)
													{	/* Integrate/walk.scm 37 */
														BgL_arg1262z00_1386 =
															BGl_string1392z00zzintegrate_walkz00;
													}
												else
													{	/* Integrate/walk.scm 37 */
														BgL_arg1262z00_1386 =
															BGl_string1393z00zzintegrate_walkz00;
													}
											}
											bgl_display_obj(BgL_arg1262z00_1386,
												BgL_port1234z00_1385);
										}
										bgl_display_string(BGl_string1394z00zzintegrate_walkz00,
											BgL_port1234z00_1385);
										bgl_display_char(((unsigned char) 10),
											BgL_port1234z00_1385);
									}
									{	/* Integrate/walk.scm 37 */
										obj_t BgL_list1265z00_1390;

										BgL_list1265z00_1390 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
										BGL_TAIL return
											BGl_exitz00zz__errorz00(BgL_list1265z00_1390);
									}
								}
							else
								{	/* Integrate/walk.scm 37 */
									obj_t BgL_g1109z00_1391;

									BgL_g1109z00_1391 = BNIL;
									{
										obj_t BgL_hooksz00_1394;
										obj_t BgL_hnamesz00_1395;

										BgL_hooksz00_1394 = BgL_g1109z00_1391;
										BgL_hnamesz00_1395 = BNIL;
									BgL_zc3z04anonymousza31266ze3z87_1396:
										if (NULLP(BgL_hooksz00_1394))
											{	/* Integrate/walk.scm 37 */
												return BgL_valuez00_1383;
											}
										else
											{	/* Integrate/walk.scm 37 */
												bool_t BgL_test1435z00_1759;

												{	/* Integrate/walk.scm 37 */
													obj_t BgL_fun1275z00_1403;

													BgL_fun1275z00_1403 =
														CAR(((obj_t) BgL_hooksz00_1394));
													BgL_test1435z00_1759 =
														CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1275z00_1403));
												}
												if (BgL_test1435z00_1759)
													{	/* Integrate/walk.scm 37 */
														obj_t BgL_arg1272z00_1400;
														obj_t BgL_arg1273z00_1401;

														BgL_arg1272z00_1400 =
															CDR(((obj_t) BgL_hooksz00_1394));
														BgL_arg1273z00_1401 =
															CDR(((obj_t) BgL_hnamesz00_1395));
														{
															obj_t BgL_hnamesz00_1771;
															obj_t BgL_hooksz00_1770;

															BgL_hooksz00_1770 = BgL_arg1272z00_1400;
															BgL_hnamesz00_1771 = BgL_arg1273z00_1401;
															BgL_hnamesz00_1395 = BgL_hnamesz00_1771;
															BgL_hooksz00_1394 = BgL_hooksz00_1770;
															goto BgL_zc3z04anonymousza31266ze3z87_1396;
														}
													}
												else
													{	/* Integrate/walk.scm 37 */
														obj_t BgL_arg1274z00_1402;

														BgL_arg1274z00_1402 =
															CAR(((obj_t) BgL_hnamesz00_1395));
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string1395z00zzintegrate_walkz00,
															BgL_arg1274z00_1402);
													}
											}
									}
								}
						}
					}
				else
					{	/* Integrate/walk.scm 38 */
						obj_t BgL_globalz00_1422;

						BgL_globalz00_1422 = CAR(((obj_t) BgL_oldz00_1378));
						{	/* Integrate/walk.scm 39 */
							obj_t BgL_arg1287z00_1423;

							BgL_arg1287z00_1423 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_1422))))->BgL_idz00);
							BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1287z00_1423);
						}
						{	/* Integrate/walk.scm 40 */
							obj_t BgL_arg1288z00_1424;
							obj_t BgL_arg1289z00_1425;

							BgL_arg1288z00_1424 = CDR(((obj_t) BgL_oldz00_1378));
							BgL_arg1289z00_1425 =
								BGl_appendzd221011zd2zzintegrate_walkz00
								(BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
								(BgL_globalz00_1422), BgL_newz00_1379);
							{
								obj_t BgL_newz00_1786;
								obj_t BgL_oldz00_1785;

								BgL_oldz00_1785 = BgL_arg1288z00_1424;
								BgL_newz00_1786 = BgL_arg1289z00_1425;
								BgL_newz00_1379 = BgL_newz00_1786;
								BgL_oldz00_1378 = BgL_oldz00_1785;
								goto BgL_zc3z04anonymousza31257ze3z87_1380;
							}
						}
					}
			}
		}

	}



/* &integrate-walk! */
	obj_t BGl_z62integratezd2walkz12za2zzintegrate_walkz00(obj_t BgL_envz00_1617,
		obj_t BgL_globalsz00_1618)
	{
		{	/* Integrate/walk.scm 31 */
			return BGl_integratezd2walkz12zc0zzintegrate_walkz00(BgL_globalsz00_1618);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_walkz00(void)
	{
		{	/* Integrate/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(67375820L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_volatilez00(85351432L,
				BSTRING_TO_STRING(BGl_string1396z00zzintegrate_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
