/*===========================================================================*/
/*   (Module/wasm.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/wasm.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_WASM_TYPE_DEFINITIONS
#define BGL_MODULE_WASM_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_MODULE_WASM_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62wasmzd2finaliza7erz17zzmodule_wasmz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_wasmz00 = BUNSPEC;
	static obj_t BGl_z62wasmzd2producerzb0zzmodule_wasmz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31130ze3ze5zzmodule_wasmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2wasmzd2externza2zd2zzmodule_wasmz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzmodule_wasmz00(void);
	static obj_t BGl_genericzd2initzd2zzmodule_wasmz00(void);
	static obj_t BGl_objectzd2initzd2zzmodule_wasmz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_wasmzd2parserzd2zzmodule_wasmz00(obj_t, bool_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_wasmz00(void);
	static obj_t BGl_wasmzd2producerzd2zzmodule_wasmz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2wasmzd2compilerz62zzmodule_wasmz00(obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_wasmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzmodule_wasmz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_wasmz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_wasmz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_wasmz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2wasmzd2compilerz00zzmodule_wasmz00(void);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1245z00zzmodule_wasmz00,
		BgL_bgl_string1245za700za7za7m1253za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1246z00zzmodule_wasmz00,
		BgL_bgl_string1246za700za7za7m1254za7, "Illegal `wasm' clause", 21);
	      DEFINE_STRING(BGl_string1247z00zzmodule_wasmz00,
		BgL_bgl_string1247za700za7za7m1255za7, "Illegal wasm form", 17);
	      DEFINE_STRING(BGl_string1248z00zzmodule_wasmz00,
		BgL_bgl_string1248za700za7za7m1256za7, "wasm", 4);
	      DEFINE_STRING(BGl_string1249z00zzmodule_wasmz00,
		BgL_bgl_string1249za700za7za7m1257za7, "Cannot find extern definition", 29);
	      DEFINE_STRING(BGl_string1250z00zzmodule_wasmz00,
		BgL_bgl_string1250za700za7za7m1258za7, "module_wasm", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1244z00zzmodule_wasmz00,
		BgL_bgl_za762za7c3za704anonymo1259za7,
		BGl_z62zc3z04anonymousza31130ze3ze5zzmodule_wasmz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1251z00zzmodule_wasmz00,
		BgL_bgl_string1251za700za7za7m1260za7, "foreign wasm ", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2wasmzd2compilerzd2envzd2zzmodule_wasmz00,
		BgL_bgl_za762makeza7d2wasmza7d1261za7,
		BGl_z62makezd2wasmzd2compilerz62zzmodule_wasmz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_wasmzd2finaliza7erzd2envza7zzmodule_wasmz00,
		BgL_bgl_za762wasmza7d2finali1262z00,
		BGl_z62wasmzd2finaliza7erz17zzmodule_wasmz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_wasmzd2producerzd2envz00zzmodule_wasmz00,
		BgL_bgl_za762wasmza7d2produc1263z00,
		BGl_z62wasmzd2producerzb0zzmodule_wasmz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzmodule_wasmz00));
		     ADD_ROOT((void *) (&BGl_za2wasmzd2externza2zd2zzmodule_wasmz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_wasmz00(long
		BgL_checksumz00_747, char *BgL_fromz00_748)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_wasmz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_wasmz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_wasmz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_wasmz00();
					BGl_cnstzd2initzd2zzmodule_wasmz00();
					BGl_importedzd2moduleszd2initz00zzmodule_wasmz00();
					return BGl_toplevelzd2initzd2zzmodule_wasmz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_wasm");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_wasm");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_wasm");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			{	/* Module/wasm.scm 15 */
				obj_t BgL_cportz00_726;

				{	/* Module/wasm.scm 15 */
					obj_t BgL_stringz00_733;

					BgL_stringz00_733 = BGl_string1251z00zzmodule_wasmz00;
					{	/* Module/wasm.scm 15 */
						obj_t BgL_startz00_734;

						BgL_startz00_734 = BINT(0L);
						{	/* Module/wasm.scm 15 */
							obj_t BgL_endz00_735;

							BgL_endz00_735 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_733)));
							{	/* Module/wasm.scm 15 */

								BgL_cportz00_726 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_733, BgL_startz00_734, BgL_endz00_735);
				}}}}
				{
					long BgL_iz00_727;

					BgL_iz00_727 = 1L;
				BgL_loopz00_728:
					if ((BgL_iz00_727 == (-1L)))
						{	/* Module/wasm.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/wasm.scm 15 */
							{	/* Module/wasm.scm 15 */
								obj_t BgL_arg1252z00_729;

								{	/* Module/wasm.scm 15 */

									{	/* Module/wasm.scm 15 */
										obj_t BgL_locationz00_731;

										BgL_locationz00_731 = BBOOL(((bool_t) 0));
										{	/* Module/wasm.scm 15 */

											BgL_arg1252z00_729 =
												BGl_readz00zz__readerz00(BgL_cportz00_726,
												BgL_locationz00_731);
										}
									}
								}
								{	/* Module/wasm.scm 15 */
									int BgL_tmpz00_775;

									BgL_tmpz00_775 = (int) (BgL_iz00_727);
									CNST_TABLE_SET(BgL_tmpz00_775, BgL_arg1252z00_729);
							}}
							{	/* Module/wasm.scm 15 */
								int BgL_auxz00_732;

								BgL_auxz00_732 = (int) ((BgL_iz00_727 - 1L));
								{
									long BgL_iz00_780;

									BgL_iz00_780 = (long) (BgL_auxz00_732);
									BgL_iz00_727 = BgL_iz00_780;
									goto BgL_loopz00_728;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			return (BGl_za2wasmzd2externza2zd2zzmodule_wasmz00 = BNIL, BUNSPEC);
		}

	}



/* make-wasm-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2wasmzd2compilerz00zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 38 */
			{	/* Module/wasm.scm 39 */
				BgL_ccompz00_bglt BgL_new1067z00_595;

				{	/* Module/wasm.scm 40 */
					BgL_ccompz00_bglt BgL_new1066z00_599;

					BgL_new1066z00_599 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/wasm.scm 40 */
						long BgL_arg1131z00_600;

						BgL_arg1131z00_600 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1066z00_599), BgL_arg1131z00_600);
					}
					BgL_new1067z00_595 = BgL_new1066z00_599;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1067z00_595))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1067z00_595))->BgL_producerz00) =
					((obj_t) BGl_wasmzd2producerzd2envz00zzmodule_wasmz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1067z00_595))->BgL_consumerz00) =
					((obj_t) BGl_proc1244z00zzmodule_wasmz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1067z00_595))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_wasmzd2finaliza7erzd2envza7zzmodule_wasmz00), BUNSPEC);
				return ((obj_t) BgL_new1067z00_595);
			}
		}

	}



/* &make-wasm-compiler */
	obj_t BGl_z62makezd2wasmzd2compilerz62zzmodule_wasmz00(obj_t BgL_envz00_718)
	{
		{	/* Module/wasm.scm 38 */
			return BGl_makezd2wasmzd2compilerz00zzmodule_wasmz00();
		}

	}



/* &<@anonymous:1130> */
	obj_t BGl_z62zc3z04anonymousza31130ze3ze5zzmodule_wasmz00(obj_t
		BgL_envz00_719, obj_t BgL_mz00_720, obj_t BgL_cz00_721)
	{
		{	/* Module/wasm.scm 42 */
			return BGl_wasmzd2producerzd2zzmodule_wasmz00(BgL_cz00_721);
		}

	}



/* wasm-producer */
	obj_t BGl_wasmzd2producerzd2zzmodule_wasmz00(obj_t BgL_clausez00_25)
	{
		{	/* Module/wasm.scm 48 */
			{	/* Module/wasm.scm 49 */
				bool_t BgL_test1268z00_796;

				{	/* Module/wasm.scm 49 */
					obj_t BgL_arg1153z00_618;

					{	/* Module/wasm.scm 49 */
						obj_t BgL_arg1156z00_619;

						BgL_arg1156z00_619 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1153z00_618 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1156z00_619)))->
							BgL_foreignzd2clausezd2supportz00);
					}
					BgL_test1268z00_796 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) CNST_TABLE_REF(0)), BgL_arg1153z00_618));
				}
				if (BgL_test1268z00_796)
					{
						obj_t BgL_protosz00_604;

						if (PAIRP(BgL_clausez00_25))
							{	/* Module/wasm.scm 50 */
								obj_t BgL_arg1139z00_609;

								BgL_arg1139z00_609 = CDR(((obj_t) BgL_clausez00_25));
								BgL_protosz00_604 = BgL_arg1139z00_609;
								{
									obj_t BgL_l1096z00_611;

									BgL_l1096z00_611 = BgL_protosz00_604;
								BgL_zc3z04anonymousza31140ze3z87_612:
									if (PAIRP(BgL_l1096z00_611))
										{	/* Module/wasm.scm 52 */
											BGl_wasmzd2parserzd2zzmodule_wasmz00(CAR
												(BgL_l1096z00_611), ((bool_t) 1));
											{
												obj_t BgL_l1096z00_812;

												BgL_l1096z00_812 = CDR(BgL_l1096z00_611);
												BgL_l1096z00_611 = BgL_l1096z00_812;
												goto BgL_zc3z04anonymousza31140ze3z87_612;
											}
										}
									else
										{	/* Module/wasm.scm 52 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/wasm.scm 50 */
								{	/* Module/wasm.scm 55 */
									obj_t BgL_list1146z00_617;

									BgL_list1146z00_617 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string1245z00zzmodule_wasmz00,
										BGl_string1246z00zzmodule_wasmz00, BgL_clausez00_25,
										BgL_list1146z00_617);
								}
							}
					}
				else
					{	/* Module/wasm.scm 49 */
						return BNIL;
					}
			}
		}

	}



/* &wasm-producer */
	obj_t BGl_z62wasmzd2producerzb0zzmodule_wasmz00(obj_t BgL_envz00_722,
		obj_t BgL_clausez00_723)
	{
		{	/* Module/wasm.scm 48 */
			return BGl_wasmzd2producerzd2zzmodule_wasmz00(BgL_clausez00_723);
		}

	}



/* wasm-parser */
	obj_t BGl_wasmzd2parserzd2zzmodule_wasmz00(obj_t BgL_wasmz00_26,
		bool_t BgL_exportpz00_27)
	{
		{	/* Module/wasm.scm 61 */
			{
				obj_t BgL_idz00_620;
				obj_t BgL_namez00_621;
				obj_t BgL_depsz00_622;

				if (PAIRP(BgL_wasmz00_26))
					{	/* Module/wasm.scm 63 */
						obj_t BgL_carzd2376zd2_627;
						obj_t BgL_cdrzd2377zd2_628;

						BgL_carzd2376zd2_627 = CAR(((obj_t) BgL_wasmz00_26));
						BgL_cdrzd2377zd2_628 = CDR(((obj_t) BgL_wasmz00_26));
						if (SYMBOLP(BgL_carzd2376zd2_627))
							{	/* Module/wasm.scm 63 */
								if (PAIRP(BgL_cdrzd2377zd2_628))
									{	/* Module/wasm.scm 63 */
										obj_t BgL_carzd2383zd2_631;

										BgL_carzd2383zd2_631 = CAR(BgL_cdrzd2377zd2_628);
										if (STRINGP(BgL_carzd2383zd2_631))
											{	/* Module/wasm.scm 63 */
												BgL_idz00_620 = BgL_carzd2376zd2_627;
												BgL_namez00_621 = BgL_carzd2383zd2_631;
												BgL_depsz00_622 = CDR(BgL_cdrzd2377zd2_628);
												{	/* Module/wasm.scm 65 */
													obj_t BgL_arg1172z00_634;

													{	/* Module/wasm.scm 65 */
														obj_t BgL_v1098z00_635;

														BgL_v1098z00_635 = create_vector(3L);
														VECTOR_SET(BgL_v1098z00_635, 0L, BgL_idz00_620);
														VECTOR_SET(BgL_v1098z00_635, 1L, BgL_namez00_621);
														VECTOR_SET(BgL_v1098z00_635, 2L, BgL_depsz00_622);
														BgL_arg1172z00_634 = BgL_v1098z00_635;
													}
													return (BGl_za2wasmzd2externza2zd2zzmodule_wasmz00 =
														MAKE_YOUNG_PAIR(BgL_arg1172z00_634,
															BGl_za2wasmzd2externza2zd2zzmodule_wasmz00),
														BUNSPEC);
												}
											}
										else
											{	/* Module/wasm.scm 63 */
											BgL_tagzd2368zd2_624:
												{	/* Module/wasm.scm 67 */
													obj_t BgL_list1173z00_636;

													BgL_list1173z00_636 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1245z00zzmodule_wasmz00,
														BGl_string1247z00zzmodule_wasmz00, BgL_wasmz00_26,
														BgL_list1173z00_636);
												}
											}
									}
								else
									{	/* Module/wasm.scm 63 */
										goto BgL_tagzd2368zd2_624;
									}
							}
						else
							{	/* Module/wasm.scm 63 */
								goto BgL_tagzd2368zd2_624;
							}
					}
				else
					{	/* Module/wasm.scm 63 */
						goto BgL_tagzd2368zd2_624;
					}
			}
		}

	}



/* &wasm-finalizer */
	obj_t BGl_z62wasmzd2finaliza7erz17zzmodule_wasmz00(obj_t BgL_envz00_724)
	{
		{	/* Module/wasm.scm 77 */
			{	/* Module/wasm.scm 78 */
				bool_t BgL_tmpz00_838;

				{
					obj_t BgL_l1099z00_738;

					BgL_l1099z00_738 = BGl_za2wasmzd2externza2zd2zzmodule_wasmz00;
				BgL_zc3z04anonymousza31174ze3z87_737:
					if (PAIRP(BgL_l1099z00_738))
						{	/* Module/wasm.scm 78 */
							{	/* Module/wasm.scm 79 */
								obj_t BgL_wz00_739;

								BgL_wz00_739 = CAR(BgL_l1099z00_738);
								{	/* Module/wasm.scm 79 */
									obj_t BgL_idz00_740;
									obj_t BgL_namez00_741;
									obj_t BgL_depsz00_742;

									BgL_idz00_740 = VECTOR_REF(((obj_t) BgL_wz00_739), 0L);
									BgL_namez00_741 = VECTOR_REF(((obj_t) BgL_wz00_739), 1L);
									BgL_depsz00_742 = VECTOR_REF(((obj_t) BgL_wz00_739), 2L);
									{	/* Module/wasm.scm 82 */
										obj_t BgL_gz00_743;

										BgL_gz00_743 =
											BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_740,
											((obj_t) CNST_TABLE_REF(1)));
										if (CBOOL(BgL_gz00_743))
											{	/* Module/wasm.scm 83 */
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_743)))->
														BgL_qualifiedzd2typezd2namez00) =
													((obj_t) ((obj_t) BgL_namez00_741)), BUNSPEC);
												{	/* Module/wasm.scm 87 */
													obj_t BgL_arg1177z00_744;

													{	/* Module/wasm.scm 87 */
														obj_t BgL_arg1178z00_745;
														obj_t BgL_arg1179z00_746;

														BgL_arg1178z00_745 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(0)), BgL_depsz00_742);
														BgL_arg1179z00_746 =
															(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_743)))->
															BgL_pragmaz00);
														BgL_arg1177z00_744 =
															MAKE_YOUNG_PAIR(BgL_arg1178z00_745,
															BgL_arg1179z00_746);
													}
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_743)))->
															BgL_pragmaz00) =
														((obj_t) BgL_arg1177z00_744), BUNSPEC);
												}
											}
										else
											{	/* Module/wasm.scm 83 */
												BGl_errorz00zz__errorz00
													(BGl_string1248z00zzmodule_wasmz00,
													BGl_string1249z00zzmodule_wasmz00, BgL_idz00_740);
											}
									}
								}
							}
							{
								obj_t BgL_l1099z00_865;

								BgL_l1099z00_865 = CDR(BgL_l1099z00_738);
								BgL_l1099z00_738 = BgL_l1099z00_865;
								goto BgL_zc3z04anonymousza31174ze3z87_737;
							}
						}
					else
						{	/* Module/wasm.scm 78 */
							BgL_tmpz00_838 = ((bool_t) 1);
						}
				}
				return BBOOL(BgL_tmpz00_838);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_wasmz00(void)
	{
		{	/* Module/wasm.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(457474182L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1250z00zzmodule_wasmz00));
		}

	}

#ifdef __cplusplus
}
#endif
