/*===========================================================================*/
/*   (Object/coercion.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/coercion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_COERCION_TYPE_DEFINITIONS
#define BGL_OBJECT_COERCION_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


#endif													// BGL_OBJECT_COERCION_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzobject_coercionz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_coercionz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_coercionz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_coercionz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_coercionz00(void);
	static obj_t BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_coercionz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_coercionz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t, obj_t);
	static bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t,
		obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_STRING(BGl_string1557z00zzobject_coercionz00,
		BgL_bgl_string1557za700za7za7o1575za7, "obj_t", 5);
	      DEFINE_STRING(BGl_string1558z00zzobject_coercionz00,
		BgL_bgl_string1558za700za7za7o1576za7, "(", 1);
	      DEFINE_STRING(BGl_string1559z00zzobject_coercionz00,
		BgL_bgl_string1559za700za7za7o1577za7, ")", 1);
	      DEFINE_STRING(BGl_string1560z00zzobject_coercionz00,
		BgL_bgl_string1560za700za7za7o1578za7, "object_coercion", 15);
	      DEFINE_STRING(BGl_string1561z00zzobject_coercionz00,
		BgL_bgl_string1561za700za7za7o1579za7,
		"macro cond-expand bigloo-c pragma nesting args-safe side-effect-free no-cfa-top effect -> foreign type bool coerce @ isa? __object instanceof o lambda obj cast x ",
		162);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercionsz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d1580za7,
		BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2coercionzd2clausez12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2coercio1581z00, va_generic_entry,
		BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00, BUNSPEC, -4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2coercersz12zd2envzc0zzobject_coercionz00,
		BgL_bgl_za762genza7d2classza7d1582za7,
		BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2javazd2classzd2coercionsz12zd2envz12zzobject_coercionz00,
		BgL_bgl_za762genza7d2javaza7d21583za7,
		BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_coercionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_coercionz00(long
		BgL_checksumz00_1423, char *BgL_fromz00_1424)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_coercionz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_coercionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_coercionz00();
					BGl_libraryzd2moduleszd2initz00zzobject_coercionz00();
					BGl_cnstzd2initzd2zzobject_coercionz00();
					BGl_importedzd2moduleszd2initz00zzobject_coercionz00();
					return BGl_methodzd2initzd2zzobject_coercionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_coercion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_coercion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			{	/* Object/coercion.scm 21 */
				obj_t BgL_cportz00_1412;

				{	/* Object/coercion.scm 21 */
					obj_t BgL_stringz00_1419;

					BgL_stringz00_1419 = BGl_string1561z00zzobject_coercionz00;
					{	/* Object/coercion.scm 21 */
						obj_t BgL_startz00_1420;

						BgL_startz00_1420 = BINT(0L);
						{	/* Object/coercion.scm 21 */
							obj_t BgL_endz00_1421;

							BgL_endz00_1421 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1419)));
							{	/* Object/coercion.scm 21 */

								BgL_cportz00_1412 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1419, BgL_startz00_1420, BgL_endz00_1421);
				}}}}
				{
					long BgL_iz00_1413;

					BgL_iz00_1413 = 22L;
				BgL_loopz00_1414:
					if ((BgL_iz00_1413 == (-1L)))
						{	/* Object/coercion.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/coercion.scm 21 */
							{	/* Object/coercion.scm 21 */
								obj_t BgL_arg1574z00_1415;

								{	/* Object/coercion.scm 21 */

									{	/* Object/coercion.scm 21 */
										obj_t BgL_locationz00_1417;

										BgL_locationz00_1417 = BBOOL(((bool_t) 0));
										{	/* Object/coercion.scm 21 */

											BgL_arg1574z00_1415 =
												BGl_readz00zz__readerz00(BgL_cportz00_1412,
												BgL_locationz00_1417);
										}
									}
								}
								{	/* Object/coercion.scm 21 */
									int BgL_tmpz00_1452;

									BgL_tmpz00_1452 = (int) (BgL_iz00_1413);
									CNST_TABLE_SET(BgL_tmpz00_1452, BgL_arg1574z00_1415);
							}}
							{	/* Object/coercion.scm 21 */
								int BgL_auxz00_1418;

								BgL_auxz00_1418 = (int) ((BgL_iz00_1413 - 1L));
								{
									long BgL_iz00_1457;

									BgL_iz00_1457 = (long) (BgL_auxz00_1418);
									BgL_iz00_1413 = BgL_iz00_1457;
									goto BgL_loopz00_1414;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_coercionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_820;

					BgL_headz00_820 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_821;
						obj_t BgL_tailz00_822;

						BgL_prevz00_821 = BgL_headz00_820;
						BgL_tailz00_822 = BgL_l1z00_1;
					BgL_loopz00_823:
						if (PAIRP(BgL_tailz00_822))
							{
								obj_t BgL_newzd2prevzd2_825;

								BgL_newzd2prevzd2_825 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_822), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_821, BgL_newzd2prevzd2_825);
								{
									obj_t BgL_tailz00_1469;
									obj_t BgL_prevz00_1468;

									BgL_prevz00_1468 = BgL_newzd2prevzd2_825;
									BgL_tailz00_1469 = CDR(BgL_tailz00_822);
									BgL_tailz00_822 = BgL_tailz00_1469;
									BgL_prevz00_821 = BgL_prevz00_1468;
									goto BgL_loopz00_823;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_820);
					}
				}
		}

	}



/* gen-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t BgL_classz00_3)
	{
		{	/* Object/coercion.scm 48 */
			{	/* Object/coercion.scm 50 */
				obj_t BgL_arg1129z00_829;
				obj_t BgL_arg1131z00_830;

				BgL_arg1129z00_829 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_classz00_3))))->BgL_idz00);
				{
					BgL_tclassz00_bglt BgL_auxz00_1475;

					{
						obj_t BgL_auxz00_1476;

						{	/* Object/coercion.scm 50 */
							BgL_objectz00_bglt BgL_tmpz00_1477;

							BgL_tmpz00_1477 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_3));
							BgL_auxz00_1476 = BGL_OBJECT_WIDENING(BgL_tmpz00_1477);
						}
						BgL_auxz00_1475 = ((BgL_tclassz00_bglt) BgL_auxz00_1476);
					}
					BgL_arg1131z00_830 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1475))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 74 */
					obj_t BgL_arg1146z00_1090;

					BgL_arg1146z00_1090 =
						BGl_makezd2coercionzd2clausez00zzobject_coercionz00(
						((BgL_typez00_bglt) BgL_classz00_3), BgL_arg1129z00_829,
						BgL_arg1131z00_830, BNIL);
					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
						(BgL_arg1146z00_1090);
				}
			}
			{	/* Object/coercion.scm 51 */
				obj_t BgL_arg1134z00_832;

				{
					BgL_tclassz00_bglt BgL_auxz00_1486;

					{
						obj_t BgL_auxz00_1487;

						{	/* Object/coercion.scm 51 */
							BgL_objectz00_bglt BgL_tmpz00_1488;

							BgL_tmpz00_1488 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_3));
							BgL_auxz00_1487 = BGL_OBJECT_WIDENING(BgL_tmpz00_1488);
						}
						BgL_auxz00_1486 = ((BgL_tclassz00_bglt) BgL_auxz00_1487);
					}
					BgL_arg1134z00_832 =
						(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_1486))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 128 */
					bool_t BgL_test1589z00_1494;

					{	/* Object/coercion.scm 128 */
						obj_t BgL_arg1311z00_1093;

						BgL_arg1311z00_1093 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_test1589z00_1494 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1311z00_1093)))->
							BgL_pragmazd2supportzd2);
					}
					if (BgL_test1589z00_1494)
						{	/* Object/coercion.scm 128 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_3, BgL_arg1134z00_832));
						}
					else
						{	/* Object/coercion.scm 128 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &gen-class-coercions! */
	obj_t BGl_z62genzd2classzd2coercionsz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1400, obj_t BgL_classz00_1401)
	{
		{	/* Object/coercion.scm 48 */
			return
				BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
				(BgL_classz00_1401);
		}

	}



/* gen-java-class-coercions! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_4)
	{
		{	/* Object/coercion.scm 56 */
			{	/* Object/coercion.scm 58 */
				obj_t BgL_arg1135z00_834;
				obj_t BgL_arg1139z00_835;

				BgL_arg1135z00_834 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_classz00_4))))->BgL_idz00);
				{
					BgL_jclassz00_bglt BgL_auxz00_1504;

					{
						obj_t BgL_auxz00_1505;

						{	/* Object/coercion.scm 58 */
							BgL_objectz00_bglt BgL_tmpz00_1506;

							BgL_tmpz00_1506 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_4));
							BgL_auxz00_1505 = BGL_OBJECT_WIDENING(BgL_tmpz00_1506);
						}
						BgL_auxz00_1504 = ((BgL_jclassz00_bglt) BgL_auxz00_1505);
					}
					BgL_arg1139z00_835 =
						(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_1504))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 74 */
					obj_t BgL_arg1146z00_1098;

					BgL_arg1146z00_1098 =
						BGl_makezd2coercionzd2clausez00zzobject_coercionz00(
						((BgL_typez00_bglt) BgL_classz00_4), BgL_arg1135z00_834,
						BgL_arg1139z00_835, BNIL);
					BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
						(BgL_arg1146z00_1098);
				}
			}
			{	/* Object/coercion.scm 59 */
				obj_t BgL_arg1145z00_837;

				{
					BgL_jclassz00_bglt BgL_auxz00_1515;

					{
						obj_t BgL_auxz00_1516;

						{	/* Object/coercion.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_1517;

							BgL_tmpz00_1517 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_4));
							BgL_auxz00_1516 = BGL_OBJECT_WIDENING(BgL_tmpz00_1517);
						}
						BgL_auxz00_1515 = ((BgL_jclassz00_bglt) BgL_auxz00_1516);
					}
					BgL_arg1145z00_837 =
						(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_1515))->
						BgL_itszd2superzd2);
				}
				{	/* Object/coercion.scm 128 */
					bool_t BgL_test1590z00_1523;

					{	/* Object/coercion.scm 128 */
						obj_t BgL_arg1311z00_1101;

						BgL_arg1311z00_1101 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_test1590z00_1523 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1311z00_1101)))->
							BgL_pragmazd2supportzd2);
					}
					if (BgL_test1590z00_1523)
						{	/* Object/coercion.scm 128 */
							return
								BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
								(BgL_classz00_4, BgL_arg1145z00_837));
						}
					else
						{	/* Object/coercion.scm 128 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &gen-java-class-coercions! */
	obj_t BGl_z62genzd2javazd2classzd2coercionsz12za2zzobject_coercionz00(obj_t
		BgL_envz00_1402, obj_t BgL_classz00_1403)
	{
		{	/* Object/coercion.scm 56 */
			return
				BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00
				(BgL_classz00_1403);
		}

	}



/* gen-coercion-clause! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(BgL_typez00_bglt
		BgL_classz00_5, obj_t BgL_czd2idzd2_6, obj_t BgL_superz00_7,
		obj_t BgL_testingz00_8)
	{
		{	/* Object/coercion.scm 72 */
			return
				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
				(BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_classz00_5,
					BgL_czd2idzd2_6, BgL_superz00_7, BgL_testingz00_8));
		}

	}



/* &gen-coercion-clause! */
	obj_t BGl_z62genzd2coercionzd2clausez12z70zzobject_coercionz00(obj_t
		BgL_envz00_1404, obj_t BgL_classz00_1405, obj_t BgL_czd2idzd2_1406,
		obj_t BgL_superz00_1407, obj_t BgL_testingz00_1408)
	{
		{	/* Object/coercion.scm 72 */
			return
				BGl_genzd2coercionzd2clausez12z12zzobject_coercionz00(
				((BgL_typez00_bglt) BgL_classz00_1405), BgL_czd2idzd2_1406,
				BgL_superz00_1407, BgL_testingz00_1408);
		}

	}



/* make-coercion-clause */
	obj_t BGl_makezd2coercionzd2clausez00zzobject_coercionz00(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_czd2idzd2_10, obj_t BgL_superz00_11,
		obj_t BgL_testingz00_12)
	{
		{	/* Object/coercion.scm 79 */
			{	/* Object/coercion.scm 80 */
				obj_t BgL_classzd2ze3objz31_839;

				{	/* Object/coercion.scm 80 */
					obj_t BgL_arg1301z00_931;

					{	/* Object/coercion.scm 80 */
						obj_t BgL_arg1302z00_932;
						obj_t BgL_arg1303z00_933;

						BgL_arg1302z00_932 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
						{	/* Object/coercion.scm 81 */
							obj_t BgL_arg1304z00_934;

							{	/* Object/coercion.scm 81 */
								obj_t BgL_list1305z00_935;

								BgL_list1305z00_935 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
								BgL_arg1304z00_934 =
									BGl_makezd2privatezd2sexpz00zzast_privatez00(
									((obj_t)
										CNST_TABLE_REF(1)),
									((obj_t) CNST_TABLE_REF(2)), BgL_list1305z00_935);
							}
							BgL_arg1303z00_933 = MAKE_YOUNG_PAIR(BgL_arg1304z00_934, BNIL);
						}
						BgL_arg1301z00_931 =
							MAKE_YOUNG_PAIR(BgL_arg1302z00_932, BgL_arg1303z00_933);
					}
					BgL_classzd2ze3objz31_839 =
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BgL_arg1301z00_931);
				}
				{	/* Object/coercion.scm 80 */
					obj_t BgL_objzd2ze3classz31_840;

					{	/* Object/coercion.scm 82 */
						obj_t BgL_arg1296z00_926;

						{	/* Object/coercion.scm 82 */
							obj_t BgL_arg1297z00_927;
							obj_t BgL_arg1298z00_928;

							BgL_arg1297z00_927 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
							{	/* Object/coercion.scm 83 */
								obj_t BgL_arg1299z00_929;

								{	/* Object/coercion.scm 83 */
									obj_t BgL_list1300z00_930;

									BgL_list1300z00_930 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
									BgL_arg1299z00_929 =
										BGl_makezd2privatezd2sexpz00zzast_privatez00(
										((obj_t)
											CNST_TABLE_REF(1)), BgL_czd2idzd2_10,
										BgL_list1300z00_930);
								}
								BgL_arg1298z00_928 = MAKE_YOUNG_PAIR(BgL_arg1299z00_929, BNIL);
							}
							BgL_arg1296z00_926 =
								MAKE_YOUNG_PAIR(BgL_arg1297z00_927, BgL_arg1298z00_928);
						}
						BgL_objzd2ze3classz31_840 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(3)), BgL_arg1296z00_926);
					}
					{	/* Object/coercion.scm 82 */
						obj_t BgL_ttestz00_841;

						if (NULLP(BgL_testingz00_12))
							{	/* Object/coercion.scm 85 */
								obj_t BgL_oz00_908;

								BgL_oz00_908 =
									BGl_gensymz00zz__r4_symbols_6_4z00(
									((obj_t) CNST_TABLE_REF(4)));
								{	/* Object/coercion.scm 86 */
									bool_t BgL_test1592z00_1569;

									{	/* Object/coercion.scm 86 */
										obj_t BgL_classz00_1104;

										BgL_classz00_1104 = BGl_jclassz00zzobject_classz00;
										{	/* Object/coercion.scm 86 */
											BgL_objectz00_bglt BgL_arg1858z00_1106;

											{	/* Object/coercion.scm 86 */
												obj_t BgL_tmpz00_1570;

												BgL_tmpz00_1570 =
													((obj_t) ((BgL_objectz00_bglt) BgL_classz00_9));
												BgL_arg1858z00_1106 =
													(BgL_objectz00_bglt) (BgL_tmpz00_1570);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Object/coercion.scm 86 */
													long BgL_idxz00_1112;

													BgL_idxz00_1112 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1106);
													BgL_test1592z00_1569 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1112 + 2L)) == BgL_classz00_1104);
												}
											else
												{	/* Object/coercion.scm 86 */
													bool_t BgL_res1546z00_1137;

													{	/* Object/coercion.scm 86 */
														obj_t BgL_oclassz00_1120;

														{	/* Object/coercion.scm 86 */
															obj_t BgL_arg1866z00_1128;
															long BgL_arg1867z00_1129;

															BgL_arg1866z00_1128 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Object/coercion.scm 86 */
																long BgL_arg1869z00_1130;

																BgL_arg1869z00_1130 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1106);
																BgL_arg1867z00_1129 =
																	(BgL_arg1869z00_1130 - OBJECT_TYPE);
															}
															BgL_oclassz00_1120 =
																VECTOR_REF(BgL_arg1866z00_1128,
																BgL_arg1867z00_1129);
														}
														{	/* Object/coercion.scm 86 */
															bool_t BgL__ortest_1115z00_1121;

															BgL__ortest_1115z00_1121 =
																(BgL_classz00_1104 == BgL_oclassz00_1120);
															if (BgL__ortest_1115z00_1121)
																{	/* Object/coercion.scm 86 */
																	BgL_res1546z00_1137 =
																		BgL__ortest_1115z00_1121;
																}
															else
																{	/* Object/coercion.scm 86 */
																	long BgL_odepthz00_1122;

																	{	/* Object/coercion.scm 86 */
																		obj_t BgL_arg1855z00_1123;

																		BgL_arg1855z00_1123 = (BgL_oclassz00_1120);
																		BgL_odepthz00_1122 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1123);
																	}
																	if ((2L < BgL_odepthz00_1122))
																		{	/* Object/coercion.scm 86 */
																			obj_t BgL_arg1853z00_1125;

																			{	/* Object/coercion.scm 86 */
																				obj_t BgL_arg1854z00_1126;

																				BgL_arg1854z00_1126 =
																					(BgL_oclassz00_1120);
																				BgL_arg1853z00_1125 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1126, 2L);
																			}
																			BgL_res1546z00_1137 =
																				(BgL_arg1853z00_1125 ==
																				BgL_classz00_1104);
																		}
																	else
																		{	/* Object/coercion.scm 86 */
																			BgL_res1546z00_1137 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1592z00_1569 = BgL_res1546z00_1137;
												}
										}
									}
									if (BgL_test1592z00_1569)
										{	/* Object/coercion.scm 87 */
											obj_t BgL_arg1277z00_910;

											{	/* Object/coercion.scm 87 */
												obj_t BgL_arg1279z00_911;

												{	/* Object/coercion.scm 87 */
													obj_t BgL_arg1280z00_912;
													obj_t BgL_arg1281z00_913;

													BgL_arg1280z00_912 =
														MAKE_YOUNG_PAIR(BgL_oz00_908, BNIL);
													{	/* Object/coercion.scm 88 */
														obj_t BgL_arg1282z00_914;

														{	/* Object/coercion.scm 88 */
															obj_t BgL_list1283z00_915;

															BgL_list1283z00_915 =
																MAKE_YOUNG_PAIR(BgL_oz00_908, BNIL);
															BgL_arg1282z00_914 =
																BGl_makezd2privatezd2sexpz00zzast_privatez00(
																((obj_t)
																	CNST_TABLE_REF(5)), BgL_czd2idzd2_10,
																BgL_list1283z00_915);
														}
														BgL_arg1281z00_913 =
															MAKE_YOUNG_PAIR(BgL_arg1282z00_914, BNIL);
													}
													BgL_arg1279z00_911 =
														MAKE_YOUNG_PAIR(BgL_arg1280z00_912,
														BgL_arg1281z00_913);
												}
												BgL_arg1277z00_910 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(3)), BgL_arg1279z00_911);
											}
											BgL_ttestz00_841 =
												MAKE_YOUNG_PAIR(BgL_arg1277z00_910, BNIL);
										}
									else
										{	/* Object/coercion.scm 89 */
											obj_t BgL_arg1284z00_916;

											{	/* Object/coercion.scm 89 */
												obj_t BgL_arg1285z00_917;

												{	/* Object/coercion.scm 89 */
													obj_t BgL_arg1287z00_918;
													obj_t BgL_arg1288z00_919;

													BgL_arg1287z00_918 =
														MAKE_YOUNG_PAIR(BgL_oz00_908, BNIL);
													{	/* Object/coercion.scm 90 */
														obj_t BgL_arg1289z00_920;

														{	/* Object/coercion.scm 90 */
															obj_t BgL_arg1291z00_921;
															obj_t BgL_arg1292z00_922;

															{	/* Object/coercion.scm 90 */
																obj_t BgL_arg1293z00_923;

																{	/* Object/coercion.scm 90 */
																	obj_t BgL_arg1294z00_924;

																	BgL_arg1294z00_924 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) CNST_TABLE_REF(6)), BNIL);
																	BgL_arg1293z00_923 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(7)), BgL_arg1294z00_924);
																}
																BgL_arg1291z00_921 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(8)), BgL_arg1293z00_923);
															}
															{	/* Object/coercion.scm 90 */
																obj_t BgL_arg1295z00_925;

																BgL_arg1295z00_925 =
																	MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BNIL);
																BgL_arg1292z00_922 =
																	MAKE_YOUNG_PAIR(BgL_oz00_908,
																	BgL_arg1295z00_925);
															}
															BgL_arg1289z00_920 =
																MAKE_YOUNG_PAIR(BgL_arg1291z00_921,
																BgL_arg1292z00_922);
														}
														BgL_arg1288z00_919 =
															MAKE_YOUNG_PAIR(BgL_arg1289z00_920, BNIL);
													}
													BgL_arg1285z00_917 =
														MAKE_YOUNG_PAIR(BgL_arg1287z00_918,
														BgL_arg1288z00_919);
												}
												BgL_arg1284z00_916 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(3)), BgL_arg1285z00_917);
											}
											BgL_ttestz00_841 =
												MAKE_YOUNG_PAIR(BgL_arg1284z00_916, BNIL);
										}
								}
							}
						else
							{	/* Object/coercion.scm 84 */
								BgL_ttestz00_841 = BNIL;
							}
						{	/* Object/coercion.scm 84 */
							obj_t BgL_xz00_842;

							BgL_xz00_842 =
								BGl_makezd2typedzd2identz00zzast_identz00(
								((obj_t) CNST_TABLE_REF(0)), BgL_czd2idzd2_10);
							{	/* Object/coercion.scm 92 */

								{	/* Object/coercion.scm 93 */
									obj_t BgL_g1072z00_843;

									{	/* Object/coercion.scm 94 */
										obj_t BgL_arg1240z00_882;
										obj_t BgL_arg1241z00_883;
										obj_t BgL_arg1242z00_884;

										{	/* Object/coercion.scm 94 */
											obj_t BgL_arg1246z00_888;

											{	/* Object/coercion.scm 94 */
												obj_t BgL_arg1247z00_889;

												{	/* Object/coercion.scm 94 */
													obj_t BgL_arg1249z00_890;

													{	/* Object/coercion.scm 94 */
														obj_t BgL_arg1250z00_891;

														{	/* Object/coercion.scm 94 */
															obj_t BgL_arg1252z00_892;

															BgL_arg1252z00_892 =
																MAKE_YOUNG_PAIR(BgL_objzd2ze3classz31_840,
																BNIL);
															BgL_arg1250z00_891 =
																MAKE_YOUNG_PAIR(BgL_arg1252z00_892, BNIL);
														}
														BgL_arg1249z00_890 =
															MAKE_YOUNG_PAIR(BgL_ttestz00_841,
															BgL_arg1250z00_891);
													}
													BgL_arg1247z00_889 =
														MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
														BgL_arg1249z00_890);
												}
												BgL_arg1246z00_888 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(2)), BgL_arg1247z00_889);
											}
											BgL_arg1240z00_882 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(9)), BgL_arg1246z00_888);
										}
										{	/* Object/coercion.scm 95 */
											obj_t BgL_arg1253z00_893;

											{	/* Object/coercion.scm 95 */
												obj_t BgL_arg1254z00_894;

												{	/* Object/coercion.scm 95 */
													obj_t BgL_arg1255z00_895;

													{	/* Object/coercion.scm 95 */
														obj_t BgL_arg1256z00_896;

														{	/* Object/coercion.scm 95 */
															obj_t BgL_arg1258z00_897;

															BgL_arg1258z00_897 =
																MAKE_YOUNG_PAIR(BgL_classzd2ze3objz31_839,
																BNIL);
															BgL_arg1256z00_896 =
																MAKE_YOUNG_PAIR(BgL_arg1258z00_897, BNIL);
														}
														BgL_arg1255z00_895 =
															MAKE_YOUNG_PAIR(BNIL, BgL_arg1256z00_896);
													}
													BgL_arg1254z00_894 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(2)), BgL_arg1255z00_895);
												}
												BgL_arg1253z00_893 =
													MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BgL_arg1254z00_894);
											}
											BgL_arg1241z00_883 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(9)), BgL_arg1253z00_893);
										}
										{	/* Object/coercion.scm 96 */
											obj_t BgL_arg1260z00_898;

											{	/* Object/coercion.scm 96 */
												obj_t BgL_arg1262z00_899;

												{	/* Object/coercion.scm 96 */
													obj_t BgL_arg1266z00_900;

													{	/* Object/coercion.scm 96 */
														obj_t BgL_arg1267z00_901;

														{	/* Object/coercion.scm 96 */
															obj_t BgL_arg1268z00_902;

															{	/* Object/coercion.scm 96 */
																obj_t BgL_arg1271z00_903;

																{	/* Object/coercion.scm 96 */
																	obj_t BgL_arg1272z00_904;

																	{	/* Object/coercion.scm 96 */
																		obj_t BgL_arg1273z00_905;
																		obj_t BgL_arg1274z00_906;

																		BgL_arg1273z00_905 =
																			MAKE_YOUNG_PAIR(BgL_xz00_842, BNIL);
																		BgL_arg1274z00_906 =
																			MAKE_YOUNG_PAIR(BTRUE, BNIL);
																		BgL_arg1272z00_904 =
																			MAKE_YOUNG_PAIR(BgL_arg1273z00_905,
																			BgL_arg1274z00_906);
																	}
																	BgL_arg1271z00_903 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(3)), BgL_arg1272z00_904);
																}
																BgL_arg1268z00_902 =
																	MAKE_YOUNG_PAIR(BgL_arg1271z00_903, BNIL);
															}
															BgL_arg1267z00_901 =
																MAKE_YOUNG_PAIR(BgL_arg1268z00_902, BNIL);
														}
														BgL_arg1266z00_900 =
															MAKE_YOUNG_PAIR(BNIL, BgL_arg1267z00_901);
													}
													BgL_arg1262z00_899 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(10)), BgL_arg1266z00_900);
												}
												BgL_arg1260z00_898 =
													MAKE_YOUNG_PAIR(BgL_czd2idzd2_10, BgL_arg1262z00_899);
											}
											BgL_arg1242z00_884 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(9)), BgL_arg1260z00_898);
										}
										{	/* Object/coercion.scm 94 */
											obj_t BgL_list1243z00_885;

											{	/* Object/coercion.scm 94 */
												obj_t BgL_arg1244z00_886;

												{	/* Object/coercion.scm 94 */
													obj_t BgL_arg1245z00_887;

													BgL_arg1245z00_887 =
														MAKE_YOUNG_PAIR(BgL_arg1242z00_884, BNIL);
													BgL_arg1244z00_886 =
														MAKE_YOUNG_PAIR(BgL_arg1241z00_883,
														BgL_arg1245z00_887);
												}
												BgL_list1243z00_885 =
													MAKE_YOUNG_PAIR(BgL_arg1240z00_882,
													BgL_arg1244z00_886);
											}
											BgL_g1072z00_843 = BgL_list1243z00_885;
										}
									}
									{
										obj_t BgL_superz00_845;
										obj_t BgL_coercerz00_846;

										BgL_superz00_845 = BgL_superz00_11;
										BgL_coercerz00_846 = BgL_g1072z00_843;
									BgL_zc3z04anonymousza31147ze3z87_847:
										{	/* Object/coercion.scm 97 */
											bool_t BgL_test1596z00_1665;

											{	/* Object/coercion.scm 97 */
												bool_t BgL_test1598z00_1666;

												{	/* Object/coercion.scm 97 */
													obj_t BgL_classz00_1139;

													BgL_classz00_1139 = BGl_jclassz00zzobject_classz00;
													if (BGL_OBJECTP(BgL_superz00_845))
														{	/* Object/coercion.scm 97 */
															BgL_objectz00_bglt BgL_arg1858z00_1141;

															BgL_arg1858z00_1141 =
																(BgL_objectz00_bglt) (BgL_superz00_845);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Object/coercion.scm 97 */
																	long BgL_idxz00_1147;

																	BgL_idxz00_1147 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_1141);
																	BgL_test1598z00_1666 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_1147 + 2L)) ==
																		BgL_classz00_1139);
																}
															else
																{	/* Object/coercion.scm 97 */
																	bool_t BgL_res1548z00_1172;

																	{	/* Object/coercion.scm 97 */
																		obj_t BgL_oclassz00_1155;

																		{	/* Object/coercion.scm 97 */
																			obj_t BgL_arg1866z00_1163;
																			long BgL_arg1867z00_1164;

																			BgL_arg1866z00_1163 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Object/coercion.scm 97 */
																				long BgL_arg1869z00_1165;

																				BgL_arg1869z00_1165 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_1141);
																				BgL_arg1867z00_1164 =
																					(BgL_arg1869z00_1165 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_1155 =
																				VECTOR_REF(BgL_arg1866z00_1163,
																				BgL_arg1867z00_1164);
																		}
																		{	/* Object/coercion.scm 97 */
																			bool_t BgL__ortest_1115z00_1156;

																			BgL__ortest_1115z00_1156 =
																				(BgL_classz00_1139 ==
																				BgL_oclassz00_1155);
																			if (BgL__ortest_1115z00_1156)
																				{	/* Object/coercion.scm 97 */
																					BgL_res1548z00_1172 =
																						BgL__ortest_1115z00_1156;
																				}
																			else
																				{	/* Object/coercion.scm 97 */
																					long BgL_odepthz00_1157;

																					{	/* Object/coercion.scm 97 */
																						obj_t BgL_arg1855z00_1158;

																						BgL_arg1855z00_1158 =
																							(BgL_oclassz00_1155);
																						BgL_odepthz00_1157 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_1158);
																					}
																					if ((2L < BgL_odepthz00_1157))
																						{	/* Object/coercion.scm 97 */
																							obj_t BgL_arg1853z00_1160;

																							{	/* Object/coercion.scm 97 */
																								obj_t BgL_arg1854z00_1161;

																								BgL_arg1854z00_1161 =
																									(BgL_oclassz00_1155);
																								BgL_arg1853z00_1160 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_1161, 2L);
																							}
																							BgL_res1548z00_1172 =
																								(BgL_arg1853z00_1160 ==
																								BgL_classz00_1139);
																						}
																					else
																						{	/* Object/coercion.scm 97 */
																							BgL_res1548z00_1172 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test1598z00_1666 = BgL_res1548z00_1172;
																}
														}
													else
														{	/* Object/coercion.scm 97 */
															BgL_test1598z00_1666 = ((bool_t) 0);
														}
												}
												if (BgL_test1598z00_1666)
													{	/* Object/coercion.scm 97 */
														BgL_test1596z00_1665 = ((bool_t) 1);
													}
												else
													{	/* Object/coercion.scm 97 */
														obj_t BgL_classz00_1173;

														BgL_classz00_1173 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_superz00_845))
															{	/* Object/coercion.scm 97 */
																BgL_objectz00_bglt BgL_arg1858z00_1175;

																BgL_arg1858z00_1175 =
																	(BgL_objectz00_bglt) (BgL_superz00_845);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Object/coercion.scm 97 */
																		long BgL_idxz00_1181;

																		BgL_idxz00_1181 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1175);
																		BgL_test1596z00_1665 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1181 + 2L)) ==
																			BgL_classz00_1173);
																	}
																else
																	{	/* Object/coercion.scm 97 */
																		bool_t BgL_res1549z00_1206;

																		{	/* Object/coercion.scm 97 */
																			obj_t BgL_oclassz00_1189;

																			{	/* Object/coercion.scm 97 */
																				obj_t BgL_arg1866z00_1197;
																				long BgL_arg1867z00_1198;

																				BgL_arg1866z00_1197 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Object/coercion.scm 97 */
																					long BgL_arg1869z00_1199;

																					BgL_arg1869z00_1199 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1175);
																					BgL_arg1867z00_1198 =
																						(BgL_arg1869z00_1199 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1189 =
																					VECTOR_REF(BgL_arg1866z00_1197,
																					BgL_arg1867z00_1198);
																			}
																			{	/* Object/coercion.scm 97 */
																				bool_t BgL__ortest_1115z00_1190;

																				BgL__ortest_1115z00_1190 =
																					(BgL_classz00_1173 ==
																					BgL_oclassz00_1189);
																				if (BgL__ortest_1115z00_1190)
																					{	/* Object/coercion.scm 97 */
																						BgL_res1549z00_1206 =
																							BgL__ortest_1115z00_1190;
																					}
																				else
																					{	/* Object/coercion.scm 97 */
																						long BgL_odepthz00_1191;

																						{	/* Object/coercion.scm 97 */
																							obj_t BgL_arg1855z00_1192;

																							BgL_arg1855z00_1192 =
																								(BgL_oclassz00_1189);
																							BgL_odepthz00_1191 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1192);
																						}
																						if ((2L < BgL_odepthz00_1191))
																							{	/* Object/coercion.scm 97 */
																								obj_t BgL_arg1853z00_1194;

																								{	/* Object/coercion.scm 97 */
																									obj_t BgL_arg1854z00_1195;

																									BgL_arg1854z00_1195 =
																										(BgL_oclassz00_1189);
																									BgL_arg1853z00_1194 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1195, 2L);
																								}
																								BgL_res1549z00_1206 =
																									(BgL_arg1853z00_1194 ==
																									BgL_classz00_1173);
																							}
																						else
																							{	/* Object/coercion.scm 97 */
																								BgL_res1549z00_1206 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1596z00_1665 = BgL_res1549z00_1206;
																	}
															}
														else
															{	/* Object/coercion.scm 97 */
																BgL_test1596z00_1665 = ((bool_t) 0);
															}
													}
											}
											if (BgL_test1596z00_1665)
												{	/* Object/coercion.scm 99 */
													obj_t BgL_superzd2idzd2_850;

													{	/* Object/coercion.scm 99 */
														bool_t BgL_test1609z00_1711;

														{	/* Object/coercion.scm 99 */
															obj_t BgL_classz00_1207;

															BgL_classz00_1207 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_superz00_845))
																{	/* Object/coercion.scm 99 */
																	BgL_objectz00_bglt BgL_arg1858z00_1209;

																	BgL_arg1858z00_1209 =
																		(BgL_objectz00_bglt) (BgL_superz00_845);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Object/coercion.scm 99 */
																			long BgL_idxz00_1215;

																			BgL_idxz00_1215 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1209);
																			BgL_test1609z00_1711 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1215 + 2L)) ==
																				BgL_classz00_1207);
																		}
																	else
																		{	/* Object/coercion.scm 99 */
																			bool_t BgL_res1550z00_1240;

																			{	/* Object/coercion.scm 99 */
																				obj_t BgL_oclassz00_1223;

																				{	/* Object/coercion.scm 99 */
																					obj_t BgL_arg1866z00_1231;
																					long BgL_arg1867z00_1232;

																					BgL_arg1866z00_1231 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Object/coercion.scm 99 */
																						long BgL_arg1869z00_1233;

																						BgL_arg1869z00_1233 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1209);
																						BgL_arg1867z00_1232 =
																							(BgL_arg1869z00_1233 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1223 =
																						VECTOR_REF(BgL_arg1866z00_1231,
																						BgL_arg1867z00_1232);
																				}
																				{	/* Object/coercion.scm 99 */
																					bool_t BgL__ortest_1115z00_1224;

																					BgL__ortest_1115z00_1224 =
																						(BgL_classz00_1207 ==
																						BgL_oclassz00_1223);
																					if (BgL__ortest_1115z00_1224)
																						{	/* Object/coercion.scm 99 */
																							BgL_res1550z00_1240 =
																								BgL__ortest_1115z00_1224;
																						}
																					else
																						{	/* Object/coercion.scm 99 */
																							long BgL_odepthz00_1225;

																							{	/* Object/coercion.scm 99 */
																								obj_t BgL_arg1855z00_1226;

																								BgL_arg1855z00_1226 =
																									(BgL_oclassz00_1223);
																								BgL_odepthz00_1225 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_1226);
																							}
																							if ((2L < BgL_odepthz00_1225))
																								{	/* Object/coercion.scm 99 */
																									obj_t BgL_arg1853z00_1228;

																									{	/* Object/coercion.scm 99 */
																										obj_t BgL_arg1854z00_1229;

																										BgL_arg1854z00_1229 =
																											(BgL_oclassz00_1223);
																										BgL_arg1853z00_1228 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_1229, 2L);
																									}
																									BgL_res1550z00_1240 =
																										(BgL_arg1853z00_1228 ==
																										BgL_classz00_1207);
																								}
																							else
																								{	/* Object/coercion.scm 99 */
																									BgL_res1550z00_1240 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1609z00_1711 =
																				BgL_res1550z00_1240;
																		}
																}
															else
																{	/* Object/coercion.scm 99 */
																	BgL_test1609z00_1711 = ((bool_t) 0);
																}
														}
														if (BgL_test1609z00_1711)
															{	/* Object/coercion.scm 99 */
																BgL_superzd2idzd2_850 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt)
																				((BgL_typez00_bglt)
																					BgL_superz00_845))))->BgL_idz00);
															}
														else
															{	/* Object/coercion.scm 99 */
																BgL_superzd2idzd2_850 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt)
																				((BgL_typez00_bglt)
																					BgL_superz00_845))))->BgL_idz00);
															}
													}
													{	/* Object/coercion.scm 99 */
														obj_t BgL_classzd2ze3superz31_851;

														{	/* Object/coercion.scm 102 */
															obj_t BgL_arg1226z00_874;

															{	/* Object/coercion.scm 102 */
																obj_t BgL_arg1235z00_875;
																obj_t BgL_arg1236z00_876;

																BgL_arg1235z00_875 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) CNST_TABLE_REF(0)), BNIL);
																{	/* Object/coercion.scm 103 */
																	obj_t BgL_arg1237z00_877;

																	{	/* Object/coercion.scm 103 */
																		obj_t BgL_list1238z00_878;

																		BgL_list1238z00_878 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) CNST_TABLE_REF(0)), BNIL);
																		BgL_arg1237z00_877 =
																			BGl_makezd2privatezd2sexpz00zzast_privatez00
																			(((obj_t) CNST_TABLE_REF(1)),
																			BgL_superzd2idzd2_850,
																			BgL_list1238z00_878);
																	}
																	BgL_arg1236z00_876 =
																		MAKE_YOUNG_PAIR(BgL_arg1237z00_877, BNIL);
																}
																BgL_arg1226z00_874 =
																	MAKE_YOUNG_PAIR(BgL_arg1235z00_875,
																	BgL_arg1236z00_876);
															}
															BgL_classzd2ze3superz31_851 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(3)), BgL_arg1226z00_874);
														}
														{	/* Object/coercion.scm 102 */
															obj_t BgL_superzd2ze3classz31_852;

															{	/* Object/coercion.scm 104 */
																obj_t BgL_arg1195z00_869;

																{	/* Object/coercion.scm 104 */
																	obj_t BgL_arg1207z00_870;
																	obj_t BgL_arg1208z00_871;

																	BgL_arg1207z00_870 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) CNST_TABLE_REF(0)), BNIL);
																	{	/* Object/coercion.scm 105 */
																		obj_t BgL_arg1212z00_872;

																		{	/* Object/coercion.scm 105 */
																			obj_t BgL_list1213z00_873;

																			BgL_list1213z00_873 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) CNST_TABLE_REF(0)), BNIL);
																			BgL_arg1212z00_872 =
																				BGl_makezd2privatezd2sexpz00zzast_privatez00
																				(((obj_t) CNST_TABLE_REF(1)),
																				BgL_czd2idzd2_10, BgL_list1213z00_873);
																		}
																		BgL_arg1208z00_871 =
																			MAKE_YOUNG_PAIR(BgL_arg1212z00_872, BNIL);
																	}
																	BgL_arg1195z00_869 =
																		MAKE_YOUNG_PAIR(BgL_arg1207z00_870,
																		BgL_arg1208z00_871);
																}
																BgL_superzd2ze3classz31_852 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(3)), BgL_arg1195z00_869);
															}
															{	/* Object/coercion.scm 104 */

																{	/* Object/coercion.scm 106 */
																	obj_t BgL_arg1153z00_853;
																	obj_t BgL_arg1156z00_854;

																	{	/* Object/coercion.scm 106 */
																		bool_t BgL_test1616z00_1768;

																		{	/* Object/coercion.scm 106 */
																			obj_t BgL_classz00_1243;

																			BgL_classz00_1243 =
																				BGl_tclassz00zzobject_classz00;
																			if (BGL_OBJECTP(BgL_superz00_845))
																				{	/* Object/coercion.scm 106 */
																					BgL_objectz00_bglt
																						BgL_arg1858z00_1245;
																					BgL_arg1858z00_1245 =
																						(BgL_objectz00_bglt)
																						(BgL_superz00_845);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Object/coercion.scm 106 */
																							long BgL_idxz00_1251;

																							BgL_idxz00_1251 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1858z00_1245);
																							BgL_test1616z00_1768 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_1251 + 2L)) ==
																								BgL_classz00_1243);
																						}
																					else
																						{	/* Object/coercion.scm 106 */
																							bool_t BgL_res1551z00_1276;

																							{	/* Object/coercion.scm 106 */
																								obj_t BgL_oclassz00_1259;

																								{	/* Object/coercion.scm 106 */
																									obj_t BgL_arg1866z00_1267;
																									long BgL_arg1867z00_1268;

																									BgL_arg1866z00_1267 =
																										(BGl_za2classesza2z00zz__objectz00);
																									{	/* Object/coercion.scm 106 */
																										long BgL_arg1869z00_1269;

																										BgL_arg1869z00_1269 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1858z00_1245);
																										BgL_arg1867z00_1268 =
																											(BgL_arg1869z00_1269 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_1259 =
																										VECTOR_REF
																										(BgL_arg1866z00_1267,
																										BgL_arg1867z00_1268);
																								}
																								{	/* Object/coercion.scm 106 */
																									bool_t
																										BgL__ortest_1115z00_1260;
																									BgL__ortest_1115z00_1260 =
																										(BgL_classz00_1243 ==
																										BgL_oclassz00_1259);
																									if (BgL__ortest_1115z00_1260)
																										{	/* Object/coercion.scm 106 */
																											BgL_res1551z00_1276 =
																												BgL__ortest_1115z00_1260;
																										}
																									else
																										{	/* Object/coercion.scm 106 */
																											long BgL_odepthz00_1261;

																											{	/* Object/coercion.scm 106 */
																												obj_t
																													BgL_arg1855z00_1262;
																												BgL_arg1855z00_1262 =
																													(BgL_oclassz00_1259);
																												BgL_odepthz00_1261 =
																													BGL_CLASS_DEPTH
																													(BgL_arg1855z00_1262);
																											}
																											if (
																												(2L <
																													BgL_odepthz00_1261))
																												{	/* Object/coercion.scm 106 */
																													obj_t
																														BgL_arg1853z00_1264;
																													{	/* Object/coercion.scm 106 */
																														obj_t
																															BgL_arg1854z00_1265;
																														BgL_arg1854z00_1265
																															=
																															(BgL_oclassz00_1259);
																														BgL_arg1853z00_1264
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_arg1854z00_1265,
																															2L);
																													}
																													BgL_res1551z00_1276 =
																														(BgL_arg1853z00_1264
																														==
																														BgL_classz00_1243);
																												}
																											else
																												{	/* Object/coercion.scm 106 */
																													BgL_res1551z00_1276 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test1616z00_1768 =
																								BgL_res1551z00_1276;
																						}
																				}
																			else
																				{	/* Object/coercion.scm 106 */
																					BgL_test1616z00_1768 = ((bool_t) 0);
																				}
																		}
																		if (BgL_test1616z00_1768)
																			{
																				BgL_tclassz00_bglt BgL_auxz00_1791;

																				{
																					obj_t BgL_auxz00_1792;

																					{	/* Object/coercion.scm 107 */
																						BgL_objectz00_bglt BgL_tmpz00_1793;

																						BgL_tmpz00_1793 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_superz00_845));
																						BgL_auxz00_1792 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1793);
																					}
																					BgL_auxz00_1791 =
																						((BgL_tclassz00_bglt)
																						BgL_auxz00_1792);
																				}
																				BgL_arg1153z00_853 =
																					(((BgL_tclassz00_bglt)
																						COBJECT(BgL_auxz00_1791))->
																					BgL_itszd2superzd2);
																			}
																		else
																			{
																				BgL_jclassz00_bglt BgL_auxz00_1799;

																				{
																					obj_t BgL_auxz00_1800;

																					{	/* Object/coercion.scm 108 */
																						BgL_objectz00_bglt BgL_tmpz00_1801;

																						BgL_tmpz00_1801 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_superz00_845));
																						BgL_auxz00_1800 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_1801);
																					}
																					BgL_auxz00_1799 =
																						((BgL_jclassz00_bglt)
																						BgL_auxz00_1800);
																				}
																				BgL_arg1153z00_853 =
																					(((BgL_jclassz00_bglt)
																						COBJECT(BgL_auxz00_1799))->
																					BgL_itszd2superzd2);
																			}
																	}
																	{	/* Object/coercion.scm 109 */
																		obj_t BgL_arg1158z00_856;
																		obj_t BgL_arg1159z00_857;

																		{	/* Object/coercion.scm 109 */
																			obj_t BgL_arg1161z00_858;

																			{	/* Object/coercion.scm 109 */
																				obj_t BgL_arg1172z00_859;

																				{	/* Object/coercion.scm 109 */
																					obj_t BgL_arg1173z00_860;

																					{	/* Object/coercion.scm 109 */
																						obj_t BgL_arg1174z00_861;

																						{	/* Object/coercion.scm 109 */
																							obj_t BgL_arg1177z00_862;

																							BgL_arg1177z00_862 =
																								MAKE_YOUNG_PAIR
																								(BgL_superzd2ze3classz31_852,
																								BNIL);
																							BgL_arg1174z00_861 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1177z00_862, BNIL);
																						}
																						BgL_arg1173z00_860 =
																							MAKE_YOUNG_PAIR(BgL_ttestz00_841,
																							BgL_arg1174z00_861);
																					}
																					BgL_arg1172z00_859 =
																						MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
																						BgL_arg1173z00_860);
																				}
																				BgL_arg1161z00_858 =
																					MAKE_YOUNG_PAIR(BgL_superzd2idzd2_850,
																					BgL_arg1172z00_859);
																			}
																			BgL_arg1158z00_856 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(9)),
																				BgL_arg1161z00_858);
																		}
																		{	/* Object/coercion.scm 110 */
																			obj_t BgL_arg1178z00_863;

																			{	/* Object/coercion.scm 110 */
																				obj_t BgL_arg1179z00_864;

																				{	/* Object/coercion.scm 110 */
																					obj_t BgL_arg1183z00_865;

																					{	/* Object/coercion.scm 110 */
																						obj_t BgL_arg1184z00_866;

																						{	/* Object/coercion.scm 110 */
																							obj_t BgL_arg1187z00_867;

																							{	/* Object/coercion.scm 110 */
																								obj_t BgL_arg1192z00_868;

																								BgL_arg1192z00_868 =
																									MAKE_YOUNG_PAIR
																									(BgL_classzd2ze3superz31_851,
																									BNIL);
																								BgL_arg1187z00_867 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1192z00_868, BNIL);
																							}
																							BgL_arg1184z00_866 =
																								MAKE_YOUNG_PAIR(BNIL,
																								BgL_arg1187z00_867);
																						}
																						BgL_arg1183z00_865 =
																							MAKE_YOUNG_PAIR
																							(BgL_superzd2idzd2_850,
																							BgL_arg1184z00_866);
																					}
																					BgL_arg1179z00_864 =
																						MAKE_YOUNG_PAIR(BgL_czd2idzd2_10,
																						BgL_arg1183z00_865);
																				}
																				BgL_arg1178z00_863 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(9)),
																					BgL_arg1179z00_864);
																			}
																			BgL_arg1159z00_857 =
																				MAKE_YOUNG_PAIR(BgL_arg1178z00_863,
																				BgL_coercerz00_846);
																		}
																		BgL_arg1156z00_854 =
																			MAKE_YOUNG_PAIR(BgL_arg1158z00_856,
																			BgL_arg1159z00_857);
																	}
																	{
																		obj_t BgL_coercerz00_1826;
																		obj_t BgL_superz00_1825;

																		BgL_superz00_1825 = BgL_arg1153z00_853;
																		BgL_coercerz00_1826 = BgL_arg1156z00_854;
																		BgL_coercerz00_846 = BgL_coercerz00_1826;
																		BgL_superz00_845 = BgL_superz00_1825;
																		goto BgL_zc3z04anonymousza31147ze3z87_847;
																	}
																}
															}
														}
													}
												}
											else
												{	/* Object/coercion.scm 97 */
													return
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(11)), BgL_coercerz00_846);
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* gen-class-coercers! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(obj_t BgL_classz00_13,
		obj_t BgL_superz00_14)
	{
		{	/* Object/coercion.scm 127 */
			{	/* Object/coercion.scm 128 */
				bool_t BgL_test1622z00_1830;

				{	/* Object/coercion.scm 128 */
					obj_t BgL_arg1311z00_1282;

					BgL_arg1311z00_1282 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test1622z00_1830 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1311z00_1282)))->
						BgL_pragmazd2supportzd2);
				}
				if (BgL_test1622z00_1830)
					{	/* Object/coercion.scm 128 */
						return
							BBOOL(BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00
							(BgL_classz00_13, BgL_superz00_14));
					}
				else
					{	/* Object/coercion.scm 128 */
						return BFALSE;
					}
			}
		}

	}



/* &gen-class-coercers! */
	obj_t BGl_z62genzd2classzd2coercersz12z70zzobject_coercionz00(obj_t
		BgL_envz00_1409, obj_t BgL_classz00_1410, obj_t BgL_superz00_1411)
	{
		{	/* Object/coercion.scm 127 */
			return
				BGl_genzd2classzd2coercersz12z12zzobject_coercionz00(BgL_classz00_1410,
				BgL_superz00_1411);
		}

	}



/* c-gen-class-coercers! */
	bool_t BGl_czd2genzd2classzd2coercersz12zc0zzobject_coercionz00(obj_t
		BgL_classz00_15, obj_t BgL_superz00_16)
	{
		{	/* Object/coercion.scm 134 */
			{	/* Object/coercion.scm 149 */
				obj_t BgL_tidz00_940;
				obj_t BgL_tnamez00_941;

				BgL_tidz00_940 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_15)))->BgL_idz00);
				BgL_tnamez00_941 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_classz00_15)))->BgL_namez00);
				{	/* Object/coercion.scm 151 */
					obj_t BgL_pragz00_942;

					BgL_pragz00_942 =
						BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(BgL_tidz00_940,
						BgL_tnamez00_941, ((obj_t) CNST_TABLE_REF(2)),
						BGl_string1557z00zzobject_coercionz00);
					{	/* Object/coercion.scm 152 */
						obj_t BgL_coercersz00_943;

						{	/* Object/coercion.scm 153 */
							obj_t BgL_tmpz00_1287;

							{	/* Object/coercion.scm 153 */
								int BgL_tmpz00_1844;

								BgL_tmpz00_1844 = (int) (1L);
								BgL_tmpz00_1287 = BGL_MVALUES_VAL(BgL_tmpz00_1844);
							}
							{	/* Object/coercion.scm 153 */
								int BgL_tmpz00_1847;

								BgL_tmpz00_1847 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_1847, BUNSPEC);
							}
							BgL_coercersz00_943 = BgL_tmpz00_1287;
						}
						{	/* Object/coercion.scm 153 */
							obj_t BgL_g1073z00_944;

							{	/* Object/coercion.scm 155 */
								obj_t BgL_list1322z00_967;

								BgL_list1322z00_967 = MAKE_YOUNG_PAIR(BgL_pragz00_942, BNIL);
								BgL_g1073z00_944 = BgL_list1322z00_967;
							}
							{
								obj_t BgL_superz00_946;
								obj_t BgL_coercersz00_947;
								obj_t BgL_pragmasz00_948;

								BgL_superz00_946 = BgL_superz00_16;
								BgL_coercersz00_947 = BgL_coercersz00_943;
								BgL_pragmasz00_948 = BgL_g1073z00_944;
							BgL_zc3z04anonymousza31312ze3z87_949:
								{	/* Object/coercion.scm 156 */
									bool_t BgL_test1623z00_1851;

									{	/* Object/coercion.scm 156 */
										obj_t BgL_classz00_1289;

										BgL_classz00_1289 = BGl_tclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_superz00_946))
											{	/* Object/coercion.scm 156 */
												BgL_objectz00_bglt BgL_arg1858z00_1291;

												BgL_arg1858z00_1291 =
													(BgL_objectz00_bglt) (BgL_superz00_946);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Object/coercion.scm 156 */
														long BgL_idxz00_1297;

														BgL_idxz00_1297 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1291);
														BgL_test1623z00_1851 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1297 + 2L)) == BgL_classz00_1289);
													}
												else
													{	/* Object/coercion.scm 156 */
														bool_t BgL_res1554z00_1322;

														{	/* Object/coercion.scm 156 */
															obj_t BgL_oclassz00_1305;

															{	/* Object/coercion.scm 156 */
																obj_t BgL_arg1866z00_1313;
																long BgL_arg1867z00_1314;

																BgL_arg1866z00_1313 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Object/coercion.scm 156 */
																	long BgL_arg1869z00_1315;

																	BgL_arg1869z00_1315 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1291);
																	BgL_arg1867z00_1314 =
																		(BgL_arg1869z00_1315 - OBJECT_TYPE);
																}
																BgL_oclassz00_1305 =
																	VECTOR_REF(BgL_arg1866z00_1313,
																	BgL_arg1867z00_1314);
															}
															{	/* Object/coercion.scm 156 */
																bool_t BgL__ortest_1115z00_1306;

																BgL__ortest_1115z00_1306 =
																	(BgL_classz00_1289 == BgL_oclassz00_1305);
																if (BgL__ortest_1115z00_1306)
																	{	/* Object/coercion.scm 156 */
																		BgL_res1554z00_1322 =
																			BgL__ortest_1115z00_1306;
																	}
																else
																	{	/* Object/coercion.scm 156 */
																		long BgL_odepthz00_1307;

																		{	/* Object/coercion.scm 156 */
																			obj_t BgL_arg1855z00_1308;

																			BgL_arg1855z00_1308 =
																				(BgL_oclassz00_1305);
																			BgL_odepthz00_1307 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_1308);
																		}
																		if ((2L < BgL_odepthz00_1307))
																			{	/* Object/coercion.scm 156 */
																				obj_t BgL_arg1853z00_1310;

																				{	/* Object/coercion.scm 156 */
																					obj_t BgL_arg1854z00_1311;

																					BgL_arg1854z00_1311 =
																						(BgL_oclassz00_1305);
																					BgL_arg1853z00_1310 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_1311, 2L);
																				}
																				BgL_res1554z00_1322 =
																					(BgL_arg1853z00_1310 ==
																					BgL_classz00_1289);
																			}
																		else
																			{	/* Object/coercion.scm 156 */
																				BgL_res1554z00_1322 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1623z00_1851 = BgL_res1554z00_1322;
													}
											}
										else
											{	/* Object/coercion.scm 156 */
												BgL_test1623z00_1851 = ((bool_t) 0);
											}
									}
									if (BgL_test1623z00_1851)
										{	/* Object/coercion.scm 160 */
											obj_t BgL_sidz00_951;
											obj_t BgL_snamez00_952;

											BgL_sidz00_951 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_superz00_946)))->BgL_idz00);
											BgL_snamez00_952 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt) BgL_superz00_946)))->
												BgL_namez00);
											{	/* Object/coercion.scm 162 */
												obj_t BgL_pragz00_953;

												BgL_pragz00_953 =
													BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00
													(BgL_tidz00_940, BgL_tnamez00_941, BgL_sidz00_951,
													BgL_snamez00_952);
												{	/* Object/coercion.scm 163 */
													obj_t BgL_coercsz00_954;

													{	/* Object/coercion.scm 164 */
														obj_t BgL_tmpz00_1325;

														{	/* Object/coercion.scm 164 */
															int BgL_tmpz00_1879;

															BgL_tmpz00_1879 = (int) (1L);
															BgL_tmpz00_1325 =
																BGL_MVALUES_VAL(BgL_tmpz00_1879);
														}
														{	/* Object/coercion.scm 164 */
															int BgL_tmpz00_1882;

															BgL_tmpz00_1882 = (int) (1L);
															BGL_MVALUES_VAL_SET(BgL_tmpz00_1882, BUNSPEC);
														}
														BgL_coercsz00_954 = BgL_tmpz00_1325;
													}
													{	/* Object/coercion.scm 164 */
														obj_t BgL_arg1314z00_955;
														obj_t BgL_arg1315z00_956;
														obj_t BgL_arg1316z00_957;

														{
															BgL_tclassz00_bglt BgL_auxz00_1885;

															{
																obj_t BgL_auxz00_1886;

																{	/* Object/coercion.scm 164 */
																	BgL_objectz00_bglt BgL_tmpz00_1887;

																	BgL_tmpz00_1887 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_superz00_946));
																	BgL_auxz00_1886 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_1887);
																}
																BgL_auxz00_1885 =
																	((BgL_tclassz00_bglt) BgL_auxz00_1886);
															}
															BgL_arg1314z00_955 =
																(((BgL_tclassz00_bglt)
																	COBJECT(BgL_auxz00_1885))->
																BgL_itszd2superzd2);
														}
														BgL_arg1315z00_956 =
															BGl_appendzd221011zd2zzobject_coercionz00
															(BgL_coercsz00_954, BgL_coercersz00_947);
														BgL_arg1316z00_957 =
															MAKE_YOUNG_PAIR(BgL_pragz00_953,
															BgL_pragmasz00_948);
														{
															obj_t BgL_pragmasz00_1897;
															obj_t BgL_coercersz00_1896;
															obj_t BgL_superz00_1895;

															BgL_superz00_1895 = BgL_arg1314z00_955;
															BgL_coercersz00_1896 = BgL_arg1315z00_956;
															BgL_pragmasz00_1897 = BgL_arg1316z00_957;
															BgL_pragmasz00_948 = BgL_pragmasz00_1897;
															BgL_coercersz00_947 = BgL_coercersz00_1896;
															BgL_superz00_946 = BgL_superz00_1895;
															goto BgL_zc3z04anonymousza31312ze3z87_949;
														}
													}
												}
											}
										}
									else
										{	/* Object/coercion.scm 156 */
											{	/* Object/coercion.scm 158 */
												obj_t BgL_arg1317z00_958;

												BgL_arg1317z00_958 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(12)), BgL_coercersz00_947);
												BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
													(BgL_arg1317z00_958);
											}
											{
												obj_t BgL_l1123z00_960;

												BgL_l1123z00_960 = BgL_pragmasz00_948;
											BgL_zc3z04anonymousza31318ze3z87_961:
												if (PAIRP(BgL_l1123z00_960))
													{	/* Object/coercion.scm 159 */
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(CAR(BgL_l1123z00_960));
														{
															obj_t BgL_l1123z00_1906;

															BgL_l1123z00_1906 = CDR(BgL_l1123z00_960);
															BgL_l1123z00_960 = BgL_l1123z00_1906;
															goto BgL_zc3z04anonymousza31318ze3z87_961;
														}
													}
												else
													{	/* Object/coercion.scm 159 */
														return ((bool_t) 1);
													}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-one-coercion~0 */
	obj_t BGl_makezd2onezd2coercionze70ze7zzobject_coercionz00(obj_t
		BgL_fromzd2idzd2_968, obj_t BgL_fromzd2namezd2_969,
		obj_t BgL_tozd2idzd2_970, obj_t BgL_tozd2namezd2_971)
	{
		{	/* Object/coercion.scm 147 */
			{	/* Object/coercion.scm 137 */
				obj_t BgL_tzd2ze3fz31_973;
				obj_t BgL_fzd2ze3tz31_974;

				{	/* Object/coercion.scm 137 */
					obj_t BgL_list1404z00_1013;

					{	/* Object/coercion.scm 137 */
						obj_t BgL_arg1406z00_1014;

						{	/* Object/coercion.scm 137 */
							obj_t BgL_arg1414z00_1015;

							BgL_arg1414z00_1015 = MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_968, BNIL);
							BgL_arg1406z00_1014 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(13)), BgL_arg1414z00_1015);
						}
						BgL_list1404z00_1013 =
							MAKE_YOUNG_PAIR(BgL_tozd2idzd2_970, BgL_arg1406z00_1014);
					}
					BgL_tzd2ze3fz31_973 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1404z00_1013);
				}
				{	/* Object/coercion.scm 138 */
					obj_t BgL_list1415z00_1016;

					{	/* Object/coercion.scm 138 */
						obj_t BgL_arg1416z00_1017;

						{	/* Object/coercion.scm 138 */
							obj_t BgL_arg1417z00_1018;

							BgL_arg1417z00_1018 = MAKE_YOUNG_PAIR(BgL_tozd2idzd2_970, BNIL);
							BgL_arg1416z00_1017 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(13)), BgL_arg1417z00_1018);
						}
						BgL_list1415z00_1016 =
							MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_968, BgL_arg1416z00_1017);
					}
					BgL_fzd2ze3tz31_974 =
						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1415z00_1016);
				}
				{	/* Object/coercion.scm 139 */
					obj_t BgL_val0_1121z00_975;
					obj_t BgL_val1_1122z00_976;

					{	/* Object/coercion.scm 142 */
						obj_t BgL_arg1326z00_977;

						{	/* Object/coercion.scm 142 */
							obj_t BgL_arg1327z00_978;

							{	/* Object/coercion.scm 142 */
								obj_t BgL_arg1331z00_979;

								{	/* Object/coercion.scm 142 */
									obj_t BgL_arg1332z00_980;

									{	/* Object/coercion.scm 142 */
										obj_t BgL_arg1333z00_981;

										{	/* Object/coercion.scm 142 */
											obj_t BgL_arg1336z00_982;
											obj_t BgL_arg1338z00_983;

											{	/* Object/coercion.scm 142 */
												obj_t BgL_arg1339z00_984;

												{	/* Object/coercion.scm 142 */
													obj_t BgL_arg1340z00_985;

													{	/* Object/coercion.scm 142 */
														obj_t BgL_arg1341z00_986;

														{	/* Object/coercion.scm 142 */
															obj_t BgL_arg1342z00_987;

															{	/* Object/coercion.scm 142 */
																obj_t BgL_arg1355z00_988;

																{	/* Object/coercion.scm 142 */
																	obj_t BgL_arg1358z00_989;

																	BgL_arg1358z00_989 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) CNST_TABLE_REF(14)), BNIL);
																	BgL_arg1355z00_988 =
																		MAKE_YOUNG_PAIR(BgL_arg1358z00_989, BNIL);
																}
																BgL_arg1342z00_987 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(15)), BgL_arg1355z00_988);
															}
															BgL_arg1341z00_986 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(16)), BgL_arg1342z00_987);
														}
														BgL_arg1340z00_985 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(17)), BgL_arg1341z00_986);
													}
													BgL_arg1339z00_984 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(18)), BgL_arg1340z00_985);
												}
												BgL_arg1336z00_982 =
													MAKE_YOUNG_PAIR(BgL_tzd2ze3fz31_973,
													BgL_arg1339z00_984);
											}
											{	/* Object/coercion.scm 143 */
												obj_t BgL_arg1359z00_990;

												{	/* Object/coercion.scm 143 */
													obj_t BgL_arg1360z00_991;

													{	/* Object/coercion.scm 143 */
														obj_t BgL_arg1361z00_992;

														{	/* Object/coercion.scm 143 */
															obj_t BgL_arg1364z00_993;

															{	/* Object/coercion.scm 143 */
																obj_t BgL_arg1365z00_994;

																{	/* Object/coercion.scm 143 */
																	obj_t BgL_arg1367z00_995;

																	{	/* Object/coercion.scm 143 */
																		obj_t BgL_arg1370z00_996;

																		BgL_arg1370z00_996 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) CNST_TABLE_REF(14)), BNIL);
																		BgL_arg1367z00_995 =
																			MAKE_YOUNG_PAIR(BgL_arg1370z00_996, BNIL);
																	}
																	BgL_arg1365z00_994 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(15)), BgL_arg1367z00_995);
																}
																BgL_arg1364z00_993 =
																	MAKE_YOUNG_PAIR(
																	((obj_t)
																		CNST_TABLE_REF(16)), BgL_arg1365z00_994);
															}
															BgL_arg1361z00_992 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(17)), BgL_arg1364z00_993);
														}
														BgL_arg1360z00_991 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(18)), BgL_arg1361z00_992);
													}
													BgL_arg1359z00_990 =
														MAKE_YOUNG_PAIR(BgL_fzd2ze3tz31_974,
														BgL_arg1360z00_991);
												}
												BgL_arg1338z00_983 =
													MAKE_YOUNG_PAIR(BgL_arg1359z00_990, BNIL);
											}
											BgL_arg1333z00_981 =
												MAKE_YOUNG_PAIR(BgL_arg1336z00_982, BgL_arg1338z00_983);
										}
										BgL_arg1332z00_980 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(19)), BgL_arg1333z00_981);
									}
									BgL_arg1331z00_979 =
										MAKE_YOUNG_PAIR(BgL_arg1332z00_980, BNIL);
								}
								BgL_arg1327z00_978 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(20)), BgL_arg1331z00_979);
							}
							BgL_arg1326z00_977 = MAKE_YOUNG_PAIR(BgL_arg1327z00_978, BNIL);
						}
						BgL_val0_1121z00_975 =
							MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(21)), BgL_arg1326z00_977);
					}
					{	/* Object/coercion.scm 144 */
						obj_t BgL_arg1371z00_997;
						obj_t BgL_arg1376z00_998;

						{	/* Object/coercion.scm 144 */
							obj_t BgL_arg1380z00_1001;

							{	/* Object/coercion.scm 144 */
								obj_t BgL_arg1382z00_1002;

								{	/* Object/coercion.scm 144 */
									obj_t BgL_arg1383z00_1003;

									{	/* Object/coercion.scm 144 */
										obj_t BgL_arg1385z00_1004;
										obj_t BgL_arg1386z00_1005;

										BgL_arg1385z00_1004 =
											MAKE_YOUNG_PAIR(BgL_tozd2idzd2_970, BNIL);
										BgL_arg1386z00_1005 =
											MAKE_YOUNG_PAIR(string_append_3
											(BGl_string1558z00zzobject_coercionz00,
												BgL_fromzd2namezd2_969,
												BGl_string1559z00zzobject_coercionz00), BNIL);
										BgL_arg1383z00_1003 =
											MAKE_YOUNG_PAIR(BgL_arg1385z00_1004, BgL_arg1386z00_1005);
									}
									BgL_arg1382z00_1002 =
										MAKE_YOUNG_PAIR(BgL_tzd2ze3fz31_973, BgL_arg1383z00_1003);
								}
								BgL_arg1380z00_1001 =
									MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_968, BgL_arg1382z00_1002);
							}
							BgL_arg1371z00_997 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(22)), BgL_arg1380z00_1001);
						}
						{	/* Object/coercion.scm 146 */
							obj_t BgL_arg1390z00_1007;

							{	/* Object/coercion.scm 146 */
								obj_t BgL_arg1392z00_1008;

								{	/* Object/coercion.scm 146 */
									obj_t BgL_arg1400z00_1009;

									{	/* Object/coercion.scm 146 */
										obj_t BgL_arg1401z00_1010;
										obj_t BgL_arg1402z00_1011;

										BgL_arg1401z00_1010 =
											MAKE_YOUNG_PAIR(BgL_fromzd2idzd2_968, BNIL);
										BgL_arg1402z00_1011 =
											MAKE_YOUNG_PAIR(string_append_3
											(BGl_string1558z00zzobject_coercionz00,
												BgL_tozd2namezd2_971,
												BGl_string1559z00zzobject_coercionz00), BNIL);
										BgL_arg1400z00_1009 =
											MAKE_YOUNG_PAIR(BgL_arg1401z00_1010, BgL_arg1402z00_1011);
									}
									BgL_arg1392z00_1008 =
										MAKE_YOUNG_PAIR(BgL_fzd2ze3tz31_974, BgL_arg1400z00_1009);
								}
								BgL_arg1390z00_1007 =
									MAKE_YOUNG_PAIR(BgL_tozd2idzd2_970, BgL_arg1392z00_1008);
							}
							BgL_arg1376z00_998 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(22)), BgL_arg1390z00_1007);
						}
						{	/* Object/coercion.scm 144 */
							obj_t BgL_list1377z00_999;

							{	/* Object/coercion.scm 144 */
								obj_t BgL_arg1379z00_1000;

								BgL_arg1379z00_1000 = MAKE_YOUNG_PAIR(BgL_arg1376z00_998, BNIL);
								BgL_list1377z00_999 =
									MAKE_YOUNG_PAIR(BgL_arg1371z00_997, BgL_arg1379z00_1000);
							}
							BgL_val1_1122z00_976 = BgL_list1377z00_999;
						}
					}
					{	/* Object/coercion.scm 139 */
						int BgL_tmpz00_1987;

						BgL_tmpz00_1987 = (int) (2L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1987);
					}
					{	/* Object/coercion.scm 139 */
						int BgL_tmpz00_1990;

						BgL_tmpz00_1990 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_1990, BgL_val1_1122z00_976);
					}
					return BgL_val0_1121z00_975;
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_coercionz00(void)
	{
		{	/* Object/coercion.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(9470071L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(196511171L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(478324304L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
			return
				BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1560z00zzobject_coercionz00));
		}

	}

#ifdef __cplusplus
}
#endif
