/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/generic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_GENERIC_TYPE_DEFINITIONS
#define BGL_OBJECT_GENERIC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;


#endif													// BGL_OBJECT_GENERIC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_genericzd2initzd2zzobject_genericz00(void);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzobject_genericz00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_genericz00(void);
	BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_genericz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00(void);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzobject_genericz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2genericzd2bodyz62zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1395z00zzobject_genericz00,
		BgL_bgl_string1395za700za7za7o1401za7,
		"Illegal generic definition (no formal arguments provided)", 57);
	      DEFINE_STRING(BGl_string1396z00zzobject_genericz00,
		BgL_bgl_string1396za700za7za7o1402za7,
		"Illegal global definition (internal error)", 42);
	      DEFINE_STRING(BGl_string1397z00zzobject_genericz00,
		BgL_bgl_string1397za700za7za7o1403za7,
		"generic function has a non-class dispatching type arg", 53);
	      DEFINE_STRING(BGl_string1398z00zzobject_genericz00,
		BgL_bgl_string1398za700za7za7o1404za7, "object_generic", 14);
	      DEFINE_STRING(BGl_string1399z00zzobject_genericz00,
		BgL_bgl_string1399za700za7za7o1405za7,
		"if object? __r4_pairs_and_lists_6_3 generic-default let apply cons* _ unsafe find-method @ procedure method sgfun ",
		114);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00,
		BgL_bgl_za762makeza7d2generi1406z00,
		BGl_z62makezd2genericzd2bodyz62zzobject_genericz00, 0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzobject_genericz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_genericz00(long
		BgL_checksumz00_1350, char *BgL_fromz00_1351)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_genericz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_genericz00();
					BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
					BGl_cnstzd2initzd2zzobject_genericz00();
					BGl_importedzd2moduleszd2initz00zzobject_genericz00();
					return BGl_methodzd2initzd2zzobject_genericz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_generic");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_generic");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_generic");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			{	/* Object/generic.scm 15 */
				obj_t BgL_cportz00_1339;

				{	/* Object/generic.scm 15 */
					obj_t BgL_stringz00_1346;

					BgL_stringz00_1346 = BGl_string1399z00zzobject_genericz00;
					{	/* Object/generic.scm 15 */
						obj_t BgL_startz00_1347;

						BgL_startz00_1347 = BINT(0L);
						{	/* Object/generic.scm 15 */
							obj_t BgL_endz00_1348;

							BgL_endz00_1348 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1346)));
							{	/* Object/generic.scm 15 */

								BgL_cportz00_1339 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1346, BgL_startz00_1347, BgL_endz00_1348);
				}}}}
				{
					long BgL_iz00_1340;

					BgL_iz00_1340 = 13L;
				BgL_loopz00_1341:
					if ((BgL_iz00_1340 == (-1L)))
						{	/* Object/generic.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/generic.scm 15 */
							{	/* Object/generic.scm 15 */
								obj_t BgL_arg1400z00_1342;

								{	/* Object/generic.scm 15 */

									{	/* Object/generic.scm 15 */
										obj_t BgL_locationz00_1344;

										BgL_locationz00_1344 = BBOOL(((bool_t) 0));
										{	/* Object/generic.scm 15 */

											BgL_arg1400z00_1342 =
												BGl_readz00zz__readerz00(BgL_cportz00_1339,
												BgL_locationz00_1344);
										}
									}
								}
								{	/* Object/generic.scm 15 */
									int BgL_tmpz00_1378;

									BgL_tmpz00_1378 = (int) (BgL_iz00_1340);
									CNST_TABLE_SET(BgL_tmpz00_1378, BgL_arg1400z00_1342);
							}}
							{	/* Object/generic.scm 15 */
								int BgL_auxz00_1345;

								BgL_auxz00_1345 = (int) ((BgL_iz00_1340 - 1L));
								{
									long BgL_iz00_1383;

									BgL_iz00_1383 = (long) (BgL_auxz00_1345);
									BgL_iz00_1340 = BgL_iz00_1383;
									goto BgL_loopz00_1341;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-generic-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_3, obj_t BgL_localsz00_4, obj_t BgL_argsz00_5, obj_t BgL_srcz00_6)
	{
		{	/* Object/generic.scm 34 */
			{	/* Object/generic.scm 37 */
				obj_t BgL_gz00_694;

				BgL_gz00_694 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_3,
					BGl_za2moduleza2z00zzmodule_modulez00);
				if (NULLP(BgL_argsz00_5))
					{	/* Object/generic.scm 36 */
						obj_t BgL_list1228z00_921;

						BgL_list1228z00_921 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_3,
							BGl_string1395z00zzobject_genericz00, BgL_srcz00_6,
							BgL_list1228z00_921);
					}
				else
					{	/* Object/generic.scm 41 */
						bool_t BgL_test1411z00_1391;

						{	/* Object/generic.scm 41 */
							bool_t BgL_test1420z00_1392;

							{	/* Object/generic.scm 41 */
								obj_t BgL_classz00_922;

								BgL_classz00_922 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_694))
									{	/* Object/generic.scm 41 */
										BgL_objectz00_bglt BgL_arg1858z00_924;

										BgL_arg1858z00_924 = (BgL_objectz00_bglt) (BgL_gz00_694);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Object/generic.scm 41 */
												long BgL_idxz00_930;

												BgL_idxz00_930 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_924);
												BgL_test1420z00_1392 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_930 + 2L)) == BgL_classz00_922);
											}
										else
											{	/* Object/generic.scm 41 */
												bool_t BgL_res1384z00_955;

												{	/* Object/generic.scm 41 */
													obj_t BgL_oclassz00_938;

													{	/* Object/generic.scm 41 */
														obj_t BgL_arg1866z00_946;
														long BgL_arg1867z00_947;

														BgL_arg1866z00_946 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Object/generic.scm 41 */
															long BgL_arg1869z00_948;

															BgL_arg1869z00_948 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_924);
															BgL_arg1867z00_947 =
																(BgL_arg1869z00_948 - OBJECT_TYPE);
														}
														BgL_oclassz00_938 =
															VECTOR_REF(BgL_arg1866z00_946,
															BgL_arg1867z00_947);
													}
													{	/* Object/generic.scm 41 */
														bool_t BgL__ortest_1115z00_939;

														BgL__ortest_1115z00_939 =
															(BgL_classz00_922 == BgL_oclassz00_938);
														if (BgL__ortest_1115z00_939)
															{	/* Object/generic.scm 41 */
																BgL_res1384z00_955 = BgL__ortest_1115z00_939;
															}
														else
															{	/* Object/generic.scm 41 */
																long BgL_odepthz00_940;

																{	/* Object/generic.scm 41 */
																	obj_t BgL_arg1855z00_941;

																	BgL_arg1855z00_941 = (BgL_oclassz00_938);
																	BgL_odepthz00_940 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_941);
																}
																if ((2L < BgL_odepthz00_940))
																	{	/* Object/generic.scm 41 */
																		obj_t BgL_arg1853z00_943;

																		{	/* Object/generic.scm 41 */
																			obj_t BgL_arg1854z00_944;

																			BgL_arg1854z00_944 = (BgL_oclassz00_938);
																			BgL_arg1853z00_943 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_944, 2L);
																		}
																		BgL_res1384z00_955 =
																			(BgL_arg1853z00_943 == BgL_classz00_922);
																	}
																else
																	{	/* Object/generic.scm 41 */
																		BgL_res1384z00_955 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1420z00_1392 = BgL_res1384z00_955;
											}
									}
								else
									{	/* Object/generic.scm 41 */
										BgL_test1420z00_1392 = ((bool_t) 0);
									}
							}
							if (BgL_test1420z00_1392)
								{	/* Object/generic.scm 42 */
									bool_t BgL__ortest_1064z00_736;

									{	/* Object/generic.scm 42 */
										bool_t BgL_test1425z00_1415;

										{	/* Object/generic.scm 42 */
											BgL_valuez00_bglt BgL_arg1226z00_744;

											BgL_arg1226z00_744 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_gz00_694))))->
												BgL_valuez00);
											{	/* Object/generic.scm 42 */
												obj_t BgL_classz00_957;

												BgL_classz00_957 = BGl_sfunz00zzast_varz00;
												{	/* Object/generic.scm 42 */
													BgL_objectz00_bglt BgL_arg1858z00_959;

													{	/* Object/generic.scm 42 */
														obj_t BgL_tmpz00_1419;

														BgL_tmpz00_1419 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1226z00_744));
														BgL_arg1858z00_959 =
															(BgL_objectz00_bglt) (BgL_tmpz00_1419);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Object/generic.scm 42 */
															long BgL_idxz00_965;

															BgL_idxz00_965 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_959);
															BgL_test1425z00_1415 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_965 + 3L)) == BgL_classz00_957);
														}
													else
														{	/* Object/generic.scm 42 */
															bool_t BgL_res1385z00_990;

															{	/* Object/generic.scm 42 */
																obj_t BgL_oclassz00_973;

																{	/* Object/generic.scm 42 */
																	obj_t BgL_arg1866z00_981;
																	long BgL_arg1867z00_982;

																	BgL_arg1866z00_981 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Object/generic.scm 42 */
																		long BgL_arg1869z00_983;

																		BgL_arg1869z00_983 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_959);
																		BgL_arg1867z00_982 =
																			(BgL_arg1869z00_983 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_973 =
																		VECTOR_REF(BgL_arg1866z00_981,
																		BgL_arg1867z00_982);
																}
																{	/* Object/generic.scm 42 */
																	bool_t BgL__ortest_1115z00_974;

																	BgL__ortest_1115z00_974 =
																		(BgL_classz00_957 == BgL_oclassz00_973);
																	if (BgL__ortest_1115z00_974)
																		{	/* Object/generic.scm 42 */
																			BgL_res1385z00_990 =
																				BgL__ortest_1115z00_974;
																		}
																	else
																		{	/* Object/generic.scm 42 */
																			long BgL_odepthz00_975;

																			{	/* Object/generic.scm 42 */
																				obj_t BgL_arg1855z00_976;

																				BgL_arg1855z00_976 =
																					(BgL_oclassz00_973);
																				BgL_odepthz00_975 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_976);
																			}
																			if ((3L < BgL_odepthz00_975))
																				{	/* Object/generic.scm 42 */
																					obj_t BgL_arg1853z00_978;

																					{	/* Object/generic.scm 42 */
																						obj_t BgL_arg1854z00_979;

																						BgL_arg1854z00_979 =
																							(BgL_oclassz00_973);
																						BgL_arg1853z00_978 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_979, 3L);
																					}
																					BgL_res1385z00_990 =
																						(BgL_arg1853z00_978 ==
																						BgL_classz00_957);
																				}
																			else
																				{	/* Object/generic.scm 42 */
																					BgL_res1385z00_990 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test1425z00_1415 = BgL_res1385z00_990;
														}
												}
											}
										}
										if (BgL_test1425z00_1415)
											{	/* Object/generic.scm 42 */
												BgL__ortest_1064z00_736 = ((bool_t) 0);
											}
										else
											{	/* Object/generic.scm 42 */
												BgL__ortest_1064z00_736 = ((bool_t) 1);
											}
									}
									if (BgL__ortest_1064z00_736)
										{	/* Object/generic.scm 42 */
											BgL_test1411z00_1391 = BgL__ortest_1064z00_736;
										}
									else
										{	/* Object/generic.scm 43 */
											bool_t BgL__ortest_1065z00_737;

											if (
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_694))))->BgL_valuez00))))->
														BgL_classz00) == ((obj_t) CNST_TABLE_REF(0))))
												{	/* Object/generic.scm 43 */
													BgL__ortest_1065z00_737 = ((bool_t) 0);
												}
											else
												{	/* Object/generic.scm 43 */
													BgL__ortest_1065z00_737 = ((bool_t) 1);
												}
											if (BgL__ortest_1065z00_737)
												{	/* Object/generic.scm 43 */
													BgL_test1411z00_1391 = BgL__ortest_1065z00_737;
												}
											else
												{	/* Object/generic.scm 43 */
													BgL_test1411z00_1391 =
														NULLP(
														(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt)
																		(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_gz00_694))))->
																			BgL_valuez00))))->BgL_argsz00));
												}
										}
								}
							else
								{	/* Object/generic.scm 41 */
									BgL_test1411z00_1391 = ((bool_t) 0);
								}
						}
						if (BgL_test1411z00_1391)
							{	/* Object/generic.scm 36 */
								obj_t BgL_list1228z00_995;

								BgL_list1228z00_995 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								return
									BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_3,
									BGl_string1396z00zzobject_genericz00, BgL_srcz00_6,
									BgL_list1228z00_995);
							}
						else
							{	/* Object/generic.scm 47 */
								obj_t BgL_methodzd2argzd2_710;

								BgL_methodzd2argzd2_710 = CAR(((obj_t) BgL_localsz00_4));
								{	/* Object/generic.scm 47 */
									obj_t BgL_methodzd2argzd2typez00_711;

									BgL_methodzd2argzd2typez00_711 =
										((obj_t)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_methodzd2argzd2_710))))->
											BgL_typez00));
									{	/* Object/generic.scm 48 */
										obj_t BgL_ptypez00_712;

										{	/* Object/generic.scm 49 */
											bool_t BgL_test1432z00_1467;

											{	/* Object/generic.scm 49 */
												obj_t BgL_classz00_998;

												BgL_classz00_998 = BGl_globalz00zzast_varz00;
												if (BGL_OBJECTP(BgL_gz00_694))
													{	/* Object/generic.scm 49 */
														BgL_objectz00_bglt BgL_arg1858z00_1000;

														BgL_arg1858z00_1000 =
															(BgL_objectz00_bglt) (BgL_gz00_694);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Object/generic.scm 49 */
																long BgL_idxz00_1006;

																BgL_idxz00_1006 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_1000);
																BgL_test1432z00_1467 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_1006 + 2L)) ==
																	BgL_classz00_998);
															}
														else
															{	/* Object/generic.scm 49 */
																bool_t BgL_res1386z00_1031;

																{	/* Object/generic.scm 49 */
																	obj_t BgL_oclassz00_1014;

																	{	/* Object/generic.scm 49 */
																		obj_t BgL_arg1866z00_1022;
																		long BgL_arg1867z00_1023;

																		BgL_arg1866z00_1022 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Object/generic.scm 49 */
																			long BgL_arg1869z00_1024;

																			BgL_arg1869z00_1024 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_1000);
																			BgL_arg1867z00_1023 =
																				(BgL_arg1869z00_1024 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_1014 =
																			VECTOR_REF(BgL_arg1866z00_1022,
																			BgL_arg1867z00_1023);
																	}
																	{	/* Object/generic.scm 49 */
																		bool_t BgL__ortest_1115z00_1015;

																		BgL__ortest_1115z00_1015 =
																			(BgL_classz00_998 == BgL_oclassz00_1014);
																		if (BgL__ortest_1115z00_1015)
																			{	/* Object/generic.scm 49 */
																				BgL_res1386z00_1031 =
																					BgL__ortest_1115z00_1015;
																			}
																		else
																			{	/* Object/generic.scm 49 */
																				long BgL_odepthz00_1016;

																				{	/* Object/generic.scm 49 */
																					obj_t BgL_arg1855z00_1017;

																					BgL_arg1855z00_1017 =
																						(BgL_oclassz00_1014);
																					BgL_odepthz00_1016 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_1017);
																				}
																				if ((2L < BgL_odepthz00_1016))
																					{	/* Object/generic.scm 49 */
																						obj_t BgL_arg1853z00_1019;

																						{	/* Object/generic.scm 49 */
																							obj_t BgL_arg1854z00_1020;

																							BgL_arg1854z00_1020 =
																								(BgL_oclassz00_1014);
																							BgL_arg1853z00_1019 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_1020, 2L);
																						}
																						BgL_res1386z00_1031 =
																							(BgL_arg1853z00_1019 ==
																							BgL_classz00_998);
																					}
																				else
																					{	/* Object/generic.scm 49 */
																						BgL_res1386z00_1031 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1432z00_1467 = BgL_res1386z00_1031;
															}
													}
												else
													{	/* Object/generic.scm 49 */
														BgL_test1432z00_1467 = ((bool_t) 0);
													}
											}
											if (BgL_test1432z00_1467)
												{	/* Object/generic.scm 49 */
													obj_t BgL_pairz00_1034;

													BgL_pairz00_1034 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_gz00_694))))->BgL_valuez00))))->
														BgL_argsz00);
													BgL_ptypez00_712 = CAR(BgL_pairz00_1034);
												}
											else
												{	/* Object/generic.scm 49 */
													BgL_ptypez00_712 = BFALSE;
												}
										}
										{	/* Object/generic.scm 49 */

											{	/* Object/generic.scm 51 */
												bool_t BgL_test1437z00_1496;

												{	/* Object/generic.scm 51 */
													bool_t BgL_test1438z00_1497;

													{	/* Object/generic.scm 51 */
														obj_t BgL_classz00_1035;

														BgL_classz00_1035 = BGl_tclassz00zzobject_classz00;
														if (BGL_OBJECTP(BgL_methodzd2argzd2typez00_711))
															{	/* Object/generic.scm 51 */
																BgL_objectz00_bglt BgL_arg1858z00_1037;

																BgL_arg1858z00_1037 =
																	(BgL_objectz00_bglt)
																	(BgL_methodzd2argzd2typez00_711);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Object/generic.scm 51 */
																		long BgL_idxz00_1043;

																		BgL_idxz00_1043 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1037);
																		BgL_test1438z00_1497 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1043 + 2L)) ==
																			BgL_classz00_1035);
																	}
																else
																	{	/* Object/generic.scm 51 */
																		bool_t BgL_res1387z00_1068;

																		{	/* Object/generic.scm 51 */
																			obj_t BgL_oclassz00_1051;

																			{	/* Object/generic.scm 51 */
																				obj_t BgL_arg1866z00_1059;
																				long BgL_arg1867z00_1060;

																				BgL_arg1866z00_1059 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Object/generic.scm 51 */
																					long BgL_arg1869z00_1061;

																					BgL_arg1869z00_1061 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1037);
																					BgL_arg1867z00_1060 =
																						(BgL_arg1869z00_1061 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1051 =
																					VECTOR_REF(BgL_arg1866z00_1059,
																					BgL_arg1867z00_1060);
																			}
																			{	/* Object/generic.scm 51 */
																				bool_t BgL__ortest_1115z00_1052;

																				BgL__ortest_1115z00_1052 =
																					(BgL_classz00_1035 ==
																					BgL_oclassz00_1051);
																				if (BgL__ortest_1115z00_1052)
																					{	/* Object/generic.scm 51 */
																						BgL_res1387z00_1068 =
																							BgL__ortest_1115z00_1052;
																					}
																				else
																					{	/* Object/generic.scm 51 */
																						long BgL_odepthz00_1053;

																						{	/* Object/generic.scm 51 */
																							obj_t BgL_arg1855z00_1054;

																							BgL_arg1855z00_1054 =
																								(BgL_oclassz00_1051);
																							BgL_odepthz00_1053 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1054);
																						}
																						if ((2L < BgL_odepthz00_1053))
																							{	/* Object/generic.scm 51 */
																								obj_t BgL_arg1853z00_1056;

																								{	/* Object/generic.scm 51 */
																									obj_t BgL_arg1854z00_1057;

																									BgL_arg1854z00_1057 =
																										(BgL_oclassz00_1051);
																									BgL_arg1853z00_1056 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1057, 2L);
																								}
																								BgL_res1387z00_1068 =
																									(BgL_arg1853z00_1056 ==
																									BgL_classz00_1035);
																							}
																						else
																							{	/* Object/generic.scm 51 */
																								BgL_res1387z00_1068 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1438z00_1497 = BgL_res1387z00_1068;
																	}
															}
														else
															{	/* Object/generic.scm 51 */
																BgL_test1438z00_1497 = ((bool_t) 0);
															}
													}
													if (BgL_test1438z00_1497)
														{	/* Object/generic.scm 51 */
															BgL_test1437z00_1496 = ((bool_t) 1);
														}
													else
														{	/* Object/generic.scm 51 */
															obj_t BgL_classz00_1069;

															BgL_classz00_1069 =
																BGl_tclassz00zzobject_classz00;
															if (BGL_OBJECTP(BgL_ptypez00_712))
																{	/* Object/generic.scm 51 */
																	BgL_objectz00_bglt BgL_arg1858z00_1071;

																	BgL_arg1858z00_1071 =
																		(BgL_objectz00_bglt) (BgL_ptypez00_712);
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Object/generic.scm 51 */
																			long BgL_idxz00_1077;

																			BgL_idxz00_1077 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_1071);
																			BgL_test1437z00_1496 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_1077 + 2L)) ==
																				BgL_classz00_1069);
																		}
																	else
																		{	/* Object/generic.scm 51 */
																			bool_t BgL_res1388z00_1102;

																			{	/* Object/generic.scm 51 */
																				obj_t BgL_oclassz00_1085;

																				{	/* Object/generic.scm 51 */
																					obj_t BgL_arg1866z00_1093;
																					long BgL_arg1867z00_1094;

																					BgL_arg1866z00_1093 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Object/generic.scm 51 */
																						long BgL_arg1869z00_1095;

																						BgL_arg1869z00_1095 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_1071);
																						BgL_arg1867z00_1094 =
																							(BgL_arg1869z00_1095 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_1085 =
																						VECTOR_REF(BgL_arg1866z00_1093,
																						BgL_arg1867z00_1094);
																				}
																				{	/* Object/generic.scm 51 */
																					bool_t BgL__ortest_1115z00_1086;

																					BgL__ortest_1115z00_1086 =
																						(BgL_classz00_1069 ==
																						BgL_oclassz00_1085);
																					if (BgL__ortest_1115z00_1086)
																						{	/* Object/generic.scm 51 */
																							BgL_res1388z00_1102 =
																								BgL__ortest_1115z00_1086;
																						}
																					else
																						{	/* Object/generic.scm 51 */
																							long BgL_odepthz00_1087;

																							{	/* Object/generic.scm 51 */
																								obj_t BgL_arg1855z00_1088;

																								BgL_arg1855z00_1088 =
																									(BgL_oclassz00_1085);
																								BgL_odepthz00_1087 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_1088);
																							}
																							if ((2L < BgL_odepthz00_1087))
																								{	/* Object/generic.scm 51 */
																									obj_t BgL_arg1853z00_1090;

																									{	/* Object/generic.scm 51 */
																										obj_t BgL_arg1854z00_1091;

																										BgL_arg1854z00_1091 =
																											(BgL_oclassz00_1085);
																										BgL_arg1853z00_1090 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_1091, 2L);
																									}
																									BgL_res1388z00_1102 =
																										(BgL_arg1853z00_1090 ==
																										BgL_classz00_1069);
																								}
																							else
																								{	/* Object/generic.scm 51 */
																									BgL_res1388z00_1102 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test1437z00_1496 =
																				BgL_res1388z00_1102;
																		}
																}
															else
																{	/* Object/generic.scm 51 */
																	BgL_test1437z00_1496 = ((bool_t) 0);
																}
														}
												}
												if (BgL_test1437z00_1496)
													{	/* Object/generic.scm 51 */
														BGL_TAIL return
															BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00
															(BgL_idz00_3, BgL_localsz00_4, BgL_argsz00_5,
															BgL_srcz00_6);
													}
												else
													{	/* Object/generic.scm 53 */
														bool_t BgL_test1449z00_1543;

														{	/* Object/generic.scm 53 */
															bool_t BgL_test1450z00_1544;

															{	/* Object/generic.scm 53 */
																obj_t BgL_classz00_1103;

																BgL_classz00_1103 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_methodzd2argzd2typez00_711))
																	{	/* Object/generic.scm 53 */
																		BgL_objectz00_bglt BgL_arg1858z00_1105;

																		BgL_arg1858z00_1105 =
																			(BgL_objectz00_bglt)
																			(BgL_methodzd2argzd2typez00_711);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Object/generic.scm 53 */
																				long BgL_idxz00_1111;

																				BgL_idxz00_1111 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_1105);
																				BgL_test1450z00_1544 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_1111 + 1L)) ==
																					BgL_classz00_1103);
																			}
																		else
																			{	/* Object/generic.scm 53 */
																				bool_t BgL_res1389z00_1136;

																				{	/* Object/generic.scm 53 */
																					obj_t BgL_oclassz00_1119;

																					{	/* Object/generic.scm 53 */
																						obj_t BgL_arg1866z00_1127;
																						long BgL_arg1867z00_1128;

																						BgL_arg1866z00_1127 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Object/generic.scm 53 */
																							long BgL_arg1869z00_1129;

																							BgL_arg1869z00_1129 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_1105);
																							BgL_arg1867z00_1128 =
																								(BgL_arg1869z00_1129 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_1119 =
																							VECTOR_REF(BgL_arg1866z00_1127,
																							BgL_arg1867z00_1128);
																					}
																					{	/* Object/generic.scm 53 */
																						bool_t BgL__ortest_1115z00_1120;

																						BgL__ortest_1115z00_1120 =
																							(BgL_classz00_1103 ==
																							BgL_oclassz00_1119);
																						if (BgL__ortest_1115z00_1120)
																							{	/* Object/generic.scm 53 */
																								BgL_res1389z00_1136 =
																									BgL__ortest_1115z00_1120;
																							}
																						else
																							{	/* Object/generic.scm 53 */
																								long BgL_odepthz00_1121;

																								{	/* Object/generic.scm 53 */
																									obj_t BgL_arg1855z00_1122;

																									BgL_arg1855z00_1122 =
																										(BgL_oclassz00_1119);
																									BgL_odepthz00_1121 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_1122);
																								}
																								if ((1L < BgL_odepthz00_1121))
																									{	/* Object/generic.scm 53 */
																										obj_t BgL_arg1853z00_1124;

																										{	/* Object/generic.scm 53 */
																											obj_t BgL_arg1854z00_1125;

																											BgL_arg1854z00_1125 =
																												(BgL_oclassz00_1119);
																											BgL_arg1853z00_1124 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_1125,
																												1L);
																										}
																										BgL_res1389z00_1136 =
																											(BgL_arg1853z00_1124 ==
																											BgL_classz00_1103);
																									}
																								else
																									{	/* Object/generic.scm 53 */
																										BgL_res1389z00_1136 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1450z00_1544 =
																					BgL_res1389z00_1136;
																			}
																	}
																else
																	{	/* Object/generic.scm 53 */
																		BgL_test1450z00_1544 = ((bool_t) 0);
																	}
															}
															if (BgL_test1450z00_1544)
																{	/* Object/generic.scm 53 */
																	if (
																		(BgL_methodzd2argzd2typez00_711 ==
																			BGl_za2objza2z00zztype_cachez00))
																		{	/* Object/generic.scm 54 */
																			BgL_test1449z00_1543 = ((bool_t) 0);
																		}
																	else
																		{	/* Object/generic.scm 55 */
																			bool_t BgL_test1456z00_1569;

																			{	/* Object/generic.scm 55 */
																				obj_t BgL_arg1184z00_730;

																				BgL_arg1184z00_730 =
																					((obj_t)
																					BGl_getzd2defaultzd2typez00zztype_cachez00
																					());
																				BgL_test1456z00_1569 =
																					(BgL_methodzd2argzd2typez00_711 ==
																					BgL_arg1184z00_730);
																			}
																			if (BgL_test1456z00_1569)
																				{	/* Object/generic.scm 55 */
																					BgL_test1449z00_1543 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 55 */
																					BgL_test1449z00_1543 = ((bool_t) 1);
																				}
																		}
																}
															else
																{	/* Object/generic.scm 53 */
																	BgL_test1449z00_1543 = ((bool_t) 0);
																}
														}
														if (BgL_test1449z00_1543)
															{	/* Object/generic.scm 36 */
																obj_t BgL_list1228z00_1137;

																BgL_list1228z00_1137 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																return
																	BGl_userzd2errorzd2zztools_errorz00
																	(BgL_idz00_3,
																	BGl_string1397z00zzobject_genericz00,
																	BgL_srcz00_6, BgL_list1228z00_1137);
															}
														else
															{	/* Object/generic.scm 57 */
																bool_t BgL_test1457z00_1575;

																{	/* Object/generic.scm 57 */
																	bool_t BgL_test1458z00_1576;

																	{	/* Object/generic.scm 57 */
																		obj_t BgL_classz00_1138;

																		BgL_classz00_1138 =
																			BGl_typez00zztype_typez00;
																		if (BGL_OBJECTP(BgL_ptypez00_712))
																			{	/* Object/generic.scm 57 */
																				BgL_objectz00_bglt BgL_arg1858z00_1140;

																				BgL_arg1858z00_1140 =
																					(BgL_objectz00_bglt)
																					(BgL_ptypez00_712);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Object/generic.scm 57 */
																						long BgL_idxz00_1146;

																						BgL_idxz00_1146 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_1140);
																						BgL_test1458z00_1576 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_1146 + 1L)) ==
																							BgL_classz00_1138);
																					}
																				else
																					{	/* Object/generic.scm 57 */
																						bool_t BgL_res1390z00_1171;

																						{	/* Object/generic.scm 57 */
																							obj_t BgL_oclassz00_1154;

																							{	/* Object/generic.scm 57 */
																								obj_t BgL_arg1866z00_1162;
																								long BgL_arg1867z00_1163;

																								BgL_arg1866z00_1162 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Object/generic.scm 57 */
																									long BgL_arg1869z00_1164;

																									BgL_arg1869z00_1164 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_1140);
																									BgL_arg1867z00_1163 =
																										(BgL_arg1869z00_1164 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_1154 =
																									VECTOR_REF
																									(BgL_arg1866z00_1162,
																									BgL_arg1867z00_1163);
																							}
																							{	/* Object/generic.scm 57 */
																								bool_t BgL__ortest_1115z00_1155;

																								BgL__ortest_1115z00_1155 =
																									(BgL_classz00_1138 ==
																									BgL_oclassz00_1154);
																								if (BgL__ortest_1115z00_1155)
																									{	/* Object/generic.scm 57 */
																										BgL_res1390z00_1171 =
																											BgL__ortest_1115z00_1155;
																									}
																								else
																									{	/* Object/generic.scm 57 */
																										long BgL_odepthz00_1156;

																										{	/* Object/generic.scm 57 */
																											obj_t BgL_arg1855z00_1157;

																											BgL_arg1855z00_1157 =
																												(BgL_oclassz00_1154);
																											BgL_odepthz00_1156 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_1157);
																										}
																										if (
																											(1L < BgL_odepthz00_1156))
																											{	/* Object/generic.scm 57 */
																												obj_t
																													BgL_arg1853z00_1159;
																												{	/* Object/generic.scm 57 */
																													obj_t
																														BgL_arg1854z00_1160;
																													BgL_arg1854z00_1160 =
																														(BgL_oclassz00_1154);
																													BgL_arg1853z00_1159 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_1160,
																														1L);
																												}
																												BgL_res1390z00_1171 =
																													(BgL_arg1853z00_1159
																													== BgL_classz00_1138);
																											}
																										else
																											{	/* Object/generic.scm 57 */
																												BgL_res1390z00_1171 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test1458z00_1576 =
																							BgL_res1390z00_1171;
																					}
																			}
																		else
																			{	/* Object/generic.scm 57 */
																				BgL_test1458z00_1576 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test1458z00_1576)
																		{	/* Object/generic.scm 57 */
																			if (
																				(BgL_ptypez00_712 ==
																					BGl_za2objza2z00zztype_cachez00))
																				{	/* Object/generic.scm 58 */
																					BgL_test1457z00_1575 = ((bool_t) 0);
																				}
																			else
																				{	/* Object/generic.scm 59 */
																					bool_t BgL_test1464z00_1601;

																					{	/* Object/generic.scm 59 */
																						obj_t BgL_arg1183z00_727;

																						BgL_arg1183z00_727 =
																							((obj_t)
																							BGl_getzd2defaultzd2typez00zztype_cachez00
																							());
																						BgL_test1464z00_1601 =
																							(BgL_ptypez00_712 ==
																							BgL_arg1183z00_727);
																					}
																					if (BgL_test1464z00_1601)
																						{	/* Object/generic.scm 59 */
																							BgL_test1457z00_1575 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Object/generic.scm 59 */
																							BgL_test1457z00_1575 =
																								((bool_t) 1);
																						}
																				}
																		}
																	else
																		{	/* Object/generic.scm 57 */
																			BgL_test1457z00_1575 = ((bool_t) 0);
																		}
																}
																if (BgL_test1457z00_1575)
																	{	/* Object/generic.scm 36 */
																		obj_t BgL_list1228z00_1172;

																		BgL_list1228z00_1172 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		return
																			BGl_userzd2errorzd2zztools_errorz00
																			(BgL_idz00_3,
																			BGl_string1397z00zzobject_genericz00,
																			BgL_srcz00_6, BgL_list1228z00_1172);
																	}
																else
																	{	/* Object/generic.scm 57 */
																		BGL_TAIL return
																			BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00
																			(BgL_idz00_3, BgL_localsz00_4,
																			BgL_argsz00_5, BgL_srcz00_6);
																	}
															}
													}
											}
										}
									}
								}
							}
					}
			}
		}

	}



/* &make-generic-body */
	obj_t BGl_z62makezd2genericzd2bodyz62zzobject_genericz00(obj_t
		BgL_envz00_1334, obj_t BgL_idz00_1335, obj_t BgL_localsz00_1336,
		obj_t BgL_argsz00_1337, obj_t BgL_srcz00_1338)
	{
		{	/* Object/generic.scm 34 */
			return
				BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1335,
				BgL_localsz00_1336, BgL_argsz00_1337, BgL_srcz00_1338);
		}

	}



/* make-object-generic-body */
	obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t
		BgL_idz00_7, obj_t BgL_localsz00_8, obj_t BgL_argsz00_9,
		obj_t BgL_srcz00_10)
	{
		{	/* Object/generic.scm 67 */
			{	/* Object/generic.scm 68 */
				obj_t BgL_pidz00_749;

				BgL_pidz00_749 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_7,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_10));
				{	/* Object/generic.scm 68 */
					obj_t BgL_idz00_750;

					BgL_idz00_750 = CAR(BgL_pidz00_749);
					{	/* Object/generic.scm 69 */
						long BgL_arityz00_751;

						BgL_arityz00_751 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_9);
						{	/* Object/generic.scm 70 */
							obj_t BgL_argszd2idzd2_752;

							if (NULLP(BgL_localsz00_8))
								{	/* Object/generic.scm 71 */
									BgL_argszd2idzd2_752 = BNIL;
								}
							else
								{	/* Object/generic.scm 71 */
									obj_t BgL_head1112z00_778;

									{	/* Object/generic.scm 71 */
										obj_t BgL_arg1268z00_790;

										BgL_arg1268z00_790 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_8))))))->BgL_idz00);
										BgL_head1112z00_778 =
											MAKE_YOUNG_PAIR(BgL_arg1268z00_790, BNIL);
									}
									{	/* Object/generic.scm 71 */
										obj_t BgL_g1115z00_779;

										BgL_g1115z00_779 = CDR(((obj_t) BgL_localsz00_8));
										{
											obj_t BgL_l1110z00_781;
											obj_t BgL_tail1113z00_782;

											BgL_l1110z00_781 = BgL_g1115z00_779;
											BgL_tail1113z00_782 = BgL_head1112z00_778;
										BgL_zc3z04anonymousza31260ze3z87_783:
											if (NULLP(BgL_l1110z00_781))
												{	/* Object/generic.scm 71 */
													BgL_argszd2idzd2_752 = BgL_head1112z00_778;
												}
											else
												{	/* Object/generic.scm 71 */
													obj_t BgL_newtail1114z00_785;

													{	/* Object/generic.scm 71 */
														obj_t BgL_arg1266z00_787;

														BgL_arg1266z00_787 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1110z00_781))))))->
															BgL_idz00);
														BgL_newtail1114z00_785 =
															MAKE_YOUNG_PAIR(BgL_arg1266z00_787, BNIL);
													}
													SET_CDR(BgL_tail1113z00_782, BgL_newtail1114z00_785);
													{	/* Object/generic.scm 71 */
														obj_t BgL_arg1262z00_786;

														BgL_arg1262z00_786 =
															CDR(((obj_t) BgL_l1110z00_781));
														{
															obj_t BgL_tail1113z00_1635;
															obj_t BgL_l1110z00_1634;

															BgL_l1110z00_1634 = BgL_arg1262z00_786;
															BgL_tail1113z00_1635 = BgL_newtail1114z00_785;
															BgL_tail1113z00_782 = BgL_tail1113z00_1635;
															BgL_l1110z00_781 = BgL_l1110z00_1634;
															goto BgL_zc3z04anonymousza31260ze3z87_783;
														}
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 71 */
								obj_t BgL_methodzd2argzd2_753;

								BgL_methodzd2argzd2_753 = CAR(((obj_t) BgL_localsz00_8));
								{	/* Object/generic.scm 72 */
									obj_t BgL_methodzd2argzd2idz00_754;

									BgL_methodzd2argzd2idz00_754 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_methodzd2argzd2_753))))->
										BgL_idz00);
									{	/* Object/generic.scm 74 */
										obj_t BgL_methodz00_756;

										BgL_methodz00_756 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(1)));
										{	/* Object/generic.scm 75 */
											obj_t BgL_tmethodz00_757;

											BgL_tmethodz00_757 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_methodz00_756, ((obj_t) CNST_TABLE_REF(2)));
											{	/* Object/generic.scm 76 */

												{	/* Object/generic.scm 78 */
													obj_t BgL_arg1235z00_758;

													{	/* Object/generic.scm 78 */
														obj_t BgL_arg1236z00_759;
														obj_t BgL_arg1237z00_760;

														{	/* Object/generic.scm 78 */
															obj_t BgL_arg1240z00_761;

															{	/* Object/generic.scm 78 */
																obj_t BgL_arg1241z00_762;

																{	/* Object/generic.scm 78 */
																	obj_t BgL_arg1242z00_763;

																	{	/* Object/generic.scm 78 */
																		obj_t BgL_arg1244z00_764;

																		{	/* Object/generic.scm 78 */
																			obj_t BgL_arg1246z00_766;

																			{	/* Object/generic.scm 78 */
																				obj_t BgL_arg1247z00_767;

																				{	/* Object/generic.scm 78 */
																					obj_t BgL_arg1249z00_768;

																					{	/* Object/generic.scm 78 */
																						obj_t BgL_arg1250z00_769;

																						{	/* Object/generic.scm 78 */
																							obj_t BgL_arg1252z00_770;

																							BgL_arg1252z00_770 =
																								MAKE_YOUNG_PAIR
																								(BGl_za2moduleza2z00zzmodule_modulez00,
																								BNIL);
																							BgL_arg1250z00_769 =
																								MAKE_YOUNG_PAIR(BgL_idz00_750,
																								BgL_arg1252z00_770);
																						}
																						BgL_arg1249z00_768 =
																							MAKE_YOUNG_PAIR(
																							((obj_t)
																								CNST_TABLE_REF(3)),
																							BgL_arg1250z00_769);
																					}
																					BgL_arg1247z00_767 =
																						MAKE_YOUNG_PAIR(BgL_arg1249z00_768,
																						BNIL);
																				}
																				BgL_arg1246z00_766 =
																					MAKE_YOUNG_PAIR
																					(BgL_methodzd2argzd2idz00_754,
																					BgL_arg1247z00_767);
																			}
																			BgL_arg1244z00_764 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(4)),
																				BgL_arg1246z00_766);
																		}
																		{	/* Object/generic.scm 77 */
																			obj_t BgL_list1245z00_765;

																			BgL_list1245z00_765 =
																				MAKE_YOUNG_PAIR(BgL_arg1244z00_764,
																				BNIL);
																			BgL_arg1242z00_763 =
																				BGl_makezd2privatezd2sexpz00zzast_privatez00
																				(((obj_t) CNST_TABLE_REF(5)),
																				((obj_t) CNST_TABLE_REF(6)),
																				BgL_list1245z00_765);
																		}
																	}
																	BgL_arg1241z00_762 =
																		MAKE_YOUNG_PAIR(BgL_arg1242z00_763, BNIL);
																}
																BgL_arg1240z00_761 =
																	MAKE_YOUNG_PAIR(BgL_tmethodz00_757,
																	BgL_arg1241z00_762);
															}
															BgL_arg1236z00_759 =
																MAKE_YOUNG_PAIR(BgL_arg1240z00_761, BNIL);
														}
														{	/* Object/generic.scm 79 */
															obj_t BgL_arg1253z00_771;

															if ((BgL_arityz00_751 >= 0L))
																{	/* Object/generic.scm 79 */
																	BgL_arg1253z00_771 =
																		MAKE_YOUNG_PAIR(BgL_methodz00_756,
																		BgL_argszd2idzd2_752);
																}
															else
																{	/* Object/generic.scm 81 */
																	obj_t BgL_arg1255z00_773;

																	{	/* Object/generic.scm 81 */
																		obj_t BgL_arg1256z00_774;

																		{	/* Object/generic.scm 81 */
																			obj_t BgL_arg1258z00_775;

																			BgL_arg1258z00_775 =
																				MAKE_YOUNG_PAIR(
																				((obj_t)
																					CNST_TABLE_REF(7)),
																				BgL_argszd2idzd2_752);
																			BgL_arg1256z00_774 =
																				MAKE_YOUNG_PAIR(BgL_arg1258z00_775,
																				BNIL);
																		}
																		BgL_arg1255z00_773 =
																			MAKE_YOUNG_PAIR(BgL_methodz00_756,
																			BgL_arg1256z00_774);
																	}
																	BgL_arg1253z00_771 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(8)), BgL_arg1255z00_773);
																}
															BgL_arg1237z00_760 =
																MAKE_YOUNG_PAIR(BgL_arg1253z00_771, BNIL);
														}
														BgL_arg1235z00_758 =
															MAKE_YOUNG_PAIR(BgL_arg1236z00_759,
															BgL_arg1237z00_760);
													}
													return
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(9)), BgL_arg1235z00_758);
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* make-non-object-generic-body */
	obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t
		BgL_idz00_11, obj_t BgL_localsz00_12, obj_t BgL_argsz00_13,
		obj_t BgL_srcz00_14)
	{
		{	/* Object/generic.scm 86 */
			{	/* Object/generic.scm 87 */
				obj_t BgL_pidz00_793;

				BgL_pidz00_793 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_11,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_14));
				{	/* Object/generic.scm 87 */
					obj_t BgL_idz00_794;

					BgL_idz00_794 = CAR(BgL_pidz00_793);
					{	/* Object/generic.scm 88 */
						long BgL_arityz00_795;

						BgL_arityz00_795 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_13);
						{	/* Object/generic.scm 89 */
							obj_t BgL_argszd2idzd2_796;

							if (NULLP(BgL_localsz00_12))
								{	/* Object/generic.scm 90 */
									BgL_argszd2idzd2_796 = BNIL;
								}
							else
								{	/* Object/generic.scm 90 */
									obj_t BgL_head1118z00_846;

									{	/* Object/generic.scm 90 */
										obj_t BgL_arg1332z00_858;

										BgL_arg1332z00_858 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt)
															CAR(((obj_t) BgL_localsz00_12))))))->BgL_idz00);
										BgL_head1118z00_846 =
											MAKE_YOUNG_PAIR(BgL_arg1332z00_858, BNIL);
									}
									{	/* Object/generic.scm 90 */
										obj_t BgL_g1121z00_847;

										BgL_g1121z00_847 = CDR(((obj_t) BgL_localsz00_12));
										{
											obj_t BgL_l1116z00_849;
											obj_t BgL_tail1119z00_850;

											BgL_l1116z00_849 = BgL_g1121z00_847;
											BgL_tail1119z00_850 = BgL_head1118z00_846;
										BgL_zc3z04anonymousza31322ze3z87_851:
											if (NULLP(BgL_l1116z00_849))
												{	/* Object/generic.scm 90 */
													BgL_argszd2idzd2_796 = BgL_head1118z00_846;
												}
											else
												{	/* Object/generic.scm 90 */
													obj_t BgL_newtail1120z00_853;

													{	/* Object/generic.scm 90 */
														obj_t BgL_arg1327z00_855;

														BgL_arg1327z00_855 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_l1116z00_849))))))->
															BgL_idz00);
														BgL_newtail1120z00_853 =
															MAKE_YOUNG_PAIR(BgL_arg1327z00_855, BNIL);
													}
													SET_CDR(BgL_tail1119z00_850, BgL_newtail1120z00_853);
													{	/* Object/generic.scm 90 */
														obj_t BgL_arg1326z00_854;

														BgL_arg1326z00_854 =
															CDR(((obj_t) BgL_l1116z00_849));
														{
															obj_t BgL_tail1119z00_1708;
															obj_t BgL_l1116z00_1707;

															BgL_l1116z00_1707 = BgL_arg1326z00_854;
															BgL_tail1119z00_1708 = BgL_newtail1120z00_853;
															BgL_tail1119z00_850 = BgL_tail1119z00_1708;
															BgL_l1116z00_849 = BgL_l1116z00_1707;
															goto BgL_zc3z04anonymousza31322ze3z87_851;
														}
													}
												}
										}
									}
								}
							{	/* Object/generic.scm 90 */
								obj_t BgL_defaultzd2bodyzd2_797;

								if ((BgL_arityz00_795 >= 0L))
									{	/* Object/generic.scm 93 */
										obj_t BgL_arg1301z00_828;

										{	/* Object/generic.scm 93 */
											obj_t BgL_arg1302z00_829;

											{	/* Object/generic.scm 93 */
												obj_t BgL_arg1303z00_830;

												{	/* Object/generic.scm 93 */
													obj_t BgL_arg1304z00_831;

													{	/* Object/generic.scm 93 */
														obj_t BgL_arg1305z00_832;

														BgL_arg1305z00_832 =
															MAKE_YOUNG_PAIR
															(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
														BgL_arg1304z00_831 =
															MAKE_YOUNG_PAIR(BgL_idz00_794,
															BgL_arg1305z00_832);
													}
													BgL_arg1303z00_830 =
														MAKE_YOUNG_PAIR(
														((obj_t) CNST_TABLE_REF(3)), BgL_arg1304z00_831);
												}
												BgL_arg1302z00_829 =
													MAKE_YOUNG_PAIR(BgL_arg1303z00_830, BNIL);
											}
											BgL_arg1301z00_828 =
												MAKE_YOUNG_PAIR(
												((obj_t) CNST_TABLE_REF(10)), BgL_arg1302z00_829);
										}
										BgL_defaultzd2bodyzd2_797 =
											MAKE_YOUNG_PAIR(BgL_arg1301z00_828, BgL_argszd2idzd2_796);
									}
								else
									{	/* Object/generic.scm 96 */
										obj_t BgL_arg1309z00_833;

										{	/* Object/generic.scm 96 */
											obj_t BgL_arg1310z00_834;
											obj_t BgL_arg1311z00_835;

											{	/* Object/generic.scm 96 */
												obj_t BgL_arg1313z00_836;

												{	/* Object/generic.scm 96 */
													obj_t BgL_arg1314z00_837;

													{	/* Object/generic.scm 96 */
														obj_t BgL_arg1315z00_838;

														{	/* Object/generic.scm 96 */
															obj_t BgL_arg1316z00_839;

															BgL_arg1316z00_839 =
																MAKE_YOUNG_PAIR
																(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
															BgL_arg1315z00_838 =
																MAKE_YOUNG_PAIR(BgL_idz00_794,
																BgL_arg1316z00_839);
														}
														BgL_arg1314z00_837 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(3)), BgL_arg1315z00_838);
													}
													BgL_arg1313z00_836 =
														MAKE_YOUNG_PAIR(BgL_arg1314z00_837, BNIL);
												}
												BgL_arg1310z00_834 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(10)), BgL_arg1313z00_836);
											}
											{	/* Object/generic.scm 97 */
												obj_t BgL_arg1317z00_840;

												{	/* Object/generic.scm 97 */
													obj_t BgL_arg1318z00_841;

													{	/* Object/generic.scm 97 */
														obj_t BgL_arg1319z00_842;

														{	/* Object/generic.scm 97 */
															obj_t BgL_arg1320z00_843;

															BgL_arg1320z00_843 =
																MAKE_YOUNG_PAIR(
																((obj_t) CNST_TABLE_REF(11)), BNIL);
															BgL_arg1319z00_842 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(7)), BgL_arg1320z00_843);
														}
														BgL_arg1318z00_841 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(3)), BgL_arg1319z00_842);
													}
													BgL_arg1317z00_840 =
														MAKE_YOUNG_PAIR(BgL_arg1318z00_841,
														BgL_argszd2idzd2_796);
												}
												BgL_arg1311z00_835 =
													MAKE_YOUNG_PAIR(BgL_arg1317z00_840, BNIL);
											}
											BgL_arg1309z00_833 =
												MAKE_YOUNG_PAIR(BgL_arg1310z00_834, BgL_arg1311z00_835);
										}
										BgL_defaultzd2bodyzd2_797 =
											MAKE_YOUNG_PAIR(
											((obj_t) CNST_TABLE_REF(8)), BgL_arg1309z00_833);
									}
								{	/* Object/generic.scm 91 */
									obj_t BgL_methodzd2argzd2_798;

									BgL_methodzd2argzd2_798 = CAR(((obj_t) BgL_localsz00_12));
									{	/* Object/generic.scm 100 */
										obj_t BgL_methodzd2argzd2idz00_799;

										BgL_methodzd2argzd2idz00_799 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_methodzd2argzd2_798))))->
											BgL_idz00);
										{	/* Object/generic.scm 102 */
											obj_t BgL_methodz00_801;

											BgL_methodz00_801 =
												BGl_gensymz00zz__r4_symbols_6_4z00(
												((obj_t) CNST_TABLE_REF(1)));
											{	/* Object/generic.scm 103 */
												obj_t BgL_tmethodz00_802;

												BgL_tmethodz00_802 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_methodz00_801, ((obj_t) CNST_TABLE_REF(2)));
												{	/* Object/generic.scm 104 */
													obj_t BgL_appzd2lyzd2methodz00_803;

													{	/* Object/generic.scm 109 */
														obj_t BgL_arg1279z00_809;

														{	/* Object/generic.scm 109 */
															obj_t BgL_arg1280z00_810;
															obj_t BgL_arg1281z00_811;

															{	/* Object/generic.scm 109 */
																obj_t BgL_arg1282z00_812;

																{	/* Object/generic.scm 109 */
																	obj_t BgL_arg1284z00_813;

																	{	/* Object/generic.scm 109 */
																		obj_t BgL_arg1285z00_814;

																		{	/* Object/generic.scm 109 */
																			obj_t BgL_arg1287z00_815;

																			{	/* Object/generic.scm 109 */
																				obj_t BgL_arg1289z00_817;

																				{	/* Object/generic.scm 109 */
																					obj_t BgL_arg1291z00_818;

																					{	/* Object/generic.scm 109 */
																						obj_t BgL_arg1292z00_819;

																						{	/* Object/generic.scm 109 */
																							obj_t BgL_arg1293z00_820;

																							{	/* Object/generic.scm 109 */
																								obj_t BgL_arg1294z00_821;

																								BgL_arg1294z00_821 =
																									MAKE_YOUNG_PAIR
																									(BGl_za2moduleza2z00zzmodule_modulez00,
																									BNIL);
																								BgL_arg1293z00_820 =
																									MAKE_YOUNG_PAIR(BgL_idz00_794,
																									BgL_arg1294z00_821);
																							}
																							BgL_arg1292z00_819 =
																								MAKE_YOUNG_PAIR(
																								((obj_t)
																									CNST_TABLE_REF(3)),
																								BgL_arg1293z00_820);
																						}
																						BgL_arg1291z00_818 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1292z00_819, BNIL);
																					}
																					BgL_arg1289z00_817 =
																						MAKE_YOUNG_PAIR
																						(BgL_methodzd2argzd2idz00_799,
																						BgL_arg1291z00_818);
																				}
																				BgL_arg1287z00_815 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(4)),
																					BgL_arg1289z00_817);
																			}
																			{	/* Object/generic.scm 106 */
																				obj_t BgL_list1288z00_816;

																				BgL_list1288z00_816 =
																					MAKE_YOUNG_PAIR(BgL_arg1287z00_815,
																					BNIL);
																				BgL_arg1285z00_814 =
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(((obj_t) CNST_TABLE_REF(5)),
																					((obj_t) CNST_TABLE_REF(6)),
																					BgL_list1288z00_816);
																			}
																		}
																		BgL_arg1284z00_813 =
																			MAKE_YOUNG_PAIR(BgL_arg1285z00_814, BNIL);
																	}
																	BgL_arg1282z00_812 =
																		MAKE_YOUNG_PAIR(BgL_tmethodz00_802,
																		BgL_arg1284z00_813);
																}
																BgL_arg1280z00_810 =
																	MAKE_YOUNG_PAIR(BgL_arg1282z00_812, BNIL);
															}
															{	/* Object/generic.scm 110 */
																obj_t BgL_arg1295z00_822;

																if ((BgL_arityz00_795 >= 0L))
																	{	/* Object/generic.scm 110 */
																		BgL_arg1295z00_822 =
																			MAKE_YOUNG_PAIR(BgL_methodz00_801,
																			BgL_argszd2idzd2_796);
																	}
																else
																	{	/* Object/generic.scm 112 */
																		obj_t BgL_arg1297z00_824;

																		{	/* Object/generic.scm 112 */
																			obj_t BgL_arg1298z00_825;

																			{	/* Object/generic.scm 112 */
																				obj_t BgL_arg1299z00_826;

																				BgL_arg1299z00_826 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(7)),
																					BgL_argszd2idzd2_796);
																				BgL_arg1298z00_825 =
																					MAKE_YOUNG_PAIR(BgL_arg1299z00_826,
																					BNIL);
																			}
																			BgL_arg1297z00_824 =
																				MAKE_YOUNG_PAIR(BgL_methodz00_801,
																				BgL_arg1298z00_825);
																		}
																		BgL_arg1295z00_822 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(8)), BgL_arg1297z00_824);
																	}
																BgL_arg1281z00_811 =
																	MAKE_YOUNG_PAIR(BgL_arg1295z00_822, BNIL);
															}
															BgL_arg1279z00_809 =
																MAKE_YOUNG_PAIR(BgL_arg1280z00_810,
																BgL_arg1281z00_811);
														}
														BgL_appzd2lyzd2methodz00_803 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(9)), BgL_arg1279z00_809);
													}
													{	/* Object/generic.scm 105 */

														{	/* Object/generic.scm 114 */
															obj_t BgL_arg1273z00_804;

															{	/* Object/generic.scm 114 */
																obj_t BgL_arg1274z00_805;
																obj_t BgL_arg1275z00_806;

																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg1276z00_807;

																	BgL_arg1276z00_807 =
																		MAKE_YOUNG_PAIR
																		(BgL_methodzd2argzd2idz00_799, BNIL);
																	BgL_arg1274z00_805 =
																		MAKE_YOUNG_PAIR(((obj_t)
																			CNST_TABLE_REF(12)), BgL_arg1276z00_807);
																}
																{	/* Object/generic.scm 114 */
																	obj_t BgL_arg1277z00_808;

																	BgL_arg1277z00_808 =
																		MAKE_YOUNG_PAIR(BgL_defaultzd2bodyzd2_797,
																		BNIL);
																	BgL_arg1275z00_806 =
																		MAKE_YOUNG_PAIR
																		(BgL_appzd2lyzd2methodz00_803,
																		BgL_arg1277z00_808);
																}
																BgL_arg1273z00_804 =
																	MAKE_YOUNG_PAIR(BgL_arg1274z00_805,
																	BgL_arg1275z00_806);
															}
															return
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(13)), BgL_arg1273z00_804);
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00(void)
	{
		{	/* Object/generic.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(47102372L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1398z00zzobject_genericz00));
		}

	}

#ifdef __cplusplus
}
#endif
