/*===========================================================================*/
/*   (Peephole/walk.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Peephole/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_PEEPHOLE_WALK_TYPE_DEFINITIONS
#define BGL_PEEPHOLE_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_PEEPHOLE_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static bool_t
		BGl_symbolzd2ze3stringzd2appzf3z10zzpeephole_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzpeephole_walkz00 = BUNSPEC;
	static obj_t BGl_za2substringza2z00zzpeephole_walkz00 = BUNSPEC;
	static obj_t BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_za2z42stringzd2refza2z90zzpeephole_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzpeephole_walkz00(void);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzpeephole_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_za2stringzd2refza2zd2zzpeephole_walkz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzpeephole_walkz00(void);
	static obj_t BGl_z62clearzd2peepholezd2cachez12z70zzpeephole_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_z62peepholez12z70zzpeephole_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62peepholezd2walkz12za2zzpeephole_walkz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_peepholezd2stringzd2refz12z12zzpeephole_walkz00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_methodzd2initzd2zzpeephole_walkz00(void);
	static BgL_nodez00_bglt
		BGl_peepholez12z12zzpeephole_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62initzd2peepholezd2cachez12z70zzpeephole_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_peepholezd2walkz12zc0zzpeephole_walkz00(obj_t);
	static obj_t BGl_peepholezd2funz12zc0zzpeephole_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62peepholez121252z70zzpeephole_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzpeephole_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzpeephole_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzpeephole_walkz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzpeephole_walkz00(void);
	static obj_t BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzpeephole_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62peepholez12zd2letzd2var1256z70zzpeephole_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t
		BGl_stringzd2refzd2appzf3zf3zzpeephole_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00 = BUNSPEC;
	static obj_t __cnst[11];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2peepholezd2cachez12zd2envzc0zzpeephole_walkz00,
		BgL_bgl_za762clearza7d2peeph1674z00,
		BGl_z62clearzd2peepholezd2cachez12z70zzpeephole_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_initzd2peepholezd2cachez12zd2envzc0zzpeephole_walkz00,
		BgL_bgl_za762initza7d2peepho1675z00,
		BGl_z62initzd2peepholezd2cachez12z70zzpeephole_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1648z00zzpeephole_walkz00,
		BgL_bgl_string1648za700za7za7p1676za7, "peephole", 8);
	      DEFINE_STRING(BGl_string1649z00zzpeephole_walkz00,
		BgL_bgl_string1649za700za7za7p1677za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1650z00zzpeephole_walkz00,
		BgL_bgl_string1650za700za7za7p1678za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1651z00zzpeephole_walkz00,
		BgL_bgl_string1651za700za7za7p1679za7, " error", 6);
	      DEFINE_STRING(BGl_string1652z00zzpeephole_walkz00,
		BgL_bgl_string1652za700za7za7p1680za7, "s", 1);
	      DEFINE_STRING(BGl_string1653z00zzpeephole_walkz00,
		BgL_bgl_string1653za700za7za7p1681za7, "", 0);
	      DEFINE_STRING(BGl_string1654z00zzpeephole_walkz00,
		BgL_bgl_string1654za700za7za7p1682za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1655z00zzpeephole_walkz00,
		BgL_bgl_string1655za700za7za7p1683za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1656z00zzpeephole_walkz00,
		BgL_bgl_string1656za700za7za7p1684za7, " s=", 3);
	      DEFINE_STRING(BGl_string1657z00zzpeephole_walkz00,
		BgL_bgl_string1657za700za7za7p1685za7, "var=", 4);
	      DEFINE_STRING(BGl_string1658z00zzpeephole_walkz00,
		BgL_bgl_string1658za700za7za7p1686za7, ":", 1);
	      DEFINE_STRING(BGl_string1659z00zzpeephole_walkz00,
		BgL_bgl_string1659za700za7za7p1687za7, ",", 1);
	      DEFINE_STRING(BGl_string1660z00zzpeephole_walkz00,
		BgL_bgl_string1660za700za7za7p1688za7, "Peephole/walk.scm", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_peepholezd2walkz12zd2envz12zzpeephole_walkz00,
		BgL_bgl_za762peepholeza7d2wa1689z00,
		BGl_z62peepholezd2walkz12za2zzpeephole_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1662z00zzpeephole_walkz00,
		BgL_bgl_string1662za700za7za7p1690za7, "peephole!1252", 13);
	      DEFINE_STRING(BGl_string1664z00zzpeephole_walkz00,
		BgL_bgl_string1664za700za7za7p1691za7, "peephole!::node", 15);
	      DEFINE_STRING(BGl_string1665z00zzpeephole_walkz00,
		BgL_bgl_string1665za700za7za7p1692za7, "peephole_walk", 13);
	      DEFINE_STRING(BGl_string1666z00zzpeephole_walkz00,
		BgL_bgl_string1666za700za7za7p1693za7,
		"symbol->string! __r4_symbols_6_4 symbol->string substring __r4_strings_6_7 string-ref foreign $string-ref (clear-peephole-cache!) pass-started (init-peephole-cache!) ",
		166);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1661z00zzpeephole_walkz00,
		BgL_bgl_za762peepholeza712121694z00,
		BGl_z62peepholez121252z70zzpeephole_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1663z00zzpeephole_walkz00,
		BgL_bgl_za762peepholeza712za7d1695za7,
		BGl_z62peepholez12zd2letzd2var1256z70zzpeephole_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_peepholez12zd2envzc0zzpeephole_walkz00,
		BgL_bgl_za762peepholeza712za771696za7,
		BGl_z62peepholez12z70zzpeephole_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzpeephole_walkz00));
		     ADD_ROOT((void *) (&BGl_za2substringza2z00zzpeephole_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00));
		     ADD_ROOT((void *) (&BGl_za2z42stringzd2refza2z90zzpeephole_walkz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2refza2zd2zzpeephole_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzpeephole_walkz00(long
		BgL_checksumz00_2007, char *BgL_fromz00_2008)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzpeephole_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzpeephole_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzpeephole_walkz00();
					BGl_libraryzd2moduleszd2initz00zzpeephole_walkz00();
					BGl_cnstzd2initzd2zzpeephole_walkz00();
					BGl_importedzd2moduleszd2initz00zzpeephole_walkz00();
					BGl_genericzd2initzd2zzpeephole_walkz00();
					BGl_methodzd2initzd2zzpeephole_walkz00();
					return BGl_toplevelzd2initzd2zzpeephole_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"peephole_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "peephole_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			{	/* Peephole/walk.scm 17 */
				obj_t BgL_cportz00_1994;

				{	/* Peephole/walk.scm 17 */
					obj_t BgL_stringz00_2001;

					BgL_stringz00_2001 = BGl_string1666z00zzpeephole_walkz00;
					{	/* Peephole/walk.scm 17 */
						obj_t BgL_startz00_2002;

						BgL_startz00_2002 = BINT(0L);
						{	/* Peephole/walk.scm 17 */
							obj_t BgL_endz00_2003;

							BgL_endz00_2003 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2001)));
							{	/* Peephole/walk.scm 17 */

								BgL_cportz00_1994 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2001, BgL_startz00_2002, BgL_endz00_2003);
				}}}}
				{
					long BgL_iz00_1995;

					BgL_iz00_1995 = 10L;
				BgL_loopz00_1996:
					if ((BgL_iz00_1995 == (-1L)))
						{	/* Peephole/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Peephole/walk.scm 17 */
							{	/* Peephole/walk.scm 17 */
								obj_t BgL_arg1673z00_1997;

								{	/* Peephole/walk.scm 17 */

									{	/* Peephole/walk.scm 17 */
										obj_t BgL_locationz00_1999;

										BgL_locationz00_1999 = BBOOL(((bool_t) 0));
										{	/* Peephole/walk.scm 17 */

											BgL_arg1673z00_1997 =
												BGl_readz00zz__readerz00(BgL_cportz00_1994,
												BgL_locationz00_1999);
										}
									}
								}
								{	/* Peephole/walk.scm 17 */
									int BgL_tmpz00_2041;

									BgL_tmpz00_2041 = (int) (BgL_iz00_1995);
									CNST_TABLE_SET(BgL_tmpz00_2041, BgL_arg1673z00_1997);
							}}
							{	/* Peephole/walk.scm 17 */
								int BgL_auxz00_2000;

								BgL_auxz00_2000 = (int) ((BgL_iz00_1995 - 1L));
								{
									long BgL_iz00_2046;

									BgL_iz00_2046 = (long) (BgL_auxz00_2000);
									BgL_iz00_1995 = BgL_iz00_2046;
									goto BgL_loopz00_1996;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			BGl_za2z42stringzd2refza2z90zzpeephole_walkz00 = BFALSE;
			BGl_za2stringzd2refza2zd2zzpeephole_walkz00 = BFALSE;
			BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00 = BFALSE;
			BGl_za2substringza2z00zzpeephole_walkz00 = BFALSE;
			BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00 = BFALSE;
			BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* peephole-walk! */
	BGL_EXPORTED_DEF obj_t BGl_peepholezd2walkz12zc0zzpeephole_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Peephole/walk.scm 40 */
			{	/* Peephole/walk.scm 41 */
				obj_t BgL_list1280z00_1490;

				{	/* Peephole/walk.scm 41 */
					obj_t BgL_arg1281z00_1491;

					{	/* Peephole/walk.scm 41 */
						obj_t BgL_arg1282z00_1492;

						BgL_arg1282z00_1492 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1281z00_1491 =
							MAKE_YOUNG_PAIR(BGl_string1648z00zzpeephole_walkz00,
							BgL_arg1282z00_1492);
					}
					BgL_list1280z00_1490 =
						MAKE_YOUNG_PAIR(BGl_string1649z00zzpeephole_walkz00,
						BgL_arg1281z00_1491);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1280z00_1490);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1648z00zzpeephole_walkz00;
			{	/* Peephole/walk.scm 41 */
				obj_t BgL_g1117z00_1493;
				obj_t BgL_g1118z00_1494;

				{	/* Peephole/walk.scm 41 */
					obj_t BgL_list1293z00_1507;

					BgL_list1293z00_1507 =
						MAKE_YOUNG_PAIR
						(BGl_initzd2peepholezd2cachez12zd2envzc0zzpeephole_walkz00, BNIL);
					BgL_g1117z00_1493 = BgL_list1293z00_1507;
				}
				BgL_g1118z00_1494 = ((obj_t) CNST_TABLE_REF(0));
				{
					obj_t BgL_hooksz00_1496;
					obj_t BgL_hnamesz00_1497;

					BgL_hooksz00_1496 = BgL_g1117z00_1493;
					BgL_hnamesz00_1497 = BgL_g1118z00_1494;
				BgL_zc3z04anonymousza31283ze3z87_1498:
					if (NULLP(BgL_hooksz00_1496))
						{	/* Peephole/walk.scm 41 */
							((obj_t) CNST_TABLE_REF(1));
						}
					else
						{	/* Peephole/walk.scm 41 */
							bool_t BgL_test1700z00_2063;

							{	/* Peephole/walk.scm 41 */
								obj_t BgL_fun1292z00_1505;

								BgL_fun1292z00_1505 = CAR(((obj_t) BgL_hooksz00_1496));
								BgL_test1700z00_2063 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1292z00_1505));
							}
							if (BgL_test1700z00_2063)
								{	/* Peephole/walk.scm 41 */
									obj_t BgL_arg1288z00_1502;
									obj_t BgL_arg1289z00_1503;

									BgL_arg1288z00_1502 = CDR(((obj_t) BgL_hooksz00_1496));
									BgL_arg1289z00_1503 = CDR(((obj_t) BgL_hnamesz00_1497));
									{
										obj_t BgL_hnamesz00_2075;
										obj_t BgL_hooksz00_2074;

										BgL_hooksz00_2074 = BgL_arg1288z00_1502;
										BgL_hnamesz00_2075 = BgL_arg1289z00_1503;
										BgL_hnamesz00_1497 = BgL_hnamesz00_2075;
										BgL_hooksz00_1496 = BgL_hooksz00_2074;
										goto BgL_zc3z04anonymousza31283ze3z87_1498;
									}
								}
							else
								{	/* Peephole/walk.scm 41 */
									obj_t BgL_arg1291z00_1504;

									BgL_arg1291z00_1504 = CAR(((obj_t) BgL_hnamesz00_1497));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1648z00zzpeephole_walkz00,
										BGl_string1650z00zzpeephole_walkz00, BgL_arg1291z00_1504);
								}
						}
				}
			}
			{
				obj_t BgL_l1249z00_1509;

				BgL_l1249z00_1509 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31294ze3z87_1510:
				if (PAIRP(BgL_l1249z00_1509))
					{	/* Peephole/walk.scm 42 */
						BGl_peepholezd2funz12zc0zzpeephole_walkz00(CAR(BgL_l1249z00_1509));
						{
							obj_t BgL_l1249z00_2083;

							BgL_l1249z00_2083 = CDR(BgL_l1249z00_1509);
							BgL_l1249z00_1509 = BgL_l1249z00_2083;
							goto BgL_zc3z04anonymousza31294ze3z87_1510;
						}
					}
				else
					{	/* Peephole/walk.scm 42 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Peephole/walk.scm 43 */
					{	/* Peephole/walk.scm 43 */
						obj_t BgL_port1251z00_1517;

						{	/* Peephole/walk.scm 43 */
							obj_t BgL_tmpz00_2088;

							BgL_tmpz00_2088 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1251z00_1517 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2088);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1251z00_1517);
						bgl_display_string(BGl_string1651z00zzpeephole_walkz00,
							BgL_port1251z00_1517);
						{	/* Peephole/walk.scm 43 */
							obj_t BgL_arg1299z00_1518;

							{	/* Peephole/walk.scm 43 */
								bool_t BgL_test1703z00_2093;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Peephole/walk.scm 43 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Peephole/walk.scm 43 */
												BgL_test1703z00_2093 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Peephole/walk.scm 43 */
												BgL_test1703z00_2093 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Peephole/walk.scm 43 */
										BgL_test1703z00_2093 = ((bool_t) 0);
									}
								if (BgL_test1703z00_2093)
									{	/* Peephole/walk.scm 43 */
										BgL_arg1299z00_1518 = BGl_string1652z00zzpeephole_walkz00;
									}
								else
									{	/* Peephole/walk.scm 43 */
										BgL_arg1299z00_1518 = BGl_string1653z00zzpeephole_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1299z00_1518, BgL_port1251z00_1517);
						}
						bgl_display_string(BGl_string1654z00zzpeephole_walkz00,
							BgL_port1251z00_1517);
						bgl_display_char(((unsigned char) 10), BgL_port1251z00_1517);
					}
					{	/* Peephole/walk.scm 43 */
						obj_t BgL_list1307z00_1522;

						BgL_list1307z00_1522 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1307z00_1522);
					}
				}
			else
				{	/* Peephole/walk.scm 43 */
					obj_t BgL_g1119z00_1523;
					obj_t BgL_g1120z00_1524;

					{	/* Peephole/walk.scm 43 */
						obj_t BgL_list1317z00_1537;

						BgL_list1317z00_1537 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2peepholezd2cachez12zd2envzc0zzpeephole_walkz00,
							BNIL);
						BgL_g1119z00_1523 = BgL_list1317z00_1537;
					}
					BgL_g1120z00_1524 = ((obj_t) CNST_TABLE_REF(2));
					{
						obj_t BgL_hooksz00_1526;
						obj_t BgL_hnamesz00_1527;

						BgL_hooksz00_1526 = BgL_g1119z00_1523;
						BgL_hnamesz00_1527 = BgL_g1120z00_1524;
					BgL_zc3z04anonymousza31308ze3z87_1528:
						if (NULLP(BgL_hooksz00_1526))
							{	/* Peephole/walk.scm 43 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Peephole/walk.scm 43 */
								bool_t BgL_test1707z00_2113;

								{	/* Peephole/walk.scm 43 */
									obj_t BgL_fun1316z00_1535;

									BgL_fun1316z00_1535 = CAR(((obj_t) BgL_hooksz00_1526));
									BgL_test1707z00_2113 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1316z00_1535));
								}
								if (BgL_test1707z00_2113)
									{	/* Peephole/walk.scm 43 */
										obj_t BgL_arg1313z00_1532;
										obj_t BgL_arg1314z00_1533;

										BgL_arg1313z00_1532 = CDR(((obj_t) BgL_hooksz00_1526));
										BgL_arg1314z00_1533 = CDR(((obj_t) BgL_hnamesz00_1527));
										{
											obj_t BgL_hnamesz00_2125;
											obj_t BgL_hooksz00_2124;

											BgL_hooksz00_2124 = BgL_arg1313z00_1532;
											BgL_hnamesz00_2125 = BgL_arg1314z00_1533;
											BgL_hnamesz00_1527 = BgL_hnamesz00_2125;
											BgL_hooksz00_1526 = BgL_hooksz00_2124;
											goto BgL_zc3z04anonymousza31308ze3z87_1528;
										}
									}
								else
									{	/* Peephole/walk.scm 43 */
										obj_t BgL_arg1315z00_1534;

										BgL_arg1315z00_1534 = CAR(((obj_t) BgL_hnamesz00_1527));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1655z00zzpeephole_walkz00, BgL_arg1315z00_1534);
									}
							}
					}
				}
		}

	}



/* &peephole-walk! */
	obj_t BGl_z62peepholezd2walkz12za2zzpeephole_walkz00(obj_t BgL_envz00_1981,
		obj_t BgL_globalsz00_1982)
	{
		{	/* Peephole/walk.scm 40 */
			return BGl_peepholezd2walkz12zc0zzpeephole_walkz00(BgL_globalsz00_1982);
		}

	}



/* &init-peephole-cache! */
	obj_t BGl_z62initzd2peepholezd2cachez12z70zzpeephole_walkz00(obj_t
		BgL_envz00_1983)
	{
		{	/* Peephole/walk.scm 58 */
			BGl_za2z42stringzd2refza2z90zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(3)), ((obj_t) CNST_TABLE_REF(4)));
			BGl_za2stringzd2refza2zd2zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(5)), ((obj_t) CNST_TABLE_REF(6)));
			BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(5)), ((obj_t) CNST_TABLE_REF(6)));
			BGl_za2substringza2z00zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(7)), ((obj_t) CNST_TABLE_REF(6)));
			BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
				((obj_t) CNST_TABLE_REF(8)), ((obj_t) CNST_TABLE_REF(9)));
			return (BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(
					((obj_t) CNST_TABLE_REF(10)), ((obj_t) CNST_TABLE_REF(9))), BUNSPEC);
		}

	}



/* &clear-peephole-cache! */
	obj_t BGl_z62clearzd2peepholezd2cachez12z70zzpeephole_walkz00(obj_t
		BgL_envz00_1984)
	{
		{	/* Peephole/walk.scm 69 */
			BGl_za2z42stringzd2refza2z90zzpeephole_walkz00 = BFALSE;
			BGl_za2stringzd2refza2zd2zzpeephole_walkz00 = BFALSE;
			BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00 = BFALSE;
			BGl_za2substringza2z00zzpeephole_walkz00 = BFALSE;
			BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00 = BFALSE;
			return (BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00 =
				BFALSE, BUNSPEC);
		}

	}



/* peephole-fun! */
	obj_t BGl_peepholezd2funz12zc0zzpeephole_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Peephole/walk.scm 80 */
			{	/* Peephole/walk.scm 83 */
				obj_t BgL_arg1318z00_1538;

				BgL_arg1318z00_1538 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1318z00_1538);
			}
			{	/* Peephole/walk.scm 84 */
				BgL_valuez00_bglt BgL_funz00_1539;

				BgL_funz00_1539 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Peephole/walk.scm 85 */
					BgL_nodez00_bglt BgL_arg1319z00_1540;

					{	/* Peephole/walk.scm 85 */
						obj_t BgL_arg1320z00_1541;

						BgL_arg1320z00_1541 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1539)))->BgL_bodyz00);
						BgL_arg1319z00_1540 =
							BGl_peepholez12z12zzpeephole_walkz00(
							((BgL_nodez00_bglt) BgL_arg1320z00_1541));
					}
					((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1539)))->BgL_bodyz00) =
						((obj_t) ((obj_t) BgL_arg1319z00_1540)), BUNSPEC);
				}
				BGl_leavezd2functionzd2zztools_errorz00();
				return BgL_varz00_18;
			}
		}

	}



/* string-ref-app? */
	bool_t BGl_stringzd2refzd2appzf3zf3zzpeephole_walkz00(BgL_nodez00_bglt
		BgL_nodez00_21)
	{
		{	/* Peephole/walk.scm 108 */
			{	/* Peephole/walk.scm 109 */
				bool_t BgL_test1708z00_2173;

				{	/* Peephole/walk.scm 109 */
					obj_t BgL_classz00_1810;

					BgL_classz00_1810 = BGl_appz00zzast_nodez00;
					{	/* Peephole/walk.scm 109 */
						BgL_objectz00_bglt BgL_arg1858z00_1812;

						{	/* Peephole/walk.scm 109 */
							obj_t BgL_tmpz00_2174;

							BgL_tmpz00_2174 = ((obj_t) BgL_nodez00_21);
							BgL_arg1858z00_1812 = (BgL_objectz00_bglt) (BgL_tmpz00_2174);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Peephole/walk.scm 109 */
								long BgL_idxz00_1818;

								BgL_idxz00_1818 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1812);
								BgL_test1708z00_2173 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1818 + 3L)) == BgL_classz00_1810);
							}
						else
							{	/* Peephole/walk.scm 109 */
								bool_t BgL_res1639z00_1843;

								{	/* Peephole/walk.scm 109 */
									obj_t BgL_oclassz00_1826;

									{	/* Peephole/walk.scm 109 */
										obj_t BgL_arg1866z00_1834;
										long BgL_arg1867z00_1835;

										BgL_arg1866z00_1834 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Peephole/walk.scm 109 */
											long BgL_arg1869z00_1836;

											BgL_arg1869z00_1836 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1812);
											BgL_arg1867z00_1835 = (BgL_arg1869z00_1836 - OBJECT_TYPE);
										}
										BgL_oclassz00_1826 =
											VECTOR_REF(BgL_arg1866z00_1834, BgL_arg1867z00_1835);
									}
									{	/* Peephole/walk.scm 109 */
										bool_t BgL__ortest_1115z00_1827;

										BgL__ortest_1115z00_1827 =
											(BgL_classz00_1810 == BgL_oclassz00_1826);
										if (BgL__ortest_1115z00_1827)
											{	/* Peephole/walk.scm 109 */
												BgL_res1639z00_1843 = BgL__ortest_1115z00_1827;
											}
										else
											{	/* Peephole/walk.scm 109 */
												long BgL_odepthz00_1828;

												{	/* Peephole/walk.scm 109 */
													obj_t BgL_arg1855z00_1829;

													BgL_arg1855z00_1829 = (BgL_oclassz00_1826);
													BgL_odepthz00_1828 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1829);
												}
												if ((3L < BgL_odepthz00_1828))
													{	/* Peephole/walk.scm 109 */
														obj_t BgL_arg1853z00_1831;

														{	/* Peephole/walk.scm 109 */
															obj_t BgL_arg1854z00_1832;

															BgL_arg1854z00_1832 = (BgL_oclassz00_1826);
															BgL_arg1853z00_1831 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1832,
																3L);
														}
														BgL_res1639z00_1843 =
															(BgL_arg1853z00_1831 == BgL_classz00_1810);
													}
												else
													{	/* Peephole/walk.scm 109 */
														BgL_res1639z00_1843 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1708z00_2173 = BgL_res1639z00_1843;
							}
					}
				}
				if (BgL_test1708z00_2173)
					{	/* Peephole/walk.scm 111 */
						BgL_varz00_bglt BgL_i1123z00_1544;

						BgL_i1123z00_1544 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_21)))->BgL_funz00);
						{	/* Peephole/walk.scm 112 */
							bool_t BgL__ortest_1124z00_1545;

							{	/* Peephole/walk.scm 112 */
								obj_t BgL_arg1331z00_1551;

								BgL_arg1331z00_1551 =
									((obj_t)
									(((BgL_varz00_bglt) COBJECT(BgL_i1123z00_1544))->
										BgL_variablez00));
								BgL__ortest_1124z00_1545 =
									(BgL_arg1331z00_1551 ==
									BGl_za2z42stringzd2refza2z90zzpeephole_walkz00);
							}
							if (BgL__ortest_1124z00_1545)
								{	/* Peephole/walk.scm 112 */
									return BgL__ortest_1124z00_1545;
								}
							else
								{	/* Peephole/walk.scm 113 */
									bool_t BgL__ortest_1125z00_1546;

									{	/* Peephole/walk.scm 113 */
										obj_t BgL_arg1327z00_1550;

										BgL_arg1327z00_1550 =
											((obj_t)
											(((BgL_varz00_bglt) COBJECT(BgL_i1123z00_1544))->
												BgL_variablez00));
										BgL__ortest_1125z00_1546 =
											(BgL_arg1327z00_1550 ==
											BGl_za2stringzd2refza2zd2zzpeephole_walkz00);
									}
									if (BgL__ortest_1125z00_1546)
										{	/* Peephole/walk.scm 113 */
											return BgL__ortest_1125z00_1546;
										}
									else
										{	/* Peephole/walk.scm 114 */
											bool_t BgL__ortest_1126z00_1547;

											{	/* Peephole/walk.scm 114 */
												obj_t BgL_arg1326z00_1549;

												BgL_arg1326z00_1549 =
													((obj_t)
													(((BgL_varz00_bglt) COBJECT(BgL_i1123z00_1544))->
														BgL_variablez00));
												BgL__ortest_1126z00_1547 =
													(BgL_arg1326z00_1549 ==
													BGl_za2stringzd2refzd2urza2z00zzpeephole_walkz00);
											}
											if (BgL__ortest_1126z00_1547)
												{	/* Peephole/walk.scm 114 */
													return BgL__ortest_1126z00_1547;
												}
											else
												{	/* Peephole/walk.scm 115 */
													obj_t BgL_arg1322z00_1548;

													BgL_arg1322z00_1548 =
														((obj_t)
														(((BgL_varz00_bglt) COBJECT(BgL_i1123z00_1544))->
															BgL_variablez00));
													return (BgL_arg1322z00_1548 ==
														BGl_za2substringza2z00zzpeephole_walkz00);
												}
										}
								}
						}
					}
				else
					{	/* Peephole/walk.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* symbol->string-app? */
	bool_t BGl_symbolzd2ze3stringzd2appzf3z10zzpeephole_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		{	/* Peephole/walk.scm 120 */
			{	/* Peephole/walk.scm 121 */
				bool_t BgL_test1715z00_2213;

				{	/* Peephole/walk.scm 121 */
					obj_t BgL_classz00_1844;

					BgL_classz00_1844 = BGl_appz00zzast_nodez00;
					{	/* Peephole/walk.scm 121 */
						BgL_objectz00_bglt BgL_arg1858z00_1846;

						{	/* Peephole/walk.scm 121 */
							obj_t BgL_tmpz00_2214;

							BgL_tmpz00_2214 = ((obj_t) BgL_nodez00_22);
							BgL_arg1858z00_1846 = (BgL_objectz00_bglt) (BgL_tmpz00_2214);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Peephole/walk.scm 121 */
								long BgL_idxz00_1852;

								BgL_idxz00_1852 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1846);
								BgL_test1715z00_2213 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1852 + 3L)) == BgL_classz00_1844);
							}
						else
							{	/* Peephole/walk.scm 121 */
								bool_t BgL_res1640z00_1877;

								{	/* Peephole/walk.scm 121 */
									obj_t BgL_oclassz00_1860;

									{	/* Peephole/walk.scm 121 */
										obj_t BgL_arg1866z00_1868;
										long BgL_arg1867z00_1869;

										BgL_arg1866z00_1868 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Peephole/walk.scm 121 */
											long BgL_arg1869z00_1870;

											BgL_arg1869z00_1870 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1846);
											BgL_arg1867z00_1869 = (BgL_arg1869z00_1870 - OBJECT_TYPE);
										}
										BgL_oclassz00_1860 =
											VECTOR_REF(BgL_arg1866z00_1868, BgL_arg1867z00_1869);
									}
									{	/* Peephole/walk.scm 121 */
										bool_t BgL__ortest_1115z00_1861;

										BgL__ortest_1115z00_1861 =
											(BgL_classz00_1844 == BgL_oclassz00_1860);
										if (BgL__ortest_1115z00_1861)
											{	/* Peephole/walk.scm 121 */
												BgL_res1640z00_1877 = BgL__ortest_1115z00_1861;
											}
										else
											{	/* Peephole/walk.scm 121 */
												long BgL_odepthz00_1862;

												{	/* Peephole/walk.scm 121 */
													obj_t BgL_arg1855z00_1863;

													BgL_arg1855z00_1863 = (BgL_oclassz00_1860);
													BgL_odepthz00_1862 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1863);
												}
												if ((3L < BgL_odepthz00_1862))
													{	/* Peephole/walk.scm 121 */
														obj_t BgL_arg1853z00_1865;

														{	/* Peephole/walk.scm 121 */
															obj_t BgL_arg1854z00_1866;

															BgL_arg1854z00_1866 = (BgL_oclassz00_1860);
															BgL_arg1853z00_1865 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1866,
																3L);
														}
														BgL_res1640z00_1877 =
															(BgL_arg1853z00_1865 == BgL_classz00_1844);
													}
												else
													{	/* Peephole/walk.scm 121 */
														BgL_res1640z00_1877 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1715z00_2213 = BgL_res1640z00_1877;
							}
					}
				}
				if (BgL_test1715z00_2213)
					{	/* Peephole/walk.scm 123 */
						BgL_varz00_bglt BgL_i1128z00_1554;

						BgL_i1128z00_1554 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_22)))->BgL_funz00);
						{	/* Peephole/walk.scm 124 */
							obj_t BgL_arg1333z00_1555;

							BgL_arg1333z00_1555 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(BgL_i1128z00_1554))->
									BgL_variablez00));
							return (BgL_arg1333z00_1555 ==
								BGl_za2symbolzd2ze3stringza2z31zzpeephole_walkz00);
						}
					}
				else
					{	/* Peephole/walk.scm 121 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* peephole-string-ref! */
	BgL_letzd2varzd2_bglt
		BGl_peepholezd2stringzd2refz12z12zzpeephole_walkz00(BgL_letzd2varzd2_bglt
		BgL_nodez00_23)
	{
		{	/* Peephole/walk.scm 129 */
			{
				BgL_nodez00_bglt BgL_ez00_1578;
				obj_t BgL_envz00_1579;

				{	/* Peephole/walk.scm 146 */
					BgL_appz00_bglt BgL_i1132z00_1558;

					BgL_i1132z00_1558 =
						((BgL_appz00_bglt)
						(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_23))->BgL_bodyz00));
					{	/* Peephole/walk.scm 147 */
						BgL_nodez00_bglt BgL_actualz00_1559;

						{	/* Peephole/walk.scm 147 */
							obj_t BgL_pairz00_1947;

							BgL_pairz00_1947 =
								(((BgL_appz00_bglt) COBJECT(BgL_i1132z00_1558))->BgL_argsz00);
							BgL_ez00_1578 = ((BgL_nodez00_bglt) CAR(BgL_pairz00_1947));
						}
						BgL_envz00_1579 =
							(((BgL_letzd2varzd2_bglt) COBJECT(BgL_nodez00_23))->
							BgL_bindingsz00);
					BgL_zc3z04anonymousza31371ze3z87_1580:
						{	/* Peephole/walk.scm 133 */
							bool_t BgL_test1720z00_2243;

							{	/* Peephole/walk.scm 133 */
								obj_t BgL_classz00_1878;

								BgL_classz00_1878 = BGl_varz00zzast_nodez00;
								{	/* Peephole/walk.scm 133 */
									BgL_objectz00_bglt BgL_arg1858z00_1880;

									{	/* Peephole/walk.scm 133 */
										obj_t BgL_tmpz00_2244;

										BgL_tmpz00_2244 = ((obj_t) BgL_ez00_1578);
										BgL_arg1858z00_1880 =
											(BgL_objectz00_bglt) (BgL_tmpz00_2244);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Peephole/walk.scm 133 */
											long BgL_idxz00_1886;

											BgL_idxz00_1886 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1880);
											BgL_test1720z00_2243 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1886 + 2L)) == BgL_classz00_1878);
										}
									else
										{	/* Peephole/walk.scm 133 */
											bool_t BgL_res1641z00_1911;

											{	/* Peephole/walk.scm 133 */
												obj_t BgL_oclassz00_1894;

												{	/* Peephole/walk.scm 133 */
													obj_t BgL_arg1866z00_1902;
													long BgL_arg1867z00_1903;

													BgL_arg1866z00_1902 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Peephole/walk.scm 133 */
														long BgL_arg1869z00_1904;

														BgL_arg1869z00_1904 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1880);
														BgL_arg1867z00_1903 =
															(BgL_arg1869z00_1904 - OBJECT_TYPE);
													}
													BgL_oclassz00_1894 =
														VECTOR_REF(BgL_arg1866z00_1902,
														BgL_arg1867z00_1903);
												}
												{	/* Peephole/walk.scm 133 */
													bool_t BgL__ortest_1115z00_1895;

													BgL__ortest_1115z00_1895 =
														(BgL_classz00_1878 == BgL_oclassz00_1894);
													if (BgL__ortest_1115z00_1895)
														{	/* Peephole/walk.scm 133 */
															BgL_res1641z00_1911 = BgL__ortest_1115z00_1895;
														}
													else
														{	/* Peephole/walk.scm 133 */
															long BgL_odepthz00_1896;

															{	/* Peephole/walk.scm 133 */
																obj_t BgL_arg1855z00_1897;

																BgL_arg1855z00_1897 = (BgL_oclassz00_1894);
																BgL_odepthz00_1896 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1897);
															}
															if ((2L < BgL_odepthz00_1896))
																{	/* Peephole/walk.scm 133 */
																	obj_t BgL_arg1853z00_1899;

																	{	/* Peephole/walk.scm 133 */
																		obj_t BgL_arg1854z00_1900;

																		BgL_arg1854z00_1900 = (BgL_oclassz00_1894);
																		BgL_arg1853z00_1899 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1900, 2L);
																	}
																	BgL_res1641z00_1911 =
																		(BgL_arg1853z00_1899 == BgL_classz00_1878);
																}
															else
																{	/* Peephole/walk.scm 133 */
																	BgL_res1641z00_1911 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1720z00_2243 = BgL_res1641z00_1911;
										}
								}
							}
							if (BgL_test1720z00_2243)
								{	/* Peephole/walk.scm 135 */
									obj_t BgL_cz00_1583;

									BgL_cz00_1583 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t)
											(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_1578)))->
												BgL_variablez00)), BgL_envz00_1579);
									if (PAIRP(BgL_cz00_1583))
										{
											obj_t BgL_envz00_2275;
											BgL_nodez00_bglt BgL_ez00_2272;

											BgL_ez00_2272 = ((BgL_nodez00_bglt) CDR(BgL_cz00_1583));
											BgL_envz00_2275 = BNIL;
											BgL_envz00_1579 = BgL_envz00_2275;
											BgL_ez00_1578 = BgL_ez00_2272;
											goto BgL_zc3z04anonymousza31371ze3z87_1580;
										}
									else
										{	/* Peephole/walk.scm 136 */
											BgL_actualz00_1559 = BgL_ez00_1578;
										}
								}
							else
								{	/* Peephole/walk.scm 139 */
									bool_t BgL_test1725z00_2276;

									{	/* Peephole/walk.scm 139 */
										obj_t BgL_classz00_1913;

										BgL_classz00_1913 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Peephole/walk.scm 139 */
											BgL_objectz00_bglt BgL_arg1858z00_1915;

											{	/* Peephole/walk.scm 139 */
												obj_t BgL_tmpz00_2277;

												BgL_tmpz00_2277 = ((obj_t) BgL_ez00_1578);
												BgL_arg1858z00_1915 =
													(BgL_objectz00_bglt) (BgL_tmpz00_2277);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Peephole/walk.scm 139 */
													long BgL_idxz00_1921;

													BgL_idxz00_1921 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1915);
													BgL_test1725z00_2276 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1921 + 3L)) == BgL_classz00_1913);
												}
											else
												{	/* Peephole/walk.scm 139 */
													bool_t BgL_res1642z00_1946;

													{	/* Peephole/walk.scm 139 */
														obj_t BgL_oclassz00_1929;

														{	/* Peephole/walk.scm 139 */
															obj_t BgL_arg1866z00_1937;
															long BgL_arg1867z00_1938;

															BgL_arg1866z00_1937 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Peephole/walk.scm 139 */
																long BgL_arg1869z00_1939;

																BgL_arg1869z00_1939 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1915);
																BgL_arg1867z00_1938 =
																	(BgL_arg1869z00_1939 - OBJECT_TYPE);
															}
															BgL_oclassz00_1929 =
																VECTOR_REF(BgL_arg1866z00_1937,
																BgL_arg1867z00_1938);
														}
														{	/* Peephole/walk.scm 139 */
															bool_t BgL__ortest_1115z00_1930;

															BgL__ortest_1115z00_1930 =
																(BgL_classz00_1913 == BgL_oclassz00_1929);
															if (BgL__ortest_1115z00_1930)
																{	/* Peephole/walk.scm 139 */
																	BgL_res1642z00_1946 =
																		BgL__ortest_1115z00_1930;
																}
															else
																{	/* Peephole/walk.scm 139 */
																	long BgL_odepthz00_1931;

																	{	/* Peephole/walk.scm 139 */
																		obj_t BgL_arg1855z00_1932;

																		BgL_arg1855z00_1932 = (BgL_oclassz00_1929);
																		BgL_odepthz00_1931 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1932);
																	}
																	if ((3L < BgL_odepthz00_1931))
																		{	/* Peephole/walk.scm 139 */
																			obj_t BgL_arg1853z00_1934;

																			{	/* Peephole/walk.scm 139 */
																				obj_t BgL_arg1854z00_1935;

																				BgL_arg1854z00_1935 =
																					(BgL_oclassz00_1929);
																				BgL_arg1853z00_1934 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1935, 3L);
																			}
																			BgL_res1642z00_1946 =
																				(BgL_arg1853z00_1934 ==
																				BgL_classz00_1913);
																		}
																	else
																		{	/* Peephole/walk.scm 139 */
																			BgL_res1642z00_1946 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1725z00_2276 = BgL_res1642z00_1946;
												}
										}
									}
									if (BgL_test1725z00_2276)
										{
											obj_t BgL_envz00_2302;
											BgL_nodez00_bglt BgL_ez00_2299;

											BgL_ez00_2299 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_1578)))->
												BgL_bodyz00);
											BgL_envz00_2302 = BNIL;
											BgL_envz00_1579 = BgL_envz00_2302;
											BgL_ez00_1578 = BgL_ez00_2299;
											goto BgL_zc3z04anonymousza31371ze3z87_1580;
										}
									else
										{	/* Peephole/walk.scm 139 */
											BgL_actualz00_1559 = BgL_ez00_1578;
										}
								}
						}
						if (BGl_symbolzd2ze3stringzd2appzf3z10zzpeephole_walkz00
							(BgL_actualz00_1559))
							{	/* Peephole/walk.scm 150 */
								BgL_varz00_bglt BgL_i1134z00_1562;

								BgL_i1134z00_1562 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_actualz00_1559)))->BgL_funz00);
								{	/* Peephole/walk.scm 151 */
									obj_t BgL_arg1336z00_1563;
									obj_t BgL_arg1338z00_1564;
									obj_t BgL_arg1339z00_1565;

									{	/* Peephole/walk.scm 151 */
										obj_t BgL_tmpz00_2311;

										BgL_tmpz00_2311 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1336z00_1563 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2311);
									}
									{	/* Peephole/walk.scm 151 */
										BgL_variablez00_bglt BgL_arg1364z00_1574;

										BgL_arg1364z00_1574 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1134z00_1562))->
											BgL_variablez00);
										BgL_arg1338z00_1564 =
											bgl_typeof(((obj_t) BgL_arg1364z00_1574));
									}
									BgL_arg1339z00_1565 =
										bgl_typeof
										(BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00);
									{	/* Peephole/walk.scm 151 */
										obj_t BgL_list1340z00_1566;

										{	/* Peephole/walk.scm 151 */
											obj_t BgL_arg1341z00_1567;

											{	/* Peephole/walk.scm 151 */
												obj_t BgL_arg1342z00_1568;

												{	/* Peephole/walk.scm 151 */
													obj_t BgL_arg1355z00_1569;

													{	/* Peephole/walk.scm 151 */
														obj_t BgL_arg1358z00_1570;

														{	/* Peephole/walk.scm 151 */
															obj_t BgL_arg1359z00_1571;

															{	/* Peephole/walk.scm 151 */
																obj_t BgL_arg1360z00_1572;

																{	/* Peephole/walk.scm 151 */
																	obj_t BgL_arg1361z00_1573;

																	BgL_arg1361z00_1573 =
																		MAKE_YOUNG_PAIR(BgL_arg1339z00_1565, BNIL);
																	BgL_arg1360z00_1572 =
																		MAKE_YOUNG_PAIR
																		(BGl_string1656z00zzpeephole_walkz00,
																		BgL_arg1361z00_1573);
																}
																BgL_arg1359z00_1571 =
																	MAKE_YOUNG_PAIR(BgL_arg1338z00_1564,
																	BgL_arg1360z00_1572);
															}
															BgL_arg1358z00_1570 =
																MAKE_YOUNG_PAIR
																(BGl_string1657z00zzpeephole_walkz00,
																BgL_arg1359z00_1571);
														}
														BgL_arg1355z00_1569 =
															MAKE_YOUNG_PAIR
															(BGl_string1658z00zzpeephole_walkz00,
															BgL_arg1358z00_1570);
													}
													BgL_arg1342z00_1568 =
														MAKE_YOUNG_PAIR(BINT(151L), BgL_arg1355z00_1569);
												}
												BgL_arg1341z00_1567 =
													MAKE_YOUNG_PAIR(BGl_string1659z00zzpeephole_walkz00,
													BgL_arg1342z00_1568);
											}
											BgL_list1340z00_1566 =
												MAKE_YOUNG_PAIR(BGl_string1660z00zzpeephole_walkz00,
												BgL_arg1341z00_1567);
										}
										BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1336z00_1563,
											BgL_list1340z00_1566);
									}
								}
								((((BgL_varz00_bglt) COBJECT(BgL_i1134z00_1562))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BGl_za2symbolzd2ze3stringz12za2z23zzpeephole_walkz00)),
									BUNSPEC);
							}
						else
							{	/* Peephole/walk.scm 148 */
								BFALSE;
							}
					}
				}
				return BgL_nodez00_23;
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_peepholez12zd2envzc0zzpeephole_walkz00,
				BGl_proc1661z00zzpeephole_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1662z00zzpeephole_walkz00);
		}

	}



/* &peephole!1252 */
	obj_t BGl_z62peepholez121252z70zzpeephole_walkz00(obj_t BgL_envz00_1988,
		obj_t BgL_nodez00_1989)
	{
		{	/* Peephole/walk.scm 92 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_1989),
					BGl_peepholez12zd2envzc0zzpeephole_walkz00));
		}

	}



/* peephole! */
	BgL_nodez00_bglt BGl_peepholez12z12zzpeephole_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Peephole/walk.scm 92 */
			{	/* Peephole/walk.scm 92 */
				obj_t BgL_method1254z00_1606;

				{	/* Peephole/walk.scm 92 */
					obj_t BgL_res1647z00_1980;

					{	/* Peephole/walk.scm 92 */
						long BgL_objzd2classzd2numz00_1951;

						BgL_objzd2classzd2numz00_1951 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Peephole/walk.scm 92 */
							obj_t BgL_arg1862z00_1952;

							BgL_arg1862z00_1952 =
								PROCEDURE_REF(BGl_peepholez12zd2envzc0zzpeephole_walkz00,
								(int) (1L));
							{	/* Peephole/walk.scm 92 */
								int BgL_offsetz00_1955;

								BgL_offsetz00_1955 = (int) (BgL_objzd2classzd2numz00_1951);
								{	/* Peephole/walk.scm 92 */
									long BgL_offsetz00_1956;

									BgL_offsetz00_1956 =
										((long) (BgL_offsetz00_1955) - OBJECT_TYPE);
									{	/* Peephole/walk.scm 92 */
										long BgL_modz00_1957;

										BgL_modz00_1957 =
											(BgL_offsetz00_1956 >> (int) ((long) ((int) (4L))));
										{	/* Peephole/walk.scm 92 */
											long BgL_restz00_1959;

											BgL_restz00_1959 =
												(BgL_offsetz00_1956 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Peephole/walk.scm 92 */

												{	/* Peephole/walk.scm 92 */
													obj_t BgL_bucketz00_1961;

													BgL_bucketz00_1961 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1952), BgL_modz00_1957);
													BgL_res1647z00_1980 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1961), BgL_restz00_1959);
					}}}}}}}}
					BgL_method1254z00_1606 = BgL_res1647z00_1980;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1254z00_1606,
						((obj_t) BgL_nodez00_19)));
			}
		}

	}



/* &peephole! */
	BgL_nodez00_bglt BGl_z62peepholez12z70zzpeephole_walkz00(obj_t
		BgL_envz00_1986, obj_t BgL_nodez00_1987)
	{
		{	/* Peephole/walk.scm 92 */
			return
				BGl_peepholez12z12zzpeephole_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_1987));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_peepholez12zd2envzc0zzpeephole_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1663z00zzpeephole_walkz00,
				BGl_string1664z00zzpeephole_walkz00);
		}

	}



/* &peephole!-let-var1256 */
	BgL_nodez00_bglt BGl_z62peepholez12zd2letzd2var1256z70zzpeephole_walkz00(obj_t
		BgL_envz00_1991, obj_t BgL_nodez00_1992)
	{
		{	/* Peephole/walk.scm 98 */
			BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_1992)),
				BGl_peepholez12zd2envzc0zzpeephole_walkz00);
			if (BGl_stringzd2refzd2appzf3zf3zzpeephole_walkz00(((
							(BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
									BgL_nodez00_1992)))->BgL_bodyz00)))
				{	/* Peephole/walk.scm 102 */
					return
						((BgL_nodez00_bglt)
						BGl_peepholezd2stringzd2refz12z12zzpeephole_walkz00(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_1992)));
				}
			else
				{	/* Peephole/walk.scm 102 */
					return
						((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_1992));
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzpeephole_walkz00(void)
	{
		{	/* Peephole/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1665z00zzpeephole_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
