/*===========================================================================*/
/*   (Reduce/ftypec.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/ftypec.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_REDUCE_FLOWzd2TYPECzd2_TYPE_DEFINITIONS
#define BGL_BgL_REDUCE_FLOWzd2TYPECzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_BgL_REDUCE_FLOWzd2TYPECzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1309z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
		BUNSPEC;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21311z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1301z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1307za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1303z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t, obj_t, obj_t);
	static obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t, obj_t);
	static long BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = 0L;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	static long BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 =
		0L;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_z62nodezd2typecz121280za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2(void);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1305za2zzreduce_flowzd2typeczd2(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1319z70zzreduce_flowzd2typeczd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71897za7,
		BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1869z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1869za700za7za7r1898za7, "      flow type check        ", 29);
	      DEFINE_STRING(BGl_string1870z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1870za700za7za7r1899za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1871z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1871za700za7za7r1900za7, ", remaining: ", 13);
	      DEFINE_STRING(BGl_string1872z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1872za700za7za7r1901za7, "(removed: ", 10);
	      DEFINE_STRING(BGl_string1874z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1874za700za7za7r1902za7, "node-typec!1280", 15);
	      DEFINE_STRING(BGl_string1876z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1876za700za7za7r1903za7, "node-typec!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71904za7,
		BGl_z62nodezd2typecz121280za2zzreduce_flowzd2typeczd2, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71905za7,
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71906za7,
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71907za7,
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71908za7,
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71909za7,
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71910za7,
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71911za7,
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71912za7,
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71913za7,
		BGl_z62nodezd2typecz12zd2fail1301z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71914za7,
		BGl_z62nodezd2typecz12zd2switch1303z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71915za7,
		BGl_z62nodezd2typecz12zd2letzd2fun1305za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71916za7,
		BGl_z62nodezd2typecz12zd2letzd2var1307za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1894za700za7za7r1917za7, "reduce_flow-typec", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71918za7,
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1309z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1895z00zzreduce_flowzd2typeczd2,
		BgL_bgl_string1895za700za7za7r1919za7, "read done ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71920za7,
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21311z70zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71921za7,
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71922za7,
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71923za7,
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzreduce_flowzd2typeczd2,
		BgL_bgl_za762nodeza7d2typecza71924za7,
		BGl_z62nodezd2typecz12zd2app1319z70zzreduce_flowzd2typeczd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_reducezd2flowzd2typezd2checkz12zd2envz12zzreduce_flowzd2typeczd2,
		BgL_bgl_za762reduceza7d2flow1925z00,
		BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzreduce_flowzd2typeczd2(long
		BgL_checksumz00_2648, char *BgL_fromz00_2649)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2))
				{
					BGl_requirezd2initializa7ationz75zzreduce_flowzd2typeczd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2();
					BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2();
					BGl_genericzd2initzd2zzreduce_flowzd2typeczd2();
					BGl_methodzd2initzd2zzreduce_flowzd2typeczd2();
					return BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_flow-typec");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_flow-typec");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			{	/* Reduce/ftypec.scm 15 */
				obj_t BgL_cportz00_2490;

				{	/* Reduce/ftypec.scm 15 */
					obj_t BgL_stringz00_2497;

					BgL_stringz00_2497 = BGl_string1895z00zzreduce_flowzd2typeczd2;
					{	/* Reduce/ftypec.scm 15 */
						obj_t BgL_startz00_2498;

						BgL_startz00_2498 = BINT(0L);
						{	/* Reduce/ftypec.scm 15 */
							obj_t BgL_endz00_2499;

							BgL_endz00_2499 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2497)));
							{	/* Reduce/ftypec.scm 15 */

								BgL_cportz00_2490 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2497, BgL_startz00_2498, BgL_endz00_2499);
				}}}}
				{
					long BgL_iz00_2491;

					BgL_iz00_2491 = 1L;
				BgL_loopz00_2492:
					if ((BgL_iz00_2491 == (-1L)))
						{	/* Reduce/ftypec.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/ftypec.scm 15 */
							{	/* Reduce/ftypec.scm 15 */
								obj_t BgL_arg1896z00_2493;

								{	/* Reduce/ftypec.scm 15 */

									{	/* Reduce/ftypec.scm 15 */
										obj_t BgL_locationz00_2495;

										BgL_locationz00_2495 = BBOOL(((bool_t) 0));
										{	/* Reduce/ftypec.scm 15 */

											BgL_arg1896z00_2493 =
												BGl_readz00zz__readerz00(BgL_cportz00_2490,
												BgL_locationz00_2495);
										}
									}
								}
								{	/* Reduce/ftypec.scm 15 */
									int BgL_tmpz00_2678;

									BgL_tmpz00_2678 = (int) (BgL_iz00_2491);
									CNST_TABLE_SET(BgL_tmpz00_2678, BgL_arg1896z00_2493);
							}}
							{	/* Reduce/ftypec.scm 15 */
								int BgL_auxz00_2496;

								BgL_auxz00_2496 = (int) ((BgL_iz00_2491 - 1L));
								{
									long BgL_iz00_2683;

									BgL_iz00_2683 = (long) (BgL_auxz00_2496);
									BgL_iz00_2491 = BgL_iz00_2683;
									goto BgL_loopz00_2492;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2 = 0L;
			BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2 = 0L;
			return BUNSPEC;
		}

	}



/* reduce-flow-type-check! */
	BGL_EXPORTED_DEF obj_t
		BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2(obj_t
		BgL_globalsz00_3)
	{
		{	/* Reduce/ftypec.scm 54 */
			{	/* Reduce/ftypec.scm 55 */
				obj_t BgL_list1327z00_1623;

				BgL_list1327z00_1623 =
					MAKE_YOUNG_PAIR(BGl_string1869z00zzreduce_flowzd2typeczd2, BNIL);
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1327z00_1623);
			}
			{
				obj_t BgL_l1269z00_1625;

				BgL_l1269z00_1625 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31328ze3z87_1626:
				if (PAIRP(BgL_l1269z00_1625))
					{	/* Reduce/ftypec.scm 56 */
						{	/* Reduce/ftypec.scm 57 */
							obj_t BgL_globalz00_1628;

							BgL_globalz00_1628 = CAR(BgL_l1269z00_1625);
							{	/* Reduce/ftypec.scm 57 */
								BgL_valuez00_bglt BgL_funz00_1629;

								BgL_funz00_1629 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1628))))->
									BgL_valuez00);
								{	/* Reduce/ftypec.scm 57 */
									obj_t BgL_nodez00_1630;

									BgL_nodez00_1630 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_1629)))->BgL_bodyz00);
									{	/* Reduce/ftypec.scm 58 */

										{	/* Reduce/ftypec.scm 59 */
											BgL_nodez00_bglt BgL_arg1331z00_1631;

											BgL_arg1331z00_1631 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
												((BgL_nodez00_bglt) BgL_nodez00_1630), BNIL);
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1629)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_arg1331z00_1631)), BUNSPEC);
										}
										BUNSPEC;
									}
								}
							}
						}
						{
							obj_t BgL_l1269z00_2702;

							BgL_l1269z00_2702 = CDR(BgL_l1269z00_1625);
							BgL_l1269z00_1625 = BgL_l1269z00_2702;
							goto BgL_zc3z04anonymousza31328ze3z87_1626;
						}
					}
				else
					{	/* Reduce/ftypec.scm 56 */
						((bool_t) 1);
					}
			}
			{	/* Reduce/ftypec.scm 62 */
				obj_t BgL_list1333z00_1634;

				{	/* Reduce/ftypec.scm 62 */
					obj_t BgL_arg1336z00_1635;

					{	/* Reduce/ftypec.scm 62 */
						obj_t BgL_arg1338z00_1636;

						{	/* Reduce/ftypec.scm 62 */
							obj_t BgL_arg1339z00_1637;

							{	/* Reduce/ftypec.scm 62 */
								obj_t BgL_arg1340z00_1638;

								BgL_arg1340z00_1638 =
									MAKE_YOUNG_PAIR(BGl_string1870z00zzreduce_flowzd2typeczd2,
									BNIL);
								BgL_arg1339z00_1637 =
									MAKE_YOUNG_PAIR(BINT
									(BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2),
									BgL_arg1340z00_1638);
							}
							BgL_arg1338z00_1636 =
								MAKE_YOUNG_PAIR(BGl_string1871z00zzreduce_flowzd2typeczd2,
								BgL_arg1339z00_1637);
						}
						BgL_arg1336z00_1635 =
							MAKE_YOUNG_PAIR(BINT
							(BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2),
							BgL_arg1338z00_1636);
					}
					BgL_list1333z00_1634 =
						MAKE_YOUNG_PAIR(BGl_string1872z00zzreduce_flowzd2typeczd2,
						BgL_arg1336z00_1635);
				}
				BGl_verbosez00zztools_speekz00(BINT(2L), BgL_list1333z00_1634);
			}
			return BgL_globalsz00_3;
		}

	}



/* &reduce-flow-type-check! */
	obj_t BGl_z62reducezd2flowzd2typezd2checkz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2409, obj_t BgL_globalsz00_2410)
	{
		{	/* Reduce/ftypec.scm 54 */
			return
				BGl_reducezd2flowzd2typezd2checkz12zc0zzreduce_flowzd2typeczd2
				(BgL_globalsz00_2410);
		}

	}



/* node-typec*! */
	obj_t BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(obj_t
		BgL_nodeza2za2_40, obj_t BgL_stackz00_41)
	{
		{	/* Reduce/ftypec.scm 304 */
			{
				obj_t BgL_nodeza2za2_1640;

				BgL_nodeza2za2_1640 = BgL_nodeza2za2_40;
			BgL_zc3z04anonymousza31341ze3z87_1641:
				if (NULLP(BgL_nodeza2za2_1640))
					{	/* Reduce/ftypec.scm 306 */
						return ((obj_t) CNST_TABLE_REF(0));
					}
				else
					{	/* Reduce/ftypec.scm 306 */
						{	/* Reduce/ftypec.scm 309 */
							BgL_nodez00_bglt BgL_arg1355z00_1643;

							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_arg1358z00_1644;

								BgL_arg1358z00_1644 = CAR(((obj_t) BgL_nodeza2za2_1640));
								BgL_arg1355z00_1643 =
									BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
									((BgL_nodez00_bglt) BgL_arg1358z00_1644), BgL_stackz00_41);
							}
							{	/* Reduce/ftypec.scm 309 */
								obj_t BgL_auxz00_2724;
								obj_t BgL_tmpz00_2722;

								BgL_auxz00_2724 = ((obj_t) BgL_arg1355z00_1643);
								BgL_tmpz00_2722 = ((obj_t) BgL_nodeza2za2_1640);
								SET_CAR(BgL_tmpz00_2722, BgL_auxz00_2724);
							}
						}
						{	/* Reduce/ftypec.scm 310 */
							obj_t BgL_arg1359z00_1645;

							BgL_arg1359z00_1645 = CDR(((obj_t) BgL_nodeza2za2_1640));
							{
								obj_t BgL_nodeza2za2_2729;

								BgL_nodeza2za2_2729 = BgL_arg1359z00_1645;
								BgL_nodeza2za2_1640 = BgL_nodeza2za2_2729;
								goto BgL_zc3z04anonymousza31341ze3z87_1641;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_proc1873z00zzreduce_flowzd2typeczd2, BGl_nodez00zzast_nodez00,
				BGl_string1874z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!1280 */
	obj_t BGl_z62nodezd2typecz121280za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2412, obj_t BgL_nodez00_2413, obj_t BgL_stackz00_2414)
	{
		{	/* Reduce/ftypec.scm 76 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2413));
		}

	}



/* node-typec! */
	BgL_nodez00_bglt
		BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_nodez00_bglt
		BgL_nodez00_4, obj_t BgL_stackz00_5)
	{
		{	/* Reduce/ftypec.scm 76 */
			{	/* Reduce/ftypec.scm 76 */
				obj_t BgL_method1282z00_1652;

				{	/* Reduce/ftypec.scm 76 */
					obj_t BgL_res1861z00_2122;

					{	/* Reduce/ftypec.scm 76 */
						long BgL_objzd2classzd2numz00_2093;

						BgL_objzd2classzd2numz00_2093 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Reduce/ftypec.scm 76 */
							obj_t BgL_arg1862z00_2094;

							BgL_arg1862z00_2094 =
								PROCEDURE_REF
								(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
								(int) (1L));
							{	/* Reduce/ftypec.scm 76 */
								int BgL_offsetz00_2097;

								BgL_offsetz00_2097 = (int) (BgL_objzd2classzd2numz00_2093);
								{	/* Reduce/ftypec.scm 76 */
									long BgL_offsetz00_2098;

									BgL_offsetz00_2098 =
										((long) (BgL_offsetz00_2097) - OBJECT_TYPE);
									{	/* Reduce/ftypec.scm 76 */
										long BgL_modz00_2099;

										BgL_modz00_2099 =
											(BgL_offsetz00_2098 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/ftypec.scm 76 */
											long BgL_restz00_2101;

											BgL_restz00_2101 =
												(BgL_offsetz00_2098 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/ftypec.scm 76 */

												{	/* Reduce/ftypec.scm 76 */
													obj_t BgL_bucketz00_2103;

													BgL_bucketz00_2103 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2094), BgL_modz00_2099);
													BgL_res1861z00_2122 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2103), BgL_restz00_2101);
					}}}}}}}}
					BgL_method1282z00_1652 = BgL_res1861z00_2122;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1282z00_1652,
						((obj_t) BgL_nodez00_4), BgL_stackz00_5));
			}
		}

	}



/* &node-typec! */
	BgL_nodez00_bglt BGl_z62nodezd2typecz12za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2415, obj_t BgL_nodez00_2416, obj_t BgL_stackz00_2417)
	{
		{	/* Reduce/ftypec.scm 76 */
			return
				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				((BgL_nodez00_bglt) BgL_nodez00_2416), BgL_stackz00_2417);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_sequencez00zzast_nodez00, BGl_proc1875z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_syncz00zzast_nodez00, BGl_proc1877z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1878z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_funcallz00zzast_nodez00, BGl_proc1879z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_externz00zzast_nodez00, BGl_proc1880z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_castz00zzast_nodez00, BGl_proc1881z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setqz00zzast_nodez00, BGl_proc1882z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_conditionalz00zzast_nodez00,
				BGl_proc1883z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_failz00zzast_nodez00, BGl_proc1884z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_switchz00zzast_nodez00, BGl_proc1885z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1886z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1887z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1888z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1889z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1890z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1891z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1892z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2typecz12zd2envz12zzreduce_flowzd2typeczd2,
				BGl_appz00zzast_nodez00, BGl_proc1893z00zzreduce_flowzd2typeczd2,
				BGl_string1876z00zzreduce_flowzd2typeczd2);
		}

	}



/* &node-typec!-app1319 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2app1319z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2436, obj_t BgL_nodez00_2437, obj_t BgL_stackz00_2438)
	{
		{	/* Reduce/ftypec.scm 320 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_2437)))->BgL_argsz00),
				BgL_stackz00_2438);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2437));
		}

	}



/* &node-typec!-box-ref1317 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2ref1317za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2439, obj_t BgL_nodez00_2440, obj_t BgL_stackz00_2441)
	{
		{	/* Reduce/ftypec.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_2790;

				{	/* Reduce/ftypec.scm 298 */
					BgL_varz00_bglt BgL_arg1675z00_2504;

					BgL_arg1675z00_2504 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2440)))->BgL_varz00);
					BgL_auxz00_2790 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1675z00_2504), BgL_stackz00_2441));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2440)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2790), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2440));
		}

	}



/* &node-typec!-box-set!1315 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2boxzd2setz121315zb0zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2442, obj_t BgL_nodez00_2443, obj_t BgL_stackz00_2444)
	{
		{	/* Reduce/ftypec.scm 287 */
			{
				BgL_varz00_bglt BgL_auxz00_2800;

				{	/* Reduce/ftypec.scm 289 */
					BgL_varz00_bglt BgL_arg1673z00_2506;

					BgL_arg1673z00_2506 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2443)))->BgL_varz00);
					BgL_auxz00_2800 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1673z00_2506), BgL_stackz00_2444));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2443)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2800), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2808;

				{	/* Reduce/ftypec.scm 290 */
					BgL_nodez00_bglt BgL_arg1674z00_2507;

					BgL_arg1674z00_2507 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2443)))->BgL_valuez00);
					BgL_auxz00_2808 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1674z00_2507,
						BgL_stackz00_2444);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2443)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2808), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2443));
		}

	}



/* &node-typec!-make-box1313 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2makezd2box1313za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_stackz00_2447)
	{
		{	/* Reduce/ftypec.scm 279 */
			{
				BgL_nodez00_bglt BgL_auxz00_2816;

				{	/* Reduce/ftypec.scm 281 */
					BgL_nodez00_bglt BgL_arg1664z00_2509;

					BgL_arg1664z00_2509 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2446)))->BgL_valuez00);
					BgL_auxz00_2816 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1664z00_2509,
						BgL_stackz00_2447);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2446)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_2816), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2446));
		}

	}



/* &node-typec!-jump-ex-1311 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2jumpzd2exzd21311z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2448, obj_t BgL_nodez00_2449, obj_t BgL_stackz00_2450)
	{
		{	/* Reduce/ftypec.scm 270 */
			{
				BgL_nodez00_bglt BgL_auxz00_2824;

				{	/* Reduce/ftypec.scm 272 */
					BgL_nodez00_bglt BgL_arg1660z00_2511;

					BgL_arg1660z00_2511 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2449)))->BgL_exitz00);
					BgL_auxz00_2824 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1660z00_2511,
						BgL_stackz00_2450);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2449)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2824), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2830;

				{	/* Reduce/ftypec.scm 273 */
					BgL_nodez00_bglt BgL_arg1663z00_2512;

					BgL_arg1663z00_2512 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2449)))->
						BgL_valuez00);
					BgL_auxz00_2830 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1663z00_2512,
						BgL_stackz00_2450);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2449)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_2830), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2449));
		}

	}



/* &node-typec!-set-ex-i1309 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setzd2exzd2i1309z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2451, obj_t BgL_nodez00_2452, obj_t BgL_stackz00_2453)
	{
		{	/* Reduce/ftypec.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_2838;

				{	/* Reduce/ftypec.scm 262 */
					BgL_nodez00_bglt BgL_arg1655z00_2514;

					BgL_arg1655z00_2514 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->BgL_bodyz00);
					BgL_auxz00_2838 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1655z00_2514,
						BgL_stackz00_2453);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2838), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2844;

				{	/* Reduce/ftypec.scm 263 */
					BgL_nodez00_bglt BgL_arg1656z00_2515;

					BgL_arg1656z00_2515 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->
						BgL_onexitz00);
					BgL_auxz00_2844 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1656z00_2515,
						BgL_stackz00_2453);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->
						BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_2844), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_2850;

				{	/* Reduce/ftypec.scm 264 */
					BgL_varz00_bglt BgL_arg1657z00_2516;

					BgL_arg1657z00_2516 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->BgL_varz00);
					BgL_auxz00_2850 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1657z00_2516), BgL_stackz00_2453));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_2850), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2452));
		}

	}



/* &node-typec!-let-var1307 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2var1307za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2454, obj_t BgL_nodez00_2455, obj_t BgL_stackz00_2456)
	{
		{	/* Reduce/ftypec.scm 249 */
			{	/* Reduce/ftypec.scm 251 */
				obj_t BgL_g1279z00_2518;

				BgL_g1279z00_2518 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2455)))->BgL_bindingsz00);
				{
					obj_t BgL_l1277z00_2520;

					BgL_l1277z00_2520 = BgL_g1279z00_2518;
				BgL_zc3z04anonymousza31644ze3z87_2519:
					if (PAIRP(BgL_l1277z00_2520))
						{	/* Reduce/ftypec.scm 251 */
							{	/* Reduce/ftypec.scm 252 */
								obj_t BgL_bindingz00_2521;

								BgL_bindingz00_2521 = CAR(BgL_l1277z00_2520);
								{	/* Reduce/ftypec.scm 252 */
									BgL_nodez00_bglt BgL_arg1648z00_2522;

									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_arg1649z00_2523;

										BgL_arg1649z00_2523 = CDR(((obj_t) BgL_bindingz00_2521));
										BgL_arg1648z00_2522 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1649z00_2523),
											BgL_stackz00_2456);
									}
									{	/* Reduce/ftypec.scm 252 */
										obj_t BgL_auxz00_2871;
										obj_t BgL_tmpz00_2869;

										BgL_auxz00_2871 = ((obj_t) BgL_arg1648z00_2522);
										BgL_tmpz00_2869 = ((obj_t) BgL_bindingz00_2521);
										SET_CDR(BgL_tmpz00_2869, BgL_auxz00_2871);
									}
								}
							}
							{
								obj_t BgL_l1277z00_2874;

								BgL_l1277z00_2874 = CDR(BgL_l1277z00_2520);
								BgL_l1277z00_2520 = BgL_l1277z00_2874;
								goto BgL_zc3z04anonymousza31644ze3z87_2519;
							}
						}
					else
						{	/* Reduce/ftypec.scm 251 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2876;

				{	/* Reduce/ftypec.scm 254 */
					BgL_nodez00_bglt BgL_arg1653z00_2524;

					BgL_arg1653z00_2524 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2455)))->BgL_bodyz00);
					BgL_auxz00_2876 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1653z00_2524,
						BgL_stackz00_2456);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2455)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2876), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2455));
		}

	}



/* &node-typec!-let-fun1305 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2letzd2fun1305za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2457, obj_t BgL_nodez00_2458, obj_t BgL_stackz00_2459)
	{
		{	/* Reduce/ftypec.scm 237 */
			{	/* Reduce/ftypec.scm 239 */
				obj_t BgL_g1276z00_2526;

				BgL_g1276z00_2526 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2458)))->BgL_localsz00);
				{
					obj_t BgL_l1274z00_2528;

					BgL_l1274z00_2528 = BgL_g1276z00_2526;
				BgL_zc3z04anonymousza31632ze3z87_2527:
					if (PAIRP(BgL_l1274z00_2528))
						{	/* Reduce/ftypec.scm 239 */
							{	/* Reduce/ftypec.scm 240 */
								obj_t BgL_localz00_2529;

								BgL_localz00_2529 = CAR(BgL_l1274z00_2528);
								{	/* Reduce/ftypec.scm 240 */
									BgL_valuez00_bglt BgL_funz00_2530;

									BgL_funz00_2530 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2529))))->
										BgL_valuez00);
									{	/* Reduce/ftypec.scm 241 */
										BgL_nodez00_bglt BgL_arg1635z00_2531;

										{	/* Reduce/ftypec.scm 241 */
											obj_t BgL_arg1638z00_2532;

											BgL_arg1638z00_2532 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2530)))->
												BgL_bodyz00);
											BgL_arg1635z00_2531 =
												BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2((
													(BgL_nodez00_bglt) BgL_arg1638z00_2532),
												BgL_stackz00_2459);
										}
										((((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_funz00_2530)))->
												BgL_bodyz00) =
											((obj_t) ((obj_t) BgL_arg1635z00_2531)), BUNSPEC);
									}
								}
							}
							{
								obj_t BgL_l1274z00_2899;

								BgL_l1274z00_2899 = CDR(BgL_l1274z00_2528);
								BgL_l1274z00_2528 = BgL_l1274z00_2899;
								goto BgL_zc3z04anonymousza31632ze3z87_2527;
							}
						}
					else
						{	/* Reduce/ftypec.scm 239 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2901;

				{	/* Reduce/ftypec.scm 243 */
					BgL_nodez00_bglt BgL_arg1643z00_2533;

					BgL_arg1643z00_2533 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2458)))->BgL_bodyz00);
					BgL_auxz00_2901 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1643z00_2533,
						BgL_stackz00_2459);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2458)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2901), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2458));
		}

	}



/* &node-typec!-switch1303 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2switch1303z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461, obj_t BgL_stackz00_2462)
	{
		{	/* Reduce/ftypec.scm 226 */
			{
				BgL_nodez00_bglt BgL_auxz00_2909;

				{	/* Reduce/ftypec.scm 228 */
					BgL_nodez00_bglt BgL_arg1611z00_2535;

					BgL_arg1611z00_2535 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2461)))->BgL_testz00);
					BgL_auxz00_2909 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1611z00_2535,
						BgL_stackz00_2462);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2461)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2909), BUNSPEC);
			}
			{	/* Reduce/ftypec.scm 229 */
				obj_t BgL_g1273z00_2536;

				BgL_g1273z00_2536 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2461)))->BgL_clausesz00);
				{
					obj_t BgL_l1271z00_2538;

					BgL_l1271z00_2538 = BgL_g1273z00_2536;
				BgL_zc3z04anonymousza31612ze3z87_2537:
					if (PAIRP(BgL_l1271z00_2538))
						{	/* Reduce/ftypec.scm 229 */
							{	/* Reduce/ftypec.scm 230 */
								obj_t BgL_clausez00_2539;

								BgL_clausez00_2539 = CAR(BgL_l1271z00_2538);
								{	/* Reduce/ftypec.scm 230 */
									BgL_nodez00_bglt BgL_arg1625z00_2540;

									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_arg1626z00_2541;

										BgL_arg1626z00_2541 = CDR(((obj_t) BgL_clausez00_2539));
										BgL_arg1625z00_2540 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
											((BgL_nodez00_bglt) BgL_arg1626z00_2541),
											BgL_stackz00_2462);
									}
									{	/* Reduce/ftypec.scm 230 */
										obj_t BgL_auxz00_2926;
										obj_t BgL_tmpz00_2924;

										BgL_auxz00_2926 = ((obj_t) BgL_arg1625z00_2540);
										BgL_tmpz00_2924 = ((obj_t) BgL_clausez00_2539);
										SET_CDR(BgL_tmpz00_2924, BgL_auxz00_2926);
									}
								}
							}
							{
								obj_t BgL_l1271z00_2929;

								BgL_l1271z00_2929 = CDR(BgL_l1271z00_2538);
								BgL_l1271z00_2538 = BgL_l1271z00_2929;
								goto BgL_zc3z04anonymousza31612ze3z87_2537;
							}
						}
					else
						{	/* Reduce/ftypec.scm 229 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2461));
		}

	}



/* &node-typec!-fail1301 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2fail1301z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2463, obj_t BgL_nodez00_2464, obj_t BgL_stackz00_2465)
	{
		{	/* Reduce/ftypec.scm 216 */
			{
				BgL_nodez00_bglt BgL_auxz00_2933;

				{	/* Reduce/ftypec.scm 218 */
					BgL_nodez00_bglt BgL_arg1593z00_2543;

					BgL_arg1593z00_2543 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_procz00);
					BgL_auxz00_2933 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1593z00_2543,
						BgL_stackz00_2465);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2933), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2939;

				{	/* Reduce/ftypec.scm 219 */
					BgL_nodez00_bglt BgL_arg1597z00_2544;

					BgL_arg1597z00_2544 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_msgz00);
					BgL_auxz00_2939 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1597z00_2544,
						BgL_stackz00_2465);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2939), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_2945;

				{	/* Reduce/ftypec.scm 220 */
					BgL_nodez00_bglt BgL_arg1605z00_2545;

					BgL_arg1605z00_2545 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_objz00);
					BgL_auxz00_2945 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1605z00_2545,
						BgL_stackz00_2465);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2464)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_2945), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_2464));
		}

	}



/* &node-typec!-conditio1298 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2conditio1298z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2466, obj_t BgL_nodez00_2467, obj_t BgL_stackz00_2468)
	{
		{	/* Reduce/ftypec.scm 143 */
			{
				BgL_nodez00_bglt BgL_nodez00_2548;

				{
					BgL_nodez00_bglt BgL_auxz00_2953;

					{	/* Reduce/ftypec.scm 187 */
						BgL_nodez00_bglt BgL_arg1386z00_2601;

						BgL_arg1386z00_2601 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->BgL_testz00);
						BgL_auxz00_2953 =
							BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
							(BgL_arg1386z00_2601, BgL_stackz00_2468);
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_2953), BUNSPEC);
				}
				{	/* Reduce/ftypec.scm 188 */
					obj_t BgL_typecz00_2602;

					BgL_nodez00_2548 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->BgL_testz00);
					{	/* Reduce/ftypec.scm 145 */
						bool_t BgL_test1933z00_2959;

						{	/* Reduce/ftypec.scm 145 */
							obj_t BgL_classz00_2549;

							BgL_classz00_2549 = BGl_appz00zzast_nodez00;
							{	/* Reduce/ftypec.scm 145 */
								BgL_objectz00_bglt BgL_arg1858z00_2550;

								{	/* Reduce/ftypec.scm 145 */
									obj_t BgL_tmpz00_2960;

									BgL_tmpz00_2960 =
										((obj_t) ((BgL_objectz00_bglt) BgL_nodez00_2548));
									BgL_arg1858z00_2550 = (BgL_objectz00_bglt) (BgL_tmpz00_2960);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Reduce/ftypec.scm 145 */
										long BgL_idxz00_2551;

										BgL_idxz00_2551 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2550);
										BgL_test1933z00_2959 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2551 + 3L)) == BgL_classz00_2549);
									}
								else
									{	/* Reduce/ftypec.scm 145 */
										bool_t BgL_res1862z00_2554;

										{	/* Reduce/ftypec.scm 145 */
											obj_t BgL_oclassz00_2555;

											{	/* Reduce/ftypec.scm 145 */
												obj_t BgL_arg1866z00_2556;
												long BgL_arg1867z00_2557;

												BgL_arg1866z00_2556 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Reduce/ftypec.scm 145 */
													long BgL_arg1869z00_2558;

													BgL_arg1869z00_2558 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2550);
													BgL_arg1867z00_2557 =
														(BgL_arg1869z00_2558 - OBJECT_TYPE);
												}
												BgL_oclassz00_2555 =
													VECTOR_REF(BgL_arg1866z00_2556, BgL_arg1867z00_2557);
											}
											{	/* Reduce/ftypec.scm 145 */
												bool_t BgL__ortest_1115z00_2559;

												BgL__ortest_1115z00_2559 =
													(BgL_classz00_2549 == BgL_oclassz00_2555);
												if (BgL__ortest_1115z00_2559)
													{	/* Reduce/ftypec.scm 145 */
														BgL_res1862z00_2554 = BgL__ortest_1115z00_2559;
													}
												else
													{	/* Reduce/ftypec.scm 145 */
														long BgL_odepthz00_2560;

														{	/* Reduce/ftypec.scm 145 */
															obj_t BgL_arg1855z00_2561;

															BgL_arg1855z00_2561 = (BgL_oclassz00_2555);
															BgL_odepthz00_2560 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2561);
														}
														if ((3L < BgL_odepthz00_2560))
															{	/* Reduce/ftypec.scm 145 */
																obj_t BgL_arg1853z00_2562;

																{	/* Reduce/ftypec.scm 145 */
																	obj_t BgL_arg1854z00_2563;

																	BgL_arg1854z00_2563 = (BgL_oclassz00_2555);
																	BgL_arg1853z00_2562 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2563,
																		3L);
																}
																BgL_res1862z00_2554 =
																	(BgL_arg1853z00_2562 == BgL_classz00_2549);
															}
														else
															{	/* Reduce/ftypec.scm 145 */
																BgL_res1862z00_2554 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1933z00_2959 = BgL_res1862z00_2554;
									}
							}
						}
						if (BgL_test1933z00_2959)
							{	/* Reduce/ftypec.scm 147 */
								obj_t BgL_g1116z00_2564;

								BgL_g1116z00_2564 =
									BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_2548);
								if (CBOOL(BgL_g1116z00_2564))
									{	/* Reduce/ftypec.scm 151 */
										bool_t BgL_test1938z00_2986;

										{	/* Reduce/ftypec.scm 151 */
											obj_t BgL_arg1506z00_2565;

											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_pairz00_2566;

												BgL_pairz00_2566 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt) BgL_nodez00_2548)))->
													BgL_argsz00);
												BgL_arg1506z00_2565 = CAR(BgL_pairz00_2566);
											}
											{	/* Reduce/ftypec.scm 151 */
												obj_t BgL_classz00_2567;

												BgL_classz00_2567 = BGl_varz00zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1506z00_2565))
													{	/* Reduce/ftypec.scm 151 */
														BgL_objectz00_bglt BgL_arg1858z00_2568;

														BgL_arg1858z00_2568 =
															(BgL_objectz00_bglt) (BgL_arg1506z00_2565);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Reduce/ftypec.scm 151 */
																long BgL_idxz00_2569;

																BgL_idxz00_2569 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2568);
																BgL_test1938z00_2986 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2569 + 2L)) ==
																	BgL_classz00_2567);
															}
														else
															{	/* Reduce/ftypec.scm 151 */
																bool_t BgL_res1863z00_2572;

																{	/* Reduce/ftypec.scm 151 */
																	obj_t BgL_oclassz00_2573;

																	{	/* Reduce/ftypec.scm 151 */
																		obj_t BgL_arg1866z00_2574;
																		long BgL_arg1867z00_2575;

																		BgL_arg1866z00_2574 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Reduce/ftypec.scm 151 */
																			long BgL_arg1869z00_2576;

																			BgL_arg1869z00_2576 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2568);
																			BgL_arg1867z00_2575 =
																				(BgL_arg1869z00_2576 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2573 =
																			VECTOR_REF(BgL_arg1866z00_2574,
																			BgL_arg1867z00_2575);
																	}
																	{	/* Reduce/ftypec.scm 151 */
																		bool_t BgL__ortest_1115z00_2577;

																		BgL__ortest_1115z00_2577 =
																			(BgL_classz00_2567 == BgL_oclassz00_2573);
																		if (BgL__ortest_1115z00_2577)
																			{	/* Reduce/ftypec.scm 151 */
																				BgL_res1863z00_2572 =
																					BgL__ortest_1115z00_2577;
																			}
																		else
																			{	/* Reduce/ftypec.scm 151 */
																				long BgL_odepthz00_2578;

																				{	/* Reduce/ftypec.scm 151 */
																					obj_t BgL_arg1855z00_2579;

																					BgL_arg1855z00_2579 =
																						(BgL_oclassz00_2573);
																					BgL_odepthz00_2578 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2579);
																				}
																				if ((2L < BgL_odepthz00_2578))
																					{	/* Reduce/ftypec.scm 151 */
																						obj_t BgL_arg1853z00_2580;

																						{	/* Reduce/ftypec.scm 151 */
																							obj_t BgL_arg1854z00_2581;

																							BgL_arg1854z00_2581 =
																								(BgL_oclassz00_2573);
																							BgL_arg1853z00_2580 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2581, 2L);
																						}
																						BgL_res1863z00_2572 =
																							(BgL_arg1853z00_2580 ==
																							BgL_classz00_2567);
																					}
																				else
																					{	/* Reduce/ftypec.scm 151 */
																						BgL_res1863z00_2572 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1938z00_2986 = BgL_res1863z00_2572;
															}
													}
												else
													{	/* Reduce/ftypec.scm 151 */
														BgL_test1938z00_2986 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test1938z00_2986)
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2602 = BgL_g1116z00_2564;
											}
										else
											{	/* Reduce/ftypec.scm 151 */
												BgL_typecz00_2602 = BFALSE;
											}
									}
								else
									{	/* Reduce/ftypec.scm 155 */
										bool_t BgL_test1943z00_3012;

										{	/* Reduce/ftypec.scm 155 */
											obj_t BgL_tmpz00_3013;

											BgL_tmpz00_3013 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_2548)))->
												BgL_argsz00);
											BgL_test1943z00_3012 = PAIRP(BgL_tmpz00_3013);
										}
										if (BgL_test1943z00_3012)
											{	/* Reduce/ftypec.scm 156 */
												bool_t BgL_test1944z00_3017;

												{	/* Reduce/ftypec.scm 156 */
													obj_t BgL_tmpz00_3018;

													{	/* Reduce/ftypec.scm 156 */
														obj_t BgL_pairz00_2582;

														BgL_pairz00_2582 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2548)))->
															BgL_argsz00);
														BgL_tmpz00_3018 = CDR(BgL_pairz00_2582);
													}
													BgL_test1944z00_3017 = NULLP(BgL_tmpz00_3018);
												}
												if (BgL_test1944z00_3017)
													{	/* Reduce/ftypec.scm 157 */
														bool_t BgL_test1945z00_3023;

														{	/* Reduce/ftypec.scm 157 */
															obj_t BgL_arg1532z00_2583;

															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_pairz00_2584;

																BgL_pairz00_2584 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2548)))->
																	BgL_argsz00);
																BgL_arg1532z00_2583 = CAR(BgL_pairz00_2584);
															}
															{	/* Reduce/ftypec.scm 157 */
																obj_t BgL_classz00_2585;

																BgL_classz00_2585 = BGl_varz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg1532z00_2583))
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_objectz00_bglt BgL_arg1858z00_2586;

																		BgL_arg1858z00_2586 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1532z00_2583);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Reduce/ftypec.scm 157 */
																				long BgL_idxz00_2587;

																				BgL_idxz00_2587 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2586);
																				BgL_test1945z00_3023 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2587 + 2L)) ==
																					BgL_classz00_2585);
																			}
																		else
																			{	/* Reduce/ftypec.scm 157 */
																				bool_t BgL_res1864z00_2590;

																				{	/* Reduce/ftypec.scm 157 */
																					obj_t BgL_oclassz00_2591;

																					{	/* Reduce/ftypec.scm 157 */
																						obj_t BgL_arg1866z00_2592;
																						long BgL_arg1867z00_2593;

																						BgL_arg1866z00_2592 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Reduce/ftypec.scm 157 */
																							long BgL_arg1869z00_2594;

																							BgL_arg1869z00_2594 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2586);
																							BgL_arg1867z00_2593 =
																								(BgL_arg1869z00_2594 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2591 =
																							VECTOR_REF(BgL_arg1866z00_2592,
																							BgL_arg1867z00_2593);
																					}
																					{	/* Reduce/ftypec.scm 157 */
																						bool_t BgL__ortest_1115z00_2595;

																						BgL__ortest_1115z00_2595 =
																							(BgL_classz00_2585 ==
																							BgL_oclassz00_2591);
																						if (BgL__ortest_1115z00_2595)
																							{	/* Reduce/ftypec.scm 157 */
																								BgL_res1864z00_2590 =
																									BgL__ortest_1115z00_2595;
																							}
																						else
																							{	/* Reduce/ftypec.scm 157 */
																								long BgL_odepthz00_2596;

																								{	/* Reduce/ftypec.scm 157 */
																									obj_t BgL_arg1855z00_2597;

																									BgL_arg1855z00_2597 =
																										(BgL_oclassz00_2591);
																									BgL_odepthz00_2596 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2597);
																								}
																								if ((2L < BgL_odepthz00_2596))
																									{	/* Reduce/ftypec.scm 157 */
																										obj_t BgL_arg1853z00_2598;

																										{	/* Reduce/ftypec.scm 157 */
																											obj_t BgL_arg1854z00_2599;

																											BgL_arg1854z00_2599 =
																												(BgL_oclassz00_2591);
																											BgL_arg1853z00_2598 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2599,
																												2L);
																										}
																										BgL_res1864z00_2590 =
																											(BgL_arg1853z00_2598 ==
																											BgL_classz00_2585);
																									}
																								else
																									{	/* Reduce/ftypec.scm 157 */
																										BgL_res1864z00_2590 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test1945z00_3023 =
																					BgL_res1864z00_2590;
																			}
																	}
																else
																	{	/* Reduce/ftypec.scm 157 */
																		BgL_test1945z00_3023 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test1945z00_3023)
															{	/* Reduce/ftypec.scm 158 */
																bool_t BgL_test1950z00_3049;

																{	/* Reduce/ftypec.scm 158 */
																	obj_t BgL_tmpz00_3050;

																	{
																		BgL_variablez00_bglt BgL_auxz00_3051;

																		{
																			BgL_varz00_bglt BgL_auxz00_3052;

																			{	/* Reduce/ftypec.scm 158 */
																				obj_t BgL_pairz00_2600;

																				BgL_pairz00_2600 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2548)))->
																					BgL_argsz00);
																				BgL_auxz00_3052 =
																					((BgL_varz00_bglt)
																					CAR(BgL_pairz00_2600));
																			}
																			BgL_auxz00_3051 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_auxz00_3052))->
																				BgL_variablez00);
																		}
																		BgL_tmpz00_3050 =
																			(((BgL_variablez00_bglt)
																				COBJECT(BgL_auxz00_3051))->
																			BgL_accessz00);
																	}
																	BgL_test1950z00_3049 =
																		(BgL_tmpz00_3050 ==
																		((obj_t) CNST_TABLE_REF(1)));
																}
																if (BgL_test1950z00_3049)
																	{	/* Reduce/ftypec.scm 161 */

																		BgL_typecz00_2602 =
																			(((BgL_funz00_bglt) COBJECT(
																					((BgL_funz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									(((BgL_varz00_bglt) COBJECT(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_2548)))->
																													BgL_funz00)))->
																										BgL_variablez00)))->
																							BgL_valuez00))))->
																			BgL_predicatezd2ofzd2);
																	}
																else
																	{	/* Reduce/ftypec.scm 158 */
																		BgL_typecz00_2602 = BFALSE;
																	}
															}
														else
															{	/* Reduce/ftypec.scm 157 */
																BgL_typecz00_2602 = BFALSE;
															}
													}
												else
													{	/* Reduce/ftypec.scm 156 */
														BgL_typecz00_2602 = BFALSE;
													}
											}
										else
											{	/* Reduce/ftypec.scm 155 */
												BgL_typecz00_2602 = BFALSE;
											}
									}
							}
						else
							{	/* Reduce/ftypec.scm 145 */
								BgL_typecz00_2602 = BFALSE;
							}
					}
					{	/* Reduce/ftypec.scm 189 */
						bool_t BgL_test1951z00_3070;

						{	/* Reduce/ftypec.scm 189 */
							obj_t BgL_classz00_2603;

							BgL_classz00_2603 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_typecz00_2602))
								{	/* Reduce/ftypec.scm 189 */
									BgL_objectz00_bglt BgL_arg1858z00_2604;

									BgL_arg1858z00_2604 =
										(BgL_objectz00_bglt) (BgL_typecz00_2602);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Reduce/ftypec.scm 189 */
											long BgL_idxz00_2605;

											BgL_idxz00_2605 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2604);
											BgL_test1951z00_3070 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2605 + 1L)) == BgL_classz00_2603);
										}
									else
										{	/* Reduce/ftypec.scm 189 */
											bool_t BgL_res1865z00_2608;

											{	/* Reduce/ftypec.scm 189 */
												obj_t BgL_oclassz00_2609;

												{	/* Reduce/ftypec.scm 189 */
													obj_t BgL_arg1866z00_2610;
													long BgL_arg1867z00_2611;

													BgL_arg1866z00_2610 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Reduce/ftypec.scm 189 */
														long BgL_arg1869z00_2612;

														BgL_arg1869z00_2612 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2604);
														BgL_arg1867z00_2611 =
															(BgL_arg1869z00_2612 - OBJECT_TYPE);
													}
													BgL_oclassz00_2609 =
														VECTOR_REF(BgL_arg1866z00_2610,
														BgL_arg1867z00_2611);
												}
												{	/* Reduce/ftypec.scm 189 */
													bool_t BgL__ortest_1115z00_2613;

													BgL__ortest_1115z00_2613 =
														(BgL_classz00_2603 == BgL_oclassz00_2609);
													if (BgL__ortest_1115z00_2613)
														{	/* Reduce/ftypec.scm 189 */
															BgL_res1865z00_2608 = BgL__ortest_1115z00_2613;
														}
													else
														{	/* Reduce/ftypec.scm 189 */
															long BgL_odepthz00_2614;

															{	/* Reduce/ftypec.scm 189 */
																obj_t BgL_arg1855z00_2615;

																BgL_arg1855z00_2615 = (BgL_oclassz00_2609);
																BgL_odepthz00_2614 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2615);
															}
															if ((1L < BgL_odepthz00_2614))
																{	/* Reduce/ftypec.scm 189 */
																	obj_t BgL_arg1853z00_2616;

																	{	/* Reduce/ftypec.scm 189 */
																		obj_t BgL_arg1854z00_2617;

																		BgL_arg1854z00_2617 = (BgL_oclassz00_2609);
																		BgL_arg1853z00_2616 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2617, 1L);
																	}
																	BgL_res1865z00_2608 =
																		(BgL_arg1853z00_2616 == BgL_classz00_2603);
																}
															else
																{	/* Reduce/ftypec.scm 189 */
																	BgL_res1865z00_2608 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1951z00_3070 = BgL_res1865z00_2608;
										}
								}
							else
								{	/* Reduce/ftypec.scm 189 */
									BgL_test1951z00_3070 = ((bool_t) 0);
								}
						}
						if (BgL_test1951z00_3070)
							{	/* Reduce/ftypec.scm 194 */
								obj_t BgL_argsz00_2618;

								BgL_argsz00_2618 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->
													BgL_testz00))))->BgL_argsz00);
								{	/* Reduce/ftypec.scm 194 */
									BgL_variablez00_bglt BgL_varz00_2619;

									BgL_varz00_2619 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt)
													CAR(((obj_t) BgL_argsz00_2618)))))->BgL_variablez00);
									{	/* Reduce/ftypec.scm 195 */
										obj_t BgL_typesz00_2620;

										BgL_typesz00_2620 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_varz00_2619), BgL_stackz00_2468);
										{	/* Reduce/ftypec.scm 196 */
											obj_t BgL_tzd2stackzd2_2621;

											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_arg1418z00_2622;

												{	/* Reduce/ftypec.scm 197 */
													obj_t BgL_arg1419z00_2623;

													BgL_arg1419z00_2623 =
														MAKE_YOUNG_PAIR(BgL_typecz00_2602, BTRUE);
													BgL_arg1418z00_2622 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_varz00_2619), BgL_arg1419z00_2623);
												}
												BgL_tzd2stackzd2_2621 =
													MAKE_YOUNG_PAIR(BgL_arg1418z00_2622,
													BgL_stackz00_2468);
											}
											{	/* Reduce/ftypec.scm 197 */
												obj_t BgL_fzd2stackzd2_2624;

												{	/* Reduce/ftypec.scm 198 */
													obj_t BgL_arg1416z00_2625;

													{	/* Reduce/ftypec.scm 198 */
														obj_t BgL_arg1417z00_2626;

														BgL_arg1417z00_2626 =
															MAKE_YOUNG_PAIR(BgL_typecz00_2602, BFALSE);
														BgL_arg1416z00_2625 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_varz00_2619), BgL_arg1417z00_2626);
													}
													BgL_fzd2stackzd2_2624 =
														MAKE_YOUNG_PAIR(BgL_arg1416z00_2625,
														BgL_stackz00_2468);
												}
												{	/* Reduce/ftypec.scm 198 */

													{	/* Reduce/ftypec.scm 199 */
														bool_t BgL_test1956z00_3111;

														if (CBOOL(BgL_typesz00_2620))
															{	/* Reduce/ftypec.scm 199 */
																bool_t BgL_test1958z00_3114;

																{	/* Reduce/ftypec.scm 199 */
																	obj_t BgL_tmpz00_3115;

																	{	/* Reduce/ftypec.scm 199 */
																		obj_t BgL_pairz00_2627;

																		BgL_pairz00_2627 =
																			CDR(((obj_t) BgL_typesz00_2620));
																		BgL_tmpz00_3115 = CAR(BgL_pairz00_2627);
																	}
																	BgL_test1958z00_3114 =
																		(BgL_tmpz00_3115 == BgL_typecz00_2602);
																}
																if (BgL_test1958z00_3114)
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1956z00_3111 = ((bool_t) 0);
																	}
																else
																	{	/* Reduce/ftypec.scm 199 */
																		BgL_test1956z00_3111 = ((bool_t) 1);
																	}
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BgL_test1956z00_3111 = ((bool_t) 1);
															}
														if (BgL_test1956z00_3111)
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2
																	=
																	(1L +
																	BGl_za2typezd2checkszd2remainingza2z00zzreduce_flowzd2typeczd2);
																{
																	BgL_nodez00_bglt BgL_auxz00_3121;

																	{	/* Reduce/ftypec.scm 203 */
																		BgL_nodez00_bglt BgL_arg1400z00_2628;

																		BgL_arg1400z00_2628 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2467)))->BgL_truez00);
																		BgL_auxz00_3121 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1400z00_2628,
																			BgL_tzd2stackzd2_2621);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2467)))->BgL_truez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3121),
																		BUNSPEC);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_3127;

																	{	/* Reduce/ftypec.scm 204 */
																		BgL_nodez00_bglt BgL_arg1401z00_2629;

																		BgL_arg1401z00_2629 =
																			(((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2467)))->BgL_falsez00);
																		BgL_auxz00_3127 =
																			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																			(BgL_arg1401z00_2629,
																			BgL_fzd2stackzd2_2624);
																	}
																	((((BgL_conditionalz00_bglt) COBJECT(
																					((BgL_conditionalz00_bglt)
																						BgL_nodez00_2467)))->BgL_falsez00) =
																		((BgL_nodez00_bglt) BgL_auxz00_3127),
																		BUNSPEC);
																}
																return
																	((BgL_nodez00_bglt)
																	((BgL_conditionalz00_bglt) BgL_nodez00_2467));
															}
														else
															{	/* Reduce/ftypec.scm 199 */
																BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2
																	=
																	(1L +
																	BGl_za2typezd2checkszd2removedza2z00zzreduce_flowzd2typeczd2);
																{	/* Reduce/ftypec.scm 209 */
																	bool_t BgL_test1959z00_3136;

																	{	/* Reduce/ftypec.scm 209 */
																		obj_t BgL_pairz00_2630;

																		BgL_pairz00_2630 =
																			CDR(((obj_t) BgL_typesz00_2620));
																		BgL_test1959z00_3136 =
																			CBOOL(CDR(BgL_pairz00_2630));
																	}
																	if (BgL_test1959z00_3136)
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2467)))->
																					BgL_truez00), BgL_tzd2stackzd2_2621);
																		}
																	else
																		{	/* Reduce/ftypec.scm 209 */
																			return
																				BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
																				((((BgL_conditionalz00_bglt)
																						COBJECT(((BgL_conditionalz00_bglt)
																								BgL_nodez00_2467)))->
																					BgL_falsez00), BgL_fzd2stackzd2_2624);
																		}
																}
															}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Reduce/ftypec.scm 189 */
								{
									BgL_nodez00_bglt BgL_auxz00_3147;

									{	/* Reduce/ftypec.scm 191 */
										BgL_nodez00_bglt BgL_arg1471z00_2631;

										BgL_arg1471z00_2631 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->
											BgL_truez00);
										BgL_auxz00_3147 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1471z00_2631, BgL_stackz00_2468);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->
											BgL_truez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3147), BUNSPEC);
								}
								{
									BgL_nodez00_bglt BgL_auxz00_3153;

									{	/* Reduce/ftypec.scm 192 */
										BgL_nodez00_bglt BgL_arg1480z00_2632;

										BgL_arg1480z00_2632 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->
											BgL_falsez00);
										BgL_auxz00_3153 =
											BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2
											(BgL_arg1480z00_2632, BgL_stackz00_2468);
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_2467)))->
											BgL_falsez00) =
										((BgL_nodez00_bglt) BgL_auxz00_3153), BUNSPEC);
								}
								return
									((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_nodez00_2467));
							}
					}
				}
			}
		}

	}



/* &node-typec!-setq1296 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2setq1296z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2469, obj_t BgL_nodez00_2470, obj_t BgL_stackz00_2471)
	{
		{	/* Reduce/ftypec.scm 134 */
			{
				BgL_nodez00_bglt BgL_auxz00_3161;

				{	/* Reduce/ftypec.scm 136 */
					BgL_nodez00_bglt BgL_arg1383z00_2634;

					BgL_arg1383z00_2634 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2470)))->BgL_valuez00);
					BgL_auxz00_3161 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1383z00_2634,
						BgL_stackz00_2471);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2470)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_3161), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_3167;

				{	/* Reduce/ftypec.scm 137 */
					BgL_varz00_bglt BgL_arg1385z00_2635;

					BgL_arg1385z00_2635 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2470)))->BgL_varz00);
					BgL_auxz00_3167 =
						((BgL_varz00_bglt)
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
							((BgL_nodez00_bglt) BgL_arg1385z00_2635), BgL_stackz00_2471));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2470)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_3167), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_2470));
		}

	}



/* &node-typec!-cast1294 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2cast1294z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2472, obj_t BgL_nodez00_2473, obj_t BgL_stackz00_2474)
	{
		{	/* Reduce/ftypec.scm 126 */
			BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2473)))->BgL_argz00),
				BgL_stackz00_2474);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_2473));
		}

	}



/* &node-typec!-extern1292 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2extern1292z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476, obj_t BgL_stackz00_2477)
	{
		{	/* Reduce/ftypec.scm 118 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2476)))->BgL_exprza2za2),
				BgL_stackz00_2477);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_2476));
		}

	}



/* &node-typec!-funcall1290 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2funcall1290z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2478, obj_t BgL_nodez00_2479, obj_t BgL_stackz00_2480)
	{
		{	/* Reduce/ftypec.scm 109 */
			{
				BgL_nodez00_bglt BgL_auxz00_3187;

				{	/* Reduce/ftypec.scm 111 */
					BgL_nodez00_bglt BgL_arg1376z00_2639;

					BgL_arg1376z00_2639 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2479)))->BgL_funz00);
					BgL_auxz00_3187 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1376z00_2639,
						BgL_stackz00_2480);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2479)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3187), BUNSPEC);
			}
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_2479)))->BgL_argsz00),
				BgL_stackz00_2480);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_2479));
		}

	}



/* &node-typec!-app-ly1288 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2appzd2ly1288za2zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2481, obj_t BgL_nodez00_2482, obj_t BgL_stackz00_2483)
	{
		{	/* Reduce/ftypec.scm 100 */
			{
				BgL_nodez00_bglt BgL_auxz00_3198;

				{	/* Reduce/ftypec.scm 102 */
					BgL_nodez00_bglt BgL_arg1370z00_2641;

					BgL_arg1370z00_2641 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2482)))->BgL_funz00);
					BgL_auxz00_3198 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1370z00_2641,
						BgL_stackz00_2483);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2482)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3198), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3204;

				{	/* Reduce/ftypec.scm 103 */
					BgL_nodez00_bglt BgL_arg1371z00_2642;

					BgL_arg1371z00_2642 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2482)))->BgL_argz00);
					BgL_auxz00_3204 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1371z00_2642,
						BgL_stackz00_2483);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2482)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3204), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2482));
		}

	}



/* &node-typec!-sync1286 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sync1286z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2484, obj_t BgL_nodez00_2485, obj_t BgL_stackz00_2486)
	{
		{	/* Reduce/ftypec.scm 90 */
			{
				BgL_nodez00_bglt BgL_auxz00_3212;

				{	/* Reduce/ftypec.scm 92 */
					BgL_nodez00_bglt BgL_arg1364z00_2644;

					BgL_arg1364z00_2644 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_mutexz00);
					BgL_auxz00_3212 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1364z00_2644,
						BgL_stackz00_2486);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3212), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3218;

				{	/* Reduce/ftypec.scm 93 */
					BgL_nodez00_bglt BgL_arg1365z00_2645;

					BgL_arg1365z00_2645 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_prelockz00);
					BgL_auxz00_3218 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1365z00_2645,
						BgL_stackz00_2486);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3218), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_3224;

				{	/* Reduce/ftypec.scm 94 */
					BgL_nodez00_bglt BgL_arg1367z00_2646;

					BgL_arg1367z00_2646 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_bodyz00);
					BgL_auxz00_3224 =
						BGl_nodezd2typecz12zc0zzreduce_flowzd2typeczd2(BgL_arg1367z00_2646,
						BgL_stackz00_2486);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2485)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_3224), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2485));
		}

	}



/* &node-typec!-sequence1284 */
	BgL_nodez00_bglt
		BGl_z62nodezd2typecz12zd2sequence1284z70zzreduce_flowzd2typeczd2(obj_t
		BgL_envz00_2487, obj_t BgL_nodez00_2488, obj_t BgL_stackz00_2489)
	{
		{	/* Reduce/ftypec.scm 82 */
			BGl_nodezd2typecza2z12z62zzreduce_flowzd2typeczd2(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2488)))->BgL_nodesz00),
				BgL_stackz00_2489);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_2488));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_flowzd2typeczd2(void)
	{
		{	/* Reduce/ftypec.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zztype_miscz00(49975086L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1894z00zzreduce_flowzd2typeczd2));
		}

	}

#ifdef __cplusplus
}
#endif
