/*===========================================================================*/
/*   (Reduce/same.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Reduce/same.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_REDUCE_SAME_TYPE_DEFINITIONS
#define BGL_REDUCE_SAME_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_REDUCE_SAME_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62samezd2nodezf3zd2kwote1290z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzreduce_samez00 = BUNSPEC;
	static obj_t BGl_z62samezd2nodezf3zd2condition1317z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2valloc1313z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2funcall1301z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzreduce_samez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2cast1315z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2letzd2var1321z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreduce_samez00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzreduce_samez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62samezd2nodezf3zd2fail1319z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2extern1305z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzreduce_samez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2sequence1294z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2appzd2ly1298z43zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2sync1296z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_aliasedzf3zf3zzreduce_samez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static obj_t BGl_z62samezd2nodezf3zd2getfield1309z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzreduce_samez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00(void);
	static obj_t BGl_z62samezd2nodezf3zd2pragma1307z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzreduce_samez00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt, BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2setfield1311z91zzreduce_samez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62samezd2nodezf31283z43zzreduce_samez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2app1303z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62samezd2nodezf3zd2atom1288z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62samezd2nodezf3zd2var1292z91zzreduce_samez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1977z00zzreduce_samez00,
		BgL_bgl_string1977za700za7za7r1999za7, "same-node?1283", 14);
	      DEFINE_STRING(BGl_string1979z00zzreduce_samez00,
		BgL_bgl_string1979za700za7za7r2000za7, "same-node?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2001za7,
		BGl_z62samezd2nodezf31283z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2002za7,
		BGl_z62samezd2nodezf3zd2atom1288z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2003za7,
		BGl_z62samezd2nodezf3zd2kwote1290z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2004za7,
		BGl_z62samezd2nodezf3zd2var1292z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2005za7,
		BGl_z62samezd2nodezf3zd2sequence1294z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2006za7,
		BGl_z62samezd2nodezf3zd2sync1296z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2007za7,
		BGl_z62samezd2nodezf3zd2appzd2ly1298z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2008za7,
		BGl_z62samezd2nodezf3zd2funcall1301z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2009za7,
		BGl_z62samezd2nodezf3zd2app1303z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2010za7,
		BGl_z62samezd2nodezf3zd2extern1305z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2011za7,
		BGl_z62samezd2nodezf3zd2pragma1307z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2012za7,
		BGl_z62samezd2nodezf3zd2getfield1309z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1996z00zzreduce_samez00,
		BgL_bgl_string1996za700za7za7r2013za7, "reduce_same", 11);
	      DEFINE_STRING(BGl_string1997z00zzreduce_samez00,
		BgL_bgl_string1997za700za7za7r2014za7, "read ", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2015za7,
		BGl_z62samezd2nodezf3zd2setfield1311z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2016za7,
		BGl_z62samezd2nodezf3zd2valloc1313z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2017za7,
		BGl_z62samezd2nodezf3zd2cast1315z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2018za7,
		BGl_z62samezd2nodezf3zd2condition1317z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2019za7,
		BGl_z62samezd2nodezf3zd2fail1319z91zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2020za7,
		BGl_z62samezd2nodezf3zd2letzd2var1321z43zzreduce_samez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
		BgL_bgl_za762sameza7d2nodeza7f2021za7,
		BGl_z62samezd2nodezf3z43zzreduce_samez00, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreduce_samez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreduce_samez00(long
		BgL_checksumz00_3683, char *BgL_fromz00_3684)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreduce_samez00))
				{
					BGl_requirezd2initializa7ationz75zzreduce_samez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreduce_samez00();
					BGl_libraryzd2moduleszd2initz00zzreduce_samez00();
					BGl_cnstzd2initzd2zzreduce_samez00();
					BGl_importedzd2moduleszd2initz00zzreduce_samez00();
					BGl_genericzd2initzd2zzreduce_samez00();
					BGl_methodzd2initzd2zzreduce_samez00();
					return BGl_toplevelzd2initzd2zzreduce_samez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "reduce_same");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"reduce_same");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			{	/* Reduce/same.scm 15 */
				obj_t BgL_cportz00_3309;

				{	/* Reduce/same.scm 15 */
					obj_t BgL_stringz00_3316;

					BgL_stringz00_3316 = BGl_string1997z00zzreduce_samez00;
					{	/* Reduce/same.scm 15 */
						obj_t BgL_startz00_3317;

						BgL_startz00_3317 = BINT(0L);
						{	/* Reduce/same.scm 15 */
							obj_t BgL_endz00_3318;

							BgL_endz00_3318 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3316)));
							{	/* Reduce/same.scm 15 */

								BgL_cportz00_3309 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3316, BgL_startz00_3317, BgL_endz00_3318);
				}}}}
				{
					long BgL_iz00_3310;

					BgL_iz00_3310 = 0L;
				BgL_loopz00_3311:
					if ((BgL_iz00_3310 == (-1L)))
						{	/* Reduce/same.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Reduce/same.scm 15 */
							{	/* Reduce/same.scm 15 */
								obj_t BgL_arg1998z00_3312;

								{	/* Reduce/same.scm 15 */

									{	/* Reduce/same.scm 15 */
										obj_t BgL_locationz00_3314;

										BgL_locationz00_3314 = BBOOL(((bool_t) 0));
										{	/* Reduce/same.scm 15 */

											BgL_arg1998z00_3312 =
												BGl_readz00zz__readerz00(BgL_cportz00_3309,
												BgL_locationz00_3314);
										}
									}
								}
								{	/* Reduce/same.scm 15 */
									int BgL_tmpz00_3714;

									BgL_tmpz00_3714 = (int) (BgL_iz00_3310);
									CNST_TABLE_SET(BgL_tmpz00_3714, BgL_arg1998z00_3312);
							}}
							{	/* Reduce/same.scm 15 */
								int BgL_auxz00_3315;

								BgL_auxz00_3315 = (int) ((BgL_iz00_3310 - 1L));
								{
									long BgL_iz00_3719;

									BgL_iz00_3719 = (long) (BgL_auxz00_3315);
									BgL_iz00_3310 = BgL_iz00_3719;
									goto BgL_loopz00_3311;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}

	}



/* same-node*? */
	bool_t BGl_samezd2nodeza2zf3z83zzreduce_samez00(obj_t BgL_node1z00_57,
		obj_t BgL_node2z00_58, obj_t BgL_aliasz00_59)
	{
		{	/* Reduce/same.scm 227 */
		BGl_samezd2nodeza2zf3z83zzreduce_samez00:
			if (NULLP(BgL_node1z00_57))
				{	/* Reduce/same.scm 229 */
					return NULLP(BgL_node2z00_58);
				}
			else
				{	/* Reduce/same.scm 229 */
					if (NULLP(BgL_node2z00_58))
						{	/* Reduce/same.scm 231 */
							return ((bool_t) 0);
						}
					else
						{	/* Reduce/same.scm 233 */
							bool_t BgL_test2026z00_3727;

							{	/* Reduce/same.scm 233 */
								obj_t BgL_arg1339z00_1424;
								obj_t BgL_arg1340z00_1425;

								BgL_arg1339z00_1424 = CAR(((obj_t) BgL_node1z00_57));
								BgL_arg1340z00_1425 = CAR(((obj_t) BgL_node2z00_58));
								BgL_test2026z00_3727 =
									BGl_samezd2nodezf3z21zzreduce_samez00(
									((BgL_nodez00_bglt) BgL_arg1339z00_1424),
									((BgL_nodez00_bglt) BgL_arg1340z00_1425), BgL_aliasz00_59);
							}
							if (BgL_test2026z00_3727)
								{	/* Reduce/same.scm 234 */
									obj_t BgL_arg1336z00_1422;
									obj_t BgL_arg1338z00_1423;

									BgL_arg1336z00_1422 = CDR(((obj_t) BgL_node1z00_57));
									BgL_arg1338z00_1423 = CDR(((obj_t) BgL_node2z00_58));
									{
										obj_t BgL_node2z00_3740;
										obj_t BgL_node1z00_3739;

										BgL_node1z00_3739 = BgL_arg1336z00_1422;
										BgL_node2z00_3740 = BgL_arg1338z00_1423;
										BgL_node2z00_58 = BgL_node2z00_3740;
										BgL_node1z00_57 = BgL_node1z00_3739;
										goto BGl_samezd2nodeza2zf3z83zzreduce_samez00;
									}
								}
							else
								{	/* Reduce/same.scm 233 */
									return ((bool_t) 0);
								}
						}
				}
		}

	}



/* aliased? */
	bool_t BGl_aliasedzf3zf3zzreduce_samez00(obj_t BgL_var1z00_60,
		obj_t BgL_var2z00_61, obj_t BgL_aliasz00_62)
	{
		{	/* Reduce/same.scm 241 */
			{
				obj_t BgL_aliasz00_1427;

				BgL_aliasz00_1427 = BgL_aliasz00_62;
			BgL_zc3z04anonymousza31341ze3z87_1428:
				if (NULLP(BgL_aliasz00_1427))
					{	/* Reduce/same.scm 244 */
						return ((bool_t) 0);
					}
				else
					{	/* Reduce/same.scm 246 */
						bool_t BgL_test2028z00_3743;

						{	/* Reduce/same.scm 246 */
							obj_t BgL_tmpz00_3744;

							{	/* Reduce/same.scm 246 */
								obj_t BgL_pairz00_1931;

								BgL_pairz00_1931 = CAR(((obj_t) BgL_aliasz00_1427));
								BgL_tmpz00_3744 = CAR(BgL_pairz00_1931);
							}
							BgL_test2028z00_3743 = (BgL_tmpz00_3744 == BgL_var1z00_60);
						}
						if (BgL_test2028z00_3743)
							{	/* Reduce/same.scm 247 */
								bool_t BgL_test2029z00_3749;

								{	/* Reduce/same.scm 247 */
									obj_t BgL_tmpz00_3750;

									{	/* Reduce/same.scm 247 */
										obj_t BgL_pairz00_1933;

										BgL_pairz00_1933 = CAR(((obj_t) BgL_aliasz00_1427));
										BgL_tmpz00_3750 = CDR(BgL_pairz00_1933);
									}
									BgL_test2029z00_3749 = (BgL_tmpz00_3750 == BgL_var2z00_61);
								}
								if (BgL_test2029z00_3749)
									{	/* Reduce/same.scm 247 */
										return ((bool_t) 1);
									}
								else
									{
										obj_t BgL_aliasz00_3755;

										BgL_aliasz00_3755 = CDR(((obj_t) BgL_aliasz00_1427));
										BgL_aliasz00_1427 = BgL_aliasz00_3755;
										goto BgL_zc3z04anonymousza31341ze3z87_1428;
									}
							}
						else
							{	/* Reduce/same.scm 250 */
								bool_t BgL_test2030z00_3758;

								{	/* Reduce/same.scm 250 */
									obj_t BgL_tmpz00_3759;

									{	/* Reduce/same.scm 250 */
										obj_t BgL_pairz00_1936;

										BgL_pairz00_1936 = CAR(((obj_t) BgL_aliasz00_1427));
										BgL_tmpz00_3759 = CAR(BgL_pairz00_1936);
									}
									BgL_test2030z00_3758 = (BgL_tmpz00_3759 == BgL_var2z00_61);
								}
								if (BgL_test2030z00_3758)
									{	/* Reduce/same.scm 251 */
										bool_t BgL_test2031z00_3764;

										{	/* Reduce/same.scm 251 */
											obj_t BgL_tmpz00_3765;

											{	/* Reduce/same.scm 251 */
												obj_t BgL_pairz00_1938;

												BgL_pairz00_1938 = CAR(((obj_t) BgL_aliasz00_1427));
												BgL_tmpz00_3765 = CDR(BgL_pairz00_1938);
											}
											BgL_test2031z00_3764 =
												(BgL_tmpz00_3765 == BgL_var1z00_60);
										}
										if (BgL_test2031z00_3764)
											{	/* Reduce/same.scm 251 */
												return ((bool_t) 1);
											}
										else
											{
												obj_t BgL_aliasz00_3770;

												BgL_aliasz00_3770 = CDR(((obj_t) BgL_aliasz00_1427));
												BgL_aliasz00_1427 = BgL_aliasz00_3770;
												goto BgL_zc3z04anonymousza31341ze3z87_1428;
											}
									}
								else
									{
										obj_t BgL_aliasz00_3773;

										BgL_aliasz00_3773 = CDR(((obj_t) BgL_aliasz00_1427));
										BgL_aliasz00_1427 = BgL_aliasz00_3773;
										goto BgL_zc3z04anonymousza31341ze3z87_1428;
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_proc1976z00zzreduce_samez00, BGl_nodez00zzast_nodez00,
				BGl_string1977z00zzreduce_samez00);
		}

	}



/* &same-node?1283 */
	obj_t BGl_z62samezd2nodezf31283z43zzreduce_samez00(obj_t BgL_envz00_3216,
		obj_t BgL_node1z00_3217, obj_t BgL_node2z00_3218, obj_t BgL_aliasz00_3219)
	{
		{	/* Reduce/same.scm 26 */
			return BBOOL(((bool_t) 0));
		}

	}



/* same-node? */
	BGL_EXPORTED_DEF bool_t BGl_samezd2nodezf3z21zzreduce_samez00(BgL_nodez00_bglt
		BgL_node1z00_3, BgL_nodez00_bglt BgL_node2z00_4, obj_t BgL_aliasz00_5)
	{
		{	/* Reduce/same.scm 26 */
			{	/* Reduce/same.scm 26 */
				obj_t BgL_method1285z00_1460;

				{	/* Reduce/same.scm 26 */
					obj_t BgL_res1943z00_1971;

					{	/* Reduce/same.scm 26 */
						long BgL_objzd2classzd2numz00_1942;

						BgL_objzd2classzd2numz00_1942 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_node1z00_3));
						{	/* Reduce/same.scm 26 */
							obj_t BgL_arg1862z00_1943;

							BgL_arg1862z00_1943 =
								PROCEDURE_REF(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
								(int) (1L));
							{	/* Reduce/same.scm 26 */
								int BgL_offsetz00_1946;

								BgL_offsetz00_1946 = (int) (BgL_objzd2classzd2numz00_1942);
								{	/* Reduce/same.scm 26 */
									long BgL_offsetz00_1947;

									BgL_offsetz00_1947 =
										((long) (BgL_offsetz00_1946) - OBJECT_TYPE);
									{	/* Reduce/same.scm 26 */
										long BgL_modz00_1948;

										BgL_modz00_1948 =
											(BgL_offsetz00_1947 >> (int) ((long) ((int) (4L))));
										{	/* Reduce/same.scm 26 */
											long BgL_restz00_1950;

											BgL_restz00_1950 =
												(BgL_offsetz00_1947 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Reduce/same.scm 26 */

												{	/* Reduce/same.scm 26 */
													obj_t BgL_bucketz00_1952;

													BgL_bucketz00_1952 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1943), BgL_modz00_1948);
													BgL_res1943z00_1971 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1952), BgL_restz00_1950);
					}}}}}}}}
					BgL_method1285z00_1460 = BgL_res1943z00_1971;
				}
				return
					CBOOL(BGL_PROCEDURE_CALL3(BgL_method1285z00_1460,
						((obj_t) BgL_node1z00_3),
						((obj_t) BgL_node2z00_4), BgL_aliasz00_5));
			}
		}

	}



/* &same-node? */
	obj_t BGl_z62samezd2nodezf3z43zzreduce_samez00(obj_t BgL_envz00_3220,
		obj_t BgL_node1z00_3221, obj_t BgL_node2z00_3222, obj_t BgL_aliasz00_3223)
	{
		{	/* Reduce/same.scm 26 */
			return
				BBOOL(BGl_samezd2nodezf3z21zzreduce_samez00(
					((BgL_nodez00_bglt) BgL_node1z00_3221),
					((BgL_nodez00_bglt) BgL_node2z00_3222), BgL_aliasz00_3223));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_atomz00zzast_nodez00,
				BGl_proc1978z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1980z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_varz00zzast_nodez00,
				BGl_proc1981z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1982z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_syncz00zzast_nodez00,
				BGl_proc1983z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1984z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1985z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_appz00zzast_nodez00,
				BGl_proc1986z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_externz00zzast_nodez00, BGl_proc1987z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_pragmaz00zzast_nodez00, BGl_proc1988z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1989z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1990z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1991z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_castz00zzast_nodez00,
				BGl_proc1992z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1993z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00, BGl_failz00zzast_nodez00,
				BGl_proc1994z00zzreduce_samez00, BGl_string1979z00zzreduce_samez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1995z00zzreduce_samez00,
				BGl_string1979z00zzreduce_samez00);
		}

	}



/* &same-node?-let-var1321 */
	obj_t BGl_z62samezd2nodezf3zd2letzd2var1321z43zzreduce_samez00(obj_t
		BgL_envz00_3241, obj_t BgL_nodez00_3242, obj_t BgL_node2z00_3243,
		obj_t BgL_aliasz00_3244)
	{
		{	/* Reduce/same.scm 193 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_3833;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2032z00_3834;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3324;

						BgL_classz00_3324 = BGl_letzd2varzd2zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3325;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3835;

								BgL_tmpz00_3835 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3243));
								BgL_arg1858z00_3325 = (BgL_objectz00_bglt) (BgL_tmpz00_3835);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3326;

									BgL_idxz00_3326 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3325);
									BgL_test2032z00_3834 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3326 + 3L)) == BgL_classz00_3324);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1959z00_3329;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3330;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3331;
											long BgL_arg1867z00_3332;

											BgL_arg1866z00_3331 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3333;

												BgL_arg1869z00_3333 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3325);
												BgL_arg1867z00_3332 =
													(BgL_arg1869z00_3333 - OBJECT_TYPE);
											}
											BgL_oclassz00_3330 =
												VECTOR_REF(BgL_arg1866z00_3331, BgL_arg1867z00_3332);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3334;

											BgL__ortest_1115z00_3334 =
												(BgL_classz00_3324 == BgL_oclassz00_3330);
											if (BgL__ortest_1115z00_3334)
												{	/* Tools/trace.sch 53 */
													BgL_res1959z00_3329 = BgL__ortest_1115z00_3334;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3335;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3336;

														BgL_arg1855z00_3336 = (BgL_oclassz00_3330);
														BgL_odepthz00_3335 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3336);
													}
													if ((3L < BgL_odepthz00_3335))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3337;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3338;

																BgL_arg1854z00_3338 = (BgL_oclassz00_3330);
																BgL_arg1853z00_3337 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3338,
																	3L);
															}
															BgL_res1959z00_3329 =
																(BgL_arg1853z00_3337 == BgL_classz00_3324);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1959z00_3329 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2032z00_3834 = BgL_res1959z00_3329;
								}
						}
					}
					if (BgL_test2032z00_3834)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3242))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3243)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									if (
										(BINT(bgl_list_length(
													(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3242)))->
														BgL_bindingsz00))) ==
											BINT(bgl_list_length((((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3243))))->
														BgL_bindingsz00)))))
										{	/* Tools/trace.sch 53 */
											obj_t BgL_newzd2aliaszd2_3339;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1834z00_3340;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_ll1277z00_3341;
													obj_t BgL_ll1278z00_3342;

													BgL_ll1277z00_3341 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3242)))->
														BgL_bindingsz00);
													BgL_ll1278z00_3342 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3243))))->
														BgL_bindingsz00);
													if (NULLP(BgL_ll1277z00_3341))
														{	/* Tools/trace.sch 53 */
															BgL_arg1834z00_3340 = BNIL;
														}
													else
														{	/* Tools/trace.sch 53 */
															obj_t BgL_head1279z00_3343;

															BgL_head1279z00_3343 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_ll1277z00_3345;
																obj_t BgL_ll1278z00_3346;
																obj_t BgL_tail1280z00_3347;

																BgL_ll1277z00_3345 = BgL_ll1277z00_3341;
																BgL_ll1278z00_3346 = BgL_ll1278z00_3342;
																BgL_tail1280z00_3347 = BgL_head1279z00_3343;
															BgL_zc3z04anonymousza31836ze3z87_3344:
																if (NULLP(BgL_ll1277z00_3345))
																	{	/* Tools/trace.sch 53 */
																		BgL_arg1834z00_3340 =
																			CDR(BgL_head1279z00_3343);
																	}
																else
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_newtail1281z00_3348;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1847z00_3349;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_b1z00_3350;
																				obj_t BgL_b2z00_3351;

																				BgL_b1z00_3350 =
																					CAR(((obj_t) BgL_ll1277z00_3345));
																				BgL_b2z00_3351 =
																					CAR(((obj_t) BgL_ll1278z00_3346));
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1848z00_3352;
																					obj_t BgL_arg1851z00_3353;

																					BgL_arg1848z00_3352 =
																						CAR(((obj_t) BgL_b1z00_3350));
																					BgL_arg1851z00_3353 =
																						CAR(((obj_t) BgL_b2z00_3351));
																					BgL_arg1847z00_3349 =
																						MAKE_YOUNG_PAIR(BgL_arg1848z00_3352,
																						BgL_arg1851z00_3353);
																				}
																			}
																			BgL_newtail1281z00_3348 =
																				MAKE_YOUNG_PAIR(BgL_arg1847z00_3349,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1280z00_3347,
																			BgL_newtail1281z00_3348);
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1842z00_3354;
																			obj_t BgL_arg1845z00_3355;

																			BgL_arg1842z00_3354 =
																				CDR(((obj_t) BgL_ll1277z00_3345));
																			BgL_arg1845z00_3355 =
																				CDR(((obj_t) BgL_ll1278z00_3346));
																			{
																				obj_t BgL_tail1280z00_3906;
																				obj_t BgL_ll1278z00_3905;
																				obj_t BgL_ll1277z00_3904;

																				BgL_ll1277z00_3904 =
																					BgL_arg1842z00_3354;
																				BgL_ll1278z00_3905 =
																					BgL_arg1845z00_3355;
																				BgL_tail1280z00_3906 =
																					BgL_newtail1281z00_3348;
																				BgL_tail1280z00_3347 =
																					BgL_tail1280z00_3906;
																				BgL_ll1278z00_3346 = BgL_ll1278z00_3905;
																				BgL_ll1277z00_3345 = BgL_ll1277z00_3904;
																				goto
																					BgL_zc3z04anonymousza31836ze3z87_3344;
																			}
																		}
																	}
															}
														}
												}
												BgL_newzd2aliaszd2_3339 =
													BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1834z00_3340, BgL_aliasz00_3244);
											}
											{	/* Tools/trace.sch 53 */
												bool_t BgL_test2040z00_3908;

												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1825z00_3356;
													BgL_nodez00_bglt BgL_arg1829z00_3357;

													BgL_arg1825z00_3356 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_nodez00_3242)))->
														BgL_bodyz00);
													BgL_arg1829z00_3357 =
														(((BgL_letzd2varzd2_bglt)
															COBJECT(((BgL_letzd2varzd2_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3243))))->
														BgL_bodyz00);
													BgL_test2040z00_3908 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1825z00_3356, BgL_arg1829z00_3357,
														BgL_newzd2aliaszd2_3339);
												}
												if (BgL_test2040z00_3908)
													{	/* Tools/trace.sch 53 */
														obj_t BgL_g1159z00_3358;
														obj_t BgL_g1160z00_3359;

														BgL_g1159z00_3358 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3242)))->
															BgL_bindingsz00);
														BgL_g1160z00_3359 =
															(((BgL_letzd2varzd2_bglt)
																COBJECT(((BgL_letzd2varzd2_bglt) (
																			(BgL_nodez00_bglt) BgL_node2z00_3243))))->
															BgL_bindingsz00);
														{
															obj_t BgL_bindings1z00_3361;
															obj_t BgL_bindings2z00_3362;

															BgL_bindings1z00_3361 = BgL_g1159z00_3358;
															BgL_bindings2z00_3362 = BgL_g1160z00_3359;
														BgL_loopz00_3360:
															if (NULLP(BgL_bindings1z00_3361))
																{	/* Tools/trace.sch 53 */
																	BgL_tmpz00_3833 = ((bool_t) 1);
																}
															else
																{	/* Tools/trace.sch 53 */
																	bool_t BgL_test2042z00_3922;

																	{	/* Tools/trace.sch 53 */
																		bool_t BgL_test2043z00_3923;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_tmpz00_3924;

																			{
																				BgL_variablez00_bglt BgL_auxz00_3925;

																				{
																					BgL_localz00_bglt BgL_auxz00_3926;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_pairz00_3363;

																						BgL_pairz00_3363 =
																							CAR(
																							((obj_t) BgL_bindings1z00_3361));
																						BgL_auxz00_3926 =
																							((BgL_localz00_bglt)
																							CAR(BgL_pairz00_3363));
																					}
																					BgL_auxz00_3925 =
																						((BgL_variablez00_bglt)
																						BgL_auxz00_3926);
																				}
																				BgL_tmpz00_3924 =
																					(((BgL_variablez00_bglt)
																						COBJECT(BgL_auxz00_3925))->
																					BgL_accessz00);
																			}
																			BgL_test2043z00_3923 =
																				(BgL_tmpz00_3924 ==
																				((obj_t) CNST_TABLE_REF(0)));
																		}
																		if (BgL_test2043z00_3923)
																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_tmpz00_3936;

																				{
																					BgL_variablez00_bglt BgL_auxz00_3937;

																					{
																						BgL_localz00_bglt BgL_auxz00_3938;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_pairz00_3364;

																							BgL_pairz00_3364 =
																								CAR(
																								((obj_t)
																									BgL_bindings2z00_3362));
																							BgL_auxz00_3938 =
																								((BgL_localz00_bglt)
																								CAR(BgL_pairz00_3364));
																						}
																						BgL_auxz00_3937 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_3938);
																					}
																					BgL_tmpz00_3936 =
																						(((BgL_variablez00_bglt)
																							COBJECT(BgL_auxz00_3937))->
																						BgL_accessz00);
																				}
																				BgL_test2042z00_3922 =
																					(BgL_tmpz00_3936 ==
																					((obj_t) CNST_TABLE_REF(0)));
																			}
																		else
																			{	/* Tools/trace.sch 53 */
																				BgL_test2042z00_3922 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2042z00_3922)
																		{	/* Tools/trace.sch 53 */
																			bool_t BgL_test2044z00_3948;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1801z00_3365;
																				obj_t BgL_arg1802z00_3366;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_pairz00_3367;

																					BgL_pairz00_3367 =
																						CAR(
																						((obj_t) BgL_bindings1z00_3361));
																					BgL_arg1801z00_3365 =
																						CDR(BgL_pairz00_3367);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_pairz00_3368;

																					BgL_pairz00_3368 =
																						CAR(
																						((obj_t) BgL_bindings2z00_3362));
																					BgL_arg1802z00_3366 =
																						CDR(BgL_pairz00_3368);
																				}
																				BgL_test2044z00_3948 =
																					BGl_samezd2nodezf3z21zzreduce_samez00(
																					((BgL_nodez00_bglt)
																						BgL_arg1801z00_3365),
																					((BgL_nodez00_bglt)
																						BgL_arg1802z00_3366),
																					BgL_aliasz00_3244);
																			}
																			if (BgL_test2044z00_3948)
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1799z00_3369;
																					obj_t BgL_arg1800z00_3370;

																					BgL_arg1799z00_3369 =
																						CDR(
																						((obj_t) BgL_bindings1z00_3361));
																					BgL_arg1800z00_3370 =
																						CDR(
																						((obj_t) BgL_bindings2z00_3362));
																					{
																						obj_t BgL_bindings2z00_3963;
																						obj_t BgL_bindings1z00_3962;

																						BgL_bindings1z00_3962 =
																							BgL_arg1799z00_3369;
																						BgL_bindings2z00_3963 =
																							BgL_arg1800z00_3370;
																						BgL_bindings2z00_3362 =
																							BgL_bindings2z00_3963;
																						BgL_bindings1z00_3361 =
																							BgL_bindings1z00_3962;
																						goto BgL_loopz00_3360;
																					}
																				}
																			else
																				{	/* Tools/trace.sch 53 */
																					BgL_tmpz00_3833 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Tools/trace.sch 53 */
																			BgL_tmpz00_3833 = ((bool_t) 0);
																		}
																}
														}
													}
												else
													{	/* Tools/trace.sch 53 */
														BgL_tmpz00_3833 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_3833 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_3833 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_3833 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3833);
			}
		}

	}



/* &same-node?-fail1319 */
	obj_t BGl_z62samezd2nodezf3zd2fail1319z91zzreduce_samez00(obj_t
		BgL_envz00_3245, obj_t BgL_nodez00_3246, obj_t BgL_node2z00_3247,
		obj_t BgL_aliasz00_3248)
	{
		{	/* Reduce/same.scm 180 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_3965;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2045z00_3966;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3373;

						BgL_classz00_3373 = BGl_failz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3374;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_3967;

								BgL_tmpz00_3967 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3247));
								BgL_arg1858z00_3374 = (BgL_objectz00_bglt) (BgL_tmpz00_3967);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3375;

									BgL_idxz00_3375 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3374);
									BgL_test2045z00_3966 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3375 + 2L)) == BgL_classz00_3373);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1958z00_3378;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3379;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3380;
											long BgL_arg1867z00_3381;

											BgL_arg1866z00_3380 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3382;

												BgL_arg1869z00_3382 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3374);
												BgL_arg1867z00_3381 =
													(BgL_arg1869z00_3382 - OBJECT_TYPE);
											}
											BgL_oclassz00_3379 =
												VECTOR_REF(BgL_arg1866z00_3380, BgL_arg1867z00_3381);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3383;

											BgL__ortest_1115z00_3383 =
												(BgL_classz00_3373 == BgL_oclassz00_3379);
											if (BgL__ortest_1115z00_3383)
												{	/* Tools/trace.sch 53 */
													BgL_res1958z00_3378 = BgL__ortest_1115z00_3383;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3384;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3385;

														BgL_arg1855z00_3385 = (BgL_oclassz00_3379);
														BgL_odepthz00_3384 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3385);
													}
													if ((2L < BgL_odepthz00_3384))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3386;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3387;

																BgL_arg1854z00_3387 = (BgL_oclassz00_3379);
																BgL_arg1853z00_3386 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3387,
																	2L);
															}
															BgL_res1958z00_3378 =
																(BgL_arg1853z00_3386 == BgL_classz00_3373);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1958z00_3378 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2045z00_3966 = BgL_res1958z00_3378;
								}
						}
					}
					if (BgL_test2045z00_3966)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_failz00_bglt) BgL_nodez00_3246))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3247)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2050z00_3999;

									{	/* Tools/trace.sch 53 */
										BgL_nodez00_bglt BgL_arg1755z00_3388;
										BgL_nodez00_bglt BgL_arg1756z00_3389;

										BgL_arg1755z00_3388 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt) BgL_nodez00_3246)))->BgL_msgz00);
										BgL_arg1756z00_3389 =
											(((BgL_failz00_bglt) COBJECT(
													((BgL_failz00_bglt)
														((BgL_nodez00_bglt) BgL_node2z00_3247))))->
											BgL_msgz00);
										BgL_test2050z00_3999 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1755z00_3388,
											BgL_arg1756z00_3389, BgL_aliasz00_3248);
									}
									if (BgL_test2050z00_3999)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2051z00_4006;

											{	/* Tools/trace.sch 53 */
												BgL_nodez00_bglt BgL_arg1746z00_3390;
												BgL_nodez00_bglt BgL_arg1748z00_3391;

												BgL_arg1746z00_3390 =
													(((BgL_failz00_bglt) COBJECT(
															((BgL_failz00_bglt) BgL_nodez00_3246)))->
													BgL_procz00);
												BgL_arg1748z00_3391 =
													(((BgL_failz00_bglt)
														COBJECT(((BgL_failz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3247))))->BgL_procz00);
												BgL_test2051z00_4006 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1746z00_3390, BgL_arg1748z00_3391,
													BgL_aliasz00_3248);
											}
											if (BgL_test2051z00_4006)
												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1729z00_3392;
													BgL_nodez00_bglt BgL_arg1730z00_3393;

													BgL_arg1729z00_3392 =
														(((BgL_failz00_bglt) COBJECT(
																((BgL_failz00_bglt) BgL_nodez00_3246)))->
														BgL_objz00);
													BgL_arg1730z00_3393 =
														(((BgL_failz00_bglt)
															COBJECT(((BgL_failz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3247))))->BgL_objz00);
													BgL_tmpz00_3965 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1729z00_3392, BgL_arg1730z00_3393,
														BgL_aliasz00_3248);
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_3965 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_3965 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_3965 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_3965 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_3965);
			}
		}

	}



/* &same-node?-condition1317 */
	obj_t BGl_z62samezd2nodezf3zd2condition1317z91zzreduce_samez00(obj_t
		BgL_envz00_3249, obj_t BgL_nodez00_3250, obj_t BgL_node2z00_3251,
		obj_t BgL_aliasz00_3252)
	{
		{	/* Reduce/same.scm 167 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4020;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2052z00_4021;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3396;

						BgL_classz00_3396 = BGl_conditionalz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3397;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4022;

								BgL_tmpz00_4022 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3251));
								BgL_arg1858z00_3397 = (BgL_objectz00_bglt) (BgL_tmpz00_4022);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3398;

									BgL_idxz00_3398 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3397);
									BgL_test2052z00_4021 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3398 + 3L)) == BgL_classz00_3396);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1957z00_3401;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3402;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3403;
											long BgL_arg1867z00_3404;

											BgL_arg1866z00_3403 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3405;

												BgL_arg1869z00_3405 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3397);
												BgL_arg1867z00_3404 =
													(BgL_arg1869z00_3405 - OBJECT_TYPE);
											}
											BgL_oclassz00_3402 =
												VECTOR_REF(BgL_arg1866z00_3403, BgL_arg1867z00_3404);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3406;

											BgL__ortest_1115z00_3406 =
												(BgL_classz00_3396 == BgL_oclassz00_3402);
											if (BgL__ortest_1115z00_3406)
												{	/* Tools/trace.sch 53 */
													BgL_res1957z00_3401 = BgL__ortest_1115z00_3406;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3407;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3408;

														BgL_arg1855z00_3408 = (BgL_oclassz00_3402);
														BgL_odepthz00_3407 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3408);
													}
													if ((3L < BgL_odepthz00_3407))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3409;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3410;

																BgL_arg1854z00_3410 = (BgL_oclassz00_3402);
																BgL_arg1853z00_3409 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3410,
																	3L);
															}
															BgL_res1957z00_3401 =
																(BgL_arg1853z00_3409 == BgL_classz00_3396);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1957z00_3401 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2052z00_4021 = BgL_res1957z00_3401;
								}
						}
					}
					if (BgL_test2052z00_4021)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_conditionalz00_bglt) BgL_nodez00_3250))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3251)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2057z00_4054;

									{	/* Tools/trace.sch 53 */
										BgL_nodez00_bglt BgL_arg1716z00_3411;
										BgL_nodez00_bglt BgL_arg1717z00_3412;

										BgL_arg1716z00_3411 =
											(((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_nodez00_3250)))->
											BgL_falsez00);
										BgL_arg1717z00_3412 =
											(((BgL_conditionalz00_bglt)
												COBJECT(((BgL_conditionalz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3251))))->BgL_falsez00);
										BgL_test2057z00_4054 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1716z00_3411,
											BgL_arg1717z00_3412, BgL_aliasz00_3252);
									}
									if (BgL_test2057z00_4054)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2058z00_4061;

											{	/* Tools/trace.sch 53 */
												BgL_nodez00_bglt BgL_arg1703z00_3413;
												BgL_nodez00_bglt BgL_arg1715z00_3414;

												BgL_arg1703z00_3413 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt) BgL_nodez00_3250)))->
													BgL_truez00);
												BgL_arg1715z00_3414 =
													(((BgL_conditionalz00_bglt)
														COBJECT(((BgL_conditionalz00_bglt) (
																	(BgL_nodez00_bglt) BgL_node2z00_3251))))->
													BgL_truez00);
												BgL_test2058z00_4061 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1703z00_3413, BgL_arg1715z00_3414,
													BgL_aliasz00_3252);
											}
											if (BgL_test2058z00_4061)
												{	/* Tools/trace.sch 53 */
													BgL_nodez00_bglt BgL_arg1696z00_3415;
													BgL_nodez00_bglt BgL_arg1699z00_3416;

													BgL_arg1696z00_3415 =
														(((BgL_conditionalz00_bglt) COBJECT(
																((BgL_conditionalz00_bglt) BgL_nodez00_3250)))->
														BgL_testz00);
													BgL_arg1699z00_3416 =
														(((BgL_conditionalz00_bglt)
															COBJECT(((BgL_conditionalz00_bglt) (
																		(BgL_nodez00_bglt) BgL_node2z00_3251))))->
														BgL_testz00);
													BgL_tmpz00_4020 =
														BGl_samezd2nodezf3z21zzreduce_samez00
														(BgL_arg1696z00_3415, BgL_arg1699z00_3416,
														BgL_aliasz00_3252);
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4020 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_4020 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4020 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4020 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4020);
			}
		}

	}



/* &same-node?-cast1315 */
	obj_t BGl_z62samezd2nodezf3zd2cast1315z91zzreduce_samez00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254, obj_t BgL_node2z00_3255,
		obj_t BgL_aliasz00_3256)
	{
		{	/* Reduce/same.scm 159 */
			{	/* Reduce/same.scm 160 */
				bool_t BgL_tmpz00_4075;

				{	/* Reduce/same.scm 160 */
					bool_t BgL_test2059z00_4076;

					{	/* Reduce/same.scm 160 */
						obj_t BgL_classz00_3419;

						BgL_classz00_3419 = BGl_castz00zzast_nodez00;
						{	/* Reduce/same.scm 160 */
							BgL_objectz00_bglt BgL_arg1858z00_3420;

							{	/* Reduce/same.scm 160 */
								obj_t BgL_tmpz00_4077;

								BgL_tmpz00_4077 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3255));
								BgL_arg1858z00_3420 = (BgL_objectz00_bglt) (BgL_tmpz00_4077);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 160 */
									long BgL_idxz00_3421;

									BgL_idxz00_3421 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3420);
									BgL_test2059z00_4076 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3421 + 2L)) == BgL_classz00_3419);
								}
							else
								{	/* Reduce/same.scm 160 */
									bool_t BgL_res1956z00_3424;

									{	/* Reduce/same.scm 160 */
										obj_t BgL_oclassz00_3425;

										{	/* Reduce/same.scm 160 */
											obj_t BgL_arg1866z00_3426;
											long BgL_arg1867z00_3427;

											BgL_arg1866z00_3426 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 160 */
												long BgL_arg1869z00_3428;

												BgL_arg1869z00_3428 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3420);
												BgL_arg1867z00_3427 =
													(BgL_arg1869z00_3428 - OBJECT_TYPE);
											}
											BgL_oclassz00_3425 =
												VECTOR_REF(BgL_arg1866z00_3426, BgL_arg1867z00_3427);
										}
										{	/* Reduce/same.scm 160 */
											bool_t BgL__ortest_1115z00_3429;

											BgL__ortest_1115z00_3429 =
												(BgL_classz00_3419 == BgL_oclassz00_3425);
											if (BgL__ortest_1115z00_3429)
												{	/* Reduce/same.scm 160 */
													BgL_res1956z00_3424 = BgL__ortest_1115z00_3429;
												}
											else
												{	/* Reduce/same.scm 160 */
													long BgL_odepthz00_3430;

													{	/* Reduce/same.scm 160 */
														obj_t BgL_arg1855z00_3431;

														BgL_arg1855z00_3431 = (BgL_oclassz00_3425);
														BgL_odepthz00_3430 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3431);
													}
													if ((2L < BgL_odepthz00_3430))
														{	/* Reduce/same.scm 160 */
															obj_t BgL_arg1853z00_3432;

															{	/* Reduce/same.scm 160 */
																obj_t BgL_arg1854z00_3433;

																BgL_arg1854z00_3433 = (BgL_oclassz00_3425);
																BgL_arg1853z00_3432 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3433,
																	2L);
															}
															BgL_res1956z00_3424 =
																(BgL_arg1853z00_3432 == BgL_classz00_3419);
														}
													else
														{	/* Reduce/same.scm 160 */
															BgL_res1956z00_3424 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2059z00_4076 = BgL_res1956z00_3424;
								}
						}
					}
					if (BgL_test2059z00_4076)
						{	/* Reduce/same.scm 160 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_castz00_bglt) BgL_nodez00_3254))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3255)))->BgL_typez00))))
								{	/* Reduce/same.scm 162 */
									BgL_nodez00_bglt BgL_arg1691z00_3434;
									BgL_nodez00_bglt BgL_arg1692z00_3435;

									BgL_arg1691z00_3434 =
										(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt) BgL_nodez00_3254)))->BgL_argz00);
									BgL_arg1692z00_3435 =
										(((BgL_castz00_bglt) COBJECT(
												((BgL_castz00_bglt)
													((BgL_nodez00_bglt) BgL_node2z00_3255))))->
										BgL_argz00);
									BgL_tmpz00_4075 =
										BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1691z00_3434,
										BgL_arg1692z00_3435, BgL_aliasz00_3256);
								}
							else
								{	/* Reduce/same.scm 161 */
									BgL_tmpz00_4075 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 160 */
							BgL_tmpz00_4075 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4075);
			}
		}

	}



/* &same-node?-valloc1313 */
	obj_t BGl_z62samezd2nodezf3zd2valloc1313z91zzreduce_samez00(obj_t
		BgL_envz00_3257, obj_t BgL_nodez00_3258, obj_t BgL_node2z00_3259,
		obj_t BgL_aliasz00_3260)
	{
		{	/* Reduce/same.scm 153 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &same-node?-setfield1311 */
	obj_t BGl_z62samezd2nodezf3zd2setfield1311z91zzreduce_samez00(obj_t
		BgL_envz00_3261, obj_t BgL_nodez00_3262, obj_t BgL_node2z00_3263,
		obj_t BgL_aliasz00_3264)
	{
		{	/* Reduce/same.scm 145 */
			{

				{	/* Reduce/same.scm 146 */
					bool_t BgL_test2064z00_4117;

					{	/* Reduce/same.scm 146 */
						obj_t BgL_classz00_3442;

						BgL_classz00_3442 = BGl_setfieldz00zzast_nodez00;
						{	/* Reduce/same.scm 146 */
							BgL_objectz00_bglt BgL_arg1858z00_3443;

							{	/* Reduce/same.scm 146 */
								obj_t BgL_tmpz00_4118;

								BgL_tmpz00_4118 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3263));
								BgL_arg1858z00_3443 = (BgL_objectz00_bglt) (BgL_tmpz00_4118);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 146 */
									long BgL_idxz00_3444;

									BgL_idxz00_3444 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3443);
									BgL_test2064z00_4117 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3444 + 5L)) == BgL_classz00_3442);
								}
							else
								{	/* Reduce/same.scm 146 */
									bool_t BgL_res1955z00_3447;

									{	/* Reduce/same.scm 146 */
										obj_t BgL_oclassz00_3448;

										{	/* Reduce/same.scm 146 */
											obj_t BgL_arg1866z00_3449;
											long BgL_arg1867z00_3450;

											BgL_arg1866z00_3449 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 146 */
												long BgL_arg1869z00_3451;

												BgL_arg1869z00_3451 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3443);
												BgL_arg1867z00_3450 =
													(BgL_arg1869z00_3451 - OBJECT_TYPE);
											}
											BgL_oclassz00_3448 =
												VECTOR_REF(BgL_arg1866z00_3449, BgL_arg1867z00_3450);
										}
										{	/* Reduce/same.scm 146 */
											bool_t BgL__ortest_1115z00_3452;

											BgL__ortest_1115z00_3452 =
												(BgL_classz00_3442 == BgL_oclassz00_3448);
											if (BgL__ortest_1115z00_3452)
												{	/* Reduce/same.scm 146 */
													BgL_res1955z00_3447 = BgL__ortest_1115z00_3452;
												}
											else
												{	/* Reduce/same.scm 146 */
													long BgL_odepthz00_3453;

													{	/* Reduce/same.scm 146 */
														obj_t BgL_arg1855z00_3454;

														BgL_arg1855z00_3454 = (BgL_oclassz00_3448);
														BgL_odepthz00_3453 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3454);
													}
													if ((5L < BgL_odepthz00_3453))
														{	/* Reduce/same.scm 146 */
															obj_t BgL_arg1853z00_3455;

															{	/* Reduce/same.scm 146 */
																obj_t BgL_arg1854z00_3456;

																BgL_arg1854z00_3456 = (BgL_oclassz00_3448);
																BgL_arg1853z00_3455 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3456,
																	5L);
															}
															BgL_res1955z00_3447 =
																(BgL_arg1853z00_3455 == BgL_classz00_3442);
														}
													else
														{	/* Reduce/same.scm 146 */
															BgL_res1955z00_3447 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2064z00_4117 = BgL_res1955z00_3447;
								}
						}
					}
					if (BgL_test2064z00_4117)
						{	/* Reduce/same.scm 147 */
							bool_t BgL_test2068z00_4141;

							{	/* Reduce/same.scm 147 */
								obj_t BgL_arg1680z00_3457;
								obj_t BgL_arg1686z00_3458;

								BgL_arg1680z00_3457 =
									(((BgL_setfieldz00_bglt) COBJECT(
											((BgL_setfieldz00_bglt) BgL_nodez00_3262)))->
									BgL_fnamez00);
								BgL_arg1686z00_3458 =
									(((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) ((BgL_nodez00_bglt)
													BgL_node2z00_3263))))->BgL_fnamez00);
								{	/* Reduce/same.scm 147 */
									long BgL_l1z00_3459;

									BgL_l1z00_3459 = STRING_LENGTH(BgL_arg1680z00_3457);
									if ((BgL_l1z00_3459 == STRING_LENGTH(BgL_arg1686z00_3458)))
										{	/* Reduce/same.scm 147 */
											int BgL_arg1343z00_3460;

											{	/* Reduce/same.scm 147 */
												char *BgL_auxz00_4153;
												char *BgL_tmpz00_4151;

												BgL_auxz00_4153 =
													BSTRING_TO_STRING(BgL_arg1686z00_3458);
												BgL_tmpz00_4151 =
													BSTRING_TO_STRING(BgL_arg1680z00_3457);
												BgL_arg1343z00_3460 =
													memcmp(BgL_tmpz00_4151, BgL_auxz00_4153,
													BgL_l1z00_3459);
											}
											BgL_test2068z00_4141 =
												((long) (BgL_arg1343z00_3460) == 0L);
										}
									else
										{	/* Reduce/same.scm 147 */
											BgL_test2068z00_4141 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2068z00_4141)
								{	/* Reduce/same.scm 147 */
									{	/* Reduce/same.scm 145 */
										obj_t BgL_nextzd2method1310zd2_3441;

										BgL_nextzd2method1310zd2_3441 =
											BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
											((BgL_objectz00_bglt)
												((BgL_setfieldz00_bglt) BgL_nodez00_3262)),
											BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
											BGl_setfieldz00zzast_nodez00);
										return BGL_PROCEDURE_CALL3(BgL_nextzd2method1310zd2_3441,
											((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_3262)),
											((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3263)),
											BgL_aliasz00_3264);
									}
								}
							else
								{	/* Reduce/same.scm 147 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/same.scm 146 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &same-node?-getfield1309 */
	obj_t BGl_z62samezd2nodezf3zd2getfield1309z91zzreduce_samez00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266, obj_t BgL_node2z00_3267,
		obj_t BgL_aliasz00_3268)
	{
		{	/* Reduce/same.scm 137 */
			{

				{	/* Reduce/same.scm 138 */
					bool_t BgL_test2070z00_4171;

					{	/* Reduce/same.scm 138 */
						obj_t BgL_classz00_3465;

						BgL_classz00_3465 = BGl_getfieldz00zzast_nodez00;
						{	/* Reduce/same.scm 138 */
							BgL_objectz00_bglt BgL_arg1858z00_3466;

							{	/* Reduce/same.scm 138 */
								obj_t BgL_tmpz00_4172;

								BgL_tmpz00_4172 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3267));
								BgL_arg1858z00_3466 = (BgL_objectz00_bglt) (BgL_tmpz00_4172);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 138 */
									long BgL_idxz00_3467;

									BgL_idxz00_3467 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3466);
									BgL_test2070z00_4171 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3467 + 5L)) == BgL_classz00_3465);
								}
							else
								{	/* Reduce/same.scm 138 */
									bool_t BgL_res1954z00_3470;

									{	/* Reduce/same.scm 138 */
										obj_t BgL_oclassz00_3471;

										{	/* Reduce/same.scm 138 */
											obj_t BgL_arg1866z00_3472;
											long BgL_arg1867z00_3473;

											BgL_arg1866z00_3472 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 138 */
												long BgL_arg1869z00_3474;

												BgL_arg1869z00_3474 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3466);
												BgL_arg1867z00_3473 =
													(BgL_arg1869z00_3474 - OBJECT_TYPE);
											}
											BgL_oclassz00_3471 =
												VECTOR_REF(BgL_arg1866z00_3472, BgL_arg1867z00_3473);
										}
										{	/* Reduce/same.scm 138 */
											bool_t BgL__ortest_1115z00_3475;

											BgL__ortest_1115z00_3475 =
												(BgL_classz00_3465 == BgL_oclassz00_3471);
											if (BgL__ortest_1115z00_3475)
												{	/* Reduce/same.scm 138 */
													BgL_res1954z00_3470 = BgL__ortest_1115z00_3475;
												}
											else
												{	/* Reduce/same.scm 138 */
													long BgL_odepthz00_3476;

													{	/* Reduce/same.scm 138 */
														obj_t BgL_arg1855z00_3477;

														BgL_arg1855z00_3477 = (BgL_oclassz00_3471);
														BgL_odepthz00_3476 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3477);
													}
													if ((5L < BgL_odepthz00_3476))
														{	/* Reduce/same.scm 138 */
															obj_t BgL_arg1853z00_3478;

															{	/* Reduce/same.scm 138 */
																obj_t BgL_arg1854z00_3479;

																BgL_arg1854z00_3479 = (BgL_oclassz00_3471);
																BgL_arg1853z00_3478 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3479,
																	5L);
															}
															BgL_res1954z00_3470 =
																(BgL_arg1853z00_3478 == BgL_classz00_3465);
														}
													else
														{	/* Reduce/same.scm 138 */
															BgL_res1954z00_3470 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2070z00_4171 = BgL_res1954z00_3470;
								}
						}
					}
					if (BgL_test2070z00_4171)
						{	/* Reduce/same.scm 139 */
							bool_t BgL_test2074z00_4195;

							{	/* Reduce/same.scm 139 */
								obj_t BgL_arg1677z00_3480;
								obj_t BgL_arg1679z00_3481;

								BgL_arg1677z00_3480 =
									(((BgL_getfieldz00_bglt) COBJECT(
											((BgL_getfieldz00_bglt) BgL_nodez00_3266)))->
									BgL_fnamez00);
								BgL_arg1679z00_3481 =
									(((BgL_getfieldz00_bglt)
										COBJECT(((BgL_getfieldz00_bglt) ((BgL_nodez00_bglt)
													BgL_node2z00_3267))))->BgL_fnamez00);
								{	/* Reduce/same.scm 139 */
									long BgL_l1z00_3482;

									BgL_l1z00_3482 = STRING_LENGTH(BgL_arg1677z00_3480);
									if ((BgL_l1z00_3482 == STRING_LENGTH(BgL_arg1679z00_3481)))
										{	/* Reduce/same.scm 139 */
											int BgL_arg1343z00_3483;

											{	/* Reduce/same.scm 139 */
												char *BgL_auxz00_4207;
												char *BgL_tmpz00_4205;

												BgL_auxz00_4207 =
													BSTRING_TO_STRING(BgL_arg1679z00_3481);
												BgL_tmpz00_4205 =
													BSTRING_TO_STRING(BgL_arg1677z00_3480);
												BgL_arg1343z00_3483 =
													memcmp(BgL_tmpz00_4205, BgL_auxz00_4207,
													BgL_l1z00_3482);
											}
											BgL_test2074z00_4195 =
												((long) (BgL_arg1343z00_3483) == 0L);
										}
									else
										{	/* Reduce/same.scm 139 */
											BgL_test2074z00_4195 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2074z00_4195)
								{	/* Reduce/same.scm 139 */
									{	/* Reduce/same.scm 137 */
										obj_t BgL_nextzd2method1308zd2_3464;

										BgL_nextzd2method1308zd2_3464 =
											BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
											((BgL_objectz00_bglt)
												((BgL_getfieldz00_bglt) BgL_nodez00_3266)),
											BGl_samezd2nodezf3zd2envzf3zzreduce_samez00,
											BGl_getfieldz00zzast_nodez00);
										return BGL_PROCEDURE_CALL3(BgL_nextzd2method1308zd2_3464,
											((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_3266)),
											((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3267)),
											BgL_aliasz00_3268);
									}
								}
							else
								{	/* Reduce/same.scm 139 */
									return BFALSE;
								}
						}
					else
						{	/* Reduce/same.scm 138 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &same-node?-pragma1307 */
	obj_t BGl_z62samezd2nodezf3zd2pragma1307z91zzreduce_samez00(obj_t
		BgL_envz00_3269, obj_t BgL_nodez00_3270, obj_t BgL_node2z00_3271,
		obj_t BgL_aliasz00_3272)
	{
		{	/* Reduce/same.scm 128 */
			{	/* Reduce/same.scm 129 */
				bool_t BgL_tmpz00_4225;

				{	/* Reduce/same.scm 129 */
					bool_t BgL_test2076z00_4226;

					{	/* Reduce/same.scm 129 */
						obj_t BgL_classz00_3486;

						BgL_classz00_3486 = BGl_pragmaz00zzast_nodez00;
						{	/* Reduce/same.scm 129 */
							BgL_objectz00_bglt BgL_arg1858z00_3487;

							{	/* Reduce/same.scm 129 */
								obj_t BgL_tmpz00_4227;

								BgL_tmpz00_4227 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3271));
								BgL_arg1858z00_3487 = (BgL_objectz00_bglt) (BgL_tmpz00_4227);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 129 */
									long BgL_idxz00_3488;

									BgL_idxz00_3488 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3487);
									BgL_test2076z00_4226 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3488 + 4L)) == BgL_classz00_3486);
								}
							else
								{	/* Reduce/same.scm 129 */
									bool_t BgL_res1953z00_3491;

									{	/* Reduce/same.scm 129 */
										obj_t BgL_oclassz00_3492;

										{	/* Reduce/same.scm 129 */
											obj_t BgL_arg1866z00_3493;
											long BgL_arg1867z00_3494;

											BgL_arg1866z00_3493 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 129 */
												long BgL_arg1869z00_3495;

												BgL_arg1869z00_3495 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3487);
												BgL_arg1867z00_3494 =
													(BgL_arg1869z00_3495 - OBJECT_TYPE);
											}
											BgL_oclassz00_3492 =
												VECTOR_REF(BgL_arg1866z00_3493, BgL_arg1867z00_3494);
										}
										{	/* Reduce/same.scm 129 */
											bool_t BgL__ortest_1115z00_3496;

											BgL__ortest_1115z00_3496 =
												(BgL_classz00_3486 == BgL_oclassz00_3492);
											if (BgL__ortest_1115z00_3496)
												{	/* Reduce/same.scm 129 */
													BgL_res1953z00_3491 = BgL__ortest_1115z00_3496;
												}
											else
												{	/* Reduce/same.scm 129 */
													long BgL_odepthz00_3497;

													{	/* Reduce/same.scm 129 */
														obj_t BgL_arg1855z00_3498;

														BgL_arg1855z00_3498 = (BgL_oclassz00_3492);
														BgL_odepthz00_3497 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3498);
													}
													if ((4L < BgL_odepthz00_3497))
														{	/* Reduce/same.scm 129 */
															obj_t BgL_arg1853z00_3499;

															{	/* Reduce/same.scm 129 */
																obj_t BgL_arg1854z00_3500;

																BgL_arg1854z00_3500 = (BgL_oclassz00_3492);
																BgL_arg1853z00_3499 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3500,
																	4L);
															}
															BgL_res1953z00_3491 =
																(BgL_arg1853z00_3499 == BgL_classz00_3486);
														}
													else
														{	/* Reduce/same.scm 129 */
															BgL_res1953z00_3491 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2076z00_4226 = BgL_res1953z00_3491;
								}
						}
					}
					if (BgL_test2076z00_4226)
						{	/* Reduce/same.scm 129 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_pragmaz00_bglt) BgL_nodez00_3270))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3271)))->BgL_typez00))))
								{	/* Reduce/same.scm 131 */
									bool_t BgL_test2081z00_4259;

									{	/* Reduce/same.scm 131 */
										obj_t BgL_arg1664z00_3501;
										obj_t BgL_arg1673z00_3502;

										BgL_arg1664z00_3501 =
											(((BgL_pragmaz00_bglt) COBJECT(
													((BgL_pragmaz00_bglt) BgL_nodez00_3270)))->
											BgL_formatz00);
										BgL_arg1673z00_3502 =
											(((BgL_pragmaz00_bglt)
												COBJECT(((BgL_pragmaz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3271))))->BgL_formatz00);
										{	/* Reduce/same.scm 131 */
											long BgL_l1z00_3503;

											BgL_l1z00_3503 = STRING_LENGTH(BgL_arg1664z00_3501);
											if (
												(BgL_l1z00_3503 == STRING_LENGTH(BgL_arg1673z00_3502)))
												{	/* Reduce/same.scm 131 */
													int BgL_arg1343z00_3504;

													{	/* Reduce/same.scm 131 */
														char *BgL_auxz00_4271;
														char *BgL_tmpz00_4269;

														BgL_auxz00_4271 =
															BSTRING_TO_STRING(BgL_arg1673z00_3502);
														BgL_tmpz00_4269 =
															BSTRING_TO_STRING(BgL_arg1664z00_3501);
														BgL_arg1343z00_3504 =
															memcmp(BgL_tmpz00_4269, BgL_auxz00_4271,
															BgL_l1z00_3503);
													}
													BgL_test2081z00_4259 =
														((long) (BgL_arg1343z00_3504) == 0L);
												}
											else
												{	/* Reduce/same.scm 131 */
													BgL_test2081z00_4259 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2081z00_4259)
										{	/* Reduce/same.scm 132 */
											obj_t BgL_arg1660z00_3505;
											obj_t BgL_arg1663z00_3506;

											BgL_arg1660z00_3505 =
												(((BgL_externz00_bglt) COBJECT(
														((BgL_externz00_bglt)
															((BgL_pragmaz00_bglt) BgL_nodez00_3270))))->
												BgL_exprza2za2);
											BgL_arg1663z00_3506 =
												(((BgL_externz00_bglt)
													COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt) (
																	(BgL_nodez00_bglt) BgL_node2z00_3271)))))->
												BgL_exprza2za2);
											BgL_tmpz00_4225 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1660z00_3505, BgL_arg1663z00_3506,
												BgL_aliasz00_3272);
										}
									else
										{	/* Reduce/same.scm 131 */
											BgL_tmpz00_4225 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 130 */
									BgL_tmpz00_4225 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 129 */
							BgL_tmpz00_4225 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4225);
			}
		}

	}



/* &same-node?-extern1305 */
	obj_t BGl_z62samezd2nodezf3zd2extern1305z91zzreduce_samez00(obj_t
		BgL_envz00_3273, obj_t BgL_nodez00_3274, obj_t BgL_node2z00_3275,
		obj_t BgL_aliasz00_3276)
	{
		{	/* Reduce/same.scm 117 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4285;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2083z00_4286;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3509;

						BgL_classz00_3509 = BGl_externz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3510;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4287;

								BgL_tmpz00_4287 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3275));
								BgL_arg1858z00_3510 = (BgL_objectz00_bglt) (BgL_tmpz00_4287);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3511;

									BgL_idxz00_3511 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3510);
									BgL_test2083z00_4286 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3511 + 3L)) == BgL_classz00_3509);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1952z00_3514;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3515;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3516;
											long BgL_arg1867z00_3517;

											BgL_arg1866z00_3516 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3518;

												BgL_arg1869z00_3518 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3510);
												BgL_arg1867z00_3517 =
													(BgL_arg1869z00_3518 - OBJECT_TYPE);
											}
											BgL_oclassz00_3515 =
												VECTOR_REF(BgL_arg1866z00_3516, BgL_arg1867z00_3517);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3519;

											BgL__ortest_1115z00_3519 =
												(BgL_classz00_3509 == BgL_oclassz00_3515);
											if (BgL__ortest_1115z00_3519)
												{	/* Tools/trace.sch 53 */
													BgL_res1952z00_3514 = BgL__ortest_1115z00_3519;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3520;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3521;

														BgL_arg1855z00_3521 = (BgL_oclassz00_3515);
														BgL_odepthz00_3520 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3521);
													}
													if ((3L < BgL_odepthz00_3520))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3522;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3523;

																BgL_arg1854z00_3523 = (BgL_oclassz00_3515);
																BgL_arg1853z00_3522 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3523,
																	3L);
															}
															BgL_res1952z00_3514 =
																(BgL_arg1853z00_3522 == BgL_classz00_3509);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1952z00_3514 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2083z00_4286 = BgL_res1952z00_3514;
								}
						}
					}
					if (BgL_test2083z00_4286)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_externz00_bglt) BgL_nodez00_3274))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3275)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1653z00_3524;
									obj_t BgL_arg1655z00_3525;

									BgL_arg1653z00_3524 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt) BgL_nodez00_3274)))->
										BgL_exprza2za2);
									BgL_arg1655z00_3525 =
										(((BgL_externz00_bglt)
											COBJECT(((BgL_externz00_bglt) ((BgL_nodez00_bglt)
														BgL_node2z00_3275))))->BgL_exprza2za2);
									BgL_tmpz00_4285 =
										BGl_samezd2nodeza2zf3z83zzreduce_samez00
										(BgL_arg1653z00_3524, BgL_arg1655z00_3525,
										BgL_aliasz00_3276);
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4285 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4285 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4285);
			}
		}

	}



/* &same-node?-app1303 */
	obj_t BGl_z62samezd2nodezf3zd2app1303z91zzreduce_samez00(obj_t
		BgL_envz00_3277, obj_t BgL_nodez00_3278, obj_t BgL_node2z00_3279,
		obj_t BgL_aliasz00_3280)
	{
		{	/* Reduce/same.scm 108 */
			{	/* Reduce/same.scm 109 */
				bool_t BgL_tmpz00_4326;

				{	/* Reduce/same.scm 109 */
					bool_t BgL_test2088z00_4327;

					{	/* Reduce/same.scm 109 */
						obj_t BgL_classz00_3528;

						BgL_classz00_3528 = BGl_appz00zzast_nodez00;
						{	/* Reduce/same.scm 109 */
							BgL_objectz00_bglt BgL_arg1858z00_3529;

							{	/* Reduce/same.scm 109 */
								obj_t BgL_tmpz00_4328;

								BgL_tmpz00_4328 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3279));
								BgL_arg1858z00_3529 = (BgL_objectz00_bglt) (BgL_tmpz00_4328);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 109 */
									long BgL_idxz00_3530;

									BgL_idxz00_3530 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3529);
									BgL_test2088z00_4327 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3530 + 3L)) == BgL_classz00_3528);
								}
							else
								{	/* Reduce/same.scm 109 */
									bool_t BgL_res1951z00_3533;

									{	/* Reduce/same.scm 109 */
										obj_t BgL_oclassz00_3534;

										{	/* Reduce/same.scm 109 */
											obj_t BgL_arg1866z00_3535;
											long BgL_arg1867z00_3536;

											BgL_arg1866z00_3535 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 109 */
												long BgL_arg1869z00_3537;

												BgL_arg1869z00_3537 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3529);
												BgL_arg1867z00_3536 =
													(BgL_arg1869z00_3537 - OBJECT_TYPE);
											}
											BgL_oclassz00_3534 =
												VECTOR_REF(BgL_arg1866z00_3535, BgL_arg1867z00_3536);
										}
										{	/* Reduce/same.scm 109 */
											bool_t BgL__ortest_1115z00_3538;

											BgL__ortest_1115z00_3538 =
												(BgL_classz00_3528 == BgL_oclassz00_3534);
											if (BgL__ortest_1115z00_3538)
												{	/* Reduce/same.scm 109 */
													BgL_res1951z00_3533 = BgL__ortest_1115z00_3538;
												}
											else
												{	/* Reduce/same.scm 109 */
													long BgL_odepthz00_3539;

													{	/* Reduce/same.scm 109 */
														obj_t BgL_arg1855z00_3540;

														BgL_arg1855z00_3540 = (BgL_oclassz00_3534);
														BgL_odepthz00_3539 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3540);
													}
													if ((3L < BgL_odepthz00_3539))
														{	/* Reduce/same.scm 109 */
															obj_t BgL_arg1853z00_3541;

															{	/* Reduce/same.scm 109 */
																obj_t BgL_arg1854z00_3542;

																BgL_arg1854z00_3542 = (BgL_oclassz00_3534);
																BgL_arg1853z00_3541 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3542,
																	3L);
															}
															BgL_res1951z00_3533 =
																(BgL_arg1853z00_3541 == BgL_classz00_3528);
														}
													else
														{	/* Reduce/same.scm 109 */
															BgL_res1951z00_3533 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2088z00_4327 = BgL_res1951z00_3533;
								}
						}
					}
					if (BgL_test2088z00_4327)
						{	/* Reduce/same.scm 109 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3278))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3279)))->BgL_typez00))))
								{	/* Reduce/same.scm 111 */
									bool_t BgL_test2093z00_4360;

									{	/* Reduce/same.scm 111 */
										BgL_varz00_bglt BgL_arg1643z00_3543;
										BgL_varz00_bglt BgL_arg1648z00_3544;

										BgL_arg1643z00_3543 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3278)))->BgL_funz00);
										BgL_arg1648z00_3544 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_nodez00_bglt) BgL_node2z00_3279))))->
											BgL_funz00);
										BgL_test2093z00_4360 =
											BGl_samezd2nodezf3z21zzreduce_samez00(((BgL_nodez00_bglt)
												BgL_arg1643z00_3543),
											((BgL_nodez00_bglt) BgL_arg1648z00_3544),
											BgL_aliasz00_3280);
									}
									if (BgL_test2093z00_4360)
										{	/* Reduce/same.scm 112 */
											obj_t BgL_arg1638z00_3545;
											obj_t BgL_arg1642z00_3546;

											BgL_arg1638z00_3545 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3278)))->
												BgL_argsz00);
											BgL_arg1642z00_3546 =
												(((BgL_appz00_bglt)
													COBJECT(((BgL_appz00_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3279))))->BgL_argsz00);
											BgL_tmpz00_4326 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1638z00_3545, BgL_arg1642z00_3546,
												BgL_aliasz00_3280);
										}
									else
										{	/* Reduce/same.scm 111 */
											BgL_tmpz00_4326 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 110 */
									BgL_tmpz00_4326 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 109 */
							BgL_tmpz00_4326 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4326);
			}
		}

	}



/* &same-node?-funcall1301 */
	obj_t BGl_z62samezd2nodezf3zd2funcall1301z91zzreduce_samez00(obj_t
		BgL_envz00_3281, obj_t BgL_nodez00_3282, obj_t BgL_node2z00_3283,
		obj_t BgL_aliasz00_3284)
	{
		{	/* Reduce/same.scm 99 */
			{	/* Reduce/same.scm 100 */
				bool_t BgL_tmpz00_4376;

				{	/* Reduce/same.scm 100 */
					bool_t BgL_test2094z00_4377;

					{	/* Reduce/same.scm 100 */
						obj_t BgL_classz00_3549;

						BgL_classz00_3549 = BGl_funcallz00zzast_nodez00;
						{	/* Reduce/same.scm 100 */
							BgL_objectz00_bglt BgL_arg1858z00_3550;

							{	/* Reduce/same.scm 100 */
								obj_t BgL_tmpz00_4378;

								BgL_tmpz00_4378 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3283));
								BgL_arg1858z00_3550 = (BgL_objectz00_bglt) (BgL_tmpz00_4378);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 100 */
									long BgL_idxz00_3551;

									BgL_idxz00_3551 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3550);
									BgL_test2094z00_4377 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3551 + 2L)) == BgL_classz00_3549);
								}
							else
								{	/* Reduce/same.scm 100 */
									bool_t BgL_res1950z00_3554;

									{	/* Reduce/same.scm 100 */
										obj_t BgL_oclassz00_3555;

										{	/* Reduce/same.scm 100 */
											obj_t BgL_arg1866z00_3556;
											long BgL_arg1867z00_3557;

											BgL_arg1866z00_3556 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 100 */
												long BgL_arg1869z00_3558;

												BgL_arg1869z00_3558 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3550);
												BgL_arg1867z00_3557 =
													(BgL_arg1869z00_3558 - OBJECT_TYPE);
											}
											BgL_oclassz00_3555 =
												VECTOR_REF(BgL_arg1866z00_3556, BgL_arg1867z00_3557);
										}
										{	/* Reduce/same.scm 100 */
											bool_t BgL__ortest_1115z00_3559;

											BgL__ortest_1115z00_3559 =
												(BgL_classz00_3549 == BgL_oclassz00_3555);
											if (BgL__ortest_1115z00_3559)
												{	/* Reduce/same.scm 100 */
													BgL_res1950z00_3554 = BgL__ortest_1115z00_3559;
												}
											else
												{	/* Reduce/same.scm 100 */
													long BgL_odepthz00_3560;

													{	/* Reduce/same.scm 100 */
														obj_t BgL_arg1855z00_3561;

														BgL_arg1855z00_3561 = (BgL_oclassz00_3555);
														BgL_odepthz00_3560 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3561);
													}
													if ((2L < BgL_odepthz00_3560))
														{	/* Reduce/same.scm 100 */
															obj_t BgL_arg1853z00_3562;

															{	/* Reduce/same.scm 100 */
																obj_t BgL_arg1854z00_3563;

																BgL_arg1854z00_3563 = (BgL_oclassz00_3555);
																BgL_arg1853z00_3562 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3563,
																	2L);
															}
															BgL_res1950z00_3554 =
																(BgL_arg1853z00_3562 == BgL_classz00_3549);
														}
													else
														{	/* Reduce/same.scm 100 */
															BgL_res1950z00_3554 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2094z00_4377 = BgL_res1950z00_3554;
								}
						}
					}
					if (BgL_test2094z00_4377)
						{	/* Reduce/same.scm 100 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_3282))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3283)))->BgL_typez00))))
								{	/* Reduce/same.scm 102 */
									bool_t BgL_test2099z00_4410;

									{	/* Reduce/same.scm 102 */
										BgL_nodez00_bglt BgL_arg1631z00_3564;
										BgL_nodez00_bglt BgL_arg1632z00_3565;

										BgL_arg1631z00_3564 =
											(((BgL_funcallz00_bglt) COBJECT(
													((BgL_funcallz00_bglt) BgL_nodez00_3282)))->
											BgL_funz00);
										BgL_arg1632z00_3565 =
											(((BgL_funcallz00_bglt)
												COBJECT(((BgL_funcallz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3283))))->BgL_funz00);
										BgL_test2099z00_4410 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1631z00_3564,
											BgL_arg1632z00_3565, BgL_aliasz00_3284);
									}
									if (BgL_test2099z00_4410)
										{	/* Reduce/same.scm 103 */
											obj_t BgL_arg1625z00_3566;
											obj_t BgL_arg1626z00_3567;

											BgL_arg1625z00_3566 =
												(((BgL_funcallz00_bglt) COBJECT(
														((BgL_funcallz00_bglt) BgL_nodez00_3282)))->
												BgL_argsz00);
											BgL_arg1626z00_3567 =
												(((BgL_funcallz00_bglt)
													COBJECT(((BgL_funcallz00_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3283))))->BgL_argsz00);
											BgL_tmpz00_4376 =
												BGl_samezd2nodeza2zf3z83zzreduce_samez00
												(BgL_arg1625z00_3566, BgL_arg1626z00_3567,
												BgL_aliasz00_3284);
										}
									else
										{	/* Reduce/same.scm 102 */
											BgL_tmpz00_4376 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 101 */
									BgL_tmpz00_4376 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 100 */
							BgL_tmpz00_4376 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4376);
			}
		}

	}



/* &same-node?-app-ly1298 */
	obj_t BGl_z62samezd2nodezf3zd2appzd2ly1298z43zzreduce_samez00(obj_t
		BgL_envz00_3285, obj_t BgL_nodez00_3286, obj_t BgL_node2z00_3287,
		obj_t BgL_aliasz00_3288)
	{
		{	/* Reduce/same.scm 90 */
			{	/* Reduce/same.scm 91 */
				bool_t BgL_tmpz00_4424;

				{	/* Reduce/same.scm 91 */
					bool_t BgL_test2100z00_4425;

					{	/* Reduce/same.scm 91 */
						obj_t BgL_classz00_3570;

						BgL_classz00_3570 = BGl_appzd2lyzd2zzast_nodez00;
						{	/* Reduce/same.scm 91 */
							BgL_objectz00_bglt BgL_arg1858z00_3571;

							{	/* Reduce/same.scm 91 */
								obj_t BgL_tmpz00_4426;

								BgL_tmpz00_4426 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3287));
								BgL_arg1858z00_3571 = (BgL_objectz00_bglt) (BgL_tmpz00_4426);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 91 */
									long BgL_idxz00_3572;

									BgL_idxz00_3572 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3571);
									BgL_test2100z00_4425 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3572 + 2L)) == BgL_classz00_3570);
								}
							else
								{	/* Reduce/same.scm 91 */
									bool_t BgL_res1949z00_3575;

									{	/* Reduce/same.scm 91 */
										obj_t BgL_oclassz00_3576;

										{	/* Reduce/same.scm 91 */
											obj_t BgL_arg1866z00_3577;
											long BgL_arg1867z00_3578;

											BgL_arg1866z00_3577 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 91 */
												long BgL_arg1869z00_3579;

												BgL_arg1869z00_3579 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3571);
												BgL_arg1867z00_3578 =
													(BgL_arg1869z00_3579 - OBJECT_TYPE);
											}
											BgL_oclassz00_3576 =
												VECTOR_REF(BgL_arg1866z00_3577, BgL_arg1867z00_3578);
										}
										{	/* Reduce/same.scm 91 */
											bool_t BgL__ortest_1115z00_3580;

											BgL__ortest_1115z00_3580 =
												(BgL_classz00_3570 == BgL_oclassz00_3576);
											if (BgL__ortest_1115z00_3580)
												{	/* Reduce/same.scm 91 */
													BgL_res1949z00_3575 = BgL__ortest_1115z00_3580;
												}
											else
												{	/* Reduce/same.scm 91 */
													long BgL_odepthz00_3581;

													{	/* Reduce/same.scm 91 */
														obj_t BgL_arg1855z00_3582;

														BgL_arg1855z00_3582 = (BgL_oclassz00_3576);
														BgL_odepthz00_3581 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3582);
													}
													if ((2L < BgL_odepthz00_3581))
														{	/* Reduce/same.scm 91 */
															obj_t BgL_arg1853z00_3583;

															{	/* Reduce/same.scm 91 */
																obj_t BgL_arg1854z00_3584;

																BgL_arg1854z00_3584 = (BgL_oclassz00_3576);
																BgL_arg1853z00_3583 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3584,
																	2L);
															}
															BgL_res1949z00_3575 =
																(BgL_arg1853z00_3583 == BgL_classz00_3570);
														}
													else
														{	/* Reduce/same.scm 91 */
															BgL_res1949z00_3575 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2100z00_4425 = BgL_res1949z00_3575;
								}
						}
					}
					if (BgL_test2100z00_4425)
						{	/* Reduce/same.scm 91 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_3286))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3287)))->BgL_typez00))))
								{	/* Reduce/same.scm 93 */
									bool_t BgL_test2105z00_4458;

									{	/* Reduce/same.scm 93 */
										BgL_nodez00_bglt BgL_arg1597z00_3585;
										BgL_nodez00_bglt BgL_arg1605z00_3586;

										BgL_arg1597z00_3585 =
											(((BgL_appzd2lyzd2_bglt) COBJECT(
													((BgL_appzd2lyzd2_bglt) BgL_nodez00_3286)))->
											BgL_funz00);
										BgL_arg1605z00_3586 =
											(((BgL_appzd2lyzd2_bglt)
												COBJECT(((BgL_appzd2lyzd2_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3287))))->BgL_funz00);
										BgL_test2105z00_4458 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1597z00_3585,
											BgL_arg1605z00_3586, BgL_aliasz00_3288);
									}
									if (BgL_test2105z00_4458)
										{	/* Reduce/same.scm 94 */
											BgL_nodez00_bglt BgL_arg1592z00_3587;
											BgL_nodez00_bglt BgL_arg1593z00_3588;

											BgL_arg1592z00_3587 =
												(((BgL_appzd2lyzd2_bglt) COBJECT(
														((BgL_appzd2lyzd2_bglt) BgL_nodez00_3286)))->
												BgL_argz00);
											BgL_arg1593z00_3588 =
												(((BgL_appzd2lyzd2_bglt)
													COBJECT(((BgL_appzd2lyzd2_bglt) ((BgL_nodez00_bglt)
																BgL_node2z00_3287))))->BgL_argz00);
											BgL_tmpz00_4424 =
												BGl_samezd2nodezf3z21zzreduce_samez00
												(BgL_arg1592z00_3587, BgL_arg1593z00_3588,
												BgL_aliasz00_3288);
										}
									else
										{	/* Reduce/same.scm 93 */
											BgL_tmpz00_4424 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 92 */
									BgL_tmpz00_4424 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 91 */
							BgL_tmpz00_4424 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4424);
			}
		}

	}



/* &same-node?-sync1296 */
	obj_t BGl_z62samezd2nodezf3zd2sync1296z91zzreduce_samez00(obj_t
		BgL_envz00_3289, obj_t BgL_nodez00_3290, obj_t BgL_node2z00_3291,
		obj_t BgL_aliasz00_3292)
	{
		{	/* Reduce/same.scm 80 */
			{	/* Reduce/same.scm 81 */
				bool_t BgL_tmpz00_4472;

				{	/* Reduce/same.scm 81 */
					bool_t BgL_test2106z00_4473;

					{	/* Reduce/same.scm 81 */
						obj_t BgL_classz00_3591;

						BgL_classz00_3591 = BGl_syncz00zzast_nodez00;
						{	/* Reduce/same.scm 81 */
							BgL_objectz00_bglt BgL_arg1858z00_3592;

							{	/* Reduce/same.scm 81 */
								obj_t BgL_tmpz00_4474;

								BgL_tmpz00_4474 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3291));
								BgL_arg1858z00_3592 = (BgL_objectz00_bglt) (BgL_tmpz00_4474);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 81 */
									long BgL_idxz00_3593;

									BgL_idxz00_3593 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3592);
									BgL_test2106z00_4473 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3593 + 2L)) == BgL_classz00_3591);
								}
							else
								{	/* Reduce/same.scm 81 */
									bool_t BgL_res1948z00_3596;

									{	/* Reduce/same.scm 81 */
										obj_t BgL_oclassz00_3597;

										{	/* Reduce/same.scm 81 */
											obj_t BgL_arg1866z00_3598;
											long BgL_arg1867z00_3599;

											BgL_arg1866z00_3598 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 81 */
												long BgL_arg1869z00_3600;

												BgL_arg1869z00_3600 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3592);
												BgL_arg1867z00_3599 =
													(BgL_arg1869z00_3600 - OBJECT_TYPE);
											}
											BgL_oclassz00_3597 =
												VECTOR_REF(BgL_arg1866z00_3598, BgL_arg1867z00_3599);
										}
										{	/* Reduce/same.scm 81 */
											bool_t BgL__ortest_1115z00_3601;

											BgL__ortest_1115z00_3601 =
												(BgL_classz00_3591 == BgL_oclassz00_3597);
											if (BgL__ortest_1115z00_3601)
												{	/* Reduce/same.scm 81 */
													BgL_res1948z00_3596 = BgL__ortest_1115z00_3601;
												}
											else
												{	/* Reduce/same.scm 81 */
													long BgL_odepthz00_3602;

													{	/* Reduce/same.scm 81 */
														obj_t BgL_arg1855z00_3603;

														BgL_arg1855z00_3603 = (BgL_oclassz00_3597);
														BgL_odepthz00_3602 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3603);
													}
													if ((2L < BgL_odepthz00_3602))
														{	/* Reduce/same.scm 81 */
															obj_t BgL_arg1853z00_3604;

															{	/* Reduce/same.scm 81 */
																obj_t BgL_arg1854z00_3605;

																BgL_arg1854z00_3605 = (BgL_oclassz00_3597);
																BgL_arg1853z00_3604 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3605,
																	2L);
															}
															BgL_res1948z00_3596 =
																(BgL_arg1853z00_3604 == BgL_classz00_3591);
														}
													else
														{	/* Reduce/same.scm 81 */
															BgL_res1948z00_3596 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2106z00_4473 = BgL_res1948z00_3596;
								}
						}
					}
					if (BgL_test2106z00_4473)
						{	/* Reduce/same.scm 81 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_syncz00_bglt) BgL_nodez00_3290))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3291)))->BgL_typez00))))
								{	/* Reduce/same.scm 83 */
									bool_t BgL_test2111z00_4506;

									{	/* Reduce/same.scm 83 */
										BgL_nodez00_bglt BgL_arg1581z00_3606;
										BgL_nodez00_bglt BgL_arg1587z00_3607;

										BgL_arg1581z00_3606 =
											(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_3290)))->
											BgL_mutexz00);
										BgL_arg1587z00_3607 =
											(((BgL_syncz00_bglt)
												COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3291))))->BgL_mutexz00);
										BgL_test2111z00_4506 =
											BGl_samezd2nodezf3z21zzreduce_samez00(BgL_arg1581z00_3606,
											BgL_arg1587z00_3607, BgL_aliasz00_3292);
									}
									if (BgL_test2111z00_4506)
										{	/* Reduce/same.scm 84 */
											bool_t BgL_test2112z00_4513;

											{	/* Reduce/same.scm 84 */
												BgL_nodez00_bglt BgL_arg1577z00_3608;
												BgL_nodez00_bglt BgL_arg1578z00_3609;

												BgL_arg1577z00_3608 =
													(((BgL_syncz00_bglt) COBJECT(
															((BgL_syncz00_bglt) BgL_nodez00_3290)))->
													BgL_prelockz00);
												BgL_arg1578z00_3609 =
													(((BgL_syncz00_bglt)
														COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3291))))->BgL_prelockz00);
												BgL_test2112z00_4513 =
													BGl_samezd2nodezf3z21zzreduce_samez00
													(BgL_arg1577z00_3608, BgL_arg1578z00_3609,
													BgL_aliasz00_3292);
											}
											if (BgL_test2112z00_4513)
												{	/* Reduce/same.scm 85 */
													BgL_nodez00_bglt BgL_arg1560z00_3610;
													BgL_nodez00_bglt BgL_arg1574z00_3611;

													BgL_arg1560z00_3610 =
														(((BgL_syncz00_bglt) COBJECT(
																((BgL_syncz00_bglt) BgL_nodez00_3290)))->
														BgL_bodyz00);
													BgL_arg1574z00_3611 =
														(((BgL_syncz00_bglt)
															COBJECT(((BgL_syncz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3291))))->BgL_bodyz00);
													BgL_tmpz00_4472 =
														BGl_samezd2nodeza2zf3z83zzreduce_samez00(((obj_t)
															BgL_arg1560z00_3610),
														((obj_t) BgL_arg1574z00_3611), BgL_aliasz00_3292);
												}
											else
												{	/* Reduce/same.scm 84 */
													BgL_tmpz00_4472 = ((bool_t) 0);
												}
										}
									else
										{	/* Reduce/same.scm 83 */
											BgL_tmpz00_4472 = ((bool_t) 0);
										}
								}
							else
								{	/* Reduce/same.scm 82 */
									BgL_tmpz00_4472 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 81 */
							BgL_tmpz00_4472 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4472);
			}
		}

	}



/* &same-node?-sequence1294 */
	obj_t BGl_z62samezd2nodezf3zd2sequence1294z91zzreduce_samez00(obj_t
		BgL_envz00_3293, obj_t BgL_nodez00_3294, obj_t BgL_node2z00_3295,
		obj_t BgL_aliasz00_3296)
	{
		{	/* Reduce/same.scm 72 */
			{	/* Reduce/same.scm 73 */
				bool_t BgL_tmpz00_4529;

				{	/* Reduce/same.scm 73 */
					bool_t BgL_test2113z00_4530;

					{	/* Reduce/same.scm 73 */
						obj_t BgL_classz00_3614;

						BgL_classz00_3614 = BGl_sequencez00zzast_nodez00;
						{	/* Reduce/same.scm 73 */
							BgL_objectz00_bglt BgL_arg1858z00_3615;

							{	/* Reduce/same.scm 73 */
								obj_t BgL_tmpz00_4531;

								BgL_tmpz00_4531 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3295));
								BgL_arg1858z00_3615 = (BgL_objectz00_bglt) (BgL_tmpz00_4531);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Reduce/same.scm 73 */
									long BgL_idxz00_3616;

									BgL_idxz00_3616 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3615);
									BgL_test2113z00_4530 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3616 + 3L)) == BgL_classz00_3614);
								}
							else
								{	/* Reduce/same.scm 73 */
									bool_t BgL_res1947z00_3619;

									{	/* Reduce/same.scm 73 */
										obj_t BgL_oclassz00_3620;

										{	/* Reduce/same.scm 73 */
											obj_t BgL_arg1866z00_3621;
											long BgL_arg1867z00_3622;

											BgL_arg1866z00_3621 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Reduce/same.scm 73 */
												long BgL_arg1869z00_3623;

												BgL_arg1869z00_3623 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3615);
												BgL_arg1867z00_3622 =
													(BgL_arg1869z00_3623 - OBJECT_TYPE);
											}
											BgL_oclassz00_3620 =
												VECTOR_REF(BgL_arg1866z00_3621, BgL_arg1867z00_3622);
										}
										{	/* Reduce/same.scm 73 */
											bool_t BgL__ortest_1115z00_3624;

											BgL__ortest_1115z00_3624 =
												(BgL_classz00_3614 == BgL_oclassz00_3620);
											if (BgL__ortest_1115z00_3624)
												{	/* Reduce/same.scm 73 */
													BgL_res1947z00_3619 = BgL__ortest_1115z00_3624;
												}
											else
												{	/* Reduce/same.scm 73 */
													long BgL_odepthz00_3625;

													{	/* Reduce/same.scm 73 */
														obj_t BgL_arg1855z00_3626;

														BgL_arg1855z00_3626 = (BgL_oclassz00_3620);
														BgL_odepthz00_3625 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3626);
													}
													if ((3L < BgL_odepthz00_3625))
														{	/* Reduce/same.scm 73 */
															obj_t BgL_arg1853z00_3627;

															{	/* Reduce/same.scm 73 */
																obj_t BgL_arg1854z00_3628;

																BgL_arg1854z00_3628 = (BgL_oclassz00_3620);
																BgL_arg1853z00_3627 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3628,
																	3L);
															}
															BgL_res1947z00_3619 =
																(BgL_arg1853z00_3627 == BgL_classz00_3614);
														}
													else
														{	/* Reduce/same.scm 73 */
															BgL_res1947z00_3619 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2113z00_4530 = BgL_res1947z00_3619;
								}
						}
					}
					if (BgL_test2113z00_4530)
						{	/* Reduce/same.scm 73 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_sequencez00_bglt) BgL_nodez00_3294))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3295)))->BgL_typez00))))
								{	/* Reduce/same.scm 75 */
									obj_t BgL_arg1545z00_3629;
									obj_t BgL_arg1553z00_3630;

									BgL_arg1545z00_3629 =
										(((BgL_sequencez00_bglt) COBJECT(
												((BgL_sequencez00_bglt) BgL_nodez00_3294)))->
										BgL_nodesz00);
									BgL_arg1553z00_3630 =
										(((BgL_sequencez00_bglt)
											COBJECT(((BgL_sequencez00_bglt) ((BgL_nodez00_bglt)
														BgL_node2z00_3295))))->BgL_nodesz00);
									BgL_tmpz00_4529 =
										BGl_samezd2nodeza2zf3z83zzreduce_samez00
										(BgL_arg1545z00_3629, BgL_arg1553z00_3630,
										BgL_aliasz00_3296);
								}
							else
								{	/* Reduce/same.scm 74 */
									BgL_tmpz00_4529 = ((bool_t) 0);
								}
						}
					else
						{	/* Reduce/same.scm 73 */
							BgL_tmpz00_4529 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4529);
			}
		}

	}



/* &same-node?-var1292 */
	obj_t BGl_z62samezd2nodezf3zd2var1292z91zzreduce_samez00(obj_t
		BgL_envz00_3297, obj_t BgL_nodez00_3298, obj_t BgL_node2z00_3299,
		obj_t BgL_aliasz00_3300)
	{
		{	/* Reduce/same.scm 59 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4570;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2118z00_4571;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3633;

						BgL_classz00_3633 = BGl_varz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3634;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4572;

								BgL_tmpz00_4572 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3299));
								BgL_arg1858z00_3634 = (BgL_objectz00_bglt) (BgL_tmpz00_4572);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3635;

									BgL_idxz00_3635 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3634);
									BgL_test2118z00_4571 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3635 + 2L)) == BgL_classz00_3633);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1946z00_3638;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3639;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3640;
											long BgL_arg1867z00_3641;

											BgL_arg1866z00_3640 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3642;

												BgL_arg1869z00_3642 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3634);
												BgL_arg1867z00_3641 =
													(BgL_arg1869z00_3642 - OBJECT_TYPE);
											}
											BgL_oclassz00_3639 =
												VECTOR_REF(BgL_arg1866z00_3640, BgL_arg1867z00_3641);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3643;

											BgL__ortest_1115z00_3643 =
												(BgL_classz00_3633 == BgL_oclassz00_3639);
											if (BgL__ortest_1115z00_3643)
												{	/* Tools/trace.sch 53 */
													BgL_res1946z00_3638 = BgL__ortest_1115z00_3643;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3644;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3645;

														BgL_arg1855z00_3645 = (BgL_oclassz00_3639);
														BgL_odepthz00_3644 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3645);
													}
													if ((2L < BgL_odepthz00_3644))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3646;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3647;

																BgL_arg1854z00_3647 = (BgL_oclassz00_3639);
																BgL_arg1853z00_3646 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3647,
																	2L);
															}
															BgL_res1946z00_3638 =
																(BgL_arg1853z00_3646 == BgL_classz00_3633);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1946z00_3638 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2118z00_4571 = BgL_res1946z00_3638;
								}
						}
					}
					if (BgL_test2118z00_4571)
						{	/* Tools/trace.sch 53 */
							if (
								((((BgL_variablez00_bglt) COBJECT(
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_3298)))->
													BgL_variablez00)))->BgL_accessz00) ==
									((obj_t) CNST_TABLE_REF(0))))
								{	/* Tools/trace.sch 53 */
									if (
										(((obj_t)
												(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_varz00_bglt) BgL_nodez00_3298))))->
													BgL_typez00)) ==
											((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_node2z00_3299)))->BgL_typez00))))
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1118z00_3648;

											BgL__ortest_1118z00_3648 =
												(
												((obj_t)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_3298)))->
														BgL_variablez00)) ==
												((obj_t) (((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																		BgL_node2z00_3299))))->BgL_variablez00)));
											if (BgL__ortest_1118z00_3648)
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4570 = BgL__ortest_1118z00_3648;
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4570 =
														BGl_aliasedzf3zf3zzreduce_samez00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_nodez00_3298)))->
																BgL_variablez00)),
														((obj_t) (((BgL_varz00_bglt)
																	COBJECT(((BgL_varz00_bglt) ((BgL_nodez00_bglt)
																				BgL_node2z00_3299))))->
																BgL_variablez00)), BgL_aliasz00_3300);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_4570 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4570 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4570 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4570);
			}
		}

	}



/* &same-node?-kwote1290 */
	obj_t BGl_z62samezd2nodezf3zd2kwote1290z91zzreduce_samez00(obj_t
		BgL_envz00_3301, obj_t BgL_nodez00_3302, obj_t BgL_node2z00_3303,
		obj_t BgL_aliasz00_3304)
	{
		{	/* Reduce/same.scm 48 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4629;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2125z00_4630;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3651;

						BgL_classz00_3651 = BGl_kwotez00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3652;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4631;

								BgL_tmpz00_4631 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3303));
								BgL_arg1858z00_3652 = (BgL_objectz00_bglt) (BgL_tmpz00_4631);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3653;

									BgL_idxz00_3653 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3652);
									BgL_test2125z00_4630 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3653 + 2L)) == BgL_classz00_3651);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1945z00_3656;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3657;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3658;
											long BgL_arg1867z00_3659;

											BgL_arg1866z00_3658 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3660;

												BgL_arg1869z00_3660 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3652);
												BgL_arg1867z00_3659 =
													(BgL_arg1869z00_3660 - OBJECT_TYPE);
											}
											BgL_oclassz00_3657 =
												VECTOR_REF(BgL_arg1866z00_3658, BgL_arg1867z00_3659);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3661;

											BgL__ortest_1115z00_3661 =
												(BgL_classz00_3651 == BgL_oclassz00_3657);
											if (BgL__ortest_1115z00_3661)
												{	/* Tools/trace.sch 53 */
													BgL_res1945z00_3656 = BgL__ortest_1115z00_3661;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3662;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3663;

														BgL_arg1855z00_3663 = (BgL_oclassz00_3657);
														BgL_odepthz00_3662 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3663);
													}
													if ((2L < BgL_odepthz00_3662))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3664;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3665;

																BgL_arg1854z00_3665 = (BgL_oclassz00_3657);
																BgL_arg1853z00_3664 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3665,
																	2L);
															}
															BgL_res1945z00_3656 =
																(BgL_arg1853z00_3664 == BgL_classz00_3651);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1945z00_3656 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2125z00_4630 = BgL_res1945z00_3656;
								}
						}
					}
					if (BgL_test2125z00_4630)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_kwotez00_bglt) BgL_nodez00_3302))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3303)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4629 =
										BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
										(((BgL_kwotez00_bglt) COBJECT(
													((BgL_kwotez00_bglt) BgL_nodez00_3302)))->
											BgL_valuez00),
										(((BgL_kwotez00_bglt)
												COBJECT(((BgL_kwotez00_bglt) ((BgL_nodez00_bglt)
															BgL_node2z00_3303))))->BgL_valuez00));
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4629 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4629 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4629);
			}
		}

	}



/* &same-node?-atom1288 */
	obj_t BGl_z62samezd2nodezf3zd2atom1288z91zzreduce_samez00(obj_t
		BgL_envz00_3305, obj_t BgL_nodez00_3306, obj_t BgL_node2z00_3307,
		obj_t BgL_aliasz00_3308)
	{
		{	/* Reduce/same.scm 32 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_tmpz00_4670;

				{	/* Tools/trace.sch 53 */
					bool_t BgL_test2130z00_4671;

					{	/* Tools/trace.sch 53 */
						obj_t BgL_classz00_3668;

						BgL_classz00_3668 = BGl_atomz00zzast_nodez00;
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_3669;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_tmpz00_4672;

								BgL_tmpz00_4672 =
									((obj_t) ((BgL_nodez00_bglt) BgL_node2z00_3307));
								BgL_arg1858z00_3669 = (BgL_objectz00_bglt) (BgL_tmpz00_4672);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_3670;

									BgL_idxz00_3670 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3669);
									BgL_test2130z00_4671 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3670 + 2L)) == BgL_classz00_3668);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res1944z00_3673;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_3674;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_3675;
											long BgL_arg1867z00_3676;

											BgL_arg1866z00_3675 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_3677;

												BgL_arg1869z00_3677 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3669);
												BgL_arg1867z00_3676 =
													(BgL_arg1869z00_3677 - OBJECT_TYPE);
											}
											BgL_oclassz00_3674 =
												VECTOR_REF(BgL_arg1866z00_3675, BgL_arg1867z00_3676);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_3678;

											BgL__ortest_1115z00_3678 =
												(BgL_classz00_3668 == BgL_oclassz00_3674);
											if (BgL__ortest_1115z00_3678)
												{	/* Tools/trace.sch 53 */
													BgL_res1944z00_3673 = BgL__ortest_1115z00_3678;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_3679;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_3680;

														BgL_arg1855z00_3680 = (BgL_oclassz00_3674);
														BgL_odepthz00_3679 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3680);
													}
													if ((2L < BgL_odepthz00_3679))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_3681;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_3682;

																BgL_arg1854z00_3682 = (BgL_oclassz00_3674);
																BgL_arg1853z00_3681 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3682,
																	2L);
															}
															BgL_res1944z00_3673 =
																(BgL_arg1853z00_3681 == BgL_classz00_3668);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res1944z00_3673 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2130z00_4671 = BgL_res1944z00_3673;
								}
						}
					}
					if (BgL_test2130z00_4671)
						{	/* Tools/trace.sch 53 */
							if (
								(((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_atomz00_bglt) BgL_nodez00_3306))))->
											BgL_typez00)) ==
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_node2z00_3307)))->BgL_typez00))))
								{	/* Tools/trace.sch 53 */
									bool_t BgL_test2135z00_4704;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_tmpz00_4705;

										BgL_tmpz00_4705 =
											(((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt) BgL_nodez00_3306)))->
											BgL_valuez00);
										BgL_test2135z00_4704 = REALP(BgL_tmpz00_4705);
									}
									if (BgL_test2135z00_4704)
										{	/* Tools/trace.sch 53 */
											bool_t BgL_test2136z00_4709;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_tmpz00_4710;

												BgL_tmpz00_4710 =
													(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt)
																((BgL_nodez00_bglt) BgL_node2z00_3307))))->
													BgL_valuez00);
												BgL_test2136z00_4709 = REALP(BgL_tmpz00_4710);
											}
											if (BgL_test2136z00_4709)
												{	/* Tools/trace.sch 53 */
													if (
														(REAL_TO_DOUBLE(
																(((BgL_atomz00_bglt) COBJECT(
																			((BgL_atomz00_bglt) BgL_nodez00_3306)))->
																	BgL_valuez00)) ==
															REAL_TO_DOUBLE((((BgL_atomz00_bglt)
																		COBJECT(((BgL_atomz00_bglt) (
																					(BgL_nodez00_bglt)
																					BgL_node2z00_3307))))->
																	BgL_valuez00))))
														{	/* Tools/trace.sch 53 */
															BgL_tmpz00_4670 =
																(BGL_SIGNBIT(REAL_TO_DOUBLE(
																		(((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_nodez00_3306)))->
																			BgL_valuez00))) ==
																BGL_SIGNBIT(REAL_TO_DOUBLE((((BgL_atomz00_bglt)
																				COBJECT(((BgL_atomz00_bglt) (
																							(BgL_nodez00_bglt)
																							BgL_node2z00_3307))))->
																			BgL_valuez00))));
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_tmpz00_4670 = ((bool_t) 0);
														}
												}
											else
												{	/* Tools/trace.sch 53 */
													BgL_tmpz00_4670 = ((bool_t) 0);
												}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_tmpz00_4670 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
												(((BgL_atomz00_bglt) COBJECT(
															((BgL_atomz00_bglt) BgL_nodez00_3306)))->
													BgL_valuez00),
												(((BgL_atomz00_bglt)
														COBJECT(((BgL_atomz00_bglt) ((BgL_nodez00_bglt)
																	BgL_node2z00_3307))))->BgL_valuez00));
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_tmpz00_4670 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_tmpz00_4670 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4670);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreduce_samez00(void)
	{
		{	/* Reduce/same.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1996z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1996z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1996z00zzreduce_samez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1996z00zzreduce_samez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1996z00zzreduce_samez00));
		}

	}

#ifdef __cplusplus
}
#endif
