/*===========================================================================*/
/*   (SawJvm/type.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


#endif													// BGL_SAW_JVM_TYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1525z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 = BUNSPEC;
	static int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt,
		BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1515z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_la1507z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_z62typezd2destzd2fun1534z62zzsaw_jvm_typez00(obj_t, obj_t);
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_li1529z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_no1509z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1513z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1527z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 = BUNSPEC;
	static obj_t BGl_z62siza7ezd2destzd2fun1504zc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	BGL_EXPORTED_DECL int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1511z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void);
	static obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1531z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1533z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt);
	BGL_EXPORTED_DECL int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1523z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1521z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1517z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1519z17zzsaw_jvm_typez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1537zb0zzsaw_jvm_typez00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeSiza7ezd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762typesiza7a7eza7c51937za7,
		BGl_z62typeSiza7ezc5zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1912z00zzsaw_jvm_typez00,
		BgL_bgl_string1912za700za7za7s1938za7, "size-dest-fun1504", 17);
	      DEFINE_STRING(BGl_string1914z00zzsaw_jvm_typez00,
		BgL_bgl_string1914za700za7za7s1939za7, "type-dest-fun1534", 17);
	      DEFINE_STRING(BGl_string1915z00zzsaw_jvm_typez00,
		BgL_bgl_string1915za700za7za7s1940za7, "no method for", 13);
	      DEFINE_STRING(BGl_string1917z00zzsaw_jvm_typez00,
		BgL_bgl_string1917za700za7za7s1941za7, "size-dest-fun::int", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1942za7,
		BGl_z62siza7ezd2destzd2fun1504zc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1913z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1943za7,
		BGl_z62typezd2destzd2fun1534z62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1916z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1944za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_la1507z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1918z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1945za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_no1509z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1946za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ef1511z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1927z00zzsaw_jvm_typez00,
		BgL_bgl_string1927za700za7za7s1947za7, "size-dest-fun::type", 19);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1948za7,
		BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1920z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1949za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_pu1513z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1950za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_mo1515z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1951za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1517z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1952za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_lo1519z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1953za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ge1521z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1954za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_vr1523z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1955za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ne1525z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1933z00zzsaw_jvm_typez00,
		BgL_bgl_string1933za700za7za7s1956za7, "type-dest-fun::type", 19);
	      DEFINE_STRING(BGl_string1934z00zzsaw_jvm_typez00,
		BgL_bgl_string1934za700za7za7s1957za7, "saw_jvm_type", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1958za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ap1527z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1935z00zzsaw_jvm_typez00,
		BgL_bgl_string1935za700za7za7s1959za7,
		"size-dest-fun void (elong llong uelong ullong double int64 uint64) ", 67);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1960za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_li1529z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1961za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_fu1531z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1962za7,
		BGl_z62siza7ezd2destzd2funzd2rtl_ca1533z17zzsaw_jvm_typez00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzsaw_jvm_typez00,
		BgL_bgl_za762typeza7d2destza7d1963za7,
		BGl_z62typezd2destzd2funzd2rtl_ca1537zb0zzsaw_jvm_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1964za7,
		BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_siza7ezd2destzd2envza7zzsaw_jvm_typez00,
		BgL_bgl_za762siza7a7eza7d2dest1965za7,
		BGl_z62siza7ezd2destz17zzsaw_jvm_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00));
		     ADD_ROOT((void *) (&BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_typez00(long
		BgL_checksumz00_3062, char *BgL_fromz00_3063)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_typez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_typez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_cnstzd2initzd2zzsaw_jvm_typez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00();
					BGl_genericzd2initzd2zzsaw_jvm_typez00();
					BGl_methodzd2initzd2zzsaw_jvm_typez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_jvm_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			{	/* SawJvm/type.scm 1 */
				obj_t BgL_cportz00_3022;

				{	/* SawJvm/type.scm 1 */
					obj_t BgL_stringz00_3029;

					BgL_stringz00_3029 = BGl_string1935z00zzsaw_jvm_typez00;
					{	/* SawJvm/type.scm 1 */
						obj_t BgL_startz00_3030;

						BgL_startz00_3030 = BINT(0L);
						{	/* SawJvm/type.scm 1 */
							obj_t BgL_endz00_3031;

							BgL_endz00_3031 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3029)));
							{	/* SawJvm/type.scm 1 */

								BgL_cportz00_3022 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3029, BgL_startz00_3030, BgL_endz00_3031);
				}}}}
				{
					long BgL_iz00_3023;

					BgL_iz00_3023 = 2L;
				BgL_loopz00_3024:
					if ((BgL_iz00_3023 == (-1L)))
						{	/* SawJvm/type.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/type.scm 1 */
							{	/* SawJvm/type.scm 1 */
								obj_t BgL_arg1936z00_3025;

								{	/* SawJvm/type.scm 1 */

									{	/* SawJvm/type.scm 1 */
										obj_t BgL_locationz00_3027;

										BgL_locationz00_3027 = BBOOL(((bool_t) 0));
										{	/* SawJvm/type.scm 1 */

											BgL_arg1936z00_3025 =
												BGl_readz00zz__readerz00(BgL_cportz00_3022,
												BgL_locationz00_3027);
										}
									}
								}
								{	/* SawJvm/type.scm 1 */
									int BgL_tmpz00_3094;

									BgL_tmpz00_3094 = (int) (BgL_iz00_3023);
									CNST_TABLE_SET(BgL_tmpz00_3094, BgL_arg1936z00_3025);
							}}
							{	/* SawJvm/type.scm 1 */
								int BgL_auxz00_3028;

								BgL_auxz00_3028 = (int) ((BgL_iz00_3023 - 1L));
								{
									long BgL_iz00_3099;

									BgL_iz00_3099 = (long) (BgL_auxz00_3028);
									BgL_iz00_3023 = BgL_iz00_3099;
									goto BgL_loopz00_3024;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_za2za2longzd2typesza2za2zd2zzsaw_jvm_typez00 =
				((obj_t) CNST_TABLE_REF(0));
			return BUNSPEC;
		}

	}



/* typeSize */
	BGL_EXPORTED_DEF int BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_typez00_bglt
		BgL_typez00_3)
	{
		{	/* SawJvm/type.scm 18 */
			{	/* SawJvm/type.scm 19 */
				obj_t BgL_idz00_2235;

				BgL_idz00_2235 =
					(((BgL_typez00_bglt) COBJECT(BgL_typez00_3))->BgL_idz00);
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2235,
							((obj_t) CNST_TABLE_REF(0)))))
					{	/* SawJvm/type.scm 20 */
						return (int) (2L);
					}
				else
					{	/* SawJvm/type.scm 20 */
						if ((BgL_idz00_2235 == ((obj_t) CNST_TABLE_REF(1))))
							{	/* SawJvm/type.scm 21 */
								return (int) (0L);
							}
						else
							{	/* SawJvm/type.scm 21 */
								return (int) (1L);
		}}}}

	}



/* &typeSize */
	obj_t BGl_z62typeSiza7ezc5zzsaw_jvm_typez00(obj_t BgL_envz00_2947,
		obj_t BgL_typez00_2948)
	{
		{	/* SawJvm/type.scm 18 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					((BgL_typez00_bglt) BgL_typez00_2948)));
		}

	}



/* size-dest */
	BGL_EXPORTED_DEF int BGl_siza7ezd2destz75zzsaw_jvm_typez00(obj_t BgL_insz00_4)
	{
		{	/* SawJvm/type.scm 24 */
			{	/* SawJvm/type.scm 25 */
				bool_t BgL_test1970z00_3120;

				{	/* SawJvm/type.scm 25 */
					obj_t BgL_classz00_2787;

					BgL_classz00_2787 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_insz00_4))
						{	/* SawJvm/type.scm 25 */
							BgL_objectz00_bglt BgL_arg1858z00_2789;

							BgL_arg1858z00_2789 = (BgL_objectz00_bglt) (BgL_insz00_4);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/type.scm 25 */
									long BgL_idxz00_2795;

									BgL_idxz00_2795 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2789);
									BgL_test1970z00_3120 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2795 + 1L)) == BgL_classz00_2787);
								}
							else
								{	/* SawJvm/type.scm 25 */
									bool_t BgL_res1899z00_2820;

									{	/* SawJvm/type.scm 25 */
										obj_t BgL_oclassz00_2803;

										{	/* SawJvm/type.scm 25 */
											obj_t BgL_arg1866z00_2811;
											long BgL_arg1867z00_2812;

											BgL_arg1866z00_2811 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawJvm/type.scm 25 */
												long BgL_arg1869z00_2813;

												BgL_arg1869z00_2813 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2789);
												BgL_arg1867z00_2812 =
													(BgL_arg1869z00_2813 - OBJECT_TYPE);
											}
											BgL_oclassz00_2803 =
												VECTOR_REF(BgL_arg1866z00_2811, BgL_arg1867z00_2812);
										}
										{	/* SawJvm/type.scm 25 */
											bool_t BgL__ortest_1115z00_2804;

											BgL__ortest_1115z00_2804 =
												(BgL_classz00_2787 == BgL_oclassz00_2803);
											if (BgL__ortest_1115z00_2804)
												{	/* SawJvm/type.scm 25 */
													BgL_res1899z00_2820 = BgL__ortest_1115z00_2804;
												}
											else
												{	/* SawJvm/type.scm 25 */
													long BgL_odepthz00_2805;

													{	/* SawJvm/type.scm 25 */
														obj_t BgL_arg1855z00_2806;

														BgL_arg1855z00_2806 = (BgL_oclassz00_2803);
														BgL_odepthz00_2805 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2806);
													}
													if ((1L < BgL_odepthz00_2805))
														{	/* SawJvm/type.scm 25 */
															obj_t BgL_arg1853z00_2808;

															{	/* SawJvm/type.scm 25 */
																obj_t BgL_arg1854z00_2809;

																BgL_arg1854z00_2809 = (BgL_oclassz00_2803);
																BgL_arg1853z00_2808 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2809,
																	1L);
															}
															BgL_res1899z00_2820 =
																(BgL_arg1853z00_2808 == BgL_classz00_2787);
														}
													else
														{	/* SawJvm/type.scm 25 */
															BgL_res1899z00_2820 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1970z00_3120 = BgL_res1899z00_2820;
								}
						}
					else
						{	/* SawJvm/type.scm 25 */
							BgL_test1970z00_3120 = ((bool_t) 0);
						}
				}
				if (BgL_test1970z00_3120)
					{	/* SawJvm/type.scm 26 */
						BgL_typez00_bglt BgL_arg1553z00_2238;

						BgL_arg1553z00_2238 =
							(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_insz00_4)))->BgL_typez00);
						return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1553z00_2238);
					}
				else
					{	/* SawJvm/type.scm 25 */
						if (CBOOL(
								(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_destz00)))
							{	/* SawJvm/type.scm 29 */
								BgL_typez00_bglt BgL_arg1558z00_2241;

								BgL_arg1558z00_2241 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt)
												(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_4)))->
													BgL_destz00))))->BgL_typez00);
								return BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1558z00_2241);
							}
						else
							{	/* SawJvm/type.scm 30 */
								BgL_rtl_funz00_bglt BgL_arg1574z00_2243;

								BgL_arg1574z00_2243 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_4)))->BgL_funz00);
								return
									BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00
									(BgL_arg1574z00_2243, ((BgL_rtl_insz00_bglt) BgL_insz00_4));
							}
					}
			}
		}

	}



/* &size-dest */
	obj_t BGl_z62siza7ezd2destz17zzsaw_jvm_typez00(obj_t BgL_envz00_2949,
		obj_t BgL_insz00_2950)
	{
		{	/* SawJvm/type.scm 24 */
			return BINT(BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_insz00_2950));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_proc1911z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1912z00zzsaw_jvm_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_proc1913z00zzsaw_jvm_typez00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_string1914z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun1534 */
	obj_t BGl_z62typezd2destzd2fun1534z62zzsaw_jvm_typez00(obj_t BgL_envz00_2953,
		obj_t BgL_funz00_2954)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 76 */
				obj_t BgL_arg1587z00_3034;

				{	/* SawJvm/type.scm 76 */
					obj_t BgL_arg1588z00_3035;

					{	/* SawJvm/type.scm 76 */
						obj_t BgL_arg1866z00_3036;
						long BgL_arg1867z00_3037;

						BgL_arg1866z00_3036 = (BGl_za2classesza2z00zz__objectz00);
						{	/* SawJvm/type.scm 76 */
							long BgL_arg1869z00_3038;

							BgL_arg1869z00_3038 =
								BGL_OBJECT_CLASS_NUM(
								((BgL_objectz00_bglt) ((BgL_rtl_funz00_bglt) BgL_funz00_2954)));
							BgL_arg1867z00_3037 = (BgL_arg1869z00_3038 - OBJECT_TYPE);
						}
						BgL_arg1588z00_3035 =
							VECTOR_REF(BgL_arg1866z00_3036, BgL_arg1867z00_3037);
					}
					BgL_arg1587z00_3034 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg1588z00_3035);
				}
				return
					BGl_errorz00zz__errorz00(
					((obj_t)
						CNST_TABLE_REF(2)), BGl_string1915z00zzsaw_jvm_typez00,
					BgL_arg1587z00_3034);
			}
		}

	}



/* &size-dest-fun1504 */
	obj_t BGl_z62siza7ezd2destzd2fun1504zc5zzsaw_jvm_typez00(obj_t
		BgL_envz00_2955, obj_t BgL_funz00_2956, obj_t BgL_insz00_2957)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00
				(BGl_typezd2destzd2funz00zzsaw_jvm_typez00(((BgL_rtl_funz00_bglt)
							BgL_funz00_2956))));
		}

	}



/* size-dest-fun */
	int BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_5, BgL_rtl_insz00_bglt BgL_insz00_6)
	{
		{	/* SawJvm/type.scm 35 */
			{	/* SawJvm/type.scm 35 */
				obj_t BgL_method1505z00_2256;

				{	/* SawJvm/type.scm 35 */
					obj_t BgL_res1904z00_2863;

					{	/* SawJvm/type.scm 35 */
						long BgL_objzd2classzd2numz00_2834;

						BgL_objzd2classzd2numz00_2834 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_5));
						{	/* SawJvm/type.scm 35 */
							obj_t BgL_arg1862z00_2835;

							BgL_arg1862z00_2835 =
								PROCEDURE_REF(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
								(int) (1L));
							{	/* SawJvm/type.scm 35 */
								int BgL_offsetz00_2838;

								BgL_offsetz00_2838 = (int) (BgL_objzd2classzd2numz00_2834);
								{	/* SawJvm/type.scm 35 */
									long BgL_offsetz00_2839;

									BgL_offsetz00_2839 =
										((long) (BgL_offsetz00_2838) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 35 */
										long BgL_modz00_2840;

										BgL_modz00_2840 =
											(BgL_offsetz00_2839 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/type.scm 35 */
											long BgL_restz00_2842;

											BgL_restz00_2842 =
												(BgL_offsetz00_2839 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/type.scm 35 */

												{	/* SawJvm/type.scm 35 */
													obj_t BgL_bucketz00_2844;

													BgL_bucketz00_2844 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2835), BgL_modz00_2840);
													BgL_res1904z00_2863 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2844), BgL_restz00_2842);
					}}}}}}}}
					BgL_method1505z00_2256 = BgL_res1904z00_2863;
				}
				return
					CINT(BGL_PROCEDURE_CALL2(BgL_method1505z00_2256,
						((obj_t) BgL_funz00_5), ((obj_t) BgL_insz00_6)));
			}
		}

	}



/* &size-dest-fun */
	obj_t BGl_z62siza7ezd2destzd2funzc5zzsaw_jvm_typez00(obj_t BgL_envz00_2958,
		obj_t BgL_funz00_2959, obj_t BgL_insz00_2960)
	{
		{	/* SawJvm/type.scm 35 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzsaw_jvm_typez00(
					((BgL_rtl_funz00_bglt) BgL_funz00_2959),
					((BgL_rtl_insz00_bglt) BgL_insz00_2960)));
		}

	}



/* type-dest-fun */
	BgL_typez00_bglt BGl_typezd2destzd2funz00zzsaw_jvm_typez00(BgL_rtl_funz00_bglt
		BgL_funz00_35)
	{
		{	/* SawJvm/type.scm 74 */
			{	/* SawJvm/type.scm 74 */
				obj_t BgL_method1535z00_2257;

				{	/* SawJvm/type.scm 74 */
					obj_t BgL_res1909z00_2894;

					{	/* SawJvm/type.scm 74 */
						long BgL_objzd2classzd2numz00_2865;

						BgL_objzd2classzd2numz00_2865 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_35));
						{	/* SawJvm/type.scm 74 */
							obj_t BgL_arg1862z00_2866;

							BgL_arg1862z00_2866 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
								(int) (1L));
							{	/* SawJvm/type.scm 74 */
								int BgL_offsetz00_2869;

								BgL_offsetz00_2869 = (int) (BgL_objzd2classzd2numz00_2865);
								{	/* SawJvm/type.scm 74 */
									long BgL_offsetz00_2870;

									BgL_offsetz00_2870 =
										((long) (BgL_offsetz00_2869) - OBJECT_TYPE);
									{	/* SawJvm/type.scm 74 */
										long BgL_modz00_2871;

										BgL_modz00_2871 =
											(BgL_offsetz00_2870 >> (int) ((long) ((int) (4L))));
										{	/* SawJvm/type.scm 74 */
											long BgL_restz00_2873;

											BgL_restz00_2873 =
												(BgL_offsetz00_2870 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawJvm/type.scm 74 */

												{	/* SawJvm/type.scm 74 */
													obj_t BgL_bucketz00_2875;

													BgL_bucketz00_2875 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2866), BgL_modz00_2871);
													BgL_res1909z00_2894 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2875), BgL_restz00_2873);
					}}}}}}}}
					BgL_method1535z00_2257 = BgL_res1909z00_2894;
				}
				return
					((BgL_typez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1535z00_2257, ((obj_t) BgL_funz00_35)));
			}
		}

	}



/* &type-dest-fun */
	BgL_typez00_bglt BGl_z62typezd2destzd2funz62zzsaw_jvm_typez00(obj_t
		BgL_envz00_2961, obj_t BgL_funz00_2962)
	{
		{	/* SawJvm/type.scm 74 */
			return
				BGl_typezd2destzd2funz00zzsaw_jvm_typez00(
				((BgL_rtl_funz00_bglt) BgL_funz00_2962));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc1916z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc1918z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc1919z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc1920z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_movz00zzsaw_defsz00, BGl_proc1921z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadiz00zzsaw_defsz00, BGl_proc1922z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_loadgz00zzsaw_defsz00, BGl_proc1923z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1924z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_vrefz00zzsaw_defsz00, BGl_proc1925z00zzsaw_jvm_typez00,
				BGl_string1917z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc1926z00zzsaw_jvm_typez00,
				BGl_string1927z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc1928z00zzsaw_jvm_typez00,
				BGl_string1927z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1929z00zzsaw_jvm_typez00,
				BGl_string1927z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc1930z00zzsaw_jvm_typez00,
				BGl_string1927z00zzsaw_jvm_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzsaw_jvm_typez00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc1931z00zzsaw_jvm_typez00,
				BGl_string1927z00zzsaw_jvm_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzsaw_jvm_typez00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc1932z00zzsaw_jvm_typez00,
				BGl_string1933z00zzsaw_jvm_typez00);
		}

	}



/* &type-dest-fun-rtl_ca1537 */
	BgL_typez00_bglt
		BGl_z62typezd2destzd2funzd2rtl_ca1537zb0zzsaw_jvm_typez00(obj_t
		BgL_envz00_2978, obj_t BgL_funz00_2979)
	{
		{	/* SawJvm/type.scm 78 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_2979)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &size-dest-fun-rtl_ca1533 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ca1533z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2980, obj_t BgL_funz00_2981, obj_t BgL_insz00_2982)
	{
		{	/* SawJvm/type.scm 70 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_fu1531 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_fu1531z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2983, obj_t BgL_funz00_2984, obj_t BgL_insz00_2985)
	{
		{	/* SawJvm/type.scm 69 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_li1529 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_li1529z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2986, obj_t BgL_funz00_2987, obj_t BgL_insz00_2988)
	{
		{	/* SawJvm/type.scm 68 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ap1527 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ap1527z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2989, obj_t BgL_funz00_2990, obj_t BgL_insz00_2991)
	{
		{	/* SawJvm/type.scm 67 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ne1525 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ne1525z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2992, obj_t BgL_funz00_2993, obj_t BgL_insz00_2994)
	{
		{	/* SawJvm/type.scm 66 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_vr1523 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_vr1523z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2995, obj_t BgL_funz00_2996, obj_t BgL_insz00_2997)
	{
		{	/* SawJvm/type.scm 62 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_vrefz00_bglt) COBJECT(
								((BgL_rtl_vrefz00_bglt) BgL_funz00_2996)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_ge1521 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ge1521z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_2998, obj_t BgL_funz00_2999, obj_t BgL_insz00_3000)
	{
		{	/* SawJvm/type.scm 59 */
			return
				BINT(BGl_typeSiza7eza7zzsaw_jvm_typez00(
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
								((BgL_rtl_getfieldz00_bglt) BgL_funz00_2999)))->BgL_typez00)));
		}

	}



/* &size-dest-fun-rtl_lo1519 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1519z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3001, obj_t BgL_funz00_3002, obj_t BgL_insz00_3003)
	{
		{	/* SawJvm/type.scm 56 */
			{	/* SawJvm/type.scm 57 */
				int BgL_tmpz00_3279;

				{	/* SawJvm/type.scm 57 */
					BgL_typez00_bglt BgL_arg1605z00_3050;

					BgL_arg1605z00_3050 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									(((BgL_rtl_loadgz00_bglt) COBJECT(
												((BgL_rtl_loadgz00_bglt) BgL_funz00_3002)))->
										BgL_varz00))))->BgL_typez00);
					BgL_tmpz00_3279 =
						BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1605z00_3050);
				}
				return BINT(BgL_tmpz00_3279);
			}
		}

	}



/* &size-dest-fun-rtl_lo1517 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_lo1517z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3004, obj_t BgL_funz00_3005, obj_t BgL_insz00_3006)
	{
		{	/* SawJvm/type.scm 49 */
			{	/* SawJvm/type.scm 50 */
				int BgL_tmpz00_3286;

				{	/* SawJvm/type.scm 50 */
					BgL_atomz00_bglt BgL_constantz00_3052;

					BgL_constantz00_3052 =
						(((BgL_rtl_loadiz00_bglt) COBJECT(
								((BgL_rtl_loadiz00_bglt) BgL_funz00_3005)))->BgL_constantz00);
					{	/* SawJvm/type.scm 51 */
						obj_t BgL_valuez00_3053;

						BgL_valuez00_3053 =
							(((BgL_atomz00_bglt) COBJECT(BgL_constantz00_3052))->
							BgL_valuez00);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_3053))
							{	/* SawJvm/type.scm 53 */
								BgL_typez00_bglt BgL_arg1597z00_3054;

								BgL_arg1597z00_3054 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_constantz00_3052)))->BgL_typez00);
								BgL_tmpz00_3286 =
									BGl_typeSiza7eza7zzsaw_jvm_typez00(BgL_arg1597z00_3054);
							}
						else
							{	/* SawJvm/type.scm 52 */
								BgL_tmpz00_3286 = (int) (1L);
				}}}
				return BINT(BgL_tmpz00_3286);
			}
		}

	}



/* &size-dest-fun-rtl_mo1515 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_mo1515z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3007, obj_t BgL_funz00_3008, obj_t BgL_insz00_3009)
	{
		{	/* SawJvm/type.scm 46 */
			{	/* SawJvm/type.scm 47 */
				int BgL_tmpz00_3297;

				{	/* SawJvm/type.scm 47 */
					obj_t BgL_arg1590z00_3056;

					{	/* SawJvm/type.scm 47 */
						obj_t BgL_pairz00_3057;

						BgL_pairz00_3057 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_3009)))->BgL_argsz00);
						BgL_arg1590z00_3056 = CAR(BgL_pairz00_3057);
					}
					BgL_tmpz00_3297 =
						BGl_siza7ezd2destz75zzsaw_jvm_typez00(BgL_arg1590z00_3056);
				}
				return BINT(BgL_tmpz00_3297);
			}
		}

	}



/* &size-dest-fun-rtl_pu1513 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_pu1513z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3010, obj_t BgL_funz00_3011, obj_t BgL_insz00_3012)
	{
		{	/* SawJvm/type.scm 44 */
			return BINT(1L);
		}

	}



/* &size-dest-fun-rtl_ef1511 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_ef1511z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3013, obj_t BgL_funz00_3014, obj_t BgL_insz00_3015)
	{
		{	/* SawJvm/type.scm 41 */
			return BINT(0L);
		}

	}



/* &size-dest-fun-rtl_no1509 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_no1509z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3016, obj_t BgL_funz00_3017, obj_t BgL_insz00_3018)
	{
		{	/* SawJvm/type.scm 40 */
			return BINT(0L);
		}

	}



/* &size-dest-fun-rtl_la1507 */
	obj_t BGl_z62siza7ezd2destzd2funzd2rtl_la1507z17zzsaw_jvm_typez00(obj_t
		BgL_envz00_3019, obj_t BgL_funz00_3020, obj_t BgL_insz00_3021)
	{
		{	/* SawJvm/type.scm 39 */
			return BINT(0L);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_typez00(void)
	{
		{	/* SawJvm/type.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(179871433L,
				BSTRING_TO_STRING(BGl_string1934z00zzsaw_jvm_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
