/*===========================================================================*/
/*   (SawMill/cast.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/cast.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_CAST_TYPE_DEFINITIONS
#define BGL_SAW_CAST_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


#endif													// BGL_SAW_CAST_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_getfie1412z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_castz00 = BUNSPEC;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadi1406z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_castz00(void);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_nop1402z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_instan1422z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	static obj_t BGl_genericzd2initzd2zzsaw_castz00(void);
	static obj_t BGl_z62typezd2argszd2rtl_setfie1435z62zzsaw_castz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_castz00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62typezd2args1429zb0zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_vset1439z62zzsaw_castz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2argszd2rtl_vref1437z62zzsaw_castz00(obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_vref1418z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_valloc1416z62zzsaw_castz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_funcal1449z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_return1447z62zzsaw_castz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_castz00(void);
	static obj_t BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_addzd2castzd2zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_addzd2castszd2insz00zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_new1414z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2argszd2rtl_boxset1457z62zzsaw_castz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	static obj_t BGl_z62addzd2castszb0zzsaw_castz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_castz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static BgL_typez00_bglt BGl_z62typezd2destzb0zzsaw_castz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62typezd2argszd2rtl_boxref1455z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_vlengt1441z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2dest1399zb0zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_apply1453z62zzsaw_castz00(obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static obj_t BGl_z62typezd2argszd2rtl_lightf1451z62zzsaw_castz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_castz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_castz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_castz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_castz00(void);
	BGL_EXPORTED_DECL obj_t BGl_addzd2castszd2zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_mov1404z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backendz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_typezd2destzd2zzsaw_castz00(BgL_rtl_funz00_bglt,
		obj_t);
	static obj_t BGl_z62typezd2argszb0zzsaw_castz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_storeg1443z62zzsaw_castz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_call1445z62zzsaw_castz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_call1426z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_vlengt1420z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2argszd2rtl_getfie1433z62zzsaw_castz00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadg1410z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static obj_t BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backendz00_bglt,
		BgL_rtl_funz00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2argszd2zzsaw_castz00(BgL_rtl_funz00_bglt);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_cast_n1424z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_loadfu1408z62zzsaw_castz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62typezd2destzd2rtl_cast1428z62zzsaw_castz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2castszd2envz00zzsaw_castz00,
		BgL_bgl_za762addza7d2castsza7b1983za7, BGl_z62addzd2castszb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2argszd2envz00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7b1984za7, BGl_z62typezd2argszb0zzsaw_castz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1948z00zzsaw_castz00,
		BgL_bgl_string1948za700za7za7s1985za7, "type-dest1399", 13);
	      DEFINE_STRING(BGl_string1950z00zzsaw_castz00,
		BgL_bgl_string1950za700za7za7s1986za7, "type-args1429", 13);
	      DEFINE_STRING(BGl_string1952z00zzsaw_castz00,
		BgL_bgl_string1952za700za7za7s1987za7, "type-dest::type", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2dest131988z00, BGl_z62typezd2dest1399zb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2args141989z00, BGl_z62typezd2args1429zb0zzsaw_castz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1990za7,
		BGl_z62typezd2destzd2rtl_nop1402z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1991za7,
		BGl_z62typezd2destzd2rtl_mov1404z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1992za7,
		BGl_z62typezd2destzd2rtl_loadi1406z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1993za7,
		BGl_z62typezd2destzd2rtl_loadfu1408z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1994za7,
		BGl_z62typezd2destzd2rtl_loadg1410z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1995za7,
		BGl_z62typezd2destzd2rtl_getfie1412z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1996za7,
		BGl_z62typezd2destzd2rtl_new1414z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d1997za7,
		BGl_z62typezd2destzd2rtl_valloc1416z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1967z00zzsaw_castz00,
		BgL_bgl_string1967za700za7za7s1998za7, "type-args", 9);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2envz00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7b1999za7, BGl_z62typezd2destzb0zzsaw_castz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2000za7,
		BGl_z62typezd2destzd2rtl_vref1418z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2001za7,
		BGl_z62typezd2destzd2rtl_vlengt1420z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2002za7,
		BGl_z62typezd2destzd2rtl_instan1422z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2003za7,
		BGl_z62typezd2destzd2rtl_cast_n1424z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2004za7,
		BGl_z62typezd2destzd2rtl_call1426z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2destza7d2005za7,
		BGl_z62typezd2destzd2rtl_cast1428z62zzsaw_castz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2006za7,
		BGl_z62typezd2argszd2rtl_getfie1433z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2007za7,
		BGl_z62typezd2argszd2rtl_setfie1435z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2008za7,
		BGl_z62typezd2argszd2rtl_vref1437z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2009za7,
		BGl_z62typezd2argszd2rtl_vset1439z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2010za7,
		BGl_z62typezd2argszd2rtl_vlengt1441z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2011za7,
		BGl_z62typezd2argszd2rtl_storeg1443z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2012za7,
		BGl_z62typezd2argszd2rtl_call1445z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1980z00zzsaw_castz00,
		BgL_bgl_string1980za700za7za7s2013za7, "saw_cast", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2014za7,
		BGl_z62typezd2argszd2rtl_return1447z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1981z00zzsaw_castz00,
		BgL_bgl_string1981za700za7za7s2015za7,
		"unspecified int procedure cell obj (bool byte ubyte short ushort char uchar ucs2 void int long ulong elong llong uelong ullong float double) hook ",
		146);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2016za7,
		BGl_z62typezd2argszd2rtl_funcal1449z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2017za7,
		BGl_z62typezd2argszd2rtl_lightf1451z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2018za7,
		BGl_z62typezd2argszd2rtl_apply1453z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2019za7,
		BGl_z62typezd2argszd2rtl_boxref1455z62zzsaw_castz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzsaw_castz00,
		BgL_bgl_za762typeza7d2argsza7d2020za7,
		BGl_z62typezd2argszd2rtl_boxset1457z62zzsaw_castz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_castz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_castz00(long
		BgL_checksumz00_3266, char *BgL_fromz00_3267)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_castz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_castz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_castz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_castz00();
					BGl_cnstzd2initzd2zzsaw_castz00();
					BGl_importedzd2moduleszd2initz00zzsaw_castz00();
					BGl_genericzd2initzd2zzsaw_castz00();
					BGl_methodzd2initzd2zzsaw_castz00();
					return BGl_toplevelzd2initzd2zzsaw_castz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_cast");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_cast");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			{	/* SawMill/cast.scm 1 */
				obj_t BgL_cportz00_3155;

				{	/* SawMill/cast.scm 1 */
					obj_t BgL_stringz00_3162;

					BgL_stringz00_3162 = BGl_string1981z00zzsaw_castz00;
					{	/* SawMill/cast.scm 1 */
						obj_t BgL_startz00_3163;

						BgL_startz00_3163 = BINT(0L);
						{	/* SawMill/cast.scm 1 */
							obj_t BgL_endz00_3164;

							BgL_endz00_3164 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3162)));
							{	/* SawMill/cast.scm 1 */

								BgL_cportz00_3155 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3162, BgL_startz00_3163, BgL_endz00_3164);
				}}}}
				{
					long BgL_iz00_3156;

					BgL_iz00_3156 = 6L;
				BgL_loopz00_3157:
					if ((BgL_iz00_3156 == (-1L)))
						{	/* SawMill/cast.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/cast.scm 1 */
							{	/* SawMill/cast.scm 1 */
								obj_t BgL_arg1982z00_3158;

								{	/* SawMill/cast.scm 1 */

									{	/* SawMill/cast.scm 1 */
										obj_t BgL_locationz00_3160;

										BgL_locationz00_3160 = BBOOL(((bool_t) 0));
										{	/* SawMill/cast.scm 1 */

											BgL_arg1982z00_3158 =
												BGl_readz00zz__readerz00(BgL_cportz00_3155,
												BgL_locationz00_3160);
										}
									}
								}
								{	/* SawMill/cast.scm 1 */
									int BgL_tmpz00_3297;

									BgL_tmpz00_3297 = (int) (BgL_iz00_3156);
									CNST_TABLE_SET(BgL_tmpz00_3297, BgL_arg1982z00_3158);
							}}
							{	/* SawMill/cast.scm 1 */
								int BgL_auxz00_3161;

								BgL_auxz00_3161 = (int) ((BgL_iz00_3156 - 1L));
								{
									long BgL_iz00_3302;

									BgL_iz00_3302 = (long) (BgL_auxz00_3161);
									BgL_iz00_3156 = BgL_iz00_3302;
									goto BgL_loopz00_3157;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			return BUNSPEC;
		}

	}



/* add-casts */
	BGL_EXPORTED_DEF obj_t BGl_addzd2castszd2zzsaw_castz00(BgL_backendz00_bglt
		BgL_backz00_3, obj_t BgL_lz00_4)
	{
		{	/* SawMill/cast.scm 12 */
			{
				obj_t BgL_l1391z00_2184;

				{	/* SawMill/cast.scm 13 */
					bool_t BgL_tmpz00_3305;

					BgL_l1391z00_2184 = BgL_lz00_4;
				BgL_zc3z04anonymousza31481ze3z87_2185:
					if (PAIRP(BgL_l1391z00_2184))
						{	/* SawMill/cast.scm 13 */
							{	/* SawMill/cast.scm 14 */
								obj_t BgL_bz00_2187;

								BgL_bz00_2187 = CAR(BgL_l1391z00_2184);
								{	/* SawMill/cast.scm 14 */
									obj_t BgL_hookz00_2188;

									BgL_hookz00_2188 =
										MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(0)), BNIL);
									{	/* SawMill/cast.scm 15 */
										obj_t BgL_g1152z00_2189;

										BgL_g1152z00_2189 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2187)))->BgL_firstz00);
										{
											obj_t BgL_lz00_2191;
											obj_t BgL_lastz00_2192;

											BgL_lz00_2191 = BgL_g1152z00_2189;
											BgL_lastz00_2192 = BgL_hookz00_2188;
										BgL_zc3z04anonymousza31483ze3z87_2193:
											if (NULLP(BgL_lz00_2191))
												{	/* SawMill/cast.scm 17 */
													obj_t BgL_arg1487z00_2195;

													BgL_arg1487z00_2195 = CDR(BgL_hookz00_2188);
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_2187)))->
															BgL_firstz00) =
														((obj_t) ((obj_t) BgL_arg1487z00_2195)), BUNSPEC);
												}
											else
												{	/* SawMill/cast.scm 18 */
													obj_t BgL_insz00_2196;

													BgL_insz00_2196 = CAR(((obj_t) BgL_lz00_2191));
													{	/* SawMill/cast.scm 19 */
														obj_t BgL_cinsz00_2198;

														BgL_cinsz00_2198 =
															BGl_addzd2castszd2insz00zzsaw_castz00
															(BgL_backz00_3, BgL_insz00_2196);
														SET_CDR(BgL_lastz00_2192, BgL_cinsz00_2198);
														{	/* SawMill/cast.scm 21 */
															obj_t BgL_arg1489z00_2199;
															obj_t BgL_arg1490z00_2200;

															BgL_arg1489z00_2199 =
																CDR(((obj_t) BgL_lz00_2191));
															BgL_arg1490z00_2200 =
																BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																(BgL_cinsz00_2198);
															{
																obj_t BgL_lastz00_3328;
																obj_t BgL_lz00_3327;

																BgL_lz00_3327 = BgL_arg1489z00_2199;
																BgL_lastz00_3328 = BgL_arg1490z00_2200;
																BgL_lastz00_2192 = BgL_lastz00_3328;
																BgL_lz00_2191 = BgL_lz00_3327;
																goto BgL_zc3z04anonymousza31483ze3z87_2193;
															}
														}
													}
												}
										}
									}
								}
							}
							{
								obj_t BgL_l1391z00_3329;

								BgL_l1391z00_3329 = CDR(BgL_l1391z00_2184);
								BgL_l1391z00_2184 = BgL_l1391z00_3329;
								goto BgL_zc3z04anonymousza31481ze3z87_2185;
							}
						}
					else
						{	/* SawMill/cast.scm 13 */
							BgL_tmpz00_3305 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_3305);
				}
			}
		}

	}



/* &add-casts */
	obj_t BGl_z62addzd2castszb0zzsaw_castz00(obj_t BgL_envz00_3045,
		obj_t BgL_backz00_3046, obj_t BgL_lz00_3047)
	{
		{	/* SawMill/cast.scm 12 */
			return
				BGl_addzd2castszd2zzsaw_castz00(
				((BgL_backendz00_bglt) BgL_backz00_3046), BgL_lz00_3047);
		}

	}



/* add-cast */
	BgL_rtl_insz00_bglt BGl_addzd2castzd2zzsaw_castz00(obj_t BgL_fromz00_5,
		obj_t BgL_toz00_6)
	{
		{	/* SawMill/cast.scm 24 */
			{	/* SawMill/cast.scm 26 */
				BgL_typez00_bglt BgL_typez00_2204;

				BgL_typez00_2204 =
					(((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_toz00_6)))->BgL_typez00);
				{	/* SawMill/cast.scm 27 */
					BgL_rtl_insz00_bglt BgL_new1154z00_2205;

					{	/* SawMill/cast.scm 27 */
						BgL_rtl_insz00_bglt BgL_new1153z00_2209;

						BgL_new1153z00_2209 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/cast.scm 27 */
							long BgL_arg1512z00_2210;

							BgL_arg1512z00_2210 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1153z00_2209),
								BgL_arg1512z00_2210);
						}
						{	/* SawMill/cast.scm 27 */
							BgL_objectz00_bglt BgL_tmpz00_3340;

							BgL_tmpz00_3340 = ((BgL_objectz00_bglt) BgL_new1153z00_2209);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3340, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1153z00_2209);
						BgL_new1154z00_2205 = BgL_new1153z00_2209;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1154z00_2205))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1154z00_2205))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1154z00_2205))->BgL_destz00) =
						((obj_t) BgL_toz00_6), BUNSPEC);
					{
						BgL_rtl_funz00_bglt BgL_auxz00_3347;

						{	/* SawMill/cast.scm 28 */
							BgL_rtl_castz00_bglt BgL_new1156z00_2206;

							{	/* SawMill/cast.scm 28 */
								BgL_rtl_castz00_bglt BgL_new1155z00_2207;

								BgL_new1155z00_2207 =
									((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_castz00_bgl))));
								{	/* SawMill/cast.scm 28 */
									long BgL_arg1511z00_2208;

									{	/* SawMill/cast.scm 28 */
										obj_t BgL_classz00_2765;

										BgL_classz00_2765 = BGl_rtl_castz00zzsaw_defsz00;
										BgL_arg1511z00_2208 = BGL_CLASS_NUM(BgL_classz00_2765);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1155z00_2207),
										BgL_arg1511z00_2208);
								}
								BgL_new1156z00_2206 = BgL_new1155z00_2207;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1156z00_2206)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1156z00_2206))->
									BgL_totypez00) =
								((BgL_typez00_bglt) BgL_typez00_2204), BUNSPEC);
							((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1156z00_2206))->
									BgL_fromtypez00) =
								((BgL_typez00_bglt) (((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_fromz00_5)))->
										BgL_typez00)), BUNSPEC);
							BgL_auxz00_3347 = ((BgL_rtl_funz00_bglt) BgL_new1156z00_2206);
						}
						((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1154z00_2205))->
								BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_3347), BUNSPEC);
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1154z00_2205))->BgL_argsz00) =
						((obj_t) MAKE_YOUNG_PAIR(BgL_fromz00_5, BNIL)), BUNSPEC);
					return BgL_new1154z00_2205;
				}
			}
		}

	}



/* add-casts-ins */
	obj_t BGl_addzd2castszd2insz00zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_7,
		obj_t BgL_insz00_8)
	{
		{	/* SawMill/cast.scm 33 */
			{	/* SawMill/cast.scm 35 */
				obj_t BgL_castsz00_2212;

				BgL_castsz00_2212 =
					BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backz00_7, BgL_insz00_8);
				{	/* SawMill/cast.scm 36 */
					BgL_rtl_funz00_bglt BgL_arg1513z00_2213;
					obj_t BgL_arg1515z00_2214;
					obj_t BgL_arg1516z00_2215;
					obj_t BgL_arg1530z00_2216;

					BgL_arg1513z00_2213 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_funz00);
					BgL_arg1515z00_2214 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_argsz00);
					{	/* SawMill/cast.scm 36 */
						BgL_rtl_funz00_bglt BgL_arg1532z00_2217;

						BgL_arg1532z00_2217 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_8)))->BgL_funz00);
						BgL_arg1516z00_2215 =
							BGl_typezd2argszd2zzsaw_castz00(BgL_arg1532z00_2217);
					}
					BgL_arg1530z00_2216 =
						MAKE_YOUNG_PAIR(BgL_insz00_8, BgL_castsz00_2212);
					return
						BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backz00_7,
						BgL_arg1513z00_2213, BgL_arg1515z00_2214, BgL_arg1516z00_2215,
						BgL_arg1530z00_2216);
				}
			}
		}

	}



/* add-cast-dest */
	obj_t BGl_addzd2castzd2destz00zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_9,
		obj_t BgL_insz00_10)
	{
		{	/* SawMill/cast.scm 38 */
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00)))
				{	/* SawMill/cast.scm 41 */
					BgL_typez00_bglt BgL_realz00_2220;
					BgL_typez00_bglt BgL_declaredz00_2221;

					{	/* SawMill/cast.scm 41 */
						BgL_rtl_funz00_bglt BgL_arg1554z00_2232;
						obj_t BgL_arg1558z00_2233;

						BgL_arg1554z00_2232 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_funz00);
						BgL_arg1558z00_2233 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_argsz00);
						BgL_realz00_2220 =
							BGl_typezd2destzd2zzsaw_castz00(BgL_arg1554z00_2232,
							BgL_arg1558z00_2233);
					}
					BgL_declaredz00_2221 =
						(((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_10)))->
										BgL_destz00))))->BgL_typez00);
					if (CBOOL(BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backz00_9,
								((obj_t) BgL_realz00_2220), ((obj_t) BgL_declaredz00_2221))))
						{	/* SawMill/cast.scm 42 */
							return BNIL;
						}
					else
						{	/* SawMill/cast.scm 44 */
							BgL_rtl_regz00_bglt BgL_rrz00_2223;

							{	/* SawMill/cast.scm 44 */
								BgL_rtl_regz00_bglt BgL_new1160z00_2226;

								{	/* SawMill/cast.scm 45 */
									BgL_rtl_regz00_bglt BgL_new1159z00_2230;

									BgL_new1159z00_2230 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/cast.scm 45 */
										long BgL_arg1553z00_2231;

										BgL_arg1553z00_2231 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1159z00_2230),
											BgL_arg1553z00_2231);
									}
									{	/* SawMill/cast.scm 45 */
										BgL_objectz00_bglt BgL_tmpz00_3394;

										BgL_tmpz00_3394 =
											((BgL_objectz00_bglt) BgL_new1159z00_2230);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3394, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1159z00_2230);
									BgL_new1160z00_2226 = BgL_new1159z00_2230;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_realz00_2220), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_3401;

									{	/* SawMill/cast.scm 47 */

										{	/* SawMill/cast.scm 47 */

											BgL_auxz00_3401 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
											BgL_namez00) = ((obj_t) BgL_auxz00_3401), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_3404;

									{	/* SawMill/cast.scm 47 */
										obj_t BgL_arg1543z00_2228;

										{	/* SawMill/cast.scm 47 */
											obj_t BgL_arg1545z00_2229;

											{	/* SawMill/cast.scm 47 */
												obj_t BgL_classz00_2774;

												BgL_classz00_2774 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1545z00_2229 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_2774);
											}
											BgL_arg1543z00_2228 = VECTOR_REF(BgL_arg1545z00_2229, 4L);
										}
										BgL_auxz00_3404 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1543z00_2228);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_3404), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
										BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1160z00_2226))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_rrz00_2223 = BgL_new1160z00_2226;
							}
							{	/* SawMill/cast.scm 48 */
								obj_t BgL_xz00_2224;

								BgL_xz00_2224 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00);
								((((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_10)))->BgL_destz00) =
									((obj_t) ((obj_t) BgL_rrz00_2223)), BUNSPEC);
								{	/* SawMill/cast.scm 50 */
									BgL_rtl_insz00_bglt BgL_arg1535z00_2225;

									BgL_arg1535z00_2225 =
										BGl_addzd2castzd2zzsaw_castz00(
										((obj_t) BgL_rrz00_2223), BgL_xz00_2224);
									return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1535z00_2225), BNIL);
								}
							}
						}
				}
			else
				{	/* SawMill/cast.scm 40 */
					return BNIL;
				}
		}

	}



/* add-cast-args */
	obj_t BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backendz00_bglt
		BgL_backz00_11, BgL_rtl_funz00_bglt BgL_funz00_12, obj_t BgL_argsz00_13,
		obj_t BgL_typesz00_14, obj_t BgL_castsz00_15)
	{
		{	/* SawMill/cast.scm 53 */
			if (NULLP(BgL_typesz00_14))
				{	/* SawMill/cast.scm 54 */
					return BgL_castsz00_15;
				}
			else
				{	/* SawMill/cast.scm 56 */
					obj_t BgL_castsz00_2236;

					{	/* SawMill/cast.scm 56 */
						obj_t BgL_arg1590z00_2250;
						obj_t BgL_arg1592z00_2251;

						BgL_arg1590z00_2250 = CDR(((obj_t) BgL_argsz00_13));
						BgL_arg1592z00_2251 = CDR(((obj_t) BgL_typesz00_14));
						BgL_castsz00_2236 =
							BGl_addzd2castzd2argsz00zzsaw_castz00(BgL_backz00_11,
							BgL_funz00_12, BgL_arg1590z00_2250, BgL_arg1592z00_2251,
							BgL_castsz00_15);
					}
					{	/* SawMill/cast.scm 57 */
						obj_t BgL_rz00_2237;
						obj_t BgL_tz00_2238;

						BgL_rz00_2237 = CAR(((obj_t) BgL_argsz00_13));
						BgL_tz00_2238 = CAR(((obj_t) BgL_typesz00_14));
						{	/* SawMill/cast.scm 58 */
							bool_t BgL_test2028z00_3431;

							{	/* SawMill/cast.scm 58 */
								BgL_typez00_bglt BgL_arg1588z00_2249;

								BgL_arg1588z00_2249 =
									(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_rz00_2237)))->BgL_typez00);
								BgL_test2028z00_3431 =
									CBOOL(BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backz00_11,
										((obj_t) BgL_arg1588z00_2249), BgL_tz00_2238));
							}
							if (BgL_test2028z00_3431)
								{	/* SawMill/cast.scm 58 */
									return BgL_castsz00_2236;
								}
							else
								{	/* SawMill/cast.scm 60 */
									BgL_rtl_regz00_bglt BgL_rrz00_2241;

									{	/* SawMill/cast.scm 60 */
										BgL_rtl_regz00_bglt BgL_new1162z00_2243;

										{	/* SawMill/cast.scm 61 */
											BgL_rtl_regz00_bglt BgL_new1161z00_2247;

											BgL_new1161z00_2247 =
												((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_regz00_bgl))));
											{	/* SawMill/cast.scm 61 */
												long BgL_arg1587z00_2248;

												BgL_arg1587z00_2248 =
													BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1161z00_2247),
													BgL_arg1587z00_2248);
											}
											{	/* SawMill/cast.scm 61 */
												BgL_objectz00_bglt BgL_tmpz00_3441;

												BgL_tmpz00_3441 =
													((BgL_objectz00_bglt) BgL_new1161z00_2247);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3441, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1161z00_2247);
											BgL_new1162z00_2243 = BgL_new1161z00_2247;
										}
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_tz00_2238)),
											BUNSPEC);
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
												BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
												BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_3449;

											{	/* SawMill/cast.scm 63 */

												{	/* SawMill/cast.scm 63 */

													BgL_auxz00_3449 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
													BgL_namez00) = ((obj_t) BgL_auxz00_3449), BUNSPEC);
										}
										{
											obj_t BgL_auxz00_3452;

											{	/* SawMill/cast.scm 63 */
												obj_t BgL_arg1578z00_2245;

												{	/* SawMill/cast.scm 63 */
													obj_t BgL_arg1581z00_2246;

													{	/* SawMill/cast.scm 63 */
														obj_t BgL_classz00_2786;

														BgL_classz00_2786 = BGl_rtl_regz00zzsaw_defsz00;
														BgL_arg1581z00_2246 =
															BGL_CLASS_ALL_FIELDS(BgL_classz00_2786);
													}
													BgL_arg1578z00_2245 =
														VECTOR_REF(BgL_arg1581z00_2246, 4L);
												}
												BgL_auxz00_3452 =
													BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
													(BgL_arg1578z00_2245);
											}
											((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
													BgL_keyz00) = ((obj_t) BgL_auxz00_3452), BUNSPEC);
										}
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
												BgL_debugnamez00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1162z00_2243))->
												BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_rrz00_2241 = BgL_new1162z00_2243;
									}
									{	/* SawMill/cast.scm 64 */
										obj_t BgL_auxz00_3461;
										obj_t BgL_tmpz00_3459;

										BgL_auxz00_3461 = ((obj_t) BgL_rrz00_2241);
										BgL_tmpz00_3459 = ((obj_t) BgL_argsz00_13);
										SET_CAR(BgL_tmpz00_3459, BgL_auxz00_3461);
									}
									{	/* SawMill/cast.scm 65 */
										BgL_rtl_insz00_bglt BgL_arg1577z00_2242;

										BgL_arg1577z00_2242 =
											BGl_addzd2castzd2zzsaw_castz00(BgL_rz00_2237,
											((obj_t) BgL_rrz00_2241));
										return
											MAKE_YOUNG_PAIR(
											((obj_t) BgL_arg1577z00_2242), BgL_castsz00_2236);
									}
								}
						}
					}
				}
		}

	}



/* assign-type? */
	obj_t BGl_assignzd2typezf3z21zzsaw_castz00(BgL_backendz00_bglt BgL_backz00_16,
		obj_t BgL_t1z00_17, obj_t BgL_t2z00_18)
	{
		{	/* SawMill/cast.scm 67 */
			{	/* SawMill/cast.scm 68 */
				bool_t BgL__ortest_1163z00_2252;

				BgL__ortest_1163z00_2252 = (BgL_t1z00_17 == BgL_t2z00_18);
				if (BgL__ortest_1163z00_2252)
					{	/* SawMill/cast.scm 68 */
						return BBOOL(BgL__ortest_1163z00_2252);
					}
				else
					{	/* SawMill/cast.scm 69 */
						obj_t BgL__ortest_1164z00_2253;

						BgL__ortest_1164z00_2253 =
							BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_typez00_bglt) COBJECT(
										((BgL_typez00_bglt) BgL_t1z00_17)))->BgL_idz00),
							((obj_t) CNST_TABLE_REF(1)));
						if (CBOOL(BgL__ortest_1164z00_2253))
							{	/* SawMill/cast.scm 69 */
								return BgL__ortest_1164z00_2253;
							}
						else
							{	/* SawMill/cast.scm 70 */
								obj_t BgL__ortest_1165z00_2254;

								BgL__ortest_1165z00_2254 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_typez00_bglt) COBJECT(
												((BgL_typez00_bglt) BgL_t2z00_18)))->BgL_idz00),
									((obj_t) CNST_TABLE_REF(1)));
								if (CBOOL(BgL__ortest_1165z00_2254))
									{	/* SawMill/cast.scm 70 */
										return BgL__ortest_1165z00_2254;
									}
								else
									{	/* SawMill/cast.scm 70 */
										BGL_TAIL return
											BGl_backendzd2subtypezf3z21zzbackend_backendz00
											(BgL_backz00_16, BgL_t1z00_17, BgL_t2z00_18);
									}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_proc1947z00zzsaw_castz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string1948z00zzsaw_castz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_proc1949z00zzsaw_castz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string1950z00zzsaw_castz00);
		}

	}



/* &type-args1429 */
	obj_t BGl_z62typezd2args1429zb0zzsaw_castz00(obj_t BgL_envz00_3050,
		obj_t BgL_funz00_3051)
	{
		{	/* SawMill/cast.scm 130 */
			return BNIL;
		}

	}



/* &type-dest1399 */
	obj_t BGl_z62typezd2dest1399zb0zzsaw_castz00(obj_t BgL_envz00_3052,
		obj_t BgL_funz00_3053, obj_t BgL_argsz00_3054)
	{
		{	/* SawMill/cast.scm 81 */
			return
				((obj_t) BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(2))));
		}

	}



/* type-dest */
	BgL_typez00_bglt BGl_typezd2destzd2zzsaw_castz00(BgL_rtl_funz00_bglt
		BgL_funz00_20, obj_t BgL_argsz00_21)
	{
		{	/* SawMill/cast.scm 81 */
			{	/* SawMill/cast.scm 81 */
				obj_t BgL_method1400z00_2265;

				{	/* SawMill/cast.scm 81 */
					obj_t BgL_res1937z00_2825;

					{	/* SawMill/cast.scm 81 */
						long BgL_objzd2classzd2numz00_2796;

						BgL_objzd2classzd2numz00_2796 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_20));
						{	/* SawMill/cast.scm 81 */
							obj_t BgL_arg1862z00_2797;

							BgL_arg1862z00_2797 =
								PROCEDURE_REF(BGl_typezd2destzd2envz00zzsaw_castz00,
								(int) (1L));
							{	/* SawMill/cast.scm 81 */
								int BgL_offsetz00_2800;

								BgL_offsetz00_2800 = (int) (BgL_objzd2classzd2numz00_2796);
								{	/* SawMill/cast.scm 81 */
									long BgL_offsetz00_2801;

									BgL_offsetz00_2801 =
										((long) (BgL_offsetz00_2800) - OBJECT_TYPE);
									{	/* SawMill/cast.scm 81 */
										long BgL_modz00_2802;

										BgL_modz00_2802 =
											(BgL_offsetz00_2801 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/cast.scm 81 */
											long BgL_restz00_2804;

											BgL_restz00_2804 =
												(BgL_offsetz00_2801 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/cast.scm 81 */

												{	/* SawMill/cast.scm 81 */
													obj_t BgL_bucketz00_2806;

													BgL_bucketz00_2806 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2797), BgL_modz00_2802);
													BgL_res1937z00_2825 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2806), BgL_restz00_2804);
					}}}}}}}}
					BgL_method1400z00_2265 = BgL_res1937z00_2825;
				}
				return
					((BgL_typez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1400z00_2265,
						((obj_t) BgL_funz00_20), BgL_argsz00_21));
			}
		}

	}



/* &type-dest */
	BgL_typez00_bglt BGl_z62typezd2destzb0zzsaw_castz00(obj_t BgL_envz00_3055,
		obj_t BgL_funz00_3056, obj_t BgL_argsz00_3057)
	{
		{	/* SawMill/cast.scm 81 */
			return
				BGl_typezd2destzd2zzsaw_castz00(
				((BgL_rtl_funz00_bglt) BgL_funz00_3056), BgL_argsz00_3057);
		}

	}



/* type-args */
	obj_t BGl_typezd2argszd2zzsaw_castz00(BgL_rtl_funz00_bglt BgL_funz00_50)
	{
		{	/* SawMill/cast.scm 130 */
			{	/* SawMill/cast.scm 130 */
				obj_t BgL_method1431z00_2266;

				{	/* SawMill/cast.scm 130 */
					obj_t BgL_res1942z00_2856;

					{	/* SawMill/cast.scm 130 */
						long BgL_objzd2classzd2numz00_2827;

						BgL_objzd2classzd2numz00_2827 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_50));
						{	/* SawMill/cast.scm 130 */
							obj_t BgL_arg1862z00_2828;

							BgL_arg1862z00_2828 =
								PROCEDURE_REF(BGl_typezd2argszd2envz00zzsaw_castz00,
								(int) (1L));
							{	/* SawMill/cast.scm 130 */
								int BgL_offsetz00_2831;

								BgL_offsetz00_2831 = (int) (BgL_objzd2classzd2numz00_2827);
								{	/* SawMill/cast.scm 130 */
									long BgL_offsetz00_2832;

									BgL_offsetz00_2832 =
										((long) (BgL_offsetz00_2831) - OBJECT_TYPE);
									{	/* SawMill/cast.scm 130 */
										long BgL_modz00_2833;

										BgL_modz00_2833 =
											(BgL_offsetz00_2832 >> (int) ((long) ((int) (4L))));
										{	/* SawMill/cast.scm 130 */
											long BgL_restz00_2835;

											BgL_restz00_2835 =
												(BgL_offsetz00_2832 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* SawMill/cast.scm 130 */

												{	/* SawMill/cast.scm 130 */
													obj_t BgL_bucketz00_2837;

													BgL_bucketz00_2837 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2828), BgL_modz00_2833);
													BgL_res1942z00_2856 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2837), BgL_restz00_2835);
					}}}}}}}}
					BgL_method1431z00_2266 = BgL_res1942z00_2856;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1431z00_2266, ((obj_t) BgL_funz00_50));
			}
		}

	}



/* &type-args */
	obj_t BGl_z62typezd2argszb0zzsaw_castz00(obj_t BgL_envz00_3058,
		obj_t BgL_funz00_3059)
	{
		{	/* SawMill/cast.scm 130 */
			return
				BGl_typezd2argszd2zzsaw_castz00(
				((BgL_rtl_funz00_bglt) BgL_funz00_3059));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_nopz00zzsaw_defsz00,
				BGl_proc1951z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc1953z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc1954z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc1955z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc1956z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1957z00zzsaw_castz00,
				BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_newz00zzsaw_defsz00,
				BGl_proc1958z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vallocz00zzsaw_defsz00,
				BGl_proc1959z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc1960z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_vlengthz00zzsaw_defsz00,
				BGl_proc1961z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_instanceofz00zzsaw_defsz00, BGl_proc1962z00zzsaw_castz00,
				BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00,
				BGl_rtl_cast_nullz00zzsaw_defsz00, BGl_proc1963z00zzsaw_castz00,
				BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc1964z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2destzd2envz00zzsaw_castz00, BGl_rtl_castz00zzsaw_defsz00,
				BGl_proc1965z00zzsaw_castz00, BGl_string1952z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_getfieldz00zzsaw_defsz00, BGl_proc1966z00zzsaw_castz00,
				BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_setfieldz00zzsaw_defsz00, BGl_proc1968z00zzsaw_castz00,
				BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc1969z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc1970z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_vlengthz00zzsaw_defsz00,
				BGl_proc1971z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_storegz00zzsaw_defsz00,
				BGl_proc1972z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc1973z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_returnz00zzsaw_defsz00,
				BGl_proc1974z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_funcallz00zzsaw_defsz00,
				BGl_proc1975z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc1976z00zzsaw_castz00,
				BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc1977z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_boxrefz00zzsaw_defsz00,
				BGl_proc1978z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2argszd2envz00zzsaw_castz00, BGl_rtl_boxsetz00zzsaw_defsz00,
				BGl_proc1979z00zzsaw_castz00, BGl_string1967z00zzsaw_castz00);
		}

	}



/* &type-args-rtl_boxset1457 */
	obj_t BGl_z62typezd2argszd2rtl_boxset1457z62zzsaw_castz00(obj_t
		BgL_envz00_3087, obj_t BgL_funz00_3088)
	{
		{	/* SawMill/cast.scm 176 */
			{	/* SawMill/cast.scm 177 */
				BgL_typez00_bglt BgL_arg1693z00_3170;

				BgL_arg1693z00_3170 =
					BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(3)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1693z00_3170), BNIL);
			}
		}

	}



/* &type-args-rtl_boxref1455 */
	obj_t BGl_z62typezd2argszd2rtl_boxref1455z62zzsaw_castz00(obj_t
		BgL_envz00_3089, obj_t BgL_funz00_3090)
	{
		{	/* SawMill/cast.scm 173 */
			{	/* SawMill/cast.scm 174 */
				BgL_typez00_bglt BgL_arg1692z00_3172;

				BgL_arg1692z00_3172 =
					BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(3)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1692z00_3172), BNIL);
			}
		}

	}



/* &type-args-rtl_apply1453 */
	obj_t BGl_z62typezd2argszd2rtl_apply1453z62zzsaw_castz00(obj_t
		BgL_envz00_3091, obj_t BgL_funz00_3092)
	{
		{	/* SawMill/cast.scm 170 */
			{	/* SawMill/cast.scm 171 */
				BgL_typez00_bglt BgL_arg1691z00_3174;

				BgL_arg1691z00_3174 =
					BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1691z00_3174), BNIL);
			}
		}

	}



/* &type-args-rtl_lightf1451 */
	obj_t BGl_z62typezd2argszd2rtl_lightf1451z62zzsaw_castz00(obj_t
		BgL_envz00_3093, obj_t BgL_funz00_3094)
	{
		{	/* SawMill/cast.scm 167 */
			{	/* SawMill/cast.scm 168 */
				BgL_typez00_bglt BgL_arg1686z00_3176;

				BgL_arg1686z00_3176 =
					BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1686z00_3176), BNIL);
			}
		}

	}



/* &type-args-rtl_funcal1449 */
	obj_t BGl_z62typezd2argszd2rtl_funcal1449z62zzsaw_castz00(obj_t
		BgL_envz00_3095, obj_t BgL_funz00_3096)
	{
		{	/* SawMill/cast.scm 164 */
			{	/* SawMill/cast.scm 165 */
				BgL_typez00_bglt BgL_arg1680z00_3178;

				BgL_arg1680z00_3178 =
					BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(4)));
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1680z00_3178), BNIL);
			}
		}

	}



/* &type-args-rtl_return1447 */
	obj_t BGl_z62typezd2argszd2rtl_return1447z62zzsaw_castz00(obj_t
		BgL_envz00_3097, obj_t BgL_funz00_3098)
	{
		{	/* SawMill/cast.scm 161 */
			{	/* SawMill/cast.scm 162 */
				BgL_typez00_bglt BgL_arg1679z00_3180;

				BgL_arg1679z00_3180 =
					(((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_funz00_3098)))->BgL_typez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1679z00_3180), BNIL);
			}
		}

	}



/* &type-args-rtl_call1445 */
	obj_t BGl_z62typezd2argszd2rtl_call1445z62zzsaw_castz00(obj_t BgL_envz00_3099,
		obj_t BgL_funz00_3100)
	{
		{	/* SawMill/cast.scm 151 */
			{	/* SawMill/cast.scm 152 */
				BgL_valuez00_bglt BgL_fz00_3182;

				BgL_fz00_3182 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								(((BgL_rtl_callz00_bglt) COBJECT(
											((BgL_rtl_callz00_bglt) BgL_funz00_3100)))->
									BgL_varz00))))->BgL_valuez00);
				{	/* SawMill/cast.scm 153 */

					{	/* SawMill/cast.scm 154 */
						bool_t BgL_test2032z00_3618;

						{	/* SawMill/cast.scm 154 */
							obj_t BgL_classz00_3183;

							BgL_classz00_3183 = BGl_cfunz00zzast_varz00;
							{	/* SawMill/cast.scm 154 */
								BgL_objectz00_bglt BgL_arg1858z00_3184;

								{	/* SawMill/cast.scm 154 */
									obj_t BgL_tmpz00_3619;

									BgL_tmpz00_3619 =
										((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3182));
									BgL_arg1858z00_3184 = (BgL_objectz00_bglt) (BgL_tmpz00_3619);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawMill/cast.scm 154 */
										long BgL_idxz00_3185;

										BgL_idxz00_3185 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3184);
										BgL_test2032z00_3618 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3185 + 3L)) == BgL_classz00_3183);
									}
								else
									{	/* SawMill/cast.scm 154 */
										bool_t BgL_res1943z00_3188;

										{	/* SawMill/cast.scm 154 */
											obj_t BgL_oclassz00_3189;

											{	/* SawMill/cast.scm 154 */
												obj_t BgL_arg1866z00_3190;
												long BgL_arg1867z00_3191;

												BgL_arg1866z00_3190 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* SawMill/cast.scm 154 */
													long BgL_arg1869z00_3192;

													BgL_arg1869z00_3192 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3184);
													BgL_arg1867z00_3191 =
														(BgL_arg1869z00_3192 - OBJECT_TYPE);
												}
												BgL_oclassz00_3189 =
													VECTOR_REF(BgL_arg1866z00_3190, BgL_arg1867z00_3191);
											}
											{	/* SawMill/cast.scm 154 */
												bool_t BgL__ortest_1115z00_3193;

												BgL__ortest_1115z00_3193 =
													(BgL_classz00_3183 == BgL_oclassz00_3189);
												if (BgL__ortest_1115z00_3193)
													{	/* SawMill/cast.scm 154 */
														BgL_res1943z00_3188 = BgL__ortest_1115z00_3193;
													}
												else
													{	/* SawMill/cast.scm 154 */
														long BgL_odepthz00_3194;

														{	/* SawMill/cast.scm 154 */
															obj_t BgL_arg1855z00_3195;

															BgL_arg1855z00_3195 = (BgL_oclassz00_3189);
															BgL_odepthz00_3194 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3195);
														}
														if ((3L < BgL_odepthz00_3194))
															{	/* SawMill/cast.scm 154 */
																obj_t BgL_arg1853z00_3196;

																{	/* SawMill/cast.scm 154 */
																	obj_t BgL_arg1854z00_3197;

																	BgL_arg1854z00_3197 = (BgL_oclassz00_3189);
																	BgL_arg1853z00_3196 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3197,
																		3L);
																}
																BgL_res1943z00_3188 =
																	(BgL_arg1853z00_3196 == BgL_classz00_3183);
															}
														else
															{	/* SawMill/cast.scm 154 */
																BgL_res1943z00_3188 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2032z00_3618 = BgL_res1943z00_3188;
									}
							}
						}
						if (BgL_test2032z00_3618)
							{	/* SawMill/cast.scm 154 */
								return
									(((BgL_cfunz00_bglt) COBJECT(
											((BgL_cfunz00_bglt) BgL_fz00_3182)))->BgL_argszd2typezd2);
							}
						else
							{	/* SawMill/cast.scm 156 */
								obj_t BgL_rz00_3198;

								BgL_rz00_3198 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt) BgL_fz00_3182)))->BgL_argsz00);
								{	/* SawMill/cast.scm 157 */
									bool_t BgL_test2036z00_3646;

									if (NULLP(BgL_rz00_3198))
										{	/* SawMill/cast.scm 157 */
											BgL_test2036z00_3646 = ((bool_t) 1);
										}
									else
										{	/* SawMill/cast.scm 157 */
											obj_t BgL_arg1675z00_3199;

											BgL_arg1675z00_3199 = CAR(((obj_t) BgL_rz00_3198));
											{	/* SawMill/cast.scm 157 */
												obj_t BgL_classz00_3200;

												BgL_classz00_3200 = BGl_typez00zztype_typez00;
												if (BGL_OBJECTP(BgL_arg1675z00_3199))
													{	/* SawMill/cast.scm 157 */
														BgL_objectz00_bglt BgL_arg1858z00_3201;

														BgL_arg1858z00_3201 =
															(BgL_objectz00_bglt) (BgL_arg1675z00_3199);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* SawMill/cast.scm 157 */
																long BgL_idxz00_3202;

																BgL_idxz00_3202 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_3201);
																BgL_test2036z00_3646 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3202 + 1L)) ==
																	BgL_classz00_3200);
															}
														else
															{	/* SawMill/cast.scm 157 */
																bool_t BgL_res1944z00_3205;

																{	/* SawMill/cast.scm 157 */
																	obj_t BgL_oclassz00_3206;

																	{	/* SawMill/cast.scm 157 */
																		obj_t BgL_arg1866z00_3207;
																		long BgL_arg1867z00_3208;

																		BgL_arg1866z00_3207 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* SawMill/cast.scm 157 */
																			long BgL_arg1869z00_3209;

																			BgL_arg1869z00_3209 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_3201);
																			BgL_arg1867z00_3208 =
																				(BgL_arg1869z00_3209 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3206 =
																			VECTOR_REF(BgL_arg1866z00_3207,
																			BgL_arg1867z00_3208);
																	}
																	{	/* SawMill/cast.scm 157 */
																		bool_t BgL__ortest_1115z00_3210;

																		BgL__ortest_1115z00_3210 =
																			(BgL_classz00_3200 == BgL_oclassz00_3206);
																		if (BgL__ortest_1115z00_3210)
																			{	/* SawMill/cast.scm 157 */
																				BgL_res1944z00_3205 =
																					BgL__ortest_1115z00_3210;
																			}
																		else
																			{	/* SawMill/cast.scm 157 */
																				long BgL_odepthz00_3211;

																				{	/* SawMill/cast.scm 157 */
																					obj_t BgL_arg1855z00_3212;

																					BgL_arg1855z00_3212 =
																						(BgL_oclassz00_3206);
																					BgL_odepthz00_3211 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_3212);
																				}
																				if ((1L < BgL_odepthz00_3211))
																					{	/* SawMill/cast.scm 157 */
																						obj_t BgL_arg1853z00_3213;

																						{	/* SawMill/cast.scm 157 */
																							obj_t BgL_arg1854z00_3214;

																							BgL_arg1854z00_3214 =
																								(BgL_oclassz00_3206);
																							BgL_arg1853z00_3213 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_3214, 1L);
																						}
																						BgL_res1944z00_3205 =
																							(BgL_arg1853z00_3213 ==
																							BgL_classz00_3200);
																					}
																				else
																					{	/* SawMill/cast.scm 157 */
																						BgL_res1944z00_3205 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2036z00_3646 = BgL_res1944z00_3205;
															}
													}
												else
													{	/* SawMill/cast.scm 157 */
														BgL_test2036z00_3646 = ((bool_t) 0);
													}
											}
										}
									if (BgL_test2036z00_3646)
										{	/* SawMill/cast.scm 157 */
											return BgL_rz00_3198;
										}
									else
										{	/* SawMill/cast.scm 157 */
											if (NULLP(BgL_rz00_3198))
												{	/* SawMill/cast.scm 159 */
													return BNIL;
												}
											else
												{	/* SawMill/cast.scm 159 */
													obj_t BgL_head1395z00_3215;

													{	/* SawMill/cast.scm 159 */
														BgL_typez00_bglt BgL_arg1673z00_3216;

														BgL_arg1673z00_3216 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt)
																			CAR(
																				((obj_t) BgL_rz00_3198))))))->
															BgL_typez00);
														BgL_head1395z00_3215 =
															MAKE_YOUNG_PAIR(((obj_t) BgL_arg1673z00_3216),
															BNIL);
													}
													{	/* SawMill/cast.scm 159 */
														obj_t BgL_g1398z00_3217;

														BgL_g1398z00_3217 = CDR(((obj_t) BgL_rz00_3198));
														{
															obj_t BgL_l1393z00_3219;
															obj_t BgL_tail1396z00_3220;

															BgL_l1393z00_3219 = BgL_g1398z00_3217;
															BgL_tail1396z00_3220 = BgL_head1395z00_3215;
														BgL_zc3z04anonymousza31658ze3z87_3218:
															if (NULLP(BgL_l1393z00_3219))
																{	/* SawMill/cast.scm 159 */
																	return BgL_head1395z00_3215;
																}
															else
																{	/* SawMill/cast.scm 159 */
																	obj_t BgL_newtail1397z00_3221;

																	{	/* SawMill/cast.scm 159 */
																		BgL_typez00_bglt BgL_arg1663z00_3222;

																		BgL_arg1663z00_3222 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_localz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_l1393z00_3219))))))->
																			BgL_typez00);
																		BgL_newtail1397z00_3221 =
																			MAKE_YOUNG_PAIR(((obj_t)
																				BgL_arg1663z00_3222), BNIL);
																	}
																	SET_CDR(BgL_tail1396z00_3220,
																		BgL_newtail1397z00_3221);
																	{	/* SawMill/cast.scm 159 */
																		obj_t BgL_arg1660z00_3223;

																		BgL_arg1660z00_3223 =
																			CDR(((obj_t) BgL_l1393z00_3219));
																		{
																			obj_t BgL_tail1396z00_3697;
																			obj_t BgL_l1393z00_3696;

																			BgL_l1393z00_3696 = BgL_arg1660z00_3223;
																			BgL_tail1396z00_3697 =
																				BgL_newtail1397z00_3221;
																			BgL_tail1396z00_3220 =
																				BgL_tail1396z00_3697;
																			BgL_l1393z00_3219 = BgL_l1393z00_3696;
																			goto
																				BgL_zc3z04anonymousza31658ze3z87_3218;
																		}
																	}
																}
														}
													}
												}
										}
								}
							}
					}
				}
			}
		}

	}



/* &type-args-rtl_storeg1443 */
	obj_t BGl_z62typezd2argszd2rtl_storeg1443z62zzsaw_castz00(obj_t
		BgL_envz00_3101, obj_t BgL_funz00_3102)
	{
		{	/* SawMill/cast.scm 148 */
			{	/* SawMill/cast.scm 149 */
				BgL_typez00_bglt BgL_arg1648z00_3225;

				BgL_arg1648z00_3225 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								(((BgL_rtl_storegz00_bglt) COBJECT(
											((BgL_rtl_storegz00_bglt) BgL_funz00_3102)))->
									BgL_varz00))))->BgL_typez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1648z00_3225), BNIL);
			}
		}

	}



/* &type-args-rtl_vlengt1441 */
	obj_t BGl_z62typezd2argszd2rtl_vlengt1441z62zzsaw_castz00(obj_t
		BgL_envz00_3103, obj_t BgL_funz00_3104)
	{
		{	/* SawMill/cast.scm 145 */
			{	/* SawMill/cast.scm 146 */
				BgL_typez00_bglt BgL_arg1643z00_3227;

				BgL_arg1643z00_3227 =
					(((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_funz00_3104)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1643z00_3227), BNIL);
			}
		}

	}



/* &type-args-rtl_vset1439 */
	obj_t BGl_z62typezd2argszd2rtl_vset1439z62zzsaw_castz00(obj_t BgL_envz00_3105,
		obj_t BgL_funz00_3106)
	{
		{	/* SawMill/cast.scm 142 */
			{	/* SawMill/cast.scm 143 */
				BgL_typez00_bglt BgL_arg1642z00_3229;

				BgL_arg1642z00_3229 =
					(((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_funz00_3106)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1642z00_3229), BNIL);
			}
		}

	}



/* &type-args-rtl_vref1437 */
	obj_t BGl_z62typezd2argszd2rtl_vref1437z62zzsaw_castz00(obj_t BgL_envz00_3107,
		obj_t BgL_funz00_3108)
	{
		{	/* SawMill/cast.scm 139 */
			{	/* SawMill/cast.scm 140 */
				BgL_typez00_bglt BgL_arg1638z00_3231;

				BgL_arg1638z00_3231 =
					(((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_funz00_3108)))->BgL_vtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1638z00_3231), BNIL);
			}
		}

	}



/* &type-args-rtl_setfie1435 */
	obj_t BGl_z62typezd2argszd2rtl_setfie1435z62zzsaw_castz00(obj_t
		BgL_envz00_3109, obj_t BgL_funz00_3110)
	{
		{	/* SawMill/cast.scm 136 */
			{	/* SawMill/cast.scm 137 */
				BgL_typez00_bglt BgL_arg1632z00_3233;
				obj_t BgL_arg1633z00_3234;

				BgL_arg1632z00_3233 =
					(((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_funz00_3110)))->BgL_objtypez00);
				{	/* SawMill/cast.scm 137 */
					BgL_typez00_bglt BgL_arg1635z00_3235;

					BgL_arg1635z00_3235 =
						(((BgL_rtl_setfieldz00_bglt) COBJECT(
								((BgL_rtl_setfieldz00_bglt) BgL_funz00_3110)))->BgL_typez00);
					BgL_arg1633z00_3234 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg1635z00_3235), BNIL);
				}
				return
					MAKE_YOUNG_PAIR(((obj_t) BgL_arg1632z00_3233), BgL_arg1633z00_3234);
			}
		}

	}



/* &type-args-rtl_getfie1433 */
	obj_t BGl_z62typezd2argszd2rtl_getfie1433z62zzsaw_castz00(obj_t
		BgL_envz00_3111, obj_t BgL_funz00_3112)
	{
		{	/* SawMill/cast.scm 133 */
			{	/* SawMill/cast.scm 134 */
				BgL_typez00_bglt BgL_arg1631z00_3237;

				BgL_arg1631z00_3237 =
					(((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_funz00_3112)))->BgL_objtypez00);
				return MAKE_YOUNG_PAIR(((obj_t) BgL_arg1631z00_3237), BNIL);
			}
		}

	}



/* &type-dest-rtl_cast1428 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_cast1428z62zzsaw_castz00(obj_t
		BgL_envz00_3113, obj_t BgL_funz00_3114, obj_t BgL_argsz00_3115)
	{
		{	/* SawMill/cast.scm 126 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_funz00_3114)))->BgL_totypez00);
		}

	}



/* &type-dest-rtl_call1426 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_call1426z62zzsaw_castz00(obj_t
		BgL_envz00_3116, obj_t BgL_funz00_3117, obj_t BgL_argsz00_3118)
	{
		{	/* SawMill/cast.scm 123 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_funz00_3117)))->BgL_varz00))))->
				BgL_typez00);
		}

	}



/* &type-dest-rtl_cast_n1424 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_cast_n1424z62zzsaw_castz00(obj_t
		BgL_envz00_3119, obj_t BgL_funz00_3120, obj_t BgL_argsz00_3121)
	{
		{	/* SawMill/cast.scm 119 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_funz00_3120)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_instan1422 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_instan1422z62zzsaw_castz00(obj_t
		BgL_envz00_3122, obj_t BgL_funz00_3123, obj_t BgL_argsz00_3124)
	{
		{	/* SawMill/cast.scm 116 */
			return BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(5)));
		}

	}



/* &type-dest-rtl_vlengt1420 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_vlengt1420z62zzsaw_castz00(obj_t
		BgL_envz00_3125, obj_t BgL_funz00_3126, obj_t BgL_argsz00_3127)
	{
		{	/* SawMill/cast.scm 113 */
			return BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(5)));
		}

	}



/* &type-dest-rtl_vref1418 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_vref1418z62zzsaw_castz00(obj_t
		BgL_envz00_3128, obj_t BgL_funz00_3129, obj_t BgL_argsz00_3130)
	{
		{	/* SawMill/cast.scm 110 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_funz00_3129)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_valloc1416 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_valloc1416z62zzsaw_castz00(obj_t
		BgL_envz00_3131, obj_t BgL_funz00_3132, obj_t BgL_argsz00_3133)
	{
		{	/* SawMill/cast.scm 107 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_funz00_3132)))->BgL_vtypez00);
		}

	}



/* &type-dest-rtl_new1414 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_new1414z62zzsaw_castz00(obj_t
		BgL_envz00_3134, obj_t BgL_funz00_3135, obj_t BgL_argsz00_3136)
	{
		{	/* SawMill/cast.scm 104 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_funz00_3135)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_getfie1412 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_getfie1412z62zzsaw_castz00(obj_t
		BgL_envz00_3137, obj_t BgL_funz00_3138, obj_t BgL_argsz00_3139)
	{
		{	/* SawMill/cast.scm 101 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_funz00_3138)))->BgL_typez00);
		}

	}



/* &type-dest-rtl_loadg1410 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadg1410z62zzsaw_castz00(obj_t
		BgL_envz00_3140, obj_t BgL_funz00_3141, obj_t BgL_argsz00_3142)
	{
		{	/* SawMill/cast.scm 98 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt)
							(((BgL_rtl_loadgz00_bglt) COBJECT(
										((BgL_rtl_loadgz00_bglt) BgL_funz00_3141)))->
								BgL_varz00))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_loadfu1408 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadfu1408z62zzsaw_castz00(obj_t
		BgL_envz00_3143, obj_t BgL_funz00_3144, obj_t BgL_argsz00_3145)
	{
		{	/* SawMill/cast.scm 93 */
			return BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(4)));
		}

	}



/* &type-dest-rtl_loadi1406 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_loadi1406z62zzsaw_castz00(obj_t
		BgL_envz00_3146, obj_t BgL_funz00_3147, obj_t BgL_argsz00_3148)
	{
		{	/* SawMill/cast.scm 90 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt)
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_funz00_3147)))->
								BgL_constantz00))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_mov1404 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_mov1404z62zzsaw_castz00(obj_t
		BgL_envz00_3149, obj_t BgL_funz00_3150, obj_t BgL_argsz00_3151)
	{
		{	/* SawMill/cast.scm 87 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt)
							CAR(((obj_t) ((obj_t) BgL_argsz00_3151))))))->BgL_typez00);
		}

	}



/* &type-dest-rtl_nop1402 */
	BgL_typez00_bglt BGl_z62typezd2destzd2rtl_nop1402z62zzsaw_castz00(obj_t
		BgL_envz00_3152, obj_t BgL_funz00_3153, obj_t BgL_argsz00_3154)
	{
		{	/* SawMill/cast.scm 84 */
			return BGl_findzd2typezd2zztype_envz00(((obj_t) CNST_TABLE_REF(6)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_castz00(void)
	{
		{	/* SawMill/cast.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string1980z00zzsaw_castz00));
		}

	}

#ifdef __cplusplus
}
#endif
