/*===========================================================================*/
/*   (SawMill/regutils.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawMill/regutils.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_REGUTILS_TYPE_DEFINITIONS
#define BGL_SAW_REGUTILS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;


#endif													// BGL_SAW_REGUTILS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_regutilsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_regutilsz00(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_regutilsz00(void);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_regutilsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00(void);
	static BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_collectzd2registerz12zc0zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt, obj_t);
	static long BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 = 0L;
	static obj_t BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(obj_t);
	static obj_t BGl_z62collectzd2registersz12za2zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_regutilsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, int);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_regutilsz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62collectzd2registerz12za2zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_regutilsz00(void);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_regutilsz00(BgL_regsetz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00(obj_t, obj_t,
		obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_regutilsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt, int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71862za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2nilza71863za7,
		BGl_z62regsetzd2nilzb0zzsaw_regutilsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71864za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71865za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71866za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71867za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71868za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71869za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2regv1870z00,
		BGl_z62regsetzd2regvzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2leng1871z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2msiza7ezd2envza7zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2msiza71872za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71873za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71874za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71875za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71876za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71877za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71878za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1861z00zzsaw_regutilsz00,
		BgL_bgl_string1861za700za7za7s1879za7, "saw_regutils", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2stri1880z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1860z00zzsaw_regutilsz00,
		BgL_bgl_za762argsza7d2collec1881z00,
		BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71882za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71883za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2registersz12zd2envz12zzsaw_regutilsz00,
		BgL_bgl_za762collectza7d2reg1884z00,
		BGl_z62collectzd2registersz12za2zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2stringzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2stri1885z00,
		BGl_z62regsetzd2stringzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
		BgL_bgl_za762collectza7d2reg1886z00,
		BGl_z62collectzd2registerz12za2zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71887za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762makeza7d2rtl_re1888z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razf3zd2envzd3zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71889za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2lengthzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2leng1890z00,
		BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71891za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71892za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71893za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762makeza7d2regset1894z00,
		BGl_z62makezd2regsetzb0zzsaw_regutilsz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7f3za791za71895z00,
		BGl_z62regsetzf3z91zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71896za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_regutilsz00,
		BgL_bgl_za762rtl_regza7f2raza71897za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_regutilsz00,
		BgL_bgl_za762regsetza7d2regl1898z00,
		BGl_z62regsetzd2reglzb0zzsaw_regutilsz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_regutilsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long
		BgL_checksumz00_2780, char *BgL_fromz00_2781)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_regutilsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_regutilsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_regutilsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00();
					return BGl_toplevelzd2initzd2zzsaw_regutilsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "saw_regutils");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_regutils");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_regutils");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return (BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 = (-1L), BUNSPEC);
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1159z00_2732;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1157z00_2733;
					BgL_rtl_regzf2razf2_bglt BgL_wide1158z00_2734;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_2797;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1156z00_2735;

							BgL_new1156z00_2735 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1388z00_2736;

								BgL_arg1388z00_2736 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1156z00_2735),
									BgL_arg1388z00_2736);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_2802;

								BgL_tmpz00_2802 = ((BgL_objectz00_bglt) BgL_new1156z00_2735);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2802, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1156z00_2735);
							BgL_auxz00_2797 = BgL_new1156z00_2735;
						}
						BgL_tmp1157z00_2733 = ((BgL_rtl_regz00_bglt) BgL_auxz00_2797);
					}
					BgL_wide1158z00_2734 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_2810;
						BgL_objectz00_bglt BgL_tmpz00_2808;

						BgL_auxz00_2810 = ((obj_t) BgL_wide1158z00_2734);
						BgL_tmpz00_2808 = ((BgL_objectz00_bglt) BgL_tmp1157z00_2733);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2808, BgL_auxz00_2810);
					}
					((BgL_objectz00_bglt) BgL_tmp1157z00_2733);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1386z00_2737;

						BgL_arg1386z00_2737 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1157z00_2733), BgL_arg1386z00_2737);
					}
					BgL_new1159z00_2732 = ((BgL_rtl_regz00_bglt) BgL_tmp1157z00_2733);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1159z00_2732)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1159z00_2732)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2832;

					{
						obj_t BgL_auxz00_2833;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2834;

							BgL_tmpz00_2834 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2833 = BGL_OBJECT_WIDENING(BgL_tmpz00_2834);
						}
						BgL_auxz00_2832 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2833);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2832))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2839;

					{
						obj_t BgL_auxz00_2840;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2841;

							BgL_tmpz00_2841 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2840 = BGL_OBJECT_WIDENING(BgL_tmpz00_2841);
						}
						BgL_auxz00_2839 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2840);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2839))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2846;

					{
						obj_t BgL_auxz00_2847;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2848;

							BgL_tmpz00_2848 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2847 = BGL_OBJECT_WIDENING(BgL_tmpz00_2848);
						}
						BgL_auxz00_2846 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2847);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2846))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2853;

					{
						obj_t BgL_auxz00_2854;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2855;

							BgL_tmpz00_2855 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2854 = BGL_OBJECT_WIDENING(BgL_tmpz00_2855);
						}
						BgL_auxz00_2853 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2854);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2853))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2860;

					{
						obj_t BgL_auxz00_2861;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2862;

							BgL_tmpz00_2862 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2861 = BGL_OBJECT_WIDENING(BgL_tmpz00_2862);
						}
						BgL_auxz00_2860 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2861);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2860))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_2867;

					{
						obj_t BgL_auxz00_2868;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_2869;

							BgL_tmpz00_2869 = ((BgL_objectz00_bglt) BgL_new1159z00_2732);
							BgL_auxz00_2868 = BGL_OBJECT_WIDENING(BgL_tmpz00_2869);
						}
						BgL_auxz00_2867 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2868);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2867))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1159z00_2732;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2626, obj_t BgL_type1179z00_2627, obj_t BgL_var1180z00_2628,
		obj_t BgL_onexprzf31181zf3_2629, obj_t BgL_name1182z00_2630,
		obj_t BgL_key1183z00_2631, obj_t BgL_hardware1184z00_2632,
		obj_t BgL_num1185z00_2633, obj_t BgL_color1186z00_2634,
		obj_t BgL_coalesce1187z00_2635, obj_t BgL_occurrences1188z00_2636,
		obj_t BgL_interfere1189z00_2637, obj_t BgL_interfere21190z00_2638)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_regutilsz00(
				((BgL_typez00_bglt) BgL_type1179z00_2627), BgL_var1180z00_2628,
				BgL_onexprzf31181zf3_2629, BgL_name1182z00_2630, BgL_key1183z00_2631,
				BgL_hardware1184z00_2632, CINT(BgL_num1185z00_2633),
				BgL_color1186z00_2634, BgL_coalesce1187z00_2635,
				CINT(BgL_occurrences1188z00_2636), BgL_interfere1189z00_2637,
				BgL_interfere21190z00_2638);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_2738;

				BgL_classz00_2738 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1858z00_2739;

						BgL_arg1858z00_2739 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_2740;

								BgL_idxz00_2740 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2739);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2740 + 2L)) == BgL_classz00_2738);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res1852z00_2743;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_2744;

									{	/* SawMill/regset.sch 56 */
										obj_t BgL_arg1866z00_2745;
										long BgL_arg1867z00_2746;

										BgL_arg1866z00_2745 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 56 */
											long BgL_arg1869z00_2747;

											BgL_arg1869z00_2747 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2739);
											BgL_arg1867z00_2746 = (BgL_arg1869z00_2747 - OBJECT_TYPE);
										}
										BgL_oclassz00_2744 =
											VECTOR_REF(BgL_arg1866z00_2745, BgL_arg1867z00_2746);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_2748;

										BgL__ortest_1115z00_2748 =
											(BgL_classz00_2738 == BgL_oclassz00_2744);
										if (BgL__ortest_1115z00_2748)
											{	/* SawMill/regset.sch 56 */
												BgL_res1852z00_2743 = BgL__ortest_1115z00_2748;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_2749;

												{	/* SawMill/regset.sch 56 */
													obj_t BgL_arg1855z00_2750;

													BgL_arg1855z00_2750 = (BgL_oclassz00_2744);
													BgL_odepthz00_2749 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2750);
												}
												if ((2L < BgL_odepthz00_2749))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1853z00_2751;

														{	/* SawMill/regset.sch 56 */
															obj_t BgL_arg1854z00_2752;

															BgL_arg1854z00_2752 = (BgL_oclassz00_2744);
															BgL_arg1853z00_2751 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2752,
																2L);
														}
														BgL_res1852z00_2743 =
															(BgL_arg1853z00_2751 == BgL_classz00_2738);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res1852z00_2743 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1852z00_2743;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_regutilsz00(obj_t BgL_envz00_2639,
		obj_t BgL_objz00_2640)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_regutilsz00(BgL_objz00_2640));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_2387;

				BgL_classz00_2387 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_2388;

					BgL__ortest_1117z00_2388 = BGL_CLASS_NIL(BgL_classz00_2387);
					if (CBOOL(BgL__ortest_1117z00_2388))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_2388);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2387));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2641)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_regutilsz00();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2909;

				{
					obj_t BgL_auxz00_2910;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_2911;

						BgL_tmpz00_2911 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_2910 = BGL_OBJECT_WIDENING(BgL_tmpz00_2911);
					}
					BgL_auxz00_2909 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2910);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2909))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_regutilsz00(obj_t
		BgL_envz00_2642, obj_t BgL_oz00_2643)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2643));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2918;

				{
					obj_t BgL_auxz00_2919;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_2920;

						BgL_tmpz00_2920 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_2919 = BGL_OBJECT_WIDENING(BgL_tmpz00_2920);
					}
					BgL_auxz00_2918 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2919);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2918))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2644, obj_t BgL_oz00_2645, obj_t BgL_vz00_2646)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2645), BgL_vz00_2646);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2927;

				{
					obj_t BgL_auxz00_2928;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_2929;

						BgL_tmpz00_2929 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_2928 = BGL_OBJECT_WIDENING(BgL_tmpz00_2929);
					}
					BgL_auxz00_2927 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2928);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2927))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2647, obj_t BgL_oz00_2648)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2648));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2936;

				{
					obj_t BgL_auxz00_2937;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_2938;

						BgL_tmpz00_2938 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_2937 = BGL_OBJECT_WIDENING(BgL_tmpz00_2938);
					}
					BgL_auxz00_2936 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2937);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2936))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2649, obj_t BgL_oz00_2650, obj_t BgL_vz00_2651)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2650), BgL_vz00_2651);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2945;

				{
					obj_t BgL_auxz00_2946;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_2947;

						BgL_tmpz00_2947 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_2946 = BGL_OBJECT_WIDENING(BgL_tmpz00_2947);
					}
					BgL_auxz00_2945 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2946);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2945))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_regutilsz00(obj_t
		BgL_envz00_2652, obj_t BgL_oz00_2653)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_regutilsz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_2653)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2955;

				{
					obj_t BgL_auxz00_2956;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_2957;

						BgL_tmpz00_2957 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_2956 = BGL_OBJECT_WIDENING(BgL_tmpz00_2957);
					}
					BgL_auxz00_2955 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2956);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2955))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2654, obj_t BgL_oz00_2655, obj_t BgL_vz00_2656)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2655), CINT(BgL_vz00_2656));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2965;

				{
					obj_t BgL_auxz00_2966;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_2967;

						BgL_tmpz00_2967 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_2966 = BGL_OBJECT_WIDENING(BgL_tmpz00_2967);
					}
					BgL_auxz00_2965 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2966);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2965))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2657, obj_t BgL_oz00_2658)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2658));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2974;

				{
					obj_t BgL_auxz00_2975;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_2976;

						BgL_tmpz00_2976 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_2975 = BGL_OBJECT_WIDENING(BgL_tmpz00_2976);
					}
					BgL_auxz00_2974 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2975);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2974))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2659, obj_t BgL_oz00_2660, obj_t BgL_vz00_2661)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2660), BgL_vz00_2661);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2983;

				{
					obj_t BgL_auxz00_2984;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_2985;

						BgL_tmpz00_2985 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_2984 = BGL_OBJECT_WIDENING(BgL_tmpz00_2985);
					}
					BgL_auxz00_2983 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2984);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2983))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_regutilsz00(obj_t BgL_envz00_2662,
		obj_t BgL_oz00_2663)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2663));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_2992;

				{
					obj_t BgL_auxz00_2993;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_2994;

						BgL_tmpz00_2994 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_2993 = BGL_OBJECT_WIDENING(BgL_tmpz00_2994);
					}
					BgL_auxz00_2992 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_2993);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_2992))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2664, obj_t BgL_oz00_2665, obj_t BgL_vz00_2666)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2665), BgL_vz00_2666);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3001;

				{
					obj_t BgL_auxz00_3002;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_3003;

						BgL_tmpz00_3003 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_3002 = BGL_OBJECT_WIDENING(BgL_tmpz00_3003);
					}
					BgL_auxz00_3001 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3002);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3001))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_regutilsz00(obj_t BgL_envz00_2667,
		obj_t BgL_oz00_2668)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_regutilsz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_2668)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2669, obj_t BgL_oz00_2670)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2670));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_regutilsz00(obj_t BgL_envz00_2671,
		obj_t BgL_oz00_2672)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2672));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_regutilsz00(obj_t BgL_envz00_2673,
		obj_t BgL_oz00_2674)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2674));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_regutilsz00(obj_t
		BgL_envz00_2675, obj_t BgL_oz00_2676)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2676));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_regutilsz00(obj_t
		BgL_envz00_2677, obj_t BgL_oz00_2678, obj_t BgL_vz00_2679)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2678), BgL_vz00_2679);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_regutilsz00(obj_t BgL_envz00_2680,
		obj_t BgL_oz00_2681)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2681));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2682, obj_t BgL_oz00_2683, obj_t BgL_vz00_2684)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2683), BgL_vz00_2684);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(BgL_rtl_regz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_regutilsz00(obj_t
		BgL_envz00_2685, obj_t BgL_oz00_2686)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2686));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_regutilsz00(obj_t
		BgL_envz00_2687, obj_t BgL_oz00_2688, obj_t BgL_vz00_2689)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2688),
				((BgL_typez00_bglt) BgL_vz00_2689));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_regutilsz00(int
		BgL_length1172z00_52, int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1161z00_2753;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1160z00_2754;

					BgL_new1160z00_2754 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1390z00_2755;

						BgL_arg1390z00_2755 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1160z00_2754), BgL_arg1390z00_2755);
					}
					BgL_new1161z00_2753 = BgL_new1160z00_2754;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1161z00_2753))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1161z00_2753))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1161z00_2753))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1161z00_2753))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1161z00_2753))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1161z00_2753;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_regutilsz00(obj_t
		BgL_envz00_2690, obj_t BgL_length1172z00_2691,
		obj_t BgL_msiza7e1173za7_2692, obj_t BgL_regv1174z00_2693,
		obj_t BgL_regl1175z00_2694, obj_t BgL_string1176z00_2695)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_regutilsz00(CINT(BgL_length1172z00_2691),
				CINT(BgL_msiza7e1173za7_2692), BgL_regv1174z00_2693,
				BgL_regl1175z00_2694, BgL_string1176z00_2695);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_regutilsz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_2756;

				BgL_classz00_2756 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1858z00_2757;

						BgL_arg1858z00_2757 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_2758;

								BgL_idxz00_2758 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2757);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2758 + 1L)) == BgL_classz00_2756);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res1853z00_2761;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_2762;

									{	/* SawMill/regset.sch 85 */
										obj_t BgL_arg1866z00_2763;
										long BgL_arg1867z00_2764;

										BgL_arg1866z00_2763 = (BGl_za2classesza2z00zz__objectz00);
										{	/* SawMill/regset.sch 85 */
											long BgL_arg1869z00_2765;

											BgL_arg1869z00_2765 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2757);
											BgL_arg1867z00_2764 = (BgL_arg1869z00_2765 - OBJECT_TYPE);
										}
										BgL_oclassz00_2762 =
											VECTOR_REF(BgL_arg1866z00_2763, BgL_arg1867z00_2764);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_2766;

										BgL__ortest_1115z00_2766 =
											(BgL_classz00_2756 == BgL_oclassz00_2762);
										if (BgL__ortest_1115z00_2766)
											{	/* SawMill/regset.sch 85 */
												BgL_res1853z00_2761 = BgL__ortest_1115z00_2766;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_2767;

												{	/* SawMill/regset.sch 85 */
													obj_t BgL_arg1855z00_2768;

													BgL_arg1855z00_2768 = (BgL_oclassz00_2762);
													BgL_odepthz00_2767 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2768);
												}
												if ((1L < BgL_odepthz00_2767))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1853z00_2769;

														{	/* SawMill/regset.sch 85 */
															obj_t BgL_arg1854z00_2770;

															BgL_arg1854z00_2770 = (BgL_oclassz00_2762);
															BgL_arg1853z00_2769 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2770,
																1L);
														}
														BgL_res1853z00_2761 =
															(BgL_arg1853z00_2769 == BgL_classz00_2756);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res1853z00_2761 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1853z00_2761;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_regutilsz00(obj_t BgL_envz00_2696,
		obj_t BgL_objz00_2697)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_regutilsz00(BgL_objz00_2697));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_2440;

				BgL_classz00_2440 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_2441;

					BgL__ortest_1117z00_2441 = BGL_CLASS_NIL(BgL_classz00_2440);
					if (CBOOL(BgL__ortest_1117z00_2441))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_2441);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2440));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_regutilsz00(obj_t
		BgL_envz00_2698)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_regutilsz00();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_regutilsz00(obj_t BgL_envz00_2699,
		obj_t BgL_oz00_2700)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2700));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2701, obj_t BgL_oz00_2702, obj_t BgL_vz00_2703)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2702), BgL_vz00_2703);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_regutilsz00(obj_t BgL_envz00_2704,
		obj_t BgL_oz00_2705)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2705));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_regutilsz00(obj_t BgL_envz00_2706,
		obj_t BgL_oz00_2707)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2707));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_regutilsz00(obj_t BgL_envz00_2708,
		obj_t BgL_oz00_2709)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_regutilsz00(
					((BgL_regsetz00_bglt) BgL_oz00_2709)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_regutilsz00(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_regutilsz00(obj_t BgL_envz00_2710,
		obj_t BgL_oz00_2711)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_regutilsz00(
					((BgL_regsetz00_bglt) BgL_oz00_2711)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2712, obj_t BgL_oz00_2713, obj_t BgL_vz00_2714)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_regutilsz00(
				((BgL_regsetz00_bglt) BgL_oz00_2713), CINT(BgL_vz00_2714));
		}

	}



/* collect-register! */
	BGL_EXPORTED_DEF obj_t
		BGl_collectzd2registerz12zc0zzsaw_regutilsz00(BgL_rtl_regz00_bglt
		BgL_oz00_73)
	{
		{	/* SawMill/regutils.scm 39 */
			{	/* SawMill/regutils.scm 40 */
				bool_t BgL_test1910z00_3115;

				{	/* SawMill/regutils.scm 40 */
					bool_t BgL_test1911z00_3116;

					{	/* SawMill/regutils.scm 40 */
						obj_t BgL_classz00_2442;

						BgL_classz00_2442 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
						{	/* SawMill/regutils.scm 40 */
							BgL_objectz00_bglt BgL_arg1858z00_2444;

							{	/* SawMill/regutils.scm 40 */
								obj_t BgL_tmpz00_3117;

								BgL_tmpz00_3117 = ((obj_t) BgL_oz00_73);
								BgL_arg1858z00_2444 = (BgL_objectz00_bglt) (BgL_tmpz00_3117);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regutils.scm 40 */
									long BgL_idxz00_2450;

									BgL_idxz00_2450 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2444);
									BgL_test1911z00_3116 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2450 + 2L)) == BgL_classz00_2442);
								}
							else
								{	/* SawMill/regutils.scm 40 */
									bool_t BgL_res1854z00_2475;

									{	/* SawMill/regutils.scm 40 */
										obj_t BgL_oclassz00_2458;

										{	/* SawMill/regutils.scm 40 */
											obj_t BgL_arg1866z00_2466;
											long BgL_arg1867z00_2467;

											BgL_arg1866z00_2466 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/regutils.scm 40 */
												long BgL_arg1869z00_2468;

												BgL_arg1869z00_2468 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2444);
												BgL_arg1867z00_2467 =
													(BgL_arg1869z00_2468 - OBJECT_TYPE);
											}
											BgL_oclassz00_2458 =
												VECTOR_REF(BgL_arg1866z00_2466, BgL_arg1867z00_2467);
										}
										{	/* SawMill/regutils.scm 40 */
											bool_t BgL__ortest_1115z00_2459;

											BgL__ortest_1115z00_2459 =
												(BgL_classz00_2442 == BgL_oclassz00_2458);
											if (BgL__ortest_1115z00_2459)
												{	/* SawMill/regutils.scm 40 */
													BgL_res1854z00_2475 = BgL__ortest_1115z00_2459;
												}
											else
												{	/* SawMill/regutils.scm 40 */
													long BgL_odepthz00_2460;

													{	/* SawMill/regutils.scm 40 */
														obj_t BgL_arg1855z00_2461;

														BgL_arg1855z00_2461 = (BgL_oclassz00_2458);
														BgL_odepthz00_2460 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2461);
													}
													if ((2L < BgL_odepthz00_2460))
														{	/* SawMill/regutils.scm 40 */
															obj_t BgL_arg1853z00_2463;

															{	/* SawMill/regutils.scm 40 */
																obj_t BgL_arg1854z00_2464;

																BgL_arg1854z00_2464 = (BgL_oclassz00_2458);
																BgL_arg1853z00_2463 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2464,
																	2L);
															}
															BgL_res1854z00_2475 =
																(BgL_arg1853z00_2463 == BgL_classz00_2442);
														}
													else
														{	/* SawMill/regutils.scm 40 */
															BgL_res1854z00_2475 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1911z00_3116 = BgL_res1854z00_2475;
								}
						}
					}
					if (BgL_test1911z00_3116)
						{	/* SawMill/regutils.scm 40 */
							BgL_test1910z00_3115 = ((bool_t) 1);
						}
					else
						{	/* SawMill/regutils.scm 40 */
							BgL_test1910z00_3115 =
								CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_73))->
									BgL_onexprzf3zf3));
						}
				}
				if (BgL_test1910z00_3115)
					{	/* SawMill/regutils.scm 40 */
						return BNIL;
					}
				else
					{	/* SawMill/regutils.scm 40 */
						BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 =
							(1L + BGl_za2registerzd2countza2zd2zzsaw_regutilsz00);
						{	/* SawMill/regutils.scm 44 */
							BgL_rtl_regz00_bglt BgL_arg1400z00_1984;

							{	/* SawMill/regutils.scm 44 */
								BgL_rtl_regzf2razf2_bglt BgL_wide1164z00_1988;

								BgL_wide1164z00_1988 =
									((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_regzf2razf2_bgl))));
								{	/* SawMill/regutils.scm 44 */
									obj_t BgL_auxz00_3146;
									BgL_objectz00_bglt BgL_tmpz00_3143;

									BgL_auxz00_3146 = ((obj_t) BgL_wide1164z00_1988);
									BgL_tmpz00_3143 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3143, BgL_auxz00_3146);
								}
								((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
								{	/* SawMill/regutils.scm 44 */
									long BgL_arg1402z00_1989;

									BgL_arg1402z00_1989 =
										BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73)),
										BgL_arg1402z00_1989);
								}
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_73));
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3157;

								{
									obj_t BgL_auxz00_3158;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3159;

										BgL_tmpz00_3159 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3158 = BGL_OBJECT_WIDENING(BgL_tmpz00_3159);
									}
									BgL_auxz00_3157 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3158);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3157))->
										BgL_numz00) =
									((int) (int)
										(BGl_za2registerzd2countza2zd2zzsaw_regutilsz00)), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3166;

								{
									obj_t BgL_auxz00_3167;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3168;

										BgL_tmpz00_3168 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3167 = BGL_OBJECT_WIDENING(BgL_tmpz00_3168);
									}
									BgL_auxz00_3166 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3167);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3166))->
										BgL_colorz00) = ((obj_t) BFALSE), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3174;

								{
									obj_t BgL_auxz00_3175;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3176;

										BgL_tmpz00_3176 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3175 = BGL_OBJECT_WIDENING(BgL_tmpz00_3176);
									}
									BgL_auxz00_3174 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3175);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3174))->
										BgL_coalescez00) = ((obj_t) BFALSE), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3182;

								{
									obj_t BgL_auxz00_3183;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3184;

										BgL_tmpz00_3184 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3183 = BGL_OBJECT_WIDENING(BgL_tmpz00_3184);
									}
									BgL_auxz00_3182 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3183);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3182))->
										BgL_occurrencesz00) = ((int) (int) (0L)), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3191;

								{
									obj_t BgL_auxz00_3192;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3193;

										BgL_tmpz00_3193 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3192 = BGL_OBJECT_WIDENING(BgL_tmpz00_3193);
									}
									BgL_auxz00_3191 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3192);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3191))->
										BgL_interferez00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_3199;

								{
									obj_t BgL_auxz00_3200;

									{	/* SawMill/regutils.scm 44 */
										BgL_objectz00_bglt BgL_tmpz00_3201;

										BgL_tmpz00_3201 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_oz00_73));
										BgL_auxz00_3200 = BGL_OBJECT_WIDENING(BgL_tmpz00_3201);
									}
									BgL_auxz00_3199 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3200);
								}
								((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3199))->
										BgL_interfere2z00) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							BgL_arg1400z00_1984 = ((BgL_rtl_regz00_bglt) BgL_oz00_73);
							{	/* SawMill/regutils.scm 44 */
								obj_t BgL_list1401z00_1985;

								BgL_list1401z00_1985 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1400z00_1984), BNIL);
								return BgL_list1401z00_1985;
							}
						}
					}
			}
		}

	}



/* &collect-register! */
	obj_t BGl_z62collectzd2registerz12za2zzsaw_regutilsz00(obj_t BgL_envz00_2715,
		obj_t BgL_oz00_2716)
	{
		{	/* SawMill/regutils.scm 39 */
			return
				BGl_collectzd2registerz12zc0zzsaw_regutilsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_2716));
		}

	}



/* collect-registers! */
	BGL_EXPORTED_DEF obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t
		BgL_oz00_74)
	{
		{	/* SawMill/regutils.scm 56 */
			{	/* SawMill/regutils.scm 60 */
				obj_t BgL_blockzd2collectzd2registersz12z12_2719;
				obj_t BgL_inszd2collectzd2registersz12z12_2718;

				BgL_blockzd2collectzd2registersz12z12_2719 =
					MAKE_FX_PROCEDURE
					(BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00,
					(int) (1L), (int) (2L));
				BgL_inszd2collectzd2registersz12z12_2718 =
					MAKE_FX_PROCEDURE
					(BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00, (int) (1L),
					(int) (1L));
				PROCEDURE_SET(BgL_blockzd2collectzd2registersz12z12_2719, (int) (0L),
					BGl_proc1860z00zzsaw_regutilsz00);
				PROCEDURE_SET(BgL_blockzd2collectzd2registersz12z12_2719, (int) (1L),
					BgL_inszd2collectzd2registersz12z12_2718);
				PROCEDURE_SET(BgL_inszd2collectzd2registersz12z12_2718, (int) (0L),
					BGl_proc1860z00zzsaw_regutilsz00);
				BGl_za2registerzd2countza2zd2zzsaw_regutilsz00 = (-1L);
				{	/* SawMill/regutils.scm 78 */
					obj_t BgL_list1403z00_1995;

					BgL_list1403z00_1995 = MAKE_YOUNG_PAIR(BgL_oz00_74, BNIL);
					return
						BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
						(BgL_blockzd2collectzd2registersz12z12_2719, BgL_list1403z00_1995);
				}
			}
		}

	}



/* &collect-registers! */
	obj_t BGl_z62collectzd2registersz12za2zzsaw_regutilsz00(obj_t BgL_envz00_2720,
		obj_t BgL_oz00_2721)
	{
		{	/* SawMill/regutils.scm 56 */
			return BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_oz00_2721);
		}

	}



/* &block-collect-registers! */
	obj_t BGl_z62blockzd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2722, obj_t BgL_oz00_2725)
	{
		{	/* SawMill/regutils.scm 75 */
			{	/* SawMill/regutils.scm 75 */
				obj_t BgL_inszd2collectzd2registersz12z12_2724;

				BgL_inszd2collectzd2registersz12z12_2724 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2722, (int) (1L)));
				{	/* SawMill/regutils.scm 75 */
					obj_t BgL_arg1484z00_2771;

					BgL_arg1484z00_2771 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_2725)))->BgL_firstz00);
					{	/* SawMill/regutils.scm 75 */
						obj_t BgL_list1485z00_2772;

						BgL_list1485z00_2772 = MAKE_YOUNG_PAIR(BgL_arg1484z00_2771, BNIL);
						BGL_TAIL return
							BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
							(BgL_inszd2collectzd2registersz12z12_2724, BgL_list1485z00_2772);
					}
				}
			}
		}

	}



/* &ins-collect-registers! */
	obj_t BGl_z62inszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2726, obj_t BgL_oz00_2728)
	{
		{	/* SawMill/regutils.scm 72 */
			{	/* SawMill/regutils.scm 70 */
				obj_t BgL_argszd2collectzd2registersz12z12_2727;

				BgL_argszd2collectzd2registersz12z12_2727 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2726, (int) (0L)));
				{	/* SawMill/regutils.scm 71 */
					obj_t BgL_arg1446z00_2774;
					obj_t BgL_arg1457z00_2775;

					{	/* SawMill/regutils.scm 71 */
						obj_t BgL_arg1471z00_2776;

						BgL_arg1471z00_2776 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2728)))->BgL_destz00);
						BgL_arg1446z00_2774 =
							BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
							(BgL_argszd2collectzd2registersz12z12_2727, BgL_arg1471z00_2776);
					}
					{	/* SawMill/regutils.scm 72 */
						obj_t BgL_arg1480z00_2778;

						BgL_arg1480z00_2778 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2728)))->BgL_argsz00);
						{	/* SawMill/regutils.scm 72 */
							obj_t BgL_list1481z00_2779;

							BgL_list1481z00_2779 = MAKE_YOUNG_PAIR(BgL_arg1480z00_2778, BNIL);
							BgL_arg1457z00_2775 =
								BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
								(BgL_argszd2collectzd2registersz12z12_2727,
								BgL_list1481z00_2779);
					}}
					return
						BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
						(BgL_arg1446z00_2774, BgL_arg1457z00_2775);
				}
			}
		}

	}



/* &args-collect-registers! */
	obj_t BGl_z62argszd2collectzd2registersz12z70zzsaw_regutilsz00(obj_t
		BgL_envz00_2729, obj_t BgL_oz00_2730)
	{
		{	/* SawMill/regutils.scm 67 */
			BGL_TAIL return
				BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
				(BgL_envz00_2729, BgL_oz00_2730);
		}

	}



/* args-collect-registers!~0 */
	obj_t BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00(obj_t
		BgL_envz00_2731, obj_t BgL_oz00_1996)
	{
		{	/* SawMill/regutils.scm 67 */
			{	/* SawMill/regutils.scm 60 */
				bool_t BgL_test1915z00_3246;

				{	/* SawMill/regutils.scm 60 */
					obj_t BgL_classz00_2489;

					BgL_classz00_2489 = BGl_rtl_regz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_1996))
						{	/* SawMill/regutils.scm 60 */
							BgL_objectz00_bglt BgL_arg1858z00_2491;

							BgL_arg1858z00_2491 = (BgL_objectz00_bglt) (BgL_oz00_1996);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawMill/regutils.scm 60 */
									long BgL_idxz00_2497;

									BgL_idxz00_2497 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2491);
									BgL_test1915z00_3246 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2497 + 1L)) == BgL_classz00_2489);
								}
							else
								{	/* SawMill/regutils.scm 60 */
									bool_t BgL_res1856z00_2522;

									{	/* SawMill/regutils.scm 60 */
										obj_t BgL_oclassz00_2505;

										{	/* SawMill/regutils.scm 60 */
											obj_t BgL_arg1866z00_2513;
											long BgL_arg1867z00_2514;

											BgL_arg1866z00_2513 = (BGl_za2classesza2z00zz__objectz00);
											{	/* SawMill/regutils.scm 60 */
												long BgL_arg1869z00_2515;

												BgL_arg1869z00_2515 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2491);
												BgL_arg1867z00_2514 =
													(BgL_arg1869z00_2515 - OBJECT_TYPE);
											}
											BgL_oclassz00_2505 =
												VECTOR_REF(BgL_arg1866z00_2513, BgL_arg1867z00_2514);
										}
										{	/* SawMill/regutils.scm 60 */
											bool_t BgL__ortest_1115z00_2506;

											BgL__ortest_1115z00_2506 =
												(BgL_classz00_2489 == BgL_oclassz00_2505);
											if (BgL__ortest_1115z00_2506)
												{	/* SawMill/regutils.scm 60 */
													BgL_res1856z00_2522 = BgL__ortest_1115z00_2506;
												}
											else
												{	/* SawMill/regutils.scm 60 */
													long BgL_odepthz00_2507;

													{	/* SawMill/regutils.scm 60 */
														obj_t BgL_arg1855z00_2508;

														BgL_arg1855z00_2508 = (BgL_oclassz00_2505);
														BgL_odepthz00_2507 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2508);
													}
													if ((1L < BgL_odepthz00_2507))
														{	/* SawMill/regutils.scm 60 */
															obj_t BgL_arg1853z00_2510;

															{	/* SawMill/regutils.scm 60 */
																obj_t BgL_arg1854z00_2511;

																BgL_arg1854z00_2511 = (BgL_oclassz00_2505);
																BgL_arg1853z00_2510 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2511,
																	1L);
															}
															BgL_res1856z00_2522 =
																(BgL_arg1853z00_2510 == BgL_classz00_2489);
														}
													else
														{	/* SawMill/regutils.scm 60 */
															BgL_res1856z00_2522 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1915z00_3246 = BgL_res1856z00_2522;
								}
						}
					else
						{	/* SawMill/regutils.scm 60 */
							BgL_test1915z00_3246 = ((bool_t) 0);
						}
				}
				if (BgL_test1915z00_3246)
					{	/* SawMill/regutils.scm 60 */
						return
							BGl_collectzd2registerz12zc0zzsaw_regutilsz00(
							((BgL_rtl_regz00_bglt) BgL_oz00_1996));
					}
				else
					{	/* SawMill/regutils.scm 62 */
						bool_t BgL_test1920z00_3271;

						{	/* SawMill/regutils.scm 62 */
							obj_t BgL_classz00_2523;

							BgL_classz00_2523 = BGl_rtl_insz00zzsaw_defsz00;
							if (BGL_OBJECTP(BgL_oz00_1996))
								{	/* SawMill/regutils.scm 62 */
									BgL_objectz00_bglt BgL_arg1858z00_2525;

									BgL_arg1858z00_2525 = (BgL_objectz00_bglt) (BgL_oz00_1996);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawMill/regutils.scm 62 */
											long BgL_idxz00_2531;

											BgL_idxz00_2531 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2525);
											BgL_test1920z00_3271 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2531 + 1L)) == BgL_classz00_2523);
										}
									else
										{	/* SawMill/regutils.scm 62 */
											bool_t BgL_res1857z00_2556;

											{	/* SawMill/regutils.scm 62 */
												obj_t BgL_oclassz00_2539;

												{	/* SawMill/regutils.scm 62 */
													obj_t BgL_arg1866z00_2547;
													long BgL_arg1867z00_2548;

													BgL_arg1866z00_2547 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* SawMill/regutils.scm 62 */
														long BgL_arg1869z00_2549;

														BgL_arg1869z00_2549 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2525);
														BgL_arg1867z00_2548 =
															(BgL_arg1869z00_2549 - OBJECT_TYPE);
													}
													BgL_oclassz00_2539 =
														VECTOR_REF(BgL_arg1866z00_2547,
														BgL_arg1867z00_2548);
												}
												{	/* SawMill/regutils.scm 62 */
													bool_t BgL__ortest_1115z00_2540;

													BgL__ortest_1115z00_2540 =
														(BgL_classz00_2523 == BgL_oclassz00_2539);
													if (BgL__ortest_1115z00_2540)
														{	/* SawMill/regutils.scm 62 */
															BgL_res1857z00_2556 = BgL__ortest_1115z00_2540;
														}
													else
														{	/* SawMill/regutils.scm 62 */
															long BgL_odepthz00_2541;

															{	/* SawMill/regutils.scm 62 */
																obj_t BgL_arg1855z00_2542;

																BgL_arg1855z00_2542 = (BgL_oclassz00_2539);
																BgL_odepthz00_2541 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2542);
															}
															if ((1L < BgL_odepthz00_2541))
																{	/* SawMill/regutils.scm 62 */
																	obj_t BgL_arg1853z00_2544;

																	{	/* SawMill/regutils.scm 62 */
																		obj_t BgL_arg1854z00_2545;

																		BgL_arg1854z00_2545 = (BgL_oclassz00_2539);
																		BgL_arg1853z00_2544 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2545, 1L);
																	}
																	BgL_res1857z00_2556 =
																		(BgL_arg1853z00_2544 == BgL_classz00_2523);
																}
															else
																{	/* SawMill/regutils.scm 62 */
																	BgL_res1857z00_2556 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test1920z00_3271 = BgL_res1857z00_2556;
										}
								}
							else
								{	/* SawMill/regutils.scm 62 */
									BgL_test1920z00_3271 = ((bool_t) 0);
								}
						}
						if (BgL_test1920z00_3271)
							{	/* SawMill/regutils.scm 64 */
								obj_t BgL_arg1414z00_2001;
								obj_t BgL_arg1415z00_2002;

								{	/* SawMill/regutils.scm 64 */
									obj_t BgL_arg1416z00_2003;

									BgL_arg1416z00_2003 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_oz00_1996)))->BgL_destz00);
									BgL_arg1414z00_2001 =
										BGl_argszd2collectzd2registersz12ze70zf5zzsaw_regutilsz00
										(BgL_envz00_2731, BgL_arg1416z00_2003);
								}
								{	/* SawMill/regutils.scm 65 */
									obj_t BgL_arg1417z00_2004;

									BgL_arg1417z00_2004 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_oz00_1996)))->BgL_argsz00);
									{	/* SawMill/regutils.scm 65 */
										obj_t BgL_list1418z00_2005;

										BgL_list1418z00_2005 =
											MAKE_YOUNG_PAIR(BgL_arg1417z00_2004, BNIL);
										BgL_arg1415z00_2002 =
											BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
											(BgL_envz00_2731, BgL_list1418z00_2005);
									}
								}
								return
									BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1414z00_2001, BgL_arg1415z00_2002);
							}
						else
							{	/* SawMill/regutils.scm 62 */
								return BNIL;
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_regutilsz00(void)
	{
		{	/* SawMill/regutils.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(20930040L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_regsetz00(358079690L,
				BSTRING_TO_STRING(BGl_string1861z00zzsaw_regutilsz00));
		}

	}

#ifdef __cplusplus
}
#endif
