/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Sync/failsafe.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SYNC_FAILSAFE_TYPE_DEFINITIONS
#define BGL_SYNC_FAILSAFE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_SYNC_FAILSAFE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2sequence1294z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00(void);
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2var1290z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1288z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2app1298z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2kwote1292z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00(void);
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf31299z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1296z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62failsafezf31285z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za791811za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1812z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1805z00zzsync_failsafez00,
		BgL_bgl_string1805za700za7za7s1813za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string1806z00zzsync_failsafez00,
		BgL_bgl_string1806za700za7za7s1814za7, "fail-safe ", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1815za7,
		BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1816za7,
		BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1817za7,
		BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1818za7,
		BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1819za7,
		BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy1820z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1781z00zzsync_failsafez00,
		BgL_bgl_string1781za700za7za7s1821za7, "failsafe?1285", 13);
	      DEFINE_STRING(BGl_string1783z00zzsync_failsafez00,
		BgL_bgl_string1783za700za7za7s1822za7, "failsafe-fun?1299", 17);
	      DEFINE_STRING(BGl_string1785z00zzsync_failsafez00,
		BgL_bgl_string1785za700za7za7s1823za7, "failsafe?", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3121824z00,
		BGl_z62failsafezf31285z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1825z00,
		BGl_z62failsafezd2funzf31299z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1826za7,
		BGl_z62failsafezf3zd2atom1288z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1792z00zzsync_failsafez00,
		BgL_bgl_string1792za700za7za7s1827za7, "failsafe-fun?", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1828za7,
		BGl_z62failsafezf3zd2var1290z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1829za7,
		BGl_z62failsafezf3zd2kwote1292z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1830za7,
		BGl_z62failsafezf3zd2sequence1294z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1831za7,
		BGl_z62failsafezf3zd2sync1296z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1832za7,
		BGl_z62failsafezf3zd2app1298z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1833z00,
		BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu1834z00,
		BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1835za7,
		BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1836za7,
		BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1837za7,
		BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1838za7,
		BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1839za7,
		BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d1840za7,
		BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsync_failsafez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2508, char *BgL_fromz00_2509)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsync_failsafez00();
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					return BGl_toplevelzd2initzd2zzsync_failsafez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "sync_failsafe");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2398;

				{	/* Sync/failsafe.scm 16 */
					obj_t BgL_stringz00_2405;

					BgL_stringz00_2405 = BGl_string1806z00zzsync_failsafez00;
					{	/* Sync/failsafe.scm 16 */
						obj_t BgL_startz00_2406;

						BgL_startz00_2406 = BINT(0L);
						{	/* Sync/failsafe.scm 16 */
							obj_t BgL_endz00_2407;

							BgL_endz00_2407 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2405)));
							{	/* Sync/failsafe.scm 16 */

								BgL_cportz00_2398 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2405, BgL_startz00_2406, BgL_endz00_2407);
				}}}}
				{
					long BgL_iz00_2399;

					BgL_iz00_2399 = 0L;
				BgL_loopz00_2400:
					if ((BgL_iz00_2399 == (-1L)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg1810z00_2401;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2403;

										BgL_locationz00_2403 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg1810z00_2401 =
												BGl_readz00zz__readerz00(BgL_cportz00_2398,
												BgL_locationz00_2403);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_tmpz00_2540;

									BgL_tmpz00_2540 = (int) (BgL_iz00_2399);
									CNST_TABLE_SET(BgL_tmpz00_2540, BgL_arg1810z00_2401);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2404;

								BgL_auxz00_2404 = (int) ((BgL_iz00_2399 - 1L));
								{
									long BgL_iz00_2545;

									BgL_iz00_2545 = (long) (BgL_auxz00_2404);
									BgL_iz00_2399 = BgL_iz00_2545;
									goto BgL_loopz00_2400;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 46 */
					return
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_syncz00_bglt) COBJECT(BgL_nz00_17))->BgL_bodyz00), BNIL);
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}

	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2301,
		obj_t BgL_nz00_2302)
	{
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2302));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc1780z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string1781z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc1782z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string1783z00zzsync_failsafez00);
		}

	}



/* &failsafe-fun?1299 */
	obj_t BGl_z62failsafezd2funzf31299z43zzsync_failsafez00(obj_t BgL_envz00_2305,
		obj_t BgL_funz00_2306, obj_t BgL_varz00_2307, obj_t BgL_stkz00_2308)
	{
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?1285 */
	obj_t BGl_z62failsafezf31285z91zzsync_failsafez00(obj_t BgL_envz00_2309,
		obj_t BgL_nz00_2310, obj_t BgL_stkz00_2311)
	{
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}

	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1286z00_1709;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res1771z00_2141;

					{	/* Sync/failsafe.scm 53 */
						long BgL_objzd2classzd2numz00_2112;

						BgL_objzd2classzd2numz00_2112 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_18));
						{	/* Sync/failsafe.scm 53 */
							obj_t BgL_arg1862z00_2113;

							BgL_arg1862z00_2113 =
								PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
								(int) (1L));
							{	/* Sync/failsafe.scm 53 */
								int BgL_offsetz00_2116;

								BgL_offsetz00_2116 = (int) (BgL_objzd2classzd2numz00_2112);
								{	/* Sync/failsafe.scm 53 */
									long BgL_offsetz00_2117;

									BgL_offsetz00_2117 =
										((long) (BgL_offsetz00_2116) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 53 */
										long BgL_modz00_2118;

										BgL_modz00_2118 =
											(BgL_offsetz00_2117 >> (int) ((long) ((int) (4L))));
										{	/* Sync/failsafe.scm 53 */
											long BgL_restz00_2120;

											BgL_restz00_2120 =
												(BgL_offsetz00_2117 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Sync/failsafe.scm 53 */

												{	/* Sync/failsafe.scm 53 */
													obj_t BgL_bucketz00_2122;

													BgL_bucketz00_2122 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2113), BgL_modz00_2118);
													BgL_res1771z00_2141 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2122), BgL_restz00_2120);
					}}}}}}}}
					BgL_method1286z00_1709 = BgL_res1771z00_2141;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1286z00_1709,
					((obj_t) BgL_nz00_18), BgL_stkz00_19);
			}
		}

	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2312,
		obj_t BgL_nz00_2313, obj_t BgL_stkz00_2314)
	{
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2313), BgL_stkz00_2314);
		}

	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1301z00_1710;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res1776z00_2172;

					{	/* Sync/failsafe.scm 102 */
						long BgL_objzd2classzd2numz00_2143;

						BgL_objzd2classzd2numz00_2143 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_32));
						{	/* Sync/failsafe.scm 102 */
							obj_t BgL_arg1862z00_2144;

							BgL_arg1862z00_2144 =
								PROCEDURE_REF(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
								(int) (1L));
							{	/* Sync/failsafe.scm 102 */
								int BgL_offsetz00_2147;

								BgL_offsetz00_2147 = (int) (BgL_objzd2classzd2numz00_2143);
								{	/* Sync/failsafe.scm 102 */
									long BgL_offsetz00_2148;

									BgL_offsetz00_2148 =
										((long) (BgL_offsetz00_2147) - OBJECT_TYPE);
									{	/* Sync/failsafe.scm 102 */
										long BgL_modz00_2149;

										BgL_modz00_2149 =
											(BgL_offsetz00_2148 >> (int) ((long) ((int) (4L))));
										{	/* Sync/failsafe.scm 102 */
											long BgL_restz00_2151;

											BgL_restz00_2151 =
												(BgL_offsetz00_2148 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Sync/failsafe.scm 102 */

												{	/* Sync/failsafe.scm 102 */
													obj_t BgL_bucketz00_2153;

													BgL_bucketz00_2153 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2144), BgL_modz00_2149);
													BgL_res1776z00_2172 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2153), BgL_restz00_2151);
					}}}}}}}}
					BgL_method1301z00_1710 = BgL_res1776z00_2172;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1301z00_1710,
					((obj_t) BgL_funz00_32), ((obj_t) BgL_varz00_33), BgL_stkz00_34);
			}
		}

	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2315,
		obj_t BgL_funz00_2316, obj_t BgL_varz00_2317, obj_t BgL_stkz00_2318)
	{
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2316),
				((BgL_variablez00_bglt) BgL_varz00_2317), BgL_stkz00_2318);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc1784z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc1786z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1787z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1788z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc1789z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc1790z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc1791z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc1793z00zzsync_failsafez00,
				BGl_string1792z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc1794z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc1795z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc1796z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc1797z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1798z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_switchz00zzast_nodez00,
				BGl_proc1799z00zzsync_failsafez00, BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1800z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1801z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1802z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1803z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1804z00zzsync_failsafez00,
				BGl_string1785z00zzsync_failsafez00);
		}

	}



/* &failsafe?-box-set!1327 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz121327z83zzsync_failsafez00(obj_t
		BgL_envz00_2338, obj_t BgL_nz00_2339, obj_t BgL_stkz00_2340)
	{
		{	/* Sync/failsafe.scm 216 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2339)))->BgL_valuez00),
				BgL_stkz00_2340);
		}

	}



/* &failsafe?-box-ref1325 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref1325z91zzsync_failsafez00(obj_t
		BgL_envz00_2341, obj_t BgL_nz00_2342, obj_t BgL_stkz00_2343)
	{
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-make-box1323 */
	obj_t BGl_z62failsafezf3zd2makezd2box1323z91zzsync_failsafez00(obj_t
		BgL_envz00_2344, obj_t BgL_nz00_2345, obj_t BgL_stkz00_2346)
	{
		{	/* Sync/failsafe.scm 203 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_2345)))->BgL_valuez00),
				BgL_stkz00_2346);
		}

	}



/* &failsafe?-let-var1321 */
	obj_t BGl_z62failsafezf3zd2letzd2var1321z91zzsync_failsafez00(obj_t
		BgL_envz00_2347, obj_t BgL_nz00_2348, obj_t BgL_stkz00_2349)
	{
		{	/* Sync/failsafe.scm 195 */
			{	/* Sync/failsafe.scm 196 */
				bool_t BgL_tmpz00_2653;

				{	/* Sync/failsafe.scm 197 */
					bool_t BgL_test1844z00_2654;

					{	/* Sync/failsafe.scm 197 */
						BgL_nodez00_bglt BgL_arg1553z00_2417;

						BgL_arg1553z00_2417 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_2348)))->BgL_bodyz00);
						BgL_test1844z00_2654 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1553z00_2417,
								BgL_stkz00_2349));
					}
					if (BgL_test1844z00_2654)
						{	/* Sync/failsafe.scm 198 */
							obj_t BgL_g1283z00_2418;

							BgL_g1283z00_2418 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nz00_2348)))->BgL_bindingsz00);
							{
								obj_t BgL_l1281z00_2420;

								BgL_l1281z00_2420 = BgL_g1283z00_2418;
							BgL_zc3z04anonymousza31537ze3z87_2419:
								if (NULLP(BgL_l1281z00_2420))
									{	/* Sync/failsafe.scm 198 */
										BgL_tmpz00_2653 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 198 */
										obj_t BgL_nvz00_2421;

										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_bz00_2422;

											BgL_bz00_2422 = CAR(((obj_t) BgL_l1281z00_2420));
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1545z00_2423;

												BgL_arg1545z00_2423 = CDR(((obj_t) BgL_bz00_2422));
												BgL_nvz00_2421 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1545z00_2423),
													BgL_stkz00_2349);
											}
										}
										if (CBOOL(BgL_nvz00_2421))
											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_arg1543z00_2424;

												BgL_arg1543z00_2424 = CDR(((obj_t) BgL_l1281z00_2420));
												{
													obj_t BgL_l1281z00_2673;

													BgL_l1281z00_2673 = BgL_arg1543z00_2424;
													BgL_l1281z00_2420 = BgL_l1281z00_2673;
													goto BgL_zc3z04anonymousza31537ze3z87_2419;
												}
											}
										else
											{	/* Sync/failsafe.scm 198 */
												BgL_tmpz00_2653 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 197 */
							BgL_tmpz00_2653 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2653);
			}
		}

	}



/* &failsafe?-let-fun1319 */
	obj_t BGl_z62failsafezf3zd2letzd2fun1319z91zzsync_failsafez00(obj_t
		BgL_envz00_2350, obj_t BgL_nz00_2351, obj_t BgL_stkz00_2352)
	{
		{	/* Sync/failsafe.scm 187 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_2351)))->BgL_bodyz00),
				BgL_stkz00_2352);
		}

	}



/* &failsafe?-switch1317 */
	obj_t BGl_z62failsafezf3zd2switch1317z43zzsync_failsafez00(obj_t
		BgL_envz00_2353, obj_t BgL_nz00_2354, obj_t BgL_stkz00_2355)
	{
		{	/* Sync/failsafe.scm 179 */
			{	/* Sync/failsafe.scm 180 */
				bool_t BgL_tmpz00_2678;

				{	/* Sync/failsafe.scm 181 */
					bool_t BgL_test1849z00_2679;

					{	/* Sync/failsafe.scm 181 */
						BgL_nodez00_bglt BgL_arg1530z00_2427;

						BgL_arg1530z00_2427 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_2354)))->BgL_testz00);
						BgL_test1849z00_2679 =
							CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg1530z00_2427,
								BgL_stkz00_2355));
					}
					if (BgL_test1849z00_2679)
						{	/* Sync/failsafe.scm 182 */
							obj_t BgL_g1279z00_2428;

							BgL_g1279z00_2428 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nz00_2354)))->BgL_clausesz00);
							{
								obj_t BgL_l1277z00_2430;

								BgL_l1277z00_2430 = BgL_g1279z00_2428;
							BgL_zc3z04anonymousza31513ze3z87_2429:
								if (NULLP(BgL_l1277z00_2430))
									{	/* Sync/failsafe.scm 182 */
										BgL_tmpz00_2678 = ((bool_t) 1);
									}
								else
									{	/* Sync/failsafe.scm 182 */
										obj_t BgL_nvz00_2431;

										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_cz00_2432;

											BgL_cz00_2432 = CAR(((obj_t) BgL_l1277z00_2430));
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1516z00_2433;

												BgL_arg1516z00_2433 = CDR(((obj_t) BgL_cz00_2432));
												BgL_nvz00_2431 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_arg1516z00_2433),
													BgL_stkz00_2355);
											}
										}
										if (CBOOL(BgL_nvz00_2431))
											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_arg1515z00_2434;

												BgL_arg1515z00_2434 = CDR(((obj_t) BgL_l1277z00_2430));
												{
													obj_t BgL_l1277z00_2698;

													BgL_l1277z00_2698 = BgL_arg1515z00_2434;
													BgL_l1277z00_2430 = BgL_l1277z00_2698;
													goto BgL_zc3z04anonymousza31513ze3z87_2429;
												}
											}
										else
											{	/* Sync/failsafe.scm 182 */
												BgL_tmpz00_2678 = ((bool_t) 0);
											}
									}
							}
						}
					else
						{	/* Sync/failsafe.scm 181 */
							BgL_tmpz00_2678 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_2678);
			}
		}

	}



/* &failsafe?-conditiona1315 */
	obj_t BGl_z62failsafezf3zd2conditiona1315z43zzsync_failsafez00(obj_t
		BgL_envz00_2356, obj_t BgL_nz00_2357, obj_t BgL_stkz00_2358)
	{
		{	/* Sync/failsafe.scm 172 */
			{	/* Sync/failsafe.scm 174 */
				obj_t BgL__andtest_1126z00_2436;

				BgL__andtest_1126z00_2436 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_2357)))->BgL_testz00),
					BgL_stkz00_2358);
				if (CBOOL(BgL__andtest_1126z00_2436))
					{	/* Sync/failsafe.scm 174 */
						obj_t BgL__andtest_1127z00_2437;

						BgL__andtest_1127z00_2437 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nz00_2357)))->BgL_truez00),
							BgL_stkz00_2358);
						if (CBOOL(BgL__andtest_1127z00_2437))
							{	/* Sync/failsafe.scm 174 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_conditionalz00_bglt) COBJECT(
												((BgL_conditionalz00_bglt) BgL_nz00_2357)))->
										BgL_falsez00), BgL_stkz00_2358);
							}
						else
							{	/* Sync/failsafe.scm 174 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 174 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-setq1313 */
	obj_t BGl_z62failsafezf3zd2setq1313z43zzsync_failsafez00(obj_t
		BgL_envz00_2359, obj_t BgL_nz00_2360, obj_t BgL_stkz00_2361)
	{
		{	/* Sync/failsafe.scm 165 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_2360)))->BgL_valuez00),
				BgL_stkz00_2361);
		}

	}



/* &failsafe?-cast1311 */
	obj_t BGl_z62failsafezf3zd2cast1311z43zzsync_failsafez00(obj_t
		BgL_envz00_2362, obj_t BgL_nz00_2363, obj_t BgL_stkz00_2364)
	{
		{	/* Sync/failsafe.scm 158 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_2363)))->BgL_argz00),
				BgL_stkz00_2364);
		}

	}



/* &failsafe?-pragma1309 */
	obj_t BGl_z62failsafezf3zd2pragma1309z43zzsync_failsafez00(obj_t
		BgL_envz00_2365, obj_t BgL_nz00_2366, obj_t BgL_stkz00_2367)
	{
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &failsafe?-extern1307 */
	obj_t BGl_z62failsafezf3zd2extern1307z43zzsync_failsafez00(obj_t
		BgL_envz00_2368, obj_t BgL_nz00_2369, obj_t BgL_stkz00_2370)
	{
		{	/* Sync/failsafe.scm 145 */
			{	/* Sync/failsafe.scm 146 */
				bool_t BgL_tmpz00_2720;

				{	/* Sync/failsafe.scm 147 */
					obj_t BgL_g1275z00_2442;

					BgL_g1275z00_2442 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nz00_2369)))->BgL_exprza2za2);
					{
						obj_t BgL_l1273z00_2444;

						BgL_l1273z00_2444 = BgL_g1275z00_2442;
					BgL_zc3z04anonymousza31472ze3z87_2443:
						if (NULLP(BgL_l1273z00_2444))
							{	/* Sync/failsafe.scm 147 */
								BgL_tmpz00_2720 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 147 */
								obj_t BgL_nvz00_2445;

								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nz00_2446;

									BgL_nz00_2446 = CAR(((obj_t) BgL_l1273z00_2444));
									BgL_nvz00_2445 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2446), BgL_stkz00_2370);
								}
								if (CBOOL(BgL_nvz00_2445))
									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_arg1480z00_2447;

										BgL_arg1480z00_2447 = CDR(((obj_t) BgL_l1273z00_2444));
										{
											obj_t BgL_l1273z00_2733;

											BgL_l1273z00_2733 = BgL_arg1480z00_2447;
											BgL_l1273z00_2444 = BgL_l1273z00_2733;
											goto BgL_zc3z04anonymousza31472ze3z87_2443;
										}
									}
								else
									{	/* Sync/failsafe.scm 147 */
										BgL_tmpz00_2720 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2720);
			}
		}

	}



/* &failsafe-fun?-cfun1305 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1305z91zzsync_failsafez00(obj_t
		BgL_envz00_2371, obj_t BgL_funz00_2372, obj_t BgL_varz00_2373,
		obj_t BgL_stkz00_2374)
	{
		{	/* Sync/failsafe.scm 130 */
			{	/* Sync/failsafe.scm 133 */
				bool_t BgL_test1858z00_2735;

				{	/* Sync/failsafe.scm 133 */
					obj_t BgL_tmpz00_2736;

					BgL_tmpz00_2736 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_cfunz00_bglt) BgL_funz00_2372))))->BgL_failsafez00);
					BgL_test1858z00_2735 = BOOLEANP(BgL_tmpz00_2736);
				}
				if (BgL_test1858z00_2735)
					{	/* Sync/failsafe.scm 133 */
						return
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_2372))))->BgL_failsafez00);
					}
				else
					{	/* Sync/failsafe.scm 135 */
						bool_t BgL_test1860z00_2744;

						{	/* Sync/failsafe.scm 135 */
							obj_t BgL_classz00_2450;

							BgL_classz00_2450 = BGl_globalz00zzast_varz00;
							{	/* Sync/failsafe.scm 135 */
								BgL_objectz00_bglt BgL_arg1858z00_2451;

								{	/* Sync/failsafe.scm 135 */
									obj_t BgL_tmpz00_2745;

									BgL_tmpz00_2745 =
										((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2373));
									BgL_arg1858z00_2451 = (BgL_objectz00_bglt) (BgL_tmpz00_2745);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Sync/failsafe.scm 135 */
										long BgL_idxz00_2452;

										BgL_idxz00_2452 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2451);
										BgL_test1860z00_2744 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2452 + 2L)) == BgL_classz00_2450);
									}
								else
									{	/* Sync/failsafe.scm 135 */
										bool_t BgL_res1778z00_2455;

										{	/* Sync/failsafe.scm 135 */
											obj_t BgL_oclassz00_2456;

											{	/* Sync/failsafe.scm 135 */
												obj_t BgL_arg1866z00_2457;
												long BgL_arg1867z00_2458;

												BgL_arg1866z00_2457 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Sync/failsafe.scm 135 */
													long BgL_arg1869z00_2459;

													BgL_arg1869z00_2459 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2451);
													BgL_arg1867z00_2458 =
														(BgL_arg1869z00_2459 - OBJECT_TYPE);
												}
												BgL_oclassz00_2456 =
													VECTOR_REF(BgL_arg1866z00_2457, BgL_arg1867z00_2458);
											}
											{	/* Sync/failsafe.scm 135 */
												bool_t BgL__ortest_1115z00_2460;

												BgL__ortest_1115z00_2460 =
													(BgL_classz00_2450 == BgL_oclassz00_2456);
												if (BgL__ortest_1115z00_2460)
													{	/* Sync/failsafe.scm 135 */
														BgL_res1778z00_2455 = BgL__ortest_1115z00_2460;
													}
												else
													{	/* Sync/failsafe.scm 135 */
														long BgL_odepthz00_2461;

														{	/* Sync/failsafe.scm 135 */
															obj_t BgL_arg1855z00_2462;

															BgL_arg1855z00_2462 = (BgL_oclassz00_2456);
															BgL_odepthz00_2461 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_2462);
														}
														if ((2L < BgL_odepthz00_2461))
															{	/* Sync/failsafe.scm 135 */
																obj_t BgL_arg1853z00_2463;

																{	/* Sync/failsafe.scm 135 */
																	obj_t BgL_arg1854z00_2464;

																	BgL_arg1854z00_2464 = (BgL_oclassz00_2456);
																	BgL_arg1853z00_2463 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2464,
																		2L);
																}
																BgL_res1778z00_2455 =
																	(BgL_arg1853z00_2463 == BgL_classz00_2450);
															}
														else
															{	/* Sync/failsafe.scm 135 */
																BgL_res1778z00_2455 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test1860z00_2744 = BgL_res1778z00_2455;
									}
							}
						}
						if (BgL_test1860z00_2744)
							{	/* Sync/failsafe.scm 135 */
								{
									obj_t BgL_auxz00_2768;

									{	/* Sync/failsafe.scm 137 */
										bool_t BgL_tmpz00_2771;

										{	/* Sync/failsafe.scm 137 */
											obj_t BgL_tmpz00_2772;

											BgL_tmpz00_2772 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t)
													CNST_TABLE_REF(0)),
												(((BgL_globalz00_bglt) COBJECT(
															((BgL_globalz00_bglt)
																((BgL_variablez00_bglt) BgL_varz00_2373))))->
													BgL_pragmaz00));
											BgL_tmpz00_2771 = PAIRP(BgL_tmpz00_2772);
										}
										BgL_auxz00_2768 = BBOOL(BgL_tmpz00_2771);
									}
									((((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt)
														((BgL_cfunz00_bglt) BgL_funz00_2372))))->
											BgL_failsafez00) = ((obj_t) BgL_auxz00_2768), BUNSPEC);
								}
								return
									(((BgL_funz00_bglt) COBJECT(
											((BgL_funz00_bglt)
												((BgL_cfunz00_bglt) BgL_funz00_2372))))->
									BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 135 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &failsafe-fun?-sfun1303 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1303z91zzsync_failsafez00(obj_t
		BgL_envz00_2375, obj_t BgL_funz00_2376, obj_t BgL_varz00_2377,
		obj_t BgL_stkz00_2378)
	{
		{	/* Sync/failsafe.scm 108 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							((BgL_variablez00_bglt) BgL_varz00_2377)), BgL_stkz00_2378)))
				{	/* Sync/failsafe.scm 111 */
					return BTRUE;
				}
			else
				{	/* Sync/failsafe.scm 113 */
					bool_t BgL_test1865z00_2790;

					{	/* Sync/failsafe.scm 113 */
						obj_t BgL_tmpz00_2791;

						BgL_tmpz00_2791 =
							(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_2376))))->BgL_failsafez00);
						BgL_test1865z00_2790 = BOOLEANP(BgL_tmpz00_2791);
					}
					if (BgL_test1865z00_2790)
						{	/* Sync/failsafe.scm 113 */
							return
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt)
											((BgL_sfunz00_bglt) BgL_funz00_2376))))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 115 */
							bool_t BgL_test1866z00_2799;

							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_test1867z00_2800;

								{	/* Sync/failsafe.scm 115 */
									obj_t BgL_classz00_2467;

									BgL_classz00_2467 = BGl_globalz00zzast_varz00;
									{	/* Sync/failsafe.scm 115 */
										BgL_objectz00_bglt BgL_arg1858z00_2468;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_tmpz00_2801;

											BgL_tmpz00_2801 =
												((obj_t) ((BgL_variablez00_bglt) BgL_varz00_2377));
											BgL_arg1858z00_2468 =
												(BgL_objectz00_bglt) (BgL_tmpz00_2801);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Sync/failsafe.scm 115 */
												long BgL_idxz00_2469;

												BgL_idxz00_2469 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2468);
												BgL_test1867z00_2800 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2469 + 2L)) == BgL_classz00_2467);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												bool_t BgL_res1777z00_2472;

												{	/* Sync/failsafe.scm 115 */
													obj_t BgL_oclassz00_2473;

													{	/* Sync/failsafe.scm 115 */
														obj_t BgL_arg1866z00_2474;
														long BgL_arg1867z00_2475;

														BgL_arg1866z00_2474 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Sync/failsafe.scm 115 */
															long BgL_arg1869z00_2476;

															BgL_arg1869z00_2476 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2468);
															BgL_arg1867z00_2475 =
																(BgL_arg1869z00_2476 - OBJECT_TYPE);
														}
														BgL_oclassz00_2473 =
															VECTOR_REF(BgL_arg1866z00_2474,
															BgL_arg1867z00_2475);
													}
													{	/* Sync/failsafe.scm 115 */
														bool_t BgL__ortest_1115z00_2477;

														BgL__ortest_1115z00_2477 =
															(BgL_classz00_2467 == BgL_oclassz00_2473);
														if (BgL__ortest_1115z00_2477)
															{	/* Sync/failsafe.scm 115 */
																BgL_res1777z00_2472 = BgL__ortest_1115z00_2477;
															}
														else
															{	/* Sync/failsafe.scm 115 */
																long BgL_odepthz00_2478;

																{	/* Sync/failsafe.scm 115 */
																	obj_t BgL_arg1855z00_2479;

																	BgL_arg1855z00_2479 = (BgL_oclassz00_2473);
																	BgL_odepthz00_2478 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2479);
																}
																if ((2L < BgL_odepthz00_2478))
																	{	/* Sync/failsafe.scm 115 */
																		obj_t BgL_arg1853z00_2480;

																		{	/* Sync/failsafe.scm 115 */
																			obj_t BgL_arg1854z00_2481;

																			BgL_arg1854z00_2481 =
																				(BgL_oclassz00_2473);
																			BgL_arg1853z00_2480 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2481, 2L);
																		}
																		BgL_res1777z00_2472 =
																			(BgL_arg1853z00_2480 ==
																			BgL_classz00_2467);
																	}
																else
																	{	/* Sync/failsafe.scm 115 */
																		BgL_res1777z00_2472 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test1867z00_2800 = BgL_res1777z00_2472;
											}
									}
								}
								if (BgL_test1867z00_2800)
									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_test1871z00_2824;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_arg1415z00_2482;

											BgL_arg1415z00_2482 =
												(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt)
															((BgL_variablez00_bglt) BgL_varz00_2377))))->
												BgL_modulez00);
											BgL_test1871z00_2824 =
												(BgL_arg1415z00_2482 ==
												BGl_za2moduleza2z00zzmodule_modulez00);
										}
										if (BgL_test1871z00_2824)
											{	/* Sync/failsafe.scm 115 */
												BgL_test1866z00_2799 = ((bool_t) 0);
											}
										else
											{	/* Sync/failsafe.scm 115 */
												BgL_test1866z00_2799 = ((bool_t) 1);
											}
									}
								else
									{	/* Sync/failsafe.scm 115 */
										BgL_test1866z00_2799 = ((bool_t) 0);
									}
							}
							if (BgL_test1866z00_2799)
								{	/* Sync/failsafe.scm 115 */
									{
										obj_t BgL_auxz00_2829;

										{	/* Sync/failsafe.scm 118 */
											bool_t BgL_tmpz00_2832;

											{	/* Sync/failsafe.scm 118 */
												obj_t BgL_tmpz00_2833;

												BgL_tmpz00_2833 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
													((obj_t)
														CNST_TABLE_REF(0)),
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	((BgL_variablez00_bglt) BgL_varz00_2377))))->
														BgL_pragmaz00));
												BgL_tmpz00_2832 = PAIRP(BgL_tmpz00_2833);
											}
											BgL_auxz00_2829 = BBOOL(BgL_tmpz00_2832);
										}
										((((BgL_funz00_bglt) COBJECT(
														((BgL_funz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_2376))))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_2829), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2376))))->
										BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 122 */
									obj_t BgL_fsafez00_2483;

									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_arg1406z00_2484;
										obj_t BgL_arg1414z00_2485;

										BgL_arg1406z00_2484 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2376)))->BgL_bodyz00);
										BgL_arg1414z00_2485 =
											MAKE_YOUNG_PAIR(
											((obj_t)
												((BgL_variablez00_bglt) BgL_varz00_2377)),
											BgL_stkz00_2378);
										BgL_fsafez00_2483 =
											BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
												BgL_arg1406z00_2484), BgL_arg1414z00_2485);
									}
									if (NULLP(BgL_stkz00_2378))
										{	/* Sync/failsafe.scm 124 */
											((((BgL_funz00_bglt) COBJECT(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_2376))))->
													BgL_failsafez00) =
												((obj_t) BgL_fsafez00_2483), BUNSPEC);
										}
									else
										{	/* Sync/failsafe.scm 124 */
											BFALSE;
										}
									return BgL_fsafez00_2483;
								}
						}
				}
		}

	}



/* &failsafe?-app1298 */
	obj_t BGl_z62failsafezf3zd2app1298z43zzsync_failsafez00(obj_t BgL_envz00_2379,
		obj_t BgL_nz00_2380, obj_t BgL_stkz00_2381)
	{
		{	/* Sync/failsafe.scm 93 */
			{	/* Sync/failsafe.scm 94 */
				bool_t BgL_tmpz00_2858;

				{	/* Sync/failsafe.scm 95 */
					BgL_variablez00_bglt BgL_vz00_2487;

					BgL_vz00_2487 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2380)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Sync/failsafe.scm 96 */
						bool_t BgL_test1874z00_2862;

						{	/* Sync/failsafe.scm 96 */
							BgL_valuez00_bglt BgL_arg1379z00_2488;

							BgL_arg1379z00_2488 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_2487))->BgL_valuez00);
							BgL_test1874z00_2862 =
								CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
									((BgL_funz00_bglt) BgL_arg1379z00_2488), BgL_vz00_2487,
									BgL_stkz00_2381));
						}
						if (BgL_test1874z00_2862)
							{	/* Sync/failsafe.scm 97 */
								obj_t BgL_g1271z00_2489;

								BgL_g1271z00_2489 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nz00_2380)))->BgL_argsz00);
								{
									obj_t BgL_l1269z00_2491;

									BgL_l1269z00_2491 = BgL_g1271z00_2489;
								BgL_zc3z04anonymousza31373ze3z87_2490:
									if (NULLP(BgL_l1269z00_2491))
										{	/* Sync/failsafe.scm 97 */
											BgL_tmpz00_2858 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 97 */
											obj_t BgL_nvz00_2492;

											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nz00_2493;

												BgL_nz00_2493 = CAR(((obj_t) BgL_l1269z00_2491));
												BgL_nvz00_2492 =
													BGl_failsafezf3zf3zzsync_failsafez00(
													((BgL_nodez00_bglt) BgL_nz00_2493), BgL_stkz00_2381);
											}
											if (CBOOL(BgL_nvz00_2492))
												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_arg1376z00_2494;

													BgL_arg1376z00_2494 =
														CDR(((obj_t) BgL_l1269z00_2491));
													{
														obj_t BgL_l1269z00_2879;

														BgL_l1269z00_2879 = BgL_arg1376z00_2494;
														BgL_l1269z00_2491 = BgL_l1269z00_2879;
														goto BgL_zc3z04anonymousza31373ze3z87_2490;
													}
												}
											else
												{	/* Sync/failsafe.scm 97 */
													BgL_tmpz00_2858 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 96 */
								BgL_tmpz00_2858 = ((bool_t) 0);
							}
					}
				}
				return BBOOL(BgL_tmpz00_2858);
			}
		}

	}



/* &failsafe?-sync1296 */
	obj_t BGl_z62failsafezf3zd2sync1296z43zzsync_failsafez00(obj_t
		BgL_envz00_2382, obj_t BgL_nz00_2383, obj_t BgL_stkz00_2384)
	{
		{	/* Sync/failsafe.scm 84 */
			{	/* Sync/failsafe.scm 86 */
				obj_t BgL__andtest_1114z00_2496;

				BgL__andtest_1114z00_2496 =
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_2383)))->BgL_mutexz00),
					BgL_stkz00_2384);
				if (CBOOL(BgL__andtest_1114z00_2496))
					{	/* Sync/failsafe.scm 87 */
						obj_t BgL__andtest_1115z00_2497;

						BgL__andtest_1115z00_2497 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nz00_2383)))->BgL_prelockz00),
							BgL_stkz00_2384);
						if (CBOOL(BgL__andtest_1115z00_2497))
							{	/* Sync/failsafe.scm 87 */
								return
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nz00_2383)))->BgL_bodyz00),
									BgL_stkz00_2384);
							}
						else
							{	/* Sync/failsafe.scm 87 */
								return BFALSE;
							}
					}
				else
					{	/* Sync/failsafe.scm 86 */
						return BFALSE;
					}
			}
		}

	}



/* &failsafe?-sequence1294 */
	obj_t BGl_z62failsafezf3zd2sequence1294z43zzsync_failsafez00(obj_t
		BgL_envz00_2385, obj_t BgL_nz00_2386, obj_t BgL_stkz00_2387)
	{
		{	/* Sync/failsafe.scm 77 */
			{	/* Sync/failsafe.scm 78 */
				bool_t BgL_tmpz00_2894;

				{	/* Sync/failsafe.scm 79 */
					obj_t BgL_g1267z00_2499;

					BgL_g1267z00_2499 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nz00_2386)))->BgL_nodesz00);
					{
						obj_t BgL_l1265z00_2501;

						BgL_l1265z00_2501 = BgL_g1267z00_2499;
					BgL_zc3z04anonymousza31362ze3z87_2500:
						if (NULLP(BgL_l1265z00_2501))
							{	/* Sync/failsafe.scm 79 */
								BgL_tmpz00_2894 = ((bool_t) 1);
							}
						else
							{	/* Sync/failsafe.scm 79 */
								obj_t BgL_nvz00_2502;

								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nz00_2503;

									BgL_nz00_2503 = CAR(((obj_t) BgL_l1265z00_2501));
									BgL_nvz00_2502 =
										BGl_failsafezf3zf3zzsync_failsafez00(
										((BgL_nodez00_bglt) BgL_nz00_2503), BgL_stkz00_2387);
								}
								if (CBOOL(BgL_nvz00_2502))
									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_arg1364z00_2504;

										BgL_arg1364z00_2504 = CDR(((obj_t) BgL_l1265z00_2501));
										{
											obj_t BgL_l1265z00_2907;

											BgL_l1265z00_2907 = BgL_arg1364z00_2504;
											BgL_l1265z00_2501 = BgL_l1265z00_2907;
											goto BgL_zc3z04anonymousza31362ze3z87_2500;
										}
									}
								else
									{	/* Sync/failsafe.scm 79 */
										BgL_tmpz00_2894 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_2894);
			}
		}

	}



/* &failsafe?-kwote1292 */
	obj_t BGl_z62failsafezf3zd2kwote1292z43zzsync_failsafez00(obj_t
		BgL_envz00_2388, obj_t BgL_nz00_2389, obj_t BgL_stkz00_2390)
	{
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-var1290 */
	obj_t BGl_z62failsafezf3zd2var1290z43zzsync_failsafez00(obj_t BgL_envz00_2391,
		obj_t BgL_nz00_2392, obj_t BgL_stkz00_2393)
	{
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &failsafe?-atom1288 */
	obj_t BGl_z62failsafezf3zd2atom1288z43zzsync_failsafez00(obj_t
		BgL_envz00_2394, obj_t BgL_nz00_2395, obj_t BgL_stkz00_2396)
	{
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00(void)
	{
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(449859288L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(460136018L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(395792377L,
				BSTRING_TO_STRING(BGl_string1805z00zzsync_failsafez00));
		}

	}

#ifdef __cplusplus
}
#endif
