/*===========================================================================*/
/*   (Type/misc.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Type/misc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_TYPE_MISC_TYPE_DEFINITIONS
#define BGL_TYPE_MISC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;


#endif													// BGL_TYPE_MISC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zztype_miscz00(void);
	static obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztype_miscz00(void);
	static obj_t BGl_objectzd2initzd2zztype_miscz00(void);
	static obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_miscz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt, BgL_typez00_bglt);
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cnstzd2initzd2zztype_miscz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00(void);
	static obj_t BGl_gczd2rootszd2initz00zztype_miscz00(void);
	static obj_t BGl_za2isaza2z00zztype_miscz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[18];


	   
		 
		DEFINE_STRING(BGl_string1561z00zztype_miscz00,
		BgL_bgl_string1561za700za7za7t1575za7, "type_misc", 9);
	      DEFINE_STRING(BGl_string1562z00zztype_miscz00,
		BgL_bgl_string1562za700za7za7t1576za7,
		"__object isa? real double uint64 int64 uint32 int32 uint16 int16 uint8 int8 llong elong long int short char ",
		108);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_typezd2lesszd2specificzf3zd2envz21zztype_miscz00,
		BgL_bgl_za762typeza7d2lessza7d1577za7,
		BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2disjointzf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762typeza7d2disjoi1578z00,
		BGl_z62typezd2disjointzf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_czd2subtypezf3zd2envzf3zztype_miscz00,
		BgL_bgl_za762cza7d2subtypeza7f1579za7,
		BGl_z62czd2subtypezf3z43zztype_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2predicatezd2ofzd2envzd2zztype_miscz00,
		BgL_bgl_za762appza7d2predica1580z00,
		BGl_z62appzd2predicatezd2ofz62zztype_miscz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2ofzd2envz00zztype_miscz00,
		BgL_bgl_za762isaza7d2ofza7b0za7za71581za7, BGl_z62isazd2ofzb0zztype_miscz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztype_miscz00));
		     ADD_ROOT((void *) (&BGl_za2isaza2z00zztype_miscz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long
		BgL_checksumz00_2176, char *BgL_fromz00_2177)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztype_miscz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztype_miscz00();
					BGl_libraryzd2moduleszd2initz00zztype_miscz00();
					BGl_cnstzd2initzd2zztype_miscz00();
					BGl_importedzd2moduleszd2initz00zztype_miscz00();
					return BGl_toplevelzd2initzd2zztype_miscz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "type_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"type_misc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"type_misc");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			{	/* Type/misc.scm 15 */
				obj_t BgL_cportz00_2165;

				{	/* Type/misc.scm 15 */
					obj_t BgL_stringz00_2172;

					BgL_stringz00_2172 = BGl_string1562z00zztype_miscz00;
					{	/* Type/misc.scm 15 */
						obj_t BgL_startz00_2173;

						BgL_startz00_2173 = BINT(0L);
						{	/* Type/misc.scm 15 */
							obj_t BgL_endz00_2174;

							BgL_endz00_2174 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2172)));
							{	/* Type/misc.scm 15 */

								BgL_cportz00_2165 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2172, BgL_startz00_2173, BgL_endz00_2174);
				}}}}
				{
					long BgL_iz00_2166;

					BgL_iz00_2166 = 17L;
				BgL_loopz00_2167:
					if ((BgL_iz00_2166 == (-1L)))
						{	/* Type/misc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/misc.scm 15 */
							{	/* Type/misc.scm 15 */
								obj_t BgL_arg1574z00_2168;

								{	/* Type/misc.scm 15 */

									{	/* Type/misc.scm 15 */
										obj_t BgL_locationz00_2170;

										BgL_locationz00_2170 = BBOOL(((bool_t) 0));
										{	/* Type/misc.scm 15 */

											BgL_arg1574z00_2168 =
												BGl_readz00zz__readerz00(BgL_cportz00_2165,
												BgL_locationz00_2170);
										}
									}
								}
								{	/* Type/misc.scm 15 */
									int BgL_tmpz00_2203;

									BgL_tmpz00_2203 = (int) (BgL_iz00_2166);
									CNST_TABLE_SET(BgL_tmpz00_2203, BgL_arg1574z00_2168);
							}}
							{	/* Type/misc.scm 15 */
								int BgL_auxz00_2171;

								BgL_auxz00_2171 = (int) ((BgL_iz00_2166 - 1L));
								{
									long BgL_iz00_2208;

									BgL_iz00_2208 = (long) (BgL_auxz00_2171);
									BgL_iz00_2166 = BgL_iz00_2208;
									goto BgL_loopz00_2167;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			return (BGl_za2isaza2z00zztype_miscz00 = BFALSE, BUNSPEC);
		}

	}



/* type-less-specific? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(BgL_typez00_bglt BgL_t1z00_3,
		BgL_typez00_bglt BgL_t2z00_4)
	{
		{	/* Type/misc.scm 38 */
			if ((((obj_t) BgL_t1z00_3) == ((obj_t) BgL_t2z00_4)))
				{	/* Type/misc.scm 40 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/misc.scm 40 */
					if ((((obj_t) BgL_t2z00_4) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 42 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 44 */
							bool_t BgL_test1586z00_2218;

							if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
								{	/* Type/misc.scm 44 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
										{	/* Type/misc.scm 44 */
											BgL_test1586z00_2218 = ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 44 */
											BgL_test1586z00_2218 = ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 44 */
									BgL_test1586z00_2218 = ((bool_t) 0);
								}
							if (BgL_test1586z00_2218)
								{	/* Type/misc.scm 45 */
									obj_t BgL_arg1249z00_1593;

									BgL_arg1249z00_1593 =
										((obj_t)
										BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_t2z00_4));
									return (((obj_t) BgL_t1z00_3) == BgL_arg1249z00_1593);
								}
							else
								{	/* Type/misc.scm 46 */
									bool_t BgL_test1590z00_2227;

									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_3))
										{	/* Type/misc.scm 46 */
											if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_4))
												{	/* Type/misc.scm 46 */
													BgL_test1590z00_2227 = ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 46 */
													BgL_test1590z00_2227 = ((bool_t) 1);
												}
										}
									else
										{	/* Type/misc.scm 46 */
											BgL_test1590z00_2227 = ((bool_t) 1);
										}
									if (BgL_test1590z00_2227)
										{	/* Type/misc.scm 46 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 46 */
											if (BGl_typezd2subclasszf3z21zzobject_classz00
												(BgL_t2z00_4, BgL_t1z00_3))
												{	/* Type/misc.scm 48 */
													return ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 48 */
													if (
														(((obj_t) BgL_t1z00_3) ==
															BGl_za2objza2z00zztype_cachez00))
														{	/* Type/misc.scm 50 */
															return ((bool_t) 1);
														}
													else
														{	/* Type/misc.scm 50 */
															if (
																(((obj_t) BgL_t1z00_3) ==
																	BGl_za2pairzd2nilza2zd2zztype_cachez00))
																{	/* Type/misc.scm 53 */
																	bool_t BgL__ortest_1105z00_1601;

																	BgL__ortest_1105z00_1601 =
																		(
																		((obj_t) BgL_t2z00_4) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1105z00_1601)
																		{	/* Type/misc.scm 53 */
																			return BgL__ortest_1105z00_1601;
																		}
																	else
																		{	/* Type/misc.scm 53 */
																			bool_t BgL__ortest_1106z00_1602;

																			BgL__ortest_1106z00_1602 =
																				(
																				((obj_t) BgL_t2z00_4) ==
																				BGl_za2epairza2z00zztype_cachez00);
																			if (BgL__ortest_1106z00_1602)
																				{	/* Type/misc.scm 53 */
																					return BgL__ortest_1106z00_1602;
																				}
																			else
																				{	/* Type/misc.scm 53 */
																					return
																						(
																						((obj_t) BgL_t2z00_4) ==
																						BGl_za2bnilza2z00zztype_cachez00);
																				}
																		}
																}
															else
																{	/* Type/misc.scm 52 */
																	return ((bool_t) 0);
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &type-less-specific? */
	obj_t BGl_z62typezd2lesszd2specificzf3z91zztype_miscz00(obj_t BgL_envz00_2152,
		obj_t BgL_t1z00_2153, obj_t BgL_t2z00_2154)
	{
		{	/* Type/misc.scm 38 */
			return
				BBOOL(BGl_typezd2lesszd2specificzf3zf3zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2153),
					((BgL_typez00_bglt) BgL_t2z00_2154)));
		}

	}



/* type-disjoint? */
	BGL_EXPORTED_DEF bool_t
		BGl_typezd2disjointzf3z21zztype_miscz00(BgL_typez00_bglt BgL_t1z00_5,
		BgL_typez00_bglt BgL_t2z00_6)
	{
		{	/* Type/misc.scm 63 */
			if ((((obj_t) BgL_t1z00_5) == ((obj_t) BgL_t2z00_6)))
				{	/* Type/misc.scm 65 */
					return ((bool_t) 0);
				}
			else
				{	/* Type/misc.scm 65 */
					if ((((obj_t) BgL_t2z00_6) == BGl_za2_za2z00zztype_cachez00))
						{	/* Type/misc.scm 67 */
							return ((bool_t) 0);
						}
					else
						{	/* Type/misc.scm 69 */
							bool_t BgL_test1601z00_2259;

							{	/* Type/misc.scm 69 */
								bool_t BgL_test1602z00_2260;

								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
									{	/* Type/misc.scm 69 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6))
											{	/* Type/misc.scm 69 */
												BgL_test1602z00_2260 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 69 */
												BgL_test1602z00_2260 = ((bool_t) 1);
											}
									}
								else
									{	/* Type/misc.scm 69 */
										BgL_test1602z00_2260 = ((bool_t) 0);
									}
								if (BgL_test1602z00_2260)
									{	/* Type/misc.scm 69 */
										BgL_test1601z00_2259 = ((bool_t) 1);
									}
								else
									{	/* Type/misc.scm 69 */
										if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_5))
											{	/* Type/misc.scm 70 */
												BgL_test1601z00_2259 = ((bool_t) 0);
											}
										else
											{	/* Type/misc.scm 70 */
												BgL_test1601z00_2259 =
													BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_6);
											}
									}
							}
							if (BgL_test1601z00_2259)
								{	/* Type/misc.scm 73 */
									bool_t BgL_test1608z00_2268;

									if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00(BgL_t1z00_5,
												BgL_t2z00_6)))
										{	/* Type/misc.scm 73 */
											BgL_test1608z00_2268 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 73 */
											BgL_test1608z00_2268 =
												CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
												(BgL_t2z00_6, BgL_t1z00_5));
										}
									if (BgL_test1608z00_2268)
										{	/* Type/misc.scm 73 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 73 */
											return ((bool_t) 1);
										}
								}
							else
								{	/* Type/misc.scm 74 */
									bool_t BgL_test1610z00_2274;

									if (BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
										(BgL_t1z00_5, BgL_t2z00_6))
										{	/* Type/misc.scm 74 */
											BgL_test1610z00_2274 = ((bool_t) 1);
										}
									else
										{	/* Type/misc.scm 74 */
											BgL_test1610z00_2274 =
												BGl_typezd2lesszd2specificzf3zf3zztype_miscz00
												(BgL_t2z00_6, BgL_t1z00_5);
										}
									if (BgL_test1610z00_2274)
										{	/* Type/misc.scm 74 */
											return ((bool_t) 0);
										}
									else
										{	/* Type/misc.scm 77 */
											bool_t BgL_test1613z00_2278;

											if (CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
													(BgL_t1z00_5, BgL_t2z00_6)))
												{	/* Type/misc.scm 77 */
													BgL_test1613z00_2278 = ((bool_t) 1);
												}
											else
												{	/* Type/misc.scm 77 */
													BgL_test1613z00_2278 =
														CBOOL(BGl_findzd2coercerzd2zztype_coercionz00
														(BgL_t2z00_6, BgL_t1z00_5));
												}
											if (BgL_test1613z00_2278)
												{	/* Type/misc.scm 77 */
													return ((bool_t) 0);
												}
											else
												{	/* Type/misc.scm 77 */
													return ((bool_t) 1);
												}
										}
								}
						}
				}
		}

	}



/* &type-disjoint? */
	obj_t BGl_z62typezd2disjointzf3z43zztype_miscz00(obj_t BgL_envz00_2155,
		obj_t BgL_t1z00_2156, obj_t BgL_t2z00_2157)
	{
		{	/* Type/misc.scm 63 */
			return
				BBOOL(BGl_typezd2disjointzf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2156),
					((BgL_typez00_bglt) BgL_t2z00_2157)));
		}

	}



/* c-subtype? */
	BGL_EXPORTED_DEF bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt
		BgL_t1z00_7, BgL_typez00_bglt BgL_t2z00_8)
	{
		{	/* Type/misc.scm 87 */
			{	/* Type/misc.scm 109 */
				bool_t BgL_test1616z00_2288;

				if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_7))
					{	/* Type/misc.scm 109 */
						BgL_test1616z00_2288 = ((bool_t) 0);
					}
				else
					{	/* Type/misc.scm 109 */
						if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t2z00_8))
							{	/* Type/misc.scm 109 */
								BgL_test1616z00_2288 = ((bool_t) 0);
							}
						else
							{	/* Type/misc.scm 109 */
								BgL_test1616z00_2288 = ((bool_t) 1);
							}
					}
				if (BgL_test1616z00_2288)
					{	/* Type/misc.scm 110 */
						long BgL_w1z00_1631;
						long BgL_w2z00_1632;

						BgL_w1z00_1631 = BGl_czd2weightze70z35zztype_miscz00(BgL_t1z00_7);
						BgL_w2z00_1632 = BGl_czd2weightze70z35zztype_miscz00(BgL_t2z00_8);
						if (((BgL_w1z00_1631 * BgL_w2z00_1632) > 0L))
							{	/* Type/misc.scm 112 */
								return (BgL_w1z00_1631 < BgL_w2z00_1632);
							}
						else
							{	/* Type/misc.scm 112 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Type/misc.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* c-weight~0 */
	long BGl_czd2weightze70z35zztype_miscz00(BgL_typez00_bglt BgL_tz00_1637)
	{
		{	/* Type/misc.scm 107 */
			{	/* Type/misc.scm 90 */
				obj_t BgL_casezd2valuezd2_1639;

				BgL_casezd2valuezd2_1639 =
					(((BgL_typez00_bglt) COBJECT(BgL_tz00_1637))->BgL_idz00);
				if ((BgL_casezd2valuezd2_1639 == ((obj_t) CNST_TABLE_REF(0))))
					{	/* Type/misc.scm 90 */
						return 1L;
					}
				else
					{	/* Type/misc.scm 90 */
						if ((BgL_casezd2valuezd2_1639 == ((obj_t) CNST_TABLE_REF(1))))
							{	/* Type/misc.scm 90 */
								return 2L;
							}
						else
							{	/* Type/misc.scm 90 */
								if ((BgL_casezd2valuezd2_1639 == ((obj_t) CNST_TABLE_REF(2))))
									{	/* Type/misc.scm 90 */
										return 3L;
									}
								else
									{	/* Type/misc.scm 90 */
										if (
											(BgL_casezd2valuezd2_1639 == ((obj_t) CNST_TABLE_REF(3))))
											{	/* Type/misc.scm 90 */
												return 4L;
											}
										else
											{	/* Type/misc.scm 90 */
												if (
													(BgL_casezd2valuezd2_1639 ==
														((obj_t) CNST_TABLE_REF(4))))
													{	/* Type/misc.scm 90 */
														return 4L;
													}
												else
													{	/* Type/misc.scm 90 */
														if (
															(BgL_casezd2valuezd2_1639 ==
																((obj_t) CNST_TABLE_REF(5))))
															{	/* Type/misc.scm 90 */
																return 5L;
															}
														else
															{	/* Type/misc.scm 90 */
																if (
																	(BgL_casezd2valuezd2_1639 ==
																		((obj_t) CNST_TABLE_REF(6))))
																	{	/* Type/misc.scm 90 */
																		return 6L;
																	}
																else
																	{	/* Type/misc.scm 90 */
																		if (
																			(BgL_casezd2valuezd2_1639 ==
																				((obj_t) CNST_TABLE_REF(7))))
																			{	/* Type/misc.scm 90 */
																				return 7L;
																			}
																		else
																			{	/* Type/misc.scm 90 */
																				if (
																					(BgL_casezd2valuezd2_1639 ==
																						((obj_t) CNST_TABLE_REF(8))))
																					{	/* Type/misc.scm 90 */
																						return 8L;
																					}
																				else
																					{	/* Type/misc.scm 90 */
																						if (
																							(BgL_casezd2valuezd2_1639 ==
																								((obj_t) CNST_TABLE_REF(9))))
																							{	/* Type/misc.scm 90 */
																								return 9L;
																							}
																						else
																							{	/* Type/misc.scm 90 */
																								if (
																									(BgL_casezd2valuezd2_1639 ==
																										((obj_t)
																											CNST_TABLE_REF(10))))
																									{	/* Type/misc.scm 90 */
																										return 10L;
																									}
																								else
																									{	/* Type/misc.scm 90 */
																										if (
																											(BgL_casezd2valuezd2_1639
																												==
																												((obj_t)
																													CNST_TABLE_REF(11))))
																											{	/* Type/misc.scm 90 */
																												return 11L;
																											}
																										else
																											{	/* Type/misc.scm 90 */
																												if (
																													(BgL_casezd2valuezd2_1639
																														==
																														((obj_t)
																															CNST_TABLE_REF
																															(12))))
																													{	/* Type/misc.scm 90 */
																														return 12L;
																													}
																												else
																													{	/* Type/misc.scm 90 */
																														if (
																															(BgL_casezd2valuezd2_1639
																																==
																																((obj_t)
																																	CNST_TABLE_REF
																																	(13))))
																															{	/* Type/misc.scm 90 */
																																return 13L;
																															}
																														else
																															{	/* Type/misc.scm 90 */
																																if (
																																	(BgL_casezd2valuezd2_1639
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(14))))
																																	{	/* Type/misc.scm 90 */
																																		return
																																			(-1L);
																																	}
																																else
																																	{	/* Type/misc.scm 90 */
																																		if (
																																			(BgL_casezd2valuezd2_1639
																																				==
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(15))))
																																			{	/* Type/misc.scm 90 */
																																				return
																																					(-2L);
																																			}
																																		else
																																			{	/* Type/misc.scm 90 */
																																				return
																																					(-1L);
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &c-subtype? */
	obj_t BGl_z62czd2subtypezf3z43zztype_miscz00(obj_t BgL_envz00_2158,
		obj_t BgL_t1z00_2159, obj_t BgL_t2z00_2160)
	{
		{	/* Type/misc.scm 87 */
			return
				BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
					((BgL_typez00_bglt) BgL_t1z00_2159),
					((BgL_typez00_bglt) BgL_t2z00_2160)));
		}

	}



/* isa-of */
	BGL_EXPORTED_DEF obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt
		BgL_nodez00_9)
	{
		{	/* Type/misc.scm 122 */
			{	/* Type/misc.scm 123 */
				bool_t BgL_test1641z00_2368;

				{	/* Type/misc.scm 123 */
					obj_t BgL_classz00_1894;

					BgL_classz00_1894 = BGl_appz00zzast_nodez00;
					{	/* Type/misc.scm 123 */
						BgL_objectz00_bglt BgL_arg1858z00_1896;

						{	/* Type/misc.scm 123 */
							obj_t BgL_tmpz00_2369;

							BgL_tmpz00_2369 = ((obj_t) BgL_nodez00_9);
							BgL_arg1858z00_1896 = (BgL_objectz00_bglt) (BgL_tmpz00_2369);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Type/misc.scm 123 */
								long BgL_idxz00_1902;

								BgL_idxz00_1902 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1896);
								BgL_test1641z00_2368 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1902 + 3L)) == BgL_classz00_1894);
							}
						else
							{	/* Type/misc.scm 123 */
								bool_t BgL_res1554z00_1927;

								{	/* Type/misc.scm 123 */
									obj_t BgL_oclassz00_1910;

									{	/* Type/misc.scm 123 */
										obj_t BgL_arg1866z00_1918;
										long BgL_arg1867z00_1919;

										BgL_arg1866z00_1918 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Type/misc.scm 123 */
											long BgL_arg1869z00_1920;

											BgL_arg1869z00_1920 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1896);
											BgL_arg1867z00_1919 = (BgL_arg1869z00_1920 - OBJECT_TYPE);
										}
										BgL_oclassz00_1910 =
											VECTOR_REF(BgL_arg1866z00_1918, BgL_arg1867z00_1919);
									}
									{	/* Type/misc.scm 123 */
										bool_t BgL__ortest_1115z00_1911;

										BgL__ortest_1115z00_1911 =
											(BgL_classz00_1894 == BgL_oclassz00_1910);
										if (BgL__ortest_1115z00_1911)
											{	/* Type/misc.scm 123 */
												BgL_res1554z00_1927 = BgL__ortest_1115z00_1911;
											}
										else
											{	/* Type/misc.scm 123 */
												long BgL_odepthz00_1912;

												{	/* Type/misc.scm 123 */
													obj_t BgL_arg1855z00_1913;

													BgL_arg1855z00_1913 = (BgL_oclassz00_1910);
													BgL_odepthz00_1912 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_1913);
												}
												if ((3L < BgL_odepthz00_1912))
													{	/* Type/misc.scm 123 */
														obj_t BgL_arg1853z00_1915;

														{	/* Type/misc.scm 123 */
															obj_t BgL_arg1854z00_1916;

															BgL_arg1854z00_1916 = (BgL_oclassz00_1910);
															BgL_arg1853z00_1915 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1916,
																3L);
														}
														BgL_res1554z00_1927 =
															(BgL_arg1853z00_1915 == BgL_classz00_1894);
													}
												else
													{	/* Type/misc.scm 123 */
														BgL_res1554z00_1927 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test1641z00_2368 = BgL_res1554z00_1927;
							}
					}
				}
				if (BgL_test1641z00_2368)
					{	/* Type/misc.scm 123 */
						{	/* Type/misc.scm 124 */
							bool_t BgL_test1645z00_2391;

							{	/* Type/misc.scm 124 */
								obj_t BgL_objz00_1928;

								BgL_objz00_1928 = BGl_za2isaza2z00zztype_miscz00;
								{	/* Type/misc.scm 124 */
									obj_t BgL_classz00_1929;

									BgL_classz00_1929 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_objz00_1928))
										{	/* Type/misc.scm 124 */
											BgL_objectz00_bglt BgL_arg1858z00_1931;

											BgL_arg1858z00_1931 =
												(BgL_objectz00_bglt) (BgL_objz00_1928);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Type/misc.scm 124 */
													long BgL_idxz00_1937;

													BgL_idxz00_1937 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1931);
													BgL_test1645z00_2391 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1937 + 2L)) == BgL_classz00_1929);
												}
											else
												{	/* Type/misc.scm 124 */
													bool_t BgL_res1555z00_1962;

													{	/* Type/misc.scm 124 */
														obj_t BgL_oclassz00_1945;

														{	/* Type/misc.scm 124 */
															obj_t BgL_arg1866z00_1953;
															long BgL_arg1867z00_1954;

															BgL_arg1866z00_1953 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Type/misc.scm 124 */
																long BgL_arg1869z00_1955;

																BgL_arg1869z00_1955 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1931);
																BgL_arg1867z00_1954 =
																	(BgL_arg1869z00_1955 - OBJECT_TYPE);
															}
															BgL_oclassz00_1945 =
																VECTOR_REF(BgL_arg1866z00_1953,
																BgL_arg1867z00_1954);
														}
														{	/* Type/misc.scm 124 */
															bool_t BgL__ortest_1115z00_1946;

															BgL__ortest_1115z00_1946 =
																(BgL_classz00_1929 == BgL_oclassz00_1945);
															if (BgL__ortest_1115z00_1946)
																{	/* Type/misc.scm 124 */
																	BgL_res1555z00_1962 =
																		BgL__ortest_1115z00_1946;
																}
															else
																{	/* Type/misc.scm 124 */
																	long BgL_odepthz00_1947;

																	{	/* Type/misc.scm 124 */
																		obj_t BgL_arg1855z00_1948;

																		BgL_arg1855z00_1948 = (BgL_oclassz00_1945);
																		BgL_odepthz00_1947 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1948);
																	}
																	if ((2L < BgL_odepthz00_1947))
																		{	/* Type/misc.scm 124 */
																			obj_t BgL_arg1853z00_1950;

																			{	/* Type/misc.scm 124 */
																				obj_t BgL_arg1854z00_1951;

																				BgL_arg1854z00_1951 =
																					(BgL_oclassz00_1945);
																				BgL_arg1853z00_1950 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1951, 2L);
																			}
																			BgL_res1555z00_1962 =
																				(BgL_arg1853z00_1950 ==
																				BgL_classz00_1929);
																		}
																	else
																		{	/* Type/misc.scm 124 */
																			BgL_res1555z00_1962 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test1645z00_2391 = BgL_res1555z00_1962;
												}
										}
									else
										{	/* Type/misc.scm 124 */
											BgL_test1645z00_2391 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test1645z00_2391)
								{	/* Type/misc.scm 124 */
									BFALSE;
								}
							else
								{	/* Type/misc.scm 124 */
									BGl_za2isaza2z00zztype_miscz00 =
										BGl_findzd2globalzf2modulez20zzast_envz00(
										((obj_t) CNST_TABLE_REF(16)), ((obj_t) CNST_TABLE_REF(17)));
								}
						}
						{	/* Type/misc.scm 127 */
							bool_t BgL_test1650z00_2419;

							{	/* Type/misc.scm 127 */
								obj_t BgL_tmpz00_2420;

								BgL_tmpz00_2420 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_9)))->BgL_argsz00);
								BgL_test1650z00_2419 = PAIRP(BgL_tmpz00_2420);
							}
							if (BgL_test1650z00_2419)
								{	/* Type/misc.scm 128 */
									bool_t BgL_test1651z00_2424;

									{	/* Type/misc.scm 128 */
										bool_t BgL_test1653z00_2425;

										{	/* Type/misc.scm 128 */
											obj_t BgL_arg1321z00_1687;

											BgL_arg1321z00_1687 =
												((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_9)))->
																BgL_funz00)))->BgL_variablez00));
											BgL_test1653z00_2425 =
												(BgL_arg1321z00_1687 == BGl_za2isaza2z00zztype_miscz00);
										}
										if (BgL_test1653z00_2425)
											{	/* Type/misc.scm 129 */
												bool_t BgL_test1655z00_2431;

												{	/* Type/misc.scm 129 */
													obj_t BgL_arg1319z00_1685;

													{	/* Type/misc.scm 129 */
														obj_t BgL_pairz00_1964;

														BgL_pairz00_1964 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_9)))->
															BgL_argsz00);
														BgL_arg1319z00_1685 = CAR(CDR(BgL_pairz00_1964));
													}
													{	/* Type/misc.scm 129 */
														obj_t BgL_classz00_1968;

														BgL_classz00_1968 = BGl_varz00zzast_nodez00;
														if (BGL_OBJECTP(BgL_arg1319z00_1685))
															{	/* Type/misc.scm 129 */
																BgL_objectz00_bglt BgL_arg1858z00_1970;

																BgL_arg1858z00_1970 =
																	(BgL_objectz00_bglt) (BgL_arg1319z00_1685);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Type/misc.scm 129 */
																		long BgL_idxz00_1976;

																		BgL_idxz00_1976 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_1970);
																		BgL_test1655z00_2431 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_1976 + 2L)) ==
																			BgL_classz00_1968);
																	}
																else
																	{	/* Type/misc.scm 129 */
																		bool_t BgL_res1556z00_2001;

																		{	/* Type/misc.scm 129 */
																			obj_t BgL_oclassz00_1984;

																			{	/* Type/misc.scm 129 */
																				obj_t BgL_arg1866z00_1992;
																				long BgL_arg1867z00_1993;

																				BgL_arg1866z00_1992 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Type/misc.scm 129 */
																					long BgL_arg1869z00_1994;

																					BgL_arg1869z00_1994 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_1970);
																					BgL_arg1867z00_1993 =
																						(BgL_arg1869z00_1994 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_1984 =
																					VECTOR_REF(BgL_arg1866z00_1992,
																					BgL_arg1867z00_1993);
																			}
																			{	/* Type/misc.scm 129 */
																				bool_t BgL__ortest_1115z00_1985;

																				BgL__ortest_1115z00_1985 =
																					(BgL_classz00_1968 ==
																					BgL_oclassz00_1984);
																				if (BgL__ortest_1115z00_1985)
																					{	/* Type/misc.scm 129 */
																						BgL_res1556z00_2001 =
																							BgL__ortest_1115z00_1985;
																					}
																				else
																					{	/* Type/misc.scm 129 */
																						long BgL_odepthz00_1986;

																						{	/* Type/misc.scm 129 */
																							obj_t BgL_arg1855z00_1987;

																							BgL_arg1855z00_1987 =
																								(BgL_oclassz00_1984);
																							BgL_odepthz00_1986 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_1987);
																						}
																						if ((2L < BgL_odepthz00_1986))
																							{	/* Type/misc.scm 129 */
																								obj_t BgL_arg1853z00_1989;

																								{	/* Type/misc.scm 129 */
																									obj_t BgL_arg1854z00_1990;

																									BgL_arg1854z00_1990 =
																										(BgL_oclassz00_1984);
																									BgL_arg1853z00_1989 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_1990, 2L);
																								}
																								BgL_res1556z00_2001 =
																									(BgL_arg1853z00_1989 ==
																									BgL_classz00_1968);
																							}
																						else
																							{	/* Type/misc.scm 129 */
																								BgL_res1556z00_2001 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1655z00_2431 = BgL_res1556z00_2001;
																	}
															}
														else
															{	/* Type/misc.scm 129 */
																BgL_test1655z00_2431 = ((bool_t) 0);
															}
													}
												}
												if (BgL_test1655z00_2431)
													{	/* Type/misc.scm 130 */
														BgL_variablez00_bglt BgL_arg1316z00_1682;

														{
															BgL_varz00_bglt BgL_auxz00_2458;

															{
																obj_t BgL_auxz00_2459;

																{	/* Type/misc.scm 130 */
																	obj_t BgL_pairz00_2002;

																	BgL_pairz00_2002 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 130 */
																		obj_t BgL_pairz00_2005;

																		BgL_pairz00_2005 = CDR(BgL_pairz00_2002);
																		BgL_auxz00_2459 = CAR(BgL_pairz00_2005);
																	}
																}
																BgL_auxz00_2458 =
																	((BgL_varz00_bglt) BgL_auxz00_2459);
															}
															BgL_arg1316z00_1682 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2458))->
																BgL_variablez00);
														}
														{	/* Type/misc.scm 130 */
															obj_t BgL_classz00_2007;

															BgL_classz00_2007 = BGl_globalz00zzast_varz00;
															{	/* Type/misc.scm 130 */
																BgL_objectz00_bglt BgL_arg1858z00_2009;

																{	/* Type/misc.scm 130 */
																	obj_t BgL_tmpz00_2466;

																	BgL_tmpz00_2466 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1316z00_1682));
																	BgL_arg1858z00_2009 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_2466);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Type/misc.scm 130 */
																		long BgL_idxz00_2015;

																		BgL_idxz00_2015 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2009);
																		BgL_test1651z00_2424 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2015 + 2L)) ==
																			BgL_classz00_2007);
																	}
																else
																	{	/* Type/misc.scm 130 */
																		bool_t BgL_res1557z00_2040;

																		{	/* Type/misc.scm 130 */
																			obj_t BgL_oclassz00_2023;

																			{	/* Type/misc.scm 130 */
																				obj_t BgL_arg1866z00_2031;
																				long BgL_arg1867z00_2032;

																				BgL_arg1866z00_2031 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Type/misc.scm 130 */
																					long BgL_arg1869z00_2033;

																					BgL_arg1869z00_2033 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2009);
																					BgL_arg1867z00_2032 =
																						(BgL_arg1869z00_2033 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2023 =
																					VECTOR_REF(BgL_arg1866z00_2031,
																					BgL_arg1867z00_2032);
																			}
																			{	/* Type/misc.scm 130 */
																				bool_t BgL__ortest_1115z00_2024;

																				BgL__ortest_1115z00_2024 =
																					(BgL_classz00_2007 ==
																					BgL_oclassz00_2023);
																				if (BgL__ortest_1115z00_2024)
																					{	/* Type/misc.scm 130 */
																						BgL_res1557z00_2040 =
																							BgL__ortest_1115z00_2024;
																					}
																				else
																					{	/* Type/misc.scm 130 */
																						long BgL_odepthz00_2025;

																						{	/* Type/misc.scm 130 */
																							obj_t BgL_arg1855z00_2026;

																							BgL_arg1855z00_2026 =
																								(BgL_oclassz00_2023);
																							BgL_odepthz00_2025 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2026);
																						}
																						if ((2L < BgL_odepthz00_2025))
																							{	/* Type/misc.scm 130 */
																								obj_t BgL_arg1853z00_2028;

																								{	/* Type/misc.scm 130 */
																									obj_t BgL_arg1854z00_2029;

																									BgL_arg1854z00_2029 =
																										(BgL_oclassz00_2023);
																									BgL_arg1853z00_2028 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2029, 2L);
																								}
																								BgL_res1557z00_2040 =
																									(BgL_arg1853z00_2028 ==
																									BgL_classz00_2007);
																							}
																						else
																							{	/* Type/misc.scm 130 */
																								BgL_res1557z00_2040 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test1651z00_2424 = BgL_res1557z00_2040;
																	}
															}
														}
													}
												else
													{	/* Type/misc.scm 129 */
														BgL_test1651z00_2424 = ((bool_t) 0);
													}
											}
										else
											{	/* Type/misc.scm 128 */
												BgL_test1651z00_2424 = ((bool_t) 0);
											}
									}
									if (BgL_test1651z00_2424)
										{	/* Type/misc.scm 131 */
											obj_t BgL_arg1311z00_1676;

											{
												BgL_variablez00_bglt BgL_auxz00_2489;

												{
													BgL_globalz00_bglt BgL_auxz00_2490;

													{
														BgL_variablez00_bglt BgL_auxz00_2491;

														{
															BgL_varz00_bglt BgL_auxz00_2492;

															{
																obj_t BgL_auxz00_2493;

																{	/* Type/misc.scm 131 */
																	obj_t BgL_pairz00_2041;

																	BgL_pairz00_2041 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_9)))->
																		BgL_argsz00);
																	{	/* Type/misc.scm 131 */
																		obj_t BgL_pairz00_2044;

																		BgL_pairz00_2044 = CDR(BgL_pairz00_2041);
																		BgL_auxz00_2493 = CAR(BgL_pairz00_2044);
																	}
																}
																BgL_auxz00_2492 =
																	((BgL_varz00_bglt) BgL_auxz00_2493);
															}
															BgL_auxz00_2491 =
																(((BgL_varz00_bglt) COBJECT(BgL_auxz00_2492))->
																BgL_variablez00);
														}
														BgL_auxz00_2490 =
															((BgL_globalz00_bglt) BgL_auxz00_2491);
													}
													BgL_auxz00_2489 =
														((BgL_variablez00_bglt) BgL_auxz00_2490);
												}
												BgL_arg1311z00_1676 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_2489))->
													BgL_idz00);
											}
											return
												((obj_t)
												BGl_findzd2typezd2zztype_envz00(BgL_arg1311z00_1676));
										}
									else
										{	/* Type/misc.scm 128 */
											return BFALSE;
										}
								}
							else
								{	/* Type/misc.scm 127 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Type/misc.scm 123 */
						return BFALSE;
					}
			}
		}

	}



/* &isa-of */
	obj_t BGl_z62isazd2ofzb0zztype_miscz00(obj_t BgL_envz00_2161,
		obj_t BgL_nodez00_2162)
	{
		{	/* Type/misc.scm 122 */
			return
				BGl_isazd2ofzd2zztype_miscz00(((BgL_nodez00_bglt) BgL_nodez00_2162));
		}

	}



/* app-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2predicatezd2ofz00zztype_miscz00(BgL_appz00_bglt BgL_nodez00_10)
	{
		{	/* Type/misc.scm 136 */
			{	/* Type/misc.scm 138 */
				BgL_valuez00_bglt BgL_valz00_1691;

				BgL_valz00_1691 =
					(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_10))->
											BgL_funz00)))->BgL_variablez00)))->BgL_valuez00);
				{	/* Type/misc.scm 139 */
					obj_t BgL__ortest_1111z00_1692;

					BgL__ortest_1111z00_1692 =
						(((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt) BgL_valz00_1691)))->BgL_predicatezd2ofzd2);
					if (CBOOL(BgL__ortest_1111z00_1692))
						{	/* Type/misc.scm 139 */
							return BgL__ortest_1111z00_1692;
						}
					else
						{	/* Type/misc.scm 139 */
							return
								BGl_isazd2ofzd2zztype_miscz00(
								((BgL_nodez00_bglt) BgL_nodez00_10));
						}
				}
			}
		}

	}



/* &app-predicate-of */
	obj_t BGl_z62appzd2predicatezd2ofz62zztype_miscz00(obj_t BgL_envz00_2163,
		obj_t BgL_nodez00_2164)
	{
		{	/* Type/misc.scm 136 */
			return
				BGl_appzd2predicatezd2ofz00zztype_miscz00(
				((BgL_appz00_bglt) BgL_nodez00_2164));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_miscz00(void)
	{
		{	/* Type/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(116865673L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1561z00zztype_miscz00));
		}

	}

#ifdef __cplusplus
}
#endif
