/*===========================================================================*/
/*   (Uncell/walk.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Uncell/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_UNCELL_WALK_TYPE_DEFINITIONS
#define BGL_UNCELL_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2infozf2_bgl
	{
		bool_t BgL_escapez00;
	}                      *BgL_localzf2infozf2_bglt;


#endif													// BGL_UNCELL_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzuncell_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62markzd2cellzd2letzd2var1290zb0zzuncell_walkz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_z62markzd2cellzd2boxzd2ref1292zb0zzuncell_walkz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62uncellz121295z70zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzuncell_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzuncell_walkz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31421ze3ze5zzuncell_walkz00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t);
	static obj_t BGl_localzf2infozf2zzuncell_walkz00 = BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2ref1301z70zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2boxzd2setz121303z62zzuncell_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62markzd2cell1285zb0zzuncell_walkz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1402z62zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62lambda1419z62zzuncell_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62uncellz12zd2letzd2var1298z70zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62lambda1420z62zzuncell_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzuncell_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62markzd2cellzd2var1288z62zzuncell_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static BgL_localz00_bglt BGl_z62lambda1389z62zzuncell_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_localz00_bglt BGl_z62lambda1393z62zzuncell_walkz00(obj_t, obj_t);
	static obj_t BGl_z62markzd2cellzd2boxzd2setz121294za2zzuncell_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1800z00zzuncell_walkz00,
		BgL_bgl_string1800za700za7za7u1835za7, "Uncell", 6);
	      DEFINE_STRING(BGl_string1801z00zzuncell_walkz00,
		BgL_bgl_string1801za700za7za7u1836za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1802z00zzuncell_walkz00,
		BgL_bgl_string1802za700za7za7u1837za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1803z00zzuncell_walkz00,
		BgL_bgl_string1803za700za7za7u1838za7, " error", 6);
	      DEFINE_STRING(BGl_string1804z00zzuncell_walkz00,
		BgL_bgl_string1804za700za7za7u1839za7, "s", 1);
	      DEFINE_STRING(BGl_string1805z00zzuncell_walkz00,
		BgL_bgl_string1805za700za7za7u1840za7, "", 0);
	      DEFINE_STRING(BGl_string1806z00zzuncell_walkz00,
		BgL_bgl_string1806za700za7za7u1841za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1807z00zzuncell_walkz00,
		BgL_bgl_string1807za700za7za7u1842za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1843za7,
		BGl_z62zc3z04anonymousza31421ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzuncell_walkz00,
		BgL_bgl_za762lambda1420za7621844z00, BGl_z62lambda1420z62zzuncell_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1816z00zzuncell_walkz00,
		BgL_bgl_string1816za700za7za7u1845za7, "mark-cell1285", 13);
	      DEFINE_STRING(BGl_string1818z00zzuncell_walkz00,
		BgL_bgl_string1818za700za7za7u1846za7, "uncell!1295", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzuncell_walkz00,
		BgL_bgl_za762lambda1419za7621847z00, BGl_z62lambda1419z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzuncell_walkz00,
		BgL_bgl_za762lambda1402za7621848z00, BGl_z62lambda1402z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzuncell_walkz00,
		BgL_bgl_za762za7c3za704anonymo1849za7,
		BGl_z62zc3z04anonymousza31401ze3ze5zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zzuncell_walkz00,
		BgL_bgl_za762lambda1393za7621850z00, BGl_z62lambda1393z62zzuncell_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1820z00zzuncell_walkz00,
		BgL_bgl_string1820za700za7za7u1851za7, "mark-cell", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzuncell_walkz00,
		BgL_bgl_za762lambda1389za7621852z00, BGl_z62lambda1389z62zzuncell_walkz00,
		0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cell121853z00,
		BGl_z62markzd2cell1285zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzuncell_walkz00,
		BgL_bgl_za762uncellza71212951854z00,
		BGl_z62uncellz121295z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1825z00zzuncell_walkz00,
		BgL_bgl_string1825za700za7za7u1855za7, "uncell!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1856za7,
		BGl_z62markzd2cellzd2var1288z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1828z00zzuncell_walkz00,
		BgL_bgl_string1828za700za7za7u1857za7, "uncell_walk", 11);
	      DEFINE_STRING(BGl_string1829z00zzuncell_walkz00,
		BgL_bgl_string1829za700za7za7u1858za7,
		"read _ uncell_walk local/info bool escape pass-started ", 55);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1859za7,
		BGl_z62markzd2cellzd2letzd2var1290zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1860za7,
		BGl_z62markzd2cellzd2boxzd2ref1292zb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7d1861za7,
		BGl_z62markzd2cellzd2boxzd2setz121294za2zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2l1862za7,
		BGl_z62uncellz12zd2letzd2var1298z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1863za7,
		BGl_z62uncellz12zd2boxzd2ref1301z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1827z00zzuncell_walkz00,
		BgL_bgl_za762uncellza712za7d2b1864za7,
		BGl_z62uncellz12zd2boxzd2setz121303z62zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncellz12zd2envzc0zzuncell_walkz00,
		BgL_bgl_za762uncellza712za770za71865z00,
		BGl_z62uncellz12z70zzuncell_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_markzd2cellzd2envz00zzuncell_walkz00,
		BgL_bgl_za762markza7d2cellza7b1866za7,
		BGl_z62markzd2cellzb0zzuncell_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncellzd2walkz12zd2envz12zzuncell_walkz00,
		BgL_bgl_za762uncellza7d2walk1867z00,
		BGl_z62uncellzd2walkz12za2zzuncell_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzuncell_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2infozf2zzuncell_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long
		BgL_checksumz00_2456, char *BgL_fromz00_2457)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzuncell_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzuncell_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzuncell_walkz00();
					BGl_libraryzd2moduleszd2initz00zzuncell_walkz00();
					BGl_cnstzd2initzd2zzuncell_walkz00();
					BGl_importedzd2moduleszd2initz00zzuncell_walkz00();
					BGl_objectzd2initzd2zzuncell_walkz00();
					BGl_genericzd2initzd2zzuncell_walkz00();
					BGl_methodzd2initzd2zzuncell_walkz00();
					return BGl_toplevelzd2initzd2zzuncell_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "uncell_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"uncell_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "uncell_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 16 */
				obj_t BgL_cportz00_2335;

				{	/* Uncell/walk.scm 16 */
					obj_t BgL_stringz00_2342;

					BgL_stringz00_2342 = BGl_string1829z00zzuncell_walkz00;
					{	/* Uncell/walk.scm 16 */
						obj_t BgL_startz00_2343;

						BgL_startz00_2343 = BINT(0L);
						{	/* Uncell/walk.scm 16 */
							obj_t BgL_endz00_2344;

							BgL_endz00_2344 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2342)));
							{	/* Uncell/walk.scm 16 */

								BgL_cportz00_2335 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2342, BgL_startz00_2343, BgL_endz00_2344);
				}}}}
				{
					long BgL_iz00_2336;

					BgL_iz00_2336 = 6L;
				BgL_loopz00_2337:
					if ((BgL_iz00_2336 == (-1L)))
						{	/* Uncell/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Uncell/walk.scm 16 */
							{	/* Uncell/walk.scm 16 */
								obj_t BgL_arg1834z00_2338;

								{	/* Uncell/walk.scm 16 */

									{	/* Uncell/walk.scm 16 */
										obj_t BgL_locationz00_2340;

										BgL_locationz00_2340 = BBOOL(((bool_t) 0));
										{	/* Uncell/walk.scm 16 */

											BgL_arg1834z00_2338 =
												BGl_readz00zz__readerz00(BgL_cportz00_2335,
												BgL_locationz00_2340);
										}
									}
								}
								{	/* Uncell/walk.scm 16 */
									int BgL_tmpz00_2491;

									BgL_tmpz00_2491 = (int) (BgL_iz00_2336);
									CNST_TABLE_SET(BgL_tmpz00_2491, BgL_arg1834z00_2338);
							}}
							{	/* Uncell/walk.scm 16 */
								int BgL_auxz00_2341;

								BgL_auxz00_2341 = (int) ((BgL_iz00_2336 - 1L));
								{
									long BgL_iz00_2496;

									BgL_iz00_2496 = (long) (BgL_auxz00_2341);
									BgL_iz00_2336 = BgL_iz00_2496;
									goto BgL_loopz00_2337;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* uncell-walk! */
	BGL_EXPORTED_DEF obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Uncell/walk.scm 41 */
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_list1323z00_1494;

				{	/* Uncell/walk.scm 42 */
					obj_t BgL_arg1326z00_1495;

					{	/* Uncell/walk.scm 42 */
						obj_t BgL_arg1327z00_1496;

						BgL_arg1327z00_1496 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1326z00_1495 =
							MAKE_YOUNG_PAIR(BGl_string1800z00zzuncell_walkz00,
							BgL_arg1327z00_1496);
					}
					BgL_list1323z00_1494 =
						MAKE_YOUNG_PAIR(BGl_string1801z00zzuncell_walkz00,
						BgL_arg1326z00_1495);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1323z00_1494);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1800z00zzuncell_walkz00;
			{	/* Uncell/walk.scm 42 */
				obj_t BgL_g1137z00_1497;

				BgL_g1137z00_1497 = BNIL;
				{
					obj_t BgL_hooksz00_1500;
					obj_t BgL_hnamesz00_1501;

					BgL_hooksz00_1500 = BgL_g1137z00_1497;
					BgL_hnamesz00_1501 = BNIL;
				BgL_zc3z04anonymousza31328ze3z87_1502:
					if (NULLP(BgL_hooksz00_1500))
						{	/* Uncell/walk.scm 42 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Uncell/walk.scm 42 */
							bool_t BgL_test1871z00_2510;

							{	/* Uncell/walk.scm 42 */
								obj_t BgL_fun1337z00_1509;

								BgL_fun1337z00_1509 = CAR(((obj_t) BgL_hooksz00_1500));
								BgL_test1871z00_2510 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1337z00_1509));
							}
							if (BgL_test1871z00_2510)
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1332z00_1506;
									obj_t BgL_arg1333z00_1507;

									BgL_arg1332z00_1506 = CDR(((obj_t) BgL_hooksz00_1500));
									BgL_arg1333z00_1507 = CDR(((obj_t) BgL_hnamesz00_1501));
									{
										obj_t BgL_hnamesz00_2522;
										obj_t BgL_hooksz00_2521;

										BgL_hooksz00_2521 = BgL_arg1332z00_1506;
										BgL_hnamesz00_2522 = BgL_arg1333z00_1507;
										BgL_hnamesz00_1501 = BgL_hnamesz00_2522;
										BgL_hooksz00_1500 = BgL_hooksz00_2521;
										goto BgL_zc3z04anonymousza31328ze3z87_1502;
									}
								}
							else
								{	/* Uncell/walk.scm 42 */
									obj_t BgL_arg1336z00_1508;

									BgL_arg1336z00_1508 = CAR(((obj_t) BgL_hnamesz00_1501));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1800z00zzuncell_walkz00,
										BGl_string1802z00zzuncell_walkz00, BgL_arg1336z00_1508);
								}
						}
				}
			}
			{
				obj_t BgL_l1274z00_1513;

				BgL_l1274z00_1513 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31339ze3z87_1514:
				if (PAIRP(BgL_l1274z00_1513))
					{	/* Uncell/walk.scm 43 */
						BGl_uncellzd2funz12zc0zzuncell_walkz00(CAR(BgL_l1274z00_1513));
						{
							obj_t BgL_l1274z00_2530;

							BgL_l1274z00_2530 = CDR(BgL_l1274z00_1513);
							BgL_l1274z00_1513 = BgL_l1274z00_2530;
							goto BgL_zc3z04anonymousza31339ze3z87_1514;
						}
					}
				else
					{	/* Uncell/walk.scm 43 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Uncell/walk.scm 44 */
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_port1276z00_1521;

						{	/* Uncell/walk.scm 44 */
							obj_t BgL_tmpz00_2535;

							BgL_tmpz00_2535 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1276z00_1521 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2535);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1276z00_1521);
						bgl_display_string(BGl_string1803z00zzuncell_walkz00,
							BgL_port1276z00_1521);
						{	/* Uncell/walk.scm 44 */
							obj_t BgL_arg1355z00_1522;

							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1875z00_2540;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Uncell/walk.scm 44 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Uncell/walk.scm 44 */
												BgL_test1875z00_2540 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Uncell/walk.scm 44 */
												BgL_test1875z00_2540 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_test1875z00_2540 = ((bool_t) 0);
									}
								if (BgL_test1875z00_2540)
									{	/* Uncell/walk.scm 44 */
										BgL_arg1355z00_1522 = BGl_string1804z00zzuncell_walkz00;
									}
								else
									{	/* Uncell/walk.scm 44 */
										BgL_arg1355z00_1522 = BGl_string1805z00zzuncell_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1355z00_1522, BgL_port1276z00_1521);
						}
						bgl_display_string(BGl_string1806z00zzuncell_walkz00,
							BgL_port1276z00_1521);
						bgl_display_char(((unsigned char) 10), BgL_port1276z00_1521);
					}
					{	/* Uncell/walk.scm 44 */
						obj_t BgL_list1358z00_1526;

						BgL_list1358z00_1526 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1358z00_1526);
					}
				}
			else
				{	/* Uncell/walk.scm 44 */
					obj_t BgL_g1139z00_1527;

					BgL_g1139z00_1527 = BNIL;
					{
						obj_t BgL_hooksz00_1530;
						obj_t BgL_hnamesz00_1531;

						BgL_hooksz00_1530 = BgL_g1139z00_1527;
						BgL_hnamesz00_1531 = BNIL;
					BgL_zc3z04anonymousza31359ze3z87_1532:
						if (NULLP(BgL_hooksz00_1530))
							{	/* Uncell/walk.scm 44 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Uncell/walk.scm 44 */
								bool_t BgL_test1880z00_2557;

								{	/* Uncell/walk.scm 44 */
									obj_t BgL_fun1377z00_1539;

									BgL_fun1377z00_1539 = CAR(((obj_t) BgL_hooksz00_1530));
									BgL_test1880z00_2557 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1377z00_1539));
								}
								if (BgL_test1880z00_2557)
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1370z00_1536;
										obj_t BgL_arg1371z00_1537;

										BgL_arg1370z00_1536 = CDR(((obj_t) BgL_hooksz00_1530));
										BgL_arg1371z00_1537 = CDR(((obj_t) BgL_hnamesz00_1531));
										{
											obj_t BgL_hnamesz00_2569;
											obj_t BgL_hooksz00_2568;

											BgL_hooksz00_2568 = BgL_arg1370z00_1536;
											BgL_hnamesz00_2569 = BgL_arg1371z00_1537;
											BgL_hnamesz00_1531 = BgL_hnamesz00_2569;
											BgL_hooksz00_1530 = BgL_hooksz00_2568;
											goto BgL_zc3z04anonymousza31359ze3z87_1532;
										}
									}
								else
									{	/* Uncell/walk.scm 44 */
										obj_t BgL_arg1376z00_1538;

										BgL_arg1376z00_1538 = CAR(((obj_t) BgL_hnamesz00_1531));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1807z00zzuncell_walkz00, BgL_arg1376z00_1538);
									}
							}
					}
				}
		}

	}



/* &uncell-walk! */
	obj_t BGl_z62uncellzd2walkz12za2zzuncell_walkz00(obj_t BgL_envz00_2267,
		obj_t BgL_globalsz00_2268)
	{
		{	/* Uncell/walk.scm 41 */
			return BGl_uncellzd2walkz12zc0zzuncell_walkz00(BgL_globalsz00_2268);
		}

	}



/* uncell-fun! */
	obj_t BGl_uncellzd2funz12zc0zzuncell_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Uncell/walk.scm 49 */
			{	/* Uncell/walk.scm 50 */
				obj_t BgL_arg1379z00_1542;

				BgL_arg1379z00_1542 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1379z00_1542);
			}
			{	/* Uncell/walk.scm 51 */
				BgL_valuez00_bglt BgL_funz00_1543;

				BgL_funz00_1543 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Uncell/walk.scm 51 */
					obj_t BgL_bodyz00_1544;

					BgL_bodyz00_1544 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1543)))->BgL_bodyz00);
					{	/* Uncell/walk.scm 52 */

						BGl_markzd2cellzd2zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1544));
						BGl_uncellz12z12zzuncell_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1544));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			{	/* Uncell/walk.scm 35 */
				obj_t BgL_arg1386z00_1549;
				obj_t BgL_arg1388z00_1550;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1283z00_1585;

					BgL_v1283z00_1585 = create_vector(1L);
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1415z00_1586;

						BgL_arg1415z00_1586 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc1810z00zzuncell_walkz00,
							BGl_proc1809z00zzuncell_walkz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1808z00zzuncell_walkz00,
							((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1283z00_1585, 0L, BgL_arg1415z00_1586);
					}
					BgL_arg1386z00_1549 = BgL_v1283z00_1585;
				}
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_v1284z00_1599;

					BgL_v1284z00_1599 = create_vector(0L);
					BgL_arg1388z00_1550 = BgL_v1284z00_1599;
				}
				return (BGl_localzf2infozf2zzuncell_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(3)),
						((obj_t)
							CNST_TABLE_REF(4)), BGl_localz00zzast_varz00, 1375L,
						BGl_proc1814z00zzuncell_walkz00, BGl_proc1813z00zzuncell_walkz00,
						BFALSE, BGl_proc1812z00zzuncell_walkz00,
						BGl_proc1811z00zzuncell_walkz00, BgL_arg1386z00_1549,
						BgL_arg1388z00_1550), BUNSPEC);
			}
		}

	}



/* &lambda1402 */
	BgL_localz00_bglt BGl_z62lambda1402z62zzuncell_walkz00(obj_t BgL_envz00_2276,
		obj_t BgL_o1122z00_2277)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_arg1403z00_2347;

				{	/* Uncell/walk.scm 35 */
					obj_t BgL_arg1406z00_2348;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_arg1414z00_2349;

						{	/* Uncell/walk.scm 35 */
							obj_t BgL_arg1866z00_2350;
							long BgL_arg1867z00_2351;

							BgL_arg1866z00_2350 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Uncell/walk.scm 35 */
								long BgL_arg1869z00_2352;

								BgL_arg1869z00_2352 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1122z00_2277)));
								BgL_arg1867z00_2351 = (BgL_arg1869z00_2352 - OBJECT_TYPE);
							}
							BgL_arg1414z00_2349 =
								VECTOR_REF(BgL_arg1866z00_2350, BgL_arg1867z00_2351);
						}
						BgL_arg1406z00_2348 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1414z00_2349);
					}
					{	/* Uncell/walk.scm 35 */
						obj_t BgL_tmpz00_2606;

						BgL_tmpz00_2606 = ((obj_t) BgL_arg1406z00_2348);
						BgL_arg1403z00_2347 = BGL_CLASS_NUM(BgL_tmpz00_2606);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1122z00_2277)), BgL_arg1403z00_2347);
			}
			{	/* Uncell/walk.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_2612;

				BgL_tmpz00_2612 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2277));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2612, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2277));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_2277));
		}

	}



/* &<@anonymous:1401> */
	obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2278, obj_t BgL_new1121z00_2279)
	{
		{	/* Uncell/walk.scm 35 */
			{
				BgL_localz00_bglt BgL_auxz00_2620;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_2279))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_2629;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2354;

						BgL_classz00_2354 = BGl_typez00zztype_typez00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1117z00_2355;

							BgL__ortest_1117z00_2355 = BGL_CLASS_NIL(BgL_classz00_2354);
							if (CBOOL(BgL__ortest_1117z00_2355))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2629 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2355);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2629 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2354));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_2279))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_2629), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_2639;

					{	/* Uncell/walk.scm 35 */
						obj_t BgL_classz00_2356;

						BgL_classz00_2356 = BGl_valuez00zzast_varz00;
						{	/* Uncell/walk.scm 35 */
							obj_t BgL__ortest_1117z00_2357;

							BgL__ortest_1117z00_2357 = BGL_CLASS_NIL(BgL_classz00_2356);
							if (CBOOL(BgL__ortest_1117z00_2357))
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2639 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_2357);
								}
							else
								{	/* Uncell/walk.scm 35 */
									BgL_auxz00_2639 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2356));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_2279))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_2639), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_2279))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_2279))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2676;

					{
						obj_t BgL_auxz00_2677;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2678;

							BgL_tmpz00_2678 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1121z00_2279));
							BgL_auxz00_2677 = BGL_OBJECT_WIDENING(BgL_tmpz00_2678);
						}
						BgL_auxz00_2676 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2677);
					}
					((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2676))->
							BgL_escapez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				BgL_auxz00_2620 = ((BgL_localz00_bglt) BgL_new1121z00_2279);
				return ((obj_t) BgL_auxz00_2620);
			}
		}

	}



/* &lambda1393 */
	BgL_localz00_bglt BGl_z62lambda1393z62zzuncell_walkz00(obj_t BgL_envz00_2280,
		obj_t BgL_o1118z00_2281)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				BgL_localzf2infozf2_bglt BgL_wide1120z00_2359;

				BgL_wide1120z00_2359 =
					((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2infozf2_bgl))));
				{	/* Uncell/walk.scm 35 */
					obj_t BgL_auxz00_2691;
					BgL_objectz00_bglt BgL_tmpz00_2687;

					BgL_auxz00_2691 = ((obj_t) BgL_wide1120z00_2359);
					BgL_tmpz00_2687 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2281)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2687, BgL_auxz00_2691);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2281)));
				{	/* Uncell/walk.scm 35 */
					long BgL_arg1400z00_2360;

					BgL_arg1400z00_2360 =
						BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1118z00_2281))), BgL_arg1400z00_2360);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_2281)));
			}
		}

	}



/* &lambda1389 */
	BgL_localz00_bglt BGl_z62lambda1389z62zzuncell_walkz00(obj_t BgL_envz00_2282,
		obj_t BgL_id1104z00_2283, obj_t BgL_name1105z00_2284,
		obj_t BgL_type1106z00_2285, obj_t BgL_value1107z00_2286,
		obj_t BgL_access1108z00_2287, obj_t BgL_fastzd2alpha1109zd2_2288,
		obj_t BgL_removable1110z00_2289, obj_t BgL_occurrence1111z00_2290,
		obj_t BgL_occurrencew1112z00_2291, obj_t BgL_userzf31113zf3_2292,
		obj_t BgL_key1114z00_2293, obj_t BgL_valzd2noescape1115zd2_2294,
		obj_t BgL_volatile1116z00_2295, obj_t BgL_escape1117z00_2296)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				long BgL_occurrence1111z00_2364;
				long BgL_occurrencew1112z00_2365;
				bool_t BgL_userzf31113zf3_2366;
				long BgL_key1114z00_2367;
				bool_t BgL_volatile1116z00_2368;
				bool_t BgL_escape1117z00_2369;

				BgL_occurrence1111z00_2364 = (long) CINT(BgL_occurrence1111z00_2290);
				BgL_occurrencew1112z00_2365 = (long) CINT(BgL_occurrencew1112z00_2291);
				BgL_userzf31113zf3_2366 = CBOOL(BgL_userzf31113zf3_2292);
				BgL_key1114z00_2367 = (long) CINT(BgL_key1114z00_2293);
				BgL_volatile1116z00_2368 = CBOOL(BgL_volatile1116z00_2295);
				BgL_escape1117z00_2369 = CBOOL(BgL_escape1117z00_2296);
				{	/* Uncell/walk.scm 35 */
					BgL_localz00_bglt BgL_new1156z00_2370;

					{	/* Uncell/walk.scm 35 */
						BgL_localz00_bglt BgL_tmp1154z00_2371;
						BgL_localzf2infozf2_bglt BgL_wide1155z00_2372;

						{
							BgL_localz00_bglt BgL_auxz00_2711;

							{	/* Uncell/walk.scm 35 */
								BgL_localz00_bglt BgL_new1153z00_2373;

								BgL_new1153z00_2373 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Uncell/walk.scm 35 */
									long BgL_arg1392z00_2374;

									BgL_arg1392z00_2374 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1153z00_2373),
										BgL_arg1392z00_2374);
								}
								{	/* Uncell/walk.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_2716;

									BgL_tmpz00_2716 = ((BgL_objectz00_bglt) BgL_new1153z00_2373);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2716, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1153z00_2373);
								BgL_auxz00_2711 = BgL_new1153z00_2373;
							}
							BgL_tmp1154z00_2371 = ((BgL_localz00_bglt) BgL_auxz00_2711);
						}
						BgL_wide1155z00_2372 =
							((BgL_localzf2infozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2infozf2_bgl))));
						{	/* Uncell/walk.scm 35 */
							obj_t BgL_auxz00_2724;
							BgL_objectz00_bglt BgL_tmpz00_2722;

							BgL_auxz00_2724 = ((obj_t) BgL_wide1155z00_2372);
							BgL_tmpz00_2722 = ((BgL_objectz00_bglt) BgL_tmp1154z00_2371);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2722, BgL_auxz00_2724);
						}
						((BgL_objectz00_bglt) BgL_tmp1154z00_2371);
						{	/* Uncell/walk.scm 35 */
							long BgL_arg1390z00_2375;

							BgL_arg1390z00_2375 =
								BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1154z00_2371),
								BgL_arg1390z00_2375);
						}
						BgL_new1156z00_2370 = ((BgL_localz00_bglt) BgL_tmp1154z00_2371);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1156z00_2370)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_2283)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_2284), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_2285)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_2286)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_2287), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_2288), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_2289), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_2364), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_2365), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1156z00_2370)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_2366), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1156z00_2370)))->BgL_keyz00) =
						((long) BgL_key1114z00_2367), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1156z00_2370)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1115zd2_2294), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1156z00_2370)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1116z00_2368), BUNSPEC);
					{
						BgL_localzf2infozf2_bglt BgL_auxz00_2761;

						{
							obj_t BgL_auxz00_2762;

							{	/* Uncell/walk.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_2763;

								BgL_tmpz00_2763 = ((BgL_objectz00_bglt) BgL_new1156z00_2370);
								BgL_auxz00_2762 = BGL_OBJECT_WIDENING(BgL_tmpz00_2763);
							}
							BgL_auxz00_2761 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2762);
						}
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2761))->
								BgL_escapez00) = ((bool_t) BgL_escape1117z00_2369), BUNSPEC);
					}
					return BgL_new1156z00_2370;
				}
			}
		}

	}



/* &<@anonymous:1421> */
	obj_t BGl_z62zc3z04anonymousza31421ze3ze5zzuncell_walkz00(obj_t
		BgL_envz00_2297)
	{
		{	/* Uncell/walk.scm 35 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1420 */
	obj_t BGl_z62lambda1420z62zzuncell_walkz00(obj_t BgL_envz00_2298,
		obj_t BgL_oz00_2299, obj_t BgL_vz00_2300)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_vz00_2377;

				BgL_vz00_2377 = CBOOL(BgL_vz00_2300);
				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2770;

					{
						obj_t BgL_auxz00_2771;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2772;

							BgL_tmpz00_2772 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2299));
							BgL_auxz00_2771 = BGL_OBJECT_WIDENING(BgL_tmpz00_2772);
						}
						BgL_auxz00_2770 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2771);
					}
					return
						((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2770))->
							BgL_escapez00) = ((bool_t) BgL_vz00_2377), BUNSPEC);
				}
			}
		}

	}



/* &lambda1419 */
	obj_t BGl_z62lambda1419z62zzuncell_walkz00(obj_t BgL_envz00_2301,
		obj_t BgL_oz00_2302)
	{
		{	/* Uncell/walk.scm 35 */
			{	/* Uncell/walk.scm 35 */
				bool_t BgL_tmpz00_2778;

				{
					BgL_localzf2infozf2_bglt BgL_auxz00_2779;

					{
						obj_t BgL_auxz00_2780;

						{	/* Uncell/walk.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_2781;

							BgL_tmpz00_2781 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2302));
							BgL_auxz00_2780 = BGL_OBJECT_WIDENING(BgL_tmpz00_2781);
						}
						BgL_auxz00_2779 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_2780);
					}
					BgL_tmpz00_2778 =
						(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2779))->
						BgL_escapez00);
				}
				return BBOOL(BgL_tmpz00_2778);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_proc1815z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1816z00zzuncell_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_proc1817z00zzuncell_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string1818z00zzuncell_walkz00);
		}

	}



/* &uncell!1295 */
	obj_t BGl_z62uncellz121295z70zzuncell_walkz00(obj_t BgL_envz00_2309,
		obj_t BgL_nodez00_2310)
	{
		{	/* Uncell/walk.scm 104 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2310),
					BGl_uncellz12zd2envzc0zzuncell_walkz00));
		}

	}



/* &mark-cell1285 */
	obj_t BGl_z62markzd2cell1285zb0zzuncell_walkz00(obj_t BgL_envz00_2311,
		obj_t BgL_nodez00_2312)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2312),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* mark-cell */
	obj_t BGl_markzd2cellzd2zzuncell_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Uncell/walk.scm 64 */
			{	/* Uncell/walk.scm 64 */
				obj_t BgL_method1286z00_1634;

				{	/* Uncell/walk.scm 64 */
					obj_t BgL_res1791z00_2058;

					{	/* Uncell/walk.scm 64 */
						long BgL_objzd2classzd2numz00_2029;

						BgL_objzd2classzd2numz00_2029 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
						{	/* Uncell/walk.scm 64 */
							obj_t BgL_arg1862z00_2030;

							BgL_arg1862z00_2030 =
								PROCEDURE_REF(BGl_markzd2cellzd2envz00zzuncell_walkz00,
								(int) (1L));
							{	/* Uncell/walk.scm 64 */
								int BgL_offsetz00_2033;

								BgL_offsetz00_2033 = (int) (BgL_objzd2classzd2numz00_2029);
								{	/* Uncell/walk.scm 64 */
									long BgL_offsetz00_2034;

									BgL_offsetz00_2034 =
										((long) (BgL_offsetz00_2033) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 64 */
										long BgL_modz00_2035;

										BgL_modz00_2035 =
											(BgL_offsetz00_2034 >> (int) ((long) ((int) (4L))));
										{	/* Uncell/walk.scm 64 */
											long BgL_restz00_2037;

											BgL_restz00_2037 =
												(BgL_offsetz00_2034 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Uncell/walk.scm 64 */

												{	/* Uncell/walk.scm 64 */
													obj_t BgL_bucketz00_2039;

													BgL_bucketz00_2039 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2030), BgL_modz00_2035);
													BgL_res1791z00_2058 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2039), BgL_restz00_2037);
					}}}}}}}}
					BgL_method1286z00_1634 = BgL_res1791z00_2058;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1286z00_1634, ((obj_t) BgL_nodez00_19));
			}
		}

	}



/* &mark-cell */
	obj_t BGl_z62markzd2cellzb0zzuncell_walkz00(obj_t BgL_envz00_2307,
		obj_t BgL_nodez00_2308)
	{
		{	/* Uncell/walk.scm 64 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2308));
		}

	}



/* uncell! */
	BgL_nodez00_bglt BGl_uncellz12z12zzuncell_walkz00(BgL_nodez00_bglt
		BgL_nodez00_24)
	{
		{	/* Uncell/walk.scm 104 */
			{	/* Uncell/walk.scm 104 */
				obj_t BgL_method1296z00_1635;

				{	/* Uncell/walk.scm 104 */
					obj_t BgL_res1796z00_2089;

					{	/* Uncell/walk.scm 104 */
						long BgL_objzd2classzd2numz00_2060;

						BgL_objzd2classzd2numz00_2060 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Uncell/walk.scm 104 */
							obj_t BgL_arg1862z00_2061;

							BgL_arg1862z00_2061 =
								PROCEDURE_REF(BGl_uncellz12zd2envzc0zzuncell_walkz00,
								(int) (1L));
							{	/* Uncell/walk.scm 104 */
								int BgL_offsetz00_2064;

								BgL_offsetz00_2064 = (int) (BgL_objzd2classzd2numz00_2060);
								{	/* Uncell/walk.scm 104 */
									long BgL_offsetz00_2065;

									BgL_offsetz00_2065 =
										((long) (BgL_offsetz00_2064) - OBJECT_TYPE);
									{	/* Uncell/walk.scm 104 */
										long BgL_modz00_2066;

										BgL_modz00_2066 =
											(BgL_offsetz00_2065 >> (int) ((long) ((int) (4L))));
										{	/* Uncell/walk.scm 104 */
											long BgL_restz00_2068;

											BgL_restz00_2068 =
												(BgL_offsetz00_2065 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Uncell/walk.scm 104 */

												{	/* Uncell/walk.scm 104 */
													obj_t BgL_bucketz00_2070;

													BgL_bucketz00_2070 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2061), BgL_modz00_2066);
													BgL_res1796z00_2089 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2070), BgL_restz00_2068);
					}}}}}}}}
					BgL_method1296z00_1635 = BgL_res1796z00_2089;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1296z00_1635,
						((obj_t) BgL_nodez00_24)));
			}
		}

	}



/* &uncell! */
	BgL_nodez00_bglt BGl_z62uncellz12z70zzuncell_walkz00(obj_t BgL_envz00_2304,
		obj_t BgL_nodez00_2305)
	{
		{	/* Uncell/walk.scm 104 */
			return
				BGl_uncellz12z12zzuncell_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2305));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc1819z00zzuncell_walkz00, BGl_string1820z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1821z00zzuncell_walkz00,
				BGl_string1820z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1822z00zzuncell_walkz00,
				BGl_string1820z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_markzd2cellzd2envz00zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1823z00zzuncell_walkz00,
				BGl_string1820z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc1824z00zzuncell_walkz00, BGl_string1825z00zzuncell_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc1826z00zzuncell_walkz00, BGl_string1825z00zzuncell_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncellz12zd2envzc0zzuncell_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1827z00zzuncell_walkz00,
				BGl_string1825z00zzuncell_walkz00);
		}

	}



/* &uncell!-box-set!1303 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2setz121303z62zzuncell_walkz00(obj_t
		BgL_envz00_2320, obj_t BgL_nodez00_2321)
	{
		{	/* Uncell/walk.scm 137 */
			{	/* Uncell/walk.scm 138 */
				BgL_variablez00_bglt BgL_varz00_2382;

				BgL_varz00_2382 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2321)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 139 */
					bool_t BgL_test1883z00_2870;

					{	/* Uncell/walk.scm 139 */
						obj_t BgL_classz00_2383;

						BgL_classz00_2383 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 139 */
							obj_t BgL_oclassz00_2384;

							{	/* Uncell/walk.scm 139 */
								obj_t BgL_arg1866z00_2385;
								long BgL_arg1867z00_2386;

								BgL_arg1866z00_2385 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Uncell/walk.scm 139 */
									long BgL_arg1869z00_2387;

									BgL_arg1869z00_2387 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2382));
									BgL_arg1867z00_2386 = (BgL_arg1869z00_2387 - OBJECT_TYPE);
								}
								BgL_oclassz00_2384 =
									VECTOR_REF(BgL_arg1866z00_2385, BgL_arg1867z00_2386);
							}
							BgL_test1883z00_2870 = (BgL_oclassz00_2384 == BgL_classz00_2383);
					}}
					if (BgL_test1883z00_2870)
						{	/* Uncell/walk.scm 141 */
							bool_t BgL_test1885z00_2877;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2878;

								{
									obj_t BgL_auxz00_2879;

									{	/* Uncell/walk.scm 141 */
										BgL_objectz00_bglt BgL_tmpz00_2880;

										BgL_tmpz00_2880 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2382));
										BgL_auxz00_2879 = BGL_OBJECT_WIDENING(BgL_tmpz00_2880);
									}
									BgL_auxz00_2878 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2879);
								}
								BgL_test1885z00_2877 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2878))->
									BgL_escapez00);
							}
							if (BgL_test1885z00_2877)
								{	/* Uncell/walk.scm 141 */
									return
										BGl_walk0z12z12zzast_walkz00(
										((BgL_nodez00_bglt)
											((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2321)),
										BGl_uncellz12zd2envzc0zzuncell_walkz00);
								}
							else
								{	/* Uncell/walk.scm 143 */
									BgL_setqz00_bglt BgL_new1152z00_2388;

									{	/* Uncell/walk.scm 143 */
										BgL_setqz00_bglt BgL_new1151z00_2389;

										BgL_new1151z00_2389 =
											((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_setqz00_bgl))));
										{	/* Uncell/walk.scm 143 */
											long BgL_arg1611z00_2390;

											BgL_arg1611z00_2390 =
												BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1151z00_2389),
												BgL_arg1611z00_2390);
										}
										{	/* Uncell/walk.scm 143 */
											BgL_objectz00_bglt BgL_tmpz00_2893;

											BgL_tmpz00_2893 =
												((BgL_objectz00_bglt) BgL_new1151z00_2389);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2893, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1151z00_2389);
										BgL_new1152z00_2388 = BgL_new1151z00_2389;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1152z00_2388)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1152z00_2388)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_setqz00_bglt) COBJECT(BgL_new1152z00_2388))->
											BgL_varz00) =
										((BgL_varz00_bglt) (((BgL_boxzd2setz12zc0_bglt)
													COBJECT(((BgL_boxzd2setz12zc0_bglt)
															BgL_nodez00_2321)))->BgL_varz00)), BUNSPEC);
									{
										BgL_nodez00_bglt BgL_auxz00_2905;

										{	/* Uncell/walk.scm 146 */
											BgL_nodez00_bglt BgL_arg1605z00_2391;

											BgL_arg1605z00_2391 =
												(((BgL_boxzd2setz12zc0_bglt) COBJECT(
														((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2321)))->
												BgL_valuez00);
											BgL_auxz00_2905 =
												BGl_uncellz12z12zzuncell_walkz00(BgL_arg1605z00_2391);
										}
										((((BgL_setqz00_bglt) COBJECT(BgL_new1152z00_2388))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) BgL_auxz00_2905), BUNSPEC);
									}
									return ((BgL_nodez00_bglt) BgL_new1152z00_2388);
								}
						}
					else
						{	/* Uncell/walk.scm 139 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2321)),
								BGl_uncellz12zd2envzc0zzuncell_walkz00);
						}
				}
			}
		}

	}



/* &uncell!-box-ref1301 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2boxzd2ref1301z70zzuncell_walkz00(obj_t
		BgL_envz00_2322, obj_t BgL_nodez00_2323)
	{
		{	/* Uncell/walk.scm 125 */
			{	/* Uncell/walk.scm 126 */
				BgL_variablez00_bglt BgL_varz00_2393;

				BgL_varz00_2393 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_boxzd2refzd2_bglt) COBJECT(
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2323)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Uncell/walk.scm 127 */
					bool_t BgL_test1886z00_2917;

					{	/* Uncell/walk.scm 127 */
						obj_t BgL_classz00_2394;

						BgL_classz00_2394 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 127 */
							obj_t BgL_oclassz00_2395;

							{	/* Uncell/walk.scm 127 */
								obj_t BgL_arg1866z00_2396;
								long BgL_arg1867z00_2397;

								BgL_arg1866z00_2396 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Uncell/walk.scm 127 */
									long BgL_arg1869z00_2398;

									BgL_arg1869z00_2398 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_varz00_2393));
									BgL_arg1867z00_2397 = (BgL_arg1869z00_2398 - OBJECT_TYPE);
								}
								BgL_oclassz00_2395 =
									VECTOR_REF(BgL_arg1866z00_2396, BgL_arg1867z00_2397);
							}
							BgL_test1886z00_2917 = (BgL_oclassz00_2395 == BgL_classz00_2394);
					}}
					if (BgL_test1886z00_2917)
						{	/* Uncell/walk.scm 129 */
							bool_t BgL_test1887z00_2924;

							{
								BgL_localzf2infozf2_bglt BgL_auxz00_2925;

								{
									obj_t BgL_auxz00_2926;

									{	/* Uncell/walk.scm 129 */
										BgL_objectz00_bglt BgL_tmpz00_2927;

										BgL_tmpz00_2927 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_varz00_2393));
										BgL_auxz00_2926 = BGL_OBJECT_WIDENING(BgL_tmpz00_2927);
									}
									BgL_auxz00_2925 =
										((BgL_localzf2infozf2_bglt) BgL_auxz00_2926);
								}
								BgL_test1887z00_2924 =
									(((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_2925))->
									BgL_escapez00);
							}
							if (BgL_test1887z00_2924)
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_2323));
								}
							else
								{	/* Uncell/walk.scm 129 */
									return
										((BgL_nodez00_bglt)
										(((BgL_boxzd2refzd2_bglt) COBJECT(
													((BgL_boxzd2refzd2_bglt) BgL_nodez00_2323)))->
											BgL_varz00));
								}
						}
					else
						{	/* Uncell/walk.scm 127 */
							return
								((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2323));
						}
				}
			}
		}

	}



/* &uncell!-let-var1298 */
	BgL_nodez00_bglt BGl_z62uncellz12zd2letzd2var1298z70zzuncell_walkz00(obj_t
		BgL_envz00_2324, obj_t BgL_nodez00_2325)
	{
		{	/* Uncell/walk.scm 110 */
			{	/* Uncell/walk.scm 112 */
				obj_t BgL_g1282z00_2400;

				BgL_g1282z00_2400 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2325)))->BgL_bindingsz00);
				{
					obj_t BgL_l1280z00_2402;

					BgL_l1280z00_2402 = BgL_g1282z00_2400;
				BgL_zc3z04anonymousza31547ze3z87_2401:
					if (PAIRP(BgL_l1280z00_2402))
						{	/* Uncell/walk.scm 112 */
							{	/* Uncell/walk.scm 113 */
								obj_t BgL_bindingz00_2403;

								BgL_bindingz00_2403 = CAR(BgL_l1280z00_2402);
								{	/* Uncell/walk.scm 113 */
									bool_t BgL_test1889z00_2945;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2403)))))->
												BgL_accessz00) == ((obj_t) CNST_TABLE_REF(6))))
										{	/* Uncell/walk.scm 114 */
											obj_t BgL_arg1581z00_2404;

											BgL_arg1581z00_2404 = CDR(((obj_t) BgL_bindingz00_2403));
											{	/* Uncell/walk.scm 114 */
												obj_t BgL_classz00_2405;

												BgL_classz00_2405 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1581z00_2404))
													{	/* Uncell/walk.scm 114 */
														BgL_objectz00_bglt BgL_arg1858z00_2406;

														BgL_arg1858z00_2406 =
															(BgL_objectz00_bglt) (BgL_arg1581z00_2404);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Uncell/walk.scm 114 */
																long BgL_idxz00_2407;

																BgL_idxz00_2407 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2406);
																BgL_test1889z00_2945 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2407 + 3L)) ==
																	BgL_classz00_2405);
															}
														else
															{	/* Uncell/walk.scm 114 */
																bool_t BgL_res1798z00_2410;

																{	/* Uncell/walk.scm 114 */
																	obj_t BgL_oclassz00_2411;

																	{	/* Uncell/walk.scm 114 */
																		obj_t BgL_arg1866z00_2412;
																		long BgL_arg1867z00_2413;

																		BgL_arg1866z00_2412 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Uncell/walk.scm 114 */
																			long BgL_arg1869z00_2414;

																			BgL_arg1869z00_2414 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2406);
																			BgL_arg1867z00_2413 =
																				(BgL_arg1869z00_2414 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2411 =
																			VECTOR_REF(BgL_arg1866z00_2412,
																			BgL_arg1867z00_2413);
																	}
																	{	/* Uncell/walk.scm 114 */
																		bool_t BgL__ortest_1115z00_2415;

																		BgL__ortest_1115z00_2415 =
																			(BgL_classz00_2405 == BgL_oclassz00_2411);
																		if (BgL__ortest_1115z00_2415)
																			{	/* Uncell/walk.scm 114 */
																				BgL_res1798z00_2410 =
																					BgL__ortest_1115z00_2415;
																			}
																		else
																			{	/* Uncell/walk.scm 114 */
																				long BgL_odepthz00_2416;

																				{	/* Uncell/walk.scm 114 */
																					obj_t BgL_arg1855z00_2417;

																					BgL_arg1855z00_2417 =
																						(BgL_oclassz00_2411);
																					BgL_odepthz00_2416 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2417);
																				}
																				if ((3L < BgL_odepthz00_2416))
																					{	/* Uncell/walk.scm 114 */
																						obj_t BgL_arg1853z00_2418;

																						{	/* Uncell/walk.scm 114 */
																							obj_t BgL_arg1854z00_2419;

																							BgL_arg1854z00_2419 =
																								(BgL_oclassz00_2411);
																							BgL_arg1853z00_2418 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2419, 3L);
																						}
																						BgL_res1798z00_2410 =
																							(BgL_arg1853z00_2418 ==
																							BgL_classz00_2405);
																					}
																				else
																					{	/* Uncell/walk.scm 114 */
																						BgL_res1798z00_2410 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1889z00_2945 = BgL_res1798z00_2410;
															}
													}
												else
													{	/* Uncell/walk.scm 114 */
														BgL_test1889z00_2945 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BgL_test1889z00_2945 = ((bool_t) 0);
										}
									if (BgL_test1889z00_2945)
										{	/* Uncell/walk.scm 115 */
											BgL_localz00_bglt BgL_i1148z00_2420;

											BgL_i1148z00_2420 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2403)));
											{	/* Uncell/walk.scm 116 */
												bool_t BgL_test1895z00_2981;

												{
													BgL_localzf2infozf2_bglt BgL_auxz00_2982;

													{
														obj_t BgL_auxz00_2983;

														{	/* Uncell/walk.scm 116 */
															BgL_objectz00_bglt BgL_tmpz00_2984;

															BgL_tmpz00_2984 =
																((BgL_objectz00_bglt) BgL_i1148z00_2420);
															BgL_auxz00_2983 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_2984);
														}
														BgL_auxz00_2982 =
															((BgL_localzf2infozf2_bglt) BgL_auxz00_2983);
													}
													BgL_test1895z00_2981 =
														(((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_2982))->BgL_escapez00);
												}
												if (BgL_test1895z00_2981)
													{	/* Uncell/walk.scm 116 */
														BFALSE;
													}
												else
													{	/* Uncell/walk.scm 116 */
														{	/* Uncell/walk.scm 117 */
															BgL_nodez00_bglt BgL_arg1577z00_2421;

															BgL_arg1577z00_2421 =
																(((BgL_makezd2boxzd2_bglt) COBJECT(
																		((BgL_makezd2boxzd2_bglt)
																			CDR(
																				((obj_t) BgL_bindingz00_2403)))))->
																BgL_valuez00);
															{	/* Uncell/walk.scm 117 */
																obj_t BgL_auxz00_2995;
																obj_t BgL_tmpz00_2993;

																BgL_auxz00_2995 = ((obj_t) BgL_arg1577z00_2421);
																BgL_tmpz00_2993 = ((obj_t) BgL_bindingz00_2403);
																SET_CDR(BgL_tmpz00_2993, BgL_auxz00_2995);
															}
														}
														((((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_i1148z00_2420)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 113 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1280z00_3001;

								BgL_l1280z00_3001 = CDR(BgL_l1280z00_2402);
								BgL_l1280z00_2402 = BgL_l1280z00_3001;
								goto BgL_zc3z04anonymousza31547ze3z87_2401;
							}
						}
					else
						{	/* Uncell/walk.scm 112 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2325)),
				BGl_uncellz12zd2envzc0zzuncell_walkz00);
		}

	}



/* &mark-cell-box-set!1294 */
	obj_t BGl_z62markzd2cellzd2boxzd2setz121294za2zzuncell_walkz00(obj_t
		BgL_envz00_2326, obj_t BgL_nodez00_2327)
	{
		{	/* Uncell/walk.scm 96 */
			return
				BGl_markzd2cellzd2zzuncell_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2327)))->BgL_valuez00));
		}

	}



/* &mark-cell-box-ref1292 */
	obj_t BGl_z62markzd2cellzd2boxzd2ref1292zb0zzuncell_walkz00(obj_t
		BgL_envz00_2328, obj_t BgL_nodez00_2329)
	{
		{	/* Uncell/walk.scm 90 */
			return ((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2329));
		}

	}



/* &mark-cell-let-var1290 */
	obj_t BGl_z62markzd2cellzd2letzd2var1290zb0zzuncell_walkz00(obj_t
		BgL_envz00_2330, obj_t BgL_nodez00_2331)
	{
		{	/* Uncell/walk.scm 78 */
			{	/* Uncell/walk.scm 80 */
				obj_t BgL_g1279z00_2425;

				BgL_g1279z00_2425 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2331)))->BgL_bindingsz00);
				{
					obj_t BgL_l1277z00_2427;

					BgL_l1277z00_2427 = BgL_g1279z00_2425;
				BgL_zc3z04anonymousza31484ze3z87_2426:
					if (PAIRP(BgL_l1277z00_2427))
						{	/* Uncell/walk.scm 80 */
							{	/* Uncell/walk.scm 81 */
								obj_t BgL_bindingz00_2428;

								BgL_bindingz00_2428 = CAR(BgL_l1277z00_2427);
								{	/* Uncell/walk.scm 81 */
									bool_t BgL_test1897z00_3016;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(
																((obj_t) BgL_bindingz00_2428)))))->
												BgL_accessz00) == ((obj_t) CNST_TABLE_REF(6))))
										{	/* Uncell/walk.scm 82 */
											obj_t BgL_arg1516z00_2429;

											BgL_arg1516z00_2429 = CDR(((obj_t) BgL_bindingz00_2428));
											{	/* Uncell/walk.scm 82 */
												obj_t BgL_classz00_2430;

												BgL_classz00_2430 = BGl_makezd2boxzd2zzast_nodez00;
												if (BGL_OBJECTP(BgL_arg1516z00_2429))
													{	/* Uncell/walk.scm 82 */
														BgL_objectz00_bglt BgL_arg1858z00_2431;

														BgL_arg1858z00_2431 =
															(BgL_objectz00_bglt) (BgL_arg1516z00_2429);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Uncell/walk.scm 82 */
																long BgL_idxz00_2432;

																BgL_idxz00_2432 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_2431);
																BgL_test1897z00_3016 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_2432 + 3L)) ==
																	BgL_classz00_2430);
															}
														else
															{	/* Uncell/walk.scm 82 */
																bool_t BgL_res1797z00_2435;

																{	/* Uncell/walk.scm 82 */
																	obj_t BgL_oclassz00_2436;

																	{	/* Uncell/walk.scm 82 */
																		obj_t BgL_arg1866z00_2437;
																		long BgL_arg1867z00_2438;

																		BgL_arg1866z00_2437 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Uncell/walk.scm 82 */
																			long BgL_arg1869z00_2439;

																			BgL_arg1869z00_2439 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_2431);
																			BgL_arg1867z00_2438 =
																				(BgL_arg1869z00_2439 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2436 =
																			VECTOR_REF(BgL_arg1866z00_2437,
																			BgL_arg1867z00_2438);
																	}
																	{	/* Uncell/walk.scm 82 */
																		bool_t BgL__ortest_1115z00_2440;

																		BgL__ortest_1115z00_2440 =
																			(BgL_classz00_2430 == BgL_oclassz00_2436);
																		if (BgL__ortest_1115z00_2440)
																			{	/* Uncell/walk.scm 82 */
																				BgL_res1797z00_2435 =
																					BgL__ortest_1115z00_2440;
																			}
																		else
																			{	/* Uncell/walk.scm 82 */
																				long BgL_odepthz00_2441;

																				{	/* Uncell/walk.scm 82 */
																					obj_t BgL_arg1855z00_2442;

																					BgL_arg1855z00_2442 =
																						(BgL_oclassz00_2436);
																					BgL_odepthz00_2441 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_2442);
																				}
																				if ((3L < BgL_odepthz00_2441))
																					{	/* Uncell/walk.scm 82 */
																						obj_t BgL_arg1853z00_2443;

																						{	/* Uncell/walk.scm 82 */
																							obj_t BgL_arg1854z00_2444;

																							BgL_arg1854z00_2444 =
																								(BgL_oclassz00_2436);
																							BgL_arg1853z00_2443 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_2444, 3L);
																						}
																						BgL_res1797z00_2435 =
																							(BgL_arg1853z00_2443 ==
																							BgL_classz00_2430);
																					}
																				else
																					{	/* Uncell/walk.scm 82 */
																						BgL_res1797z00_2435 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test1897z00_3016 = BgL_res1797z00_2435;
															}
													}
												else
													{	/* Uncell/walk.scm 82 */
														BgL_test1897z00_3016 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Uncell/walk.scm 81 */
											BgL_test1897z00_3016 = ((bool_t) 0);
										}
									if (BgL_test1897z00_3016)
										{	/* Uncell/walk.scm 83 */
											BgL_localz00_bglt BgL_tmp1143z00_2445;

											BgL_tmp1143z00_2445 =
												((BgL_localz00_bglt)
												CAR(((obj_t) BgL_bindingz00_2428)));
											{	/* Uncell/walk.scm 83 */
												BgL_localzf2infozf2_bglt BgL_wide1145z00_2446;

												BgL_wide1145z00_2446 =
													((BgL_localzf2infozf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_localzf2infozf2_bgl))));
												{	/* Uncell/walk.scm 83 */
													obj_t BgL_auxz00_3056;
													BgL_objectz00_bglt BgL_tmpz00_3053;

													BgL_auxz00_3056 = ((obj_t) BgL_wide1145z00_2446);
													BgL_tmpz00_3053 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1143z00_2445));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3053,
														BgL_auxz00_3056);
												}
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1143z00_2445));
												{	/* Uncell/walk.scm 83 */
													long BgL_arg1515z00_2447;

													BgL_arg1515z00_2447 =
														BGL_CLASS_NUM(BGl_localzf2infozf2zzuncell_walkz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1143z00_2445)),
														BgL_arg1515z00_2447);
												}
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1143z00_2445));
											}
											{
												BgL_localzf2infozf2_bglt BgL_auxz00_3067;

												{
													obj_t BgL_auxz00_3068;

													{	/* Uncell/walk.scm 83 */
														BgL_objectz00_bglt BgL_tmpz00_3069;

														BgL_tmpz00_3069 =
															((BgL_objectz00_bglt)
															((BgL_localz00_bglt) BgL_tmp1143z00_2445));
														BgL_auxz00_3068 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3069);
													}
													BgL_auxz00_3067 =
														((BgL_localzf2infozf2_bglt) BgL_auxz00_3068);
												}
												((((BgL_localzf2infozf2_bglt)
															COBJECT(BgL_auxz00_3067))->BgL_escapez00) =
													((bool_t) ((bool_t) 0)), BUNSPEC);
											}
											((obj_t) ((BgL_localz00_bglt) BgL_tmp1143z00_2445));
										}
									else
										{	/* Uncell/walk.scm 81 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1277z00_3077;

								BgL_l1277z00_3077 = CDR(BgL_l1277z00_2427);
								BgL_l1277z00_2427 = BgL_l1277z00_3077;
								goto BgL_zc3z04anonymousza31484ze3z87_2426;
							}
						}
					else
						{	/* Uncell/walk.scm 80 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_letzd2varzd2_bglt) BgL_nodez00_2331)),
				BGl_markzd2cellzd2envz00zzuncell_walkz00);
		}

	}



/* &mark-cell-var1288 */
	obj_t BGl_z62markzd2cellzd2var1288z62zzuncell_walkz00(obj_t BgL_envz00_2332,
		obj_t BgL_nodez00_2333)
	{
		{	/* Uncell/walk.scm 70 */
			{	/* Uncell/walk.scm 71 */
				bool_t BgL_test1903z00_3082;

				{	/* Uncell/walk.scm 71 */
					BgL_variablez00_bglt BgL_arg1480z00_2449;

					BgL_arg1480z00_2449 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_2333)))->BgL_variablez00);
					{	/* Uncell/walk.scm 71 */
						obj_t BgL_classz00_2450;

						BgL_classz00_2450 = BGl_localzf2infozf2zzuncell_walkz00;
						{	/* Uncell/walk.scm 71 */
							obj_t BgL_oclassz00_2451;

							{	/* Uncell/walk.scm 71 */
								obj_t BgL_arg1866z00_2452;
								long BgL_arg1867z00_2453;

								BgL_arg1866z00_2452 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Uncell/walk.scm 71 */
									long BgL_arg1869z00_2454;

									BgL_arg1869z00_2454 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg1480z00_2449));
									BgL_arg1867z00_2453 = (BgL_arg1869z00_2454 - OBJECT_TYPE);
								}
								BgL_oclassz00_2451 =
									VECTOR_REF(BgL_arg1866z00_2452, BgL_arg1867z00_2453);
							}
							BgL_test1903z00_3082 = (BgL_oclassz00_2451 == BgL_classz00_2450);
				}}}
				if (BgL_test1903z00_3082)
					{	/* Uncell/walk.scm 72 */
						BgL_localz00_bglt BgL_i1141z00_2455;

						BgL_i1141z00_2455 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2333)))->BgL_variablez00));
						{
							BgL_localzf2infozf2_bglt BgL_auxz00_3094;

							{
								obj_t BgL_auxz00_3095;

								{	/* Uncell/walk.scm 73 */
									BgL_objectz00_bglt BgL_tmpz00_3096;

									BgL_tmpz00_3096 = ((BgL_objectz00_bglt) BgL_i1141z00_2455);
									BgL_auxz00_3095 = BGL_OBJECT_WIDENING(BgL_tmpz00_3096);
								}
								BgL_auxz00_3094 = ((BgL_localzf2infozf2_bglt) BgL_auxz00_3095);
							}
							return
								((((BgL_localzf2infozf2_bglt) COBJECT(BgL_auxz00_3094))->
									BgL_escapez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
						}
					}
				else
					{	/* Uncell/walk.scm 71 */
						return BFALSE;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzuncell_walkz00(void)
	{
		{	/* Uncell/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1828z00zzuncell_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
