/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_UNCOMP_TYPE_DEFINITIONS
#define BGL___EVALUATE_UNCOMP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_UNCOMP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_keyword1964z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1930z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1956z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00(void);
	static obj_t BGl_symbol1958z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1960z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1962z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1966z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1968z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00(void);
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1970z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1972z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1974z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(void);
	static obj_t BGl_symbol1976z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1978z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(void);
	static obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol1980z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1982z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1984z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol1986z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1988z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00(void);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1992z00,
		BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1993z00,
		BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1994z00,
		BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1995z00,
		BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1996z00,
		BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1997z00,
		BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1998z00,
		BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1999z00,
		BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s2000z00,
		BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2001z00,
		BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1957z00zz__evaluate_uncompz00,
		BgL_bgl_string1957za700za7za7_2002za7, "lambda", 6);
	      DEFINE_STRING(BGl_string1959z00zz__evaluate_uncompz00,
		BgL_bgl_string1959za700za7za7_2003za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2004z00,
		BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2005z00,
		BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2006z00,
		BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2007z00,
		BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2008z00,
		BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1961z00zz__evaluate_uncompz00,
		BgL_bgl_string1961za700za7za7_2009za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2010z00,
		BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1963z00zz__evaluate_uncompz00,
		BgL_bgl_string1963za700za7za7_2011za7, "let", 3);
	      DEFINE_STRING(BGl_string1965z00zz__evaluate_uncompz00,
		BgL_bgl_string1965za700za7za7_2012za7, "prelock", 7);
	      DEFINE_STRING(BGl_string1967z00zz__evaluate_uncompz00,
		BgL_bgl_string1967za700za7za7_2013za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string1969z00zz__evaluate_uncompz00,
		BgL_bgl_string1969za700za7za7_2014za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1971z00zz__evaluate_uncompz00,
		BgL_bgl_string1971za700za7za7_2015za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1973z00zz__evaluate_uncompz00,
		BgL_bgl_string1973za700za7za7_2016za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1975z00zz__evaluate_uncompz00,
		BgL_bgl_string1975za700za7za7_2017za7, "set!", 4);
	      DEFINE_STRING(BGl_string1977z00zz__evaluate_uncompz00,
		BgL_bgl_string1977za700za7za7_2018za7, "define", 6);
	      DEFINE_STRING(BGl_string1979z00zz__evaluate_uncompz00,
		BgL_bgl_string1979za700za7za7_2019za7, "trap", 4);
	      DEFINE_STRING(BGl_string1981z00zz__evaluate_uncompz00,
		BgL_bgl_string1981za700za7za7_2020za7, "begin", 5);
	      DEFINE_STRING(BGl_string1983z00zz__evaluate_uncompz00,
		BgL_bgl_string1983za700za7za7_2021za7, "and", 3);
	      DEFINE_STRING(BGl_string1985z00zz__evaluate_uncompz00,
		BgL_bgl_string1985za700za7za7_2022za7, "or", 2);
	      DEFINE_STRING(BGl_string1987z00zz__evaluate_uncompz00,
		BgL_bgl_string1987za700za7za7_2023za7, "if", 2);
	      DEFINE_STRING(BGl_string1989z00zz__evaluate_uncompz00,
		BgL_bgl_string1989za700za7za7_2024za7, "quote", 5);
	      DEFINE_STRING(BGl_string1990z00zz__evaluate_uncompz00,
		BgL_bgl_string1990za700za7za7_2025za7, "__evaluate_uncomp", 17);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__2026z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za72027za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1925z00zz__evaluate_uncompz00,
		BgL_bgl_string1925za700za7za7_2028za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1926z00zz__evaluate_uncompz00,
		BgL_bgl_string1926za700za7za7_2029za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1927z00zz__evaluate_uncompz00,
		BgL_bgl_string1927za700za7za7_2030za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1929z00zz__evaluate_uncompz00,
		BgL_bgl_string1929za700za7za7_2031za7, "uncomp1201", 10);
	      DEFINE_STRING(BGl_string1931z00zz__evaluate_uncompz00,
		BgL_bgl_string1931za700za7za7_2032za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1932z00zz__evaluate_uncompz00,
		BgL_bgl_string1932za700za7za7_2033za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1934z00zz__evaluate_uncompz00,
		BgL_bgl_string1934za700za7za7_2034za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1201za7622035z00,
		BGl_z62uncomp1201z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v2036z00,
		BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g2037z00,
		BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l2038z00,
		BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i2039z00,
		BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o2040z00,
		BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a2041z00,
		BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_keyword1964z00zz__evaluate_uncompz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1930z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1956z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1958z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1960z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1962z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1966z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1968z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1970z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1972z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1974z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1976z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1978z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1980z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1982z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1984z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1986z00zz__evaluate_uncompz00));
		     ADD_ROOT((void *) (&BGl_symbol1988z00zz__evaluate_uncompz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2896, char *BgL_fromz00_2897)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_uncompz00();
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1930z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1929z00zz__evaluate_uncompz00);
			BGl_symbol1956z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1957z00zz__evaluate_uncompz00);
			BGl_symbol1958z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1959z00zz__evaluate_uncompz00);
			BGl_symbol1960z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1961z00zz__evaluate_uncompz00);
			BGl_symbol1962z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1963z00zz__evaluate_uncompz00);
			BGl_keyword1964z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string1965z00zz__evaluate_uncompz00);
			BGl_symbol1966z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1967z00zz__evaluate_uncompz00);
			BGl_symbol1968z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1969z00zz__evaluate_uncompz00);
			BGl_symbol1970z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1971z00zz__evaluate_uncompz00);
			BGl_symbol1972z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1973z00zz__evaluate_uncompz00);
			BGl_symbol1974z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1975z00zz__evaluate_uncompz00);
			BGl_symbol1976z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1977z00zz__evaluate_uncompz00);
			BGl_symbol1978z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1979z00zz__evaluate_uncompz00);
			BGl_symbol1980z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1981z00zz__evaluate_uncompz00);
			BGl_symbol1982z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1983z00zz__evaluate_uncompz00);
			BGl_symbol1984z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1985z00zz__evaluate_uncompz00);
			BGl_symbol1986z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1987z00zz__evaluate_uncompz00);
			return (BGl_symbol1988z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1989z00zz__evaluate_uncompz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			BGL_TAIL return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}

	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2520,
		obj_t BgL_ez00_2521)
	{
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_auxz00_2927;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2521,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_auxz00_2927 = ((BgL_ev_exprz00_bglt) BgL_ez00_2521);
					}
				else
					{
						obj_t BgL_auxz00_2931;

						BgL_auxz00_2931 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1925z00zz__evaluate_uncompz00, BINT(1816L),
							BGl_string1926z00zz__evaluate_uncompz00,
							BGl_string1927z00zz__evaluate_uncompz00, BgL_ez00_2521);
						FAILURE(BgL_auxz00_2931, BFALSE, BFALSE);
					}
				return BGl_uncompilez00zz__evaluate_uncompz00(BgL_auxz00_2927);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1928z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1929z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp1201 */
	obj_t BGl_z62uncomp1201z62zz__evaluate_uncompz00(obj_t BgL_envz00_2523,
		obj_t BgL_ez00_2524)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1930z00zz__evaluate_uncompz00,
				BGl_string1931z00zz__evaluate_uncompz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_2524)));
		}

	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1202z00_1163;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1909z00_2028;

					{	/* Eval/evaluate_uncomp.scm 65 */
						long BgL_objzd2classzd2numz00_1999;

						BgL_objzd2classzd2numz00_1999 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
						{	/* Eval/evaluate_uncomp.scm 65 */
							obj_t BgL_arg1880z00_2000;

							BgL_arg1880z00_2000 =
								PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
								(int) (1L));
							{	/* Eval/evaluate_uncomp.scm 65 */
								int BgL_offsetz00_2003;

								BgL_offsetz00_2003 = (int) (BgL_objzd2classzd2numz00_1999);
								{	/* Eval/evaluate_uncomp.scm 65 */
									long BgL_offsetz00_2004;

									BgL_offsetz00_2004 =
										((long) (BgL_offsetz00_2003) - OBJECT_TYPE);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_modz00_2005;

										BgL_modz00_2005 =
											(BgL_offsetz00_2004 >> (int) ((long) ((int) (4L))));
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_restz00_2007;

											BgL_restz00_2007 =
												(BgL_offsetz00_2004 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Eval/evaluate_uncomp.scm 65 */

												{	/* Eval/evaluate_uncomp.scm 65 */
													obj_t BgL_bucketz00_2009;

													BgL_bucketz00_2009 =
														VECTOR_REF(
														((obj_t) BgL_arg1880z00_2000), BgL_modz00_2005);
													BgL_res1909z00_2028 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2009), BgL_restz00_2007);
					}}}}}}}}
					BgL_method1202z00_1163 = BgL_res1909z00_2028;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1202z00_1163, ((obj_t) BgL_ez00_4));
			}
		}

	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2525,
		obj_t BgL_ez00_2526)
	{
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2970;

				{	/* Eval/evaluate_uncomp.scm 65 */
					bool_t BgL_test2044z00_2971;

					{	/* Eval/evaluate_uncomp.scm 65 */
						obj_t BgL_classz00_2620;

						BgL_classz00_2620 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_2526))
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_objectz00_bglt BgL_arg1878z00_2622;
								long BgL_arg1879z00_2623;

								BgL_arg1878z00_2622 = (BgL_objectz00_bglt) (BgL_ez00_2526);
								BgL_arg1879z00_2623 = BGL_CLASS_DEPTH(BgL_classz00_2620);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_idxz00_2631;

										BgL_idxz00_2631 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1878z00_2622);
										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_arg1866z00_2632;

											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_arg1867z00_2633;

												BgL_arg1867z00_2633 =
													(BgL_idxz00_2631 + BgL_arg1879z00_2623);
												BgL_arg1866z00_2632 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg1867z00_2633);
											}
											BgL_test2044z00_2971 =
												(BgL_arg1866z00_2632 == BgL_classz00_2620);
									}}
								else
									{	/* Eval/evaluate_uncomp.scm 65 */
										bool_t BgL_res1991z00_2659;

										{	/* Eval/evaluate_uncomp.scm 65 */
											obj_t BgL_oclassz00_2641;

											{	/* Eval/evaluate_uncomp.scm 65 */
												obj_t BgL_arg1883z00_2649;
												long BgL_arg1884z00_2650;

												BgL_arg1883z00_2649 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_arg1885z00_2651;

													BgL_arg1885z00_2651 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1878z00_2622);
													BgL_arg1884z00_2650 =
														(BgL_arg1885z00_2651 - OBJECT_TYPE);
												}
												BgL_oclassz00_2641 =
													VECTOR_REF(BgL_arg1883z00_2649, BgL_arg1884z00_2650);
											}
											{	/* Eval/evaluate_uncomp.scm 65 */
												bool_t BgL__ortest_1126z00_2642;

												BgL__ortest_1126z00_2642 =
													(BgL_classz00_2620 == BgL_oclassz00_2641);
												if (BgL__ortest_1126z00_2642)
													{	/* Eval/evaluate_uncomp.scm 65 */
														BgL_res1991z00_2659 = BgL__ortest_1126z00_2642;
													}
												else
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_odepthz00_2643;

														{	/* Eval/evaluate_uncomp.scm 65 */
															obj_t BgL_arg1872z00_2644;

															BgL_arg1872z00_2644 = (BgL_oclassz00_2641);
															BgL_odepthz00_2643 =
																BGL_CLASS_DEPTH(BgL_arg1872z00_2644);
														}
														if ((BgL_arg1879z00_2623 < BgL_odepthz00_2643))
															{	/* Eval/evaluate_uncomp.scm 65 */
																obj_t BgL_arg1869z00_2646;

																{	/* Eval/evaluate_uncomp.scm 65 */
																	obj_t BgL_arg1871z00_2647;

																	BgL_arg1871z00_2647 = (BgL_oclassz00_2641);
																	BgL_arg1869z00_2646 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1871z00_2647,
																		BgL_arg1879z00_2623);
																}
																BgL_res1991z00_2659 =
																	(BgL_arg1869z00_2646 == BgL_classz00_2620);
															}
														else
															{	/* Eval/evaluate_uncomp.scm 65 */
																BgL_res1991z00_2659 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2044z00_2971 = BgL_res1991z00_2659;
									}
							}
						else
							{	/* Eval/evaluate_uncomp.scm 65 */
								BgL_test2044z00_2971 = ((bool_t) 0);
							}
					}
					if (BgL_test2044z00_2971)
						{	/* Eval/evaluate_uncomp.scm 65 */
							BgL_auxz00_2970 = ((BgL_ev_exprz00_bglt) BgL_ez00_2526);
						}
					else
						{
							obj_t BgL_auxz00_2996;

							BgL_auxz00_2996 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1925z00zz__evaluate_uncompz00, BINT(1830L),
								BGl_string1932z00zz__evaluate_uncompz00,
								BGl_string1927z00zz__evaluate_uncompz00, BgL_ez00_2526);
							FAILURE(BgL_auxz00_2996, BFALSE, BFALSE);
						}
				}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2970);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1933z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1935z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1936z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1937z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1938z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1939z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1940z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1941z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1942z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1943z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1944z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1945z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1946z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1947z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1948z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1949z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1950z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1951z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1952z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1953z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1954z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1955z00zz__evaluate_uncompz00,
				BGl_string1934z00zz__evaluate_uncompz00);
		}

	}



/* &uncomp-ev_abs1246 */
	obj_t BGl_z62uncompzd2ev_abs1246zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2549, obj_t BgL_ez00_2550)
	{
		{	/* Eval/evaluate_uncomp.scm 157 */
			{	/* Eval/evaluate_uncomp.scm 166 */
				obj_t BgL_arg1517z00_2661;

				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1519z00_2662;
					obj_t BgL_arg1523z00_2663;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1524z00_2664;
						obj_t BgL_arg1525z00_2665;

						BgL_arg1524z00_2664 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_2550)))->BgL_arityz00);
						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_l1183z00_2666;

							BgL_l1183z00_2666 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2550)))->BgL_varsz00);
							if (NULLP(BgL_l1183z00_2666))
								{	/* Eval/evaluate_uncomp.scm 166 */
									BgL_arg1525z00_2665 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 166 */
									obj_t BgL_head1185z00_2667;

									BgL_head1185z00_2667 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1183z00_2669;
										obj_t BgL_tail1186z00_2670;

										BgL_l1183z00_2669 = BgL_l1183z00_2666;
										BgL_tail1186z00_2670 = BgL_head1185z00_2667;
									BgL_zc3z04anonymousza31527ze3z87_2668:
										if (NULLP(BgL_l1183z00_2669))
											{	/* Eval/evaluate_uncomp.scm 166 */
												BgL_arg1525z00_2665 = CDR(BgL_head1185z00_2667);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 166 */
												obj_t BgL_newtail1187z00_2671;

												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1531z00_2672;

													BgL_arg1531z00_2672 =
														(((BgL_ev_varz00_bglt) COBJECT(
																((BgL_ev_varz00_bglt)
																	CAR(
																		((obj_t) BgL_l1183z00_2669)))))->
														BgL_namez00);
													BgL_newtail1187z00_2671 =
														MAKE_YOUNG_PAIR(BgL_arg1531z00_2672, BNIL);
												}
												SET_CDR(BgL_tail1186z00_2670, BgL_newtail1187z00_2671);
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_arg1530z00_2673;

													BgL_arg1530z00_2673 =
														CDR(((obj_t) BgL_l1183z00_2669));
													{
														obj_t BgL_tail1186z00_3042;
														obj_t BgL_l1183z00_3041;

														BgL_l1183z00_3041 = BgL_arg1530z00_2673;
														BgL_tail1186z00_3042 = BgL_newtail1187z00_2671;
														BgL_tail1186z00_2670 = BgL_tail1186z00_3042;
														BgL_l1183z00_2669 = BgL_l1183z00_3041;
														goto BgL_zc3z04anonymousza31527ze3z87_2668;
													}
												}
											}
									}
								}
						}
						BgL_arg1519z00_2662 =
							BGl_redovarsze70ze7zz__evaluate_uncompz00(BgL_arg1524z00_2664,
							BgL_arg1525z00_2665);
					}
					BgL_arg1523z00_2663 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_2550)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1517z00_2661 =
						MAKE_YOUNG_PAIR(BgL_arg1519z00_2662, BgL_arg1523z00_2663);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1956z00zz__evaluate_uncompz00,
					BgL_arg1517z00_2661);
			}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_uncompz00(obj_t BgL_lz00_1565)
	{
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(((obj_t) BgL_lz00_1565))))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(((obj_t) BgL_lz00_1565));
				}
			else
				{	/* Eval/evaluate_uncomp.scm 165 */
					obj_t BgL_arg1539z00_1569;
					obj_t BgL_arg1540z00_1570;

					BgL_arg1539z00_1569 = CAR(((obj_t) BgL_lz00_1565));
					{	/* Eval/evaluate_uncomp.scm 165 */
						obj_t BgL_arg1541z00_1571;

						BgL_arg1541z00_1571 = CDR(((obj_t) BgL_lz00_1565));
						BgL_arg1540z00_1570 =
							BGl_recze70ze7zz__evaluate_uncompz00(BgL_arg1541z00_1571);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1539z00_1569, BgL_arg1540z00_1570);
				}
		}

	}



/* redovars~0 */
	obj_t BGl_redovarsze70ze7zz__evaluate_uncompz00(obj_t BgL_nz00_1560,
		obj_t BgL_lz00_1561)
	{
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1560) >= 0L))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1561;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recze70ze7zz__evaluate_uncompz00(BgL_lz00_1561);
				}
		}

	}



/* &uncomp-ev_app1244 */
	obj_t BGl_z62uncompzd2ev_app1244zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2551, obj_t BgL_ez00_2552)
	{
		{	/* Eval/evaluate_uncomp.scm 153 */
			{	/* Eval/evaluate_uncomp.scm 155 */
				obj_t BgL_arg1506z00_2675;
				obj_t BgL_arg1507z00_2676;

				BgL_arg1506z00_2675 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2552)))->BgL_funz00));
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_l1177z00_2677;

					BgL_l1177z00_2677 =
						(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_2552)))->BgL_argsz00);
					if (NULLP(BgL_l1177z00_2677))
						{	/* Eval/evaluate_uncomp.scm 155 */
							BgL_arg1507z00_2676 = BNIL;
						}
					else
						{	/* Eval/evaluate_uncomp.scm 155 */
							obj_t BgL_head1179z00_2678;

							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_arg1515z00_2679;

								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_arg1516z00_2680;

									BgL_arg1516z00_2680 = CAR(((obj_t) BgL_l1177z00_2677));
									BgL_arg1515z00_2679 =
										BGl_uncompz00zz__evaluate_uncompz00(
										((BgL_ev_exprz00_bglt) BgL_arg1516z00_2680));
								}
								BgL_head1179z00_2678 =
									MAKE_YOUNG_PAIR(BgL_arg1515z00_2679, BNIL);
							}
							{	/* Eval/evaluate_uncomp.scm 155 */
								obj_t BgL_g1182z00_2681;

								BgL_g1182z00_2681 = CDR(((obj_t) BgL_l1177z00_2677));
								{
									obj_t BgL_l1177z00_2683;
									obj_t BgL_tail1180z00_2684;

									BgL_l1177z00_2683 = BgL_g1182z00_2681;
									BgL_tail1180z00_2684 = BgL_head1179z00_2678;
								BgL_zc3z04anonymousza31510ze3z87_2682:
									if (NULLP(BgL_l1177z00_2683))
										{	/* Eval/evaluate_uncomp.scm 155 */
											BgL_arg1507z00_2676 = BgL_head1179z00_2678;
										}
									else
										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_newtail1181z00_2685;

											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_arg1513z00_2686;

												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_arg1514z00_2687;

													BgL_arg1514z00_2687 =
														CAR(((obj_t) BgL_l1177z00_2683));
													BgL_arg1513z00_2686 =
														BGl_uncompz00zz__evaluate_uncompz00(
														((BgL_ev_exprz00_bglt) BgL_arg1514z00_2687));
												}
												BgL_newtail1181z00_2685 =
													MAKE_YOUNG_PAIR(BgL_arg1513z00_2686, BNIL);
											}
											SET_CDR(BgL_tail1180z00_2684, BgL_newtail1181z00_2685);
											{	/* Eval/evaluate_uncomp.scm 155 */
												obj_t BgL_arg1512z00_2688;

												BgL_arg1512z00_2688 = CDR(((obj_t) BgL_l1177z00_2683));
												{
													obj_t BgL_tail1180z00_3091;
													obj_t BgL_l1177z00_3090;

													BgL_l1177z00_3090 = BgL_arg1512z00_2688;
													BgL_tail1180z00_3091 = BgL_newtail1181z00_2685;
													BgL_tail1180z00_2684 = BgL_tail1180z00_3091;
													BgL_l1177z00_2683 = BgL_l1177z00_3090;
													goto BgL_zc3z04anonymousza31510ze3z87_2682;
												}
											}
										}
								}
							}
						}
				}
				return MAKE_YOUNG_PAIR(BgL_arg1506z00_2675, BgL_arg1507z00_2676);
			}
		}

	}



/* &uncomp-ev_goto1242 */
	obj_t BGl_z62uncompzd2ev_goto1242zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2553, obj_t BgL_ez00_2554)
	{
		{	/* Eval/evaluate_uncomp.scm 149 */
			{	/* Eval/evaluate_uncomp.scm 151 */
				obj_t BgL_arg1494z00_2690;
				obj_t BgL_arg1495z00_2691;

				{	/* Eval/evaluate_uncomp.scm 151 */
					BgL_ev_varz00_bglt BgL_arg1497z00_2692;

					BgL_arg1497z00_2692 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2554)))->BgL_labelz00);
					BgL_arg1494z00_2690 =
						BGl_uncompz00zz__evaluate_uncompz00(
						((BgL_ev_exprz00_bglt) BgL_arg1497z00_2692));
				}
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_l1171z00_2693;

					BgL_l1171z00_2693 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_2554)))->BgL_argsz00);
					if (NULLP(BgL_l1171z00_2693))
						{	/* Eval/evaluate_uncomp.scm 151 */
							BgL_arg1495z00_2691 = BNIL;
						}
					else
						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_head1173z00_2694;

							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_arg1504z00_2695;

								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_arg1505z00_2696;

									BgL_arg1505z00_2696 = CAR(((obj_t) BgL_l1171z00_2693));
									BgL_arg1504z00_2695 =
										BGl_uncompz00zz__evaluate_uncompz00(
										((BgL_ev_exprz00_bglt) BgL_arg1505z00_2696));
								}
								BgL_head1173z00_2694 =
									MAKE_YOUNG_PAIR(BgL_arg1504z00_2695, BNIL);
							}
							{	/* Eval/evaluate_uncomp.scm 151 */
								obj_t BgL_g1176z00_2697;

								BgL_g1176z00_2697 = CDR(((obj_t) BgL_l1171z00_2693));
								{
									obj_t BgL_l1171z00_2699;
									obj_t BgL_tail1174z00_2700;

									BgL_l1171z00_2699 = BgL_g1176z00_2697;
									BgL_tail1174z00_2700 = BgL_head1173z00_2694;
								BgL_zc3z04anonymousza31499ze3z87_2698:
									if (NULLP(BgL_l1171z00_2699))
										{	/* Eval/evaluate_uncomp.scm 151 */
											BgL_arg1495z00_2691 = BgL_head1173z00_2694;
										}
									else
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_newtail1175z00_2701;

											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_arg1502z00_2702;

												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_arg1503z00_2703;

													BgL_arg1503z00_2703 =
														CAR(((obj_t) BgL_l1171z00_2699));
													BgL_arg1502z00_2702 =
														BGl_uncompz00zz__evaluate_uncompz00(
														((BgL_ev_exprz00_bglt) BgL_arg1503z00_2703));
												}
												BgL_newtail1175z00_2701 =
													MAKE_YOUNG_PAIR(BgL_arg1502z00_2702, BNIL);
											}
											SET_CDR(BgL_tail1174z00_2700, BgL_newtail1175z00_2701);
											{	/* Eval/evaluate_uncomp.scm 151 */
												obj_t BgL_arg1501z00_2704;

												BgL_arg1501z00_2704 = CDR(((obj_t) BgL_l1171z00_2699));
												{
													obj_t BgL_tail1174z00_3119;
													obj_t BgL_l1171z00_3118;

													BgL_l1171z00_3118 = BgL_arg1501z00_2704;
													BgL_tail1174z00_3119 = BgL_newtail1175z00_2701;
													BgL_tail1174z00_2700 = BgL_tail1174z00_3119;
													BgL_l1171z00_2699 = BgL_l1171z00_3118;
													goto BgL_zc3z04anonymousza31499ze3z87_2698;
												}
											}
										}
								}
							}
						}
				}
				return MAKE_YOUNG_PAIR(BgL_arg1494z00_2690, BgL_arg1495z00_2691);
			}
		}

	}



/* &uncomp-ev_labels1240 */
	obj_t BGl_z62uncompzd2ev_labels1240zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2555, obj_t BgL_ez00_2556)
	{
		{	/* Eval/evaluate_uncomp.scm 142 */
			{	/* Eval/evaluate_uncomp.scm 144 */
				obj_t BgL_arg1464z00_2706;

				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1465z00_2707;
					obj_t BgL_arg1466z00_2708;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_ll1165z00_2709;
						obj_t BgL_ll1166z00_2710;

						BgL_ll1165z00_2709 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2556)))->BgL_varsz00);
						BgL_ll1166z00_2710 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_2556)))->BgL_valsz00);
						if (NULLP(BgL_ll1165z00_2709))
							{	/* Eval/evaluate_uncomp.scm 144 */
								BgL_arg1465z00_2707 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 144 */
								obj_t BgL_head1167z00_2711;

								BgL_head1167z00_2711 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1165z00_2713;
									obj_t BgL_ll1166z00_2714;
									obj_t BgL_tail1168z00_2715;

									BgL_ll1165z00_2713 = BgL_ll1165z00_2709;
									BgL_ll1166z00_2714 = BgL_ll1166z00_2710;
									BgL_tail1168z00_2715 = BgL_head1167z00_2711;
								BgL_zc3z04anonymousza31468ze3z87_2712:
									if (NULLP(BgL_ll1165z00_2713))
										{	/* Eval/evaluate_uncomp.scm 144 */
											BgL_arg1465z00_2707 = CDR(BgL_head1167z00_2711);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 144 */
											obj_t BgL_newtail1169z00_2716;

											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1472z00_2717;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_vz00_2718;
													obj_t BgL_az00_2719;

													BgL_vz00_2718 = CAR(((obj_t) BgL_ll1165z00_2713));
													BgL_az00_2719 = CAR(((obj_t) BgL_ll1166z00_2714));
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_arg1473z00_2720;
														obj_t BgL_arg1474z00_2721;

														BgL_arg1473z00_2720 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2718));
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1475z00_2722;

															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1476z00_2723;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1479z00_2724;
																	obj_t BgL_arg1480z00_2725;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_l1159z00_2726;

																		BgL_l1159z00_2726 =
																			CAR(((obj_t) BgL_az00_2719));
																		if (NULLP(BgL_l1159z00_2726))
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				BgL_arg1479z00_2724 = BNIL;
																			}
																		else
																			{	/* Eval/evaluate_uncomp.scm 144 */
																				obj_t BgL_head1161z00_2727;

																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_arg1488z00_2728;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1489z00_2729;

																						BgL_arg1489z00_2729 =
																							CAR(((obj_t) BgL_l1159z00_2726));
																						BgL_arg1488z00_2728 =
																							BGl_uncompz00zz__evaluate_uncompz00
																							(((BgL_ev_exprz00_bglt)
																								BgL_arg1489z00_2729));
																					}
																					BgL_head1161z00_2727 =
																						MAKE_YOUNG_PAIR(BgL_arg1488z00_2728,
																						BNIL);
																				}
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_g1164z00_2730;

																					BgL_g1164z00_2730 =
																						CDR(((obj_t) BgL_l1159z00_2726));
																					{
																						obj_t BgL_l1159z00_2732;
																						obj_t BgL_tail1162z00_2733;

																						BgL_l1159z00_2732 =
																							BgL_g1164z00_2730;
																						BgL_tail1162z00_2733 =
																							BgL_head1161z00_2727;
																					BgL_zc3z04anonymousza31482ze3z87_2731:
																						if (NULLP
																							(BgL_l1159z00_2732))
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								BgL_arg1479z00_2724 =
																									BgL_head1161z00_2727;
																							}
																						else
																							{	/* Eval/evaluate_uncomp.scm 144 */
																								obj_t BgL_newtail1163z00_2734;

																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1486z00_2735;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1487z00_2736;

																										BgL_arg1487z00_2736 =
																											CAR(
																											((obj_t)
																												BgL_l1159z00_2732));
																										BgL_arg1486z00_2735 =
																											BGl_uncompz00zz__evaluate_uncompz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg1487z00_2736));
																									}
																									BgL_newtail1163z00_2734 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1486z00_2735, BNIL);
																								}
																								SET_CDR(BgL_tail1162z00_2733,
																									BgL_newtail1163z00_2734);
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_arg1484z00_2737;

																									BgL_arg1484z00_2737 =
																										CDR(
																										((obj_t)
																											BgL_l1159z00_2732));
																									{
																										obj_t BgL_tail1162z00_3159;
																										obj_t BgL_l1159z00_3158;

																										BgL_l1159z00_3158 =
																											BgL_arg1484z00_2737;
																										BgL_tail1162z00_3159 =
																											BgL_newtail1163z00_2734;
																										BgL_tail1162z00_2733 =
																											BgL_tail1162z00_3159;
																										BgL_l1159z00_2732 =
																											BgL_l1159z00_3158;
																										goto
																											BgL_zc3z04anonymousza31482ze3z87_2731;
																									}
																								}
																							}
																					}
																				}
																			}
																	}
																	{	/* Eval/evaluate_uncomp.scm 145 */
																		obj_t BgL_arg1490z00_2738;

																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1491z00_2739;

																			BgL_arg1491z00_2739 =
																				CDR(((obj_t) BgL_az00_2719));
																			BgL_arg1490z00_2738 =
																				BGl_uncompz00zz__evaluate_uncompz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg1491z00_2739));
																		}
																		BgL_arg1480z00_2725 =
																			MAKE_YOUNG_PAIR(BgL_arg1490z00_2738,
																			BNIL);
																	}
																	BgL_arg1476z00_2723 =
																		MAKE_YOUNG_PAIR(BgL_arg1479z00_2724,
																		BgL_arg1480z00_2725);
																}
																BgL_arg1475z00_2722 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1956z00zz__evaluate_uncompz00,
																	BgL_arg1476z00_2723);
															}
															BgL_arg1474z00_2721 =
																MAKE_YOUNG_PAIR(BgL_arg1475z00_2722, BNIL);
														}
														BgL_arg1472z00_2717 =
															MAKE_YOUNG_PAIR(BgL_arg1473z00_2720,
															BgL_arg1474z00_2721);
													}
												}
												BgL_newtail1169z00_2716 =
													MAKE_YOUNG_PAIR(BgL_arg1472z00_2717, BNIL);
											}
											SET_CDR(BgL_tail1168z00_2715, BgL_newtail1169z00_2716);
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_arg1470z00_2740;
												obj_t BgL_arg1471z00_2741;

												BgL_arg1470z00_2740 = CDR(((obj_t) BgL_ll1165z00_2713));
												BgL_arg1471z00_2741 = CDR(((obj_t) BgL_ll1166z00_2714));
												{
													obj_t BgL_tail1168z00_3177;
													obj_t BgL_ll1166z00_3176;
													obj_t BgL_ll1165z00_3175;

													BgL_ll1165z00_3175 = BgL_arg1470z00_2740;
													BgL_ll1166z00_3176 = BgL_arg1471z00_2741;
													BgL_tail1168z00_3177 = BgL_newtail1169z00_2716;
													BgL_tail1168z00_2715 = BgL_tail1168z00_3177;
													BgL_ll1166z00_2714 = BgL_ll1166z00_3176;
													BgL_ll1165z00_2713 = BgL_ll1165z00_3175;
													goto BgL_zc3z04anonymousza31468ze3z87_2712;
												}
											}
										}
								}
							}
					}
					BgL_arg1466z00_2708 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_2556)))->BgL_bodyz00)),
						BNIL);
					BgL_arg1464z00_2706 =
						MAKE_YOUNG_PAIR(BgL_arg1465z00_2707, BgL_arg1466z00_2708);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00,
					BgL_arg1464z00_2706);
			}
		}

	}



/* &uncomp-ev_letrec1238 */
	obj_t BGl_z62uncompzd2ev_letrec1238zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2557, obj_t BgL_ez00_2558)
	{
		{	/* Eval/evaluate_uncomp.scm 138 */
			{	/* Eval/evaluate_uncomp.scm 140 */
				obj_t BgL_arg1449z00_2743;

				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1450z00_2744;
					obj_t BgL_arg1451z00_2745;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_ll1153z00_2746;
						obj_t BgL_ll1154z00_2747;

						BgL_ll1153z00_2746 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2558))))->BgL_varsz00);
						BgL_ll1154z00_2747 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_2558))))->BgL_valsz00);
						if (NULLP(BgL_ll1153z00_2746))
							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_arg1450z00_2744 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 140 */
								obj_t BgL_head1155z00_2748;

								BgL_head1155z00_2748 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1153z00_2750;
									obj_t BgL_ll1154z00_2751;
									obj_t BgL_tail1156z00_2752;

									BgL_ll1153z00_2750 = BgL_ll1153z00_2746;
									BgL_ll1154z00_2751 = BgL_ll1154z00_2747;
									BgL_tail1156z00_2752 = BgL_head1155z00_2748;
								BgL_zc3z04anonymousza31453ze3z87_2749:
									if (NULLP(BgL_ll1153z00_2750))
										{	/* Eval/evaluate_uncomp.scm 140 */
											BgL_arg1450z00_2744 = CDR(BgL_head1155z00_2748);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 140 */
											obj_t BgL_newtail1157z00_2753;

											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1458z00_2754;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_vz00_2755;
													obj_t BgL_az00_2756;

													BgL_vz00_2755 = CAR(((obj_t) BgL_ll1153z00_2750));
													BgL_az00_2756 = CAR(((obj_t) BgL_ll1154z00_2751));
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_arg1459z00_2757;
														obj_t BgL_arg1460z00_2758;

														BgL_arg1459z00_2757 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2755));
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1461z00_2759;

															BgL_arg1461z00_2759 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2756));
															BgL_arg1460z00_2758 =
																MAKE_YOUNG_PAIR(BgL_arg1461z00_2759, BNIL);
														}
														BgL_arg1458z00_2754 =
															MAKE_YOUNG_PAIR(BgL_arg1459z00_2757,
															BgL_arg1460z00_2758);
													}
												}
												BgL_newtail1157z00_2753 =
													MAKE_YOUNG_PAIR(BgL_arg1458z00_2754, BNIL);
											}
											SET_CDR(BgL_tail1156z00_2752, BgL_newtail1157z00_2753);
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_arg1455z00_2760;
												obj_t BgL_arg1457z00_2761;

												BgL_arg1455z00_2760 = CDR(((obj_t) BgL_ll1153z00_2750));
												BgL_arg1457z00_2761 = CDR(((obj_t) BgL_ll1154z00_2751));
												{
													obj_t BgL_tail1156z00_3214;
													obj_t BgL_ll1154z00_3213;
													obj_t BgL_ll1153z00_3212;

													BgL_ll1153z00_3212 = BgL_arg1455z00_2760;
													BgL_ll1154z00_3213 = BgL_arg1457z00_2761;
													BgL_tail1156z00_3214 = BgL_newtail1157z00_2753;
													BgL_tail1156z00_2752 = BgL_tail1156z00_3214;
													BgL_ll1154z00_2751 = BgL_ll1154z00_3213;
													BgL_ll1153z00_2750 = BgL_ll1153z00_3212;
													goto BgL_zc3z04anonymousza31453ze3z87_2749;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1462z00_2762;

						{	/* Eval/evaluate_uncomp.scm 140 */
							BgL_ev_exprz00_bglt BgL_arg1463z00_2763;

							BgL_arg1463z00_2763 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_2558))))->BgL_bodyz00);
							BgL_arg1462z00_2762 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1463z00_2763);
						}
						BgL_arg1451z00_2745 = MAKE_YOUNG_PAIR(BgL_arg1462z00_2762, BNIL);
					}
					BgL_arg1449z00_2743 =
						MAKE_YOUNG_PAIR(BgL_arg1450z00_2744, BgL_arg1451z00_2745);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1958z00zz__evaluate_uncompz00,
					BgL_arg1449z00_2743);
			}
		}

	}



/* &uncomp-ev_let*1236 */
	obj_t BGl_z62uncompzd2ev_letza21236z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2559, obj_t BgL_ez00_2560)
	{
		{	/* Eval/evaluate_uncomp.scm 134 */
			{	/* Eval/evaluate_uncomp.scm 136 */
				obj_t BgL_arg1433z00_2765;

				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1434z00_2766;
					obj_t BgL_arg1435z00_2767;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_ll1147z00_2768;
						obj_t BgL_ll1148z00_2769;

						BgL_ll1147z00_2768 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2560))))->BgL_varsz00);
						BgL_ll1148z00_2769 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_2560))))->BgL_valsz00);
						if (NULLP(BgL_ll1147z00_2768))
							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_arg1434z00_2766 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 136 */
								obj_t BgL_head1149z00_2770;

								BgL_head1149z00_2770 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1147z00_2772;
									obj_t BgL_ll1148z00_2773;
									obj_t BgL_tail1150z00_2774;

									BgL_ll1147z00_2772 = BgL_ll1147z00_2768;
									BgL_ll1148z00_2773 = BgL_ll1148z00_2769;
									BgL_tail1150z00_2774 = BgL_head1149z00_2770;
								BgL_zc3z04anonymousza31437ze3z87_2771:
									if (NULLP(BgL_ll1147z00_2772))
										{	/* Eval/evaluate_uncomp.scm 136 */
											BgL_arg1434z00_2766 = CDR(BgL_head1149z00_2770);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 136 */
											obj_t BgL_newtail1151z00_2775;

											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1441z00_2776;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_vz00_2777;
													obj_t BgL_az00_2778;

													BgL_vz00_2777 = CAR(((obj_t) BgL_ll1147z00_2772));
													BgL_az00_2778 = CAR(((obj_t) BgL_ll1148z00_2773));
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_arg1442z00_2779;
														obj_t BgL_arg1444z00_2780;

														BgL_arg1442z00_2779 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2777));
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1445z00_2781;

															BgL_arg1445z00_2781 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2778));
															BgL_arg1444z00_2780 =
																MAKE_YOUNG_PAIR(BgL_arg1445z00_2781, BNIL);
														}
														BgL_arg1441z00_2776 =
															MAKE_YOUNG_PAIR(BgL_arg1442z00_2779,
															BgL_arg1444z00_2780);
													}
												}
												BgL_newtail1151z00_2775 =
													MAKE_YOUNG_PAIR(BgL_arg1441z00_2776, BNIL);
											}
											SET_CDR(BgL_tail1150z00_2774, BgL_newtail1151z00_2775);
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_arg1439z00_2782;
												obj_t BgL_arg1440z00_2783;

												BgL_arg1439z00_2782 = CDR(((obj_t) BgL_ll1147z00_2772));
												BgL_arg1440z00_2783 = CDR(((obj_t) BgL_ll1148z00_2773));
												{
													obj_t BgL_tail1150z00_3252;
													obj_t BgL_ll1148z00_3251;
													obj_t BgL_ll1147z00_3250;

													BgL_ll1147z00_3250 = BgL_arg1439z00_2782;
													BgL_ll1148z00_3251 = BgL_arg1440z00_2783;
													BgL_tail1150z00_3252 = BgL_newtail1151z00_2775;
													BgL_tail1150z00_2774 = BgL_tail1150z00_3252;
													BgL_ll1148z00_2773 = BgL_ll1148z00_3251;
													BgL_ll1147z00_2772 = BgL_ll1147z00_3250;
													goto BgL_zc3z04anonymousza31437ze3z87_2771;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1446z00_2784;

						{	/* Eval/evaluate_uncomp.scm 136 */
							BgL_ev_exprz00_bglt BgL_arg1448z00_2785;

							BgL_arg1448z00_2785 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letza2za2_bglt) BgL_ez00_2560))))->BgL_bodyz00);
							BgL_arg1446z00_2784 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1448z00_2785);
						}
						BgL_arg1435z00_2767 = MAKE_YOUNG_PAIR(BgL_arg1446z00_2784, BNIL);
					}
					BgL_arg1433z00_2765 =
						MAKE_YOUNG_PAIR(BgL_arg1434z00_2766, BgL_arg1435z00_2767);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1960z00zz__evaluate_uncompz00,
					BgL_arg1433z00_2765);
			}
		}

	}



/* &uncomp-ev_let1234 */
	obj_t BGl_z62uncompzd2ev_let1234zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2561, obj_t BgL_ez00_2562)
	{
		{	/* Eval/evaluate_uncomp.scm 130 */
			{	/* Eval/evaluate_uncomp.scm 132 */
				obj_t BgL_arg1417z00_2787;

				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1418z00_2788;
					obj_t BgL_arg1419z00_2789;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_ll1141z00_2790;
						obj_t BgL_ll1142z00_2791;

						BgL_ll1141z00_2790 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2562))))->BgL_varsz00);
						BgL_ll1142z00_2791 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_2562))))->BgL_valsz00);
						if (NULLP(BgL_ll1141z00_2790))
							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_arg1418z00_2788 = BNIL;
							}
						else
							{	/* Eval/evaluate_uncomp.scm 132 */
								obj_t BgL_head1143z00_2792;

								BgL_head1143z00_2792 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1141z00_2794;
									obj_t BgL_ll1142z00_2795;
									obj_t BgL_tail1144z00_2796;

									BgL_ll1141z00_2794 = BgL_ll1141z00_2790;
									BgL_ll1142z00_2795 = BgL_ll1142z00_2791;
									BgL_tail1144z00_2796 = BgL_head1143z00_2792;
								BgL_zc3z04anonymousza31421ze3z87_2793:
									if (NULLP(BgL_ll1141z00_2794))
										{	/* Eval/evaluate_uncomp.scm 132 */
											BgL_arg1418z00_2788 = CDR(BgL_head1143z00_2792);
										}
									else
										{	/* Eval/evaluate_uncomp.scm 132 */
											obj_t BgL_newtail1145z00_2797;

											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1425z00_2798;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_vz00_2799;
													obj_t BgL_az00_2800;

													BgL_vz00_2799 = CAR(((obj_t) BgL_ll1141z00_2794));
													BgL_az00_2800 = CAR(((obj_t) BgL_ll1142z00_2795));
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_arg1426z00_2801;
														obj_t BgL_arg1427z00_2802;

														BgL_arg1426z00_2801 =
															BGl_uncompz00zz__evaluate_uncompz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_2799));
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1428z00_2803;

															BgL_arg1428z00_2803 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_az00_2800));
															BgL_arg1427z00_2802 =
																MAKE_YOUNG_PAIR(BgL_arg1428z00_2803, BNIL);
														}
														BgL_arg1425z00_2798 =
															MAKE_YOUNG_PAIR(BgL_arg1426z00_2801,
															BgL_arg1427z00_2802);
													}
												}
												BgL_newtail1145z00_2797 =
													MAKE_YOUNG_PAIR(BgL_arg1425z00_2798, BNIL);
											}
											SET_CDR(BgL_tail1144z00_2796, BgL_newtail1145z00_2797);
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_arg1423z00_2804;
												obj_t BgL_arg1424z00_2805;

												BgL_arg1423z00_2804 = CDR(((obj_t) BgL_ll1141z00_2794));
												BgL_arg1424z00_2805 = CDR(((obj_t) BgL_ll1142z00_2795));
												{
													obj_t BgL_tail1144z00_3290;
													obj_t BgL_ll1142z00_3289;
													obj_t BgL_ll1141z00_3288;

													BgL_ll1141z00_3288 = BgL_arg1423z00_2804;
													BgL_ll1142z00_3289 = BgL_arg1424z00_2805;
													BgL_tail1144z00_3290 = BgL_newtail1145z00_2797;
													BgL_tail1144z00_2796 = BgL_tail1144z00_3290;
													BgL_ll1142z00_2795 = BgL_ll1142z00_3289;
													BgL_ll1141z00_2794 = BgL_ll1141z00_3288;
													goto BgL_zc3z04anonymousza31421ze3z87_2793;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1429z00_2806;

						{	/* Eval/evaluate_uncomp.scm 132 */
							BgL_ev_exprz00_bglt BgL_arg1432z00_2807;

							BgL_arg1432z00_2807 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letz00_bglt) BgL_ez00_2562))))->BgL_bodyz00);
							BgL_arg1429z00_2806 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1432z00_2807);
						}
						BgL_arg1419z00_2789 = MAKE_YOUNG_PAIR(BgL_arg1429z00_2806, BNIL);
					}
					BgL_arg1417z00_2787 =
						MAKE_YOUNG_PAIR(BgL_arg1418z00_2788, BgL_arg1419z00_2789);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1962z00zz__evaluate_uncompz00,
					BgL_arg1417z00_2787);
			}
		}

	}



/* &uncomp-ev_synchroniz1232 */
	obj_t BGl_z62uncompzd2ev_synchroniza71232z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2563, obj_t BgL_ez00_2564)
	{
		{	/* Eval/evaluate_uncomp.scm 126 */
			{	/* Eval/evaluate_uncomp.scm 128 */
				obj_t BgL_arg1404z00_2809;

				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1405z00_2810;
					obj_t BgL_arg1406z00_2811;

					BgL_arg1405z00_2810 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2564)))->
							BgL_mutexz00));
					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1408z00_2812;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1410z00_2813;
							obj_t BgL_arg1411z00_2814;

							BgL_arg1410z00_2813 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2564)))->
									BgL_prelockz00));
							BgL_arg1411z00_2814 =
								MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
											(BgL_ev_synchroniza7eza7_bglt)
											COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2564)))->
										BgL_bodyz00)), BNIL);
							BgL_arg1408z00_2812 =
								MAKE_YOUNG_PAIR(BgL_arg1410z00_2813, BgL_arg1411z00_2814);
						}
						BgL_arg1406z00_2811 =
							MAKE_YOUNG_PAIR(BGl_keyword1964z00zz__evaluate_uncompz00,
							BgL_arg1408z00_2812);
					}
					BgL_arg1404z00_2809 =
						MAKE_YOUNG_PAIR(BgL_arg1405z00_2810, BgL_arg1406z00_2811);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1966z00zz__evaluate_uncompz00,
					BgL_arg1404z00_2809);
			}
		}

	}



/* &uncomp-ev_with-handl1230 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1230z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2565, obj_t BgL_ez00_2566)
	{
		{	/* Eval/evaluate_uncomp.scm 122 */
			{	/* Eval/evaluate_uncomp.scm 124 */
				obj_t BgL_arg1398z00_2816;

				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1399z00_2817;
					obj_t BgL_arg1400z00_2818;

					BgL_arg1399z00_2817 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2566)))->
							BgL_handlerz00));
					BgL_arg1400z00_2818 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_withzd2handlerzd2_bglt)
									COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2566)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1398z00_2816 =
						MAKE_YOUNG_PAIR(BgL_arg1399z00_2817, BgL_arg1400z00_2818);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1968z00zz__evaluate_uncompz00,
					BgL_arg1398z00_2816);
			}
		}

	}



/* &uncomp-ev_unwind-pro1228 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1228z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2567, obj_t BgL_ez00_2568)
	{
		{	/* Eval/evaluate_uncomp.scm 118 */
			{	/* Eval/evaluate_uncomp.scm 120 */
				obj_t BgL_arg1392z00_2820;

				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1393z00_2821;
					obj_t BgL_arg1394z00_2822;

					BgL_arg1393z00_2821 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2568)))->
							BgL_ez00));
					BgL_arg1394z00_2822 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
									(BgL_ev_unwindzd2protectzd2_bglt)
									COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2568)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1392z00_2820 =
						MAKE_YOUNG_PAIR(BgL_arg1393z00_2821, BgL_arg1394z00_2822);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1970z00zz__evaluate_uncompz00,
					BgL_arg1392z00_2820);
			}
		}

	}



/* &uncomp-ev_bind-exit1226 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1226z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2569, obj_t BgL_ez00_2570)
	{
		{	/* Eval/evaluate_uncomp.scm 114 */
			{	/* Eval/evaluate_uncomp.scm 116 */
				obj_t BgL_arg1384z00_2824;

				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1385z00_2825;
					obj_t BgL_arg1386z00_2826;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1387z00_2827;

						{	/* Eval/evaluate_uncomp.scm 116 */
							BgL_ev_varz00_bglt BgL_arg1388z00_2828;

							BgL_arg1388z00_2828 =
								(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2570)))->BgL_varz00);
							BgL_arg1387z00_2827 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1388z00_2828));
						}
						BgL_arg1385z00_2825 = MAKE_YOUNG_PAIR(BgL_arg1387z00_2827, BNIL);
					}
					BgL_arg1386z00_2826 =
						MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
										((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2570)))->
								BgL_bodyz00)), BNIL);
					BgL_arg1384z00_2824 =
						MAKE_YOUNG_PAIR(BgL_arg1385z00_2825, BgL_arg1386z00_2826);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1972z00zz__evaluate_uncompz00,
					BgL_arg1384z00_2824);
			}
		}

	}



/* &uncomp-ev_setlocal1224 */
	obj_t BGl_z62uncompzd2ev_setlocal1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2571, obj_t BgL_ez00_2572)
	{
		{	/* Eval/evaluate_uncomp.scm 110 */
			{	/* Eval/evaluate_uncomp.scm 112 */
				obj_t BgL_arg1378z00_2830;

				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1379z00_2831;
					obj_t BgL_arg1380z00_2832;

					{	/* Eval/evaluate_uncomp.scm 112 */
						BgL_ev_varz00_bglt BgL_arg1381z00_2833;

						BgL_arg1381z00_2833 =
							(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_2572)))->BgL_vz00);
						BgL_arg1379z00_2831 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1381z00_2833));
					}
					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1382z00_2834;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_exprz00_bglt BgL_arg1383z00_2835;

							BgL_arg1383z00_2835 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_2572))))->BgL_ez00);
							BgL_arg1382z00_2834 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1383z00_2835);
						}
						BgL_arg1380z00_2832 = MAKE_YOUNG_PAIR(BgL_arg1382z00_2834, BNIL);
					}
					BgL_arg1378z00_2830 =
						MAKE_YOUNG_PAIR(BgL_arg1379z00_2831, BgL_arg1380z00_2832);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00,
					BgL_arg1378z00_2830);
			}
		}

	}



/* &uncomp-ev_defglobal1222 */
	obj_t BGl_z62uncompzd2ev_defglobal1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2573, obj_t BgL_ez00_2574)
	{
		{	/* Eval/evaluate_uncomp.scm 106 */
			{	/* Eval/evaluate_uncomp.scm 108 */
				obj_t BgL_arg1372z00_2837;

				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1373z00_2838;
					obj_t BgL_arg1374z00_2839;

					BgL_arg1373z00_2838 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_2574))))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1375z00_2840;

						{	/* Eval/evaluate_uncomp.scm 108 */
							BgL_ev_exprz00_bglt BgL_arg1376z00_2841;

							BgL_arg1376z00_2841 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_defglobalz00_bglt) BgL_ez00_2574))))->BgL_ez00);
							BgL_arg1375z00_2840 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1376z00_2841);
						}
						BgL_arg1374z00_2839 = MAKE_YOUNG_PAIR(BgL_arg1375z00_2840, BNIL);
					}
					BgL_arg1372z00_2837 =
						MAKE_YOUNG_PAIR(BgL_arg1373z00_2838, BgL_arg1374z00_2839);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1976z00zz__evaluate_uncompz00,
					BgL_arg1372z00_2837);
			}
		}

	}



/* &uncomp-ev_setglobal1220 */
	obj_t BGl_z62uncompzd2ev_setglobal1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2575, obj_t BgL_ez00_2576)
	{
		{	/* Eval/evaluate_uncomp.scm 102 */
			{	/* Eval/evaluate_uncomp.scm 104 */
				obj_t BgL_arg1365z00_2843;

				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1367z00_2844;
					obj_t BgL_arg1369z00_2845;

					BgL_arg1367z00_2844 =
						(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_2576)))->BgL_namez00);
					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1370z00_2846;

						{	/* Eval/evaluate_uncomp.scm 104 */
							BgL_ev_exprz00_bglt BgL_arg1371z00_2847;

							BgL_arg1371z00_2847 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setglobalz00_bglt) BgL_ez00_2576))))->BgL_ez00);
							BgL_arg1370z00_2846 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1371z00_2847);
						}
						BgL_arg1369z00_2845 = MAKE_YOUNG_PAIR(BgL_arg1370z00_2846, BNIL);
					}
					BgL_arg1365z00_2843 =
						MAKE_YOUNG_PAIR(BgL_arg1367z00_2844, BgL_arg1369z00_2845);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1974z00zz__evaluate_uncompz00,
					BgL_arg1365z00_2843);
			}
		}

	}



/* &uncomp-ev_trap1218 */
	obj_t BGl_z62uncompzd2ev_trap1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2577, obj_t BgL_ez00_2578)
	{
		{	/* Eval/evaluate_uncomp.scm 98 */
			{	/* Eval/evaluate_uncomp.scm 100 */
				obj_t BgL_arg1362z00_2849;

				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1363z00_2850;

					{	/* Eval/evaluate_uncomp.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1364z00_2851;

						BgL_arg1364z00_2851 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_ez00_2578))))->BgL_ez00);
						BgL_arg1363z00_2850 =
							BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1364z00_2851);
					}
					BgL_arg1362z00_2849 = MAKE_YOUNG_PAIR(BgL_arg1363z00_2850, BNIL);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1978z00zz__evaluate_uncompz00,
					BgL_arg1362z00_2849);
			}
		}

	}



/* &uncomp-ev_prog21216 */
	obj_t BGl_z62uncompzd2ev_prog21216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2579, obj_t BgL_ez00_2580)
	{
		{	/* Eval/evaluate_uncomp.scm 91 */
			{	/* Eval/evaluate_uncomp.scm 93 */
				obj_t BgL_e1z00_2853;
				obj_t BgL_e2z00_2854;

				BgL_e1z00_2853 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2580)))->BgL_e1z00));
				BgL_e2z00_2854 =
					BGl_uncompz00zz__evaluate_uncompz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_2580)))->BgL_e2z00));
				{	/* Eval/evaluate_uncomp.scm 94 */
					bool_t BgL_test2067z00_3383;

					if (PAIRP(BgL_e2z00_2854))
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2067z00_3383 =
								(CAR(BgL_e2z00_2854) ==
								BGl_symbol1980z00zz__evaluate_uncompz00);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 94 */
							BgL_test2067z00_3383 = ((bool_t) 0);
						}
					if (BgL_test2067z00_3383)
						{	/* Eval/evaluate_uncomp.scm 95 */
							obj_t BgL_arg1355z00_2855;

							BgL_arg1355z00_2855 =
								MAKE_YOUNG_PAIR(BgL_e1z00_2853, CDR(BgL_e2z00_2854));
							return
								MAKE_YOUNG_PAIR(BGl_symbol1980z00zz__evaluate_uncompz00,
								BgL_arg1355z00_2855);
						}
					else
						{	/* Eval/evaluate_uncomp.scm 96 */
							obj_t BgL_arg1357z00_2856;

							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1358z00_2857;

								BgL_arg1358z00_2857 = MAKE_YOUNG_PAIR(BgL_e2z00_2854, BNIL);
								BgL_arg1357z00_2856 =
									MAKE_YOUNG_PAIR(BgL_e1z00_2853, BgL_arg1358z00_2857);
							}
							return
								MAKE_YOUNG_PAIR(BGl_symbol1980z00zz__evaluate_uncompz00,
								BgL_arg1357z00_2856);
						}
				}
			}
		}

	}



/* &uncomp-ev_and1214 */
	obj_t BGl_z62uncompzd2ev_and1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2581, obj_t BgL_ez00_2582)
	{
		{	/* Eval/evaluate_uncomp.scm 87 */
			{	/* Eval/evaluate_uncomp.scm 89 */
				obj_t BgL_arg1342z00_2859;

				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_l1135z00_2860;

					BgL_l1135z00_2860 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_2582))))->BgL_argsz00);
					if (NULLP(BgL_l1135z00_2860))
						{	/* Eval/evaluate_uncomp.scm 89 */
							BgL_arg1342z00_2859 = BNIL;
						}
					else
						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_head1137z00_2861;

							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_arg1350z00_2862;

								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_arg1351z00_2863;

									BgL_arg1351z00_2863 = CAR(((obj_t) BgL_l1135z00_2860));
									BgL_arg1350z00_2862 =
										BGl_uncompz00zz__evaluate_uncompz00(
										((BgL_ev_exprz00_bglt) BgL_arg1351z00_2863));
								}
								BgL_head1137z00_2861 =
									MAKE_YOUNG_PAIR(BgL_arg1350z00_2862, BNIL);
							}
							{	/* Eval/evaluate_uncomp.scm 89 */
								obj_t BgL_g1140z00_2864;

								BgL_g1140z00_2864 = CDR(((obj_t) BgL_l1135z00_2860));
								{
									obj_t BgL_l1135z00_2866;
									obj_t BgL_tail1138z00_2867;

									BgL_l1135z00_2866 = BgL_g1140z00_2864;
									BgL_tail1138z00_2867 = BgL_head1137z00_2861;
								BgL_zc3z04anonymousza31344ze3z87_2865:
									if (NULLP(BgL_l1135z00_2866))
										{	/* Eval/evaluate_uncomp.scm 89 */
											BgL_arg1342z00_2859 = BgL_head1137z00_2861;
										}
									else
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_newtail1139z00_2868;

											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_arg1348z00_2869;

												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_arg1349z00_2870;

													BgL_arg1349z00_2870 =
														CAR(((obj_t) BgL_l1135z00_2866));
													BgL_arg1348z00_2869 =
														BGl_uncompz00zz__evaluate_uncompz00(
														((BgL_ev_exprz00_bglt) BgL_arg1349z00_2870));
												}
												BgL_newtail1139z00_2868 =
													MAKE_YOUNG_PAIR(BgL_arg1348z00_2869, BNIL);
											}
											SET_CDR(BgL_tail1138z00_2867, BgL_newtail1139z00_2868);
											{	/* Eval/evaluate_uncomp.scm 89 */
												obj_t BgL_arg1347z00_2871;

												BgL_arg1347z00_2871 = CDR(((obj_t) BgL_l1135z00_2866));
												{
													obj_t BgL_tail1138z00_3417;
													obj_t BgL_l1135z00_3416;

													BgL_l1135z00_3416 = BgL_arg1347z00_2871;
													BgL_tail1138z00_3417 = BgL_newtail1139z00_2868;
													BgL_tail1138z00_2867 = BgL_tail1138z00_3417;
													BgL_l1135z00_2866 = BgL_l1135z00_3416;
													goto BgL_zc3z04anonymousza31344ze3z87_2865;
												}
											}
										}
								}
							}
						}
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1982z00zz__evaluate_uncompz00,
					BgL_arg1342z00_2859);
			}
		}

	}



/* &uncomp-ev_or1212 */
	obj_t BGl_z62uncompzd2ev_or1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2583, obj_t BgL_ez00_2584)
	{
		{	/* Eval/evaluate_uncomp.scm 83 */
			{	/* Eval/evaluate_uncomp.scm 85 */
				obj_t BgL_arg1333z00_2873;

				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_l1129z00_2874;

					BgL_l1129z00_2874 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_2584))))->BgL_argsz00);
					if (NULLP(BgL_l1129z00_2874))
						{	/* Eval/evaluate_uncomp.scm 85 */
							BgL_arg1333z00_2873 = BNIL;
						}
					else
						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_head1131z00_2875;

							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_arg1340z00_2876;

								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_arg1341z00_2877;

									BgL_arg1341z00_2877 = CAR(((obj_t) BgL_l1129z00_2874));
									BgL_arg1340z00_2876 =
										BGl_uncompz00zz__evaluate_uncompz00(
										((BgL_ev_exprz00_bglt) BgL_arg1341z00_2877));
								}
								BgL_head1131z00_2875 =
									MAKE_YOUNG_PAIR(BgL_arg1340z00_2876, BNIL);
							}
							{	/* Eval/evaluate_uncomp.scm 85 */
								obj_t BgL_g1134z00_2878;

								BgL_g1134z00_2878 = CDR(((obj_t) BgL_l1129z00_2874));
								{
									obj_t BgL_l1129z00_2880;
									obj_t BgL_tail1132z00_2881;

									BgL_l1129z00_2880 = BgL_g1134z00_2878;
									BgL_tail1132z00_2881 = BgL_head1131z00_2875;
								BgL_zc3z04anonymousza31335ze3z87_2879:
									if (NULLP(BgL_l1129z00_2880))
										{	/* Eval/evaluate_uncomp.scm 85 */
											BgL_arg1333z00_2873 = BgL_head1131z00_2875;
										}
									else
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_newtail1133z00_2882;

											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_arg1338z00_2883;

												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_arg1339z00_2884;

													BgL_arg1339z00_2884 =
														CAR(((obj_t) BgL_l1129z00_2880));
													BgL_arg1338z00_2883 =
														BGl_uncompz00zz__evaluate_uncompz00(
														((BgL_ev_exprz00_bglt) BgL_arg1339z00_2884));
												}
												BgL_newtail1133z00_2882 =
													MAKE_YOUNG_PAIR(BgL_arg1338z00_2883, BNIL);
											}
											SET_CDR(BgL_tail1132z00_2881, BgL_newtail1133z00_2882);
											{	/* Eval/evaluate_uncomp.scm 85 */
												obj_t BgL_arg1337z00_2885;

												BgL_arg1337z00_2885 = CDR(((obj_t) BgL_l1129z00_2880));
												{
													obj_t BgL_tail1132z00_3442;
													obj_t BgL_l1129z00_3441;

													BgL_l1129z00_3441 = BgL_arg1337z00_2885;
													BgL_tail1132z00_3442 = BgL_newtail1133z00_2882;
													BgL_tail1132z00_2881 = BgL_tail1132z00_3442;
													BgL_l1129z00_2880 = BgL_l1129z00_3441;
													goto BgL_zc3z04anonymousza31335ze3z87_2879;
												}
											}
										}
								}
							}
						}
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1984z00zz__evaluate_uncompz00,
					BgL_arg1333z00_2873);
			}
		}

	}



/* &uncomp-ev_if1210 */
	obj_t BGl_z62uncompzd2ev_if1210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2585, obj_t BgL_ez00_2586)
	{
		{	/* Eval/evaluate_uncomp.scm 79 */
			{	/* Eval/evaluate_uncomp.scm 81 */
				obj_t BgL_arg1320z00_2887;

				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1321z00_2888;
					obj_t BgL_arg1322z00_2889;

					BgL_arg1321z00_2888 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_2586)))->BgL_pz00));
					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1327z00_2890;
						obj_t BgL_arg1328z00_2891;

						BgL_arg1327z00_2890 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_2586)))->BgL_tz00));
						BgL_arg1328z00_2891 =
							MAKE_YOUNG_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) COBJECT(
											((BgL_ev_ifz00_bglt) BgL_ez00_2586)))->BgL_ez00)), BNIL);
						BgL_arg1322z00_2889 =
							MAKE_YOUNG_PAIR(BgL_arg1327z00_2890, BgL_arg1328z00_2891);
					}
					BgL_arg1320z00_2887 =
						MAKE_YOUNG_PAIR(BgL_arg1321z00_2888, BgL_arg1322z00_2889);
				}
				return
					MAKE_YOUNG_PAIR(BGl_symbol1986z00zz__evaluate_uncompz00,
					BgL_arg1320z00_2887);
			}
		}

	}



/* &uncomp-ev_litt1208 */
	obj_t BGl_z62uncompzd2ev_litt1208zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2587, obj_t BgL_ez00_2588)
	{
		{	/* Eval/evaluate_uncomp.scm 75 */
			{	/* Eval/evaluate_uncomp.scm 77 */
				obj_t BgL_arg1318z00_2893;

				BgL_arg1318z00_2893 =
					MAKE_YOUNG_PAIR(
					(((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_ez00_2588)))->BgL_valuez00), BNIL);
				return
					MAKE_YOUNG_PAIR(BGl_symbol1988z00zz__evaluate_uncompz00,
					BgL_arg1318z00_2893);
			}
		}

	}



/* &uncomp-ev_global1206 */
	obj_t BGl_z62uncompzd2ev_global1206zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2589, obj_t BgL_varz00_2590)
	{
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_varz00_2590)))->BgL_namez00);
		}

	}



/* &uncomp-ev_var1204 */
	obj_t BGl_z62uncompzd2ev_var1204zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2591, obj_t BgL_varz00_2592)
	{
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_varz00_2592)))->BgL_namez00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00(void)
	{
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(393254000L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(248789584L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(422740572L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(94612255L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(42051238L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string1990z00zz__evaluate_uncompz00));
		}

	}

#ifdef __cplusplus
}
#endif
