/*===========================================================================*/
/*   (Llib/uvtypes.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/uvtypes.scm -o objs/uvtypes.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_TYPES_TYPE_DEFINITIONS
#define BGL___LIBUV_TYPES_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z52uvz52_bgl {
   header_t header;
   obj_t widening;
} *BgL_z52uvz52_bglt;

typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvstreamz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
} *BgL_uvstreamz00_bglt;

typedef struct BgL_uvtcpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
} *BgL_uvtcpz00_bglt;

typedef struct BgL_uvudpz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   obj_t BgL_z52procmz52;
} *BgL_uvudpz00_bglt;

typedef struct BgL_uvpipez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   bool_t BgL_ipcz00;
} *BgL_uvpipez00_bglt;

typedef struct BgL_uvttyz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   void * BgL_z52dataz52;
   int BgL_fdz00;
   bool_t BgL_readablez00;
} *BgL_uvttyz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;

typedef struct BgL_uvidlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvidlez00_bglt;

typedef struct BgL_uvasyncz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvasyncz00_bglt;

typedef struct BgL_uvpollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
   int BgL_fdz00;
} *BgL_uvpollz00_bglt;

typedef struct BgL_uvfilez00_bgl {
   header_t header;
   obj_t widening;
   int BgL_fdz00;
   obj_t BgL_pathz00;
} *BgL_uvfilez00_bglt;

typedef struct BgL_uvfseventz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvfseventz00_bglt;

typedef struct BgL_uvfspollz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvfspollz00_bglt;

typedef struct BgL_uvcheckz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvcheckz00_bglt;

typedef struct BgL_uvprocessz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z42onexitz42;
} *BgL_uvprocessz00_bglt;

typedef struct BgL_uvprocessoptionsz00_bgl {
   header_t header;
   obj_t widening;
   uv_process_options_t * BgL_z42builtinz42;
} *BgL_uvprocessoptionsz00_bglt;

typedef struct BgL_uvworkz00_bgl {
   header_t header;
   obj_t widening;
   uv_work_t * BgL_z42builtinz42;
   obj_t BgL_z52workzd2cbz80;
   obj_t BgL_z52afterzd2cbz80;
} *BgL_uvworkz00_bglt;


#endif // BGL___LIBUV_TYPES_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31943ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1931z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1770z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1932z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1771z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1852z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1853z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1938z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1778z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1699z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1860z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvttyz00_bglt BGl_z62lambda1941z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1785z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1947z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1948z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvstreamz00_bglt BGl_z62lambda1868z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL char * BGl_uvzd2versionzd2zz__libuv_typesz00(void);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_handle_type_symbol(int);
static BgL_uvstreamz00_bglt BGl_z62lambda1871z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1952z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_uv_guess_handle(int);
static obj_t BGl_z62lambda1953z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1877z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1959z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTtyz00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvtimerz00_bglt BGl_z62lambda1962z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1883z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsPollz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1884z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1969z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFsEventz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1970z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvtcpz00_bglt BGl_z62lambda1891z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static BgL_uvtcpz00_bglt BGl_z62lambda1894z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1976z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1977z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvidlez00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void);
static BgL_uvidlez00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32210ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32121ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt, obj_t, obj_t);
static obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1995z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvasyncz00_bglt BGl_z62lambda1998z62zz__libuv_typesz00(obj_t);
extern void bgl_uv_process_options_args_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3z04anonymousza32122ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvIdlez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31789ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvFilez00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvHandlez00zz__libuv_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvAsyncz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void);
BGL_EXPORTED_DEF obj_t BGl_UvLoopz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32142ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2namez00zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPipez00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32136ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32217ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda2006z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvpollz00_bglt BGl_z62lambda2009z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32170ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvWorkz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2015z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2016z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32146ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_IMPORT bool_t BGl_nilzf3zf3zz__objectz00(BgL_objectz00_bglt);
BGL_EXPORTED_DEF obj_t BGl_UvProcessz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31701ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvfilez00_bglt BGl_z62lambda2022z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
extern obj_t bgl_uv_process_options_args_get(uv_process_options_t *);
static BgL_uvfilez00_bglt BGl_z62lambda2024z62zz__libuv_typesz00(obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2105z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvprocessoptionsz00_bglt BGl_z62lambda2108z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvStreamz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvWatcherz00zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
extern obj_t bgl_uv_process_options_env_get(uv_process_options_t *);
static obj_t BGl_z62lambda2030z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2031z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2115z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2035z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2116z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2036z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTcpz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_UvProcessOptionsz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvfseventz00_bglt BGl_z62lambda2042z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32092ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfseventz00_bglt BGl_z62lambda2045z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda2053z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfspollz00_bglt BGl_z62lambda2056z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvPollz00zz__libuv_typesz00 = BUNSPEC;
extern void bgl_uv_process_options_env_set(uv_process_options_t *, obj_t);
static obj_t BGl_z62zc3z04anonymousza31802ze3ze5zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static BgL_uvcheckz00_bglt BGl_z62lambda2064z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32167ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvUdpz00zz__libuv_typesz00 = BUNSPEC;
static BgL_uvworkz00_bglt BGl_z62lambda2228z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_uvcheckz00_bglt BGl_z62lambda2067z62zz__libuv_typesz00(obj_t);
static BgL_uvworkz00_bglt BGl_z62lambda2231z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2075z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2238z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2239z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvprocessz00_bglt BGl_z62lambda2078z62zz__libuv_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void);
static obj_t BGl_z62lambda2244z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32096ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2245z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2085z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2086z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2249z62zz__libuv_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvTimerz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DECL BgL_uvfilez00_bglt bgl_uv_new_file(int, obj_t);
static obj_t BGl_z62lambda2250z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31619ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int);
static obj_t BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_z52uvz52_bglt BGl_z62lambda1617z62zz__libuv_typesz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62lambda1700z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31734ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1712z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1713z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__libuv_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1636z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1800z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31760ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1801z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31744ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1732z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1733z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvhandlez00_bglt BGl_z62lambda1652z62zz__libuv_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_UvCheckz00zz__libuv_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_z52Uvz52zz__libuv_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__libuv_typesz00(obj_t);
static obj_t BGl_z62lambda1742z62zz__libuv_typesz00(obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1904z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1743z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvudpz00_bglt BGl_z62lambda1907z62zz__libuv_typesz00(obj_t);
static BgL_uvwatcherz00_bglt BGl_z62lambda1827z62zz__libuv_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1758z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1759z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31772ze3ze5zz__libuv_typesz00(obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1922z62zz__libuv_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvloopz00_bglt BGl_z62lambda1843z62zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__libuv_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__libuv_typesz00(obj_t, obj_t, obj_t);
static BgL_uvpipez00_bglt BGl_z62lambda1925z62zz__libuv_typesz00(obj_t);
static obj_t __cnst[ 69 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2guesszd2handlezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2guessza7d22442za7, BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2strerrorzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2strerror2443z00, BGl_z62uvzd2strerrorzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2444za7, BGl_z62zc3z04anonymousza31789ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__libuv_typesz00, BgL_bgl_za762lambda1785za7622445z00, BGl_z62lambda1785z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__libuv_typesz00, BgL_bgl_za762lambda1778za7622446z00, BGl_z62lambda1778z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__libuv_typesz00, BgL_bgl_za762lambda1844za7622447z00, BGl_z62lambda1844z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__libuv_typesz00, BgL_bgl_za762lambda1843za7622448z00, BGl_z62lambda1843z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2449za7, BGl_z62zc3z04anonymousza31854ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__libuv_typesz00, BgL_bgl_za762lambda1853za7622450z00, BGl_z62lambda1853z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__libuv_typesz00, BgL_bgl_za762lambda1852za7622451z00, BGl_z62lambda1852z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2452za7, BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__libuv_typesz00, BgL_bgl_za762lambda1861za7622453z00, BGl_z62lambda1861z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__libuv_typesz00, BgL_bgl_za762lambda1860za7622454z00, BGl_z62lambda1860z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2455za7, BGl_z62zc3z04anonymousza31829ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__libuv_typesz00, BgL_bgl_za762lambda1827za7622456z00, BGl_z62lambda1827z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__libuv_typesz00, BgL_bgl_za762lambda1878za7622457z00, BGl_z62lambda1878z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__libuv_typesz00, BgL_bgl_za762lambda1877za7622458z00, BGl_z62lambda1877z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2459za7, BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__libuv_typesz00, BgL_bgl_za762lambda1884za7622460z00, BGl_z62lambda1884z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__libuv_typesz00, BgL_bgl_za762lambda1883za7622461z00, BGl_z62lambda1883z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2462za7, BGl_z62zc3z04anonymousza31873ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__libuv_typesz00, BgL_bgl_za762lambda1871za7622463z00, BGl_z62lambda1871z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2464za7, BGl_z62zc3z04anonymousza32147ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2465za7, BGl_z62zc3z04anonymousza32146ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__libuv_typesz00, BgL_bgl_za762lambda1868za7622466z00, BGl_z62lambda1868z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2467za7, BGl_z62zc3z04anonymousza32152ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2468za7, BGl_z62zc3z04anonymousza31898ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2469za7, BGl_z62zc3z04anonymousza32151ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__libuv_typesz00, BgL_bgl_za762lambda1894za7622470z00, BGl_z62lambda1894z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2471za7, BGl_z62zc3z04anonymousza32157ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__libuv_typesz00, BgL_bgl_za762lambda1891za7622472z00, BGl_z62lambda1891z62zz__libuv_typesz00, 0L, BUNSPEC, 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2473za7, BGl_z62zc3z04anonymousza32160ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2474za7, BGl_z62zc3z04anonymousza31916ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2475za7, BGl_z62zc3z04anonymousza32167ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__libuv_typesz00, BgL_bgl_za762lambda1915za7622476z00, BGl_z62lambda1915z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2477za7, BGl_z62zc3z04anonymousza32170ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__libuv_typesz00, BgL_bgl_za762lambda1914za7622478z00, BGl_z62lambda1914z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2479za7, BGl_z62zc3z04anonymousza32177ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2480za7, BGl_z62zc3z04anonymousza31909ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2481za7, BGl_z62zc3z04anonymousza32180ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__libuv_typesz00, BgL_bgl_za762lambda1907za7622482z00, BGl_z62lambda1907z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__libuv_typesz00, BgL_bgl_za762lambda1904za7622483z00, BGl_z62lambda1904z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2484za7, BGl_z62zc3z04anonymousza32187ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2485za7, BGl_z62zc3z04anonymousza32190ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__libuv_typesz00, BgL_bgl_za762lambda1932za7622486z00, BGl_z62lambda1932z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2487za7, BGl_z62zc3z04anonymousza32197ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__libuv_typesz00, BgL_bgl_za762lambda1931za7622488z00, BGl_z62lambda1931z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2489za7, BGl_z62zc3z04anonymousza32200ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2490za7, BGl_z62zc3z04anonymousza31927ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2491za7, BGl_z62zc3z04anonymousza32207ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__libuv_typesz00, BgL_bgl_za762lambda1925za7622492z00, BGl_z62lambda1925z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2493za7, BGl_z62zc3z04anonymousza32210ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__libuv_typesz00, BgL_bgl_za762lambda1922za7622494z00, BGl_z62lambda1922z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2495za7, BGl_z62zc3z04anonymousza32217ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__libuv_typesz00, BgL_bgl_za762lambda1948za7622496z00, BGl_z62lambda1948z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2497za7, BGl_z62zc3z04anonymousza32220ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__libuv_typesz00, BgL_bgl_za762lambda1947za7622498z00, BGl_z62lambda1947z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2499za7, BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__libuv_typesz00, BgL_bgl_za762lambda1953za7622500z00, BGl_z62lambda1953z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__libuv_typesz00, BgL_bgl_za762lambda2108za7622501z00, BGl_z62lambda2108z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__libuv_typesz00, BgL_bgl_za762lambda1952za7622502z00, BGl_z62lambda1952z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2503za7, BGl_z62zc3z04anonymousza31943ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__libuv_typesz00, BgL_bgl_za762lambda2105za7622504z00, BGl_z62lambda2105z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2505za7, BGl_z62zc3z04anonymousza32240ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__libuv_typesz00, BgL_bgl_za762lambda1941za7622506z00, BGl_z62lambda1941z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__libuv_typesz00, BgL_bgl_za762lambda2239za7622507z00, BGl_z62lambda2239z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__libuv_typesz00, BgL_bgl_za762lambda1938za7622508z00, BGl_z62lambda1938z62zz__libuv_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__libuv_typesz00, BgL_bgl_za762lambda2238za7622509z00, BGl_z62lambda2238z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2510za7, BGl_z62zc3z04anonymousza31971ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__libuv_typesz00, BgL_bgl_za762lambda2245za7622511z00, BGl_z62lambda2245z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__libuv_typesz00, BgL_bgl_za762lambda1970za7622512z00, BGl_z62lambda1970z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2popzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2popza7d2gc2513za7, BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2425z00zz__libuv_typesz00, BgL_bgl_za762lambda2244za7622514z00, BGl_z62lambda2244z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__libuv_typesz00, BgL_bgl_za762lambda1969za7622515z00, BGl_z62lambda1969z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2432z00zz__libuv_typesz00, BgL_bgl_string2432za700za7za7_2516za7, "%uv-init1340", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__libuv_typesz00, BgL_bgl_za762lambda2250za7622517z00, BGl_z62lambda2250z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2518za7, BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__libuv_typesz00, BgL_bgl_za762lambda2249za7622519z00, BGl_z62lambda2249z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__libuv_typesz00, BgL_bgl_za762lambda1977za7622520z00, BGl_z62lambda1977z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2434z00zz__libuv_typesz00, BgL_bgl_string2434za700za7za7_2521za7, "object-print", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2522za7, BGl_z62zc3z04anonymousza32233ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__libuv_typesz00, BgL_bgl_za762lambda1976za7622523z00, BGl_z62lambda1976z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2435z00zz__libuv_typesz00, BgL_bgl_string2435za700za7za7_2524za7, " [", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__libuv_typesz00, BgL_bgl_za762lambda2231za7622525z00, BGl_z62lambda2231z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2526za7, BGl_z62zc3z04anonymousza31964ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2273z00zz__libuv_typesz00, BgL_bgl_string2273za700za7za7_2527za7, "", 0 );
DEFINE_STRING( BGl_string2436z00zz__libuv_typesz00, BgL_bgl_string2436za700za7za7_2528za7, "#|", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__libuv_typesz00, BgL_bgl_za762lambda1962za7622529z00, BGl_z62lambda1962z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2437z00zz__libuv_typesz00, BgL_bgl_string2437za700za7za7_2530za7, " (0x", 4 );
DEFINE_STRING( BGl_string2438z00zz__libuv_typesz00, BgL_bgl_string2438za700za7za7_2531za7, ")", 1 );
DEFINE_STRING( BGl_string2439z00zz__libuv_typesz00, BgL_bgl_string2439za700za7za7_2532za7, " nil|", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__libuv_typesz00, BgL_bgl_za762lambda2228za7622533z00, BGl_z62lambda2228z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2init12534za7, BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__libuv_typesz00, BgL_bgl_za762lambda1959za7622535z00, BGl_z62lambda1959z62zz__libuv_typesz00, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2536za7, BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__libuv_typesz00, BgL_bgl_za762objectza7d2prin2537z00, BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2352z00zz__libuv_typesz00, BgL_bgl_za762lambda1987za7622538z00, BGl_z62lambda1987z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2440z00zz__libuv_typesz00, BgL_bgl_string2440za700za7za7_2539za7, "(#\\$ #\\%) UvWork %after-cb %work-cb $uv_work_t UvProcessOptions gid uid flags cwd env args file $uv_process_options_t UvProcess pid $onexit UvCheck UvFsPoll UvFsEvent UvFile bstring path UvPoll UvAsync UvIdle UvTimer ref uint64 repeat UvTty readable int fd UvPipe ipc UvUdp %procm UvTcp UvStream UvWatcher void* %data procedure cb loop UvLoop mutex %mutex UvHandle bool closed %gcmark %gcmarkstail pair-nil %gcmarkshead obj %onclose $uv_handle_t $builtin __libuv_types %Uv UNDEFINED UNKNOWN FILE PIPE UDP TTY TCP ", 513 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__libuv_typesz00, BgL_bgl_za762lambda1984za7622540z00, BGl_z62lambda1984z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2541za7, BGl_z62zc3z04anonymousza32000ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__libuv_typesz00, BgL_bgl_za762lambda1998za7622542z00, BGl_z62lambda1998z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2543za7, BGl_z62zc3z04anonymousza31619ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__libuv_typesz00, BgL_bgl_za762lambda1995za7622544z00, BGl_z62lambda1995z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__libuv_typesz00, BgL_bgl_za762lambda1617za7622545z00, BGl_z62lambda1617z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__libuv_typesz00, BgL_bgl_za762lambda2016za7622546z00, BGl_z62lambda2016z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2547za7, BGl_z62zc3z04anonymousza31701ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__libuv_typesz00, BgL_bgl_za762lambda2015za7622548z00, BGl_z62lambda2015z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__libuv_typesz00, BgL_bgl_za762lambda1700za7622549z00, BGl_z62lambda1700z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2550za7, BGl_z62zc3z04anonymousza32011ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__libuv_typesz00, BgL_bgl_za762lambda1699za7622551z00, BGl_z62lambda1699z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2552za7, BGl_z62zc3z04anonymousza31714ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__libuv_typesz00, BgL_bgl_za762lambda2009za7622553z00, BGl_z62lambda2009z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2361z00zz__libuv_typesz00, BgL_bgl_za762lambda2006za7622554z00, BGl_z62lambda2006z62zz__libuv_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__libuv_typesz00, BgL_bgl_za762lambda1713za7622555z00, BGl_z62lambda1713z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__libuv_typesz00, BgL_bgl_za762lambda2031za7622556z00, BGl_z62lambda2031z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__libuv_typesz00, BgL_bgl_za762lambda1712za7622557z00, BGl_z62lambda1712z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__libuv_typesz00, BgL_bgl_za762lambda2030za7622558z00, BGl_z62lambda2030z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2559za7, BGl_z62zc3z04anonymousza31734ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__libuv_typesz00, BgL_bgl_za762lambda2036za7622560z00, BGl_z62lambda2036z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__libuv_typesz00, BgL_bgl_za762lambda1733za7622561z00, BGl_z62lambda1733z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__libuv_typesz00, BgL_bgl_za762lambda2035za7622562z00, BGl_z62lambda2035z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__libuv_typesz00, BgL_bgl_za762lambda1732za7622563z00, BGl_z62lambda1732z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2564za7, BGl_z62zc3z04anonymousza32026ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2565za7, BGl_z62zc3z04anonymousza31744ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2367z00zz__libuv_typesz00, BgL_bgl_za762lambda2024za7622566z00, BGl_z62lambda2024z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__libuv_typesz00, BgL_bgl_za762lambda1743za7622567z00, BGl_z62lambda1743z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__libuv_typesz00, BgL_bgl_za762lambda2022za7622568z00, BGl_z62lambda2022z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__libuv_typesz00, BgL_bgl_za762lambda1742za7622569z00, BGl_z62lambda1742z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2570za7, BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2571za7, BGl_z62zc3z04anonymousza31760ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__libuv_typesz00, BgL_bgl_za762lambda1759za7622572z00, BGl_z62lambda1759z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__libuv_typesz00, BgL_bgl_za762lambda2045za7622573z00, BGl_z62lambda2045z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__libuv_typesz00, BgL_bgl_za762lambda2042za7622574z00, BGl_z62lambda2042z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__libuv_typesz00, BgL_bgl_za762lambda1758za7622575z00, BGl_z62lambda1758z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2372z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2576za7, BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2577za7, BGl_z62zc3z04anonymousza31772ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__libuv_typesz00, BgL_bgl_za762lambda2056za7622578z00, BGl_z62lambda2056z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__libuv_typesz00, BgL_bgl_za762lambda1771za7622579z00, BGl_z62lambda1771z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__libuv_typesz00, BgL_bgl_za762lambda2053za7622580z00, BGl_z62lambda2053z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__libuv_typesz00, BgL_bgl_za762lambda1770za7622581z00, BGl_z62lambda1770z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2582za7, BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2583za7, BGl_z62zc3z04anonymousza31654ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2376z00zz__libuv_typesz00, BgL_bgl_za762lambda2067za7622584z00, BGl_z62lambda2067z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__libuv_typesz00, BgL_bgl_za762lambda1652za7622585z00, BGl_z62lambda1652z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__libuv_typesz00, BgL_bgl_za762lambda2064za7622586z00, BGl_z62lambda2064z62zz__libuv_typesz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__libuv_typesz00, BgL_bgl_za762lambda1636za7622587z00, BGl_z62lambda1636z62zz__libuv_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2588za7, BGl_z62zc3z04anonymousza32087ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2589za7, BGl_z62zc3z04anonymousza31802ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__libuv_typesz00, BgL_bgl_za762lambda2086za7622590z00, BGl_z62lambda2086z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__libuv_typesz00, BgL_bgl_za762lambda1801za7622591z00, BGl_z62lambda1801z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__libuv_typesz00, BgL_bgl_za762lambda1800za7622592z00, BGl_z62lambda1800z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__libuv_typesz00, BgL_bgl_za762lambda2085za7622593z00, BGl_z62lambda2085z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2594za7, BGl_z62zc3z04anonymousza32092ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2595za7, BGl_z62zc3z04anonymousza32091ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2596za7, BGl_z62zc3z04anonymousza32096ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2597za7, BGl_z62zc3z04anonymousza32080ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2385z00zz__libuv_typesz00, BgL_bgl_za762lambda2078za7622598z00, BGl_z62lambda2078z62zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__libuv_typesz00, BgL_bgl_za762lambda2075za7622599z00, BGl_z62lambda2075z62zz__libuv_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2600za7, BGl_z62zc3z04anonymousza32117ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__libuv_typesz00, BgL_bgl_za762lambda2116za7622601z00, BGl_z62lambda2116z62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2389z00zz__libuv_typesz00, BgL_bgl_za762lambda2115za7622602z00, BGl_z62lambda2115z62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2603za7, BGl_z62zc3z04anonymousza32122ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2604za7, BGl_z62zc3z04anonymousza32121ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2605za7, BGl_z62zc3z04anonymousza32127ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2606za7, BGl_z62zc3z04anonymousza32126ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2607za7, BGl_z62zc3z04anonymousza32132ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2608za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_objectzd2printzd2envz00zz__objectz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2609za7, BGl_z62zc3z04anonymousza32137ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2610za7, BGl_z62zc3z04anonymousza32136ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2611za7, BGl_z62zc3z04anonymousza32142ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__libuv_typesz00, BgL_bgl_za762za7c3za704anonymo2612za7, BGl_z62zc3z04anonymousza32141ze3ze5zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BgL_bgl_za762za752uvza7d2initza72613z00, BGl_z62z52uvzd2initze2zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2gcmarkszd2emptyzf3zd2envz21zz__libuv_typesz00, BgL_bgl_za762uvza7d2gcmarksza72614za7, BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2errzd2namezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2errza7d2na2615za7, BGl_z62uvzd2errzd2namez62zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2pushzd2gcmarkz12zd2envzc0zz__libuv_typesz00, BgL_bgl_za762uvza7d2pushza7d2g2616za7, BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2newzd2filezd2envzd2zz__libuv_typesz00, BgL_bgl_za762uvza7d2newza7d2fi2617za7, BGl_z62uvzd2newzd2filez62zz__libuv_typesz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2versionzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2versionza72618za7, BGl_z62uvzd2versionzb0zz__libuv_typesz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2handlezd2typezd2symbolzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2handleza7d2619za7, BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idzd2envz00zz__libuv_typesz00, BgL_bgl_za762uvza7d2idza7b0za7za7_2620za7, BGl_z62uvzd2idzb0zz__libuv_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTtyz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFsEventz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvIdlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvFilez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvHandlez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvAsyncz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvLoopz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPipez00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWorkz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvStreamz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvWatcherz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTcpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvProcessOptionsz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvPollz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvUdpz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvTimerz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_UvCheckz00zz__libuv_typesz00) );
ADD_ROOT( (void *)(&BGl_z52Uvz52zz__libuv_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long BgL_checksumz00_2650, char * BgL_fromz00_2651)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(); 
BGl_cnstzd2initzd2zz__libuv_typesz00(); 
BGl_objectzd2initzd2zz__libuv_typesz00(); 
BGl_genericzd2initzd2zz__libuv_typesz00(); 
BGl_methodzd2initzd2zz__libuv_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__threadz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__libuv_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__libuv_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_cportz00_2261;
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_stringz00_2268;
BgL_stringz00_2268 = BGl_string2440z00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_startz00_2269;
BgL_startz00_2269 = 
BINT(0L); 
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_endz00_2270;
BgL_endz00_2270 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2268))); 
{ /* Llib/uvtypes.scm 15 */

BgL_cportz00_2261 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2268, BgL_startz00_2269, BgL_endz00_2270); } } } } 
{ 
 long BgL_iz00_2262;
BgL_iz00_2262 = 68L; 
BgL_loopz00_2263:
if(
(BgL_iz00_2262==(-1L)))
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_arg2441z00_2264;
{ /* Llib/uvtypes.scm 15 */

{ /* Llib/uvtypes.scm 15 */
 obj_t BgL_locationz00_2266;
BgL_locationz00_2266 = 
BBOOL(((bool_t)0)); 
{ /* Llib/uvtypes.scm 15 */

BgL_arg2441z00_2264 = 
BGl_readz00zz__readerz00(BgL_cportz00_2261, BgL_locationz00_2266); } } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_tmpz00_2682;
BgL_tmpz00_2682 = 
(int)(BgL_iz00_2262); 
CNST_TABLE_SET(BgL_tmpz00_2682, BgL_arg2441z00_2264); } } 
{ /* Llib/uvtypes.scm 15 */
 int BgL_auxz00_2267;
BgL_auxz00_2267 = 
(int)(
(BgL_iz00_2262-1L)); 
{ 
 long BgL_iz00_2687;
BgL_iz00_2687 = 
(long)(BgL_auxz00_2267); 
BgL_iz00_2262 = BgL_iz00_2687; 
goto BgL_loopz00_2263;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return BUNSPEC;} 

}



/* uv-version */
BGL_EXPORTED_DEF char * BGl_uvzd2versionzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 172 */
return 
(char *)uv_version_string();} 

}



/* &uv-version */
obj_t BGl_z62uvzd2versionzb0zz__libuv_typesz00(obj_t BgL_envz00_1625)
{
{ /* Llib/uvtypes.scm 172 */
return 
string_to_bstring(
BGl_uvzd2versionzd2zz__libuv_typesz00());} 

}



/* uv-id */
BGL_EXPORTED_DEF int BGl_uvzd2idzd2zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_3)
{
{ /* Llib/uvtypes.scm 178 */
{ /* Llib/uvtypes.scm 180 */
 uv_handle_t * BgL_arg1355z00_1211;
BgL_arg1355z00_1211 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_3))->BgL_z42builtinz42); 
return 
(int)(
(long)(BgL_arg1355z00_1211));} } 

}



/* &uv-id */
obj_t BGl_z62uvzd2idzb0zz__libuv_typesz00(obj_t BgL_envz00_1626, obj_t BgL_oz00_1627)
{
{ /* Llib/uvtypes.scm 178 */
return 
BINT(
BGl_uvzd2idzd2zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1627)));} 

}



/* uv-new-file */
BGL_EXPORTED_DEF BgL_uvfilez00_bglt bgl_uv_new_file(int BgL_fdz00_8, obj_t BgL_pathz00_9)
{
{ /* Llib/uvtypes.scm 226 */
{ /* Llib/uvtypes.scm 227 */
 BgL_uvfilez00_bglt BgL_new1245z00_1212;
{ /* Llib/uvtypes.scm 228 */
 BgL_uvfilez00_bglt BgL_new1244z00_1213;
BgL_new1244z00_1213 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 228 */
 long BgL_arg1356z00_1214;
BgL_arg1356z00_1214 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1244z00_1213), BgL_arg1356z00_1214); } 
BgL_new1245z00_1212 = BgL_new1244z00_1213; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1245z00_1212))->BgL_fdz00)=((int)BgL_fdz00_8),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1245z00_1212))->BgL_pathz00)=((obj_t)BgL_pathz00_9),BUNSPEC); 
return BgL_new1245z00_1212;} } 

}



/* &uv-new-file */
BgL_uvfilez00_bglt BGl_z62uvzd2newzd2filez62zz__libuv_typesz00(obj_t BgL_envz00_1628, obj_t BgL_fdz00_1629, obj_t BgL_pathz00_1630)
{
{ /* Llib/uvtypes.scm 226 */
return 
bgl_uv_new_file(
CINT(BgL_fdz00_1629), BgL_pathz00_1630);} 

}



/* uv-strerror */
BGL_EXPORTED_DEF obj_t BGl_uvzd2strerrorzd2zz__libuv_typesz00(int BgL_errnoz00_10)
{
{ /* Llib/uvtypes.scm 234 */
{ /* Llib/uvtypes.scm 235 */
 char * BgL_sz00_1218;
BgL_sz00_1218 = 
(char *)uv_strerror(BgL_errnoz00_10); 
if(
((char *)0L) ==(BgL_sz00_1218))
{ /* Llib/uvtypes.scm 236 */
return BGl_string2273z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 236 */
return 
string_to_bstring(BgL_sz00_1218);} } } 

}



/* &uv-strerror */
obj_t BGl_z62uvzd2strerrorzb0zz__libuv_typesz00(obj_t BgL_envz00_1631, obj_t BgL_errnoz00_1632)
{
{ /* Llib/uvtypes.scm 234 */
return 
BGl_uvzd2strerrorzd2zz__libuv_typesz00(
CINT(BgL_errnoz00_1632));} 

}



/* uv-err-name */
BGL_EXPORTED_DEF obj_t BGl_uvzd2errzd2namez00zz__libuv_typesz00(int BgL_errnoz00_11)
{
{ /* Llib/uvtypes.scm 243 */
{ /* Llib/uvtypes.scm 244 */
 char * BgL_sz00_1220;
BgL_sz00_1220 = 
(char *)uv_err_name(BgL_errnoz00_11); 
if(
((char *)0L) ==(BgL_sz00_1220))
{ /* Llib/uvtypes.scm 245 */
return BGl_string2273z00zz__libuv_typesz00;}  else 
{ /* Llib/uvtypes.scm 245 */
return 
string_to_bstring(BgL_sz00_1220);} } } 

}



/* &uv-err-name */
obj_t BGl_z62uvzd2errzd2namez62zz__libuv_typesz00(obj_t BgL_envz00_1633, obj_t BgL_errnoz00_1634)
{
{ /* Llib/uvtypes.scm 243 */
return 
BGl_uvzd2errzd2namez00zz__libuv_typesz00(
CINT(BgL_errnoz00_1634));} 

}



/* uv-guess-handle */
BGL_EXPORTED_DEF obj_t bgl_uv_guess_handle(int BgL_fdz00_12)
{
{ /* Llib/uvtypes.scm 252 */
{ /* Llib/uvtypes.scm 253 */
 int BgL_arg1359z00_1222;
BgL_arg1359z00_1222 = 
uv_guess_handle(BgL_fdz00_12); 
BGL_TAIL return 
bgl_uv_handle_type_symbol(BgL_arg1359z00_1222);} } 

}



/* &uv-guess-handle */
obj_t BGl_z62uvzd2guesszd2handlez62zz__libuv_typesz00(obj_t BgL_envz00_1635, obj_t BgL_fdz00_1636)
{
{ /* Llib/uvtypes.scm 252 */
return 
bgl_uv_guess_handle(
CINT(BgL_fdz00_1636));} 

}



/* uv-handle-type-symbol */
BGL_EXPORTED_DEF obj_t bgl_uv_handle_type_symbol(int BgL_rz00_13)
{
{ /* Llib/uvtypes.scm 258 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TCP)))
{ /* Llib/uvtypes.scm 260 */
return 
((obj_t)
CNST_TABLE_REF(0));}  else 
{ /* Llib/uvtypes.scm 260 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_TTY)))
{ /* Llib/uvtypes.scm 261 */
return 
((obj_t)
CNST_TABLE_REF(1));}  else 
{ /* Llib/uvtypes.scm 261 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UDP)))
{ /* Llib/uvtypes.scm 262 */
return 
((obj_t)
CNST_TABLE_REF(2));}  else 
{ /* Llib/uvtypes.scm 262 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_NAMED_PIPE)))
{ /* Llib/uvtypes.scm 263 */
return 
((obj_t)
CNST_TABLE_REF(3));}  else 
{ /* Llib/uvtypes.scm 263 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_FILE)))
{ /* Llib/uvtypes.scm 264 */
return 
((obj_t)
CNST_TABLE_REF(4));}  else 
{ /* Llib/uvtypes.scm 264 */
if(
(
(long)(BgL_rz00_13)==
(long)(UV_UNKNOWN_HANDLE)))
{ /* Llib/uvtypes.scm 265 */
return 
((obj_t)
CNST_TABLE_REF(5));}  else 
{ /* Llib/uvtypes.scm 265 */
return 
((obj_t)
CNST_TABLE_REF(6));} } } } } } } 

}



/* &uv-handle-type-symbol */
obj_t BGl_z62uvzd2handlezd2typezd2symbolzb0zz__libuv_typesz00(obj_t BgL_envz00_1637, obj_t BgL_rz00_1638)
{
{ /* Llib/uvtypes.scm 258 */
return 
bgl_uv_handle_type_symbol(
CINT(BgL_rz00_1638));} 

}



/* uv-push-gcmark! */
BGL_EXPORTED_DEF obj_t BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_14, obj_t BgL_valz00_15, obj_t BgL_msgz00_16)
{
{ /* Llib/uvtypes.scm 271 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 273 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 273 */
{ /* Llib/uvtypes.scm 278 */
 obj_t BgL_arg1373z00_2272; obj_t BgL_arg1374z00_2273;
BgL_arg1373z00_2272 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_arg1374z00_2273 = 
MAKE_YOUNG_PAIR(BgL_valz00_15, BNIL); 
{ /* Llib/uvtypes.scm 278 */
 obj_t BgL_tmpz00_2772;
BgL_tmpz00_2772 = 
((obj_t)BgL_arg1373z00_2272); 
SET_CDR(BgL_tmpz00_2772, BgL_arg1374z00_2273); } } 
{ 
 obj_t BgL_auxz00_2775;
{ /* Llib/uvtypes.scm 279 */
 obj_t BgL_pairz00_2274;
BgL_pairz00_2274 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52); 
BgL_auxz00_2775 = 
CDR(BgL_pairz00_2274); } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_14))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_2775),BUNSPEC); } } 
return BUNSPEC;} 

}



/* &uv-push-gcmark! */
obj_t BGl_z62uvzd2pushzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1639, obj_t BgL_oz00_1640, obj_t BgL_valz00_1641, obj_t BgL_msgz00_1642)
{
{ /* Llib/uvtypes.scm 271 */
return 
BGl_uvzd2pushzd2gcmarkz12z12zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1640), BgL_valz00_1641, BgL_msgz00_1642);} 

}



/* uv-pop-gcmark! */
BGL_EXPORTED_DEF obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt BgL_oz00_17, obj_t BgL_valz00_18)
{
{ /* Llib/uvtypes.scm 285 */
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)))
{ /* Llib/uvtypes.scm 287 */
return BFALSE;}  else 
{ /* Llib/uvtypes.scm 287 */
if(
(BgL_valz00_18==
CAR(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52))))
{ /* Llib/uvtypes.scm 288 */
if(
(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 289 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC);}  else 
{ 
 obj_t BgL_auxz00_2794;
{ /* Llib/uvtypes.scm 293 */
 obj_t BgL_pairz00_1244;
BgL_pairz00_1244 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52); 
BgL_auxz00_2794 = 
CDR(BgL_pairz00_1244); } 
return 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52)=((obj_t)BgL_auxz00_2794),BUNSPEC);} }  else 
{ 
 obj_t BgL_pz00_66;
BgL_pz00_66 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarksheadz52); 
BgL_zc3z04anonymousza31411ze3z87_67:
{ /* Llib/uvtypes.scm 295 */
 obj_t BgL_nz00_68;
BgL_nz00_68 = 
CDR(
((obj_t)BgL_pz00_66)); 
if(
PAIRP(BgL_nz00_68))
{ /* Llib/uvtypes.scm 296 */
if(
(
CAR(BgL_nz00_68)==BgL_valz00_18))
{ /* Llib/uvtypes.scm 297 */
if(
(BgL_nz00_68==
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)))
{ /* Llib/uvtypes.scm 299 */
((((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_17))->BgL_z52gcmarkstailz52)=((obj_t)BgL_pz00_66),BUNSPEC); }  else 
{ /* Llib/uvtypes.scm 299 */BFALSE; } 
{ /* Llib/uvtypes.scm 301 */
 obj_t BgL_arg1571z00_75;
BgL_arg1571z00_75 = 
CDR(BgL_nz00_68); 
{ /* Llib/uvtypes.scm 301 */
 obj_t BgL_tmpz00_2810;
BgL_tmpz00_2810 = 
((obj_t)BgL_pz00_66); 
return 
SET_CDR(BgL_tmpz00_2810, BgL_arg1571z00_75);} } }  else 
{ 
 obj_t BgL_pz00_2813;
BgL_pz00_2813 = BgL_nz00_68; 
BgL_pz00_66 = BgL_pz00_2813; 
goto BgL_zc3z04anonymousza31411ze3z87_67;} }  else 
{ /* Llib/uvtypes.scm 296 */
return BFALSE;} } } } } 

}



/* &uv-pop-gcmark! */
obj_t BGl_z62uvzd2popzd2gcmarkz12z70zz__libuv_typesz00(obj_t BgL_envz00_1643, obj_t BgL_oz00_1644, obj_t BgL_valz00_1645)
{
{ /* Llib/uvtypes.scm 285 */
return 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_1644), BgL_valz00_1645);} 

}



/* uv-gcmarks-empty? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt BgL_oz00_19)
{
{ /* Llib/uvtypes.scm 307 */
return 
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_19))->BgL_z52gcmarksheadz52));} 

}



/* &uv-gcmarks-empty? */
obj_t BGl_z62uvzd2gcmarkszd2emptyzf3z91zz__libuv_typesz00(obj_t BgL_envz00_1646, obj_t BgL_oz00_1647)
{
{ /* Llib/uvtypes.scm 307 */
return 
BBOOL(
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_oz00_1647)));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_arg1611z00_85; obj_t BgL_arg1616z00_86;
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1300z00_92;
BgL_v1300z00_92 = 
create_vector(0L); 
BgL_arg1611z00_85 = BgL_v1300z00_92; } 
{ /* Llib/uvtypes.scm 23 */
 obj_t BgL_v1301z00_93;
BgL_v1301z00_93 = 
create_vector(0L); 
BgL_arg1616z00_86 = BgL_v1301z00_93; } 
BGl_z52Uvz52zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(7)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_objectz00zz__objectz00, 23285L, BFALSE, BGl_proc2275z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2274z00zz__libuv_typesz00, BFALSE, BgL_arg1611z00_85, BgL_arg1616z00_86); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1634z00_99; obj_t BgL_arg1635z00_100;
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1302z00_117;
BgL_v1302z00_117 = 
create_vector(6L); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1667z00_118;
BgL_arg1667z00_118 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), BGl_proc2278z00zz__libuv_typesz00, BGl_proc2277z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2276z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(10))); 
VECTOR_SET(BgL_v1302z00_117,0L,BgL_arg1667z00_118); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1705z00_131;
BgL_arg1705z00_131 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(11)), BGl_proc2281z00zz__libuv_typesz00, BGl_proc2280z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2279z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1302z00_117,1L,BgL_arg1705z00_131); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1716z00_144;
BgL_arg1716z00_144 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(13)), BGl_proc2284z00zz__libuv_typesz00, BGl_proc2283z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2282z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(14))); 
VECTOR_SET(BgL_v1302z00_117,2L,BgL_arg1716z00_144); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1737z00_157;
BgL_arg1737z00_157 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(15)), BGl_proc2287z00zz__libuv_typesz00, BGl_proc2286z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2285z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(14))); 
VECTOR_SET(BgL_v1302z00_117,3L,BgL_arg1737z00_157); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1746z00_170;
BgL_arg1746z00_170 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(16)), BGl_proc2290z00zz__libuv_typesz00, BGl_proc2289z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2288z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1302z00_117,4L,BgL_arg1746z00_170); } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_arg1761z00_183;
BgL_arg1761z00_183 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(17)), BGl_proc2293z00zz__libuv_typesz00, BGl_proc2292z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2291z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1302z00_117,5L,BgL_arg1761z00_183); } 
BgL_arg1634z00_99 = BgL_v1302z00_117; } 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_v1303z00_196;
BgL_v1303z00_196 = 
create_vector(0L); 
BgL_arg1635z00_100 = BgL_v1303z00_196; } 
BGl_UvHandlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(19)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_z52Uvz52zz__libuv_typesz00, 49056L, BGl_proc2296z00zz__libuv_typesz00, BGl_proc2295z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2294z00zz__libuv_typesz00, BFALSE, BgL_arg1634z00_99, BgL_arg1635z00_100); } 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_arg1776z00_203; obj_t BgL_arg1777z00_204;
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_v1304z00_222;
BgL_v1304z00_222 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_arg1792z00_223;
BgL_arg1792z00_223 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(20)), BGl_proc2299z00zz__libuv_typesz00, BGl_proc2298z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2297z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(21))); 
VECTOR_SET(BgL_v1304z00_222,0L,BgL_arg1792z00_223); } 
BgL_arg1776z00_203 = BgL_v1304z00_222; } 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_v1305z00_237;
BgL_v1305z00_237 = 
create_vector(0L); 
BgL_arg1777z00_204 = BgL_v1305z00_237; } 
BGl_UvLoopz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(22)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvHandlez00zz__libuv_typesz00, 33046L, BGl_proc2302z00zz__libuv_typesz00, BGl_proc2301z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2300z00zz__libuv_typesz00, BFALSE, BgL_arg1776z00_203, BgL_arg1777z00_204); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1825z00_243; obj_t BgL_arg1826z00_244;
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_v1306z00_250;
BgL_v1306z00_250 = 
create_vector(3L); 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1839z00_251;
BgL_arg1839z00_251 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(23)), BGl_proc2304z00zz__libuv_typesz00, BGl_proc2303z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1306z00_250,0L,BgL_arg1839z00_251); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1848z00_261;
BgL_arg1848z00_261 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(24)), BGl_proc2307z00zz__libuv_typesz00, BGl_proc2306z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2305z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(25))); 
VECTOR_SET(BgL_v1306z00_250,1L,BgL_arg1848z00_261); } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_arg1855z00_274;
BgL_arg1855z00_274 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(26)), BGl_proc2310z00zz__libuv_typesz00, BGl_proc2309z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2308z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(27))); 
VECTOR_SET(BgL_v1306z00_250,2L,BgL_arg1855z00_274); } 
BgL_arg1825z00_243 = BgL_v1306z00_250; } 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_v1307z00_287;
BgL_v1307z00_287 = 
create_vector(0L); 
BgL_arg1826z00_244 = BgL_v1307z00_287; } 
BGl_UvWatcherz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(28)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvHandlez00zz__libuv_typesz00, 10511L, BFALSE, BGl_proc2312z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2311z00zz__libuv_typesz00, BFALSE, BgL_arg1825z00_243, BgL_arg1826z00_244); } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1866z00_293; obj_t BgL_arg1867z00_294;
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_v1308z00_313;
BgL_v1308z00_313 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1874z00_314;
BgL_arg1874z00_314 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(23)), BGl_proc2314z00zz__libuv_typesz00, BGl_proc2313z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_UvLoopz00zz__libuv_typesz00); 
VECTOR_SET(BgL_v1308z00_313,0L,BgL_arg1874z00_314); } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_arg1879z00_324;
BgL_arg1879z00_324 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(26)), BGl_proc2317z00zz__libuv_typesz00, BGl_proc2316z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2315z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(27))); 
VECTOR_SET(BgL_v1308z00_313,1L,BgL_arg1879z00_324); } 
BgL_arg1866z00_293 = BgL_v1308z00_313; } 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_v1309z00_337;
BgL_v1309z00_337 = 
create_vector(0L); 
BgL_arg1867z00_294 = BgL_v1309z00_337; } 
BGl_UvStreamz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(29)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvHandlez00zz__libuv_typesz00, 43299L, BGl_proc2320z00zz__libuv_typesz00, BGl_proc2319z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2318z00zz__libuv_typesz00, BFALSE, BgL_arg1866z00_293, BgL_arg1867z00_294); } 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_arg1889z00_344; obj_t BgL_arg1890z00_345;
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_v1310z00_364;
BgL_v1310z00_364 = 
create_vector(0L); 
BgL_arg1889z00_344 = BgL_v1310z00_364; } 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_v1311z00_365;
BgL_v1311z00_365 = 
create_vector(0L); 
BgL_arg1890z00_345 = BgL_v1311z00_365; } 
BGl_UvTcpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(30)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvStreamz00zz__libuv_typesz00, 12982L, BGl_proc2323z00zz__libuv_typesz00, BGl_proc2322z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2321z00zz__libuv_typesz00, BFALSE, BgL_arg1889z00_344, BgL_arg1890z00_345); } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_arg1902z00_372; obj_t BgL_arg1903z00_373;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1312z00_393;
BgL_v1312z00_393 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_arg1910z00_394;
BgL_arg1910z00_394 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(31)), BGl_proc2326z00zz__libuv_typesz00, BGl_proc2325z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2324z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(14))); 
VECTOR_SET(BgL_v1312z00_393,0L,BgL_arg1910z00_394); } 
BgL_arg1902z00_372 = BgL_v1312z00_393; } 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_v1313z00_407;
BgL_v1313z00_407 = 
create_vector(0L); 
BgL_arg1903z00_373 = BgL_v1313z00_407; } 
BGl_UvUdpz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvStreamz00zz__libuv_typesz00, 61053L, BGl_proc2329z00zz__libuv_typesz00, BGl_proc2328z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2327z00zz__libuv_typesz00, BFALSE, BgL_arg1902z00_372, BgL_arg1903z00_373); } 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_arg1920z00_414; obj_t BgL_arg1921z00_415;
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_v1314z00_435;
BgL_v1314z00_435 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_arg1928z00_436;
BgL_arg1928z00_436 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(33)), BGl_proc2331z00zz__libuv_typesz00, BGl_proc2330z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1314z00_435,0L,BgL_arg1928z00_436); } 
BgL_arg1920z00_414 = BgL_v1314z00_435; } 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_v1315z00_446;
BgL_v1315z00_446 = 
create_vector(0L); 
BgL_arg1921z00_415 = BgL_v1315z00_446; } 
BGl_UvPipez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(34)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvStreamz00zz__libuv_typesz00, 59138L, BGl_proc2334z00zz__libuv_typesz00, BGl_proc2333z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2332z00zz__libuv_typesz00, BFALSE, BgL_arg1920z00_414, BgL_arg1921z00_415); } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1936z00_453; obj_t BgL_arg1937z00_454;
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_v1316z00_475;
BgL_v1316z00_475 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1944z00_476;
BgL_arg1944z00_476 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_proc2336z00zz__libuv_typesz00, BGl_proc2335z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1316z00_475,0L,BgL_arg1944z00_476); } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_arg1949z00_486;
BgL_arg1949z00_486 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(37)), BGl_proc2338z00zz__libuv_typesz00, BGl_proc2337z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1316z00_475,1L,BgL_arg1949z00_486); } 
BgL_arg1936z00_453 = BgL_v1316z00_475; } 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_v1317z00_496;
BgL_v1317z00_496 = 
create_vector(0L); 
BgL_arg1937z00_454 = BgL_v1317z00_496; } 
BGl_UvTtyz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(38)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvStreamz00zz__libuv_typesz00, 33681L, BGl_proc2341z00zz__libuv_typesz00, BGl_proc2340z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2339z00zz__libuv_typesz00, BFALSE, BgL_arg1936z00_453, BgL_arg1937z00_454); } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1957z00_503; obj_t BgL_arg1958z00_504;
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_v1318z00_526;
BgL_v1318z00_526 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1965z00_527;
BgL_arg1965z00_527 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(39)), BGl_proc2344z00zz__libuv_typesz00, BGl_proc2343z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2342z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(40))); 
VECTOR_SET(BgL_v1318z00_526,0L,BgL_arg1965z00_527); } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_arg1972z00_540;
BgL_arg1972z00_540 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(41)), BGl_proc2347z00zz__libuv_typesz00, BGl_proc2346z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2345z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(18))); 
VECTOR_SET(BgL_v1318z00_526,1L,BgL_arg1972z00_540); } 
BgL_arg1957z00_503 = BgL_v1318z00_526; } 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_v1319z00_553;
BgL_v1319z00_553 = 
create_vector(0L); 
BgL_arg1958z00_504 = BgL_v1319z00_553; } 
BGl_UvTimerz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(42)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 64284L, BGl_proc2350z00zz__libuv_typesz00, BGl_proc2349z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2348z00zz__libuv_typesz00, BFALSE, BgL_arg1957z00_503, BgL_arg1958z00_504); } 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_arg1982z00_560; obj_t BgL_arg1983z00_561;
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_v1320z00_581;
BgL_v1320z00_581 = 
create_vector(0L); 
BgL_arg1982z00_560 = BgL_v1320z00_581; } 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_v1321z00_582;
BgL_v1321z00_582 = 
create_vector(0L); 
BgL_arg1983z00_561 = BgL_v1321z00_582; } 
BGl_UvIdlez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(43)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 3465L, BGl_proc2353z00zz__libuv_typesz00, BGl_proc2352z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2351z00zz__libuv_typesz00, BFALSE, BgL_arg1982z00_560, BgL_arg1983z00_561); } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_arg1993z00_589; obj_t BgL_arg1994z00_590;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1322z00_610;
BgL_v1322z00_610 = 
create_vector(0L); 
BgL_arg1993z00_589 = BgL_v1322z00_610; } 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_v1323z00_611;
BgL_v1323z00_611 = 
create_vector(0L); 
BgL_arg1994z00_590 = BgL_v1323z00_611; } 
BGl_UvAsyncz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(44)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 42569L, BGl_proc2356z00zz__libuv_typesz00, BGl_proc2355z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2354z00zz__libuv_typesz00, BFALSE, BgL_arg1993z00_589, BgL_arg1994z00_590); } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_arg2004z00_618; obj_t BgL_arg2005z00_619;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1324z00_640;
BgL_v1324z00_640 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_arg2012z00_641;
BgL_arg2012z00_641 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_proc2358z00zz__libuv_typesz00, BGl_proc2357z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1324z00_640,0L,BgL_arg2012z00_641); } 
BgL_arg2004z00_618 = BgL_v1324z00_640; } 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_v1325z00_651;
BgL_v1325z00_651 = 
create_vector(0L); 
BgL_arg2005z00_619 = BgL_v1325z00_651; } 
BGl_UvPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(45)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 5968L, BGl_proc2361z00zz__libuv_typesz00, BGl_proc2360z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2359z00zz__libuv_typesz00, BFALSE, BgL_arg2004z00_618, BgL_arg2005z00_619); } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg2020z00_658; obj_t BgL_arg2021z00_659;
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_v1326z00_671;
BgL_v1326z00_671 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg2027z00_672;
BgL_arg2027z00_672 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(35)), BGl_proc2363z00zz__libuv_typesz00, BGl_proc2362z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1326z00_671,0L,BgL_arg2027z00_672); } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_arg2032z00_682;
BgL_arg2032z00_682 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(46)), BGl_proc2365z00zz__libuv_typesz00, BGl_proc2364z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(47))); 
VECTOR_SET(BgL_v1326z00_671,1L,BgL_arg2032z00_682); } 
BgL_arg2020z00_658 = BgL_v1326z00_671; } 
{ /* Llib/uvtypes.scm 69 */
 obj_t BgL_v1327z00_692;
BgL_v1327z00_692 = 
create_vector(0L); 
BgL_arg2021z00_659 = BgL_v1327z00_692; } 
BGl_UvFilez00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(48)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_objectz00zz__objectz00, 50283L, BGl_proc2368z00zz__libuv_typesz00, BGl_proc2367z00zz__libuv_typesz00, BFALSE, BGl_proc2366z00zz__libuv_typesz00, BFALSE, BgL_arg2020z00_658, BgL_arg2021z00_659); } 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_arg2040z00_699; obj_t BgL_arg2041z00_700;
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_v1328z00_720;
BgL_v1328z00_720 = 
create_vector(0L); 
BgL_arg2040z00_699 = BgL_v1328z00_720; } 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_v1329z00_721;
BgL_v1329z00_721 = 
create_vector(0L); 
BgL_arg2041z00_700 = BgL_v1329z00_721; } 
BGl_UvFsEventz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(49)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 49452L, BGl_proc2371z00zz__libuv_typesz00, BGl_proc2370z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2369z00zz__libuv_typesz00, BFALSE, BgL_arg2040z00_699, BgL_arg2041z00_700); } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_arg2051z00_728; obj_t BgL_arg2052z00_729;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1330z00_749;
BgL_v1330z00_749 = 
create_vector(0L); 
BgL_arg2051z00_728 = BgL_v1330z00_749; } 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_v1331z00_750;
BgL_v1331z00_750 = 
create_vector(0L); 
BgL_arg2052z00_729 = BgL_v1331z00_750; } 
BGl_UvFsPollz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(50)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 33371L, BGl_proc2374z00zz__libuv_typesz00, BGl_proc2373z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2372z00zz__libuv_typesz00, BFALSE, BgL_arg2051z00_728, BgL_arg2052z00_729); } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_arg2062z00_757; obj_t BgL_arg2063z00_758;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1332z00_778;
BgL_v1332z00_778 = 
create_vector(0L); 
BgL_arg2062z00_757 = BgL_v1332z00_778; } 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_v1333z00_779;
BgL_v1333z00_779 = 
create_vector(0L); 
BgL_arg2063z00_758 = BgL_v1333z00_779; } 
BGl_UvCheckz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(51)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvWatcherz00zz__libuv_typesz00, 52457L, BGl_proc2377z00zz__libuv_typesz00, BGl_proc2376z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2375z00zz__libuv_typesz00, BFALSE, BgL_arg2062z00_757, BgL_arg2063z00_758); } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2073z00_786; obj_t BgL_arg2074z00_787;
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1334z00_805;
BgL_v1334z00_805 = 
create_vector(2L); 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2081z00_806;
BgL_arg2081z00_806 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(52)), BGl_proc2380z00zz__libuv_typesz00, BGl_proc2379z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2378z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1334z00_805,0L,BgL_arg2081z00_806); } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_arg2088z00_819;
BgL_arg2088z00_819 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(53)), BGl_proc2382z00zz__libuv_typesz00, BGl_proc2381z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1334z00_805,1L,BgL_arg2088z00_819); } 
BgL_arg2073z00_786 = BgL_v1334z00_805; } 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_v1335z00_829;
BgL_v1335z00_829 = 
create_vector(1L); 
{ /* Llib/uvtypes.scm 83 */
 obj_t BgL_arg2093z00_830;
{ /* Llib/uvtypes.scm 83 */
 obj_t BgL_arg2094z00_831;
BgL_arg2094z00_831 = 
MAKE_YOUNG_PAIR(BGl_proc2383z00zz__libuv_typesz00, BFALSE); 
BgL_arg2093z00_830 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2094z00_831); } 
VECTOR_SET(BgL_v1335z00_829,0L,BgL_arg2093z00_830); } 
BgL_arg2074z00_787 = BgL_v1335z00_829; } 
BGl_UvProcessz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(54)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_UvHandlez00zz__libuv_typesz00, 11647L, BGl_proc2386z00zz__libuv_typesz00, BGl_proc2385z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2384z00zz__libuv_typesz00, BFALSE, BgL_arg2073z00_786, BgL_arg2074z00_787); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2103z00_849; obj_t BgL_arg2104z00_850;
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_v1336z00_862;
BgL_v1336z00_862 = 
create_vector(8L); 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2111z00_863;
BgL_arg2111z00_863 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), BGl_proc2389z00zz__libuv_typesz00, BGl_proc2388z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2387z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1336z00_862,0L,BgL_arg2111z00_863); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2118z00_876;
BgL_arg2118z00_876 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc2391z00zz__libuv_typesz00, BGl_proc2390z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,1L,BgL_arg2118z00_876); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2123z00_886;
BgL_arg2123z00_886 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc2393z00zz__libuv_typesz00, BGl_proc2392z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,2L,BgL_arg2123z00_886); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2128z00_896;
BgL_arg2128z00_896 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(58)), BGl_proc2395z00zz__libuv_typesz00, BGl_proc2394z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,3L,BgL_arg2128z00_896); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2133z00_906;
BgL_arg2133z00_906 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc2397z00zz__libuv_typesz00, BGl_proc2396z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,4L,BgL_arg2133z00_906); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2138z00_916;
BgL_arg2138z00_916 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(60)), BGl_proc2399z00zz__libuv_typesz00, BGl_proc2398z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,5L,BgL_arg2138z00_916); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2143z00_926;
BgL_arg2143z00_926 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(61)), BGl_proc2401z00zz__libuv_typesz00, BGl_proc2400z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,6L,BgL_arg2143z00_926); } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_arg2148z00_936;
BgL_arg2148z00_936 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(62)), BGl_proc2403z00zz__libuv_typesz00, BGl_proc2402z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(12))); 
VECTOR_SET(BgL_v1336z00_862,7L,BgL_arg2148z00_936); } 
BgL_arg2103z00_849 = BgL_v1336z00_862; } 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_v1337z00_946;
BgL_v1337z00_946 = 
create_vector(7L); 
{ /* Llib/uvtypes.scm 92 */
 obj_t BgL_arg2153z00_947;
{ /* Llib/uvtypes.scm 92 */
 obj_t BgL_arg2154z00_948;
BgL_arg2154z00_948 = 
MAKE_YOUNG_PAIR(BGl_proc2404z00zz__libuv_typesz00, BGl_proc2405z00zz__libuv_typesz00); 
BgL_arg2153z00_947 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2154z00_948); } 
VECTOR_SET(BgL_v1337z00_946,0L,BgL_arg2153z00_947); } 
{ /* Llib/uvtypes.scm 100 */
 obj_t BgL_arg2163z00_971;
{ /* Llib/uvtypes.scm 100 */
 obj_t BgL_arg2164z00_972;
BgL_arg2164z00_972 = 
MAKE_YOUNG_PAIR(BGl_proc2406z00zz__libuv_typesz00, BGl_proc2407z00zz__libuv_typesz00); 
BgL_arg2163z00_971 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg2164z00_972); } 
VECTOR_SET(BgL_v1337z00_946,1L,BgL_arg2163z00_971); } 
{ /* Llib/uvtypes.scm 108 */
 obj_t BgL_arg2173z00_995;
{ /* Llib/uvtypes.scm 108 */
 obj_t BgL_arg2174z00_996;
BgL_arg2174z00_996 = 
MAKE_YOUNG_PAIR(BGl_proc2408z00zz__libuv_typesz00, BGl_proc2409z00zz__libuv_typesz00); 
BgL_arg2173z00_995 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2174z00_996); } 
VECTOR_SET(BgL_v1337z00_946,2L,BgL_arg2173z00_995); } 
{ /* Llib/uvtypes.scm 116 */
 obj_t BgL_arg2183z00_1019;
{ /* Llib/uvtypes.scm 116 */
 obj_t BgL_arg2184z00_1020;
BgL_arg2184z00_1020 = 
MAKE_YOUNG_PAIR(BGl_proc2410z00zz__libuv_typesz00, BGl_proc2411z00zz__libuv_typesz00); 
BgL_arg2183z00_1019 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2184z00_1020); } 
VECTOR_SET(BgL_v1337z00_946,3L,BgL_arg2183z00_1019); } 
{ /* Llib/uvtypes.scm 124 */
 obj_t BgL_arg2193z00_1043;
{ /* Llib/uvtypes.scm 124 */
 obj_t BgL_arg2194z00_1044;
BgL_arg2194z00_1044 = 
MAKE_YOUNG_PAIR(BGl_proc2412z00zz__libuv_typesz00, BGl_proc2413z00zz__libuv_typesz00); 
BgL_arg2193z00_1043 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2194z00_1044); } 
VECTOR_SET(BgL_v1337z00_946,4L,BgL_arg2193z00_1043); } 
{ /* Llib/uvtypes.scm 132 */
 obj_t BgL_arg2203z00_1067;
{ /* Llib/uvtypes.scm 132 */
 obj_t BgL_arg2204z00_1068;
BgL_arg2204z00_1068 = 
MAKE_YOUNG_PAIR(BGl_proc2414z00zz__libuv_typesz00, BGl_proc2415z00zz__libuv_typesz00); 
BgL_arg2203z00_1067 = 
MAKE_YOUNG_PAIR(
BINT(5L), BgL_arg2204z00_1068); } 
VECTOR_SET(BgL_v1337z00_946,5L,BgL_arg2203z00_1067); } 
{ /* Llib/uvtypes.scm 140 */
 obj_t BgL_arg2213z00_1091;
{ /* Llib/uvtypes.scm 140 */
 obj_t BgL_arg2214z00_1092;
BgL_arg2214z00_1092 = 
MAKE_YOUNG_PAIR(BGl_proc2416z00zz__libuv_typesz00, BGl_proc2417z00zz__libuv_typesz00); 
BgL_arg2213z00_1091 = 
MAKE_YOUNG_PAIR(
BINT(6L), BgL_arg2214z00_1092); } 
VECTOR_SET(BgL_v1337z00_946,6L,BgL_arg2213z00_1091); } 
BgL_arg2104z00_850 = BgL_v1337z00_946; } 
BGl_UvProcessOptionsz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(63)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_z52Uvz52zz__libuv_typesz00, 34792L, BGl_proc2420z00zz__libuv_typesz00, BGl_proc2419z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2418z00zz__libuv_typesz00, BFALSE, BgL_arg2103z00_849, BgL_arg2104z00_850); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2226z00_1121; obj_t BgL_arg2227z00_1122;
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_v1338z00_1136;
BgL_v1338z00_1136 = 
create_vector(3L); 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2234z00_1137;
BgL_arg2234z00_1137 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(9)), BGl_proc2423z00zz__libuv_typesz00, BGl_proc2422z00zz__libuv_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2421z00zz__libuv_typesz00, 
((obj_t)
CNST_TABLE_REF(64))); 
VECTOR_SET(BgL_v1338z00_1136,0L,BgL_arg2234z00_1137); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2241z00_1150;
BgL_arg2241z00_1150 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(65)), BGl_proc2425z00zz__libuv_typesz00, BGl_proc2424z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(25))); 
VECTOR_SET(BgL_v1338z00_1136,1L,BgL_arg2241z00_1150); } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_arg2246z00_1160;
BgL_arg2246z00_1160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(66)), BGl_proc2427z00zz__libuv_typesz00, BGl_proc2426z00zz__libuv_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(25))); 
VECTOR_SET(BgL_v1338z00_1136,2L,BgL_arg2246z00_1160); } 
BgL_arg2226z00_1121 = BgL_v1338z00_1136; } 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_v1339z00_1170;
BgL_v1339z00_1170 = 
create_vector(0L); 
BgL_arg2227z00_1122 = BgL_v1339z00_1170; } 
return ( 
BGl_UvWorkz00zz__libuv_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(67)), 
((obj_t)
CNST_TABLE_REF(8)), BGl_z52Uvz52zz__libuv_typesz00, 37721L, BGl_proc2430z00zz__libuv_typesz00, BGl_proc2429z00zz__libuv_typesz00, BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2428z00zz__libuv_typesz00, BFALSE, BgL_arg2226z00_1121, BgL_arg2227z00_1122), BUNSPEC) ;} } 

}



/* &<@anonymous:2233> */
obj_t BGl_z62zc3z04anonymousza32233ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1810, obj_t BgL_new1242z00_1811)
{
{ /* Llib/uvtypes.scm 147 */
{ 
 BgL_uvworkz00_bglt BgL_auxz00_3194;
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1811)))->BgL_z42builtinz42)=((uv_work_t *)
0L),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1811)))->BgL_z52workzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_new1242z00_1811)))->BgL_z52afterzd2cbz80)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_3194 = 
((BgL_uvworkz00_bglt)BgL_new1242z00_1811); 
return 
((obj_t)BgL_auxz00_3194);} } 

}



/* &lambda2231 */
BgL_uvworkz00_bglt BGl_z62lambda2231z62zz__libuv_typesz00(obj_t BgL_envz00_1812)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1241z00_2276;
BgL_new1241z00_2276 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 147 */
 long BgL_arg2232z00_2277;
BgL_arg2232z00_2277 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1241z00_2276), BgL_arg2232z00_2277); } 
return BgL_new1241z00_2276;} } 

}



/* &lambda2228 */
BgL_uvworkz00_bglt BGl_z62lambda2228z62zz__libuv_typesz00(obj_t BgL_envz00_1813, obj_t BgL_z42builtin1238z42_1814, obj_t BgL_z52workzd2cb1239z80_1815, obj_t BgL_z52afterzd2cb1240z80_1816)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 uv_work_t * BgL_z42builtin1238z42_2278;
BgL_z42builtin1238z42_2278 = 
FOREIGN_TO_COBJ(BgL_z42builtin1238z42_1814); 
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1299z00_2281;
{ /* Llib/uvtypes.scm 147 */
 BgL_uvworkz00_bglt BgL_new1298z00_2282;
BgL_new1298z00_2282 = 
((BgL_uvworkz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvworkz00_bgl) ))); 
{ /* Llib/uvtypes.scm 147 */
 long BgL_arg2230z00_2283;
BgL_arg2230z00_2283 = 
BGL_CLASS_NUM(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1298z00_2282), BgL_arg2230z00_2283); } 
BgL_new1299z00_2281 = BgL_new1298z00_2282; } 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2281))->BgL_z42builtinz42)=((uv_work_t *)BgL_z42builtin1238z42_2278),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2281))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_z52workzd2cb1239z80_1815)),BUNSPEC); 
((((BgL_uvworkz00_bglt)COBJECT(BgL_new1299z00_2281))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_z52afterzd2cb1240z80_1816)),BUNSPEC); 
{ /* Llib/uvtypes.scm 147 */
 obj_t BgL_fun2229z00_2284;
BgL_fun2229z00_2284 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvWorkz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2229z00_2284, 
((obj_t)BgL_new1299z00_2281)); } 
return BgL_new1299z00_2281;} } } 

}



/* &lambda2250 */
obj_t BGl_z62lambda2250z62zz__libuv_typesz00(obj_t BgL_envz00_1817, obj_t BgL_oz00_1818, obj_t BgL_vz00_1819)
{
{ /* Llib/uvtypes.scm 147 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1818)))->BgL_z52afterzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1819)),BUNSPEC);} 

}



/* &lambda2249 */
obj_t BGl_z62lambda2249z62zz__libuv_typesz00(obj_t BgL_envz00_1820, obj_t BgL_oz00_1821)
{
{ /* Llib/uvtypes.scm 147 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1821)))->BgL_z52afterzd2cbz80);} 

}



/* &lambda2245 */
obj_t BGl_z62lambda2245z62zz__libuv_typesz00(obj_t BgL_envz00_1822, obj_t BgL_oz00_1823, obj_t BgL_vz00_1824)
{
{ /* Llib/uvtypes.scm 147 */
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1823)))->BgL_z52workzd2cbz80)=((obj_t)
((obj_t)BgL_vz00_1824)),BUNSPEC);} 

}



/* &lambda2244 */
obj_t BGl_z62lambda2244z62zz__libuv_typesz00(obj_t BgL_envz00_1825, obj_t BgL_oz00_1826)
{
{ /* Llib/uvtypes.scm 147 */
return 
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1826)))->BgL_z52workzd2cbz80);} 

}



/* &<@anonymous:2240> */
obj_t BGl_z62zc3z04anonymousza32240ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1827)
{
{ /* Llib/uvtypes.scm 147 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2239 */
obj_t BGl_z62lambda2239z62zz__libuv_typesz00(obj_t BgL_envz00_1828, obj_t BgL_oz00_1829, obj_t BgL_vz00_1830)
{
{ /* Llib/uvtypes.scm 147 */
{ /* Llib/uvtypes.scm 147 */
 uv_work_t * BgL_vz00_2292;
BgL_vz00_2292 = 
FOREIGN_TO_COBJ(BgL_vz00_1830); 
return 
((((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1829)))->BgL_z42builtinz42)=((uv_work_t *)BgL_vz00_2292),BUNSPEC);} } 

}



/* &lambda2238 */
obj_t BGl_z62lambda2238z62zz__libuv_typesz00(obj_t BgL_envz00_1831, obj_t BgL_oz00_1832)
{
{ /* Llib/uvtypes.scm 147 */
return 
void_star_to_obj(
(((BgL_uvworkz00_bglt)COBJECT(
((BgL_uvworkz00_bglt)BgL_oz00_1832)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2110> */
obj_t BGl_z62zc3z04anonymousza32110ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1833, obj_t BgL_new1236z00_1834)
{
{ /* Llib/uvtypes.scm 87 */
{ 
 BgL_uvprocessoptionsz00_bglt BgL_auxz00_3241;
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_new1236z00_1834)))->BgL_z42builtinz42)=((uv_process_options_t *)
0L),BUNSPEC); 
BgL_auxz00_3241 = 
((BgL_uvprocessoptionsz00_bglt)BgL_new1236z00_1834); 
return 
((obj_t)BgL_auxz00_3241);} } 

}



/* &lambda2108 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2108z62zz__libuv_typesz00(obj_t BgL_envz00_1835)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1235z00_2295;
BgL_new1235z00_2295 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 87 */
 long BgL_arg2109z00_2296;
BgL_arg2109z00_2296 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1235z00_2295), BgL_arg2109z00_2296); } 
return BgL_new1235z00_2295;} } 

}



/* &lambda2105 */
BgL_uvprocessoptionsz00_bglt BGl_z62lambda2105z62zz__libuv_typesz00(obj_t BgL_envz00_1836, obj_t BgL_z42builtin1234z42_1837)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 uv_process_options_t * BgL_z42builtin1234z42_2297;
BgL_z42builtin1234z42_2297 = 
FOREIGN_TO_COBJ(BgL_z42builtin1234z42_1837); 
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1283z00_2298;
{ /* Llib/uvtypes.scm 87 */
 BgL_uvprocessoptionsz00_bglt BgL_new1282z00_2299;
BgL_new1282z00_2299 = 
((BgL_uvprocessoptionsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessoptionsz00_bgl) ))); 
{ /* Llib/uvtypes.scm 87 */
 long BgL_arg2107z00_2300;
BgL_arg2107z00_2300 = 
BGL_CLASS_NUM(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1282z00_2299), BgL_arg2107z00_2300); } 
BgL_new1283z00_2298 = BgL_new1282z00_2299; } 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(BgL_new1283z00_2298))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_z42builtin1234z42_2297),BUNSPEC); 
{ /* Llib/uvtypes.scm 87 */
 obj_t BgL_fun2106z00_2301;
BgL_fun2106z00_2301 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessOptionsz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2106z00_2301, 
((obj_t)BgL_new1283z00_2298)); } 
return BgL_new1283z00_2298;} } } 

}



/* &<@anonymous:2220> */
obj_t BGl_z62zc3z04anonymousza32220ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1838, obj_t BgL_oz00_1839, obj_t BgL_vz00_1840)
{
{ /* Llib/uvtypes.scm 138 */
{ /* Llib/uvtypes.scm 144 */
 uv_process_options_t * BgL_arg2221z00_2302;
BgL_arg2221z00_2302 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1839)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 144 */
 int BgL_tmpz00_3265;
BgL_tmpz00_3265 = 
CINT(BgL_vz00_1840); 
BGL_UV_PROCESS_OPTIONS_GID_SET(BgL_arg2221z00_2302, BgL_tmpz00_3265); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2217> */
obj_t BGl_z62zc3z04anonymousza32217ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1841, obj_t BgL_oz00_1842)
{
{ /* Llib/uvtypes.scm 138 */
{ /* Llib/uvtypes.scm 140 */
 int BgL_tmpz00_3268;
{ /* Llib/uvtypes.scm 141 */
 uv_process_options_t * BgL_arg2218z00_2303;
BgL_arg2218z00_2303 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1842)))->BgL_z42builtinz42); 
BgL_tmpz00_3268 = 
BGL_UV_PROCESS_OPTIONS_GID_GET(BgL_arg2218z00_2303); } 
return 
BINT(BgL_tmpz00_3268);} } 

}



/* &<@anonymous:2210> */
obj_t BGl_z62zc3z04anonymousza32210ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1843, obj_t BgL_oz00_1844, obj_t BgL_vz00_1845)
{
{ /* Llib/uvtypes.scm 130 */
{ /* Llib/uvtypes.scm 136 */
 uv_process_options_t * BgL_arg2211z00_2304;
BgL_arg2211z00_2304 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1844)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 136 */
 int BgL_tmpz00_3275;
BgL_tmpz00_3275 = 
CINT(BgL_vz00_1845); 
BGL_UV_PROCESS_OPTIONS_UID_SET(BgL_arg2211z00_2304, BgL_tmpz00_3275); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2207> */
obj_t BGl_z62zc3z04anonymousza32207ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1846, obj_t BgL_oz00_1847)
{
{ /* Llib/uvtypes.scm 130 */
{ /* Llib/uvtypes.scm 132 */
 int BgL_tmpz00_3278;
{ /* Llib/uvtypes.scm 133 */
 uv_process_options_t * BgL_arg2208z00_2305;
BgL_arg2208z00_2305 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1847)))->BgL_z42builtinz42); 
BgL_tmpz00_3278 = 
BGL_UV_PROCESS_OPTIONS_UID_GET(BgL_arg2208z00_2305); } 
return 
BINT(BgL_tmpz00_3278);} } 

}



/* &<@anonymous:2200> */
obj_t BGl_z62zc3z04anonymousza32200ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1848, obj_t BgL_oz00_1849, obj_t BgL_vz00_1850)
{
{ /* Llib/uvtypes.scm 122 */
{ /* Llib/uvtypes.scm 128 */
 uv_process_options_t * BgL_arg2201z00_2306;
BgL_arg2201z00_2306 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1849)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 128 */
 int BgL_tmpz00_3285;
BgL_tmpz00_3285 = 
CINT(BgL_vz00_1850); 
BGL_UV_PROCESS_OPTIONS_FLAGS_SET(BgL_arg2201z00_2306, BgL_tmpz00_3285); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2197> */
obj_t BGl_z62zc3z04anonymousza32197ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1851, obj_t BgL_oz00_1852)
{
{ /* Llib/uvtypes.scm 122 */
{ /* Llib/uvtypes.scm 124 */
 int BgL_tmpz00_3288;
{ /* Llib/uvtypes.scm 125 */
 uv_process_options_t * BgL_arg2198z00_2307;
BgL_arg2198z00_2307 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1852)))->BgL_z42builtinz42); 
BgL_tmpz00_3288 = 
BGL_UV_PROCESS_OPTIONS_FLAGS_GET(BgL_arg2198z00_2307); } 
return 
BINT(BgL_tmpz00_3288);} } 

}



/* &<@anonymous:2190> */
obj_t BGl_z62zc3z04anonymousza32190ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1853, obj_t BgL_oz00_1854, obj_t BgL_vz00_1855)
{
{ /* Llib/uvtypes.scm 114 */
{ /* Llib/uvtypes.scm 120 */
 uv_process_options_t * BgL_arg2191z00_2308;
BgL_arg2191z00_2308 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1854)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 120 */
 char * BgL_tmpz00_3295;
BgL_tmpz00_3295 = 
BSTRING_TO_STRING(BgL_vz00_1855); 
BGL_UV_PROCESS_OPTIONS_CWD_SET(BgL_arg2191z00_2308, BgL_tmpz00_3295); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2187> */
obj_t BGl_z62zc3z04anonymousza32187ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1856, obj_t BgL_oz00_1857)
{
{ /* Llib/uvtypes.scm 114 */
{ /* Llib/uvtypes.scm 116 */
 char * BgL_tmpz00_3298;
{ /* Llib/uvtypes.scm 117 */
 uv_process_options_t * BgL_arg2188z00_2309;
BgL_arg2188z00_2309 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1857)))->BgL_z42builtinz42); 
BgL_tmpz00_3298 = 
BGL_UV_PROCESS_OPTIONS_CWD_GET(BgL_arg2188z00_2309); } 
return 
string_to_bstring(BgL_tmpz00_3298);} } 

}



/* &<@anonymous:2180> */
obj_t BGl_z62zc3z04anonymousza32180ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1858, obj_t BgL_oz00_1859, obj_t BgL_vz00_1860)
{
{ /* Llib/uvtypes.scm 106 */
{ /* Llib/uvtypes.scm 112 */
 uv_process_options_t * BgL_arg2181z00_2310;
BgL_arg2181z00_2310 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1859)))->BgL_z42builtinz42); 
bgl_uv_process_options_env_set(BgL_arg2181z00_2310, BgL_vz00_1860); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1861, obj_t BgL_oz00_1862)
{
{ /* Llib/uvtypes.scm 106 */
{ /* Llib/uvtypes.scm 109 */
 uv_process_options_t * BgL_arg2178z00_2311;
BgL_arg2178z00_2311 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1862)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_env_get(BgL_arg2178z00_2311);} } 

}



/* &<@anonymous:2170> */
obj_t BGl_z62zc3z04anonymousza32170ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1863, obj_t BgL_oz00_1864, obj_t BgL_vz00_1865)
{
{ /* Llib/uvtypes.scm 98 */
{ /* Llib/uvtypes.scm 104 */
 uv_process_options_t * BgL_arg2171z00_2312;
BgL_arg2171z00_2312 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1864)))->BgL_z42builtinz42); 
bgl_uv_process_options_args_set(BgL_arg2171z00_2312, BgL_vz00_1865); BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2167> */
obj_t BGl_z62zc3z04anonymousza32167ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1866, obj_t BgL_oz00_1867)
{
{ /* Llib/uvtypes.scm 98 */
{ /* Llib/uvtypes.scm 101 */
 uv_process_options_t * BgL_arg2168z00_2313;
BgL_arg2168z00_2313 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1867)))->BgL_z42builtinz42); 
return 
bgl_uv_process_options_args_get(BgL_arg2168z00_2313);} } 

}



/* &<@anonymous:2160> */
obj_t BGl_z62zc3z04anonymousza32160ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1868, obj_t BgL_oz00_1869, obj_t BgL_vz00_1870)
{
{ /* Llib/uvtypes.scm 90 */
{ /* Llib/uvtypes.scm 96 */
 uv_process_options_t * BgL_arg2161z00_2314;
BgL_arg2161z00_2314 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1869)))->BgL_z42builtinz42); 
{ /* Llib/uvtypes.scm 96 */
 char * BgL_tmpz00_3317;
BgL_tmpz00_3317 = 
BSTRING_TO_STRING(BgL_vz00_1870); 
BGL_UV_PROCESS_OPTIONS_FILE_SET(BgL_arg2161z00_2314, BgL_tmpz00_3317); } BUNSPEC; } 
return BUNSPEC;} 

}



/* &<@anonymous:2157> */
obj_t BGl_z62zc3z04anonymousza32157ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1871, obj_t BgL_oz00_1872)
{
{ /* Llib/uvtypes.scm 90 */
{ /* Llib/uvtypes.scm 92 */
 char * BgL_tmpz00_3320;
{ /* Llib/uvtypes.scm 93 */
 uv_process_options_t * BgL_arg2158z00_2315;
BgL_arg2158z00_2315 = 
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1872)))->BgL_z42builtinz42); 
BgL_tmpz00_3320 = 
BGL_UV_PROCESS_OPTIONS_FILE_GET(BgL_arg2158z00_2315); } 
return 
string_to_bstring(BgL_tmpz00_3320);} } 

}



/* &<@anonymous:2152> */
obj_t BGl_z62zc3z04anonymousza32152ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1873, obj_t BgL_oz00_1874, obj_t BgL_vz00_1875)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1874), 
(int)(6L), BgL_vz00_1875);} 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1876, obj_t BgL_oz00_1877)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1877), 
(int)(6L));} 

}



/* &<@anonymous:2147> */
obj_t BGl_z62zc3z04anonymousza32147ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1878, obj_t BgL_oz00_1879, obj_t BgL_vz00_1880)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1879), 
(int)(5L), BgL_vz00_1880);} 

}



/* &<@anonymous:2146> */
obj_t BGl_z62zc3z04anonymousza32146ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1881, obj_t BgL_oz00_1882)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1882), 
(int)(5L));} 

}



/* &<@anonymous:2142> */
obj_t BGl_z62zc3z04anonymousza32142ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1883, obj_t BgL_oz00_1884, obj_t BgL_vz00_1885)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1884), 
(int)(4L), BgL_vz00_1885);} 

}



/* &<@anonymous:2141> */
obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1886, obj_t BgL_oz00_1887)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1887), 
(int)(4L));} 

}



/* &<@anonymous:2137> */
obj_t BGl_z62zc3z04anonymousza32137ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1888, obj_t BgL_oz00_1889, obj_t BgL_vz00_1890)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1889), 
(int)(3L), BgL_vz00_1890);} 

}



/* &<@anonymous:2136> */
obj_t BGl_z62zc3z04anonymousza32136ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1891, obj_t BgL_oz00_1892)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1892), 
(int)(3L));} 

}



/* &<@anonymous:2132> */
obj_t BGl_z62zc3z04anonymousza32132ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1893, obj_t BgL_oz00_1894, obj_t BgL_vz00_1895)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1894), 
(int)(2L), BgL_vz00_1895);} 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1896, obj_t BgL_oz00_1897)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1897), 
(int)(2L));} 

}



/* &<@anonymous:2127> */
obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1898, obj_t BgL_oz00_1899, obj_t BgL_vz00_1900)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1899), 
(int)(1L), BgL_vz00_1900);} 

}



/* &<@anonymous:2126> */
obj_t BGl_z62zc3z04anonymousza32126ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1901, obj_t BgL_oz00_1902)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1902), 
(int)(1L));} 

}



/* &<@anonymous:2122> */
obj_t BGl_z62zc3z04anonymousza32122ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1903, obj_t BgL_oz00_1904, obj_t BgL_vz00_1905)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1904), 
(int)(0L), BgL_vz00_1905);} 

}



/* &<@anonymous:2121> */
obj_t BGl_z62zc3z04anonymousza32121ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1906, obj_t BgL_oz00_1907)
{
{ /* Llib/uvtypes.scm 87 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1907), 
(int)(0L));} 

}



/* &<@anonymous:2117> */
obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1908)
{
{ /* Llib/uvtypes.scm 87 */
return 
void_star_to_obj(
((uv_process_options_t *)GC_MALLOC( sizeof( uv_process_options_t ) )));} 

}



/* &lambda2116 */
obj_t BGl_z62lambda2116z62zz__libuv_typesz00(obj_t BgL_envz00_1909, obj_t BgL_oz00_1910, obj_t BgL_vz00_1911)
{
{ /* Llib/uvtypes.scm 87 */
{ /* Llib/uvtypes.scm 87 */
 uv_process_options_t * BgL_vz00_2317;
BgL_vz00_2317 = 
FOREIGN_TO_COBJ(BgL_vz00_1911); 
return 
((((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1910)))->BgL_z42builtinz42)=((uv_process_options_t *)BgL_vz00_2317),BUNSPEC);} } 

}



/* &lambda2115 */
obj_t BGl_z62lambda2115z62zz__libuv_typesz00(obj_t BgL_envz00_1912, obj_t BgL_oz00_1913)
{
{ /* Llib/uvtypes.scm 87 */
return 
void_star_to_obj(
(((BgL_uvprocessoptionsz00_bglt)COBJECT(
((BgL_uvprocessoptionsz00_bglt)BgL_oz00_1913)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1914, obj_t BgL_new1232z00_1915)
{
{ /* Llib/uvtypes.scm 79 */
{ 
 BgL_uvprocessz00_bglt BgL_auxz00_3375;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915)))->BgL_z42onexitz42)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_3375 = 
((BgL_uvprocessz00_bglt)BgL_new1232z00_1915); 
return 
((obj_t)BgL_auxz00_3375);} } 

}



/* &lambda2078 */
BgL_uvprocessz00_bglt BGl_z62lambda2078z62zz__libuv_typesz00(obj_t BgL_envz00_1916)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1231z00_2320;
BgL_new1231z00_2320 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2079z00_2321;
BgL_arg2079z00_2321 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1231z00_2320), BgL_arg2079z00_2321); } 
return BgL_new1231z00_2320;} } 

}



/* &lambda2075 */
BgL_uvprocessz00_bglt BGl_z62lambda2075z62zz__libuv_typesz00(obj_t BgL_envz00_1917, obj_t BgL_z42builtin1224z42_1918, obj_t BgL_z52onclose1225z52_1919, obj_t BgL_z52gcmarkshead1226z52_1920, obj_t BgL_z52gcmarkstail1227z52_1921, obj_t BgL_z52gcmark1228z52_1922, obj_t BgL_closed1229z00_1923, obj_t BgL_z42onexit1230z42_1924)
{
{ /* Llib/uvtypes.scm 79 */
{ /* Llib/uvtypes.scm 79 */
 uv_handle_t * BgL_z42builtin1224z42_2322; bool_t BgL_closed1229z00_2325;
BgL_z42builtin1224z42_2322 = 
FOREIGN_TO_COBJ(BgL_z42builtin1224z42_1918); 
BgL_closed1229z00_2325 = 
CBOOL(BgL_closed1229z00_1923); 
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1280z00_2326;
{ /* Llib/uvtypes.scm 79 */
 BgL_uvprocessz00_bglt BgL_new1279z00_2327;
BgL_new1279z00_2327 = 
((BgL_uvprocessz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvprocessz00_bgl) ))); 
{ /* Llib/uvtypes.scm 79 */
 long BgL_arg2077z00_2328;
BgL_arg2077z00_2328 = 
BGL_CLASS_NUM(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1279z00_2327), BgL_arg2077z00_2328); } 
BgL_new1280z00_2326 = BgL_new1279z00_2327; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1224z42_2322),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1225z52_1919),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1226z52_1920)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1227z52_1921)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1228z52_1922),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1280z00_2326)))->BgL_closedz00)=((bool_t)BgL_closed1229z00_2325),BUNSPEC); 
((((BgL_uvprocessz00_bglt)COBJECT(BgL_new1280z00_2326))->BgL_z42onexitz42)=((obj_t)BgL_z42onexit1230z42_1924),BUNSPEC); 
{ /* Llib/uvtypes.scm 79 */
 obj_t BgL_fun2076z00_2329;
BgL_fun2076z00_2329 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvProcessz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2076z00_2329, 
((obj_t)BgL_new1280z00_2326)); } 
return BgL_new1280z00_2326;} } } 

}



/* &<@anonymous:2096> */
obj_t BGl_z62zc3z04anonymousza32096ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1925, obj_t BgL_oz00_1926)
{
{ /* Llib/uvtypes.scm 81 */
{ /* Llib/uvtypes.scm 83 */
 int BgL_tmpz00_3430;
{ /* Llib/uvtypes.scm 84 */
 uv_process_t * BgL_arg2097z00_2330;
{ /* Llib/uvtypes.scm 84 */
 uv_handle_t * BgL_arg2098z00_2331;
BgL_arg2098z00_2331 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvprocessz00_bglt)BgL_oz00_1926))))->BgL_z42builtinz42); 
BgL_arg2097z00_2330 = 
(uv_process_t *)(BgL_arg2098z00_2331); } 
BgL_tmpz00_3430 = 
(BgL_arg2097z00_2330->pid); } 
return 
BINT(BgL_tmpz00_3430);} } 

}



/* &<@anonymous:2092> */
obj_t BGl_z62zc3z04anonymousza32092ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1927, obj_t BgL_oz00_1928, obj_t BgL_vz00_1929)
{
{ /* Llib/uvtypes.scm 79 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1928), 
(int)(0L), BgL_vz00_1929);} 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1930, obj_t BgL_oz00_1931)
{
{ /* Llib/uvtypes.scm 79 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1931), 
(int)(0L));} 

}



/* &<@anonymous:2087> */
obj_t BGl_z62zc3z04anonymousza32087ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1932)
{
{ /* Llib/uvtypes.scm 79 */
return BUNSPEC;} 

}



/* &lambda2086 */
obj_t BGl_z62lambda2086z62zz__libuv_typesz00(obj_t BgL_envz00_1933, obj_t BgL_oz00_1934, obj_t BgL_vz00_1935)
{
{ /* Llib/uvtypes.scm 79 */
return 
((((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1934)))->BgL_z42onexitz42)=((obj_t)BgL_vz00_1935),BUNSPEC);} 

}



/* &lambda2085 */
obj_t BGl_z62lambda2085z62zz__libuv_typesz00(obj_t BgL_envz00_1936, obj_t BgL_oz00_1937)
{
{ /* Llib/uvtypes.scm 79 */
return 
(((BgL_uvprocessz00_bglt)COBJECT(
((BgL_uvprocessz00_bglt)BgL_oz00_1937)))->BgL_z42onexitz42);} 

}



/* &<@anonymous:2069> */
obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1938, obj_t BgL_new1222z00_1939)
{
{ /* Llib/uvtypes.scm 77 */
{ 
 BgL_uvcheckz00_bglt BgL_auxz00_3447;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3467;
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_classz00_2335;
BgL_classz00_2335 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL__ortest_1116z00_2336;
BgL__ortest_1116z00_2336 = 
BGL_CLASS_NIL(BgL_classz00_2335); 
if(
CBOOL(BgL__ortest_1116z00_2336))
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3467 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2336)
; }  else 
{ /* Llib/uvtypes.scm 77 */
BgL_auxz00_3467 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2335))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3467),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3447 = 
((BgL_uvcheckz00_bglt)BgL_new1222z00_1939); 
return 
((obj_t)BgL_auxz00_3447);} } 

}



/* &lambda2067 */
BgL_uvcheckz00_bglt BGl_z62lambda2067z62zz__libuv_typesz00(obj_t BgL_envz00_1940)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1221z00_2337;
BgL_new1221z00_2337 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2068z00_2338;
BgL_arg2068z00_2338 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1221z00_2337), BgL_arg2068z00_2338); } 
return BgL_new1221z00_2337;} } 

}



/* &lambda2064 */
BgL_uvcheckz00_bglt BGl_z62lambda2064z62zz__libuv_typesz00(obj_t BgL_envz00_1941, obj_t BgL_z42builtin1212z42_1942, obj_t BgL_z52onclose1213z52_1943, obj_t BgL_z52gcmarkshead1214z52_1944, obj_t BgL_z52gcmarkstail1215z52_1945, obj_t BgL_z52gcmark1216z52_1946, obj_t BgL_closed1217z00_1947, obj_t BgL_loop1218z00_1948, obj_t BgL_cb1219z00_1949, obj_t BgL_z52data1220z52_1950)
{
{ /* Llib/uvtypes.scm 77 */
{ /* Llib/uvtypes.scm 77 */
 uv_handle_t * BgL_z42builtin1212z42_2339; bool_t BgL_closed1217z00_2342; void * BgL_z52data1220z52_2345;
BgL_z42builtin1212z42_2339 = 
FOREIGN_TO_COBJ(BgL_z42builtin1212z42_1942); 
BgL_closed1217z00_2342 = 
CBOOL(BgL_closed1217z00_1947); 
BgL_z52data1220z52_2345 = 
FOREIGN_TO_COBJ(BgL_z52data1220z52_1950); 
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1278z00_2346;
{ /* Llib/uvtypes.scm 77 */
 BgL_uvcheckz00_bglt BgL_new1277z00_2347;
BgL_new1277z00_2347 = 
((BgL_uvcheckz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvcheckz00_bgl) ))); 
{ /* Llib/uvtypes.scm 77 */
 long BgL_arg2066z00_2348;
BgL_arg2066z00_2348 = 
BGL_CLASS_NUM(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1277z00_2347), BgL_arg2066z00_2348); } 
BgL_new1278z00_2346 = BgL_new1277z00_2347; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1212z42_2339),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1213z52_1943),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1214z52_1944)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1215z52_1945)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1216z52_1946),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1278z00_2346)))->BgL_closedz00)=((bool_t)BgL_closed1217z00_2342),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2346)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1218z00_1948)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2346)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1219z00_1949)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1278z00_2346)))->BgL_z52dataz52)=((void *)BgL_z52data1220z52_2345),BUNSPEC); 
{ /* Llib/uvtypes.scm 77 */
 obj_t BgL_fun2065z00_2349;
BgL_fun2065z00_2349 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvCheckz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2065z00_2349, 
((obj_t)BgL_new1278z00_2346)); } 
return BgL_new1278z00_2346;} } } 

}



/* &<@anonymous:2058> */
obj_t BGl_z62zc3z04anonymousza32058ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1951, obj_t BgL_new1210z00_1952)
{
{ /* Llib/uvtypes.scm 75 */
{ 
 BgL_uvfspollz00_bglt BgL_auxz00_3525;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3545;
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_classz00_2351;
BgL_classz00_2351 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL__ortest_1116z00_2352;
BgL__ortest_1116z00_2352 = 
BGL_CLASS_NIL(BgL_classz00_2351); 
if(
CBOOL(BgL__ortest_1116z00_2352))
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3545 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2352)
; }  else 
{ /* Llib/uvtypes.scm 75 */
BgL_auxz00_3545 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2351))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3545),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3525 = 
((BgL_uvfspollz00_bglt)BgL_new1210z00_1952); 
return 
((obj_t)BgL_auxz00_3525);} } 

}



/* &lambda2056 */
BgL_uvfspollz00_bglt BGl_z62lambda2056z62zz__libuv_typesz00(obj_t BgL_envz00_1953)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1209z00_2353;
BgL_new1209z00_2353 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2057z00_2354;
BgL_arg2057z00_2354 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1209z00_2353), BgL_arg2057z00_2354); } 
return BgL_new1209z00_2353;} } 

}



/* &lambda2053 */
BgL_uvfspollz00_bglt BGl_z62lambda2053z62zz__libuv_typesz00(obj_t BgL_envz00_1954, obj_t BgL_z42builtin1200z42_1955, obj_t BgL_z52onclose1201z52_1956, obj_t BgL_z52gcmarkshead1202z52_1957, obj_t BgL_z52gcmarkstail1203z52_1958, obj_t BgL_z52gcmark1204z52_1959, obj_t BgL_closed1205z00_1960, obj_t BgL_loop1206z00_1961, obj_t BgL_cb1207z00_1962, obj_t BgL_z52data1208z52_1963)
{
{ /* Llib/uvtypes.scm 75 */
{ /* Llib/uvtypes.scm 75 */
 uv_handle_t * BgL_z42builtin1200z42_2355; bool_t BgL_closed1205z00_2358; void * BgL_z52data1208z52_2361;
BgL_z42builtin1200z42_2355 = 
FOREIGN_TO_COBJ(BgL_z42builtin1200z42_1955); 
BgL_closed1205z00_2358 = 
CBOOL(BgL_closed1205z00_1960); 
BgL_z52data1208z52_2361 = 
FOREIGN_TO_COBJ(BgL_z52data1208z52_1963); 
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1276z00_2362;
{ /* Llib/uvtypes.scm 75 */
 BgL_uvfspollz00_bglt BgL_new1275z00_2363;
BgL_new1275z00_2363 = 
((BgL_uvfspollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfspollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 75 */
 long BgL_arg2055z00_2364;
BgL_arg2055z00_2364 = 
BGL_CLASS_NUM(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1275z00_2363), BgL_arg2055z00_2364); } 
BgL_new1276z00_2362 = BgL_new1275z00_2363; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1200z42_2355),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1201z52_1956),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1202z52_1957)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1203z52_1958)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1204z52_1959),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1276z00_2362)))->BgL_closedz00)=((bool_t)BgL_closed1205z00_2358),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2362)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1206z00_1961)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2362)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1207z00_1962)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1276z00_2362)))->BgL_z52dataz52)=((void *)BgL_z52data1208z52_2361),BUNSPEC); 
{ /* Llib/uvtypes.scm 75 */
 obj_t BgL_fun2054z00_2365;
BgL_fun2054z00_2365 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsPollz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2054z00_2365, 
((obj_t)BgL_new1276z00_2362)); } 
return BgL_new1276z00_2362;} } } 

}



/* &<@anonymous:2047> */
obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1964, obj_t BgL_new1198z00_1965)
{
{ /* Llib/uvtypes.scm 73 */
{ 
 BgL_uvfseventz00_bglt BgL_auxz00_3603;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3623;
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_classz00_2367;
BgL_classz00_2367 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL__ortest_1116z00_2368;
BgL__ortest_1116z00_2368 = 
BGL_CLASS_NIL(BgL_classz00_2367); 
if(
CBOOL(BgL__ortest_1116z00_2368))
{ /* Llib/uvtypes.scm 73 */
BgL_auxz00_3623 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2368)
; }  else 
{ /* Llib/uvtypes.scm 73 */
BgL_auxz00_3623 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2367))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3623),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3603 = 
((BgL_uvfseventz00_bglt)BgL_new1198z00_1965); 
return 
((obj_t)BgL_auxz00_3603);} } 

}



/* &lambda2045 */
BgL_uvfseventz00_bglt BGl_z62lambda2045z62zz__libuv_typesz00(obj_t BgL_envz00_1966)
{
{ /* Llib/uvtypes.scm 73 */
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1197z00_2369;
BgL_new1197z00_2369 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 73 */
 long BgL_arg2046z00_2370;
BgL_arg2046z00_2370 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1197z00_2369), BgL_arg2046z00_2370); } 
return BgL_new1197z00_2369;} } 

}



/* &lambda2042 */
BgL_uvfseventz00_bglt BGl_z62lambda2042z62zz__libuv_typesz00(obj_t BgL_envz00_1967, obj_t BgL_z42builtin1188z42_1968, obj_t BgL_z52onclose1189z52_1969, obj_t BgL_z52gcmarkshead1190z52_1970, obj_t BgL_z52gcmarkstail1191z52_1971, obj_t BgL_z52gcmark1192z52_1972, obj_t BgL_closed1193z00_1973, obj_t BgL_loop1194z00_1974, obj_t BgL_cb1195z00_1975, obj_t BgL_z52data1196z52_1976)
{
{ /* Llib/uvtypes.scm 73 */
{ /* Llib/uvtypes.scm 73 */
 uv_handle_t * BgL_z42builtin1188z42_2371; bool_t BgL_closed1193z00_2374; void * BgL_z52data1196z52_2377;
BgL_z42builtin1188z42_2371 = 
FOREIGN_TO_COBJ(BgL_z42builtin1188z42_1968); 
BgL_closed1193z00_2374 = 
CBOOL(BgL_closed1193z00_1973); 
BgL_z52data1196z52_2377 = 
FOREIGN_TO_COBJ(BgL_z52data1196z52_1976); 
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1274z00_2378;
{ /* Llib/uvtypes.scm 73 */
 BgL_uvfseventz00_bglt BgL_new1273z00_2379;
BgL_new1273z00_2379 = 
((BgL_uvfseventz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfseventz00_bgl) ))); 
{ /* Llib/uvtypes.scm 73 */
 long BgL_arg2044z00_2380;
BgL_arg2044z00_2380 = 
BGL_CLASS_NUM(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1273z00_2379), BgL_arg2044z00_2380); } 
BgL_new1274z00_2378 = BgL_new1273z00_2379; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1188z42_2371),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1189z52_1969),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1190z52_1970)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1191z52_1971)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1192z52_1972),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1274z00_2378)))->BgL_closedz00)=((bool_t)BgL_closed1193z00_2374),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2378)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1194z00_1974)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2378)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1195z00_1975)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1274z00_2378)))->BgL_z52dataz52)=((void *)BgL_z52data1196z52_2377),BUNSPEC); 
{ /* Llib/uvtypes.scm 73 */
 obj_t BgL_fun2043z00_2381;
BgL_fun2043z00_2381 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvFsEventz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2043z00_2381, 
((obj_t)BgL_new1274z00_2378)); } 
return BgL_new1274z00_2378;} } } 

}



/* &<@anonymous:2026> */
obj_t BGl_z62zc3z04anonymousza32026ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1977, obj_t BgL_new1186z00_1978)
{
{ /* Llib/uvtypes.scm 69 */
{ 
 BgL_uvfilez00_bglt BgL_auxz00_3681;
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1186z00_1978)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_new1186z00_1978)))->BgL_pathz00)=((obj_t)BGl_string2273z00zz__libuv_typesz00),BUNSPEC); 
BgL_auxz00_3681 = 
((BgL_uvfilez00_bglt)BgL_new1186z00_1978); 
return 
((obj_t)BgL_auxz00_3681);} } 

}



/* &lambda2024 */
BgL_uvfilez00_bglt BGl_z62lambda2024z62zz__libuv_typesz00(obj_t BgL_envz00_1979)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1185z00_2383;
BgL_new1185z00_2383 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 69 */
 long BgL_arg2025z00_2384;
BgL_arg2025z00_2384 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_2383), BgL_arg2025z00_2384); } 
return BgL_new1185z00_2383;} } 

}



/* &lambda2022 */
BgL_uvfilez00_bglt BGl_z62lambda2022z62zz__libuv_typesz00(obj_t BgL_envz00_1980, obj_t BgL_fd1183z00_1981, obj_t BgL_path1184z00_1982)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 int BgL_fd1183z00_2385;
BgL_fd1183z00_2385 = 
CINT(BgL_fd1183z00_1981); 
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1272z00_2387;
{ /* Llib/uvtypes.scm 69 */
 BgL_uvfilez00_bglt BgL_new1271z00_2388;
BgL_new1271z00_2388 = 
((BgL_uvfilez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvfilez00_bgl) ))); 
{ /* Llib/uvtypes.scm 69 */
 long BgL_arg2023z00_2389;
BgL_arg2023z00_2389 = 
BGL_CLASS_NUM(BGl_UvFilez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1271z00_2388), BgL_arg2023z00_2389); } 
BgL_new1272z00_2387 = BgL_new1271z00_2388; } 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1272z00_2387))->BgL_fdz00)=((int)BgL_fd1183z00_2385),BUNSPEC); 
((((BgL_uvfilez00_bglt)COBJECT(BgL_new1272z00_2387))->BgL_pathz00)=((obj_t)
((obj_t)BgL_path1184z00_1982)),BUNSPEC); 
return BgL_new1272z00_2387;} } } 

}



/* &lambda2036 */
obj_t BGl_z62lambda2036z62zz__libuv_typesz00(obj_t BgL_envz00_1983, obj_t BgL_oz00_1984, obj_t BgL_vz00_1985)
{
{ /* Llib/uvtypes.scm 69 */
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1984)))->BgL_pathz00)=((obj_t)
((obj_t)BgL_vz00_1985)),BUNSPEC);} 

}



/* &lambda2035 */
obj_t BGl_z62lambda2035z62zz__libuv_typesz00(obj_t BgL_envz00_1986, obj_t BgL_oz00_1987)
{
{ /* Llib/uvtypes.scm 69 */
return 
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1987)))->BgL_pathz00);} 

}



/* &lambda2031 */
obj_t BGl_z62lambda2031z62zz__libuv_typesz00(obj_t BgL_envz00_1988, obj_t BgL_oz00_1989, obj_t BgL_vz00_1990)
{
{ /* Llib/uvtypes.scm 69 */
{ /* Llib/uvtypes.scm 69 */
 int BgL_vz00_2394;
BgL_vz00_2394 = 
CINT(BgL_vz00_1990); 
return 
((((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1989)))->BgL_fdz00)=((int)BgL_vz00_2394),BUNSPEC);} } 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__libuv_typesz00(obj_t BgL_envz00_1991, obj_t BgL_oz00_1992)
{
{ /* Llib/uvtypes.scm 69 */
return 
BINT(
(((BgL_uvfilez00_bglt)COBJECT(
((BgL_uvfilez00_bglt)BgL_oz00_1992)))->BgL_fdz00));} 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_1993, obj_t BgL_new1181z00_1994)
{
{ /* Llib/uvtypes.scm 66 */
{ 
 BgL_uvpollz00_bglt BgL_auxz00_3712;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3732;
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_classz00_2397;
BgL_classz00_2397 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL__ortest_1116z00_2398;
BgL__ortest_1116z00_2398 = 
BGL_CLASS_NIL(BgL_classz00_2397); 
if(
CBOOL(BgL__ortest_1116z00_2398))
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3732 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2398)
; }  else 
{ /* Llib/uvtypes.scm 66 */
BgL_auxz00_3732 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2397))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3732),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvpollz00_bglt)BgL_new1181z00_1994))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_new1181z00_1994)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_3712 = 
((BgL_uvpollz00_bglt)BgL_new1181z00_1994); 
return 
((obj_t)BgL_auxz00_3712);} } 

}



/* &lambda2009 */
BgL_uvpollz00_bglt BGl_z62lambda2009z62zz__libuv_typesz00(obj_t BgL_envz00_1995)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1180z00_2399;
BgL_new1180z00_2399 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg2010z00_2400;
BgL_arg2010z00_2400 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1180z00_2399), BgL_arg2010z00_2400); } 
return BgL_new1180z00_2399;} } 

}



/* &lambda2006 */
BgL_uvpollz00_bglt BGl_z62lambda2006z62zz__libuv_typesz00(obj_t BgL_envz00_1996, obj_t BgL_z42builtin1170z42_1997, obj_t BgL_z52onclose1171z52_1998, obj_t BgL_z52gcmarkshead1172z52_1999, obj_t BgL_z52gcmarkstail1173z52_2000, obj_t BgL_z52gcmark1174z52_2001, obj_t BgL_closed1175z00_2002, obj_t BgL_loop1176z00_2003, obj_t BgL_cb1177z00_2004, obj_t BgL_z52data1178z52_2005, obj_t BgL_fd1179z00_2006)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 uv_handle_t * BgL_z42builtin1170z42_2401; bool_t BgL_closed1175z00_2404; void * BgL_z52data1178z52_2407; int BgL_fd1179z00_2408;
BgL_z42builtin1170z42_2401 = 
FOREIGN_TO_COBJ(BgL_z42builtin1170z42_1997); 
BgL_closed1175z00_2404 = 
CBOOL(BgL_closed1175z00_2002); 
BgL_z52data1178z52_2407 = 
FOREIGN_TO_COBJ(BgL_z52data1178z52_2005); 
BgL_fd1179z00_2408 = 
CINT(BgL_fd1179z00_2006); 
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1270z00_2409;
{ /* Llib/uvtypes.scm 66 */
 BgL_uvpollz00_bglt BgL_new1269z00_2410;
BgL_new1269z00_2410 = 
((BgL_uvpollz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpollz00_bgl) ))); 
{ /* Llib/uvtypes.scm 66 */
 long BgL_arg2008z00_2411;
BgL_arg2008z00_2411 = 
BGL_CLASS_NUM(BGl_UvPollz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1269z00_2410), BgL_arg2008z00_2411); } 
BgL_new1270z00_2409 = BgL_new1269z00_2410; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1170z42_2401),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1171z52_1998),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1172z52_1999)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1173z52_2000)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1174z52_2001),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1270z00_2409)))->BgL_closedz00)=((bool_t)BgL_closed1175z00_2404),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2409)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1176z00_2003)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2409)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1177z00_2004)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1270z00_2409)))->BgL_z52dataz52)=((void *)BgL_z52data1178z52_2407),BUNSPEC); 
((((BgL_uvpollz00_bglt)COBJECT(BgL_new1270z00_2409))->BgL_fdz00)=((int)BgL_fd1179z00_2408),BUNSPEC); 
{ /* Llib/uvtypes.scm 66 */
 obj_t BgL_fun2007z00_2412;
BgL_fun2007z00_2412 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPollz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun2007z00_2412, 
((obj_t)BgL_new1270z00_2409)); } 
return BgL_new1270z00_2409;} } } 

}



/* &lambda2016 */
obj_t BGl_z62lambda2016z62zz__libuv_typesz00(obj_t BgL_envz00_2007, obj_t BgL_oz00_2008, obj_t BgL_vz00_2009)
{
{ /* Llib/uvtypes.scm 66 */
{ /* Llib/uvtypes.scm 66 */
 int BgL_vz00_2414;
BgL_vz00_2414 = 
CINT(BgL_vz00_2009); 
return 
((((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2008)))->BgL_fdz00)=((int)BgL_vz00_2414),BUNSPEC);} } 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__libuv_typesz00(obj_t BgL_envz00_2010, obj_t BgL_oz00_2011)
{
{ /* Llib/uvtypes.scm 66 */
return 
BINT(
(((BgL_uvpollz00_bglt)COBJECT(
((BgL_uvpollz00_bglt)BgL_oz00_2011)))->BgL_fdz00));} 

}



/* &<@anonymous:2000> */
obj_t BGl_z62zc3z04anonymousza32000ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2012, obj_t BgL_new1168z00_2013)
{
{ /* Llib/uvtypes.scm 64 */
{ 
 BgL_uvasyncz00_bglt BgL_auxz00_3801;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3821;
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_classz00_2417;
BgL_classz00_2417 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL__ortest_1116z00_2418;
BgL__ortest_1116z00_2418 = 
BGL_CLASS_NIL(BgL_classz00_2417); 
if(
CBOOL(BgL__ortest_1116z00_2418))
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3821 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2418)
; }  else 
{ /* Llib/uvtypes.scm 64 */
BgL_auxz00_3821 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2417))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3821),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3801 = 
((BgL_uvasyncz00_bglt)BgL_new1168z00_2013); 
return 
((obj_t)BgL_auxz00_3801);} } 

}



/* &lambda1998 */
BgL_uvasyncz00_bglt BGl_z62lambda1998z62zz__libuv_typesz00(obj_t BgL_envz00_2014)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1167z00_2419;
BgL_new1167z00_2419 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1999z00_2420;
BgL_arg1999z00_2420 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1167z00_2419), BgL_arg1999z00_2420); } 
return BgL_new1167z00_2419;} } 

}



/* &lambda1995 */
BgL_uvasyncz00_bglt BGl_z62lambda1995z62zz__libuv_typesz00(obj_t BgL_envz00_2015, obj_t BgL_z42builtin1158z42_2016, obj_t BgL_z52onclose1159z52_2017, obj_t BgL_z52gcmarkshead1160z52_2018, obj_t BgL_z52gcmarkstail1161z52_2019, obj_t BgL_z52gcmark1162z52_2020, obj_t BgL_closed1163z00_2021, obj_t BgL_loop1164z00_2022, obj_t BgL_cb1165z00_2023, obj_t BgL_z52data1166z52_2024)
{
{ /* Llib/uvtypes.scm 64 */
{ /* Llib/uvtypes.scm 64 */
 uv_handle_t * BgL_z42builtin1158z42_2421; bool_t BgL_closed1163z00_2424; void * BgL_z52data1166z52_2427;
BgL_z42builtin1158z42_2421 = 
FOREIGN_TO_COBJ(BgL_z42builtin1158z42_2016); 
BgL_closed1163z00_2424 = 
CBOOL(BgL_closed1163z00_2021); 
BgL_z52data1166z52_2427 = 
FOREIGN_TO_COBJ(BgL_z52data1166z52_2024); 
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1268z00_2428;
{ /* Llib/uvtypes.scm 64 */
 BgL_uvasyncz00_bglt BgL_new1267z00_2429;
BgL_new1267z00_2429 = 
((BgL_uvasyncz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvasyncz00_bgl) ))); 
{ /* Llib/uvtypes.scm 64 */
 long BgL_arg1997z00_2430;
BgL_arg1997z00_2430 = 
BGL_CLASS_NUM(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1267z00_2429), BgL_arg1997z00_2430); } 
BgL_new1268z00_2428 = BgL_new1267z00_2429; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1158z42_2421),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1159z52_2017),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1160z52_2018)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1161z52_2019)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1162z52_2020),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1268z00_2428)))->BgL_closedz00)=((bool_t)BgL_closed1163z00_2424),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2428)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1164z00_2022)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2428)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1165z00_2023)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1268z00_2428)))->BgL_z52dataz52)=((void *)BgL_z52data1166z52_2427),BUNSPEC); 
{ /* Llib/uvtypes.scm 64 */
 obj_t BgL_fun1996z00_2431;
BgL_fun1996z00_2431 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvAsyncz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1996z00_2431, 
((obj_t)BgL_new1268z00_2428)); } 
return BgL_new1268z00_2428;} } } 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2025, obj_t BgL_new1156z00_2026)
{
{ /* Llib/uvtypes.scm 62 */
{ 
 BgL_uvidlez00_bglt BgL_auxz00_3879;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3899;
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_classz00_2433;
BgL_classz00_2433 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL__ortest_1116z00_2434;
BgL__ortest_1116z00_2434 = 
BGL_CLASS_NIL(BgL_classz00_2433); 
if(
CBOOL(BgL__ortest_1116z00_2434))
{ /* Llib/uvtypes.scm 62 */
BgL_auxz00_3899 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2434)
; }  else 
{ /* Llib/uvtypes.scm 62 */
BgL_auxz00_3899 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2433))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3899),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_new1156z00_2026))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_3879 = 
((BgL_uvidlez00_bglt)BgL_new1156z00_2026); 
return 
((obj_t)BgL_auxz00_3879);} } 

}



/* &lambda1987 */
BgL_uvidlez00_bglt BGl_z62lambda1987z62zz__libuv_typesz00(obj_t BgL_envz00_2027)
{
{ /* Llib/uvtypes.scm 62 */
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1155z00_2435;
BgL_new1155z00_2435 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 62 */
 long BgL_arg1988z00_2436;
BgL_arg1988z00_2436 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2435), BgL_arg1988z00_2436); } 
return BgL_new1155z00_2435;} } 

}



/* &lambda1984 */
BgL_uvidlez00_bglt BGl_z62lambda1984z62zz__libuv_typesz00(obj_t BgL_envz00_2028, obj_t BgL_z42builtin1146z42_2029, obj_t BgL_z52onclose1147z52_2030, obj_t BgL_z52gcmarkshead1148z52_2031, obj_t BgL_z52gcmarkstail1149z52_2032, obj_t BgL_z52gcmark1150z52_2033, obj_t BgL_closed1151z00_2034, obj_t BgL_loop1152z00_2035, obj_t BgL_cb1153z00_2036, obj_t BgL_z52data1154z52_2037)
{
{ /* Llib/uvtypes.scm 62 */
{ /* Llib/uvtypes.scm 62 */
 uv_handle_t * BgL_z42builtin1146z42_2437; bool_t BgL_closed1151z00_2440; void * BgL_z52data1154z52_2443;
BgL_z42builtin1146z42_2437 = 
FOREIGN_TO_COBJ(BgL_z42builtin1146z42_2029); 
BgL_closed1151z00_2440 = 
CBOOL(BgL_closed1151z00_2034); 
BgL_z52data1154z52_2443 = 
FOREIGN_TO_COBJ(BgL_z52data1154z52_2037); 
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1266z00_2444;
{ /* Llib/uvtypes.scm 62 */
 BgL_uvidlez00_bglt BgL_new1265z00_2445;
BgL_new1265z00_2445 = 
((BgL_uvidlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvidlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 62 */
 long BgL_arg1986z00_2446;
BgL_arg1986z00_2446 = 
BGL_CLASS_NUM(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1265z00_2445), BgL_arg1986z00_2446); } 
BgL_new1266z00_2444 = BgL_new1265z00_2445; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1146z42_2437),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1147z52_2030),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1148z52_2031)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1149z52_2032)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1150z52_2033),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1266z00_2444)))->BgL_closedz00)=((bool_t)BgL_closed1151z00_2440),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2444)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1152z00_2035)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2444)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1153z00_2036)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1266z00_2444)))->BgL_z52dataz52)=((void *)BgL_z52data1154z52_2443),BUNSPEC); 
{ /* Llib/uvtypes.scm 62 */
 obj_t BgL_fun1985z00_2447;
BgL_fun1985z00_2447 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvIdlez00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1985z00_2447, 
((obj_t)BgL_new1266z00_2444)); } 
return BgL_new1266z00_2444;} } } 

}



/* &<@anonymous:1964> */
obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2038, obj_t BgL_new1144z00_2039)
{
{ /* Llib/uvtypes.scm 58 */
{ 
 BgL_uvtimerz00_bglt BgL_auxz00_3957;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_3977;
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_classz00_2449;
BgL_classz00_2449 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL__ortest_1116z00_2450;
BgL__ortest_1116z00_2450 = 
BGL_CLASS_NIL(BgL_classz00_2449); 
if(
CBOOL(BgL__ortest_1116z00_2450))
{ /* Llib/uvtypes.scm 58 */
BgL_auxz00_3977 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2450)
; }  else 
{ /* Llib/uvtypes.scm 58 */
BgL_auxz00_3977 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2449))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_3977),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039)))->BgL_repeatz00)=((uint64_t)
0L),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_3957 = 
((BgL_uvtimerz00_bglt)BgL_new1144z00_2039); 
return 
((obj_t)BgL_auxz00_3957);} } 

}



/* &lambda1962 */
BgL_uvtimerz00_bglt BGl_z62lambda1962z62zz__libuv_typesz00(obj_t BgL_envz00_2040)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1143z00_2451;
BgL_new1143z00_2451 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 58 */
 long BgL_arg1963z00_2452;
BgL_arg1963z00_2452 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2451), BgL_arg1963z00_2452); } 
return BgL_new1143z00_2451;} } 

}



/* &lambda1959 */
BgL_uvtimerz00_bglt BGl_z62lambda1959z62zz__libuv_typesz00(obj_t BgL_envz00_2041, obj_t BgL_z42builtin1132z42_2042, obj_t BgL_z52onclose1133z52_2043, obj_t BgL_z52gcmarkshead1134z52_2044, obj_t BgL_z52gcmarkstail1135z52_2045, obj_t BgL_z52gcmark1136z52_2046, obj_t BgL_closed1137z00_2047, obj_t BgL_loop1138z00_2048, obj_t BgL_cb1139z00_2049, obj_t BgL_z52data1140z52_2050, obj_t BgL_repeat1141z00_2051, obj_t BgL_ref1142z00_2052)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uv_handle_t * BgL_z42builtin1132z42_2453; bool_t BgL_closed1137z00_2456; void * BgL_z52data1140z52_2459; uint64_t BgL_repeat1141z00_2460; bool_t BgL_ref1142z00_2461;
BgL_z42builtin1132z42_2453 = 
FOREIGN_TO_COBJ(BgL_z42builtin1132z42_2042); 
BgL_closed1137z00_2456 = 
CBOOL(BgL_closed1137z00_2047); 
BgL_z52data1140z52_2459 = 
FOREIGN_TO_COBJ(BgL_z52data1140z52_2050); 
BgL_repeat1141z00_2460 = 
BGL_BINT64_TO_INT64(BgL_repeat1141z00_2051); 
BgL_ref1142z00_2461 = 
CBOOL(BgL_ref1142z00_2052); 
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1264z00_2462;
{ /* Llib/uvtypes.scm 58 */
 BgL_uvtimerz00_bglt BgL_new1263z00_2463;
BgL_new1263z00_2463 = 
((BgL_uvtimerz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtimerz00_bgl) ))); 
{ /* Llib/uvtypes.scm 58 */
 long BgL_arg1961z00_2464;
BgL_arg1961z00_2464 = 
BGL_CLASS_NUM(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1263z00_2463), BgL_arg1961z00_2464); } 
BgL_new1264z00_2462 = BgL_new1263z00_2463; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1132z42_2453),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1133z52_2043),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1134z52_2044)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1135z52_2045)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1136z52_2046),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1264z00_2462)))->BgL_closedz00)=((bool_t)BgL_closed1137z00_2456),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2462)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1138z00_2048)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2462)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_cb1139z00_2049)),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1264z00_2462)))->BgL_z52dataz52)=((void *)BgL_z52data1140z52_2459),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1264z00_2462))->BgL_repeatz00)=((uint64_t)BgL_repeat1141z00_2460),BUNSPEC); 
((((BgL_uvtimerz00_bglt)COBJECT(BgL_new1264z00_2462))->BgL_refz00)=((bool_t)BgL_ref1142z00_2461),BUNSPEC); 
{ /* Llib/uvtypes.scm 58 */
 obj_t BgL_fun1960z00_2465;
BgL_fun1960z00_2465 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTimerz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1960z00_2465, 
((obj_t)BgL_new1264z00_2462)); } 
return BgL_new1264z00_2462;} } } 

}



/* &<@anonymous:1978> */
obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2053)
{
{ /* Llib/uvtypes.scm 58 */
return 
BBOOL(((bool_t)1));} 

}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__libuv_typesz00(obj_t BgL_envz00_2054, obj_t BgL_oz00_2055, obj_t BgL_vz00_2056)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 bool_t BgL_vz00_2467;
BgL_vz00_2467 = 
CBOOL(BgL_vz00_2056); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2055)))->BgL_refz00)=((bool_t)BgL_vz00_2467),BUNSPEC);} } 

}



/* &lambda1976 */
obj_t BGl_z62lambda1976z62zz__libuv_typesz00(obj_t BgL_envz00_2057, obj_t BgL_oz00_2058)
{
{ /* Llib/uvtypes.scm 58 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2058)))->BgL_refz00));} 

}



/* &<@anonymous:1971> */
obj_t BGl_z62zc3z04anonymousza31971ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2059)
{
{ /* Llib/uvtypes.scm 58 */
return 
BGL_UINT64_TO_BUINT64((uint64_t)(0));} 

}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__libuv_typesz00(obj_t BgL_envz00_2060, obj_t BgL_oz00_2061, obj_t BgL_vz00_2062)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uint64_t BgL_vz00_2470;
BgL_vz00_2470 = 
BGL_BINT64_TO_INT64(BgL_vz00_2062); 
return 
((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2061)))->BgL_repeatz00)=((uint64_t)BgL_vz00_2470),BUNSPEC);} } 

}



/* &lambda1969 */
obj_t BGl_z62lambda1969z62zz__libuv_typesz00(obj_t BgL_envz00_2063, obj_t BgL_oz00_2064)
{
{ /* Llib/uvtypes.scm 58 */
{ /* Llib/uvtypes.scm 58 */
 uint64_t BgL_tmpz00_4055;
BgL_tmpz00_4055 = 
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_2064)))->BgL_repeatz00); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_4055);} } 

}



/* &<@anonymous:1943> */
obj_t BGl_z62zc3z04anonymousza31943ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2065, obj_t BgL_new1130z00_2066)
{
{ /* Llib/uvtypes.scm 54 */
{ 
 BgL_uvttyz00_bglt BgL_auxz00_4059;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4079;
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_classz00_2473;
BgL_classz00_2473 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL__ortest_1116z00_2474;
BgL__ortest_1116z00_2474 = 
BGL_CLASS_NIL(BgL_classz00_2473); 
if(
CBOOL(BgL__ortest_1116z00_2474))
{ /* Llib/uvtypes.scm 54 */
BgL_auxz00_4079 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2474)
; }  else 
{ /* Llib/uvtypes.scm 54 */
BgL_auxz00_4079 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2473))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4079),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvttyz00_bglt)BgL_new1130z00_2066))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1130z00_2066)))->BgL_fdz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_new1130z00_2066)))->BgL_readablez00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4059 = 
((BgL_uvttyz00_bglt)BgL_new1130z00_2066); 
return 
((obj_t)BgL_auxz00_4059);} } 

}



/* &lambda1941 */
BgL_uvttyz00_bglt BGl_z62lambda1941z62zz__libuv_typesz00(obj_t BgL_envz00_2067)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1129z00_2475;
BgL_new1129z00_2475 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 54 */
 long BgL_arg1942z00_2476;
BgL_arg1942z00_2476 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2475), BgL_arg1942z00_2476); } 
return BgL_new1129z00_2475;} } 

}



/* &lambda1938 */
BgL_uvttyz00_bglt BGl_z62lambda1938z62zz__libuv_typesz00(obj_t BgL_envz00_2068, obj_t BgL_z42builtin1119z42_2069, obj_t BgL_z52onclose1120z52_2070, obj_t BgL_z52gcmarkshead1121z52_2071, obj_t BgL_z52gcmarkstail1122z52_2072, obj_t BgL_z52gcmark1123z52_2073, obj_t BgL_closed1124z00_2074, obj_t BgL_loop1125z00_2075, obj_t BgL_z52data1126z52_2076, obj_t BgL_fd1127z00_2077, obj_t BgL_readable1128z00_2078)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 uv_handle_t * BgL_z42builtin1119z42_2477; bool_t BgL_closed1124z00_2480; void * BgL_z52data1126z52_2482; int BgL_fd1127z00_2483; bool_t BgL_readable1128z00_2484;
BgL_z42builtin1119z42_2477 = 
FOREIGN_TO_COBJ(BgL_z42builtin1119z42_2069); 
BgL_closed1124z00_2480 = 
CBOOL(BgL_closed1124z00_2074); 
BgL_z52data1126z52_2482 = 
FOREIGN_TO_COBJ(BgL_z52data1126z52_2076); 
BgL_fd1127z00_2483 = 
CINT(BgL_fd1127z00_2077); 
BgL_readable1128z00_2484 = 
CBOOL(BgL_readable1128z00_2078); 
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1262z00_2485;
{ /* Llib/uvtypes.scm 54 */
 BgL_uvttyz00_bglt BgL_new1261z00_2486;
BgL_new1261z00_2486 = 
((BgL_uvttyz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvttyz00_bgl) ))); 
{ /* Llib/uvtypes.scm 54 */
 long BgL_arg1940z00_2487;
BgL_arg1940z00_2487 = 
BGL_CLASS_NUM(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1261z00_2486), BgL_arg1940z00_2487); } 
BgL_new1262z00_2485 = BgL_new1261z00_2486; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1119z42_2477),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1120z52_2070),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1121z52_2071)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1122z52_2072)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1123z52_2073),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1262z00_2485)))->BgL_closedz00)=((bool_t)BgL_closed1124z00_2480),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1262z00_2485)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1125z00_2075)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1262z00_2485)))->BgL_z52dataz52)=((void *)BgL_z52data1126z52_2482),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1262z00_2485))->BgL_fdz00)=((int)BgL_fd1127z00_2483),BUNSPEC); 
((((BgL_uvttyz00_bglt)COBJECT(BgL_new1262z00_2485))->BgL_readablez00)=((bool_t)BgL_readable1128z00_2484),BUNSPEC); 
{ /* Llib/uvtypes.scm 54 */
 obj_t BgL_fun1939z00_2488;
BgL_fun1939z00_2488 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTtyz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1939z00_2488, 
((obj_t)BgL_new1262z00_2485)); } 
return BgL_new1262z00_2485;} } } 

}



/* &lambda1953 */
obj_t BGl_z62lambda1953z62zz__libuv_typesz00(obj_t BgL_envz00_2079, obj_t BgL_oz00_2080, obj_t BgL_vz00_2081)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 bool_t BgL_vz00_2490;
BgL_vz00_2490 = 
CBOOL(BgL_vz00_2081); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2080)))->BgL_readablez00)=((bool_t)BgL_vz00_2490),BUNSPEC);} } 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__libuv_typesz00(obj_t BgL_envz00_2082, obj_t BgL_oz00_2083)
{
{ /* Llib/uvtypes.scm 54 */
return 
BBOOL(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2083)))->BgL_readablez00));} 

}



/* &lambda1948 */
obj_t BGl_z62lambda1948z62zz__libuv_typesz00(obj_t BgL_envz00_2084, obj_t BgL_oz00_2085, obj_t BgL_vz00_2086)
{
{ /* Llib/uvtypes.scm 54 */
{ /* Llib/uvtypes.scm 54 */
 int BgL_vz00_2493;
BgL_vz00_2493 = 
CINT(BgL_vz00_2086); 
return 
((((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2085)))->BgL_fdz00)=((int)BgL_vz00_2493),BUNSPEC);} } 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__libuv_typesz00(obj_t BgL_envz00_2087, obj_t BgL_oz00_2088)
{
{ /* Llib/uvtypes.scm 54 */
return 
BINT(
(((BgL_uvttyz00_bglt)COBJECT(
((BgL_uvttyz00_bglt)BgL_oz00_2088)))->BgL_fdz00));} 

}



/* &<@anonymous:1927> */
obj_t BGl_z62zc3z04anonymousza31927ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2089, obj_t BgL_new1117z00_2090)
{
{ /* Llib/uvtypes.scm 51 */
{ 
 BgL_uvpipez00_bglt BgL_auxz00_4152;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4172;
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_classz00_2496;
BgL_classz00_2496 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL__ortest_1116z00_2497;
BgL__ortest_1116z00_2497 = 
BGL_CLASS_NIL(BgL_classz00_2496); 
if(
CBOOL(BgL__ortest_1116z00_2497))
{ /* Llib/uvtypes.scm 51 */
BgL_auxz00_4172 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2497)
; }  else 
{ /* Llib/uvtypes.scm 51 */
BgL_auxz00_4172 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2496))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4172),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvpipez00_bglt)BgL_new1117z00_2090))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_new1117z00_2090)))->BgL_ipcz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4152 = 
((BgL_uvpipez00_bglt)BgL_new1117z00_2090); 
return 
((obj_t)BgL_auxz00_4152);} } 

}



/* &lambda1925 */
BgL_uvpipez00_bglt BGl_z62lambda1925z62zz__libuv_typesz00(obj_t BgL_envz00_2091)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1115z00_2498;
BgL_new1115z00_2498 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 51 */
 long BgL_arg1926z00_2499;
BgL_arg1926z00_2499 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_2498), BgL_arg1926z00_2499); } 
return BgL_new1115z00_2498;} } 

}



/* &lambda1922 */
BgL_uvpipez00_bglt BGl_z62lambda1922z62zz__libuv_typesz00(obj_t BgL_envz00_2092, obj_t BgL_z42builtin1106z42_2093, obj_t BgL_z52onclose1107z52_2094, obj_t BgL_z52gcmarkshead1108z52_2095, obj_t BgL_z52gcmarkstail1109z52_2096, obj_t BgL_z52gcmark1110z52_2097, obj_t BgL_closed1111z00_2098, obj_t BgL_loop1112z00_2099, obj_t BgL_z52data1113z52_2100, obj_t BgL_ipc1114z00_2101)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 uv_handle_t * BgL_z42builtin1106z42_2500; bool_t BgL_closed1111z00_2503; void * BgL_z52data1113z52_2505; bool_t BgL_ipc1114z00_2506;
BgL_z42builtin1106z42_2500 = 
FOREIGN_TO_COBJ(BgL_z42builtin1106z42_2093); 
BgL_closed1111z00_2503 = 
CBOOL(BgL_closed1111z00_2098); 
BgL_z52data1113z52_2505 = 
FOREIGN_TO_COBJ(BgL_z52data1113z52_2100); 
BgL_ipc1114z00_2506 = 
CBOOL(BgL_ipc1114z00_2101); 
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1260z00_2507;
{ /* Llib/uvtypes.scm 51 */
 BgL_uvpipez00_bglt BgL_new1259z00_2508;
BgL_new1259z00_2508 = 
((BgL_uvpipez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvpipez00_bgl) ))); 
{ /* Llib/uvtypes.scm 51 */
 long BgL_arg1924z00_2509;
BgL_arg1924z00_2509 = 
BGL_CLASS_NUM(BGl_UvPipez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1259z00_2508), BgL_arg1924z00_2509); } 
BgL_new1260z00_2507 = BgL_new1259z00_2508; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1106z42_2500),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1107z52_2094),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1108z52_2095)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1109z52_2096)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1110z52_2097),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1260z00_2507)))->BgL_closedz00)=((bool_t)BgL_closed1111z00_2503),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1260z00_2507)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1112z00_2099)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1260z00_2507)))->BgL_z52dataz52)=((void *)BgL_z52data1113z52_2505),BUNSPEC); 
((((BgL_uvpipez00_bglt)COBJECT(BgL_new1260z00_2507))->BgL_ipcz00)=((bool_t)BgL_ipc1114z00_2506),BUNSPEC); 
{ /* Llib/uvtypes.scm 51 */
 obj_t BgL_fun1923z00_2510;
BgL_fun1923z00_2510 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvPipez00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1923z00_2510, 
((obj_t)BgL_new1260z00_2507)); } 
return BgL_new1260z00_2507;} } } 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__libuv_typesz00(obj_t BgL_envz00_2102, obj_t BgL_oz00_2103, obj_t BgL_vz00_2104)
{
{ /* Llib/uvtypes.scm 51 */
{ /* Llib/uvtypes.scm 51 */
 bool_t BgL_vz00_2512;
BgL_vz00_2512 = 
CBOOL(BgL_vz00_2104); 
return 
((((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2103)))->BgL_ipcz00)=((bool_t)BgL_vz00_2512),BUNSPEC);} } 

}



/* &lambda1931 */
obj_t BGl_z62lambda1931z62zz__libuv_typesz00(obj_t BgL_envz00_2105, obj_t BgL_oz00_2106)
{
{ /* Llib/uvtypes.scm 51 */
return 
BBOOL(
(((BgL_uvpipez00_bglt)COBJECT(
((BgL_uvpipez00_bglt)BgL_oz00_2106)))->BgL_ipcz00));} 

}



/* &<@anonymous:1909> */
obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2107, obj_t BgL_new1104z00_2108)
{
{ /* Llib/uvtypes.scm 48 */
{ 
 BgL_uvudpz00_bglt BgL_auxz00_4234;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4254;
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_classz00_2515;
BgL_classz00_2515 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL__ortest_1116z00_2516;
BgL__ortest_1116z00_2516 = 
BGL_CLASS_NIL(BgL_classz00_2515); 
if(
CBOOL(BgL__ortest_1116z00_2516))
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4254 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2516)
; }  else 
{ /* Llib/uvtypes.scm 48 */
BgL_auxz00_4254 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2515))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4254),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvudpz00_bglt)BgL_new1104z00_2108))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_new1104z00_2108)))->BgL_z52procmz52)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_4234 = 
((BgL_uvudpz00_bglt)BgL_new1104z00_2108); 
return 
((obj_t)BgL_auxz00_4234);} } 

}



/* &lambda1907 */
BgL_uvudpz00_bglt BGl_z62lambda1907z62zz__libuv_typesz00(obj_t BgL_envz00_2109)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1103z00_2517;
BgL_new1103z00_2517 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1908z00_2518;
BgL_arg1908z00_2518 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_2517), BgL_arg1908z00_2518); } 
return BgL_new1103z00_2517;} } 

}



/* &lambda1904 */
BgL_uvudpz00_bglt BGl_z62lambda1904z62zz__libuv_typesz00(obj_t BgL_envz00_2110, obj_t BgL_z42builtin1094z42_2111, obj_t BgL_z52onclose1095z52_2112, obj_t BgL_z52gcmarkshead1096z52_2113, obj_t BgL_z52gcmarkstail1097z52_2114, obj_t BgL_z52gcmark1098z52_2115, obj_t BgL_closed1099z00_2116, obj_t BgL_loop1100z00_2117, obj_t BgL_z52data1101z52_2118, obj_t BgL_z52procm1102z52_2119)
{
{ /* Llib/uvtypes.scm 48 */
{ /* Llib/uvtypes.scm 48 */
 uv_handle_t * BgL_z42builtin1094z42_2519; bool_t BgL_closed1099z00_2522; void * BgL_z52data1101z52_2524;
BgL_z42builtin1094z42_2519 = 
FOREIGN_TO_COBJ(BgL_z42builtin1094z42_2111); 
BgL_closed1099z00_2522 = 
CBOOL(BgL_closed1099z00_2116); 
BgL_z52data1101z52_2524 = 
FOREIGN_TO_COBJ(BgL_z52data1101z52_2118); 
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1258z00_2526;
{ /* Llib/uvtypes.scm 48 */
 BgL_uvudpz00_bglt BgL_new1257z00_2527;
BgL_new1257z00_2527 = 
((BgL_uvudpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvudpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 48 */
 long BgL_arg1906z00_2528;
BgL_arg1906z00_2528 = 
BGL_CLASS_NUM(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1257z00_2527), BgL_arg1906z00_2528); } 
BgL_new1258z00_2526 = BgL_new1257z00_2527; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1094z42_2519),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1095z52_2112),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1096z52_2113)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1097z52_2114)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1098z52_2115),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1258z00_2526)))->BgL_closedz00)=((bool_t)BgL_closed1099z00_2522),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1258z00_2526)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1100z00_2117)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1258z00_2526)))->BgL_z52dataz52)=((void *)BgL_z52data1101z52_2524),BUNSPEC); 
((((BgL_uvudpz00_bglt)COBJECT(BgL_new1258z00_2526))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_z52procm1102z52_2119)),BUNSPEC); 
{ /* Llib/uvtypes.scm 48 */
 obj_t BgL_fun1905z00_2529;
BgL_fun1905z00_2529 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvUdpz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1905z00_2529, 
((obj_t)BgL_new1258z00_2526)); } 
return BgL_new1258z00_2526;} } } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2120)
{
{ /* Llib/uvtypes.scm 48 */
return BNIL;} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__libuv_typesz00(obj_t BgL_envz00_2121, obj_t BgL_oz00_2122, obj_t BgL_vz00_2123)
{
{ /* Llib/uvtypes.scm 48 */
return 
((((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2122)))->BgL_z52procmz52)=((obj_t)
((obj_t)BgL_vz00_2123)),BUNSPEC);} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__libuv_typesz00(obj_t BgL_envz00_2124, obj_t BgL_oz00_2125)
{
{ /* Llib/uvtypes.scm 48 */
return 
(((BgL_uvudpz00_bglt)COBJECT(
((BgL_uvudpz00_bglt)BgL_oz00_2125)))->BgL_z52procmz52);} 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2126, obj_t BgL_new1092z00_2127)
{
{ /* Llib/uvtypes.scm 46 */
{ 
 BgL_uvtcpz00_bglt BgL_auxz00_4315;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4335;
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_classz00_2534;
BgL_classz00_2534 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL__ortest_1116z00_2535;
BgL__ortest_1116z00_2535 = 
BGL_CLASS_NIL(BgL_classz00_2534); 
if(
CBOOL(BgL__ortest_1116z00_2535))
{ /* Llib/uvtypes.scm 46 */
BgL_auxz00_4335 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2535)
; }  else 
{ /* Llib/uvtypes.scm 46 */
BgL_auxz00_4335 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2534))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4335),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127))))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4315 = 
((BgL_uvtcpz00_bglt)BgL_new1092z00_2127); 
return 
((obj_t)BgL_auxz00_4315);} } 

}



/* &lambda1894 */
BgL_uvtcpz00_bglt BGl_z62lambda1894z62zz__libuv_typesz00(obj_t BgL_envz00_2128)
{
{ /* Llib/uvtypes.scm 46 */
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1091z00_2536;
BgL_new1091z00_2536 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 46 */
 long BgL_arg1897z00_2537;
BgL_arg1897z00_2537 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_2536), BgL_arg1897z00_2537); } 
return BgL_new1091z00_2536;} } 

}



/* &lambda1891 */
BgL_uvtcpz00_bglt BGl_z62lambda1891z62zz__libuv_typesz00(obj_t BgL_envz00_2129, obj_t BgL_z42builtin1083z42_2130, obj_t BgL_z52onclose1084z52_2131, obj_t BgL_z52gcmarkshead1085z52_2132, obj_t BgL_z52gcmarkstail1086z52_2133, obj_t BgL_z52gcmark1087z52_2134, obj_t BgL_closed1088z00_2135, obj_t BgL_loop1089z00_2136, obj_t BgL_z52data1090z52_2137)
{
{ /* Llib/uvtypes.scm 46 */
{ /* Llib/uvtypes.scm 46 */
 uv_handle_t * BgL_z42builtin1083z42_2538; bool_t BgL_closed1088z00_2541; void * BgL_z52data1090z52_2543;
BgL_z42builtin1083z42_2538 = 
FOREIGN_TO_COBJ(BgL_z42builtin1083z42_2130); 
BgL_closed1088z00_2541 = 
CBOOL(BgL_closed1088z00_2135); 
BgL_z52data1090z52_2543 = 
FOREIGN_TO_COBJ(BgL_z52data1090z52_2137); 
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1256z00_2544;
{ /* Llib/uvtypes.scm 46 */
 BgL_uvtcpz00_bglt BgL_new1255z00_2545;
BgL_new1255z00_2545 = 
((BgL_uvtcpz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvtcpz00_bgl) ))); 
{ /* Llib/uvtypes.scm 46 */
 long BgL_arg1893z00_2546;
BgL_arg1893z00_2546 = 
BGL_CLASS_NUM(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1255z00_2545), BgL_arg1893z00_2546); } 
BgL_new1256z00_2544 = BgL_new1255z00_2545; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1083z42_2538),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1084z52_2131),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1085z52_2132)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1086z52_2133)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1087z52_2134),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1256z00_2544)))->BgL_closedz00)=((bool_t)BgL_closed1088z00_2541),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1256z00_2544)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1089z00_2136)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1256z00_2544)))->BgL_z52dataz52)=((void *)BgL_z52data1090z52_2543),BUNSPEC); 
{ /* Llib/uvtypes.scm 46 */
 obj_t BgL_fun1892z00_2547;
BgL_fun1892z00_2547 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvTcpz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1892z00_2547, 
((obj_t)BgL_new1256z00_2544)); } 
return BgL_new1256z00_2544;} } } 

}



/* &<@anonymous:1873> */
obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2138, obj_t BgL_new1081z00_2139)
{
{ /* Llib/uvtypes.scm 42 */
{ 
 BgL_uvstreamz00_bglt BgL_auxz00_4387;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4407;
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_classz00_2549;
BgL_classz00_2549 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL__ortest_1116z00_2550;
BgL__ortest_1116z00_2550 = 
BGL_CLASS_NIL(BgL_classz00_2549); 
if(
CBOOL(BgL__ortest_1116z00_2550))
{ /* Llib/uvtypes.scm 42 */
BgL_auxz00_4407 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2550)
; }  else 
{ /* Llib/uvtypes.scm 42 */
BgL_auxz00_4407 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2549))
; } } } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4407),BUNSPEC); } 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139)))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4387 = 
((BgL_uvstreamz00_bglt)BgL_new1081z00_2139); 
return 
((obj_t)BgL_auxz00_4387);} } 

}



/* &lambda1871 */
BgL_uvstreamz00_bglt BGl_z62lambda1871z62zz__libuv_typesz00(obj_t BgL_envz00_2140)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1080z00_2551;
BgL_new1080z00_2551 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 42 */
 long BgL_arg1872z00_2552;
BgL_arg1872z00_2552 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_2551), BgL_arg1872z00_2552); } 
return BgL_new1080z00_2551;} } 

}



/* &lambda1868 */
BgL_uvstreamz00_bglt BGl_z62lambda1868z62zz__libuv_typesz00(obj_t BgL_envz00_2141, obj_t BgL_z42builtin1072z42_2142, obj_t BgL_z52onclose1073z52_2143, obj_t BgL_z52gcmarkshead1074z52_2144, obj_t BgL_z52gcmarkstail1075z52_2145, obj_t BgL_z52gcmark1076z52_2146, obj_t BgL_closed1077z00_2147, obj_t BgL_loop1078z00_2148, obj_t BgL_z52data1079z52_2149)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 uv_handle_t * BgL_z42builtin1072z42_2553; bool_t BgL_closed1077z00_2556; void * BgL_z52data1079z52_2558;
BgL_z42builtin1072z42_2553 = 
FOREIGN_TO_COBJ(BgL_z42builtin1072z42_2142); 
BgL_closed1077z00_2556 = 
CBOOL(BgL_closed1077z00_2147); 
BgL_z52data1079z52_2558 = 
FOREIGN_TO_COBJ(BgL_z52data1079z52_2149); 
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1254z00_2559;
{ /* Llib/uvtypes.scm 42 */
 BgL_uvstreamz00_bglt BgL_new1253z00_2560;
BgL_new1253z00_2560 = 
((BgL_uvstreamz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvstreamz00_bgl) ))); 
{ /* Llib/uvtypes.scm 42 */
 long BgL_arg1870z00_2561;
BgL_arg1870z00_2561 = 
BGL_CLASS_NUM(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1253z00_2560), BgL_arg1870z00_2561); } 
BgL_new1254z00_2559 = BgL_new1253z00_2560; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1072z42_2553),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1073z52_2143),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1074z52_2144)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1075z52_2145)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1076z52_2146),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1254z00_2559)))->BgL_closedz00)=((bool_t)BgL_closed1077z00_2556),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1254z00_2559))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_loop1078z00_2148)),BUNSPEC); 
((((BgL_uvstreamz00_bglt)COBJECT(BgL_new1254z00_2559))->BgL_z52dataz52)=((void *)BgL_z52data1079z52_2558),BUNSPEC); 
{ /* Llib/uvtypes.scm 42 */
 obj_t BgL_fun1869z00_2562;
BgL_fun1869z00_2562 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvStreamz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1869z00_2562, 
((obj_t)BgL_new1254z00_2559)); } 
return BgL_new1254z00_2559;} } } 

}



/* &<@anonymous:1885> */
obj_t BGl_z62zc3z04anonymousza31885ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2150)
{
{ /* Llib/uvtypes.scm 42 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__libuv_typesz00(obj_t BgL_envz00_2151, obj_t BgL_oz00_2152, obj_t BgL_vz00_2153)
{
{ /* Llib/uvtypes.scm 42 */
{ /* Llib/uvtypes.scm 42 */
 void * BgL_vz00_2564;
BgL_vz00_2564 = 
FOREIGN_TO_COBJ(BgL_vz00_2153); 
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2152)))->BgL_z52dataz52)=((void *)BgL_vz00_2564),BUNSPEC);} } 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__libuv_typesz00(obj_t BgL_envz00_2154, obj_t BgL_oz00_2155)
{
{ /* Llib/uvtypes.scm 42 */
return 
void_star_to_obj(
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2155)))->BgL_z52dataz52));} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__libuv_typesz00(obj_t BgL_envz00_2156, obj_t BgL_oz00_2157, obj_t BgL_vz00_2158)
{
{ /* Llib/uvtypes.scm 42 */
return 
((((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2157)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2158)),BUNSPEC);} 

}



/* &lambda1877 */
BgL_uvloopz00_bglt BGl_z62lambda1877z62zz__libuv_typesz00(obj_t BgL_envz00_2159, obj_t BgL_oz00_2160)
{
{ /* Llib/uvtypes.scm 42 */
return 
(((BgL_uvstreamz00_bglt)COBJECT(
((BgL_uvstreamz00_bglt)BgL_oz00_2160)))->BgL_loopz00);} 

}



/* &<@anonymous:1829> */
obj_t BGl_z62zc3z04anonymousza31829ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2161, obj_t BgL_new1070z00_2162)
{
{ /* Llib/uvtypes.scm 37 */
{ 
 BgL_uvwatcherz00_bglt BgL_auxz00_4467;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4487;
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL_classz00_2570;
BgL_classz00_2570 = BGl_UvLoopz00zz__libuv_typesz00; 
{ /* Llib/uvtypes.scm 37 */
 obj_t BgL__ortest_1116z00_2571;
BgL__ortest_1116z00_2571 = 
BGL_CLASS_NIL(BgL_classz00_2570); 
if(
CBOOL(BgL__ortest_1116z00_2571))
{ /* Llib/uvtypes.scm 37 */
BgL_auxz00_4487 = 
((BgL_uvloopz00_bglt)BgL__ortest_1116z00_2571)
; }  else 
{ /* Llib/uvtypes.scm 37 */
BgL_auxz00_4487 = 
((BgL_uvloopz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2570))
; } } } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162)))->BgL_loopz00)=((BgL_uvloopz00_bglt)BgL_auxz00_4487),BUNSPEC); } 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162)))->BgL_cbz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162)))->BgL_z52dataz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_4467 = 
((BgL_uvwatcherz00_bglt)BgL_new1070z00_2162); 
return 
((obj_t)BgL_auxz00_4467);} } 

}



/* &lambda1827 */
BgL_uvwatcherz00_bglt BGl_z62lambda1827z62zz__libuv_typesz00(obj_t BgL_envz00_2163)
{
{ /* Llib/uvtypes.scm 37 */
{ /* Llib/uvtypes.scm 37 */
 BgL_uvwatcherz00_bglt BgL_new1069z00_2572;
BgL_new1069z00_2572 = 
((BgL_uvwatcherz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvwatcherz00_bgl) ))); 
{ /* Llib/uvtypes.scm 37 */
 long BgL_arg1828z00_2573;
BgL_arg1828z00_2573 = 
BGL_CLASS_NUM(BGl_UvWatcherz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_2572), BgL_arg1828z00_2573); } 
return BgL_new1069z00_2572;} } 

}



/* &<@anonymous:1862> */
obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2164)
{
{ /* Llib/uvtypes.scm 37 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__libuv_typesz00(obj_t BgL_envz00_2165, obj_t BgL_oz00_2166, obj_t BgL_vz00_2167)
{
{ /* Llib/uvtypes.scm 37 */
{ /* Llib/uvtypes.scm 37 */
 void * BgL_vz00_2575;
BgL_vz00_2575 = 
FOREIGN_TO_COBJ(BgL_vz00_2167); 
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2166)))->BgL_z52dataz52)=((void *)BgL_vz00_2575),BUNSPEC);} } 

}



/* &lambda1860 */
obj_t BGl_z62lambda1860z62zz__libuv_typesz00(obj_t BgL_envz00_2168, obj_t BgL_oz00_2169)
{
{ /* Llib/uvtypes.scm 37 */
return 
void_star_to_obj(
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2169)))->BgL_z52dataz52));} 

}



/* &<@anonymous:1854> */
obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2170)
{
{ /* Llib/uvtypes.scm 37 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1853 */
obj_t BGl_z62lambda1853z62zz__libuv_typesz00(obj_t BgL_envz00_2171, obj_t BgL_oz00_2172, obj_t BgL_vz00_2173)
{
{ /* Llib/uvtypes.scm 37 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2172)))->BgL_cbz00)=((obj_t)
((obj_t)BgL_vz00_2173)),BUNSPEC);} 

}



/* &lambda1852 */
obj_t BGl_z62lambda1852z62zz__libuv_typesz00(obj_t BgL_envz00_2174, obj_t BgL_oz00_2175)
{
{ /* Llib/uvtypes.scm 37 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2175)))->BgL_cbz00);} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__libuv_typesz00(obj_t BgL_envz00_2176, obj_t BgL_oz00_2177, obj_t BgL_vz00_2178)
{
{ /* Llib/uvtypes.scm 37 */
return 
((((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2177)))->BgL_loopz00)=((BgL_uvloopz00_bglt)
((BgL_uvloopz00_bglt)BgL_vz00_2178)),BUNSPEC);} 

}



/* &lambda1843 */
BgL_uvloopz00_bglt BGl_z62lambda1843z62zz__libuv_typesz00(obj_t BgL_envz00_2179, obj_t BgL_oz00_2180)
{
{ /* Llib/uvtypes.scm 37 */
return 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_2180)))->BgL_loopz00);} 

}



/* &<@anonymous:1789> */
obj_t BGl_z62zc3z04anonymousza31789ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2181, obj_t BgL_new1067z00_2182)
{
{ /* Llib/uvtypes.scm 34 */
{ 
 BgL_uvloopz00_bglt BgL_auxz00_4524;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvloopz00_bglt)BgL_new1067z00_2182))))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_new1067z00_2182)))->BgL_z52mutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
BgL_auxz00_4524 = 
((BgL_uvloopz00_bglt)BgL_new1067z00_2182); 
return 
((obj_t)BgL_auxz00_4524);} } 

}



/* &lambda1785 */
BgL_uvloopz00_bglt BGl_z62lambda1785z62zz__libuv_typesz00(obj_t BgL_envz00_2183)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1066z00_2584;
BgL_new1066z00_2584 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 34 */
 long BgL_arg1788z00_2585;
BgL_arg1788z00_2585 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1066z00_2584), BgL_arg1788z00_2585); } 
return BgL_new1066z00_2584;} } 

}



/* &lambda1778 */
BgL_uvloopz00_bglt BGl_z62lambda1778z62zz__libuv_typesz00(obj_t BgL_envz00_2184, obj_t BgL_z42builtin1059z42_2185, obj_t BgL_z52onclose1060z52_2186, obj_t BgL_z52gcmarkshead1061z52_2187, obj_t BgL_z52gcmarkstail1062z52_2188, obj_t BgL_z52gcmark1063z52_2189, obj_t BgL_closed1064z00_2190, obj_t BgL_z52mutex1065z52_2191)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 34 */
 uv_handle_t * BgL_z42builtin1059z42_2586; bool_t BgL_closed1064z00_2589;
BgL_z42builtin1059z42_2586 = 
FOREIGN_TO_COBJ(BgL_z42builtin1059z42_2185); 
BgL_closed1064z00_2589 = 
CBOOL(BgL_closed1064z00_2190); 
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1252z00_2591;
{ /* Llib/uvtypes.scm 34 */
 BgL_uvloopz00_bglt BgL_new1251z00_2592;
BgL_new1251z00_2592 = 
((BgL_uvloopz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvloopz00_bgl) ))); 
{ /* Llib/uvtypes.scm 34 */
 long BgL_arg1784z00_2593;
BgL_arg1784z00_2593 = 
BGL_CLASS_NUM(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1251z00_2592), BgL_arg1784z00_2593); } 
BgL_new1252z00_2591 = BgL_new1251z00_2592; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1059z42_2586),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1060z52_2186),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1061z52_2187)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1062z52_2188)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1063z52_2189),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1252z00_2591)))->BgL_closedz00)=((bool_t)BgL_closed1064z00_2589),BUNSPEC); 
((((BgL_uvloopz00_bglt)COBJECT(BgL_new1252z00_2591))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_z52mutex1065z52_2191)),BUNSPEC); 
{ /* Llib/uvtypes.scm 34 */
 obj_t BgL_fun1779z00_2594;
BgL_fun1779z00_2594 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvLoopz00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1779z00_2594, 
((obj_t)BgL_new1252z00_2591)); } 
return BgL_new1252z00_2591;} } } 

}



/* &<@anonymous:1802> */
obj_t BGl_z62zc3z04anonymousza31802ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2192)
{
{ /* Llib/uvtypes.scm 34 */
{ /* Llib/uvtypes.scm 35 */

{ /* Llib/uvtypes.scm 35 */
 obj_t BgL_namez00_2595;
BgL_namez00_2595 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
((obj_t)
CNST_TABLE_REF(21))); 
{ /* Llib/uvtypes.scm 35 */

return 
bgl_make_mutex(BgL_namez00_2595);} } } } 

}



/* &lambda1801 */
obj_t BGl_z62lambda1801z62zz__libuv_typesz00(obj_t BgL_envz00_2193, obj_t BgL_oz00_2194, obj_t BgL_vz00_2195)
{
{ /* Llib/uvtypes.scm 34 */
return 
((((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2194)))->BgL_z52mutexz52)=((obj_t)
((obj_t)BgL_vz00_2195)),BUNSPEC);} 

}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__libuv_typesz00(obj_t BgL_envz00_2196, obj_t BgL_oz00_2197)
{
{ /* Llib/uvtypes.scm 34 */
return 
(((BgL_uvloopz00_bglt)COBJECT(
((BgL_uvloopz00_bglt)BgL_oz00_2197)))->BgL_z52mutexz52);} 

}



/* &<@anonymous:1654> */
obj_t BGl_z62zc3z04anonymousza31654ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2198, obj_t BgL_new1057z00_2199)
{
{ /* Llib/uvtypes.scm 26 */
{ 
 BgL_uvhandlez00_bglt BgL_auxz00_4590;
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_z42builtinz42)=((uv_handle_t *)
0L),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_z52onclosez52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_z52gcmarksheadz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_z52gcmarkstailz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_z52gcmarkz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199)))->BgL_closedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_4590 = 
((BgL_uvhandlez00_bglt)BgL_new1057z00_2199); 
return 
((obj_t)BgL_auxz00_4590);} } 

}



/* &lambda1652 */
BgL_uvhandlez00_bglt BGl_z62lambda1652z62zz__libuv_typesz00(obj_t BgL_envz00_2200)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1056z00_2600;
BgL_new1056z00_2600 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1653z00_2601;
BgL_arg1653z00_2601 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1056z00_2600), BgL_arg1653z00_2601); } 
return BgL_new1056z00_2600;} } 

}



/* &lambda1636 */
BgL_uvhandlez00_bglt BGl_z62lambda1636z62zz__libuv_typesz00(obj_t BgL_envz00_2201, obj_t BgL_z42builtin1050z42_2202, obj_t BgL_z52onclose1051z52_2203, obj_t BgL_z52gcmarkshead1052z52_2204, obj_t BgL_z52gcmarkstail1053z52_2205, obj_t BgL_z52gcmark1054z52_2206, obj_t BgL_closed1055z00_2207)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_z42builtin1050z42_2602; bool_t BgL_closed1055z00_2605;
BgL_z42builtin1050z42_2602 = 
FOREIGN_TO_COBJ(BgL_z42builtin1050z42_2202); 
BgL_closed1055z00_2605 = 
CBOOL(BgL_closed1055z00_2207); 
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1250z00_2606;
{ /* Llib/uvtypes.scm 26 */
 BgL_uvhandlez00_bglt BgL_new1249z00_2607;
BgL_new1249z00_2607 = 
((BgL_uvhandlez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_uvhandlez00_bgl) ))); 
{ /* Llib/uvtypes.scm 26 */
 long BgL_arg1651z00_2608;
BgL_arg1651z00_2608 = 
BGL_CLASS_NUM(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1249z00_2607), BgL_arg1651z00_2608); } 
BgL_new1250z00_2606 = BgL_new1249z00_2607; } 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_z42builtinz42)=((uv_handle_t *)BgL_z42builtin1050z42_2602),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_z52onclosez52)=((obj_t)BgL_z52onclose1051z52_2203),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_z52gcmarkshead1052z52_2204)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_z52gcmarkstail1053z52_2205)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_z52gcmarkz52)=((obj_t)BgL_z52gcmark1054z52_2206),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(BgL_new1250z00_2606))->BgL_closedz00)=((bool_t)BgL_closed1055z00_2605),BUNSPEC); 
{ /* Llib/uvtypes.scm 26 */
 obj_t BgL_fun1637z00_2609;
BgL_fun1637z00_2609 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_UvHandlez00zz__libuv_typesz00); 
BGL_PROCEDURE_CALL1(BgL_fun1637z00_2609, 
((obj_t)BgL_new1250z00_2606)); } 
return BgL_new1250z00_2606;} } } 

}



/* &<@anonymous:1772> */
obj_t BGl_z62zc3z04anonymousza31772ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2208)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1771 */
obj_t BGl_z62lambda1771z62zz__libuv_typesz00(obj_t BgL_envz00_2209, obj_t BgL_oz00_2210, obj_t BgL_vz00_2211)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 bool_t BgL_vz00_2611;
BgL_vz00_2611 = 
CBOOL(BgL_vz00_2211); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2210)))->BgL_closedz00)=((bool_t)BgL_vz00_2611),BUNSPEC);} } 

}



/* &lambda1770 */
obj_t BGl_z62lambda1770z62zz__libuv_typesz00(obj_t BgL_envz00_2212, obj_t BgL_oz00_2213)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2213)))->BgL_closedz00));} 

}



/* &<@anonymous:1760> */
obj_t BGl_z62zc3z04anonymousza31760ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2214)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1759 */
obj_t BGl_z62lambda1759z62zz__libuv_typesz00(obj_t BgL_envz00_2215, obj_t BgL_oz00_2216, obj_t BgL_vz00_2217)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2216)))->BgL_z52gcmarkz52)=((obj_t)BgL_vz00_2217),BUNSPEC);} 

}



/* &lambda1758 */
obj_t BGl_z62lambda1758z62zz__libuv_typesz00(obj_t BgL_envz00_2218, obj_t BgL_oz00_2219)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2219)))->BgL_z52gcmarkz52);} 

}



/* &<@anonymous:1744> */
obj_t BGl_z62zc3z04anonymousza31744ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2220)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1743 */
obj_t BGl_z62lambda1743z62zz__libuv_typesz00(obj_t BgL_envz00_2221, obj_t BgL_oz00_2222, obj_t BgL_vz00_2223)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2222)))->BgL_z52gcmarkstailz52)=((obj_t)
((obj_t)BgL_vz00_2223)),BUNSPEC);} 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__libuv_typesz00(obj_t BgL_envz00_2224, obj_t BgL_oz00_2225)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2225)))->BgL_z52gcmarkstailz52);} 

}



/* &<@anonymous:1734> */
obj_t BGl_z62zc3z04anonymousza31734ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2226)
{
{ /* Llib/uvtypes.scm 26 */
return BNIL;} 

}



/* &lambda1733 */
obj_t BGl_z62lambda1733z62zz__libuv_typesz00(obj_t BgL_envz00_2227, obj_t BgL_oz00_2228, obj_t BgL_vz00_2229)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2228)))->BgL_z52gcmarksheadz52)=((obj_t)
((obj_t)BgL_vz00_2229)),BUNSPEC);} 

}



/* &lambda1732 */
obj_t BGl_z62lambda1732z62zz__libuv_typesz00(obj_t BgL_envz00_2230, obj_t BgL_oz00_2231)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2231)))->BgL_z52gcmarksheadz52);} 

}



/* &<@anonymous:1714> */
obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2232)
{
{ /* Llib/uvtypes.scm 26 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1713 */
obj_t BGl_z62lambda1713z62zz__libuv_typesz00(obj_t BgL_envz00_2233, obj_t BgL_oz00_2234, obj_t BgL_vz00_2235)
{
{ /* Llib/uvtypes.scm 26 */
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2234)))->BgL_z52onclosez52)=((obj_t)BgL_vz00_2235),BUNSPEC);} 

}



/* &lambda1712 */
obj_t BGl_z62lambda1712z62zz__libuv_typesz00(obj_t BgL_envz00_2236, obj_t BgL_oz00_2237)
{
{ /* Llib/uvtypes.scm 26 */
return 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2237)))->BgL_z52onclosez52);} 

}



/* &<@anonymous:1701> */
obj_t BGl_z62zc3z04anonymousza31701ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2238)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1700 */
obj_t BGl_z62lambda1700z62zz__libuv_typesz00(obj_t BgL_envz00_2239, obj_t BgL_oz00_2240, obj_t BgL_vz00_2241)
{
{ /* Llib/uvtypes.scm 26 */
{ /* Llib/uvtypes.scm 26 */
 uv_handle_t * BgL_vz00_2624;
BgL_vz00_2624 = 
FOREIGN_TO_COBJ(BgL_vz00_2241); 
return 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2240)))->BgL_z42builtinz42)=((uv_handle_t *)BgL_vz00_2624),BUNSPEC);} } 

}



/* &lambda1699 */
obj_t BGl_z62lambda1699z62zz__libuv_typesz00(obj_t BgL_envz00_2242, obj_t BgL_oz00_2243)
{
{ /* Llib/uvtypes.scm 26 */
return 
void_star_to_obj(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_2243)))->BgL_z42builtinz42));} 

}



/* &<@anonymous:1619> */
obj_t BGl_z62zc3z04anonymousza31619ze3ze5zz__libuv_typesz00(obj_t BgL_envz00_2244, obj_t BgL_new1048z00_2245)
{
{ /* Llib/uvtypes.scm 23 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_new1048z00_2245));} 

}



/* &lambda1617 */
BgL_z52uvz52_bglt BGl_z62lambda1617z62zz__libuv_typesz00(obj_t BgL_envz00_2246)
{
{ /* Llib/uvtypes.scm 23 */
{ /* Llib/uvtypes.scm 23 */
 BgL_z52uvz52_bglt BgL_new1047z00_2627;
BgL_new1047z00_2627 = 
((BgL_z52uvz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52uvz52_bgl) ))); 
{ /* Llib/uvtypes.scm 23 */
 long BgL_arg1618z00_2628;
BgL_arg1618z00_2628 = 
BGL_CLASS_NUM(BGl_z52Uvz52zz__libuv_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1047z00_2627), BgL_arg1618z00_2628); } 
return BgL_new1047z00_2627;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_proc2431z00zz__libuv_typesz00, BGl_z52Uvz52zz__libuv_typesz00, BGl_string2432z00zz__libuv_typesz00);} 

}



/* &%uv-init1340 */
obj_t BGl_z62z52uvzd2init1340ze2zz__libuv_typesz00(obj_t BgL_envz00_2250, obj_t BgL_oz00_2251)
{
{ /* Llib/uvtypes.scm 185 */
return 
((obj_t)
((BgL_z52uvz52_bglt)BgL_oz00_2251));} 

}



/* %uv-init */
BGL_EXPORTED_DEF obj_t BGl_z52uvzd2initz80zz__libuv_typesz00(BgL_z52uvz52_bglt BgL_oz00_4)
{
{ /* Llib/uvtypes.scm 185 */
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_method1341z00_1178;
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_res2268z00_1584;
{ /* Llib/uvtypes.scm 185 */
 long BgL_objzd2classzd2numz00_1555;
BgL_objzd2classzd2numz00_1555 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_4)); 
{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_arg1831z00_1556;
BgL_arg1831z00_1556 = 
PROCEDURE_REF(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, 
(int)(1L)); 
{ /* Llib/uvtypes.scm 185 */
 int BgL_offsetz00_1559;
BgL_offsetz00_1559 = 
(int)(BgL_objzd2classzd2numz00_1555); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_offsetz00_1560;
BgL_offsetz00_1560 = 
(
(long)(BgL_offsetz00_1559)-OBJECT_TYPE); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_modz00_1561;
BgL_modz00_1561 = 
(BgL_offsetz00_1560 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/uvtypes.scm 185 */
 long BgL_restz00_1563;
BgL_restz00_1563 = 
(BgL_offsetz00_1560 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/uvtypes.scm 185 */

{ /* Llib/uvtypes.scm 185 */
 obj_t BgL_bucketz00_1565;
BgL_bucketz00_1565 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_1556),BgL_modz00_1561); 
BgL_res2268z00_1584 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1565),BgL_restz00_1563); } } } } } } } } 
BgL_method1341z00_1178 = BgL_res2268z00_1584; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1341z00_1178, 
((obj_t)BgL_oz00_4));} } 

}



/* &%uv-init */
obj_t BGl_z62z52uvzd2initze2zz__libuv_typesz00(obj_t BgL_envz00_2247, obj_t BgL_oz00_2248)
{
{ /* Llib/uvtypes.scm 185 */
return 
BGl_z52uvzd2initz80zz__libuv_typesz00(
((BgL_z52uvz52_bglt)BgL_oz00_2248));} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_typesz00(void)
{
{ /* Llib/uvtypes.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2printzd2envz00zz__objectz00, BGl_UvHandlez00zz__libuv_typesz00, BGl_proc2433z00zz__libuv_typesz00, BGl_string2434z00zz__libuv_typesz00);} 

}



/* &object-print-UvHandl1343 */
obj_t BGl_z62objectzd2printzd2UvHandl1343z62zz__libuv_typesz00(obj_t BgL_envz00_2253, obj_t BgL_objz00_2254, obj_t BgL_portz00_2255, obj_t BgL_printzd2slotzd2_2256)
{
{ /* Llib/uvtypes.scm 191 */
{ 
 obj_t BgL_fieldz00_2633;
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_classz00_2638;
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_arg1834z00_2639; long BgL_arg1835z00_2640;
BgL_arg1834z00_2639 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/uvtypes.scm 205 */
 long BgL_arg1836z00_2641;
BgL_arg1836z00_2641 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2254))); 
BgL_arg1835z00_2640 = 
(BgL_arg1836z00_2641-OBJECT_TYPE); } 
BgL_classz00_2638 = 
VECTOR_REF(BgL_arg1834z00_2639,BgL_arg1835z00_2640); } 
{ /* Llib/uvtypes.scm 205 */
 obj_t BgL_classzd2namezd2_2642;
BgL_classzd2namezd2_2642 = 
BGl_classzd2namezd2zz__objectz00(BgL_classz00_2638); 
{ /* Llib/uvtypes.scm 206 */
 obj_t BgL_fieldsz00_2643;
{ /* Llib/uvtypes.scm 207 */
 obj_t BgL_tmpz00_4713;
BgL_tmpz00_4713 = 
((obj_t)BgL_classz00_2638); 
BgL_fieldsz00_2643 = 
BGL_CLASS_ALL_FIELDS(BgL_tmpz00_4713); } 
{ /* Llib/uvtypes.scm 208 */

{ /* Llib/uvtypes.scm 209 */
 obj_t BgL_tmpz00_4716;
BgL_tmpz00_4716 = 
((obj_t)BgL_portz00_2255); 
bgl_display_string(BGl_string2436z00zz__libuv_typesz00, BgL_tmpz00_4716); } 
bgl_display_obj(BgL_classzd2namezd2_2642, BgL_portz00_2255); 
{ /* Llib/uvtypes.scm 211 */
 obj_t BgL_tmpz00_4720;
BgL_tmpz00_4720 = 
((obj_t)BgL_portz00_2255); 
bgl_display_string(BGl_string2437z00zz__libuv_typesz00, BgL_tmpz00_4720); } 
{ /* Llib/uvtypes.scm 212 */
 obj_t BgL_arg2252z00_2644;
{ /* Llib/uvtypes.scm 212 */
 int BgL_arg2253z00_2645;
{ /* Llib/uvtypes.scm 212 */
 int BgL_res2269z00_2646;
{ /* Llib/uvtypes.scm 180 */
 uv_handle_t * BgL_arg1355z00_2647;
BgL_arg1355z00_2647 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_objz00_2254)))->BgL_z42builtinz42); 
BgL_res2269z00_2646 = 
(int)(
(long)(BgL_arg1355z00_2647)); } 
BgL_arg2253z00_2645 = BgL_res2269z00_2646; } 
BgL_arg2252z00_2644 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)(BgL_arg2253z00_2645), 16L); } 
bgl_display_obj(BgL_arg2252z00_2644, BgL_portz00_2255); } 
{ /* Llib/uvtypes.scm 213 */
 obj_t BgL_tmpz00_4730;
BgL_tmpz00_4730 = 
((obj_t)BgL_portz00_2255); 
bgl_display_string(BGl_string2438z00zz__libuv_typesz00, BgL_tmpz00_4730); } 
if(
BGl_nilzf3zf3zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvhandlez00_bglt)BgL_objz00_2254))))
{ /* Llib/uvtypes.scm 215 */
 obj_t BgL_tmpz00_4737;
BgL_tmpz00_4737 = 
((obj_t)BgL_portz00_2255); 
return 
bgl_display_string(BGl_string2439z00zz__libuv_typesz00, BgL_tmpz00_4737);}  else 
{ 
 long BgL_iz00_2649;
BgL_iz00_2649 = 0L; 
BgL_loopz00_2648:
if(
(BgL_iz00_2649==
VECTOR_LENGTH(BgL_fieldsz00_2643)))
{ /* Llib/uvtypes.scm 218 */
 obj_t BgL_tmpz00_4743;
BgL_tmpz00_4743 = 
((obj_t)BgL_portz00_2255); 
return 
bgl_display_char(((unsigned char)'|'), BgL_tmpz00_4743);}  else 
{ /* Llib/uvtypes.scm 217 */
BgL_fieldz00_2633 = 
VECTOR_REF(BgL_fieldsz00_2643,BgL_iz00_2649); 
{ /* Llib/uvtypes.scm 194 */
 obj_t BgL_namez00_2634;
BgL_namez00_2634 = 
BGl_classzd2fieldzd2namez00zz__objectz00(BgL_fieldz00_2633); 
{ /* Llib/uvtypes.scm 194 */
 obj_t BgL_getzd2valuezd2_2635;
BgL_getzd2valuezd2_2635 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_2633); 
{ /* Llib/uvtypes.scm 195 */
 obj_t BgL_sz00_2636;
BgL_sz00_2636 = 
SYMBOL_TO_STRING(BgL_namez00_2634); 
{ /* Llib/uvtypes.scm 196 */

if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
BCHAR(
STRING_REF(BgL_sz00_2636, 0L)), 
((obj_t)
CNST_TABLE_REF(68)))))
{ /* Llib/uvtypes.scm 197 */BFALSE; }  else 
{ /* Llib/uvtypes.scm 197 */
{ /* Llib/uvtypes.scm 198 */
 obj_t BgL_tmpz00_4756;
BgL_tmpz00_4756 = 
((obj_t)BgL_portz00_2255); 
bgl_display_string(BGl_string2435z00zz__libuv_typesz00, BgL_tmpz00_4756); } 
bgl_display_obj(BgL_namez00_2634, BgL_portz00_2255); 
{ /* Llib/uvtypes.scm 200 */
 obj_t BgL_tmpz00_4760;
BgL_tmpz00_4760 = 
((obj_t)BgL_portz00_2255); 
bgl_display_char(((unsigned char)':'), BgL_tmpz00_4760); } 
{ /* Llib/uvtypes.scm 201 */
 obj_t BgL_tmpz00_4763;
BgL_tmpz00_4763 = 
((obj_t)BgL_portz00_2255); 
bgl_display_char(((unsigned char)' '), BgL_tmpz00_4763); } 
{ /* Llib/uvtypes.scm 202 */
 obj_t BgL_arg2262z00_2637;
BgL_arg2262z00_2637 = 
BGL_PROCEDURE_CALL1(BgL_getzd2valuezd2_2635, 
((obj_t)
((BgL_uvhandlez00_bglt)BgL_objz00_2254))); 
{ /* Llib/uvtypes.scm 202 */
 obj_t BgL_tmpfunz00_4777;
BgL_tmpfunz00_4777 = 
((obj_t)BgL_printzd2slotzd2_2256); 
(VA_PROCEDUREP( BgL_tmpfunz00_4777 ) ? ((obj_t (*)(obj_t, ...))PROCEDURE_ENTRY(BgL_tmpfunz00_4777))(
((obj_t)BgL_printzd2slotzd2_2256), BgL_arg2262z00_2637, BgL_portz00_2255, BEOA) : ((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_tmpfunz00_4777))(
((obj_t)BgL_printzd2slotzd2_2256), BgL_arg2262z00_2637, BgL_portz00_2255) ); } } 
{ /* Llib/uvtypes.scm 203 */
 obj_t BgL_tmpz00_4779;
BgL_tmpz00_4779 = 
((obj_t)BgL_portz00_2255); 
bgl_display_char(((unsigned char)']'), BgL_tmpz00_4779); } } } } } } 
{ 
 long BgL_iz00_4783;
BgL_iz00_4783 = 
(BgL_iz00_2649+1L); 
BgL_iz00_2649 = BgL_iz00_4783; 
goto BgL_loopz00_2648;} } } } } } } } } 

}

#ifdef __cplusplus
}
#endif
