/*===========================================================================*/
/*   (Llib/ssl.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -unsafe -safee -copt -I. -copt -fPIC -copt -IC Llib/ssl.scm -o objs/ssl.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SSL_SSL_TYPE_DEFINITIONS
#define BGL___SSL_SSL_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_certificatez00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_certificatez00_bglt;

typedef struct BgL_privatezd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
} *BgL_privatezd2keyzd2_bglt;

typedef struct BgL_securezd2contextzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42cazd2storez90;
   obj_t BgL_methodz00;
} *BgL_securezd2contextzd2_bglt;

typedef struct BgL_sslzd2connectionzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z42biozd2readz90;
   void * BgL_z42biozd2writez90;
   void * BgL_z42nextzd2sessionz90;
   struct BgL_securezd2contextzd2_bgl * BgL_ctxz00;
   bool_t BgL_isserverz00;
   bool_t BgL_requestzd2certzd2;
   obj_t BgL_serverzd2namezd2;
   bool_t BgL_rejectzd2unauthoriza7edz75;
   obj_t BgL_infozd2callbackzd2;
   obj_t BgL_snizd2contextzd2callbackz00;
   obj_t BgL_newsessionzd2callbackzd2;
   obj_t BgL_selectedzd2npnzd2protosz00;
   obj_t BgL_npnzd2protoszd2;
   obj_t BgL_errz00;
   bool_t BgL_receivedzd2shutdownzd2;
   bool_t BgL_sentzd2shutdownzd2;
} *BgL_sslzd2connectionzd2_bglt;

typedef struct BgL_dhz00_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42nativez42;
   void * BgL_z52pz52;
   void * BgL_z52qz52;
   void * BgL_z52gz52;
   void * BgL_z52pubz52;
   void * BgL_z52privz52;
} *BgL_dhz00_bglt;

typedef struct BgL_sslzd2hashzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
   obj_t BgL_typez00;
} *BgL_sslzd2hashzd2_bglt;

typedef struct BgL_sslzd2hmaczd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2hmaczd2_bglt;

typedef struct BgL_sslzd2signzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2signzd2_bglt;

typedef struct BgL_sslzd2verifyzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42mdz42;
   void * BgL_z42mdzd2ctxz90;
} *BgL_sslzd2verifyzd2_bglt;

typedef struct BgL_sslzd2cipherzd2_bgl {
   header_t header;
   obj_t widening;
   void * BgL_z42cipherz42;
   void * BgL_z42cipherzd2ctxz90;
} *BgL_sslzd2cipherzd2_bglt;


#endif // BGL___SSL_SSL_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1849z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_cipher_initiv(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
extern obj_t bgl_ssl_ctx_init(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_private_key(obj_t);
static obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_dh_check_pub_key(void *, void *);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_pkcs5_pbkdf2_hmac_sha1(obj_t, obj_t, int, int);
static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1770z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1852z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_close(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1776z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1777z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_certificatez00zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31960ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1860z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1861z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_server_socket(obj_t, int, int, obj_t, obj_t, obj_t, obj_t, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62lambda1867z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void);
static obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_ctx_set_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1952z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1793z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1874z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62lambda1796z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1958z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
extern bool_t bgl_ssl_ctx_add_ca_cert(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_sign_sign(BgL_sslzd2signzd2_bglt, obj_t, long, long);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1882z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1966z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2connectionzd2_bglt BGl_z62lambda1885z62zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_cipher_init(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32103ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt, int, obj_t);
static obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_evp_get_ciphers(void);
static obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, obj_t, long, long, bool_t);
static obj_t BGl_z62lambda1892z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1973z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1893z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda1980z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62lambda1986z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1987z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_crl(BgL_securezd2contextzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL char * BGl_sslzd2versionzd2zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32113ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_set_key(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zz__ssl_sslz00 = BUNSPEC;
extern obj_t bgl_ssl_error_string(void);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern void * bgl_dh_public_key(void *);
static obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31981ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1993z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1994z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t, obj_t, int, int);
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00(obj_t);
extern bool_t bgl_cipher_set_auto_padding(BgL_sslzd2cipherzd2_bglt, bool_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void);
extern obj_t bgl_cipher_final(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00(obj_t);
extern void * bgl_dh_private_key(void *);
BGL_EXPORTED_DECL obj_t bgl_make_certificate(void *);
static obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int);
static obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_hmac_digest(BgL_sslzd2hmaczd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t, int);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t bgl_dh_check(void *);
static obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hash_init(BgL_sslzd2hashzd2_bglt);
static obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
extern obj_t bgl_ssl_certificate_issuer(obj_t);
static obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(obj_t, obj_t);
extern void bgl_dh_pub_priv_key_set(void *, void *, void *);
static obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31988ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2001z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, int);
static obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t);
static BgL_dhz00_bglt BGl_z62lambda2008z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt, obj_t);
static BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_negotiated_protocol(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_connection_shutdown(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void);
BGL_EXPORTED_DECL obj_t bgl_make_private_key(void *);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static BgL_dhz00_bglt BGl_z62lambda2011z62zz__ssl_sslz00(obj_t);
extern long bgl_ssl_connection_clear_in(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern bool_t bgl_load_pkcs12(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32243ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__ssl_sslz00(obj_t);
extern obj_t bgl_cipher_update(BgL_sslzd2cipherzd2_bglt, obj_t, long, long);
static obj_t BGl_z62lambda2018z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t bgl_ssl_load_pem(obj_t);
static obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
static obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32260ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2025z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32236ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2026z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, bool_t);
static obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern void bgl_dh_pqg_set(void *, void *, void *, void *);
static obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt, obj_t);
static obj_t BGl_z62lambda2032z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2033z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2039z62zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_hash_digest(BgL_sslzd2hashzd2_bglt);
extern bool_t bgl_ssl_sign_init(BgL_sslzd2signzd2_bglt, obj_t);
extern obj_t bgl_ssl_connection_init(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_hash_update(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
extern obj_t bgl_ssl_get_ciphers(void);
BGL_EXPORTED_DECL int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_applyz00zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2200z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2201z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2040z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2046z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2208z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2047z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t, long, long);
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static BgL_sslzd2signzd2_bglt BGl_z62lambda2210z62zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL void * bgl_private_key_native(obj_t);
extern obj_t bgl_ssl_connection_verify_error(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda2053z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt);
static obj_t BGl_z62lambda2054z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32085ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32166ze3ze5zz__ssl_sslz00(obj_t);
BGL_EXPORTED_DECL int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda2217z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2218z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern int bgl_ssl_connection_set_session(BgL_sslzd2connectionzd2_bglt, obj_t);
static BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t);
BGL_IMPORT obj_t BGl_z52socketzd2initz12z92zz__socketz00(void);
static obj_t BGl_z62lambda2224z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2225z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_load_certificate(obj_t);
static obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt, obj_t, obj_t, long, long, bool_t);
static obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_certificate_subject(obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
extern obj_t bgl_ssl_connection_get_peer_certificate(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2232z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2verifyzd2_bglt BGl_z62lambda2234z62zz__ssl_sslz00(obj_t);
extern obj_t bgl_client_socket_use_ssl(obj_t, int, obj_t, obj_t, obj_t, obj_t);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2154z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void);
extern int bgl_ssl_connection_load_session(BgL_sslzd2connectionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__ssl_sslz00(obj_t, obj_t);
extern bool_t bgl_ssl_ctx_add_root_certs(BgL_securezd2contextzd2_bglt);
static BgL_sslzd2hashzd2_bglt BGl_z62lambda2157z62zz__ssl_sslz00(obj_t);
extern bool_t bgl_ssl_ctx_set_session_id_context(BgL_securezd2contextzd2_bglt, obj_t, long, long);
static obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void);
static obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void);
static obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t, obj_t);
extern long bgl_ssl_connection_read(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void);
static obj_t BGl_z62lambda2241z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2242z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32274ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2164z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2165z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2248z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2249z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t, obj_t);
extern obj_t bgl_ssl_ctx_close(BgL_securezd2contextzd2_bglt);
static obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2171z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2172z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32267ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2256z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda2177z62zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2cipherzd2_bglt BGl_z62lambda2258z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda2178z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_current_cipher(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t, obj_t);
extern void * bgl_bn_bin2bn(char *, int);
extern obj_t bgl_evp_get_hashes(void);
static obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t, obj_t);
extern char * bgl_ssl_version(void);
static obj_t BGl_search1213ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
extern bool_t bgl_ssl_verify_update(BgL_sslzd2verifyzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_connection_init_finishedp(BgL_sslzd2connectionzd2_bglt);
extern long bgl_ssl_connection_write(BgL_sslzd2connectionzd2_bglt, char *, long, long);
extern long bgl_ssl_connection_clear_out(BgL_sslzd2connectionzd2_bglt, char *, long, long);
static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2184z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2265z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2266z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_sslzd2hmaczd2_bglt BGl_z62lambda2186z62zz__ssl_sslz00(obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_make_ssl_client_socket(obj_t, int, int, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2272z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt);
static obj_t BGl_z62lambda2273z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2193z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda2194z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2zz__ssl_sslz00 = BUNSPEC;
static obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bgl_ssl_hmac_init(BgL_sslzd2hmaczd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long, obj_t, obj_t, long);
static obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long default_io_bufsiz;
extern int bgl_ssl_connection_clear_pending(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt);
static obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t, obj_t);
extern int bgl_ssl_connection_enc_pending(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_ssl_connection_get_session(BgL_sslzd2connectionzd2_bglt);
BGL_IMPORT obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mapz00zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_dhz00zz__ssl_sslz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern int bgl_ssl_connection_start(BgL_sslzd2connectionzd2_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t, int, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2zz__ssl_sslz00 = BUNSPEC;
extern void * bgl_dh_g(void *);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, long, long);
extern void * bgl_dh_p(void *);
extern void * bgl_dh_p(void *);
extern bool_t bgl_ssl_verify_final(BgL_sslzd2verifyzd2_bglt, obj_t, long, long, obj_t, long, long);
static obj_t BGl_z62lambda1901z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1902z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt);
static obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1909z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL void * bgl_certificate_native(obj_t);
static obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern bool_t bgl_ssl_verify_init(BgL_sslzd2verifyzd2_bglt, obj_t);
extern bool_t bgl_ssl_sign_update(BgL_sslzd2signzd2_bglt, obj_t, long, long);
extern bool_t bgl_ssl_socketp(obj_t);
extern bool_t bgl_ssl_hmac_update(BgL_sslzd2hmaczd2_bglt, obj_t, long, long);
static obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31772ze3ze5zz__ssl_sslz00(obj_t, obj_t);
static BgL_securezd2contextzd2_bglt BGl_z62lambda1921z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t);
static obj_t BGl_z62lambda1922z62zz__ssl_sslz00(obj_t, obj_t, obj_t);
static BgL_certificatez00_bglt BGl_z62lambda1763z62zz__ssl_sslz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int);
static obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t, obj_t);
static obj_t __cnst[ 95 ] ;


DEFINE_STRING( BGl_string3010z00zz__ssl_sslz00, BgL_bgl_string3010za700za7za7_3454za7, "_make-ssl-client-socket", 23 );
DEFINE_STRING( BGl_string3011z00zz__ssl_sslz00, BgL_bgl_string3011za700za7za7_3455za7, "vector", 6 );
DEFINE_STRING( BGl_string3012z00zz__ssl_sslz00, BgL_bgl_string3012za700za7za7_3456za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string3013z00zz__ssl_sslz00, BgL_bgl_string3013za700za7za7_3457za7, "bint", 4 );
DEFINE_STRING( BGl_string3014z00zz__ssl_sslz00, BgL_bgl_string3014za700za7za7_3458za7, "bstring", 7 );
DEFINE_STRING( BGl_string3015z00zz__ssl_sslz00, BgL_bgl_string3015za700za7za7_3459za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string3016z00zz__ssl_sslz00, BgL_bgl_string3016za700za7za7_3460za7, "symbol", 6 );
DEFINE_STRING( BGl_string3017z00zz__ssl_sslz00, BgL_bgl_string3017za700za7za7_3461za7, "wrong number of arguments: [2..11] expected, provided", 53 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73462za7, BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3018z00zz__ssl_sslz00, BgL_bgl_string3018za700za7za7_3463za7, "_client-socket-use-ssl!", 23 );
DEFINE_STRING( BGl_string3019z00zz__ssl_sslz00, BgL_bgl_string3019za700za7za7_3464za7, "socket", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2c3465za7, BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7b03466za7, BGl_z62dhzd2checkzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3467z00, BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3020z00zz__ssl_sslz00, BgL_bgl_string3020za700za7za7_3468za7, "wrong number of arguments: [1..6] expected, provided", 52 );
DEFINE_STRING( BGl_string3022z00zz__ssl_sslz00, BgL_bgl_string3022za700za7za7_3469za7, "Illegal extra key arguments: ", 29 );
DEFINE_STRING( BGl_string3023z00zz__ssl_sslz00, BgL_bgl_string3023za700za7za7_3470za7, "dsssl-get-key-arg", 17 );
DEFINE_STRING( BGl_string3024z00zz__ssl_sslz00, BgL_bgl_string3024za700za7za7_3471za7, "~a ", 3 );
DEFINE_STRING( BGl_string3025z00zz__ssl_sslz00, BgL_bgl_string3025za700za7za7_3472za7, "ssl", 3 );
DEFINE_STRING( BGl_string3026z00zz__ssl_sslz00, BgL_bgl_string3026za700za7za7_3473za7, "Unknown protocols", 17 );
DEFINE_STRING( BGl_string3027z00zz__ssl_sslz00, BgL_bgl_string3027za700za7za7_3474za7, "&read-private-key", 17 );
DEFINE_STRING( BGl_string3028z00zz__ssl_sslz00, BgL_bgl_string3028za700za7za7_3475za7, "&read-certificate", 17 );
DEFINE_STRING( BGl_string3029z00zz__ssl_sslz00, BgL_bgl_string3029za700za7za7_3476za7, "&read-pem-file", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23477za7, BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3478z00, BGl_z62certificatezd2subjectzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3100z00zz__ssl_sslz00, BgL_bgl_za762lambda1966za7623479z00, BGl_z62lambda1966z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3101z00zz__ssl_sslz00, BgL_bgl_za762lambda1965za7623480z00, BGl_z62lambda1965z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3102z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3481za7, BGl_z62zc3z04anonymousza31974ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3021z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3482za7, BGl_z62zc3z04anonymousza31709ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3103z00zz__ssl_sslz00, BgL_bgl_za762lambda1973za7623483z00, BGl_z62lambda1973z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3104z00zz__ssl_sslz00, BgL_bgl_za762lambda1972za7623484z00, BGl_z62lambda1972z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3105z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3485za7, BGl_z62zc3z04anonymousza31981ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3030z00zz__ssl_sslz00, BgL_bgl_string3030za700za7za7_3486za7, "&ssl-rand-bytes", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3106z00zz__ssl_sslz00, BgL_bgl_za762lambda1980za7623487z00, BGl_z62lambda1980z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3031z00zz__ssl_sslz00, BgL_bgl_string3031za700za7za7_3488za7, "&ssl-rand-pseudo-bytes", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3107z00zz__ssl_sslz00, BgL_bgl_za762lambda1979za7623489z00, BGl_z62lambda1979z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3032z00zz__ssl_sslz00, BgL_bgl_string3032za700za7za7_3490za7, "&certificate-subject", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3108z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3491za7, BGl_z62zc3z04anonymousza31988ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3033z00zz__ssl_sslz00, BgL_bgl_string3033za700za7za7_3492za7, "certificate", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3109z00zz__ssl_sslz00, BgL_bgl_za762lambda1987za7623493z00, BGl_z62lambda1987z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3034z00zz__ssl_sslz00, BgL_bgl_string3034za700za7za7_3494za7, "&certificate-issuer", 19 );
DEFINE_STRING( BGl_string3035z00zz__ssl_sslz00, BgL_bgl_string3035za700za7za7_3495za7, "&%make-certificate", 18 );
DEFINE_STRING( BGl_string3036z00zz__ssl_sslz00, BgL_bgl_string3036za700za7za7_3496za7, "void*", 5 );
DEFINE_STRING( BGl_string3037z00zz__ssl_sslz00, BgL_bgl_string3037za700za7za7_3497za7, "&%make-private-key", 18 );
DEFINE_STRING( BGl_string3038z00zz__ssl_sslz00, BgL_bgl_string3038za700za7za7_3498za7, "_secure-context-set-key!", 24 );
DEFINE_STRING( BGl_string3039z00zz__ssl_sslz00, BgL_bgl_string3039za700za7za7_3499za7, "secure-context", 14 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73500za7, BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2opza7d2ci3501za7, BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3110z00zz__ssl_sslz00, BgL_bgl_za762lambda1986za7623502z00, BGl_z62lambda1986z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3111z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3503za7, BGl_z62zc3z04anonymousza31995ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3112z00zz__ssl_sslz00, BgL_bgl_za762lambda1994za7623504z00, BGl_z62lambda1994z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3113z00zz__ssl_sslz00, BgL_bgl_za762lambda1993za7623505z00, BGl_z62lambda1993z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3114z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3506za7, BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3115z00zz__ssl_sslz00, BgL_bgl_za762lambda2001za7623507z00, BGl_z62lambda2001z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3040z00zz__ssl_sslz00, BgL_bgl_string3040za700za7za7_3508za7, "&bn-bin2bn", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3116z00zz__ssl_sslz00, BgL_bgl_za762lambda2000za7623509z00, BGl_z62lambda2000z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3041z00zz__ssl_sslz00, BgL_bgl_string3041za700za7za7_3510za7, "&bn-bn2bin", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3117z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3511za7, BGl_z62zc3z04anonymousza31887ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3042z00zz__ssl_sslz00, BgL_bgl_string3042za700za7za7_3512za7, "foreign", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3118z00zz__ssl_sslz00, BgL_bgl_za762lambda1885za7623513z00, BGl_z62lambda1885z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3043z00zz__ssl_sslz00, BgL_bgl_string3043za700za7za7_3514za7, "&bn-num-bytes", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3119z00zz__ssl_sslz00, BgL_bgl_za762lambda1882za7623515z00, BGl_z62lambda1882z62zz__ssl_sslz00, 0L, BUNSPEC, 17 );
DEFINE_STRING( BGl_string3044z00zz__ssl_sslz00, BgL_bgl_string3044za700za7za7_3516za7, "&bn-free", 8 );
DEFINE_STRING( BGl_string3045z00zz__ssl_sslz00, BgL_bgl_string3045za700za7za7_3517za7, "&bn-set-word", 12 );
DEFINE_STRING( BGl_string3208z00zz__ssl_sslz00, BgL_bgl_string3208za700za7za7_3518za7, "", 0 );
DEFINE_STRING( BGl_string3046z00zz__ssl_sslz00, BgL_bgl_string3046za700za7za7_3519za7, "&pkcs5-pbkdf2-hmac-sha1", 23 );
DEFINE_STRING( BGl_string3209z00zz__ssl_sslz00, BgL_bgl_string3209za700za7za7_3520za7, "default", 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73521za7, BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3200z00zz__ssl_sslz00, BgL_bgl_za762lambda2266za7623522z00, BGl_z62lambda2266z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3201z00zz__ssl_sslz00, BgL_bgl_za762lambda2265za7623523z00, BGl_z62lambda2265z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3120z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3524za7, BGl_z62zc3z04anonymousza32020ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3202z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3525za7, BGl_z62zc3z04anonymousza32274ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3121z00zz__ssl_sslz00, BgL_bgl_za762lambda2019za7623526z00, BGl_z62lambda2019z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3203z00zz__ssl_sslz00, BgL_bgl_za762lambda2273za7623527z00, BGl_z62lambda2273z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3122z00zz__ssl_sslz00, BgL_bgl_za762lambda2018za7623528z00, BGl_z62lambda2018z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3204z00zz__ssl_sslz00, BgL_bgl_za762lambda2272za7623529z00, BGl_z62lambda2272z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3123z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3530za7, BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3211z00zz__ssl_sslz00, BgL_bgl_string3211za700za7za7_3531za7, "secure-context-init1242", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3205z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3532za7, BGl_z62zc3z04anonymousza32260ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3124z00zz__ssl_sslz00, BgL_bgl_za762lambda2026za7623533z00, BGl_z62lambda2026z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3206z00zz__ssl_sslz00, BgL_bgl_za762lambda2258za7623534z00, BGl_z62lambda2258z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3125z00zz__ssl_sslz00, BgL_bgl_za762lambda2025za7623535z00, BGl_z62lambda2025z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3213z00zz__ssl_sslz00, BgL_bgl_string3213za700za7za7_3536za7, "secure-context-close1244", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3207z00zz__ssl_sslz00, BgL_bgl_za762lambda2256za7623537z00, BGl_z62lambda2256z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3126z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3538za7, BGl_z62zc3z04anonymousza32034ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3127z00zz__ssl_sslz00, BgL_bgl_za762lambda2033za7623539z00, BGl_z62lambda2033z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3215z00zz__ssl_sslz00, BgL_bgl_string3215za700za7za7_3540za7, "secure-context-add-r1246", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3128z00zz__ssl_sslz00, BgL_bgl_za762lambda2032za7623541z00, BGl_z62lambda2032z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3047z00zz__ssl_sslz00, BgL_bgl_za762lambda1777za7623542z00, BGl_z62lambda1777z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3543z00, BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3129z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3544za7, BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3048z00zz__ssl_sslz00, BgL_bgl_za762lambda1776za7623545z00, BGl_z62lambda1776z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3217z00zz__ssl_sslz00, BgL_bgl_string3217za700za7za7_3546za7, "secure-context-add-c1248", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3049z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3547za7, BGl_z62zc3z04anonymousza31772ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3219z00zz__ssl_sslz00, BgL_bgl_string3219za700za7za7_3548za7, "secure-context-add-c1250", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3549z00, BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3210z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3550z00, BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3130z00zz__ssl_sslz00, BgL_bgl_za762lambda2040za7623551z00, BGl_z62lambda2040z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3212z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3552z00, BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3131z00zz__ssl_sslz00, BgL_bgl_za762lambda2039za7623553z00, BGl_z62lambda2039z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3050z00zz__ssl_sslz00, BgL_bgl_za762lambda1770za7623554z00, BGl_z62lambda1770z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3132z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3555za7, BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3051z00zz__ssl_sslz00, BgL_bgl_za762lambda1763za7623556z00, BGl_z62lambda1763z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3301z00zz__ssl_sslz00, BgL_bgl_string3301za700za7za7_3557za7, "ssl-sign-sign1340", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3214z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3558z00, BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3133z00zz__ssl_sslz00, BgL_bgl_za762lambda2047za7623559z00, BGl_z62lambda2047z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3052z00zz__ssl_sslz00, BgL_bgl_za762lambda1827za7623560z00, BGl_z62lambda1827z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3221z00zz__ssl_sslz00, BgL_bgl_string3221za700za7za7_3561za7, "secure-context-set-k1252", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3134z00zz__ssl_sslz00, BgL_bgl_za762lambda2046za7623562z00, BGl_z62lambda2046z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3053z00zz__ssl_sslz00, BgL_bgl_za762lambda1826za7623563z00, BGl_z62lambda1826z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3303z00zz__ssl_sslz00, BgL_bgl_string3303za700za7za7_3564za7, "ssl-verify-init1342", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3216z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3565z00, BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3135z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3566za7, BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3054z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3567za7, BGl_z62zc3z04anonymousza31800ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3223z00zz__ssl_sslz00, BgL_bgl_string3223za700za7za7_3568za7, "secure-context-set-c1262", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3136z00zz__ssl_sslz00, BgL_bgl_za762lambda2054za7623569z00, BGl_z62lambda2054z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3055z00zz__ssl_sslz00, BgL_bgl_za762lambda1796za7623570z00, BGl_z62lambda1796z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3305z00zz__ssl_sslz00, BgL_bgl_string3305za700za7za7_3571za7, "ssl-verify-update!1344", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3218z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3572z00, BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3137z00zz__ssl_sslz00, BgL_bgl_za762lambda2053za7623573z00, BGl_z62lambda2053z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3056z00zz__ssl_sslz00, BgL_bgl_za762lambda1793za7623574z00, BGl_z62lambda1793z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3225z00zz__ssl_sslz00, BgL_bgl_string3225za700za7za7_3575za7, "secure-context-set-s1264", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3138z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3576za7, BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3057z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3577za7, BGl_z62zc3z04anonymousza31862ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3307z00zz__ssl_sslz00, BgL_bgl_string3307za700za7za7_3578za7, "ssl-verify-final1346", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3139z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3579za7, BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3058z00zz__ssl_sslz00, BgL_bgl_za762lambda1861za7623580z00, BGl_z62lambda1861z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3227z00zz__ssl_sslz00, BgL_bgl_string3227za700za7za7_3581za7, "secure-context-load-1266", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3059z00zz__ssl_sslz00, BgL_bgl_za762lambda1860za7623582z00, BGl_z62lambda1860z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3309z00zz__ssl_sslz00, BgL_bgl_string3309za700za7za7_3583za7, "ssl-cipher-init1348", 19 );
DEFINE_STRING( BGl_string3229z00zz__ssl_sslz00, BgL_bgl_string3229za700za7za7_3584za7, "secure-context-set-c1268", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3585z00, BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3300z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23586za7, BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3220z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3587z00, BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3302z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73588za7, BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3140z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3589za7, BGl_z62zc3z04anonymousza32065ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3222z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3590z00, BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3141z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3591za7, BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3060z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3592za7, BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3593z00, BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3304z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73594za7, BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3142z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3595za7, BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3061z00zz__ssl_sslz00, BgL_bgl_za762lambda1868za7623596z00, BGl_z62lambda1868z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3311z00zz__ssl_sslz00, BgL_bgl_string3311za700za7za7_3597za7, "ssl-cipher-initiv1350", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3224z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3598z00, BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3143z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3599za7, BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3062z00zz__ssl_sslz00, BgL_bgl_za762lambda1867za7623600z00, BGl_z62lambda1867z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3306z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73601za7, BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_STRING( BGl_string3231z00zz__ssl_sslz00, BgL_bgl_string3231za700za7za7_3602za7, "secure-context-set-o1270", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3144z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3603za7, BGl_z62zc3z04anonymousza32075ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3063z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3604za7, BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3313z00zz__ssl_sslz00, BgL_bgl_string3313za700za7za7_3605za7, "ssl-cipher-update!1352", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3226z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3606z00, BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3145z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3607za7, BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3064z00zz__ssl_sslz00, BgL_bgl_za762lambda1875za7623608z00, BGl_z62lambda1875z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3308z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73609za7, BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STRING( BGl_string3233z00zz__ssl_sslz00, BgL_bgl_string3233za700za7za7_3610za7, "ssl-connection-init1272", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3146z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3611za7, BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3065z00zz__ssl_sslz00, BgL_bgl_za762lambda1874za7623612z00, BGl_z62lambda1874z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3315z00zz__ssl_sslz00, BgL_bgl_string3315za700za7za7_3613za7, "ssl-cipher-set-auto-1354", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3228z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3614z00, BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3147z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3615za7, BGl_z62zc3z04anonymousza32079ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3066z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3616za7, BGl_z62zc3z04anonymousza31854ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3235z00zz__ssl_sslz00, BgL_bgl_string3235za700za7za7_3617za7, "ssl-connection-start1274", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3148z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3618za7, BGl_z62zc3z04anonymousza32085ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3067z00zz__ssl_sslz00, BgL_bgl_za762lambda1852za7623619z00, BGl_z62lambda1852z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3317z00zz__ssl_sslz00, BgL_bgl_string3317za700za7za7_3620za7, "ssl-cipher-final1356", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3149z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3621za7, BGl_z62zc3z04anonymousza32089ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3068z00zz__ssl_sslz00, BgL_bgl_za762lambda1849za7623622z00, BGl_z62lambda1849z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3318z00zz__ssl_sslz00, BgL_bgl_string3318za700za7za7_3623za7, "ssl-cipher-update!", 18 );
DEFINE_STRING( BGl_string3237z00zz__ssl_sslz00, BgL_bgl_string3237za700za7za7_3624za7, "ssl-connection-close1276", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3069z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3625za7, BGl_z62zc3z04anonymousza31894ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3319z00zz__ssl_sslz00, BgL_bgl_string3319za700za7za7_3626za7, "cannot update", 13 );
DEFINE_STRING( BGl_string3239z00zz__ssl_sslz00, BgL_bgl_string3239za700za7za7_3627za7, "ssl-connection-shutd1278", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2pemza7d23628za7, BGl_z62readzd2pemzd2filez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3629z00, BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3310z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73630za7, BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3230z00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3631z00, BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3312z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73632za7, BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3150z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3633za7, BGl_z62zc3z04anonymousza32099ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3232z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3634z00, BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3151z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3635za7, BGl_z62zc3z04anonymousza32103ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3070z00zz__ssl_sslz00, BgL_bgl_za762lambda1893za7623636z00, BGl_z62lambda1893z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3320z00zz__ssl_sslz00, BgL_bgl_string3320za700za7za7_3637za7, "ssl-cipher-initiv", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3314z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73638za7, BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3152z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3639za7, BGl_z62zc3z04anonymousza32113ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3071z00zz__ssl_sslz00, BgL_bgl_za762lambda1892za7623640z00, BGl_z62lambda1892z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3321z00zz__ssl_sslz00, BgL_bgl_string3321za700za7za7_3641za7, "ssl-cipher-init", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3234z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3642z00, BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3153z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3643za7, BGl_z62zc3z04anonymousza32117ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3072z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3644za7, BGl_z62zc3z04anonymousza31903ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3322z00zz__ssl_sslz00, BgL_bgl_string3322za700za7za7_3645za7, "ssl-verify-update!", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3316z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73646za7, BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3241z00zz__ssl_sslz00, BgL_bgl_string3241za700za7za7_3647za7, "ssl-connection-read1280", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3154z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3648za7, BGl_z62zc3z04anonymousza32127ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3073z00zz__ssl_sslz00, BgL_bgl_za762lambda1902za7623649z00, BGl_z62lambda1902z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3323z00zz__ssl_sslz00, BgL_bgl_string3323za700za7za7_3650za7, "ssl-verify", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3236z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3651z00, BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3155z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3652za7, BGl_z62zc3z04anonymousza32131ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3074z00zz__ssl_sslz00, BgL_bgl_za762lambda1901za7623653z00, BGl_z62lambda1901z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3324z00zz__ssl_sslz00, BgL_bgl_string3324za700za7za7_3654za7, "Verify method not supported", 27 );
DEFINE_STRING( BGl_string3243z00zz__ssl_sslz00, BgL_bgl_string3243za700za7za7_3655za7, "ssl-connection-write1282", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3156z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3656za7, BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3075z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3657za7, BGl_z62zc3z04anonymousza31910ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_GENERIC( BGl_dhzd2initzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2initza7b0za73658z00, BGl_z62dhzd2initzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3325z00zz__ssl_sslz00, BgL_bgl_string3325za700za7za7_3659za7, "ssl-sign-sign", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3238z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3660z00, BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3157z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3661za7, BGl_z62zc3z04anonymousza32144ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3076z00zz__ssl_sslz00, BgL_bgl_za762lambda1909za7623662z00, BGl_z62lambda1909z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3326z00zz__ssl_sslz00, BgL_bgl_string3326za700za7za7_3663za7, "cannot sign", 11 );
DEFINE_STRING( BGl_string3245z00zz__ssl_sslz00, BgL_bgl_string3245za700za7za7_3664za7, "ssl-connection-clear1284", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3158z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3665za7, BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3077z00zz__ssl_sslz00, BgL_bgl_za762lambda1908za7623666z00, BGl_z62lambda1908z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3667z00, BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3327z00zz__ssl_sslz00, BgL_bgl_string3327za700za7za7_3668za7, "ssl-sign-update!", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3159z00zz__ssl_sslz00, BgL_bgl_za762lambda2011za7623669z00, BGl_z62lambda2011z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3078z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3670za7, BGl_z62zc3z04anonymousza31917ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3328z00zz__ssl_sslz00, BgL_bgl_string3328za700za7za7_3671za7, "ssl-sign", 8 );
DEFINE_STRING( BGl_string3247z00zz__ssl_sslz00, BgL_bgl_string3247za700za7za7_3672za7, "ssl-connection-clear1286", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3079z00zz__ssl_sslz00, BgL_bgl_za762lambda1916za7623673z00, BGl_z62lambda1916z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3329z00zz__ssl_sslz00, BgL_bgl_string3329za700za7za7_3674za7, "Sign method not supported", 25 );
DEFINE_STRING( BGl_string3249z00zz__ssl_sslz00, BgL_bgl_string3249za700za7za7_3675za7, "ssl-connection-init-1288", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3240z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3676z00, BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2socketza73677za7, BGl_z62sslzd2socketzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3160z00zz__ssl_sslz00, BgL_bgl_za762lambda2008za7623678z00, BGl_z62lambda2008z62zz__ssl_sslz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3242z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3679z00, BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3161z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3680za7, BGl_z62zc3z04anonymousza32166ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3080z00zz__ssl_sslz00, BgL_bgl_za762lambda1915za7623681z00, BGl_z62lambda1915z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3330z00zz__ssl_sslz00, BgL_bgl_string3330za700za7za7_3682za7, "ssl-hmac-digest", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3162z00zz__ssl_sslz00, BgL_bgl_za762lambda2165za7623683z00, BGl_z62lambda2165z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3081z00zz__ssl_sslz00, BgL_bgl_za762lambda1922za7623684z00, BGl_z62lambda1922z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3331z00zz__ssl_sslz00, BgL_bgl_string3331za700za7za7_3685za7, "cannot digest", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3244z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3686z00, BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3163z00zz__ssl_sslz00, BgL_bgl_za762lambda2164za7623687z00, BGl_z62lambda2164z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3082z00zz__ssl_sslz00, BgL_bgl_za762lambda1921za7623688z00, BGl_z62lambda1921z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3332z00zz__ssl_sslz00, BgL_bgl_string3332za700za7za7_3689za7, "ssl-hmac-update!", 16 );
DEFINE_STRING( BGl_string3251z00zz__ssl_sslz00, BgL_bgl_string3251za700za7za7_3690za7, "ssl-connection-enc-p1290", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3164z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3691za7, BGl_z62zc3z04anonymousza32173ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3083z00zz__ssl_sslz00, BgL_bgl_za762lambda1927za7623692z00, BGl_z62lambda1927z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3333z00zz__ssl_sslz00, BgL_bgl_string3333za700za7za7_3693za7, "ssl-hmac", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3246z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3694z00, BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3165z00zz__ssl_sslz00, BgL_bgl_za762lambda2172za7623695z00, BGl_z62lambda2172z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3084z00zz__ssl_sslz00, BgL_bgl_za762lambda1926za7623696z00, BGl_z62lambda1926z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3334z00zz__ssl_sslz00, BgL_bgl_string3334za700za7za7_3697za7, "Digest method not supported", 27 );
DEFINE_STRING( BGl_string3253z00zz__ssl_sslz00, BgL_bgl_string3253za700za7za7_3698za7, "ssl-connection-clear1292", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3166z00zz__ssl_sslz00, BgL_bgl_za762lambda2171za7623699z00, BGl_z62lambda2171z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3085z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3700za7, BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3335z00zz__ssl_sslz00, BgL_bgl_string3335za700za7za7_3701za7, "ssl-hash-digest", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3248z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3702z00, BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3167z00zz__ssl_sslz00, BgL_bgl_za762lambda2178za7623703z00, BGl_z62lambda2178z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3086z00zz__ssl_sslz00, BgL_bgl_za762lambda1933za7623704z00, BGl_z62lambda1933z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3336z00zz__ssl_sslz00, BgL_bgl_string3336za700za7za7_3705za7, "ssl-hash-update!", 16 );
DEFINE_STRING( BGl_string3255z00zz__ssl_sslz00, BgL_bgl_string3255za700za7za7_3706za7, "ssl-connection-set-s1294", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3168z00zz__ssl_sslz00, BgL_bgl_za762lambda2177za7623707z00, BGl_z62lambda2177z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3087z00zz__ssl_sslz00, BgL_bgl_za762lambda1932za7623708z00, BGl_z62lambda1932z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3337z00zz__ssl_sslz00, BgL_bgl_string3337za700za7za7_3709za7, "ssl-hash", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3169z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3710za7, BGl_z62zc3z04anonymousza32159ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3088z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3711za7, BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3338z00zz__ssl_sslz00, BgL_bgl_string3338za700za7za7_3712za7, "dh-generate-parameters-ex", 25 );
DEFINE_STRING( BGl_string3257z00zz__ssl_sslz00, BgL_bgl_string3257za700za7za7_3713za7, "ssl-connection-get-s1296", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3089z00zz__ssl_sslz00, BgL_bgl_za762lambda1940za7623714z00, BGl_z62lambda1940z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3339z00zz__ssl_sslz00, BgL_bgl_string3339za700za7za7_3715za7, "Illegal generator", 17 );
DEFINE_STRING( BGl_string3259z00zz__ssl_sslz00, BgL_bgl_string3259za700za7za7_3716za7, "ssl-connection-get-c1298", 24 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7eza713717z00, BGl_z62dhzd2siza7ez17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl_za762makeza7d2sslza7d23718za7, va_generic_entry, BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00, BUNSPEC, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3250z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3719z00, BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3170z00zz__ssl_sslz00, BgL_bgl_za762lambda2157za7623720z00, BGl_z62lambda2157z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3252z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3721z00, BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3171z00zz__ssl_sslz00, BgL_bgl_za762lambda2154za7623722z00, BGl_z62lambda2154z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3090z00zz__ssl_sslz00, BgL_bgl_za762lambda1939za7623723z00, BGl_z62lambda1939z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3340z00zz__ssl_sslz00, BgL_bgl_string3340za700za7za7_3724za7, "size: ~a, generator: ~a", 23 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3172z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3725za7, BGl_z62zc3z04anonymousza32195ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3091z00zz__ssl_sslz00, BgL_bgl_za762lambda1946za7623726z00, BGl_z62lambda1946z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00, BgL_bgl_za762certificateza7d3727z00, BGl_z62certificatezd2issuerzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3341z00zz__ssl_sslz00, BgL_bgl_string3341za700za7za7_3728za7, "&secure-context-init", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3254z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3729z00, BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3173z00zz__ssl_sslz00, BgL_bgl_za762lambda2194za7623730z00, BGl_z62lambda2194z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3092z00zz__ssl_sslz00, BgL_bgl_za762lambda1945za7623731z00, BGl_z62lambda1945z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3342z00zz__ssl_sslz00, BgL_bgl_string3342za700za7za7_3732za7, "&secure-context-close", 21 );
DEFINE_STRING( BGl_string3261z00zz__ssl_sslz00, BgL_bgl_string3261za700za7za7_3733za7, "ssl-connection-load-1300", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3174z00zz__ssl_sslz00, BgL_bgl_za762lambda2193za7623734z00, BGl_z62lambda2193z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3093z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3735za7, BGl_z62zc3z04anonymousza31953ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3343z00zz__ssl_sslz00, BgL_bgl_string3343za700za7za7_3736za7, "&secure-context-add-root-certs!", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3256z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3737z00, BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3175z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3738za7, BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3094z00zz__ssl_sslz00, BgL_bgl_za762lambda1952za7623739z00, BGl_z62lambda1952z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3344z00zz__ssl_sslz00, BgL_bgl_string3344za700za7za7_3740za7, "&secure-context-add-ca-cert!", 28 );
DEFINE_STRING( BGl_string3263z00zz__ssl_sslz00, BgL_bgl_string3263za700za7za7_3741za7, "ssl-connection-verif1302", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3176z00zz__ssl_sslz00, BgL_bgl_za762lambda2201za7623742z00, BGl_z62lambda2201z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3095z00zz__ssl_sslz00, BgL_bgl_za762lambda1951za7623743z00, BGl_z62lambda1951z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3345z00zz__ssl_sslz00, BgL_bgl_string3345za700za7za7_3744za7, "&secure-context-add-crl!", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3258z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3745z00, BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3177z00zz__ssl_sslz00, BgL_bgl_za762lambda2200za7623746z00, BGl_z62lambda2200z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3096z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3747za7, BGl_z62zc3z04anonymousza31960ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3346z00zz__ssl_sslz00, BgL_bgl_string3346za700za7za7_3748za7, "&secure-context-set-cert!", 25 );
DEFINE_STRING( BGl_string3265z00zz__ssl_sslz00, BgL_bgl_string3265za700za7za7_3749za7, "ssl-connection-get-p1304", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3178z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3750za7, BGl_z62zc3z04anonymousza32188ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3097z00zz__ssl_sslz00, BgL_bgl_za762lambda1959za7623751z00, BGl_z62lambda1959z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3347z00zz__ssl_sslz00, BgL_bgl_string3347za700za7za7_3752za7, "&secure-context-set-session-id-context!", 39 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3179z00zz__ssl_sslz00, BgL_bgl_za762lambda2186za7623753z00, BGl_z62lambda2186z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3098z00zz__ssl_sslz00, BgL_bgl_za762lambda1958za7623754z00, BGl_z62lambda1958z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3348z00zz__ssl_sslz00, BgL_bgl_string3348za700za7za7_3755za7, "&secure-context-load-pkcs12", 27 );
DEFINE_STRING( BGl_string3267z00zz__ssl_sslz00, BgL_bgl_string3267za700za7za7_3756za7, "ssl-connection-reuse1306", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3099z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3757za7, BGl_z62zc3z04anonymousza31967ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string3349z00zz__ssl_sslz00, BgL_bgl_string3349za700za7za7_3758za7, "&secure-context-set-ciphers!", 28 );
DEFINE_STRING( BGl_string3269z00zz__ssl_sslz00, BgL_bgl_string3269za700za7za7_3759za7, "ssl-connection-get-n1308", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2getza7d2c3760za7, BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73761za7, BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3260z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3762z00, BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BgL_bgl__secureza7d2contex3763za7, opt_generic_entry, BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3180z00zz__ssl_sslz00, BgL_bgl_za762lambda2184za7623764z00, BGl_z62lambda2184z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3262z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3765z00, BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3181z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3766za7, BGl_z62zc3z04anonymousza32219ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3350z00zz__ssl_sslz00, BgL_bgl_string3350za700za7za7_3767za7, "&secure-context-set-options!", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3182z00zz__ssl_sslz00, BgL_bgl_za762lambda2218za7623768z00, BGl_z62lambda2218z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3351z00zz__ssl_sslz00, BgL_bgl_string3351za700za7za7_3769za7, "&ssl-connection-init", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3264z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3770z00, BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3183z00zz__ssl_sslz00, BgL_bgl_za762lambda2217za7623771z00, BGl_z62lambda2217z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3352z00zz__ssl_sslz00, BgL_bgl_string3352za700za7za7_3772za7, "ssl-connection", 14 );
DEFINE_STRING( BGl_string3271z00zz__ssl_sslz00, BgL_bgl_string3271za700za7za7_3773za7, "dh-init1310", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3184z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3774za7, BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00, BgL_bgl_za762za752privateza7d23775za7, BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3353z00zz__ssl_sslz00, BgL_bgl_string3353za700za7za7_3776za7, "&ssl-connection-start", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3266z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3777z00, BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3185z00zz__ssl_sslz00, BgL_bgl_za762lambda2225za7623778z00, BGl_z62lambda2225z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3354z00zz__ssl_sslz00, BgL_bgl_string3354za700za7za7_3779za7, "&ssl-connection-close", 21 );
DEFINE_STRING( BGl_string3273z00zz__ssl_sslz00, BgL_bgl_string3273za700za7za7_3780za7, "dh-size1312", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3186z00zz__ssl_sslz00, BgL_bgl_za762lambda2224za7623781z00, BGl_z62lambda2224z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3355z00zz__ssl_sslz00, BgL_bgl_string3355za700za7za7_3782za7, "&ssl-connection-shutdown", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3268z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3783z00, BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3187z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3784za7, BGl_z62zc3z04anonymousza32212ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3356z00zz__ssl_sslz00, BgL_bgl_string3356za700za7za7_3785za7, "&ssl-connection-read", 20 );
DEFINE_STRING( BGl_string3275z00zz__ssl_sslz00, BgL_bgl_string3275za700za7za7_3786za7, "dh-generate-paramete1314", 24 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3188z00zz__ssl_sslz00, BgL_bgl_za762lambda2210za7623787z00, BGl_z62lambda2210z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3357z00zz__ssl_sslz00, BgL_bgl_string3357za700za7za7_3788za7, "&ssl-connection-write", 21 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3189z00zz__ssl_sslz00, BgL_bgl_za762lambda2208za7623789z00, BGl_z62lambda2208z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3358z00zz__ssl_sslz00, BgL_bgl_string3358za700za7za7_3790za7, "&ssl-connection-clear-in", 24 );
DEFINE_STRING( BGl_string3277z00zz__ssl_sslz00, BgL_bgl_string3277za700za7za7_3791za7, "dh-check1316", 12 );
DEFINE_STRING( BGl_string3359z00zz__ssl_sslz00, BgL_bgl_string3359za700za7za7_3792za7, "&ssl-connection-clear-out", 25 );
DEFINE_STRING( BGl_string3279z00zz__ssl_sslz00, BgL_bgl_string3279za700za7za7_3793za7, "dh-check-pub-key1318", 20 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3794z00, BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3270z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2init13103795z00, BGl_z62dhzd2init1310zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3190z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3796za7, BGl_z62zc3z04anonymousza32243ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3272z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2siza7a7e133797za7, BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3191z00zz__ssl_sslz00, BgL_bgl_za762lambda2242za7623798z00, BGl_z62lambda2242z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3360z00zz__ssl_sslz00, BgL_bgl_string3360za700za7za7_3799za7, "&ssl-connection-init-finished?", 30 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3192z00zz__ssl_sslz00, BgL_bgl_za762lambda2241za7623800z00, BGl_z62lambda2241z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3361z00zz__ssl_sslz00, BgL_bgl_string3361za700za7za7_3801za7, "&ssl-connection-enc-pending", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3274z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3802z00, BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3193z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3803za7, BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3362z00zz__ssl_sslz00, BgL_bgl_string3362za700za7za7_3804za7, "&ssl-connection-clear-pending", 29 );
DEFINE_STRING( BGl_string3281z00zz__ssl_sslz00, BgL_bgl_string3281za700za7za7_3805za7, "dh-compute-key1320", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3194z00zz__ssl_sslz00, BgL_bgl_za762lambda2249za7623806z00, BGl_z62lambda2249z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3363z00zz__ssl_sslz00, BgL_bgl_string3363za700za7za7_3807za7, "&ssl-connection-set-session", 27 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3276z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2check1313808z00, BGl_z62dhzd2check1316zb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3195z00zz__ssl_sslz00, BgL_bgl_za762lambda2248za7623809z00, BGl_z62lambda2248z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3364z00zz__ssl_sslz00, BgL_bgl_string3364za700za7za7_3810za7, "&ssl-connection-get-session", 27 );
DEFINE_STRING( BGl_string3283z00zz__ssl_sslz00, BgL_bgl_string3283za700za7za7_3811za7, "dh-generate-key1322", 19 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3196z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3812za7, BGl_z62zc3z04anonymousza32236ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3365z00zz__ssl_sslz00, BgL_bgl_string3365za700za7za7_3813za7, "&ssl-connection-get-current-cipher", 34 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3278z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23814za7, BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3197z00zz__ssl_sslz00, BgL_bgl_za762lambda2234za7623815z00, BGl_z62lambda2234z62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3366z00zz__ssl_sslz00, BgL_bgl_string3366za700za7za7_3816za7, "&ssl-connection-load-session", 28 );
DEFINE_STRING( BGl_string3285z00zz__ssl_sslz00, BgL_bgl_string3285za700za7za7_3817za7, "ssl-hash-init1324", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3198z00zz__ssl_sslz00, BgL_bgl_za762lambda2232za7623818z00, BGl_z62lambda2232z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3367z00zz__ssl_sslz00, BgL_bgl_string3367za700za7za7_3819za7, "&ssl-connection-verify-error", 28 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3199z00zz__ssl_sslz00, BgL_bgl_za762za7c3za704anonymo3820za7, BGl_z62zc3z04anonymousza32267ze3ze5zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23821za7, BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3822z00, BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3368z00zz__ssl_sslz00, BgL_bgl_string3368za700za7za7_3823za7, "&ssl-connection-get-peer-certificate", 36 );
DEFINE_STRING( BGl_string3287z00zz__ssl_sslz00, BgL_bgl_string3287za700za7za7_3824za7, "ssl-hash-update!1326", 20 );
DEFINE_STRING( BGl_string3369z00zz__ssl_sslz00, BgL_bgl_string3369za700za7za7_3825za7, "&ssl-connection-reused?", 23 );
DEFINE_STRING( BGl_string3289z00zz__ssl_sslz00, BgL_bgl_string3289za700za7za7_3826za7, "ssl-hash-digest1328", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bin2bnza7b3827za7, BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73828za7, BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00, 0L, BUNSPEC, 9 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3829z00, BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3280z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2computeza73830za7, BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3282z00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3831z00, BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3370z00zz__ssl_sslz00, BgL_bgl_string3370za700za7za7_3832za7, "&ssl-connection-get-negotiated-protocol", 39 );
DEFINE_STRING( BGl_string3371z00zz__ssl_sslz00, BgL_bgl_string3371za700za7za7_3833za7, "&dh-init", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3284z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23834za7, BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3372z00zz__ssl_sslz00, BgL_bgl_string3372za700za7za7_3835za7, "dh", 2 );
DEFINE_STRING( BGl_string3291z00zz__ssl_sslz00, BgL_bgl_string3291za700za7za7_3836za7, "ssl-hmac-init1330", 17 );
DEFINE_STRING( BGl_string3373z00zz__ssl_sslz00, BgL_bgl_string3373za700za7za7_3837za7, "&dh-size", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3286z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23838za7, BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3374z00zz__ssl_sslz00, BgL_bgl_string3374za700za7za7_3839za7, "&dh-generate-parameters-ex", 26 );
DEFINE_STRING( BGl_string3293z00zz__ssl_sslz00, BgL_bgl_string3293za700za7za7_3840za7, "ssl-hmac-update!1332", 20 );
DEFINE_STRING( BGl_string3375z00zz__ssl_sslz00, BgL_bgl_string3375za700za7za7_3841za7, "&dh-check", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3288z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23842za7, BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3376z00zz__ssl_sslz00, BgL_bgl_string3376za700za7za7_3843za7, "&dh-check-pub-key", 17 );
DEFINE_STRING( BGl_string3295z00zz__ssl_sslz00, BgL_bgl_string3295za700za7za7_3844za7, "ssl-hmac-digest1334", 19 );
DEFINE_STRING( BGl_string3377z00zz__ssl_sslz00, BgL_bgl_string3377za700za7za7_3845za7, "&dh-compute-key", 15 );
DEFINE_STRING( BGl_string3378z00zz__ssl_sslz00, BgL_bgl_string3378za700za7za7_3846za7, "&dh-generate-key", 16 );
DEFINE_STRING( BGl_string3297z00zz__ssl_sslz00, BgL_bgl_string3297za700za7za7_3847za7, "ssl-sign-init1336", 17 );
DEFINE_STRING( BGl_string3379z00zz__ssl_sslz00, BgL_bgl_string3379za700za7za7_3848za7, "&ssl-hash-init", 14 );
DEFINE_STRING( BGl_string3299z00zz__ssl_sslz00, BgL_bgl_string3299za700za7za7_3849za7, "ssl-sign-update!1338", 20 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23850za7, BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23851za7, BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3290z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23852za7, BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3292z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23853za7, BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3380z00zz__ssl_sslz00, BgL_bgl_string3380za700za7za7_3854za7, "&ssl-hash-update!", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00, BgL_bgl__clientza7d2socket3855za7, opt_generic_entry, BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00, BFALSE, -1 );
DEFINE_STRING( BGl_string3381z00zz__ssl_sslz00, BgL_bgl_string3381za700za7za7_3856za7, "&ssl-hash-digest", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3294z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23857za7, BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3858z00, BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3382z00zz__ssl_sslz00, BgL_bgl_string3382za700za7za7_3859za7, "&ssl-hmac-init", 14 );
DEFINE_STRING( BGl_string3383z00zz__ssl_sslz00, BgL_bgl_string3383za700za7za7_3860za7, "&ssl-hmac-update!", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3296z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23861za7, BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string3384z00zz__ssl_sslz00, BgL_bgl_string3384za700za7za7_3862za7, "&ssl-hmac-digest", 16 );
DEFINE_STRING( BGl_string3385z00zz__ssl_sslz00, BgL_bgl_string3385za700za7za7_3863za7, "&ssl-sign-init", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc3298z00zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23864za7, BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string3386z00zz__ssl_sslz00, BgL_bgl_string3386za700za7za7_3865za7, "&ssl-sign-update!", 17 );
DEFINE_STRING( BGl_string3387z00zz__ssl_sslz00, BgL_bgl_string3387za700za7za7_3866za7, "&ssl-sign-sign", 14 );
DEFINE_STRING( BGl_string3388z00zz__ssl_sslz00, BgL_bgl_string3388za700za7za7_3867za7, "&ssl-verify-init", 16 );
DEFINE_STRING( BGl_string3389z00zz__ssl_sslz00, BgL_bgl_string3389za700za7za7_3868za7, "&ssl-verify-update!", 19 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3869z00, BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2checkza7d23870za7, BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23871za7, BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3390z00zz__ssl_sslz00, BgL_bgl_string3390za700za7za7_3872za7, "&ssl-verify-final", 17 );
DEFINE_STRING( BGl_string3391z00zz__ssl_sslz00, BgL_bgl_string3391za700za7za7_3873za7, "&ssl-cipher-init", 16 );
DEFINE_STRING( BGl_string3392z00zz__ssl_sslz00, BgL_bgl_string3392za700za7za7_3874za7, "ssl-cipher", 10 );
DEFINE_STRING( BGl_string3393z00zz__ssl_sslz00, BgL_bgl_string3393za700za7za7_3875za7, "&ssl-cipher-initiv", 18 );
DEFINE_STRING( BGl_string3394z00zz__ssl_sslz00, BgL_bgl_string3394za700za7za7_3876za7, "&ssl-cipher-update!", 19 );
DEFINE_STRING( BGl_string3395z00zz__ssl_sslz00, BgL_bgl_string3395za700za7za7_3877za7, "&ssl-cipher-set-auto-padding", 28 );
DEFINE_STRING( BGl_string3396z00zz__ssl_sslz00, BgL_bgl_string3396za700za7za7_3878za7, "&ssl-cipher-final", 17 );
DEFINE_STRING( BGl_string3397z00zz__ssl_sslz00, BgL_bgl_string3397za700za7za7_3879za7, "DH-GENERATOR-2 ssl-cipher $ssl-cipher-ctx $cipher-ctx $ssl-cipher $cipher ssl-verify ssl-sign ssl-hmac $ssl-hmac-ctx ssl-hash type $ssl-evp-md-ctx $md-ctx $ssl-evp-md $md dh public-key g q p %priv %pub %g %q $bignum %p $dh ssl-connection sent-shutdown received-shutdown err npn-protos selected-npn-protos procedure newsession-callback sni-context-callback info-callback reject-unauthorized obj server-name request-cert bool isserver ctx $ssl-session $next-session $bio-write $bio $bio-read $ssl secure-context bstring method $X509-store $ca-store $ssl-ctx private-key $private-key __ssl_ssl certificate $certificate $native dtlsv1 dtls tlsv1_3 tlsv1_2 tlsv1_1 tlsv1 tls ssl sslv3 sslv2 :backlog :name (:domain :backlog :accepted-certs :CAs :pkey :cert :protocol :name) unspec client-socket-use-ssl! (:CAs :accepted-certs :cert :pkey :protocol) :timeout :protocol :pkey :outbuf :inbuf :domain :cert :accepted-certs :CAs (:CAs :accepted-certs :cert :domain :inbuf :outbuf :pkey :protocol :timeout) sslv23 inet (inet inet6) mak"
"e-ssl-server-socket (inet inet6 unspec) make-ssl-client-socket ", 1087 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3880z00, BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3881z00, BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3882z00, BGl_z62securezd2contextzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3883z00, BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23884za7, BGl_z62sslzd2signzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2setza7d2wo3885za7, BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00, BgL_bgl_za762evpza7d2getza7d2h3886za7, BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2pri3887za7, BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3888z00, BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2bn2binza7b3889za7, BGl_z62bnzd2bn2binzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2verifyza73890za7, BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 7 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3891z00, BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00, BgL_bgl_za762za752makeza7d2cer3892za7, BGl_z62z52makezd2certificateze2zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00, BgL_bgl_za762readza7d2privat3893z00, BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762bnza7d2numza7d2by3894za7, BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3895z00, BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00, BgL_bgl_za762pkcs5za7d2pbkdf3896z00, BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73897za7, BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hashza7d23898za7, BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_readzd2certificatezd2envz00zz__ssl_sslz00, BgL_bgl_za762readza7d2certif3899z00, BGl_z62readzd2certificatezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2signza7d23900za7, BGl_z62sslzd2signzd2signz62zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2clearza7d3901za7, BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00, BgL_bgl__makeza7d2sslza7d2cl3902z00, opt_generic_entry, BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3903z00, BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3904z00, BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2versionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2version3905z00, BGl_z62sslzd2versionzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3906z00, BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73907za7, BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2hmacza7d23908za7, BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3909z00, BGl_z62securezd2contextzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3910z00, BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3911z00, BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3912z00, BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3913z00, BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23914za7, BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2freezd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2freeza7b0za73915z00, BGl_z62bnzd2freezb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23916za7, BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00, BgL_bgl_za762za752certificat3917z00, BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bnzd2newzd2envz00zz__ssl_sslz00, BgL_bgl_za762bnza7d2newza7b0za7za73918za7, BGl_z62bnzd2newzb0zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3919z00, BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BgL_bgl_za762sslza7d2connect3920z00, BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BgL_bgl_za762secureza7d2cont3921z00, BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23922za7, BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3003z00zz__ssl_sslz00, BgL_bgl_string3003za700za7za7_3923za7, "Invalid certificate", 19 );
DEFINE_STRING( BGl_string3004z00zz__ssl_sslz00, BgL_bgl_string3004za700za7za7_3924za7, "Invalid private key", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2randza7d23925za7, BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string3005z00zz__ssl_sslz00, BgL_bgl_string3005za700za7za7_3926za7, "Invalid CA list", 15 );
DEFINE_STRING( BGl_string3006z00zz__ssl_sslz00, BgL_bgl_string3006za700za7za7_3927za7, "Invalid accepted-certs", 22 );
DEFINE_STRING( BGl_string3007z00zz__ssl_sslz00, BgL_bgl_string3007za700za7za7_3928za7, "pkey and cert must be both #f or both set", 41 );
DEFINE_STRING( BGl_string3008z00zz__ssl_sslz00, BgL_bgl_string3008za700za7za7_3929za7, "Unsupported domain", 18 );
DEFINE_STRING( BGl_string3009z00zz__ssl_sslz00, BgL_bgl_string3009za700za7za7_3930za7, "/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/api/ssl/src/Llib/ssl.scm", 76 );
DEFINE_EXPORT_BGL_GENERIC( BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BgL_bgl_za762dhza7d2generate3931z00, BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_GENERIC( BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BgL_bgl_za762sslza7d2cipherza73932za7, BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00, 0L, BUNSPEC, 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_certificatez00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2signzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hmaczd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_privatezd2keyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2connectionzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2verifyzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2cipherzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_securezd2contextzd2zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_dhz00zz__ssl_sslz00) );
ADD_ROOT( (void *)(&BGl_sslzd2hashzd2zz__ssl_sslz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long BgL_checksumz00_8125, char * BgL_fromz00_8126)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_sslz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_sslz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__ssl_sslz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(); 
BGl_cnstzd2initzd2zz__ssl_sslz00(); 
BGl_objectzd2initzd2zz__ssl_sslz00(); 
BGl_genericzd2initzd2zz__ssl_sslz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_sslz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__dssslz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__socketz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__ssl_ssl"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__ssl_ssl"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_cportz00_5511;
{ /* Llib/ssl.scm 15 */
 obj_t BgL_stringz00_5518;
BgL_stringz00_5518 = BGl_string3397z00zz__ssl_sslz00; 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_startz00_5519;
BgL_startz00_5519 = 
BINT(0L); 
{ /* Llib/ssl.scm 15 */
 obj_t BgL_endz00_5520;
BgL_endz00_5520 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_5518))); 
{ /* Llib/ssl.scm 15 */

BgL_cportz00_5511 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_5518, BgL_startz00_5519, BgL_endz00_5520); } } } } 
{ 
 long BgL_iz00_5512;
BgL_iz00_5512 = 94L; 
BgL_loopz00_5513:
if(
(BgL_iz00_5512==(-1L)))
{ /* Llib/ssl.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 15 */
 obj_t BgL_arg3398z00_5514;
{ /* Llib/ssl.scm 15 */

{ /* Llib/ssl.scm 15 */
 obj_t BgL_locationz00_5516;
BgL_locationz00_5516 = 
BBOOL(((bool_t)0)); 
{ /* Llib/ssl.scm 15 */

BgL_arg3398z00_5514 = 
BGl_readz00zz__readerz00(BgL_cportz00_5511, BgL_locationz00_5516); } } } 
{ /* Llib/ssl.scm 15 */
 int BgL_tmpz00_8161;
BgL_tmpz00_8161 = 
(int)(BgL_iz00_5512); 
CNST_TABLE_SET(BgL_tmpz00_8161, BgL_arg3398z00_5514); } } 
{ /* Llib/ssl.scm 15 */
 int BgL_auxz00_5517;
BgL_auxz00_5517 = 
(int)(
(BgL_iz00_5512-1L)); 
{ 
 long BgL_iz00_8166;
BgL_iz00_8166 = 
(long)(BgL_auxz00_5517); 
BgL_iz00_5512 = BgL_iz00_8166; 
goto BgL_loopz00_5513;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}



/* ssl-version */
BGL_EXPORTED_DEF char * BGl_sslzd2versionzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 571 */
BGL_TAIL return 
bgl_ssl_version();} 

}



/* &ssl-version */
obj_t BGl_z62sslzd2versionzb0zz__ssl_sslz00(obj_t BgL_envz00_4037)
{
{ /* Llib/ssl.scm 571 */
return 
string_to_bstring(
BGl_sslzd2versionzd2zz__ssl_sslz00());} 

}



/* ssl-clear-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2clearzd2errorz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 579 */
ERR_clear_error(); BUNSPEC; 
return BTRUE;} 

}



/* &ssl-clear-error */
obj_t BGl_z62sslzd2clearzd2errorz62zz__ssl_sslz00(obj_t BgL_envz00_4038)
{
{ /* Llib/ssl.scm 579 */
return 
BGl_sslzd2clearzd2errorz00zz__ssl_sslz00();} 

}



/* sanity-args-checks */
obj_t BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(obj_t BgL_funcz00_3, obj_t BgL_certz00_4, obj_t BgL_pkeyz00_5, obj_t BgL_casz00_6, obj_t BgL_acceptedzd2certszd2_7, obj_t BgL_domainz00_8)
{
{ /* Llib/ssl.scm 587 */
{ /* Llib/ssl.scm 588 */
 bool_t BgL_test3935z00_8174;
if(
CBOOL(BgL_certz00_4))
{ /* Llib/ssl.scm 588 */
 obj_t BgL_classz00_1780;
BgL_classz00_1780 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 588 */
 BgL_objectz00_bglt BgL_arg1827z00_1782;
BgL_arg1827z00_1782 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 588 */
 long BgL_idxz00_1788;
BgL_idxz00_1788 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1782); 
BgL_test3935z00_8174 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1788+1L))==BgL_classz00_1780); }  else 
{ /* Llib/ssl.scm 588 */
 bool_t BgL_res2370z00_1813;
{ /* Llib/ssl.scm 588 */
 obj_t BgL_oclassz00_1796;
{ /* Llib/ssl.scm 588 */
 obj_t BgL_arg1834z00_1804; long BgL_arg1835z00_1805;
BgL_arg1834z00_1804 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 588 */
 long BgL_arg1836z00_1806;
BgL_arg1836z00_1806 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1782); 
BgL_arg1835z00_1805 = 
(BgL_arg1836z00_1806-OBJECT_TYPE); } 
BgL_oclassz00_1796 = 
VECTOR_REF(BgL_arg1834z00_1804,BgL_arg1835z00_1805); } 
{ /* Llib/ssl.scm 588 */
 bool_t BgL__ortest_1114z00_1797;
BgL__ortest_1114z00_1797 = 
(BgL_classz00_1780==BgL_oclassz00_1796); 
if(BgL__ortest_1114z00_1797)
{ /* Llib/ssl.scm 588 */
BgL_res2370z00_1813 = BgL__ortest_1114z00_1797; }  else 
{ /* Llib/ssl.scm 588 */
 long BgL_odepthz00_1798;
{ /* Llib/ssl.scm 588 */
 obj_t BgL_arg1824z00_1799;
BgL_arg1824z00_1799 = 
(BgL_oclassz00_1796); 
BgL_odepthz00_1798 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1799); } 
if(
(1L<BgL_odepthz00_1798))
{ /* Llib/ssl.scm 588 */
 obj_t BgL_arg1822z00_1801;
{ /* Llib/ssl.scm 588 */
 obj_t BgL_arg1823z00_1802;
BgL_arg1823z00_1802 = 
(BgL_oclassz00_1796); 
BgL_arg1822z00_1801 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1802, 1L); } 
BgL_res2370z00_1813 = 
(BgL_arg1822z00_1801==BgL_classz00_1780); }  else 
{ /* Llib/ssl.scm 588 */
BgL_res2370z00_1813 = ((bool_t)0); } } } } 
BgL_test3935z00_8174 = BgL_res2370z00_1813; } }  else 
{ /* Llib/ssl.scm 588 */
BgL_test3935z00_8174 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 588 */
BgL_test3935z00_8174 = ((bool_t)1)
; } 
if(BgL_test3935z00_8174)
{ /* Llib/ssl.scm 588 */BFALSE; }  else 
{ /* Llib/ssl.scm 588 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3003z00zz__ssl_sslz00, BgL_certz00_4); } } 
{ /* Llib/ssl.scm 590 */
 bool_t BgL_test3941z00_8200;
if(
CBOOL(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 590 */
 obj_t BgL_classz00_1814;
BgL_classz00_1814 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 590 */
 BgL_objectz00_bglt BgL_arg1827z00_1816;
BgL_arg1827z00_1816 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 590 */
 long BgL_idxz00_1822;
BgL_idxz00_1822 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1816); 
BgL_test3941z00_8200 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1822+1L))==BgL_classz00_1814); }  else 
{ /* Llib/ssl.scm 590 */
 bool_t BgL_res2371z00_1847;
{ /* Llib/ssl.scm 590 */
 obj_t BgL_oclassz00_1830;
{ /* Llib/ssl.scm 590 */
 obj_t BgL_arg1834z00_1838; long BgL_arg1835z00_1839;
BgL_arg1834z00_1838 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 590 */
 long BgL_arg1836z00_1840;
BgL_arg1836z00_1840 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1816); 
BgL_arg1835z00_1839 = 
(BgL_arg1836z00_1840-OBJECT_TYPE); } 
BgL_oclassz00_1830 = 
VECTOR_REF(BgL_arg1834z00_1838,BgL_arg1835z00_1839); } 
{ /* Llib/ssl.scm 590 */
 bool_t BgL__ortest_1114z00_1831;
BgL__ortest_1114z00_1831 = 
(BgL_classz00_1814==BgL_oclassz00_1830); 
if(BgL__ortest_1114z00_1831)
{ /* Llib/ssl.scm 590 */
BgL_res2371z00_1847 = BgL__ortest_1114z00_1831; }  else 
{ /* Llib/ssl.scm 590 */
 long BgL_odepthz00_1832;
{ /* Llib/ssl.scm 590 */
 obj_t BgL_arg1824z00_1833;
BgL_arg1824z00_1833 = 
(BgL_oclassz00_1830); 
BgL_odepthz00_1832 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1833); } 
if(
(1L<BgL_odepthz00_1832))
{ /* Llib/ssl.scm 590 */
 obj_t BgL_arg1822z00_1835;
{ /* Llib/ssl.scm 590 */
 obj_t BgL_arg1823z00_1836;
BgL_arg1823z00_1836 = 
(BgL_oclassz00_1830); 
BgL_arg1822z00_1835 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1836, 1L); } 
BgL_res2371z00_1847 = 
(BgL_arg1822z00_1835==BgL_classz00_1814); }  else 
{ /* Llib/ssl.scm 590 */
BgL_res2371z00_1847 = ((bool_t)0); } } } } 
BgL_test3941z00_8200 = BgL_res2371z00_1847; } }  else 
{ /* Llib/ssl.scm 590 */
BgL_test3941z00_8200 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 590 */
BgL_test3941z00_8200 = ((bool_t)1)
; } 
if(BgL_test3941z00_8200)
{ /* Llib/ssl.scm 590 */BFALSE; }  else 
{ /* Llib/ssl.scm 590 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3004z00zz__ssl_sslz00, BgL_pkeyz00_5); } } 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_test3947z00_8226;
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_6))
{ 
 obj_t BgL_l1179z00_214;
BgL_l1179z00_214 = BgL_casz00_6; 
BgL_zc3z04anonymousza31376ze3z87_215:
if(
NULLP(BgL_l1179z00_214))
{ /* Llib/ssl.scm 592 */
BgL_test3947z00_8226 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_test3950z00_8231;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_cz00_220;
BgL_cz00_220 = 
CAR(
((obj_t)BgL_l1179z00_214)); 
{ /* Llib/ssl.scm 592 */
 obj_t BgL_classz00_1849;
BgL_classz00_1849 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_220))
{ /* Llib/ssl.scm 592 */
 BgL_objectz00_bglt BgL_arg1827z00_1851;
BgL_arg1827z00_1851 = 
(BgL_objectz00_bglt)(BgL_cz00_220); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 592 */
 long BgL_idxz00_1857;
BgL_idxz00_1857 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1851); 
BgL_test3950z00_8231 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1857+1L))==BgL_classz00_1849); }  else 
{ /* Llib/ssl.scm 592 */
 bool_t BgL_res2372z00_1882;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_oclassz00_1865;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_arg1834z00_1873; long BgL_arg1835z00_1874;
BgL_arg1834z00_1873 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 592 */
 long BgL_arg1836z00_1875;
BgL_arg1836z00_1875 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1851); 
BgL_arg1835z00_1874 = 
(BgL_arg1836z00_1875-OBJECT_TYPE); } 
BgL_oclassz00_1865 = 
VECTOR_REF(BgL_arg1834z00_1873,BgL_arg1835z00_1874); } 
{ /* Llib/ssl.scm 592 */
 bool_t BgL__ortest_1114z00_1866;
BgL__ortest_1114z00_1866 = 
(BgL_classz00_1849==BgL_oclassz00_1865); 
if(BgL__ortest_1114z00_1866)
{ /* Llib/ssl.scm 592 */
BgL_res2372z00_1882 = BgL__ortest_1114z00_1866; }  else 
{ /* Llib/ssl.scm 592 */
 long BgL_odepthz00_1867;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_arg1824z00_1868;
BgL_arg1824z00_1868 = 
(BgL_oclassz00_1865); 
BgL_odepthz00_1867 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1868); } 
if(
(1L<BgL_odepthz00_1867))
{ /* Llib/ssl.scm 592 */
 obj_t BgL_arg1822z00_1870;
{ /* Llib/ssl.scm 592 */
 obj_t BgL_arg1823z00_1871;
BgL_arg1823z00_1871 = 
(BgL_oclassz00_1865); 
BgL_arg1822z00_1870 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1871, 1L); } 
BgL_res2372z00_1882 = 
(BgL_arg1822z00_1870==BgL_classz00_1849); }  else 
{ /* Llib/ssl.scm 592 */
BgL_res2372z00_1882 = ((bool_t)0); } } } } 
BgL_test3950z00_8231 = BgL_res2372z00_1882; } }  else 
{ /* Llib/ssl.scm 592 */
BgL_test3950z00_8231 = ((bool_t)0)
; } } } 
if(BgL_test3950z00_8231)
{ 
 obj_t BgL_l1179z00_8256;
BgL_l1179z00_8256 = 
CDR(
((obj_t)BgL_l1179z00_214)); 
BgL_l1179z00_214 = BgL_l1179z00_8256; 
goto BgL_zc3z04anonymousza31376ze3z87_215;}  else 
{ /* Llib/ssl.scm 592 */
BgL_test3947z00_8226 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 592 */
BgL_test3947z00_8226 = ((bool_t)0)
; } 
if(BgL_test3947z00_8226)
{ /* Llib/ssl.scm 592 */BFALSE; }  else 
{ /* Llib/ssl.scm 592 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3005z00zz__ssl_sslz00, BgL_casz00_6); } } 
{ /* Llib/ssl.scm 594 */
 bool_t BgL_test3955z00_8260;
if(
CBOOL(BgL_acceptedzd2certszd2_7))
{ /* Llib/ssl.scm 594 */
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_acceptedzd2certszd2_7))
{ 
 obj_t BgL_l1182z00_235;
BgL_l1182z00_235 = BgL_acceptedzd2certszd2_7; 
BgL_zc3z04anonymousza31384ze3z87_236:
if(
NULLP(BgL_l1182z00_235))
{ /* Llib/ssl.scm 596 */
BgL_test3955z00_8260 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 596 */
 bool_t BgL_test3959z00_8267;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_cz00_241;
BgL_cz00_241 = 
CAR(
((obj_t)BgL_l1182z00_235)); 
{ /* Llib/ssl.scm 596 */
 obj_t BgL_classz00_1885;
BgL_classz00_1885 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_cz00_241))
{ /* Llib/ssl.scm 596 */
 BgL_objectz00_bglt BgL_arg1827z00_1887;
BgL_arg1827z00_1887 = 
(BgL_objectz00_bglt)(BgL_cz00_241); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 596 */
 long BgL_idxz00_1893;
BgL_idxz00_1893 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1887); 
BgL_test3959z00_8267 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1893+1L))==BgL_classz00_1885); }  else 
{ /* Llib/ssl.scm 596 */
 bool_t BgL_res2373z00_1918;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_oclassz00_1901;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_arg1834z00_1909; long BgL_arg1835z00_1910;
BgL_arg1834z00_1909 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 596 */
 long BgL_arg1836z00_1911;
BgL_arg1836z00_1911 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1887); 
BgL_arg1835z00_1910 = 
(BgL_arg1836z00_1911-OBJECT_TYPE); } 
BgL_oclassz00_1901 = 
VECTOR_REF(BgL_arg1834z00_1909,BgL_arg1835z00_1910); } 
{ /* Llib/ssl.scm 596 */
 bool_t BgL__ortest_1114z00_1902;
BgL__ortest_1114z00_1902 = 
(BgL_classz00_1885==BgL_oclassz00_1901); 
if(BgL__ortest_1114z00_1902)
{ /* Llib/ssl.scm 596 */
BgL_res2373z00_1918 = BgL__ortest_1114z00_1902; }  else 
{ /* Llib/ssl.scm 596 */
 long BgL_odepthz00_1903;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_arg1824z00_1904;
BgL_arg1824z00_1904 = 
(BgL_oclassz00_1901); 
BgL_odepthz00_1903 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1904); } 
if(
(1L<BgL_odepthz00_1903))
{ /* Llib/ssl.scm 596 */
 obj_t BgL_arg1822z00_1906;
{ /* Llib/ssl.scm 596 */
 obj_t BgL_arg1823z00_1907;
BgL_arg1823z00_1907 = 
(BgL_oclassz00_1901); 
BgL_arg1822z00_1906 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1907, 1L); } 
BgL_res2373z00_1918 = 
(BgL_arg1822z00_1906==BgL_classz00_1885); }  else 
{ /* Llib/ssl.scm 596 */
BgL_res2373z00_1918 = ((bool_t)0); } } } } 
BgL_test3959z00_8267 = BgL_res2373z00_1918; } }  else 
{ /* Llib/ssl.scm 596 */
BgL_test3959z00_8267 = ((bool_t)0)
; } } } 
if(BgL_test3959z00_8267)
{ 
 obj_t BgL_l1182z00_8292;
BgL_l1182z00_8292 = 
CDR(
((obj_t)BgL_l1182z00_235)); 
BgL_l1182z00_235 = BgL_l1182z00_8292; 
goto BgL_zc3z04anonymousza31384ze3z87_236;}  else 
{ /* Llib/ssl.scm 596 */
BgL_test3955z00_8260 = ((bool_t)0)
; } } }  else 
{ /* Llib/ssl.scm 595 */
BgL_test3955z00_8260 = ((bool_t)0)
; } }  else 
{ /* Llib/ssl.scm 594 */
BgL_test3955z00_8260 = ((bool_t)1)
; } 
if(BgL_test3955z00_8260)
{ /* Llib/ssl.scm 594 */BFALSE; }  else 
{ /* Llib/ssl.scm 594 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3006z00zz__ssl_sslz00, BgL_acceptedzd2certszd2_7); } } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3964z00_8296;
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3965z00_8297;
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3966z00_8298;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1920;
BgL_classz00_1920 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1827z00_1922;
BgL_arg1827z00_1922 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1928;
BgL_idxz00_1928 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1922); 
BgL_test3966z00_8298 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1928+1L))==BgL_classz00_1920); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2374z00_1953;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1936;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1834z00_1944; long BgL_arg1835z00_1945;
BgL_arg1834z00_1944 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 598 */
 long BgL_arg1836z00_1946;
BgL_arg1836z00_1946 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1922); 
BgL_arg1835z00_1945 = 
(BgL_arg1836z00_1946-OBJECT_TYPE); } 
BgL_oclassz00_1936 = 
VECTOR_REF(BgL_arg1834z00_1944,BgL_arg1835z00_1945); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1114z00_1937;
BgL__ortest_1114z00_1937 = 
(BgL_classz00_1920==BgL_oclassz00_1936); 
if(BgL__ortest_1114z00_1937)
{ /* Llib/ssl.scm 598 */
BgL_res2374z00_1953 = BgL__ortest_1114z00_1937; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1938;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1824z00_1939;
BgL_arg1824z00_1939 = 
(BgL_oclassz00_1936); 
BgL_odepthz00_1938 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1939); } 
if(
(1L<BgL_odepthz00_1938))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1822z00_1941;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1823z00_1942;
BgL_arg1823z00_1942 = 
(BgL_oclassz00_1936); 
BgL_arg1822z00_1941 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1942, 1L); } 
BgL_res2374z00_1953 = 
(BgL_arg1822z00_1941==BgL_classz00_1920); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2374z00_1953 = ((bool_t)0); } } } } 
BgL_test3966z00_8298 = BgL_res2374z00_1953; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3966z00_8298 = ((bool_t)0)
; } } 
if(BgL_test3966z00_8298)
{ /* Llib/ssl.scm 598 */
 bool_t BgL_test3971z00_8321;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_classz00_1954;
BgL_classz00_1954 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 598 */
 BgL_objectz00_bglt BgL_arg1827z00_1956;
BgL_arg1827z00_1956 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 598 */
 long BgL_idxz00_1962;
BgL_idxz00_1962 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1956); 
BgL_test3971z00_8321 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1962+1L))==BgL_classz00_1954); }  else 
{ /* Llib/ssl.scm 598 */
 bool_t BgL_res2375z00_1987;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_oclassz00_1970;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1834z00_1978; long BgL_arg1835z00_1979;
BgL_arg1834z00_1978 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 598 */
 long BgL_arg1836z00_1980;
BgL_arg1836z00_1980 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1956); 
BgL_arg1835z00_1979 = 
(BgL_arg1836z00_1980-OBJECT_TYPE); } 
BgL_oclassz00_1970 = 
VECTOR_REF(BgL_arg1834z00_1978,BgL_arg1835z00_1979); } 
{ /* Llib/ssl.scm 598 */
 bool_t BgL__ortest_1114z00_1971;
BgL__ortest_1114z00_1971 = 
(BgL_classz00_1954==BgL_oclassz00_1970); 
if(BgL__ortest_1114z00_1971)
{ /* Llib/ssl.scm 598 */
BgL_res2375z00_1987 = BgL__ortest_1114z00_1971; }  else 
{ /* Llib/ssl.scm 598 */
 long BgL_odepthz00_1972;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1824z00_1973;
BgL_arg1824z00_1973 = 
(BgL_oclassz00_1970); 
BgL_odepthz00_1972 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_1973); } 
if(
(1L<BgL_odepthz00_1972))
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1822z00_1975;
{ /* Llib/ssl.scm 598 */
 obj_t BgL_arg1823z00_1976;
BgL_arg1823z00_1976 = 
(BgL_oclassz00_1970); 
BgL_arg1822z00_1975 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_1976, 1L); } 
BgL_res2375z00_1987 = 
(BgL_arg1822z00_1975==BgL_classz00_1954); }  else 
{ /* Llib/ssl.scm 598 */
BgL_res2375z00_1987 = ((bool_t)0); } } } } 
BgL_test3971z00_8321 = BgL_res2375z00_1987; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3971z00_8321 = ((bool_t)0)
; } } 
if(BgL_test3971z00_8321)
{ /* Llib/ssl.scm 598 */
BgL_test3965z00_8297 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3965z00_8297 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 598 */
BgL_test3965z00_8297 = ((bool_t)0)
; } } 
if(BgL_test3965z00_8297)
{ /* Llib/ssl.scm 598 */
BgL_test3964z00_8296 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_test3976z00_8344;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_classz00_1988;
BgL_classz00_1988 = BGl_privatezd2keyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_pkeyz00_5))
{ /* Llib/ssl.scm 599 */
 BgL_objectz00_bglt BgL_arg1827z00_1990;
BgL_arg1827z00_1990 = 
(BgL_objectz00_bglt)(BgL_pkeyz00_5); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 599 */
 long BgL_idxz00_1996;
BgL_idxz00_1996 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_1990); 
BgL_test3976z00_8344 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1996+1L))==BgL_classz00_1988); }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_res2376z00_2021;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_oclassz00_2004;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1834z00_2012; long BgL_arg1835z00_2013;
BgL_arg1834z00_2012 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 599 */
 long BgL_arg1836z00_2014;
BgL_arg1836z00_2014 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_1990); 
BgL_arg1835z00_2013 = 
(BgL_arg1836z00_2014-OBJECT_TYPE); } 
BgL_oclassz00_2004 = 
VECTOR_REF(BgL_arg1834z00_2012,BgL_arg1835z00_2013); } 
{ /* Llib/ssl.scm 599 */
 bool_t BgL__ortest_1114z00_2005;
BgL__ortest_1114z00_2005 = 
(BgL_classz00_1988==BgL_oclassz00_2004); 
if(BgL__ortest_1114z00_2005)
{ /* Llib/ssl.scm 599 */
BgL_res2376z00_2021 = BgL__ortest_1114z00_2005; }  else 
{ /* Llib/ssl.scm 599 */
 long BgL_odepthz00_2006;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1824z00_2007;
BgL_arg1824z00_2007 = 
(BgL_oclassz00_2004); 
BgL_odepthz00_2006 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2007); } 
if(
(1L<BgL_odepthz00_2006))
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1822z00_2009;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1823z00_2010;
BgL_arg1823z00_2010 = 
(BgL_oclassz00_2004); 
BgL_arg1822z00_2009 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2010, 1L); } 
BgL_res2376z00_2021 = 
(BgL_arg1822z00_2009==BgL_classz00_1988); }  else 
{ /* Llib/ssl.scm 599 */
BgL_res2376z00_2021 = ((bool_t)0); } } } } 
BgL_test3976z00_8344 = BgL_res2376z00_2021; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3976z00_8344 = ((bool_t)0)
; } } 
if(BgL_test3976z00_8344)
{ /* Llib/ssl.scm 599 */
 bool_t BgL_test3981z00_8367;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_classz00_2022;
BgL_classz00_2022 = BGl_certificatez00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_certz00_4))
{ /* Llib/ssl.scm 599 */
 BgL_objectz00_bglt BgL_arg1827z00_2024;
BgL_arg1827z00_2024 = 
(BgL_objectz00_bglt)(BgL_certz00_4); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 599 */
 long BgL_idxz00_2030;
BgL_idxz00_2030 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_2024); 
BgL_test3981z00_8367 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2030+1L))==BgL_classz00_2022); }  else 
{ /* Llib/ssl.scm 599 */
 bool_t BgL_res2377z00_2055;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_oclassz00_2038;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1834z00_2046; long BgL_arg1835z00_2047;
BgL_arg1834z00_2046 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 599 */
 long BgL_arg1836z00_2048;
BgL_arg1836z00_2048 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_2024); 
BgL_arg1835z00_2047 = 
(BgL_arg1836z00_2048-OBJECT_TYPE); } 
BgL_oclassz00_2038 = 
VECTOR_REF(BgL_arg1834z00_2046,BgL_arg1835z00_2047); } 
{ /* Llib/ssl.scm 599 */
 bool_t BgL__ortest_1114z00_2039;
BgL__ortest_1114z00_2039 = 
(BgL_classz00_2022==BgL_oclassz00_2038); 
if(BgL__ortest_1114z00_2039)
{ /* Llib/ssl.scm 599 */
BgL_res2377z00_2055 = BgL__ortest_1114z00_2039; }  else 
{ /* Llib/ssl.scm 599 */
 long BgL_odepthz00_2040;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1824z00_2041;
BgL_arg1824z00_2041 = 
(BgL_oclassz00_2038); 
BgL_odepthz00_2040 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_2041); } 
if(
(1L<BgL_odepthz00_2040))
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1822z00_2043;
{ /* Llib/ssl.scm 599 */
 obj_t BgL_arg1823z00_2044;
BgL_arg1823z00_2044 = 
(BgL_oclassz00_2038); 
BgL_arg1822z00_2043 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_2044, 1L); } 
BgL_res2377z00_2055 = 
(BgL_arg1822z00_2043==BgL_classz00_2022); }  else 
{ /* Llib/ssl.scm 599 */
BgL_res2377z00_2055 = ((bool_t)0); } } } } 
BgL_test3981z00_8367 = BgL_res2377z00_2055; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3981z00_8367 = ((bool_t)0)
; } } 
if(BgL_test3981z00_8367)
{ /* Llib/ssl.scm 599 */
BgL_test3964z00_8296 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3964z00_8296 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 599 */
BgL_test3964z00_8296 = ((bool_t)0)
; } } } 
if(BgL_test3964z00_8296)
{ /* Llib/ssl.scm 602 */
 obj_t BgL_arg1396z00_251;
{ /* Llib/ssl.scm 602 */
 obj_t BgL_list1397z00_252;
{ /* Llib/ssl.scm 602 */
 obj_t BgL_arg1398z00_253;
BgL_arg1398z00_253 = 
MAKE_YOUNG_PAIR(BgL_certz00_4, BNIL); 
BgL_list1397z00_252 = 
MAKE_YOUNG_PAIR(BgL_pkeyz00_5, BgL_arg1398z00_253); } 
BgL_arg1396z00_251 = BgL_list1397z00_252; } 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3007z00zz__ssl_sslz00, BgL_arg1396z00_251); }  else 
{ /* Llib/ssl.scm 598 */BFALSE; } } 
{ /* Llib/ssl.scm 603 */
 bool_t BgL_test3986z00_8393;
if(
(BgL_funcz00_3==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Llib/ssl.scm 603 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_domainz00_8, 
((obj_t)
CNST_TABLE_REF(1)))))
{ /* Llib/ssl.scm 604 */
BgL_test3986z00_8393 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 604 */
BgL_test3986z00_8393 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 603 */
BgL_test3986z00_8393 = ((bool_t)0)
; } 
if(BgL_test3986z00_8393)
{ /* Llib/ssl.scm 603 */
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3008z00zz__ssl_sslz00, BgL_domainz00_8); }  else 
{ /* Llib/ssl.scm 603 */BFALSE; } } 
{ /* Llib/ssl.scm 606 */
 bool_t BgL_test3989z00_8404;
if(
(BgL_funcz00_3==
((obj_t)
CNST_TABLE_REF(2))))
{ /* Llib/ssl.scm 606 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_domainz00_8, 
((obj_t)
CNST_TABLE_REF(3)))))
{ /* Llib/ssl.scm 607 */
BgL_test3989z00_8404 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 607 */
BgL_test3989z00_8404 = ((bool_t)1)
; } }  else 
{ /* Llib/ssl.scm 606 */
BgL_test3989z00_8404 = ((bool_t)0)
; } 
if(BgL_test3989z00_8404)
{ /* Llib/ssl.scm 606 */
return 
BGl_errorz00zz__errorz00(BgL_funcz00_3, BGl_string3008z00zz__ssl_sslz00, BgL_domainz00_8);}  else 
{ /* Llib/ssl.scm 606 */
return BFALSE;} } } 

}



/* _make-ssl-client-socket */
obj_t BGl__makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_env1211z00_21, obj_t BgL_opt1210z00_20)
{
{ /* Llib/ssl.scm 613 */
{ /* Llib/ssl.scm 613 */
 long BgL_l1212z00_265;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_vectorz00_2057;
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_vectorz00_2057 = BgL_opt1210z00_20; }  else 
{ 
 obj_t BgL_auxz00_8417;
BgL_auxz00_8417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8417,BFALSE,BFALSE);} 
BgL_l1212z00_265 = 
VECTOR_LENGTH(BgL_vectorz00_2057); } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_g1226z00_269; obj_t BgL_g1227z00_270;
{ 
 obj_t BgL_auxz00_8422;
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8422 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8425;
BgL_auxz00_8425 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8425,BFALSE,BFALSE);} 
BgL_g1226z00_269 = 
VECTOR_REF(BgL_auxz00_8422,0L); } 
{ 
 obj_t BgL_auxz00_8430;
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8430 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8433;
BgL_auxz00_8433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8433,BFALSE,BFALSE);} 
BgL_g1227z00_270 = 
VECTOR_REF(BgL_auxz00_8430,1L); } 
{ /* Llib/ssl.scm 619 */
 obj_t BgL_casz00_271;
BgL_casz00_271 = BNIL; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_acceptedzd2certszd2_272;
BgL_acceptedzd2certszd2_272 = BFALSE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_certz00_273;
BgL_certz00_273 = BFALSE; 
{ /* Llib/ssl.scm 620 */
 obj_t BgL_domainz00_274;
BgL_domainz00_274 = 
((obj_t)
CNST_TABLE_REF(4)); 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_inbufz00_275;
BgL_inbufz00_275 = BTRUE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_outbufz00_276;
BgL_outbufz00_276 = BTRUE; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_pkeyz00_277;
BgL_pkeyz00_277 = BFALSE; 
{ /* Llib/ssl.scm 617 */
 obj_t BgL_protocolz00_278;
BgL_protocolz00_278 = 
((obj_t)
CNST_TABLE_REF(5)); 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_timeoutz00_279;
BgL_timeoutz00_279 = 
BINT(0L); 
{ /* Llib/ssl.scm 613 */

{ 
 long BgL_iz00_280;
BgL_iz00_280 = 2L; 
BgL_check1214z00_281:
if(
(BgL_iz00_280==BgL_l1212z00_265))
{ /* Llib/ssl.scm 613 */BNIL; }  else 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3996z00_8445;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1411z00_287;
BgL_arg1411z00_287 = 
VECTOR_REF(
((obj_t)BgL_opt1210z00_20),BgL_iz00_280); 
BgL_test3996z00_8445 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1411z00_287, 
((obj_t)
CNST_TABLE_REF(6)))); } 
if(BgL_test3996z00_8445)
{ 
 long BgL_iz00_8452;
BgL_iz00_8452 = 
(BgL_iz00_280+2L); 
BgL_iz00_280 = BgL_iz00_8452; 
goto BgL_check1214z00_281;}  else 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1410z00_286;
BgL_arg1410z00_286 = 
VECTOR_REF(
((obj_t)BgL_opt1210z00_20),BgL_iz00_280); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_string3012z00zz__ssl_sslz00, BgL_arg1410z00_286); } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1216z00_288;
BgL_index1216z00_288 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(7)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test3997z00_8462;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2072;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8463;
if(
INTEGERP(BgL_index1216z00_288))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8463 = BgL_index1216z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8466;
BgL_auxz00_8466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1216z00_288); 
FAILURE(BgL_auxz00_8466,BFALSE,BFALSE);} 
BgL_n1z00_2072 = 
(long)CINT(BgL_tmpz00_8463); } 
BgL_test3997z00_8462 = 
(BgL_n1z00_2072>=0L); } 
if(BgL_test3997z00_8462)
{ 
 long BgL_auxz00_8479; obj_t BgL_auxz00_8472;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8480;
if(
INTEGERP(BgL_index1216z00_288))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8480 = BgL_index1216z00_288
; }  else 
{ 
 obj_t BgL_auxz00_8483;
BgL_auxz00_8483 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1216z00_288); 
FAILURE(BgL_auxz00_8483,BFALSE,BFALSE);} 
BgL_auxz00_8479 = 
(long)CINT(BgL_tmpz00_8480); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8472 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8475;
BgL_auxz00_8475 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8475,BFALSE,BFALSE);} 
BgL_casz00_271 = 
VECTOR_REF(BgL_auxz00_8472,BgL_auxz00_8479); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1217z00_290;
BgL_index1217z00_290 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(8)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4001z00_8492;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2073;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8493;
if(
INTEGERP(BgL_index1217z00_290))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8493 = BgL_index1217z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8496;
BgL_auxz00_8496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1217z00_290); 
FAILURE(BgL_auxz00_8496,BFALSE,BFALSE);} 
BgL_n1z00_2073 = 
(long)CINT(BgL_tmpz00_8493); } 
BgL_test4001z00_8492 = 
(BgL_n1z00_2073>=0L); } 
if(BgL_test4001z00_8492)
{ 
 long BgL_auxz00_8509; obj_t BgL_auxz00_8502;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8510;
if(
INTEGERP(BgL_index1217z00_290))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8510 = BgL_index1217z00_290
; }  else 
{ 
 obj_t BgL_auxz00_8513;
BgL_auxz00_8513 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1217z00_290); 
FAILURE(BgL_auxz00_8513,BFALSE,BFALSE);} 
BgL_auxz00_8509 = 
(long)CINT(BgL_tmpz00_8510); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8502 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8505;
BgL_auxz00_8505 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8505,BFALSE,BFALSE);} 
BgL_acceptedzd2certszd2_272 = 
VECTOR_REF(BgL_auxz00_8502,BgL_auxz00_8509); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1218z00_292;
BgL_index1218z00_292 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(9)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4005z00_8522;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2074;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8523;
if(
INTEGERP(BgL_index1218z00_292))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8523 = BgL_index1218z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8526;
BgL_auxz00_8526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1218z00_292); 
FAILURE(BgL_auxz00_8526,BFALSE,BFALSE);} 
BgL_n1z00_2074 = 
(long)CINT(BgL_tmpz00_8523); } 
BgL_test4005z00_8522 = 
(BgL_n1z00_2074>=0L); } 
if(BgL_test4005z00_8522)
{ 
 long BgL_auxz00_8539; obj_t BgL_auxz00_8532;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8540;
if(
INTEGERP(BgL_index1218z00_292))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8540 = BgL_index1218z00_292
; }  else 
{ 
 obj_t BgL_auxz00_8543;
BgL_auxz00_8543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1218z00_292); 
FAILURE(BgL_auxz00_8543,BFALSE,BFALSE);} 
BgL_auxz00_8539 = 
(long)CINT(BgL_tmpz00_8540); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8532 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8535;
BgL_auxz00_8535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8535,BFALSE,BFALSE);} 
BgL_certz00_273 = 
VECTOR_REF(BgL_auxz00_8532,BgL_auxz00_8539); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1219z00_294;
BgL_index1219z00_294 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(10)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4009z00_8552;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2075;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8553;
if(
INTEGERP(BgL_index1219z00_294))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8553 = BgL_index1219z00_294
; }  else 
{ 
 obj_t BgL_auxz00_8556;
BgL_auxz00_8556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1219z00_294); 
FAILURE(BgL_auxz00_8556,BFALSE,BFALSE);} 
BgL_n1z00_2075 = 
(long)CINT(BgL_tmpz00_8553); } 
BgL_test4009z00_8552 = 
(BgL_n1z00_2075>=0L); } 
if(BgL_test4009z00_8552)
{ 
 long BgL_auxz00_8569; obj_t BgL_auxz00_8562;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8570;
if(
INTEGERP(BgL_index1219z00_294))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8570 = BgL_index1219z00_294
; }  else 
{ 
 obj_t BgL_auxz00_8573;
BgL_auxz00_8573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1219z00_294); 
FAILURE(BgL_auxz00_8573,BFALSE,BFALSE);} 
BgL_auxz00_8569 = 
(long)CINT(BgL_tmpz00_8570); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8562 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8565;
BgL_auxz00_8565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8565,BFALSE,BFALSE);} 
BgL_domainz00_274 = 
VECTOR_REF(BgL_auxz00_8562,BgL_auxz00_8569); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1220z00_296;
BgL_index1220z00_296 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(11)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4013z00_8582;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2076;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8583;
if(
INTEGERP(BgL_index1220z00_296))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8583 = BgL_index1220z00_296
; }  else 
{ 
 obj_t BgL_auxz00_8586;
BgL_auxz00_8586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1220z00_296); 
FAILURE(BgL_auxz00_8586,BFALSE,BFALSE);} 
BgL_n1z00_2076 = 
(long)CINT(BgL_tmpz00_8583); } 
BgL_test4013z00_8582 = 
(BgL_n1z00_2076>=0L); } 
if(BgL_test4013z00_8582)
{ 
 long BgL_auxz00_8599; obj_t BgL_auxz00_8592;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8600;
if(
INTEGERP(BgL_index1220z00_296))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8600 = BgL_index1220z00_296
; }  else 
{ 
 obj_t BgL_auxz00_8603;
BgL_auxz00_8603 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1220z00_296); 
FAILURE(BgL_auxz00_8603,BFALSE,BFALSE);} 
BgL_auxz00_8599 = 
(long)CINT(BgL_tmpz00_8600); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8592 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8595;
BgL_auxz00_8595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8595,BFALSE,BFALSE);} 
BgL_inbufz00_275 = 
VECTOR_REF(BgL_auxz00_8592,BgL_auxz00_8599); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1221z00_298;
BgL_index1221z00_298 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(12)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4017z00_8612;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2077;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8613;
if(
INTEGERP(BgL_index1221z00_298))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8613 = BgL_index1221z00_298
; }  else 
{ 
 obj_t BgL_auxz00_8616;
BgL_auxz00_8616 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1221z00_298); 
FAILURE(BgL_auxz00_8616,BFALSE,BFALSE);} 
BgL_n1z00_2077 = 
(long)CINT(BgL_tmpz00_8613); } 
BgL_test4017z00_8612 = 
(BgL_n1z00_2077>=0L); } 
if(BgL_test4017z00_8612)
{ 
 long BgL_auxz00_8629; obj_t BgL_auxz00_8622;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8630;
if(
INTEGERP(BgL_index1221z00_298))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8630 = BgL_index1221z00_298
; }  else 
{ 
 obj_t BgL_auxz00_8633;
BgL_auxz00_8633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1221z00_298); 
FAILURE(BgL_auxz00_8633,BFALSE,BFALSE);} 
BgL_auxz00_8629 = 
(long)CINT(BgL_tmpz00_8630); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8622 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8625;
BgL_auxz00_8625 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8625,BFALSE,BFALSE);} 
BgL_outbufz00_276 = 
VECTOR_REF(BgL_auxz00_8622,BgL_auxz00_8629); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1222z00_300;
BgL_index1222z00_300 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(13)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4021z00_8642;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2078;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8643;
if(
INTEGERP(BgL_index1222z00_300))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8643 = BgL_index1222z00_300
; }  else 
{ 
 obj_t BgL_auxz00_8646;
BgL_auxz00_8646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1222z00_300); 
FAILURE(BgL_auxz00_8646,BFALSE,BFALSE);} 
BgL_n1z00_2078 = 
(long)CINT(BgL_tmpz00_8643); } 
BgL_test4021z00_8642 = 
(BgL_n1z00_2078>=0L); } 
if(BgL_test4021z00_8642)
{ 
 long BgL_auxz00_8659; obj_t BgL_auxz00_8652;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8660;
if(
INTEGERP(BgL_index1222z00_300))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8660 = BgL_index1222z00_300
; }  else 
{ 
 obj_t BgL_auxz00_8663;
BgL_auxz00_8663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1222z00_300); 
FAILURE(BgL_auxz00_8663,BFALSE,BFALSE);} 
BgL_auxz00_8659 = 
(long)CINT(BgL_tmpz00_8660); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8652 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8655;
BgL_auxz00_8655 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8655,BFALSE,BFALSE);} 
BgL_pkeyz00_277 = 
VECTOR_REF(BgL_auxz00_8652,BgL_auxz00_8659); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1223z00_302;
BgL_index1223z00_302 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(14)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4025z00_8672;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2079;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8673;
if(
INTEGERP(BgL_index1223z00_302))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8673 = BgL_index1223z00_302
; }  else 
{ 
 obj_t BgL_auxz00_8676;
BgL_auxz00_8676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1223z00_302); 
FAILURE(BgL_auxz00_8676,BFALSE,BFALSE);} 
BgL_n1z00_2079 = 
(long)CINT(BgL_tmpz00_8673); } 
BgL_test4025z00_8672 = 
(BgL_n1z00_2079>=0L); } 
if(BgL_test4025z00_8672)
{ 
 long BgL_auxz00_8689; obj_t BgL_auxz00_8682;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8690;
if(
INTEGERP(BgL_index1223z00_302))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8690 = BgL_index1223z00_302
; }  else 
{ 
 obj_t BgL_auxz00_8693;
BgL_auxz00_8693 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1223z00_302); 
FAILURE(BgL_auxz00_8693,BFALSE,BFALSE);} 
BgL_auxz00_8689 = 
(long)CINT(BgL_tmpz00_8690); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8682 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8685;
BgL_auxz00_8685 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8685,BFALSE,BFALSE);} 
BgL_protocolz00_278 = 
VECTOR_REF(BgL_auxz00_8682,BgL_auxz00_8689); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_index1224z00_304;
BgL_index1224z00_304 = 
BGl_search1213ze70ze7zz__ssl_sslz00(BgL_l1212z00_265, BgL_opt1210z00_20, 
((obj_t)
CNST_TABLE_REF(15)), 2L); 
{ /* Llib/ssl.scm 613 */
 bool_t BgL_test4029z00_8702;
{ /* Llib/ssl.scm 613 */
 long BgL_n1z00_2080;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8703;
if(
INTEGERP(BgL_index1224z00_304))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8703 = BgL_index1224z00_304
; }  else 
{ 
 obj_t BgL_auxz00_8706;
BgL_auxz00_8706 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1224z00_304); 
FAILURE(BgL_auxz00_8706,BFALSE,BFALSE);} 
BgL_n1z00_2080 = 
(long)CINT(BgL_tmpz00_8703); } 
BgL_test4029z00_8702 = 
(BgL_n1z00_2080>=0L); } 
if(BgL_test4029z00_8702)
{ 
 long BgL_auxz00_8719; obj_t BgL_auxz00_8712;
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8720;
if(
INTEGERP(BgL_index1224z00_304))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8720 = BgL_index1224z00_304
; }  else 
{ 
 obj_t BgL_auxz00_8723;
BgL_auxz00_8723 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1224z00_304); 
FAILURE(BgL_auxz00_8723,BFALSE,BFALSE);} 
BgL_auxz00_8719 = 
(long)CINT(BgL_tmpz00_8720); } 
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8712 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8715;
BgL_auxz00_8715 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8715,BFALSE,BFALSE);} 
BgL_timeoutz00_279 = 
VECTOR_REF(BgL_auxz00_8712,BgL_auxz00_8719); }  else 
{ /* Llib/ssl.scm 613 */BFALSE; } } } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_arg1445z00_306; obj_t BgL_arg1446z00_307;
{ 
 obj_t BgL_auxz00_8729;
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8729 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8732;
BgL_auxz00_8732 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8732,BFALSE,BFALSE);} 
BgL_arg1445z00_306 = 
VECTOR_REF(BgL_auxz00_8729,0L); } 
{ 
 obj_t BgL_auxz00_8737;
if(
VECTORP(BgL_opt1210z00_20))
{ /* Llib/ssl.scm 613 */
BgL_auxz00_8737 = BgL_opt1210z00_20
; }  else 
{ 
 obj_t BgL_auxz00_8740;
BgL_auxz00_8740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1210z00_20); 
FAILURE(BgL_auxz00_8740,BFALSE,BFALSE);} 
BgL_arg1446z00_307 = 
VECTOR_REF(BgL_auxz00_8737,1L); } 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_casz00_308;
BgL_casz00_308 = BgL_casz00_271; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_acceptedzd2certszd2_309;
BgL_acceptedzd2certszd2_309 = BgL_acceptedzd2certszd2_272; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_certz00_310;
BgL_certz00_310 = BgL_certz00_273; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_domainz00_311;
BgL_domainz00_311 = BgL_domainz00_274; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_inbufz00_312;
BgL_inbufz00_312 = BgL_inbufz00_275; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_outbufz00_313;
BgL_outbufz00_313 = BgL_outbufz00_276; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_pkeyz00_314;
BgL_pkeyz00_314 = BgL_pkeyz00_277; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_protocolz00_315;
BgL_protocolz00_315 = BgL_protocolz00_278; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_timeoutz00_316;
BgL_timeoutz00_316 = BgL_timeoutz00_279; 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_hostnamez00_2081; int BgL_portz00_2082;
if(
STRINGP(BgL_arg1445z00_306))
{ /* Llib/ssl.scm 613 */
BgL_hostnamez00_2081 = BgL_arg1445z00_306; }  else 
{ 
 obj_t BgL_auxz00_8747;
BgL_auxz00_8747 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_arg1445z00_306); 
FAILURE(BgL_auxz00_8747,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_tmpz00_8751;
if(
INTEGERP(BgL_arg1446z00_307))
{ /* Llib/ssl.scm 613 */
BgL_tmpz00_8751 = BgL_arg1446z00_307
; }  else 
{ 
 obj_t BgL_auxz00_8754;
BgL_auxz00_8754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25138L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_arg1446z00_307); 
FAILURE(BgL_auxz00_8754,BFALSE,BFALSE);} 
BgL_portz00_2082 = 
CINT(BgL_tmpz00_8751); } 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
((obj_t)
CNST_TABLE_REF(0)), BgL_certz00_310, BgL_pkeyz00_314, BgL_casz00_308, BgL_acceptedzd2certszd2_309, BgL_domainz00_311); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_arg1582z00_2083; obj_t BgL_arg1583z00_2084; obj_t BgL_arg1596z00_2085;
BgL_arg1582z00_2083 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_315); 
BgL_arg1583z00_2084 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
((obj_t)
CNST_TABLE_REF(0)), BgL_inbufz00_312, 
(int)(default_io_bufsiz)); 
BgL_arg1596z00_2085 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
((obj_t)
CNST_TABLE_REF(0)), BgL_outbufz00_313, 
(int)(default_io_bufsiz)); 
{ /* Llib/ssl.scm 623 */
 obj_t BgL_auxz00_8797; obj_t BgL_auxz00_8790; int BgL_auxz00_8781; int BgL_tmpz00_8772;
if(
SYMBOLP(BgL_domainz00_311))
{ /* Llib/ssl.scm 633 */
BgL_auxz00_8797 = BgL_domainz00_311
; }  else 
{ 
 obj_t BgL_auxz00_8800;
BgL_auxz00_8800 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25742L), BGl_string3010z00zz__ssl_sslz00, BGl_string3016z00zz__ssl_sslz00, BgL_domainz00_311); 
FAILURE(BgL_auxz00_8800,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_308))
{ /* Llib/ssl.scm 626 */
BgL_auxz00_8790 = BgL_casz00_308
; }  else 
{ 
 obj_t BgL_auxz00_8793;
BgL_auxz00_8793 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25560L), BGl_string3010z00zz__ssl_sslz00, BGl_string3015z00zz__ssl_sslz00, BgL_casz00_308); 
FAILURE(BgL_auxz00_8793,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_tmpz00_8782;
if(
INTEGERP(BgL_arg1582z00_2083))
{ /* Llib/ssl.scm 624 */
BgL_tmpz00_8782 = BgL_arg1582z00_2083
; }  else 
{ 
 obj_t BgL_auxz00_8785;
BgL_auxz00_8785 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25536L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_arg1582z00_2083); 
FAILURE(BgL_auxz00_8785,BFALSE,BFALSE);} 
BgL_auxz00_8781 = 
CINT(BgL_tmpz00_8782); } 
{ /* Llib/ssl.scm 623 */
 obj_t BgL_tmpz00_8773;
if(
INTEGERP(BgL_timeoutz00_316))
{ /* Llib/ssl.scm 623 */
BgL_tmpz00_8773 = BgL_timeoutz00_316
; }  else 
{ 
 obj_t BgL_auxz00_8776;
BgL_auxz00_8776 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25490L), BGl_string3010z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_timeoutz00_316); 
FAILURE(BgL_auxz00_8776,BFALSE,BFALSE);} 
BgL_tmpz00_8772 = 
CINT(BgL_tmpz00_8773); } 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_2081, BgL_portz00_2082, BgL_tmpz00_8772, BgL_auxz00_8781, BgL_certz00_310, BgL_pkeyz00_314, BgL_auxz00_8790, BgL_acceptedzd2certszd2_309, BgL_arg1583z00_2084, BgL_arg1596z00_2085, BgL_auxz00_8797);} } } } } } } } } } } } } } } } } } } } } } } } } } 

}



/* search1213~0 */
obj_t BGl_search1213ze70ze7zz__ssl_sslz00(long BgL_l1212z00_5043, obj_t BgL_opt1210z00_5042, obj_t BgL_k1z00_266, long BgL_iz00_267)
{
{ /* Llib/ssl.scm 613 */
BGl_search1213ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_267==BgL_l1212z00_5043))
{ /* Llib/ssl.scm 613 */
return 
BINT((-1L));}  else 
{ /* Llib/ssl.scm 613 */
if(
(BgL_iz00_267==
(BgL_l1212z00_5043-1L)))
{ /* Llib/ssl.scm 613 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(0)), BGl_string3017z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1210z00_5042)));}  else 
{ /* Llib/ssl.scm 613 */
 obj_t BgL_vz00_321;
BgL_vz00_321 = 
VECTOR_REF(BgL_opt1210z00_5042,BgL_iz00_267); 
if(
(BgL_vz00_321==BgL_k1z00_266))
{ /* Llib/ssl.scm 613 */
return 
BINT(
(BgL_iz00_267+1L));}  else 
{ 
 long BgL_iz00_8821;
BgL_iz00_8821 = 
(BgL_iz00_267+2L); 
BgL_iz00_267 = BgL_iz00_8821; 
goto BGl_search1213ze70ze7zz__ssl_sslz00;} } } } 

}



/* make-ssl-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2clientzd2socketzd2zz__ssl_sslz00(obj_t BgL_hostnamez00_9, int BgL_portz00_10, obj_t BgL_casz00_11, obj_t BgL_acceptedzd2certszd2_12, obj_t BgL_certz00_13, obj_t BgL_domainz00_14, obj_t BgL_inbufz00_15, obj_t BgL_outbufz00_16, obj_t BgL_pkeyz00_17, obj_t BgL_protocolz00_18, obj_t BgL_timeoutz00_19)
{
{ /* Llib/ssl.scm 613 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
((obj_t)
CNST_TABLE_REF(0)), BgL_certz00_13, BgL_pkeyz00_17, BgL_casz00_11, BgL_acceptedzd2certszd2_12, BgL_domainz00_14); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 624 */
 obj_t BgL_arg1582z00_2086; obj_t BgL_arg1583z00_2087; obj_t BgL_arg1596z00_2088;
BgL_arg1582z00_2086 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_18); 
BgL_arg1583z00_2087 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
((obj_t)
CNST_TABLE_REF(0)), BgL_inbufz00_15, 
(int)(default_io_bufsiz)); 
BgL_arg1596z00_2088 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(
((obj_t)
CNST_TABLE_REF(0)), BgL_outbufz00_16, 
(int)(default_io_bufsiz)); 
return 
bgl_make_ssl_client_socket(BgL_hostnamez00_9, BgL_portz00_10, 
CINT(BgL_timeoutz00_19), 
CINT(BgL_arg1582z00_2086), BgL_certz00_13, BgL_pkeyz00_17, BgL_casz00_11, BgL_acceptedzd2certszd2_12, BgL_arg1583z00_2087, BgL_arg1596z00_2088, BgL_domainz00_14);} } 

}



/* _client-socket-use-ssl! */
obj_t BGl__clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_env1229z00_29, obj_t BgL_opt1228z00_28)
{
{ /* Llib/ssl.scm 638 */
{ /* Llib/ssl.scm 638 */
 long BgL_l1230z00_327;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_vectorz00_2089;
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_vectorz00_2089 = BgL_opt1228z00_28; }  else 
{ 
 obj_t BgL_auxz00_8841;
BgL_auxz00_8841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8841,BFALSE,BFALSE);} 
BgL_l1230z00_327 = 
VECTOR_LENGTH(BgL_vectorz00_2089); } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_g1239z00_331;
{ 
 obj_t BgL_auxz00_8846;
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8846 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_8849;
BgL_auxz00_8849 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8849,BFALSE,BFALSE);} 
BgL_g1239z00_331 = 
VECTOR_REF(BgL_auxz00_8846,0L); } 
{ /* Llib/ssl.scm 641 */
 obj_t BgL_casz00_332;
BgL_casz00_332 = BNIL; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_acceptedzd2certszd2_333;
BgL_acceptedzd2certszd2_333 = BFALSE; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_certz00_334;
BgL_certz00_334 = BFALSE; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_pkeyz00_335;
BgL_pkeyz00_335 = BFALSE; 
{ /* Llib/ssl.scm 639 */
 obj_t BgL_protocolz00_336;
BgL_protocolz00_336 = 
((obj_t)
CNST_TABLE_REF(5)); 
{ /* Llib/ssl.scm 638 */

{ 
 long BgL_iz00_337;
BgL_iz00_337 = 1L; 
BgL_check1232z00_338:
if(
(BgL_iz00_337==BgL_l1230z00_327))
{ /* Llib/ssl.scm 638 */BNIL; }  else 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4047z00_8858;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1616z00_344;
BgL_arg1616z00_344 = 
VECTOR_REF(
((obj_t)BgL_opt1228z00_28),BgL_iz00_337); 
BgL_test4047z00_8858 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1616z00_344, 
((obj_t)
CNST_TABLE_REF(16)))); } 
if(BgL_test4047z00_8858)
{ 
 long BgL_iz00_8865;
BgL_iz00_8865 = 
(BgL_iz00_337+2L); 
BgL_iz00_337 = BgL_iz00_8865; 
goto BgL_check1232z00_338;}  else 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1611z00_343;
BgL_arg1611z00_343 = 
VECTOR_REF(
((obj_t)BgL_opt1228z00_28),BgL_iz00_337); 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(17)), BGl_string3012z00zz__ssl_sslz00, BgL_arg1611z00_343); } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1234z00_345;
BgL_index1234z00_345 = 
BGl_search1231ze70ze7zz__ssl_sslz00(BgL_l1230z00_327, BgL_opt1228z00_28, 
((obj_t)
CNST_TABLE_REF(7)), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4048z00_8875;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2104;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8876;
if(
INTEGERP(BgL_index1234z00_345))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8876 = BgL_index1234z00_345
; }  else 
{ 
 obj_t BgL_auxz00_8879;
BgL_auxz00_8879 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1234z00_345); 
FAILURE(BgL_auxz00_8879,BFALSE,BFALSE);} 
BgL_n1z00_2104 = 
(long)CINT(BgL_tmpz00_8876); } 
BgL_test4048z00_8875 = 
(BgL_n1z00_2104>=0L); } 
if(BgL_test4048z00_8875)
{ 
 long BgL_auxz00_8892; obj_t BgL_auxz00_8885;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8893;
if(
INTEGERP(BgL_index1234z00_345))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8893 = BgL_index1234z00_345
; }  else 
{ 
 obj_t BgL_auxz00_8896;
BgL_auxz00_8896 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1234z00_345); 
FAILURE(BgL_auxz00_8896,BFALSE,BFALSE);} 
BgL_auxz00_8892 = 
(long)CINT(BgL_tmpz00_8893); } 
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8885 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_8888;
BgL_auxz00_8888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8888,BFALSE,BFALSE);} 
BgL_casz00_332 = 
VECTOR_REF(BgL_auxz00_8885,BgL_auxz00_8892); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1235z00_347;
BgL_index1235z00_347 = 
BGl_search1231ze70ze7zz__ssl_sslz00(BgL_l1230z00_327, BgL_opt1228z00_28, 
((obj_t)
CNST_TABLE_REF(8)), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4052z00_8905;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2105;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8906;
if(
INTEGERP(BgL_index1235z00_347))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8906 = BgL_index1235z00_347
; }  else 
{ 
 obj_t BgL_auxz00_8909;
BgL_auxz00_8909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1235z00_347); 
FAILURE(BgL_auxz00_8909,BFALSE,BFALSE);} 
BgL_n1z00_2105 = 
(long)CINT(BgL_tmpz00_8906); } 
BgL_test4052z00_8905 = 
(BgL_n1z00_2105>=0L); } 
if(BgL_test4052z00_8905)
{ 
 long BgL_auxz00_8922; obj_t BgL_auxz00_8915;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8923;
if(
INTEGERP(BgL_index1235z00_347))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8923 = BgL_index1235z00_347
; }  else 
{ 
 obj_t BgL_auxz00_8926;
BgL_auxz00_8926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1235z00_347); 
FAILURE(BgL_auxz00_8926,BFALSE,BFALSE);} 
BgL_auxz00_8922 = 
(long)CINT(BgL_tmpz00_8923); } 
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8915 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_8918;
BgL_auxz00_8918 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8918,BFALSE,BFALSE);} 
BgL_acceptedzd2certszd2_333 = 
VECTOR_REF(BgL_auxz00_8915,BgL_auxz00_8922); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1236z00_349;
BgL_index1236z00_349 = 
BGl_search1231ze70ze7zz__ssl_sslz00(BgL_l1230z00_327, BgL_opt1228z00_28, 
((obj_t)
CNST_TABLE_REF(9)), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4056z00_8935;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2106;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8936;
if(
INTEGERP(BgL_index1236z00_349))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8936 = BgL_index1236z00_349
; }  else 
{ 
 obj_t BgL_auxz00_8939;
BgL_auxz00_8939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1236z00_349); 
FAILURE(BgL_auxz00_8939,BFALSE,BFALSE);} 
BgL_n1z00_2106 = 
(long)CINT(BgL_tmpz00_8936); } 
BgL_test4056z00_8935 = 
(BgL_n1z00_2106>=0L); } 
if(BgL_test4056z00_8935)
{ 
 long BgL_auxz00_8952; obj_t BgL_auxz00_8945;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8953;
if(
INTEGERP(BgL_index1236z00_349))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8953 = BgL_index1236z00_349
; }  else 
{ 
 obj_t BgL_auxz00_8956;
BgL_auxz00_8956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1236z00_349); 
FAILURE(BgL_auxz00_8956,BFALSE,BFALSE);} 
BgL_auxz00_8952 = 
(long)CINT(BgL_tmpz00_8953); } 
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8945 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_8948;
BgL_auxz00_8948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8948,BFALSE,BFALSE);} 
BgL_certz00_334 = 
VECTOR_REF(BgL_auxz00_8945,BgL_auxz00_8952); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1237z00_351;
BgL_index1237z00_351 = 
BGl_search1231ze70ze7zz__ssl_sslz00(BgL_l1230z00_327, BgL_opt1228z00_28, 
((obj_t)
CNST_TABLE_REF(13)), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4060z00_8965;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2107;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8966;
if(
INTEGERP(BgL_index1237z00_351))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8966 = BgL_index1237z00_351
; }  else 
{ 
 obj_t BgL_auxz00_8969;
BgL_auxz00_8969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1237z00_351); 
FAILURE(BgL_auxz00_8969,BFALSE,BFALSE);} 
BgL_n1z00_2107 = 
(long)CINT(BgL_tmpz00_8966); } 
BgL_test4060z00_8965 = 
(BgL_n1z00_2107>=0L); } 
if(BgL_test4060z00_8965)
{ 
 long BgL_auxz00_8982; obj_t BgL_auxz00_8975;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8983;
if(
INTEGERP(BgL_index1237z00_351))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8983 = BgL_index1237z00_351
; }  else 
{ 
 obj_t BgL_auxz00_8986;
BgL_auxz00_8986 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1237z00_351); 
FAILURE(BgL_auxz00_8986,BFALSE,BFALSE);} 
BgL_auxz00_8982 = 
(long)CINT(BgL_tmpz00_8983); } 
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_8975 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_8978;
BgL_auxz00_8978 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_8978,BFALSE,BFALSE);} 
BgL_pkeyz00_335 = 
VECTOR_REF(BgL_auxz00_8975,BgL_auxz00_8982); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_index1238z00_353;
BgL_index1238z00_353 = 
BGl_search1231ze70ze7zz__ssl_sslz00(BgL_l1230z00_327, BgL_opt1228z00_28, 
((obj_t)
CNST_TABLE_REF(14)), 1L); 
{ /* Llib/ssl.scm 638 */
 bool_t BgL_test4064z00_8995;
{ /* Llib/ssl.scm 638 */
 long BgL_n1z00_2108;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_8996;
if(
INTEGERP(BgL_index1238z00_353))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_8996 = BgL_index1238z00_353
; }  else 
{ 
 obj_t BgL_auxz00_8999;
BgL_auxz00_8999 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1238z00_353); 
FAILURE(BgL_auxz00_8999,BFALSE,BFALSE);} 
BgL_n1z00_2108 = 
(long)CINT(BgL_tmpz00_8996); } 
BgL_test4064z00_8995 = 
(BgL_n1z00_2108>=0L); } 
if(BgL_test4064z00_8995)
{ 
 long BgL_auxz00_9012; obj_t BgL_auxz00_9005;
{ /* Llib/ssl.scm 638 */
 obj_t BgL_tmpz00_9013;
if(
INTEGERP(BgL_index1238z00_353))
{ /* Llib/ssl.scm 638 */
BgL_tmpz00_9013 = BgL_index1238z00_353
; }  else 
{ 
 obj_t BgL_auxz00_9016;
BgL_auxz00_9016 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_index1238z00_353); 
FAILURE(BgL_auxz00_9016,BFALSE,BFALSE);} 
BgL_auxz00_9012 = 
(long)CINT(BgL_tmpz00_9013); } 
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_9005 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_9008;
BgL_auxz00_9008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_9008,BFALSE,BFALSE);} 
BgL_protocolz00_336 = 
VECTOR_REF(BgL_auxz00_9005,BgL_auxz00_9012); }  else 
{ /* Llib/ssl.scm 638 */BFALSE; } } } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_arg1632z00_355;
{ 
 obj_t BgL_auxz00_9022;
if(
VECTORP(BgL_opt1228z00_28))
{ /* Llib/ssl.scm 638 */
BgL_auxz00_9022 = BgL_opt1228z00_28
; }  else 
{ 
 obj_t BgL_auxz00_9025;
BgL_auxz00_9025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1228z00_28); 
FAILURE(BgL_auxz00_9025,BFALSE,BFALSE);} 
BgL_arg1632z00_355 = 
VECTOR_REF(BgL_auxz00_9022,0L); } 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_casz00_356;
BgL_casz00_356 = BgL_casz00_332; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_acceptedzd2certszd2_357;
BgL_acceptedzd2certszd2_357 = BgL_acceptedzd2certszd2_333; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_certz00_358;
BgL_certz00_358 = BgL_certz00_334; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_pkeyz00_359;
BgL_pkeyz00_359 = BgL_pkeyz00_335; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_protocolz00_360;
BgL_protocolz00_360 = BgL_protocolz00_336; 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_sz00_2109;
if(
SOCKETP(BgL_arg1632z00_355))
{ /* Llib/ssl.scm 638 */
BgL_sz00_2109 = BgL_arg1632z00_355; }  else 
{ 
 obj_t BgL_auxz00_9032;
BgL_auxz00_9032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(25974L), BGl_string3018z00zz__ssl_sslz00, BGl_string3019z00zz__ssl_sslz00, BgL_arg1632z00_355); 
FAILURE(BgL_auxz00_9032,BFALSE,BFALSE);} 
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
((obj_t)
CNST_TABLE_REF(17)), BgL_certz00_358, BgL_pkeyz00_359, BgL_casz00_356, BgL_acceptedzd2certszd2_357, 
((obj_t)
CNST_TABLE_REF(18))); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_arg1654z00_2110;
BgL_arg1654z00_2110 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_360); 
{ /* Llib/ssl.scm 644 */
 obj_t BgL_auxz00_9052; int BgL_tmpz00_9043;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_casz00_356))
{ /* Llib/ssl.scm 647 */
BgL_auxz00_9052 = BgL_casz00_356
; }  else 
{ 
 obj_t BgL_auxz00_9055;
BgL_auxz00_9055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(26296L), BGl_string3018z00zz__ssl_sslz00, BGl_string3015z00zz__ssl_sslz00, BgL_casz00_356); 
FAILURE(BgL_auxz00_9055,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_tmpz00_9044;
if(
INTEGERP(BgL_arg1654z00_2110))
{ /* Llib/ssl.scm 645 */
BgL_tmpz00_9044 = BgL_arg1654z00_2110
; }  else 
{ 
 obj_t BgL_auxz00_9047;
BgL_auxz00_9047 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(26272L), BGl_string3018z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_arg1654z00_2110); 
FAILURE(BgL_auxz00_9047,BFALSE,BFALSE);} 
BgL_tmpz00_9043 = 
CINT(BgL_tmpz00_9044); } 
return 
bgl_client_socket_use_ssl(BgL_sz00_2109, BgL_tmpz00_9043, BgL_certz00_358, BgL_pkeyz00_359, BgL_auxz00_9052, BgL_acceptedzd2certszd2_357);} } } } } } } } } } } } } } } } } } 

}



/* search1231~0 */
obj_t BGl_search1231ze70ze7zz__ssl_sslz00(long BgL_l1230z00_5041, obj_t BgL_opt1228z00_5040, obj_t BgL_k1z00_328, long BgL_iz00_329)
{
{ /* Llib/ssl.scm 638 */
BGl_search1231ze70ze7zz__ssl_sslz00:
if(
(BgL_iz00_329==BgL_l1230z00_5041))
{ /* Llib/ssl.scm 638 */
return 
BINT((-1L));}  else 
{ /* Llib/ssl.scm 638 */
if(
(BgL_iz00_329==
(BgL_l1230z00_5041-1L)))
{ /* Llib/ssl.scm 638 */
return 
BGl_errorz00zz__errorz00(
((obj_t)
CNST_TABLE_REF(17)), BGl_string3020z00zz__ssl_sslz00, 
BINT(
VECTOR_LENGTH(BgL_opt1228z00_5040)));}  else 
{ /* Llib/ssl.scm 638 */
 obj_t BgL_vz00_365;
BgL_vz00_365 = 
VECTOR_REF(BgL_opt1228z00_5040,BgL_iz00_329); 
if(
(BgL_vz00_365==BgL_k1z00_328))
{ /* Llib/ssl.scm 638 */
return 
BINT(
(BgL_iz00_329+1L));}  else 
{ 
 long BgL_iz00_9076;
BgL_iz00_9076 = 
(BgL_iz00_329+2L); 
BgL_iz00_329 = BgL_iz00_9076; 
goto BGl_search1231ze70ze7zz__ssl_sslz00;} } } } 

}



/* client-socket-use-ssl! */
BGL_EXPORTED_DEF obj_t BGl_clientzd2socketzd2usezd2sslz12zc0zz__ssl_sslz00(obj_t BgL_sz00_22, obj_t BgL_casz00_23, obj_t BgL_acceptedzd2certszd2_24, obj_t BgL_certz00_25, obj_t BgL_pkeyz00_26, obj_t BgL_protocolz00_27)
{
{ /* Llib/ssl.scm 638 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
((obj_t)
CNST_TABLE_REF(17)), BgL_certz00_25, BgL_pkeyz00_26, BgL_casz00_23, BgL_acceptedzd2certszd2_24, 
((obj_t)
CNST_TABLE_REF(18))); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 645 */
 obj_t BgL_arg1654z00_2111;
BgL_arg1654z00_2111 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_27); 
return 
bgl_client_socket_use_ssl(BgL_sz00_22, 
CINT(BgL_arg1654z00_2111), BgL_certz00_25, BgL_pkeyz00_26, BgL_casz00_23, BgL_acceptedzd2certszd2_24);} } 

}



/* ssl-socket? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2socketzf3z21zz__ssl_sslz00(obj_t BgL_objz00_30)
{
{ /* Llib/ssl.scm 652 */
BGL_TAIL return 
bgl_ssl_socketp(BgL_objz00_30);} 

}



/* &ssl-socket? */
obj_t BGl_z62sslzd2socketzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4039, obj_t BgL_objz00_4040)
{
{ /* Llib/ssl.scm 652 */
return 
BBOOL(
BGl_sslzd2socketzf3z21zz__ssl_sslz00(BgL_objz00_4040));} 

}



/* make-ssl-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(obj_t BgL_portz00_31)
{
{ /* Llib/ssl.scm 660 */
{ /* Llib/ssl.scm 337 */
 obj_t BgL_dsssl1240z00_369;
BgL_dsssl1240z00_369 = BgL_portz00_31; 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_portz00_370;
{ /* Llib/ssl.scm 337 */
 bool_t BgL_test4075z00_9090;
if(
NULLP(BgL_dsssl1240z00_369))
{ /* Llib/ssl.scm 337 */
BgL_test4075z00_9090 = ((bool_t)1)
; }  else 
{ /* Llib/ssl.scm 337 */
BgL_test4075z00_9090 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_dsssl1240z00_369), 
((obj_t)
CNST_TABLE_REF(19))))
; } 
if(BgL_test4075z00_9090)
{ /* Llib/ssl.scm 337 */
BgL_portz00_370 = 
BINT(0L); }  else 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_tmp1241z00_396;
BgL_tmp1241z00_396 = 
CAR(BgL_dsssl1240z00_369); 
BgL_dsssl1240z00_369 = 
CDR(BgL_dsssl1240z00_369); 
BgL_portz00_370 = BgL_tmp1241z00_396; } } 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_namez00_371;
BgL_namez00_371 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(20)), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_protocolz00_372;
BgL_protocolz00_372 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(14)), 
((obj_t)
CNST_TABLE_REF(5))); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_certz00_373;
BgL_certz00_373 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(9)), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_pkeyz00_374;
BgL_pkeyz00_374 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(13)), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_casz00_375;
BgL_casz00_375 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(7)), BNIL); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_acceptedzd2certszd2_376;
BgL_acceptedzd2certszd2_376 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(8)), BFALSE); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_backlogz00_377;
BgL_backlogz00_377 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(21)), 
BINT(5L)); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_domainz00_378;
BgL_domainz00_378 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(10)), 
((obj_t)
CNST_TABLE_REF(4))); 
if(
NULLP(
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(19)))))
{ /* Llib/ssl.scm 337 */
BGl_sanityzd2argszd2checksz00zz__ssl_sslz00(
((obj_t)
CNST_TABLE_REF(2)), BgL_certz00_373, BgL_pkeyz00_374, BgL_casz00_375, BgL_acceptedzd2certszd2_376, BgL_domainz00_378); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/ssl.scm 668 */
 obj_t BgL_arg1691z00_381;
BgL_arg1691z00_381 = 
BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(BgL_protocolz00_372); 
return 
bgl_make_ssl_server_socket(BgL_namez00_371, 
CINT(BgL_portz00_370), 
CINT(BgL_arg1691z00_381), BgL_certz00_373, BgL_pkeyz00_374, BgL_casz00_375, BgL_acceptedzd2certszd2_376, 
CINT(BgL_backlogz00_377), BgL_domainz00_378);} }  else 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1692z00_382;
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1698z00_383;
{ /* Llib/ssl.scm 337 */
 obj_t BgL_arg1707z00_386;
BgL_arg1707z00_386 = 
BGl_dssslzd2getzd2keyzd2restzd2argz00zz__dssslz00(BgL_dsssl1240z00_369, 
((obj_t)
CNST_TABLE_REF(19))); 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1708z00_387;
BgL_list1708z00_387 = 
MAKE_YOUNG_PAIR(BgL_arg1707z00_386, BNIL); 
BgL_arg1698z00_383 = 
BGl_mapz00zz__r4_control_features_6_9z00(BGl_proc3021z00zz__ssl_sslz00, BgL_list1708z00_387); } } 
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1699z00_384;
BgL_list1699z00_384 = 
MAKE_YOUNG_PAIR(BgL_arg1698z00_383, BNIL); 
BgL_arg1692z00_382 = 
BGl_applyz00zz__r4_control_features_6_9z00(BGl_stringzd2appendzd2envz00zz__r4_strings_6_7z00, BGl_string3022z00zz__ssl_sslz00, BgL_list1699z00_384); } } 
return 
BGl_errorz00zz__errorz00(BGl_string3023z00zz__ssl_sslz00, BgL_arg1692z00_382, BgL_dsssl1240z00_369);} } } } } } } } } } } } 

}



/* &make-ssl-server-socket */
obj_t BGl_z62makezd2sslzd2serverzd2socketzb0zz__ssl_sslz00(obj_t BgL_envz00_4042, obj_t BgL_portz00_4043)
{
{ /* Llib/ssl.scm 660 */
return 
BGl_makezd2sslzd2serverzd2socketzd2zz__ssl_sslz00(BgL_portz00_4043);} 

}



/* &<@anonymous:1709> */
obj_t BGl_z62zc3z04anonymousza31709ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4044, obj_t BgL_vz00_4045)
{
{ /* Llib/ssl.scm 337 */
{ /* Llib/ssl.scm 337 */
 obj_t BgL_list1710z00_5522;
BgL_list1710z00_5522 = 
MAKE_YOUNG_PAIR(BgL_vz00_4045, BNIL); 
return 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3024z00zz__ssl_sslz00, BgL_list1710z00_5522);} } 

}



/* ssl-protocols->integer */
obj_t BGl_sslzd2protocolszd2ze3integerze3zz__ssl_sslz00(obj_t BgL_protocolz00_32)
{
{ /* Llib/ssl.scm 675 */
{ /* Llib/ssl.scm 676 */
 obj_t BgL_casezd2valuezd2_399;
{ /* Llib/ssl.scm 676 */
 obj_t BgL_arg1732z00_414;
{ /* Llib/ssl.scm 676 */
 obj_t BgL_arg1737z00_415;
BgL_arg1737z00_415 = 
SYMBOL_TO_STRING(
((obj_t)BgL_protocolz00_32)); 
BgL_arg1732z00_414 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1737z00_415); } 
BgL_casezd2valuezd2_399 = 
bstring_to_symbol(BgL_arg1732z00_414); } 
if(
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(22))))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV2);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(23))))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV3);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test4080z00_9169;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1122z00_413;
BgL__ortest_1122z00_413 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(24))); 
if(BgL__ortest_1122z00_413)
{ /* Llib/ssl.scm 676 */
BgL_test4080z00_9169 = BgL__ortest_1122z00_413
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test4080z00_9169 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(5)))
; } } 
if(BgL_test4080z00_9169)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_SSLV23);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test4082z00_9178;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1123z00_412;
BgL__ortest_1123z00_412 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(25))); 
if(BgL__ortest_1123z00_412)
{ /* Llib/ssl.scm 676 */
BgL_test4082z00_9178 = BgL__ortest_1123z00_412
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test4082z00_9178 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(26)))
; } } 
if(BgL_test4082z00_9178)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(27))))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_1);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(28))))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_2);}  else 
{ /* Llib/ssl.scm 676 */
if(
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(29))))
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_TLSV1_3);}  else 
{ /* Llib/ssl.scm 676 */
 bool_t BgL_test4087z00_9202;
{ /* Llib/ssl.scm 676 */
 bool_t BgL__ortest_1124z00_411;
BgL__ortest_1124z00_411 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(30))); 
if(BgL__ortest_1124z00_411)
{ /* Llib/ssl.scm 676 */
BgL_test4087z00_9202 = BgL__ortest_1124z00_411
; }  else 
{ /* Llib/ssl.scm 676 */
BgL_test4087z00_9202 = 
(BgL_casezd2valuezd2_399==
((obj_t)
CNST_TABLE_REF(31)))
; } } 
if(BgL_test4087z00_9202)
{ /* Llib/ssl.scm 676 */
return 
BINT(BGLSSL_DTLSV1);}  else 
{ /* Llib/ssl.scm 676 */
return 
BGl_errorz00zz__errorz00(BGl_string3025z00zz__ssl_sslz00, BGl_string3026z00zz__ssl_sslz00, BgL_protocolz00_32);} } } } } } } } } } 

}



/* read-private-key */
BGL_EXPORTED_DEF BgL_privatezd2keyzd2_bglt BGl_readzd2privatezd2keyz00zz__ssl_sslz00(obj_t BgL_filez00_33)
{
{ /* Llib/ssl.scm 690 */
return 
((BgL_privatezd2keyzd2_bglt)
bgl_ssl_load_private_key(BgL_filez00_33));} 

}



/* &read-private-key */
BgL_privatezd2keyzd2_bglt BGl_z62readzd2privatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4048, obj_t BgL_filez00_4049)
{
{ /* Llib/ssl.scm 690 */
{ /* Llib/ssl.scm 691 */
 obj_t BgL_auxz00_9214;
if(
STRINGP(BgL_filez00_4049))
{ /* Llib/ssl.scm 691 */
BgL_auxz00_9214 = BgL_filez00_4049
; }  else 
{ 
 obj_t BgL_auxz00_9217;
BgL_auxz00_9217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(28316L), BGl_string3027z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_filez00_4049); 
FAILURE(BgL_auxz00_9217,BFALSE,BFALSE);} 
return 
BGl_readzd2privatezd2keyz00zz__ssl_sslz00(BgL_auxz00_9214);} } 

}



/* read-certificate */
BGL_EXPORTED_DEF BgL_certificatez00_bglt BGl_readzd2certificatezd2zz__ssl_sslz00(obj_t BgL_filez00_34)
{
{ /* Llib/ssl.scm 696 */
return 
((BgL_certificatez00_bglt)
bgl_ssl_load_certificate(BgL_filez00_34));} 

}



/* &read-certificate */
BgL_certificatez00_bglt BGl_z62readzd2certificatezb0zz__ssl_sslz00(obj_t BgL_envz00_4050, obj_t BgL_filez00_4051)
{
{ /* Llib/ssl.scm 696 */
{ /* Llib/ssl.scm 697 */
 obj_t BgL_auxz00_9224;
if(
STRINGP(BgL_filez00_4051))
{ /* Llib/ssl.scm 697 */
BgL_auxz00_9224 = BgL_filez00_4051
; }  else 
{ 
 obj_t BgL_auxz00_9227;
BgL_auxz00_9227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(28622L), BGl_string3028z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_filez00_4051); 
FAILURE(BgL_auxz00_9227,BFALSE,BFALSE);} 
return 
BGl_readzd2certificatezd2zz__ssl_sslz00(BgL_auxz00_9224);} } 

}



/* read-pem-file */
BGL_EXPORTED_DEF obj_t BGl_readzd2pemzd2filez00zz__ssl_sslz00(obj_t BgL_filez00_35)
{
{ /* Llib/ssl.scm 702 */
BGL_TAIL return 
bgl_ssl_load_pem(BgL_filez00_35);} 

}



/* &read-pem-file */
obj_t BGl_z62readzd2pemzd2filez62zz__ssl_sslz00(obj_t BgL_envz00_4052, obj_t BgL_filez00_4053)
{
{ /* Llib/ssl.scm 702 */
{ /* Llib/ssl.scm 703 */
 obj_t BgL_auxz00_9233;
if(
STRINGP(BgL_filez00_4053))
{ /* Llib/ssl.scm 703 */
BgL_auxz00_9233 = BgL_filez00_4053
; }  else 
{ 
 obj_t BgL_auxz00_9236;
BgL_auxz00_9236 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(28922L), BGl_string3029z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_filez00_4053); 
FAILURE(BgL_auxz00_9236,BFALSE,BFALSE);} 
return 
BGl_readzd2pemzd2filez00zz__ssl_sslz00(BgL_auxz00_9233);} } 

}



/* ssl-rand-status */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2statusz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 708 */
return 
RAND_status();} 

}



/* &ssl-rand-status */
obj_t BGl_z62sslzd2randzd2statusz62zz__ssl_sslz00(obj_t BgL_envz00_4054)
{
{ /* Llib/ssl.scm 708 */
return 
BBOOL(
BGl_sslzd2randzd2statusz00zz__ssl_sslz00());} 

}



/* ssl-rand-poll */
BGL_EXPORTED_DEF bool_t BGl_sslzd2randzd2pollz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 716 */
return 
RAND_poll();} 

}



/* &ssl-rand-poll */
obj_t BGl_z62sslzd2randzd2pollz62zz__ssl_sslz00(obj_t BgL_envz00_4055)
{
{ /* Llib/ssl.scm 716 */
return 
BBOOL(
BGl_sslzd2randzd2pollz00zz__ssl_sslz00());} 

}



/* ssl-rand-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(int BgL_sza7za7_36)
{
{ /* Llib/ssl.scm 724 */
{ /* Llib/ssl.scm 725 */
 obj_t BgL_strz00_2124;
{ /* Llib/ssl.scm 725 */

BgL_strz00_2124 = 
make_string(
(long)(BgL_sza7za7_36), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 728 */
 char * BgL_tmpz00_9249;
BgL_tmpz00_9249 = 
BSTRING_TO_STRING(BgL_strz00_2124); 
RAND_bytes(BgL_tmpz00_9249, BgL_sza7za7_36); } 
return BgL_strz00_2124;} } 

}



/* &ssl-rand-bytes */
obj_t BGl_z62sslzd2randzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4056, obj_t BgL_sza7za7_4057)
{
{ /* Llib/ssl.scm 724 */
{ /* Llib/ssl.scm 725 */
 int BgL_auxz00_9252;
{ /* Llib/ssl.scm 725 */
 obj_t BgL_tmpz00_9253;
if(
INTEGERP(BgL_sza7za7_4057))
{ /* Llib/ssl.scm 725 */
BgL_tmpz00_9253 = BgL_sza7za7_4057
; }  else 
{ 
 obj_t BgL_auxz00_9256;
BgL_auxz00_9256 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(29845L), BGl_string3030z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_sza7za7_4057); 
FAILURE(BgL_auxz00_9256,BFALSE,BFALSE);} 
BgL_auxz00_9252 = 
CINT(BgL_tmpz00_9253); } 
return 
BGl_sslzd2randzd2bytesz00zz__ssl_sslz00(BgL_auxz00_9252);} } 

}



/* ssl-rand-pseudo-bytes */
BGL_EXPORTED_DEF obj_t BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(int BgL_sza7za7_37)
{
{ /* Llib/ssl.scm 741 */
{ /* Llib/ssl.scm 742 */
 obj_t BgL_strz00_2128;
{ /* Llib/ssl.scm 742 */

BgL_strz00_2128 = 
make_string(
(long)(BgL_sza7za7_37), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 745 */
 char * BgL_tmpz00_9264;
BgL_tmpz00_9264 = 
BSTRING_TO_STRING(BgL_strz00_2128); 
RAND_pseudo_bytes(BgL_tmpz00_9264, BgL_sza7za7_37); } 
return BgL_strz00_2128;} } 

}



/* &ssl-rand-pseudo-bytes */
obj_t BGl_z62sslzd2randzd2pseudozd2byteszb0zz__ssl_sslz00(obj_t BgL_envz00_4058, obj_t BgL_sza7za7_4059)
{
{ /* Llib/ssl.scm 741 */
{ /* Llib/ssl.scm 742 */
 int BgL_auxz00_9267;
{ /* Llib/ssl.scm 742 */
 obj_t BgL_tmpz00_9268;
if(
INTEGERP(BgL_sza7za7_4059))
{ /* Llib/ssl.scm 742 */
BgL_tmpz00_9268 = BgL_sza7za7_4059
; }  else 
{ 
 obj_t BgL_auxz00_9271;
BgL_auxz00_9271 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(30363L), BGl_string3031z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_sza7za7_4059); 
FAILURE(BgL_auxz00_9271,BFALSE,BFALSE);} 
BgL_auxz00_9267 = 
CINT(BgL_tmpz00_9268); } 
return 
BGl_sslzd2randzd2pseudozd2byteszd2zz__ssl_sslz00(BgL_auxz00_9267);} } 

}



/* certificate-subject */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_38)
{
{ /* Llib/ssl.scm 758 */
return 
bgl_ssl_certificate_subject(
((obj_t)BgL_certz00_38));} 

}



/* &certificate-subject */
obj_t BGl_z62certificatezd2subjectzb0zz__ssl_sslz00(obj_t BgL_envz00_4060, obj_t BgL_certz00_4061)
{
{ /* Llib/ssl.scm 758 */
{ /* Llib/ssl.scm 759 */
 BgL_certificatez00_bglt BgL_auxz00_9279;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4061, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 759 */
BgL_auxz00_9279 = 
((BgL_certificatez00_bglt)BgL_certz00_4061)
; }  else 
{ 
 obj_t BgL_auxz00_9283;
BgL_auxz00_9283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(30912L), BGl_string3032z00zz__ssl_sslz00, BGl_string3033z00zz__ssl_sslz00, BgL_certz00_4061); 
FAILURE(BgL_auxz00_9283,BFALSE,BFALSE);} 
return 
BGl_certificatezd2subjectzd2zz__ssl_sslz00(BgL_auxz00_9279);} } 

}



/* certificate-issuer */
BGL_EXPORTED_DEF obj_t BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_certificatez00_bglt BgL_certz00_39)
{
{ /* Llib/ssl.scm 764 */
return 
bgl_ssl_certificate_issuer(
((obj_t)BgL_certz00_39));} 

}



/* &certificate-issuer */
obj_t BGl_z62certificatezd2issuerzb0zz__ssl_sslz00(obj_t BgL_envz00_4062, obj_t BgL_certz00_4063)
{
{ /* Llib/ssl.scm 764 */
{ /* Llib/ssl.scm 765 */
 BgL_certificatez00_bglt BgL_auxz00_9290;
if(
BGl_isazf3zf3zz__objectz00(BgL_certz00_4063, BGl_certificatez00zz__ssl_sslz00))
{ /* Llib/ssl.scm 765 */
BgL_auxz00_9290 = 
((BgL_certificatez00_bglt)BgL_certz00_4063)
; }  else 
{ 
 obj_t BgL_auxz00_9294;
BgL_auxz00_9294 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(31230L), BGl_string3034z00zz__ssl_sslz00, BGl_string3033z00zz__ssl_sslz00, BgL_certz00_4063); 
FAILURE(BgL_auxz00_9294,BFALSE,BFALSE);} 
return 
BGl_certificatezd2issuerzd2zz__ssl_sslz00(BgL_auxz00_9290);} } 

}



/* %make-certificate */
BGL_EXPORTED_DEF obj_t bgl_make_certificate(void * BgL_certz00_40)
{
{ /* Llib/ssl.scm 770 */
{ /* Llib/ssl.scm 771 */
 BgL_certificatez00_bglt BgL_new1126z00_422;
{ /* Llib/ssl.scm 772 */
 BgL_certificatez00_bglt BgL_new1125z00_423;
BgL_new1125z00_423 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 772 */
 long BgL_arg1738z00_424;
BgL_arg1738z00_424 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_423), BgL_arg1738z00_424); } 
BgL_new1126z00_422 = BgL_new1125z00_423; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1126z00_422))->BgL_z42nativez42)=((void *)BgL_certz00_40),BUNSPEC); 
return 
((obj_t)BgL_new1126z00_422);} } 

}



/* &%make-certificate */
obj_t BGl_z62z52makezd2certificateze2zz__ssl_sslz00(obj_t BgL_envz00_4064, obj_t BgL_certz00_4065)
{
{ /* Llib/ssl.scm 770 */
{ /* Llib/ssl.scm 771 */
 void * BgL_auxz00_9305;
if(
FOREIGNP(BgL_certz00_4065))
{ /* Llib/ssl.scm 771 */
BgL_auxz00_9305 = 
FOREIGN_TO_COBJ(BgL_certz00_4065)
; }  else 
{ 
 obj_t BgL_auxz00_9309;
BgL_auxz00_9309 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(31517L), BGl_string3035z00zz__ssl_sslz00, BGl_string3036z00zz__ssl_sslz00, BgL_certz00_4065); 
FAILURE(BgL_auxz00_9309,BFALSE,BFALSE);} 
return 
bgl_make_certificate(BgL_auxz00_9305);} } 

}



/* %make-private-key */
BGL_EXPORTED_DEF obj_t bgl_make_private_key(void * BgL_pkeyz00_41)
{
{ /* Llib/ssl.scm 777 */
{ /* Llib/ssl.scm 778 */
 BgL_privatezd2keyzd2_bglt BgL_new1128z00_425;
{ /* Llib/ssl.scm 779 */
 BgL_privatezd2keyzd2_bglt BgL_new1127z00_426;
BgL_new1127z00_426 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 779 */
 long BgL_arg1740z00_427;
BgL_arg1740z00_427 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_426), BgL_arg1740z00_427); } 
BgL_new1128z00_425 = BgL_new1127z00_426; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1128z00_425))->BgL_z42nativez42)=((void *)BgL_pkeyz00_41),BUNSPEC); 
return 
((obj_t)BgL_new1128z00_425);} } 

}



/* &%make-private-key */
obj_t BGl_z62z52makezd2privatezd2keyz30zz__ssl_sslz00(obj_t BgL_envz00_4066, obj_t BgL_pkeyz00_4067)
{
{ /* Llib/ssl.scm 777 */
{ /* Llib/ssl.scm 778 */
 void * BgL_auxz00_9320;
if(
FOREIGNP(BgL_pkeyz00_4067))
{ /* Llib/ssl.scm 778 */
BgL_auxz00_9320 = 
FOREIGN_TO_COBJ(BgL_pkeyz00_4067)
; }  else 
{ 
 obj_t BgL_auxz00_9324;
BgL_auxz00_9324 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(31825L), BGl_string3037z00zz__ssl_sslz00, BGl_string3036z00zz__ssl_sslz00, BgL_pkeyz00_4067); 
FAILURE(BgL_auxz00_9324,BFALSE,BFALSE);} 
return 
bgl_make_private_key(BgL_auxz00_9320);} } 

}



/* %certificate-$native */
BGL_EXPORTED_DEF void * bgl_certificate_native(obj_t BgL_certz00_42)
{
{ /* Llib/ssl.scm 784 */
return 
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_certz00_42)))->BgL_z42nativez42);} 

}



/* &%certificate-$native */
obj_t BGl_z62z52certificatezd2z42nativeza0zz__ssl_sslz00(obj_t BgL_envz00_4068, obj_t BgL_certz00_4069)
{
{ /* Llib/ssl.scm 784 */
return 
void_star_to_obj(
bgl_certificate_native(BgL_certz00_4069));} 

}



/* %private-key-$native */
BGL_EXPORTED_DEF void * bgl_private_key_native(obj_t BgL_pkeyz00_43)
{
{ /* Llib/ssl.scm 791 */
return 
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_pkeyz00_43)))->BgL_z42nativez42);} 

}



/* &%private-key-$native */
obj_t BGl_z62z52privatezd2keyzd2z42nativez72zz__ssl_sslz00(obj_t BgL_envz00_4070, obj_t BgL_pkeyz00_4071)
{
{ /* Llib/ssl.scm 791 */
return 
void_star_to_obj(
bgl_private_key_native(BgL_pkeyz00_4071));} 

}



/* _secure-context-set-key! */
obj_t BGl__securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(obj_t BgL_env1255z00_61, obj_t BgL_opt1254z00_60)
{
{ /* Llib/ssl.scm 848 */
{ /* Llib/ssl.scm 848 */
 obj_t BgL_g1256z00_430; obj_t BgL_g1257z00_431; obj_t BgL_g1258z00_432; obj_t BgL_g1259z00_433;
{ 
 obj_t BgL_auxz00_9337;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9337 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9340;
BgL_auxz00_9340 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9340,BFALSE,BFALSE);} 
BgL_g1256z00_430 = 
VECTOR_REF(BgL_auxz00_9337,0L); } 
{ 
 obj_t BgL_auxz00_9345;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9345 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9348;
BgL_auxz00_9348 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9348,BFALSE,BFALSE);} 
BgL_g1257z00_431 = 
VECTOR_REF(BgL_auxz00_9345,1L); } 
{ 
 obj_t BgL_auxz00_9353;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9353 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9356;
BgL_auxz00_9356 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9356,BFALSE,BFALSE);} 
BgL_g1258z00_432 = 
VECTOR_REF(BgL_auxz00_9353,2L); } 
{ 
 obj_t BgL_auxz00_9361;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9361 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9364;
BgL_auxz00_9364 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9364,BFALSE,BFALSE);} 
BgL_g1259z00_433 = 
VECTOR_REF(BgL_auxz00_9361,3L); } 
{ /* Llib/ssl.scm 848 */
 long BgL_aux1261z00_435;
{ 
 obj_t BgL_auxz00_9369;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9369 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9372;
BgL_auxz00_9372 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9372,BFALSE,BFALSE);} 
BgL_aux1261z00_435 = 
VECTOR_LENGTH(BgL_auxz00_9369); } 
switch( BgL_aux1261z00_435) { case 4L : 

{ /* Llib/ssl.scm 848 */

{ /* Llib/ssl.scm 848 */
 bool_t BgL_tmpz00_9377;
{ /* Llib/ssl.scm 848 */
 long BgL_auxz00_9424; long BgL_auxz00_9415; obj_t BgL_auxz00_9408; BgL_securezd2contextzd2_bglt BgL_auxz00_9378;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9425;
if(
INTEGERP(BgL_g1259z00_433))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9425 = BgL_g1259z00_433
; }  else 
{ 
 obj_t BgL_auxz00_9428;
BgL_auxz00_9428 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_g1259z00_433); 
FAILURE(BgL_auxz00_9428,BFALSE,BFALSE);} 
BgL_auxz00_9424 = 
(long)CINT(BgL_tmpz00_9425); } 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9416;
if(
INTEGERP(BgL_g1258z00_432))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9416 = BgL_g1258z00_432
; }  else 
{ 
 obj_t BgL_auxz00_9419;
BgL_auxz00_9419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_g1258z00_432); 
FAILURE(BgL_auxz00_9419,BFALSE,BFALSE);} 
BgL_auxz00_9415 = 
(long)CINT(BgL_tmpz00_9416); } 
if(
STRINGP(BgL_g1257z00_431))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9408 = BgL_g1257z00_431
; }  else 
{ 
 obj_t BgL_auxz00_9411;
BgL_auxz00_9411 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_g1257z00_431); 
FAILURE(BgL_auxz00_9411,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_test4103z00_9379;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_classz00_5523;
BgL_classz00_5523 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1256z00_430))
{ /* Llib/ssl.scm 848 */
 BgL_objectz00_bglt BgL_arg1829z00_5525; long BgL_arg1830z00_5526;
BgL_arg1829z00_5525 = 
(BgL_objectz00_bglt)(BgL_g1256z00_430); 
BgL_arg1830z00_5526 = 
BGL_CLASS_DEPTH(BgL_classz00_5523); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 848 */
 long BgL_idxz00_5534;
BgL_idxz00_5534 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_5525); 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1820z00_5535;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1821z00_5536;
BgL_arg1821z00_5536 = 
(BgL_idxz00_5534+BgL_arg1830z00_5526); 
BgL_arg1820z00_5535 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_5536); } 
BgL_test4103z00_9379 = 
(BgL_arg1820z00_5535==BgL_classz00_5523); } }  else 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_res3399z00_5562;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_oclassz00_5544;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1834z00_5552; long BgL_arg1835z00_5553;
BgL_arg1834z00_5552 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 848 */
 long BgL_arg1836z00_5554;
BgL_arg1836z00_5554 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_5525); 
BgL_arg1835z00_5553 = 
(BgL_arg1836z00_5554-OBJECT_TYPE); } 
BgL_oclassz00_5544 = 
VECTOR_REF(BgL_arg1834z00_5552,BgL_arg1835z00_5553); } 
{ /* Llib/ssl.scm 848 */
 bool_t BgL__ortest_1114z00_5545;
BgL__ortest_1114z00_5545 = 
(BgL_classz00_5523==BgL_oclassz00_5544); 
if(BgL__ortest_1114z00_5545)
{ /* Llib/ssl.scm 848 */
BgL_res3399z00_5562 = BgL__ortest_1114z00_5545; }  else 
{ /* Llib/ssl.scm 848 */
 long BgL_odepthz00_5546;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1824z00_5547;
BgL_arg1824z00_5547 = 
(BgL_oclassz00_5544); 
BgL_odepthz00_5546 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_5547); } 
if(
(BgL_arg1830z00_5526<BgL_odepthz00_5546))
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1822z00_5549;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1823z00_5550;
BgL_arg1823z00_5550 = 
(BgL_oclassz00_5544); 
BgL_arg1822z00_5549 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_5550, BgL_arg1830z00_5526); } 
BgL_res3399z00_5562 = 
(BgL_arg1822z00_5549==BgL_classz00_5523); }  else 
{ /* Llib/ssl.scm 848 */
BgL_res3399z00_5562 = ((bool_t)0); } } } } 
BgL_test4103z00_9379 = BgL_res3399z00_5562; } }  else 
{ /* Llib/ssl.scm 848 */
BgL_test4103z00_9379 = ((bool_t)0)
; } } 
if(BgL_test4103z00_9379)
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9378 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_430)
; }  else 
{ 
 obj_t BgL_auxz00_9404;
BgL_auxz00_9404 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_g1256z00_430); 
FAILURE(BgL_auxz00_9404,BFALSE,BFALSE);} } 
BgL_tmpz00_9377 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_9378, BgL_auxz00_9408, BgL_auxz00_9415, BgL_auxz00_9424, BFALSE); } 
return 
BBOOL(BgL_tmpz00_9377);} } break;case 5L : 

{ /* Llib/ssl.scm 848 */
 obj_t BgL_passphrasez00_437;
{ 
 obj_t BgL_auxz00_9435;
if(
VECTORP(BgL_opt1254z00_60))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9435 = BgL_opt1254z00_60
; }  else 
{ 
 obj_t BgL_auxz00_9438;
BgL_auxz00_9438 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3011z00zz__ssl_sslz00, BgL_opt1254z00_60); 
FAILURE(BgL_auxz00_9438,BFALSE,BFALSE);} 
BgL_passphrasez00_437 = 
VECTOR_REF(BgL_auxz00_9435,4L); } 
{ /* Llib/ssl.scm 848 */

{ /* Llib/ssl.scm 848 */
 bool_t BgL_tmpz00_9443;
{ /* Llib/ssl.scm 848 */
 long BgL_auxz00_9490; long BgL_auxz00_9481; obj_t BgL_auxz00_9474; BgL_securezd2contextzd2_bglt BgL_auxz00_9444;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9491;
if(
INTEGERP(BgL_g1259z00_433))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9491 = BgL_g1259z00_433
; }  else 
{ 
 obj_t BgL_auxz00_9494;
BgL_auxz00_9494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_g1259z00_433); 
FAILURE(BgL_auxz00_9494,BFALSE,BFALSE);} 
BgL_auxz00_9490 = 
(long)CINT(BgL_tmpz00_9491); } 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_tmpz00_9482;
if(
INTEGERP(BgL_g1258z00_432))
{ /* Llib/ssl.scm 848 */
BgL_tmpz00_9482 = BgL_g1258z00_432
; }  else 
{ 
 obj_t BgL_auxz00_9485;
BgL_auxz00_9485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_g1258z00_432); 
FAILURE(BgL_auxz00_9485,BFALSE,BFALSE);} 
BgL_auxz00_9481 = 
(long)CINT(BgL_tmpz00_9482); } 
if(
STRINGP(BgL_g1257z00_431))
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9474 = BgL_g1257z00_431
; }  else 
{ 
 obj_t BgL_auxz00_9477;
BgL_auxz00_9477 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_g1257z00_431); 
FAILURE(BgL_auxz00_9477,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_test4112z00_9445;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_classz00_5563;
BgL_classz00_5563 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_g1256z00_430))
{ /* Llib/ssl.scm 848 */
 BgL_objectz00_bglt BgL_arg1829z00_5565; long BgL_arg1830z00_5566;
BgL_arg1829z00_5565 = 
(BgL_objectz00_bglt)(BgL_g1256z00_430); 
BgL_arg1830z00_5566 = 
BGL_CLASS_DEPTH(BgL_classz00_5563); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 848 */
 long BgL_idxz00_5574;
BgL_idxz00_5574 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_5565); 
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1820z00_5575;
{ /* Llib/ssl.scm 848 */
 long BgL_arg1821z00_5576;
BgL_arg1821z00_5576 = 
(BgL_idxz00_5574+BgL_arg1830z00_5566); 
BgL_arg1820z00_5575 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_5576); } 
BgL_test4112z00_9445 = 
(BgL_arg1820z00_5575==BgL_classz00_5563); } }  else 
{ /* Llib/ssl.scm 848 */
 bool_t BgL_res3400z00_5602;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_oclassz00_5584;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1834z00_5592; long BgL_arg1835z00_5593;
BgL_arg1834z00_5592 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 848 */
 long BgL_arg1836z00_5594;
BgL_arg1836z00_5594 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_5565); 
BgL_arg1835z00_5593 = 
(BgL_arg1836z00_5594-OBJECT_TYPE); } 
BgL_oclassz00_5584 = 
VECTOR_REF(BgL_arg1834z00_5592,BgL_arg1835z00_5593); } 
{ /* Llib/ssl.scm 848 */
 bool_t BgL__ortest_1114z00_5585;
BgL__ortest_1114z00_5585 = 
(BgL_classz00_5563==BgL_oclassz00_5584); 
if(BgL__ortest_1114z00_5585)
{ /* Llib/ssl.scm 848 */
BgL_res3400z00_5602 = BgL__ortest_1114z00_5585; }  else 
{ /* Llib/ssl.scm 848 */
 long BgL_odepthz00_5586;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1824z00_5587;
BgL_arg1824z00_5587 = 
(BgL_oclassz00_5584); 
BgL_odepthz00_5586 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_5587); } 
if(
(BgL_arg1830z00_5566<BgL_odepthz00_5586))
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1822z00_5589;
{ /* Llib/ssl.scm 848 */
 obj_t BgL_arg1823z00_5590;
BgL_arg1823z00_5590 = 
(BgL_oclassz00_5584); 
BgL_arg1822z00_5589 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_5590, BgL_arg1830z00_5566); } 
BgL_res3400z00_5602 = 
(BgL_arg1822z00_5589==BgL_classz00_5563); }  else 
{ /* Llib/ssl.scm 848 */
BgL_res3400z00_5602 = ((bool_t)0); } } } } 
BgL_test4112z00_9445 = BgL_res3400z00_5602; } }  else 
{ /* Llib/ssl.scm 848 */
BgL_test4112z00_9445 = ((bool_t)0)
; } } 
if(BgL_test4112z00_9445)
{ /* Llib/ssl.scm 848 */
BgL_auxz00_9444 = 
((BgL_securezd2contextzd2_bglt)BgL_g1256z00_430)
; }  else 
{ 
 obj_t BgL_auxz00_9470;
BgL_auxz00_9470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34745L), BGl_string3038z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_g1256z00_430); 
FAILURE(BgL_auxz00_9470,BFALSE,BFALSE);} } 
BgL_tmpz00_9443 = 
BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_auxz00_9444, BgL_auxz00_9474, BgL_auxz00_9481, BgL_auxz00_9490, BgL_passphrasez00_437); } 
return 
BBOOL(BgL_tmpz00_9443);} } } break;
default: 
return BUNSPEC;} } } } 

}



/* bn-bin2bn */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bin2bnzd2zz__ssl_sslz00(obj_t BgL_stringz00_180)
{
{ /* Llib/ssl.scm 1407 */
{ /* Llib/ssl.scm 1409 */
 void * BgL_arg1741z00_2140;
{ /* Llib/ssl.scm 1409 */
 long BgL_arg1743z00_2141;
BgL_arg1743z00_2141 = 
STRING_LENGTH(BgL_stringz00_180); 
BgL_arg1741z00_2140 = 
bgl_bn_bin2bn(
BSTRING_TO_STRING(BgL_stringz00_180), 
(int)(BgL_arg1743z00_2141)); } 
return 
void_star_to_obj(BgL_arg1741z00_2140);} } 

}



/* &bn-bin2bn */
obj_t BGl_z62bnzd2bin2bnzb0zz__ssl_sslz00(obj_t BgL_envz00_4072, obj_t BgL_stringz00_4073)
{
{ /* Llib/ssl.scm 1407 */
{ /* Llib/ssl.scm 1409 */
 obj_t BgL_auxz00_9507;
if(
STRINGP(BgL_stringz00_4073))
{ /* Llib/ssl.scm 1409 */
BgL_auxz00_9507 = BgL_stringz00_4073
; }  else 
{ 
 obj_t BgL_auxz00_9510;
BgL_auxz00_9510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(56840L), BGl_string3040z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_stringz00_4073); 
FAILURE(BgL_auxz00_9510,BFALSE,BFALSE);} 
return 
BGl_bnzd2bin2bnzd2zz__ssl_sslz00(BgL_auxz00_9507);} } 

}



/* bn-bn2bin */
BGL_EXPORTED_DEF obj_t BGl_bnzd2bn2binzd2zz__ssl_sslz00(obj_t BgL_bnz00_181)
{
{ /* Llib/ssl.scm 1415 */
{ /* Llib/ssl.scm 1418 */
 int BgL_sza7za7_440;
{ /* Llib/ssl.scm 1429 */
 void * BgL_arg1746z00_2144;
BgL_arg1746z00_2144 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
BgL_sza7za7_440 = 
BN_num_bytes(BgL_arg1746z00_2144); } 
{ /* Llib/ssl.scm 1418 */
 obj_t BgL_stz00_441;
{ /* Llib/ssl.scm 1419 */

BgL_stz00_441 = 
make_string(
(long)(BgL_sza7za7_440), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1419 */

{ /* Llib/ssl.scm 1420 */
 void * BgL_arg1744z00_442;
BgL_arg1744z00_442 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_181); 
{ /* Llib/ssl.scm 1420 */
 char * BgL_tmpz00_9520;
BgL_tmpz00_9520 = 
BSTRING_TO_STRING(BgL_stz00_441); 
BN_bn2bin(BgL_arg1744z00_442, BgL_tmpz00_9520); } } 
return BgL_stz00_441;} } } } 

}



/* &bn-bn2bin */
obj_t BGl_z62bnzd2bn2binzb0zz__ssl_sslz00(obj_t BgL_envz00_4074, obj_t BgL_bnz00_4075)
{
{ /* Llib/ssl.scm 1415 */
{ /* Llib/ssl.scm 1418 */
 obj_t BgL_auxz00_9523;
if(
FOREIGNP(BgL_bnz00_4075))
{ /* Llib/ssl.scm 1418 */
BgL_auxz00_9523 = BgL_bnz00_4075
; }  else 
{ 
 obj_t BgL_auxz00_9526;
BgL_auxz00_9526 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(57178L), BGl_string3041z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_bnz00_4075); 
FAILURE(BgL_auxz00_9526,BFALSE,BFALSE);} 
return 
BGl_bnzd2bn2binzd2zz__ssl_sslz00(BgL_auxz00_9523);} } 

}



/* bn-num-bytes */
BGL_EXPORTED_DEF int BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(obj_t BgL_bnz00_182)
{
{ /* Llib/ssl.scm 1427 */
{ /* Llib/ssl.scm 1429 */
 void * BgL_arg1746z00_2146;
BgL_arg1746z00_2146 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_182); 
return 
BN_num_bytes(BgL_arg1746z00_2146);} } 

}



/* &bn-num-bytes */
obj_t BGl_z62bnzd2numzd2bytesz62zz__ssl_sslz00(obj_t BgL_envz00_4076, obj_t BgL_bnz00_4077)
{
{ /* Llib/ssl.scm 1427 */
{ /* Llib/ssl.scm 1429 */
 int BgL_tmpz00_9533;
{ /* Llib/ssl.scm 1429 */
 obj_t BgL_auxz00_9534;
if(
FOREIGNP(BgL_bnz00_4077))
{ /* Llib/ssl.scm 1429 */
BgL_auxz00_9534 = BgL_bnz00_4077
; }  else 
{ 
 obj_t BgL_auxz00_9537;
BgL_auxz00_9537 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(57600L), BGl_string3043z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_bnz00_4077); 
FAILURE(BgL_auxz00_9537,BFALSE,BFALSE);} 
BgL_tmpz00_9533 = 
BGl_bnzd2numzd2bytesz00zz__ssl_sslz00(BgL_auxz00_9534); } 
return 
BINT(BgL_tmpz00_9533);} } 

}



/* bn-free */
BGL_EXPORTED_DEF obj_t BGl_bnzd2freezd2zz__ssl_sslz00(obj_t BgL_bnz00_183)
{
{ /* Llib/ssl.scm 1435 */
{ /* Llib/ssl.scm 1437 */
 void * BgL_arg1755z00_2147;
BgL_arg1755z00_2147 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_183); 
BN_free(BgL_arg1755z00_2147); BUNSPEC; } 
return BUNSPEC;} 

}



/* &bn-free */
obj_t BGl_z62bnzd2freezb0zz__ssl_sslz00(obj_t BgL_envz00_4078, obj_t BgL_bnz00_4079)
{
{ /* Llib/ssl.scm 1435 */
{ /* Llib/ssl.scm 1437 */
 obj_t BgL_auxz00_9545;
if(
FOREIGNP(BgL_bnz00_4079))
{ /* Llib/ssl.scm 1437 */
BgL_auxz00_9545 = BgL_bnz00_4079
; }  else 
{ 
 obj_t BgL_auxz00_9548;
BgL_auxz00_9548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(57945L), BGl_string3044z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_bnz00_4079); 
FAILURE(BgL_auxz00_9548,BFALSE,BFALSE);} 
return 
BGl_bnzd2freezd2zz__ssl_sslz00(BgL_auxz00_9545);} } 

}



/* bn-new */
BGL_EXPORTED_DEF obj_t BGl_bnzd2newzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1443 */
{ /* Llib/ssl.scm 1445 */
 void * BgL_arg1756z00_2148;
BgL_arg1756z00_2148 = 
BN_new(); 
return 
void_star_to_obj(BgL_arg1756z00_2148);} } 

}



/* &bn-new */
obj_t BGl_z62bnzd2newzb0zz__ssl_sslz00(obj_t BgL_envz00_4080)
{
{ /* Llib/ssl.scm 1443 */
return 
BGl_bnzd2newzd2zz__ssl_sslz00();} 

}



/* bn-set-word */
BGL_EXPORTED_DEF bool_t BGl_bnzd2setzd2wordz00zz__ssl_sslz00(obj_t BgL_bnz00_184, int BgL_wz00_185)
{
{ /* Llib/ssl.scm 1451 */
{ /* Llib/ssl.scm 1453 */
 void * BgL_arg1757z00_2149;
BgL_arg1757z00_2149 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_bnz00_184); 
return 
BN_set_word(BgL_arg1757z00_2149, BgL_wz00_185);} } 

}



/* &bn-set-word */
obj_t BGl_z62bnzd2setzd2wordz62zz__ssl_sslz00(obj_t BgL_envz00_4081, obj_t BgL_bnz00_4082, obj_t BgL_wz00_4083)
{
{ /* Llib/ssl.scm 1451 */
{ /* Llib/ssl.scm 1453 */
 bool_t BgL_tmpz00_9558;
{ /* Llib/ssl.scm 1453 */
 int BgL_auxz00_9566; obj_t BgL_auxz00_9559;
{ /* Llib/ssl.scm 1453 */
 obj_t BgL_tmpz00_9567;
if(
INTEGERP(BgL_wz00_4083))
{ /* Llib/ssl.scm 1453 */
BgL_tmpz00_9567 = BgL_wz00_4083
; }  else 
{ 
 obj_t BgL_auxz00_9570;
BgL_auxz00_9570 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(58579L), BGl_string3045z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_wz00_4083); 
FAILURE(BgL_auxz00_9570,BFALSE,BFALSE);} 
BgL_auxz00_9566 = 
CINT(BgL_tmpz00_9567); } 
if(
FOREIGNP(BgL_bnz00_4082))
{ /* Llib/ssl.scm 1453 */
BgL_auxz00_9559 = BgL_bnz00_4082
; }  else 
{ 
 obj_t BgL_auxz00_9562;
BgL_auxz00_9562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(58579L), BGl_string3045z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_bnz00_4082); 
FAILURE(BgL_auxz00_9562,BFALSE,BFALSE);} 
BgL_tmpz00_9558 = 
BGl_bnzd2setzd2wordz00zz__ssl_sslz00(BgL_auxz00_9559, BgL_auxz00_9566); } 
return 
BBOOL(BgL_tmpz00_9558);} } 

}



/* ssl-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1459 */
BGL_TAIL return 
bgl_ssl_get_ciphers();} 

}



/* &ssl-get-ciphers */
obj_t BGl_z62sslzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4084)
{
{ /* Llib/ssl.scm 1459 */
return 
BGl_sslzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-ciphers */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1467 */
BGL_TAIL return 
bgl_evp_get_ciphers();} 

}



/* &evp-get-ciphers */
obj_t BGl_z62evpzd2getzd2ciphersz62zz__ssl_sslz00(obj_t BgL_envz00_4085)
{
{ /* Llib/ssl.scm 1467 */
return 
BGl_evpzd2getzd2ciphersz00zz__ssl_sslz00();} 

}



/* evp-get-hashes */
BGL_EXPORTED_DEF obj_t BGl_evpzd2getzd2hashesz00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1475 */
BGL_TAIL return 
bgl_evp_get_hashes();} 

}



/* &evp-get-hashes */
obj_t BGl_z62evpzd2getzd2hashesz62zz__ssl_sslz00(obj_t BgL_envz00_4086)
{
{ /* Llib/ssl.scm 1475 */
return 
BGl_evpzd2getzd2hashesz00zz__ssl_sslz00();} 

}



/* pkcs5-pbkdf2-hmac-sha1 */
BGL_EXPORTED_DEF obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(obj_t BgL_passz00_186, obj_t BgL_saltz00_187, int BgL_iterz00_188, int BgL_keylenz00_189)
{
{ /* Llib/ssl.scm 1483 */
BGL_TAIL return 
bgl_pkcs5_pbkdf2_hmac_sha1(BgL_passz00_186, BgL_saltz00_187, BgL_iterz00_188, BgL_keylenz00_189);} 

}



/* &pkcs5-pbkdf2-hmac-sha1 */
obj_t BGl_z62pkcs5zd2pbkdf2zd2hmaczd2sha1zb0zz__ssl_sslz00(obj_t BgL_envz00_4087, obj_t BgL_passz00_4088, obj_t BgL_saltz00_4089, obj_t BgL_iterz00_4090, obj_t BgL_keylenz00_4091)
{
{ /* Llib/ssl.scm 1483 */
{ /* Llib/ssl.scm 1486 */
 int BgL_auxz00_9607; int BgL_auxz00_9598; obj_t BgL_auxz00_9591; obj_t BgL_auxz00_9584;
{ /* Llib/ssl.scm 1486 */
 obj_t BgL_tmpz00_9608;
if(
INTEGERP(BgL_keylenz00_4091))
{ /* Llib/ssl.scm 1486 */
BgL_tmpz00_9608 = BgL_keylenz00_4091
; }  else 
{ 
 obj_t BgL_auxz00_9611;
BgL_auxz00_9611 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(59916L), BGl_string3046z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_keylenz00_4091); 
FAILURE(BgL_auxz00_9611,BFALSE,BFALSE);} 
BgL_auxz00_9607 = 
CINT(BgL_tmpz00_9608); } 
{ /* Llib/ssl.scm 1486 */
 obj_t BgL_tmpz00_9599;
if(
INTEGERP(BgL_iterz00_4090))
{ /* Llib/ssl.scm 1486 */
BgL_tmpz00_9599 = BgL_iterz00_4090
; }  else 
{ 
 obj_t BgL_auxz00_9602;
BgL_auxz00_9602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(59916L), BGl_string3046z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_iterz00_4090); 
FAILURE(BgL_auxz00_9602,BFALSE,BFALSE);} 
BgL_auxz00_9598 = 
CINT(BgL_tmpz00_9599); } 
if(
STRINGP(BgL_saltz00_4089))
{ /* Llib/ssl.scm 1486 */
BgL_auxz00_9591 = BgL_saltz00_4089
; }  else 
{ 
 obj_t BgL_auxz00_9594;
BgL_auxz00_9594 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(59916L), BGl_string3046z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_saltz00_4089); 
FAILURE(BgL_auxz00_9594,BFALSE,BFALSE);} 
if(
STRINGP(BgL_passz00_4088))
{ /* Llib/ssl.scm 1486 */
BgL_auxz00_9584 = BgL_passz00_4088
; }  else 
{ 
 obj_t BgL_auxz00_9587;
BgL_auxz00_9587 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(59916L), BGl_string3046z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_passz00_4088); 
FAILURE(BgL_auxz00_9587,BFALSE,BFALSE);} 
return 
BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2zz__ssl_sslz00(BgL_auxz00_9584, BgL_auxz00_9591, BgL_auxz00_9598, BgL_auxz00_9607);} } 

}



/* ssl-op-cipher-server-preference */
BGL_EXPORTED_DEF int BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 1493 */
return SSL_OP_CIPHER_SERVER_PREFERENCE;} 

}



/* &ssl-op-cipher-server-preference */
obj_t BGl_z62sslzd2opzd2cipherzd2serverzd2preferencez62zz__ssl_sslz00(obj_t BgL_envz00_4092)
{
{ /* Llib/ssl.scm 1493 */
return 
BINT(
BGl_sslzd2opzd2cipherzd2serverzd2preferencez00zz__ssl_sslz00());} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1761z00_452; obj_t BgL_arg1762z00_453;
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1190z00_464;
BgL_v1190z00_464 = 
create_vector(1L); 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_arg1773z00_465;
BgL_arg1773z00_465 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc3048z00zz__ssl_sslz00, BGl_proc3047z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(33))); 
VECTOR_SET(BgL_v1190z00_464,0L,BgL_arg1773z00_465); } 
BgL_arg1761z00_452 = BgL_v1190z00_464; } 
{ /* Llib/ssl.scm 299 */
 obj_t BgL_v1191z00_475;
BgL_v1191z00_475 = 
create_vector(0L); 
BgL_arg1762z00_453 = BgL_v1191z00_475; } 
BGl_certificatez00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(34)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 36719L, BGl_proc3051z00zz__ssl_sslz00, BGl_proc3050z00zz__ssl_sslz00, BFALSE, BGl_proc3049z00zz__ssl_sslz00, BFALSE, BgL_arg1761z00_452, BgL_arg1762z00_453); } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1788z00_482; obj_t BgL_arg1792z00_483;
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1192z00_494;
BgL_v1192z00_494 = 
create_vector(1L); 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_arg1818z00_495;
BgL_arg1818z00_495 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc3053z00zz__ssl_sslz00, BGl_proc3052z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(36))); 
VECTOR_SET(BgL_v1192z00_494,0L,BgL_arg1818z00_495); } 
BgL_arg1788z00_482 = BgL_v1192z00_494; } 
{ /* Llib/ssl.scm 302 */
 obj_t BgL_v1193z00_505;
BgL_v1193z00_505 = 
create_vector(0L); 
BgL_arg1792z00_483 = BgL_v1193z00_505; } 
BGl_privatezd2keyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(37)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 36583L, BGl_proc3056z00zz__ssl_sslz00, BGl_proc3055z00zz__ssl_sslz00, BFALSE, BGl_proc3054z00zz__ssl_sslz00, BFALSE, BgL_arg1788z00_482, BgL_arg1792z00_483); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1842z00_512; obj_t BgL_arg1848z00_513;
{ /* Llib/ssl.scm 406 */
 obj_t BgL_v1194z00_527;
BgL_v1194z00_527 = 
create_vector(3L); 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1855z00_528;
BgL_arg1855z00_528 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc3059z00zz__ssl_sslz00, BGl_proc3058z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3057z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(38))); 
VECTOR_SET(BgL_v1194z00_527,0L,BgL_arg1855z00_528); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1863z00_541;
BgL_arg1863z00_541 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(39)), BGl_proc3062z00zz__ssl_sslz00, BGl_proc3061z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3060z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(40))); 
VECTOR_SET(BgL_v1194z00_527,1L,BgL_arg1863z00_541); } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_arg1870z00_554;
BgL_arg1870z00_554 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(41)), BGl_proc3065z00zz__ssl_sslz00, BGl_proc3064z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3063z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(42))); 
VECTOR_SET(BgL_v1194z00_527,2L,BgL_arg1870z00_554); } 
BgL_arg1842z00_512 = BgL_v1194z00_527; } 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_v1195z00_567;
BgL_v1195z00_567 = 
create_vector(0L); 
BgL_arg1848z00_513 = BgL_v1195z00_567; } 
BGl_securezd2contextzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(43)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 52075L, BGl_proc3068z00zz__ssl_sslz00, BGl_proc3067z00zz__ssl_sslz00, BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3066z00zz__ssl_sslz00, BFALSE, BgL_arg1842z00_512, BgL_arg1848z00_513); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1880z00_574; obj_t BgL_arg1881z00_575;
{ /* Llib/ssl.scm 412 */
 obj_t BgL_v1196z00_603;
BgL_v1196z00_603 = 
create_vector(17L); 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1888z00_604;
BgL_arg1888z00_604 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc3071z00zz__ssl_sslz00, BGl_proc3070z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3069z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(44))); 
VECTOR_SET(BgL_v1196z00_603,0L,BgL_arg1888z00_604); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1897z00_617;
BgL_arg1897z00_617 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(45)), BGl_proc3074z00zz__ssl_sslz00, BGl_proc3073z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3072z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(46))); 
VECTOR_SET(BgL_v1196z00_603,1L,BgL_arg1897z00_617); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1904z00_630;
BgL_arg1904z00_630 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(47)), BGl_proc3077z00zz__ssl_sslz00, BGl_proc3076z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3075z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(46))); 
VECTOR_SET(BgL_v1196z00_603,2L,BgL_arg1904z00_630); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1911z00_643;
BgL_arg1911z00_643 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(48)), BGl_proc3080z00zz__ssl_sslz00, BGl_proc3079z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3078z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(49))); 
VECTOR_SET(BgL_v1196z00_603,3L,BgL_arg1911z00_643); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1918z00_656;
BgL_arg1918z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(50)), BGl_proc3082z00zz__ssl_sslz00, BGl_proc3081z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_securezd2contextzd2zz__ssl_sslz00); 
VECTOR_SET(BgL_v1196z00_603,4L,BgL_arg1918z00_656); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1923z00_666;
BgL_arg1923z00_666 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(51)), BGl_proc3084z00zz__ssl_sslz00, BGl_proc3083z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1196z00_603,5L,BgL_arg1923z00_666); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1928z00_676;
BgL_arg1928z00_676 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(53)), BGl_proc3087z00zz__ssl_sslz00, BGl_proc3086z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3085z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1196z00_603,6L,BgL_arg1928z00_676); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1935z00_689;
BgL_arg1935z00_689 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(54)), BGl_proc3090z00zz__ssl_sslz00, BGl_proc3089z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3088z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,7L,BgL_arg1935z00_689); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1942z00_702;
BgL_arg1942z00_702 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(56)), BGl_proc3092z00zz__ssl_sslz00, BGl_proc3091z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1196z00_603,8L,BgL_arg1942z00_702); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1947z00_712;
BgL_arg1947z00_712 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(57)), BGl_proc3095z00zz__ssl_sslz00, BGl_proc3094z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3093z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,9L,BgL_arg1947z00_712); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1954z00_725;
BgL_arg1954z00_725 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(58)), BGl_proc3098z00zz__ssl_sslz00, BGl_proc3097z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3096z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,10L,BgL_arg1954z00_725); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1961z00_738;
BgL_arg1961z00_738 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(59)), BGl_proc3101z00zz__ssl_sslz00, BGl_proc3100z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc3099z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(60))); 
VECTOR_SET(BgL_v1196z00_603,11L,BgL_arg1961z00_738); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1968z00_751;
BgL_arg1968z00_751 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(61)), BGl_proc3104z00zz__ssl_sslz00, BGl_proc3103z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3102z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,12L,BgL_arg1968z00_751); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1975z00_764;
BgL_arg1975z00_764 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(62)), BGl_proc3107z00zz__ssl_sslz00, BGl_proc3106z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3105z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,13L,BgL_arg1975z00_764); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1982z00_777;
BgL_arg1982z00_777 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(63)), BGl_proc3110z00zz__ssl_sslz00, BGl_proc3109z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3108z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1196z00_603,14L,BgL_arg1982z00_777); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1989z00_790;
BgL_arg1989z00_790 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(64)), BGl_proc3113z00zz__ssl_sslz00, BGl_proc3112z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3111z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1196z00_603,15L,BgL_arg1989z00_790); } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_arg1996z00_803;
BgL_arg1996z00_803 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(65)), BGl_proc3116z00zz__ssl_sslz00, BGl_proc3115z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3114z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(52))); 
VECTOR_SET(BgL_v1196z00_603,16L,BgL_arg1996z00_803); } 
BgL_arg1880z00_574 = BgL_v1196z00_603; } 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_v1197z00_816;
BgL_v1197z00_816 = 
create_vector(0L); 
BgL_arg1881z00_575 = BgL_v1197z00_816; } 
BGl_sslzd2connectionzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(66)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 46618L, BGl_proc3119z00zz__ssl_sslz00, BGl_proc3118z00zz__ssl_sslz00, BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3117z00zz__ssl_sslz00, BFALSE, BgL_arg1880z00_574, BgL_arg1881z00_575); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2006z00_823; obj_t BgL_arg2007z00_824;
{ /* Llib/ssl.scm 432 */
 obj_t BgL_v1198z00_841;
BgL_v1198z00_841 = 
create_vector(11L); 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2014z00_842;
BgL_arg2014z00_842 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc3122z00zz__ssl_sslz00, BGl_proc3121z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3120z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(67))); 
VECTOR_SET(BgL_v1198z00_841,0L,BgL_arg2014z00_842); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2021z00_855;
BgL_arg2021z00_855 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(68)), BGl_proc3125z00zz__ssl_sslz00, BGl_proc3124z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3123z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1198z00_841,1L,BgL_arg2021z00_855); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2028z00_868;
BgL_arg2028z00_868 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(70)), BGl_proc3128z00zz__ssl_sslz00, BGl_proc3127z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3126z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1198z00_841,2L,BgL_arg2028z00_868); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2035z00_881;
BgL_arg2035z00_881 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(71)), BGl_proc3131z00zz__ssl_sslz00, BGl_proc3130z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3129z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1198z00_841,3L,BgL_arg2035z00_881); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2042z00_894;
BgL_arg2042z00_894 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(72)), BGl_proc3134z00zz__ssl_sslz00, BGl_proc3133z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3132z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1198z00_841,4L,BgL_arg2042z00_894); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2049z00_907;
BgL_arg2049z00_907 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(73)), BGl_proc3137z00zz__ssl_sslz00, BGl_proc3136z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3135z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(69))); 
VECTOR_SET(BgL_v1198z00_841,5L,BgL_arg2049z00_907); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2056z00_920;
BgL_arg2056z00_920 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(74)), BGl_proc3139z00zz__ssl_sslz00, BGl_proc3138z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1198z00_841,6L,BgL_arg2056z00_920); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2061z00_930;
BgL_arg2061z00_930 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(75)), BGl_proc3141z00zz__ssl_sslz00, BGl_proc3140z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1198z00_841,7L,BgL_arg2061z00_930); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2066z00_940;
BgL_arg2066z00_940 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(76)), BGl_proc3143z00zz__ssl_sslz00, BGl_proc3142z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1198z00_841,8L,BgL_arg2066z00_940); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2071z00_950;
BgL_arg2071z00_950 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(37)), BGl_proc3145z00zz__ssl_sslz00, BGl_proc3144z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1198z00_841,9L,BgL_arg2071z00_950); } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_arg2076z00_960;
BgL_arg2076z00_960 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(77)), BGl_proc3147z00zz__ssl_sslz00, BGl_proc3146z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)1), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(55))); 
VECTOR_SET(BgL_v1198z00_841,10L,BgL_arg2076z00_960); } 
BgL_arg2006z00_823 = BgL_v1198z00_841; } 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_v1199z00_970;
BgL_v1199z00_970 = 
create_vector(5L); 
{ /* Llib/ssl.scm 442 */
 obj_t BgL_arg2081z00_971;
{ /* Llib/ssl.scm 442 */
 obj_t BgL_arg2082z00_972;
BgL_arg2082z00_972 = 
MAKE_YOUNG_PAIR(BGl_proc3148z00zz__ssl_sslz00, BGl_proc3149z00zz__ssl_sslz00); 
BgL_arg2081z00_971 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg2082z00_972); } 
VECTOR_SET(BgL_v1199z00_970,0L,BgL_arg2081z00_971); } 
{ /* Llib/ssl.scm 451 */
 obj_t BgL_arg2095z00_999;
{ /* Llib/ssl.scm 451 */
 obj_t BgL_arg2096z00_1000;
BgL_arg2096z00_1000 = 
MAKE_YOUNG_PAIR(BGl_proc3150z00zz__ssl_sslz00, BGl_proc3151z00zz__ssl_sslz00); 
BgL_arg2095z00_999 = 
MAKE_YOUNG_PAIR(
BINT(1L), BgL_arg2096z00_1000); } 
VECTOR_SET(BgL_v1199z00_970,1L,BgL_arg2095z00_999); } 
{ /* Llib/ssl.scm 460 */
 obj_t BgL_arg2109z00_1027;
{ /* Llib/ssl.scm 460 */
 obj_t BgL_arg2110z00_1028;
BgL_arg2110z00_1028 = 
MAKE_YOUNG_PAIR(BGl_proc3152z00zz__ssl_sslz00, BGl_proc3153z00zz__ssl_sslz00); 
BgL_arg2109z00_1027 = 
MAKE_YOUNG_PAIR(
BINT(2L), BgL_arg2110z00_1028); } 
VECTOR_SET(BgL_v1199z00_970,2L,BgL_arg2109z00_1027); } 
{ /* Llib/ssl.scm 470 */
 obj_t BgL_arg2123z00_1056;
{ /* Llib/ssl.scm 470 */
 obj_t BgL_arg2124z00_1057;
BgL_arg2124z00_1057 = 
MAKE_YOUNG_PAIR(BGl_proc3154z00zz__ssl_sslz00, BGl_proc3155z00zz__ssl_sslz00); 
BgL_arg2123z00_1056 = 
MAKE_YOUNG_PAIR(
BINT(3L), BgL_arg2124z00_1057); } 
VECTOR_SET(BgL_v1199z00_970,3L,BgL_arg2123z00_1056); } 
{ /* Llib/ssl.scm 479 */
 obj_t BgL_arg2136z00_1083;
{ /* Llib/ssl.scm 479 */
 obj_t BgL_arg2137z00_1084;
BgL_arg2137z00_1084 = 
MAKE_YOUNG_PAIR(BGl_proc3156z00zz__ssl_sslz00, BGl_proc3157z00zz__ssl_sslz00); 
BgL_arg2136z00_1083 = 
MAKE_YOUNG_PAIR(
BINT(4L), BgL_arg2137z00_1084); } 
VECTOR_SET(BgL_v1199z00_970,4L,BgL_arg2136z00_1083); } 
BgL_arg2007z00_824 = BgL_v1199z00_970; } 
BGl_dhz00zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(78)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 13004L, BGl_proc3160z00zz__ssl_sslz00, BGl_proc3159z00zz__ssl_sslz00, BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3158z00zz__ssl_sslz00, BFALSE, BgL_arg2006z00_823, BgL_arg2007z00_824); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2152z00_1116; obj_t BgL_arg2153z00_1117;
{ /* Llib/ssl.scm 487 */
 obj_t BgL_v1200z00_1131;
BgL_v1200z00_1131 = 
create_vector(3L); 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2160z00_1132;
BgL_arg2160z00_1132 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), BGl_proc3163z00zz__ssl_sslz00, BGl_proc3162z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3161z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(80))); 
VECTOR_SET(BgL_v1200z00_1131,0L,BgL_arg2160z00_1132); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2167z00_1145;
BgL_arg2167z00_1145 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc3166z00zz__ssl_sslz00, BGl_proc3165z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3164z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(82))); 
VECTOR_SET(BgL_v1200z00_1131,1L,BgL_arg2167z00_1145); } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_arg2174z00_1158;
BgL_arg2174z00_1158 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(83)), BGl_proc3168z00zz__ssl_sslz00, BGl_proc3167z00zz__ssl_sslz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(42))); 
VECTOR_SET(BgL_v1200z00_1131,2L,BgL_arg2174z00_1158); } 
BgL_arg2152z00_1116 = BgL_v1200z00_1131; } 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_v1201z00_1168;
BgL_v1201z00_1168 = 
create_vector(0L); 
BgL_arg2153z00_1117 = BgL_v1201z00_1168; } 
BGl_sslzd2hashzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(84)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 4072L, BGl_proc3171z00zz__ssl_sslz00, BGl_proc3170z00zz__ssl_sslz00, BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3169z00zz__ssl_sslz00, BFALSE, BgL_arg2152z00_1116, BgL_arg2153z00_1117); } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2182z00_1175; obj_t BgL_arg2183z00_1176;
{ /* Llib/ssl.scm 497 */
 obj_t BgL_v1202z00_1188;
BgL_v1202z00_1188 = 
create_vector(2L); 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2189z00_1189;
BgL_arg2189z00_1189 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), BGl_proc3174z00zz__ssl_sslz00, BGl_proc3173z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3172z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(80))); 
VECTOR_SET(BgL_v1202z00_1188,0L,BgL_arg2189z00_1189); } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_arg2196z00_1202;
BgL_arg2196z00_1202 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc3177z00zz__ssl_sslz00, BGl_proc3176z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3175z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(85))); 
VECTOR_SET(BgL_v1202z00_1188,1L,BgL_arg2196z00_1202); } 
BgL_arg2182z00_1175 = BgL_v1202z00_1188; } 
{ /* Llib/ssl.scm 497 */
 obj_t BgL_v1203z00_1215;
BgL_v1203z00_1215 = 
create_vector(0L); 
BgL_arg2183z00_1176 = BgL_v1203z00_1215; } 
BGl_sslzd2hmaczd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(86)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 62191L, BGl_proc3180z00zz__ssl_sslz00, BGl_proc3179z00zz__ssl_sslz00, BFALSE, BGl_proc3178z00zz__ssl_sslz00, BFALSE, BgL_arg2182z00_1175, BgL_arg2183z00_1176); } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2206z00_1222; obj_t BgL_arg2207z00_1223;
{ /* Llib/ssl.scm 505 */
 obj_t BgL_v1204z00_1235;
BgL_v1204z00_1235 = 
create_vector(2L); 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2213z00_1236;
BgL_arg2213z00_1236 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), BGl_proc3183z00zz__ssl_sslz00, BGl_proc3182z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3181z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(80))); 
VECTOR_SET(BgL_v1204z00_1235,0L,BgL_arg2213z00_1236); } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_arg2220z00_1249;
BgL_arg2220z00_1249 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc3186z00zz__ssl_sslz00, BGl_proc3185z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3184z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(85))); 
VECTOR_SET(BgL_v1204z00_1235,1L,BgL_arg2220z00_1249); } 
BgL_arg2206z00_1222 = BgL_v1204z00_1235; } 
{ /* Llib/ssl.scm 505 */
 obj_t BgL_v1205z00_1262;
BgL_v1205z00_1262 = 
create_vector(0L); 
BgL_arg2207z00_1223 = BgL_v1205z00_1262; } 
BGl_sslzd2signzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(87)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 64231L, BGl_proc3189z00zz__ssl_sslz00, BGl_proc3188z00zz__ssl_sslz00, BFALSE, BGl_proc3187z00zz__ssl_sslz00, BFALSE, BgL_arg2206z00_1222, BgL_arg2207z00_1223); } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2230z00_1269; obj_t BgL_arg2231z00_1270;
{ /* Llib/ssl.scm 513 */
 obj_t BgL_v1206z00_1282;
BgL_v1206z00_1282 = 
create_vector(2L); 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2237z00_1283;
BgL_arg2237z00_1283 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(79)), BGl_proc3192z00zz__ssl_sslz00, BGl_proc3191z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3190z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(80))); 
VECTOR_SET(BgL_v1206z00_1282,0L,BgL_arg2237z00_1283); } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_arg2244z00_1296;
BgL_arg2244z00_1296 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(81)), BGl_proc3195z00zz__ssl_sslz00, BGl_proc3194z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3193z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(85))); 
VECTOR_SET(BgL_v1206z00_1282,1L,BgL_arg2244z00_1296); } 
BgL_arg2230z00_1269 = BgL_v1206z00_1282; } 
{ /* Llib/ssl.scm 513 */
 obj_t BgL_v1207z00_1309;
BgL_v1207z00_1309 = 
create_vector(0L); 
BgL_arg2231z00_1270 = BgL_v1207z00_1309; } 
BGl_sslzd2verifyzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(88)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 31563L, BGl_proc3198z00zz__ssl_sslz00, BGl_proc3197z00zz__ssl_sslz00, BFALSE, BGl_proc3196z00zz__ssl_sslz00, BFALSE, BgL_arg2230z00_1269, BgL_arg2231z00_1270); } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2254z00_1316; obj_t BgL_arg2255z00_1317;
{ /* Llib/ssl.scm 521 */
 obj_t BgL_v1208z00_1329;
BgL_v1208z00_1329 = 
create_vector(2L); 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2261z00_1330;
BgL_arg2261z00_1330 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(89)), BGl_proc3201z00zz__ssl_sslz00, BGl_proc3200z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3199z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(90))); 
VECTOR_SET(BgL_v1208z00_1329,0L,BgL_arg2261z00_1330); } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_arg2268z00_1343;
BgL_arg2268z00_1343 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(91)), BGl_proc3204z00zz__ssl_sslz00, BGl_proc3203z00zz__ssl_sslz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc3202z00zz__ssl_sslz00, 
((obj_t)
CNST_TABLE_REF(92))); 
VECTOR_SET(BgL_v1208z00_1329,1L,BgL_arg2268z00_1343); } 
BgL_arg2254z00_1316 = BgL_v1208z00_1329; } 
{ /* Llib/ssl.scm 521 */
 obj_t BgL_v1209z00_1356;
BgL_v1209z00_1356 = 
create_vector(0L); 
BgL_arg2255z00_1317 = BgL_v1209z00_1356; } 
return ( 
BGl_sslzd2cipherzd2zz__ssl_sslz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(93)), 
((obj_t)
CNST_TABLE_REF(35)), BGl_objectz00zz__objectz00, 23017L, BGl_proc3207z00zz__ssl_sslz00, BGl_proc3206z00zz__ssl_sslz00, BFALSE, BGl_proc3205z00zz__ssl_sslz00, BFALSE, BgL_arg2254z00_1316, BgL_arg2255z00_1317), BUNSPEC) ;} } 

}



/* &<@anonymous:2260> */
obj_t BGl_z62zc3z04anonymousza32260ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4259, obj_t BgL_new1114z00_4260)
{
{ /* Llib/ssl.scm 521 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_9971;
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4260)))->BgL_z42cipherz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4260)))->BgL_z42cipherzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_9971 = 
((BgL_sslzd2cipherzd2_bglt)BgL_new1114z00_4260); 
return 
((obj_t)BgL_auxz00_9971);} } 

}



/* &lambda2258 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2258z62zz__ssl_sslz00(obj_t BgL_envz00_4261)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1113z00_5604;
BgL_new1113z00_5604 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 521 */
 long BgL_arg2259z00_5605;
BgL_arg2259z00_5605 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_5604), BgL_arg2259z00_5605); } 
return BgL_new1113z00_5604;} } 

}



/* &lambda2256 */
BgL_sslzd2cipherzd2_bglt BGl_z62lambda2256z62zz__ssl_sslz00(obj_t BgL_envz00_4262, obj_t BgL_z42cipher1111z42_4263, obj_t BgL_z42cipherzd2ctx1112z90_4264)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_z42cipher1111z42_5606; void * BgL_z42cipherzd2ctx1112z90_5607;
BgL_z42cipher1111z42_5606 = 
FOREIGN_TO_COBJ(BgL_z42cipher1111z42_4263); 
BgL_z42cipherzd2ctx1112z90_5607 = 
FOREIGN_TO_COBJ(BgL_z42cipherzd2ctx1112z90_4264); 
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1178z00_5608;
{ /* Llib/ssl.scm 521 */
 BgL_sslzd2cipherzd2_bglt BgL_new1177z00_5609;
BgL_new1177z00_5609 = 
((BgL_sslzd2cipherzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2cipherzd2_bgl) ))); 
{ /* Llib/ssl.scm 521 */
 long BgL_arg2257z00_5610;
BgL_arg2257z00_5610 = 
BGL_CLASS_NUM(BGl_sslzd2cipherzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_5609), BgL_arg2257z00_5610); } 
BgL_new1178z00_5608 = BgL_new1177z00_5609; } 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5608))->BgL_z42cipherz42)=((void *)BgL_z42cipher1111z42_5606),BUNSPEC); 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(BgL_new1178z00_5608))->BgL_z42cipherzd2ctxz90)=((void *)BgL_z42cipherzd2ctx1112z90_5607),BUNSPEC); 
return BgL_new1178z00_5608;} } } 

}



/* &<@anonymous:2274> */
obj_t BGl_z62zc3z04anonymousza32274ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4265)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2273 */
obj_t BGl_z62lambda2273z62zz__ssl_sslz00(obj_t BgL_envz00_4266, obj_t BgL_oz00_4267, obj_t BgL_vz00_4268)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_vz00_5612;
BgL_vz00_5612 = 
FOREIGN_TO_COBJ(BgL_vz00_4268); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4267)))->BgL_z42cipherzd2ctxz90)=((void *)BgL_vz00_5612),BUNSPEC);} } 

}



/* &lambda2272 */
obj_t BGl_z62lambda2272z62zz__ssl_sslz00(obj_t BgL_envz00_4269, obj_t BgL_oz00_4270)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4270)))->BgL_z42cipherzd2ctxz90));} 

}



/* &<@anonymous:2267> */
obj_t BGl_z62zc3z04anonymousza32267ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4271)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2266 */
obj_t BGl_z62lambda2266z62zz__ssl_sslz00(obj_t BgL_envz00_4272, obj_t BgL_oz00_4273, obj_t BgL_vz00_4274)
{
{ /* Llib/ssl.scm 521 */
{ /* Llib/ssl.scm 521 */
 void * BgL_vz00_5615;
BgL_vz00_5615 = 
FOREIGN_TO_COBJ(BgL_vz00_4274); 
return 
((((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4273)))->BgL_z42cipherz42)=((void *)BgL_vz00_5615),BUNSPEC);} } 

}



/* &lambda2265 */
obj_t BGl_z62lambda2265z62zz__ssl_sslz00(obj_t BgL_envz00_4275, obj_t BgL_oz00_4276)
{
{ /* Llib/ssl.scm 521 */
return 
void_star_to_obj(
(((BgL_sslzd2cipherzd2_bglt)COBJECT(
((BgL_sslzd2cipherzd2_bglt)BgL_oz00_4276)))->BgL_z42cipherz42));} 

}



/* &<@anonymous:2236> */
obj_t BGl_z62zc3z04anonymousza32236ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4277, obj_t BgL_new1109z00_4278)
{
{ /* Llib/ssl.scm 513 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10006;
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4278)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4278)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10006 = 
((BgL_sslzd2verifyzd2_bglt)BgL_new1109z00_4278); 
return 
((obj_t)BgL_auxz00_10006);} } 

}



/* &lambda2234 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2234z62zz__ssl_sslz00(obj_t BgL_envz00_4279)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1108z00_5618;
BgL_new1108z00_5618 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 513 */
 long BgL_arg2235z00_5619;
BgL_arg2235z00_5619 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_5618), BgL_arg2235z00_5619); } 
return BgL_new1108z00_5618;} } 

}



/* &lambda2232 */
BgL_sslzd2verifyzd2_bglt BGl_z62lambda2232z62zz__ssl_sslz00(obj_t BgL_envz00_4280, obj_t BgL_z42md1106z42_4281, obj_t BgL_z42mdzd2ctx1107z90_4282)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_z42md1106z42_5620; void * BgL_z42mdzd2ctx1107z90_5621;
BgL_z42md1106z42_5620 = 
FOREIGN_TO_COBJ(BgL_z42md1106z42_4281); 
BgL_z42mdzd2ctx1107z90_5621 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1107z90_4282); 
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1176z00_5622;
{ /* Llib/ssl.scm 513 */
 BgL_sslzd2verifyzd2_bglt BgL_new1175z00_5623;
BgL_new1175z00_5623 = 
((BgL_sslzd2verifyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2verifyzd2_bgl) ))); 
{ /* Llib/ssl.scm 513 */
 long BgL_arg2233z00_5624;
BgL_arg2233z00_5624 = 
BGL_CLASS_NUM(BGl_sslzd2verifyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_5623), BgL_arg2233z00_5624); } 
BgL_new1176z00_5622 = BgL_new1175z00_5623; } 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5622))->BgL_z42mdz42)=((void *)BgL_z42md1106z42_5620),BUNSPEC); 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(BgL_new1176z00_5622))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1107z90_5621),BUNSPEC); 
return BgL_new1176z00_5622;} } } 

}



/* &<@anonymous:2250> */
obj_t BGl_z62zc3z04anonymousza32250ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4283)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2249 */
obj_t BGl_z62lambda2249z62zz__ssl_sslz00(obj_t BgL_envz00_4284, obj_t BgL_oz00_4285, obj_t BgL_vz00_4286)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_vz00_5626;
BgL_vz00_5626 = 
FOREIGN_TO_COBJ(BgL_vz00_4286); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4285)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5626),BUNSPEC);} } 

}



/* &lambda2248 */
obj_t BGl_z62lambda2248z62zz__ssl_sslz00(obj_t BgL_envz00_4287, obj_t BgL_oz00_4288)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4288)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2243> */
obj_t BGl_z62zc3z04anonymousza32243ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4289)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2242 */
obj_t BGl_z62lambda2242z62zz__ssl_sslz00(obj_t BgL_envz00_4290, obj_t BgL_oz00_4291, obj_t BgL_vz00_4292)
{
{ /* Llib/ssl.scm 513 */
{ /* Llib/ssl.scm 513 */
 void * BgL_vz00_5629;
BgL_vz00_5629 = 
FOREIGN_TO_COBJ(BgL_vz00_4292); 
return 
((((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4291)))->BgL_z42mdz42)=((void *)BgL_vz00_5629),BUNSPEC);} } 

}



/* &lambda2241 */
obj_t BGl_z62lambda2241z62zz__ssl_sslz00(obj_t BgL_envz00_4293, obj_t BgL_oz00_4294)
{
{ /* Llib/ssl.scm 513 */
return 
void_star_to_obj(
(((BgL_sslzd2verifyzd2_bglt)COBJECT(
((BgL_sslzd2verifyzd2_bglt)BgL_oz00_4294)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4295, obj_t BgL_new1104z00_4296)
{
{ /* Llib/ssl.scm 505 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10041;
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4296)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4296)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10041 = 
((BgL_sslzd2signzd2_bglt)BgL_new1104z00_4296); 
return 
((obj_t)BgL_auxz00_10041);} } 

}



/* &lambda2210 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2210z62zz__ssl_sslz00(obj_t BgL_envz00_4297)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1103z00_5632;
BgL_new1103z00_5632 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 505 */
 long BgL_arg2211z00_5633;
BgL_arg2211z00_5633 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_5632), BgL_arg2211z00_5633); } 
return BgL_new1103z00_5632;} } 

}



/* &lambda2208 */
BgL_sslzd2signzd2_bglt BGl_z62lambda2208z62zz__ssl_sslz00(obj_t BgL_envz00_4298, obj_t BgL_z42md1101z42_4299, obj_t BgL_z42mdzd2ctx1102z90_4300)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_z42md1101z42_5634; void * BgL_z42mdzd2ctx1102z90_5635;
BgL_z42md1101z42_5634 = 
FOREIGN_TO_COBJ(BgL_z42md1101z42_4299); 
BgL_z42mdzd2ctx1102z90_5635 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1102z90_4300); 
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1174z00_5636;
{ /* Llib/ssl.scm 505 */
 BgL_sslzd2signzd2_bglt BgL_new1173z00_5637;
BgL_new1173z00_5637 = 
((BgL_sslzd2signzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2signzd2_bgl) ))); 
{ /* Llib/ssl.scm 505 */
 long BgL_arg2209z00_5638;
BgL_arg2209z00_5638 = 
BGL_CLASS_NUM(BGl_sslzd2signzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_5637), BgL_arg2209z00_5638); } 
BgL_new1174z00_5636 = BgL_new1173z00_5637; } 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5636))->BgL_z42mdz42)=((void *)BgL_z42md1101z42_5634),BUNSPEC); 
((((BgL_sslzd2signzd2_bglt)COBJECT(BgL_new1174z00_5636))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1102z90_5635),BUNSPEC); 
return BgL_new1174z00_5636;} } } 

}



/* &<@anonymous:2226> */
obj_t BGl_z62zc3z04anonymousza32226ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4301)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2225 */
obj_t BGl_z62lambda2225z62zz__ssl_sslz00(obj_t BgL_envz00_4302, obj_t BgL_oz00_4303, obj_t BgL_vz00_4304)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_vz00_5640;
BgL_vz00_5640 = 
FOREIGN_TO_COBJ(BgL_vz00_4304); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4303)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5640),BUNSPEC);} } 

}



/* &lambda2224 */
obj_t BGl_z62lambda2224z62zz__ssl_sslz00(obj_t BgL_envz00_4305, obj_t BgL_oz00_4306)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4306)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2219> */
obj_t BGl_z62zc3z04anonymousza32219ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4307)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2218 */
obj_t BGl_z62lambda2218z62zz__ssl_sslz00(obj_t BgL_envz00_4308, obj_t BgL_oz00_4309, obj_t BgL_vz00_4310)
{
{ /* Llib/ssl.scm 505 */
{ /* Llib/ssl.scm 505 */
 void * BgL_vz00_5643;
BgL_vz00_5643 = 
FOREIGN_TO_COBJ(BgL_vz00_4310); 
return 
((((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4309)))->BgL_z42mdz42)=((void *)BgL_vz00_5643),BUNSPEC);} } 

}



/* &lambda2217 */
obj_t BGl_z62lambda2217z62zz__ssl_sslz00(obj_t BgL_envz00_4311, obj_t BgL_oz00_4312)
{
{ /* Llib/ssl.scm 505 */
return 
void_star_to_obj(
(((BgL_sslzd2signzd2_bglt)COBJECT(
((BgL_sslzd2signzd2_bglt)BgL_oz00_4312)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2188> */
obj_t BGl_z62zc3z04anonymousza32188ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4313, obj_t BgL_new1099z00_4314)
{
{ /* Llib/ssl.scm 497 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_10076;
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4314)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4314)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10076 = 
((BgL_sslzd2hmaczd2_bglt)BgL_new1099z00_4314); 
return 
((obj_t)BgL_auxz00_10076);} } 

}



/* &lambda2186 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2186z62zz__ssl_sslz00(obj_t BgL_envz00_4315)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1098z00_5646;
BgL_new1098z00_5646 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 497 */
 long BgL_arg2187z00_5647;
BgL_arg2187z00_5647 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_5646), BgL_arg2187z00_5647); } 
return BgL_new1098z00_5646;} } 

}



/* &lambda2184 */
BgL_sslzd2hmaczd2_bglt BGl_z62lambda2184z62zz__ssl_sslz00(obj_t BgL_envz00_4316, obj_t BgL_z42md1096z42_4317, obj_t BgL_z42mdzd2ctx1097z90_4318)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_z42md1096z42_5648; void * BgL_z42mdzd2ctx1097z90_5649;
BgL_z42md1096z42_5648 = 
FOREIGN_TO_COBJ(BgL_z42md1096z42_4317); 
BgL_z42mdzd2ctx1097z90_5649 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1097z90_4318); 
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1172z00_5650;
{ /* Llib/ssl.scm 497 */
 BgL_sslzd2hmaczd2_bglt BgL_new1171z00_5651;
BgL_new1171z00_5651 = 
((BgL_sslzd2hmaczd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hmaczd2_bgl) ))); 
{ /* Llib/ssl.scm 497 */
 long BgL_arg2185z00_5652;
BgL_arg2185z00_5652 = 
BGL_CLASS_NUM(BGl_sslzd2hmaczd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_5651), BgL_arg2185z00_5652); } 
BgL_new1172z00_5650 = BgL_new1171z00_5651; } 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5650))->BgL_z42mdz42)=((void *)BgL_z42md1096z42_5648),BUNSPEC); 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(BgL_new1172z00_5650))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1097z90_5649),BUNSPEC); 
return BgL_new1172z00_5650;} } } 

}



/* &<@anonymous:2202> */
obj_t BGl_z62zc3z04anonymousza32202ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4319)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2201 */
obj_t BGl_z62lambda2201z62zz__ssl_sslz00(obj_t BgL_envz00_4320, obj_t BgL_oz00_4321, obj_t BgL_vz00_4322)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_vz00_5654;
BgL_vz00_5654 = 
FOREIGN_TO_COBJ(BgL_vz00_4322); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4321)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5654),BUNSPEC);} } 

}



/* &lambda2200 */
obj_t BGl_z62lambda2200z62zz__ssl_sslz00(obj_t BgL_envz00_4323, obj_t BgL_oz00_4324)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4324)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2195> */
obj_t BGl_z62zc3z04anonymousza32195ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4325)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2194 */
obj_t BGl_z62lambda2194z62zz__ssl_sslz00(obj_t BgL_envz00_4326, obj_t BgL_oz00_4327, obj_t BgL_vz00_4328)
{
{ /* Llib/ssl.scm 497 */
{ /* Llib/ssl.scm 497 */
 void * BgL_vz00_5657;
BgL_vz00_5657 = 
FOREIGN_TO_COBJ(BgL_vz00_4328); 
return 
((((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4327)))->BgL_z42mdz42)=((void *)BgL_vz00_5657),BUNSPEC);} } 

}



/* &lambda2193 */
obj_t BGl_z62lambda2193z62zz__ssl_sslz00(obj_t BgL_envz00_4329, obj_t BgL_oz00_4330)
{
{ /* Llib/ssl.scm 497 */
return 
void_star_to_obj(
(((BgL_sslzd2hmaczd2_bglt)COBJECT(
((BgL_sslzd2hmaczd2_bglt)BgL_oz00_4330)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2159> */
obj_t BGl_z62zc3z04anonymousza32159ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4331, obj_t BgL_new1094z00_4332)
{
{ /* Llib/ssl.scm 487 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10111;
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4332)))->BgL_z42mdz42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4332)))->BgL_z42mdzd2ctxz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4332)))->BgL_typez00)=((obj_t)BGl_string3208z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_10111 = 
((BgL_sslzd2hashzd2_bglt)BgL_new1094z00_4332); 
return 
((obj_t)BgL_auxz00_10111);} } 

}



/* &lambda2157 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2157z62zz__ssl_sslz00(obj_t BgL_envz00_4333)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1093z00_5660;
BgL_new1093z00_5660 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 487 */
 long BgL_arg2158z00_5661;
BgL_arg2158z00_5661 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1093z00_5660), BgL_arg2158z00_5661); } 
return BgL_new1093z00_5660;} } 

}



/* &lambda2154 */
BgL_sslzd2hashzd2_bglt BGl_z62lambda2154z62zz__ssl_sslz00(obj_t BgL_envz00_4334, obj_t BgL_z42md1090z42_4335, obj_t BgL_z42mdzd2ctx1091z90_4336, obj_t BgL_type1092z00_4337)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_z42md1090z42_5662; void * BgL_z42mdzd2ctx1091z90_5663;
BgL_z42md1090z42_5662 = 
FOREIGN_TO_COBJ(BgL_z42md1090z42_4335); 
BgL_z42mdzd2ctx1091z90_5663 = 
FOREIGN_TO_COBJ(BgL_z42mdzd2ctx1091z90_4336); 
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1170z00_5665;
{ /* Llib/ssl.scm 487 */
 BgL_sslzd2hashzd2_bglt BgL_new1169z00_5666;
BgL_new1169z00_5666 = 
((BgL_sslzd2hashzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2hashzd2_bgl) ))); 
{ /* Llib/ssl.scm 487 */
 long BgL_arg2156z00_5667;
BgL_arg2156z00_5667 = 
BGL_CLASS_NUM(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_5666), BgL_arg2156z00_5667); } 
BgL_new1170z00_5665 = BgL_new1169z00_5666; } 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5665))->BgL_z42mdz42)=((void *)BgL_z42md1090z42_5662),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5665))->BgL_z42mdzd2ctxz90)=((void *)BgL_z42mdzd2ctx1091z90_5663),BUNSPEC); 
((((BgL_sslzd2hashzd2_bglt)COBJECT(BgL_new1170z00_5665))->BgL_typez00)=((obj_t)
((obj_t)BgL_type1092z00_4337)),BUNSPEC); 
{ /* Llib/ssl.scm 487 */
 obj_t BgL_fun2155z00_5668;
BgL_fun2155z00_5668 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2hashzd2zz__ssl_sslz00); 
BGL_PROCEDURE_CALL1(BgL_fun2155z00_5668, 
((obj_t)BgL_new1170z00_5665)); } 
return BgL_new1170z00_5665;} } } 

}



/* &lambda2178 */
obj_t BGl_z62lambda2178z62zz__ssl_sslz00(obj_t BgL_envz00_4338, obj_t BgL_oz00_4339, obj_t BgL_vz00_4340)
{
{ /* Llib/ssl.scm 487 */
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4339)))->BgL_typez00)=((obj_t)
((obj_t)BgL_vz00_4340)),BUNSPEC);} 

}



/* &lambda2177 */
obj_t BGl_z62lambda2177z62zz__ssl_sslz00(obj_t BgL_envz00_4341, obj_t BgL_oz00_4342)
{
{ /* Llib/ssl.scm 487 */
return 
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4342)))->BgL_typez00);} 

}



/* &<@anonymous:2173> */
obj_t BGl_z62zc3z04anonymousza32173ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4343)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2172 */
obj_t BGl_z62lambda2172z62zz__ssl_sslz00(obj_t BgL_envz00_4344, obj_t BgL_oz00_4345, obj_t BgL_vz00_4346)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_vz00_5673;
BgL_vz00_5673 = 
FOREIGN_TO_COBJ(BgL_vz00_4346); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4345)))->BgL_z42mdzd2ctxz90)=((void *)BgL_vz00_5673),BUNSPEC);} } 

}



/* &lambda2171 */
obj_t BGl_z62lambda2171z62zz__ssl_sslz00(obj_t BgL_envz00_4347, obj_t BgL_oz00_4348)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4348)))->BgL_z42mdzd2ctxz90));} 

}



/* &<@anonymous:2166> */
obj_t BGl_z62zc3z04anonymousza32166ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4349)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2165 */
obj_t BGl_z62lambda2165z62zz__ssl_sslz00(obj_t BgL_envz00_4350, obj_t BgL_oz00_4351, obj_t BgL_vz00_4352)
{
{ /* Llib/ssl.scm 487 */
{ /* Llib/ssl.scm 487 */
 void * BgL_vz00_5676;
BgL_vz00_5676 = 
FOREIGN_TO_COBJ(BgL_vz00_4352); 
return 
((((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4351)))->BgL_z42mdz42)=((void *)BgL_vz00_5676),BUNSPEC);} } 

}



/* &lambda2164 */
obj_t BGl_z62lambda2164z62zz__ssl_sslz00(obj_t BgL_envz00_4353, obj_t BgL_oz00_4354)
{
{ /* Llib/ssl.scm 487 */
return 
void_star_to_obj(
(((BgL_sslzd2hashzd2_bglt)COBJECT(
((BgL_sslzd2hashzd2_bglt)BgL_oz00_4354)))->BgL_z42mdz42));} 

}



/* &<@anonymous:2013> */
obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4355, obj_t BgL_new1088z00_4356)
{
{ /* Llib/ssl.scm 432 */
{ 
 BgL_dhz00_bglt BgL_auxz00_10161;
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z52pz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z52qz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z52gz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z52pubz52)=((void *)
0L),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_new1088z00_4356)))->BgL_z52privz52)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10161 = 
((BgL_dhz00_bglt)BgL_new1088z00_4356); 
return 
((obj_t)BgL_auxz00_10161);} } 

}



/* &lambda2011 */
BgL_dhz00_bglt BGl_z62lambda2011z62zz__ssl_sslz00(obj_t BgL_envz00_4357)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1087z00_5679;
BgL_new1087z00_5679 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 432 */
 long BgL_arg2012z00_5680;
BgL_arg2012z00_5680 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_5679), BgL_arg2012z00_5680); } 
return BgL_new1087z00_5679;} } 

}



/* &lambda2008 */
BgL_dhz00_bglt BGl_z62lambda2008z62zz__ssl_sslz00(obj_t BgL_envz00_4358, obj_t BgL_z42native1081z42_4359, obj_t BgL_z52p1082z52_4360, obj_t BgL_z52q1083z52_4361, obj_t BgL_z52g1084z52_4362, obj_t BgL_z52pub1085z52_4363, obj_t BgL_z52priv1086z52_4364)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_z42native1081z42_5681; void * BgL_z52p1082z52_5682; void * BgL_z52q1083z52_5683; void * BgL_z52g1084z52_5684; void * BgL_z52pub1085z52_5685; void * BgL_z52priv1086z52_5686;
BgL_z42native1081z42_5681 = 
FOREIGN_TO_COBJ(BgL_z42native1081z42_4359); 
BgL_z52p1082z52_5682 = 
FOREIGN_TO_COBJ(BgL_z52p1082z52_4360); 
BgL_z52q1083z52_5683 = 
FOREIGN_TO_COBJ(BgL_z52q1083z52_4361); 
BgL_z52g1084z52_5684 = 
FOREIGN_TO_COBJ(BgL_z52g1084z52_4362); 
BgL_z52pub1085z52_5685 = 
FOREIGN_TO_COBJ(BgL_z52pub1085z52_4363); 
BgL_z52priv1086z52_5686 = 
FOREIGN_TO_COBJ(BgL_z52priv1086z52_4364); 
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1157z00_5687;
{ /* Llib/ssl.scm 432 */
 BgL_dhz00_bglt BgL_new1156z00_5688;
BgL_new1156z00_5688 = 
((BgL_dhz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_dhz00_bgl) ))); 
{ /* Llib/ssl.scm 432 */
 long BgL_arg2010z00_5689;
BgL_arg2010z00_5689 = 
BGL_CLASS_NUM(BGl_dhz00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_5688), BgL_arg2010z00_5689); } 
BgL_new1157z00_5687 = BgL_new1156z00_5688; } 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z42nativez42)=((void *)BgL_z42native1081z42_5681),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z52pz52)=((void *)BgL_z52p1082z52_5682),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z52qz52)=((void *)BgL_z52q1083z52_5683),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z52gz52)=((void *)BgL_z52g1084z52_5684),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z52pubz52)=((void *)BgL_z52pub1085z52_5685),BUNSPEC); 
((((BgL_dhz00_bglt)COBJECT(BgL_new1157z00_5687))->BgL_z52privz52)=((void *)BgL_z52priv1086z52_5686),BUNSPEC); 
{ /* Llib/ssl.scm 432 */
 obj_t BgL_fun2009z00_5690;
BgL_fun2009z00_5690 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_dhz00zz__ssl_sslz00); 
BGL_PROCEDURE_CALL1(BgL_fun2009z00_5690, 
((obj_t)BgL_new1157z00_5687)); } 
return BgL_new1157z00_5687;} } } 

}



/* &<@anonymous:2144> */
obj_t BGl_z62zc3z04anonymousza32144ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4365, obj_t BgL_oz00_4366, obj_t BgL_vz00_4367)
{
{ /* Llib/ssl.scm 477 */
{ 
 void * BgL_auxz00_10208;
{ /* Llib/ssl.scm 483 */
 obj_t BgL_tmpz00_10210;
BgL_tmpz00_10210 = 
((obj_t)BgL_vz00_4367); 
BgL_auxz00_10208 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10210); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4366)))->BgL_z52pubz52)=((void *)BgL_auxz00_10208),BUNSPEC); } 
{ /* Llib/ssl.scm 484 */
 void * BgL_arg2145z00_5691; void * BgL_arg2146z00_5692; void * BgL_arg2147z00_5693;
BgL_arg2145z00_5691 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4366)))->BgL_z42nativez42); 
BgL_arg2146z00_5692 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4366)))->BgL_z52pubz52); 
BgL_arg2147z00_5693 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4366)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2145z00_5691, BgL_arg2146z00_5692, BgL_arg2147z00_5693); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4367);} 

}



/* &<@anonymous:2140> */
obj_t BGl_z62zc3z04anonymousza32140ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4368, obj_t BgL_oz00_4369)
{
{ /* Llib/ssl.scm 477 */
{ /* Llib/ssl.scm 480 */
 void * BgL_arg2141z00_5694;
{ /* Llib/ssl.scm 480 */
 void * BgL_arg2142z00_5695;
BgL_arg2142z00_5695 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4369)))->BgL_z42nativez42); 
BgL_arg2141z00_5694 = 
bgl_dh_public_key(BgL_arg2142z00_5695); } 
return 
void_star_to_obj(BgL_arg2141z00_5694);} } 

}



/* &<@anonymous:2131> */
obj_t BGl_z62zc3z04anonymousza32131ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4370, obj_t BgL_oz00_4371, obj_t BgL_vz00_4372)
{
{ /* Llib/ssl.scm 468 */
{ 
 void * BgL_auxz00_10226;
{ /* Llib/ssl.scm 474 */
 obj_t BgL_tmpz00_10228;
BgL_tmpz00_10228 = 
((obj_t)BgL_vz00_4372); 
BgL_auxz00_10226 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10228); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4371)))->BgL_z52privz52)=((void *)BgL_auxz00_10226),BUNSPEC); } 
{ /* Llib/ssl.scm 475 */
 void * BgL_arg2132z00_5696; void * BgL_arg2133z00_5697; void * BgL_arg2134z00_5698;
BgL_arg2132z00_5696 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4371)))->BgL_z42nativez42); 
BgL_arg2133z00_5697 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4371)))->BgL_z52pubz52); 
BgL_arg2134z00_5698 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4371)))->BgL_z52privz52); 
bgl_dh_pub_priv_key_set(BgL_arg2132z00_5696, BgL_arg2133z00_5697, BgL_arg2134z00_5698); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4372);} 

}



/* &<@anonymous:2127> */
obj_t BGl_z62zc3z04anonymousza32127ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4373, obj_t BgL_oz00_4374)
{
{ /* Llib/ssl.scm 468 */
{ /* Llib/ssl.scm 471 */
 void * BgL_arg2128z00_5699;
{ /* Llib/ssl.scm 471 */
 void * BgL_arg2129z00_5700;
BgL_arg2129z00_5700 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4374)))->BgL_z42nativez42); 
BgL_arg2128z00_5699 = 
bgl_dh_private_key(BgL_arg2129z00_5700); } 
return 
void_star_to_obj(BgL_arg2128z00_5699);} } 

}



/* &<@anonymous:2117> */
obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4375, obj_t BgL_oz00_4376, obj_t BgL_vz00_4377)
{
{ /* Llib/ssl.scm 458 */
{ 
 void * BgL_auxz00_10244;
{ /* Llib/ssl.scm 465 */
 obj_t BgL_tmpz00_10246;
BgL_tmpz00_10246 = 
((obj_t)BgL_vz00_4377); 
BgL_auxz00_10244 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10246); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4376)))->BgL_z52gz52)=((void *)BgL_auxz00_10244),BUNSPEC); } 
{ /* Llib/ssl.scm 466 */
 void * BgL_arg2118z00_5701; void * BgL_arg2119z00_5702; void * BgL_arg2120z00_5703; void * BgL_arg2121z00_5704;
BgL_arg2118z00_5701 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4376)))->BgL_z42nativez42); 
BgL_arg2119z00_5702 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4376)))->BgL_z52pz52); 
BgL_arg2120z00_5703 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4376)))->BgL_z52qz52); 
BgL_arg2121z00_5704 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4376)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2118z00_5701, BgL_arg2119z00_5702, BgL_arg2120z00_5703, BgL_arg2121z00_5704); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4377);} 

}



/* &<@anonymous:2113> */
obj_t BGl_z62zc3z04anonymousza32113ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4378, obj_t BgL_oz00_4379)
{
{ /* Llib/ssl.scm 458 */
{ /* Llib/ssl.scm 461 */
 void * BgL_arg2114z00_5705;
{ /* Llib/ssl.scm 461 */
 void * BgL_arg2115z00_5706;
BgL_arg2115z00_5706 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4379)))->BgL_z42nativez42); 
BgL_arg2114z00_5705 = 
bgl_dh_g(BgL_arg2115z00_5706); } 
return 
void_star_to_obj(BgL_arg2114z00_5705);} } 

}



/* &<@anonymous:2103> */
obj_t BGl_z62zc3z04anonymousza32103ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4380, obj_t BgL_oz00_4381, obj_t BgL_vz00_4382)
{
{ /* Llib/ssl.scm 449 */
{ 
 void * BgL_auxz00_10264;
{ /* Llib/ssl.scm 455 */
 obj_t BgL_tmpz00_10266;
BgL_tmpz00_10266 = 
((obj_t)BgL_vz00_4382); 
BgL_auxz00_10264 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10266); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4381)))->BgL_z52qz52)=((void *)BgL_auxz00_10264),BUNSPEC); } 
{ /* Llib/ssl.scm 456 */
 void * BgL_arg2104z00_5707; void * BgL_arg2105z00_5708; void * BgL_arg2106z00_5709; void * BgL_arg2107z00_5710;
BgL_arg2104z00_5707 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4381)))->BgL_z42nativez42); 
BgL_arg2105z00_5708 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4381)))->BgL_z52pz52); 
BgL_arg2106z00_5709 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4381)))->BgL_z52qz52); 
BgL_arg2107z00_5710 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4381)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2104z00_5707, BgL_arg2105z00_5708, BgL_arg2106z00_5709, BgL_arg2107z00_5710); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4382);} 

}



/* &<@anonymous:2099> */
obj_t BGl_z62zc3z04anonymousza32099ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4383, obj_t BgL_oz00_4384)
{
{ /* Llib/ssl.scm 449 */
{ /* Llib/ssl.scm 452 */
 void * BgL_arg2100z00_5711;
{ /* Llib/ssl.scm 452 */
 void * BgL_arg2101z00_5712;
BgL_arg2101z00_5712 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4384)))->BgL_z42nativez42); 
BgL_arg2100z00_5711 = 
bgl_dh_p(BgL_arg2101z00_5712); } 
return 
void_star_to_obj(BgL_arg2100z00_5711);} } 

}



/* &<@anonymous:2089> */
obj_t BGl_z62zc3z04anonymousza32089ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4385, obj_t BgL_oz00_4386, obj_t BgL_vz00_4387)
{
{ /* Llib/ssl.scm 440 */
{ 
 void * BgL_auxz00_10284;
{ /* Llib/ssl.scm 446 */
 obj_t BgL_tmpz00_10286;
BgL_tmpz00_10286 = 
((obj_t)BgL_vz00_4387); 
BgL_auxz00_10284 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10286); } 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z52pz52)=((void *)BgL_auxz00_10284),BUNSPEC); } 
{ /* Llib/ssl.scm 447 */
 void * BgL_arg2090z00_5713; void * BgL_arg2091z00_5714; void * BgL_arg2092z00_5715; void * BgL_arg2093z00_5716;
BgL_arg2090z00_5713 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z42nativez42); 
BgL_arg2091z00_5714 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z52pz52); 
BgL_arg2092z00_5715 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z52qz52); 
BgL_arg2093z00_5716 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4386)))->BgL_z52gz52); 
bgl_dh_pqg_set(BgL_arg2090z00_5713, BgL_arg2091z00_5714, BgL_arg2092z00_5715, BgL_arg2093z00_5716); BUNSPEC; } 
return 
((obj_t)BgL_vz00_4387);} 

}



/* &<@anonymous:2085> */
obj_t BGl_z62zc3z04anonymousza32085ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4388, obj_t BgL_oz00_4389)
{
{ /* Llib/ssl.scm 440 */
{ /* Llib/ssl.scm 443 */
 void * BgL_arg2086z00_5717;
{ /* Llib/ssl.scm 443 */
 void * BgL_arg2087z00_5718;
BgL_arg2087z00_5718 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4389)))->BgL_z42nativez42); 
BgL_arg2086z00_5717 = 
bgl_dh_p(BgL_arg2087z00_5718); } 
return 
void_star_to_obj(BgL_arg2086z00_5717);} } 

}



/* &<@anonymous:2080> */
obj_t BGl_z62zc3z04anonymousza32080ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4390, obj_t BgL_oz00_4391, obj_t BgL_vz00_4392)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4391), 
(int)(4L), BgL_vz00_4392);} 

}



/* &<@anonymous:2079> */
obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4393, obj_t BgL_oz00_4394)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4394), 
(int)(4L));} 

}



/* &<@anonymous:2075> */
obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4395, obj_t BgL_oz00_4396, obj_t BgL_vz00_4397)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4396), 
(int)(3L), BgL_vz00_4397);} 

}



/* &<@anonymous:2074> */
obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4398, obj_t BgL_oz00_4399)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4399), 
(int)(3L));} 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4400, obj_t BgL_oz00_4401, obj_t BgL_vz00_4402)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4401), 
(int)(2L), BgL_vz00_4402);} 

}



/* &<@anonymous:2069> */
obj_t BGl_z62zc3z04anonymousza32069ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4403, obj_t BgL_oz00_4404)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4404), 
(int)(2L));} 

}



/* &<@anonymous:2065> */
obj_t BGl_z62zc3z04anonymousza32065ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4405, obj_t BgL_oz00_4406, obj_t BgL_vz00_4407)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4406), 
(int)(1L), BgL_vz00_4407);} 

}



/* &<@anonymous:2064> */
obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4408, obj_t BgL_oz00_4409)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4409), 
(int)(1L));} 

}



/* &<@anonymous:2060> */
obj_t BGl_z62zc3z04anonymousza32060ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4410, obj_t BgL_oz00_4411, obj_t BgL_vz00_4412)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4411), 
(int)(0L), BgL_vz00_4412);} 

}



/* &<@anonymous:2059> */
obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4413, obj_t BgL_oz00_4414)
{
{ /* Llib/ssl.scm 432 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_4414), 
(int)(0L));} 

}



/* &<@anonymous:2055> */
obj_t BGl_z62zc3z04anonymousza32055ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4415)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2054 */
obj_t BGl_z62lambda2054z62zz__ssl_sslz00(obj_t BgL_envz00_4416, obj_t BgL_oz00_4417, obj_t BgL_vz00_4418)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5720;
BgL_vz00_5720 = 
FOREIGN_TO_COBJ(BgL_vz00_4418); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4417)))->BgL_z52privz52)=((void *)BgL_vz00_5720),BUNSPEC);} } 

}



/* &lambda2053 */
obj_t BGl_z62lambda2053z62zz__ssl_sslz00(obj_t BgL_envz00_4419, obj_t BgL_oz00_4420)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4420)))->BgL_z52privz52));} 

}



/* &<@anonymous:2048> */
obj_t BGl_z62zc3z04anonymousza32048ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4421)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2047 */
obj_t BGl_z62lambda2047z62zz__ssl_sslz00(obj_t BgL_envz00_4422, obj_t BgL_oz00_4423, obj_t BgL_vz00_4424)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5723;
BgL_vz00_5723 = 
FOREIGN_TO_COBJ(BgL_vz00_4424); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4423)))->BgL_z52pubz52)=((void *)BgL_vz00_5723),BUNSPEC);} } 

}



/* &lambda2046 */
obj_t BGl_z62lambda2046z62zz__ssl_sslz00(obj_t BgL_envz00_4425, obj_t BgL_oz00_4426)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4426)))->BgL_z52pubz52));} 

}



/* &<@anonymous:2041> */
obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4427)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2040 */
obj_t BGl_z62lambda2040z62zz__ssl_sslz00(obj_t BgL_envz00_4428, obj_t BgL_oz00_4429, obj_t BgL_vz00_4430)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5726;
BgL_vz00_5726 = 
FOREIGN_TO_COBJ(BgL_vz00_4430); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4429)))->BgL_z52gz52)=((void *)BgL_vz00_5726),BUNSPEC);} } 

}



/* &lambda2039 */
obj_t BGl_z62lambda2039z62zz__ssl_sslz00(obj_t BgL_envz00_4431, obj_t BgL_oz00_4432)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4432)))->BgL_z52gz52));} 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4433)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2033 */
obj_t BGl_z62lambda2033z62zz__ssl_sslz00(obj_t BgL_envz00_4434, obj_t BgL_oz00_4435, obj_t BgL_vz00_4436)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5729;
BgL_vz00_5729 = 
FOREIGN_TO_COBJ(BgL_vz00_4436); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4435)))->BgL_z52qz52)=((void *)BgL_vz00_5729),BUNSPEC);} } 

}



/* &lambda2032 */
obj_t BGl_z62lambda2032z62zz__ssl_sslz00(obj_t BgL_envz00_4437, obj_t BgL_oz00_4438)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4438)))->BgL_z52qz52));} 

}



/* &<@anonymous:2027> */
obj_t BGl_z62zc3z04anonymousza32027ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4439)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(((BIGNUM *)0L));} 

}



/* &lambda2026 */
obj_t BGl_z62lambda2026z62zz__ssl_sslz00(obj_t BgL_envz00_4440, obj_t BgL_oz00_4441, obj_t BgL_vz00_4442)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5732;
BgL_vz00_5732 = 
FOREIGN_TO_COBJ(BgL_vz00_4442); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4441)))->BgL_z52pz52)=((void *)BgL_vz00_5732),BUNSPEC);} } 

}



/* &lambda2025 */
obj_t BGl_z62lambda2025z62zz__ssl_sslz00(obj_t BgL_envz00_4443, obj_t BgL_oz00_4444)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4444)))->BgL_z52pz52));} 

}



/* &<@anonymous:2020> */
obj_t BGl_z62zc3z04anonymousza32020ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4445)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(0L);} 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__ssl_sslz00(obj_t BgL_envz00_4446, obj_t BgL_oz00_4447, obj_t BgL_vz00_4448)
{
{ /* Llib/ssl.scm 432 */
{ /* Llib/ssl.scm 432 */
 void * BgL_vz00_5735;
BgL_vz00_5735 = 
FOREIGN_TO_COBJ(BgL_vz00_4448); 
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4447)))->BgL_z42nativez42)=((void *)BgL_vz00_5735),BUNSPEC);} } 

}



/* &lambda2018 */
obj_t BGl_z62lambda2018z62zz__ssl_sslz00(obj_t BgL_envz00_4449, obj_t BgL_oz00_4450)
{
{ /* Llib/ssl.scm 432 */
return 
void_star_to_obj(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_oz00_4450)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1887> */
obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4451, obj_t BgL_new1079z00_4452)
{
{ /* Llib/ssl.scm 412 */
{ 
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_10376;
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_z42biozd2readz90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_z42biozd2writez90)=((void *)
0L),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_z42nextzd2sessionz90)=((void *)
0L),BUNSPEC); 
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_10389;
{ /* Llib/ssl.scm 412 */
 obj_t BgL_classz00_5738;
BgL_classz00_5738 = BGl_securezd2contextzd2zz__ssl_sslz00; 
{ /* Llib/ssl.scm 412 */
 obj_t BgL__ortest_1116z00_5739;
BgL__ortest_1116z00_5739 = 
BGL_CLASS_NIL(BgL_classz00_5738); 
if(
CBOOL(BgL__ortest_1116z00_5739))
{ /* Llib/ssl.scm 412 */
BgL_auxz00_10389 = 
((BgL_securezd2contextzd2_bglt)BgL__ortest_1116z00_5739)
; }  else 
{ /* Llib/ssl.scm 412 */
BgL_auxz00_10389 = 
((BgL_securezd2contextzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5738))
; } } } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)BgL_auxz00_10389),BUNSPEC); } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_isserverz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_requestzd2certzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_serverzd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_infozd2callbackzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_newsessionzd2callbackzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_npnzd2protoszd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_errz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_receivedzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452)))->BgL_sentzd2shutdownzd2)=((bool_t)((bool_t)0)),BUNSPEC); 
BgL_auxz00_10376 = 
((BgL_sslzd2connectionzd2_bglt)BgL_new1079z00_4452); 
return 
((obj_t)BgL_auxz00_10376);} } 

}



/* &lambda1885 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1885z62zz__ssl_sslz00(obj_t BgL_envz00_4453)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1078z00_5740;
BgL_new1078z00_5740 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 412 */
 long BgL_arg1886z00_5741;
BgL_arg1886z00_5741 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_5740), BgL_arg1886z00_5741); } 
return BgL_new1078z00_5740;} } 

}



/* &lambda1882 */
BgL_sslzd2connectionzd2_bglt BGl_z62lambda1882z62zz__ssl_sslz00(obj_t BgL_envz00_4454, obj_t BgL_z42native1061z42_4455, obj_t BgL_z42biozd2read1062z90_4456, obj_t BgL_z42biozd2write1063z90_4457, obj_t BgL_z42nextzd2session1064z90_4458, obj_t BgL_ctx1065z00_4459, obj_t BgL_isserver1066z00_4460, obj_t BgL_requestzd2cert1067zd2_4461, obj_t BgL_serverzd2name1068zd2_4462, obj_t BgL_rejectzd2unauthoriza7ed1069z75_4463, obj_t BgL_infozd2callback1070zd2_4464, obj_t BgL_snizd2contextzd2callback1071z00_4465, obj_t BgL_newsessionzd2callback1072zd2_4466, obj_t BgL_selectedzd2npnzd2protos1073z00_4467, obj_t BgL_npnzd2protos1074zd2_4468, obj_t BgL_err1075z00_4469, obj_t BgL_receivedzd2shutdown1076zd2_4470, obj_t BgL_sentzd2shutdown1077zd2_4471)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_z42native1061z42_5742; void * BgL_z42biozd2read1062z90_5743; void * BgL_z42biozd2write1063z90_5744; void * BgL_z42nextzd2session1064z90_5745; bool_t BgL_isserver1066z00_5747; bool_t BgL_requestzd2cert1067zd2_5748; bool_t BgL_rejectzd2unauthoriza7ed1069z75_5749; bool_t BgL_receivedzd2shutdown1076zd2_5751; bool_t BgL_sentzd2shutdown1077zd2_5752;
BgL_z42native1061z42_5742 = 
FOREIGN_TO_COBJ(BgL_z42native1061z42_4455); 
BgL_z42biozd2read1062z90_5743 = 
FOREIGN_TO_COBJ(BgL_z42biozd2read1062z90_4456); 
BgL_z42biozd2write1063z90_5744 = 
FOREIGN_TO_COBJ(BgL_z42biozd2write1063z90_4457); 
BgL_z42nextzd2session1064z90_5745 = 
FOREIGN_TO_COBJ(BgL_z42nextzd2session1064z90_4458); 
BgL_isserver1066z00_5747 = 
CBOOL(BgL_isserver1066z00_4460); 
BgL_requestzd2cert1067zd2_5748 = 
CBOOL(BgL_requestzd2cert1067zd2_4461); 
BgL_rejectzd2unauthoriza7ed1069z75_5749 = 
CBOOL(BgL_rejectzd2unauthoriza7ed1069z75_4463); 
BgL_receivedzd2shutdown1076zd2_5751 = 
CBOOL(BgL_receivedzd2shutdown1076zd2_4470); 
BgL_sentzd2shutdown1077zd2_5752 = 
CBOOL(BgL_sentzd2shutdown1077zd2_4471); 
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1155z00_5753;
{ /* Llib/ssl.scm 412 */
 BgL_sslzd2connectionzd2_bglt BgL_new1154z00_5754;
BgL_new1154z00_5754 = 
((BgL_sslzd2connectionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_sslzd2connectionzd2_bgl) ))); 
{ /* Llib/ssl.scm 412 */
 long BgL_arg1884z00_5755;
BgL_arg1884z00_5755 = 
BGL_CLASS_NUM(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_5754), BgL_arg1884z00_5755); } 
BgL_new1155z00_5753 = BgL_new1154z00_5754; } 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_z42nativez42)=((void *)BgL_z42native1061z42_5742),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_z42biozd2readz90)=((void *)BgL_z42biozd2read1062z90_5743),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_z42biozd2writez90)=((void *)BgL_z42biozd2write1063z90_5744),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_z42nextzd2sessionz90)=((void *)BgL_z42nextzd2session1064z90_5745),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_ctx1065z00_4459)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_isserverz00)=((bool_t)BgL_isserver1066z00_5747),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_requestzd2certzd2)=((bool_t)BgL_requestzd2cert1067zd2_5748),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_serverzd2namezd2)=((obj_t)BgL_serverzd2name1068zd2_4462),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_rejectzd2unauthoriza7ed1069z75_5749),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_infozd2callbackzd2)=((obj_t)BgL_infozd2callback1070zd2_4464),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_snizd2contextzd2callback1071z00_4465),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_newsessionzd2callback1072zd2_4466)),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_selectedzd2npnzd2protos1073z00_4467),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_npnzd2protoszd2)=((obj_t)BgL_npnzd2protos1074zd2_4468),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_errz00)=((obj_t)BgL_err1075z00_4469),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_receivedzd2shutdown1076zd2_5751),BUNSPEC); 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(BgL_new1155z00_5753))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_sentzd2shutdown1077zd2_5752),BUNSPEC); 
{ /* Llib/ssl.scm 412 */
 obj_t BgL_fun1883z00_5756;
BgL_fun1883z00_5756 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGL_PROCEDURE_CALL1(BgL_fun1883z00_5756, 
((obj_t)BgL_new1155z00_5753)); } 
return BgL_new1155z00_5753;} } } 

}



/* &<@anonymous:2002> */
obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4472)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda2001 */
obj_t BGl_z62lambda2001z62zz__ssl_sslz00(obj_t BgL_envz00_4473, obj_t BgL_oz00_4474, obj_t BgL_vz00_4475)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5758;
BgL_vz00_5758 = 
CBOOL(BgL_vz00_4475); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4474)))->BgL_sentzd2shutdownzd2)=((bool_t)BgL_vz00_5758),BUNSPEC);} } 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__ssl_sslz00(obj_t BgL_envz00_4476, obj_t BgL_oz00_4477)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4477)))->BgL_sentzd2shutdownzd2));} 

}



/* &<@anonymous:1995> */
obj_t BGl_z62zc3z04anonymousza31995ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4478)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1994 */
obj_t BGl_z62lambda1994z62zz__ssl_sslz00(obj_t BgL_envz00_4479, obj_t BgL_oz00_4480, obj_t BgL_vz00_4481)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5761;
BgL_vz00_5761 = 
CBOOL(BgL_vz00_4481); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4480)))->BgL_receivedzd2shutdownzd2)=((bool_t)BgL_vz00_5761),BUNSPEC);} } 

}



/* &lambda1993 */
obj_t BGl_z62lambda1993z62zz__ssl_sslz00(obj_t BgL_envz00_4482, obj_t BgL_oz00_4483)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4483)))->BgL_receivedzd2shutdownzd2));} 

}



/* &<@anonymous:1988> */
obj_t BGl_z62zc3z04anonymousza31988ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4484)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1987 */
obj_t BGl_z62lambda1987z62zz__ssl_sslz00(obj_t BgL_envz00_4485, obj_t BgL_oz00_4486, obj_t BgL_vz00_4487)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4486)))->BgL_errz00)=((obj_t)BgL_vz00_4487),BUNSPEC);} 

}



/* &lambda1986 */
obj_t BGl_z62lambda1986z62zz__ssl_sslz00(obj_t BgL_envz00_4488, obj_t BgL_oz00_4489)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4489)))->BgL_errz00);} 

}



/* &<@anonymous:1981> */
obj_t BGl_z62zc3z04anonymousza31981ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4490)
{
{ /* Llib/ssl.scm 412 */
return BUNSPEC;} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__ssl_sslz00(obj_t BgL_envz00_4491, obj_t BgL_oz00_4492, obj_t BgL_vz00_4493)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4492)))->BgL_npnzd2protoszd2)=((obj_t)BgL_vz00_4493),BUNSPEC);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__ssl_sslz00(obj_t BgL_envz00_4494, obj_t BgL_oz00_4495)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4495)))->BgL_npnzd2protoszd2);} 

}



/* &<@anonymous:1974> */
obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4496)
{
{ /* Llib/ssl.scm 412 */
return BUNSPEC;} 

}



/* &lambda1973 */
obj_t BGl_z62lambda1973z62zz__ssl_sslz00(obj_t BgL_envz00_4497, obj_t BgL_oz00_4498, obj_t BgL_vz00_4499)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4498)))->BgL_selectedzd2npnzd2protosz00)=((obj_t)BgL_vz00_4499),BUNSPEC);} 

}



/* &lambda1972 */
obj_t BGl_z62lambda1972z62zz__ssl_sslz00(obj_t BgL_envz00_4500, obj_t BgL_oz00_4501)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4501)))->BgL_selectedzd2npnzd2protosz00);} 

}



/* &<@anonymous:1967> */
obj_t BGl_z62zc3z04anonymousza31967ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4502)
{
{ /* Llib/ssl.scm 412 */
return BGl_listzd2envzd2zz__r4_pairs_and_lists_6_3z00;} 

}



/* &lambda1966 */
obj_t BGl_z62lambda1966z62zz__ssl_sslz00(obj_t BgL_envz00_4503, obj_t BgL_oz00_4504, obj_t BgL_vz00_4505)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4504)))->BgL_newsessionzd2callbackzd2)=((obj_t)
((obj_t)BgL_vz00_4505)),BUNSPEC);} 

}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__ssl_sslz00(obj_t BgL_envz00_4506, obj_t BgL_oz00_4507)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4507)))->BgL_newsessionzd2callbackzd2);} 

}



/* &<@anonymous:1960> */
obj_t BGl_z62zc3z04anonymousza31960ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4508)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__ssl_sslz00(obj_t BgL_envz00_4509, obj_t BgL_oz00_4510, obj_t BgL_vz00_4511)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4510)))->BgL_snizd2contextzd2callbackz00)=((obj_t)BgL_vz00_4511),BUNSPEC);} 

}



/* &lambda1958 */
obj_t BGl_z62lambda1958z62zz__ssl_sslz00(obj_t BgL_envz00_4512, obj_t BgL_oz00_4513)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4513)))->BgL_snizd2contextzd2callbackz00);} 

}



/* &<@anonymous:1953> */
obj_t BGl_z62zc3z04anonymousza31953ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4514)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__ssl_sslz00(obj_t BgL_envz00_4515, obj_t BgL_oz00_4516, obj_t BgL_vz00_4517)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4516)))->BgL_infozd2callbackzd2)=((obj_t)BgL_vz00_4517),BUNSPEC);} 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__ssl_sslz00(obj_t BgL_envz00_4518, obj_t BgL_oz00_4519)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4519)))->BgL_infozd2callbackzd2);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__ssl_sslz00(obj_t BgL_envz00_4520, obj_t BgL_oz00_4521, obj_t BgL_vz00_4522)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5777;
BgL_vz00_5777 = 
CBOOL(BgL_vz00_4522); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4521)))->BgL_rejectzd2unauthoriza7edz75)=((bool_t)BgL_vz00_5777),BUNSPEC);} } 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__ssl_sslz00(obj_t BgL_envz00_4523, obj_t BgL_oz00_4524)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4524)))->BgL_rejectzd2unauthoriza7edz75));} 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4525)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1940 */
obj_t BGl_z62lambda1940z62zz__ssl_sslz00(obj_t BgL_envz00_4526, obj_t BgL_oz00_4527, obj_t BgL_vz00_4528)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4527)))->BgL_serverzd2namezd2)=((obj_t)BgL_vz00_4528),BUNSPEC);} 

}



/* &lambda1939 */
obj_t BGl_z62lambda1939z62zz__ssl_sslz00(obj_t BgL_envz00_4529, obj_t BgL_oz00_4530)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4530)))->BgL_serverzd2namezd2);} 

}



/* &<@anonymous:1934> */
obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4531)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1933 */
obj_t BGl_z62lambda1933z62zz__ssl_sslz00(obj_t BgL_envz00_4532, obj_t BgL_oz00_4533, obj_t BgL_vz00_4534)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5782;
BgL_vz00_5782 = 
CBOOL(BgL_vz00_4534); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4533)))->BgL_requestzd2certzd2)=((bool_t)BgL_vz00_5782),BUNSPEC);} } 

}



/* &lambda1932 */
obj_t BGl_z62lambda1932z62zz__ssl_sslz00(obj_t BgL_envz00_4535, obj_t BgL_oz00_4536)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4536)))->BgL_requestzd2certzd2));} 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__ssl_sslz00(obj_t BgL_envz00_4537, obj_t BgL_oz00_4538, obj_t BgL_vz00_4539)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 bool_t BgL_vz00_5785;
BgL_vz00_5785 = 
CBOOL(BgL_vz00_4539); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4538)))->BgL_isserverz00)=((bool_t)BgL_vz00_5785),BUNSPEC);} } 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__ssl_sslz00(obj_t BgL_envz00_4540, obj_t BgL_oz00_4541)
{
{ /* Llib/ssl.scm 412 */
return 
BBOOL(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4541)))->BgL_isserverz00));} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__ssl_sslz00(obj_t BgL_envz00_4542, obj_t BgL_oz00_4543, obj_t BgL_vz00_4544)
{
{ /* Llib/ssl.scm 412 */
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4543)))->BgL_ctxz00)=((BgL_securezd2contextzd2_bglt)
((BgL_securezd2contextzd2_bglt)BgL_vz00_4544)),BUNSPEC);} 

}



/* &lambda1921 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1921z62zz__ssl_sslz00(obj_t BgL_envz00_4545, obj_t BgL_oz00_4546)
{
{ /* Llib/ssl.scm 412 */
return 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4546)))->BgL_ctxz00);} 

}



/* &<@anonymous:1917> */
obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4547)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zz__ssl_sslz00(obj_t BgL_envz00_4548, obj_t BgL_oz00_4549, obj_t BgL_vz00_4550)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5791;
BgL_vz00_5791 = 
FOREIGN_TO_COBJ(BgL_vz00_4550); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4549)))->BgL_z42nextzd2sessionz90)=((void *)BgL_vz00_5791),BUNSPEC);} } 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__ssl_sslz00(obj_t BgL_envz00_4551, obj_t BgL_oz00_4552)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4552)))->BgL_z42nextzd2sessionz90));} 

}



/* &<@anonymous:1910> */
obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4553)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1909 */
obj_t BGl_z62lambda1909z62zz__ssl_sslz00(obj_t BgL_envz00_4554, obj_t BgL_oz00_4555, obj_t BgL_vz00_4556)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5794;
BgL_vz00_5794 = 
FOREIGN_TO_COBJ(BgL_vz00_4556); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4555)))->BgL_z42biozd2writez90)=((void *)BgL_vz00_5794),BUNSPEC);} } 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__ssl_sslz00(obj_t BgL_envz00_4557, obj_t BgL_oz00_4558)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4558)))->BgL_z42biozd2writez90));} 

}



/* &<@anonymous:1903> */
obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4559)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1902 */
obj_t BGl_z62lambda1902z62zz__ssl_sslz00(obj_t BgL_envz00_4560, obj_t BgL_oz00_4561, obj_t BgL_vz00_4562)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5797;
BgL_vz00_5797 = 
FOREIGN_TO_COBJ(BgL_vz00_4562); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4561)))->BgL_z42biozd2readz90)=((void *)BgL_vz00_5797),BUNSPEC);} } 

}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zz__ssl_sslz00(obj_t BgL_envz00_4563, obj_t BgL_oz00_4564)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4564)))->BgL_z42biozd2readz90));} 

}



/* &<@anonymous:1894> */
obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4565)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1893 */
obj_t BGl_z62lambda1893z62zz__ssl_sslz00(obj_t BgL_envz00_4566, obj_t BgL_oz00_4567, obj_t BgL_vz00_4568)
{
{ /* Llib/ssl.scm 412 */
{ /* Llib/ssl.scm 412 */
 void * BgL_vz00_5800;
BgL_vz00_5800 = 
FOREIGN_TO_COBJ(BgL_vz00_4568); 
return 
((((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4567)))->BgL_z42nativez42)=((void *)BgL_vz00_5800),BUNSPEC);} } 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__ssl_sslz00(obj_t BgL_envz00_4569, obj_t BgL_oz00_4570)
{
{ /* Llib/ssl.scm 412 */
return 
void_star_to_obj(
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_oz00_4570)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1854> */
obj_t BGl_z62zc3z04anonymousza31854ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4571, obj_t BgL_new1059z00_4572)
{
{ /* Llib/ssl.scm 406 */
{ 
 BgL_securezd2contextzd2_bglt BgL_auxz00_10565;
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4572)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4572)))->BgL_z42cazd2storez90)=((void *)
0L),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4572)))->BgL_methodz00)=((obj_t)BGl_string3208z00zz__ssl_sslz00),BUNSPEC); 
BgL_auxz00_10565 = 
((BgL_securezd2contextzd2_bglt)BgL_new1059z00_4572); 
return 
((obj_t)BgL_auxz00_10565);} } 

}



/* &lambda1852 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1852z62zz__ssl_sslz00(obj_t BgL_envz00_4573)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1058z00_5803;
BgL_new1058z00_5803 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 406 */
 long BgL_arg1853z00_5804;
BgL_arg1853z00_5804 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_5803), BgL_arg1853z00_5804); } 
return BgL_new1058z00_5803;} } 

}



/* &lambda1849 */
BgL_securezd2contextzd2_bglt BGl_z62lambda1849z62zz__ssl_sslz00(obj_t BgL_envz00_4574, obj_t BgL_z42native1055z42_4575, obj_t BgL_z42cazd2store1056z90_4576, obj_t BgL_method1057z00_4577)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_z42native1055z42_5805; void * BgL_z42cazd2store1056z90_5806;
BgL_z42native1055z42_5805 = 
FOREIGN_TO_COBJ(BgL_z42native1055z42_4575); 
BgL_z42cazd2store1056z90_5806 = 
FOREIGN_TO_COBJ(BgL_z42cazd2store1056z90_4576); 
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1153z00_5808;
{ /* Llib/ssl.scm 406 */
 BgL_securezd2contextzd2_bglt BgL_new1152z00_5809;
BgL_new1152z00_5809 = 
((BgL_securezd2contextzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_securezd2contextzd2_bgl) ))); 
{ /* Llib/ssl.scm 406 */
 long BgL_arg1851z00_5810;
BgL_arg1851z00_5810 = 
BGL_CLASS_NUM(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_5809), BgL_arg1851z00_5810); } 
BgL_new1153z00_5808 = BgL_new1152z00_5809; } 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5808))->BgL_z42nativez42)=((void *)BgL_z42native1055z42_5805),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5808))->BgL_z42cazd2storez90)=((void *)BgL_z42cazd2store1056z90_5806),BUNSPEC); 
((((BgL_securezd2contextzd2_bglt)COBJECT(BgL_new1153z00_5808))->BgL_methodz00)=((obj_t)
((obj_t)BgL_method1057z00_4577)),BUNSPEC); 
{ /* Llib/ssl.scm 406 */
 obj_t BgL_fun1850z00_5811;
BgL_fun1850z00_5811 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGL_PROCEDURE_CALL1(BgL_fun1850z00_5811, 
((obj_t)BgL_new1153z00_5808)); } 
return BgL_new1153z00_5808;} } } 

}



/* &<@anonymous:1876> */
obj_t BGl_z62zc3z04anonymousza31876ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4578)
{
{ /* Llib/ssl.scm 406 */
return BGl_string3209z00zz__ssl_sslz00;} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__ssl_sslz00(obj_t BgL_envz00_4579, obj_t BgL_oz00_4580, obj_t BgL_vz00_4581)
{
{ /* Llib/ssl.scm 406 */
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4580)))->BgL_methodz00)=((obj_t)
((obj_t)BgL_vz00_4581)),BUNSPEC);} 

}



/* &lambda1874 */
obj_t BGl_z62lambda1874z62zz__ssl_sslz00(obj_t BgL_envz00_4582, obj_t BgL_oz00_4583)
{
{ /* Llib/ssl.scm 406 */
return 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4583)))->BgL_methodz00);} 

}



/* &<@anonymous:1869> */
obj_t BGl_z62zc3z04anonymousza31869ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4584)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__ssl_sslz00(obj_t BgL_envz00_4585, obj_t BgL_oz00_4586, obj_t BgL_vz00_4587)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_vz00_5816;
BgL_vz00_5816 = 
FOREIGN_TO_COBJ(BgL_vz00_4587); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4586)))->BgL_z42cazd2storez90)=((void *)BgL_vz00_5816),BUNSPEC);} } 

}



/* &lambda1867 */
obj_t BGl_z62lambda1867z62zz__ssl_sslz00(obj_t BgL_envz00_4588, obj_t BgL_oz00_4589)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4589)))->BgL_z42cazd2storez90));} 

}



/* &<@anonymous:1862> */
obj_t BGl_z62zc3z04anonymousza31862ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4590)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(0L);} 

}



/* &lambda1861 */
obj_t BGl_z62lambda1861z62zz__ssl_sslz00(obj_t BgL_envz00_4591, obj_t BgL_oz00_4592, obj_t BgL_vz00_4593)
{
{ /* Llib/ssl.scm 406 */
{ /* Llib/ssl.scm 406 */
 void * BgL_vz00_5819;
BgL_vz00_5819 = 
FOREIGN_TO_COBJ(BgL_vz00_4593); 
return 
((((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4592)))->BgL_z42nativez42)=((void *)BgL_vz00_5819),BUNSPEC);} } 

}



/* &lambda1860 */
obj_t BGl_z62lambda1860z62zz__ssl_sslz00(obj_t BgL_envz00_4594, obj_t BgL_oz00_4595)
{
{ /* Llib/ssl.scm 406 */
return 
void_star_to_obj(
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_oz00_4595)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1800> */
obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4596, obj_t BgL_new1053z00_4597)
{
{ /* Llib/ssl.scm 302 */
{ 
 BgL_privatezd2keyzd2_bglt BgL_auxz00_10615;
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4597)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10615 = 
((BgL_privatezd2keyzd2_bglt)BgL_new1053z00_4597); 
return 
((obj_t)BgL_auxz00_10615);} } 

}



/* &lambda1796 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1796z62zz__ssl_sslz00(obj_t BgL_envz00_4598)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1052z00_5822;
BgL_new1052z00_5822 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1799z00_5823;
BgL_arg1799z00_5823 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_5822), BgL_arg1799z00_5823); } 
return BgL_new1052z00_5822;} } 

}



/* &lambda1793 */
BgL_privatezd2keyzd2_bglt BGl_z62lambda1793z62zz__ssl_sslz00(obj_t BgL_envz00_4599, obj_t BgL_z42native1051z42_4600)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_z42native1051z42_5824;
BgL_z42native1051z42_5824 = 
FOREIGN_TO_COBJ(BgL_z42native1051z42_4600); 
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1151z00_5825;
{ /* Llib/ssl.scm 302 */
 BgL_privatezd2keyzd2_bglt BgL_new1150z00_5826;
BgL_new1150z00_5826 = 
((BgL_privatezd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_privatezd2keyzd2_bgl) ))); 
{ /* Llib/ssl.scm 302 */
 long BgL_arg1795z00_5827;
BgL_arg1795z00_5827 = 
BGL_CLASS_NUM(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_5826), BgL_arg1795z00_5827); } 
BgL_new1151z00_5825 = BgL_new1150z00_5826; } 
((((BgL_privatezd2keyzd2_bglt)COBJECT(BgL_new1151z00_5825))->BgL_z42nativez42)=((void *)BgL_z42native1051z42_5824),BUNSPEC); 
return BgL_new1151z00_5825;} } } 

}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__ssl_sslz00(obj_t BgL_envz00_4601, obj_t BgL_oz00_4602, obj_t BgL_vz00_4603)
{
{ /* Llib/ssl.scm 302 */
{ /* Llib/ssl.scm 302 */
 void * BgL_vz00_5829;
BgL_vz00_5829 = 
FOREIGN_TO_COBJ(BgL_vz00_4603); 
return 
((((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4602)))->BgL_z42nativez42)=((void *)BgL_vz00_5829),BUNSPEC);} } 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__ssl_sslz00(obj_t BgL_envz00_4604, obj_t BgL_oz00_4605)
{
{ /* Llib/ssl.scm 302 */
return 
void_star_to_obj(
(((BgL_privatezd2keyzd2_bglt)COBJECT(
((BgL_privatezd2keyzd2_bglt)BgL_oz00_4605)))->BgL_z42nativez42));} 

}



/* &<@anonymous:1772> */
obj_t BGl_z62zc3z04anonymousza31772ze3ze5zz__ssl_sslz00(obj_t BgL_envz00_4606, obj_t BgL_new1049z00_4607)
{
{ /* Llib/ssl.scm 299 */
{ 
 BgL_certificatez00_bglt BgL_auxz00_10637;
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_new1049z00_4607)))->BgL_z42nativez42)=((void *)
0L),BUNSPEC); 
BgL_auxz00_10637 = 
((BgL_certificatez00_bglt)BgL_new1049z00_4607); 
return 
((obj_t)BgL_auxz00_10637);} } 

}



/* &lambda1770 */
BgL_certificatez00_bglt BGl_z62lambda1770z62zz__ssl_sslz00(obj_t BgL_envz00_4608)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1048z00_5832;
BgL_new1048z00_5832 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1771z00_5833;
BgL_arg1771z00_5833 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1048z00_5832), BgL_arg1771z00_5833); } 
return BgL_new1048z00_5832;} } 

}



/* &lambda1763 */
BgL_certificatez00_bglt BGl_z62lambda1763z62zz__ssl_sslz00(obj_t BgL_envz00_4609, obj_t BgL_z42native1047z42_4610)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_z42native1047z42_5834;
BgL_z42native1047z42_5834 = 
FOREIGN_TO_COBJ(BgL_z42native1047z42_4610); 
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1149z00_5835;
{ /* Llib/ssl.scm 299 */
 BgL_certificatez00_bglt BgL_new1148z00_5836;
BgL_new1148z00_5836 = 
((BgL_certificatez00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_certificatez00_bgl) ))); 
{ /* Llib/ssl.scm 299 */
 long BgL_arg1769z00_5837;
BgL_arg1769z00_5837 = 
BGL_CLASS_NUM(BGl_certificatez00zz__ssl_sslz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_5836), BgL_arg1769z00_5837); } 
BgL_new1149z00_5835 = BgL_new1148z00_5836; } 
((((BgL_certificatez00_bglt)COBJECT(BgL_new1149z00_5835))->BgL_z42nativez42)=((void *)BgL_z42native1047z42_5834),BUNSPEC); 
return BgL_new1149z00_5835;} } } 

}



/* &lambda1777 */
obj_t BGl_z62lambda1777z62zz__ssl_sslz00(obj_t BgL_envz00_4611, obj_t BgL_oz00_4612, obj_t BgL_vz00_4613)
{
{ /* Llib/ssl.scm 299 */
{ /* Llib/ssl.scm 299 */
 void * BgL_vz00_5839;
BgL_vz00_5839 = 
FOREIGN_TO_COBJ(BgL_vz00_4613); 
return 
((((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4612)))->BgL_z42nativez42)=((void *)BgL_vz00_5839),BUNSPEC);} } 

}



/* &lambda1776 */
obj_t BGl_z62lambda1776z62zz__ssl_sslz00(obj_t BgL_envz00_4614, obj_t BgL_oz00_4615)
{
{ /* Llib/ssl.scm 299 */
return 
void_star_to_obj(
(((BgL_certificatez00_bglt)COBJECT(
((BgL_certificatez00_bglt)BgL_oz00_4615)))->BgL_z42nativez42));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3210z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3211z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3212z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3213z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, BGl_proc3214z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3215z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, BGl_proc3216z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3217z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, BGl_proc3218z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3219z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, BGl_proc3220z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3221z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, BGl_proc3222z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3223z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, BGl_proc3224z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3225z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, BGl_proc3226z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3227z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, BGl_proc3228z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3229z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, BGl_proc3230z00zz__ssl_sslz00, BGl_securezd2contextzd2zz__ssl_sslz00, BGl_string3231z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3232z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3233z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, BGl_proc3234z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3235z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, BGl_proc3236z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3237z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, BGl_proc3238z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3239z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, BGl_proc3240z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3241z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, BGl_proc3242z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3243z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, BGl_proc3244z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3245z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, BGl_proc3246z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3247z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, BGl_proc3248z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3249z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3250z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3251z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, BGl_proc3252z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3253z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3254z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3255z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3256z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3257z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, BGl_proc3258z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3259z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, BGl_proc3260z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3261z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, BGl_proc3262z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3263z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, BGl_proc3264z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3265z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, BGl_proc3266z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3267z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, BGl_proc3268z00zz__ssl_sslz00, BGl_sslzd2connectionzd2zz__ssl_sslz00, BGl_string3269z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2initzd2envz00zz__ssl_sslz00, BGl_proc3270z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3271z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, BGl_proc3272z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3273z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, BGl_proc3274z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3275z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, BGl_proc3276z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3277z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, BGl_proc3278z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3279z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3280z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3281z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, BGl_proc3282z00zz__ssl_sslz00, BGl_dhz00zz__ssl_sslz00, BGl_string3283z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3284z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3285z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3286z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3287z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3288z00zz__ssl_sslz00, BGl_sslzd2hashzd2zz__ssl_sslz00, BGl_string3289z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, BGl_proc3290z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3291z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3292z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3293z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, BGl_proc3294z00zz__ssl_sslz00, BGl_sslzd2hmaczd2zz__ssl_sslz00, BGl_string3295z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3296z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3297z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3298z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3299z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, BGl_proc3300z00zz__ssl_sslz00, BGl_sslzd2signzd2zz__ssl_sslz00, BGl_string3301z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3302z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3303z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3304z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3305z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3306z00zz__ssl_sslz00, BGl_sslzd2verifyzd2zz__ssl_sslz00, BGl_string3307z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, BGl_proc3308z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3309z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, BGl_proc3310z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3311z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, BGl_proc3312z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3313z00zz__ssl_sslz00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, BGl_proc3314z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3315z00zz__ssl_sslz00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, BGl_proc3316z00zz__ssl_sslz00, BGl_sslzd2cipherzd2zz__ssl_sslz00, BGl_string3317z00zz__ssl_sslz00);} 

}



/* &ssl-cipher-final1356 */
obj_t BGl_z62sslzd2cipherzd2final1356z62zz__ssl_sslz00(obj_t BgL_envz00_4678, obj_t BgL_sslzd2cipherzd2_4679)
{
{ /* Llib/ssl.scm 1397 */
return 
bgl_cipher_final(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4679));} 

}



/* &ssl-cipher-set-auto-1354 */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd21354z62zz__ssl_sslz00(obj_t BgL_envz00_4680, obj_t BgL_sslzd2cipherzd2_4681, obj_t BgL_autozd2paddingzd2_4682)
{
{ /* Llib/ssl.scm 1387 */
{ /* Llib/ssl.scm 1390 */
 bool_t BgL_tmpz00_10715;
{ /* Llib/ssl.scm 1390 */
 bool_t BgL_autozd2paddingzd2_5843;
BgL_autozd2paddingzd2_5843 = 
CBOOL(BgL_autozd2paddingzd2_4682); 
BgL_tmpz00_10715 = 
bgl_cipher_set_auto_padding(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4681), BgL_autozd2paddingzd2_5843); } 
return 
BBOOL(BgL_tmpz00_10715);} } 

}



/* &ssl-cipher-update!1352 */
obj_t BGl_z62sslzd2cipherzd2updatez121352z70zz__ssl_sslz00(obj_t BgL_envz00_4683, obj_t BgL_sslzd2cipherzd2_4684, obj_t BgL_dataz00_4685, obj_t BgL_offsetz00_4686, obj_t BgL_lenz00_4687)
{
{ /* Llib/ssl.scm 1376 */
{ /* Llib/ssl.scm 1379 */
 long BgL_offsetz00_5846; long BgL_lenz00_5847;
BgL_offsetz00_5846 = 
(long)CINT(BgL_offsetz00_4686); 
BgL_lenz00_5847 = 
(long)CINT(BgL_lenz00_4687); 
{ /* Llib/ssl.scm 1379 */
 obj_t BgL__ortest_1147z00_5848;
BgL__ortest_1147z00_5848 = 
bgl_cipher_update(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4684), 
((obj_t)BgL_dataz00_4685), BgL_offsetz00_5846, BgL_lenz00_5847); 
if(
CBOOL(BgL__ortest_1147z00_5848))
{ /* Llib/ssl.scm 1379 */
return BgL__ortest_1147z00_5848;}  else 
{ /* Llib/ssl.scm 1379 */
return 
BGl_errorz00zz__errorz00(BGl_string3318z00zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4684)));} } } } 

}



/* &ssl-cipher-initiv1350 */
obj_t BGl_z62sslzd2cipherzd2initiv1350z62zz__ssl_sslz00(obj_t BgL_envz00_4688, obj_t BgL_sslzd2cipherzd2_4689, obj_t BgL_cipherz00_4690, obj_t BgL_keyz00_4691, obj_t BgL_offsetz00_4692, obj_t BgL_lenz00_4693, obj_t BgL_ivz00_4694, obj_t BgL_ivoffsetz00_4695, obj_t BgL_ivlenz00_4696, obj_t BgL_encz00_4697)
{
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1365 */
 long BgL_offsetz00_5852; long BgL_lenz00_5853; long BgL_ivoffsetz00_5855; long BgL_ivlenz00_5856; bool_t BgL_encz00_5857;
BgL_offsetz00_5852 = 
(long)CINT(BgL_offsetz00_4692); 
BgL_lenz00_5853 = 
(long)CINT(BgL_lenz00_4693); 
BgL_ivoffsetz00_5855 = 
(long)CINT(BgL_ivoffsetz00_4695); 
BgL_ivlenz00_5856 = 
(long)CINT(BgL_ivlenz00_4696); 
BgL_encz00_5857 = 
CBOOL(BgL_encz00_4697); 
if(
bgl_ssl_cipher_initiv(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4689), 
((obj_t)BgL_cipherz00_4690), 
((obj_t)BgL_keyz00_4691), BgL_offsetz00_5852, BgL_lenz00_5853, 
((obj_t)BgL_ivz00_4694), BgL_ivoffsetz00_5855, BgL_ivlenz00_5856, BgL_encz00_5857))
{ /* Llib/ssl.scm 1365 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1369 */
 obj_t BgL_arg2366z00_5858;
BgL_arg2366z00_5858 = 
bgl_ssl_error_string(); 
return 
BGl_errorz00zz__errorz00(BGl_string3320z00zz__ssl_sslz00, BgL_arg2366z00_5858, 
((obj_t)
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4689)));} } } 

}



/* &ssl-cipher-init1348 */
obj_t BGl_z62sslzd2cipherzd2init1348z62zz__ssl_sslz00(obj_t BgL_envz00_4698, obj_t BgL_sslzd2cipherzd2_4699, obj_t BgL_cipherz00_4700, obj_t BgL_keyz00_4701, obj_t BgL_offsetz00_4702, obj_t BgL_lenz00_4703, obj_t BgL_encz00_4704)
{
{ /* Llib/ssl.scm 1345 */
{ 
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_10745;
{ /* Llib/ssl.scm 1350 */
 long BgL_offsetz00_5862; long BgL_lenz00_5863; bool_t BgL_encz00_5864;
BgL_offsetz00_5862 = 
(long)CINT(BgL_offsetz00_4702); 
BgL_lenz00_5863 = 
(long)CINT(BgL_lenz00_4703); 
BgL_encz00_5864 = 
CBOOL(BgL_encz00_4704); 
if(
bgl_ssl_cipher_init(
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4699), 
((obj_t)BgL_cipherz00_4700), 
((obj_t)BgL_keyz00_4701), BgL_offsetz00_5862, BgL_lenz00_5863, BgL_encz00_5864))
{ /* Llib/ssl.scm 1350 */BFALSE; }  else 
{ /* Llib/ssl.scm 1350 */
BGl_errorz00zz__errorz00(BGl_string3321z00zz__ssl_sslz00, 
bgl_ssl_error_string(), 
((obj_t)BgL_cipherz00_4700)); } 
BgL_auxz00_10745 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_4699); } 
return 
((obj_t)BgL_auxz00_10745);} } 

}



/* &ssl-verify-final1346 */
obj_t BGl_z62sslzd2verifyzd2final1346z62zz__ssl_sslz00(obj_t BgL_envz00_4705, obj_t BgL_sslzd2verifyzd2_4706, obj_t BgL_keyz00_4707, obj_t BgL_koffsetz00_4708, obj_t BgL_klenz00_4709, obj_t BgL_sigz00_4710, obj_t BgL_soffsetz00_4711, obj_t BgL_slenz00_4712)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1336 */
 bool_t BgL_tmpz00_10759;
{ /* Llib/ssl.scm 1336 */
 long BgL_koffsetz00_5867; long BgL_klenz00_5868; long BgL_soffsetz00_5870; long BgL_slenz00_5871;
BgL_koffsetz00_5867 = 
(long)CINT(BgL_koffsetz00_4708); 
BgL_klenz00_5868 = 
(long)CINT(BgL_klenz00_4709); 
BgL_soffsetz00_5870 = 
(long)CINT(BgL_soffsetz00_4711); 
BgL_slenz00_5871 = 
(long)CINT(BgL_slenz00_4712); 
BgL_tmpz00_10759 = 
bgl_ssl_verify_final(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4706), 
((obj_t)BgL_keyz00_4707), BgL_koffsetz00_5867, BgL_klenz00_5868, 
((obj_t)BgL_sigz00_4710), BgL_soffsetz00_5870, BgL_slenz00_5871); } 
return 
BBOOL(BgL_tmpz00_10759);} } 

}



/* &ssl-verify-update!1344 */
obj_t BGl_z62sslzd2verifyzd2updatez121344z70zz__ssl_sslz00(obj_t BgL_envz00_4713, obj_t BgL_sslzd2verifyzd2_4714, obj_t BgL_dataz00_4715, obj_t BgL_offsetz00_4716, obj_t BgL_lenz00_4717)
{
{ /* Llib/ssl.scm 1319 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10769;
{ /* Llib/ssl.scm 1322 */
 long BgL_offsetz00_5874; long BgL_lenz00_5875;
BgL_offsetz00_5874 = 
(long)CINT(BgL_offsetz00_4716); 
BgL_lenz00_5875 = 
(long)CINT(BgL_lenz00_4717); 
if(
bgl_ssl_verify_update(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4714), 
((obj_t)BgL_dataz00_4715), BgL_offsetz00_5874, BgL_lenz00_5875))
{ /* Llib/ssl.scm 1322 */BFALSE; }  else 
{ /* Llib/ssl.scm 1322 */
BGl_errorz00zz__errorz00(BGl_string3322z00zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4714))); } 
BgL_auxz00_10769 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4714); } 
return 
((obj_t)BgL_auxz00_10769);} } 

}



/* &ssl-verify-init1342 */
obj_t BGl_z62sslzd2verifyzd2init1342z62zz__ssl_sslz00(obj_t BgL_envz00_4718, obj_t BgL_sslzd2verifyzd2_4719, obj_t BgL_verifyz00_4720)
{
{ /* Llib/ssl.scm 1307 */
{ 
 BgL_sslzd2verifyzd2_bglt BgL_auxz00_10781;
if(
bgl_ssl_verify_init(
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4719), 
((obj_t)BgL_verifyz00_4720)))
{ /* Llib/ssl.scm 1310 */BFALSE; }  else 
{ /* Llib/ssl.scm 1310 */
BGl_errorz00zz__errorz00(BGl_string3323z00zz__ssl_sslz00, BGl_string3324z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4719))); } 
BgL_auxz00_10781 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4719); 
return 
((obj_t)BgL_auxz00_10781);} } 

}



/* &ssl-sign-sign1340 */
obj_t BGl_z62sslzd2signzd2sign1340z62zz__ssl_sslz00(obj_t BgL_envz00_4721, obj_t BgL_sslzd2signzd2_4722, obj_t BgL_keyz00_4723, obj_t BgL_offsetz00_4724, obj_t BgL_lenz00_4725)
{
{ /* Llib/ssl.scm 1296 */
{ /* Llib/ssl.scm 1299 */
 long BgL_offsetz00_5880; long BgL_lenz00_5881;
BgL_offsetz00_5880 = 
(long)CINT(BgL_offsetz00_4724); 
BgL_lenz00_5881 = 
(long)CINT(BgL_lenz00_4725); 
{ /* Llib/ssl.scm 1299 */
 obj_t BgL_rz00_5882;
BgL_rz00_5882 = 
bgl_ssl_sign_sign(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4722), 
((obj_t)BgL_keyz00_4723), BgL_offsetz00_5880, BgL_lenz00_5881); 
if(
CBOOL(BgL_rz00_5882))
{ /* Llib/ssl.scm 1300 */
return BgL_rz00_5882;}  else 
{ /* Llib/ssl.scm 1300 */
return 
BGl_errorz00zz__errorz00(BGl_string3325z00zz__ssl_sslz00, BGl_string3326z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4722)));} } } } 

}



/* &ssl-sign-update!1338 */
obj_t BGl_z62sslzd2signzd2updatez121338z70zz__ssl_sslz00(obj_t BgL_envz00_4726, obj_t BgL_sslzd2signzd2_4727, obj_t BgL_dataz00_4728, obj_t BgL_offsetz00_4729, obj_t BgL_lenz00_4730)
{
{ /* Llib/ssl.scm 1284 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10801;
{ /* Llib/ssl.scm 1287 */
 long BgL_offsetz00_5885; long BgL_lenz00_5886;
BgL_offsetz00_5885 = 
(long)CINT(BgL_offsetz00_4729); 
BgL_lenz00_5886 = 
(long)CINT(BgL_lenz00_4730); 
if(
bgl_ssl_sign_update(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4727), 
((obj_t)BgL_dataz00_4728), BgL_offsetz00_5885, BgL_lenz00_5886))
{ /* Llib/ssl.scm 1287 */BFALSE; }  else 
{ /* Llib/ssl.scm 1287 */
BGl_errorz00zz__errorz00(BGl_string3327z00zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4727))); } 
BgL_auxz00_10801 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4727); } 
return 
((obj_t)BgL_auxz00_10801);} } 

}



/* &ssl-sign-init1336 */
obj_t BGl_z62sslzd2signzd2init1336z62zz__ssl_sslz00(obj_t BgL_envz00_4731, obj_t BgL_sslzd2signzd2_4732, obj_t BgL_signz00_4733)
{
{ /* Llib/ssl.scm 1272 */
{ 
 BgL_sslzd2signzd2_bglt BgL_auxz00_10813;
if(
bgl_ssl_sign_init(
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4732), 
((obj_t)BgL_signz00_4733)))
{ /* Llib/ssl.scm 1275 */BFALSE; }  else 
{ /* Llib/ssl.scm 1275 */
BGl_errorz00zz__errorz00(BGl_string3328z00zz__ssl_sslz00, BGl_string3329z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4732))); } 
BgL_auxz00_10813 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4732); 
return 
((obj_t)BgL_auxz00_10813);} } 

}



/* &ssl-hmac-digest1334 */
obj_t BGl_z62sslzd2hmaczd2digest1334z62zz__ssl_sslz00(obj_t BgL_envz00_4734, obj_t BgL_sslzd2hmaczd2_4735)
{
{ /* Llib/ssl.scm 1261 */
{ /* Llib/ssl.scm 1264 */
 obj_t BgL_rz00_5890;
BgL_rz00_5890 = 
bgl_ssl_hmac_digest(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4735)); 
if(
CBOOL(BgL_rz00_5890))
{ /* Llib/ssl.scm 1265 */
return BgL_rz00_5890;}  else 
{ /* Llib/ssl.scm 1265 */
return 
BGl_errorz00zz__errorz00(BGl_string3330z00zz__ssl_sslz00, BGl_string3331z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4735)));} } } 

}



/* &ssl-hmac-update!1332 */
obj_t BGl_z62sslzd2hmaczd2updatez121332z70zz__ssl_sslz00(obj_t BgL_envz00_4736, obj_t BgL_sslzd2hmaczd2_4737, obj_t BgL_dataz00_4738, obj_t BgL_offsetz00_4739, obj_t BgL_lenz00_4740)
{
{ /* Llib/ssl.scm 1249 */
{ 
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_10830;
{ /* Llib/ssl.scm 1252 */
 long BgL_offsetz00_5893; long BgL_lenz00_5894;
BgL_offsetz00_5893 = 
(long)CINT(BgL_offsetz00_4739); 
BgL_lenz00_5894 = 
(long)CINT(BgL_lenz00_4740); 
if(
bgl_ssl_hmac_update(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4737), 
((obj_t)BgL_dataz00_4738), BgL_offsetz00_5893, BgL_lenz00_5894))
{ /* Llib/ssl.scm 1252 */BFALSE; }  else 
{ /* Llib/ssl.scm 1252 */
BGl_errorz00zz__errorz00(BGl_string3332z00zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4737))); } 
BgL_auxz00_10830 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4737); } 
return 
((obj_t)BgL_auxz00_10830);} } 

}



/* &ssl-hmac-init1330 */
obj_t BGl_z62sslzd2hmaczd2init1330z62zz__ssl_sslz00(obj_t BgL_envz00_4741, obj_t BgL_sslzd2hmaczd2_4742, obj_t BgL_hmacz00_4743, obj_t BgL_keyz00_4744)
{
{ /* Llib/ssl.scm 1237 */
if(
bgl_ssl_hmac_init(
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4742), 
((obj_t)BgL_hmacz00_4743), 
((obj_t)BgL_keyz00_4744)))
{ /* Llib/ssl.scm 1240 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1240 */
BGl_errorz00zz__errorz00(BGl_string3333z00zz__ssl_sslz00, BGl_string3334z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4742))); 
return 
((obj_t)
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4742));} } 

}



/* &ssl-hash-digest1328 */
obj_t BGl_z62sslzd2hashzd2digest1328z62zz__ssl_sslz00(obj_t BgL_envz00_4745, obj_t BgL_sslzd2hashzd2_4746)
{
{ /* Llib/ssl.scm 1226 */
{ /* Llib/ssl.scm 1229 */
 obj_t BgL_rz00_5899;
BgL_rz00_5899 = 
bgl_ssl_hash_digest(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4746)); 
if(
CBOOL(BgL_rz00_5899))
{ /* Llib/ssl.scm 1230 */
return BgL_rz00_5899;}  else 
{ /* Llib/ssl.scm 1230 */
return 
BGl_errorz00zz__errorz00(BGl_string3335z00zz__ssl_sslz00, BGl_string3331z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4746)));} } } 

}



/* &ssl-hash-update!1326 */
obj_t BGl_z62sslzd2hashzd2updatez121326z70zz__ssl_sslz00(obj_t BgL_envz00_4747, obj_t BgL_sslzd2hashzd2_4748, obj_t BgL_dataz00_4749, obj_t BgL_offsetz00_4750, obj_t BgL_lenz00_4751)
{
{ /* Llib/ssl.scm 1214 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10859;
{ /* Llib/ssl.scm 1217 */
 long BgL_offsetz00_5902; long BgL_lenz00_5903;
BgL_offsetz00_5902 = 
(long)CINT(BgL_offsetz00_4750); 
BgL_lenz00_5903 = 
(long)CINT(BgL_lenz00_4751); 
if(
bgl_ssl_hash_update(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4748), 
((obj_t)BgL_dataz00_4749), BgL_offsetz00_5902, BgL_lenz00_5903))
{ /* Llib/ssl.scm 1217 */BFALSE; }  else 
{ /* Llib/ssl.scm 1217 */
BGl_errorz00zz__errorz00(BGl_string3336z00zz__ssl_sslz00, BGl_string3319z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4748))); } 
BgL_auxz00_10859 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4748); } 
return 
((obj_t)BgL_auxz00_10859);} } 

}



/* &ssl-hash-init1324 */
obj_t BGl_z62sslzd2hashzd2init1324z62zz__ssl_sslz00(obj_t BgL_envz00_4752, obj_t BgL_sslzd2hashzd2_4753)
{
{ /* Llib/ssl.scm 1202 */
{ 
 BgL_sslzd2hashzd2_bglt BgL_auxz00_10871;
if(
bgl_ssl_hash_init(
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4753)))
{ /* Llib/ssl.scm 1205 */BFALSE; }  else 
{ /* Llib/ssl.scm 1205 */
BGl_errorz00zz__errorz00(BGl_string3337z00zz__ssl_sslz00, BGl_string3334z00zz__ssl_sslz00, 
((obj_t)
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4753))); } 
BgL_auxz00_10871 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4753); 
return 
((obj_t)BgL_auxz00_10871);} } 

}



/* &dh-generate-key1322 */
obj_t BGl_z62dhzd2generatezd2key1322z62zz__ssl_sslz00(obj_t BgL_envz00_4754, obj_t BgL_dhz00_4755)
{
{ /* Llib/ssl.scm 1191 */
{ /* Llib/ssl.scm 1194 */
 bool_t BgL_tmpz00_10880;
{ /* Llib/ssl.scm 1195 */
 bool_t BgL_test4145z00_10881;
{ /* Llib/ssl.scm 1195 */
 int BgL_arg2339z00_5906;
{ /* Llib/ssl.scm 1195 */
 void * BgL_tmpz00_10882;
BgL_tmpz00_10882 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4755)))->BgL_z42nativez42); 
BgL_arg2339z00_5906 = 
DH_generate_key(BgL_tmpz00_10882); } 
BgL_test4145z00_10881 = 
(
(long)(BgL_arg2339z00_5906)==0L); } 
if(BgL_test4145z00_10881)
{ /* Llib/ssl.scm 1195 */
BgL_tmpz00_10880 = ((bool_t)0)
; }  else 
{ /* Llib/ssl.scm 1195 */
BgL_tmpz00_10880 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_10880);} } 

}



/* &dh-compute-key1320 */
obj_t BGl_z62dhzd2computezd2key1320z62zz__ssl_sslz00(obj_t BgL_envz00_4756, obj_t BgL_dhz00_4757, obj_t BgL_keyz00_4758)
{
{ /* Llib/ssl.scm 1165 */
{ /* Llib/ssl.scm 1169 */
 int BgL_siza7eza7_5909;
BgL_siza7eza7_5909 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(
((BgL_dhz00_bglt)BgL_dhz00_4757)); 
{ /* Llib/ssl.scm 1169 */
 obj_t BgL_strz00_5910;
{ /* Llib/ssl.scm 1170 */

BgL_strz00_5910 = 
make_string(
(long)(BgL_siza7eza7_5909), ((unsigned char)' ')); } 
{ /* Llib/ssl.scm 1170 */

{ /* Llib/ssl.scm 1171 */
 int BgL_sza7za7_5911;
{ /* Llib/ssl.scm 1171 */
 void * BgL_arg2333z00_5912; void * BgL_arg2334z00_5913;
{ /* Llib/ssl.scm 1171 */
 obj_t BgL_tmpz00_10893;
BgL_tmpz00_10893 = 
((obj_t)BgL_keyz00_4758); 
BgL_arg2333z00_5912 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10893); } 
BgL_arg2334z00_5913 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4757)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1171 */
 char * BgL_tmpz00_10898;
BgL_tmpz00_10898 = 
BSTRING_TO_STRING(BgL_strz00_5910); 
BgL_sza7za7_5911 = 
DH_compute_key(BgL_tmpz00_10898, BgL_arg2333z00_5912, BgL_arg2334z00_5913); } } 
if(
(
(long)(BgL_sza7za7_5911)==(-1L)))
{ /* Llib/ssl.scm 1173 */
return BFALSE;}  else 
{ /* Llib/ssl.scm 1173 */
if(
(
(long)(BgL_sza7za7_5911)==
STRING_LENGTH(BgL_strz00_5910)))
{ /* Llib/ssl.scm 1175 */
return BgL_strz00_5910;}  else 
{ /* Llib/ssl.scm 1175 */
blit_string(BgL_strz00_5910, 0L, BgL_strz00_5910, 
(
(long)(BgL_siza7eza7_5909)-
(long)(BgL_sza7za7_5911)), 
(long)(BgL_sza7za7_5911)); 
{ /* Llib/ssl.scm 1179 */
 long BgL_g1142z00_5915;
BgL_g1142z00_5915 = 
(
(long)(BgL_siza7eza7_5909)-
(long)(BgL_sza7za7_5911)); 
{ 
 long BgL_iz00_5917;
BgL_iz00_5917 = BgL_g1142z00_5915; 
BgL_loopz00_5916:
if(
(BgL_iz00_5917>0L))
{ /* Llib/ssl.scm 1181 */
 long BgL_niz00_5918;
BgL_niz00_5918 = 
(BgL_iz00_5917-1L); 
STRING_SET(BgL_strz00_5910, BgL_niz00_5918, ((unsigned char)'\000')); 
{ 
 long BgL_iz00_10920;
BgL_iz00_10920 = BgL_niz00_5918; 
BgL_iz00_5917 = BgL_iz00_10920; 
goto BgL_loopz00_5916;} }  else 
{ /* Llib/ssl.scm 1180 */((bool_t)0); } } } 
return BgL_strz00_5910;} } } } } } } 

}



/* &dh-check-pub-key1318 */
obj_t BGl_z62dhzd2checkzd2pubzd2key1318zb0zz__ssl_sslz00(obj_t BgL_envz00_4759, obj_t BgL_dhz00_4760, obj_t BgL_keyz00_4761)
{
{ /* Llib/ssl.scm 1154 */
{ /* Llib/ssl.scm 1158 */
 void * BgL_arg2323z00_5921; void * BgL_arg2324z00_5922;
BgL_arg2323z00_5921 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4760)))->BgL_z42nativez42); 
{ /* Llib/ssl.scm 1158 */
 obj_t BgL_tmpz00_10923;
BgL_tmpz00_10923 = 
((obj_t)BgL_keyz00_4761); 
BgL_arg2324z00_5922 = 
(BIGNUM *)FOREIGN_TO_COBJ(BgL_tmpz00_10923); } 
return 
bgl_dh_check_pub_key(BgL_arg2323z00_5921, BgL_arg2324z00_5922);} } 

}



/* &dh-check1316 */
obj_t BGl_z62dhzd2check1316zb0zz__ssl_sslz00(obj_t BgL_envz00_4762, obj_t BgL_dhz00_4763)
{
{ /* Llib/ssl.scm 1143 */
return 
bgl_dh_check(
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4763)))->BgL_z42nativez42));} 

}



/* &dh-generate-paramete1314 */
obj_t BGl_z62dhzd2generatezd2paramete1314z62zz__ssl_sslz00(obj_t BgL_envz00_4764, obj_t BgL_dhz00_4765, obj_t BgL_lenz00_4766, obj_t BgL_generatorz00_4767)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1125 */
 int BgL_lenz00_5925;
BgL_lenz00_5925 = 
CINT(BgL_lenz00_4766); 
{ /* Llib/ssl.scm 1126 */
 int BgL_rz00_5927;
{ /* Llib/ssl.scm 1126 */
 void * BgL_arg2317z00_5928; obj_t BgL_arg2318z00_5929;
BgL_arg2317z00_5928 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4765)))->BgL_z42nativez42); 
if(
(
((obj_t)BgL_generatorz00_4767)==
((obj_t)
CNST_TABLE_REF(94))))
{ /* Llib/ssl.scm 1127 */
BgL_arg2318z00_5929 = 
BINT(DH_GENERATOR_2); }  else 
{ /* Llib/ssl.scm 1127 */
BgL_arg2318z00_5929 = 
BGl_errorz00zz__errorz00(BGl_string3338z00zz__ssl_sslz00, BGl_string3339z00zz__ssl_sslz00, 
((obj_t)BgL_generatorz00_4767)); } 
{ /* Llib/ssl.scm 1126 */
 int BgL_tmpz00_10941;
BgL_tmpz00_10941 = 
CINT(BgL_arg2318z00_5929); 
BgL_rz00_5927 = 
DH_generate_parameters_ex(BgL_arg2317z00_5928, BgL_lenz00_5925, BgL_tmpz00_10941, 0L); } } 
if(
(
(long)(BgL_rz00_5927)==0L))
{ /* Llib/ssl.scm 1134 */
 obj_t BgL_arg2313z00_5930; obj_t BgL_arg2314z00_5931;
BgL_arg2313z00_5930 = 
bgl_ssl_error_string(); 
{ /* Llib/ssl.scm 1135 */
 obj_t BgL_list2315z00_5932;
{ /* Llib/ssl.scm 1135 */
 obj_t BgL_arg2316z00_5933;
BgL_arg2316z00_5933 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_generatorz00_4767), BNIL); 
BgL_list2315z00_5932 = 
MAKE_YOUNG_PAIR(
BINT(BgL_lenz00_5925), BgL_arg2316z00_5933); } 
BgL_arg2314z00_5931 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3340z00zz__ssl_sslz00, BgL_list2315z00_5932); } 
return 
BGl_errorz00zz__errorz00(BGl_string3338z00zz__ssl_sslz00, BgL_arg2313z00_5930, BgL_arg2314z00_5931);}  else 
{ /* Llib/ssl.scm 1132 */
return BTRUE;} } } } 

}



/* &dh-size1312 */
obj_t BGl_z62dhzd2siza7e1312z17zz__ssl_sslz00(obj_t BgL_envz00_4768, obj_t BgL_dhz00_4769)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1116 */
 int BgL_tmpz00_10954;
{ /* Llib/ssl.scm 1116 */
 void * BgL_tmpz00_10955;
BgL_tmpz00_10955 = 
(((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4769)))->BgL_z42nativez42); 
BgL_tmpz00_10954 = 
DH_size(BgL_tmpz00_10955); } 
return 
BINT(BgL_tmpz00_10954);} } 

}



/* &dh-init1310 */
obj_t BGl_z62dhzd2init1310zb0zz__ssl_sslz00(obj_t BgL_envz00_4770, obj_t BgL_dhz00_4771)
{
{ /* Llib/ssl.scm 1103 */
return 
((((BgL_dhz00_bglt)COBJECT(
((BgL_dhz00_bglt)BgL_dhz00_4771)))->BgL_z42nativez42)=((void *)
DH_new()),BUNSPEC);} 

}



/* &ssl-connection-get-n1308 */
obj_t BGl_z62sslzd2connectionzd2getzd2n1308zb0zz__ssl_sslz00(obj_t BgL_envz00_4772, obj_t BgL_sslz00_4773)
{
{ /* Llib/ssl.scm 1093 */
return 
bgl_ssl_connection_get_negotiated_protocol(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4773));} 

}



/* &ssl-connection-reuse1306 */
obj_t BGl_z62sslzd2connectionzd2reuse1306z62zz__ssl_sslz00(obj_t BgL_envz00_4774, obj_t BgL_sslz00_4775)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1085 */
 bool_t BgL_tmpz00_10965;
{ /* Llib/ssl.scm 1086 */
 void * BgL_tmpz00_10966;
BgL_tmpz00_10966 = 
(((BgL_sslzd2connectionzd2_bglt)COBJECT(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4775)))->BgL_z42nativez42); 
BgL_tmpz00_10965 = 
SSL_session_reused(BgL_tmpz00_10966); } 
return 
BBOOL(BgL_tmpz00_10965);} } 

}



/* &ssl-connection-get-p1304 */
obj_t BGl_z62sslzd2connectionzd2getzd2p1304zb0zz__ssl_sslz00(obj_t BgL_envz00_4776, obj_t BgL_sslz00_4777)
{
{ /* Llib/ssl.scm 1072 */
return 
bgl_ssl_connection_get_peer_certificate(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4777));} 

}



/* &ssl-connection-verif1302 */
obj_t BGl_z62sslzd2connectionzd2verif1302z62zz__ssl_sslz00(obj_t BgL_envz00_4778, obj_t BgL_sslz00_4779)
{
{ /* Llib/ssl.scm 1062 */
return 
bgl_ssl_connection_verify_error(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4779));} 

}



/* &ssl-connection-load-1300 */
obj_t BGl_z62sslzd2connectionzd2loadzd21300zb0zz__ssl_sslz00(obj_t BgL_envz00_4780, obj_t BgL_sslz00_4781, obj_t BgL_bufz00_4782)
{
{ /* Llib/ssl.scm 1052 */
return 
BINT(
bgl_ssl_connection_load_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4781), 
((obj_t)BgL_bufz00_4782)));} 

}



/* &ssl-connection-get-c1298 */
obj_t BGl_z62sslzd2connectionzd2getzd2c1298zb0zz__ssl_sslz00(obj_t BgL_envz00_4783, obj_t BgL_sslz00_4784)
{
{ /* Llib/ssl.scm 1042 */
return 
bgl_ssl_connection_get_current_cipher(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4784));} 

}



/* &ssl-connection-get-s1296 */
obj_t BGl_z62sslzd2connectionzd2getzd2s1296zb0zz__ssl_sslz00(obj_t BgL_envz00_4785, obj_t BgL_sslz00_4786)
{
{ /* Llib/ssl.scm 1032 */
return 
bgl_ssl_connection_get_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4786));} 

}



/* &ssl-connection-set-s1294 */
obj_t BGl_z62sslzd2connectionzd2setzd2s1294zb0zz__ssl_sslz00(obj_t BgL_envz00_4787, obj_t BgL_sslz00_4788, obj_t BgL_bufz00_4789)
{
{ /* Llib/ssl.scm 1022 */
return 
BINT(
bgl_ssl_connection_set_session(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4788), 
((obj_t)BgL_bufz00_4789)));} 

}



/* &ssl-connection-clear1292 */
obj_t BGl_z62sslzd2connectionzd2clear1292z62zz__ssl_sslz00(obj_t BgL_envz00_4790, obj_t BgL_sslz00_4791)
{
{ /* Llib/ssl.scm 1012 */
return 
BINT(
bgl_ssl_connection_clear_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4791)));} 

}



/* &ssl-connection-enc-p1290 */
obj_t BGl_z62sslzd2connectionzd2enczd2p1290zb0zz__ssl_sslz00(obj_t BgL_envz00_4792, obj_t BgL_sslz00_4793)
{
{ /* Llib/ssl.scm 1002 */
return 
BINT(
bgl_ssl_connection_enc_pending(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4793)));} 

}



/* &ssl-connection-init-1288 */
obj_t BGl_z62sslzd2connectionzd2initzd21288zb0zz__ssl_sslz00(obj_t BgL_envz00_4794, obj_t BgL_sslz00_4795)
{
{ /* Llib/ssl.scm 992 */
return 
BBOOL(
bgl_ssl_connection_init_finishedp(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4795)));} 

}



/* &ssl-connection-clear1286 */
obj_t BGl_z62sslzd2connectionzd2clear1286z62zz__ssl_sslz00(obj_t BgL_envz00_4796, obj_t BgL_sslz00_4797, obj_t BgL_bufferz00_4798, obj_t BgL_offsetz00_4799, obj_t BgL_lenz00_4800)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 985 */
 long BgL_tmpz00_10996;
{ /* Llib/ssl.scm 985 */
 long BgL_offsetz00_5951; long BgL_lenz00_5952;
BgL_offsetz00_5951 = 
(long)CINT(BgL_offsetz00_4799); 
BgL_lenz00_5952 = 
(long)CINT(BgL_lenz00_4800); 
BgL_tmpz00_10996 = 
bgl_ssl_connection_clear_out(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4797), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4798)), BgL_offsetz00_5951, BgL_lenz00_5952); } 
return 
BINT(BgL_tmpz00_10996);} } 

}



/* &ssl-connection-clear1284 */
obj_t BGl_z62sslzd2connectionzd2clear1284z62zz__ssl_sslz00(obj_t BgL_envz00_4801, obj_t BgL_sslz00_4802, obj_t BgL_bufferz00_4803, obj_t BgL_offsetz00_4804, obj_t BgL_lenz00_4805)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 975 */
 long BgL_tmpz00_11004;
{ /* Llib/ssl.scm 975 */
 long BgL_offsetz00_5955; long BgL_lenz00_5956;
BgL_offsetz00_5955 = 
(long)CINT(BgL_offsetz00_4804); 
BgL_lenz00_5956 = 
(long)CINT(BgL_lenz00_4805); 
BgL_tmpz00_11004 = 
bgl_ssl_connection_clear_in(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4802), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4803)), BgL_offsetz00_5955, BgL_lenz00_5956); } 
return 
BINT(BgL_tmpz00_11004);} } 

}



/* &ssl-connection-write1282 */
obj_t BGl_z62sslzd2connectionzd2write1282z62zz__ssl_sslz00(obj_t BgL_envz00_4806, obj_t BgL_sslz00_4807, obj_t BgL_bufferz00_4808, obj_t BgL_offsetz00_4809, obj_t BgL_lenz00_4810)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 965 */
 long BgL_tmpz00_11012;
{ /* Llib/ssl.scm 965 */
 long BgL_offsetz00_5959; long BgL_lenz00_5960;
BgL_offsetz00_5959 = 
(long)CINT(BgL_offsetz00_4809); 
BgL_lenz00_5960 = 
(long)CINT(BgL_lenz00_4810); 
BgL_tmpz00_11012 = 
bgl_ssl_connection_write(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4807), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4808)), BgL_offsetz00_5959, BgL_lenz00_5960); } 
return 
BINT(BgL_tmpz00_11012);} } 

}



/* &ssl-connection-read1280 */
obj_t BGl_z62sslzd2connectionzd2read1280z62zz__ssl_sslz00(obj_t BgL_envz00_4811, obj_t BgL_sslz00_4812, obj_t BgL_bufferz00_4813, obj_t BgL_offsetz00_4814, obj_t BgL_lenz00_4815)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 955 */
 long BgL_tmpz00_11020;
{ /* Llib/ssl.scm 955 */
 long BgL_offsetz00_5963; long BgL_lenz00_5964;
BgL_offsetz00_5963 = 
(long)CINT(BgL_offsetz00_4814); 
BgL_lenz00_5964 = 
(long)CINT(BgL_lenz00_4815); 
BgL_tmpz00_11020 = 
bgl_ssl_connection_read(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4812), 
BSTRING_TO_STRING(
((obj_t)BgL_bufferz00_4813)), BgL_offsetz00_5963, BgL_lenz00_5964); } 
return 
BINT(BgL_tmpz00_11020);} } 

}



/* &ssl-connection-shutd1278 */
obj_t BGl_z62sslzd2connectionzd2shutd1278z62zz__ssl_sslz00(obj_t BgL_envz00_4816, obj_t BgL_sslz00_4817)
{
{ /* Llib/ssl.scm 942 */
return 
bgl_ssl_connection_shutdown(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4817));} 

}



/* &ssl-connection-close1276 */
obj_t BGl_z62sslzd2connectionzd2close1276z62zz__ssl_sslz00(obj_t BgL_envz00_4818, obj_t BgL_sslz00_4819)
{
{ /* Llib/ssl.scm 932 */
return 
BINT(
bgl_ssl_connection_close(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4819)));} 

}



/* &ssl-connection-start1274 */
obj_t BGl_z62sslzd2connectionzd2start1274z62zz__ssl_sslz00(obj_t BgL_envz00_4820, obj_t BgL_sslz00_4821)
{
{ /* Llib/ssl.scm 922 */
return 
BINT(
bgl_ssl_connection_start(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4821)));} 

}



/* &ssl-connection-init1272 */
obj_t BGl_z62sslzd2connectionzd2init1272z62zz__ssl_sslz00(obj_t BgL_envz00_4822, obj_t BgL_sslz00_4823)
{
{ /* Llib/ssl.scm 912 */
return 
bgl_ssl_connection_init(
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4823));} 

}



/* &secure-context-set-o1270 */
obj_t BGl_z62securezd2contextzd2setzd2o1270zb0zz__ssl_sslz00(obj_t BgL_envz00_4824, obj_t BgL_scz00_4825, obj_t BgL_optionsz00_4826)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 903 */
 bool_t BgL_tmpz00_11038;
{ /* Llib/ssl.scm 903 */
 int BgL_optionsz00_5970;
BgL_optionsz00_5970 = 
CINT(BgL_optionsz00_4826); 
{ /* Llib/ssl.scm 904 */
 void * BgL_arg2287z00_5971;
BgL_arg2287z00_5971 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4825)))->BgL_z42nativez42); 
SSL_CTX_set_options(BgL_arg2287z00_5971, BgL_optionsz00_5970); BUNSPEC; } 
BgL_tmpz00_11038 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_11038);} } 

}



/* &secure-context-set-c1268 */
obj_t BGl_z62securezd2contextzd2setzd2c1268zb0zz__ssl_sslz00(obj_t BgL_envz00_4827, obj_t BgL_scz00_4828, obj_t BgL_ciphersz00_4829)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 891 */
 bool_t BgL_tmpz00_11044;
{ /* Llib/ssl.scm 892 */
 char * BgL_auxz00_11048; void * BgL_tmpz00_11045;
BgL_auxz00_11048 = 
BSTRING_TO_STRING(
((obj_t)BgL_ciphersz00_4829)); 
BgL_tmpz00_11045 = 
(((BgL_securezd2contextzd2_bglt)COBJECT(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4828)))->BgL_z42nativez42); 
SSL_CTX_set_cipher_list(BgL_tmpz00_11045, BgL_auxz00_11048); } 
BgL_tmpz00_11044 = ((bool_t)1); 
return 
BBOOL(BgL_tmpz00_11044);} } 

}



/* &secure-context-load-1266 */
obj_t BGl_z62securezd2contextzd2loadzd21266zb0zz__ssl_sslz00(obj_t BgL_envz00_4830, obj_t BgL_scz00_4831, obj_t BgL_pfxz00_4832, obj_t BgL_passz00_4833)
{
{ /* Llib/ssl.scm 878 */
return 
BBOOL(
bgl_load_pkcs12(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4831), 
((obj_t)BgL_pfxz00_4832), BgL_passz00_4833));} 

}



/* &secure-context-set-s1264 */
obj_t BGl_z62securezd2contextzd2setzd2s1264zb0zz__ssl_sslz00(obj_t BgL_envz00_4834, obj_t BgL_scz00_4835, obj_t BgL_sicz00_4836, obj_t BgL_offsetz00_4837, obj_t BgL_lenz00_4838)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 871 */
 bool_t BgL_tmpz00_11057;
{ /* Llib/ssl.scm 871 */
 long BgL_offsetz00_5978; long BgL_lenz00_5979;
BgL_offsetz00_5978 = 
(long)CINT(BgL_offsetz00_4837); 
BgL_lenz00_5979 = 
(long)CINT(BgL_lenz00_4838); 
BgL_tmpz00_11057 = 
bgl_ssl_ctx_set_session_id_context(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4835), 
((obj_t)BgL_sicz00_4836), BgL_offsetz00_5978, BgL_lenz00_5979); } 
return 
BBOOL(BgL_tmpz00_11057);} } 

}



/* &secure-context-set-c1262 */
obj_t BGl_z62securezd2contextzd2setzd2c1262zb0zz__ssl_sslz00(obj_t BgL_envz00_4839, obj_t BgL_scz00_4840, obj_t BgL_certz00_4841, obj_t BgL_offsetz00_4842, obj_t BgL_lenz00_4843)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 861 */
 bool_t BgL_tmpz00_11064;
{ /* Llib/ssl.scm 861 */
 long BgL_offsetz00_5982; long BgL_lenz00_5983;
BgL_offsetz00_5982 = 
(long)CINT(BgL_offsetz00_4842); 
BgL_lenz00_5983 = 
(long)CINT(BgL_lenz00_4843); 
BgL_tmpz00_11064 = 
bgl_ssl_ctx_set_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4840), 
((obj_t)BgL_certz00_4841), BgL_offsetz00_5982, BgL_lenz00_5983); } 
return 
BBOOL(BgL_tmpz00_11064);} } 

}



/* &secure-context-set-k1252 */
obj_t BGl_z62securezd2contextzd2setzd2k1252zb0zz__ssl_sslz00(obj_t BgL_envz00_4844, obj_t BgL_scz00_4845, obj_t BgL_certz00_4846, obj_t BgL_offsetz00_4847, obj_t BgL_lenz00_4848, obj_t BgL_passphrasez00_4849)
{
{ /* Llib/ssl.scm 848 */
return 
BBOOL(
bgl_ssl_ctx_set_key(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4845), BgL_certz00_4846, 
(long)CINT(BgL_offsetz00_4847), 
(long)CINT(BgL_lenz00_4848), BgL_passphrasez00_4849));} 

}



/* &secure-context-add-c1250 */
obj_t BGl_z62securezd2contextzd2addzd2c1250zb0zz__ssl_sslz00(obj_t BgL_envz00_4850, obj_t BgL_scz00_4851, obj_t BgL_certz00_4852, obj_t BgL_offsetz00_4853, obj_t BgL_lenz00_4854)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 841 */
 bool_t BgL_tmpz00_11076;
{ /* Llib/ssl.scm 841 */
 long BgL_offsetz00_5986; long BgL_lenz00_5987;
BgL_offsetz00_5986 = 
(long)CINT(BgL_offsetz00_4853); 
BgL_lenz00_5987 = 
(long)CINT(BgL_lenz00_4854); 
BgL_tmpz00_11076 = 
bgl_ssl_ctx_add_crl(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4851), 
((obj_t)BgL_certz00_4852), BgL_offsetz00_5986, BgL_lenz00_5987); } 
return 
BBOOL(BgL_tmpz00_11076);} } 

}



/* &secure-context-add-c1248 */
obj_t BGl_z62securezd2contextzd2addzd2c1248zb0zz__ssl_sslz00(obj_t BgL_envz00_4855, obj_t BgL_scz00_4856, obj_t BgL_certz00_4857, obj_t BgL_offsetz00_4858, obj_t BgL_lenz00_4859)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 831 */
 bool_t BgL_tmpz00_11083;
{ /* Llib/ssl.scm 831 */
 long BgL_offsetz00_5990; long BgL_lenz00_5991;
BgL_offsetz00_5990 = 
(long)CINT(BgL_offsetz00_4858); 
BgL_lenz00_5991 = 
(long)CINT(BgL_lenz00_4859); 
BgL_tmpz00_11083 = 
bgl_ssl_ctx_add_ca_cert(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4856), 
((obj_t)BgL_certz00_4857), BgL_offsetz00_5990, BgL_lenz00_5991); } 
return 
BBOOL(BgL_tmpz00_11083);} } 

}



/* &secure-context-add-r1246 */
obj_t BGl_z62securezd2contextzd2addzd2r1246zb0zz__ssl_sslz00(obj_t BgL_envz00_4860, obj_t BgL_scz00_4861)
{
{ /* Llib/ssl.scm 818 */
return 
BBOOL(
bgl_ssl_ctx_add_root_certs(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4861)));} 

}



/* &secure-context-close1244 */
obj_t BGl_z62securezd2contextzd2close1244z62zz__ssl_sslz00(obj_t BgL_envz00_4862, obj_t BgL_scz00_4863)
{
{ /* Llib/ssl.scm 808 */
return 
bgl_ssl_ctx_close(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4863));} 

}



/* &secure-context-init1242 */
obj_t BGl_z62securezd2contextzd2init1242z62zz__ssl_sslz00(obj_t BgL_envz00_4864, obj_t BgL_scz00_4865)
{
{ /* Llib/ssl.scm 798 */
return 
bgl_ssl_ctx_init(
((BgL_securezd2contextzd2_bglt)BgL_scz00_4865));} 

}



/* secure-context-init */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_44)
{
{ /* Llib/ssl.scm 798 */
{ /* Llib/ssl.scm 798 */
 obj_t BgL_method1243z00_1726;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_res2383z00_2393;
{ /* Llib/ssl.scm 798 */
 long BgL_objzd2classzd2numz00_2364;
BgL_objzd2classzd2numz00_2364 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_44)); 
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1831z00_2365;
BgL_arg1831z00_2365 = 
PROCEDURE_REF(BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 798 */
 int BgL_offsetz00_2368;
BgL_offsetz00_2368 = 
(int)(BgL_objzd2classzd2numz00_2364); 
{ /* Llib/ssl.scm 798 */
 long BgL_offsetz00_2369;
BgL_offsetz00_2369 = 
(
(long)(BgL_offsetz00_2368)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 798 */
 long BgL_modz00_2370;
BgL_modz00_2370 = 
(BgL_offsetz00_2369 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 798 */
 long BgL_restz00_2372;
BgL_restz00_2372 = 
(BgL_offsetz00_2369 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 798 */

{ /* Llib/ssl.scm 798 */
 obj_t BgL_bucketz00_2374;
BgL_bucketz00_2374 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2365),BgL_modz00_2370); 
BgL_res2383z00_2393 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2374),BgL_restz00_2372); } } } } } } } } 
BgL_method1243z00_1726 = BgL_res2383z00_2393; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1243z00_1726, 
((obj_t)BgL_scz00_44));} } 

}



/* &secure-context-init */
obj_t BGl_z62securezd2contextzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4616, obj_t BgL_scz00_4617)
{
{ /* Llib/ssl.scm 798 */
{ /* Llib/ssl.scm 798 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_11127;
{ /* Llib/ssl.scm 798 */
 bool_t BgL_test4151z00_11128;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_classz00_5995;
BgL_classz00_5995 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4617))
{ /* Llib/ssl.scm 798 */
 BgL_objectz00_bglt BgL_arg1829z00_5997; long BgL_arg1830z00_5998;
BgL_arg1829z00_5997 = 
(BgL_objectz00_bglt)(BgL_scz00_4617); 
BgL_arg1830z00_5998 = 
BGL_CLASS_DEPTH(BgL_classz00_5995); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 798 */
 long BgL_idxz00_6006;
BgL_idxz00_6006 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_5997); 
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1820z00_6007;
{ /* Llib/ssl.scm 798 */
 long BgL_arg1821z00_6008;
BgL_arg1821z00_6008 = 
(BgL_idxz00_6006+BgL_arg1830z00_5998); 
BgL_arg1820z00_6007 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6008); } 
BgL_test4151z00_11128 = 
(BgL_arg1820z00_6007==BgL_classz00_5995); } }  else 
{ /* Llib/ssl.scm 798 */
 bool_t BgL_res3401z00_6034;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_oclassz00_6016;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1834z00_6024; long BgL_arg1835z00_6025;
BgL_arg1834z00_6024 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 798 */
 long BgL_arg1836z00_6026;
BgL_arg1836z00_6026 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_5997); 
BgL_arg1835z00_6025 = 
(BgL_arg1836z00_6026-OBJECT_TYPE); } 
BgL_oclassz00_6016 = 
VECTOR_REF(BgL_arg1834z00_6024,BgL_arg1835z00_6025); } 
{ /* Llib/ssl.scm 798 */
 bool_t BgL__ortest_1114z00_6017;
BgL__ortest_1114z00_6017 = 
(BgL_classz00_5995==BgL_oclassz00_6016); 
if(BgL__ortest_1114z00_6017)
{ /* Llib/ssl.scm 798 */
BgL_res3401z00_6034 = BgL__ortest_1114z00_6017; }  else 
{ /* Llib/ssl.scm 798 */
 long BgL_odepthz00_6018;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1824z00_6019;
BgL_arg1824z00_6019 = 
(BgL_oclassz00_6016); 
BgL_odepthz00_6018 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6019); } 
if(
(BgL_arg1830z00_5998<BgL_odepthz00_6018))
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1822z00_6021;
{ /* Llib/ssl.scm 798 */
 obj_t BgL_arg1823z00_6022;
BgL_arg1823z00_6022 = 
(BgL_oclassz00_6016); 
BgL_arg1822z00_6021 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6022, BgL_arg1830z00_5998); } 
BgL_res3401z00_6034 = 
(BgL_arg1822z00_6021==BgL_classz00_5995); }  else 
{ /* Llib/ssl.scm 798 */
BgL_res3401z00_6034 = ((bool_t)0); } } } } 
BgL_test4151z00_11128 = BgL_res3401z00_6034; } }  else 
{ /* Llib/ssl.scm 798 */
BgL_test4151z00_11128 = ((bool_t)0)
; } } 
if(BgL_test4151z00_11128)
{ /* Llib/ssl.scm 798 */
BgL_auxz00_11127 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4617)
; }  else 
{ 
 obj_t BgL_auxz00_11153;
BgL_auxz00_11153 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(32735L), BGl_string3341z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4617); 
FAILURE(BgL_auxz00_11153,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2initz00zz__ssl_sslz00(BgL_auxz00_11127);} } 

}



/* secure-context-close */
BGL_EXPORTED_DEF obj_t BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_45)
{
{ /* Llib/ssl.scm 808 */
{ /* Llib/ssl.scm 808 */
 obj_t BgL_method1245z00_1727;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_res2388z00_2424;
{ /* Llib/ssl.scm 808 */
 long BgL_objzd2classzd2numz00_2395;
BgL_objzd2classzd2numz00_2395 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_45)); 
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1831z00_2396;
BgL_arg1831z00_2396 = 
PROCEDURE_REF(BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 808 */
 int BgL_offsetz00_2399;
BgL_offsetz00_2399 = 
(int)(BgL_objzd2classzd2numz00_2395); 
{ /* Llib/ssl.scm 808 */
 long BgL_offsetz00_2400;
BgL_offsetz00_2400 = 
(
(long)(BgL_offsetz00_2399)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 808 */
 long BgL_modz00_2401;
BgL_modz00_2401 = 
(BgL_offsetz00_2400 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 808 */
 long BgL_restz00_2403;
BgL_restz00_2403 = 
(BgL_offsetz00_2400 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 808 */

{ /* Llib/ssl.scm 808 */
 obj_t BgL_bucketz00_2405;
BgL_bucketz00_2405 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2396),BgL_modz00_2401); 
BgL_res2388z00_2424 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2405),BgL_restz00_2403); } } } } } } } } 
BgL_method1245z00_1727 = BgL_res2388z00_2424; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1245z00_1727, 
((obj_t)BgL_scz00_45));} } 

}



/* &secure-context-close */
obj_t BGl_z62securezd2contextzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4866, obj_t BgL_scz00_4867)
{
{ /* Llib/ssl.scm 808 */
{ /* Llib/ssl.scm 808 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_11188;
{ /* Llib/ssl.scm 808 */
 bool_t BgL_test4156z00_11189;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_classz00_6035;
BgL_classz00_6035 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4867))
{ /* Llib/ssl.scm 808 */
 BgL_objectz00_bglt BgL_arg1829z00_6037; long BgL_arg1830z00_6038;
BgL_arg1829z00_6037 = 
(BgL_objectz00_bglt)(BgL_scz00_4867); 
BgL_arg1830z00_6038 = 
BGL_CLASS_DEPTH(BgL_classz00_6035); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 808 */
 long BgL_idxz00_6046;
BgL_idxz00_6046 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6037); 
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1820z00_6047;
{ /* Llib/ssl.scm 808 */
 long BgL_arg1821z00_6048;
BgL_arg1821z00_6048 = 
(BgL_idxz00_6046+BgL_arg1830z00_6038); 
BgL_arg1820z00_6047 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6048); } 
BgL_test4156z00_11189 = 
(BgL_arg1820z00_6047==BgL_classz00_6035); } }  else 
{ /* Llib/ssl.scm 808 */
 bool_t BgL_res3402z00_6074;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_oclassz00_6056;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1834z00_6064; long BgL_arg1835z00_6065;
BgL_arg1834z00_6064 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 808 */
 long BgL_arg1836z00_6066;
BgL_arg1836z00_6066 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6037); 
BgL_arg1835z00_6065 = 
(BgL_arg1836z00_6066-OBJECT_TYPE); } 
BgL_oclassz00_6056 = 
VECTOR_REF(BgL_arg1834z00_6064,BgL_arg1835z00_6065); } 
{ /* Llib/ssl.scm 808 */
 bool_t BgL__ortest_1114z00_6057;
BgL__ortest_1114z00_6057 = 
(BgL_classz00_6035==BgL_oclassz00_6056); 
if(BgL__ortest_1114z00_6057)
{ /* Llib/ssl.scm 808 */
BgL_res3402z00_6074 = BgL__ortest_1114z00_6057; }  else 
{ /* Llib/ssl.scm 808 */
 long BgL_odepthz00_6058;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1824z00_6059;
BgL_arg1824z00_6059 = 
(BgL_oclassz00_6056); 
BgL_odepthz00_6058 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6059); } 
if(
(BgL_arg1830z00_6038<BgL_odepthz00_6058))
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1822z00_6061;
{ /* Llib/ssl.scm 808 */
 obj_t BgL_arg1823z00_6062;
BgL_arg1823z00_6062 = 
(BgL_oclassz00_6056); 
BgL_arg1822z00_6061 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6062, BgL_arg1830z00_6038); } 
BgL_res3402z00_6074 = 
(BgL_arg1822z00_6061==BgL_classz00_6035); }  else 
{ /* Llib/ssl.scm 808 */
BgL_res3402z00_6074 = ((bool_t)0); } } } } 
BgL_test4156z00_11189 = BgL_res3402z00_6074; } }  else 
{ /* Llib/ssl.scm 808 */
BgL_test4156z00_11189 = ((bool_t)0)
; } } 
if(BgL_test4156z00_11189)
{ /* Llib/ssl.scm 808 */
BgL_auxz00_11188 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4867)
; }  else 
{ 
 obj_t BgL_auxz00_11214;
BgL_auxz00_11214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33111L), BGl_string3342z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4867); 
FAILURE(BgL_auxz00_11214,BFALSE,BFALSE);} } 
return 
BGl_securezd2contextzd2closez00zz__ssl_sslz00(BgL_auxz00_11188);} } 

}



/* secure-context-add-root-certs! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_46)
{
{ /* Llib/ssl.scm 818 */
{ /* Llib/ssl.scm 818 */
 obj_t BgL_method1247z00_1728;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_res2393z00_2455;
{ /* Llib/ssl.scm 818 */
 long BgL_objzd2classzd2numz00_2426;
BgL_objzd2classzd2numz00_2426 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_46)); 
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1831z00_2427;
BgL_arg1831z00_2427 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 818 */
 int BgL_offsetz00_2430;
BgL_offsetz00_2430 = 
(int)(BgL_objzd2classzd2numz00_2426); 
{ /* Llib/ssl.scm 818 */
 long BgL_offsetz00_2431;
BgL_offsetz00_2431 = 
(
(long)(BgL_offsetz00_2430)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 818 */
 long BgL_modz00_2432;
BgL_modz00_2432 = 
(BgL_offsetz00_2431 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 818 */
 long BgL_restz00_2434;
BgL_restz00_2434 = 
(BgL_offsetz00_2431 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 818 */

{ /* Llib/ssl.scm 818 */
 obj_t BgL_bucketz00_2436;
BgL_bucketz00_2436 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2427),BgL_modz00_2432); 
BgL_res2393z00_2455 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2436),BgL_restz00_2434); } } } } } } } } 
BgL_method1247z00_1728 = BgL_res2393z00_2455; } 
return 
CBOOL(
BGL_PROCEDURE_CALL1(BgL_method1247z00_1728, 
((obj_t)BgL_scz00_46)));} } 

}



/* &secure-context-add-root-certs! */
obj_t BGl_z62securezd2contextzd2addzd2rootzd2certsz12z70zz__ssl_sslz00(obj_t BgL_envz00_4868, obj_t BgL_scz00_4869)
{
{ /* Llib/ssl.scm 818 */
{ /* Llib/ssl.scm 818 */
 bool_t BgL_tmpz00_11250;
{ /* Llib/ssl.scm 818 */
 BgL_securezd2contextzd2_bglt BgL_auxz00_11251;
{ /* Llib/ssl.scm 818 */
 bool_t BgL_test4161z00_11252;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_classz00_6075;
BgL_classz00_6075 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4869))
{ /* Llib/ssl.scm 818 */
 BgL_objectz00_bglt BgL_arg1829z00_6077; long BgL_arg1830z00_6078;
BgL_arg1829z00_6077 = 
(BgL_objectz00_bglt)(BgL_scz00_4869); 
BgL_arg1830z00_6078 = 
BGL_CLASS_DEPTH(BgL_classz00_6075); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 818 */
 long BgL_idxz00_6086;
BgL_idxz00_6086 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6077); 
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1820z00_6087;
{ /* Llib/ssl.scm 818 */
 long BgL_arg1821z00_6088;
BgL_arg1821z00_6088 = 
(BgL_idxz00_6086+BgL_arg1830z00_6078); 
BgL_arg1820z00_6087 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6088); } 
BgL_test4161z00_11252 = 
(BgL_arg1820z00_6087==BgL_classz00_6075); } }  else 
{ /* Llib/ssl.scm 818 */
 bool_t BgL_res3403z00_6114;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_oclassz00_6096;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1834z00_6104; long BgL_arg1835z00_6105;
BgL_arg1834z00_6104 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 818 */
 long BgL_arg1836z00_6106;
BgL_arg1836z00_6106 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6077); 
BgL_arg1835z00_6105 = 
(BgL_arg1836z00_6106-OBJECT_TYPE); } 
BgL_oclassz00_6096 = 
VECTOR_REF(BgL_arg1834z00_6104,BgL_arg1835z00_6105); } 
{ /* Llib/ssl.scm 818 */
 bool_t BgL__ortest_1114z00_6097;
BgL__ortest_1114z00_6097 = 
(BgL_classz00_6075==BgL_oclassz00_6096); 
if(BgL__ortest_1114z00_6097)
{ /* Llib/ssl.scm 818 */
BgL_res3403z00_6114 = BgL__ortest_1114z00_6097; }  else 
{ /* Llib/ssl.scm 818 */
 long BgL_odepthz00_6098;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1824z00_6099;
BgL_arg1824z00_6099 = 
(BgL_oclassz00_6096); 
BgL_odepthz00_6098 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6099); } 
if(
(BgL_arg1830z00_6078<BgL_odepthz00_6098))
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1822z00_6101;
{ /* Llib/ssl.scm 818 */
 obj_t BgL_arg1823z00_6102;
BgL_arg1823z00_6102 = 
(BgL_oclassz00_6096); 
BgL_arg1822z00_6101 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6102, BgL_arg1830z00_6078); } 
BgL_res3403z00_6114 = 
(BgL_arg1822z00_6101==BgL_classz00_6075); }  else 
{ /* Llib/ssl.scm 818 */
BgL_res3403z00_6114 = ((bool_t)0); } } } } 
BgL_test4161z00_11252 = BgL_res3403z00_6114; } }  else 
{ /* Llib/ssl.scm 818 */
BgL_test4161z00_11252 = ((bool_t)0)
; } } 
if(BgL_test4161z00_11252)
{ /* Llib/ssl.scm 818 */
BgL_auxz00_11251 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4869)
; }  else 
{ 
 obj_t BgL_auxz00_11277;
BgL_auxz00_11277 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33489L), BGl_string3343z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4869); 
FAILURE(BgL_auxz00_11277,BFALSE,BFALSE);} } 
BgL_tmpz00_11250 = 
BGl_securezd2contextzd2addzd2rootzd2certsz12z12zz__ssl_sslz00(BgL_auxz00_11251); } 
return 
BBOOL(BgL_tmpz00_11250);} } 

}



/* secure-context-add-ca-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_47, obj_t BgL_certz00_48, long BgL_offsetz00_49, long BgL_lenz00_50)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 828 */
 obj_t BgL_method1249z00_1729;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_res2398z00_2486;
{ /* Llib/ssl.scm 828 */
 long BgL_objzd2classzd2numz00_2457;
BgL_objzd2classzd2numz00_2457 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_47)); 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1831z00_2458;
BgL_arg1831z00_2458 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 828 */
 int BgL_offsetz00_2461;
BgL_offsetz00_2461 = 
(int)(BgL_objzd2classzd2numz00_2457); 
{ /* Llib/ssl.scm 828 */
 long BgL_offsetz00_2462;
BgL_offsetz00_2462 = 
(
(long)(BgL_offsetz00_2461)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 828 */
 long BgL_modz00_2463;
BgL_modz00_2463 = 
(BgL_offsetz00_2462 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 828 */
 long BgL_restz00_2465;
BgL_restz00_2465 = 
(BgL_offsetz00_2462 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 828 */

{ /* Llib/ssl.scm 828 */
 obj_t BgL_bucketz00_2467;
BgL_bucketz00_2467 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2458),BgL_modz00_2463); 
BgL_res2398z00_2486 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2467),BgL_restz00_2465); } } } } } } } } 
BgL_method1249z00_1729 = BgL_res2398z00_2486; } 
return 
CBOOL(
BGL_PROCEDURE_CALL4(BgL_method1249z00_1729, 
((obj_t)BgL_scz00_47), BgL_certz00_48, 
BINT(BgL_offsetz00_49), 
BINT(BgL_lenz00_50)));} } 

}



/* &secure-context-add-ca-cert! */
obj_t BGl_z62securezd2contextzd2addzd2cazd2certz12z70zz__ssl_sslz00(obj_t BgL_envz00_4870, obj_t BgL_scz00_4871, obj_t BgL_certz00_4872, obj_t BgL_offsetz00_4873, obj_t BgL_lenz00_4874)
{
{ /* Llib/ssl.scm 828 */
{ /* Llib/ssl.scm 828 */
 bool_t BgL_tmpz00_11319;
{ /* Llib/ssl.scm 828 */
 long BgL_auxz00_11366; long BgL_auxz00_11357; obj_t BgL_auxz00_11350; BgL_securezd2contextzd2_bglt BgL_auxz00_11320;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_tmpz00_11367;
if(
INTEGERP(BgL_lenz00_4874))
{ /* Llib/ssl.scm 828 */
BgL_tmpz00_11367 = BgL_lenz00_4874
; }  else 
{ 
 obj_t BgL_auxz00_11370;
BgL_auxz00_11370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3344z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4874); 
FAILURE(BgL_auxz00_11370,BFALSE,BFALSE);} 
BgL_auxz00_11366 = 
(long)CINT(BgL_tmpz00_11367); } 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_tmpz00_11358;
if(
INTEGERP(BgL_offsetz00_4873))
{ /* Llib/ssl.scm 828 */
BgL_tmpz00_11358 = BgL_offsetz00_4873
; }  else 
{ 
 obj_t BgL_auxz00_11361;
BgL_auxz00_11361 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3344z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4873); 
FAILURE(BgL_auxz00_11361,BFALSE,BFALSE);} 
BgL_auxz00_11357 = 
(long)CINT(BgL_tmpz00_11358); } 
if(
STRINGP(BgL_certz00_4872))
{ /* Llib/ssl.scm 828 */
BgL_auxz00_11350 = BgL_certz00_4872
; }  else 
{ 
 obj_t BgL_auxz00_11353;
BgL_auxz00_11353 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3344z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_certz00_4872); 
FAILURE(BgL_auxz00_11353,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 828 */
 bool_t BgL_test4166z00_11321;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_classz00_6115;
BgL_classz00_6115 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4871))
{ /* Llib/ssl.scm 828 */
 BgL_objectz00_bglt BgL_arg1829z00_6117; long BgL_arg1830z00_6118;
BgL_arg1829z00_6117 = 
(BgL_objectz00_bglt)(BgL_scz00_4871); 
BgL_arg1830z00_6118 = 
BGL_CLASS_DEPTH(BgL_classz00_6115); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 828 */
 long BgL_idxz00_6126;
BgL_idxz00_6126 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6117); 
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1820z00_6127;
{ /* Llib/ssl.scm 828 */
 long BgL_arg1821z00_6128;
BgL_arg1821z00_6128 = 
(BgL_idxz00_6126+BgL_arg1830z00_6118); 
BgL_arg1820z00_6127 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6128); } 
BgL_test4166z00_11321 = 
(BgL_arg1820z00_6127==BgL_classz00_6115); } }  else 
{ /* Llib/ssl.scm 828 */
 bool_t BgL_res3404z00_6154;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_oclassz00_6136;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1834z00_6144; long BgL_arg1835z00_6145;
BgL_arg1834z00_6144 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 828 */
 long BgL_arg1836z00_6146;
BgL_arg1836z00_6146 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6117); 
BgL_arg1835z00_6145 = 
(BgL_arg1836z00_6146-OBJECT_TYPE); } 
BgL_oclassz00_6136 = 
VECTOR_REF(BgL_arg1834z00_6144,BgL_arg1835z00_6145); } 
{ /* Llib/ssl.scm 828 */
 bool_t BgL__ortest_1114z00_6137;
BgL__ortest_1114z00_6137 = 
(BgL_classz00_6115==BgL_oclassz00_6136); 
if(BgL__ortest_1114z00_6137)
{ /* Llib/ssl.scm 828 */
BgL_res3404z00_6154 = BgL__ortest_1114z00_6137; }  else 
{ /* Llib/ssl.scm 828 */
 long BgL_odepthz00_6138;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1824z00_6139;
BgL_arg1824z00_6139 = 
(BgL_oclassz00_6136); 
BgL_odepthz00_6138 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6139); } 
if(
(BgL_arg1830z00_6118<BgL_odepthz00_6138))
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1822z00_6141;
{ /* Llib/ssl.scm 828 */
 obj_t BgL_arg1823z00_6142;
BgL_arg1823z00_6142 = 
(BgL_oclassz00_6136); 
BgL_arg1822z00_6141 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6142, BgL_arg1830z00_6118); } 
BgL_res3404z00_6154 = 
(BgL_arg1822z00_6141==BgL_classz00_6115); }  else 
{ /* Llib/ssl.scm 828 */
BgL_res3404z00_6154 = ((bool_t)0); } } } } 
BgL_test4166z00_11321 = BgL_res3404z00_6154; } }  else 
{ /* Llib/ssl.scm 828 */
BgL_test4166z00_11321 = ((bool_t)0)
; } } 
if(BgL_test4166z00_11321)
{ /* Llib/ssl.scm 828 */
BgL_auxz00_11320 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4871)
; }  else 
{ 
 obj_t BgL_auxz00_11346;
BgL_auxz00_11346 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(33886L), BGl_string3344z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4871); 
FAILURE(BgL_auxz00_11346,BFALSE,BFALSE);} } 
BgL_tmpz00_11319 = 
BGl_securezd2contextzd2addzd2cazd2certz12z12zz__ssl_sslz00(BgL_auxz00_11320, BgL_auxz00_11350, BgL_auxz00_11357, BgL_auxz00_11366); } 
return 
BBOOL(BgL_tmpz00_11319);} } 

}



/* secure-context-add-crl! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_51, obj_t BgL_certz00_52, long BgL_offsetz00_53, long BgL_lenz00_54)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 838 */
 obj_t BgL_method1251z00_1730;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_res2403z00_2517;
{ /* Llib/ssl.scm 838 */
 long BgL_objzd2classzd2numz00_2488;
BgL_objzd2classzd2numz00_2488 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_51)); 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1831z00_2489;
BgL_arg1831z00_2489 = 
PROCEDURE_REF(BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 838 */
 int BgL_offsetz00_2492;
BgL_offsetz00_2492 = 
(int)(BgL_objzd2classzd2numz00_2488); 
{ /* Llib/ssl.scm 838 */
 long BgL_offsetz00_2493;
BgL_offsetz00_2493 = 
(
(long)(BgL_offsetz00_2492)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 838 */
 long BgL_modz00_2494;
BgL_modz00_2494 = 
(BgL_offsetz00_2493 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 838 */
 long BgL_restz00_2496;
BgL_restz00_2496 = 
(BgL_offsetz00_2493 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 838 */

{ /* Llib/ssl.scm 838 */
 obj_t BgL_bucketz00_2498;
BgL_bucketz00_2498 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2489),BgL_modz00_2494); 
BgL_res2403z00_2517 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2498),BgL_restz00_2496); } } } } } } } } 
BgL_method1251z00_1730 = BgL_res2403z00_2517; } 
return 
CBOOL(
BGL_PROCEDURE_CALL4(BgL_method1251z00_1730, 
((obj_t)BgL_scz00_51), BgL_certz00_52, 
BINT(BgL_offsetz00_53), 
BINT(BgL_lenz00_54)));} } 

}



/* &secure-context-add-crl! */
obj_t BGl_z62securezd2contextzd2addzd2crlz12za2zz__ssl_sslz00(obj_t BgL_envz00_4875, obj_t BgL_scz00_4876, obj_t BgL_certz00_4877, obj_t BgL_offsetz00_4878, obj_t BgL_lenz00_4879)
{
{ /* Llib/ssl.scm 838 */
{ /* Llib/ssl.scm 838 */
 bool_t BgL_tmpz00_11413;
{ /* Llib/ssl.scm 838 */
 long BgL_auxz00_11460; long BgL_auxz00_11451; obj_t BgL_auxz00_11444; BgL_securezd2contextzd2_bglt BgL_auxz00_11414;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_tmpz00_11461;
if(
INTEGERP(BgL_lenz00_4879))
{ /* Llib/ssl.scm 838 */
BgL_tmpz00_11461 = BgL_lenz00_4879
; }  else 
{ 
 obj_t BgL_auxz00_11464;
BgL_auxz00_11464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3345z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4879); 
FAILURE(BgL_auxz00_11464,BFALSE,BFALSE);} 
BgL_auxz00_11460 = 
(long)CINT(BgL_tmpz00_11461); } 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_tmpz00_11452;
if(
INTEGERP(BgL_offsetz00_4878))
{ /* Llib/ssl.scm 838 */
BgL_tmpz00_11452 = BgL_offsetz00_4878
; }  else 
{ 
 obj_t BgL_auxz00_11455;
BgL_auxz00_11455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3345z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4878); 
FAILURE(BgL_auxz00_11455,BFALSE,BFALSE);} 
BgL_auxz00_11451 = 
(long)CINT(BgL_tmpz00_11452); } 
if(
STRINGP(BgL_certz00_4877))
{ /* Llib/ssl.scm 838 */
BgL_auxz00_11444 = BgL_certz00_4877
; }  else 
{ 
 obj_t BgL_auxz00_11447;
BgL_auxz00_11447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3345z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_certz00_4877); 
FAILURE(BgL_auxz00_11447,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 838 */
 bool_t BgL_test4174z00_11415;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_classz00_6155;
BgL_classz00_6155 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4876))
{ /* Llib/ssl.scm 838 */
 BgL_objectz00_bglt BgL_arg1829z00_6157; long BgL_arg1830z00_6158;
BgL_arg1829z00_6157 = 
(BgL_objectz00_bglt)(BgL_scz00_4876); 
BgL_arg1830z00_6158 = 
BGL_CLASS_DEPTH(BgL_classz00_6155); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 838 */
 long BgL_idxz00_6166;
BgL_idxz00_6166 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6157); 
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1820z00_6167;
{ /* Llib/ssl.scm 838 */
 long BgL_arg1821z00_6168;
BgL_arg1821z00_6168 = 
(BgL_idxz00_6166+BgL_arg1830z00_6158); 
BgL_arg1820z00_6167 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6168); } 
BgL_test4174z00_11415 = 
(BgL_arg1820z00_6167==BgL_classz00_6155); } }  else 
{ /* Llib/ssl.scm 838 */
 bool_t BgL_res3405z00_6194;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_oclassz00_6176;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1834z00_6184; long BgL_arg1835z00_6185;
BgL_arg1834z00_6184 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 838 */
 long BgL_arg1836z00_6186;
BgL_arg1836z00_6186 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6157); 
BgL_arg1835z00_6185 = 
(BgL_arg1836z00_6186-OBJECT_TYPE); } 
BgL_oclassz00_6176 = 
VECTOR_REF(BgL_arg1834z00_6184,BgL_arg1835z00_6185); } 
{ /* Llib/ssl.scm 838 */
 bool_t BgL__ortest_1114z00_6177;
BgL__ortest_1114z00_6177 = 
(BgL_classz00_6155==BgL_oclassz00_6176); 
if(BgL__ortest_1114z00_6177)
{ /* Llib/ssl.scm 838 */
BgL_res3405z00_6194 = BgL__ortest_1114z00_6177; }  else 
{ /* Llib/ssl.scm 838 */
 long BgL_odepthz00_6178;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1824z00_6179;
BgL_arg1824z00_6179 = 
(BgL_oclassz00_6176); 
BgL_odepthz00_6178 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6179); } 
if(
(BgL_arg1830z00_6158<BgL_odepthz00_6178))
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1822z00_6181;
{ /* Llib/ssl.scm 838 */
 obj_t BgL_arg1823z00_6182;
BgL_arg1823z00_6182 = 
(BgL_oclassz00_6176); 
BgL_arg1822z00_6181 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6182, BgL_arg1830z00_6158); } 
BgL_res3405z00_6194 = 
(BgL_arg1822z00_6181==BgL_classz00_6155); }  else 
{ /* Llib/ssl.scm 838 */
BgL_res3405z00_6194 = ((bool_t)0); } } } } 
BgL_test4174z00_11415 = BgL_res3405z00_6194; } }  else 
{ /* Llib/ssl.scm 838 */
BgL_test4174z00_11415 = ((bool_t)0)
; } } 
if(BgL_test4174z00_11415)
{ /* Llib/ssl.scm 838 */
BgL_auxz00_11414 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4876)
; }  else 
{ 
 obj_t BgL_auxz00_11440;
BgL_auxz00_11440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(34309L), BGl_string3345z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4876); 
FAILURE(BgL_auxz00_11440,BFALSE,BFALSE);} } 
BgL_tmpz00_11413 = 
BGl_securezd2contextzd2addzd2crlz12zc0zz__ssl_sslz00(BgL_auxz00_11414, BgL_auxz00_11444, BgL_auxz00_11451, BgL_auxz00_11460); } 
return 
BBOOL(BgL_tmpz00_11413);} } 

}



/* secure-context-set-key! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2keyz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_55, obj_t BgL_certz00_56, long BgL_offsetz00_57, long BgL_lenz00_58, obj_t BgL_passphrasez00_59)
{
{ /* Llib/ssl.scm 848 */
{ /* Llib/ssl.scm 354 */
 obj_t BgL_method1253z00_1731;
{ /* Llib/ssl.scm 354 */
 obj_t BgL_res2408z00_2548;
{ /* Llib/ssl.scm 354 */
 long BgL_objzd2classzd2numz00_2519;
BgL_objzd2classzd2numz00_2519 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_55)); 
{ /* Llib/ssl.scm 354 */
 obj_t BgL_arg1831z00_2520;
BgL_arg1831z00_2520 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 354 */
 int BgL_offsetz00_2523;
BgL_offsetz00_2523 = 
(int)(BgL_objzd2classzd2numz00_2519); 
{ /* Llib/ssl.scm 354 */
 long BgL_offsetz00_2524;
BgL_offsetz00_2524 = 
(
(long)(BgL_offsetz00_2523)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 354 */
 long BgL_modz00_2525;
BgL_modz00_2525 = 
(BgL_offsetz00_2524 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 354 */
 long BgL_restz00_2527;
BgL_restz00_2527 = 
(BgL_offsetz00_2524 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 354 */

{ /* Llib/ssl.scm 354 */
 obj_t BgL_bucketz00_2529;
BgL_bucketz00_2529 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2520),BgL_modz00_2525); 
BgL_res2408z00_2548 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2529),BgL_restz00_2527); } } } } } } } } 
BgL_method1253z00_1731 = BgL_res2408z00_2548; } 
return 
CBOOL(
BGL_PROCEDURE_CALL5(BgL_method1253z00_1731, 
((obj_t)BgL_scz00_55), BgL_certz00_56, 
BINT(BgL_offsetz00_57), 
BINT(BgL_lenz00_58), BgL_passphrasez00_59));} } 

}



/* secure-context-set-cert! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_62, obj_t BgL_certz00_63, long BgL_offsetz00_64, long BgL_lenz00_65)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 858 */
 obj_t BgL_method1263z00_1732;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_res2413z00_2579;
{ /* Llib/ssl.scm 858 */
 long BgL_objzd2classzd2numz00_2550;
BgL_objzd2classzd2numz00_2550 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_62)); 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1831z00_2551;
BgL_arg1831z00_2551 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 858 */
 int BgL_offsetz00_2554;
BgL_offsetz00_2554 = 
(int)(BgL_objzd2classzd2numz00_2550); 
{ /* Llib/ssl.scm 858 */
 long BgL_offsetz00_2555;
BgL_offsetz00_2555 = 
(
(long)(BgL_offsetz00_2554)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 858 */
 long BgL_modz00_2556;
BgL_modz00_2556 = 
(BgL_offsetz00_2555 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 858 */
 long BgL_restz00_2558;
BgL_restz00_2558 = 
(BgL_offsetz00_2555 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 858 */

{ /* Llib/ssl.scm 858 */
 obj_t BgL_bucketz00_2560;
BgL_bucketz00_2560 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2551),BgL_modz00_2556); 
BgL_res2413z00_2579 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2560),BgL_restz00_2558); } } } } } } } } 
BgL_method1263z00_1732 = BgL_res2413z00_2579; } 
return 
CBOOL(
BGL_PROCEDURE_CALL4(BgL_method1263z00_1732, 
((obj_t)BgL_scz00_62), BgL_certz00_63, 
BINT(BgL_offsetz00_64), 
BINT(BgL_lenz00_65)));} } 

}



/* &secure-context-set-cert! */
obj_t BGl_z62securezd2contextzd2setzd2certz12za2zz__ssl_sslz00(obj_t BgL_envz00_4880, obj_t BgL_scz00_4881, obj_t BgL_certz00_4882, obj_t BgL_offsetz00_4883, obj_t BgL_lenz00_4884)
{
{ /* Llib/ssl.scm 858 */
{ /* Llib/ssl.scm 858 */
 bool_t BgL_tmpz00_11544;
{ /* Llib/ssl.scm 858 */
 long BgL_auxz00_11591; long BgL_auxz00_11582; obj_t BgL_auxz00_11575; BgL_securezd2contextzd2_bglt BgL_auxz00_11545;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_tmpz00_11592;
if(
INTEGERP(BgL_lenz00_4884))
{ /* Llib/ssl.scm 858 */
BgL_tmpz00_11592 = BgL_lenz00_4884
; }  else 
{ 
 obj_t BgL_auxz00_11595;
BgL_auxz00_11595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3346z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4884); 
FAILURE(BgL_auxz00_11595,BFALSE,BFALSE);} 
BgL_auxz00_11591 = 
(long)CINT(BgL_tmpz00_11592); } 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_tmpz00_11583;
if(
INTEGERP(BgL_offsetz00_4883))
{ /* Llib/ssl.scm 858 */
BgL_tmpz00_11583 = BgL_offsetz00_4883
; }  else 
{ 
 obj_t BgL_auxz00_11586;
BgL_auxz00_11586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3346z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4883); 
FAILURE(BgL_auxz00_11586,BFALSE,BFALSE);} 
BgL_auxz00_11582 = 
(long)CINT(BgL_tmpz00_11583); } 
if(
STRINGP(BgL_certz00_4882))
{ /* Llib/ssl.scm 858 */
BgL_auxz00_11575 = BgL_certz00_4882
; }  else 
{ 
 obj_t BgL_auxz00_11578;
BgL_auxz00_11578 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3346z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_certz00_4882); 
FAILURE(BgL_auxz00_11578,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 858 */
 bool_t BgL_test4182z00_11546;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_classz00_6195;
BgL_classz00_6195 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4881))
{ /* Llib/ssl.scm 858 */
 BgL_objectz00_bglt BgL_arg1829z00_6197; long BgL_arg1830z00_6198;
BgL_arg1829z00_6197 = 
(BgL_objectz00_bglt)(BgL_scz00_4881); 
BgL_arg1830z00_6198 = 
BGL_CLASS_DEPTH(BgL_classz00_6195); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 858 */
 long BgL_idxz00_6206;
BgL_idxz00_6206 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6197); 
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1820z00_6207;
{ /* Llib/ssl.scm 858 */
 long BgL_arg1821z00_6208;
BgL_arg1821z00_6208 = 
(BgL_idxz00_6206+BgL_arg1830z00_6198); 
BgL_arg1820z00_6207 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6208); } 
BgL_test4182z00_11546 = 
(BgL_arg1820z00_6207==BgL_classz00_6195); } }  else 
{ /* Llib/ssl.scm 858 */
 bool_t BgL_res3406z00_6234;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_oclassz00_6216;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1834z00_6224; long BgL_arg1835z00_6225;
BgL_arg1834z00_6224 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 858 */
 long BgL_arg1836z00_6226;
BgL_arg1836z00_6226 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6197); 
BgL_arg1835z00_6225 = 
(BgL_arg1836z00_6226-OBJECT_TYPE); } 
BgL_oclassz00_6216 = 
VECTOR_REF(BgL_arg1834z00_6224,BgL_arg1835z00_6225); } 
{ /* Llib/ssl.scm 858 */
 bool_t BgL__ortest_1114z00_6217;
BgL__ortest_1114z00_6217 = 
(BgL_classz00_6195==BgL_oclassz00_6216); 
if(BgL__ortest_1114z00_6217)
{ /* Llib/ssl.scm 858 */
BgL_res3406z00_6234 = BgL__ortest_1114z00_6217; }  else 
{ /* Llib/ssl.scm 858 */
 long BgL_odepthz00_6218;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1824z00_6219;
BgL_arg1824z00_6219 = 
(BgL_oclassz00_6216); 
BgL_odepthz00_6218 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6219); } 
if(
(BgL_arg1830z00_6198<BgL_odepthz00_6218))
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1822z00_6221;
{ /* Llib/ssl.scm 858 */
 obj_t BgL_arg1823z00_6222;
BgL_arg1823z00_6222 = 
(BgL_oclassz00_6216); 
BgL_arg1822z00_6221 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6222, BgL_arg1830z00_6198); } 
BgL_res3406z00_6234 = 
(BgL_arg1822z00_6221==BgL_classz00_6195); }  else 
{ /* Llib/ssl.scm 858 */
BgL_res3406z00_6234 = ((bool_t)0); } } } } 
BgL_test4182z00_11546 = BgL_res3406z00_6234; } }  else 
{ /* Llib/ssl.scm 858 */
BgL_test4182z00_11546 = ((bool_t)0)
; } } 
if(BgL_test4182z00_11546)
{ /* Llib/ssl.scm 858 */
BgL_auxz00_11545 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4881)
; }  else 
{ 
 obj_t BgL_auxz00_11571;
BgL_auxz00_11571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35193L), BGl_string3346z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4881); 
FAILURE(BgL_auxz00_11571,BFALSE,BFALSE);} } 
BgL_tmpz00_11544 = 
BGl_securezd2contextzd2setzd2certz12zc0zz__ssl_sslz00(BgL_auxz00_11545, BgL_auxz00_11575, BgL_auxz00_11582, BgL_auxz00_11591); } 
return 
BBOOL(BgL_tmpz00_11544);} } 

}



/* secure-context-set-session-id-context! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_66, obj_t BgL_sicz00_67, long BgL_offsetz00_68, long BgL_lenz00_69)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 868 */
 obj_t BgL_method1265z00_1733;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_res2418z00_2610;
{ /* Llib/ssl.scm 868 */
 long BgL_objzd2classzd2numz00_2581;
BgL_objzd2classzd2numz00_2581 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_66)); 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1831z00_2582;
BgL_arg1831z00_2582 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 868 */
 int BgL_offsetz00_2585;
BgL_offsetz00_2585 = 
(int)(BgL_objzd2classzd2numz00_2581); 
{ /* Llib/ssl.scm 868 */
 long BgL_offsetz00_2586;
BgL_offsetz00_2586 = 
(
(long)(BgL_offsetz00_2585)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 868 */
 long BgL_modz00_2587;
BgL_modz00_2587 = 
(BgL_offsetz00_2586 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 868 */
 long BgL_restz00_2589;
BgL_restz00_2589 = 
(BgL_offsetz00_2586 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 868 */

{ /* Llib/ssl.scm 868 */
 obj_t BgL_bucketz00_2591;
BgL_bucketz00_2591 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2582),BgL_modz00_2587); 
BgL_res2418z00_2610 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2591),BgL_restz00_2589); } } } } } } } } 
BgL_method1265z00_1733 = BgL_res2418z00_2610; } 
return 
CBOOL(
BGL_PROCEDURE_CALL4(BgL_method1265z00_1733, 
((obj_t)BgL_scz00_66), BgL_sicz00_67, 
BINT(BgL_offsetz00_68), 
BINT(BgL_lenz00_69)));} } 

}



/* &secure-context-set-session-id-context! */
obj_t BGl_z62securezd2contextzd2setzd2sessionzd2idzd2contextz12za2zz__ssl_sslz00(obj_t BgL_envz00_4885, obj_t BgL_scz00_4886, obj_t BgL_sicz00_4887, obj_t BgL_offsetz00_4888, obj_t BgL_lenz00_4889)
{
{ /* Llib/ssl.scm 868 */
{ /* Llib/ssl.scm 868 */
 bool_t BgL_tmpz00_11638;
{ /* Llib/ssl.scm 868 */
 long BgL_auxz00_11685; long BgL_auxz00_11676; obj_t BgL_auxz00_11669; BgL_securezd2contextzd2_bglt BgL_auxz00_11639;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_tmpz00_11686;
if(
INTEGERP(BgL_lenz00_4889))
{ /* Llib/ssl.scm 868 */
BgL_tmpz00_11686 = BgL_lenz00_4889
; }  else 
{ 
 obj_t BgL_auxz00_11689;
BgL_auxz00_11689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3347z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4889); 
FAILURE(BgL_auxz00_11689,BFALSE,BFALSE);} 
BgL_auxz00_11685 = 
(long)CINT(BgL_tmpz00_11686); } 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_tmpz00_11677;
if(
INTEGERP(BgL_offsetz00_4888))
{ /* Llib/ssl.scm 868 */
BgL_tmpz00_11677 = BgL_offsetz00_4888
; }  else 
{ 
 obj_t BgL_auxz00_11680;
BgL_auxz00_11680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3347z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4888); 
FAILURE(BgL_auxz00_11680,BFALSE,BFALSE);} 
BgL_auxz00_11676 = 
(long)CINT(BgL_tmpz00_11677); } 
if(
STRINGP(BgL_sicz00_4887))
{ /* Llib/ssl.scm 868 */
BgL_auxz00_11669 = BgL_sicz00_4887
; }  else 
{ 
 obj_t BgL_auxz00_11672;
BgL_auxz00_11672 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3347z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_sicz00_4887); 
FAILURE(BgL_auxz00_11672,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 868 */
 bool_t BgL_test4190z00_11640;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_classz00_6235;
BgL_classz00_6235 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4886))
{ /* Llib/ssl.scm 868 */
 BgL_objectz00_bglt BgL_arg1829z00_6237; long BgL_arg1830z00_6238;
BgL_arg1829z00_6237 = 
(BgL_objectz00_bglt)(BgL_scz00_4886); 
BgL_arg1830z00_6238 = 
BGL_CLASS_DEPTH(BgL_classz00_6235); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 868 */
 long BgL_idxz00_6246;
BgL_idxz00_6246 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6237); 
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1820z00_6247;
{ /* Llib/ssl.scm 868 */
 long BgL_arg1821z00_6248;
BgL_arg1821z00_6248 = 
(BgL_idxz00_6246+BgL_arg1830z00_6238); 
BgL_arg1820z00_6247 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6248); } 
BgL_test4190z00_11640 = 
(BgL_arg1820z00_6247==BgL_classz00_6235); } }  else 
{ /* Llib/ssl.scm 868 */
 bool_t BgL_res3407z00_6274;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_oclassz00_6256;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1834z00_6264; long BgL_arg1835z00_6265;
BgL_arg1834z00_6264 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 868 */
 long BgL_arg1836z00_6266;
BgL_arg1836z00_6266 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6237); 
BgL_arg1835z00_6265 = 
(BgL_arg1836z00_6266-OBJECT_TYPE); } 
BgL_oclassz00_6256 = 
VECTOR_REF(BgL_arg1834z00_6264,BgL_arg1835z00_6265); } 
{ /* Llib/ssl.scm 868 */
 bool_t BgL__ortest_1114z00_6257;
BgL__ortest_1114z00_6257 = 
(BgL_classz00_6235==BgL_oclassz00_6256); 
if(BgL__ortest_1114z00_6257)
{ /* Llib/ssl.scm 868 */
BgL_res3407z00_6274 = BgL__ortest_1114z00_6257; }  else 
{ /* Llib/ssl.scm 868 */
 long BgL_odepthz00_6258;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1824z00_6259;
BgL_arg1824z00_6259 = 
(BgL_oclassz00_6256); 
BgL_odepthz00_6258 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6259); } 
if(
(BgL_arg1830z00_6238<BgL_odepthz00_6258))
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1822z00_6261;
{ /* Llib/ssl.scm 868 */
 obj_t BgL_arg1823z00_6262;
BgL_arg1823z00_6262 = 
(BgL_oclassz00_6256); 
BgL_arg1822z00_6261 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6262, BgL_arg1830z00_6238); } 
BgL_res3407z00_6274 = 
(BgL_arg1822z00_6261==BgL_classz00_6235); }  else 
{ /* Llib/ssl.scm 868 */
BgL_res3407z00_6274 = ((bool_t)0); } } } } 
BgL_test4190z00_11640 = BgL_res3407z00_6274; } }  else 
{ /* Llib/ssl.scm 868 */
BgL_test4190z00_11640 = ((bool_t)0)
; } } 
if(BgL_test4190z00_11640)
{ /* Llib/ssl.scm 868 */
BgL_auxz00_11639 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4886)
; }  else 
{ 
 obj_t BgL_auxz00_11665;
BgL_auxz00_11665 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(35610L), BGl_string3347z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4886); 
FAILURE(BgL_auxz00_11665,BFALSE,BFALSE);} } 
BgL_tmpz00_11638 = 
BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zc0zz__ssl_sslz00(BgL_auxz00_11639, BgL_auxz00_11669, BgL_auxz00_11676, BgL_auxz00_11685); } 
return 
BBOOL(BgL_tmpz00_11638);} } 

}



/* secure-context-load-pkcs12 */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_70, obj_t BgL_pfxz00_71, obj_t BgL_passz00_72)
{
{ /* Llib/ssl.scm 878 */
{ /* Llib/ssl.scm 878 */
 obj_t BgL_method1267z00_1734;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_res2423z00_2641;
{ /* Llib/ssl.scm 878 */
 long BgL_objzd2classzd2numz00_2612;
BgL_objzd2classzd2numz00_2612 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_70)); 
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1831z00_2613;
BgL_arg1831z00_2613 = 
PROCEDURE_REF(BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 878 */
 int BgL_offsetz00_2616;
BgL_offsetz00_2616 = 
(int)(BgL_objzd2classzd2numz00_2612); 
{ /* Llib/ssl.scm 878 */
 long BgL_offsetz00_2617;
BgL_offsetz00_2617 = 
(
(long)(BgL_offsetz00_2616)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 878 */
 long BgL_modz00_2618;
BgL_modz00_2618 = 
(BgL_offsetz00_2617 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 878 */
 long BgL_restz00_2620;
BgL_restz00_2620 = 
(BgL_offsetz00_2617 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 878 */

{ /* Llib/ssl.scm 878 */
 obj_t BgL_bucketz00_2622;
BgL_bucketz00_2622 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2613),BgL_modz00_2618); 
BgL_res2423z00_2641 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2622),BgL_restz00_2620); } } } } } } } } 
BgL_method1267z00_1734 = BgL_res2423z00_2641; } 
return 
CBOOL(
BGL_PROCEDURE_CALL3(BgL_method1267z00_1734, 
((obj_t)BgL_scz00_70), BgL_pfxz00_71, BgL_passz00_72));} } 

}



/* &secure-context-load-pkcs12 */
obj_t BGl_z62securezd2contextzd2loadzd2pkcs12zb0zz__ssl_sslz00(obj_t BgL_envz00_4890, obj_t BgL_scz00_4891, obj_t BgL_pfxz00_4892, obj_t BgL_passz00_4893)
{
{ /* Llib/ssl.scm 878 */
{ /* Llib/ssl.scm 878 */
 bool_t BgL_tmpz00_11729;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_auxz00_11760; BgL_securezd2contextzd2_bglt BgL_auxz00_11730;
if(
STRINGP(BgL_pfxz00_4892))
{ /* Llib/ssl.scm 878 */
BgL_auxz00_11760 = BgL_pfxz00_4892
; }  else 
{ 
 obj_t BgL_auxz00_11763;
BgL_auxz00_11763 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36053L), BGl_string3348z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_pfxz00_4892); 
FAILURE(BgL_auxz00_11763,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 878 */
 bool_t BgL_test4198z00_11731;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_classz00_6275;
BgL_classz00_6275 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4891))
{ /* Llib/ssl.scm 878 */
 BgL_objectz00_bglt BgL_arg1829z00_6277; long BgL_arg1830z00_6278;
BgL_arg1829z00_6277 = 
(BgL_objectz00_bglt)(BgL_scz00_4891); 
BgL_arg1830z00_6278 = 
BGL_CLASS_DEPTH(BgL_classz00_6275); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 878 */
 long BgL_idxz00_6286;
BgL_idxz00_6286 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6277); 
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1820z00_6287;
{ /* Llib/ssl.scm 878 */
 long BgL_arg1821z00_6288;
BgL_arg1821z00_6288 = 
(BgL_idxz00_6286+BgL_arg1830z00_6278); 
BgL_arg1820z00_6287 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6288); } 
BgL_test4198z00_11731 = 
(BgL_arg1820z00_6287==BgL_classz00_6275); } }  else 
{ /* Llib/ssl.scm 878 */
 bool_t BgL_res3408z00_6314;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_oclassz00_6296;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1834z00_6304; long BgL_arg1835z00_6305;
BgL_arg1834z00_6304 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 878 */
 long BgL_arg1836z00_6306;
BgL_arg1836z00_6306 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6277); 
BgL_arg1835z00_6305 = 
(BgL_arg1836z00_6306-OBJECT_TYPE); } 
BgL_oclassz00_6296 = 
VECTOR_REF(BgL_arg1834z00_6304,BgL_arg1835z00_6305); } 
{ /* Llib/ssl.scm 878 */
 bool_t BgL__ortest_1114z00_6297;
BgL__ortest_1114z00_6297 = 
(BgL_classz00_6275==BgL_oclassz00_6296); 
if(BgL__ortest_1114z00_6297)
{ /* Llib/ssl.scm 878 */
BgL_res3408z00_6314 = BgL__ortest_1114z00_6297; }  else 
{ /* Llib/ssl.scm 878 */
 long BgL_odepthz00_6298;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1824z00_6299;
BgL_arg1824z00_6299 = 
(BgL_oclassz00_6296); 
BgL_odepthz00_6298 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6299); } 
if(
(BgL_arg1830z00_6278<BgL_odepthz00_6298))
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1822z00_6301;
{ /* Llib/ssl.scm 878 */
 obj_t BgL_arg1823z00_6302;
BgL_arg1823z00_6302 = 
(BgL_oclassz00_6296); 
BgL_arg1822z00_6301 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6302, BgL_arg1830z00_6278); } 
BgL_res3408z00_6314 = 
(BgL_arg1822z00_6301==BgL_classz00_6275); }  else 
{ /* Llib/ssl.scm 878 */
BgL_res3408z00_6314 = ((bool_t)0); } } } } 
BgL_test4198z00_11731 = BgL_res3408z00_6314; } }  else 
{ /* Llib/ssl.scm 878 */
BgL_test4198z00_11731 = ((bool_t)0)
; } } 
if(BgL_test4198z00_11731)
{ /* Llib/ssl.scm 878 */
BgL_auxz00_11730 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4891)
; }  else 
{ 
 obj_t BgL_auxz00_11756;
BgL_auxz00_11756 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36053L), BGl_string3348z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4891); 
FAILURE(BgL_auxz00_11756,BFALSE,BFALSE);} } 
BgL_tmpz00_11729 = 
BGl_securezd2contextzd2loadzd2pkcs12zd2zz__ssl_sslz00(BgL_auxz00_11730, BgL_auxz00_11760, BgL_passz00_4893); } 
return 
BBOOL(BgL_tmpz00_11729);} } 

}



/* secure-context-set-ciphers! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_73, obj_t BgL_ciphersz00_74)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
 obj_t BgL_method1269z00_1735;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_res2428z00_2672;
{ /* Llib/ssl.scm 888 */
 long BgL_objzd2classzd2numz00_2643;
BgL_objzd2classzd2numz00_2643 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_73)); 
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1831z00_2644;
BgL_arg1831z00_2644 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 888 */
 int BgL_offsetz00_2647;
BgL_offsetz00_2647 = 
(int)(BgL_objzd2classzd2numz00_2643); 
{ /* Llib/ssl.scm 888 */
 long BgL_offsetz00_2648;
BgL_offsetz00_2648 = 
(
(long)(BgL_offsetz00_2647)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 888 */
 long BgL_modz00_2649;
BgL_modz00_2649 = 
(BgL_offsetz00_2648 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 888 */
 long BgL_restz00_2651;
BgL_restz00_2651 = 
(BgL_offsetz00_2648 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 888 */

{ /* Llib/ssl.scm 888 */
 obj_t BgL_bucketz00_2653;
BgL_bucketz00_2653 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2644),BgL_modz00_2649); 
BgL_res2428z00_2672 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2653),BgL_restz00_2651); } } } } } } } } 
BgL_method1269z00_1735 = BgL_res2428z00_2672; } 
return 
CBOOL(
BGL_PROCEDURE_CALL2(BgL_method1269z00_1735, 
((obj_t)BgL_scz00_73), BgL_ciphersz00_74));} } 

}



/* &secure-context-set-ciphers! */
obj_t BGl_z62securezd2contextzd2setzd2ciphersz12za2zz__ssl_sslz00(obj_t BgL_envz00_4894, obj_t BgL_scz00_4895, obj_t BgL_ciphersz00_4896)
{
{ /* Llib/ssl.scm 888 */
{ /* Llib/ssl.scm 888 */
 bool_t BgL_tmpz00_11801;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_auxz00_11832; BgL_securezd2contextzd2_bglt BgL_auxz00_11802;
if(
STRINGP(BgL_ciphersz00_4896))
{ /* Llib/ssl.scm 888 */
BgL_auxz00_11832 = BgL_ciphersz00_4896
; }  else 
{ 
 obj_t BgL_auxz00_11835;
BgL_auxz00_11835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36460L), BGl_string3349z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_ciphersz00_4896); 
FAILURE(BgL_auxz00_11835,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 888 */
 bool_t BgL_test4204z00_11803;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_classz00_6315;
BgL_classz00_6315 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4895))
{ /* Llib/ssl.scm 888 */
 BgL_objectz00_bglt BgL_arg1829z00_6317; long BgL_arg1830z00_6318;
BgL_arg1829z00_6317 = 
(BgL_objectz00_bglt)(BgL_scz00_4895); 
BgL_arg1830z00_6318 = 
BGL_CLASS_DEPTH(BgL_classz00_6315); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 888 */
 long BgL_idxz00_6326;
BgL_idxz00_6326 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6317); 
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1820z00_6327;
{ /* Llib/ssl.scm 888 */
 long BgL_arg1821z00_6328;
BgL_arg1821z00_6328 = 
(BgL_idxz00_6326+BgL_arg1830z00_6318); 
BgL_arg1820z00_6327 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6328); } 
BgL_test4204z00_11803 = 
(BgL_arg1820z00_6327==BgL_classz00_6315); } }  else 
{ /* Llib/ssl.scm 888 */
 bool_t BgL_res3409z00_6354;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_oclassz00_6336;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1834z00_6344; long BgL_arg1835z00_6345;
BgL_arg1834z00_6344 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 888 */
 long BgL_arg1836z00_6346;
BgL_arg1836z00_6346 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6317); 
BgL_arg1835z00_6345 = 
(BgL_arg1836z00_6346-OBJECT_TYPE); } 
BgL_oclassz00_6336 = 
VECTOR_REF(BgL_arg1834z00_6344,BgL_arg1835z00_6345); } 
{ /* Llib/ssl.scm 888 */
 bool_t BgL__ortest_1114z00_6337;
BgL__ortest_1114z00_6337 = 
(BgL_classz00_6315==BgL_oclassz00_6336); 
if(BgL__ortest_1114z00_6337)
{ /* Llib/ssl.scm 888 */
BgL_res3409z00_6354 = BgL__ortest_1114z00_6337; }  else 
{ /* Llib/ssl.scm 888 */
 long BgL_odepthz00_6338;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1824z00_6339;
BgL_arg1824z00_6339 = 
(BgL_oclassz00_6336); 
BgL_odepthz00_6338 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6339); } 
if(
(BgL_arg1830z00_6318<BgL_odepthz00_6338))
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1822z00_6341;
{ /* Llib/ssl.scm 888 */
 obj_t BgL_arg1823z00_6342;
BgL_arg1823z00_6342 = 
(BgL_oclassz00_6336); 
BgL_arg1822z00_6341 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6342, BgL_arg1830z00_6318); } 
BgL_res3409z00_6354 = 
(BgL_arg1822z00_6341==BgL_classz00_6315); }  else 
{ /* Llib/ssl.scm 888 */
BgL_res3409z00_6354 = ((bool_t)0); } } } } 
BgL_test4204z00_11803 = BgL_res3409z00_6354; } }  else 
{ /* Llib/ssl.scm 888 */
BgL_test4204z00_11803 = ((bool_t)0)
; } } 
if(BgL_test4204z00_11803)
{ /* Llib/ssl.scm 888 */
BgL_auxz00_11802 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4895)
; }  else 
{ 
 obj_t BgL_auxz00_11828;
BgL_auxz00_11828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36460L), BGl_string3349z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4895); 
FAILURE(BgL_auxz00_11828,BFALSE,BFALSE);} } 
BgL_tmpz00_11801 = 
BGl_securezd2contextzd2setzd2ciphersz12zc0zz__ssl_sslz00(BgL_auxz00_11802, BgL_auxz00_11832); } 
return 
BBOOL(BgL_tmpz00_11801);} } 

}



/* secure-context-set-options! */
BGL_EXPORTED_DEF bool_t BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_securezd2contextzd2_bglt BgL_scz00_75, int BgL_optionsz00_76)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
 obj_t BgL_method1271z00_1736;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_res2433z00_2703;
{ /* Llib/ssl.scm 900 */
 long BgL_objzd2classzd2numz00_2674;
BgL_objzd2classzd2numz00_2674 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_scz00_75)); 
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1831z00_2675;
BgL_arg1831z00_2675 = 
PROCEDURE_REF(BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 900 */
 int BgL_offsetz00_2678;
BgL_offsetz00_2678 = 
(int)(BgL_objzd2classzd2numz00_2674); 
{ /* Llib/ssl.scm 900 */
 long BgL_offsetz00_2679;
BgL_offsetz00_2679 = 
(
(long)(BgL_offsetz00_2678)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 900 */
 long BgL_modz00_2680;
BgL_modz00_2680 = 
(BgL_offsetz00_2679 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 900 */
 long BgL_restz00_2682;
BgL_restz00_2682 = 
(BgL_offsetz00_2679 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 900 */

{ /* Llib/ssl.scm 900 */
 obj_t BgL_bucketz00_2684;
BgL_bucketz00_2684 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2675),BgL_modz00_2680); 
BgL_res2433z00_2703 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2684),BgL_restz00_2682); } } } } } } } } 
BgL_method1271z00_1736 = BgL_res2433z00_2703; } 
return 
CBOOL(
BGL_PROCEDURE_CALL2(BgL_method1271z00_1736, 
((obj_t)BgL_scz00_75), 
BINT(BgL_optionsz00_76)));} } 

}



/* &secure-context-set-options! */
obj_t BGl_z62securezd2contextzd2setzd2optionsz12za2zz__ssl_sslz00(obj_t BgL_envz00_4897, obj_t BgL_scz00_4898, obj_t BgL_optionsz00_4899)
{
{ /* Llib/ssl.scm 900 */
{ /* Llib/ssl.scm 900 */
 bool_t BgL_tmpz00_11874;
{ /* Llib/ssl.scm 900 */
 int BgL_auxz00_11905; BgL_securezd2contextzd2_bglt BgL_auxz00_11875;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_tmpz00_11906;
if(
INTEGERP(BgL_optionsz00_4899))
{ /* Llib/ssl.scm 900 */
BgL_tmpz00_11906 = BgL_optionsz00_4899
; }  else 
{ 
 obj_t BgL_auxz00_11909;
BgL_auxz00_11909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36920L), BGl_string3350z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_optionsz00_4899); 
FAILURE(BgL_auxz00_11909,BFALSE,BFALSE);} 
BgL_auxz00_11905 = 
CINT(BgL_tmpz00_11906); } 
{ /* Llib/ssl.scm 900 */
 bool_t BgL_test4210z00_11876;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_classz00_6355;
BgL_classz00_6355 = BGl_securezd2contextzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_scz00_4898))
{ /* Llib/ssl.scm 900 */
 BgL_objectz00_bglt BgL_arg1829z00_6357; long BgL_arg1830z00_6358;
BgL_arg1829z00_6357 = 
(BgL_objectz00_bglt)(BgL_scz00_4898); 
BgL_arg1830z00_6358 = 
BGL_CLASS_DEPTH(BgL_classz00_6355); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 900 */
 long BgL_idxz00_6366;
BgL_idxz00_6366 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6357); 
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1820z00_6367;
{ /* Llib/ssl.scm 900 */
 long BgL_arg1821z00_6368;
BgL_arg1821z00_6368 = 
(BgL_idxz00_6366+BgL_arg1830z00_6358); 
BgL_arg1820z00_6367 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6368); } 
BgL_test4210z00_11876 = 
(BgL_arg1820z00_6367==BgL_classz00_6355); } }  else 
{ /* Llib/ssl.scm 900 */
 bool_t BgL_res3410z00_6394;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_oclassz00_6376;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1834z00_6384; long BgL_arg1835z00_6385;
BgL_arg1834z00_6384 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 900 */
 long BgL_arg1836z00_6386;
BgL_arg1836z00_6386 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6357); 
BgL_arg1835z00_6385 = 
(BgL_arg1836z00_6386-OBJECT_TYPE); } 
BgL_oclassz00_6376 = 
VECTOR_REF(BgL_arg1834z00_6384,BgL_arg1835z00_6385); } 
{ /* Llib/ssl.scm 900 */
 bool_t BgL__ortest_1114z00_6377;
BgL__ortest_1114z00_6377 = 
(BgL_classz00_6355==BgL_oclassz00_6376); 
if(BgL__ortest_1114z00_6377)
{ /* Llib/ssl.scm 900 */
BgL_res3410z00_6394 = BgL__ortest_1114z00_6377; }  else 
{ /* Llib/ssl.scm 900 */
 long BgL_odepthz00_6378;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1824z00_6379;
BgL_arg1824z00_6379 = 
(BgL_oclassz00_6376); 
BgL_odepthz00_6378 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6379); } 
if(
(BgL_arg1830z00_6358<BgL_odepthz00_6378))
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1822z00_6381;
{ /* Llib/ssl.scm 900 */
 obj_t BgL_arg1823z00_6382;
BgL_arg1823z00_6382 = 
(BgL_oclassz00_6376); 
BgL_arg1822z00_6381 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6382, BgL_arg1830z00_6358); } 
BgL_res3410z00_6394 = 
(BgL_arg1822z00_6381==BgL_classz00_6355); }  else 
{ /* Llib/ssl.scm 900 */
BgL_res3410z00_6394 = ((bool_t)0); } } } } 
BgL_test4210z00_11876 = BgL_res3410z00_6394; } }  else 
{ /* Llib/ssl.scm 900 */
BgL_test4210z00_11876 = ((bool_t)0)
; } } 
if(BgL_test4210z00_11876)
{ /* Llib/ssl.scm 900 */
BgL_auxz00_11875 = 
((BgL_securezd2contextzd2_bglt)BgL_scz00_4898)
; }  else 
{ 
 obj_t BgL_auxz00_11901;
BgL_auxz00_11901 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(36920L), BGl_string3350z00zz__ssl_sslz00, BGl_string3039z00zz__ssl_sslz00, BgL_scz00_4898); 
FAILURE(BgL_auxz00_11901,BFALSE,BFALSE);} } 
BgL_tmpz00_11874 = 
BGl_securezd2contextzd2setzd2optionsz12zc0zz__ssl_sslz00(BgL_auxz00_11875, BgL_auxz00_11905); } 
return 
BBOOL(BgL_tmpz00_11874);} } 

}



/* ssl-connection-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_77)
{
{ /* Llib/ssl.scm 912 */
{ /* Llib/ssl.scm 912 */
 obj_t BgL_method1273z00_1737;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_res2438z00_2734;
{ /* Llib/ssl.scm 912 */
 long BgL_objzd2classzd2numz00_2705;
BgL_objzd2classzd2numz00_2705 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_77)); 
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1831z00_2706;
BgL_arg1831z00_2706 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 912 */
 int BgL_offsetz00_2709;
BgL_offsetz00_2709 = 
(int)(BgL_objzd2classzd2numz00_2705); 
{ /* Llib/ssl.scm 912 */
 long BgL_offsetz00_2710;
BgL_offsetz00_2710 = 
(
(long)(BgL_offsetz00_2709)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 912 */
 long BgL_modz00_2711;
BgL_modz00_2711 = 
(BgL_offsetz00_2710 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 912 */
 long BgL_restz00_2713;
BgL_restz00_2713 = 
(BgL_offsetz00_2710 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 912 */

{ /* Llib/ssl.scm 912 */
 obj_t BgL_bucketz00_2715;
BgL_bucketz00_2715 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2706),BgL_modz00_2711); 
BgL_res2438z00_2734 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2715),BgL_restz00_2713); } } } } } } } } 
BgL_method1273z00_1737 = BgL_res2438z00_2734; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1273z00_1737, 
((obj_t)BgL_sslz00_77));} } 

}



/* &ssl-connection-init */
obj_t BGl_z62sslzd2connectionzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4618, obj_t BgL_sslz00_4619)
{
{ /* Llib/ssl.scm 912 */
{ /* Llib/ssl.scm 912 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_11946;
{ /* Llib/ssl.scm 912 */
 bool_t BgL_test4216z00_11947;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_classz00_6395;
BgL_classz00_6395 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4619))
{ /* Llib/ssl.scm 912 */
 BgL_objectz00_bglt BgL_arg1829z00_6397; long BgL_arg1830z00_6398;
BgL_arg1829z00_6397 = 
(BgL_objectz00_bglt)(BgL_sslz00_4619); 
BgL_arg1830z00_6398 = 
BGL_CLASS_DEPTH(BgL_classz00_6395); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 912 */
 long BgL_idxz00_6406;
BgL_idxz00_6406 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6397); 
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1820z00_6407;
{ /* Llib/ssl.scm 912 */
 long BgL_arg1821z00_6408;
BgL_arg1821z00_6408 = 
(BgL_idxz00_6406+BgL_arg1830z00_6398); 
BgL_arg1820z00_6407 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6408); } 
BgL_test4216z00_11947 = 
(BgL_arg1820z00_6407==BgL_classz00_6395); } }  else 
{ /* Llib/ssl.scm 912 */
 bool_t BgL_res3411z00_6434;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_oclassz00_6416;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1834z00_6424; long BgL_arg1835z00_6425;
BgL_arg1834z00_6424 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 912 */
 long BgL_arg1836z00_6426;
BgL_arg1836z00_6426 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6397); 
BgL_arg1835z00_6425 = 
(BgL_arg1836z00_6426-OBJECT_TYPE); } 
BgL_oclassz00_6416 = 
VECTOR_REF(BgL_arg1834z00_6424,BgL_arg1835z00_6425); } 
{ /* Llib/ssl.scm 912 */
 bool_t BgL__ortest_1114z00_6417;
BgL__ortest_1114z00_6417 = 
(BgL_classz00_6395==BgL_oclassz00_6416); 
if(BgL__ortest_1114z00_6417)
{ /* Llib/ssl.scm 912 */
BgL_res3411z00_6434 = BgL__ortest_1114z00_6417; }  else 
{ /* Llib/ssl.scm 912 */
 long BgL_odepthz00_6418;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1824z00_6419;
BgL_arg1824z00_6419 = 
(BgL_oclassz00_6416); 
BgL_odepthz00_6418 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6419); } 
if(
(BgL_arg1830z00_6398<BgL_odepthz00_6418))
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1822z00_6421;
{ /* Llib/ssl.scm 912 */
 obj_t BgL_arg1823z00_6422;
BgL_arg1823z00_6422 = 
(BgL_oclassz00_6416); 
BgL_arg1822z00_6421 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6422, BgL_arg1830z00_6398); } 
BgL_res3411z00_6434 = 
(BgL_arg1822z00_6421==BgL_classz00_6395); }  else 
{ /* Llib/ssl.scm 912 */
BgL_res3411z00_6434 = ((bool_t)0); } } } } 
BgL_test4216z00_11947 = BgL_res3411z00_6434; } }  else 
{ /* Llib/ssl.scm 912 */
BgL_test4216z00_11947 = ((bool_t)0)
; } } 
if(BgL_test4216z00_11947)
{ /* Llib/ssl.scm 912 */
BgL_auxz00_11946 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4619)
; }  else 
{ 
 obj_t BgL_auxz00_11972;
BgL_auxz00_11972 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(37376L), BGl_string3351z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4619); 
FAILURE(BgL_auxz00_11972,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initz00zz__ssl_sslz00(BgL_auxz00_11946);} } 

}



/* ssl-connection-start */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_78)
{
{ /* Llib/ssl.scm 922 */
{ /* Llib/ssl.scm 922 */
 obj_t BgL_method1275z00_1738;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_res2443z00_2765;
{ /* Llib/ssl.scm 922 */
 long BgL_objzd2classzd2numz00_2736;
BgL_objzd2classzd2numz00_2736 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_78)); 
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1831z00_2737;
BgL_arg1831z00_2737 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 922 */
 int BgL_offsetz00_2740;
BgL_offsetz00_2740 = 
(int)(BgL_objzd2classzd2numz00_2736); 
{ /* Llib/ssl.scm 922 */
 long BgL_offsetz00_2741;
BgL_offsetz00_2741 = 
(
(long)(BgL_offsetz00_2740)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 922 */
 long BgL_modz00_2742;
BgL_modz00_2742 = 
(BgL_offsetz00_2741 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 922 */
 long BgL_restz00_2744;
BgL_restz00_2744 = 
(BgL_offsetz00_2741 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 922 */

{ /* Llib/ssl.scm 922 */
 obj_t BgL_bucketz00_2746;
BgL_bucketz00_2746 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2737),BgL_modz00_2742); 
BgL_res2443z00_2765 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2746),BgL_restz00_2744); } } } } } } } } 
BgL_method1275z00_1738 = BgL_res2443z00_2765; } 
return 
CINT(
BGL_PROCEDURE_CALL1(BgL_method1275z00_1738, 
((obj_t)BgL_sslz00_78)));} } 

}



/* &ssl-connection-start */
obj_t BGl_z62sslzd2connectionzd2startz62zz__ssl_sslz00(obj_t BgL_envz00_4900, obj_t BgL_sslz00_4901)
{
{ /* Llib/ssl.scm 922 */
{ /* Llib/ssl.scm 922 */
 int BgL_tmpz00_12008;
{ /* Llib/ssl.scm 922 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12009;
{ /* Llib/ssl.scm 922 */
 bool_t BgL_test4221z00_12010;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_classz00_6435;
BgL_classz00_6435 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4901))
{ /* Llib/ssl.scm 922 */
 BgL_objectz00_bglt BgL_arg1829z00_6437; long BgL_arg1830z00_6438;
BgL_arg1829z00_6437 = 
(BgL_objectz00_bglt)(BgL_sslz00_4901); 
BgL_arg1830z00_6438 = 
BGL_CLASS_DEPTH(BgL_classz00_6435); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 922 */
 long BgL_idxz00_6446;
BgL_idxz00_6446 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6437); 
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1820z00_6447;
{ /* Llib/ssl.scm 922 */
 long BgL_arg1821z00_6448;
BgL_arg1821z00_6448 = 
(BgL_idxz00_6446+BgL_arg1830z00_6438); 
BgL_arg1820z00_6447 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6448); } 
BgL_test4221z00_12010 = 
(BgL_arg1820z00_6447==BgL_classz00_6435); } }  else 
{ /* Llib/ssl.scm 922 */
 bool_t BgL_res3412z00_6474;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_oclassz00_6456;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1834z00_6464; long BgL_arg1835z00_6465;
BgL_arg1834z00_6464 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 922 */
 long BgL_arg1836z00_6466;
BgL_arg1836z00_6466 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6437); 
BgL_arg1835z00_6465 = 
(BgL_arg1836z00_6466-OBJECT_TYPE); } 
BgL_oclassz00_6456 = 
VECTOR_REF(BgL_arg1834z00_6464,BgL_arg1835z00_6465); } 
{ /* Llib/ssl.scm 922 */
 bool_t BgL__ortest_1114z00_6457;
BgL__ortest_1114z00_6457 = 
(BgL_classz00_6435==BgL_oclassz00_6456); 
if(BgL__ortest_1114z00_6457)
{ /* Llib/ssl.scm 922 */
BgL_res3412z00_6474 = BgL__ortest_1114z00_6457; }  else 
{ /* Llib/ssl.scm 922 */
 long BgL_odepthz00_6458;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1824z00_6459;
BgL_arg1824z00_6459 = 
(BgL_oclassz00_6456); 
BgL_odepthz00_6458 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6459); } 
if(
(BgL_arg1830z00_6438<BgL_odepthz00_6458))
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1822z00_6461;
{ /* Llib/ssl.scm 922 */
 obj_t BgL_arg1823z00_6462;
BgL_arg1823z00_6462 = 
(BgL_oclassz00_6456); 
BgL_arg1822z00_6461 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6462, BgL_arg1830z00_6438); } 
BgL_res3412z00_6474 = 
(BgL_arg1822z00_6461==BgL_classz00_6435); }  else 
{ /* Llib/ssl.scm 922 */
BgL_res3412z00_6474 = ((bool_t)0); } } } } 
BgL_test4221z00_12010 = BgL_res3412z00_6474; } }  else 
{ /* Llib/ssl.scm 922 */
BgL_test4221z00_12010 = ((bool_t)0)
; } } 
if(BgL_test4221z00_12010)
{ /* Llib/ssl.scm 922 */
BgL_auxz00_12009 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4901)
; }  else 
{ 
 obj_t BgL_auxz00_12035;
BgL_auxz00_12035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(37755L), BGl_string3353z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4901); 
FAILURE(BgL_auxz00_12035,BFALSE,BFALSE);} } 
BgL_tmpz00_12008 = 
BGl_sslzd2connectionzd2startz00zz__ssl_sslz00(BgL_auxz00_12009); } 
return 
BINT(BgL_tmpz00_12008);} } 

}



/* ssl-connection-close */
BGL_EXPORTED_DEF int BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_79)
{
{ /* Llib/ssl.scm 932 */
{ /* Llib/ssl.scm 932 */
 obj_t BgL_method1277z00_1739;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_res2448z00_2796;
{ /* Llib/ssl.scm 932 */
 long BgL_objzd2classzd2numz00_2767;
BgL_objzd2classzd2numz00_2767 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_79)); 
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1831z00_2768;
BgL_arg1831z00_2768 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 932 */
 int BgL_offsetz00_2771;
BgL_offsetz00_2771 = 
(int)(BgL_objzd2classzd2numz00_2767); 
{ /* Llib/ssl.scm 932 */
 long BgL_offsetz00_2772;
BgL_offsetz00_2772 = 
(
(long)(BgL_offsetz00_2771)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 932 */
 long BgL_modz00_2773;
BgL_modz00_2773 = 
(BgL_offsetz00_2772 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 932 */
 long BgL_restz00_2775;
BgL_restz00_2775 = 
(BgL_offsetz00_2772 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 932 */

{ /* Llib/ssl.scm 932 */
 obj_t BgL_bucketz00_2777;
BgL_bucketz00_2777 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2768),BgL_modz00_2773); 
BgL_res2448z00_2796 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2777),BgL_restz00_2775); } } } } } } } } 
BgL_method1277z00_1739 = BgL_res2448z00_2796; } 
return 
CINT(
BGL_PROCEDURE_CALL1(BgL_method1277z00_1739, 
((obj_t)BgL_sslz00_79)));} } 

}



/* &ssl-connection-close */
obj_t BGl_z62sslzd2connectionzd2closez62zz__ssl_sslz00(obj_t BgL_envz00_4902, obj_t BgL_sslz00_4903)
{
{ /* Llib/ssl.scm 932 */
{ /* Llib/ssl.scm 932 */
 int BgL_tmpz00_12072;
{ /* Llib/ssl.scm 932 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12073;
{ /* Llib/ssl.scm 932 */
 bool_t BgL_test4226z00_12074;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_classz00_6475;
BgL_classz00_6475 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4903))
{ /* Llib/ssl.scm 932 */
 BgL_objectz00_bglt BgL_arg1829z00_6477; long BgL_arg1830z00_6478;
BgL_arg1829z00_6477 = 
(BgL_objectz00_bglt)(BgL_sslz00_4903); 
BgL_arg1830z00_6478 = 
BGL_CLASS_DEPTH(BgL_classz00_6475); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 932 */
 long BgL_idxz00_6486;
BgL_idxz00_6486 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6477); 
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1820z00_6487;
{ /* Llib/ssl.scm 932 */
 long BgL_arg1821z00_6488;
BgL_arg1821z00_6488 = 
(BgL_idxz00_6486+BgL_arg1830z00_6478); 
BgL_arg1820z00_6487 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6488); } 
BgL_test4226z00_12074 = 
(BgL_arg1820z00_6487==BgL_classz00_6475); } }  else 
{ /* Llib/ssl.scm 932 */
 bool_t BgL_res3413z00_6514;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_oclassz00_6496;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1834z00_6504; long BgL_arg1835z00_6505;
BgL_arg1834z00_6504 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 932 */
 long BgL_arg1836z00_6506;
BgL_arg1836z00_6506 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6477); 
BgL_arg1835z00_6505 = 
(BgL_arg1836z00_6506-OBJECT_TYPE); } 
BgL_oclassz00_6496 = 
VECTOR_REF(BgL_arg1834z00_6504,BgL_arg1835z00_6505); } 
{ /* Llib/ssl.scm 932 */
 bool_t BgL__ortest_1114z00_6497;
BgL__ortest_1114z00_6497 = 
(BgL_classz00_6475==BgL_oclassz00_6496); 
if(BgL__ortest_1114z00_6497)
{ /* Llib/ssl.scm 932 */
BgL_res3413z00_6514 = BgL__ortest_1114z00_6497; }  else 
{ /* Llib/ssl.scm 932 */
 long BgL_odepthz00_6498;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1824z00_6499;
BgL_arg1824z00_6499 = 
(BgL_oclassz00_6496); 
BgL_odepthz00_6498 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6499); } 
if(
(BgL_arg1830z00_6478<BgL_odepthz00_6498))
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1822z00_6501;
{ /* Llib/ssl.scm 932 */
 obj_t BgL_arg1823z00_6502;
BgL_arg1823z00_6502 = 
(BgL_oclassz00_6496); 
BgL_arg1822z00_6501 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6502, BgL_arg1830z00_6478); } 
BgL_res3413z00_6514 = 
(BgL_arg1822z00_6501==BgL_classz00_6475); }  else 
{ /* Llib/ssl.scm 932 */
BgL_res3413z00_6514 = ((bool_t)0); } } } } 
BgL_test4226z00_12074 = BgL_res3413z00_6514; } }  else 
{ /* Llib/ssl.scm 932 */
BgL_test4226z00_12074 = ((bool_t)0)
; } } 
if(BgL_test4226z00_12074)
{ /* Llib/ssl.scm 932 */
BgL_auxz00_12073 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4903)
; }  else 
{ 
 obj_t BgL_auxz00_12099;
BgL_auxz00_12099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38135L), BGl_string3354z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4903); 
FAILURE(BgL_auxz00_12099,BFALSE,BFALSE);} } 
BgL_tmpz00_12072 = 
BGl_sslzd2connectionzd2closez00zz__ssl_sslz00(BgL_auxz00_12073); } 
return 
BINT(BgL_tmpz00_12072);} } 

}



/* ssl-connection-shutdown */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_80)
{
{ /* Llib/ssl.scm 942 */
{ /* Llib/ssl.scm 942 */
 obj_t BgL_method1279z00_1740;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_res2453z00_2827;
{ /* Llib/ssl.scm 942 */
 long BgL_objzd2classzd2numz00_2798;
BgL_objzd2classzd2numz00_2798 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_80)); 
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1831z00_2799;
BgL_arg1831z00_2799 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 942 */
 int BgL_offsetz00_2802;
BgL_offsetz00_2802 = 
(int)(BgL_objzd2classzd2numz00_2798); 
{ /* Llib/ssl.scm 942 */
 long BgL_offsetz00_2803;
BgL_offsetz00_2803 = 
(
(long)(BgL_offsetz00_2802)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 942 */
 long BgL_modz00_2804;
BgL_modz00_2804 = 
(BgL_offsetz00_2803 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 942 */
 long BgL_restz00_2806;
BgL_restz00_2806 = 
(BgL_offsetz00_2803 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 942 */

{ /* Llib/ssl.scm 942 */
 obj_t BgL_bucketz00_2808;
BgL_bucketz00_2808 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2799),BgL_modz00_2804); 
BgL_res2453z00_2827 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2808),BgL_restz00_2806); } } } } } } } } 
BgL_method1279z00_1740 = BgL_res2453z00_2827; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1279z00_1740, 
((obj_t)BgL_sslz00_80));} } 

}



/* &ssl-connection-shutdown */
obj_t BGl_z62sslzd2connectionzd2shutdownz62zz__ssl_sslz00(obj_t BgL_envz00_4904, obj_t BgL_sslz00_4905)
{
{ /* Llib/ssl.scm 942 */
{ /* Llib/ssl.scm 942 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12135;
{ /* Llib/ssl.scm 942 */
 bool_t BgL_test4231z00_12136;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_classz00_6515;
BgL_classz00_6515 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4905))
{ /* Llib/ssl.scm 942 */
 BgL_objectz00_bglt BgL_arg1829z00_6517; long BgL_arg1830z00_6518;
BgL_arg1829z00_6517 = 
(BgL_objectz00_bglt)(BgL_sslz00_4905); 
BgL_arg1830z00_6518 = 
BGL_CLASS_DEPTH(BgL_classz00_6515); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 942 */
 long BgL_idxz00_6526;
BgL_idxz00_6526 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6517); 
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1820z00_6527;
{ /* Llib/ssl.scm 942 */
 long BgL_arg1821z00_6528;
BgL_arg1821z00_6528 = 
(BgL_idxz00_6526+BgL_arg1830z00_6518); 
BgL_arg1820z00_6527 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6528); } 
BgL_test4231z00_12136 = 
(BgL_arg1820z00_6527==BgL_classz00_6515); } }  else 
{ /* Llib/ssl.scm 942 */
 bool_t BgL_res3414z00_6554;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_oclassz00_6536;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1834z00_6544; long BgL_arg1835z00_6545;
BgL_arg1834z00_6544 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 942 */
 long BgL_arg1836z00_6546;
BgL_arg1836z00_6546 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6517); 
BgL_arg1835z00_6545 = 
(BgL_arg1836z00_6546-OBJECT_TYPE); } 
BgL_oclassz00_6536 = 
VECTOR_REF(BgL_arg1834z00_6544,BgL_arg1835z00_6545); } 
{ /* Llib/ssl.scm 942 */
 bool_t BgL__ortest_1114z00_6537;
BgL__ortest_1114z00_6537 = 
(BgL_classz00_6515==BgL_oclassz00_6536); 
if(BgL__ortest_1114z00_6537)
{ /* Llib/ssl.scm 942 */
BgL_res3414z00_6554 = BgL__ortest_1114z00_6537; }  else 
{ /* Llib/ssl.scm 942 */
 long BgL_odepthz00_6538;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1824z00_6539;
BgL_arg1824z00_6539 = 
(BgL_oclassz00_6536); 
BgL_odepthz00_6538 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6539); } 
if(
(BgL_arg1830z00_6518<BgL_odepthz00_6538))
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1822z00_6541;
{ /* Llib/ssl.scm 942 */
 obj_t BgL_arg1823z00_6542;
BgL_arg1823z00_6542 = 
(BgL_oclassz00_6536); 
BgL_arg1822z00_6541 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6542, BgL_arg1830z00_6518); } 
BgL_res3414z00_6554 = 
(BgL_arg1822z00_6541==BgL_classz00_6515); }  else 
{ /* Llib/ssl.scm 942 */
BgL_res3414z00_6554 = ((bool_t)0); } } } } 
BgL_test4231z00_12136 = BgL_res3414z00_6554; } }  else 
{ /* Llib/ssl.scm 942 */
BgL_test4231z00_12136 = ((bool_t)0)
; } } 
if(BgL_test4231z00_12136)
{ /* Llib/ssl.scm 942 */
BgL_auxz00_12135 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4905)
; }  else 
{ 
 obj_t BgL_auxz00_12161;
BgL_auxz00_12161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38515L), BGl_string3355z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4905); 
FAILURE(BgL_auxz00_12161,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2shutdownz00zz__ssl_sslz00(BgL_auxz00_12135);} } 

}



/* ssl-connection-read */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_81, obj_t BgL_bufferz00_82, long BgL_offsetz00_83, long BgL_lenz00_84)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 952 */
 obj_t BgL_method1281z00_1741;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_res2458z00_2858;
{ /* Llib/ssl.scm 952 */
 long BgL_objzd2classzd2numz00_2829;
BgL_objzd2classzd2numz00_2829 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_81)); 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1831z00_2830;
BgL_arg1831z00_2830 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 952 */
 int BgL_offsetz00_2833;
BgL_offsetz00_2833 = 
(int)(BgL_objzd2classzd2numz00_2829); 
{ /* Llib/ssl.scm 952 */
 long BgL_offsetz00_2834;
BgL_offsetz00_2834 = 
(
(long)(BgL_offsetz00_2833)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 952 */
 long BgL_modz00_2835;
BgL_modz00_2835 = 
(BgL_offsetz00_2834 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 952 */
 long BgL_restz00_2837;
BgL_restz00_2837 = 
(BgL_offsetz00_2834 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 952 */

{ /* Llib/ssl.scm 952 */
 obj_t BgL_bucketz00_2839;
BgL_bucketz00_2839 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2830),BgL_modz00_2835); 
BgL_res2458z00_2858 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2839),BgL_restz00_2837); } } } } } } } } 
BgL_method1281z00_1741 = BgL_res2458z00_2858; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1281z00_1741, 
((obj_t)BgL_sslz00_81), BgL_bufferz00_82, 
BINT(BgL_offsetz00_83), 
BINT(BgL_lenz00_84));} } 

}



/* &ssl-connection-read */
obj_t BGl_z62sslzd2connectionzd2readz62zz__ssl_sslz00(obj_t BgL_envz00_4906, obj_t BgL_sslz00_4907, obj_t BgL_bufferz00_4908, obj_t BgL_offsetz00_4909, obj_t BgL_lenz00_4910)
{
{ /* Llib/ssl.scm 952 */
{ /* Llib/ssl.scm 952 */
 long BgL_auxz00_12247; long BgL_auxz00_12238; obj_t BgL_auxz00_12231; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12201;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_tmpz00_12248;
if(
INTEGERP(BgL_lenz00_4910))
{ /* Llib/ssl.scm 952 */
BgL_tmpz00_12248 = BgL_lenz00_4910
; }  else 
{ 
 obj_t BgL_auxz00_12251;
BgL_auxz00_12251 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3356z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4910); 
FAILURE(BgL_auxz00_12251,BFALSE,BFALSE);} 
BgL_auxz00_12247 = 
(long)CINT(BgL_tmpz00_12248); } 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_tmpz00_12239;
if(
INTEGERP(BgL_offsetz00_4909))
{ /* Llib/ssl.scm 952 */
BgL_tmpz00_12239 = BgL_offsetz00_4909
; }  else 
{ 
 obj_t BgL_auxz00_12242;
BgL_auxz00_12242 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3356z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4909); 
FAILURE(BgL_auxz00_12242,BFALSE,BFALSE);} 
BgL_auxz00_12238 = 
(long)CINT(BgL_tmpz00_12239); } 
if(
STRINGP(BgL_bufferz00_4908))
{ /* Llib/ssl.scm 952 */
BgL_auxz00_12231 = BgL_bufferz00_4908
; }  else 
{ 
 obj_t BgL_auxz00_12234;
BgL_auxz00_12234 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3356z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufferz00_4908); 
FAILURE(BgL_auxz00_12234,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 952 */
 bool_t BgL_test4236z00_12202;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_classz00_6555;
BgL_classz00_6555 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4907))
{ /* Llib/ssl.scm 952 */
 BgL_objectz00_bglt BgL_arg1829z00_6557; long BgL_arg1830z00_6558;
BgL_arg1829z00_6557 = 
(BgL_objectz00_bglt)(BgL_sslz00_4907); 
BgL_arg1830z00_6558 = 
BGL_CLASS_DEPTH(BgL_classz00_6555); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 952 */
 long BgL_idxz00_6566;
BgL_idxz00_6566 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6557); 
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1820z00_6567;
{ /* Llib/ssl.scm 952 */
 long BgL_arg1821z00_6568;
BgL_arg1821z00_6568 = 
(BgL_idxz00_6566+BgL_arg1830z00_6558); 
BgL_arg1820z00_6567 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6568); } 
BgL_test4236z00_12202 = 
(BgL_arg1820z00_6567==BgL_classz00_6555); } }  else 
{ /* Llib/ssl.scm 952 */
 bool_t BgL_res3415z00_6594;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_oclassz00_6576;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1834z00_6584; long BgL_arg1835z00_6585;
BgL_arg1834z00_6584 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 952 */
 long BgL_arg1836z00_6586;
BgL_arg1836z00_6586 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6557); 
BgL_arg1835z00_6585 = 
(BgL_arg1836z00_6586-OBJECT_TYPE); } 
BgL_oclassz00_6576 = 
VECTOR_REF(BgL_arg1834z00_6584,BgL_arg1835z00_6585); } 
{ /* Llib/ssl.scm 952 */
 bool_t BgL__ortest_1114z00_6577;
BgL__ortest_1114z00_6577 = 
(BgL_classz00_6555==BgL_oclassz00_6576); 
if(BgL__ortest_1114z00_6577)
{ /* Llib/ssl.scm 952 */
BgL_res3415z00_6594 = BgL__ortest_1114z00_6577; }  else 
{ /* Llib/ssl.scm 952 */
 long BgL_odepthz00_6578;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1824z00_6579;
BgL_arg1824z00_6579 = 
(BgL_oclassz00_6576); 
BgL_odepthz00_6578 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6579); } 
if(
(BgL_arg1830z00_6558<BgL_odepthz00_6578))
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1822z00_6581;
{ /* Llib/ssl.scm 952 */
 obj_t BgL_arg1823z00_6582;
BgL_arg1823z00_6582 = 
(BgL_oclassz00_6576); 
BgL_arg1822z00_6581 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6582, BgL_arg1830z00_6558); } 
BgL_res3415z00_6594 = 
(BgL_arg1822z00_6581==BgL_classz00_6555); }  else 
{ /* Llib/ssl.scm 952 */
BgL_res3415z00_6594 = ((bool_t)0); } } } } 
BgL_test4236z00_12202 = BgL_res3415z00_6594; } }  else 
{ /* Llib/ssl.scm 952 */
BgL_test4236z00_12202 = ((bool_t)0)
; } } 
if(BgL_test4236z00_12202)
{ /* Llib/ssl.scm 952 */
BgL_auxz00_12201 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4907)
; }  else 
{ 
 obj_t BgL_auxz00_12227;
BgL_auxz00_12227 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(38901L), BGl_string3356z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4907); 
FAILURE(BgL_auxz00_12227,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2readz00zz__ssl_sslz00(BgL_auxz00_12201, BgL_auxz00_12231, BgL_auxz00_12238, BgL_auxz00_12247);} } 

}



/* ssl-connection-write */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_85, obj_t BgL_bufferz00_86, long BgL_offsetz00_87, long BgL_lenz00_88)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 962 */
 obj_t BgL_method1283z00_1742;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_res2463z00_2889;
{ /* Llib/ssl.scm 962 */
 long BgL_objzd2classzd2numz00_2860;
BgL_objzd2classzd2numz00_2860 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_85)); 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1831z00_2861;
BgL_arg1831z00_2861 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 962 */
 int BgL_offsetz00_2864;
BgL_offsetz00_2864 = 
(int)(BgL_objzd2classzd2numz00_2860); 
{ /* Llib/ssl.scm 962 */
 long BgL_offsetz00_2865;
BgL_offsetz00_2865 = 
(
(long)(BgL_offsetz00_2864)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 962 */
 long BgL_modz00_2866;
BgL_modz00_2866 = 
(BgL_offsetz00_2865 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 962 */
 long BgL_restz00_2868;
BgL_restz00_2868 = 
(BgL_offsetz00_2865 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 962 */

{ /* Llib/ssl.scm 962 */
 obj_t BgL_bucketz00_2870;
BgL_bucketz00_2870 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2861),BgL_modz00_2866); 
BgL_res2463z00_2889 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2870),BgL_restz00_2868); } } } } } } } } 
BgL_method1283z00_1742 = BgL_res2463z00_2889; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1283z00_1742, 
((obj_t)BgL_sslz00_85), BgL_bufferz00_86, 
BINT(BgL_offsetz00_87), 
BINT(BgL_lenz00_88));} } 

}



/* &ssl-connection-write */
obj_t BGl_z62sslzd2connectionzd2writez62zz__ssl_sslz00(obj_t BgL_envz00_4911, obj_t BgL_sslz00_4912, obj_t BgL_bufferz00_4913, obj_t BgL_offsetz00_4914, obj_t BgL_lenz00_4915)
{
{ /* Llib/ssl.scm 962 */
{ /* Llib/ssl.scm 962 */
 long BgL_auxz00_12338; long BgL_auxz00_12329; obj_t BgL_auxz00_12322; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12292;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_tmpz00_12339;
if(
INTEGERP(BgL_lenz00_4915))
{ /* Llib/ssl.scm 962 */
BgL_tmpz00_12339 = BgL_lenz00_4915
; }  else 
{ 
 obj_t BgL_auxz00_12342;
BgL_auxz00_12342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3357z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4915); 
FAILURE(BgL_auxz00_12342,BFALSE,BFALSE);} 
BgL_auxz00_12338 = 
(long)CINT(BgL_tmpz00_12339); } 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_tmpz00_12330;
if(
INTEGERP(BgL_offsetz00_4914))
{ /* Llib/ssl.scm 962 */
BgL_tmpz00_12330 = BgL_offsetz00_4914
; }  else 
{ 
 obj_t BgL_auxz00_12333;
BgL_auxz00_12333 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3357z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4914); 
FAILURE(BgL_auxz00_12333,BFALSE,BFALSE);} 
BgL_auxz00_12329 = 
(long)CINT(BgL_tmpz00_12330); } 
if(
STRINGP(BgL_bufferz00_4913))
{ /* Llib/ssl.scm 962 */
BgL_auxz00_12322 = BgL_bufferz00_4913
; }  else 
{ 
 obj_t BgL_auxz00_12325;
BgL_auxz00_12325 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3357z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufferz00_4913); 
FAILURE(BgL_auxz00_12325,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 962 */
 bool_t BgL_test4244z00_12293;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_classz00_6595;
BgL_classz00_6595 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4912))
{ /* Llib/ssl.scm 962 */
 BgL_objectz00_bglt BgL_arg1829z00_6597; long BgL_arg1830z00_6598;
BgL_arg1829z00_6597 = 
(BgL_objectz00_bglt)(BgL_sslz00_4912); 
BgL_arg1830z00_6598 = 
BGL_CLASS_DEPTH(BgL_classz00_6595); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 962 */
 long BgL_idxz00_6606;
BgL_idxz00_6606 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6597); 
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1820z00_6607;
{ /* Llib/ssl.scm 962 */
 long BgL_arg1821z00_6608;
BgL_arg1821z00_6608 = 
(BgL_idxz00_6606+BgL_arg1830z00_6598); 
BgL_arg1820z00_6607 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6608); } 
BgL_test4244z00_12293 = 
(BgL_arg1820z00_6607==BgL_classz00_6595); } }  else 
{ /* Llib/ssl.scm 962 */
 bool_t BgL_res3416z00_6634;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_oclassz00_6616;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1834z00_6624; long BgL_arg1835z00_6625;
BgL_arg1834z00_6624 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 962 */
 long BgL_arg1836z00_6626;
BgL_arg1836z00_6626 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6597); 
BgL_arg1835z00_6625 = 
(BgL_arg1836z00_6626-OBJECT_TYPE); } 
BgL_oclassz00_6616 = 
VECTOR_REF(BgL_arg1834z00_6624,BgL_arg1835z00_6625); } 
{ /* Llib/ssl.scm 962 */
 bool_t BgL__ortest_1114z00_6617;
BgL__ortest_1114z00_6617 = 
(BgL_classz00_6595==BgL_oclassz00_6616); 
if(BgL__ortest_1114z00_6617)
{ /* Llib/ssl.scm 962 */
BgL_res3416z00_6634 = BgL__ortest_1114z00_6617; }  else 
{ /* Llib/ssl.scm 962 */
 long BgL_odepthz00_6618;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1824z00_6619;
BgL_arg1824z00_6619 = 
(BgL_oclassz00_6616); 
BgL_odepthz00_6618 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6619); } 
if(
(BgL_arg1830z00_6598<BgL_odepthz00_6618))
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1822z00_6621;
{ /* Llib/ssl.scm 962 */
 obj_t BgL_arg1823z00_6622;
BgL_arg1823z00_6622 = 
(BgL_oclassz00_6616); 
BgL_arg1822z00_6621 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6622, BgL_arg1830z00_6598); } 
BgL_res3416z00_6634 = 
(BgL_arg1822z00_6621==BgL_classz00_6595); }  else 
{ /* Llib/ssl.scm 962 */
BgL_res3416z00_6634 = ((bool_t)0); } } } } 
BgL_test4244z00_12293 = BgL_res3416z00_6634; } }  else 
{ /* Llib/ssl.scm 962 */
BgL_test4244z00_12293 = ((bool_t)0)
; } } 
if(BgL_test4244z00_12293)
{ /* Llib/ssl.scm 962 */
BgL_auxz00_12292 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4912)
; }  else 
{ 
 obj_t BgL_auxz00_12318;
BgL_auxz00_12318 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39313L), BGl_string3357z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4912); 
FAILURE(BgL_auxz00_12318,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2writez00zz__ssl_sslz00(BgL_auxz00_12292, BgL_auxz00_12322, BgL_auxz00_12329, BgL_auxz00_12338);} } 

}



/* ssl-connection-clear-in */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_89, obj_t BgL_bufferz00_90, long BgL_offsetz00_91, long BgL_lenz00_92)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 972 */
 obj_t BgL_method1285z00_1743;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_res2468z00_2920;
{ /* Llib/ssl.scm 972 */
 long BgL_objzd2classzd2numz00_2891;
BgL_objzd2classzd2numz00_2891 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_89)); 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1831z00_2892;
BgL_arg1831z00_2892 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 972 */
 int BgL_offsetz00_2895;
BgL_offsetz00_2895 = 
(int)(BgL_objzd2classzd2numz00_2891); 
{ /* Llib/ssl.scm 972 */
 long BgL_offsetz00_2896;
BgL_offsetz00_2896 = 
(
(long)(BgL_offsetz00_2895)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 972 */
 long BgL_modz00_2897;
BgL_modz00_2897 = 
(BgL_offsetz00_2896 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 972 */
 long BgL_restz00_2899;
BgL_restz00_2899 = 
(BgL_offsetz00_2896 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 972 */

{ /* Llib/ssl.scm 972 */
 obj_t BgL_bucketz00_2901;
BgL_bucketz00_2901 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2892),BgL_modz00_2897); 
BgL_res2468z00_2920 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2901),BgL_restz00_2899); } } } } } } } } 
BgL_method1285z00_1743 = BgL_res2468z00_2920; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1285z00_1743, 
((obj_t)BgL_sslz00_89), BgL_bufferz00_90, 
BINT(BgL_offsetz00_91), 
BINT(BgL_lenz00_92));} } 

}



/* &ssl-connection-clear-in */
obj_t BGl_z62sslzd2connectionzd2clearzd2inzb0zz__ssl_sslz00(obj_t BgL_envz00_4916, obj_t BgL_sslz00_4917, obj_t BgL_bufferz00_4918, obj_t BgL_offsetz00_4919, obj_t BgL_lenz00_4920)
{
{ /* Llib/ssl.scm 972 */
{ /* Llib/ssl.scm 972 */
 long BgL_auxz00_12429; long BgL_auxz00_12420; obj_t BgL_auxz00_12413; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12383;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_tmpz00_12430;
if(
INTEGERP(BgL_lenz00_4920))
{ /* Llib/ssl.scm 972 */
BgL_tmpz00_12430 = BgL_lenz00_4920
; }  else 
{ 
 obj_t BgL_auxz00_12433;
BgL_auxz00_12433 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3358z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4920); 
FAILURE(BgL_auxz00_12433,BFALSE,BFALSE);} 
BgL_auxz00_12429 = 
(long)CINT(BgL_tmpz00_12430); } 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_tmpz00_12421;
if(
INTEGERP(BgL_offsetz00_4919))
{ /* Llib/ssl.scm 972 */
BgL_tmpz00_12421 = BgL_offsetz00_4919
; }  else 
{ 
 obj_t BgL_auxz00_12424;
BgL_auxz00_12424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3358z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4919); 
FAILURE(BgL_auxz00_12424,BFALSE,BFALSE);} 
BgL_auxz00_12420 = 
(long)CINT(BgL_tmpz00_12421); } 
if(
STRINGP(BgL_bufferz00_4918))
{ /* Llib/ssl.scm 972 */
BgL_auxz00_12413 = BgL_bufferz00_4918
; }  else 
{ 
 obj_t BgL_auxz00_12416;
BgL_auxz00_12416 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3358z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufferz00_4918); 
FAILURE(BgL_auxz00_12416,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 972 */
 bool_t BgL_test4252z00_12384;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_classz00_6635;
BgL_classz00_6635 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4917))
{ /* Llib/ssl.scm 972 */
 BgL_objectz00_bglt BgL_arg1829z00_6637; long BgL_arg1830z00_6638;
BgL_arg1829z00_6637 = 
(BgL_objectz00_bglt)(BgL_sslz00_4917); 
BgL_arg1830z00_6638 = 
BGL_CLASS_DEPTH(BgL_classz00_6635); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 972 */
 long BgL_idxz00_6646;
BgL_idxz00_6646 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6637); 
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1820z00_6647;
{ /* Llib/ssl.scm 972 */
 long BgL_arg1821z00_6648;
BgL_arg1821z00_6648 = 
(BgL_idxz00_6646+BgL_arg1830z00_6638); 
BgL_arg1820z00_6647 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6648); } 
BgL_test4252z00_12384 = 
(BgL_arg1820z00_6647==BgL_classz00_6635); } }  else 
{ /* Llib/ssl.scm 972 */
 bool_t BgL_res3417z00_6674;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_oclassz00_6656;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1834z00_6664; long BgL_arg1835z00_6665;
BgL_arg1834z00_6664 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 972 */
 long BgL_arg1836z00_6666;
BgL_arg1836z00_6666 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6637); 
BgL_arg1835z00_6665 = 
(BgL_arg1836z00_6666-OBJECT_TYPE); } 
BgL_oclassz00_6656 = 
VECTOR_REF(BgL_arg1834z00_6664,BgL_arg1835z00_6665); } 
{ /* Llib/ssl.scm 972 */
 bool_t BgL__ortest_1114z00_6657;
BgL__ortest_1114z00_6657 = 
(BgL_classz00_6635==BgL_oclassz00_6656); 
if(BgL__ortest_1114z00_6657)
{ /* Llib/ssl.scm 972 */
BgL_res3417z00_6674 = BgL__ortest_1114z00_6657; }  else 
{ /* Llib/ssl.scm 972 */
 long BgL_odepthz00_6658;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1824z00_6659;
BgL_arg1824z00_6659 = 
(BgL_oclassz00_6656); 
BgL_odepthz00_6658 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6659); } 
if(
(BgL_arg1830z00_6638<BgL_odepthz00_6658))
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1822z00_6661;
{ /* Llib/ssl.scm 972 */
 obj_t BgL_arg1823z00_6662;
BgL_arg1823z00_6662 = 
(BgL_oclassz00_6656); 
BgL_arg1822z00_6661 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6662, BgL_arg1830z00_6638); } 
BgL_res3417z00_6674 = 
(BgL_arg1822z00_6661==BgL_classz00_6635); }  else 
{ /* Llib/ssl.scm 972 */
BgL_res3417z00_6674 = ((bool_t)0); } } } } 
BgL_test4252z00_12384 = BgL_res3417z00_6674; } }  else 
{ /* Llib/ssl.scm 972 */
BgL_test4252z00_12384 = ((bool_t)0)
; } } 
if(BgL_test4252z00_12384)
{ /* Llib/ssl.scm 972 */
BgL_auxz00_12383 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4917)
; }  else 
{ 
 obj_t BgL_auxz00_12409;
BgL_auxz00_12409 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(39727L), BGl_string3358z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4917); 
FAILURE(BgL_auxz00_12409,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2inzd2zz__ssl_sslz00(BgL_auxz00_12383, BgL_auxz00_12413, BgL_auxz00_12420, BgL_auxz00_12429);} } 

}



/* ssl-connection-clear-out */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_93, obj_t BgL_bufferz00_94, long BgL_offsetz00_95, long BgL_lenz00_96)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 982 */
 obj_t BgL_method1287z00_1744;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_res2473z00_2951;
{ /* Llib/ssl.scm 982 */
 long BgL_objzd2classzd2numz00_2922;
BgL_objzd2classzd2numz00_2922 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_93)); 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1831z00_2923;
BgL_arg1831z00_2923 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 982 */
 int BgL_offsetz00_2926;
BgL_offsetz00_2926 = 
(int)(BgL_objzd2classzd2numz00_2922); 
{ /* Llib/ssl.scm 982 */
 long BgL_offsetz00_2927;
BgL_offsetz00_2927 = 
(
(long)(BgL_offsetz00_2926)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 982 */
 long BgL_modz00_2928;
BgL_modz00_2928 = 
(BgL_offsetz00_2927 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 982 */
 long BgL_restz00_2930;
BgL_restz00_2930 = 
(BgL_offsetz00_2927 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 982 */

{ /* Llib/ssl.scm 982 */
 obj_t BgL_bucketz00_2932;
BgL_bucketz00_2932 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2923),BgL_modz00_2928); 
BgL_res2473z00_2951 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2932),BgL_restz00_2930); } } } } } } } } 
BgL_method1287z00_1744 = BgL_res2473z00_2951; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1287z00_1744, 
((obj_t)BgL_sslz00_93), BgL_bufferz00_94, 
BINT(BgL_offsetz00_95), 
BINT(BgL_lenz00_96));} } 

}



/* &ssl-connection-clear-out */
obj_t BGl_z62sslzd2connectionzd2clearzd2outzb0zz__ssl_sslz00(obj_t BgL_envz00_4921, obj_t BgL_sslz00_4922, obj_t BgL_bufferz00_4923, obj_t BgL_offsetz00_4924, obj_t BgL_lenz00_4925)
{
{ /* Llib/ssl.scm 982 */
{ /* Llib/ssl.scm 982 */
 long BgL_auxz00_12520; long BgL_auxz00_12511; obj_t BgL_auxz00_12504; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12474;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_tmpz00_12521;
if(
INTEGERP(BgL_lenz00_4925))
{ /* Llib/ssl.scm 982 */
BgL_tmpz00_12521 = BgL_lenz00_4925
; }  else 
{ 
 obj_t BgL_auxz00_12524;
BgL_auxz00_12524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3359z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4925); 
FAILURE(BgL_auxz00_12524,BFALSE,BFALSE);} 
BgL_auxz00_12520 = 
(long)CINT(BgL_tmpz00_12521); } 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_tmpz00_12512;
if(
INTEGERP(BgL_offsetz00_4924))
{ /* Llib/ssl.scm 982 */
BgL_tmpz00_12512 = BgL_offsetz00_4924
; }  else 
{ 
 obj_t BgL_auxz00_12515;
BgL_auxz00_12515 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3359z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4924); 
FAILURE(BgL_auxz00_12515,BFALSE,BFALSE);} 
BgL_auxz00_12511 = 
(long)CINT(BgL_tmpz00_12512); } 
if(
STRINGP(BgL_bufferz00_4923))
{ /* Llib/ssl.scm 982 */
BgL_auxz00_12504 = BgL_bufferz00_4923
; }  else 
{ 
 obj_t BgL_auxz00_12507;
BgL_auxz00_12507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3359z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufferz00_4923); 
FAILURE(BgL_auxz00_12507,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 982 */
 bool_t BgL_test4260z00_12475;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_classz00_6675;
BgL_classz00_6675 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4922))
{ /* Llib/ssl.scm 982 */
 BgL_objectz00_bglt BgL_arg1829z00_6677; long BgL_arg1830z00_6678;
BgL_arg1829z00_6677 = 
(BgL_objectz00_bglt)(BgL_sslz00_4922); 
BgL_arg1830z00_6678 = 
BGL_CLASS_DEPTH(BgL_classz00_6675); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 982 */
 long BgL_idxz00_6686;
BgL_idxz00_6686 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6677); 
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1820z00_6687;
{ /* Llib/ssl.scm 982 */
 long BgL_arg1821z00_6688;
BgL_arg1821z00_6688 = 
(BgL_idxz00_6686+BgL_arg1830z00_6678); 
BgL_arg1820z00_6687 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6688); } 
BgL_test4260z00_12475 = 
(BgL_arg1820z00_6687==BgL_classz00_6675); } }  else 
{ /* Llib/ssl.scm 982 */
 bool_t BgL_res3418z00_6714;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_oclassz00_6696;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1834z00_6704; long BgL_arg1835z00_6705;
BgL_arg1834z00_6704 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 982 */
 long BgL_arg1836z00_6706;
BgL_arg1836z00_6706 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6677); 
BgL_arg1835z00_6705 = 
(BgL_arg1836z00_6706-OBJECT_TYPE); } 
BgL_oclassz00_6696 = 
VECTOR_REF(BgL_arg1834z00_6704,BgL_arg1835z00_6705); } 
{ /* Llib/ssl.scm 982 */
 bool_t BgL__ortest_1114z00_6697;
BgL__ortest_1114z00_6697 = 
(BgL_classz00_6675==BgL_oclassz00_6696); 
if(BgL__ortest_1114z00_6697)
{ /* Llib/ssl.scm 982 */
BgL_res3418z00_6714 = BgL__ortest_1114z00_6697; }  else 
{ /* Llib/ssl.scm 982 */
 long BgL_odepthz00_6698;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1824z00_6699;
BgL_arg1824z00_6699 = 
(BgL_oclassz00_6696); 
BgL_odepthz00_6698 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6699); } 
if(
(BgL_arg1830z00_6678<BgL_odepthz00_6698))
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1822z00_6701;
{ /* Llib/ssl.scm 982 */
 obj_t BgL_arg1823z00_6702;
BgL_arg1823z00_6702 = 
(BgL_oclassz00_6696); 
BgL_arg1822z00_6701 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6702, BgL_arg1830z00_6678); } 
BgL_res3418z00_6714 = 
(BgL_arg1822z00_6701==BgL_classz00_6675); }  else 
{ /* Llib/ssl.scm 982 */
BgL_res3418z00_6714 = ((bool_t)0); } } } } 
BgL_test4260z00_12475 = BgL_res3418z00_6714; } }  else 
{ /* Llib/ssl.scm 982 */
BgL_test4260z00_12475 = ((bool_t)0)
; } } 
if(BgL_test4260z00_12475)
{ /* Llib/ssl.scm 982 */
BgL_auxz00_12474 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4922)
; }  else 
{ 
 obj_t BgL_auxz00_12500;
BgL_auxz00_12500 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40147L), BGl_string3359z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4922); 
FAILURE(BgL_auxz00_12500,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2outzd2zz__ssl_sslz00(BgL_auxz00_12474, BgL_auxz00_12504, BgL_auxz00_12511, BgL_auxz00_12520);} } 

}



/* ssl-connection-init-finished? */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_97)
{
{ /* Llib/ssl.scm 992 */
{ /* Llib/ssl.scm 992 */
 obj_t BgL_method1289z00_1745;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_res2478z00_2982;
{ /* Llib/ssl.scm 992 */
 long BgL_objzd2classzd2numz00_2953;
BgL_objzd2classzd2numz00_2953 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_97)); 
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1831z00_2954;
BgL_arg1831z00_2954 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 992 */
 int BgL_offsetz00_2957;
BgL_offsetz00_2957 = 
(int)(BgL_objzd2classzd2numz00_2953); 
{ /* Llib/ssl.scm 992 */
 long BgL_offsetz00_2958;
BgL_offsetz00_2958 = 
(
(long)(BgL_offsetz00_2957)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 992 */
 long BgL_modz00_2959;
BgL_modz00_2959 = 
(BgL_offsetz00_2958 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 992 */
 long BgL_restz00_2961;
BgL_restz00_2961 = 
(BgL_offsetz00_2958 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 992 */

{ /* Llib/ssl.scm 992 */
 obj_t BgL_bucketz00_2963;
BgL_bucketz00_2963 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2954),BgL_modz00_2959); 
BgL_res2478z00_2982 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2963),BgL_restz00_2961); } } } } } } } } 
BgL_method1289z00_1745 = BgL_res2478z00_2982; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1289z00_1745, 
((obj_t)BgL_sslz00_97));} } 

}



/* &ssl-connection-init-finished? */
obj_t BGl_z62sslzd2connectionzd2initzd2finishedzf3z43zz__ssl_sslz00(obj_t BgL_envz00_4926, obj_t BgL_sslz00_4927)
{
{ /* Llib/ssl.scm 992 */
{ /* Llib/ssl.scm 992 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12560;
{ /* Llib/ssl.scm 992 */
 bool_t BgL_test4268z00_12561;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_classz00_6715;
BgL_classz00_6715 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4927))
{ /* Llib/ssl.scm 992 */
 BgL_objectz00_bglt BgL_arg1829z00_6717; long BgL_arg1830z00_6718;
BgL_arg1829z00_6717 = 
(BgL_objectz00_bglt)(BgL_sslz00_4927); 
BgL_arg1830z00_6718 = 
BGL_CLASS_DEPTH(BgL_classz00_6715); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 992 */
 long BgL_idxz00_6726;
BgL_idxz00_6726 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6717); 
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1820z00_6727;
{ /* Llib/ssl.scm 992 */
 long BgL_arg1821z00_6728;
BgL_arg1821z00_6728 = 
(BgL_idxz00_6726+BgL_arg1830z00_6718); 
BgL_arg1820z00_6727 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6728); } 
BgL_test4268z00_12561 = 
(BgL_arg1820z00_6727==BgL_classz00_6715); } }  else 
{ /* Llib/ssl.scm 992 */
 bool_t BgL_res3419z00_6754;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_oclassz00_6736;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1834z00_6744; long BgL_arg1835z00_6745;
BgL_arg1834z00_6744 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 992 */
 long BgL_arg1836z00_6746;
BgL_arg1836z00_6746 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6717); 
BgL_arg1835z00_6745 = 
(BgL_arg1836z00_6746-OBJECT_TYPE); } 
BgL_oclassz00_6736 = 
VECTOR_REF(BgL_arg1834z00_6744,BgL_arg1835z00_6745); } 
{ /* Llib/ssl.scm 992 */
 bool_t BgL__ortest_1114z00_6737;
BgL__ortest_1114z00_6737 = 
(BgL_classz00_6715==BgL_oclassz00_6736); 
if(BgL__ortest_1114z00_6737)
{ /* Llib/ssl.scm 992 */
BgL_res3419z00_6754 = BgL__ortest_1114z00_6737; }  else 
{ /* Llib/ssl.scm 992 */
 long BgL_odepthz00_6738;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1824z00_6739;
BgL_arg1824z00_6739 = 
(BgL_oclassz00_6736); 
BgL_odepthz00_6738 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6739); } 
if(
(BgL_arg1830z00_6718<BgL_odepthz00_6738))
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1822z00_6741;
{ /* Llib/ssl.scm 992 */
 obj_t BgL_arg1823z00_6742;
BgL_arg1823z00_6742 = 
(BgL_oclassz00_6736); 
BgL_arg1822z00_6741 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6742, BgL_arg1830z00_6718); } 
BgL_res3419z00_6754 = 
(BgL_arg1822z00_6741==BgL_classz00_6715); }  else 
{ /* Llib/ssl.scm 992 */
BgL_res3419z00_6754 = ((bool_t)0); } } } } 
BgL_test4268z00_12561 = BgL_res3419z00_6754; } }  else 
{ /* Llib/ssl.scm 992 */
BgL_test4268z00_12561 = ((bool_t)0)
; } } 
if(BgL_test4268z00_12561)
{ /* Llib/ssl.scm 992 */
BgL_auxz00_12560 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4927)
; }  else 
{ 
 obj_t BgL_auxz00_12586;
BgL_auxz00_12586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40569L), BGl_string3360z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4927); 
FAILURE(BgL_auxz00_12586,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2initzd2finishedzf3z21zz__ssl_sslz00(BgL_auxz00_12560);} } 

}



/* ssl-connection-enc-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_98)
{
{ /* Llib/ssl.scm 1002 */
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_method1291z00_1746;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_res2483z00_3013;
{ /* Llib/ssl.scm 1002 */
 long BgL_objzd2classzd2numz00_2984;
BgL_objzd2classzd2numz00_2984 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_98)); 
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1831z00_2985;
BgL_arg1831z00_2985 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1002 */
 int BgL_offsetz00_2988;
BgL_offsetz00_2988 = 
(int)(BgL_objzd2classzd2numz00_2984); 
{ /* Llib/ssl.scm 1002 */
 long BgL_offsetz00_2989;
BgL_offsetz00_2989 = 
(
(long)(BgL_offsetz00_2988)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1002 */
 long BgL_modz00_2990;
BgL_modz00_2990 = 
(BgL_offsetz00_2989 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1002 */
 long BgL_restz00_2992;
BgL_restz00_2992 = 
(BgL_offsetz00_2989 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1002 */

{ /* Llib/ssl.scm 1002 */
 obj_t BgL_bucketz00_2994;
BgL_bucketz00_2994 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_2985),BgL_modz00_2990); 
BgL_res2483z00_3013 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2994),BgL_restz00_2992); } } } } } } } } 
BgL_method1291z00_1746 = BgL_res2483z00_3013; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1291z00_1746, 
((obj_t)BgL_sslz00_98));} } 

}



/* &ssl-connection-enc-pending */
obj_t BGl_z62sslzd2connectionzd2enczd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4928, obj_t BgL_sslz00_4929)
{
{ /* Llib/ssl.scm 1002 */
{ /* Llib/ssl.scm 1002 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12621;
{ /* Llib/ssl.scm 1002 */
 bool_t BgL_test4273z00_12622;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_classz00_6755;
BgL_classz00_6755 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4929))
{ /* Llib/ssl.scm 1002 */
 BgL_objectz00_bglt BgL_arg1829z00_6757; long BgL_arg1830z00_6758;
BgL_arg1829z00_6757 = 
(BgL_objectz00_bglt)(BgL_sslz00_4929); 
BgL_arg1830z00_6758 = 
BGL_CLASS_DEPTH(BgL_classz00_6755); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1002 */
 long BgL_idxz00_6766;
BgL_idxz00_6766 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6757); 
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1820z00_6767;
{ /* Llib/ssl.scm 1002 */
 long BgL_arg1821z00_6768;
BgL_arg1821z00_6768 = 
(BgL_idxz00_6766+BgL_arg1830z00_6758); 
BgL_arg1820z00_6767 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6768); } 
BgL_test4273z00_12622 = 
(BgL_arg1820z00_6767==BgL_classz00_6755); } }  else 
{ /* Llib/ssl.scm 1002 */
 bool_t BgL_res3420z00_6794;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_oclassz00_6776;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1834z00_6784; long BgL_arg1835z00_6785;
BgL_arg1834z00_6784 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1002 */
 long BgL_arg1836z00_6786;
BgL_arg1836z00_6786 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6757); 
BgL_arg1835z00_6785 = 
(BgL_arg1836z00_6786-OBJECT_TYPE); } 
BgL_oclassz00_6776 = 
VECTOR_REF(BgL_arg1834z00_6784,BgL_arg1835z00_6785); } 
{ /* Llib/ssl.scm 1002 */
 bool_t BgL__ortest_1114z00_6777;
BgL__ortest_1114z00_6777 = 
(BgL_classz00_6755==BgL_oclassz00_6776); 
if(BgL__ortest_1114z00_6777)
{ /* Llib/ssl.scm 1002 */
BgL_res3420z00_6794 = BgL__ortest_1114z00_6777; }  else 
{ /* Llib/ssl.scm 1002 */
 long BgL_odepthz00_6778;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1824z00_6779;
BgL_arg1824z00_6779 = 
(BgL_oclassz00_6776); 
BgL_odepthz00_6778 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6779); } 
if(
(BgL_arg1830z00_6758<BgL_odepthz00_6778))
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1822z00_6781;
{ /* Llib/ssl.scm 1002 */
 obj_t BgL_arg1823z00_6782;
BgL_arg1823z00_6782 = 
(BgL_oclassz00_6776); 
BgL_arg1822z00_6781 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6782, BgL_arg1830z00_6758); } 
BgL_res3420z00_6794 = 
(BgL_arg1822z00_6781==BgL_classz00_6755); }  else 
{ /* Llib/ssl.scm 1002 */
BgL_res3420z00_6794 = ((bool_t)0); } } } } 
BgL_test4273z00_12622 = BgL_res3420z00_6794; } }  else 
{ /* Llib/ssl.scm 1002 */
BgL_test4273z00_12622 = ((bool_t)0)
; } } 
if(BgL_test4273z00_12622)
{ /* Llib/ssl.scm 1002 */
BgL_auxz00_12621 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4929)
; }  else 
{ 
 obj_t BgL_auxz00_12647;
BgL_auxz00_12647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(40965L), BGl_string3361z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4929); 
FAILURE(BgL_auxz00_12647,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2enczd2pendingzd2zz__ssl_sslz00(BgL_auxz00_12621);} } 

}



/* ssl-connection-clear-pending */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_99)
{
{ /* Llib/ssl.scm 1012 */
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_method1293z00_1747;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_res2488z00_3044;
{ /* Llib/ssl.scm 1012 */
 long BgL_objzd2classzd2numz00_3015;
BgL_objzd2classzd2numz00_3015 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_99)); 
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1831z00_3016;
BgL_arg1831z00_3016 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1012 */
 int BgL_offsetz00_3019;
BgL_offsetz00_3019 = 
(int)(BgL_objzd2classzd2numz00_3015); 
{ /* Llib/ssl.scm 1012 */
 long BgL_offsetz00_3020;
BgL_offsetz00_3020 = 
(
(long)(BgL_offsetz00_3019)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1012 */
 long BgL_modz00_3021;
BgL_modz00_3021 = 
(BgL_offsetz00_3020 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1012 */
 long BgL_restz00_3023;
BgL_restz00_3023 = 
(BgL_offsetz00_3020 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1012 */

{ /* Llib/ssl.scm 1012 */
 obj_t BgL_bucketz00_3025;
BgL_bucketz00_3025 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3016),BgL_modz00_3021); 
BgL_res2488z00_3044 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3025),BgL_restz00_3023); } } } } } } } } 
BgL_method1293z00_1747 = BgL_res2488z00_3044; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1293z00_1747, 
((obj_t)BgL_sslz00_99));} } 

}



/* &ssl-connection-clear-pending */
obj_t BGl_z62sslzd2connectionzd2clearzd2pendingzb0zz__ssl_sslz00(obj_t BgL_envz00_4930, obj_t BgL_sslz00_4931)
{
{ /* Llib/ssl.scm 1012 */
{ /* Llib/ssl.scm 1012 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12682;
{ /* Llib/ssl.scm 1012 */
 bool_t BgL_test4278z00_12683;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_classz00_6795;
BgL_classz00_6795 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4931))
{ /* Llib/ssl.scm 1012 */
 BgL_objectz00_bglt BgL_arg1829z00_6797; long BgL_arg1830z00_6798;
BgL_arg1829z00_6797 = 
(BgL_objectz00_bglt)(BgL_sslz00_4931); 
BgL_arg1830z00_6798 = 
BGL_CLASS_DEPTH(BgL_classz00_6795); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1012 */
 long BgL_idxz00_6806;
BgL_idxz00_6806 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6797); 
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1820z00_6807;
{ /* Llib/ssl.scm 1012 */
 long BgL_arg1821z00_6808;
BgL_arg1821z00_6808 = 
(BgL_idxz00_6806+BgL_arg1830z00_6798); 
BgL_arg1820z00_6807 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6808); } 
BgL_test4278z00_12683 = 
(BgL_arg1820z00_6807==BgL_classz00_6795); } }  else 
{ /* Llib/ssl.scm 1012 */
 bool_t BgL_res3421z00_6834;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_oclassz00_6816;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1834z00_6824; long BgL_arg1835z00_6825;
BgL_arg1834z00_6824 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1012 */
 long BgL_arg1836z00_6826;
BgL_arg1836z00_6826 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6797); 
BgL_arg1835z00_6825 = 
(BgL_arg1836z00_6826-OBJECT_TYPE); } 
BgL_oclassz00_6816 = 
VECTOR_REF(BgL_arg1834z00_6824,BgL_arg1835z00_6825); } 
{ /* Llib/ssl.scm 1012 */
 bool_t BgL__ortest_1114z00_6817;
BgL__ortest_1114z00_6817 = 
(BgL_classz00_6795==BgL_oclassz00_6816); 
if(BgL__ortest_1114z00_6817)
{ /* Llib/ssl.scm 1012 */
BgL_res3421z00_6834 = BgL__ortest_1114z00_6817; }  else 
{ /* Llib/ssl.scm 1012 */
 long BgL_odepthz00_6818;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1824z00_6819;
BgL_arg1824z00_6819 = 
(BgL_oclassz00_6816); 
BgL_odepthz00_6818 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6819); } 
if(
(BgL_arg1830z00_6798<BgL_odepthz00_6818))
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1822z00_6821;
{ /* Llib/ssl.scm 1012 */
 obj_t BgL_arg1823z00_6822;
BgL_arg1823z00_6822 = 
(BgL_oclassz00_6816); 
BgL_arg1822z00_6821 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6822, BgL_arg1830z00_6798); } 
BgL_res3421z00_6834 = 
(BgL_arg1822z00_6821==BgL_classz00_6795); }  else 
{ /* Llib/ssl.scm 1012 */
BgL_res3421z00_6834 = ((bool_t)0); } } } } 
BgL_test4278z00_12683 = BgL_res3421z00_6834; } }  else 
{ /* Llib/ssl.scm 1012 */
BgL_test4278z00_12683 = ((bool_t)0)
; } } 
if(BgL_test4278z00_12683)
{ /* Llib/ssl.scm 1012 */
BgL_auxz00_12682 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4931)
; }  else 
{ 
 obj_t BgL_auxz00_12708;
BgL_auxz00_12708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(41355L), BGl_string3362z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4931); 
FAILURE(BgL_auxz00_12708,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2clearzd2pendingzd2zz__ssl_sslz00(BgL_auxz00_12682);} } 

}



/* ssl-connection-set-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_100, obj_t BgL_bufz00_101)
{
{ /* Llib/ssl.scm 1022 */
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_method1295z00_1748;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_res2493z00_3075;
{ /* Llib/ssl.scm 1022 */
 long BgL_objzd2classzd2numz00_3046;
BgL_objzd2classzd2numz00_3046 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_100)); 
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1831z00_3047;
BgL_arg1831z00_3047 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1022 */
 int BgL_offsetz00_3050;
BgL_offsetz00_3050 = 
(int)(BgL_objzd2classzd2numz00_3046); 
{ /* Llib/ssl.scm 1022 */
 long BgL_offsetz00_3051;
BgL_offsetz00_3051 = 
(
(long)(BgL_offsetz00_3050)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1022 */
 long BgL_modz00_3052;
BgL_modz00_3052 = 
(BgL_offsetz00_3051 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1022 */
 long BgL_restz00_3054;
BgL_restz00_3054 = 
(BgL_offsetz00_3051 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1022 */

{ /* Llib/ssl.scm 1022 */
 obj_t BgL_bucketz00_3056;
BgL_bucketz00_3056 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3047),BgL_modz00_3052); 
BgL_res2493z00_3075 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3056),BgL_restz00_3054); } } } } } } } } 
BgL_method1295z00_1748 = BgL_res2493z00_3075; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1295z00_1748, 
((obj_t)BgL_sslz00_100), BgL_bufz00_101);} } 

}



/* &ssl-connection-set-session */
obj_t BGl_z62sslzd2connectionzd2setzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4932, obj_t BgL_sslz00_4933, obj_t BgL_bufz00_4934)
{
{ /* Llib/ssl.scm 1022 */
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_auxz00_12774; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12744;
if(
STRINGP(BgL_bufz00_4934))
{ /* Llib/ssl.scm 1022 */
BgL_auxz00_12774 = BgL_bufz00_4934
; }  else 
{ 
 obj_t BgL_auxz00_12777;
BgL_auxz00_12777 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(41749L), BGl_string3363z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufz00_4934); 
FAILURE(BgL_auxz00_12777,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL_test4283z00_12745;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_classz00_6835;
BgL_classz00_6835 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4933))
{ /* Llib/ssl.scm 1022 */
 BgL_objectz00_bglt BgL_arg1829z00_6837; long BgL_arg1830z00_6838;
BgL_arg1829z00_6837 = 
(BgL_objectz00_bglt)(BgL_sslz00_4933); 
BgL_arg1830z00_6838 = 
BGL_CLASS_DEPTH(BgL_classz00_6835); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1022 */
 long BgL_idxz00_6846;
BgL_idxz00_6846 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6837); 
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1820z00_6847;
{ /* Llib/ssl.scm 1022 */
 long BgL_arg1821z00_6848;
BgL_arg1821z00_6848 = 
(BgL_idxz00_6846+BgL_arg1830z00_6838); 
BgL_arg1820z00_6847 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6848); } 
BgL_test4283z00_12745 = 
(BgL_arg1820z00_6847==BgL_classz00_6835); } }  else 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL_res3422z00_6874;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_oclassz00_6856;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1834z00_6864; long BgL_arg1835z00_6865;
BgL_arg1834z00_6864 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1022 */
 long BgL_arg1836z00_6866;
BgL_arg1836z00_6866 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6837); 
BgL_arg1835z00_6865 = 
(BgL_arg1836z00_6866-OBJECT_TYPE); } 
BgL_oclassz00_6856 = 
VECTOR_REF(BgL_arg1834z00_6864,BgL_arg1835z00_6865); } 
{ /* Llib/ssl.scm 1022 */
 bool_t BgL__ortest_1114z00_6857;
BgL__ortest_1114z00_6857 = 
(BgL_classz00_6835==BgL_oclassz00_6856); 
if(BgL__ortest_1114z00_6857)
{ /* Llib/ssl.scm 1022 */
BgL_res3422z00_6874 = BgL__ortest_1114z00_6857; }  else 
{ /* Llib/ssl.scm 1022 */
 long BgL_odepthz00_6858;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1824z00_6859;
BgL_arg1824z00_6859 = 
(BgL_oclassz00_6856); 
BgL_odepthz00_6858 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6859); } 
if(
(BgL_arg1830z00_6838<BgL_odepthz00_6858))
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1822z00_6861;
{ /* Llib/ssl.scm 1022 */
 obj_t BgL_arg1823z00_6862;
BgL_arg1823z00_6862 = 
(BgL_oclassz00_6856); 
BgL_arg1822z00_6861 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6862, BgL_arg1830z00_6838); } 
BgL_res3422z00_6874 = 
(BgL_arg1822z00_6861==BgL_classz00_6835); }  else 
{ /* Llib/ssl.scm 1022 */
BgL_res3422z00_6874 = ((bool_t)0); } } } } 
BgL_test4283z00_12745 = BgL_res3422z00_6874; } }  else 
{ /* Llib/ssl.scm 1022 */
BgL_test4283z00_12745 = ((bool_t)0)
; } } 
if(BgL_test4283z00_12745)
{ /* Llib/ssl.scm 1022 */
BgL_auxz00_12744 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4933)
; }  else 
{ 
 obj_t BgL_auxz00_12770;
BgL_auxz00_12770 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(41749L), BGl_string3363z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4933); 
FAILURE(BgL_auxz00_12770,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2setzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12744, BgL_auxz00_12774);} } 

}



/* ssl-connection-get-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_102)
{
{ /* Llib/ssl.scm 1032 */
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_method1297z00_1749;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_res2498z00_3106;
{ /* Llib/ssl.scm 1032 */
 long BgL_objzd2classzd2numz00_3077;
BgL_objzd2classzd2numz00_3077 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_102)); 
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1831z00_3078;
BgL_arg1831z00_3078 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1032 */
 int BgL_offsetz00_3081;
BgL_offsetz00_3081 = 
(int)(BgL_objzd2classzd2numz00_3077); 
{ /* Llib/ssl.scm 1032 */
 long BgL_offsetz00_3082;
BgL_offsetz00_3082 = 
(
(long)(BgL_offsetz00_3081)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1032 */
 long BgL_modz00_3083;
BgL_modz00_3083 = 
(BgL_offsetz00_3082 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1032 */
 long BgL_restz00_3085;
BgL_restz00_3085 = 
(BgL_offsetz00_3082 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1032 */

{ /* Llib/ssl.scm 1032 */
 obj_t BgL_bucketz00_3087;
BgL_bucketz00_3087 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3078),BgL_modz00_3083); 
BgL_res2498z00_3106 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3087),BgL_restz00_3085); } } } } } } } } 
BgL_method1297z00_1749 = BgL_res2498z00_3106; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1297z00_1749, 
((obj_t)BgL_sslz00_102));} } 

}



/* &ssl-connection-get-session */
obj_t BGl_z62sslzd2connectionzd2getzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4935, obj_t BgL_sslz00_4936)
{
{ /* Llib/ssl.scm 1032 */
{ /* Llib/ssl.scm 1032 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12812;
{ /* Llib/ssl.scm 1032 */
 bool_t BgL_test4289z00_12813;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_classz00_6875;
BgL_classz00_6875 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4936))
{ /* Llib/ssl.scm 1032 */
 BgL_objectz00_bglt BgL_arg1829z00_6877; long BgL_arg1830z00_6878;
BgL_arg1829z00_6877 = 
(BgL_objectz00_bglt)(BgL_sslz00_4936); 
BgL_arg1830z00_6878 = 
BGL_CLASS_DEPTH(BgL_classz00_6875); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1032 */
 long BgL_idxz00_6886;
BgL_idxz00_6886 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6877); 
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1820z00_6887;
{ /* Llib/ssl.scm 1032 */
 long BgL_arg1821z00_6888;
BgL_arg1821z00_6888 = 
(BgL_idxz00_6886+BgL_arg1830z00_6878); 
BgL_arg1820z00_6887 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6888); } 
BgL_test4289z00_12813 = 
(BgL_arg1820z00_6887==BgL_classz00_6875); } }  else 
{ /* Llib/ssl.scm 1032 */
 bool_t BgL_res3423z00_6914;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_oclassz00_6896;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1834z00_6904; long BgL_arg1835z00_6905;
BgL_arg1834z00_6904 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1032 */
 long BgL_arg1836z00_6906;
BgL_arg1836z00_6906 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6877); 
BgL_arg1835z00_6905 = 
(BgL_arg1836z00_6906-OBJECT_TYPE); } 
BgL_oclassz00_6896 = 
VECTOR_REF(BgL_arg1834z00_6904,BgL_arg1835z00_6905); } 
{ /* Llib/ssl.scm 1032 */
 bool_t BgL__ortest_1114z00_6897;
BgL__ortest_1114z00_6897 = 
(BgL_classz00_6875==BgL_oclassz00_6896); 
if(BgL__ortest_1114z00_6897)
{ /* Llib/ssl.scm 1032 */
BgL_res3423z00_6914 = BgL__ortest_1114z00_6897; }  else 
{ /* Llib/ssl.scm 1032 */
 long BgL_odepthz00_6898;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1824z00_6899;
BgL_arg1824z00_6899 = 
(BgL_oclassz00_6896); 
BgL_odepthz00_6898 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6899); } 
if(
(BgL_arg1830z00_6878<BgL_odepthz00_6898))
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1822z00_6901;
{ /* Llib/ssl.scm 1032 */
 obj_t BgL_arg1823z00_6902;
BgL_arg1823z00_6902 = 
(BgL_oclassz00_6896); 
BgL_arg1822z00_6901 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6902, BgL_arg1830z00_6878); } 
BgL_res3423z00_6914 = 
(BgL_arg1822z00_6901==BgL_classz00_6875); }  else 
{ /* Llib/ssl.scm 1032 */
BgL_res3423z00_6914 = ((bool_t)0); } } } } 
BgL_test4289z00_12813 = BgL_res3423z00_6914; } }  else 
{ /* Llib/ssl.scm 1032 */
BgL_test4289z00_12813 = ((bool_t)0)
; } } 
if(BgL_test4289z00_12813)
{ /* Llib/ssl.scm 1032 */
BgL_auxz00_12812 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4936)
; }  else 
{ 
 obj_t BgL_auxz00_12838;
BgL_auxz00_12838 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(42157L), BGl_string3364z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4936); 
FAILURE(BgL_auxz00_12838,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12812);} } 

}



/* ssl-connection-get-current-cipher */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_103)
{
{ /* Llib/ssl.scm 1042 */
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_method1299z00_1750;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_res2503z00_3137;
{ /* Llib/ssl.scm 1042 */
 long BgL_objzd2classzd2numz00_3108;
BgL_objzd2classzd2numz00_3108 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_103)); 
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1831z00_3109;
BgL_arg1831z00_3109 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1042 */
 int BgL_offsetz00_3112;
BgL_offsetz00_3112 = 
(int)(BgL_objzd2classzd2numz00_3108); 
{ /* Llib/ssl.scm 1042 */
 long BgL_offsetz00_3113;
BgL_offsetz00_3113 = 
(
(long)(BgL_offsetz00_3112)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1042 */
 long BgL_modz00_3114;
BgL_modz00_3114 = 
(BgL_offsetz00_3113 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1042 */
 long BgL_restz00_3116;
BgL_restz00_3116 = 
(BgL_offsetz00_3113 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1042 */

{ /* Llib/ssl.scm 1042 */
 obj_t BgL_bucketz00_3118;
BgL_bucketz00_3118 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3109),BgL_modz00_3114); 
BgL_res2503z00_3137 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3118),BgL_restz00_3116); } } } } } } } } 
BgL_method1299z00_1750 = BgL_res2503z00_3137; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1299z00_1750, 
((obj_t)BgL_sslz00_103));} } 

}



/* &ssl-connection-get-current-cipher */
obj_t BGl_z62sslzd2connectionzd2getzd2currentzd2cipherz62zz__ssl_sslz00(obj_t BgL_envz00_4937, obj_t BgL_sslz00_4938)
{
{ /* Llib/ssl.scm 1042 */
{ /* Llib/ssl.scm 1042 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_12873;
{ /* Llib/ssl.scm 1042 */
 bool_t BgL_test4294z00_12874;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_classz00_6915;
BgL_classz00_6915 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4938))
{ /* Llib/ssl.scm 1042 */
 BgL_objectz00_bglt BgL_arg1829z00_6917; long BgL_arg1830z00_6918;
BgL_arg1829z00_6917 = 
(BgL_objectz00_bglt)(BgL_sslz00_4938); 
BgL_arg1830z00_6918 = 
BGL_CLASS_DEPTH(BgL_classz00_6915); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1042 */
 long BgL_idxz00_6926;
BgL_idxz00_6926 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6917); 
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1820z00_6927;
{ /* Llib/ssl.scm 1042 */
 long BgL_arg1821z00_6928;
BgL_arg1821z00_6928 = 
(BgL_idxz00_6926+BgL_arg1830z00_6918); 
BgL_arg1820z00_6927 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6928); } 
BgL_test4294z00_12874 = 
(BgL_arg1820z00_6927==BgL_classz00_6915); } }  else 
{ /* Llib/ssl.scm 1042 */
 bool_t BgL_res3424z00_6954;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_oclassz00_6936;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1834z00_6944; long BgL_arg1835z00_6945;
BgL_arg1834z00_6944 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1042 */
 long BgL_arg1836z00_6946;
BgL_arg1836z00_6946 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6917); 
BgL_arg1835z00_6945 = 
(BgL_arg1836z00_6946-OBJECT_TYPE); } 
BgL_oclassz00_6936 = 
VECTOR_REF(BgL_arg1834z00_6944,BgL_arg1835z00_6945); } 
{ /* Llib/ssl.scm 1042 */
 bool_t BgL__ortest_1114z00_6937;
BgL__ortest_1114z00_6937 = 
(BgL_classz00_6915==BgL_oclassz00_6936); 
if(BgL__ortest_1114z00_6937)
{ /* Llib/ssl.scm 1042 */
BgL_res3424z00_6954 = BgL__ortest_1114z00_6937; }  else 
{ /* Llib/ssl.scm 1042 */
 long BgL_odepthz00_6938;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1824z00_6939;
BgL_arg1824z00_6939 = 
(BgL_oclassz00_6936); 
BgL_odepthz00_6938 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6939); } 
if(
(BgL_arg1830z00_6918<BgL_odepthz00_6938))
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1822z00_6941;
{ /* Llib/ssl.scm 1042 */
 obj_t BgL_arg1823z00_6942;
BgL_arg1823z00_6942 = 
(BgL_oclassz00_6936); 
BgL_arg1822z00_6941 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6942, BgL_arg1830z00_6918); } 
BgL_res3424z00_6954 = 
(BgL_arg1822z00_6941==BgL_classz00_6915); }  else 
{ /* Llib/ssl.scm 1042 */
BgL_res3424z00_6954 = ((bool_t)0); } } } } 
BgL_test4294z00_12874 = BgL_res3424z00_6954; } }  else 
{ /* Llib/ssl.scm 1042 */
BgL_test4294z00_12874 = ((bool_t)0)
; } } 
if(BgL_test4294z00_12874)
{ /* Llib/ssl.scm 1042 */
BgL_auxz00_12873 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4938)
; }  else 
{ 
 obj_t BgL_auxz00_12899;
BgL_auxz00_12899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(42548L), BGl_string3365z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4938); 
FAILURE(BgL_auxz00_12899,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2currentzd2cipherz00zz__ssl_sslz00(BgL_auxz00_12873);} } 

}



/* ssl-connection-load-session */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_104, obj_t BgL_bufz00_105)
{
{ /* Llib/ssl.scm 1052 */
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_method1301z00_1751;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_res2508z00_3168;
{ /* Llib/ssl.scm 1052 */
 long BgL_objzd2classzd2numz00_3139;
BgL_objzd2classzd2numz00_3139 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_104)); 
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1831z00_3140;
BgL_arg1831z00_3140 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1052 */
 int BgL_offsetz00_3143;
BgL_offsetz00_3143 = 
(int)(BgL_objzd2classzd2numz00_3139); 
{ /* Llib/ssl.scm 1052 */
 long BgL_offsetz00_3144;
BgL_offsetz00_3144 = 
(
(long)(BgL_offsetz00_3143)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1052 */
 long BgL_modz00_3145;
BgL_modz00_3145 = 
(BgL_offsetz00_3144 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1052 */
 long BgL_restz00_3147;
BgL_restz00_3147 = 
(BgL_offsetz00_3144 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1052 */

{ /* Llib/ssl.scm 1052 */
 obj_t BgL_bucketz00_3149;
BgL_bucketz00_3149 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3140),BgL_modz00_3145); 
BgL_res2508z00_3168 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3149),BgL_restz00_3147); } } } } } } } } 
BgL_method1301z00_1751 = BgL_res2508z00_3168; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1301z00_1751, 
((obj_t)BgL_sslz00_104), BgL_bufz00_105);} } 

}



/* &ssl-connection-load-session */
obj_t BGl_z62sslzd2connectionzd2loadzd2sessionzb0zz__ssl_sslz00(obj_t BgL_envz00_4939, obj_t BgL_sslz00_4940, obj_t BgL_bufz00_4941)
{
{ /* Llib/ssl.scm 1052 */
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_auxz00_12965; BgL_sslzd2connectionzd2_bglt BgL_auxz00_12935;
if(
STRINGP(BgL_bufz00_4941))
{ /* Llib/ssl.scm 1052 */
BgL_auxz00_12965 = BgL_bufz00_4941
; }  else 
{ 
 obj_t BgL_auxz00_12968;
BgL_auxz00_12968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(42953L), BGl_string3366z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_bufz00_4941); 
FAILURE(BgL_auxz00_12968,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL_test4299z00_12936;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_classz00_6955;
BgL_classz00_6955 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4940))
{ /* Llib/ssl.scm 1052 */
 BgL_objectz00_bglt BgL_arg1829z00_6957; long BgL_arg1830z00_6958;
BgL_arg1829z00_6957 = 
(BgL_objectz00_bglt)(BgL_sslz00_4940); 
BgL_arg1830z00_6958 = 
BGL_CLASS_DEPTH(BgL_classz00_6955); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1052 */
 long BgL_idxz00_6966;
BgL_idxz00_6966 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6957); 
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1820z00_6967;
{ /* Llib/ssl.scm 1052 */
 long BgL_arg1821z00_6968;
BgL_arg1821z00_6968 = 
(BgL_idxz00_6966+BgL_arg1830z00_6958); 
BgL_arg1820z00_6967 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_6968); } 
BgL_test4299z00_12936 = 
(BgL_arg1820z00_6967==BgL_classz00_6955); } }  else 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL_res3425z00_6994;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_oclassz00_6976;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1834z00_6984; long BgL_arg1835z00_6985;
BgL_arg1834z00_6984 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1052 */
 long BgL_arg1836z00_6986;
BgL_arg1836z00_6986 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6957); 
BgL_arg1835z00_6985 = 
(BgL_arg1836z00_6986-OBJECT_TYPE); } 
BgL_oclassz00_6976 = 
VECTOR_REF(BgL_arg1834z00_6984,BgL_arg1835z00_6985); } 
{ /* Llib/ssl.scm 1052 */
 bool_t BgL__ortest_1114z00_6977;
BgL__ortest_1114z00_6977 = 
(BgL_classz00_6955==BgL_oclassz00_6976); 
if(BgL__ortest_1114z00_6977)
{ /* Llib/ssl.scm 1052 */
BgL_res3425z00_6994 = BgL__ortest_1114z00_6977; }  else 
{ /* Llib/ssl.scm 1052 */
 long BgL_odepthz00_6978;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1824z00_6979;
BgL_arg1824z00_6979 = 
(BgL_oclassz00_6976); 
BgL_odepthz00_6978 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_6979); } 
if(
(BgL_arg1830z00_6958<BgL_odepthz00_6978))
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1822z00_6981;
{ /* Llib/ssl.scm 1052 */
 obj_t BgL_arg1823z00_6982;
BgL_arg1823z00_6982 = 
(BgL_oclassz00_6976); 
BgL_arg1822z00_6981 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_6982, BgL_arg1830z00_6958); } 
BgL_res3425z00_6994 = 
(BgL_arg1822z00_6981==BgL_classz00_6955); }  else 
{ /* Llib/ssl.scm 1052 */
BgL_res3425z00_6994 = ((bool_t)0); } } } } 
BgL_test4299z00_12936 = BgL_res3425z00_6994; } }  else 
{ /* Llib/ssl.scm 1052 */
BgL_test4299z00_12936 = ((bool_t)0)
; } } 
if(BgL_test4299z00_12936)
{ /* Llib/ssl.scm 1052 */
BgL_auxz00_12935 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4940)
; }  else 
{ 
 obj_t BgL_auxz00_12961;
BgL_auxz00_12961 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(42953L), BGl_string3366z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4940); 
FAILURE(BgL_auxz00_12961,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2loadzd2sessionzd2zz__ssl_sslz00(BgL_auxz00_12935, BgL_auxz00_12965);} } 

}



/* ssl-connection-verify-error */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_106)
{
{ /* Llib/ssl.scm 1062 */
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_method1303z00_1752;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_res2513z00_3199;
{ /* Llib/ssl.scm 1062 */
 long BgL_objzd2classzd2numz00_3170;
BgL_objzd2classzd2numz00_3170 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_106)); 
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1831z00_3171;
BgL_arg1831z00_3171 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1062 */
 int BgL_offsetz00_3174;
BgL_offsetz00_3174 = 
(int)(BgL_objzd2classzd2numz00_3170); 
{ /* Llib/ssl.scm 1062 */
 long BgL_offsetz00_3175;
BgL_offsetz00_3175 = 
(
(long)(BgL_offsetz00_3174)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1062 */
 long BgL_modz00_3176;
BgL_modz00_3176 = 
(BgL_offsetz00_3175 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1062 */
 long BgL_restz00_3178;
BgL_restz00_3178 = 
(BgL_offsetz00_3175 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1062 */

{ /* Llib/ssl.scm 1062 */
 obj_t BgL_bucketz00_3180;
BgL_bucketz00_3180 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3171),BgL_modz00_3176); 
BgL_res2513z00_3199 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3180),BgL_restz00_3178); } } } } } } } } 
BgL_method1303z00_1752 = BgL_res2513z00_3199; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1303z00_1752, 
((obj_t)BgL_sslz00_106));} } 

}



/* &ssl-connection-verify-error */
obj_t BGl_z62sslzd2connectionzd2verifyzd2errorzb0zz__ssl_sslz00(obj_t BgL_envz00_4942, obj_t BgL_sslz00_4943)
{
{ /* Llib/ssl.scm 1062 */
{ /* Llib/ssl.scm 1062 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_13003;
{ /* Llib/ssl.scm 1062 */
 bool_t BgL_test4305z00_13004;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_classz00_6995;
BgL_classz00_6995 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4943))
{ /* Llib/ssl.scm 1062 */
 BgL_objectz00_bglt BgL_arg1829z00_6997; long BgL_arg1830z00_6998;
BgL_arg1829z00_6997 = 
(BgL_objectz00_bglt)(BgL_sslz00_4943); 
BgL_arg1830z00_6998 = 
BGL_CLASS_DEPTH(BgL_classz00_6995); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1062 */
 long BgL_idxz00_7006;
BgL_idxz00_7006 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_6997); 
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1820z00_7007;
{ /* Llib/ssl.scm 1062 */
 long BgL_arg1821z00_7008;
BgL_arg1821z00_7008 = 
(BgL_idxz00_7006+BgL_arg1830z00_6998); 
BgL_arg1820z00_7007 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7008); } 
BgL_test4305z00_13004 = 
(BgL_arg1820z00_7007==BgL_classz00_6995); } }  else 
{ /* Llib/ssl.scm 1062 */
 bool_t BgL_res3426z00_7034;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_oclassz00_7016;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1834z00_7024; long BgL_arg1835z00_7025;
BgL_arg1834z00_7024 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1062 */
 long BgL_arg1836z00_7026;
BgL_arg1836z00_7026 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_6997); 
BgL_arg1835z00_7025 = 
(BgL_arg1836z00_7026-OBJECT_TYPE); } 
BgL_oclassz00_7016 = 
VECTOR_REF(BgL_arg1834z00_7024,BgL_arg1835z00_7025); } 
{ /* Llib/ssl.scm 1062 */
 bool_t BgL__ortest_1114z00_7017;
BgL__ortest_1114z00_7017 = 
(BgL_classz00_6995==BgL_oclassz00_7016); 
if(BgL__ortest_1114z00_7017)
{ /* Llib/ssl.scm 1062 */
BgL_res3426z00_7034 = BgL__ortest_1114z00_7017; }  else 
{ /* Llib/ssl.scm 1062 */
 long BgL_odepthz00_7018;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1824z00_7019;
BgL_arg1824z00_7019 = 
(BgL_oclassz00_7016); 
BgL_odepthz00_7018 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7019); } 
if(
(BgL_arg1830z00_6998<BgL_odepthz00_7018))
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1822z00_7021;
{ /* Llib/ssl.scm 1062 */
 obj_t BgL_arg1823z00_7022;
BgL_arg1823z00_7022 = 
(BgL_oclassz00_7016); 
BgL_arg1822z00_7021 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7022, BgL_arg1830z00_6998); } 
BgL_res3426z00_7034 = 
(BgL_arg1822z00_7021==BgL_classz00_6995); }  else 
{ /* Llib/ssl.scm 1062 */
BgL_res3426z00_7034 = ((bool_t)0); } } } } 
BgL_test4305z00_13004 = BgL_res3426z00_7034; } }  else 
{ /* Llib/ssl.scm 1062 */
BgL_test4305z00_13004 = ((bool_t)0)
; } } 
if(BgL_test4305z00_13004)
{ /* Llib/ssl.scm 1062 */
BgL_auxz00_13003 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4943)
; }  else 
{ 
 obj_t BgL_auxz00_13029;
BgL_auxz00_13029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(43363L), BGl_string3367z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4943); 
FAILURE(BgL_auxz00_13029,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2verifyzd2errorzd2zz__ssl_sslz00(BgL_auxz00_13003);} } 

}



/* ssl-connection-get-peer-certificate */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_107)
{
{ /* Llib/ssl.scm 1072 */
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_method1305z00_1753;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_res2518z00_3230;
{ /* Llib/ssl.scm 1072 */
 long BgL_objzd2classzd2numz00_3201;
BgL_objzd2classzd2numz00_3201 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_107)); 
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1831z00_3202;
BgL_arg1831z00_3202 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1072 */
 int BgL_offsetz00_3205;
BgL_offsetz00_3205 = 
(int)(BgL_objzd2classzd2numz00_3201); 
{ /* Llib/ssl.scm 1072 */
 long BgL_offsetz00_3206;
BgL_offsetz00_3206 = 
(
(long)(BgL_offsetz00_3205)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1072 */
 long BgL_modz00_3207;
BgL_modz00_3207 = 
(BgL_offsetz00_3206 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1072 */
 long BgL_restz00_3209;
BgL_restz00_3209 = 
(BgL_offsetz00_3206 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1072 */

{ /* Llib/ssl.scm 1072 */
 obj_t BgL_bucketz00_3211;
BgL_bucketz00_3211 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3202),BgL_modz00_3207); 
BgL_res2518z00_3230 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3211),BgL_restz00_3209); } } } } } } } } 
BgL_method1305z00_1753 = BgL_res2518z00_3230; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1305z00_1753, 
((obj_t)BgL_sslz00_107));} } 

}



/* &ssl-connection-get-peer-certificate */
obj_t BGl_z62sslzd2connectionzd2getzd2peerzd2certificatez62zz__ssl_sslz00(obj_t BgL_envz00_4944, obj_t BgL_sslz00_4945)
{
{ /* Llib/ssl.scm 1072 */
{ /* Llib/ssl.scm 1072 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_13064;
{ /* Llib/ssl.scm 1072 */
 bool_t BgL_test4310z00_13065;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_classz00_7035;
BgL_classz00_7035 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4945))
{ /* Llib/ssl.scm 1072 */
 BgL_objectz00_bglt BgL_arg1829z00_7037; long BgL_arg1830z00_7038;
BgL_arg1829z00_7037 = 
(BgL_objectz00_bglt)(BgL_sslz00_4945); 
BgL_arg1830z00_7038 = 
BGL_CLASS_DEPTH(BgL_classz00_7035); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1072 */
 long BgL_idxz00_7046;
BgL_idxz00_7046 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7037); 
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1820z00_7047;
{ /* Llib/ssl.scm 1072 */
 long BgL_arg1821z00_7048;
BgL_arg1821z00_7048 = 
(BgL_idxz00_7046+BgL_arg1830z00_7038); 
BgL_arg1820z00_7047 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7048); } 
BgL_test4310z00_13065 = 
(BgL_arg1820z00_7047==BgL_classz00_7035); } }  else 
{ /* Llib/ssl.scm 1072 */
 bool_t BgL_res3427z00_7074;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_oclassz00_7056;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1834z00_7064; long BgL_arg1835z00_7065;
BgL_arg1834z00_7064 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1072 */
 long BgL_arg1836z00_7066;
BgL_arg1836z00_7066 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7037); 
BgL_arg1835z00_7065 = 
(BgL_arg1836z00_7066-OBJECT_TYPE); } 
BgL_oclassz00_7056 = 
VECTOR_REF(BgL_arg1834z00_7064,BgL_arg1835z00_7065); } 
{ /* Llib/ssl.scm 1072 */
 bool_t BgL__ortest_1114z00_7057;
BgL__ortest_1114z00_7057 = 
(BgL_classz00_7035==BgL_oclassz00_7056); 
if(BgL__ortest_1114z00_7057)
{ /* Llib/ssl.scm 1072 */
BgL_res3427z00_7074 = BgL__ortest_1114z00_7057; }  else 
{ /* Llib/ssl.scm 1072 */
 long BgL_odepthz00_7058;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1824z00_7059;
BgL_arg1824z00_7059 = 
(BgL_oclassz00_7056); 
BgL_odepthz00_7058 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7059); } 
if(
(BgL_arg1830z00_7038<BgL_odepthz00_7058))
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1822z00_7061;
{ /* Llib/ssl.scm 1072 */
 obj_t BgL_arg1823z00_7062;
BgL_arg1823z00_7062 = 
(BgL_oclassz00_7056); 
BgL_arg1822z00_7061 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7062, BgL_arg1830z00_7038); } 
BgL_res3427z00_7074 = 
(BgL_arg1822z00_7061==BgL_classz00_7035); }  else 
{ /* Llib/ssl.scm 1072 */
BgL_res3427z00_7074 = ((bool_t)0); } } } } 
BgL_test4310z00_13065 = BgL_res3427z00_7074; } }  else 
{ /* Llib/ssl.scm 1072 */
BgL_test4310z00_13065 = ((bool_t)0)
; } } 
if(BgL_test4310z00_13065)
{ /* Llib/ssl.scm 1072 */
BgL_auxz00_13064 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4945)
; }  else 
{ 
 obj_t BgL_auxz00_13090;
BgL_auxz00_13090 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(43756L), BGl_string3368z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4945); 
FAILURE(BgL_auxz00_13090,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2peerzd2certificatez00zz__ssl_sslz00(BgL_auxz00_13064);} } 

}



/* ssl-connection-reused? */
BGL_EXPORTED_DEF bool_t BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_108)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_method1307z00_1754;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_res2523z00_3261;
{ /* Llib/ssl.scm 1082 */
 long BgL_objzd2classzd2numz00_3232;
BgL_objzd2classzd2numz00_3232 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_108)); 
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1831z00_3233;
BgL_arg1831z00_3233 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1082 */
 int BgL_offsetz00_3236;
BgL_offsetz00_3236 = 
(int)(BgL_objzd2classzd2numz00_3232); 
{ /* Llib/ssl.scm 1082 */
 long BgL_offsetz00_3237;
BgL_offsetz00_3237 = 
(
(long)(BgL_offsetz00_3236)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1082 */
 long BgL_modz00_3238;
BgL_modz00_3238 = 
(BgL_offsetz00_3237 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1082 */
 long BgL_restz00_3240;
BgL_restz00_3240 = 
(BgL_offsetz00_3237 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1082 */

{ /* Llib/ssl.scm 1082 */
 obj_t BgL_bucketz00_3242;
BgL_bucketz00_3242 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3233),BgL_modz00_3238); 
BgL_res2523z00_3261 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3242),BgL_restz00_3240); } } } } } } } } 
BgL_method1307z00_1754 = BgL_res2523z00_3261; } 
return 
CBOOL(
BGL_PROCEDURE_CALL1(BgL_method1307z00_1754, 
((obj_t)BgL_sslz00_108)));} } 

}



/* &ssl-connection-reused? */
obj_t BGl_z62sslzd2connectionzd2reusedzf3z91zz__ssl_sslz00(obj_t BgL_envz00_4946, obj_t BgL_sslz00_4947)
{
{ /* Llib/ssl.scm 1082 */
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_tmpz00_13126;
{ /* Llib/ssl.scm 1082 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_13127;
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_test4315z00_13128;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_classz00_7075;
BgL_classz00_7075 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4947))
{ /* Llib/ssl.scm 1082 */
 BgL_objectz00_bglt BgL_arg1829z00_7077; long BgL_arg1830z00_7078;
BgL_arg1829z00_7077 = 
(BgL_objectz00_bglt)(BgL_sslz00_4947); 
BgL_arg1830z00_7078 = 
BGL_CLASS_DEPTH(BgL_classz00_7075); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1082 */
 long BgL_idxz00_7086;
BgL_idxz00_7086 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7077); 
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1820z00_7087;
{ /* Llib/ssl.scm 1082 */
 long BgL_arg1821z00_7088;
BgL_arg1821z00_7088 = 
(BgL_idxz00_7086+BgL_arg1830z00_7078); 
BgL_arg1820z00_7087 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7088); } 
BgL_test4315z00_13128 = 
(BgL_arg1820z00_7087==BgL_classz00_7075); } }  else 
{ /* Llib/ssl.scm 1082 */
 bool_t BgL_res3428z00_7114;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_oclassz00_7096;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1834z00_7104; long BgL_arg1835z00_7105;
BgL_arg1834z00_7104 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1082 */
 long BgL_arg1836z00_7106;
BgL_arg1836z00_7106 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7077); 
BgL_arg1835z00_7105 = 
(BgL_arg1836z00_7106-OBJECT_TYPE); } 
BgL_oclassz00_7096 = 
VECTOR_REF(BgL_arg1834z00_7104,BgL_arg1835z00_7105); } 
{ /* Llib/ssl.scm 1082 */
 bool_t BgL__ortest_1114z00_7097;
BgL__ortest_1114z00_7097 = 
(BgL_classz00_7075==BgL_oclassz00_7096); 
if(BgL__ortest_1114z00_7097)
{ /* Llib/ssl.scm 1082 */
BgL_res3428z00_7114 = BgL__ortest_1114z00_7097; }  else 
{ /* Llib/ssl.scm 1082 */
 long BgL_odepthz00_7098;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1824z00_7099;
BgL_arg1824z00_7099 = 
(BgL_oclassz00_7096); 
BgL_odepthz00_7098 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7099); } 
if(
(BgL_arg1830z00_7078<BgL_odepthz00_7098))
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1822z00_7101;
{ /* Llib/ssl.scm 1082 */
 obj_t BgL_arg1823z00_7102;
BgL_arg1823z00_7102 = 
(BgL_oclassz00_7096); 
BgL_arg1822z00_7101 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7102, BgL_arg1830z00_7078); } 
BgL_res3428z00_7114 = 
(BgL_arg1822z00_7101==BgL_classz00_7075); }  else 
{ /* Llib/ssl.scm 1082 */
BgL_res3428z00_7114 = ((bool_t)0); } } } } 
BgL_test4315z00_13128 = BgL_res3428z00_7114; } }  else 
{ /* Llib/ssl.scm 1082 */
BgL_test4315z00_13128 = ((bool_t)0)
; } } 
if(BgL_test4315z00_13128)
{ /* Llib/ssl.scm 1082 */
BgL_auxz00_13127 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4947)
; }  else 
{ 
 obj_t BgL_auxz00_13153;
BgL_auxz00_13153 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(44165L), BGl_string3369z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4947); 
FAILURE(BgL_auxz00_13153,BFALSE,BFALSE);} } 
BgL_tmpz00_13126 = 
BGl_sslzd2connectionzd2reusedzf3zf3zz__ssl_sslz00(BgL_auxz00_13127); } 
return 
BBOOL(BgL_tmpz00_13126);} } 

}



/* ssl-connection-get-negotiated-protocol */
BGL_EXPORTED_DEF obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_sslzd2connectionzd2_bglt BgL_sslz00_109)
{
{ /* Llib/ssl.scm 1093 */
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_method1309z00_1755;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_res2528z00_3292;
{ /* Llib/ssl.scm 1093 */
 long BgL_objzd2classzd2numz00_3263;
BgL_objzd2classzd2numz00_3263 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslz00_109)); 
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1831z00_3264;
BgL_arg1831z00_3264 = 
PROCEDURE_REF(BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1093 */
 int BgL_offsetz00_3267;
BgL_offsetz00_3267 = 
(int)(BgL_objzd2classzd2numz00_3263); 
{ /* Llib/ssl.scm 1093 */
 long BgL_offsetz00_3268;
BgL_offsetz00_3268 = 
(
(long)(BgL_offsetz00_3267)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1093 */
 long BgL_modz00_3269;
BgL_modz00_3269 = 
(BgL_offsetz00_3268 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1093 */
 long BgL_restz00_3271;
BgL_restz00_3271 = 
(BgL_offsetz00_3268 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1093 */

{ /* Llib/ssl.scm 1093 */
 obj_t BgL_bucketz00_3273;
BgL_bucketz00_3273 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3264),BgL_modz00_3269); 
BgL_res2528z00_3292 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3273),BgL_restz00_3271); } } } } } } } } 
BgL_method1309z00_1755 = BgL_res2528z00_3292; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1309z00_1755, 
((obj_t)BgL_sslz00_109));} } 

}



/* &ssl-connection-get-negotiated-protocol */
obj_t BGl_z62sslzd2connectionzd2getzd2negotiatedzd2protocolz62zz__ssl_sslz00(obj_t BgL_envz00_4948, obj_t BgL_sslz00_4949)
{
{ /* Llib/ssl.scm 1093 */
{ /* Llib/ssl.scm 1093 */
 BgL_sslzd2connectionzd2_bglt BgL_auxz00_13189;
{ /* Llib/ssl.scm 1093 */
 bool_t BgL_test4320z00_13190;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_classz00_7115;
BgL_classz00_7115 = BGl_sslzd2connectionzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslz00_4949))
{ /* Llib/ssl.scm 1093 */
 BgL_objectz00_bglt BgL_arg1829z00_7117; long BgL_arg1830z00_7118;
BgL_arg1829z00_7117 = 
(BgL_objectz00_bglt)(BgL_sslz00_4949); 
BgL_arg1830z00_7118 = 
BGL_CLASS_DEPTH(BgL_classz00_7115); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1093 */
 long BgL_idxz00_7126;
BgL_idxz00_7126 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7117); 
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1820z00_7127;
{ /* Llib/ssl.scm 1093 */
 long BgL_arg1821z00_7128;
BgL_arg1821z00_7128 = 
(BgL_idxz00_7126+BgL_arg1830z00_7118); 
BgL_arg1820z00_7127 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7128); } 
BgL_test4320z00_13190 = 
(BgL_arg1820z00_7127==BgL_classz00_7115); } }  else 
{ /* Llib/ssl.scm 1093 */
 bool_t BgL_res3429z00_7154;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_oclassz00_7136;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1834z00_7144; long BgL_arg1835z00_7145;
BgL_arg1834z00_7144 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1093 */
 long BgL_arg1836z00_7146;
BgL_arg1836z00_7146 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7117); 
BgL_arg1835z00_7145 = 
(BgL_arg1836z00_7146-OBJECT_TYPE); } 
BgL_oclassz00_7136 = 
VECTOR_REF(BgL_arg1834z00_7144,BgL_arg1835z00_7145); } 
{ /* Llib/ssl.scm 1093 */
 bool_t BgL__ortest_1114z00_7137;
BgL__ortest_1114z00_7137 = 
(BgL_classz00_7115==BgL_oclassz00_7136); 
if(BgL__ortest_1114z00_7137)
{ /* Llib/ssl.scm 1093 */
BgL_res3429z00_7154 = BgL__ortest_1114z00_7137; }  else 
{ /* Llib/ssl.scm 1093 */
 long BgL_odepthz00_7138;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1824z00_7139;
BgL_arg1824z00_7139 = 
(BgL_oclassz00_7136); 
BgL_odepthz00_7138 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7139); } 
if(
(BgL_arg1830z00_7118<BgL_odepthz00_7138))
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1822z00_7141;
{ /* Llib/ssl.scm 1093 */
 obj_t BgL_arg1823z00_7142;
BgL_arg1823z00_7142 = 
(BgL_oclassz00_7136); 
BgL_arg1822z00_7141 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7142, BgL_arg1830z00_7118); } 
BgL_res3429z00_7154 = 
(BgL_arg1822z00_7141==BgL_classz00_7115); }  else 
{ /* Llib/ssl.scm 1093 */
BgL_res3429z00_7154 = ((bool_t)0); } } } } 
BgL_test4320z00_13190 = BgL_res3429z00_7154; } }  else 
{ /* Llib/ssl.scm 1093 */
BgL_test4320z00_13190 = ((bool_t)0)
; } } 
if(BgL_test4320z00_13190)
{ /* Llib/ssl.scm 1093 */
BgL_auxz00_13189 = 
((BgL_sslzd2connectionzd2_bglt)BgL_sslz00_4949)
; }  else 
{ 
 obj_t BgL_auxz00_13215;
BgL_auxz00_13215 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(44591L), BGl_string3370z00zz__ssl_sslz00, BGl_string3352z00zz__ssl_sslz00, BgL_sslz00_4949); 
FAILURE(BgL_auxz00_13215,BFALSE,BFALSE);} } 
return 
BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolz00zz__ssl_sslz00(BgL_auxz00_13189);} } 

}



/* &dh-init */
obj_t BGl_z62dhzd2initzb0zz__ssl_sslz00(obj_t BgL_envz00_4620, obj_t BgL_dhz00_4621)
{
{ /* Llib/ssl.scm 1103 */
{ /* Llib/ssl.scm 1103 */
 BgL_dhz00_bglt BgL_dhz00_7195;
{ /* Llib/ssl.scm 1103 */
 bool_t BgL_test4325z00_13220;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_classz00_7155;
BgL_classz00_7155 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4621))
{ /* Llib/ssl.scm 1103 */
 BgL_objectz00_bglt BgL_arg1829z00_7157; long BgL_arg1830z00_7158;
BgL_arg1829z00_7157 = 
(BgL_objectz00_bglt)(BgL_dhz00_4621); 
BgL_arg1830z00_7158 = 
BGL_CLASS_DEPTH(BgL_classz00_7155); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1103 */
 long BgL_idxz00_7166;
BgL_idxz00_7166 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7157); 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1820z00_7167;
{ /* Llib/ssl.scm 1103 */
 long BgL_arg1821z00_7168;
BgL_arg1821z00_7168 = 
(BgL_idxz00_7166+BgL_arg1830z00_7158); 
BgL_arg1820z00_7167 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7168); } 
BgL_test4325z00_13220 = 
(BgL_arg1820z00_7167==BgL_classz00_7155); } }  else 
{ /* Llib/ssl.scm 1103 */
 bool_t BgL_res3430z00_7194;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_oclassz00_7176;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1834z00_7184; long BgL_arg1835z00_7185;
BgL_arg1834z00_7184 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1103 */
 long BgL_arg1836z00_7186;
BgL_arg1836z00_7186 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7157); 
BgL_arg1835z00_7185 = 
(BgL_arg1836z00_7186-OBJECT_TYPE); } 
BgL_oclassz00_7176 = 
VECTOR_REF(BgL_arg1834z00_7184,BgL_arg1835z00_7185); } 
{ /* Llib/ssl.scm 1103 */
 bool_t BgL__ortest_1114z00_7177;
BgL__ortest_1114z00_7177 = 
(BgL_classz00_7155==BgL_oclassz00_7176); 
if(BgL__ortest_1114z00_7177)
{ /* Llib/ssl.scm 1103 */
BgL_res3430z00_7194 = BgL__ortest_1114z00_7177; }  else 
{ /* Llib/ssl.scm 1103 */
 long BgL_odepthz00_7178;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1824z00_7179;
BgL_arg1824z00_7179 = 
(BgL_oclassz00_7176); 
BgL_odepthz00_7178 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7179); } 
if(
(BgL_arg1830z00_7158<BgL_odepthz00_7178))
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1822z00_7181;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1823z00_7182;
BgL_arg1823z00_7182 = 
(BgL_oclassz00_7176); 
BgL_arg1822z00_7181 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7182, BgL_arg1830z00_7158); } 
BgL_res3430z00_7194 = 
(BgL_arg1822z00_7181==BgL_classz00_7155); }  else 
{ /* Llib/ssl.scm 1103 */
BgL_res3430z00_7194 = ((bool_t)0); } } } } 
BgL_test4325z00_13220 = BgL_res3430z00_7194; } }  else 
{ /* Llib/ssl.scm 1103 */
BgL_test4325z00_13220 = ((bool_t)0)
; } } 
if(BgL_test4325z00_13220)
{ /* Llib/ssl.scm 1103 */
BgL_dhz00_7195 = 
((BgL_dhz00_bglt)BgL_dhz00_4621); }  else 
{ 
 obj_t BgL_auxz00_13245;
BgL_auxz00_13245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(45006L), BGl_string3371z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4621); 
FAILURE(BgL_auxz00_13245,BFALSE,BFALSE);} } 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_method1311z00_7196;
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_res2533z00_7197;
{ /* Llib/ssl.scm 1103 */
 long BgL_objzd2classzd2numz00_7198;
BgL_objzd2classzd2numz00_7198 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_7195)); 
{ /* Llib/ssl.scm 1103 */
 obj_t BgL_arg1831z00_7199;
BgL_arg1831z00_7199 = 
PROCEDURE_REF(BGl_dhzd2initzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1103 */
 int BgL_offsetz00_7200;
BgL_offsetz00_7200 = 
(int)(BgL_objzd2classzd2numz00_7198); 
{ /* Llib/ssl.scm 1103 */
 long BgL_offsetz00_7201;
BgL_offsetz00_7201 = 
(
(long)(BgL_offsetz00_7200)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1103 */
 long BgL_modz00_7202;
BgL_modz00_7202 = 
(BgL_offsetz00_7201 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1103 */
 long BgL_restz00_7203;
BgL_restz00_7203 = 
(BgL_offsetz00_7201 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1103 */

{ /* Llib/ssl.scm 1103 */
 obj_t BgL_bucketz00_7204;
BgL_bucketz00_7204 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_7199),BgL_modz00_7202); 
BgL_res2533z00_7197 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_7204),BgL_restz00_7203); } } } } } } } } 
BgL_method1311z00_7196 = BgL_res2533z00_7197; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1311z00_7196, 
((obj_t)BgL_dhz00_7195));} } } 

}



/* dh-size */
BGL_EXPORTED_DEF int BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_111)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_method1313z00_1757;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_res2538z00_3354;
{ /* Llib/ssl.scm 1114 */
 long BgL_objzd2classzd2numz00_3325;
BgL_objzd2classzd2numz00_3325 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_111)); 
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1831z00_3326;
BgL_arg1831z00_3326 = 
PROCEDURE_REF(BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1114 */
 int BgL_offsetz00_3329;
BgL_offsetz00_3329 = 
(int)(BgL_objzd2classzd2numz00_3325); 
{ /* Llib/ssl.scm 1114 */
 long BgL_offsetz00_3330;
BgL_offsetz00_3330 = 
(
(long)(BgL_offsetz00_3329)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1114 */
 long BgL_modz00_3331;
BgL_modz00_3331 = 
(BgL_offsetz00_3330 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1114 */
 long BgL_restz00_3333;
BgL_restz00_3333 = 
(BgL_offsetz00_3330 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1114 */

{ /* Llib/ssl.scm 1114 */
 obj_t BgL_bucketz00_3335;
BgL_bucketz00_3335 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3326),BgL_modz00_3331); 
BgL_res2538z00_3354 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3335),BgL_restz00_3333); } } } } } } } } 
BgL_method1313z00_1757 = BgL_res2538z00_3354; } 
return 
CINT(
BGL_PROCEDURE_CALL1(BgL_method1313z00_1757, 
((obj_t)BgL_dhz00_111)));} } 

}



/* &dh-size */
obj_t BGl_z62dhzd2siza7ez17zz__ssl_sslz00(obj_t BgL_envz00_4950, obj_t BgL_dhz00_4951)
{
{ /* Llib/ssl.scm 1114 */
{ /* Llib/ssl.scm 1114 */
 int BgL_tmpz00_13310;
{ /* Llib/ssl.scm 1114 */
 BgL_dhz00_bglt BgL_auxz00_13311;
{ /* Llib/ssl.scm 1114 */
 bool_t BgL_test4330z00_13312;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_classz00_7205;
BgL_classz00_7205 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4951))
{ /* Llib/ssl.scm 1114 */
 BgL_objectz00_bglt BgL_arg1829z00_7207; long BgL_arg1830z00_7208;
BgL_arg1829z00_7207 = 
(BgL_objectz00_bglt)(BgL_dhz00_4951); 
BgL_arg1830z00_7208 = 
BGL_CLASS_DEPTH(BgL_classz00_7205); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1114 */
 long BgL_idxz00_7216;
BgL_idxz00_7216 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7207); 
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1820z00_7217;
{ /* Llib/ssl.scm 1114 */
 long BgL_arg1821z00_7218;
BgL_arg1821z00_7218 = 
(BgL_idxz00_7216+BgL_arg1830z00_7208); 
BgL_arg1820z00_7217 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7218); } 
BgL_test4330z00_13312 = 
(BgL_arg1820z00_7217==BgL_classz00_7205); } }  else 
{ /* Llib/ssl.scm 1114 */
 bool_t BgL_res3431z00_7244;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_oclassz00_7226;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1834z00_7234; long BgL_arg1835z00_7235;
BgL_arg1834z00_7234 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1114 */
 long BgL_arg1836z00_7236;
BgL_arg1836z00_7236 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7207); 
BgL_arg1835z00_7235 = 
(BgL_arg1836z00_7236-OBJECT_TYPE); } 
BgL_oclassz00_7226 = 
VECTOR_REF(BgL_arg1834z00_7234,BgL_arg1835z00_7235); } 
{ /* Llib/ssl.scm 1114 */
 bool_t BgL__ortest_1114z00_7227;
BgL__ortest_1114z00_7227 = 
(BgL_classz00_7205==BgL_oclassz00_7226); 
if(BgL__ortest_1114z00_7227)
{ /* Llib/ssl.scm 1114 */
BgL_res3431z00_7244 = BgL__ortest_1114z00_7227; }  else 
{ /* Llib/ssl.scm 1114 */
 long BgL_odepthz00_7228;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1824z00_7229;
BgL_arg1824z00_7229 = 
(BgL_oclassz00_7226); 
BgL_odepthz00_7228 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7229); } 
if(
(BgL_arg1830z00_7208<BgL_odepthz00_7228))
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1822z00_7231;
{ /* Llib/ssl.scm 1114 */
 obj_t BgL_arg1823z00_7232;
BgL_arg1823z00_7232 = 
(BgL_oclassz00_7226); 
BgL_arg1822z00_7231 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7232, BgL_arg1830z00_7208); } 
BgL_res3431z00_7244 = 
(BgL_arg1822z00_7231==BgL_classz00_7205); }  else 
{ /* Llib/ssl.scm 1114 */
BgL_res3431z00_7244 = ((bool_t)0); } } } } 
BgL_test4330z00_13312 = BgL_res3431z00_7244; } }  else 
{ /* Llib/ssl.scm 1114 */
BgL_test4330z00_13312 = ((bool_t)0)
; } } 
if(BgL_test4330z00_13312)
{ /* Llib/ssl.scm 1114 */
BgL_auxz00_13311 = 
((BgL_dhz00_bglt)BgL_dhz00_4951)
; }  else 
{ 
 obj_t BgL_auxz00_13337;
BgL_auxz00_13337 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(45386L), BGl_string3373z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4951); 
FAILURE(BgL_auxz00_13337,BFALSE,BFALSE);} } 
BgL_tmpz00_13310 = 
BGl_dhzd2siza7ez75zz__ssl_sslz00(BgL_auxz00_13311); } 
return 
BINT(BgL_tmpz00_13310);} } 

}



/* dh-generate-parameters-ex */
BGL_EXPORTED_DEF obj_t BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_112, int BgL_lenz00_113, obj_t BgL_generatorz00_114)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_method1315z00_1758;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_res2543z00_3385;
{ /* Llib/ssl.scm 1122 */
 long BgL_objzd2classzd2numz00_3356;
BgL_objzd2classzd2numz00_3356 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_112)); 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1831z00_3357;
BgL_arg1831z00_3357 = 
PROCEDURE_REF(BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1122 */
 int BgL_offsetz00_3360;
BgL_offsetz00_3360 = 
(int)(BgL_objzd2classzd2numz00_3356); 
{ /* Llib/ssl.scm 1122 */
 long BgL_offsetz00_3361;
BgL_offsetz00_3361 = 
(
(long)(BgL_offsetz00_3360)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1122 */
 long BgL_modz00_3362;
BgL_modz00_3362 = 
(BgL_offsetz00_3361 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1122 */
 long BgL_restz00_3364;
BgL_restz00_3364 = 
(BgL_offsetz00_3361 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1122 */

{ /* Llib/ssl.scm 1122 */
 obj_t BgL_bucketz00_3366;
BgL_bucketz00_3366 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3357),BgL_modz00_3362); 
BgL_res2543z00_3385 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3366),BgL_restz00_3364); } } } } } } } } 
BgL_method1315z00_1758 = BgL_res2543z00_3385; } 
return 
BGL_PROCEDURE_CALL3(BgL_method1315z00_1758, 
((obj_t)BgL_dhz00_112), 
BINT(BgL_lenz00_113), BgL_generatorz00_114);} } 

}



/* &dh-generate-parameters-ex */
obj_t BGl_z62dhzd2generatezd2parameterszd2exzb0zz__ssl_sslz00(obj_t BgL_envz00_4952, obj_t BgL_dhz00_4953, obj_t BgL_lenz00_4954, obj_t BgL_generatorz00_4955)
{
{ /* Llib/ssl.scm 1122 */
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_auxz00_13415; int BgL_auxz00_13406; BgL_dhz00_bglt BgL_auxz00_13376;
if(
SYMBOLP(BgL_generatorz00_4955))
{ /* Llib/ssl.scm 1122 */
BgL_auxz00_13415 = BgL_generatorz00_4955
; }  else 
{ 
 obj_t BgL_auxz00_13418;
BgL_auxz00_13418 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3374z00zz__ssl_sslz00, BGl_string3016z00zz__ssl_sslz00, BgL_generatorz00_4955); 
FAILURE(BgL_auxz00_13418,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_tmpz00_13407;
if(
INTEGERP(BgL_lenz00_4954))
{ /* Llib/ssl.scm 1122 */
BgL_tmpz00_13407 = BgL_lenz00_4954
; }  else 
{ 
 obj_t BgL_auxz00_13410;
BgL_auxz00_13410 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3374z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4954); 
FAILURE(BgL_auxz00_13410,BFALSE,BFALSE);} 
BgL_auxz00_13406 = 
CINT(BgL_tmpz00_13407); } 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL_test4335z00_13377;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_classz00_7245;
BgL_classz00_7245 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4953))
{ /* Llib/ssl.scm 1122 */
 BgL_objectz00_bglt BgL_arg1829z00_7247; long BgL_arg1830z00_7248;
BgL_arg1829z00_7247 = 
(BgL_objectz00_bglt)(BgL_dhz00_4953); 
BgL_arg1830z00_7248 = 
BGL_CLASS_DEPTH(BgL_classz00_7245); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1122 */
 long BgL_idxz00_7256;
BgL_idxz00_7256 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7247); 
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1820z00_7257;
{ /* Llib/ssl.scm 1122 */
 long BgL_arg1821z00_7258;
BgL_arg1821z00_7258 = 
(BgL_idxz00_7256+BgL_arg1830z00_7248); 
BgL_arg1820z00_7257 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7258); } 
BgL_test4335z00_13377 = 
(BgL_arg1820z00_7257==BgL_classz00_7245); } }  else 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL_res3432z00_7284;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_oclassz00_7266;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1834z00_7274; long BgL_arg1835z00_7275;
BgL_arg1834z00_7274 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1122 */
 long BgL_arg1836z00_7276;
BgL_arg1836z00_7276 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7247); 
BgL_arg1835z00_7275 = 
(BgL_arg1836z00_7276-OBJECT_TYPE); } 
BgL_oclassz00_7266 = 
VECTOR_REF(BgL_arg1834z00_7274,BgL_arg1835z00_7275); } 
{ /* Llib/ssl.scm 1122 */
 bool_t BgL__ortest_1114z00_7267;
BgL__ortest_1114z00_7267 = 
(BgL_classz00_7245==BgL_oclassz00_7266); 
if(BgL__ortest_1114z00_7267)
{ /* Llib/ssl.scm 1122 */
BgL_res3432z00_7284 = BgL__ortest_1114z00_7267; }  else 
{ /* Llib/ssl.scm 1122 */
 long BgL_odepthz00_7268;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1824z00_7269;
BgL_arg1824z00_7269 = 
(BgL_oclassz00_7266); 
BgL_odepthz00_7268 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7269); } 
if(
(BgL_arg1830z00_7248<BgL_odepthz00_7268))
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1822z00_7271;
{ /* Llib/ssl.scm 1122 */
 obj_t BgL_arg1823z00_7272;
BgL_arg1823z00_7272 = 
(BgL_oclassz00_7266); 
BgL_arg1822z00_7271 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7272, BgL_arg1830z00_7248); } 
BgL_res3432z00_7284 = 
(BgL_arg1822z00_7271==BgL_classz00_7245); }  else 
{ /* Llib/ssl.scm 1122 */
BgL_res3432z00_7284 = ((bool_t)0); } } } } 
BgL_test4335z00_13377 = BgL_res3432z00_7284; } }  else 
{ /* Llib/ssl.scm 1122 */
BgL_test4335z00_13377 = ((bool_t)0)
; } } 
if(BgL_test4335z00_13377)
{ /* Llib/ssl.scm 1122 */
BgL_auxz00_13376 = 
((BgL_dhz00_bglt)BgL_dhz00_4953)
; }  else 
{ 
 obj_t BgL_auxz00_13402;
BgL_auxz00_13402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(45750L), BGl_string3374z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4953); 
FAILURE(BgL_auxz00_13402,BFALSE,BFALSE);} } 
return 
BGl_dhzd2generatezd2parameterszd2exzd2zz__ssl_sslz00(BgL_auxz00_13376, BgL_auxz00_13406, BgL_auxz00_13415);} } 

}



/* dh-check */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_115)
{
{ /* Llib/ssl.scm 1143 */
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_method1317z00_1759;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_res2548z00_3416;
{ /* Llib/ssl.scm 1143 */
 long BgL_objzd2classzd2numz00_3387;
BgL_objzd2classzd2numz00_3387 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_115)); 
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1831z00_3388;
BgL_arg1831z00_3388 = 
PROCEDURE_REF(BGl_dhzd2checkzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1143 */
 int BgL_offsetz00_3391;
BgL_offsetz00_3391 = 
(int)(BgL_objzd2classzd2numz00_3387); 
{ /* Llib/ssl.scm 1143 */
 long BgL_offsetz00_3392;
BgL_offsetz00_3392 = 
(
(long)(BgL_offsetz00_3391)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1143 */
 long BgL_modz00_3393;
BgL_modz00_3393 = 
(BgL_offsetz00_3392 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1143 */
 long BgL_restz00_3395;
BgL_restz00_3395 = 
(BgL_offsetz00_3392 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1143 */

{ /* Llib/ssl.scm 1143 */
 obj_t BgL_bucketz00_3397;
BgL_bucketz00_3397 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3388),BgL_modz00_3393); 
BgL_res2548z00_3416 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3397),BgL_restz00_3395); } } } } } } } } 
BgL_method1317z00_1759 = BgL_res2548z00_3416; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1317z00_1759, 
((obj_t)BgL_dhz00_115));} } 

}



/* &dh-check */
obj_t BGl_z62dhzd2checkzb0zz__ssl_sslz00(obj_t BgL_envz00_4956, obj_t BgL_dhz00_4957)
{
{ /* Llib/ssl.scm 1143 */
{ /* Llib/ssl.scm 1143 */
 BgL_dhz00_bglt BgL_auxz00_13453;
{ /* Llib/ssl.scm 1143 */
 bool_t BgL_test4342z00_13454;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_classz00_7285;
BgL_classz00_7285 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4957))
{ /* Llib/ssl.scm 1143 */
 BgL_objectz00_bglt BgL_arg1829z00_7287; long BgL_arg1830z00_7288;
BgL_arg1829z00_7287 = 
(BgL_objectz00_bglt)(BgL_dhz00_4957); 
BgL_arg1830z00_7288 = 
BGL_CLASS_DEPTH(BgL_classz00_7285); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1143 */
 long BgL_idxz00_7296;
BgL_idxz00_7296 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7287); 
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1820z00_7297;
{ /* Llib/ssl.scm 1143 */
 long BgL_arg1821z00_7298;
BgL_arg1821z00_7298 = 
(BgL_idxz00_7296+BgL_arg1830z00_7288); 
BgL_arg1820z00_7297 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7298); } 
BgL_test4342z00_13454 = 
(BgL_arg1820z00_7297==BgL_classz00_7285); } }  else 
{ /* Llib/ssl.scm 1143 */
 bool_t BgL_res3433z00_7324;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_oclassz00_7306;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1834z00_7314; long BgL_arg1835z00_7315;
BgL_arg1834z00_7314 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1143 */
 long BgL_arg1836z00_7316;
BgL_arg1836z00_7316 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7287); 
BgL_arg1835z00_7315 = 
(BgL_arg1836z00_7316-OBJECT_TYPE); } 
BgL_oclassz00_7306 = 
VECTOR_REF(BgL_arg1834z00_7314,BgL_arg1835z00_7315); } 
{ /* Llib/ssl.scm 1143 */
 bool_t BgL__ortest_1114z00_7307;
BgL__ortest_1114z00_7307 = 
(BgL_classz00_7285==BgL_oclassz00_7306); 
if(BgL__ortest_1114z00_7307)
{ /* Llib/ssl.scm 1143 */
BgL_res3433z00_7324 = BgL__ortest_1114z00_7307; }  else 
{ /* Llib/ssl.scm 1143 */
 long BgL_odepthz00_7308;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1824z00_7309;
BgL_arg1824z00_7309 = 
(BgL_oclassz00_7306); 
BgL_odepthz00_7308 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7309); } 
if(
(BgL_arg1830z00_7288<BgL_odepthz00_7308))
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1822z00_7311;
{ /* Llib/ssl.scm 1143 */
 obj_t BgL_arg1823z00_7312;
BgL_arg1823z00_7312 = 
(BgL_oclassz00_7306); 
BgL_arg1822z00_7311 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7312, BgL_arg1830z00_7288); } 
BgL_res3433z00_7324 = 
(BgL_arg1822z00_7311==BgL_classz00_7285); }  else 
{ /* Llib/ssl.scm 1143 */
BgL_res3433z00_7324 = ((bool_t)0); } } } } 
BgL_test4342z00_13454 = BgL_res3433z00_7324; } }  else 
{ /* Llib/ssl.scm 1143 */
BgL_test4342z00_13454 = ((bool_t)0)
; } } 
if(BgL_test4342z00_13454)
{ /* Llib/ssl.scm 1143 */
BgL_auxz00_13453 = 
((BgL_dhz00_bglt)BgL_dhz00_4957)
; }  else 
{ 
 obj_t BgL_auxz00_13479;
BgL_auxz00_13479 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(46507L), BGl_string3375z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4957); 
FAILURE(BgL_auxz00_13479,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2zz__ssl_sslz00(BgL_auxz00_13453);} } 

}



/* dh-check-pub-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_116, obj_t BgL_keyz00_117)
{
{ /* Llib/ssl.scm 1154 */
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_method1319z00_1760;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_res2553z00_3447;
{ /* Llib/ssl.scm 1154 */
 long BgL_objzd2classzd2numz00_3418;
BgL_objzd2classzd2numz00_3418 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_116)); 
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1831z00_3419;
BgL_arg1831z00_3419 = 
PROCEDURE_REF(BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1154 */
 int BgL_offsetz00_3422;
BgL_offsetz00_3422 = 
(int)(BgL_objzd2classzd2numz00_3418); 
{ /* Llib/ssl.scm 1154 */
 long BgL_offsetz00_3423;
BgL_offsetz00_3423 = 
(
(long)(BgL_offsetz00_3422)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1154 */
 long BgL_modz00_3424;
BgL_modz00_3424 = 
(BgL_offsetz00_3423 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1154 */
 long BgL_restz00_3426;
BgL_restz00_3426 = 
(BgL_offsetz00_3423 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1154 */

{ /* Llib/ssl.scm 1154 */
 obj_t BgL_bucketz00_3428;
BgL_bucketz00_3428 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3419),BgL_modz00_3424); 
BgL_res2553z00_3447 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3428),BgL_restz00_3426); } } } } } } } } 
BgL_method1319z00_1760 = BgL_res2553z00_3447; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1319z00_1760, 
((obj_t)BgL_dhz00_116), BgL_keyz00_117);} } 

}



/* &dh-check-pub-key */
obj_t BGl_z62dhzd2checkzd2pubzd2keyzb0zz__ssl_sslz00(obj_t BgL_envz00_4958, obj_t BgL_dhz00_4959, obj_t BgL_keyz00_4960)
{
{ /* Llib/ssl.scm 1154 */
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_auxz00_13545; BgL_dhz00_bglt BgL_auxz00_13515;
if(
FOREIGNP(BgL_keyz00_4960))
{ /* Llib/ssl.scm 1154 */
BgL_auxz00_13545 = BgL_keyz00_4960
; }  else 
{ 
 obj_t BgL_auxz00_13548;
BgL_auxz00_13548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(46887L), BGl_string3376z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_keyz00_4960); 
FAILURE(BgL_auxz00_13548,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1154 */
 bool_t BgL_test4347z00_13516;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_classz00_7325;
BgL_classz00_7325 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4959))
{ /* Llib/ssl.scm 1154 */
 BgL_objectz00_bglt BgL_arg1829z00_7327; long BgL_arg1830z00_7328;
BgL_arg1829z00_7327 = 
(BgL_objectz00_bglt)(BgL_dhz00_4959); 
BgL_arg1830z00_7328 = 
BGL_CLASS_DEPTH(BgL_classz00_7325); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1154 */
 long BgL_idxz00_7336;
BgL_idxz00_7336 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7327); 
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1820z00_7337;
{ /* Llib/ssl.scm 1154 */
 long BgL_arg1821z00_7338;
BgL_arg1821z00_7338 = 
(BgL_idxz00_7336+BgL_arg1830z00_7328); 
BgL_arg1820z00_7337 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7338); } 
BgL_test4347z00_13516 = 
(BgL_arg1820z00_7337==BgL_classz00_7325); } }  else 
{ /* Llib/ssl.scm 1154 */
 bool_t BgL_res3434z00_7364;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_oclassz00_7346;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1834z00_7354; long BgL_arg1835z00_7355;
BgL_arg1834z00_7354 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1154 */
 long BgL_arg1836z00_7356;
BgL_arg1836z00_7356 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7327); 
BgL_arg1835z00_7355 = 
(BgL_arg1836z00_7356-OBJECT_TYPE); } 
BgL_oclassz00_7346 = 
VECTOR_REF(BgL_arg1834z00_7354,BgL_arg1835z00_7355); } 
{ /* Llib/ssl.scm 1154 */
 bool_t BgL__ortest_1114z00_7347;
BgL__ortest_1114z00_7347 = 
(BgL_classz00_7325==BgL_oclassz00_7346); 
if(BgL__ortest_1114z00_7347)
{ /* Llib/ssl.scm 1154 */
BgL_res3434z00_7364 = BgL__ortest_1114z00_7347; }  else 
{ /* Llib/ssl.scm 1154 */
 long BgL_odepthz00_7348;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1824z00_7349;
BgL_arg1824z00_7349 = 
(BgL_oclassz00_7346); 
BgL_odepthz00_7348 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7349); } 
if(
(BgL_arg1830z00_7328<BgL_odepthz00_7348))
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1822z00_7351;
{ /* Llib/ssl.scm 1154 */
 obj_t BgL_arg1823z00_7352;
BgL_arg1823z00_7352 = 
(BgL_oclassz00_7346); 
BgL_arg1822z00_7351 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7352, BgL_arg1830z00_7328); } 
BgL_res3434z00_7364 = 
(BgL_arg1822z00_7351==BgL_classz00_7325); }  else 
{ /* Llib/ssl.scm 1154 */
BgL_res3434z00_7364 = ((bool_t)0); } } } } 
BgL_test4347z00_13516 = BgL_res3434z00_7364; } }  else 
{ /* Llib/ssl.scm 1154 */
BgL_test4347z00_13516 = ((bool_t)0)
; } } 
if(BgL_test4347z00_13516)
{ /* Llib/ssl.scm 1154 */
BgL_auxz00_13515 = 
((BgL_dhz00_bglt)BgL_dhz00_4959)
; }  else 
{ 
 obj_t BgL_auxz00_13541;
BgL_auxz00_13541 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(46887L), BGl_string3376z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4959); 
FAILURE(BgL_auxz00_13541,BFALSE,BFALSE);} } 
return 
BGl_dhzd2checkzd2pubzd2keyzd2zz__ssl_sslz00(BgL_auxz00_13515, BgL_auxz00_13545);} } 

}



/* dh-compute-key */
BGL_EXPORTED_DEF obj_t BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_118, obj_t BgL_keyz00_119)
{
{ /* Llib/ssl.scm 1165 */
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_method1321z00_1761;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_res2558z00_3478;
{ /* Llib/ssl.scm 1165 */
 long BgL_objzd2classzd2numz00_3449;
BgL_objzd2classzd2numz00_3449 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_118)); 
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1831z00_3450;
BgL_arg1831z00_3450 = 
PROCEDURE_REF(BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1165 */
 int BgL_offsetz00_3453;
BgL_offsetz00_3453 = 
(int)(BgL_objzd2classzd2numz00_3449); 
{ /* Llib/ssl.scm 1165 */
 long BgL_offsetz00_3454;
BgL_offsetz00_3454 = 
(
(long)(BgL_offsetz00_3453)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1165 */
 long BgL_modz00_3455;
BgL_modz00_3455 = 
(BgL_offsetz00_3454 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1165 */
 long BgL_restz00_3457;
BgL_restz00_3457 = 
(BgL_offsetz00_3454 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1165 */

{ /* Llib/ssl.scm 1165 */
 obj_t BgL_bucketz00_3459;
BgL_bucketz00_3459 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3450),BgL_modz00_3455); 
BgL_res2558z00_3478 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3459),BgL_restz00_3457); } } } } } } } } 
BgL_method1321z00_1761 = BgL_res2558z00_3478; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1321z00_1761, 
((obj_t)BgL_dhz00_118), BgL_keyz00_119);} } 

}



/* &dh-compute-key */
obj_t BGl_z62dhzd2computezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4961, obj_t BgL_dhz00_4962, obj_t BgL_keyz00_4963)
{
{ /* Llib/ssl.scm 1165 */
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_auxz00_13614; BgL_dhz00_bglt BgL_auxz00_13584;
if(
FOREIGNP(BgL_keyz00_4963))
{ /* Llib/ssl.scm 1165 */
BgL_auxz00_13614 = BgL_keyz00_4963
; }  else 
{ 
 obj_t BgL_auxz00_13617;
BgL_auxz00_13617 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(47315L), BGl_string3377z00zz__ssl_sslz00, BGl_string3042z00zz__ssl_sslz00, BgL_keyz00_4963); 
FAILURE(BgL_auxz00_13617,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1165 */
 bool_t BgL_test4353z00_13585;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_classz00_7365;
BgL_classz00_7365 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4962))
{ /* Llib/ssl.scm 1165 */
 BgL_objectz00_bglt BgL_arg1829z00_7367; long BgL_arg1830z00_7368;
BgL_arg1829z00_7367 = 
(BgL_objectz00_bglt)(BgL_dhz00_4962); 
BgL_arg1830z00_7368 = 
BGL_CLASS_DEPTH(BgL_classz00_7365); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1165 */
 long BgL_idxz00_7376;
BgL_idxz00_7376 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7367); 
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1820z00_7377;
{ /* Llib/ssl.scm 1165 */
 long BgL_arg1821z00_7378;
BgL_arg1821z00_7378 = 
(BgL_idxz00_7376+BgL_arg1830z00_7368); 
BgL_arg1820z00_7377 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7378); } 
BgL_test4353z00_13585 = 
(BgL_arg1820z00_7377==BgL_classz00_7365); } }  else 
{ /* Llib/ssl.scm 1165 */
 bool_t BgL_res3435z00_7404;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_oclassz00_7386;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1834z00_7394; long BgL_arg1835z00_7395;
BgL_arg1834z00_7394 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1165 */
 long BgL_arg1836z00_7396;
BgL_arg1836z00_7396 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7367); 
BgL_arg1835z00_7395 = 
(BgL_arg1836z00_7396-OBJECT_TYPE); } 
BgL_oclassz00_7386 = 
VECTOR_REF(BgL_arg1834z00_7394,BgL_arg1835z00_7395); } 
{ /* Llib/ssl.scm 1165 */
 bool_t BgL__ortest_1114z00_7387;
BgL__ortest_1114z00_7387 = 
(BgL_classz00_7365==BgL_oclassz00_7386); 
if(BgL__ortest_1114z00_7387)
{ /* Llib/ssl.scm 1165 */
BgL_res3435z00_7404 = BgL__ortest_1114z00_7387; }  else 
{ /* Llib/ssl.scm 1165 */
 long BgL_odepthz00_7388;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1824z00_7389;
BgL_arg1824z00_7389 = 
(BgL_oclassz00_7386); 
BgL_odepthz00_7388 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7389); } 
if(
(BgL_arg1830z00_7368<BgL_odepthz00_7388))
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1822z00_7391;
{ /* Llib/ssl.scm 1165 */
 obj_t BgL_arg1823z00_7392;
BgL_arg1823z00_7392 = 
(BgL_oclassz00_7386); 
BgL_arg1822z00_7391 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7392, BgL_arg1830z00_7368); } 
BgL_res3435z00_7404 = 
(BgL_arg1822z00_7391==BgL_classz00_7365); }  else 
{ /* Llib/ssl.scm 1165 */
BgL_res3435z00_7404 = ((bool_t)0); } } } } 
BgL_test4353z00_13585 = BgL_res3435z00_7404; } }  else 
{ /* Llib/ssl.scm 1165 */
BgL_test4353z00_13585 = ((bool_t)0)
; } } 
if(BgL_test4353z00_13585)
{ /* Llib/ssl.scm 1165 */
BgL_auxz00_13584 = 
((BgL_dhz00_bglt)BgL_dhz00_4962)
; }  else 
{ 
 obj_t BgL_auxz00_13610;
BgL_auxz00_13610 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(47315L), BGl_string3377z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4962); 
FAILURE(BgL_auxz00_13610,BFALSE,BFALSE);} } 
return 
BGl_dhzd2computezd2keyz00zz__ssl_sslz00(BgL_auxz00_13584, BgL_auxz00_13614);} } 

}



/* dh-generate-key */
BGL_EXPORTED_DEF bool_t BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_dhz00_bglt BgL_dhz00_120)
{
{ /* Llib/ssl.scm 1191 */
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_method1323z00_1762;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_res2563z00_3509;
{ /* Llib/ssl.scm 1191 */
 long BgL_objzd2classzd2numz00_3480;
BgL_objzd2classzd2numz00_3480 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_dhz00_120)); 
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1831z00_3481;
BgL_arg1831z00_3481 = 
PROCEDURE_REF(BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1191 */
 int BgL_offsetz00_3484;
BgL_offsetz00_3484 = 
(int)(BgL_objzd2classzd2numz00_3480); 
{ /* Llib/ssl.scm 1191 */
 long BgL_offsetz00_3485;
BgL_offsetz00_3485 = 
(
(long)(BgL_offsetz00_3484)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1191 */
 long BgL_modz00_3486;
BgL_modz00_3486 = 
(BgL_offsetz00_3485 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1191 */
 long BgL_restz00_3488;
BgL_restz00_3488 = 
(BgL_offsetz00_3485 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1191 */

{ /* Llib/ssl.scm 1191 */
 obj_t BgL_bucketz00_3490;
BgL_bucketz00_3490 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3481),BgL_modz00_3486); 
BgL_res2563z00_3509 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3490),BgL_restz00_3488); } } } } } } } } 
BgL_method1323z00_1762 = BgL_res2563z00_3509; } 
return 
CBOOL(
BGL_PROCEDURE_CALL1(BgL_method1323z00_1762, 
((obj_t)BgL_dhz00_120)));} } 

}



/* &dh-generate-key */
obj_t BGl_z62dhzd2generatezd2keyz62zz__ssl_sslz00(obj_t BgL_envz00_4964, obj_t BgL_dhz00_4965)
{
{ /* Llib/ssl.scm 1191 */
{ /* Llib/ssl.scm 1191 */
 bool_t BgL_tmpz00_13653;
{ /* Llib/ssl.scm 1191 */
 BgL_dhz00_bglt BgL_auxz00_13654;
{ /* Llib/ssl.scm 1191 */
 bool_t BgL_test4359z00_13655;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_classz00_7405;
BgL_classz00_7405 = BGl_dhz00zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_dhz00_4965))
{ /* Llib/ssl.scm 1191 */
 BgL_objectz00_bglt BgL_arg1829z00_7407; long BgL_arg1830z00_7408;
BgL_arg1829z00_7407 = 
(BgL_objectz00_bglt)(BgL_dhz00_4965); 
BgL_arg1830z00_7408 = 
BGL_CLASS_DEPTH(BgL_classz00_7405); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1191 */
 long BgL_idxz00_7416;
BgL_idxz00_7416 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7407); 
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1820z00_7417;
{ /* Llib/ssl.scm 1191 */
 long BgL_arg1821z00_7418;
BgL_arg1821z00_7418 = 
(BgL_idxz00_7416+BgL_arg1830z00_7408); 
BgL_arg1820z00_7417 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7418); } 
BgL_test4359z00_13655 = 
(BgL_arg1820z00_7417==BgL_classz00_7405); } }  else 
{ /* Llib/ssl.scm 1191 */
 bool_t BgL_res3436z00_7444;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_oclassz00_7426;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1834z00_7434; long BgL_arg1835z00_7435;
BgL_arg1834z00_7434 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1191 */
 long BgL_arg1836z00_7436;
BgL_arg1836z00_7436 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7407); 
BgL_arg1835z00_7435 = 
(BgL_arg1836z00_7436-OBJECT_TYPE); } 
BgL_oclassz00_7426 = 
VECTOR_REF(BgL_arg1834z00_7434,BgL_arg1835z00_7435); } 
{ /* Llib/ssl.scm 1191 */
 bool_t BgL__ortest_1114z00_7427;
BgL__ortest_1114z00_7427 = 
(BgL_classz00_7405==BgL_oclassz00_7426); 
if(BgL__ortest_1114z00_7427)
{ /* Llib/ssl.scm 1191 */
BgL_res3436z00_7444 = BgL__ortest_1114z00_7427; }  else 
{ /* Llib/ssl.scm 1191 */
 long BgL_odepthz00_7428;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1824z00_7429;
BgL_arg1824z00_7429 = 
(BgL_oclassz00_7426); 
BgL_odepthz00_7428 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7429); } 
if(
(BgL_arg1830z00_7408<BgL_odepthz00_7428))
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1822z00_7431;
{ /* Llib/ssl.scm 1191 */
 obj_t BgL_arg1823z00_7432;
BgL_arg1823z00_7432 = 
(BgL_oclassz00_7426); 
BgL_arg1822z00_7431 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7432, BgL_arg1830z00_7408); } 
BgL_res3436z00_7444 = 
(BgL_arg1822z00_7431==BgL_classz00_7405); }  else 
{ /* Llib/ssl.scm 1191 */
BgL_res3436z00_7444 = ((bool_t)0); } } } } 
BgL_test4359z00_13655 = BgL_res3436z00_7444; } }  else 
{ /* Llib/ssl.scm 1191 */
BgL_test4359z00_13655 = ((bool_t)0)
; } } 
if(BgL_test4359z00_13655)
{ /* Llib/ssl.scm 1191 */
BgL_auxz00_13654 = 
((BgL_dhz00_bglt)BgL_dhz00_4965)
; }  else 
{ 
 obj_t BgL_auxz00_13680;
BgL_auxz00_13680 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48112L), BGl_string3378z00zz__ssl_sslz00, BGl_string3372z00zz__ssl_sslz00, BgL_dhz00_4965); 
FAILURE(BgL_auxz00_13680,BFALSE,BFALSE);} } 
BgL_tmpz00_13653 = 
BGl_dhzd2generatezd2keyz00zz__ssl_sslz00(BgL_auxz00_13654); } 
return 
BBOOL(BgL_tmpz00_13653);} } 

}



/* ssl-hash-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_121)
{
{ /* Llib/ssl.scm 1202 */
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_method1325z00_1763;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_res2568z00_3540;
{ /* Llib/ssl.scm 1202 */
 long BgL_objzd2classzd2numz00_3511;
BgL_objzd2classzd2numz00_3511 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_121)); 
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1831z00_3512;
BgL_arg1831z00_3512 = 
PROCEDURE_REF(BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1202 */
 int BgL_offsetz00_3515;
BgL_offsetz00_3515 = 
(int)(BgL_objzd2classzd2numz00_3511); 
{ /* Llib/ssl.scm 1202 */
 long BgL_offsetz00_3516;
BgL_offsetz00_3516 = 
(
(long)(BgL_offsetz00_3515)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1202 */
 long BgL_modz00_3517;
BgL_modz00_3517 = 
(BgL_offsetz00_3516 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1202 */
 long BgL_restz00_3519;
BgL_restz00_3519 = 
(BgL_offsetz00_3516 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1202 */

{ /* Llib/ssl.scm 1202 */
 obj_t BgL_bucketz00_3521;
BgL_bucketz00_3521 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3512),BgL_modz00_3517); 
BgL_res2568z00_3540 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3521),BgL_restz00_3519); } } } } } } } } 
BgL_method1325z00_1763 = BgL_res2568z00_3540; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1325z00_1763, 
((obj_t)BgL_sslzd2hashzd2_121));} } 

}



/* &ssl-hash-init */
obj_t BGl_z62sslzd2hashzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4622, obj_t BgL_sslzd2hashzd2_4623)
{
{ /* Llib/ssl.scm 1202 */
{ /* Llib/ssl.scm 1202 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13716;
{ /* Llib/ssl.scm 1202 */
 bool_t BgL_test4364z00_13717;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_classz00_7445;
BgL_classz00_7445 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4623))
{ /* Llib/ssl.scm 1202 */
 BgL_objectz00_bglt BgL_arg1829z00_7447; long BgL_arg1830z00_7448;
BgL_arg1829z00_7447 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4623); 
BgL_arg1830z00_7448 = 
BGL_CLASS_DEPTH(BgL_classz00_7445); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1202 */
 long BgL_idxz00_7456;
BgL_idxz00_7456 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7447); 
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1820z00_7457;
{ /* Llib/ssl.scm 1202 */
 long BgL_arg1821z00_7458;
BgL_arg1821z00_7458 = 
(BgL_idxz00_7456+BgL_arg1830z00_7448); 
BgL_arg1820z00_7457 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7458); } 
BgL_test4364z00_13717 = 
(BgL_arg1820z00_7457==BgL_classz00_7445); } }  else 
{ /* Llib/ssl.scm 1202 */
 bool_t BgL_res3437z00_7484;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_oclassz00_7466;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1834z00_7474; long BgL_arg1835z00_7475;
BgL_arg1834z00_7474 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1202 */
 long BgL_arg1836z00_7476;
BgL_arg1836z00_7476 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7447); 
BgL_arg1835z00_7475 = 
(BgL_arg1836z00_7476-OBJECT_TYPE); } 
BgL_oclassz00_7466 = 
VECTOR_REF(BgL_arg1834z00_7474,BgL_arg1835z00_7475); } 
{ /* Llib/ssl.scm 1202 */
 bool_t BgL__ortest_1114z00_7467;
BgL__ortest_1114z00_7467 = 
(BgL_classz00_7445==BgL_oclassz00_7466); 
if(BgL__ortest_1114z00_7467)
{ /* Llib/ssl.scm 1202 */
BgL_res3437z00_7484 = BgL__ortest_1114z00_7467; }  else 
{ /* Llib/ssl.scm 1202 */
 long BgL_odepthz00_7468;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1824z00_7469;
BgL_arg1824z00_7469 = 
(BgL_oclassz00_7466); 
BgL_odepthz00_7468 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7469); } 
if(
(BgL_arg1830z00_7448<BgL_odepthz00_7468))
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1822z00_7471;
{ /* Llib/ssl.scm 1202 */
 obj_t BgL_arg1823z00_7472;
BgL_arg1823z00_7472 = 
(BgL_oclassz00_7466); 
BgL_arg1822z00_7471 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7472, BgL_arg1830z00_7448); } 
BgL_res3437z00_7484 = 
(BgL_arg1822z00_7471==BgL_classz00_7445); }  else 
{ /* Llib/ssl.scm 1202 */
BgL_res3437z00_7484 = ((bool_t)0); } } } } 
BgL_test4364z00_13717 = BgL_res3437z00_7484; } }  else 
{ /* Llib/ssl.scm 1202 */
BgL_test4364z00_13717 = ((bool_t)0)
; } } 
if(BgL_test4364z00_13717)
{ /* Llib/ssl.scm 1202 */
BgL_auxz00_13716 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4623)
; }  else 
{ 
 obj_t BgL_auxz00_13742;
BgL_auxz00_13742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48519L), BGl_string3379z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4623); 
FAILURE(BgL_auxz00_13742,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2initz00zz__ssl_sslz00(BgL_auxz00_13716);} } 

}



/* ssl-hash-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_122, obj_t BgL_dataz00_123, long BgL_offsetz00_124, long BgL_lenz00_125)
{
{ /* Llib/ssl.scm 1214 */
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_method1327z00_1764;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_res2573z00_3571;
{ /* Llib/ssl.scm 1214 */
 long BgL_objzd2classzd2numz00_3542;
BgL_objzd2classzd2numz00_3542 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_122)); 
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1831z00_3543;
BgL_arg1831z00_3543 = 
PROCEDURE_REF(BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1214 */
 int BgL_offsetz00_3546;
BgL_offsetz00_3546 = 
(int)(BgL_objzd2classzd2numz00_3542); 
{ /* Llib/ssl.scm 1214 */
 long BgL_offsetz00_3547;
BgL_offsetz00_3547 = 
(
(long)(BgL_offsetz00_3546)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1214 */
 long BgL_modz00_3548;
BgL_modz00_3548 = 
(BgL_offsetz00_3547 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1214 */
 long BgL_restz00_3550;
BgL_restz00_3550 = 
(BgL_offsetz00_3547 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1214 */

{ /* Llib/ssl.scm 1214 */
 obj_t BgL_bucketz00_3552;
BgL_bucketz00_3552 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3543),BgL_modz00_3548); 
BgL_res2573z00_3571 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3552),BgL_restz00_3550); } } } } } } } } 
BgL_method1327z00_1764 = BgL_res2573z00_3571; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1327z00_1764, 
((obj_t)BgL_sslzd2hashzd2_122), BgL_dataz00_123, 
BINT(BgL_offsetz00_124), 
BINT(BgL_lenz00_125));} } 

}



/* &ssl-hash-update! */
obj_t BGl_z62sslzd2hashzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4966, obj_t BgL_sslzd2hashzd2_4967, obj_t BgL_dataz00_4968, obj_t BgL_offsetz00_4969, obj_t BgL_lenz00_4970)
{
{ /* Llib/ssl.scm 1214 */
{ /* Llib/ssl.scm 1214 */
 long BgL_auxz00_13828; long BgL_auxz00_13819; obj_t BgL_auxz00_13812; BgL_sslzd2hashzd2_bglt BgL_auxz00_13782;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_tmpz00_13829;
if(
INTEGERP(BgL_lenz00_4970))
{ /* Llib/ssl.scm 1214 */
BgL_tmpz00_13829 = BgL_lenz00_4970
; }  else 
{ 
 obj_t BgL_auxz00_13832;
BgL_auxz00_13832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48974L), BGl_string3380z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4970); 
FAILURE(BgL_auxz00_13832,BFALSE,BFALSE);} 
BgL_auxz00_13828 = 
(long)CINT(BgL_tmpz00_13829); } 
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_tmpz00_13820;
if(
INTEGERP(BgL_offsetz00_4969))
{ /* Llib/ssl.scm 1214 */
BgL_tmpz00_13820 = BgL_offsetz00_4969
; }  else 
{ 
 obj_t BgL_auxz00_13823;
BgL_auxz00_13823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48974L), BGl_string3380z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4969); 
FAILURE(BgL_auxz00_13823,BFALSE,BFALSE);} 
BgL_auxz00_13819 = 
(long)CINT(BgL_tmpz00_13820); } 
if(
STRINGP(BgL_dataz00_4968))
{ /* Llib/ssl.scm 1214 */
BgL_auxz00_13812 = BgL_dataz00_4968
; }  else 
{ 
 obj_t BgL_auxz00_13815;
BgL_auxz00_13815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48974L), BGl_string3380z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_dataz00_4968); 
FAILURE(BgL_auxz00_13815,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1214 */
 bool_t BgL_test4369z00_13783;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_classz00_7485;
BgL_classz00_7485 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4967))
{ /* Llib/ssl.scm 1214 */
 BgL_objectz00_bglt BgL_arg1829z00_7487; long BgL_arg1830z00_7488;
BgL_arg1829z00_7487 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4967); 
BgL_arg1830z00_7488 = 
BGL_CLASS_DEPTH(BgL_classz00_7485); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1214 */
 long BgL_idxz00_7496;
BgL_idxz00_7496 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7487); 
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1820z00_7497;
{ /* Llib/ssl.scm 1214 */
 long BgL_arg1821z00_7498;
BgL_arg1821z00_7498 = 
(BgL_idxz00_7496+BgL_arg1830z00_7488); 
BgL_arg1820z00_7497 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7498); } 
BgL_test4369z00_13783 = 
(BgL_arg1820z00_7497==BgL_classz00_7485); } }  else 
{ /* Llib/ssl.scm 1214 */
 bool_t BgL_res3438z00_7524;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_oclassz00_7506;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1834z00_7514; long BgL_arg1835z00_7515;
BgL_arg1834z00_7514 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1214 */
 long BgL_arg1836z00_7516;
BgL_arg1836z00_7516 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7487); 
BgL_arg1835z00_7515 = 
(BgL_arg1836z00_7516-OBJECT_TYPE); } 
BgL_oclassz00_7506 = 
VECTOR_REF(BgL_arg1834z00_7514,BgL_arg1835z00_7515); } 
{ /* Llib/ssl.scm 1214 */
 bool_t BgL__ortest_1114z00_7507;
BgL__ortest_1114z00_7507 = 
(BgL_classz00_7485==BgL_oclassz00_7506); 
if(BgL__ortest_1114z00_7507)
{ /* Llib/ssl.scm 1214 */
BgL_res3438z00_7524 = BgL__ortest_1114z00_7507; }  else 
{ /* Llib/ssl.scm 1214 */
 long BgL_odepthz00_7508;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1824z00_7509;
BgL_arg1824z00_7509 = 
(BgL_oclassz00_7506); 
BgL_odepthz00_7508 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7509); } 
if(
(BgL_arg1830z00_7488<BgL_odepthz00_7508))
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1822z00_7511;
{ /* Llib/ssl.scm 1214 */
 obj_t BgL_arg1823z00_7512;
BgL_arg1823z00_7512 = 
(BgL_oclassz00_7506); 
BgL_arg1822z00_7511 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7512, BgL_arg1830z00_7488); } 
BgL_res3438z00_7524 = 
(BgL_arg1822z00_7511==BgL_classz00_7485); }  else 
{ /* Llib/ssl.scm 1214 */
BgL_res3438z00_7524 = ((bool_t)0); } } } } 
BgL_test4369z00_13783 = BgL_res3438z00_7524; } }  else 
{ /* Llib/ssl.scm 1214 */
BgL_test4369z00_13783 = ((bool_t)0)
; } } 
if(BgL_test4369z00_13783)
{ /* Llib/ssl.scm 1214 */
BgL_auxz00_13782 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4967)
; }  else 
{ 
 obj_t BgL_auxz00_13808;
BgL_auxz00_13808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(48974L), BGl_string3380z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4967); 
FAILURE(BgL_auxz00_13808,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_13782, BgL_auxz00_13812, BgL_auxz00_13819, BgL_auxz00_13828);} } 

}



/* ssl-hash-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_sslzd2hashzd2_bglt BgL_sslzd2hashzd2_126)
{
{ /* Llib/ssl.scm 1226 */
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_method1329z00_1765;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_res2578z00_3602;
{ /* Llib/ssl.scm 1226 */
 long BgL_objzd2classzd2numz00_3573;
BgL_objzd2classzd2numz00_3573 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hashzd2_126)); 
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1831z00_3574;
BgL_arg1831z00_3574 = 
PROCEDURE_REF(BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1226 */
 int BgL_offsetz00_3577;
BgL_offsetz00_3577 = 
(int)(BgL_objzd2classzd2numz00_3573); 
{ /* Llib/ssl.scm 1226 */
 long BgL_offsetz00_3578;
BgL_offsetz00_3578 = 
(
(long)(BgL_offsetz00_3577)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1226 */
 long BgL_modz00_3579;
BgL_modz00_3579 = 
(BgL_offsetz00_3578 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1226 */
 long BgL_restz00_3581;
BgL_restz00_3581 = 
(BgL_offsetz00_3578 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1226 */

{ /* Llib/ssl.scm 1226 */
 obj_t BgL_bucketz00_3583;
BgL_bucketz00_3583 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3574),BgL_modz00_3579); 
BgL_res2578z00_3602 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3583),BgL_restz00_3581); } } } } } } } } 
BgL_method1329z00_1765 = BgL_res2578z00_3602; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1329z00_1765, 
((obj_t)BgL_sslzd2hashzd2_126));} } 

}



/* &ssl-hash-digest */
obj_t BGl_z62sslzd2hashzd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4971, obj_t BgL_sslzd2hashzd2_4972)
{
{ /* Llib/ssl.scm 1226 */
{ /* Llib/ssl.scm 1226 */
 BgL_sslzd2hashzd2_bglt BgL_auxz00_13868;
{ /* Llib/ssl.scm 1226 */
 bool_t BgL_test4377z00_13869;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_classz00_7525;
BgL_classz00_7525 = BGl_sslzd2hashzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hashzd2_4972))
{ /* Llib/ssl.scm 1226 */
 BgL_objectz00_bglt BgL_arg1829z00_7527; long BgL_arg1830z00_7528;
BgL_arg1829z00_7527 = 
(BgL_objectz00_bglt)(BgL_sslzd2hashzd2_4972); 
BgL_arg1830z00_7528 = 
BGL_CLASS_DEPTH(BgL_classz00_7525); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1226 */
 long BgL_idxz00_7536;
BgL_idxz00_7536 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7527); 
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1820z00_7537;
{ /* Llib/ssl.scm 1226 */
 long BgL_arg1821z00_7538;
BgL_arg1821z00_7538 = 
(BgL_idxz00_7536+BgL_arg1830z00_7528); 
BgL_arg1820z00_7537 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7538); } 
BgL_test4377z00_13869 = 
(BgL_arg1820z00_7537==BgL_classz00_7525); } }  else 
{ /* Llib/ssl.scm 1226 */
 bool_t BgL_res3439z00_7564;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_oclassz00_7546;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1834z00_7554; long BgL_arg1835z00_7555;
BgL_arg1834z00_7554 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1226 */
 long BgL_arg1836z00_7556;
BgL_arg1836z00_7556 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7527); 
BgL_arg1835z00_7555 = 
(BgL_arg1836z00_7556-OBJECT_TYPE); } 
BgL_oclassz00_7546 = 
VECTOR_REF(BgL_arg1834z00_7554,BgL_arg1835z00_7555); } 
{ /* Llib/ssl.scm 1226 */
 bool_t BgL__ortest_1114z00_7547;
BgL__ortest_1114z00_7547 = 
(BgL_classz00_7525==BgL_oclassz00_7546); 
if(BgL__ortest_1114z00_7547)
{ /* Llib/ssl.scm 1226 */
BgL_res3439z00_7564 = BgL__ortest_1114z00_7547; }  else 
{ /* Llib/ssl.scm 1226 */
 long BgL_odepthz00_7548;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1824z00_7549;
BgL_arg1824z00_7549 = 
(BgL_oclassz00_7546); 
BgL_odepthz00_7548 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7549); } 
if(
(BgL_arg1830z00_7528<BgL_odepthz00_7548))
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1822z00_7551;
{ /* Llib/ssl.scm 1226 */
 obj_t BgL_arg1823z00_7552;
BgL_arg1823z00_7552 = 
(BgL_oclassz00_7546); 
BgL_arg1822z00_7551 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7552, BgL_arg1830z00_7528); } 
BgL_res3439z00_7564 = 
(BgL_arg1822z00_7551==BgL_classz00_7525); }  else 
{ /* Llib/ssl.scm 1226 */
BgL_res3439z00_7564 = ((bool_t)0); } } } } 
BgL_test4377z00_13869 = BgL_res3439z00_7564; } }  else 
{ /* Llib/ssl.scm 1226 */
BgL_test4377z00_13869 = ((bool_t)0)
; } } 
if(BgL_test4377z00_13869)
{ /* Llib/ssl.scm 1226 */
BgL_auxz00_13868 = 
((BgL_sslzd2hashzd2_bglt)BgL_sslzd2hashzd2_4972)
; }  else 
{ 
 obj_t BgL_auxz00_13894;
BgL_auxz00_13894 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(49470L), BGl_string3381z00zz__ssl_sslz00, BGl_string3337z00zz__ssl_sslz00, BgL_sslzd2hashzd2_4972); 
FAILURE(BgL_auxz00_13894,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hashzd2digestz00zz__ssl_sslz00(BgL_auxz00_13868);} } 

}



/* ssl-hmac-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_127, obj_t BgL_hmacz00_128, obj_t BgL_keyz00_129)
{
{ /* Llib/ssl.scm 1237 */
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_method1331z00_1766;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_res2583z00_3633;
{ /* Llib/ssl.scm 1237 */
 long BgL_objzd2classzd2numz00_3604;
BgL_objzd2classzd2numz00_3604 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_127)); 
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1831z00_3605;
BgL_arg1831z00_3605 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1237 */
 int BgL_offsetz00_3608;
BgL_offsetz00_3608 = 
(int)(BgL_objzd2classzd2numz00_3604); 
{ /* Llib/ssl.scm 1237 */
 long BgL_offsetz00_3609;
BgL_offsetz00_3609 = 
(
(long)(BgL_offsetz00_3608)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1237 */
 long BgL_modz00_3610;
BgL_modz00_3610 = 
(BgL_offsetz00_3609 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1237 */
 long BgL_restz00_3612;
BgL_restz00_3612 = 
(BgL_offsetz00_3609 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1237 */

{ /* Llib/ssl.scm 1237 */
 obj_t BgL_bucketz00_3614;
BgL_bucketz00_3614 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3605),BgL_modz00_3610); 
BgL_res2583z00_3633 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3614),BgL_restz00_3612); } } } } } } } } 
BgL_method1331z00_1766 = BgL_res2583z00_3633; } 
return 
BGL_PROCEDURE_CALL3(BgL_method1331z00_1766, 
((obj_t)BgL_sslzd2hmaczd2_127), BgL_hmacz00_128, BgL_keyz00_129);} } 

}



/* &ssl-hmac-init */
obj_t BGl_z62sslzd2hmaczd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4973, obj_t BgL_sslzd2hmaczd2_4974, obj_t BgL_hmacz00_4975, obj_t BgL_keyz00_4976)
{
{ /* Llib/ssl.scm 1237 */
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_auxz00_13968; obj_t BgL_auxz00_13961; BgL_sslzd2hmaczd2_bglt BgL_auxz00_13931;
if(
STRINGP(BgL_keyz00_4976))
{ /* Llib/ssl.scm 1237 */
BgL_auxz00_13968 = BgL_keyz00_4976
; }  else 
{ 
 obj_t BgL_auxz00_13971;
BgL_auxz00_13971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(49916L), BGl_string3382z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_keyz00_4976); 
FAILURE(BgL_auxz00_13971,BFALSE,BFALSE);} 
if(
STRINGP(BgL_hmacz00_4975))
{ /* Llib/ssl.scm 1237 */
BgL_auxz00_13961 = BgL_hmacz00_4975
; }  else 
{ 
 obj_t BgL_auxz00_13964;
BgL_auxz00_13964 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(49916L), BGl_string3382z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_hmacz00_4975); 
FAILURE(BgL_auxz00_13964,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1237 */
 bool_t BgL_test4382z00_13932;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_classz00_7565;
BgL_classz00_7565 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4974))
{ /* Llib/ssl.scm 1237 */
 BgL_objectz00_bglt BgL_arg1829z00_7567; long BgL_arg1830z00_7568;
BgL_arg1829z00_7567 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4974); 
BgL_arg1830z00_7568 = 
BGL_CLASS_DEPTH(BgL_classz00_7565); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1237 */
 long BgL_idxz00_7576;
BgL_idxz00_7576 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7567); 
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1820z00_7577;
{ /* Llib/ssl.scm 1237 */
 long BgL_arg1821z00_7578;
BgL_arg1821z00_7578 = 
(BgL_idxz00_7576+BgL_arg1830z00_7568); 
BgL_arg1820z00_7577 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7578); } 
BgL_test4382z00_13932 = 
(BgL_arg1820z00_7577==BgL_classz00_7565); } }  else 
{ /* Llib/ssl.scm 1237 */
 bool_t BgL_res3440z00_7604;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_oclassz00_7586;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1834z00_7594; long BgL_arg1835z00_7595;
BgL_arg1834z00_7594 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1237 */
 long BgL_arg1836z00_7596;
BgL_arg1836z00_7596 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7567); 
BgL_arg1835z00_7595 = 
(BgL_arg1836z00_7596-OBJECT_TYPE); } 
BgL_oclassz00_7586 = 
VECTOR_REF(BgL_arg1834z00_7594,BgL_arg1835z00_7595); } 
{ /* Llib/ssl.scm 1237 */
 bool_t BgL__ortest_1114z00_7587;
BgL__ortest_1114z00_7587 = 
(BgL_classz00_7565==BgL_oclassz00_7586); 
if(BgL__ortest_1114z00_7587)
{ /* Llib/ssl.scm 1237 */
BgL_res3440z00_7604 = BgL__ortest_1114z00_7587; }  else 
{ /* Llib/ssl.scm 1237 */
 long BgL_odepthz00_7588;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1824z00_7589;
BgL_arg1824z00_7589 = 
(BgL_oclassz00_7586); 
BgL_odepthz00_7588 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7589); } 
if(
(BgL_arg1830z00_7568<BgL_odepthz00_7588))
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1822z00_7591;
{ /* Llib/ssl.scm 1237 */
 obj_t BgL_arg1823z00_7592;
BgL_arg1823z00_7592 = 
(BgL_oclassz00_7586); 
BgL_arg1822z00_7591 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7592, BgL_arg1830z00_7568); } 
BgL_res3440z00_7604 = 
(BgL_arg1822z00_7591==BgL_classz00_7565); }  else 
{ /* Llib/ssl.scm 1237 */
BgL_res3440z00_7604 = ((bool_t)0); } } } } 
BgL_test4382z00_13932 = BgL_res3440z00_7604; } }  else 
{ /* Llib/ssl.scm 1237 */
BgL_test4382z00_13932 = ((bool_t)0)
; } } 
if(BgL_test4382z00_13932)
{ /* Llib/ssl.scm 1237 */
BgL_auxz00_13931 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4974)
; }  else 
{ 
 obj_t BgL_auxz00_13957;
BgL_auxz00_13957 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(49916L), BGl_string3382z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4974); 
FAILURE(BgL_auxz00_13957,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2initz00zz__ssl_sslz00(BgL_auxz00_13931, BgL_auxz00_13961, BgL_auxz00_13968);} } 

}



/* ssl-hmac-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_130, obj_t BgL_dataz00_131, long BgL_offsetz00_132, long BgL_lenz00_133)
{
{ /* Llib/ssl.scm 1249 */
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_method1333z00_1767;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_res2588z00_3664;
{ /* Llib/ssl.scm 1249 */
 long BgL_objzd2classzd2numz00_3635;
BgL_objzd2classzd2numz00_3635 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_130)); 
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1831z00_3636;
BgL_arg1831z00_3636 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1249 */
 int BgL_offsetz00_3639;
BgL_offsetz00_3639 = 
(int)(BgL_objzd2classzd2numz00_3635); 
{ /* Llib/ssl.scm 1249 */
 long BgL_offsetz00_3640;
BgL_offsetz00_3640 = 
(
(long)(BgL_offsetz00_3639)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1249 */
 long BgL_modz00_3641;
BgL_modz00_3641 = 
(BgL_offsetz00_3640 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1249 */
 long BgL_restz00_3643;
BgL_restz00_3643 = 
(BgL_offsetz00_3640 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1249 */

{ /* Llib/ssl.scm 1249 */
 obj_t BgL_bucketz00_3645;
BgL_bucketz00_3645 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3636),BgL_modz00_3641); 
BgL_res2588z00_3664 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3645),BgL_restz00_3643); } } } } } } } } 
BgL_method1333z00_1767 = BgL_res2588z00_3664; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1333z00_1767, 
((obj_t)BgL_sslzd2hmaczd2_130), BgL_dataz00_131, 
BINT(BgL_offsetz00_132), 
BINT(BgL_lenz00_133));} } 

}



/* &ssl-hmac-update! */
obj_t BGl_z62sslzd2hmaczd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4977, obj_t BgL_sslzd2hmaczd2_4978, obj_t BgL_dataz00_4979, obj_t BgL_offsetz00_4980, obj_t BgL_lenz00_4981)
{
{ /* Llib/ssl.scm 1249 */
{ /* Llib/ssl.scm 1249 */
 long BgL_auxz00_14057; long BgL_auxz00_14048; obj_t BgL_auxz00_14041; BgL_sslzd2hmaczd2_bglt BgL_auxz00_14011;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_tmpz00_14058;
if(
INTEGERP(BgL_lenz00_4981))
{ /* Llib/ssl.scm 1249 */
BgL_tmpz00_14058 = BgL_lenz00_4981
; }  else 
{ 
 obj_t BgL_auxz00_14061;
BgL_auxz00_14061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(50385L), BGl_string3383z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4981); 
FAILURE(BgL_auxz00_14061,BFALSE,BFALSE);} 
BgL_auxz00_14057 = 
(long)CINT(BgL_tmpz00_14058); } 
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_tmpz00_14049;
if(
INTEGERP(BgL_offsetz00_4980))
{ /* Llib/ssl.scm 1249 */
BgL_tmpz00_14049 = BgL_offsetz00_4980
; }  else 
{ 
 obj_t BgL_auxz00_14052;
BgL_auxz00_14052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(50385L), BGl_string3383z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4980); 
FAILURE(BgL_auxz00_14052,BFALSE,BFALSE);} 
BgL_auxz00_14048 = 
(long)CINT(BgL_tmpz00_14049); } 
if(
STRINGP(BgL_dataz00_4979))
{ /* Llib/ssl.scm 1249 */
BgL_auxz00_14041 = BgL_dataz00_4979
; }  else 
{ 
 obj_t BgL_auxz00_14044;
BgL_auxz00_14044 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(50385L), BGl_string3383z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_dataz00_4979); 
FAILURE(BgL_auxz00_14044,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1249 */
 bool_t BgL_test4389z00_14012;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_classz00_7605;
BgL_classz00_7605 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4978))
{ /* Llib/ssl.scm 1249 */
 BgL_objectz00_bglt BgL_arg1829z00_7607; long BgL_arg1830z00_7608;
BgL_arg1829z00_7607 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4978); 
BgL_arg1830z00_7608 = 
BGL_CLASS_DEPTH(BgL_classz00_7605); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1249 */
 long BgL_idxz00_7616;
BgL_idxz00_7616 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7607); 
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1820z00_7617;
{ /* Llib/ssl.scm 1249 */
 long BgL_arg1821z00_7618;
BgL_arg1821z00_7618 = 
(BgL_idxz00_7616+BgL_arg1830z00_7608); 
BgL_arg1820z00_7617 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7618); } 
BgL_test4389z00_14012 = 
(BgL_arg1820z00_7617==BgL_classz00_7605); } }  else 
{ /* Llib/ssl.scm 1249 */
 bool_t BgL_res3441z00_7644;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_oclassz00_7626;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1834z00_7634; long BgL_arg1835z00_7635;
BgL_arg1834z00_7634 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1249 */
 long BgL_arg1836z00_7636;
BgL_arg1836z00_7636 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7607); 
BgL_arg1835z00_7635 = 
(BgL_arg1836z00_7636-OBJECT_TYPE); } 
BgL_oclassz00_7626 = 
VECTOR_REF(BgL_arg1834z00_7634,BgL_arg1835z00_7635); } 
{ /* Llib/ssl.scm 1249 */
 bool_t BgL__ortest_1114z00_7627;
BgL__ortest_1114z00_7627 = 
(BgL_classz00_7605==BgL_oclassz00_7626); 
if(BgL__ortest_1114z00_7627)
{ /* Llib/ssl.scm 1249 */
BgL_res3441z00_7644 = BgL__ortest_1114z00_7627; }  else 
{ /* Llib/ssl.scm 1249 */
 long BgL_odepthz00_7628;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1824z00_7629;
BgL_arg1824z00_7629 = 
(BgL_oclassz00_7626); 
BgL_odepthz00_7628 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7629); } 
if(
(BgL_arg1830z00_7608<BgL_odepthz00_7628))
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1822z00_7631;
{ /* Llib/ssl.scm 1249 */
 obj_t BgL_arg1823z00_7632;
BgL_arg1823z00_7632 = 
(BgL_oclassz00_7626); 
BgL_arg1822z00_7631 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7632, BgL_arg1830z00_7608); } 
BgL_res3441z00_7644 = 
(BgL_arg1822z00_7631==BgL_classz00_7605); }  else 
{ /* Llib/ssl.scm 1249 */
BgL_res3441z00_7644 = ((bool_t)0); } } } } 
BgL_test4389z00_14012 = BgL_res3441z00_7644; } }  else 
{ /* Llib/ssl.scm 1249 */
BgL_test4389z00_14012 = ((bool_t)0)
; } } 
if(BgL_test4389z00_14012)
{ /* Llib/ssl.scm 1249 */
BgL_auxz00_14011 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4978)
; }  else 
{ 
 obj_t BgL_auxz00_14037;
BgL_auxz00_14037 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(50385L), BGl_string3383z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4978); 
FAILURE(BgL_auxz00_14037,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14011, BgL_auxz00_14041, BgL_auxz00_14048, BgL_auxz00_14057);} } 

}



/* ssl-hmac-digest */
BGL_EXPORTED_DEF obj_t BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_sslzd2hmaczd2_bglt BgL_sslzd2hmaczd2_134)
{
{ /* Llib/ssl.scm 1261 */
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_method1335z00_1768;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_res2593z00_3695;
{ /* Llib/ssl.scm 1261 */
 long BgL_objzd2classzd2numz00_3666;
BgL_objzd2classzd2numz00_3666 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2hmaczd2_134)); 
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1831z00_3667;
BgL_arg1831z00_3667 = 
PROCEDURE_REF(BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1261 */
 int BgL_offsetz00_3670;
BgL_offsetz00_3670 = 
(int)(BgL_objzd2classzd2numz00_3666); 
{ /* Llib/ssl.scm 1261 */
 long BgL_offsetz00_3671;
BgL_offsetz00_3671 = 
(
(long)(BgL_offsetz00_3670)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1261 */
 long BgL_modz00_3672;
BgL_modz00_3672 = 
(BgL_offsetz00_3671 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1261 */
 long BgL_restz00_3674;
BgL_restz00_3674 = 
(BgL_offsetz00_3671 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1261 */

{ /* Llib/ssl.scm 1261 */
 obj_t BgL_bucketz00_3676;
BgL_bucketz00_3676 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3667),BgL_modz00_3672); 
BgL_res2593z00_3695 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3676),BgL_restz00_3674); } } } } } } } } 
BgL_method1335z00_1768 = BgL_res2593z00_3695; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1335z00_1768, 
((obj_t)BgL_sslzd2hmaczd2_134));} } 

}



/* &ssl-hmac-digest */
obj_t BGl_z62sslzd2hmaczd2digestz62zz__ssl_sslz00(obj_t BgL_envz00_4982, obj_t BgL_sslzd2hmaczd2_4983)
{
{ /* Llib/ssl.scm 1261 */
{ /* Llib/ssl.scm 1261 */
 BgL_sslzd2hmaczd2_bglt BgL_auxz00_14097;
{ /* Llib/ssl.scm 1261 */
 bool_t BgL_test4397z00_14098;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_classz00_7645;
BgL_classz00_7645 = BGl_sslzd2hmaczd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2hmaczd2_4983))
{ /* Llib/ssl.scm 1261 */
 BgL_objectz00_bglt BgL_arg1829z00_7647; long BgL_arg1830z00_7648;
BgL_arg1829z00_7647 = 
(BgL_objectz00_bglt)(BgL_sslzd2hmaczd2_4983); 
BgL_arg1830z00_7648 = 
BGL_CLASS_DEPTH(BgL_classz00_7645); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1261 */
 long BgL_idxz00_7656;
BgL_idxz00_7656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7647); 
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1820z00_7657;
{ /* Llib/ssl.scm 1261 */
 long BgL_arg1821z00_7658;
BgL_arg1821z00_7658 = 
(BgL_idxz00_7656+BgL_arg1830z00_7648); 
BgL_arg1820z00_7657 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7658); } 
BgL_test4397z00_14098 = 
(BgL_arg1820z00_7657==BgL_classz00_7645); } }  else 
{ /* Llib/ssl.scm 1261 */
 bool_t BgL_res3442z00_7684;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_oclassz00_7666;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1834z00_7674; long BgL_arg1835z00_7675;
BgL_arg1834z00_7674 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1261 */
 long BgL_arg1836z00_7676;
BgL_arg1836z00_7676 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7647); 
BgL_arg1835z00_7675 = 
(BgL_arg1836z00_7676-OBJECT_TYPE); } 
BgL_oclassz00_7666 = 
VECTOR_REF(BgL_arg1834z00_7674,BgL_arg1835z00_7675); } 
{ /* Llib/ssl.scm 1261 */
 bool_t BgL__ortest_1114z00_7667;
BgL__ortest_1114z00_7667 = 
(BgL_classz00_7645==BgL_oclassz00_7666); 
if(BgL__ortest_1114z00_7667)
{ /* Llib/ssl.scm 1261 */
BgL_res3442z00_7684 = BgL__ortest_1114z00_7667; }  else 
{ /* Llib/ssl.scm 1261 */
 long BgL_odepthz00_7668;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1824z00_7669;
BgL_arg1824z00_7669 = 
(BgL_oclassz00_7666); 
BgL_odepthz00_7668 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7669); } 
if(
(BgL_arg1830z00_7648<BgL_odepthz00_7668))
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1822z00_7671;
{ /* Llib/ssl.scm 1261 */
 obj_t BgL_arg1823z00_7672;
BgL_arg1823z00_7672 = 
(BgL_oclassz00_7666); 
BgL_arg1822z00_7671 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7672, BgL_arg1830z00_7648); } 
BgL_res3442z00_7684 = 
(BgL_arg1822z00_7671==BgL_classz00_7645); }  else 
{ /* Llib/ssl.scm 1261 */
BgL_res3442z00_7684 = ((bool_t)0); } } } } 
BgL_test4397z00_14098 = BgL_res3442z00_7684; } }  else 
{ /* Llib/ssl.scm 1261 */
BgL_test4397z00_14098 = ((bool_t)0)
; } } 
if(BgL_test4397z00_14098)
{ /* Llib/ssl.scm 1261 */
BgL_auxz00_14097 = 
((BgL_sslzd2hmaczd2_bglt)BgL_sslzd2hmaczd2_4983)
; }  else 
{ 
 obj_t BgL_auxz00_14123;
BgL_auxz00_14123 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(50881L), BGl_string3384z00zz__ssl_sslz00, BGl_string3333z00zz__ssl_sslz00, BgL_sslzd2hmaczd2_4983); 
FAILURE(BgL_auxz00_14123,BFALSE,BFALSE);} } 
return 
BGl_sslzd2hmaczd2digestz00zz__ssl_sslz00(BgL_auxz00_14097);} } 

}



/* ssl-sign-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_135, obj_t BgL_signz00_136)
{
{ /* Llib/ssl.scm 1272 */
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_method1337z00_1769;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_res2598z00_3726;
{ /* Llib/ssl.scm 1272 */
 long BgL_objzd2classzd2numz00_3697;
BgL_objzd2classzd2numz00_3697 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_135)); 
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1831z00_3698;
BgL_arg1831z00_3698 = 
PROCEDURE_REF(BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1272 */
 int BgL_offsetz00_3701;
BgL_offsetz00_3701 = 
(int)(BgL_objzd2classzd2numz00_3697); 
{ /* Llib/ssl.scm 1272 */
 long BgL_offsetz00_3702;
BgL_offsetz00_3702 = 
(
(long)(BgL_offsetz00_3701)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1272 */
 long BgL_modz00_3703;
BgL_modz00_3703 = 
(BgL_offsetz00_3702 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1272 */
 long BgL_restz00_3705;
BgL_restz00_3705 = 
(BgL_offsetz00_3702 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1272 */

{ /* Llib/ssl.scm 1272 */
 obj_t BgL_bucketz00_3707;
BgL_bucketz00_3707 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3698),BgL_modz00_3703); 
BgL_res2598z00_3726 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3707),BgL_restz00_3705); } } } } } } } } 
BgL_method1337z00_1769 = BgL_res2598z00_3726; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1337z00_1769, 
((obj_t)BgL_sslzd2signzd2_135), BgL_signz00_136);} } 

}



/* &ssl-sign-init */
obj_t BGl_z62sslzd2signzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4984, obj_t BgL_sslzd2signzd2_4985, obj_t BgL_signz00_4986)
{
{ /* Llib/ssl.scm 1272 */
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_auxz00_14189; BgL_sslzd2signzd2_bglt BgL_auxz00_14159;
if(
STRINGP(BgL_signz00_4986))
{ /* Llib/ssl.scm 1272 */
BgL_auxz00_14189 = BgL_signz00_4986
; }  else 
{ 
 obj_t BgL_auxz00_14192;
BgL_auxz00_14192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51327L), BGl_string3385z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_signz00_4986); 
FAILURE(BgL_auxz00_14192,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1272 */
 bool_t BgL_test4402z00_14160;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_classz00_7685;
BgL_classz00_7685 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4985))
{ /* Llib/ssl.scm 1272 */
 BgL_objectz00_bglt BgL_arg1829z00_7687; long BgL_arg1830z00_7688;
BgL_arg1829z00_7687 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4985); 
BgL_arg1830z00_7688 = 
BGL_CLASS_DEPTH(BgL_classz00_7685); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1272 */
 long BgL_idxz00_7696;
BgL_idxz00_7696 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7687); 
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1820z00_7697;
{ /* Llib/ssl.scm 1272 */
 long BgL_arg1821z00_7698;
BgL_arg1821z00_7698 = 
(BgL_idxz00_7696+BgL_arg1830z00_7688); 
BgL_arg1820z00_7697 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7698); } 
BgL_test4402z00_14160 = 
(BgL_arg1820z00_7697==BgL_classz00_7685); } }  else 
{ /* Llib/ssl.scm 1272 */
 bool_t BgL_res3443z00_7724;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_oclassz00_7706;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1834z00_7714; long BgL_arg1835z00_7715;
BgL_arg1834z00_7714 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1272 */
 long BgL_arg1836z00_7716;
BgL_arg1836z00_7716 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7687); 
BgL_arg1835z00_7715 = 
(BgL_arg1836z00_7716-OBJECT_TYPE); } 
BgL_oclassz00_7706 = 
VECTOR_REF(BgL_arg1834z00_7714,BgL_arg1835z00_7715); } 
{ /* Llib/ssl.scm 1272 */
 bool_t BgL__ortest_1114z00_7707;
BgL__ortest_1114z00_7707 = 
(BgL_classz00_7685==BgL_oclassz00_7706); 
if(BgL__ortest_1114z00_7707)
{ /* Llib/ssl.scm 1272 */
BgL_res3443z00_7724 = BgL__ortest_1114z00_7707; }  else 
{ /* Llib/ssl.scm 1272 */
 long BgL_odepthz00_7708;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1824z00_7709;
BgL_arg1824z00_7709 = 
(BgL_oclassz00_7706); 
BgL_odepthz00_7708 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7709); } 
if(
(BgL_arg1830z00_7688<BgL_odepthz00_7708))
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1822z00_7711;
{ /* Llib/ssl.scm 1272 */
 obj_t BgL_arg1823z00_7712;
BgL_arg1823z00_7712 = 
(BgL_oclassz00_7706); 
BgL_arg1822z00_7711 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7712, BgL_arg1830z00_7688); } 
BgL_res3443z00_7724 = 
(BgL_arg1822z00_7711==BgL_classz00_7685); }  else 
{ /* Llib/ssl.scm 1272 */
BgL_res3443z00_7724 = ((bool_t)0); } } } } 
BgL_test4402z00_14160 = BgL_res3443z00_7724; } }  else 
{ /* Llib/ssl.scm 1272 */
BgL_test4402z00_14160 = ((bool_t)0)
; } } 
if(BgL_test4402z00_14160)
{ /* Llib/ssl.scm 1272 */
BgL_auxz00_14159 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4985)
; }  else 
{ 
 obj_t BgL_auxz00_14185;
BgL_auxz00_14185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51327L), BGl_string3385z00zz__ssl_sslz00, BGl_string3328z00zz__ssl_sslz00, BgL_sslzd2signzd2_4985); 
FAILURE(BgL_auxz00_14185,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2initz00zz__ssl_sslz00(BgL_auxz00_14159, BgL_auxz00_14189);} } 

}



/* ssl-sign-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_137, obj_t BgL_dataz00_138, long BgL_offsetz00_139, long BgL_lenz00_140)
{
{ /* Llib/ssl.scm 1284 */
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_method1339z00_1770;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_res2603z00_3757;
{ /* Llib/ssl.scm 1284 */
 long BgL_objzd2classzd2numz00_3728;
BgL_objzd2classzd2numz00_3728 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_137)); 
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1831z00_3729;
BgL_arg1831z00_3729 = 
PROCEDURE_REF(BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1284 */
 int BgL_offsetz00_3732;
BgL_offsetz00_3732 = 
(int)(BgL_objzd2classzd2numz00_3728); 
{ /* Llib/ssl.scm 1284 */
 long BgL_offsetz00_3733;
BgL_offsetz00_3733 = 
(
(long)(BgL_offsetz00_3732)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1284 */
 long BgL_modz00_3734;
BgL_modz00_3734 = 
(BgL_offsetz00_3733 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1284 */
 long BgL_restz00_3736;
BgL_restz00_3736 = 
(BgL_offsetz00_3733 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1284 */

{ /* Llib/ssl.scm 1284 */
 obj_t BgL_bucketz00_3738;
BgL_bucketz00_3738 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3729),BgL_modz00_3734); 
BgL_res2603z00_3757 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3738),BgL_restz00_3736); } } } } } } } } 
BgL_method1339z00_1770 = BgL_res2603z00_3757; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1339z00_1770, 
((obj_t)BgL_sslzd2signzd2_137), BgL_dataz00_138, 
BINT(BgL_offsetz00_139), 
BINT(BgL_lenz00_140));} } 

}



/* &ssl-sign-update! */
obj_t BGl_z62sslzd2signzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_4987, obj_t BgL_sslzd2signzd2_4988, obj_t BgL_dataz00_4989, obj_t BgL_offsetz00_4990, obj_t BgL_lenz00_4991)
{
{ /* Llib/ssl.scm 1284 */
{ /* Llib/ssl.scm 1284 */
 long BgL_auxz00_14278; long BgL_auxz00_14269; obj_t BgL_auxz00_14262; BgL_sslzd2signzd2_bglt BgL_auxz00_14232;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_tmpz00_14279;
if(
INTEGERP(BgL_lenz00_4991))
{ /* Llib/ssl.scm 1284 */
BgL_tmpz00_14279 = BgL_lenz00_4991
; }  else 
{ 
 obj_t BgL_auxz00_14282;
BgL_auxz00_14282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51790L), BGl_string3386z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4991); 
FAILURE(BgL_auxz00_14282,BFALSE,BFALSE);} 
BgL_auxz00_14278 = 
(long)CINT(BgL_tmpz00_14279); } 
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_tmpz00_14270;
if(
INTEGERP(BgL_offsetz00_4990))
{ /* Llib/ssl.scm 1284 */
BgL_tmpz00_14270 = BgL_offsetz00_4990
; }  else 
{ 
 obj_t BgL_auxz00_14273;
BgL_auxz00_14273 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51790L), BGl_string3386z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4990); 
FAILURE(BgL_auxz00_14273,BFALSE,BFALSE);} 
BgL_auxz00_14269 = 
(long)CINT(BgL_tmpz00_14270); } 
if(
STRINGP(BgL_dataz00_4989))
{ /* Llib/ssl.scm 1284 */
BgL_auxz00_14262 = BgL_dataz00_4989
; }  else 
{ 
 obj_t BgL_auxz00_14265;
BgL_auxz00_14265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51790L), BGl_string3386z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_dataz00_4989); 
FAILURE(BgL_auxz00_14265,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1284 */
 bool_t BgL_test4408z00_14233;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_classz00_7725;
BgL_classz00_7725 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4988))
{ /* Llib/ssl.scm 1284 */
 BgL_objectz00_bglt BgL_arg1829z00_7727; long BgL_arg1830z00_7728;
BgL_arg1829z00_7727 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4988); 
BgL_arg1830z00_7728 = 
BGL_CLASS_DEPTH(BgL_classz00_7725); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1284 */
 long BgL_idxz00_7736;
BgL_idxz00_7736 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7727); 
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1820z00_7737;
{ /* Llib/ssl.scm 1284 */
 long BgL_arg1821z00_7738;
BgL_arg1821z00_7738 = 
(BgL_idxz00_7736+BgL_arg1830z00_7728); 
BgL_arg1820z00_7737 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7738); } 
BgL_test4408z00_14233 = 
(BgL_arg1820z00_7737==BgL_classz00_7725); } }  else 
{ /* Llib/ssl.scm 1284 */
 bool_t BgL_res3444z00_7764;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_oclassz00_7746;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1834z00_7754; long BgL_arg1835z00_7755;
BgL_arg1834z00_7754 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1284 */
 long BgL_arg1836z00_7756;
BgL_arg1836z00_7756 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7727); 
BgL_arg1835z00_7755 = 
(BgL_arg1836z00_7756-OBJECT_TYPE); } 
BgL_oclassz00_7746 = 
VECTOR_REF(BgL_arg1834z00_7754,BgL_arg1835z00_7755); } 
{ /* Llib/ssl.scm 1284 */
 bool_t BgL__ortest_1114z00_7747;
BgL__ortest_1114z00_7747 = 
(BgL_classz00_7725==BgL_oclassz00_7746); 
if(BgL__ortest_1114z00_7747)
{ /* Llib/ssl.scm 1284 */
BgL_res3444z00_7764 = BgL__ortest_1114z00_7747; }  else 
{ /* Llib/ssl.scm 1284 */
 long BgL_odepthz00_7748;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1824z00_7749;
BgL_arg1824z00_7749 = 
(BgL_oclassz00_7746); 
BgL_odepthz00_7748 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7749); } 
if(
(BgL_arg1830z00_7728<BgL_odepthz00_7748))
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1822z00_7751;
{ /* Llib/ssl.scm 1284 */
 obj_t BgL_arg1823z00_7752;
BgL_arg1823z00_7752 = 
(BgL_oclassz00_7746); 
BgL_arg1822z00_7751 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7752, BgL_arg1830z00_7728); } 
BgL_res3444z00_7764 = 
(BgL_arg1822z00_7751==BgL_classz00_7725); }  else 
{ /* Llib/ssl.scm 1284 */
BgL_res3444z00_7764 = ((bool_t)0); } } } } 
BgL_test4408z00_14233 = BgL_res3444z00_7764; } }  else 
{ /* Llib/ssl.scm 1284 */
BgL_test4408z00_14233 = ((bool_t)0)
; } } 
if(BgL_test4408z00_14233)
{ /* Llib/ssl.scm 1284 */
BgL_auxz00_14232 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4988)
; }  else 
{ 
 obj_t BgL_auxz00_14258;
BgL_auxz00_14258 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(51790L), BGl_string3386z00zz__ssl_sslz00, BGl_string3328z00zz__ssl_sslz00, BgL_sslzd2signzd2_4988); 
FAILURE(BgL_auxz00_14258,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14232, BgL_auxz00_14262, BgL_auxz00_14269, BgL_auxz00_14278);} } 

}



/* ssl-sign-sign */
BGL_EXPORTED_DEF obj_t BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_sslzd2signzd2_bglt BgL_sslzd2signzd2_141, obj_t BgL_keyz00_142, long BgL_offsetz00_143, long BgL_lenz00_144)
{
{ /* Llib/ssl.scm 1296 */
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_method1341z00_1771;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_res2608z00_3788;
{ /* Llib/ssl.scm 1296 */
 long BgL_objzd2classzd2numz00_3759;
BgL_objzd2classzd2numz00_3759 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2signzd2_141)); 
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1831z00_3760;
BgL_arg1831z00_3760 = 
PROCEDURE_REF(BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1296 */
 int BgL_offsetz00_3763;
BgL_offsetz00_3763 = 
(int)(BgL_objzd2classzd2numz00_3759); 
{ /* Llib/ssl.scm 1296 */
 long BgL_offsetz00_3764;
BgL_offsetz00_3764 = 
(
(long)(BgL_offsetz00_3763)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1296 */
 long BgL_modz00_3765;
BgL_modz00_3765 = 
(BgL_offsetz00_3764 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1296 */
 long BgL_restz00_3767;
BgL_restz00_3767 = 
(BgL_offsetz00_3764 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1296 */

{ /* Llib/ssl.scm 1296 */
 obj_t BgL_bucketz00_3769;
BgL_bucketz00_3769 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3760),BgL_modz00_3765); 
BgL_res2608z00_3788 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3769),BgL_restz00_3767); } } } } } } } } 
BgL_method1341z00_1771 = BgL_res2608z00_3788; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1341z00_1771, 
((obj_t)BgL_sslzd2signzd2_141), BgL_keyz00_142, 
BINT(BgL_offsetz00_143), 
BINT(BgL_lenz00_144));} } 

}



/* &ssl-sign-sign */
obj_t BGl_z62sslzd2signzd2signz62zz__ssl_sslz00(obj_t BgL_envz00_4992, obj_t BgL_sslzd2signzd2_4993, obj_t BgL_keyz00_4994, obj_t BgL_offsetz00_4995, obj_t BgL_lenz00_4996)
{
{ /* Llib/ssl.scm 1296 */
{ /* Llib/ssl.scm 1296 */
 long BgL_auxz00_14369; long BgL_auxz00_14360; obj_t BgL_auxz00_14353; BgL_sslzd2signzd2_bglt BgL_auxz00_14323;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_tmpz00_14370;
if(
INTEGERP(BgL_lenz00_4996))
{ /* Llib/ssl.scm 1296 */
BgL_tmpz00_14370 = BgL_lenz00_4996
; }  else 
{ 
 obj_t BgL_auxz00_14373;
BgL_auxz00_14373 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52286L), BGl_string3387z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_4996); 
FAILURE(BgL_auxz00_14373,BFALSE,BFALSE);} 
BgL_auxz00_14369 = 
(long)CINT(BgL_tmpz00_14370); } 
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_tmpz00_14361;
if(
INTEGERP(BgL_offsetz00_4995))
{ /* Llib/ssl.scm 1296 */
BgL_tmpz00_14361 = BgL_offsetz00_4995
; }  else 
{ 
 obj_t BgL_auxz00_14364;
BgL_auxz00_14364 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52286L), BGl_string3387z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_4995); 
FAILURE(BgL_auxz00_14364,BFALSE,BFALSE);} 
BgL_auxz00_14360 = 
(long)CINT(BgL_tmpz00_14361); } 
if(
STRINGP(BgL_keyz00_4994))
{ /* Llib/ssl.scm 1296 */
BgL_auxz00_14353 = BgL_keyz00_4994
; }  else 
{ 
 obj_t BgL_auxz00_14356;
BgL_auxz00_14356 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52286L), BGl_string3387z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_keyz00_4994); 
FAILURE(BgL_auxz00_14356,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1296 */
 bool_t BgL_test4416z00_14324;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_classz00_7765;
BgL_classz00_7765 = BGl_sslzd2signzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2signzd2_4993))
{ /* Llib/ssl.scm 1296 */
 BgL_objectz00_bglt BgL_arg1829z00_7767; long BgL_arg1830z00_7768;
BgL_arg1829z00_7767 = 
(BgL_objectz00_bglt)(BgL_sslzd2signzd2_4993); 
BgL_arg1830z00_7768 = 
BGL_CLASS_DEPTH(BgL_classz00_7765); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1296 */
 long BgL_idxz00_7776;
BgL_idxz00_7776 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7767); 
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1820z00_7777;
{ /* Llib/ssl.scm 1296 */
 long BgL_arg1821z00_7778;
BgL_arg1821z00_7778 = 
(BgL_idxz00_7776+BgL_arg1830z00_7768); 
BgL_arg1820z00_7777 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7778); } 
BgL_test4416z00_14324 = 
(BgL_arg1820z00_7777==BgL_classz00_7765); } }  else 
{ /* Llib/ssl.scm 1296 */
 bool_t BgL_res3445z00_7804;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_oclassz00_7786;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1834z00_7794; long BgL_arg1835z00_7795;
BgL_arg1834z00_7794 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1296 */
 long BgL_arg1836z00_7796;
BgL_arg1836z00_7796 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7767); 
BgL_arg1835z00_7795 = 
(BgL_arg1836z00_7796-OBJECT_TYPE); } 
BgL_oclassz00_7786 = 
VECTOR_REF(BgL_arg1834z00_7794,BgL_arg1835z00_7795); } 
{ /* Llib/ssl.scm 1296 */
 bool_t BgL__ortest_1114z00_7787;
BgL__ortest_1114z00_7787 = 
(BgL_classz00_7765==BgL_oclassz00_7786); 
if(BgL__ortest_1114z00_7787)
{ /* Llib/ssl.scm 1296 */
BgL_res3445z00_7804 = BgL__ortest_1114z00_7787; }  else 
{ /* Llib/ssl.scm 1296 */
 long BgL_odepthz00_7788;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1824z00_7789;
BgL_arg1824z00_7789 = 
(BgL_oclassz00_7786); 
BgL_odepthz00_7788 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7789); } 
if(
(BgL_arg1830z00_7768<BgL_odepthz00_7788))
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1822z00_7791;
{ /* Llib/ssl.scm 1296 */
 obj_t BgL_arg1823z00_7792;
BgL_arg1823z00_7792 = 
(BgL_oclassz00_7786); 
BgL_arg1822z00_7791 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7792, BgL_arg1830z00_7768); } 
BgL_res3445z00_7804 = 
(BgL_arg1822z00_7791==BgL_classz00_7765); }  else 
{ /* Llib/ssl.scm 1296 */
BgL_res3445z00_7804 = ((bool_t)0); } } } } 
BgL_test4416z00_14324 = BgL_res3445z00_7804; } }  else 
{ /* Llib/ssl.scm 1296 */
BgL_test4416z00_14324 = ((bool_t)0)
; } } 
if(BgL_test4416z00_14324)
{ /* Llib/ssl.scm 1296 */
BgL_auxz00_14323 = 
((BgL_sslzd2signzd2_bglt)BgL_sslzd2signzd2_4993)
; }  else 
{ 
 obj_t BgL_auxz00_14349;
BgL_auxz00_14349 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52286L), BGl_string3387z00zz__ssl_sslz00, BGl_string3328z00zz__ssl_sslz00, BgL_sslzd2signzd2_4993); 
FAILURE(BgL_auxz00_14349,BFALSE,BFALSE);} } 
return 
BGl_sslzd2signzd2signz00zz__ssl_sslz00(BgL_auxz00_14323, BgL_auxz00_14353, BgL_auxz00_14360, BgL_auxz00_14369);} } 

}



/* ssl-verify-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_145, obj_t BgL_verifyz00_146)
{
{ /* Llib/ssl.scm 1307 */
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_method1343z00_1772;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_res2613z00_3819;
{ /* Llib/ssl.scm 1307 */
 long BgL_objzd2classzd2numz00_3790;
BgL_objzd2classzd2numz00_3790 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_145)); 
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1831z00_3791;
BgL_arg1831z00_3791 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1307 */
 int BgL_offsetz00_3794;
BgL_offsetz00_3794 = 
(int)(BgL_objzd2classzd2numz00_3790); 
{ /* Llib/ssl.scm 1307 */
 long BgL_offsetz00_3795;
BgL_offsetz00_3795 = 
(
(long)(BgL_offsetz00_3794)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1307 */
 long BgL_modz00_3796;
BgL_modz00_3796 = 
(BgL_offsetz00_3795 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1307 */
 long BgL_restz00_3798;
BgL_restz00_3798 = 
(BgL_offsetz00_3795 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1307 */

{ /* Llib/ssl.scm 1307 */
 obj_t BgL_bucketz00_3800;
BgL_bucketz00_3800 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3791),BgL_modz00_3796); 
BgL_res2613z00_3819 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3800),BgL_restz00_3798); } } } } } } } } 
BgL_method1343z00_1772 = BgL_res2613z00_3819; } 
return 
BGL_PROCEDURE_CALL2(BgL_method1343z00_1772, 
((obj_t)BgL_sslzd2verifyzd2_145), BgL_verifyz00_146);} } 

}



/* &ssl-verify-init */
obj_t BGl_z62sslzd2verifyzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_4997, obj_t BgL_sslzd2verifyzd2_4998, obj_t BgL_verifyz00_4999)
{
{ /* Llib/ssl.scm 1307 */
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_auxz00_14440; BgL_sslzd2verifyzd2_bglt BgL_auxz00_14410;
if(
STRINGP(BgL_verifyz00_4999))
{ /* Llib/ssl.scm 1307 */
BgL_auxz00_14440 = BgL_verifyz00_4999
; }  else 
{ 
 obj_t BgL_auxz00_14443;
BgL_auxz00_14443 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52763L), BGl_string3388z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_verifyz00_4999); 
FAILURE(BgL_auxz00_14443,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1307 */
 bool_t BgL_test4424z00_14411;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_classz00_7805;
BgL_classz00_7805 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_4998))
{ /* Llib/ssl.scm 1307 */
 BgL_objectz00_bglt BgL_arg1829z00_7807; long BgL_arg1830z00_7808;
BgL_arg1829z00_7807 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_4998); 
BgL_arg1830z00_7808 = 
BGL_CLASS_DEPTH(BgL_classz00_7805); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1307 */
 long BgL_idxz00_7816;
BgL_idxz00_7816 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7807); 
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1820z00_7817;
{ /* Llib/ssl.scm 1307 */
 long BgL_arg1821z00_7818;
BgL_arg1821z00_7818 = 
(BgL_idxz00_7816+BgL_arg1830z00_7808); 
BgL_arg1820z00_7817 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7818); } 
BgL_test4424z00_14411 = 
(BgL_arg1820z00_7817==BgL_classz00_7805); } }  else 
{ /* Llib/ssl.scm 1307 */
 bool_t BgL_res3446z00_7844;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_oclassz00_7826;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1834z00_7834; long BgL_arg1835z00_7835;
BgL_arg1834z00_7834 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1307 */
 long BgL_arg1836z00_7836;
BgL_arg1836z00_7836 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7807); 
BgL_arg1835z00_7835 = 
(BgL_arg1836z00_7836-OBJECT_TYPE); } 
BgL_oclassz00_7826 = 
VECTOR_REF(BgL_arg1834z00_7834,BgL_arg1835z00_7835); } 
{ /* Llib/ssl.scm 1307 */
 bool_t BgL__ortest_1114z00_7827;
BgL__ortest_1114z00_7827 = 
(BgL_classz00_7805==BgL_oclassz00_7826); 
if(BgL__ortest_1114z00_7827)
{ /* Llib/ssl.scm 1307 */
BgL_res3446z00_7844 = BgL__ortest_1114z00_7827; }  else 
{ /* Llib/ssl.scm 1307 */
 long BgL_odepthz00_7828;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1824z00_7829;
BgL_arg1824z00_7829 = 
(BgL_oclassz00_7826); 
BgL_odepthz00_7828 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7829); } 
if(
(BgL_arg1830z00_7808<BgL_odepthz00_7828))
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1822z00_7831;
{ /* Llib/ssl.scm 1307 */
 obj_t BgL_arg1823z00_7832;
BgL_arg1823z00_7832 = 
(BgL_oclassz00_7826); 
BgL_arg1822z00_7831 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7832, BgL_arg1830z00_7808); } 
BgL_res3446z00_7844 = 
(BgL_arg1822z00_7831==BgL_classz00_7805); }  else 
{ /* Llib/ssl.scm 1307 */
BgL_res3446z00_7844 = ((bool_t)0); } } } } 
BgL_test4424z00_14411 = BgL_res3446z00_7844; } }  else 
{ /* Llib/ssl.scm 1307 */
BgL_test4424z00_14411 = ((bool_t)0)
; } } 
if(BgL_test4424z00_14411)
{ /* Llib/ssl.scm 1307 */
BgL_auxz00_14410 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_4998)
; }  else 
{ 
 obj_t BgL_auxz00_14436;
BgL_auxz00_14436 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(52763L), BGl_string3388z00zz__ssl_sslz00, BGl_string3323z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_4998); 
FAILURE(BgL_auxz00_14436,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2initz00zz__ssl_sslz00(BgL_auxz00_14410, BgL_auxz00_14440);} } 

}



/* ssl-verify-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_147, obj_t BgL_dataz00_148, long BgL_offsetz00_149, long BgL_lenz00_150)
{
{ /* Llib/ssl.scm 1319 */
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_method1345z00_1773;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_res2618z00_3850;
{ /* Llib/ssl.scm 1319 */
 long BgL_objzd2classzd2numz00_3821;
BgL_objzd2classzd2numz00_3821 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_147)); 
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1831z00_3822;
BgL_arg1831z00_3822 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1319 */
 int BgL_offsetz00_3825;
BgL_offsetz00_3825 = 
(int)(BgL_objzd2classzd2numz00_3821); 
{ /* Llib/ssl.scm 1319 */
 long BgL_offsetz00_3826;
BgL_offsetz00_3826 = 
(
(long)(BgL_offsetz00_3825)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1319 */
 long BgL_modz00_3827;
BgL_modz00_3827 = 
(BgL_offsetz00_3826 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1319 */
 long BgL_restz00_3829;
BgL_restz00_3829 = 
(BgL_offsetz00_3826 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1319 */

{ /* Llib/ssl.scm 1319 */
 obj_t BgL_bucketz00_3831;
BgL_bucketz00_3831 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3822),BgL_modz00_3827); 
BgL_res2618z00_3850 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3831),BgL_restz00_3829); } } } } } } } } 
BgL_method1345z00_1773 = BgL_res2618z00_3850; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1345z00_1773, 
((obj_t)BgL_sslzd2verifyzd2_147), BgL_dataz00_148, 
BINT(BgL_offsetz00_149), 
BINT(BgL_lenz00_150));} } 

}



/* &ssl-verify-update! */
obj_t BGl_z62sslzd2verifyzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_5000, obj_t BgL_sslzd2verifyzd2_5001, obj_t BgL_dataz00_5002, obj_t BgL_offsetz00_5003, obj_t BgL_lenz00_5004)
{
{ /* Llib/ssl.scm 1319 */
{ /* Llib/ssl.scm 1319 */
 long BgL_auxz00_14529; long BgL_auxz00_14520; obj_t BgL_auxz00_14513; BgL_sslzd2verifyzd2_bglt BgL_auxz00_14483;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_tmpz00_14530;
if(
INTEGERP(BgL_lenz00_5004))
{ /* Llib/ssl.scm 1319 */
BgL_tmpz00_14530 = BgL_lenz00_5004
; }  else 
{ 
 obj_t BgL_auxz00_14533;
BgL_auxz00_14533 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53248L), BGl_string3389z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_5004); 
FAILURE(BgL_auxz00_14533,BFALSE,BFALSE);} 
BgL_auxz00_14529 = 
(long)CINT(BgL_tmpz00_14530); } 
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_tmpz00_14521;
if(
INTEGERP(BgL_offsetz00_5003))
{ /* Llib/ssl.scm 1319 */
BgL_tmpz00_14521 = BgL_offsetz00_5003
; }  else 
{ 
 obj_t BgL_auxz00_14524;
BgL_auxz00_14524 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53248L), BGl_string3389z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_5003); 
FAILURE(BgL_auxz00_14524,BFALSE,BFALSE);} 
BgL_auxz00_14520 = 
(long)CINT(BgL_tmpz00_14521); } 
if(
STRINGP(BgL_dataz00_5002))
{ /* Llib/ssl.scm 1319 */
BgL_auxz00_14513 = BgL_dataz00_5002
; }  else 
{ 
 obj_t BgL_auxz00_14516;
BgL_auxz00_14516 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53248L), BGl_string3389z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_dataz00_5002); 
FAILURE(BgL_auxz00_14516,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1319 */
 bool_t BgL_test4430z00_14484;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_classz00_7845;
BgL_classz00_7845 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_5001))
{ /* Llib/ssl.scm 1319 */
 BgL_objectz00_bglt BgL_arg1829z00_7847; long BgL_arg1830z00_7848;
BgL_arg1829z00_7847 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_5001); 
BgL_arg1830z00_7848 = 
BGL_CLASS_DEPTH(BgL_classz00_7845); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1319 */
 long BgL_idxz00_7856;
BgL_idxz00_7856 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7847); 
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1820z00_7857;
{ /* Llib/ssl.scm 1319 */
 long BgL_arg1821z00_7858;
BgL_arg1821z00_7858 = 
(BgL_idxz00_7856+BgL_arg1830z00_7848); 
BgL_arg1820z00_7857 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7858); } 
BgL_test4430z00_14484 = 
(BgL_arg1820z00_7857==BgL_classz00_7845); } }  else 
{ /* Llib/ssl.scm 1319 */
 bool_t BgL_res3447z00_7884;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_oclassz00_7866;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1834z00_7874; long BgL_arg1835z00_7875;
BgL_arg1834z00_7874 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1319 */
 long BgL_arg1836z00_7876;
BgL_arg1836z00_7876 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7847); 
BgL_arg1835z00_7875 = 
(BgL_arg1836z00_7876-OBJECT_TYPE); } 
BgL_oclassz00_7866 = 
VECTOR_REF(BgL_arg1834z00_7874,BgL_arg1835z00_7875); } 
{ /* Llib/ssl.scm 1319 */
 bool_t BgL__ortest_1114z00_7867;
BgL__ortest_1114z00_7867 = 
(BgL_classz00_7845==BgL_oclassz00_7866); 
if(BgL__ortest_1114z00_7867)
{ /* Llib/ssl.scm 1319 */
BgL_res3447z00_7884 = BgL__ortest_1114z00_7867; }  else 
{ /* Llib/ssl.scm 1319 */
 long BgL_odepthz00_7868;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1824z00_7869;
BgL_arg1824z00_7869 = 
(BgL_oclassz00_7866); 
BgL_odepthz00_7868 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7869); } 
if(
(BgL_arg1830z00_7848<BgL_odepthz00_7868))
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1822z00_7871;
{ /* Llib/ssl.scm 1319 */
 obj_t BgL_arg1823z00_7872;
BgL_arg1823z00_7872 = 
(BgL_oclassz00_7866); 
BgL_arg1822z00_7871 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7872, BgL_arg1830z00_7848); } 
BgL_res3447z00_7884 = 
(BgL_arg1822z00_7871==BgL_classz00_7845); }  else 
{ /* Llib/ssl.scm 1319 */
BgL_res3447z00_7884 = ((bool_t)0); } } } } 
BgL_test4430z00_14484 = BgL_res3447z00_7884; } }  else 
{ /* Llib/ssl.scm 1319 */
BgL_test4430z00_14484 = ((bool_t)0)
; } } 
if(BgL_test4430z00_14484)
{ /* Llib/ssl.scm 1319 */
BgL_auxz00_14483 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_5001)
; }  else 
{ 
 obj_t BgL_auxz00_14509;
BgL_auxz00_14509 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53248L), BGl_string3389z00zz__ssl_sslz00, BGl_string3323z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_5001); 
FAILURE(BgL_auxz00_14509,BFALSE,BFALSE);} } 
return 
BGl_sslzd2verifyzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14483, BgL_auxz00_14513, BgL_auxz00_14520, BgL_auxz00_14529);} } 

}



/* ssl-verify-final */
BGL_EXPORTED_DEF bool_t BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_sslzd2verifyzd2_bglt BgL_sslzd2verifyzd2_151, obj_t BgL_keyz00_152, long BgL_koffsetz00_153, long BgL_klenz00_154, obj_t BgL_sigz00_155, long BgL_soffsetz00_156, long BgL_slenz00_157)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_method1347z00_1774;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_res2623z00_3881;
{ /* Llib/ssl.scm 1331 */
 long BgL_objzd2classzd2numz00_3852;
BgL_objzd2classzd2numz00_3852 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2verifyzd2_151)); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1831z00_3853;
BgL_arg1831z00_3853 = 
PROCEDURE_REF(BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1331 */
 int BgL_offsetz00_3856;
BgL_offsetz00_3856 = 
(int)(BgL_objzd2classzd2numz00_3852); 
{ /* Llib/ssl.scm 1331 */
 long BgL_offsetz00_3857;
BgL_offsetz00_3857 = 
(
(long)(BgL_offsetz00_3856)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1331 */
 long BgL_modz00_3858;
BgL_modz00_3858 = 
(BgL_offsetz00_3857 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1331 */
 long BgL_restz00_3860;
BgL_restz00_3860 = 
(BgL_offsetz00_3857 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1331 */

{ /* Llib/ssl.scm 1331 */
 obj_t BgL_bucketz00_3862;
BgL_bucketz00_3862 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3853),BgL_modz00_3858); 
BgL_res2623z00_3881 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3862),BgL_restz00_3860); } } } } } } } } 
BgL_method1347z00_1774 = BgL_res2623z00_3881; } 
return 
CBOOL(
BGL_PROCEDURE_CALL7(BgL_method1347z00_1774, 
((obj_t)BgL_sslzd2verifyzd2_151), BgL_keyz00_152, 
BINT(BgL_koffsetz00_153), 
BINT(BgL_klenz00_154), BgL_sigz00_155, 
BINT(BgL_soffsetz00_156), 
BINT(BgL_slenz00_157)));} } 

}



/* &ssl-verify-final */
obj_t BGl_z62sslzd2verifyzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_5005, obj_t BgL_sslzd2verifyzd2_5006, obj_t BgL_keyz00_5007, obj_t BgL_koffsetz00_5008, obj_t BgL_klenz00_5009, obj_t BgL_sigz00_5010, obj_t BgL_soffsetz00_5011, obj_t BgL_slenz00_5012)
{
{ /* Llib/ssl.scm 1331 */
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_tmpz00_14580;
{ /* Llib/ssl.scm 1331 */
 long BgL_auxz00_14652; long BgL_auxz00_14643; obj_t BgL_auxz00_14636; long BgL_auxz00_14627; long BgL_auxz00_14618; obj_t BgL_auxz00_14611; BgL_sslzd2verifyzd2_bglt BgL_auxz00_14581;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14653;
if(
INTEGERP(BgL_slenz00_5012))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14653 = BgL_slenz00_5012
; }  else 
{ 
 obj_t BgL_auxz00_14656;
BgL_auxz00_14656 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_slenz00_5012); 
FAILURE(BgL_auxz00_14656,BFALSE,BFALSE);} 
BgL_auxz00_14652 = 
(long)CINT(BgL_tmpz00_14653); } 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14644;
if(
INTEGERP(BgL_soffsetz00_5011))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14644 = BgL_soffsetz00_5011
; }  else 
{ 
 obj_t BgL_auxz00_14647;
BgL_auxz00_14647 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_soffsetz00_5011); 
FAILURE(BgL_auxz00_14647,BFALSE,BFALSE);} 
BgL_auxz00_14643 = 
(long)CINT(BgL_tmpz00_14644); } 
if(
STRINGP(BgL_sigz00_5010))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_14636 = BgL_sigz00_5010
; }  else 
{ 
 obj_t BgL_auxz00_14639;
BgL_auxz00_14639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_sigz00_5010); 
FAILURE(BgL_auxz00_14639,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14628;
if(
INTEGERP(BgL_klenz00_5009))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14628 = BgL_klenz00_5009
; }  else 
{ 
 obj_t BgL_auxz00_14631;
BgL_auxz00_14631 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_klenz00_5009); 
FAILURE(BgL_auxz00_14631,BFALSE,BFALSE);} 
BgL_auxz00_14627 = 
(long)CINT(BgL_tmpz00_14628); } 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_tmpz00_14619;
if(
INTEGERP(BgL_koffsetz00_5008))
{ /* Llib/ssl.scm 1331 */
BgL_tmpz00_14619 = BgL_koffsetz00_5008
; }  else 
{ 
 obj_t BgL_auxz00_14622;
BgL_auxz00_14622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_koffsetz00_5008); 
FAILURE(BgL_auxz00_14622,BFALSE,BFALSE);} 
BgL_auxz00_14618 = 
(long)CINT(BgL_tmpz00_14619); } 
if(
STRINGP(BgL_keyz00_5007))
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_14611 = BgL_keyz00_5007
; }  else 
{ 
 obj_t BgL_auxz00_14614;
BgL_auxz00_14614 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_keyz00_5007); 
FAILURE(BgL_auxz00_14614,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_test4438z00_14582;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_classz00_7885;
BgL_classz00_7885 = BGl_sslzd2verifyzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2verifyzd2_5006))
{ /* Llib/ssl.scm 1331 */
 BgL_objectz00_bglt BgL_arg1829z00_7887; long BgL_arg1830z00_7888;
BgL_arg1829z00_7887 = 
(BgL_objectz00_bglt)(BgL_sslzd2verifyzd2_5006); 
BgL_arg1830z00_7888 = 
BGL_CLASS_DEPTH(BgL_classz00_7885); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1331 */
 long BgL_idxz00_7896;
BgL_idxz00_7896 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7887); 
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1820z00_7897;
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1821z00_7898;
BgL_arg1821z00_7898 = 
(BgL_idxz00_7896+BgL_arg1830z00_7888); 
BgL_arg1820z00_7897 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7898); } 
BgL_test4438z00_14582 = 
(BgL_arg1820z00_7897==BgL_classz00_7885); } }  else 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL_res3448z00_7924;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_oclassz00_7906;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1834z00_7914; long BgL_arg1835z00_7915;
BgL_arg1834z00_7914 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1331 */
 long BgL_arg1836z00_7916;
BgL_arg1836z00_7916 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7887); 
BgL_arg1835z00_7915 = 
(BgL_arg1836z00_7916-OBJECT_TYPE); } 
BgL_oclassz00_7906 = 
VECTOR_REF(BgL_arg1834z00_7914,BgL_arg1835z00_7915); } 
{ /* Llib/ssl.scm 1331 */
 bool_t BgL__ortest_1114z00_7907;
BgL__ortest_1114z00_7907 = 
(BgL_classz00_7885==BgL_oclassz00_7906); 
if(BgL__ortest_1114z00_7907)
{ /* Llib/ssl.scm 1331 */
BgL_res3448z00_7924 = BgL__ortest_1114z00_7907; }  else 
{ /* Llib/ssl.scm 1331 */
 long BgL_odepthz00_7908;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1824z00_7909;
BgL_arg1824z00_7909 = 
(BgL_oclassz00_7906); 
BgL_odepthz00_7908 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7909); } 
if(
(BgL_arg1830z00_7888<BgL_odepthz00_7908))
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1822z00_7911;
{ /* Llib/ssl.scm 1331 */
 obj_t BgL_arg1823z00_7912;
BgL_arg1823z00_7912 = 
(BgL_oclassz00_7906); 
BgL_arg1822z00_7911 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7912, BgL_arg1830z00_7888); } 
BgL_res3448z00_7924 = 
(BgL_arg1822z00_7911==BgL_classz00_7885); }  else 
{ /* Llib/ssl.scm 1331 */
BgL_res3448z00_7924 = ((bool_t)0); } } } } 
BgL_test4438z00_14582 = BgL_res3448z00_7924; } }  else 
{ /* Llib/ssl.scm 1331 */
BgL_test4438z00_14582 = ((bool_t)0)
; } } 
if(BgL_test4438z00_14582)
{ /* Llib/ssl.scm 1331 */
BgL_auxz00_14581 = 
((BgL_sslzd2verifyzd2_bglt)BgL_sslzd2verifyzd2_5006)
; }  else 
{ 
 obj_t BgL_auxz00_14607;
BgL_auxz00_14607 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(53760L), BGl_string3390z00zz__ssl_sslz00, BGl_string3323z00zz__ssl_sslz00, BgL_sslzd2verifyzd2_5006); 
FAILURE(BgL_auxz00_14607,BFALSE,BFALSE);} } 
BgL_tmpz00_14580 = 
BGl_sslzd2verifyzd2finalz00zz__ssl_sslz00(BgL_auxz00_14581, BgL_auxz00_14611, BgL_auxz00_14618, BgL_auxz00_14627, BgL_auxz00_14636, BgL_auxz00_14643, BgL_auxz00_14652); } 
return 
BBOOL(BgL_tmpz00_14580);} } 

}



/* ssl-cipher-init */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_158, obj_t BgL_cipherz00_159, obj_t BgL_keyz00_160, long BgL_offsetz00_161, long BgL_lenz00_162, bool_t BgL_encz00_163)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_method1349z00_1775;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_res2628z00_3912;
{ /* Llib/ssl.scm 1345 */
 long BgL_objzd2classzd2numz00_3883;
BgL_objzd2classzd2numz00_3883 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_158)); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1831z00_3884;
BgL_arg1831z00_3884 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1345 */
 int BgL_offsetz00_3887;
BgL_offsetz00_3887 = 
(int)(BgL_objzd2classzd2numz00_3883); 
{ /* Llib/ssl.scm 1345 */
 long BgL_offsetz00_3888;
BgL_offsetz00_3888 = 
(
(long)(BgL_offsetz00_3887)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1345 */
 long BgL_modz00_3889;
BgL_modz00_3889 = 
(BgL_offsetz00_3888 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1345 */
 long BgL_restz00_3891;
BgL_restz00_3891 = 
(BgL_offsetz00_3888 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1345 */

{ /* Llib/ssl.scm 1345 */
 obj_t BgL_bucketz00_3893;
BgL_bucketz00_3893 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3884),BgL_modz00_3889); 
BgL_res2628z00_3912 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3893),BgL_restz00_3891); } } } } } } } } 
BgL_method1349z00_1775 = BgL_res2628z00_3912; } 
return 
BGL_PROCEDURE_CALL6(BgL_method1349z00_1775, 
((obj_t)BgL_sslzd2cipherzd2_158), BgL_cipherz00_159, BgL_keyz00_160, 
BINT(BgL_offsetz00_161), 
BINT(BgL_lenz00_162), 
BBOOL(BgL_encz00_163));} } 

}



/* &ssl-cipher-init */
obj_t BGl_z62sslzd2cipherzd2initz62zz__ssl_sslz00(obj_t BgL_envz00_5013, obj_t BgL_sslzd2cipherzd2_5014, obj_t BgL_cipherz00_5015, obj_t BgL_keyz00_5016, obj_t BgL_offsetz00_5017, obj_t BgL_lenz00_5018, obj_t BgL_encz00_5019)
{
{ /* Llib/ssl.scm 1345 */
{ /* Llib/ssl.scm 1345 */
 long BgL_auxz00_14754; long BgL_auxz00_14745; obj_t BgL_auxz00_14738; obj_t BgL_auxz00_14731; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14701;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14755;
if(
INTEGERP(BgL_lenz00_5018))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14755 = BgL_lenz00_5018
; }  else 
{ 
 obj_t BgL_auxz00_14758;
BgL_auxz00_14758 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54243L), BGl_string3391z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_5018); 
FAILURE(BgL_auxz00_14758,BFALSE,BFALSE);} 
BgL_auxz00_14754 = 
(long)CINT(BgL_tmpz00_14755); } 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_tmpz00_14746;
if(
INTEGERP(BgL_offsetz00_5017))
{ /* Llib/ssl.scm 1345 */
BgL_tmpz00_14746 = BgL_offsetz00_5017
; }  else 
{ 
 obj_t BgL_auxz00_14749;
BgL_auxz00_14749 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54243L), BGl_string3391z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_5017); 
FAILURE(BgL_auxz00_14749,BFALSE,BFALSE);} 
BgL_auxz00_14745 = 
(long)CINT(BgL_tmpz00_14746); } 
if(
STRINGP(BgL_keyz00_5016))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14738 = BgL_keyz00_5016
; }  else 
{ 
 obj_t BgL_auxz00_14741;
BgL_auxz00_14741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54243L), BGl_string3391z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_keyz00_5016); 
FAILURE(BgL_auxz00_14741,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_5015))
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14731 = BgL_cipherz00_5015
; }  else 
{ 
 obj_t BgL_auxz00_14734;
BgL_auxz00_14734 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54243L), BGl_string3391z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_cipherz00_5015); 
FAILURE(BgL_auxz00_14734,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_test4449z00_14702;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_classz00_7925;
BgL_classz00_7925 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5014))
{ /* Llib/ssl.scm 1345 */
 BgL_objectz00_bglt BgL_arg1829z00_7927; long BgL_arg1830z00_7928;
BgL_arg1829z00_7927 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5014); 
BgL_arg1830z00_7928 = 
BGL_CLASS_DEPTH(BgL_classz00_7925); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1345 */
 long BgL_idxz00_7936;
BgL_idxz00_7936 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7927); 
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1820z00_7937;
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1821z00_7938;
BgL_arg1821z00_7938 = 
(BgL_idxz00_7936+BgL_arg1830z00_7928); 
BgL_arg1820z00_7937 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7938); } 
BgL_test4449z00_14702 = 
(BgL_arg1820z00_7937==BgL_classz00_7925); } }  else 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL_res3449z00_7964;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_oclassz00_7946;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1834z00_7954; long BgL_arg1835z00_7955;
BgL_arg1834z00_7954 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1345 */
 long BgL_arg1836z00_7956;
BgL_arg1836z00_7956 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7927); 
BgL_arg1835z00_7955 = 
(BgL_arg1836z00_7956-OBJECT_TYPE); } 
BgL_oclassz00_7946 = 
VECTOR_REF(BgL_arg1834z00_7954,BgL_arg1835z00_7955); } 
{ /* Llib/ssl.scm 1345 */
 bool_t BgL__ortest_1114z00_7947;
BgL__ortest_1114z00_7947 = 
(BgL_classz00_7925==BgL_oclassz00_7946); 
if(BgL__ortest_1114z00_7947)
{ /* Llib/ssl.scm 1345 */
BgL_res3449z00_7964 = BgL__ortest_1114z00_7947; }  else 
{ /* Llib/ssl.scm 1345 */
 long BgL_odepthz00_7948;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1824z00_7949;
BgL_arg1824z00_7949 = 
(BgL_oclassz00_7946); 
BgL_odepthz00_7948 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7949); } 
if(
(BgL_arg1830z00_7928<BgL_odepthz00_7948))
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1822z00_7951;
{ /* Llib/ssl.scm 1345 */
 obj_t BgL_arg1823z00_7952;
BgL_arg1823z00_7952 = 
(BgL_oclassz00_7946); 
BgL_arg1822z00_7951 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7952, BgL_arg1830z00_7928); } 
BgL_res3449z00_7964 = 
(BgL_arg1822z00_7951==BgL_classz00_7925); }  else 
{ /* Llib/ssl.scm 1345 */
BgL_res3449z00_7964 = ((bool_t)0); } } } } 
BgL_test4449z00_14702 = BgL_res3449z00_7964; } }  else 
{ /* Llib/ssl.scm 1345 */
BgL_test4449z00_14702 = ((bool_t)0)
; } } 
if(BgL_test4449z00_14702)
{ /* Llib/ssl.scm 1345 */
BgL_auxz00_14701 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5014)
; }  else 
{ 
 obj_t BgL_auxz00_14727;
BgL_auxz00_14727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54243L), BGl_string3391z00zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5014); 
FAILURE(BgL_auxz00_14727,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initz00zz__ssl_sslz00(BgL_auxz00_14701, BgL_auxz00_14731, BgL_auxz00_14738, BgL_auxz00_14745, BgL_auxz00_14754, 
CBOOL(BgL_encz00_5019));} } 

}



/* ssl-cipher-initiv */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_164, obj_t BgL_cipherz00_165, obj_t BgL_keyz00_166, long BgL_offsetz00_167, long BgL_lenz00_168, obj_t BgL_ivz00_169, long BgL_ivoffsetz00_170, long BgL_ivlenz00_171, bool_t BgL_encz00_172)
{
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_method1351z00_1776;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_res2633z00_3943;
{ /* Llib/ssl.scm 1359 */
 long BgL_objzd2classzd2numz00_3914;
BgL_objzd2classzd2numz00_3914 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_164)); 
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1831z00_3915;
BgL_arg1831z00_3915 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1359 */
 int BgL_offsetz00_3918;
BgL_offsetz00_3918 = 
(int)(BgL_objzd2classzd2numz00_3914); 
{ /* Llib/ssl.scm 1359 */
 long BgL_offsetz00_3919;
BgL_offsetz00_3919 = 
(
(long)(BgL_offsetz00_3918)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1359 */
 long BgL_modz00_3920;
BgL_modz00_3920 = 
(BgL_offsetz00_3919 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1359 */
 long BgL_restz00_3922;
BgL_restz00_3922 = 
(BgL_offsetz00_3919 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1359 */

{ /* Llib/ssl.scm 1359 */
 obj_t BgL_bucketz00_3924;
BgL_bucketz00_3924 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3915),BgL_modz00_3920); 
BgL_res2633z00_3943 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3924),BgL_restz00_3922); } } } } } } } } 
BgL_method1351z00_1776 = BgL_res2633z00_3943; } 
return 
BGL_PROCEDURE_CALL9(BgL_method1351z00_1776, 
((obj_t)BgL_sslzd2cipherzd2_164), BgL_cipherz00_165, BgL_keyz00_166, 
BINT(BgL_offsetz00_167), 
BINT(BgL_lenz00_168), BgL_ivz00_169, 
BINT(BgL_ivoffsetz00_170), 
BINT(BgL_ivlenz00_171), 
BBOOL(BgL_encz00_172));} } 

}



/* &ssl-cipher-initiv */
obj_t BGl_z62sslzd2cipherzd2initivz62zz__ssl_sslz00(obj_t BgL_envz00_5020, obj_t BgL_sslzd2cipherzd2_5021, obj_t BgL_cipherz00_5022, obj_t BgL_keyz00_5023, obj_t BgL_offsetz00_5024, obj_t BgL_lenz00_5025, obj_t BgL_ivz00_5026, obj_t BgL_ivoffsetz00_5027, obj_t BgL_ivlenz00_5028, obj_t BgL_encz00_5029)
{
{ /* Llib/ssl.scm 1359 */
{ /* Llib/ssl.scm 1359 */
 long BgL_auxz00_14886; long BgL_auxz00_14877; obj_t BgL_auxz00_14870; long BgL_auxz00_14861; long BgL_auxz00_14852; obj_t BgL_auxz00_14845; obj_t BgL_auxz00_14838; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14808;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_tmpz00_14887;
if(
INTEGERP(BgL_ivlenz00_5028))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_14887 = BgL_ivlenz00_5028
; }  else 
{ 
 obj_t BgL_auxz00_14890;
BgL_auxz00_14890 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_ivlenz00_5028); 
FAILURE(BgL_auxz00_14890,BFALSE,BFALSE);} 
BgL_auxz00_14886 = 
(long)CINT(BgL_tmpz00_14887); } 
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_tmpz00_14878;
if(
INTEGERP(BgL_ivoffsetz00_5027))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_14878 = BgL_ivoffsetz00_5027
; }  else 
{ 
 obj_t BgL_auxz00_14881;
BgL_auxz00_14881 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_ivoffsetz00_5027); 
FAILURE(BgL_auxz00_14881,BFALSE,BFALSE);} 
BgL_auxz00_14877 = 
(long)CINT(BgL_tmpz00_14878); } 
if(
STRINGP(BgL_ivz00_5026))
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_14870 = BgL_ivz00_5026
; }  else 
{ 
 obj_t BgL_auxz00_14873;
BgL_auxz00_14873 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_ivz00_5026); 
FAILURE(BgL_auxz00_14873,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_tmpz00_14862;
if(
INTEGERP(BgL_lenz00_5025))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_14862 = BgL_lenz00_5025
; }  else 
{ 
 obj_t BgL_auxz00_14865;
BgL_auxz00_14865 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_5025); 
FAILURE(BgL_auxz00_14865,BFALSE,BFALSE);} 
BgL_auxz00_14861 = 
(long)CINT(BgL_tmpz00_14862); } 
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_tmpz00_14853;
if(
INTEGERP(BgL_offsetz00_5024))
{ /* Llib/ssl.scm 1359 */
BgL_tmpz00_14853 = BgL_offsetz00_5024
; }  else 
{ 
 obj_t BgL_auxz00_14856;
BgL_auxz00_14856 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_5024); 
FAILURE(BgL_auxz00_14856,BFALSE,BFALSE);} 
BgL_auxz00_14852 = 
(long)CINT(BgL_tmpz00_14853); } 
if(
STRINGP(BgL_keyz00_5023))
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_14845 = BgL_keyz00_5023
; }  else 
{ 
 obj_t BgL_auxz00_14848;
BgL_auxz00_14848 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_keyz00_5023); 
FAILURE(BgL_auxz00_14848,BFALSE,BFALSE);} 
if(
STRINGP(BgL_cipherz00_5022))
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_14838 = BgL_cipherz00_5022
; }  else 
{ 
 obj_t BgL_auxz00_14841;
BgL_auxz00_14841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_cipherz00_5022); 
FAILURE(BgL_auxz00_14841,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1359 */
 bool_t BgL_test4458z00_14809;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_classz00_7965;
BgL_classz00_7965 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5021))
{ /* Llib/ssl.scm 1359 */
 BgL_objectz00_bglt BgL_arg1829z00_7967; long BgL_arg1830z00_7968;
BgL_arg1829z00_7967 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5021); 
BgL_arg1830z00_7968 = 
BGL_CLASS_DEPTH(BgL_classz00_7965); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1359 */
 long BgL_idxz00_7976;
BgL_idxz00_7976 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_7967); 
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1820z00_7977;
{ /* Llib/ssl.scm 1359 */
 long BgL_arg1821z00_7978;
BgL_arg1821z00_7978 = 
(BgL_idxz00_7976+BgL_arg1830z00_7968); 
BgL_arg1820z00_7977 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_7978); } 
BgL_test4458z00_14809 = 
(BgL_arg1820z00_7977==BgL_classz00_7965); } }  else 
{ /* Llib/ssl.scm 1359 */
 bool_t BgL_res3450z00_8004;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_oclassz00_7986;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1834z00_7994; long BgL_arg1835z00_7995;
BgL_arg1834z00_7994 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1359 */
 long BgL_arg1836z00_7996;
BgL_arg1836z00_7996 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_7967); 
BgL_arg1835z00_7995 = 
(BgL_arg1836z00_7996-OBJECT_TYPE); } 
BgL_oclassz00_7986 = 
VECTOR_REF(BgL_arg1834z00_7994,BgL_arg1835z00_7995); } 
{ /* Llib/ssl.scm 1359 */
 bool_t BgL__ortest_1114z00_7987;
BgL__ortest_1114z00_7987 = 
(BgL_classz00_7965==BgL_oclassz00_7986); 
if(BgL__ortest_1114z00_7987)
{ /* Llib/ssl.scm 1359 */
BgL_res3450z00_8004 = BgL__ortest_1114z00_7987; }  else 
{ /* Llib/ssl.scm 1359 */
 long BgL_odepthz00_7988;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1824z00_7989;
BgL_arg1824z00_7989 = 
(BgL_oclassz00_7986); 
BgL_odepthz00_7988 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_7989); } 
if(
(BgL_arg1830z00_7968<BgL_odepthz00_7988))
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1822z00_7991;
{ /* Llib/ssl.scm 1359 */
 obj_t BgL_arg1823z00_7992;
BgL_arg1823z00_7992 = 
(BgL_oclassz00_7986); 
BgL_arg1822z00_7991 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_7992, BgL_arg1830z00_7968); } 
BgL_res3450z00_8004 = 
(BgL_arg1822z00_7991==BgL_classz00_7965); }  else 
{ /* Llib/ssl.scm 1359 */
BgL_res3450z00_8004 = ((bool_t)0); } } } } 
BgL_test4458z00_14809 = BgL_res3450z00_8004; } }  else 
{ /* Llib/ssl.scm 1359 */
BgL_test4458z00_14809 = ((bool_t)0)
; } } 
if(BgL_test4458z00_14809)
{ /* Llib/ssl.scm 1359 */
BgL_auxz00_14808 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5021)
; }  else 
{ 
 obj_t BgL_auxz00_14834;
BgL_auxz00_14834 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(54767L), BGl_string3393z00zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5021); 
FAILURE(BgL_auxz00_14834,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2initivz00zz__ssl_sslz00(BgL_auxz00_14808, BgL_auxz00_14838, BgL_auxz00_14845, BgL_auxz00_14852, BgL_auxz00_14861, BgL_auxz00_14870, BgL_auxz00_14877, BgL_auxz00_14886, 
CBOOL(BgL_encz00_5029));} } 

}



/* ssl-cipher-update! */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_173, obj_t BgL_dataz00_174, long BgL_offsetz00_175, long BgL_lenz00_176)
{
{ /* Llib/ssl.scm 1376 */
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_method1353z00_1777;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_res2638z00_3974;
{ /* Llib/ssl.scm 1376 */
 long BgL_objzd2classzd2numz00_3945;
BgL_objzd2classzd2numz00_3945 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_173)); 
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1831z00_3946;
BgL_arg1831z00_3946 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1376 */
 int BgL_offsetz00_3949;
BgL_offsetz00_3949 = 
(int)(BgL_objzd2classzd2numz00_3945); 
{ /* Llib/ssl.scm 1376 */
 long BgL_offsetz00_3950;
BgL_offsetz00_3950 = 
(
(long)(BgL_offsetz00_3949)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1376 */
 long BgL_modz00_3951;
BgL_modz00_3951 = 
(BgL_offsetz00_3950 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1376 */
 long BgL_restz00_3953;
BgL_restz00_3953 = 
(BgL_offsetz00_3950 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1376 */

{ /* Llib/ssl.scm 1376 */
 obj_t BgL_bucketz00_3955;
BgL_bucketz00_3955 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3946),BgL_modz00_3951); 
BgL_res2638z00_3974 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3955),BgL_restz00_3953); } } } } } } } } 
BgL_method1353z00_1777 = BgL_res2638z00_3974; } 
return 
BGL_PROCEDURE_CALL4(BgL_method1353z00_1777, 
((obj_t)BgL_sslzd2cipherzd2_173), BgL_dataz00_174, 
BINT(BgL_offsetz00_175), 
BINT(BgL_lenz00_176));} } 

}



/* &ssl-cipher-update! */
obj_t BGl_z62sslzd2cipherzd2updatez12z70zz__ssl_sslz00(obj_t BgL_envz00_5030, obj_t BgL_sslzd2cipherzd2_5031, obj_t BgL_dataz00_5032, obj_t BgL_offsetz00_5033, obj_t BgL_lenz00_5034)
{
{ /* Llib/ssl.scm 1376 */
{ /* Llib/ssl.scm 1376 */
 long BgL_auxz00_14978; long BgL_auxz00_14969; obj_t BgL_auxz00_14962; BgL_sslzd2cipherzd2_bglt BgL_auxz00_14932;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_tmpz00_14979;
if(
INTEGERP(BgL_lenz00_5034))
{ /* Llib/ssl.scm 1376 */
BgL_tmpz00_14979 = BgL_lenz00_5034
; }  else 
{ 
 obj_t BgL_auxz00_14982;
BgL_auxz00_14982 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(55336L), BGl_string3394z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_lenz00_5034); 
FAILURE(BgL_auxz00_14982,BFALSE,BFALSE);} 
BgL_auxz00_14978 = 
(long)CINT(BgL_tmpz00_14979); } 
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_tmpz00_14970;
if(
INTEGERP(BgL_offsetz00_5033))
{ /* Llib/ssl.scm 1376 */
BgL_tmpz00_14970 = BgL_offsetz00_5033
; }  else 
{ 
 obj_t BgL_auxz00_14973;
BgL_auxz00_14973 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(55336L), BGl_string3394z00zz__ssl_sslz00, BGl_string3013z00zz__ssl_sslz00, BgL_offsetz00_5033); 
FAILURE(BgL_auxz00_14973,BFALSE,BFALSE);} 
BgL_auxz00_14969 = 
(long)CINT(BgL_tmpz00_14970); } 
if(
STRINGP(BgL_dataz00_5032))
{ /* Llib/ssl.scm 1376 */
BgL_auxz00_14962 = BgL_dataz00_5032
; }  else 
{ 
 obj_t BgL_auxz00_14965;
BgL_auxz00_14965 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(55336L), BGl_string3394z00zz__ssl_sslz00, BGl_string3014z00zz__ssl_sslz00, BgL_dataz00_5032); 
FAILURE(BgL_auxz00_14965,BFALSE,BFALSE);} 
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_test4470z00_14933;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_classz00_8005;
BgL_classz00_8005 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5031))
{ /* Llib/ssl.scm 1376 */
 BgL_objectz00_bglt BgL_arg1829z00_8007; long BgL_arg1830z00_8008;
BgL_arg1829z00_8007 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5031); 
BgL_arg1830z00_8008 = 
BGL_CLASS_DEPTH(BgL_classz00_8005); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1376 */
 long BgL_idxz00_8016;
BgL_idxz00_8016 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_8007); 
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1820z00_8017;
{ /* Llib/ssl.scm 1376 */
 long BgL_arg1821z00_8018;
BgL_arg1821z00_8018 = 
(BgL_idxz00_8016+BgL_arg1830z00_8008); 
BgL_arg1820z00_8017 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_8018); } 
BgL_test4470z00_14933 = 
(BgL_arg1820z00_8017==BgL_classz00_8005); } }  else 
{ /* Llib/ssl.scm 1376 */
 bool_t BgL_res3451z00_8044;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_oclassz00_8026;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1834z00_8034; long BgL_arg1835z00_8035;
BgL_arg1834z00_8034 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1376 */
 long BgL_arg1836z00_8036;
BgL_arg1836z00_8036 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_8007); 
BgL_arg1835z00_8035 = 
(BgL_arg1836z00_8036-OBJECT_TYPE); } 
BgL_oclassz00_8026 = 
VECTOR_REF(BgL_arg1834z00_8034,BgL_arg1835z00_8035); } 
{ /* Llib/ssl.scm 1376 */
 bool_t BgL__ortest_1114z00_8027;
BgL__ortest_1114z00_8027 = 
(BgL_classz00_8005==BgL_oclassz00_8026); 
if(BgL__ortest_1114z00_8027)
{ /* Llib/ssl.scm 1376 */
BgL_res3451z00_8044 = BgL__ortest_1114z00_8027; }  else 
{ /* Llib/ssl.scm 1376 */
 long BgL_odepthz00_8028;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1824z00_8029;
BgL_arg1824z00_8029 = 
(BgL_oclassz00_8026); 
BgL_odepthz00_8028 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_8029); } 
if(
(BgL_arg1830z00_8008<BgL_odepthz00_8028))
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1822z00_8031;
{ /* Llib/ssl.scm 1376 */
 obj_t BgL_arg1823z00_8032;
BgL_arg1823z00_8032 = 
(BgL_oclassz00_8026); 
BgL_arg1822z00_8031 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_8032, BgL_arg1830z00_8008); } 
BgL_res3451z00_8044 = 
(BgL_arg1822z00_8031==BgL_classz00_8005); }  else 
{ /* Llib/ssl.scm 1376 */
BgL_res3451z00_8044 = ((bool_t)0); } } } } 
BgL_test4470z00_14933 = BgL_res3451z00_8044; } }  else 
{ /* Llib/ssl.scm 1376 */
BgL_test4470z00_14933 = ((bool_t)0)
; } } 
if(BgL_test4470z00_14933)
{ /* Llib/ssl.scm 1376 */
BgL_auxz00_14932 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5031)
; }  else 
{ 
 obj_t BgL_auxz00_14958;
BgL_auxz00_14958 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(55336L), BGl_string3394z00zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5031); 
FAILURE(BgL_auxz00_14958,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2updatez12z12zz__ssl_sslz00(BgL_auxz00_14932, BgL_auxz00_14962, BgL_auxz00_14969, BgL_auxz00_14978);} } 

}



/* ssl-cipher-set-auto-padding */
BGL_EXPORTED_DEF bool_t BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_177, bool_t BgL_autozd2paddingzd2_178)
{
{ /* Llib/ssl.scm 1387 */
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_method1355z00_1778;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_res2643z00_4005;
{ /* Llib/ssl.scm 1387 */
 long BgL_objzd2classzd2numz00_3976;
BgL_objzd2classzd2numz00_3976 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_177)); 
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1831z00_3977;
BgL_arg1831z00_3977 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1387 */
 int BgL_offsetz00_3980;
BgL_offsetz00_3980 = 
(int)(BgL_objzd2classzd2numz00_3976); 
{ /* Llib/ssl.scm 1387 */
 long BgL_offsetz00_3981;
BgL_offsetz00_3981 = 
(
(long)(BgL_offsetz00_3980)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1387 */
 long BgL_modz00_3982;
BgL_modz00_3982 = 
(BgL_offsetz00_3981 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1387 */
 long BgL_restz00_3984;
BgL_restz00_3984 = 
(BgL_offsetz00_3981 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1387 */

{ /* Llib/ssl.scm 1387 */
 obj_t BgL_bucketz00_3986;
BgL_bucketz00_3986 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_3977),BgL_modz00_3982); 
BgL_res2643z00_4005 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_3986),BgL_restz00_3984); } } } } } } } } 
BgL_method1355z00_1778 = BgL_res2643z00_4005; } 
return 
CBOOL(
BGL_PROCEDURE_CALL2(BgL_method1355z00_1778, 
((obj_t)BgL_sslzd2cipherzd2_177), 
BBOOL(BgL_autozd2paddingzd2_178)));} } 

}



/* &ssl-cipher-set-auto-padding */
obj_t BGl_z62sslzd2cipherzd2setzd2autozd2paddingz62zz__ssl_sslz00(obj_t BgL_envz00_5035, obj_t BgL_sslzd2cipherzd2_5036, obj_t BgL_autozd2paddingzd2_5037)
{
{ /* Llib/ssl.scm 1387 */
{ /* Llib/ssl.scm 1387 */
 bool_t BgL_tmpz00_15021;
{ /* Llib/ssl.scm 1387 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_15022;
{ /* Llib/ssl.scm 1387 */
 bool_t BgL_test4478z00_15023;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_classz00_8045;
BgL_classz00_8045 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5036))
{ /* Llib/ssl.scm 1387 */
 BgL_objectz00_bglt BgL_arg1829z00_8047; long BgL_arg1830z00_8048;
BgL_arg1829z00_8047 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5036); 
BgL_arg1830z00_8048 = 
BGL_CLASS_DEPTH(BgL_classz00_8045); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1387 */
 long BgL_idxz00_8056;
BgL_idxz00_8056 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_8047); 
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1820z00_8057;
{ /* Llib/ssl.scm 1387 */
 long BgL_arg1821z00_8058;
BgL_arg1821z00_8058 = 
(BgL_idxz00_8056+BgL_arg1830z00_8048); 
BgL_arg1820z00_8057 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_8058); } 
BgL_test4478z00_15023 = 
(BgL_arg1820z00_8057==BgL_classz00_8045); } }  else 
{ /* Llib/ssl.scm 1387 */
 bool_t BgL_res3452z00_8084;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_oclassz00_8066;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1834z00_8074; long BgL_arg1835z00_8075;
BgL_arg1834z00_8074 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1387 */
 long BgL_arg1836z00_8076;
BgL_arg1836z00_8076 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_8047); 
BgL_arg1835z00_8075 = 
(BgL_arg1836z00_8076-OBJECT_TYPE); } 
BgL_oclassz00_8066 = 
VECTOR_REF(BgL_arg1834z00_8074,BgL_arg1835z00_8075); } 
{ /* Llib/ssl.scm 1387 */
 bool_t BgL__ortest_1114z00_8067;
BgL__ortest_1114z00_8067 = 
(BgL_classz00_8045==BgL_oclassz00_8066); 
if(BgL__ortest_1114z00_8067)
{ /* Llib/ssl.scm 1387 */
BgL_res3452z00_8084 = BgL__ortest_1114z00_8067; }  else 
{ /* Llib/ssl.scm 1387 */
 long BgL_odepthz00_8068;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1824z00_8069;
BgL_arg1824z00_8069 = 
(BgL_oclassz00_8066); 
BgL_odepthz00_8068 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_8069); } 
if(
(BgL_arg1830z00_8048<BgL_odepthz00_8068))
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1822z00_8071;
{ /* Llib/ssl.scm 1387 */
 obj_t BgL_arg1823z00_8072;
BgL_arg1823z00_8072 = 
(BgL_oclassz00_8066); 
BgL_arg1822z00_8071 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_8072, BgL_arg1830z00_8048); } 
BgL_res3452z00_8084 = 
(BgL_arg1822z00_8071==BgL_classz00_8045); }  else 
{ /* Llib/ssl.scm 1387 */
BgL_res3452z00_8084 = ((bool_t)0); } } } } 
BgL_test4478z00_15023 = BgL_res3452z00_8084; } }  else 
{ /* Llib/ssl.scm 1387 */
BgL_test4478z00_15023 = ((bool_t)0)
; } } 
if(BgL_test4478z00_15023)
{ /* Llib/ssl.scm 1387 */
BgL_auxz00_15022 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5036)
; }  else 
{ 
 obj_t BgL_auxz00_15048;
BgL_auxz00_15048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(55878L), BGl_string3395z00zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5036); 
FAILURE(BgL_auxz00_15048,BFALSE,BFALSE);} } 
BgL_tmpz00_15021 = 
BGl_sslzd2cipherzd2setzd2autozd2paddingz00zz__ssl_sslz00(BgL_auxz00_15022, 
CBOOL(BgL_autozd2paddingzd2_5037)); } 
return 
BBOOL(BgL_tmpz00_15021);} } 

}



/* ssl-cipher-final */
BGL_EXPORTED_DEF obj_t BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_sslzd2cipherzd2_bglt BgL_sslzd2cipherzd2_179)
{
{ /* Llib/ssl.scm 1397 */
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_method1357z00_1779;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_res2648z00_4036;
{ /* Llib/ssl.scm 1397 */
 long BgL_objzd2classzd2numz00_4007;
BgL_objzd2classzd2numz00_4007 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_sslzd2cipherzd2_179)); 
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1831z00_4008;
BgL_arg1831z00_4008 = 
PROCEDURE_REF(BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00, 
(int)(1L)); 
{ /* Llib/ssl.scm 1397 */
 int BgL_offsetz00_4011;
BgL_offsetz00_4011 = 
(int)(BgL_objzd2classzd2numz00_4007); 
{ /* Llib/ssl.scm 1397 */
 long BgL_offsetz00_4012;
BgL_offsetz00_4012 = 
(
(long)(BgL_offsetz00_4011)-OBJECT_TYPE); 
{ /* Llib/ssl.scm 1397 */
 long BgL_modz00_4013;
BgL_modz00_4013 = 
(BgL_offsetz00_4012 >> 
(int)(
(long)(
(int)(4L)))); 
{ /* Llib/ssl.scm 1397 */
 long BgL_restz00_4015;
BgL_restz00_4015 = 
(BgL_offsetz00_4012 & 
(long)(
(int)(
(
(long)(
(int)(
(1L << 
(int)(
(long)(
(int)(4L))))))-1L)))); 
{ /* Llib/ssl.scm 1397 */

{ /* Llib/ssl.scm 1397 */
 obj_t BgL_bucketz00_4017;
BgL_bucketz00_4017 = 
VECTOR_REF(
((obj_t)BgL_arg1831z00_4008),BgL_modz00_4013); 
BgL_res2648z00_4036 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_4017),BgL_restz00_4015); } } } } } } } } 
BgL_method1357z00_1779 = BgL_res2648z00_4036; } 
return 
BGL_PROCEDURE_CALL1(BgL_method1357z00_1779, 
((obj_t)BgL_sslzd2cipherzd2_179));} } 

}



/* &ssl-cipher-final */
obj_t BGl_z62sslzd2cipherzd2finalz62zz__ssl_sslz00(obj_t BgL_envz00_5038, obj_t BgL_sslzd2cipherzd2_5039)
{
{ /* Llib/ssl.scm 1397 */
{ /* Llib/ssl.scm 1397 */
 BgL_sslzd2cipherzd2_bglt BgL_auxz00_15085;
{ /* Llib/ssl.scm 1397 */
 bool_t BgL_test4483z00_15086;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_classz00_8085;
BgL_classz00_8085 = BGl_sslzd2cipherzd2zz__ssl_sslz00; 
if(
BGL_OBJECTP(BgL_sslzd2cipherzd2_5039))
{ /* Llib/ssl.scm 1397 */
 BgL_objectz00_bglt BgL_arg1829z00_8087; long BgL_arg1830z00_8088;
BgL_arg1829z00_8087 = 
(BgL_objectz00_bglt)(BgL_sslzd2cipherzd2_5039); 
BgL_arg1830z00_8088 = 
BGL_CLASS_DEPTH(BgL_classz00_8085); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/ssl.scm 1397 */
 long BgL_idxz00_8096;
BgL_idxz00_8096 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1829z00_8087); 
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1820z00_8097;
{ /* Llib/ssl.scm 1397 */
 long BgL_arg1821z00_8098;
BgL_arg1821z00_8098 = 
(BgL_idxz00_8096+BgL_arg1830z00_8088); 
BgL_arg1820z00_8097 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg1821z00_8098); } 
BgL_test4483z00_15086 = 
(BgL_arg1820z00_8097==BgL_classz00_8085); } }  else 
{ /* Llib/ssl.scm 1397 */
 bool_t BgL_res3453z00_8124;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_oclassz00_8106;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1834z00_8114; long BgL_arg1835z00_8115;
BgL_arg1834z00_8114 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Llib/ssl.scm 1397 */
 long BgL_arg1836z00_8116;
BgL_arg1836z00_8116 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1829z00_8087); 
BgL_arg1835z00_8115 = 
(BgL_arg1836z00_8116-OBJECT_TYPE); } 
BgL_oclassz00_8106 = 
VECTOR_REF(BgL_arg1834z00_8114,BgL_arg1835z00_8115); } 
{ /* Llib/ssl.scm 1397 */
 bool_t BgL__ortest_1114z00_8107;
BgL__ortest_1114z00_8107 = 
(BgL_classz00_8085==BgL_oclassz00_8106); 
if(BgL__ortest_1114z00_8107)
{ /* Llib/ssl.scm 1397 */
BgL_res3453z00_8124 = BgL__ortest_1114z00_8107; }  else 
{ /* Llib/ssl.scm 1397 */
 long BgL_odepthz00_8108;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1824z00_8109;
BgL_arg1824z00_8109 = 
(BgL_oclassz00_8106); 
BgL_odepthz00_8108 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_8109); } 
if(
(BgL_arg1830z00_8088<BgL_odepthz00_8108))
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1822z00_8111;
{ /* Llib/ssl.scm 1397 */
 obj_t BgL_arg1823z00_8112;
BgL_arg1823z00_8112 = 
(BgL_oclassz00_8106); 
BgL_arg1822z00_8111 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_8112, BgL_arg1830z00_8088); } 
BgL_res3453z00_8124 = 
(BgL_arg1822z00_8111==BgL_classz00_8085); }  else 
{ /* Llib/ssl.scm 1397 */
BgL_res3453z00_8124 = ((bool_t)0); } } } } 
BgL_test4483z00_15086 = BgL_res3453z00_8124; } }  else 
{ /* Llib/ssl.scm 1397 */
BgL_test4483z00_15086 = ((bool_t)0)
; } } 
if(BgL_test4483z00_15086)
{ /* Llib/ssl.scm 1397 */
BgL_auxz00_15085 = 
((BgL_sslzd2cipherzd2_bglt)BgL_sslzd2cipherzd2_5039)
; }  else 
{ 
 obj_t BgL_auxz00_15111;
BgL_auxz00_15111 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string3009z00zz__ssl_sslz00, 
BINT(56307L), BGl_string3396z00zz__ssl_sslz00, BGl_string3392z00zz__ssl_sslz00, BgL_sslzd2cipherzd2_5039); 
FAILURE(BgL_auxz00_15111,BFALSE,BFALSE);} } 
return 
BGl_sslzd2cipherzd2finalz00zz__ssl_sslz00(BgL_auxz00_15085);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_sslz00(void)
{
{ /* Llib/ssl.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
