/*===========================================================================*/
/*   (Gdb/annotate.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:55:05 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/libbacktrace/usr/lib64/bigloo/4.6a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.6a-build/bigloo-4.6a/lib/bigloo/4.6a -O5 -unsafe -c Gdb/annotate.scm -o Gdb/annotate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GDB_ANNOTATE_TYPE_DEFINITIONS
#define BGL_GDB_ANNOTATE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_stackzd2framezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_numz00;
   obj_t BgL_namez00;
   obj_t BgL_argsz00;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_linezd2numzd2;
} *BgL_stackzd2framezd2_bglt;

typedef struct BgL_argz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_separatorz00;
   obj_t BgL_valuez00;
} *BgL_argz00_bglt;


#endif // BGL_GDB_ANNOTATE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62exitedzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62breakpointzd2tablezd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00(void);
extern obj_t BGl_displayzd2displayzd2tablez12z12zzcommand_displayz00(obj_t);
static obj_t BGl_z62arrayzd2sectionzd2beginzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12z12zzgdb_annotatez00(void);
static bool_t BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00;
static obj_t BGl_valuezd2parserzd2zzgdb_annotatez00(obj_t, unsigned char);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62startingzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzgdb_annotatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00(void);
extern obj_t BGl_za2bdbzd2guizd2hostzf3za2zf3zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2breakpointzd2tablezd2zzgdb_annotatez00(void);
static obj_t BGl_z62gdbzd2annotatezd2registerszd2protectzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62sourcezd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static BgL_stackzd2framezd2_bglt BGl_z62lambda1871z62zzgdb_annotatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_stackzd2framezd2_bglt BGl_z62lambda1873z62zzgdb_annotatez00(obj_t);
static obj_t BGl_z62lambda1879z62zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
BGL_EXPORTED_DECL obj_t BGl_gdbzd2disablezd2printz12z12zzgdb_annotatez00(void);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2sourceza2zd2zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62framezd2endzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62frameszd2invalidzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
extern obj_t BGl_bdbzd2demanglezd2zzpatient_manglingz00(obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_z62lambda1880z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1884z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1889z62zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2runningzf3zf3zzgdb_annotatez00(void);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzgdb_annotatez00(void);
static obj_t BGl_z62gdbzd2enablezd2explorezd2printz12za2zzgdb_annotatez00(obj_t);
static obj_t BGl_z62lambda1890z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1894z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62argzd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2setz12z12zzgdb_annotatez00(obj_t);
static obj_t BGl_z62signalledzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2enablezd2printz12z12zzgdb_annotatez00(void);
static obj_t BGl_genericzd2initzd2zzgdb_annotatez00(void);
static bool_t BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00;
static obj_t BGl_fieldzd2beginzd2parserz00zzgdb_annotatez00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2runzd2hookzd2zzgdb_annotatez00(void);
static obj_t BGl_objectzd2initzd2zzgdb_annotatez00(void);
static obj_t BGl_z62gdbzd2annotatezd2resetzd2stackzd2framesz12z70zzgdb_annotatez00(obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static bool_t BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_consolezd2sourcezd2zztools_ioz00(obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62gdbzd2annotatezd2userzd2resetzd2registersz12z70zzgdb_annotatez00(obj_t);
static obj_t BGl_z62framezd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2framezd2invalidzf3z21zzgdb_annotatez00(void);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
extern unsigned char BGl_stringzd2charzd2afterz00zztools_toolsz00(obj_t, unsigned char);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62prezd2commandszd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62gdbzd2annotatezd2runningzf3z91zzgdb_annotatez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2enablezd2explorezd2printz12zc0zzgdb_annotatez00(void);
static obj_t BGl_z62gdbzd2annotatezd2busyzf3z91zzgdb_annotatez00(obj_t);
extern bool_t BGl_newlinezf3zf3zztools_toolsz00(obj_t);
extern obj_t BGl_consolezd2echozd2editz00zztools_ioz00(obj_t, obj_t);
static obj_t BGl_z62ignorezd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62gdbzd2annotatezd2stackzd2frameszb0zzgdb_annotatez00(obj_t);
BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
static obj_t BGl_z62getzd2gdbzd2printzd2storezb0zzgdb_annotatez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_stringzd2untilzd2zztools_toolsz00(obj_t, unsigned char, int);
static bool_t BGl_za2gdbzd2annotatezd2regzd2frameszd2invalidzf3za2zf3zzgdb_annotatez00;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62gdbzd2annotatezd2runzd2hookzb0zzgdb_annotatez00(obj_t);
static obj_t BGl_z62framezd2addresszd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzgdb_annotatez00(void);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2enablezd2storezd2printz12zc0zzgdb_annotatez00(void);
static obj_t BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = BUNSPEC;
extern obj_t BGl_stringzd2untilzd2atz00zztools_toolsz00(obj_t, int, unsigned char, int);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2hookz00zzgdb_annotatez00(void);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2stackzd2frameszd2zzgdb_annotatez00(void);
static obj_t BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00 = BUNSPEC;
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
static obj_t BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62consolezd2framezb0zzgdb_annotatez00(obj_t, obj_t, obj_t);
static bool_t BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00;
BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62gdbzd2annotatezd2framezd2invalidzf3z43zzgdb_annotatez00(obj_t);
extern obj_t BGl_za2beezd2clientzf3za2z21zzengine_paramz00;
BGL_EXPORTED_DEF obj_t BGl_stackzd2framezd2zzgdb_annotatez00 = BUNSPEC;
static bool_t BGl_framezd2sourcezd2beginzd2parserzd2zzgdb_annotatez00(obj_t);
static obj_t BGl_z62signalzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62displayzd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
extern obj_t BGl_za2emacszd2clientzf3za2z21zzengine_paramz00;
static bool_t BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00;
BGL_EXPORTED_DECL obj_t BGl_getzd2gdbzd2printzd2storezd2zzgdb_annotatez00(void);
extern obj_t BGl_consolezd2echozd2zztools_ioz00(obj_t);
static obj_t BGl_z62gdbzd2enablezd2printz12z70zzgdb_annotatez00(obj_t);
static obj_t BGl_z62signalzd2handlerzd2callerzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62gdbzd2enablezd2bigloozd2printz12za2zzgdb_annotatez00(obj_t);
static obj_t BGl_z62breakpointzd2headerszd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_manglingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_explorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_displayz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_printz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_backtracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_readz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_procz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62gdbzd2annotatezd2resetzd2registersz12za2zzgdb_annotatez00(obj_t);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2argsza2z00zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_framezd2functionzd2namezd2parserzd2zzgdb_annotatez00(obj_t);
static obj_t BGl_argz00zzgdb_annotatez00 = BUNSPEC;
extern obj_t BGl_za2bdbzd2modeza2zd2zzengine_paramz00;
static obj_t BGl_z62gdbzd2disablezd2printz12z70zzgdb_annotatez00(obj_t);
static obj_t BGl_z62functionzd2callzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2userzd2resetzd2registersz12z12zzgdb_annotatez00(void);
extern obj_t BGl_bdbzd2logzd2zztools_speekz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzgdb_annotatez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzgdb_annotatez00(void);
static obj_t BGl_z62gdbzd2annotatezd2currentzd2functionzb0zzgdb_annotatez00(obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2busyzf3zf3zzgdb_annotatez00(void);
static obj_t BGl_z62findzd2annotatezd2parserz62zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62gdbzd2annotatezd2breakpointzd2tablezb0zzgdb_annotatez00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzgdb_annotatez00(void);
static obj_t BGl_z62framezd2functionzd2namezd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zzgdb_annotatez00(void);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2currentzd2framezd2setz12z12zzgdb_annotatez00(obj_t);
static obj_t BGl_z62gdbzd2annotatezd2currentzd2functionzd2setz12z70zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62gdbzd2annotatezd2currentzd2framezd2setz12z70zzgdb_annotatez00(obj_t, obj_t);
static bool_t BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00;
BGL_EXPORTED_DECL obj_t BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzgdb_annotatez00(obj_t, obj_t);
extern obj_t BGl_willzd2explorezd2valuez12z12zzcommand_explorez00(obj_t);
extern obj_t BGl_za2gdbzd2busyzd2hookza2z00zzengine_paramz00;
static obj_t BGl_z62gdbzd2annotatezd2errorzf3z91zzgdb_annotatez00(obj_t);
static obj_t BGl_z62fieldzd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62gdbzd2annotatezd2hookz62zzgdb_annotatez00(obj_t);
extern obj_t BGl_fetchzd2sourcezd2linez00zztools_toolsz00(obj_t, obj_t);
static obj_t BGl_z62stoppedzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_consolezd2framezd2zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62valuezd2historyzd2beginzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2currentzd2framezd2zzgdb_annotatez00(void);
extern obj_t BGl_consolezd2errorzd2zztools_ioz00(obj_t);
static obj_t BGl_z62breakpointzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
extern obj_t BGl_consolezd2newlinezd2zztools_ioz00(void);
static obj_t BGl_z62gdbzd2enablezd2storezd2printz12za2zzgdb_annotatez00(obj_t);
static obj_t BGl_z62errorzd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static bool_t BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00;
BGL_EXPORTED_DECL obj_t BGl_gdbzd2enablezd2bigloozd2printz12zc0zzgdb_annotatez00(void);
extern bool_t BGl_stringzd2prefixzf3z21zztools_toolsz00(obj_t, obj_t);
static obj_t BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00 = BUNSPEC;
static obj_t BGl_z62gdbzd2annotatezd2currentzd2framezb0zzgdb_annotatez00(obj_t);
extern obj_t BGl_gdbzd2readzd2linez00zzgdb_readz00(int);
static obj_t BGl_z62valuezd2beginzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1900z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1901z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_gdbzd2valuezd2ze3bdbzd2valuez31zzcommand_printz00(obj_t);
static obj_t BGl_z62breakpointszd2invalidzd2parserz62zzgdb_annotatez00(obj_t, obj_t);
static BgL_argz00_bglt BGl_z62lambda1907z62zzgdb_annotatez00(obj_t, obj_t, obj_t, obj_t);
static BgL_argz00_bglt BGl_z62lambda1909z62zzgdb_annotatez00(obj_t);
static obj_t BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = BUNSPEC;
static bool_t BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00;
static obj_t BGl_arrayzd2sectionzd2beginzd2parserzd2zzgdb_annotatez00(obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1916z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static BgL_argz00_bglt BGl_argzd2beginzd2parserz00zzgdb_annotatez00(obj_t);
static obj_t BGl_z62errorzd2parserzb0zzgdb_annotatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_gdbzd2annotatezd2resetzd2registersz12zc0zzgdb_annotatez00(void);
static obj_t BGl_z62lambda1920z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1921z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zzgdb_annotatez00(obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zzgdb_annotatez00(obj_t, obj_t, obj_t);
static obj_t __cnst[ 35 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_errorzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762errorza7d2parse2066z00, BGl_z62errorzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2040z00zzgdb_annotatez00, BgL_bgl_string2040za700za7za7g2067za7, "\032\032display-end", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_framezd2endzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762frameza7d2endza7d2068za7, BGl_z62framezd2endzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_errorzd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762errorza7d2begin2069z00, BGl_z62errorzd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2busyzf3zd2envz21zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2070z00, BGl_z62gdbzd2annotatezd2busyzf3z91zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2041z00zzgdb_annotatez00, BgL_bgl_za762lambda1880za7622071z00, BGl_z62lambda1880z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2042z00zzgdb_annotatez00, BgL_bgl_za762lambda1879za7622072z00, BGl_z62lambda1879z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2043z00zzgdb_annotatez00, BgL_bgl_za762lambda1885za7622073z00, BGl_z62lambda1885z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2044z00zzgdb_annotatez00, BgL_bgl_za762lambda1884za7622074z00, BGl_z62lambda1884z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2045z00zzgdb_annotatez00, BgL_bgl_za762lambda1890za7622075z00, BGl_z62lambda1890z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2046z00zzgdb_annotatez00, BgL_bgl_za762lambda1889za7622076z00, BGl_z62lambda1889z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2047z00zzgdb_annotatez00, BgL_bgl_za762lambda1895za7622077z00, BGl_z62lambda1895z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2048z00zzgdb_annotatez00, BgL_bgl_za762lambda1894za7622078z00, BGl_z62lambda1894z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2049z00zzgdb_annotatez00, BgL_bgl_za762lambda1901za7622079z00, BGl_z62lambda1901z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_stoppedzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762stoppedza7d2par2080z00, BGl_z62stoppedzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2050z00zzgdb_annotatez00, BgL_bgl_za762lambda1900za7622081z00, BGl_z62lambda1900z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2051z00zzgdb_annotatez00, BgL_bgl_za762za7c3za704anonymo2082za7, BGl_z62zc3z04anonymousza31875ze3ze5zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2052z00zzgdb_annotatez00, BgL_bgl_za762lambda1873za7622083z00, BGl_z62lambda1873z62zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2053z00zzgdb_annotatez00, BgL_bgl_za762lambda1871za7622084z00, BGl_z62lambda1871z62zzgdb_annotatez00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2054z00zzgdb_annotatez00, BgL_bgl_za762lambda1916za7622085z00, BGl_z62lambda1916z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2055z00zzgdb_annotatez00, BgL_bgl_za762lambda1915za7622086z00, BGl_z62lambda1915z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2056z00zzgdb_annotatez00, BgL_bgl_za762lambda1921za7622087z00, BGl_z62lambda1921z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2063z00zzgdb_annotatez00, BgL_bgl_string2063za700za7za7g2088za7, "gdb_annotate", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2057z00zzgdb_annotatez00, BgL_bgl_za762lambda1920za7622089z00, BGl_z62lambda1920z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2064z00zzgdb_annotatez00, BgL_bgl_string2064za700za7za7g2090za7, "arg value separator gdb_annotate stack-frame line-num obj file-name pair-nil args name bstring num :display-begin-parser no-breakpoint :array-section-begin-parser :field-begin-parser :value-history-begin-parser :value-begin-parser :signalled-parser #z4 #z3 #z2 :frame-source-begin-parser :arg-begin-parser :frame-function-name-parser :frame-address-parser #z1 store explore bigloo short (short breakpoint) c breakpoint ", 419 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2058z00zzgdb_annotatez00, BgL_bgl_za762lambda1926za7622091z00, BGl_z62lambda1926z62zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2059z00zzgdb_annotatez00, BgL_bgl_za762lambda1925za7622092z00, BGl_z62lambda1925z62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2enablezd2storezd2printz12zd2envz12zzgdb_annotatez00, BgL_bgl_za762gdbza7d2enableza72093za7, BGl_z62gdbzd2enablezd2storezd2printz12za2zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2framezd2invalidzf3zd2envzf3zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2094z00, BGl_z62gdbzd2annotatezd2framezd2invalidzf3z43zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2060z00zzgdb_annotatez00, BgL_bgl_za762za7c3za704anonymo2095za7, BGl_z62zc3z04anonymousza31911ze3ze5zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2061z00zzgdb_annotatez00, BgL_bgl_za762lambda1909za7622096z00, BGl_z62lambda1909z62zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2registerszd2protectzd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2097z00, BGl_z62gdbzd2annotatezd2registerszd2protectzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2062z00zzgdb_annotatez00, BgL_bgl_za762lambda1907za7622098z00, BGl_z62lambda1907z62zzgdb_annotatez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_consolezd2framezd2envz00zzgdb_annotatez00, BgL_bgl_za762consoleza7d2fra2099z00, BGl_z62consolezd2framezb0zzgdb_annotatez00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_fieldzd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762fieldza7d2begin2100z00, BGl_z62fieldzd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2disablezd2printz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2disable2101z00, BGl_z62gdbzd2disablezd2printz12z70zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2resetzd2registersz12zd2envz12zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2102z00, BGl_z62gdbzd2annotatezd2resetzd2registersz12za2zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_breakpointzd2tablezd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762breakpointza7d22103z00, BGl_z62breakpointzd2tablezd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2runningzf3zd2envz21zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2104z00, BGl_z62gdbzd2annotatezd2runningzf3z91zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2enablezd2explorezd2printz12zd2envz12zzgdb_annotatez00, BgL_bgl_za762gdbza7d2enableza72105za7, BGl_z62gdbzd2enablezd2explorezd2printz12za2zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2errorzf3zd2envz21zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2106z00, BGl_z62gdbzd2annotatezd2errorzf3z91zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2gdbzd2printzd2storezd2envz00zzgdb_annotatez00, BgL_bgl_za762getza7d2gdbza7d2p2107za7, BGl_z62getzd2gdbzd2printzd2storezb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2currentzd2functionzd2setz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2108z00, BGl_z62gdbzd2annotatezd2currentzd2functionzd2setz12z70zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2currentzd2framezd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2109z00, BGl_z62gdbzd2annotatezd2currentzd2framezb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_framezd2functionzd2namezd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762frameza7d2funct2110z00, BGl_z62framezd2functionzd2namezd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2111z00, BGl_z62gdbzd2annotatezd2resetzd2stackzd2framesz12z70zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_framezd2addresszd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762frameza7d2addre2112z00, BGl_z62framezd2addresszd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_ignorezd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762ignoreza7d2pars2113z00, BGl_z62ignorezd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2userzd2resetzd2registersz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2114z00, BGl_z62gdbzd2annotatezd2userzd2resetzd2registersz12z70zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_valuezd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762valueza7d2begin2115z00, BGl_z62valuezd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_frameszd2invalidzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762framesza7d2inva2116z00, BGl_z62frameszd2invalidzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1933z00zzgdb_annotatez00, BgL_bgl_string1933za700za7za7g2117za7, "\032\032quit", 6 );
DEFINE_STRING( BGl_string1934z00zzgdb_annotatez00, BgL_bgl_string1934za700za7za7g2118za7, "\032\032exited", 8 );
DEFINE_STRING( BGl_string1935z00zzgdb_annotatez00, BgL_bgl_string1935za700za7za7g2119za7, "\032\032signal", 8 );
DEFINE_STRING( BGl_string1936z00zzgdb_annotatez00, BgL_bgl_string1936za700za7za7g2120za7, "\032\032signalled", 11 );
DEFINE_STRING( BGl_string1937z00zzgdb_annotatez00, BgL_bgl_string1937za700za7za7g2121za7, "\032\032stopped\n", 10 );
DEFINE_STRING( BGl_string1938z00zzgdb_annotatez00, BgL_bgl_string1938za700za7za7g2122za7, "\032\032starting\n", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2currentzd2framezd2setz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2123z00, BGl_z62gdbzd2annotatezd2currentzd2framezd2setz12z70zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1939z00zzgdb_annotatez00, BgL_bgl_string1939za700za7za7g2124za7, "\032\032display-begin", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_prezd2commandszd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762preza7d2command2125z00, BGl_z62prezd2commandszd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_signalzd2handlerzd2callerzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762signalza7d2hand2126z00, BGl_z62signalzd2handlerzd2callerzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2enablezd2bigloozd2printz12zd2envz12zzgdb_annotatez00, BgL_bgl_za762gdbza7d2enableza72127za7, BGl_z62gdbzd2enablezd2bigloozd2printz12za2zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1940z00zzgdb_annotatez00, BgL_bgl_string1940za700za7za7g2128za7, "\032\032frames-invalid\n", 17 );
DEFINE_STRING( BGl_string1941z00zzgdb_annotatez00, BgL_bgl_string1941za700za7za7g2129za7, "\032\032breakpoints-invalid\n", 22 );
DEFINE_STRING( BGl_string1942z00zzgdb_annotatez00, BgL_bgl_string1942za700za7za7g2130za7, "\032\032breakpoint ", 13 );
DEFINE_STRING( BGl_string1943z00zzgdb_annotatez00, BgL_bgl_string1943za700za7za7g2131za7, "\032\032error-begin\n", 14 );
DEFINE_STRING( BGl_string1944z00zzgdb_annotatez00, BgL_bgl_string1944za700za7za7g2132za7, "\032\032error\n", 8 );
DEFINE_STRING( BGl_string1945z00zzgdb_annotatez00, BgL_bgl_string1945za700za7za7g2133za7, "\032\032frame-begin", 13 );
DEFINE_STRING( BGl_string1946z00zzgdb_annotatez00, BgL_bgl_string1946za700za7za7g2134za7, "\032\032frame-end\n", 12 );
DEFINE_STRING( BGl_string1947z00zzgdb_annotatez00, BgL_bgl_string1947za700za7za7g2135za7, "\032\032frame-address\n", 16 );
DEFINE_STRING( BGl_string1948z00zzgdb_annotatez00, BgL_bgl_string1948za700za7za7g2136za7, "\032\032frame-function-name\n", 22 );
DEFINE_STRING( BGl_string1949z00zzgdb_annotatez00, BgL_bgl_string1949za700za7za7g2137za7, "\032\032function-call\n", 16 );
DEFINE_STRING( BGl_string1950z00zzgdb_annotatez00, BgL_bgl_string1950za700za7za7g2138za7, "\032\032signal-handler-caller\n", 24 );
DEFINE_STRING( BGl_string1951z00zzgdb_annotatez00, BgL_bgl_string1951za700za7za7g2139za7, "\032\032source ", 9 );
DEFINE_STRING( BGl_string1952z00zzgdb_annotatez00, BgL_bgl_string1952za700za7za7g2140za7, "\032\032breakpoints-headers\n", 22 );
DEFINE_STRING( BGl_string1953z00zzgdb_annotatez00, BgL_bgl_string1953za700za7za7g2141za7, "\032\032breakpoints-table-end\n", 24 );
DEFINE_STRING( BGl_string1954z00zzgdb_annotatez00, BgL_bgl_string1954za700za7za7g2142za7, "\032\032arg-begin", 11 );
DEFINE_STRING( BGl_string1955z00zzgdb_annotatez00, BgL_bgl_string1955za700za7za7g2143za7, "\032\032post-prompt\n", 14 );
DEFINE_STRING( BGl_string1956z00zzgdb_annotatez00, BgL_bgl_string1956za700za7za7g2144za7, "\032\032pre-prompt\n", 13 );
DEFINE_STRING( BGl_string1957z00zzgdb_annotatez00, BgL_bgl_string1957za700za7za7g2145za7, "\032\032prompt\n", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_framezd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762frameza7d2begin2146z00, BGl_z62framezd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1958z00zzgdb_annotatez00, BgL_bgl_string1958za700za7za7g2147za7, "\032\032query\n", 8 );
DEFINE_STRING( BGl_string1959z00zzgdb_annotatez00, BgL_bgl_string1959za700za7za7g2148za7, "\032\032overload-choice\n", 18 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_arrayzd2sectionzd2beginzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762arrayza7d2secti2149z00, BGl_z62arrayzd2sectionzd2beginzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1960z00zzgdb_annotatez00, BgL_bgl_string1960za700za7za7g2150za7, "\032\032prompt-for-continue\n", 22 );
DEFINE_STRING( BGl_string1961z00zzgdb_annotatez00, BgL_bgl_string1961za700za7za7g2151za7, "\032\032value-history-begin", 21 );
DEFINE_STRING( BGl_string1962z00zzgdb_annotatez00, BgL_bgl_string1962za700za7za7g2152za7, "\032\032value-begin", 13 );
DEFINE_STRING( BGl_string1963z00zzgdb_annotatez00, BgL_bgl_string1963za700za7za7g2153za7, "\032\032field-begin", 13 );
DEFINE_STRING( BGl_string1964z00zzgdb_annotatez00, BgL_bgl_string1964za700za7za7g2154za7, "\032\032array-section-begin", 21 );
DEFINE_STRING( BGl_string1965z00zzgdb_annotatez00, BgL_bgl_string1965za700za7za7g2155za7, "\032\032pre-commands", 14 );
DEFINE_STRING( BGl_string1966z00zzgdb_annotatez00, BgL_bgl_string1966za700za7za7g2156za7, "\032\032post-commands", 15 );
DEFINE_STRING( BGl_string1967z00zzgdb_annotatez00, BgL_bgl_string1967za700za7za7g2157za7, "\032\032commands", 10 );
DEFINE_STRING( BGl_string1968z00zzgdb_annotatez00, BgL_bgl_string1968za700za7za7g2158za7, "#", 1 );
DEFINE_STRING( BGl_string1969z00zzgdb_annotatez00, BgL_bgl_string1969za700za7za7g2159za7, "   ", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_breakpointzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762breakpointza7d22160z00, BGl_z62breakpointzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_signalledzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762signalledza7d2p2161z00, BGl_z62signalledzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1970z00zzgdb_annotatez00, BgL_bgl_string1970za700za7za7g2162za7, "()", 2 );
DEFINE_STRING( BGl_string1971z00zzgdb_annotatez00, BgL_bgl_string1971za700za7za7g2163za7, "(...)", 5 );
DEFINE_STRING( BGl_string1972z00zzgdb_annotatez00, BgL_bgl_string1972za700za7za7g2164za7, " at ", 4 );
DEFINE_STRING( BGl_string1973z00zzgdb_annotatez00, BgL_bgl_string1973za700za7za7g2165za7, ":", 1 );
DEFINE_STRING( BGl_string1974z00zzgdb_annotatez00, BgL_bgl_string1974za700za7za7g2166za7, "\077\077? <no source info available>", 30 );
DEFINE_STRING( BGl_string1975z00zzgdb_annotatez00, BgL_bgl_string1975za700za7za7g2167za7, "error-begin-parser", 18 );
DEFINE_STRING( BGl_string1976z00zzgdb_annotatez00, BgL_bgl_string1976za700za7za7g2168za7, "Illegal markup", 14 );
DEFINE_STRING( BGl_string1977z00zzgdb_annotatez00, BgL_bgl_string1977za700za7za7g2169za7, " ", 1 );
DEFINE_STRING( BGl_string1978z00zzgdb_annotatez00, BgL_bgl_string1978za700za7za7g2170za7, "frame-end-parser: FRAME: ", 25 );
DEFINE_STRING( BGl_string1979z00zzgdb_annotatez00, BgL_bgl_string1979za700za7za7g2171za7, "}", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2hookzd2envzd2zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2172z00, BGl_z62gdbzd2annotatezd2hookz62zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1980z00zzgdb_annotatez00, BgL_bgl_string1980za700za7za7g2173za7, "}<->{", 5 );
DEFINE_STRING( BGl_string1981z00zzgdb_annotatez00, BgL_bgl_string1981za700za7za7g2174za7, "\032\032frame-address-end\n", 20 );
DEFINE_STRING( BGl_string1982z00zzgdb_annotatez00, BgL_bgl_string1982za700za7za7g2175za7, " {", 2 );
DEFINE_STRING( BGl_string1983z00zzgdb_annotatez00, BgL_bgl_string1983za700za7za7g2176za7, "check-line: ", 12 );
DEFINE_STRING( BGl_string1984z00zzgdb_annotatez00, BgL_bgl_string1984za700za7za7g2177za7, "check-line", 10 );
DEFINE_STRING( BGl_string1985z00zzgdb_annotatez00, BgL_bgl_string1985za700za7za7g2178za7, "Illegal line (", 14 );
DEFINE_STRING( BGl_string1986z00zzgdb_annotatez00, BgL_bgl_string1986za700za7za7g2179za7, " expected)", 10 );
DEFINE_STRING( BGl_string1987z00zzgdb_annotatez00, BgL_bgl_string1987za700za7za7g2180za7, "\032\032frame-args\n", 13 );
DEFINE_STRING( BGl_string1988z00zzgdb_annotatez00, BgL_bgl_string1988za700za7za7g2181za7, " (", 2 );
DEFINE_STRING( BGl_string1989z00zzgdb_annotatez00, BgL_bgl_string1989za700za7za7g2182za7, " ()", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2stackzd2frameszd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2183z00, BGl_z62gdbzd2annotatezd2stackzd2frameszb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1990z00zzgdb_annotatez00, BgL_bgl_string1990za700za7za7g2184za7, ")\n", 2 );
DEFINE_STRING( BGl_string1991z00zzgdb_annotatez00, BgL_bgl_string1991za700za7za7g2185za7, "\032\032frame-source-begin\n", 21 );
DEFINE_STRING( BGl_string1992z00zzgdb_annotatez00, BgL_bgl_string1992za700za7za7g2186za7, "\032\032frame-where\n", 14 );
DEFINE_STRING( BGl_string1993z00zzgdb_annotatez00, BgL_bgl_string1993za700za7za7g2187za7, ", \n", 3 );
DEFINE_STRING( BGl_string1994z00zzgdb_annotatez00, BgL_bgl_string1994za700za7za7g2188za7, "\032\032arg-begin\n", 12 );
DEFINE_STRING( BGl_string1995z00zzgdb_annotatez00, BgL_bgl_string1995za700za7za7g2189za7, "\032\032arg-name-end\n", 15 );
DEFINE_STRING( BGl_string1996z00zzgdb_annotatez00, BgL_bgl_string1996za700za7za7g2190za7, "\032\032arg-value", 11 );
DEFINE_STRING( BGl_string1997z00zzgdb_annotatez00, BgL_bgl_string1997za700za7za7g2191za7, "\032\032arg-end", 9 );
DEFINE_STRING( BGl_string1998z00zzgdb_annotatez00, BgL_bgl_string1998za700za7za7g2192za7, "\032\032frame-source-file\n", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2enablezd2printz12zd2envzc0zzgdb_annotatez00, BgL_bgl_za762gdbza7d2enableza72193za7, BGl_z62gdbzd2enablezd2printz12z70zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1999z00zzgdb_annotatez00, BgL_bgl_string1999za700za7za7g2194za7, "\032\032frame-source-file-end\n", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2breakpointzd2tablezd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2195z00, BGl_z62gdbzd2annotatezd2breakpointzd2tablezb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2runzd2hookzd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2196z00, BGl_z62gdbzd2annotatezd2runzd2hookzb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_argzd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762argza7d2beginza7d2197za7, BGl_z62argzd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_valuezd2historyzd2beginzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762valueza7d2histo2198z00, BGl_z62valuezd2historyzd2beginzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_startingzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762startingza7d2pa2199z00, BGl_z62startingzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_sourcezd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762sourceza7d2pars2200z00, BGl_z62sourcezd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_displayzd2beginzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762displayza7d2beg2201z00, BGl_z62displayzd2beginzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_functionzd2callzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762functionza7d2ca2202z00, BGl_z62functionzd2callzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_breakpointszd2invalidzd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762breakpointsza7d2203z00, BGl_z62breakpointszd2invalidzd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_signalzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762signalza7d2pars2204z00, BGl_z62signalzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2000z00zzgdb_annotatez00, BgL_bgl_string2000za700za7za7g2205za7, "\032\032frame-source-line\n", 20 );
DEFINE_STRING( BGl_string2001z00zzgdb_annotatez00, BgL_bgl_string2001za700za7za7g2206za7, "\032\032frame-source-end\n", 19 );
DEFINE_STRING( BGl_string2002z00zzgdb_annotatez00, BgL_bgl_string2002za700za7za7g2207za7, "\032\032", 2 );
DEFINE_STRING( BGl_string2003z00zzgdb_annotatez00, BgL_bgl_string2003za700za7za7g2208za7, "\032\032signal-name\n", 14 );
DEFINE_STRING( BGl_string2004z00zzgdb_annotatez00, BgL_bgl_string2004za700za7za7g2209za7, "\032\032signal-name-end", 17 );
DEFINE_STRING( BGl_string2005z00zzgdb_annotatez00, BgL_bgl_string2005za700za7za7g2210za7, ",", 1 );
DEFINE_STRING( BGl_string2006z00zzgdb_annotatez00, BgL_bgl_string2006za700za7za7g2211za7, "\032\032signal-string", 15 );
DEFINE_STRING( BGl_string2007z00zzgdb_annotatez00, BgL_bgl_string2007za700za7za7g2212za7, "Signal received: ", 17 );
DEFINE_STRING( BGl_string2008z00zzgdb_annotatez00, BgL_bgl_string2008za700za7za7g2213za7, "\032\032signal-string-end", 19 );
DEFINE_STRING( BGl_string2009z00zzgdb_annotatez00, BgL_bgl_string2009za700za7za7g2214za7, "\032\032value-end", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gdbzd2annotatezd2currentzd2functionzd2envz00zzgdb_annotatez00, BgL_bgl_za762gdbza7d2annotat2215z00, BGl_z62gdbzd2annotatezd2currentzd2functionzb0zzgdb_annotatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2010z00zzgdb_annotatez00, BgL_bgl_string2010za700za7za7g2216za7, "\032\032value-history-value\n", 22 );
DEFINE_STRING( BGl_string2011z00zzgdb_annotatez00, BgL_bgl_string2011za700za7za7g2217za7, "\032\032value-history-end", 19 );
DEFINE_STRING( BGl_string2012z00zzgdb_annotatez00, BgL_bgl_string2012za700za7za7g2218za7, "", 0 );
DEFINE_STRING( BGl_string2013z00zzgdb_annotatez00, BgL_bgl_string2013za700za7za7g2219za7, "\n", 1 );
DEFINE_STRING( BGl_string2014z00zzgdb_annotatez00, BgL_bgl_string2014za700za7za7g2220za7, "\032\032field-name-end\n", 17 );
DEFINE_STRING( BGl_string2015z00zzgdb_annotatez00, BgL_bgl_string2015za700za7za7g2221za7, "\032\032field-value\n", 14 );
DEFINE_STRING( BGl_string2016z00zzgdb_annotatez00, BgL_bgl_string2016za700za7za7g2222za7, "\032\032field-end", 11 );
DEFINE_STRING( BGl_string2017z00zzgdb_annotatez00, BgL_bgl_string2017za700za7za7g2223za7, "\n  ", 3 );
DEFINE_STRING( BGl_string2018z00zzgdb_annotatez00, BgL_bgl_string2018za700za7za7g2224za7, " = ", 3 );
DEFINE_STRING( BGl_string2019z00zzgdb_annotatez00, BgL_bgl_string2019za700za7za7g2225za7, "  ", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_breakpointzd2headerszd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762breakpointza7d22226z00, BGl_z62breakpointzd2headerszd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zzgdb_annotatez00, BgL_bgl_string2020za700za7za7g2227za7, "\032\032array-section-end", 19 );
DEFINE_STRING( BGl_string2021z00zzgdb_annotatez00, BgL_bgl_string2021za700za7za7g2228za7, ", ", 2 );
DEFINE_STRING( BGl_string2022z00zzgdb_annotatez00, BgL_bgl_string2022za700za7za7g2229za7, "\032\032elt", 5 );
DEFINE_STRING( BGl_string2023z00zzgdb_annotatez00, BgL_bgl_string2023za700za7za7g2230za7, "\032\032elt-rep", 9 );
DEFINE_STRING( BGl_string2024z00zzgdb_annotatez00, BgL_bgl_string2024za700za7za7g2231za7, "\032\032elt-rep-end", 13 );
DEFINE_STRING( BGl_string2025z00zzgdb_annotatez00, BgL_bgl_string2025za700za7za7g2232za7, "]", 1 );
DEFINE_STRING( BGl_string2026z00zzgdb_annotatez00, BgL_bgl_string2026za700za7za7g2233za7, "Illegal array -- [", 18 );
DEFINE_STRING( BGl_string2027z00zzgdb_annotatez00, BgL_bgl_string2027za700za7za7g2234za7, "bdb", 3 );
DEFINE_STRING( BGl_string2028z00zzgdb_annotatez00, BgL_bgl_string2028za700za7za7g2235za7, "\032\032field", 7 );
DEFINE_STRING( BGl_string2029z00zzgdb_annotatez00, BgL_bgl_string2029za700za7za7g2236za7, "\032\032breakpoints-table\n", 20 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_exitedzd2parserzd2envz00zzgdb_annotatez00, BgL_bgl_za762exitedza7d2pars2237z00, BGl_z62exitedzd2parserzb0zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2annotatezd2parserzd2envzd2zzgdb_annotatez00, BgL_bgl_za762findza7d2annota2238z00, BGl_z62findzd2annotatezd2parserz62zzgdb_annotatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2030z00zzgdb_annotatez00, BgL_bgl_string2030za700za7za7g2239za7, "breakpoint-headers-parser", 25 );
DEFINE_STRING( BGl_string2031z00zzgdb_annotatez00, BgL_bgl_string2031za700za7za7g2240za7, "Illegal header line", 19 );
DEFINE_STRING( BGl_string2032z00zzgdb_annotatez00, BgL_bgl_string2032za700za7za7g2241za7, "\032\032record\n", 9 );
DEFINE_STRING( BGl_string2033z00zzgdb_annotatez00, BgL_bgl_string2033za700za7za7g2242za7, "breakpoint-records-parser", 25 );
DEFINE_STRING( BGl_string2034z00zzgdb_annotatez00, BgL_bgl_string2034za700za7za7g2243za7, "Illegal records line", 20 );
DEFINE_STRING( BGl_string2035z00zzgdb_annotatez00, BgL_bgl_string2035za700za7za7g2244za7, "\032\032display-number-end\n", 21 );
DEFINE_STRING( BGl_string2036z00zzgdb_annotatez00, BgL_bgl_string2036za700za7za7g2245za7, "\032\032display-format\n", 17 );
DEFINE_STRING( BGl_string2037z00zzgdb_annotatez00, BgL_bgl_string2037za700za7za7g2246za7, "\032\032display-expression\n", 21 );
DEFINE_STRING( BGl_string2038z00zzgdb_annotatez00, BgL_bgl_string2038za700za7za7g2247za7, "\032\032display-expression-end\n", 25 );
DEFINE_STRING( BGl_string2039z00zzgdb_annotatez00, BgL_bgl_string2039za700za7za7g2248za7, "\032\032display", 9 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2sourceza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_stackzd2framezd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2argsza2z00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_argz00zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00) );
ADD_ROOT( (void *)(&BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long BgL_checksumz00_2325, char * BgL_fromz00_2326)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzgdb_annotatez00))
{ 
BGl_requirezd2initializa7ationz75zzgdb_annotatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzgdb_annotatez00(); 
BGl_libraryzd2moduleszd2initz00zzgdb_annotatez00(); 
BGl_cnstzd2initzd2zzgdb_annotatez00(); 
BGl_importedzd2moduleszd2initz00zzgdb_annotatez00(); 
BGl_objectzd2initzd2zzgdb_annotatez00(); 
return 
BGl_toplevelzd2initzd2zzgdb_annotatez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "gdb_annotate"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "gdb_annotate"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
{ /* Gdb/annotate.scm 14 */
 obj_t BgL_cportz00_1995;
{ /* Gdb/annotate.scm 14 */
 obj_t BgL_stringz00_2002;
BgL_stringz00_2002 = BGl_string2064z00zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 14 */
 obj_t BgL_startz00_2003;
BgL_startz00_2003 = 
BINT(0L); 
{ /* Gdb/annotate.scm 14 */
 obj_t BgL_endz00_2004;
BgL_endz00_2004 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2002))); 
{ /* Gdb/annotate.scm 14 */

BgL_cportz00_1995 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2002, BgL_startz00_2003, BgL_endz00_2004); } } } } 
{ 
 long BgL_iz00_1996;
BgL_iz00_1996 = 34L; 
BgL_loopz00_1997:
if(
(BgL_iz00_1996==(-1L)))
{ /* Gdb/annotate.scm 14 */
return BUNSPEC;}  else 
{ /* Gdb/annotate.scm 14 */
{ /* Gdb/annotate.scm 14 */
 obj_t BgL_arg2065z00_1998;
{ /* Gdb/annotate.scm 14 */

{ /* Gdb/annotate.scm 14 */
 obj_t BgL_locationz00_2000;
BgL_locationz00_2000 = 
BBOOL(((bool_t)0)); 
{ /* Gdb/annotate.scm 14 */

BgL_arg2065z00_1998 = 
BGl_readz00zz__readerz00(BgL_cportz00_1995, BgL_locationz00_2000); } } } 
{ /* Gdb/annotate.scm 14 */
 int BgL_tmpz00_2358;
BgL_tmpz00_2358 = 
(int)(BgL_iz00_1996); 
CNST_TABLE_SET(BgL_tmpz00_2358, BgL_arg2065z00_1998); } } 
{ /* Gdb/annotate.scm 14 */
 int BgL_auxz00_2001;
BgL_auxz00_2001 = 
(int)(
(BgL_iz00_1996-1L)); 
{ 
 long BgL_iz00_2363;
BgL_iz00_2363 = 
(long)(BgL_auxz00_2001); 
BgL_iz00_1996 = BgL_iz00_2363; 
goto BgL_loopz00_1997;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2frameszd2invalidzf3za2zf3zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00 = 
BINT(0L); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2argsza2z00zzgdb_annotatez00 = BNIL; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2sourceza2zd2zzgdb_annotatez00 = BNIL; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00 = 
BINT((-1L)); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00 = BNIL; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00 = BFALSE; 
BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00 = BNIL; 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = BFALSE; 
BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = BNIL; 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = BNIL; 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_642;
BgL_arg1180z00_642 = 
MAKE_YOUNG_PAIR(BGl_string1933z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_642, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_643;
BgL_arg1180z00_643 = 
MAKE_YOUNG_PAIR(BGl_string1934z00zzgdb_annotatez00, BGl_exitedzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_643, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_644;
BgL_arg1180z00_644 = 
MAKE_YOUNG_PAIR(BGl_string1935z00zzgdb_annotatez00, BGl_signalzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_644, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_645;
BgL_arg1180z00_645 = 
MAKE_YOUNG_PAIR(BGl_string1936z00zzgdb_annotatez00, BGl_signalledzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_645, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_646;
BgL_arg1180z00_646 = 
MAKE_YOUNG_PAIR(BGl_string1937z00zzgdb_annotatez00, BGl_stoppedzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_646, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_647;
BgL_arg1180z00_647 = 
MAKE_YOUNG_PAIR(BGl_string1938z00zzgdb_annotatez00, BGl_startingzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_647, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_648;
BgL_arg1180z00_648 = 
MAKE_YOUNG_PAIR(BGl_string1939z00zzgdb_annotatez00, BGl_displayzd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_648, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_649;
BgL_arg1180z00_649 = 
MAKE_YOUNG_PAIR(BGl_string1940z00zzgdb_annotatez00, BGl_frameszd2invalidzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_649, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_650;
BgL_arg1180z00_650 = 
MAKE_YOUNG_PAIR(BGl_string1941z00zzgdb_annotatez00, BGl_breakpointszd2invalidzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_650, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_651;
BgL_arg1180z00_651 = 
MAKE_YOUNG_PAIR(BGl_string1942z00zzgdb_annotatez00, BGl_breakpointzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_651, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_652;
BgL_arg1180z00_652 = 
MAKE_YOUNG_PAIR(BGl_string1943z00zzgdb_annotatez00, BGl_errorzd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_652, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_653;
BgL_arg1180z00_653 = 
MAKE_YOUNG_PAIR(BGl_string1944z00zzgdb_annotatez00, BGl_errorzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_653, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_654;
BgL_arg1180z00_654 = 
MAKE_YOUNG_PAIR(BGl_string1945z00zzgdb_annotatez00, BGl_framezd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_654, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_655;
BgL_arg1180z00_655 = 
MAKE_YOUNG_PAIR(BGl_string1946z00zzgdb_annotatez00, BGl_framezd2endzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_655, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_656;
BgL_arg1180z00_656 = 
MAKE_YOUNG_PAIR(BGl_string1947z00zzgdb_annotatez00, BGl_framezd2addresszd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_656, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_657;
BgL_arg1180z00_657 = 
MAKE_YOUNG_PAIR(BGl_string1948z00zzgdb_annotatez00, BGl_framezd2functionzd2namezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_657, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_658;
BgL_arg1180z00_658 = 
MAKE_YOUNG_PAIR(BGl_string1949z00zzgdb_annotatez00, BGl_functionzd2callzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_658, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_659;
BgL_arg1180z00_659 = 
MAKE_YOUNG_PAIR(BGl_string1950z00zzgdb_annotatez00, BGl_signalzd2handlerzd2callerzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_659, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_660;
BgL_arg1180z00_660 = 
MAKE_YOUNG_PAIR(BGl_string1951z00zzgdb_annotatez00, BGl_sourcezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_660, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_661;
BgL_arg1180z00_661 = 
MAKE_YOUNG_PAIR(BGl_string1952z00zzgdb_annotatez00, BGl_breakpointzd2headerszd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_661, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_662;
BgL_arg1180z00_662 = 
MAKE_YOUNG_PAIR(BGl_string1953z00zzgdb_annotatez00, BGl_breakpointzd2tablezd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_662, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_663;
BgL_arg1180z00_663 = 
MAKE_YOUNG_PAIR(BGl_string1954z00zzgdb_annotatez00, BGl_argzd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_663, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_664;
BgL_arg1180z00_664 = 
MAKE_YOUNG_PAIR(BGl_string1955z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_664, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_665;
BgL_arg1180z00_665 = 
MAKE_YOUNG_PAIR(BGl_string1956z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_665, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_666;
BgL_arg1180z00_666 = 
MAKE_YOUNG_PAIR(BGl_string1957z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_666, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_667;
BgL_arg1180z00_667 = 
MAKE_YOUNG_PAIR(BGl_string1958z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_667, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_668;
BgL_arg1180z00_668 = 
MAKE_YOUNG_PAIR(BGl_string1959z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_668, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_669;
BgL_arg1180z00_669 = 
MAKE_YOUNG_PAIR(BGl_string1960z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_669, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_670;
BgL_arg1180z00_670 = 
MAKE_YOUNG_PAIR(BGl_string1961z00zzgdb_annotatez00, BGl_valuezd2historyzd2beginzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_670, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_671;
BgL_arg1180z00_671 = 
MAKE_YOUNG_PAIR(BGl_string1962z00zzgdb_annotatez00, BGl_valuezd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_671, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_672;
BgL_arg1180z00_672 = 
MAKE_YOUNG_PAIR(BGl_string1963z00zzgdb_annotatez00, BGl_fieldzd2beginzd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_672, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_673;
BgL_arg1180z00_673 = 
MAKE_YOUNG_PAIR(BGl_string1964z00zzgdb_annotatez00, BGl_arrayzd2sectionzd2beginzd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_673, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_674;
BgL_arg1180z00_674 = 
MAKE_YOUNG_PAIR(BGl_string1965z00zzgdb_annotatez00, BGl_prezd2commandszd2parserzd2envzd2zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_674, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_675;
BgL_arg1180z00_675 = 
MAKE_YOUNG_PAIR(BGl_string1966z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_675, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 377 */
 obj_t BgL_arg1180z00_676;
BgL_arg1180z00_676 = 
MAKE_YOUNG_PAIR(BGl_string1967z00zzgdb_annotatez00, BGl_ignorezd2parserzd2envz00zzgdb_annotatez00); 
return ( 
BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1180z00_676, BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00), BUNSPEC) ;} } 

}



/* gdb-annotate-reset-registers! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2resetzd2registersz12zc0zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 126 */
BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00 = BNIL; 
BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
return ( 
BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00 = ((bool_t)0), BUNSPEC) ;} 

}



/* &gdb-annotate-reset-registers! */
obj_t BGl_z62gdbzd2annotatezd2resetzd2registersz12za2zzgdb_annotatez00(obj_t BgL_envz00_1887)
{
{ /* Gdb/annotate.scm 126 */
return 
BGl_gdbzd2annotatezd2resetzd2registersz12zc0zzgdb_annotatez00();} 

}



/* gdb-annotate-registers-protect */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(obj_t BgL_thunkz00_3)
{
{ /* Gdb/annotate.scm 146 */
{ /* Gdb/annotate.scm 147 */
 bool_t BgL_regzd2startingzf3z21_54;
BgL_regzd2startingzf3z21_54 = BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 147 */
 bool_t BgL_regzd2stoppedzf3z21_55;
BgL_regzd2stoppedzf3z21_55 = BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 148 */
 bool_t BgL_regzd2signalzf3z21_56;
BgL_regzd2signalzf3z21_56 = BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 149 */
 bool_t BgL_regzd2stackzd2framezd2invalidzf3z21_57;
BgL_regzd2stackzd2framezd2invalidzf3z21_57 = BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 150 */
 bool_t BgL_regzd2breakpointszd2invalidzf3zf3_58;
BgL_regzd2breakpointszd2invalidzf3zf3_58 = BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 151 */
 bool_t BgL_regzd2breakpointzf3z21_59;
BgL_regzd2breakpointzf3z21_59 = BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 152 */
 bool_t BgL_regzd2busyzf3z21_60;
BgL_regzd2busyzf3z21_60 = BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 153 */
 bool_t BgL_regzd2errorzf3z21_61;
BgL_regzd2errorzf3z21_61 = BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 154 */
 obj_t BgL_regzd2framezd2numberz00_62;
BgL_regzd2framezd2numberz00_62 = BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 155 */
 obj_t BgL_regzd2functionzd2namez00_63;
BgL_regzd2functionzd2namez00_63 = BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 156 */
 obj_t BgL_regzd2stackzd2framez00_64;
BgL_regzd2stackzd2framez00_64 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 157 */
 obj_t BgL_regzd2stackzd2framezd2previouszd2_65;
BgL_regzd2stackzd2framezd2previouszd2_65 = BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 158 */
 obj_t BgL_resz00_66;
BgL_resz00_66 = 
BGL_PROCEDURE_CALL0(BgL_thunkz00_3); 
{ /* Gdb/annotate.scm 159 */

BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00 = BgL_regzd2framezd2numberz00_62; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BgL_regzd2stackzd2framez00_64; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00 = BgL_regzd2stackzd2framezd2previouszd2_65; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = BgL_regzd2functionzd2namez00_63; 
BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00 = BgL_regzd2startingzf3z21_54; 
BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00 = BgL_regzd2stoppedzf3z21_55; 
BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00 = BgL_regzd2signalzf3z21_56; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00 = BgL_regzd2stackzd2framezd2invalidzf3z21_57; 
BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00 = BgL_regzd2breakpointszd2invalidzf3zf3_58; 
BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00 = BgL_regzd2breakpointzf3z21_59; 
BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00 = BgL_regzd2busyzf3z21_60; 
BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00 = BgL_regzd2errorzf3z21_61; 
return BgL_resz00_66;} } } } } } } } } } } } } } } 

}



/* &gdb-annotate-registers-protect */
obj_t BGl_z62gdbzd2annotatezd2registerszd2protectzb0zzgdb_annotatez00(obj_t BgL_envz00_1888, obj_t BgL_thunkz00_1889)
{
{ /* Gdb/annotate.scm 146 */
return 
BGl_gdbzd2annotatezd2registerszd2protectzd2zzgdb_annotatez00(BgL_thunkz00_1889);} 

}



/* gdb-annotate-frame-invalid? */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2framezd2invalidzf3z21zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 177 */
return 
BBOOL(BGl_za2gdbzd2annotatezd2regzd2frameszd2invalidzf3za2zf3zzgdb_annotatez00);} 

}



/* &gdb-annotate-frame-invalid? */
obj_t BGl_z62gdbzd2annotatezd2framezd2invalidzf3z43zzgdb_annotatez00(obj_t BgL_envz00_1890)
{
{ /* Gdb/annotate.scm 177 */
return 
BGl_gdbzd2annotatezd2framezd2invalidzf3z21zzgdb_annotatez00();} 

}



/* gdb-annotate-user-reset-registers! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2userzd2resetzd2registersz12z12zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 183 */
return ( 
BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00 = BUNSPEC, BUNSPEC) ;} 

}



/* &gdb-annotate-user-reset-registers! */
obj_t BGl_z62gdbzd2annotatezd2userzd2resetzd2registersz12z70zzgdb_annotatez00(obj_t BgL_envz00_1891)
{
{ /* Gdb/annotate.scm 183 */
return 
BGl_gdbzd2annotatezd2userzd2resetzd2registersz12z12zzgdb_annotatez00();} 

}



/* gdb-annotate-busy? */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2busyzf3zf3zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 189 */
return 
BBOOL(BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00);} 

}



/* &gdb-annotate-busy? */
obj_t BGl_z62gdbzd2annotatezd2busyzf3z91zzgdb_annotatez00(obj_t BgL_envz00_1892)
{
{ /* Gdb/annotate.scm 189 */
return 
BGl_gdbzd2annotatezd2busyzf3zf3zzgdb_annotatez00();} 

}



/* gdb-annotate-error? */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 195 */
return 
BBOOL(BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00);} 

}



/* &gdb-annotate-error? */
obj_t BGl_z62gdbzd2annotatezd2errorzf3z91zzgdb_annotatez00(obj_t BgL_envz00_1893)
{
{ /* Gdb/annotate.scm 195 */
return 
BGl_gdbzd2annotatezd2errorzf3zf3zzgdb_annotatez00();} 

}



/* gdb-annotate-breakpoint-table */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2breakpointzd2tablezd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 201 */
return BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00;} 

}



/* &gdb-annotate-breakpoint-table */
obj_t BGl_z62gdbzd2annotatezd2breakpointzd2tablezb0zzgdb_annotatez00(obj_t BgL_envz00_1894)
{
{ /* Gdb/annotate.scm 201 */
return 
BGl_gdbzd2annotatezd2breakpointzd2tablezd2zzgdb_annotatez00();} 

}



/* console-frame */
BGL_EXPORTED_DEF obj_t BGl_consolezd2framezd2zzgdb_annotatez00(obj_t BgL_framez00_4, obj_t BgL_formatz00_5)
{
{ /* Gdb/annotate.scm 207 */
if(
(BgL_formatz00_5==
((obj_t)
CNST_TABLE_REF(0))))
{ /* Gdb/annotate.scm 210 */BFALSE; }  else 
{ /* Gdb/annotate.scm 210 */
BGl_consolezd2echozd2zztools_ioz00(BGl_string1968z00zzgdb_annotatez00); 
{ /* Gdb/annotate.scm 214 */
 obj_t BgL_arg1140z00_70;
BgL_arg1140z00_70 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_numz00); 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1140z00_70); } 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1969z00zzgdb_annotatez00); } 
{ /* Gdb/annotate.scm 218 */
 obj_t BgL_strz00_72;
if(BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00)
{ /* Gdb/annotate.scm 218 */
BgL_strz00_72 = BFALSE; }  else 
{ /* Gdb/annotate.scm 218 */
if(
(BGl_za2bdbzd2modeza2zd2zzengine_paramz00==
((obj_t)
CNST_TABLE_REF(1))))
{ /* Gdb/annotate.scm 219 */
BgL_strz00_72 = BFALSE; }  else 
{ /* Gdb/annotate.scm 220 */
 obj_t BgL_arg1144z00_77;
BgL_arg1144z00_77 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_namez00); 
BgL_strz00_72 = 
BGl_bdbzd2demanglezd2zzpatient_manglingz00(BgL_arg1144z00_77); } } 
if(
STRINGP(BgL_strz00_72))
{ /* Gdb/annotate.scm 221 */
BGl_consolezd2echozd2editz00zztools_ioz00(BgL_strz00_72, BgL_strz00_72); }  else 
{ /* Gdb/annotate.scm 223 */
 obj_t BgL_arg1143z00_74;
BgL_arg1143z00_74 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_namez00); 
BGl_consolezd2echozd2zztools_ioz00(BgL_arg1143z00_74); } } 
if(
NULLP(
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_argsz00)))
{ /* Gdb/annotate.scm 224 */
BGl_consolezd2echozd2zztools_ioz00(BGl_string1970z00zzgdb_annotatez00); }  else 
{ /* Gdb/annotate.scm 224 */
BGl_consolezd2echozd2zztools_ioz00(BGl_string1971z00zzgdb_annotatez00); } 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1972z00zzgdb_annotatez00); 
{ /* Gdb/annotate.scm 229 */
 bool_t BgL_test2256z00_2481;
{ /* Gdb/annotate.scm 229 */
 bool_t BgL_test2257z00_2482;
{ /* Gdb/annotate.scm 229 */
 obj_t BgL_tmpz00_2483;
BgL_tmpz00_2483 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_filezd2namezd2); 
BgL_test2257z00_2482 = 
STRINGP(BgL_tmpz00_2483); } 
if(BgL_test2257z00_2482)
{ /* Gdb/annotate.scm 229 */
 obj_t BgL_tmpz00_2487;
BgL_tmpz00_2487 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_linezd2numzd2); 
BgL_test2256z00_2481 = 
STRINGP(BgL_tmpz00_2487); }  else 
{ /* Gdb/annotate.scm 229 */
BgL_test2256z00_2481 = ((bool_t)0)
; } } 
if(BgL_test2256z00_2481)
{ /* Gdb/annotate.scm 230 */
 obj_t BgL_strz00_86;
{ /* Gdb/annotate.scm 230 */
 obj_t BgL_arg1160z00_87; obj_t BgL_arg1162z00_88;
BgL_arg1160z00_87 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_filezd2namezd2); 
BgL_arg1162z00_88 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_linezd2numzd2); 
BgL_strz00_86 = 
string_append_3(BgL_arg1160z00_87, BGl_string1973z00zzgdb_annotatez00, BgL_arg1162z00_88); } 
BGl_consolezd2echozd2editz00zztools_ioz00(BgL_strz00_86, BgL_strz00_86); }  else 
{ /* Gdb/annotate.scm 232 */
 bool_t BgL_test2258z00_2497;
{ /* Gdb/annotate.scm 232 */
 obj_t BgL_tmpz00_2498;
BgL_tmpz00_2498 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_filezd2namezd2); 
BgL_test2258z00_2497 = 
STRINGP(BgL_tmpz00_2498); } 
if(BgL_test2258z00_2497)
{ /* Gdb/annotate.scm 233 */
 obj_t BgL_arg1165z00_91; obj_t BgL_arg1166z00_92;
BgL_arg1165z00_91 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_filezd2namezd2); 
BgL_arg1166z00_92 = 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_framez00_4)))->BgL_filezd2namezd2); 
BGl_consolezd2echozd2editz00zztools_ioz00(BgL_arg1165z00_91, BgL_arg1166z00_92); }  else 
{ /* Gdb/annotate.scm 232 */
BGl_consolezd2echozd2zztools_ioz00(BGl_string1974z00zzgdb_annotatez00); } } } 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_formatz00_5, 
((obj_t)
CNST_TABLE_REF(2)))))
{ /* Gdb/annotate.scm 236 */
return 
BGl_consolezd2newlinezd2zztools_ioz00();}  else 
{ /* Gdb/annotate.scm 236 */
return BFALSE;} } 

}



/* &console-frame */
obj_t BGl_z62consolezd2framezb0zzgdb_annotatez00(obj_t BgL_envz00_1895, obj_t BgL_framez00_1896, obj_t BgL_formatz00_1897)
{
{ /* Gdb/annotate.scm 207 */
return 
BGl_consolezd2framezd2zzgdb_annotatez00(BgL_framez00_1896, BgL_formatz00_1897);} 

}



/* gdb-annotate-run-hook */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2runzd2hookzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 242 */
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BUNSPEC; 
return ( 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00 = BUNSPEC, BUNSPEC) ;} 

}



/* &gdb-annotate-run-hook */
obj_t BGl_z62gdbzd2annotatezd2runzd2hookzb0zzgdb_annotatez00(obj_t BgL_envz00_1898)
{
{ /* Gdb/annotate.scm 242 */
return 
BGl_gdbzd2annotatezd2runzd2hookzd2zzgdb_annotatez00();} 

}



/* gdb-annotate-hook */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2hookz00zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 249 */
{ /* Gdb/annotate.scm 260 */
 bool_t BgL_test2260z00_2516;
if(BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00)
{ /* Gdb/annotate.scm 260 */
BgL_test2260z00_2516 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 261 */
 obj_t BgL__andtest_1063z00_104;
BgL__andtest_1063z00_104 = BGl_za2bdbzd2guizd2hostzf3za2zf3zzengine_paramz00; 
if(
CBOOL(BgL__andtest_1063z00_104))
{ /* Gdb/annotate.scm 261 */
BgL_test2260z00_2516 = ((bool_t)0)
; }  else 
{ /* Gdb/annotate.scm 262 */
 bool_t BgL_test2263z00_2520;
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_objz00_677; obj_t BgL_classz00_678;
BgL_objz00_677 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
BgL_classz00_678 = BGl_stackzd2framezd2zzgdb_annotatez00; 
if(
BGL_OBJECTP(BgL_objz00_677))
{ /* Gdb/annotate.scm 262 */
 BgL_objectz00_bglt BgL_arg1827z00_680;
BgL_arg1827z00_680 = 
(BgL_objectz00_bglt)(BgL_objz00_677); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Gdb/annotate.scm 262 */
 long BgL_idxz00_686;
BgL_idxz00_686 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_680); 
BgL_test2263z00_2520 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_686+1L))==BgL_classz00_678); }  else 
{ /* Gdb/annotate.scm 262 */
 bool_t BgL_res1927z00_711;
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_oclassz00_694;
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_arg1834z00_702; long BgL_arg1835z00_703;
BgL_arg1834z00_702 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Gdb/annotate.scm 262 */
 long BgL_arg1836z00_704;
BgL_arg1836z00_704 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_680); 
BgL_arg1835z00_703 = 
(BgL_arg1836z00_704-OBJECT_TYPE); } 
BgL_oclassz00_694 = 
VECTOR_REF(BgL_arg1834z00_702,BgL_arg1835z00_703); } 
{ /* Gdb/annotate.scm 262 */
 bool_t BgL__ortest_1114z00_695;
BgL__ortest_1114z00_695 = 
(BgL_classz00_678==BgL_oclassz00_694); 
if(BgL__ortest_1114z00_695)
{ /* Gdb/annotate.scm 262 */
BgL_res1927z00_711 = BgL__ortest_1114z00_695; }  else 
{ /* Gdb/annotate.scm 262 */
 long BgL_odepthz00_696;
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_arg1824z00_697;
BgL_arg1824z00_697 = 
(BgL_oclassz00_694); 
BgL_odepthz00_696 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_697); } 
if(
(1L<BgL_odepthz00_696))
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_arg1822z00_699;
{ /* Gdb/annotate.scm 262 */
 obj_t BgL_arg1823z00_700;
BgL_arg1823z00_700 = 
(BgL_oclassz00_694); 
BgL_arg1822z00_699 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_700, 1L); } 
BgL_res1927z00_711 = 
(BgL_arg1822z00_699==BgL_classz00_678); }  else 
{ /* Gdb/annotate.scm 262 */
BgL_res1927z00_711 = ((bool_t)0); } } } } 
BgL_test2263z00_2520 = BgL_res1927z00_711; } }  else 
{ /* Gdb/annotate.scm 262 */
BgL_test2263z00_2520 = ((bool_t)0)
; } } 
if(BgL_test2263z00_2520)
{ /* Gdb/annotate.scm 262 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00, BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00))
{ /* Gdb/annotate.scm 263 */
BgL_test2260z00_2516 = ((bool_t)0)
; }  else 
{ /* Gdb/annotate.scm 263 */
if(BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00)
{ /* Gdb/annotate.scm 263 */
BgL_test2260z00_2516 = BGl_za2gdbzd2annotatezd2regzd2frameszd2invalidzf3za2zf3zzgdb_annotatez00
; }  else 
{ /* Gdb/annotate.scm 263 */
BgL_test2260z00_2516 = ((bool_t)0)
; } } }  else 
{ /* Gdb/annotate.scm 262 */
BgL_test2260z00_2516 = ((bool_t)0)
; } } } 
if(BgL_test2260z00_2516)
{ /* Gdb/annotate.scm 260 */
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2previousza2zd2zzgdb_annotatez00 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
{ /* Gdb/annotate.scm 273 */
 obj_t BgL_arg1175z00_103;
if(BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00)
{ /* Gdb/annotate.scm 273 */
BgL_arg1175z00_103 = 
((obj_t)
CNST_TABLE_REF(0)); }  else 
{ /* Gdb/annotate.scm 273 */
BgL_arg1175z00_103 = 
((obj_t)
CNST_TABLE_REF(3)); } 
BGl_consolezd2framezd2zzgdb_annotatez00(BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00, BgL_arg1175z00_103); } }  else 
{ /* Gdb/annotate.scm 260 */BFALSE; } } 
if(
STRINGP(BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00))
{ /* Gdb/annotate.scm 277 */
BGl_consolezd2sourcezd2zztools_ioz00(BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00); }  else 
{ /* Gdb/annotate.scm 277 */
BGl_consolezd2newlinezd2zztools_ioz00(); } 
if(
NULLP(BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00))
{ /* Gdb/annotate.scm 282 */
return BFALSE;}  else 
{ /* Gdb/annotate.scm 282 */
return 
BGl_displayzd2displayzd2tablez12z12zzcommand_displayz00(BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00);} } 

}



/* &gdb-annotate-hook */
obj_t BGl_z62gdbzd2annotatezd2hookz62zzgdb_annotatez00(obj_t BgL_envz00_1899)
{
{ /* Gdb/annotate.scm 249 */
return 
BGl_gdbzd2annotatezd2hookz00zzgdb_annotatez00();} 

}



/* gdb-annotate-running? */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2runningzf3zf3zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 288 */
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_objz00_714; obj_t BgL_classz00_715;
BgL_objz00_714 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
BgL_classz00_715 = BGl_stackzd2framezd2zzgdb_annotatez00; 
if(
BGL_OBJECTP(BgL_objz00_714))
{ /* Gdb/annotate.scm 289 */
 BgL_objectz00_bglt BgL_arg1827z00_717;
BgL_arg1827z00_717 = 
(BgL_objectz00_bglt)(BgL_objz00_714); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Gdb/annotate.scm 289 */
 long BgL_idxz00_723;
BgL_idxz00_723 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_717); 
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1820z00_724;
BgL_arg1820z00_724 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_723+1L)); 
return 
BBOOL(
(BgL_arg1820z00_724==BgL_classz00_715));} }  else 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL_res1928z00_748;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_oclassz00_731;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1834z00_739; long BgL_arg1835z00_740;
BgL_arg1834z00_739 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Gdb/annotate.scm 289 */
 long BgL_arg1836z00_741;
BgL_arg1836z00_741 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_717); 
BgL_arg1835z00_740 = 
(BgL_arg1836z00_741-OBJECT_TYPE); } 
BgL_oclassz00_731 = 
VECTOR_REF(BgL_arg1834z00_739,BgL_arg1835z00_740); } 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL__ortest_1114z00_732;
BgL__ortest_1114z00_732 = 
(BgL_classz00_715==BgL_oclassz00_731); 
if(BgL__ortest_1114z00_732)
{ /* Gdb/annotate.scm 289 */
BgL_res1928z00_748 = BgL__ortest_1114z00_732; }  else 
{ /* Gdb/annotate.scm 289 */
 long BgL_odepthz00_733;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1824z00_734;
BgL_arg1824z00_734 = 
(BgL_oclassz00_731); 
BgL_odepthz00_733 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_734); } 
if(
(1L<BgL_odepthz00_733))
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1822z00_736;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1823z00_737;
BgL_arg1823z00_737 = 
(BgL_oclassz00_731); 
BgL_arg1822z00_736 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_737, 1L); } 
BgL_res1928z00_748 = 
(BgL_arg1822z00_736==BgL_classz00_715); }  else 
{ /* Gdb/annotate.scm 289 */
BgL_res1928z00_748 = ((bool_t)0); } } } } 
return 
BBOOL(BgL_res1928z00_748);} }  else 
{ /* Gdb/annotate.scm 289 */
return BFALSE;} } } 

}



/* &gdb-annotate-running? */
obj_t BGl_z62gdbzd2annotatezd2runningzf3z91zzgdb_annotatez00(obj_t BgL_envz00_1900)
{
{ /* Gdb/annotate.scm 288 */
return 
BGl_gdbzd2annotatezd2runningzf3zf3zzgdb_annotatez00();} 

}



/* gdb-annotate-current-function */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 294 */
{ /* Gdb/annotate.scm 295 */
 bool_t BgL_test2277z00_2585;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_objz00_750; obj_t BgL_classz00_751;
BgL_objz00_750 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
BgL_classz00_751 = BGl_stackzd2framezd2zzgdb_annotatez00; 
if(
BGL_OBJECTP(BgL_objz00_750))
{ /* Gdb/annotate.scm 289 */
 BgL_objectz00_bglt BgL_arg1827z00_753;
BgL_arg1827z00_753 = 
(BgL_objectz00_bglt)(BgL_objz00_750); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Gdb/annotate.scm 289 */
 long BgL_idxz00_759;
BgL_idxz00_759 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_753); 
BgL_test2277z00_2585 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_759+1L))==BgL_classz00_751); }  else 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL_res1929z00_784;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_oclassz00_767;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1834z00_775; long BgL_arg1835z00_776;
BgL_arg1834z00_775 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Gdb/annotate.scm 289 */
 long BgL_arg1836z00_777;
BgL_arg1836z00_777 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_753); 
BgL_arg1835z00_776 = 
(BgL_arg1836z00_777-OBJECT_TYPE); } 
BgL_oclassz00_767 = 
VECTOR_REF(BgL_arg1834z00_775,BgL_arg1835z00_776); } 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL__ortest_1114z00_768;
BgL__ortest_1114z00_768 = 
(BgL_classz00_751==BgL_oclassz00_767); 
if(BgL__ortest_1114z00_768)
{ /* Gdb/annotate.scm 289 */
BgL_res1929z00_784 = BgL__ortest_1114z00_768; }  else 
{ /* Gdb/annotate.scm 289 */
 long BgL_odepthz00_769;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1824z00_770;
BgL_arg1824z00_770 = 
(BgL_oclassz00_767); 
BgL_odepthz00_769 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_770); } 
if(
(1L<BgL_odepthz00_769))
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1822z00_772;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1823z00_773;
BgL_arg1823z00_773 = 
(BgL_oclassz00_767); 
BgL_arg1822z00_772 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_773, 1L); } 
BgL_res1929z00_784 = 
(BgL_arg1822z00_772==BgL_classz00_751); }  else 
{ /* Gdb/annotate.scm 289 */
BgL_res1929z00_784 = ((bool_t)0); } } } } 
BgL_test2277z00_2585 = BgL_res1929z00_784; } }  else 
{ /* Gdb/annotate.scm 289 */
BgL_test2277z00_2585 = ((bool_t)0)
; } } 
if(BgL_test2277z00_2585)
{ /* Gdb/annotate.scm 295 */
return BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00;}  else 
{ /* Gdb/annotate.scm 295 */
return BFALSE;} } } 

}



/* &gdb-annotate-current-function */
obj_t BGl_z62gdbzd2annotatezd2currentzd2functionzb0zzgdb_annotatez00(obj_t BgL_envz00_1901)
{
{ /* Gdb/annotate.scm 294 */
return 
BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00();} 

}



/* gdb-annotate-current-function-set! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2setz12z12zzgdb_annotatez00(obj_t BgL_funz00_6)
{
{ /* Gdb/annotate.scm 301 */
return ( 
BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = BgL_funz00_6, BUNSPEC) ;} 

}



/* &gdb-annotate-current-function-set! */
obj_t BGl_z62gdbzd2annotatezd2currentzd2functionzd2setz12z70zzgdb_annotatez00(obj_t BgL_envz00_1902, obj_t BgL_funz00_1903)
{
{ /* Gdb/annotate.scm 301 */
return 
BGl_gdbzd2annotatezd2currentzd2functionzd2setz12z12zzgdb_annotatez00(BgL_funz00_1903);} 

}



/* gdb-annotate-current-frame */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2currentzd2framezd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 307 */
{ /* Gdb/annotate.scm 308 */
 bool_t BgL_test2282z00_2610;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_objz00_786; obj_t BgL_classz00_787;
BgL_objz00_786 = BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00; 
BgL_classz00_787 = BGl_stackzd2framezd2zzgdb_annotatez00; 
if(
BGL_OBJECTP(BgL_objz00_786))
{ /* Gdb/annotate.scm 289 */
 BgL_objectz00_bglt BgL_arg1827z00_789;
BgL_arg1827z00_789 = 
(BgL_objectz00_bglt)(BgL_objz00_786); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Gdb/annotate.scm 289 */
 long BgL_idxz00_795;
BgL_idxz00_795 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1827z00_789); 
BgL_test2282z00_2610 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_795+1L))==BgL_classz00_787); }  else 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL_res1930z00_820;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_oclassz00_803;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1834z00_811; long BgL_arg1835z00_812;
BgL_arg1834z00_811 = 
(BGl_za2classesza2z00zz__objectz00); 
{ /* Gdb/annotate.scm 289 */
 long BgL_arg1836z00_813;
BgL_arg1836z00_813 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1827z00_789); 
BgL_arg1835z00_812 = 
(BgL_arg1836z00_813-OBJECT_TYPE); } 
BgL_oclassz00_803 = 
VECTOR_REF(BgL_arg1834z00_811,BgL_arg1835z00_812); } 
{ /* Gdb/annotate.scm 289 */
 bool_t BgL__ortest_1114z00_804;
BgL__ortest_1114z00_804 = 
(BgL_classz00_787==BgL_oclassz00_803); 
if(BgL__ortest_1114z00_804)
{ /* Gdb/annotate.scm 289 */
BgL_res1930z00_820 = BgL__ortest_1114z00_804; }  else 
{ /* Gdb/annotate.scm 289 */
 long BgL_odepthz00_805;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1824z00_806;
BgL_arg1824z00_806 = 
(BgL_oclassz00_803); 
BgL_odepthz00_805 = 
BGL_CLASS_DEPTH(BgL_arg1824z00_806); } 
if(
(1L<BgL_odepthz00_805))
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1822z00_808;
{ /* Gdb/annotate.scm 289 */
 obj_t BgL_arg1823z00_809;
BgL_arg1823z00_809 = 
(BgL_oclassz00_803); 
BgL_arg1822z00_808 = 
BGL_CLASS_ANCESTORS_REF(BgL_arg1823z00_809, 1L); } 
BgL_res1930z00_820 = 
(BgL_arg1822z00_808==BgL_classz00_787); }  else 
{ /* Gdb/annotate.scm 289 */
BgL_res1930z00_820 = ((bool_t)0); } } } } 
BgL_test2282z00_2610 = BgL_res1930z00_820; } }  else 
{ /* Gdb/annotate.scm 289 */
BgL_test2282z00_2610 = ((bool_t)0)
; } } 
if(BgL_test2282z00_2610)
{ /* Gdb/annotate.scm 308 */
return BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00;}  else 
{ /* Gdb/annotate.scm 308 */
return BFALSE;} } } 

}



/* &gdb-annotate-current-frame */
obj_t BGl_z62gdbzd2annotatezd2currentzd2framezb0zzgdb_annotatez00(obj_t BgL_envz00_1904)
{
{ /* Gdb/annotate.scm 307 */
return 
BGl_gdbzd2annotatezd2currentzd2framezd2zzgdb_annotatez00();} 

}



/* gdb-annotate-current-frame-set! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2currentzd2framezd2setz12z12zzgdb_annotatez00(obj_t BgL_framez00_7)
{
{ /* Gdb/annotate.scm 314 */
return ( 
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BgL_framez00_7, BUNSPEC) ;} 

}



/* &gdb-annotate-current-frame-set! */
obj_t BGl_z62gdbzd2annotatezd2currentzd2framezd2setz12z70zzgdb_annotatez00(obj_t BgL_envz00_1905, obj_t BgL_framez00_1906)
{
{ /* Gdb/annotate.scm 314 */
return 
BGl_gdbzd2annotatezd2currentzd2framezd2setz12z12zzgdb_annotatez00(BgL_framez00_1906);} 

}



/* gdb-annotate-stack-frames */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2stackzd2frameszd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 320 */
return BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00;} 

}



/* &gdb-annotate-stack-frames */
obj_t BGl_z62gdbzd2annotatezd2stackzd2frameszb0zzgdb_annotatez00(obj_t BgL_envz00_1907)
{
{ /* Gdb/annotate.scm 320 */
return 
BGl_gdbzd2annotatezd2stackzd2frameszd2zzgdb_annotatez00();} 

}



/* gdb-annotate-reset-stack-frames! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12z12zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 326 */
return ( 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00 = BNIL, BUNSPEC) ;} 

}



/* &gdb-annotate-reset-stack-frames! */
obj_t BGl_z62gdbzd2annotatezd2resetzd2stackzd2framesz12z70zzgdb_annotatez00(obj_t BgL_envz00_1908)
{
{ /* Gdb/annotate.scm 326 */
return 
BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12z12zzgdb_annotatez00();} 

}



/* gdb-enable-print! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2enablezd2printz12z12zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 332 */
return ( 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = BTRUE, BUNSPEC) ;} 

}



/* &gdb-enable-print! */
obj_t BGl_z62gdbzd2enablezd2printz12z70zzgdb_annotatez00(obj_t BgL_envz00_1909)
{
{ /* Gdb/annotate.scm 332 */
return 
BGl_gdbzd2enablezd2printz12z12zzgdb_annotatez00();} 

}



/* gdb-enable-bigloo-print! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2enablezd2bigloozd2printz12zc0zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 338 */
return ( 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = 
((obj_t)
CNST_TABLE_REF(4)), BUNSPEC) ;} 

}



/* &gdb-enable-bigloo-print! */
obj_t BGl_z62gdbzd2enablezd2bigloozd2printz12za2zzgdb_annotatez00(obj_t BgL_envz00_1910)
{
{ /* Gdb/annotate.scm 338 */
return 
BGl_gdbzd2enablezd2bigloozd2printz12zc0zzgdb_annotatez00();} 

}



/* gdb-enable-explore-print! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2enablezd2explorezd2printz12zc0zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 344 */
return ( 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = 
((obj_t)
CNST_TABLE_REF(5)), BUNSPEC) ;} 

}



/* &gdb-enable-explore-print! */
obj_t BGl_z62gdbzd2enablezd2explorezd2printz12za2zzgdb_annotatez00(obj_t BgL_envz00_1911)
{
{ /* Gdb/annotate.scm 344 */
return 
BGl_gdbzd2enablezd2explorezd2printz12zc0zzgdb_annotatez00();} 

}



/* gdb-enable-store-print! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2enablezd2storezd2printz12zc0zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 350 */
BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = BNIL; 
return ( 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = 
((obj_t)
CNST_TABLE_REF(6)), BUNSPEC) ;} 

}



/* &gdb-enable-store-print! */
obj_t BGl_z62gdbzd2enablezd2storezd2printz12za2zzgdb_annotatez00(obj_t BgL_envz00_1912)
{
{ /* Gdb/annotate.scm 350 */
return 
BGl_gdbzd2enablezd2storezd2printz12zc0zzgdb_annotatez00();} 

}



/* gdb-disable-print! */
BGL_EXPORTED_DEF obj_t BGl_gdbzd2disablezd2printz12z12zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 357 */
BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = BNIL; 
return ( 
BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00 = BFALSE, BUNSPEC) ;} 

}



/* &gdb-disable-print! */
obj_t BGl_z62gdbzd2disablezd2printz12z70zzgdb_annotatez00(obj_t BgL_envz00_1913)
{
{ /* Gdb/annotate.scm 357 */
return 
BGl_gdbzd2disablezd2printz12z12zzgdb_annotatez00();} 

}



/* get-gdb-print-store */
BGL_EXPORTED_DEF obj_t BGl_getzd2gdbzd2printzd2storezd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 364 */
return BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00;} 

}



/* &get-gdb-print-store */
obj_t BGl_z62getzd2gdbzd2printzd2storezb0zzgdb_annotatez00(obj_t BgL_envz00_1914)
{
{ /* Gdb/annotate.scm 364 */
return 
BGl_getzd2gdbzd2printzd2storezd2zzgdb_annotatez00();} 

}



/* find-annotate-parser */
BGL_EXPORTED_DEF obj_t BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(obj_t BgL_linez00_10)
{
{ /* Gdb/annotate.scm 382 */
{ /* Gdb/annotate.scm 390 */
 obj_t BgL_cellz00_114;
{ /* Gdb/annotate.scm 390 */
 obj_t BgL_alistz00_864;
BgL_alistz00_864 = BGl_za2annotatezd2parserza2zd2zzgdb_annotatez00; 
{ 
 obj_t BgL_alistz00_866;
BgL_alistz00_866 = BgL_alistz00_864; 
BgL_loopz00_865:
if(
PAIRP(BgL_alistz00_866))
{ /* Gdb/annotate.scm 385 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(
CAR(
CAR(BgL_alistz00_866)), BgL_linez00_10))
{ /* Gdb/annotate.scm 386 */
BgL_cellz00_114 = 
CAR(BgL_alistz00_866); }  else 
{ 
 obj_t BgL_alistz00_2656;
BgL_alistz00_2656 = 
CDR(BgL_alistz00_866); 
BgL_alistz00_866 = BgL_alistz00_2656; 
goto BgL_loopz00_865;} }  else 
{ /* Gdb/annotate.scm 385 */
BgL_cellz00_114 = BFALSE; } } } 
if(
PAIRP(BgL_cellz00_114))
{ /* Gdb/annotate.scm 391 */
return 
CDR(BgL_cellz00_114);}  else 
{ /* Gdb/annotate.scm 391 */
return BFALSE;} } } 

}



/* &find-annotate-parser */
obj_t BGl_z62findzd2annotatezd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1915, obj_t BgL_linez00_1916)
{
{ /* Gdb/annotate.scm 382 */
return 
BGl_findzd2annotatezd2parserz00zzgdb_annotatez00(BgL_linez00_1916);} 

}



/* &ignore-parser */
obj_t BGl_z62ignorezd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1833, obj_t BgL__z00_1834)
{
{ /* Gdb/annotate.scm 458 */
return 
BBOOL(((bool_t)0));} 

}



/* &frames-invalid-parser */
obj_t BGl_z62frameszd2invalidzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1847, obj_t BgL_linez00_1848)
{
{ /* Gdb/annotate.scm 464 */
{ /* Gdb/annotate.scm 465 */
 bool_t BgL_tmpz00_2663;
BGl_za2gdbzd2annotatezd2regzd2frameszd2invalidzf3za2zf3zzgdb_annotatez00 = ((bool_t)1); 
BgL_tmpz00_2663 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2663);} } 

}



/* &breakpoints-invalid-parser */
obj_t BGl_z62breakpointszd2invalidzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1849, obj_t BgL_linez00_1850)
{
{ /* Gdb/annotate.scm 471 */
{ /* Gdb/annotate.scm 472 */
 bool_t BgL_tmpz00_2665;
BGl_za2gdbzd2annotatezd2regzd2breakpointszd2invalidzf3za2zf3zzgdb_annotatez00 = ((bool_t)1); 
BgL_tmpz00_2665 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2665);} } 

}



/* &breakpoint-parser */
obj_t BGl_z62breakpointzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1851, obj_t BgL_linez00_1852)
{
{ /* Gdb/annotate.scm 478 */
{ /* Gdb/annotate.scm 479 */
 bool_t BgL_tmpz00_2667;
BGl_za2gdbzd2annotatezd2regzd2breakpointzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
BgL_tmpz00_2667 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2667);} } 

}



/* &starting-parser */
obj_t BGl_z62startingzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1843, obj_t BgL_linez00_1844)
{
{ /* Gdb/annotate.scm 485 */
{ /* Gdb/annotate.scm 487 */
 bool_t BgL_tmpz00_2669;
BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
BGl_za2gdbzd2annotatezd2regzd2startingzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
{ 
 obj_t BgL_l1098z00_2007;
BgL_l1098z00_2007 = BGl_za2gdbzd2busyzd2hookza2z00zzengine_paramz00; 
BgL_zc3z04anonymousza31205ze3z87_2006:
if(
PAIRP(BgL_l1098z00_2007))
{ /* Gdb/annotate.scm 490 */
{ /* Gdb/annotate.scm 490 */
 obj_t BgL_hz00_2008;
BgL_hz00_2008 = 
CAR(BgL_l1098z00_2007); 
BGL_PROCEDURE_CALL1(BgL_hz00_2008, BTRUE); } 
{ 
 obj_t BgL_l1098z00_2677;
BgL_l1098z00_2677 = 
CDR(BgL_l1098z00_2007); 
BgL_l1098z00_2007 = BgL_l1098z00_2677; 
goto BgL_zc3z04anonymousza31205ze3z87_2006;} }  else 
{ /* Gdb/annotate.scm 490 */((bool_t)1); } } 
BgL_tmpz00_2669 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2669);} } 

}



/* &stopped-parser */
obj_t BGl_z62stoppedzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1841, obj_t BgL_linez00_1842)
{
{ /* Gdb/annotate.scm 496 */
{ /* Gdb/annotate.scm 498 */
 bool_t BgL_tmpz00_2680;
BGl_za2gdbzd2annotatezd2regzd2busyzf3za2z21zzgdb_annotatez00 = ((bool_t)0); 
BGl_za2gdbzd2annotatezd2regzd2stoppedzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
{ 
 obj_t BgL_l1100z00_2010;
BgL_l1100z00_2010 = BGl_za2gdbzd2busyzd2hookza2z00zzengine_paramz00; 
BgL_zc3z04anonymousza31210ze3z87_2009:
if(
PAIRP(BgL_l1100z00_2010))
{ /* Gdb/annotate.scm 501 */
{ /* Gdb/annotate.scm 501 */
 obj_t BgL_hz00_2011;
BgL_hz00_2011 = 
CAR(BgL_l1100z00_2010); 
BGL_PROCEDURE_CALL1(BgL_hz00_2011, BFALSE); } 
{ 
 obj_t BgL_l1100z00_2688;
BgL_l1100z00_2688 = 
CDR(BgL_l1100z00_2010); 
BgL_l1100z00_2010 = BgL_l1100z00_2688; 
goto BgL_zc3z04anonymousza31210ze3z87_2009;} }  else 
{ /* Gdb/annotate.scm 501 */((bool_t)1); } } 
BgL_tmpz00_2680 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2680);} } 

}



/* &error-parser */
obj_t BGl_z62errorzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1855, obj_t BgL__z00_1856)
{
{ /* Gdb/annotate.scm 507 */
{ /* Gdb/annotate.scm 508 */
 bool_t BgL_tmpz00_2691;
BGl_za2gdbzd2annotatezd2regzd2errorzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
BgL_tmpz00_2691 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2691);} } 

}



/* &error-begin-parser */
obj_t BGl_z62errorzd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1853, obj_t BgL_lz00_1854)
{
{ /* Gdb/annotate.scm 519 */
return 
BGl_errorz00zz__errorz00(BGl_string1975z00zzgdb_annotatez00, BGl_string1976z00zzgdb_annotatez00, 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_lz00_1854, 
(char)(((unsigned char)10)), 
(int)(0L)));} 

}



/* &frame-begin-parser */
obj_t BGl_z62framezd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1857, obj_t BgL_linez00_1858)
{
{ /* Gdb/annotate.scm 529 */
{ /* Gdb/annotate.scm 532 */
 bool_t BgL_tmpz00_2697;
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00 = BUNSPEC; 
BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00 = BUNSPEC; 
{ /* Gdb/annotate.scm 541 */
 obj_t BgL_arg1215z00_2012;
{ /* Gdb/annotate.scm 541 */
 obj_t BgL_b1102z00_2013;
BgL_b1102z00_2013 = 
BINT(13L); 
{ /* Gdb/annotate.scm 541 */
 obj_t BgL_tmpz00_2014;
BgL_tmpz00_2014 = 
BINT(0L); 
{ /* Gdb/annotate.scm 541 */
 bool_t BgL_test2292z00_2700;
{ /* Gdb/annotate.scm 541 */
 obj_t BgL_tmpz00_2701;
BgL_tmpz00_2701 = 
BINT(1L); 
BgL_test2292z00_2700 = 
BGL_ADDFX_OV(BgL_tmpz00_2701, BgL_b1102z00_2013, BgL_tmpz00_2014); } 
if(BgL_test2292z00_2700)
{ /* Gdb/annotate.scm 541 */
BgL_arg1215z00_2012 = 
bgl_bignum_add(
((obj_t)
CNST_TABLE_REF(7)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1102z00_2013))); }  else 
{ /* Gdb/annotate.scm 541 */
BgL_arg1215z00_2012 = BgL_tmpz00_2014; } } } } 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1858, 
CINT(BgL_arg1215z00_2012), 
(char)(((unsigned char)' ')), 
(int)(0L)); } 
{ /* Gdb/annotate.scm 544 */
 obj_t BgL_levelzd2stringzd2_2015;
BgL_levelzd2stringzd2_2015 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_tmpz00_2697 = ((bool_t)1); } 
return 
BBOOL(BgL_tmpz00_2697);} } 

}



/* &frame-end-parser */
obj_t BGl_z62framezd2endzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1859, obj_t BgL_linez00_1860)
{
{ /* Gdb/annotate.scm 550 */
{ /* Gdb/annotate.scm 554 */
 bool_t BgL_tmpz00_2716;
{ /* Gdb/annotate.scm 551 */
 obj_t BgL_list1216z00_2016;
{ /* Gdb/annotate.scm 551 */
 obj_t BgL_arg1217z00_2017;
{ /* Gdb/annotate.scm 551 */
 obj_t BgL_arg1218z00_2018;
{ /* Gdb/annotate.scm 551 */
 obj_t BgL_arg1219z00_2019;
{ /* Gdb/annotate.scm 551 */
 obj_t BgL_arg1220z00_2020;
BgL_arg1220z00_2020 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1219z00_2019 = 
MAKE_YOUNG_PAIR(BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00, BgL_arg1220z00_2020); } 
BgL_arg1218z00_2018 = 
MAKE_YOUNG_PAIR(BGl_string1977z00zzgdb_annotatez00, BgL_arg1219z00_2019); } 
BgL_arg1217z00_2017 = 
MAKE_YOUNG_PAIR(BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00, BgL_arg1218z00_2018); } 
BgL_list1216z00_2016 = 
MAKE_YOUNG_PAIR(BGl_string1978z00zzgdb_annotatez00, BgL_arg1217z00_2017); } 
BGl_verbosez00zztools_speekz00(
BINT(5L), BgL_list1216z00_2016); } 
if(BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2invalidzf3za2z21zzgdb_annotatez00)
{ /* Gdb/annotate.scm 557 */
 BgL_stackzd2framezd2_bglt BgL_fz00_2021;
{ /* Gdb/annotate.scm 557 */
 BgL_stackzd2framezd2_bglt BgL_new1070z00_2022;
{ /* Gdb/annotate.scm 558 */
 BgL_stackzd2framezd2_bglt BgL_new1069z00_2023;
BgL_new1069z00_2023 = 
((BgL_stackzd2framezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_stackzd2framezd2_bgl) ))); 
{ /* Gdb/annotate.scm 558 */
 long BgL_arg1223z00_2024;
BgL_arg1223z00_2024 = 
BGL_CLASS_NUM(BGl_stackzd2framezd2zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_2023), BgL_arg1223z00_2024); } 
BgL_new1070z00_2022 = BgL_new1069z00_2023; } 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1070z00_2022))->BgL_numz00)=((obj_t)BGl_za2gdbzd2annotatezd2regzd2stackzd2framezd2numberza2zd2zzgdb_annotatez00),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1070z00_2022))->BgL_namez00)=((obj_t)BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1070z00_2022))->BgL_argsz00)=((obj_t)BGl_za2gdbzd2annotatezd2regzd2stackzd2argsza2z00zzgdb_annotatez00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_2733;
{ /* Gdb/annotate.scm 561 */
 bool_t BgL_test2294z00_2734;
{ /* Gdb/annotate.scm 561 */
 obj_t BgL_objz00_2025;
BgL_objz00_2025 = BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00; 
BgL_test2294z00_2734 = 
STRINGP(BgL_objz00_2025); } 
if(BgL_test2294z00_2734)
{ /* Gdb/annotate.scm 561 */
BgL_auxz00_2733 = BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00
; }  else 
{ /* Gdb/annotate.scm 561 */
BgL_auxz00_2733 = BUNSPEC
; } } 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1070z00_2022))->BgL_filezd2namezd2)=((obj_t)BgL_auxz00_2733),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_2737;
{ /* Gdb/annotate.scm 564 */
 bool_t BgL_test2295z00_2738;
{ /* Gdb/annotate.scm 564 */
 obj_t BgL_objz00_2026;
BgL_objz00_2026 = BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00; 
BgL_test2295z00_2738 = 
STRINGP(BgL_objz00_2026); } 
if(BgL_test2295z00_2738)
{ /* Gdb/annotate.scm 564 */
BgL_auxz00_2737 = BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00
; }  else 
{ /* Gdb/annotate.scm 564 */
BgL_auxz00_2737 = BUNSPEC
; } } 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1070z00_2022))->BgL_linezd2numzd2)=((obj_t)BgL_auxz00_2737),BUNSPEC); } 
BgL_fz00_2021 = BgL_new1070z00_2022; } 
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = 
((obj_t)BgL_fz00_2021); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_fz00_2021), BGl_za2gdbzd2annotatezd2regzd2stackzd2framesza2z00zzgdb_annotatez00); }  else 
{ /* Gdb/annotate.scm 555 */BFALSE; } 
BgL_tmpz00_2716 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_2716);} } 

}



/* &frame-address-parser */
obj_t BGl_z62framezd2addresszd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1861, obj_t BgL__z00_1862)
{
{ /* Gdb/annotate.scm 575 */
{ /* Gdb/annotate.scm 576 */
 obj_t BgL_addressz00_2027;
BgL_addressz00_2027 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 578 */
 obj_t BgL_arg1224z00_2028;
BgL_arg1224z00_2028 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2029;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2030;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2031;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2032;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2033;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2034;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2035;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2036;
BgL_arg1199z00_2036 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2035 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2036); } 
BgL_arg1197z00_2034 = 
MAKE_YOUNG_PAIR(BgL_arg1224z00_2028, BgL_arg1198z00_2035); } 
BgL_arg1196z00_2033 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2034); } 
BgL_arg1194z00_2032 = 
MAKE_YOUNG_PAIR(BGl_string1981z00zzgdb_annotatez00, BgL_arg1196z00_2033); } 
BgL_arg1193z00_2031 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2032); } 
BgL_arg1191z00_2030 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(8)), BgL_arg1193z00_2031); } 
BgL_list1190z00_2029 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2030); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2029); } 
if(
bigloo_strncmp(BGl_string1981z00zzgdb_annotatez00, BgL_arg1224z00_2028, 20L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1981z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1224z00_2028, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 579 */
 obj_t BgL_separatorz00_2037;
BgL_separatorz00_2037 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 579 */
 obj_t BgL_flinez00_2038;
BgL_flinez00_2038 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 580 */

{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2039;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2040;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2041;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2042;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2043;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2044;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2045;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2046;
BgL_arg1199z00_2046 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2045 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2046); } 
BgL_arg1197z00_2044 = 
MAKE_YOUNG_PAIR(BgL_flinez00_2038, BgL_arg1198z00_2045); } 
BgL_arg1196z00_2043 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2044); } 
BgL_arg1194z00_2042 = 
MAKE_YOUNG_PAIR(BGl_string1948z00zzgdb_annotatez00, BgL_arg1196z00_2043); } 
BgL_arg1193z00_2041 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2042); } 
BgL_arg1191z00_2040 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(8)), BgL_arg1193z00_2041); } 
BgL_list1190z00_2039 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2040); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2039); } 
if(
bigloo_strncmp(BGl_string1948z00zzgdb_annotatez00, BgL_flinez00_2038, 22L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1948z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_flinez00_2038, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
return 
BGl_framezd2functionzd2namezd2parserzd2zzgdb_annotatez00(BgL_flinez00_2038);} } } } } 

}



/* frame-function-name-parser */
obj_t BGl_framezd2functionzd2namezd2parserzd2zzgdb_annotatez00(obj_t BgL__z00_25)
{
{ /* Gdb/annotate.scm 588 */
BGl_za2gdbzd2annotatezd2regzd2stackzd2functionzd2nameza2zd2zzgdb_annotatez00 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 590 */
 obj_t BgL_framezd2argszd2_175;
BgL_framezd2argszd2_175 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_978;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_979;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_980;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_981;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_982;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_983;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_984;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_985;
BgL_arg1199z00_985 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_984 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_985); } 
BgL_arg1197z00_983 = 
MAKE_YOUNG_PAIR(BgL_framezd2argszd2_175, BgL_arg1198z00_984); } 
BgL_arg1196z00_982 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_983); } 
BgL_arg1194z00_981 = 
MAKE_YOUNG_PAIR(BGl_string1987z00zzgdb_annotatez00, BgL_arg1196z00_982); } 
BgL_arg1193z00_980 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_981); } 
BgL_arg1191z00_979 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(9)), BgL_arg1193z00_980); } 
BgL_list1190z00_978 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_979); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_978); } 
if(
bigloo_strncmp(BGl_string1987z00zzgdb_annotatez00, BgL_framezd2argszd2_175, 13L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1987z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_framezd2argszd2_175, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 593 */
 obj_t BgL_openzd2parzd2_176;
BgL_openzd2parzd2_176 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_994;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_995;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_996;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_997;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_998;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_999;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1000;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1001;
BgL_arg1199z00_1001 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1000 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1001); } 
BgL_arg1197z00_999 = 
MAKE_YOUNG_PAIR(BgL_openzd2parzd2_176, BgL_arg1198z00_1000); } 
BgL_arg1196z00_998 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_999); } 
BgL_arg1194z00_997 = 
MAKE_YOUNG_PAIR(BGl_string1988z00zzgdb_annotatez00, BgL_arg1196z00_998); } 
BgL_arg1193z00_996 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_997); } 
BgL_arg1191z00_995 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(9)), BgL_arg1193z00_996); } 
BgL_list1190z00_994 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_995); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_994); } 
if(
bigloo_strncmp(BGl_string1988z00zzgdb_annotatez00, BgL_openzd2parzd2_176, 2L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1988z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_openzd2parzd2_176, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 595 */
 obj_t BgL_g1071z00_177;
{ /* Gdb/annotate.scm 595 */
 bool_t BgL_test2300z00_2840;
{ /* Gdb/annotate.scm 595 */
 long BgL_l1z00_1012;
BgL_l1z00_1012 = 
STRING_LENGTH(BgL_openzd2parzd2_176); 
if(
(BgL_l1z00_1012==3L))
{ /* Gdb/annotate.scm 595 */
 int BgL_arg1339z00_1015;
{ /* Gdb/annotate.scm 595 */
 char * BgL_auxz00_2846; char * BgL_tmpz00_2844;
BgL_auxz00_2846 = 
BSTRING_TO_STRING(BGl_string1989z00zzgdb_annotatez00); 
BgL_tmpz00_2844 = 
BSTRING_TO_STRING(BgL_openzd2parzd2_176); 
BgL_arg1339z00_1015 = 
memcmp(BgL_tmpz00_2844, BgL_auxz00_2846, BgL_l1z00_1012); } 
BgL_test2300z00_2840 = 
(
(long)(BgL_arg1339z00_1015)==0L); }  else 
{ /* Gdb/annotate.scm 595 */
BgL_test2300z00_2840 = ((bool_t)0)
; } } 
if(BgL_test2300z00_2840)
{ /* Gdb/annotate.scm 595 */
BgL_g1071z00_177 = BGl_string1990z00zzgdb_annotatez00; }  else 
{ /* Gdb/annotate.scm 595 */
BgL_g1071z00_177 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); } } 
{ 
 obj_t BgL_linez00_180; obj_t BgL_argsz00_181;
BgL_linez00_180 = BgL_g1071z00_177; 
BgL_argsz00_181 = BNIL; 
BgL_zc3z04anonymousza31225ze3z87_182:
{ /* Gdb/annotate.scm 600 */
 bool_t BgL_test2302z00_2853;
{ /* Gdb/annotate.scm 600 */
 long BgL_l1z00_1023;
BgL_l1z00_1023 = 
STRING_LENGTH(BgL_linez00_180); 
if(
(BgL_l1z00_1023==2L))
{ /* Gdb/annotate.scm 600 */
 int BgL_arg1339z00_1026;
{ /* Gdb/annotate.scm 600 */
 char * BgL_auxz00_2859; char * BgL_tmpz00_2857;
BgL_auxz00_2859 = 
BSTRING_TO_STRING(BGl_string1990z00zzgdb_annotatez00); 
BgL_tmpz00_2857 = 
BSTRING_TO_STRING(BgL_linez00_180); 
BgL_arg1339z00_1026 = 
memcmp(BgL_tmpz00_2857, BgL_auxz00_2859, BgL_l1z00_1023); } 
BgL_test2302z00_2853 = 
(
(long)(BgL_arg1339z00_1026)==0L); }  else 
{ /* Gdb/annotate.scm 600 */
BgL_test2302z00_2853 = ((bool_t)0)
; } } 
if(BgL_test2302z00_2853)
{ /* Gdb/annotate.scm 600 */
BGl_za2gdbzd2annotatezd2regzd2stackzd2argsza2z00zzgdb_annotatez00 = BgL_argsz00_181; 
{ /* Gdb/annotate.scm 602 */
 obj_t BgL_g1073z00_184;
BgL_g1073z00_184 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ 
 obj_t BgL_linez00_186;
BgL_linez00_186 = BgL_g1073z00_184; 
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1991z00zzgdb_annotatez00, BgL_linez00_186))
{ /* Gdb/annotate.scm 604 */
return 
BBOOL(
BGl_framezd2sourcezd2beginzd2parserzd2zzgdb_annotatez00(BgL_linez00_186));}  else 
{ /* Gdb/annotate.scm 604 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1992z00zzgdb_annotatez00, BgL_linez00_186))
{ /* Gdb/annotate.scm 606 */
return 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L));}  else 
{ /* Gdb/annotate.scm 606 */
if(
BGl_newlinezf3zf3zztools_toolsz00(BgL_linez00_186))
{ /* Gdb/annotate.scm 608 */
return BUNSPEC;}  else 
{ /* Gdb/annotate.scm 608 */
return BFALSE;} } } } } }  else 
{ /* Gdb/annotate.scm 610 */
 bool_t BgL_test2307z00_2876;
{ /* Gdb/annotate.scm 610 */
 long BgL_l1z00_1034;
BgL_l1z00_1034 = 
STRING_LENGTH(BgL_linez00_180); 
if(
(BgL_l1z00_1034==3L))
{ /* Gdb/annotate.scm 610 */
 int BgL_arg1339z00_1037;
{ /* Gdb/annotate.scm 610 */
 char * BgL_auxz00_2882; char * BgL_tmpz00_2880;
BgL_auxz00_2882 = 
BSTRING_TO_STRING(BGl_string1993z00zzgdb_annotatez00); 
BgL_tmpz00_2880 = 
BSTRING_TO_STRING(BgL_linez00_180); 
BgL_arg1339z00_1037 = 
memcmp(BgL_tmpz00_2880, BgL_auxz00_2882, BgL_l1z00_1034); } 
BgL_test2307z00_2876 = 
(
(long)(BgL_arg1339z00_1037)==0L); }  else 
{ /* Gdb/annotate.scm 610 */
BgL_test2307z00_2876 = ((bool_t)0)
; } } 
if(BgL_test2307z00_2876)
{ 
 obj_t BgL_linez00_2887;
BgL_linez00_2887 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_linez00_180 = BgL_linez00_2887; 
goto BgL_zc3z04anonymousza31225ze3z87_182;}  else 
{ /* Gdb/annotate.scm 610 */
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1043;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1044;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1045;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1046;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1047;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1048;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1049;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1050;
BgL_arg1199z00_1050 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1049 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1050); } 
BgL_arg1197z00_1048 = 
MAKE_YOUNG_PAIR(BgL_linez00_180, BgL_arg1198z00_1049); } 
BgL_arg1196z00_1047 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1048); } 
BgL_arg1194z00_1046 = 
MAKE_YOUNG_PAIR(BGl_string1994z00zzgdb_annotatez00, BgL_arg1196z00_1047); } 
BgL_arg1193z00_1045 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1046); } 
BgL_arg1191z00_1044 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(9)), BgL_arg1193z00_1045); } 
BgL_list1190z00_1043 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1044); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1043); } 
if(
bigloo_strncmp(BGl_string1994z00zzgdb_annotatez00, BgL_linez00_180, 12L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1994z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_180, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 615 */
 BgL_argz00_bglt BgL_argz00_194;
BgL_argz00_194 = 
BGl_argzd2beginzd2parserz00zzgdb_annotatez00(BgL_linez00_180); 
{ /* Gdb/annotate.scm 616 */
 obj_t BgL_arg1233z00_195; obj_t BgL_arg1234z00_196;
BgL_arg1233z00_195 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_arg1234z00_196 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_argz00_194), BgL_argsz00_181); 
{ 
 obj_t BgL_argsz00_2916; obj_t BgL_linez00_2915;
BgL_linez00_2915 = BgL_arg1233z00_195; 
BgL_argsz00_2916 = BgL_arg1234z00_196; 
BgL_argsz00_181 = BgL_argsz00_2916; 
BgL_linez00_180 = BgL_linez00_2915; 
goto BgL_zc3z04anonymousza31225ze3z87_182;} } } } } } } } } } } 

}



/* &frame-function-name-parser */
obj_t BGl_z62framezd2functionzd2namezd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1863, obj_t BgL__z00_1864)
{
{ /* Gdb/annotate.scm 588 */
return 
BGl_framezd2functionzd2namezd2parserzd2zzgdb_annotatez00(BgL__z00_1864);} 

}



/* arg-begin-parser */
BgL_argz00_bglt BGl_argzd2beginzd2parserz00zzgdb_annotatez00(obj_t BgL__z00_26)
{
{ /* Gdb/annotate.scm 626 */
{ /* Gdb/annotate.scm 627 */
 obj_t BgL_namez00_199;
BgL_namez00_199 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 628 */
 obj_t BgL_arg1238z00_200;
BgL_arg1238z00_200 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1059;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1060;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1061;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1062;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1063;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1064;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1065;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1066;
BgL_arg1199z00_1066 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1065 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1066); } 
BgL_arg1197z00_1064 = 
MAKE_YOUNG_PAIR(BgL_arg1238z00_200, BgL_arg1198z00_1065); } 
BgL_arg1196z00_1063 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1064); } 
BgL_arg1194z00_1062 = 
MAKE_YOUNG_PAIR(BGl_string1995z00zzgdb_annotatez00, BgL_arg1196z00_1063); } 
BgL_arg1193z00_1061 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1062); } 
BgL_arg1191z00_1060 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(10)), BgL_arg1193z00_1061); } 
BgL_list1190z00_1059 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1060); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1059); } 
if(
bigloo_strncmp(BGl_string1995z00zzgdb_annotatez00, BgL_arg1238z00_200, 15L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1995z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1238z00_200, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 629 */
 obj_t BgL_separatorzd2stringzd2_201;
BgL_separatorzd2stringzd2_201 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 629 */
 obj_t BgL_argzd2valuezd2_202;
BgL_argzd2valuezd2_202 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 630 */

{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1075;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1076;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1077;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1078;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1079;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1080;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1081;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1082;
BgL_arg1199z00_1082 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1081 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1082); } 
BgL_arg1197z00_1080 = 
MAKE_YOUNG_PAIR(BgL_argzd2valuezd2_202, BgL_arg1198z00_1081); } 
BgL_arg1196z00_1079 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1080); } 
BgL_arg1194z00_1078 = 
MAKE_YOUNG_PAIR(BGl_string1996z00zzgdb_annotatez00, BgL_arg1196z00_1079); } 
BgL_arg1193z00_1077 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1078); } 
BgL_arg1191z00_1076 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(10)), BgL_arg1193z00_1077); } 
BgL_list1190z00_1075 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1076); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1075); } 
if(
bigloo_strncmp(BGl_string1996z00zzgdb_annotatez00, BgL_argzd2valuezd2_202, 11L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1996z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_argzd2valuezd2_202, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 632 */
 obj_t BgL_valuez00_203;
BgL_valuez00_203 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)), 
BGl_stringzd2charzd2afterz00zztools_toolsz00(BgL_argzd2valuezd2_202, 
(char)(((unsigned char)' ')))); 
{ /* Gdb/annotate.scm 633 */
 obj_t BgL_nextzd2linezd2_204;
{ /* Gdb/annotate.scm 636 */
 obj_t BgL_tmpz00_1091;
{ /* Gdb/annotate.scm 636 */
 int BgL_tmpz00_2971;
BgL_tmpz00_2971 = 
(int)(1L); 
BgL_tmpz00_1091 = 
BGL_MVALUES_VAL(BgL_tmpz00_2971); } 
{ /* Gdb/annotate.scm 636 */
 int BgL_tmpz00_2974;
BgL_tmpz00_2974 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2974, BUNSPEC); } 
BgL_nextzd2linezd2_204 = BgL_tmpz00_1091; } 
{ /* Gdb/annotate.scm 636 */
 obj_t BgL_whoz00_1092;
BgL_whoz00_1092 = 
((obj_t)
CNST_TABLE_REF(10)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1093;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1094;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1095;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1096;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1097;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1098;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1099;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1100;
BgL_arg1199z00_1100 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1099 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1100); } 
BgL_arg1197z00_1098 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_204, BgL_arg1198z00_1099); } 
BgL_arg1196z00_1097 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1098); } 
BgL_arg1194z00_1096 = 
MAKE_YOUNG_PAIR(BGl_string1997z00zzgdb_annotatez00, BgL_arg1196z00_1097); } 
BgL_arg1193z00_1095 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1096); } 
BgL_arg1191z00_1094 = 
MAKE_YOUNG_PAIR(BgL_whoz00_1092, BgL_arg1193z00_1095); } 
BgL_list1190z00_1093 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1094); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1093); } 
if(
bigloo_strncmp(BGl_string1997z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_204), 9L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1997z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_204, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 637 */
 BgL_argz00_bglt BgL_new1075z00_205;
{ /* Gdb/annotate.scm 638 */
 BgL_argz00_bglt BgL_new1074z00_206;
BgL_new1074z00_206 = 
((BgL_argz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_argz00_bgl) ))); 
{ /* Gdb/annotate.scm 638 */
 long BgL_arg1239z00_207;
BgL_arg1239z00_207 = 
BGL_CLASS_NUM(BGl_argz00zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_206), BgL_arg1239z00_207); } 
BgL_new1075z00_205 = BgL_new1074z00_206; } 
((((BgL_argz00_bglt)COBJECT(BgL_new1075z00_205))->BgL_namez00)=((obj_t)BgL_namez00_199),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(BgL_new1075z00_205))->BgL_separatorz00)=((obj_t)BgL_separatorzd2stringzd2_201),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(BgL_new1075z00_205))->BgL_valuez00)=((obj_t)BgL_valuez00_203),BUNSPEC); 
return BgL_new1075z00_205;} } } } } } } } 

}



/* &arg-begin-parser */
obj_t BGl_z62argzd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1875, obj_t BgL__z00_1876)
{
{ /* Gdb/annotate.scm 626 */
return 
((obj_t)
BGl_argzd2beginzd2parserz00zzgdb_annotatez00(BgL__z00_1876));} 

}



/* &function-call-parser */
obj_t BGl_z62functionzd2callzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1865, obj_t BgL__z00_1866)
{
{ /* Gdb/annotate.scm 645 */
return 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L));} 

}



/* &signal-handler-caller-parser */
obj_t BGl_z62signalzd2handlerzd2callerzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1867, obj_t BgL__z00_1868)
{
{ /* Gdb/annotate.scm 651 */
return 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L));} 

}



/* frame-source-begin-parser */
bool_t BGl_framezd2sourcezd2beginzd2parserzd2zzgdb_annotatez00(obj_t BgL__z00_29)
{
{ /* Gdb/annotate.scm 657 */
{ /* Gdb/annotate.scm 658 */
 obj_t BgL_introz00_210;
BgL_introz00_210 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 660 */
 obj_t BgL_arg1263z00_211;
BgL_arg1263z00_211 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1112;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1113;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1114;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1115;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1116;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1117;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1118;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1119;
BgL_arg1199z00_1119 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1118 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1119); } 
BgL_arg1197z00_1117 = 
MAKE_YOUNG_PAIR(BgL_arg1263z00_211, BgL_arg1198z00_1118); } 
BgL_arg1196z00_1116 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1117); } 
BgL_arg1194z00_1115 = 
MAKE_YOUNG_PAIR(BGl_string1998z00zzgdb_annotatez00, BgL_arg1196z00_1116); } 
BgL_arg1193z00_1114 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1115); } 
BgL_arg1191z00_1113 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1193z00_1114); } 
BgL_list1190z00_1112 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1113); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1112); } 
if(
bigloo_strncmp(BGl_string1998z00zzgdb_annotatez00, BgL_arg1263z00_211, 20L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1998z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1263z00_211, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 661 */
 obj_t BgL_filezd2namezd2_212;
BgL_filezd2namezd2_212 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2fileza2z00zzgdb_annotatez00 = BgL_filezd2namezd2_212; 
{ /* Gdb/annotate.scm 664 */
 obj_t BgL_arg1264z00_213;
BgL_arg1264z00_213 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1128;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1129;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1130;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1131;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1132;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1133;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1134;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1135;
BgL_arg1199z00_1135 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1134 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1135); } 
BgL_arg1197z00_1133 = 
MAKE_YOUNG_PAIR(BgL_arg1264z00_213, BgL_arg1198z00_1134); } 
BgL_arg1196z00_1132 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1133); } 
BgL_arg1194z00_1131 = 
MAKE_YOUNG_PAIR(BGl_string1999z00zzgdb_annotatez00, BgL_arg1196z00_1132); } 
BgL_arg1193z00_1130 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1131); } 
BgL_arg1191z00_1129 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1193z00_1130); } 
BgL_list1190z00_1128 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1129); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1128); } 
if(
bigloo_strncmp(BGl_string1999z00zzgdb_annotatez00, BgL_arg1264z00_213, 24L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1999z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1264z00_213, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 666 */
 obj_t BgL_arg1265z00_214;
BgL_arg1265z00_214 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1144;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1145;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1146;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1147;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1148;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1149;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1150;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1151;
BgL_arg1199z00_1151 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1150 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1151); } 
BgL_arg1197z00_1149 = 
MAKE_YOUNG_PAIR(BgL_arg1265z00_214, BgL_arg1198z00_1150); } 
BgL_arg1196z00_1148 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1149); } 
BgL_arg1194z00_1147 = 
MAKE_YOUNG_PAIR(BGl_string1973z00zzgdb_annotatez00, BgL_arg1196z00_1148); } 
BgL_arg1193z00_1146 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1147); } 
BgL_arg1191z00_1145 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1193z00_1146); } 
BgL_list1190z00_1144 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1145); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1144); } 
if(
bigloo_strncmp(BGl_string1973z00zzgdb_annotatez00, BgL_arg1265z00_214, 1L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string1973z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1265z00_214, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 668 */
 obj_t BgL_arg1269z00_215;
BgL_arg1269z00_215 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1160;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1161;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1162;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1163;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1164;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1165;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1166;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1167;
BgL_arg1199z00_1167 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1166 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1167); } 
BgL_arg1197z00_1165 = 
MAKE_YOUNG_PAIR(BgL_arg1269z00_215, BgL_arg1198z00_1166); } 
BgL_arg1196z00_1164 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1165); } 
BgL_arg1194z00_1163 = 
MAKE_YOUNG_PAIR(BGl_string2000z00zzgdb_annotatez00, BgL_arg1196z00_1164); } 
BgL_arg1193z00_1162 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1163); } 
BgL_arg1191z00_1161 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1193z00_1162); } 
BgL_list1190z00_1160 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1161); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1160); } 
if(
bigloo_strncmp(BGl_string2000z00zzgdb_annotatez00, BgL_arg1269z00_215, 20L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2000z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1269z00_215, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 669 */
 obj_t BgL_linez00_216;
BgL_linez00_216 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BGl_za2gdbzd2annotatezd2regzd2stackzd2lineza2z00zzgdb_annotatez00 = BgL_linez00_216; 
{ /* Gdb/annotate.scm 672 */
 obj_t BgL_arg1270z00_217;
BgL_arg1270z00_217 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1176;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1177;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1178;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1179;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1180;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1181;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1182;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1183;
BgL_arg1199z00_1183 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1182 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1183); } 
BgL_arg1197z00_1181 = 
MAKE_YOUNG_PAIR(BgL_arg1270z00_217, BgL_arg1198z00_1182); } 
BgL_arg1196z00_1180 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1181); } 
BgL_arg1194z00_1179 = 
MAKE_YOUNG_PAIR(BGl_string2001z00zzgdb_annotatez00, BgL_arg1196z00_1180); } 
BgL_arg1193z00_1178 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1179); } 
BgL_arg1191z00_1177 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(11)), BgL_arg1193z00_1178); } 
BgL_list1190z00_1176 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1177); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1176); } 
if(
bigloo_strncmp(BGl_string2001z00zzgdb_annotatez00, BgL_arg1270z00_217, 19L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2001z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1270z00_217, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
return ((bool_t)0);} } } } 

}



/* &source-parser */
obj_t BGl_z62sourcezd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1869, obj_t BgL_linez00_1870)
{
{ /* Gdb/annotate.scm 684 */
{ 

{ /* Gdb/annotate.scm 715 */
 bool_t BgL_test2318z00_3127;
if(
CBOOL(BGl_za2beezd2clientzf3za2z21zzengine_paramz00))
{ /* Gdb/annotate.scm 715 */
BgL_test2318z00_3127 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 715 */
BgL_test2318z00_3127 = 
CBOOL(BGl_za2emacszd2clientzf3za2z21zzengine_paramz00)
; } 
if(BgL_test2318z00_3127)
{ /* Gdb/annotate.scm 715 */
return ( 
BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00 = 
string_append(BGl_string2002z00zzgdb_annotatez00, 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
(int)(9L), 
(char)(((unsigned char)10)), 
(int)(0L))), BUNSPEC) ;}  else 
{ /* Gdb/annotate.scm 715 */
{ /* Gdb/annotate.scm 691 */
 obj_t BgL_startz00_2048;
BgL_startz00_2048 = 
BINT(9L); 
{ /* Gdb/annotate.scm 691 */
 obj_t BgL_filez00_2049;
BgL_filez00_2049 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
(int)(9L), 
(char)(((unsigned char)':')), 
(int)(0L)); 
{ /* Gdb/annotate.scm 692 */
 obj_t BgL_lnumz00_2050;
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_arg1353z00_2051;
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_b1104z00_2052;
{ /* Gdb/annotate.scm 693 */
 long BgL_a1103z00_2053;
BgL_a1103z00_2053 = 
STRING_LENGTH(BgL_filez00_2049); 
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_za71za7_2054;
BgL_za71za7_2054 = 
BINT(BgL_a1103z00_2053); 
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_tmpz00_2055;
BgL_tmpz00_2055 = 
BINT(0L); 
{ /* Gdb/annotate.scm 693 */
 bool_t BgL_test2320z00_3144;
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_tmpz00_3145;
BgL_tmpz00_3145 = 
BINT(1L); 
BgL_test2320z00_3144 = 
BGL_ADDFX_OV(BgL_za71za7_2054, BgL_tmpz00_3145, BgL_tmpz00_2055); } 
if(BgL_test2320z00_3144)
{ /* Gdb/annotate.scm 693 */
BgL_b1104z00_2052 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2054)), 
((obj_t)
CNST_TABLE_REF(7))); }  else 
{ /* Gdb/annotate.scm 693 */
BgL_b1104z00_2052 = BgL_tmpz00_2055; } } } } } 
if(
INTEGERP(BgL_b1104z00_2052))
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_tmpz00_2056;
BgL_tmpz00_2056 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_startz00_2048, BgL_b1104z00_2052, BgL_tmpz00_2056))
{ /* Gdb/annotate.scm 693 */
BgL_arg1353z00_2051 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_startz00_2048)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1104z00_2052))); }  else 
{ /* Gdb/annotate.scm 693 */
BgL_arg1353z00_2051 = BgL_tmpz00_2056; } }  else 
{ /* Gdb/annotate.scm 693 */
BgL_arg1353z00_2051 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(9L), BgL_b1104z00_2052); } } 
BgL_lnumz00_2050 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
CINT(BgL_arg1353z00_2051), 
(char)(((unsigned char)':')), 
(int)(0L)); } 
{ /* Gdb/annotate.scm 693 */
 obj_t BgL_posz00_2057;
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_arg1337z00_2058;
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_b1108z00_2059;
{ /* Gdb/annotate.scm 696 */
 long BgL_a1106z00_2060;
BgL_a1106z00_2060 = 
STRING_LENGTH(BgL_filez00_2049); 
{ /* Gdb/annotate.scm 697 */
 obj_t BgL_b1107z00_2061;
{ /* Gdb/annotate.scm 697 */
 long BgL_a1105z00_2062;
BgL_a1105z00_2062 = 
STRING_LENGTH(BgL_lnumz00_2050); 
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_za71za7_2063;
BgL_za71za7_2063 = 
BINT(BgL_a1105z00_2062); 
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_tmpz00_2064;
BgL_tmpz00_2064 = 
BINT(0L); 
{ /* Gdb/annotate.scm 695 */
 bool_t BgL_test2323z00_3173;
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_tmpz00_3174;
BgL_tmpz00_3174 = 
BINT(2L); 
BgL_test2323z00_3173 = 
BGL_ADDFX_OV(BgL_za71za7_2063, BgL_tmpz00_3174, BgL_tmpz00_2064); } 
if(BgL_test2323z00_3173)
{ /* Gdb/annotate.scm 695 */
BgL_b1107z00_2061 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2063)), 
((obj_t)
CNST_TABLE_REF(12))); }  else 
{ /* Gdb/annotate.scm 695 */
BgL_b1107z00_2061 = BgL_tmpz00_2064; } } } } } 
{ /* Gdb/annotate.scm 695 */

if(
INTEGERP(BgL_b1107z00_2061))
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_za71za7_2065;
BgL_za71za7_2065 = 
BINT(BgL_a1106z00_2060); 
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_tmpz00_2066;
BgL_tmpz00_2066 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2065, BgL_b1107z00_2061, BgL_tmpz00_2066))
{ /* Gdb/annotate.scm 695 */
BgL_b1108z00_2059 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2065)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1107z00_2061))); }  else 
{ /* Gdb/annotate.scm 695 */
BgL_b1108z00_2059 = BgL_tmpz00_2066; } } }  else 
{ /* Gdb/annotate.scm 695 */
BgL_b1108z00_2059 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1106z00_2060), BgL_b1107z00_2061); } } } } 
if(
INTEGERP(BgL_b1108z00_2059))
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_tmpz00_2067;
BgL_tmpz00_2067 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_startz00_2048, BgL_b1108z00_2059, BgL_tmpz00_2067))
{ /* Gdb/annotate.scm 695 */
BgL_arg1337z00_2058 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_startz00_2048)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1108z00_2059))); }  else 
{ /* Gdb/annotate.scm 695 */
BgL_arg1337z00_2058 = BgL_tmpz00_2067; } }  else 
{ /* Gdb/annotate.scm 695 */
BgL_arg1337z00_2058 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(9L), BgL_b1108z00_2059); } } 
BgL_posz00_2057 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
CINT(BgL_arg1337z00_2058), 
(char)(((unsigned char)':')), 
(int)(0L)); } 
{ /* Gdb/annotate.scm 695 */
 obj_t BgL_begz00_2068;
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_arg1325z00_2069;
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_b1114z00_2070;
{ /* Gdb/annotate.scm 701 */
 long BgL_a1112z00_2071;
BgL_a1112z00_2071 = 
STRING_LENGTH(BgL_filez00_2049); 
{ /* Gdb/annotate.scm 702 */
 obj_t BgL_b1113z00_2072;
{ /* Gdb/annotate.scm 702 */
 long BgL_a1110z00_2073;
BgL_a1110z00_2073 = 
STRING_LENGTH(BgL_lnumz00_2050); 
{ /* Gdb/annotate.scm 703 */
 obj_t BgL_b1111z00_2074;
{ /* Gdb/annotate.scm 703 */
 long BgL_a1109z00_2075;
BgL_a1109z00_2075 = 
STRING_LENGTH(BgL_posz00_2057); 
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_za71za7_2076;
BgL_za71za7_2076 = 
BINT(BgL_a1109z00_2075); 
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_tmpz00_2077;
BgL_tmpz00_2077 = 
BINT(0L); 
{ /* Gdb/annotate.scm 700 */
 bool_t BgL_test2328z00_3216;
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_tmpz00_3217;
BgL_tmpz00_3217 = 
BINT(3L); 
BgL_test2328z00_3216 = 
BGL_ADDFX_OV(BgL_za71za7_2076, BgL_tmpz00_3217, BgL_tmpz00_2077); } 
if(BgL_test2328z00_3216)
{ /* Gdb/annotate.scm 700 */
BgL_b1111z00_2074 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2076)), 
((obj_t)
CNST_TABLE_REF(13))); }  else 
{ /* Gdb/annotate.scm 700 */
BgL_b1111z00_2074 = BgL_tmpz00_2077; } } } } } 
{ /* Gdb/annotate.scm 700 */

if(
INTEGERP(BgL_b1111z00_2074))
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_za71za7_2078;
BgL_za71za7_2078 = 
BINT(BgL_a1110z00_2073); 
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_tmpz00_2079;
BgL_tmpz00_2079 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2078, BgL_b1111z00_2074, BgL_tmpz00_2079))
{ /* Gdb/annotate.scm 700 */
BgL_b1113z00_2072 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2078)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1111z00_2074))); }  else 
{ /* Gdb/annotate.scm 700 */
BgL_b1113z00_2072 = BgL_tmpz00_2079; } } }  else 
{ /* Gdb/annotate.scm 700 */
BgL_b1113z00_2072 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1110z00_2073), BgL_b1111z00_2074); } } } } 
{ /* Gdb/annotate.scm 700 */

if(
INTEGERP(BgL_b1113z00_2072))
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_za71za7_2080;
BgL_za71za7_2080 = 
BINT(BgL_a1112z00_2071); 
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_tmpz00_2081;
BgL_tmpz00_2081 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2080, BgL_b1113z00_2072, BgL_tmpz00_2081))
{ /* Gdb/annotate.scm 700 */
BgL_b1114z00_2070 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2080)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1113z00_2072))); }  else 
{ /* Gdb/annotate.scm 700 */
BgL_b1114z00_2070 = BgL_tmpz00_2081; } } }  else 
{ /* Gdb/annotate.scm 700 */
BgL_b1114z00_2070 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1112z00_2071), BgL_b1113z00_2072); } } } } 
if(
INTEGERP(BgL_b1114z00_2070))
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_tmpz00_2082;
BgL_tmpz00_2082 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_startz00_2048, BgL_b1114z00_2070, BgL_tmpz00_2082))
{ /* Gdb/annotate.scm 700 */
BgL_arg1325z00_2069 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_startz00_2048)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1114z00_2070))); }  else 
{ /* Gdb/annotate.scm 700 */
BgL_arg1325z00_2069 = BgL_tmpz00_2082; } }  else 
{ /* Gdb/annotate.scm 700 */
BgL_arg1325z00_2069 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(9L), BgL_b1114z00_2070); } } 
BgL_begz00_2068 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
CINT(BgL_arg1325z00_2069), 
(char)(((unsigned char)':')), 
(int)(0L)); } 
{ /* Gdb/annotate.scm 700 */
 obj_t BgL_addrz00_2083;
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_arg1286z00_2084;
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_b1122z00_2085;
{ /* Gdb/annotate.scm 707 */
 long BgL_a1120z00_2086;
BgL_a1120z00_2086 = 
STRING_LENGTH(BgL_filez00_2049); 
{ /* Gdb/annotate.scm 708 */
 obj_t BgL_b1121z00_2087;
{ /* Gdb/annotate.scm 708 */
 long BgL_a1118z00_2088;
BgL_a1118z00_2088 = 
STRING_LENGTH(BgL_lnumz00_2050); 
{ /* Gdb/annotate.scm 709 */
 obj_t BgL_b1119z00_2089;
{ /* Gdb/annotate.scm 709 */
 long BgL_a1116z00_2090;
BgL_a1116z00_2090 = 
STRING_LENGTH(BgL_posz00_2057); 
{ /* Gdb/annotate.scm 710 */
 obj_t BgL_b1117z00_2091;
{ /* Gdb/annotate.scm 710 */
 long BgL_a1115z00_2092;
BgL_a1115z00_2092 = 
STRING_LENGTH(BgL_begz00_2068); 
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_za71za7_2093;
BgL_za71za7_2093 = 
BINT(BgL_a1115z00_2092); 
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_2094;
BgL_tmpz00_2094 = 
BINT(0L); 
{ /* Gdb/annotate.scm 706 */
 bool_t BgL_test2335z00_3273;
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_3274;
BgL_tmpz00_3274 = 
BINT(4L); 
BgL_test2335z00_3273 = 
BGL_ADDFX_OV(BgL_za71za7_2093, BgL_tmpz00_3274, BgL_tmpz00_2094); } 
if(BgL_test2335z00_3273)
{ /* Gdb/annotate.scm 706 */
BgL_b1117z00_2091 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2093)), 
((obj_t)
CNST_TABLE_REF(14))); }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1117z00_2091 = BgL_tmpz00_2094; } } } } } 
{ /* Gdb/annotate.scm 706 */

if(
INTEGERP(BgL_b1117z00_2091))
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_za71za7_2095;
BgL_za71za7_2095 = 
BINT(BgL_a1116z00_2090); 
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_2096;
BgL_tmpz00_2096 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2095, BgL_b1117z00_2091, BgL_tmpz00_2096))
{ /* Gdb/annotate.scm 706 */
BgL_b1119z00_2089 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2095)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1117z00_2091))); }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1119z00_2089 = BgL_tmpz00_2096; } } }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1119z00_2089 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1116z00_2090), BgL_b1117z00_2091); } } } } 
{ /* Gdb/annotate.scm 706 */

if(
INTEGERP(BgL_b1119z00_2089))
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_za71za7_2097;
BgL_za71za7_2097 = 
BINT(BgL_a1118z00_2088); 
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_2098;
BgL_tmpz00_2098 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2097, BgL_b1119z00_2089, BgL_tmpz00_2098))
{ /* Gdb/annotate.scm 706 */
BgL_b1121z00_2087 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2097)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1119z00_2089))); }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1121z00_2087 = BgL_tmpz00_2098; } } }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1121z00_2087 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1118z00_2088), BgL_b1119z00_2089); } } } } 
{ /* Gdb/annotate.scm 706 */

if(
INTEGERP(BgL_b1121z00_2087))
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_za71za7_2099;
BgL_za71za7_2099 = 
BINT(BgL_a1120z00_2086); 
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_2100;
BgL_tmpz00_2100 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_za71za7_2099, BgL_b1121z00_2087, BgL_tmpz00_2100))
{ /* Gdb/annotate.scm 706 */
BgL_b1122z00_2085 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_za71za7_2099)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1121z00_2087))); }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1122z00_2085 = BgL_tmpz00_2100; } } }  else 
{ /* Gdb/annotate.scm 706 */
BgL_b1122z00_2085 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_a1120z00_2086), BgL_b1121z00_2087); } } } } 
if(
INTEGERP(BgL_b1122z00_2085))
{ /* Gdb/annotate.scm 706 */
 obj_t BgL_tmpz00_2101;
BgL_tmpz00_2101 = 
BINT(0L); 
if(
BGL_ADDFX_OV(BgL_startz00_2048, BgL_b1122z00_2085, BgL_tmpz00_2101))
{ /* Gdb/annotate.scm 706 */
BgL_arg1286z00_2084 = 
bgl_bignum_add(
bgl_long_to_bignum(
(long)CINT(BgL_startz00_2048)), 
bgl_long_to_bignum(
(long)CINT(BgL_b1122z00_2085))); }  else 
{ /* Gdb/annotate.scm 706 */
BgL_arg1286z00_2084 = BgL_tmpz00_2101; } }  else 
{ /* Gdb/annotate.scm 706 */
BgL_arg1286z00_2084 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(9L), BgL_b1122z00_2085); } } 
BgL_addrz00_2083 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_1870, 
CINT(BgL_arg1286z00_2084), 
(char)(((unsigned char)':')), 
(int)(0L)); } 
{ /* Gdb/annotate.scm 706 */

return ( 
BGl_za2gdbzd2annotatezd2regzd2sourceza2zd2zzgdb_annotatez00 = 
BGl_fetchzd2sourcezd2linez00zztools_toolsz00(BgL_filez00_2049, BgL_lnumz00_2050), BUNSPEC) ;} } } } } } } } } } } 

}



/* &exited-parser */
obj_t BGl_z62exitedzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1835, obj_t BgL__z00_1836)
{
{ /* Gdb/annotate.scm 722 */
{ /* Gdb/annotate.scm 724 */
 bool_t BgL_tmpz00_3338;
BGl_za2gdbzd2annotatezd2regzd2stackzd2frameza2z00zzgdb_annotatez00 = BUNSPEC; 
BgL_tmpz00_3338 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_3338);} } 

}



/* &signal-parser */
obj_t BGl_z62signalzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1837, obj_t BgL__z00_1838)
{
{ /* Gdb/annotate.scm 730 */
{ /* Gdb/annotate.scm 732 */
 bool_t BgL_tmpz00_3340;
BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00 = ((bool_t)1); 
BgL_tmpz00_3340 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_3340);} } 

}



/* &signalled-parser */
obj_t BGl_z62signalledzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1839, obj_t BgL__z00_1840)
{
{ /* Gdb/annotate.scm 738 */
{ /* Gdb/annotate.scm 739 */
 bool_t BgL_tmpz00_3342;
BGl_za2gdbzd2annotatezd2regzd2signalzf3za2z21zzgdb_annotatez00 = ((bool_t)1); ((bool_t)0); 
{ /* Gdb/annotate.scm 741 */
 obj_t BgL_g1076z00_2102;
BgL_g1076z00_2102 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ 
 obj_t BgL_introzd2textzd2_2104;
BgL_introzd2textzd2_2104 = BgL_g1076z00_2102; 
BgL_loopz00_2103:
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2003z00zzgdb_annotatez00, BgL_introzd2textzd2_2104))
{ /* Gdb/annotate.scm 742 */((bool_t)0); }  else 
{ 
 obj_t BgL_introzd2textzd2_3347;
BgL_introzd2textzd2_3347 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_introzd2textzd2_2104 = BgL_introzd2textzd2_3347; 
goto BgL_loopz00_2103;} } } 
{ /* Gdb/annotate.scm 744 */
 obj_t BgL_sigz00_2105;
BgL_sigz00_2105 = 
BGl_stringzd2untilzd2zztools_toolsz00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)), 
(char)(((unsigned char)10)), 
(int)(0L)); 
{ /* Gdb/annotate.scm 746 */
 obj_t BgL_arg1365z00_2106;
BgL_arg1365z00_2106 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2107;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2108;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2109;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2110;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2111;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2112;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2113;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2114;
BgL_arg1199z00_2114 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2113 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2114); } 
BgL_arg1197z00_2112 = 
MAKE_YOUNG_PAIR(BgL_arg1365z00_2106, BgL_arg1198z00_2113); } 
BgL_arg1196z00_2111 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2112); } 
BgL_arg1194z00_2110 = 
MAKE_YOUNG_PAIR(BGl_string2004z00zzgdb_annotatez00, BgL_arg1196z00_2111); } 
BgL_arg1193z00_2109 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2110); } 
BgL_arg1191z00_2108 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(15)), BgL_arg1193z00_2109); } 
BgL_list1190z00_2107 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2108); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2107); } 
if(
bigloo_strncmp(BGl_string2004z00zzgdb_annotatez00, BgL_arg1365z00_2106, 17L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2004z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1365z00_2106, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 748 */
 obj_t BgL_arg1370z00_2115;
BgL_arg1370z00_2115 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2116;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2117;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2118;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2119;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2120;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2121;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2122;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2123;
BgL_arg1199z00_2123 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2122 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2123); } 
BgL_arg1197z00_2121 = 
MAKE_YOUNG_PAIR(BgL_arg1370z00_2115, BgL_arg1198z00_2122); } 
BgL_arg1196z00_2120 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2121); } 
BgL_arg1194z00_2119 = 
MAKE_YOUNG_PAIR(BGl_string2005z00zzgdb_annotatez00, BgL_arg1196z00_2120); } 
BgL_arg1193z00_2118 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2119); } 
BgL_arg1191z00_2117 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(15)), BgL_arg1193z00_2118); } 
BgL_list1190z00_2116 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2117); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2116); } 
if(
bigloo_strncmp(BGl_string2005z00zzgdb_annotatez00, BgL_arg1370z00_2115, 1L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2005z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1370z00_2115, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 751 */
 obj_t BgL_arg1373z00_2124;
BgL_arg1373z00_2124 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2125;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2126;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2127;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2128;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2129;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2130;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2131;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2132;
BgL_arg1199z00_2132 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2131 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2132); } 
BgL_arg1197z00_2130 = 
MAKE_YOUNG_PAIR(BgL_arg1373z00_2124, BgL_arg1198z00_2131); } 
BgL_arg1196z00_2129 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2130); } 
BgL_arg1194z00_2128 = 
MAKE_YOUNG_PAIR(BGl_string2006z00zzgdb_annotatez00, BgL_arg1196z00_2129); } 
BgL_arg1193z00_2127 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2128); } 
BgL_arg1191z00_2126 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(15)), BgL_arg1193z00_2127); } 
BgL_list1190z00_2125 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2126); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2125); } 
if(
bigloo_strncmp(BGl_string2006z00zzgdb_annotatez00, BgL_arg1373z00_2124, 15L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2006z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1373z00_2124, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 752 */
 obj_t BgL_msgz00_2133;
BgL_msgz00_2133 = 
BGl_stringzd2untilzd2zztools_toolsz00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)), 
(char)(((unsigned char)10)), 
(int)(0L)); 
BGl_consolezd2errorzd2zztools_ioz00(BGl_string2007z00zzgdb_annotatez00); 
BGl_consolezd2echozd2zztools_ioz00(BgL_sigz00_2105); 
BGl_consolezd2echozd2zztools_ioz00(BGl_string1977z00zzgdb_annotatez00); 
BGl_consolezd2echozd2zztools_ioz00(BgL_msgz00_2133); 
BGl_consolezd2newlinezd2zztools_ioz00(); 
{ /* Gdb/annotate.scm 759 */
 obj_t BgL_arg1374z00_2134;
BgL_arg1374z00_2134 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2135;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2136;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2137;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2138;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2139;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2140;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2141;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2142;
BgL_arg1199z00_2142 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2141 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2142); } 
BgL_arg1197z00_2140 = 
MAKE_YOUNG_PAIR(BgL_arg1374z00_2134, BgL_arg1198z00_2141); } 
BgL_arg1196z00_2139 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2140); } 
BgL_arg1194z00_2138 = 
MAKE_YOUNG_PAIR(BGl_string2008z00zzgdb_annotatez00, BgL_arg1196z00_2139); } 
BgL_arg1193z00_2137 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2138); } 
BgL_arg1191z00_2136 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(15)), BgL_arg1193z00_2137); } 
BgL_list1190z00_2135 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2136); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2135); } 
if(
bigloo_strncmp(BGl_string2008z00zzgdb_annotatez00, BgL_arg1374z00_2134, 19L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2008z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1374z00_2134, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); } } 
BgL_tmpz00_3342 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_3342);} } 

}



/* &value-begin-parser */
obj_t BGl_z62valuezd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1879, obj_t BgL_linez00_1880)
{
{ /* Gdb/annotate.scm 766 */
{ /* Gdb/annotate.scm 788 */
 bool_t BgL_tmpz00_3456;
{ /* Gdb/annotate.scm 767 */
 obj_t BgL_thezd2valuezd2_2143;
BgL_thezd2valuezd2_2143 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)), 
BGl_stringzd2charzd2afterz00zztools_toolsz00(BgL_linez00_1880, 
(char)(((unsigned char)' ')))); 
{ /* Gdb/annotate.scm 768 */
 obj_t BgL_nextzd2linezd2_2144;
{ /* Gdb/annotate.scm 770 */
 obj_t BgL_tmpz00_2145;
{ /* Gdb/annotate.scm 770 */
 int BgL_tmpz00_3462;
BgL_tmpz00_3462 = 
(int)(1L); 
BgL_tmpz00_2145 = 
BGL_MVALUES_VAL(BgL_tmpz00_3462); } 
{ /* Gdb/annotate.scm 770 */
 int BgL_tmpz00_3465;
BgL_tmpz00_3465 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3465, BUNSPEC); } 
BgL_nextzd2linezd2_2144 = BgL_tmpz00_2145; } 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2146;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2147;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2148;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2149;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2150;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2151;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2152;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2153;
BgL_arg1199z00_2153 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2152 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2153); } 
BgL_arg1197z00_2151 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_2144, BgL_arg1198z00_2152); } 
BgL_arg1196z00_2150 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2151); } 
BgL_arg1194z00_2149 = 
MAKE_YOUNG_PAIR(BGl_string2009z00zzgdb_annotatez00, BgL_arg1196z00_2150); } 
BgL_arg1193z00_2148 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2149); } 
BgL_arg1191z00_2147 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(16)), BgL_arg1193z00_2148); } 
BgL_list1190z00_2146 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2147); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2146); } 
if(
bigloo_strncmp(BGl_string2009z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_2144), 11L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2009z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_2144, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
if(
CBOOL(BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00))
{ /* Gdb/annotate.scm 777 */
 obj_t BgL_casezd2valuezd2_2154;
BgL_casezd2valuezd2_2154 = BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00; 
if(
(BgL_casezd2valuezd2_2154==
((obj_t)
CNST_TABLE_REF(4))))
{ /* Gdb/annotate.scm 777 */
BGl_consolezd2echozd2zztools_ioz00(
BGl_gdbzd2valuezd2ze3bdbzd2valuez31zzcommand_printz00(BgL_thezd2valuezd2_2143)); 
BGl_consolezd2newlinezd2zztools_ioz00(); }  else 
{ /* Gdb/annotate.scm 777 */
if(
(BgL_casezd2valuezd2_2154==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Gdb/annotate.scm 777 */
BGl_willzd2explorezd2valuez12z12zzcommand_explorez00(BgL_thezd2valuezd2_2143); }  else 
{ /* Gdb/annotate.scm 777 */
if(
(BgL_casezd2valuezd2_2154==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Gdb/annotate.scm 777 */
BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_thezd2valuezd2_2143, BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00); }  else 
{ /* Gdb/annotate.scm 777 */
BGl_consolezd2echozd2zztools_ioz00(BgL_thezd2valuezd2_2143); 
BGl_consolezd2newlinezd2zztools_ioz00(); } } } }  else 
{ /* Gdb/annotate.scm 771 */BFALSE; } } } 
BgL_tmpz00_3456 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_3456);} } 

}



/* &value-history-begin-parser */
obj_t BGl_z62valuezd2historyzd2beginzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1877, obj_t BgL_linez00_1878)
{
{ /* Gdb/annotate.scm 794 */
{ /* Gdb/annotate.scm 795 */
 unsigned char BgL_flagz00_2155;
BgL_flagz00_2155 = 
BGl_stringzd2charzd2afterz00zztools_toolsz00(BgL_linez00_1878, 
(char)(((unsigned char)' '))); 
{ /* Gdb/annotate.scm 795 */
 obj_t BgL_histzd2numzd2_2156;
BgL_histzd2numzd2_2156 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 796 */

{ /* Gdb/annotate.scm 798 */
 obj_t BgL_arg1398z00_2157;
BgL_arg1398z00_2157 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 797 */
 obj_t BgL_whoz00_2158;
BgL_whoz00_2158 = 
((obj_t)
CNST_TABLE_REF(17)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2159;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2160;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2161;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2162;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2163;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2164;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2165;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2166;
BgL_arg1199z00_2166 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2165 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2166); } 
BgL_arg1197z00_2164 = 
MAKE_YOUNG_PAIR(BgL_arg1398z00_2157, BgL_arg1198z00_2165); } 
BgL_arg1196z00_2163 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2164); } 
BgL_arg1194z00_2162 = 
MAKE_YOUNG_PAIR(BGl_string2010z00zzgdb_annotatez00, BgL_arg1196z00_2163); } 
BgL_arg1193z00_2161 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2162); } 
BgL_arg1191z00_2160 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2158, BgL_arg1193z00_2161); } 
BgL_list1190z00_2159 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2160); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2159); } 
if(
bigloo_strncmp(BGl_string2010z00zzgdb_annotatez00, BgL_arg1398z00_2157, 22L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2010z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1398z00_2157, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 799 */
 obj_t BgL_valuez00_2167;
BgL_valuez00_2167 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)), BgL_flagz00_2155); 
{ /* Gdb/annotate.scm 800 */
 obj_t BgL_nextzd2linezd2_2168;
{ /* Gdb/annotate.scm 803 */
 obj_t BgL_tmpz00_2169;
{ /* Gdb/annotate.scm 803 */
 int BgL_tmpz00_3540;
BgL_tmpz00_3540 = 
(int)(1L); 
BgL_tmpz00_2169 = 
BGL_MVALUES_VAL(BgL_tmpz00_3540); } 
{ /* Gdb/annotate.scm 803 */
 int BgL_tmpz00_3543;
BgL_tmpz00_3543 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3543, BUNSPEC); } 
BgL_nextzd2linezd2_2168 = BgL_tmpz00_2169; } 
{ /* Gdb/annotate.scm 802 */
 obj_t BgL_whoz00_2170;
BgL_whoz00_2170 = 
((obj_t)
CNST_TABLE_REF(17)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2171;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2172;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2173;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2174;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2175;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2176;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2177;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2178;
BgL_arg1199z00_2178 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2177 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2178); } 
BgL_arg1197z00_2176 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_2168, BgL_arg1198z00_2177); } 
BgL_arg1196z00_2175 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2176); } 
BgL_arg1194z00_2174 = 
MAKE_YOUNG_PAIR(BGl_string2011z00zzgdb_annotatez00, BgL_arg1196z00_2175); } 
BgL_arg1193z00_2173 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2174); } 
BgL_arg1191z00_2172 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2170, BgL_arg1193z00_2173); } 
BgL_list1190z00_2171 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2172); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2171); } 
if(
bigloo_strncmp(BGl_string2011z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_2168), 19L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2011z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_2168, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 804 */
 obj_t BgL_casezd2valuezd2_2179;
BgL_casezd2valuezd2_2179 = BGl_za2gdbzd2annotatezd2printzf3za2zf3zzgdb_annotatez00; 
if(
(BgL_casezd2valuezd2_2179==
((obj_t)
CNST_TABLE_REF(4))))
{ /* Gdb/annotate.scm 804 */
BGl_consolezd2echozd2zztools_ioz00(
BGl_gdbzd2valuezd2ze3bdbzd2valuez31zzcommand_printz00(BgL_valuez00_2167)); 
BGl_consolezd2newlinezd2zztools_ioz00(); 
return BFALSE;}  else 
{ /* Gdb/annotate.scm 804 */
if(
(BgL_casezd2valuezd2_2179==
((obj_t)
CNST_TABLE_REF(5))))
{ /* Gdb/annotate.scm 804 */
BGl_willzd2explorezd2valuez12z12zzcommand_explorez00(BgL_valuez00_2167); 
return BFALSE;}  else 
{ /* Gdb/annotate.scm 804 */
if(
(BgL_casezd2valuezd2_2179==
((obj_t)
CNST_TABLE_REF(6))))
{ /* Gdb/annotate.scm 804 */
BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_valuez00_2167, BGl_za2gdbzd2annotatezd2printzd2storeza2zd2zzgdb_annotatez00); 
return BFALSE;}  else 
{ /* Gdb/annotate.scm 804 */
return BgL_valuez00_2167;} } } } } } } } } } 

}



/* value-parser */
obj_t BGl_valuezd2parserzd2zzgdb_annotatez00(obj_t BgL_linez00_37, unsigned char BgL_flagz00_38)
{
{ /* Gdb/annotate.scm 828 */
{ 
 obj_t BgL_linez00_303; obj_t BgL_lstz00_304;
BgL_linez00_303 = BgL_linez00_37; 
BgL_lstz00_304 = BNIL; 
BgL_zc3z04anonymousza31407ze3z87_305:
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2002z00zzgdb_annotatez00, BgL_linez00_303))
{ /* Gdb/annotate.scm 832 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1963z00zzgdb_annotatez00, BgL_linez00_303))
{ /* Gdb/annotate.scm 835 */
 obj_t BgL_fieldzd2valuezd2_308;
BgL_fieldzd2valuezd2_308 = 
BGl_fieldzd2beginzd2parserz00zzgdb_annotatez00(BgL_linez00_303); 
{ /* Gdb/annotate.scm 836 */
 obj_t BgL_arg1445z00_309; obj_t BgL_arg1446z00_310;
BgL_arg1445z00_309 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_arg1446z00_310 = 
MAKE_YOUNG_PAIR(BgL_fieldzd2valuezd2_308, BgL_lstz00_304); 
{ 
 obj_t BgL_lstz00_3593; obj_t BgL_linez00_3592;
BgL_linez00_3592 = BgL_arg1445z00_309; 
BgL_lstz00_3593 = BgL_arg1446z00_310; 
BgL_lstz00_304 = BgL_lstz00_3593; 
BgL_linez00_303 = BgL_linez00_3592; 
goto BgL_zc3z04anonymousza31407ze3z87_305;} } }  else 
{ /* Gdb/annotate.scm 834 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string1964z00zzgdb_annotatez00, BgL_linez00_303))
{ /* Gdb/annotate.scm 839 */
 obj_t BgL_arrayzd2valuezd2_312;
BgL_arrayzd2valuezd2_312 = 
BGl_arrayzd2sectionzd2beginzd2parserzd2zzgdb_annotatez00(BgL_linez00_303); 
{ /* Gdb/annotate.scm 840 */
 obj_t BgL_arg1482z00_313; obj_t BgL_arg1483z00_314;
BgL_arg1482z00_313 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_arg1483z00_314 = 
MAKE_YOUNG_PAIR(BgL_arrayzd2valuezd2_312, BgL_lstz00_304); 
{ 
 obj_t BgL_lstz00_3601; obj_t BgL_linez00_3600;
BgL_linez00_3600 = BgL_arg1482z00_313; 
BgL_lstz00_3601 = BgL_arg1483z00_314; 
BgL_lstz00_304 = BgL_lstz00_3601; 
BgL_linez00_303 = BgL_linez00_3600; 
goto BgL_zc3z04anonymousza31407ze3z87_305;} } }  else 
{ 
 obj_t BgL_lstz00_1493; obj_t BgL_resz00_1494;
BgL_lstz00_1493 = BgL_lstz00_304; 
BgL_resz00_1494 = BGl_string2012z00zzgdb_annotatez00; 
BgL_loopz00_1492:
if(
NULLP(BgL_lstz00_1493))
{ /* Gdb/annotate.scm 845 */
{ /* Gdb/annotate.scm 846 */
 int BgL_tmpz00_3604;
BgL_tmpz00_3604 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3604); } 
{ /* Gdb/annotate.scm 846 */
 int BgL_tmpz00_3607;
BgL_tmpz00_3607 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3607, BgL_linez00_303); } 
return BgL_resz00_1494;}  else 
{ /* Gdb/annotate.scm 847 */
 obj_t BgL_arg1570z00_1504; obj_t BgL_arg1571z00_1505;
BgL_arg1570z00_1504 = 
CDR(
((obj_t)BgL_lstz00_1493)); 
{ /* Gdb/annotate.scm 848 */
 obj_t BgL_arg1578z00_1506;
BgL_arg1578z00_1506 = 
CAR(
((obj_t)BgL_lstz00_1493)); 
BgL_arg1571z00_1505 = 
string_append(BgL_arg1578z00_1506, BgL_resz00_1494); } 
{ 
 obj_t BgL_resz00_3616; obj_t BgL_lstz00_3615;
BgL_lstz00_3615 = BgL_arg1570z00_1504; 
BgL_resz00_3616 = BgL_arg1571z00_1505; 
BgL_resz00_1494 = BgL_resz00_3616; 
BgL_lstz00_1493 = BgL_lstz00_3615; 
goto BgL_loopz00_1492;} } } } }  else 
{ /* Gdb/annotate.scm 832 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2013z00zzgdb_annotatez00, BgL_linez00_303))
{ 
 obj_t BgL_linez00_3619;
BgL_linez00_3619 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_linez00_303 = BgL_linez00_3619; 
goto BgL_zc3z04anonymousza31407ze3z87_305;}  else 
{ /* Gdb/annotate.scm 852 */
 obj_t BgL_arg1583z00_328; obj_t BgL_arg1596z00_329;
BgL_arg1583z00_328 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_arg1596z00_329 = 
MAKE_YOUNG_PAIR(BgL_linez00_303, BgL_lstz00_304); 
{ 
 obj_t BgL_lstz00_3626; obj_t BgL_linez00_3625;
BgL_linez00_3625 = BgL_arg1583z00_328; 
BgL_lstz00_3626 = BgL_arg1596z00_329; 
BgL_lstz00_304 = BgL_lstz00_3626; 
BgL_linez00_303 = BgL_linez00_3625; 
goto BgL_zc3z04anonymousza31407ze3z87_305;} } } } } 

}



/* field-begin-parser */
obj_t BGl_fieldzd2beginzd2parserz00zzgdb_annotatez00(obj_t BgL_linez00_39)
{
{ /* Gdb/annotate.scm 857 */
{ /* Gdb/annotate.scm 858 */
 unsigned char BgL_flagz00_331;
BgL_flagz00_331 = 
BGl_stringzd2charzd2afterz00zztools_toolsz00(BgL_linez00_39, 
(char)(((unsigned char)' '))); 
{ /* Gdb/annotate.scm 858 */
 obj_t BgL_namez00_332;
BgL_namez00_332 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 859 */

{ /* Gdb/annotate.scm 861 */
 obj_t BgL_arg1597z00_333;
BgL_arg1597z00_333 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 860 */
 obj_t BgL_whoz00_1509;
BgL_whoz00_1509 = 
((obj_t)
CNST_TABLE_REF(18)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1510;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1511;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1512;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1513;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1514;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1515;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1516;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1517;
BgL_arg1199z00_1517 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1516 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1517); } 
BgL_arg1197z00_1515 = 
MAKE_YOUNG_PAIR(BgL_arg1597z00_333, BgL_arg1198z00_1516); } 
BgL_arg1196z00_1514 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1515); } 
BgL_arg1194z00_1513 = 
MAKE_YOUNG_PAIR(BGl_string2014z00zzgdb_annotatez00, BgL_arg1196z00_1514); } 
BgL_arg1193z00_1512 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1513); } 
BgL_arg1191z00_1511 = 
MAKE_YOUNG_PAIR(BgL_whoz00_1509, BgL_arg1193z00_1512); } 
BgL_list1190z00_1510 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1511); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1510); } 
if(
bigloo_strncmp(BGl_string2014z00zzgdb_annotatez00, BgL_arg1597z00_333, 17L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2014z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1597z00_333, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 862 */
 obj_t BgL_separatorzd2stringzd2_334;
BgL_separatorzd2stringzd2_334 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 864 */
 obj_t BgL_arg1603z00_335;
BgL_arg1603z00_335 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 863 */
 obj_t BgL_whoz00_1526;
BgL_whoz00_1526 = 
((obj_t)
CNST_TABLE_REF(18)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1527;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1528;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1529;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1530;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1531;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1532;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1533;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1534;
BgL_arg1199z00_1534 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1533 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1534); } 
BgL_arg1197z00_1532 = 
MAKE_YOUNG_PAIR(BgL_arg1603z00_335, BgL_arg1198z00_1533); } 
BgL_arg1196z00_1531 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1532); } 
BgL_arg1194z00_1530 = 
MAKE_YOUNG_PAIR(BGl_string2015z00zzgdb_annotatez00, BgL_arg1196z00_1531); } 
BgL_arg1193z00_1529 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1530); } 
BgL_arg1191z00_1528 = 
MAKE_YOUNG_PAIR(BgL_whoz00_1526, BgL_arg1193z00_1529); } 
BgL_list1190z00_1527 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1528); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1527); } 
if(
bigloo_strncmp(BGl_string2015z00zzgdb_annotatez00, BgL_arg1603z00_335, 14L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2015z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1603z00_335, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 865 */
 obj_t BgL_valuez00_336;
BgL_valuez00_336 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)), BgL_flagz00_331); 
{ /* Gdb/annotate.scm 866 */
 obj_t BgL_nextzd2linezd2_337;
{ /* Gdb/annotate.scm 868 */
 obj_t BgL_tmpz00_1543;
{ /* Gdb/annotate.scm 868 */
 int BgL_tmpz00_3680;
BgL_tmpz00_3680 = 
(int)(1L); 
BgL_tmpz00_1543 = 
BGL_MVALUES_VAL(BgL_tmpz00_3680); } 
{ /* Gdb/annotate.scm 868 */
 int BgL_tmpz00_3683;
BgL_tmpz00_3683 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3683, BUNSPEC); } 
BgL_nextzd2linezd2_337 = BgL_tmpz00_1543; } 
{ /* Gdb/annotate.scm 868 */
 obj_t BgL_whoz00_1544;
BgL_whoz00_1544 = 
((obj_t)
CNST_TABLE_REF(18)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1545;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1546;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1547;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1548;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1549;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1550;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1551;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1552;
BgL_arg1199z00_1552 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1551 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1552); } 
BgL_arg1197z00_1550 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_337, BgL_arg1198z00_1551); } 
BgL_arg1196z00_1549 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1550); } 
BgL_arg1194z00_1548 = 
MAKE_YOUNG_PAIR(BGl_string2016z00zzgdb_annotatez00, BgL_arg1196z00_1549); } 
BgL_arg1193z00_1547 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1548); } 
BgL_arg1191z00_1546 = 
MAKE_YOUNG_PAIR(BgL_whoz00_1544, BgL_arg1193z00_1547); } 
BgL_list1190z00_1545 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1546); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1545); } 
if(
bigloo_strncmp(BGl_string2016z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_337), 11L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2016z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_337, 
(char)(((unsigned char)10)), 
(int)(0L))); } } 
{ /* Gdb/annotate.scm 869 */
 obj_t BgL_list1604z00_338;
{ /* Gdb/annotate.scm 869 */
 obj_t BgL_arg1610z00_339;
{ /* Gdb/annotate.scm 869 */
 obj_t BgL_arg1611z00_340;
{ /* Gdb/annotate.scm 869 */
 obj_t BgL_arg1616z00_341;
{ /* Gdb/annotate.scm 869 */
 obj_t BgL_arg1617z00_342;
BgL_arg1617z00_342 = 
MAKE_YOUNG_PAIR(BGl_string2017z00zzgdb_annotatez00, BNIL); 
BgL_arg1616z00_341 = 
MAKE_YOUNG_PAIR(BgL_valuez00_336, BgL_arg1617z00_342); } 
BgL_arg1611z00_340 = 
MAKE_YOUNG_PAIR(BGl_string2018z00zzgdb_annotatez00, BgL_arg1616z00_341); } 
BgL_arg1610z00_339 = 
MAKE_YOUNG_PAIR(BgL_namez00_332, BgL_arg1611z00_340); } 
BgL_list1604z00_338 = 
MAKE_YOUNG_PAIR(BGl_string2019z00zzgdb_annotatez00, BgL_arg1610z00_339); } 
BGL_TAIL return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1604z00_338);} } } } } } } } 

}



/* &field-begin-parser */
obj_t BGl_z62fieldzd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1881, obj_t BgL_linez00_1882)
{
{ /* Gdb/annotate.scm 857 */
return 
BGl_fieldzd2beginzd2parserz00zzgdb_annotatez00(BgL_linez00_1882);} 

}



/* array-section-begin-parser */
obj_t BGl_arrayzd2sectionzd2beginzd2parserzd2zzgdb_annotatez00(obj_t BgL_linez00_40)
{
{ /* Gdb/annotate.scm 874 */
{ /* Gdb/annotate.scm 875 */
 unsigned char BgL_flagz00_344; obj_t BgL_firstz00_345;
BgL_flagz00_344 = 
BGl_stringzd2charzd2afterz00zztools_toolsz00(BgL_linez00_40, 
(char)(((unsigned char)' '))); 
BgL_firstz00_345 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2020z00zzgdb_annotatez00, BgL_firstz00_345))
{ /* Gdb/annotate.scm 878 */
return BGl_string2012z00zzgdb_annotatez00;}  else 
{ /* Gdb/annotate.scm 881 */
 obj_t BgL_valuez00_347;
BgL_valuez00_347 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(BgL_firstz00_345, BgL_flagz00_344); 
{ /* Gdb/annotate.scm 882 */
 obj_t BgL_nextzd2linezd2_348;
{ /* Gdb/annotate.scm 883 */
 obj_t BgL_tmpz00_1561;
{ /* Gdb/annotate.scm 883 */
 int BgL_tmpz00_3721;
BgL_tmpz00_3721 = 
(int)(1L); 
BgL_tmpz00_1561 = 
BGL_MVALUES_VAL(BgL_tmpz00_3721); } 
{ /* Gdb/annotate.scm 883 */
 int BgL_tmpz00_3724;
BgL_tmpz00_3724 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3724, BUNSPEC); } 
BgL_nextzd2linezd2_348 = BgL_tmpz00_1561; } 
{ /* Gdb/annotate.scm 883 */
 obj_t BgL_g1085z00_349;
{ /* Gdb/annotate.scm 884 */
 obj_t BgL_list1741z00_395;
BgL_list1741z00_395 = 
MAKE_YOUNG_PAIR(BgL_valuez00_347, BNIL); 
BgL_g1085z00_349 = BgL_list1741z00_395; } 
{ 
 obj_t BgL_linez00_351; obj_t BgL_lstz00_352;
BgL_linez00_351 = BgL_nextzd2linezd2_348; 
BgL_lstz00_352 = BgL_g1085z00_349; 
BgL_zc3z04anonymousza31620ze3z87_353:
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2020z00zzgdb_annotatez00, BgL_linez00_351))
{ 
 obj_t BgL_lstz00_1576; obj_t BgL_resz00_1577;
BgL_lstz00_1576 = BgL_lstz00_352; 
BgL_resz00_1577 = BGl_string2012z00zzgdb_annotatez00; 
BgL_loopz00_1575:
if(
NULLP(BgL_lstz00_1576))
{ /* Gdb/annotate.scm 889 */
return BgL_resz00_1577;}  else 
{ /* Gdb/annotate.scm 891 */
 obj_t BgL_arg1632z00_1583; obj_t BgL_arg1633z00_1584;
BgL_arg1632z00_1583 = 
CDR(
((obj_t)BgL_lstz00_1576)); 
{ /* Gdb/annotate.scm 892 */
 obj_t BgL_arg1634z00_1585;
BgL_arg1634z00_1585 = 
CAR(
((obj_t)BgL_lstz00_1576)); 
BgL_arg1633z00_1584 = 
string_append(BgL_arg1634z00_1585, BgL_resz00_1577); } 
{ 
 obj_t BgL_resz00_3738; obj_t BgL_lstz00_3737;
BgL_lstz00_3737 = BgL_arg1632z00_1583; 
BgL_resz00_3738 = BgL_arg1633z00_1584; 
BgL_resz00_1577 = BgL_resz00_3738; 
BgL_lstz00_1576 = BgL_lstz00_3737; 
goto BgL_loopz00_1575;} } }  else 
{ /* Gdb/annotate.scm 893 */
 bool_t BgL_test2370z00_3739;
{ /* Gdb/annotate.scm 893 */
 long BgL_l1z00_1590;
BgL_l1z00_1590 = 
STRING_LENGTH(
((obj_t)BgL_linez00_351)); 
if(
(BgL_l1z00_1590==2L))
{ /* Gdb/annotate.scm 893 */
 int BgL_arg1339z00_1593;
{ /* Gdb/annotate.scm 893 */
 char * BgL_auxz00_3747; char * BgL_tmpz00_3744;
BgL_auxz00_3747 = 
BSTRING_TO_STRING(BGl_string2021z00zzgdb_annotatez00); 
BgL_tmpz00_3744 = 
BSTRING_TO_STRING(
((obj_t)BgL_linez00_351)); 
BgL_arg1339z00_1593 = 
memcmp(BgL_tmpz00_3744, BgL_auxz00_3747, BgL_l1z00_1590); } 
BgL_test2370z00_3739 = 
(
(long)(BgL_arg1339z00_1593)==0L); }  else 
{ /* Gdb/annotate.scm 893 */
BgL_test2370z00_3739 = ((bool_t)0)
; } } 
if(BgL_test2370z00_3739)
{ /* Gdb/annotate.scm 894 */
 obj_t BgL_valuez00_365;
BgL_valuez00_365 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)), BgL_flagz00_344); 
{ /* Gdb/annotate.scm 895 */
 obj_t BgL_nextzd2linezd2_366;
{ /* Gdb/annotate.scm 898 */
 obj_t BgL_tmpz00_1599;
{ /* Gdb/annotate.scm 898 */
 int BgL_tmpz00_3755;
BgL_tmpz00_3755 = 
(int)(1L); 
BgL_tmpz00_1599 = 
BGL_MVALUES_VAL(BgL_tmpz00_3755); } 
{ /* Gdb/annotate.scm 898 */
 int BgL_tmpz00_3758;
BgL_tmpz00_3758 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3758, BUNSPEC); } 
BgL_nextzd2linezd2_366 = BgL_tmpz00_1599; } 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1600;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1601;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1602;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1603;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1604;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1605;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1606;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1607;
BgL_arg1199z00_1607 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1606 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1607); } 
BgL_arg1197z00_1605 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_366, BgL_arg1198z00_1606); } 
BgL_arg1196z00_1604 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1605); } 
BgL_arg1194z00_1603 = 
MAKE_YOUNG_PAIR(BGl_string2022z00zzgdb_annotatez00, BgL_arg1196z00_1604); } 
BgL_arg1193z00_1602 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1603); } 
BgL_arg1191z00_1601 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(19)), BgL_arg1193z00_1602); } 
BgL_list1190z00_1600 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1601); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1600); } 
if(
bigloo_strncmp(BGl_string2022z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_366), 5L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2022z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_366, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 899 */
 obj_t BgL_arg1651z00_367; obj_t BgL_arg1652z00_368;
BgL_arg1651z00_367 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 900 */
 obj_t BgL_arg1653z00_369;
BgL_arg1653z00_369 = 
MAKE_YOUNG_PAIR(BgL_valuez00_365, BgL_lstz00_352); 
BgL_arg1652z00_368 = 
MAKE_YOUNG_PAIR(BgL_linez00_351, BgL_arg1653z00_369); } 
{ 
 obj_t BgL_lstz00_3787; obj_t BgL_linez00_3786;
BgL_linez00_3786 = BgL_arg1651z00_367; 
BgL_lstz00_3787 = BgL_arg1652z00_368; 
BgL_lstz00_352 = BgL_lstz00_3787; 
BgL_linez00_351 = BgL_linez00_3786; 
goto BgL_zc3z04anonymousza31620ze3z87_353;} } } }  else 
{ /* Gdb/annotate.scm 893 */
if(
bigloo_strncmp(
((obj_t)BgL_linez00_351), BGl_string2021z00zzgdb_annotatez00, 2L))
{ /* Gdb/annotate.scm 902 */
 obj_t BgL_valuez00_372;
{ /* Gdb/annotate.scm 903 */
 obj_t BgL_arg1698z00_377;
{ /* Gdb/annotate.scm 903 */
 long BgL_arg1705z00_378;
BgL_arg1705z00_378 = 
STRING_LENGTH(
((obj_t)BgL_linez00_351)); 
BgL_arg1698z00_377 = 
c_substring(
((obj_t)BgL_linez00_351), 2L, BgL_arg1705z00_378); } 
BgL_valuez00_372 = 
BGl_valuezd2parserzd2zzgdb_annotatez00(BgL_arg1698z00_377, BgL_flagz00_344); } 
{ /* Gdb/annotate.scm 903 */
 obj_t BgL_nextzd2linezd2_373;
{ /* Gdb/annotate.scm 907 */
 obj_t BgL_tmpz00_1621;
{ /* Gdb/annotate.scm 907 */
 int BgL_tmpz00_3796;
BgL_tmpz00_3796 = 
(int)(1L); 
BgL_tmpz00_1621 = 
BGL_MVALUES_VAL(BgL_tmpz00_3796); } 
{ /* Gdb/annotate.scm 907 */
 int BgL_tmpz00_3799;
BgL_tmpz00_3799 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3799, BUNSPEC); } 
BgL_nextzd2linezd2_373 = BgL_tmpz00_1621; } 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1622;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1623;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1624;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1625;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1626;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1627;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1628;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1629;
BgL_arg1199z00_1629 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1628 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1629); } 
BgL_arg1197z00_1627 = 
MAKE_YOUNG_PAIR(BgL_nextzd2linezd2_373, BgL_arg1198z00_1628); } 
BgL_arg1196z00_1626 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1627); } 
BgL_arg1194z00_1625 = 
MAKE_YOUNG_PAIR(BGl_string2022z00zzgdb_annotatez00, BgL_arg1196z00_1626); } 
BgL_arg1193z00_1624 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1625); } 
BgL_arg1191z00_1623 = 
MAKE_YOUNG_PAIR(
((obj_t)
CNST_TABLE_REF(19)), BgL_arg1193z00_1624); } 
BgL_list1190z00_1622 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1623); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1622); } 
if(
bigloo_strncmp(BGl_string2022z00zzgdb_annotatez00, 
((obj_t)BgL_nextzd2linezd2_373), 5L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2022z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_nextzd2linezd2_373, 
(char)(((unsigned char)10)), 
(int)(0L))); } 
{ /* Gdb/annotate.scm 908 */
 obj_t BgL_arg1667z00_374; obj_t BgL_arg1691z00_375;
BgL_arg1667z00_374 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 909 */
 obj_t BgL_arg1692z00_376;
BgL_arg1692z00_376 = 
MAKE_YOUNG_PAIR(BgL_valuez00_372, BgL_lstz00_352); 
BgL_arg1691z00_375 = 
MAKE_YOUNG_PAIR(BgL_linez00_351, BgL_arg1692z00_376); } 
{ 
 obj_t BgL_lstz00_3828; obj_t BgL_linez00_3827;
BgL_linez00_3827 = BgL_arg1667z00_374; 
BgL_lstz00_3828 = BgL_arg1691z00_375; 
BgL_lstz00_352 = BgL_lstz00_3828; 
BgL_linez00_351 = BgL_linez00_3827; 
goto BgL_zc3z04anonymousza31620ze3z87_353;} } } }  else 
{ /* Gdb/annotate.scm 901 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2022z00zzgdb_annotatez00, BgL_linez00_351))
{ 
 obj_t BgL_linez00_3831;
BgL_linez00_3831 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_linez00_351 = BgL_linez00_3831; 
goto BgL_zc3z04anonymousza31620ze3z87_353;}  else 
{ /* Gdb/annotate.scm 913 */
 bool_t BgL_test2376z00_3834;
if(
(0L==
STRING_LENGTH(
((obj_t)BgL_linez00_351))))
{ /* Gdb/annotate.scm 913 */
 int BgL_arg1339z00_1643;
{ /* Gdb/annotate.scm 913 */
 char * BgL_auxz00_3841; char * BgL_tmpz00_3839;
BgL_auxz00_3841 = 
BSTRING_TO_STRING(
((obj_t)BgL_linez00_351)); 
BgL_tmpz00_3839 = 
BSTRING_TO_STRING(BGl_string2012z00zzgdb_annotatez00); 
BgL_arg1339z00_1643 = 
memcmp(BgL_tmpz00_3839, BgL_auxz00_3841, 0L); } 
BgL_test2376z00_3834 = 
(
(long)(BgL_arg1339z00_1643)==0L); }  else 
{ /* Gdb/annotate.scm 913 */
BgL_test2376z00_3834 = ((bool_t)0)
; } 
if(BgL_test2376z00_3834)
{ 
 obj_t BgL_linez00_3847;
BgL_linez00_3847 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
BgL_linez00_351 = BgL_linez00_3847; 
goto BgL_zc3z04anonymousza31620ze3z87_353;}  else 
{ /* Gdb/annotate.scm 913 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2023z00zzgdb_annotatez00, BgL_linez00_351))
{ /* Gdb/annotate.scm 917 */
 obj_t BgL_repzd2numzd2_384;
BgL_repzd2numzd2_384 = 
BGl_stringzd2untilzd2atz00zztools_toolsz00(BgL_linez00_351, 
(int)(10L), 
(char)(((unsigned char)10)), 
(int)(0L)); 
{ /* Gdb/annotate.scm 917 */
 obj_t BgL_repzd2stringzd2_385;
BgL_repzd2stringzd2_385 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 922 */

{ /* Gdb/annotate.scm 925 */
 obj_t BgL_arg1716z00_386;
BgL_arg1716z00_386 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 923 */
 obj_t BgL_whoz00_1649;
BgL_whoz00_1649 = 
((obj_t)
CNST_TABLE_REF(19)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_1650;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_1651;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_1652;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_1653;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_1654;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_1655;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_1656;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_1657;
BgL_arg1199z00_1657 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_1656 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_1657); } 
BgL_arg1197z00_1655 = 
MAKE_YOUNG_PAIR(BgL_arg1716z00_386, BgL_arg1198z00_1656); } 
BgL_arg1196z00_1654 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_1655); } 
BgL_arg1194z00_1653 = 
MAKE_YOUNG_PAIR(BGl_string2024z00zzgdb_annotatez00, BgL_arg1196z00_1654); } 
BgL_arg1193z00_1652 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_1653); } 
BgL_arg1191z00_1651 = 
MAKE_YOUNG_PAIR(BgL_whoz00_1649, BgL_arg1193z00_1652); } 
BgL_list1190z00_1650 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_1651); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_1650); } 
if(
bigloo_strncmp(BGl_string2024z00zzgdb_annotatez00, BgL_arg1716z00_386, 13L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2024z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1716z00_386, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 926 */
 obj_t BgL_arg1722z00_387; obj_t BgL_arg1724z00_388;
BgL_arg1722z00_387 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 927 */
 obj_t BgL_arg1731z00_389;
BgL_arg1731z00_389 = 
MAKE_YOUNG_PAIR(BgL_repzd2stringzd2_385, BgL_lstz00_352); 
BgL_arg1724z00_388 = 
MAKE_YOUNG_PAIR(BgL_repzd2numzd2_384, BgL_arg1731z00_389); } 
{ 
 obj_t BgL_lstz00_3885; obj_t BgL_linez00_3884;
BgL_linez00_3884 = BgL_arg1722z00_387; 
BgL_lstz00_3885 = BgL_arg1724z00_388; 
BgL_lstz00_352 = BgL_lstz00_3885; 
BgL_linez00_351 = BgL_linez00_3884; 
goto BgL_zc3z04anonymousza31620ze3z87_353;} } } } }  else 
{ /* Gdb/annotate.scm 916 */
{ /* Gdb/annotate.scm 929 */
 obj_t BgL_list1732z00_390;
{ /* Gdb/annotate.scm 929 */
 obj_t BgL_arg1737z00_391;
{ /* Gdb/annotate.scm 929 */
 obj_t BgL_arg1738z00_392;
{ /* Gdb/annotate.scm 929 */
 obj_t BgL_arg1740z00_393;
BgL_arg1740z00_393 = 
MAKE_YOUNG_PAIR(BGl_string2025z00zzgdb_annotatez00, BNIL); 
BgL_arg1738z00_392 = 
MAKE_YOUNG_PAIR(BgL_linez00_351, BgL_arg1740z00_393); } 
BgL_arg1737z00_391 = 
MAKE_YOUNG_PAIR(BGl_string2026z00zzgdb_annotatez00, BgL_arg1738z00_392); } 
BgL_list1732z00_390 = 
MAKE_YOUNG_PAIR(BGl_string2027z00zzgdb_annotatez00, BgL_arg1737z00_391); } 
BGl_warningz00zz__errorz00(BgL_list1732z00_390); } 
return BGl_string2012z00zzgdb_annotatez00;} } } } } } } } } } } } 

}



/* &array-section-begin-parser */
obj_t BGl_z62arrayzd2sectionzd2beginzd2parserzb0zzgdb_annotatez00(obj_t BgL_envz00_1883, obj_t BgL_linez00_1884)
{
{ /* Gdb/annotate.scm 874 */
return 
BGl_arrayzd2sectionzd2beginzd2parserzd2zzgdb_annotatez00(BgL_linez00_1884);} 

}



/* &breakpoint-headers-parser */
obj_t BGl_z62breakpointzd2headerszd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1871, obj_t BgL__z00_1872)
{
{ /* Gdb/annotate.scm 942 */
{ /* Gdb/annotate.scm 1026 */
 bool_t BgL_tmpz00_3892;
{ /* Gdb/annotate.scm 950 */

{ 
 long BgL_fieldzd2lenzd2_2210; long BgL_fieldzd2lenzd2_2196;
{ /* Gdb/annotate.scm 1023 */
 obj_t BgL_headersz00_2219;
{ /* Gdb/annotate.scm 953 */
 obj_t BgL_g1086z00_2187;
BgL_g1086z00_2187 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ 
 obj_t BgL_linez00_2189; obj_t BgL_headersz00_2190;
BgL_linez00_2189 = BgL_g1086z00_2187; 
BgL_headersz00_2190 = BNIL; 
BgL_loopz00_2188:
if(
bigloo_strncmp(BGl_string2028z00zzgdb_annotatez00, BgL_linez00_2189, 7L))
{ /* Gdb/annotate.scm 957 */
 obj_t BgL_newzd2headerzd2_2191;
BgL_newzd2headerzd2_2191 = 
BGl_stringzd2untilzd2zztools_toolsz00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)), 
(char)(((unsigned char)10)), 
(int)(0L)); 
{ /* Gdb/annotate.scm 960 */
 obj_t BgL_arg1755z00_2192; obj_t BgL_arg1756z00_2193;
BgL_arg1755z00_2192 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_arg1756z00_2193 = 
MAKE_YOUNG_PAIR(BgL_newzd2headerzd2_2191, BgL_headersz00_2190); 
{ 
 obj_t BgL_headersz00_3906; obj_t BgL_linez00_3905;
BgL_linez00_3905 = BgL_arg1755z00_2192; 
BgL_headersz00_3906 = BgL_arg1756z00_2193; 
BgL_headersz00_2190 = BgL_headersz00_3906; 
BgL_linez00_2189 = BgL_linez00_3905; 
goto BgL_loopz00_2188;} } }  else 
{ /* Gdb/annotate.scm 956 */
if(
bigloo_strncmp(BGl_string2029z00zzgdb_annotatez00, BgL_linez00_2189, 20L))
{ /* Gdb/annotate.scm 962 */
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_headersz00_2219 = 
bgl_reverse_bang(BgL_headersz00_2190); }  else 
{ /* Gdb/annotate.scm 965 */
 bool_t BgL_test2382z00_3912;
{ /* Gdb/annotate.scm 965 */
 bool_t BgL_test2383z00_3913;
{ /* Gdb/annotate.scm 965 */
 long BgL_l1z00_2194;
BgL_l1z00_2194 = 
STRING_LENGTH(BgL_linez00_2189); 
if(
(BgL_l1z00_2194==0L))
{ /* Gdb/annotate.scm 965 */
 int BgL_arg1339z00_2195;
{ /* Gdb/annotate.scm 965 */
 char * BgL_auxz00_3919; char * BgL_tmpz00_3917;
BgL_auxz00_3919 = 
BSTRING_TO_STRING(BGl_string2012z00zzgdb_annotatez00); 
BgL_tmpz00_3917 = 
BSTRING_TO_STRING(BgL_linez00_2189); 
BgL_arg1339z00_2195 = 
memcmp(BgL_tmpz00_3917, BgL_auxz00_3919, BgL_l1z00_2194); } 
BgL_test2383z00_3913 = 
(
(long)(BgL_arg1339z00_2195)==0L); }  else 
{ /* Gdb/annotate.scm 965 */
BgL_test2383z00_3913 = ((bool_t)0)
; } } 
if(BgL_test2383z00_3913)
{ /* Gdb/annotate.scm 965 */
BgL_test2382z00_3912 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 965 */
BgL_test2382z00_3912 = 
(
STRING_REF(BgL_linez00_2189, 0L)==((unsigned char)10))
; } } 
if(BgL_test2382z00_3912)
{ 
 obj_t BgL_linez00_3926;
BgL_linez00_3926 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_linez00_2189 = BgL_linez00_3926; 
goto BgL_loopz00_2188;}  else 
{ /* Gdb/annotate.scm 965 */
BgL_headersz00_2219 = 
BGl_errorz00zz__errorz00(BGl_string2030z00zzgdb_annotatez00, BGl_string2031z00zzgdb_annotatez00, 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_2189, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } } } 
{ /* Gdb/annotate.scm 1023 */
 obj_t BgL_recordsz00_2220;
BgL_fieldzd2lenzd2_2210 = 
bgl_list_length(BgL_headersz00_2219); 
{ /* Gdb/annotate.scm 1005 */
 obj_t BgL_g1091z00_2211;
BgL_g1091z00_2211 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ 
 obj_t BgL_linez00_2213; obj_t BgL_resz00_2214;
BgL_linez00_2213 = BgL_g1091z00_2211; 
BgL_resz00_2214 = BNIL; 
BgL_loopz00_2212:
if(
bigloo_strncmp(BGl_string2032z00zzgdb_annotatez00, 
((obj_t)BgL_linez00_2213), 9L))
{ /* Gdb/annotate.scm 1008 */
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1010 */
 obj_t BgL_recordz00_2215;
BgL_fieldzd2lenzd2_2196 = BgL_fieldzd2lenzd2_2210; 
{ 
 long BgL_iz00_2198; obj_t BgL_valsz00_2199;
BgL_iz00_2198 = 0L; 
BgL_valsz00_2199 = BNIL; 
BgL_loopz00_2197:
if(
(BgL_iz00_2198==BgL_fieldzd2lenzd2_2196))
{ /* Gdb/annotate.scm 979 */
 obj_t BgL_g1090z00_2200;
BgL_g1090z00_2200 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ 
 obj_t BgL_linez00_2202; obj_t BgL_valsz00_2203;
BgL_linez00_2202 = BgL_g1090z00_2200; 
BgL_valsz00_2203 = BgL_valsz00_2199; 
BgL_loopz00_2201:
{ /* Gdb/annotate.scm 982 */
 bool_t BgL_test2387z00_3944;
if(
bigloo_strncmp(BGl_string2032z00zzgdb_annotatez00, BgL_linez00_2202, 9L))
{ /* Gdb/annotate.scm 982 */
BgL_test2387z00_3944 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 982 */
BgL_test2387z00_3944 = 
bigloo_strncmp(BGl_string1953z00zzgdb_annotatez00, BgL_linez00_2202, 24L)
; } 
if(BgL_test2387z00_3944)
{ /* Gdb/annotate.scm 987 */
 obj_t BgL_val0_1125z00_2204;
BgL_val0_1125z00_2204 = 
bgl_reverse_bang(BgL_valsz00_2203); 
{ /* Gdb/annotate.scm 987 */
 int BgL_tmpz00_3949;
BgL_tmpz00_3949 = 
(int)(2L); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3949); } 
{ /* Gdb/annotate.scm 987 */
 int BgL_tmpz00_3952;
BgL_tmpz00_3952 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3952, BgL_linez00_2202); } 
BgL_recordz00_2215 = BgL_val0_1125z00_2204; }  else 
{ /* Gdb/annotate.scm 988 */
 bool_t BgL_test2389z00_3955;
if(
(
STRING_LENGTH(BgL_linez00_2202)==0L))
{ /* Gdb/annotate.scm 988 */
BgL_test2389z00_3955 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 988 */
if(
(
STRING_REF(BgL_linez00_2202, 0L)==((unsigned char)10)))
{ /* Gdb/annotate.scm 989 */
BgL_test2389z00_3955 = ((bool_t)1)
; }  else 
{ /* Gdb/annotate.scm 989 */
BgL_test2389z00_3955 = 
bigloo_strncmp(BGl_string2028z00zzgdb_annotatez00, BgL_linez00_2202, 7L)
; } } 
if(BgL_test2389z00_3955)
{ 
 obj_t BgL_linez00_3963;
BgL_linez00_3963 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_linez00_2202 = BgL_linez00_3963; 
goto BgL_loopz00_2201;}  else 
{ /* Gdb/annotate.scm 995 */
 obj_t BgL_valuez00_2205;
BgL_valuez00_2205 = 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_2202, 
(char)(((unsigned char)10)), 
(int)(0L)); 
{ /* Gdb/annotate.scm 996 */
 obj_t BgL_arg1795z00_2206; obj_t BgL_arg1796z00_2207;
BgL_arg1795z00_2206 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_arg1796z00_2207 = 
MAKE_YOUNG_PAIR(BgL_valuez00_2205, BgL_valsz00_2203); 
{ 
 obj_t BgL_valsz00_3973; obj_t BgL_linez00_3972;
BgL_linez00_3972 = BgL_arg1795z00_2206; 
BgL_valsz00_3973 = BgL_arg1796z00_2207; 
BgL_valsz00_2203 = BgL_valsz00_3973; 
BgL_linez00_2202 = BgL_linez00_3972; 
goto BgL_loopz00_2201;} } } } } } }  else 
{ /* Gdb/annotate.scm 977 */
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1000 */
 long BgL_arg1818z00_2208; obj_t BgL_arg1819z00_2209;
BgL_arg1818z00_2208 = 
(BgL_iz00_2198+1L); 
BgL_arg1819z00_2209 = 
MAKE_YOUNG_PAIR(
BGl_stringzd2untilzd2zztools_toolsz00(
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)), 
(char)(((unsigned char)10)), 
(int)(0L)), BgL_valsz00_2199); 
{ 
 obj_t BgL_valsz00_3984; long BgL_iz00_3983;
BgL_iz00_3983 = BgL_arg1818z00_2208; 
BgL_valsz00_3984 = BgL_arg1819z00_2209; 
BgL_valsz00_2199 = BgL_valsz00_3984; 
BgL_iz00_2198 = BgL_iz00_3983; 
goto BgL_loopz00_2197;} } } } 
{ /* Gdb/annotate.scm 1011 */
 obj_t BgL_nextzd2linezd2_2216;
{ /* Gdb/annotate.scm 1012 */
 obj_t BgL_tmpz00_2217;
{ /* Gdb/annotate.scm 1012 */
 int BgL_tmpz00_3985;
BgL_tmpz00_3985 = 
(int)(1L); 
BgL_tmpz00_2217 = 
BGL_MVALUES_VAL(BgL_tmpz00_3985); } 
{ /* Gdb/annotate.scm 1012 */
 int BgL_tmpz00_3988;
BgL_tmpz00_3988 = 
(int)(1L); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3988, BUNSPEC); } 
BgL_nextzd2linezd2_2216 = BgL_tmpz00_2217; } 
{ /* Gdb/annotate.scm 1013 */
 obj_t BgL_arg1839z00_2218;
BgL_arg1839z00_2218 = 
MAKE_YOUNG_PAIR(BgL_recordz00_2215, BgL_resz00_2214); 
{ 
 obj_t BgL_resz00_3993; obj_t BgL_linez00_3992;
BgL_linez00_3992 = BgL_nextzd2linezd2_2216; 
BgL_resz00_3993 = BgL_arg1839z00_2218; 
BgL_resz00_2214 = BgL_resz00_3993; 
BgL_linez00_2213 = BgL_linez00_3992; 
goto BgL_loopz00_2212;} } } } }  else 
{ /* Gdb/annotate.scm 1008 */
if(
bigloo_strncmp(BGl_string1953z00zzgdb_annotatez00, 
((obj_t)BgL_linez00_2213), 24L))
{ /* Gdb/annotate.scm 1014 */
BgL_recordsz00_2220 = 
bgl_reverse_bang(BgL_resz00_2214); }  else 
{ /* Gdb/annotate.scm 1014 */
if(
(
STRING_REF(
((obj_t)BgL_linez00_2213), 0L)==((unsigned char)10)))
{ 
 obj_t BgL_linez00_4002;
BgL_linez00_4002 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
BgL_linez00_2213 = BgL_linez00_4002; 
goto BgL_loopz00_2212;}  else 
{ /* Gdb/annotate.scm 1016 */
BgL_recordsz00_2220 = 
BGl_errorz00zz__errorz00(BGl_string2033z00zzgdb_annotatez00, BGl_string2034z00zzgdb_annotatez00, 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_linez00_2213, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } } } 
{ /* Gdb/annotate.scm 1024 */

BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_headersz00_2219, BgL_recordsz00_2220); } } } } } 
BgL_tmpz00_3892 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_3892);} } 

}



/* &breakpoint-table-parser */
obj_t BGl_z62breakpointzd2tablezd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1873, obj_t BgL__z00_1874)
{
{ /* Gdb/annotate.scm 1036 */
{ /* Gdb/annotate.scm 1037 */
 bool_t BgL_tmpz00_4012;
BGl_za2gdbzd2annotatezd2regzd2breakpointzd2tableza2z00zzgdb_annotatez00 = 
((obj_t)
CNST_TABLE_REF(20)); 
BgL_tmpz00_4012 = ((bool_t)0); 
return 
BBOOL(BgL_tmpz00_4012);} } 

}



/* &pre-commands-parser */
obj_t BGl_z62prezd2commandszd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1885, obj_t BgL__z00_1886)
{
{ /* Gdb/annotate.scm 1043 */
return 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L));} 

}



/* &display-begin-parser */
obj_t BGl_z62displayzd2beginzd2parserz62zzgdb_annotatez00(obj_t BgL_envz00_1845, obj_t BgL_linez00_1846)
{
{ /* Gdb/annotate.scm 1052 */
{ /* Gdb/annotate.scm 1053 */
 obj_t BgL_numberz00_2221;
BgL_numberz00_2221 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 1055 */
 obj_t BgL_arg1851z00_2222;
BgL_arg1851z00_2222 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1054 */
 obj_t BgL_whoz00_2223;
BgL_whoz00_2223 = 
((obj_t)
CNST_TABLE_REF(21)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2224;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2225;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2226;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2227;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2228;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2229;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2230;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2231;
BgL_arg1199z00_2231 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2230 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2231); } 
BgL_arg1197z00_2229 = 
MAKE_YOUNG_PAIR(BgL_arg1851z00_2222, BgL_arg1198z00_2230); } 
BgL_arg1196z00_2228 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2229); } 
BgL_arg1194z00_2227 = 
MAKE_YOUNG_PAIR(BGl_string2035z00zzgdb_annotatez00, BgL_arg1196z00_2228); } 
BgL_arg1193z00_2226 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2227); } 
BgL_arg1191z00_2225 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2223, BgL_arg1193z00_2226); } 
BgL_list1190z00_2224 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2225); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2224); } 
if(
bigloo_strncmp(BGl_string2035z00zzgdb_annotatez00, BgL_arg1851z00_2222, 21L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2035z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1851z00_2222, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 1056 */
 obj_t BgL_numberzd2separatorzd2_2232;
BgL_numberzd2separatorzd2_2232 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 1058 */
 obj_t BgL_arg1852z00_2233;
BgL_arg1852z00_2233 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1057 */
 obj_t BgL_whoz00_2234;
BgL_whoz00_2234 = 
((obj_t)
CNST_TABLE_REF(21)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2235;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2236;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2237;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2238;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2239;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2240;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2241;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2242;
BgL_arg1199z00_2242 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2241 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2242); } 
BgL_arg1197z00_2240 = 
MAKE_YOUNG_PAIR(BgL_arg1852z00_2233, BgL_arg1198z00_2241); } 
BgL_arg1196z00_2239 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2240); } 
BgL_arg1194z00_2238 = 
MAKE_YOUNG_PAIR(BGl_string2036z00zzgdb_annotatez00, BgL_arg1196z00_2239); } 
BgL_arg1193z00_2237 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2238); } 
BgL_arg1191z00_2236 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2234, BgL_arg1193z00_2237); } 
BgL_list1190z00_2235 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2236); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2235); } 
if(
bigloo_strncmp(BGl_string2036z00zzgdb_annotatez00, BgL_arg1852z00_2233, 17L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2036z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1852z00_2233, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 1059 */
 obj_t BgL_formatz00_2243;
BgL_formatz00_2243 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 1061 */
 obj_t BgL_arg1853z00_2244;
BgL_arg1853z00_2244 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1060 */
 obj_t BgL_whoz00_2245;
BgL_whoz00_2245 = 
((obj_t)
CNST_TABLE_REF(21)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2246;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2247;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2248;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2249;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2250;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2251;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2252;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2253;
BgL_arg1199z00_2253 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2252 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2253); } 
BgL_arg1197z00_2251 = 
MAKE_YOUNG_PAIR(BgL_arg1853z00_2244, BgL_arg1198z00_2252); } 
BgL_arg1196z00_2250 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2251); } 
BgL_arg1194z00_2249 = 
MAKE_YOUNG_PAIR(BGl_string2037z00zzgdb_annotatez00, BgL_arg1196z00_2250); } 
BgL_arg1193z00_2248 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2249); } 
BgL_arg1191z00_2247 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2245, BgL_arg1193z00_2248); } 
BgL_list1190z00_2246 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2247); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2246); } 
if(
bigloo_strncmp(BGl_string2037z00zzgdb_annotatez00, BgL_arg1853z00_2244, 21L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2037z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1853z00_2244, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 1062 */
 obj_t BgL_expressionz00_2254;
BgL_expressionz00_2254 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 1064 */
 obj_t BgL_arg1854z00_2255;
BgL_arg1854z00_2255 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1063 */
 obj_t BgL_whoz00_2256;
BgL_whoz00_2256 = 
((obj_t)
CNST_TABLE_REF(21)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2257;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2258;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2259;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2260;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2261;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2262;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2263;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2264;
BgL_arg1199z00_2264 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2263 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2264); } 
BgL_arg1197z00_2262 = 
MAKE_YOUNG_PAIR(BgL_arg1854z00_2255, BgL_arg1198z00_2263); } 
BgL_arg1196z00_2261 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2262); } 
BgL_arg1194z00_2260 = 
MAKE_YOUNG_PAIR(BGl_string2038z00zzgdb_annotatez00, BgL_arg1196z00_2261); } 
BgL_arg1193z00_2259 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2260); } 
BgL_arg1191z00_2258 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2256, BgL_arg1193z00_2259); } 
BgL_list1190z00_2257 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2258); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2257); } 
if(
bigloo_strncmp(BGl_string2038z00zzgdb_annotatez00, BgL_arg1854z00_2255, 25L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2038z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1854z00_2255, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 1065 */
 obj_t BgL_expressionzd2separatorzd2_2265;
BgL_expressionzd2separatorzd2_2265 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ /* Gdb/annotate.scm 1073 */
 obj_t BgL_arg1855z00_2266;
BgL_arg1855z00_2266 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(1L)); 
{ /* Gdb/annotate.scm 1072 */
 obj_t BgL_whoz00_2267;
BgL_whoz00_2267 = 
((obj_t)
CNST_TABLE_REF(21)); 
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_list1190z00_2268;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1191z00_2269;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1193z00_2270;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1194z00_2271;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1196z00_2272;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1197z00_2273;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1198z00_2274;
{ /* Gdb/annotate.scm 449 */
 obj_t BgL_arg1199z00_2275;
BgL_arg1199z00_2275 = 
MAKE_YOUNG_PAIR(
BCHAR(((unsigned char)10)), BNIL); 
BgL_arg1198z00_2274 = 
MAKE_YOUNG_PAIR(BGl_string1979z00zzgdb_annotatez00, BgL_arg1199z00_2275); } 
BgL_arg1197z00_2273 = 
MAKE_YOUNG_PAIR(BgL_arg1855z00_2266, BgL_arg1198z00_2274); } 
BgL_arg1196z00_2272 = 
MAKE_YOUNG_PAIR(BGl_string1980z00zzgdb_annotatez00, BgL_arg1197z00_2273); } 
BgL_arg1194z00_2271 = 
MAKE_YOUNG_PAIR(BGl_string2039z00zzgdb_annotatez00, BgL_arg1196z00_2272); } 
BgL_arg1193z00_2270 = 
MAKE_YOUNG_PAIR(BGl_string1982z00zzgdb_annotatez00, BgL_arg1194z00_2271); } 
BgL_arg1191z00_2269 = 
MAKE_YOUNG_PAIR(BgL_whoz00_2267, BgL_arg1193z00_2270); } 
BgL_list1190z00_2268 = 
MAKE_YOUNG_PAIR(BGl_string1983z00zzgdb_annotatez00, BgL_arg1191z00_2269); } 
BGl_bdbzd2logzd2zztools_speekz00(
BINT(6L), BgL_list1190z00_2268); } 
if(
bigloo_strncmp(BGl_string2039z00zzgdb_annotatez00, BgL_arg1855z00_2266, 9L))
{ /* Gdb/annotate.scm 450 */BFALSE; }  else 
{ /* Gdb/annotate.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1984z00zzgdb_annotatez00, 
string_append_3(BGl_string1985z00zzgdb_annotatez00, BGl_string2039z00zzgdb_annotatez00, BGl_string1986z00zzgdb_annotatez00), 
BGl_stringzd2untilzd2zztools_toolsz00(BgL_arg1855z00_2266, 
(char)(((unsigned char)10)), 
(int)(0L))); } } } 
{ /* Gdb/annotate.scm 1074 */
 obj_t BgL_g1093z00_2276;
BgL_g1093z00_2276 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
{ 
 obj_t BgL_valuez00_2278;
BgL_valuez00_2278 = BgL_g1093z00_2276; 
BgL_loopz00_2277:
{ /* Gdb/annotate.scm 1075 */
 obj_t BgL_linez00_2279;
BgL_linez00_2279 = 
BGl_gdbzd2readzd2linez00zzgdb_readz00(
(int)(0L)); 
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2040z00zzgdb_annotatez00, BgL_linez00_2279))
{ /* Gdb/annotate.scm 1079 */
 obj_t BgL_arg1858z00_2280;
{ /* Gdb/annotate.scm 1079 */
 obj_t BgL_list1859z00_2281;
{ /* Gdb/annotate.scm 1079 */
 obj_t BgL_arg1861z00_2282;
{ /* Gdb/annotate.scm 1079 */
 obj_t BgL_arg1862z00_2283;
{ /* Gdb/annotate.scm 1079 */
 obj_t BgL_arg1863z00_2284;
BgL_arg1863z00_2284 = 
MAKE_YOUNG_PAIR(BgL_valuez00_2278, BNIL); 
BgL_arg1862z00_2283 = 
MAKE_YOUNG_PAIR(BgL_expressionz00_2254, BgL_arg1863z00_2284); } 
BgL_arg1861z00_2282 = 
MAKE_YOUNG_PAIR(BgL_formatz00_2243, BgL_arg1862z00_2283); } 
BgL_list1859z00_2281 = 
MAKE_YOUNG_PAIR(BgL_numberz00_2221, BgL_arg1861z00_2282); } 
BgL_arg1858z00_2280 = BgL_list1859z00_2281; } 
return ( 
BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00 = 
MAKE_YOUNG_PAIR(BgL_arg1858z00_2280, BGl_za2gdbzd2annotatezd2regzd2displayzd2tableza2z00zzgdb_annotatez00), BUNSPEC) ;}  else 
{ /* Gdb/annotate.scm 1077 */
if(
BGl_stringzd2prefixzf3z21zztools_toolsz00(BGl_string2013z00zzgdb_annotatez00, BgL_linez00_2279))
{ 

goto BgL_loopz00_2277;}  else 
{ 
 obj_t BgL_valuez00_4151;
BgL_valuez00_4151 = 
string_append_3(BgL_valuez00_2278, BGl_string2013z00zzgdb_annotatez00, BgL_linez00_2279); 
BgL_valuez00_2278 = BgL_valuez00_4151; 
goto BgL_loopz00_2277;} } } } } } } } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1869z00_519; obj_t BgL_arg1870z00_520;
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_v1128z00_535;
BgL_v1128z00_535 = 
create_vector(5L); 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1876z00_536;
BgL_arg1876z00_536 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(22)), BGl_proc2042z00zzgdb_annotatez00, BGl_proc2041z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(23))); 
VECTOR_SET(BgL_v1128z00_535,0L,BgL_arg1876z00_536); } 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1881z00_546;
BgL_arg1881z00_546 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(24)), BGl_proc2044z00zzgdb_annotatez00, BGl_proc2043z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(23))); 
VECTOR_SET(BgL_v1128z00_535,1L,BgL_arg1881z00_546); } 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1886z00_556;
BgL_arg1886z00_556 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(25)), BGl_proc2046z00zzgdb_annotatez00, BGl_proc2045z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(26))); 
VECTOR_SET(BgL_v1128z00_535,2L,BgL_arg1886z00_556); } 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1891z00_566;
BgL_arg1891z00_566 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(27)), BGl_proc2048z00zzgdb_annotatez00, BGl_proc2047z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(28))); 
VECTOR_SET(BgL_v1128z00_535,3L,BgL_arg1891z00_566); } 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_arg1897z00_576;
BgL_arg1897z00_576 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(29)), BGl_proc2050z00zzgdb_annotatez00, BGl_proc2049z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(28))); 
VECTOR_SET(BgL_v1128z00_535,4L,BgL_arg1897z00_576); } 
BgL_arg1869z00_519 = BgL_v1128z00_535; } 
{ /* Gdb/annotate.scm 53 */
 obj_t BgL_v1129z00_586;
BgL_v1129z00_586 = 
create_vector(0L); 
BgL_arg1870z00_520 = BgL_v1129z00_586; } 
BGl_stackzd2framezd2zzgdb_annotatez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(30)), 
((obj_t)
CNST_TABLE_REF(31)), BGl_objectz00zz__objectz00, 7701L, BGl_proc2053z00zzgdb_annotatez00, BGl_proc2052z00zzgdb_annotatez00, BFALSE, BGl_proc2051z00zzgdb_annotatez00, BFALSE, BgL_arg1869z00_519, BgL_arg1870z00_520); } 
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_arg1905z00_593; obj_t BgL_arg1906z00_594;
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_v1130z00_607;
BgL_v1130z00_607 = 
create_vector(3L); 
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_arg1912z00_608;
BgL_arg1912z00_608 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(24)), BGl_proc2055z00zzgdb_annotatez00, BGl_proc2054z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(23))); 
VECTOR_SET(BgL_v1130z00_607,0L,BgL_arg1912z00_608); } 
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_arg1917z00_618;
BgL_arg1917z00_618 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(32)), BGl_proc2057z00zzgdb_annotatez00, BGl_proc2056z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(23))); 
VECTOR_SET(BgL_v1130z00_607,1L,BgL_arg1917z00_618); } 
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_arg1922z00_628;
BgL_arg1922z00_628 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
((obj_t)
CNST_TABLE_REF(33)), BGl_proc2059z00zzgdb_annotatez00, BGl_proc2058z00zzgdb_annotatez00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
((obj_t)
CNST_TABLE_REF(23))); 
VECTOR_SET(BgL_v1130z00_607,2L,BgL_arg1922z00_628); } 
BgL_arg1905z00_593 = BgL_v1130z00_607; } 
{ /* Gdb/annotate.scm 60 */
 obj_t BgL_v1131z00_638;
BgL_v1131z00_638 = 
create_vector(0L); 
BgL_arg1906z00_594 = BgL_v1131z00_638; } 
return ( 
BGl_argz00zzgdb_annotatez00 = 
BGl_registerzd2classz12zc0zz__objectz00(
((obj_t)
CNST_TABLE_REF(34)), 
((obj_t)
CNST_TABLE_REF(31)), BGl_objectz00zz__objectz00, 56010L, BGl_proc2062z00zzgdb_annotatez00, BGl_proc2061z00zzgdb_annotatez00, BFALSE, BGl_proc2060z00zzgdb_annotatez00, BFALSE, BgL_arg1905z00_593, BgL_arg1906z00_594), BUNSPEC) ;} } 

}



/* &<@anonymous:1911> */
obj_t BGl_z62zc3z04anonymousza31911ze3ze5zzgdb_annotatez00(obj_t BgL_envz00_1939, obj_t BgL_new1059z00_1940)
{
{ /* Gdb/annotate.scm 60 */
{ 
 BgL_argz00_bglt BgL_auxz00_4215;
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_new1059z00_1940)))->BgL_namez00)=((obj_t)BGl_string2012z00zzgdb_annotatez00),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_new1059z00_1940)))->BgL_separatorz00)=((obj_t)BGl_string2012z00zzgdb_annotatez00),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_new1059z00_1940)))->BgL_valuez00)=((obj_t)BGl_string2012z00zzgdb_annotatez00),BUNSPEC); 
BgL_auxz00_4215 = 
((BgL_argz00_bglt)BgL_new1059z00_1940); 
return 
((obj_t)BgL_auxz00_4215);} } 

}



/* &lambda1909 */
BgL_argz00_bglt BGl_z62lambda1909z62zzgdb_annotatez00(obj_t BgL_envz00_1941)
{
{ /* Gdb/annotate.scm 60 */
{ /* Gdb/annotate.scm 60 */
 BgL_argz00_bglt BgL_new1058z00_2286;
BgL_new1058z00_2286 = 
((BgL_argz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_argz00_bgl) ))); 
{ /* Gdb/annotate.scm 60 */
 long BgL_arg1910z00_2287;
BgL_arg1910z00_2287 = 
BGL_CLASS_NUM(BGl_argz00zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1058z00_2286), BgL_arg1910z00_2287); } 
return BgL_new1058z00_2286;} } 

}



/* &lambda1907 */
BgL_argz00_bglt BGl_z62lambda1907z62zzgdb_annotatez00(obj_t BgL_envz00_1942, obj_t BgL_name1055z00_1943, obj_t BgL_separator1056z00_1944, obj_t BgL_value1057z00_1945)
{
{ /* Gdb/annotate.scm 60 */
{ /* Gdb/annotate.scm 60 */
 BgL_argz00_bglt BgL_new1097z00_2291;
{ /* Gdb/annotate.scm 60 */
 BgL_argz00_bglt BgL_new1096z00_2292;
BgL_new1096z00_2292 = 
((BgL_argz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_argz00_bgl) ))); 
{ /* Gdb/annotate.scm 60 */
 long BgL_arg1908z00_2293;
BgL_arg1908z00_2293 = 
BGL_CLASS_NUM(BGl_argz00zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1096z00_2292), BgL_arg1908z00_2293); } 
BgL_new1097z00_2291 = BgL_new1096z00_2292; } 
((((BgL_argz00_bglt)COBJECT(BgL_new1097z00_2291))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1055z00_1943)),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(BgL_new1097z00_2291))->BgL_separatorz00)=((obj_t)
((obj_t)BgL_separator1056z00_1944)),BUNSPEC); 
((((BgL_argz00_bglt)COBJECT(BgL_new1097z00_2291))->BgL_valuez00)=((obj_t)
((obj_t)BgL_value1057z00_1945)),BUNSPEC); 
return BgL_new1097z00_2291;} } 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zzgdb_annotatez00(obj_t BgL_envz00_1946, obj_t BgL_oz00_1947, obj_t BgL_vz00_1948)
{
{ /* Gdb/annotate.scm 60 */
return 
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1947)))->BgL_valuez00)=((obj_t)
((obj_t)BgL_vz00_1948)),BUNSPEC);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zzgdb_annotatez00(obj_t BgL_envz00_1949, obj_t BgL_oz00_1950)
{
{ /* Gdb/annotate.scm 60 */
return 
(((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1950)))->BgL_valuez00);} 

}



/* &lambda1921 */
obj_t BGl_z62lambda1921z62zzgdb_annotatez00(obj_t BgL_envz00_1951, obj_t BgL_oz00_1952, obj_t BgL_vz00_1953)
{
{ /* Gdb/annotate.scm 60 */
return 
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1952)))->BgL_separatorz00)=((obj_t)
((obj_t)BgL_vz00_1953)),BUNSPEC);} 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zzgdb_annotatez00(obj_t BgL_envz00_1954, obj_t BgL_oz00_1955)
{
{ /* Gdb/annotate.scm 60 */
return 
(((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1955)))->BgL_separatorz00);} 

}



/* &lambda1916 */
obj_t BGl_z62lambda1916z62zzgdb_annotatez00(obj_t BgL_envz00_1956, obj_t BgL_oz00_1957, obj_t BgL_vz00_1958)
{
{ /* Gdb/annotate.scm 60 */
return 
((((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1957)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_1958)),BUNSPEC);} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zzgdb_annotatez00(obj_t BgL_envz00_1959, obj_t BgL_oz00_1960)
{
{ /* Gdb/annotate.scm 60 */
return 
(((BgL_argz00_bglt)COBJECT(
((BgL_argz00_bglt)BgL_oz00_1960)))->BgL_namez00);} 

}



/* &<@anonymous:1875> */
obj_t BGl_z62zc3z04anonymousza31875ze3ze5zzgdb_annotatez00(obj_t BgL_envz00_1961, obj_t BgL_new1053z00_1962)
{
{ /* Gdb/annotate.scm 53 */
{ 
 BgL_stackzd2framezd2_bglt BgL_auxz00_4253;
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962)))->BgL_numz00)=((obj_t)BGl_string2012z00zzgdb_annotatez00),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962)))->BgL_namez00)=((obj_t)BGl_string2012z00zzgdb_annotatez00),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962)))->BgL_argsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962)))->BgL_filezd2namezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962)))->BgL_linezd2numzd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4253 = 
((BgL_stackzd2framezd2_bglt)BgL_new1053z00_1962); 
return 
((obj_t)BgL_auxz00_4253);} } 

}



/* &lambda1873 */
BgL_stackzd2framezd2_bglt BGl_z62lambda1873z62zzgdb_annotatez00(obj_t BgL_envz00_1963)
{
{ /* Gdb/annotate.scm 53 */
{ /* Gdb/annotate.scm 53 */
 BgL_stackzd2framezd2_bglt BgL_new1052z00_2304;
BgL_new1052z00_2304 = 
((BgL_stackzd2framezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_stackzd2framezd2_bgl) ))); 
{ /* Gdb/annotate.scm 53 */
 long BgL_arg1874z00_2305;
BgL_arg1874z00_2305 = 
BGL_CLASS_NUM(BGl_stackzd2framezd2zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1052z00_2304), BgL_arg1874z00_2305); } 
return BgL_new1052z00_2304;} } 

}



/* &lambda1871 */
BgL_stackzd2framezd2_bglt BGl_z62lambda1871z62zzgdb_annotatez00(obj_t BgL_envz00_1964, obj_t BgL_num1047z00_1965, obj_t BgL_name1048z00_1966, obj_t BgL_args1049z00_1967, obj_t BgL_filezd2name1050zd2_1968, obj_t BgL_linezd2num1051zd2_1969)
{
{ /* Gdb/annotate.scm 53 */
{ /* Gdb/annotate.scm 53 */
 BgL_stackzd2framezd2_bglt BgL_new1095z00_2309;
{ /* Gdb/annotate.scm 53 */
 BgL_stackzd2framezd2_bglt BgL_new1094z00_2310;
BgL_new1094z00_2310 = 
((BgL_stackzd2framezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_stackzd2framezd2_bgl) ))); 
{ /* Gdb/annotate.scm 53 */
 long BgL_arg1872z00_2311;
BgL_arg1872z00_2311 = 
BGL_CLASS_NUM(BGl_stackzd2framezd2zzgdb_annotatez00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_2310), BgL_arg1872z00_2311); } 
BgL_new1095z00_2309 = BgL_new1094z00_2310; } 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1095z00_2309))->BgL_numz00)=((obj_t)
((obj_t)BgL_num1047z00_1965)),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1095z00_2309))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_1966)),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1095z00_2309))->BgL_argsz00)=((obj_t)
((obj_t)BgL_args1049z00_1967)),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1095z00_2309))->BgL_filezd2namezd2)=((obj_t)BgL_filezd2name1050zd2_1968),BUNSPEC); 
((((BgL_stackzd2framezd2_bglt)COBJECT(BgL_new1095z00_2309))->BgL_linezd2numzd2)=((obj_t)BgL_linezd2num1051zd2_1969),BUNSPEC); 
return BgL_new1095z00_2309;} } 

}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zzgdb_annotatez00(obj_t BgL_envz00_1970, obj_t BgL_oz00_1971, obj_t BgL_vz00_1972)
{
{ /* Gdb/annotate.scm 53 */
return 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1971)))->BgL_linezd2numzd2)=((obj_t)BgL_vz00_1972),BUNSPEC);} 

}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zzgdb_annotatez00(obj_t BgL_envz00_1973, obj_t BgL_oz00_1974)
{
{ /* Gdb/annotate.scm 53 */
return 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1974)))->BgL_linezd2numzd2);} 

}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zzgdb_annotatez00(obj_t BgL_envz00_1975, obj_t BgL_oz00_1976, obj_t BgL_vz00_1977)
{
{ /* Gdb/annotate.scm 53 */
return 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1976)))->BgL_filezd2namezd2)=((obj_t)BgL_vz00_1977),BUNSPEC);} 

}



/* &lambda1894 */
obj_t BGl_z62lambda1894z62zzgdb_annotatez00(obj_t BgL_envz00_1978, obj_t BgL_oz00_1979)
{
{ /* Gdb/annotate.scm 53 */
return 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1979)))->BgL_filezd2namezd2);} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zzgdb_annotatez00(obj_t BgL_envz00_1980, obj_t BgL_oz00_1981, obj_t BgL_vz00_1982)
{
{ /* Gdb/annotate.scm 53 */
return 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1981)))->BgL_argsz00)=((obj_t)
((obj_t)BgL_vz00_1982)),BUNSPEC);} 

}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zzgdb_annotatez00(obj_t BgL_envz00_1983, obj_t BgL_oz00_1984)
{
{ /* Gdb/annotate.scm 53 */
return 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1984)))->BgL_argsz00);} 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zzgdb_annotatez00(obj_t BgL_envz00_1985, obj_t BgL_oz00_1986, obj_t BgL_vz00_1987)
{
{ /* Gdb/annotate.scm 53 */
return 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1986)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_1987)),BUNSPEC);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zzgdb_annotatez00(obj_t BgL_envz00_1988, obj_t BgL_oz00_1989)
{
{ /* Gdb/annotate.scm 53 */
return 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1989)))->BgL_namez00);} 

}



/* &lambda1880 */
obj_t BGl_z62lambda1880z62zzgdb_annotatez00(obj_t BgL_envz00_1990, obj_t BgL_oz00_1991, obj_t BgL_vz00_1992)
{
{ /* Gdb/annotate.scm 53 */
return 
((((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1991)))->BgL_numz00)=((obj_t)
((obj_t)BgL_vz00_1992)),BUNSPEC);} 

}



/* &lambda1879 */
obj_t BGl_z62lambda1879z62zzgdb_annotatez00(obj_t BgL_envz00_1993, obj_t BgL_oz00_1994)
{
{ /* Gdb/annotate.scm 53 */
return 
(((BgL_stackzd2framezd2_bglt)COBJECT(
((BgL_stackzd2framezd2_bglt)BgL_oz00_1994)))->BgL_numz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzgdb_annotatez00(void)
{
{ /* Gdb/annotate.scm 14 */
BGl_modulezd2initializa7ationz75zzgdb_invokez00(66920335L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzgdb_procz00(252722494L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzgdb_readz00(354619701L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zztools_toolsz00(85148931L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zztools_speekz00(222649143L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(467242068L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(203313037L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzcommand_backtracez00(181519835L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzcommand_printz00(384523111L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzcommand_displayz00(501035657L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzcommand_explorez00(382784626L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
BGl_modulezd2initializa7ationz75zzcommand_exprz00(439013957L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00)); 
return 
BGl_modulezd2initializa7ationz75zzpatient_manglingz00(448820806L, 
BSTRING_TO_STRING(BGl_string2063z00zzgdb_annotatez00));} 

}

#ifdef __cplusplus
}
#endif
