/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/hrtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_HRTYPE_TYPE_DEFINITIONS
#define BGL_AST_HRTYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_HRTYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2cast1305z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2var1272z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2setq1307z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vsetz121298z62zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2fail1311z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_hrtypez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21319z70zzast_hrtypez00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2app1278z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2conditi1309z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00(void);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1317za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sync1276z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1325za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1327za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2instanc1303z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2funcall1282z70zzast_hrtypez00(obj_t,
		obj_t);
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1323za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2widenin1290z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2setfiel1288z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00(void);
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sequenc1274z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vref1296z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2valloc1294z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2switch1313z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2vlength1301z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1280za2zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1321za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2getfiel1286z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2new1292z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t BGl_z62hrtypezd2nodez12zd2extern1284z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1315za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1940z00zzast_hrtypez00,
		BgL_bgl_string1940za700za7za7a1976za7, "hrtype-node!1266", 16);
	      DEFINE_STRING(BGl_string1942z00zzast_hrtypez00,
		BgL_bgl_string1942za700za7za7a1977za7, "hrtype-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1978z00,
		BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1979z00,
		BGl_z62hrtypezd2nodez12zd2var1272z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1980z00,
		BGl_z62hrtypezd2nodez12zd2sequenc1274z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1981z00,
		BGl_z62hrtypezd2nodez12zd2sync1276z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1982z00,
		BGl_z62hrtypezd2nodez12za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1983z00,
		BGl_z62hrtypezd2nodez12zd2app1278z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1984z00,
		BGl_z62hrtypezd2nodez12zd2appzd2ly1280za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1985z00,
		BGl_z62hrtypezd2nodez12zd2funcall1282z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1986z00,
		BGl_z62hrtypezd2nodez12zd2extern1284z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1987z00,
		BGl_z62hrtypezd2nodez12zd2getfiel1286z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1988z00,
		BGl_z62hrtypezd2nodez12zd2setfiel1288z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1989z00,
		BGl_z62hrtypezd2nodez12zd2widenin1290z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1990z00,
		BGl_z62hrtypezd2nodez12zd2new1292z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1991z00,
		BGl_z62hrtypezd2nodez12zd2valloc1294z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1992z00,
		BGl_z62hrtypezd2nodez12zd2vref1296z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1993z00,
		BGl_z62hrtypezd2nodez12zd2vsetz121298z62zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1994z00,
		BGl_z62hrtypezd2nodez12zd2vlength1301z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1995z00,
		BGl_z62hrtypezd2nodez12zd2instanc1303z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1996z00,
		BGl_z62hrtypezd2nodez12zd2cast1305z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1997z00,
		BGl_z62hrtypezd2nodez12zd2setq1307z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1998z00,
		BGl_z62hrtypezd2nodez12zd2conditi1309z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1961z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1999z00,
		BGl_z62hrtypezd2nodez12zd2fail1311z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2000z00,
		BGl_z62hrtypezd2nodez12zd2switch1313z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2001z00,
		BGl_z62hrtypezd2nodez12zd2letzd2fun1315za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1970z00zzast_hrtypez00,
		BgL_bgl_string1970za700za7za7a2002za7, "Illegal argument", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2003z00,
		BGl_z62hrtypezd2nodez12zd2letzd2var1317za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1971z00zzast_hrtypez00,
		BgL_bgl_string1971za700za7za7a2004za7, "heap", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2005z00,
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21319z70zzast_hrtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1972z00zzast_hrtypez00,
		BgL_bgl_string1972za700za7za7a2006za7, "Can't find library variable", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1966z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2007z00,
		BGl_z62hrtypezd2nodez12zd2jumpzd2ex1321za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1973z00zzast_hrtypez00,
		BgL_bgl_string1973za700za7za7a2008za7, "ast_hrtype", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2009z00,
		BGl_z62hrtypezd2nodez12zd2makezd2bo1323za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1974z00zzast_hrtypez00,
		BgL_bgl_string1974za700za7za7a2010za7, "static sifun ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2011z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2set1325za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node2012z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2ref1327za2zzast_hrtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_hrtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2980, char *BgL_fromz00_2981)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_hrtypez00();
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BGl_toplevelzd2initzd2zzast_hrtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_hrtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2658;

				{	/* Ast/hrtype.scm 17 */
					obj_t BgL_stringz00_2665;

					BgL_stringz00_2665 = BGl_string1974z00zzast_hrtypez00;
					{	/* Ast/hrtype.scm 17 */
						obj_t BgL_startz00_2666;

						BgL_startz00_2666 = BINT(0L);
						{	/* Ast/hrtype.scm 17 */
							obj_t BgL_endz00_2667;

							BgL_endz00_2667 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2665)));
							{	/* Ast/hrtype.scm 17 */

								BgL_cportz00_2658 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2665, BgL_startz00_2666, BgL_endz00_2667);
				}}}}
				{
					long BgL_iz00_2659;

					BgL_iz00_2659 = 1L;
				BgL_loopz00_2660:
					if ((BgL_iz00_2659 == (-1L)))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg1975z00_2661;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2663;

										BgL_locationz00_2663 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg1975z00_2661 =
												BGl_readz00zz__readerz00(BgL_cportz00_2658,
												BgL_locationz00_2663);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_tmpz00_3011;

									BgL_tmpz00_3011 = (int) (BgL_iz00_2659);
									CNST_TABLE_SET(BgL_tmpz00_3011, BgL_arg1975z00_2661);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2664;

								BgL_auxz00_2664 = (int) ((BgL_iz00_2659 - 1L));
								{
									long BgL_iz00_3016;

									BgL_iz00_3016 = (long) (BgL_auxz00_2664);
									BgL_iz00_2659 = BgL_iz00_3016;
									goto BgL_loopz00_2660;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/hrtype.scm 385 */
			{
				obj_t BgL_l1264z00_1398;

				BgL_l1264z00_1398 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31333ze3z87_1399:
				if (PAIRP(BgL_l1264z00_1398))
					{	/* Ast/hrtype.scm 386 */
						{	/* Ast/hrtype.scm 386 */
							obj_t BgL_arg1336z00_1401;

							BgL_arg1336z00_1401 = CAR(BgL_l1264z00_1398);
							BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
								((BgL_nodez00_bglt) BgL_arg1336z00_1401));
						}
						{
							obj_t BgL_l1264z00_3024;

							BgL_l1264z00_3024 = CDR(BgL_l1264z00_1398);
							BgL_l1264z00_1398 = BgL_l1264z00_3024;
							goto BgL_zc3z04anonymousza31333ze3z87_1399;
						}
					}
				else
					{	/* Ast/hrtype.scm 386 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_33)
	{
		{	/* Ast/hrtype.scm 391 */
			{	/* Ast/hrtype.scm 392 */
				BgL_typez00_bglt BgL_typez00_1404;

				BgL_typez00_1404 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->BgL_typez00);
				{	/* Ast/hrtype.scm 393 */
					bool_t BgL_test2016z00_3027;

					{	/* Ast/hrtype.scm 393 */
						obj_t BgL_classz00_1906;

						BgL_classz00_1906 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 393 */
							BgL_objectz00_bglt BgL_arg1858z00_1908;

							{	/* Ast/hrtype.scm 393 */
								obj_t BgL_tmpz00_3028;

								BgL_tmpz00_3028 =
									((obj_t) ((BgL_objectz00_bglt) BgL_typez00_1404));
								BgL_arg1858z00_1908 = (BgL_objectz00_bglt) (BgL_tmpz00_3028);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/hrtype.scm 393 */
									long BgL_idxz00_1914;

									BgL_idxz00_1914 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1908);
									BgL_test2016z00_3027 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_1914 + 1L)) == BgL_classz00_1906);
								}
							else
								{	/* Ast/hrtype.scm 393 */
									bool_t BgL_res1917z00_1939;

									{	/* Ast/hrtype.scm 393 */
										obj_t BgL_oclassz00_1922;

										{	/* Ast/hrtype.scm 393 */
											obj_t BgL_arg1866z00_1930;
											long BgL_arg1867z00_1931;

											BgL_arg1866z00_1930 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/hrtype.scm 393 */
												long BgL_arg1869z00_1932;

												BgL_arg1869z00_1932 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1908);
												BgL_arg1867z00_1931 =
													(BgL_arg1869z00_1932 - OBJECT_TYPE);
											}
											BgL_oclassz00_1922 =
												VECTOR_REF(BgL_arg1866z00_1930, BgL_arg1867z00_1931);
										}
										{	/* Ast/hrtype.scm 393 */
											bool_t BgL__ortest_1115z00_1923;

											BgL__ortest_1115z00_1923 =
												(BgL_classz00_1906 == BgL_oclassz00_1922);
											if (BgL__ortest_1115z00_1923)
												{	/* Ast/hrtype.scm 393 */
													BgL_res1917z00_1939 = BgL__ortest_1115z00_1923;
												}
											else
												{	/* Ast/hrtype.scm 393 */
													long BgL_odepthz00_1924;

													{	/* Ast/hrtype.scm 393 */
														obj_t BgL_arg1855z00_1925;

														BgL_arg1855z00_1925 = (BgL_oclassz00_1922);
														BgL_odepthz00_1924 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_1925);
													}
													if ((1L < BgL_odepthz00_1924))
														{	/* Ast/hrtype.scm 393 */
															obj_t BgL_arg1853z00_1927;

															{	/* Ast/hrtype.scm 393 */
																obj_t BgL_arg1854z00_1928;

																BgL_arg1854z00_1928 = (BgL_oclassz00_1922);
																BgL_arg1853z00_1927 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_1928,
																	1L);
															}
															BgL_res1917z00_1939 =
																(BgL_arg1853z00_1927 == BgL_classz00_1906);
														}
													else
														{	/* Ast/hrtype.scm 393 */
															BgL_res1917z00_1939 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2016z00_3027 = BgL_res1917z00_1939;
								}
						}
					}
					if (BgL_test2016z00_3027)
						{	/* Ast/hrtype.scm 393 */
							return
								((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->
									BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_findzd2typezd2zztype_envz00((((BgL_typez00_bglt)
												COBJECT(BgL_typez00_1404))->BgL_idz00))), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 393 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_proc1939z00zzast_hrtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1940z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!1266 */
	obj_t BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00(obj_t BgL_envz00_2570,
		obj_t BgL_nodez00_2571)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 34 */
				bool_t BgL_test2020z00_3055;

				{	/* Ast/hrtype.scm 34 */
					BgL_typez00_bglt BgL_arg1367z00_2670;

					BgL_arg1367z00_2670 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_2571)))->BgL_typez00);
					{	/* Ast/hrtype.scm 34 */
						obj_t BgL_classz00_2671;

						BgL_classz00_2671 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 34 */
							BgL_objectz00_bglt BgL_arg1858z00_2672;

							{	/* Ast/hrtype.scm 34 */
								obj_t BgL_tmpz00_3058;

								BgL_tmpz00_3058 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1367z00_2670));
								BgL_arg1858z00_2672 = (BgL_objectz00_bglt) (BgL_tmpz00_3058);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/hrtype.scm 34 */
									long BgL_idxz00_2673;

									BgL_idxz00_2673 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2672);
									BgL_test2020z00_3055 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2673 + 1L)) == BgL_classz00_2671);
								}
							else
								{	/* Ast/hrtype.scm 34 */
									bool_t BgL_res1918z00_2676;

									{	/* Ast/hrtype.scm 34 */
										obj_t BgL_oclassz00_2677;

										{	/* Ast/hrtype.scm 34 */
											obj_t BgL_arg1866z00_2678;
											long BgL_arg1867z00_2679;

											BgL_arg1866z00_2678 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Ast/hrtype.scm 34 */
												long BgL_arg1869z00_2680;

												BgL_arg1869z00_2680 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2672);
												BgL_arg1867z00_2679 =
													(BgL_arg1869z00_2680 - OBJECT_TYPE);
											}
											BgL_oclassz00_2677 =
												VECTOR_REF(BgL_arg1866z00_2678, BgL_arg1867z00_2679);
										}
										{	/* Ast/hrtype.scm 34 */
											bool_t BgL__ortest_1115z00_2681;

											BgL__ortest_1115z00_2681 =
												(BgL_classz00_2671 == BgL_oclassz00_2677);
											if (BgL__ortest_1115z00_2681)
												{	/* Ast/hrtype.scm 34 */
													BgL_res1918z00_2676 = BgL__ortest_1115z00_2681;
												}
											else
												{	/* Ast/hrtype.scm 34 */
													long BgL_odepthz00_2682;

													{	/* Ast/hrtype.scm 34 */
														obj_t BgL_arg1855z00_2683;

														BgL_arg1855z00_2683 = (BgL_oclassz00_2677);
														BgL_odepthz00_2682 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2683);
													}
													if ((1L < BgL_odepthz00_2682))
														{	/* Ast/hrtype.scm 34 */
															obj_t BgL_arg1853z00_2684;

															{	/* Ast/hrtype.scm 34 */
																obj_t BgL_arg1854z00_2685;

																BgL_arg1854z00_2685 = (BgL_oclassz00_2677);
																BgL_arg1853z00_2684 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2685,
																	1L);
															}
															BgL_res1918z00_2676 =
																(BgL_arg1853z00_2684 == BgL_classz00_2671);
														}
													else
														{	/* Ast/hrtype.scm 34 */
															BgL_res1918z00_2676 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2020z00_3055 = BgL_res1918z00_2676;
								}
						}
					}
				}
				if (BgL_test2020z00_3055)
					{
						BgL_typez00_bglt BgL_auxz00_3081;

						{	/* Ast/hrtype.scm 35 */
							obj_t BgL_arg1364z00_2686;

							BgL_arg1364z00_2686 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_2571)))->
											BgL_typez00)))->BgL_idz00);
							BgL_auxz00_3081 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg1364z00_2686);
						}
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_2571)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_3081), BUNSPEC);
					}
				else
					{	/* Ast/hrtype.scm 34 */
						return BFALSE;
					}
			}
		}

	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 32 */
				obj_t BgL_method1269z00_1418;

				{	/* Ast/hrtype.scm 32 */
					obj_t BgL_res1923z00_2008;

					{	/* Ast/hrtype.scm 32 */
						long BgL_objzd2classzd2numz00_1979;

						BgL_objzd2classzd2numz00_1979 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Ast/hrtype.scm 32 */
							obj_t BgL_arg1862z00_1980;

							BgL_arg1862z00_1980 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (1L));
							{	/* Ast/hrtype.scm 32 */
								int BgL_offsetz00_1983;

								BgL_offsetz00_1983 = (int) (BgL_objzd2classzd2numz00_1979);
								{	/* Ast/hrtype.scm 32 */
									long BgL_offsetz00_1984;

									BgL_offsetz00_1984 =
										((long) (BgL_offsetz00_1983) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 32 */
										long BgL_modz00_1985;

										BgL_modz00_1985 =
											(BgL_offsetz00_1984 >> (int) ((long) ((int) (4L))));
										{	/* Ast/hrtype.scm 32 */
											long BgL_restz00_1987;

											BgL_restz00_1987 =
												(BgL_offsetz00_1984 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/hrtype.scm 32 */

												{	/* Ast/hrtype.scm 32 */
													obj_t BgL_bucketz00_1989;

													BgL_bucketz00_1989 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_1980), BgL_modz00_1985);
													BgL_res1923z00_2008 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1989), BgL_restz00_1987);
					}}}}}}}}
					BgL_method1269z00_1418 = BgL_res1923z00_2008;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1269z00_1418, ((obj_t) BgL_nodez00_3));
			}
		}

	}



/* &hrtype-node! */
	obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t BgL_envz00_2572,
		obj_t BgL_nodez00_2573)
	{
		{	/* Ast/hrtype.scm 32 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2573));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1941z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1943z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1944z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1945z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1946z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1947z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1948z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1949z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1950z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_wideningz00zzast_nodez00, BGl_proc1951z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_newz00zzast_nodez00,
				BGl_proc1952z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1953z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc1954z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1955z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vlengthz00zzast_nodez00, BGl_proc1956z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1957z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1958z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1959z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1960z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1961z00zzast_hrtypez00, BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_switchz00zzast_nodez00, BGl_proc1962z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1963z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1964z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1965z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1966z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1967z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1968z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1969z00zzast_hrtypez00,
				BGl_string1942z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!-box-ref1327 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1327za2zzast_hrtypez00(obj_t
		BgL_envz00_2602, obj_t BgL_nodez00_2603)
	{
		{	/* Ast/hrtype.scm 377 */
			{

				{	/* Ast/hrtype.scm 379 */
					BgL_varz00_bglt BgL_arg1810z00_2690;

					BgL_arg1810z00_2690 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2603)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1810z00_2690));
				}
				{	/* Ast/hrtype.scm 377 */
					obj_t BgL_nextzd2method1326zd2_2689;

					BgL_nextzd2method1326zd2_2689 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2603)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2refzd2zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1326zd2_2689,
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2603)));
				}
			}
		}

	}



/* &hrtype-node!-box-set1325 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1325za2zzast_hrtypez00(obj_t
		BgL_envz00_2604, obj_t BgL_nodez00_2605)
	{
		{	/* Ast/hrtype.scm 368 */
			{

				{	/* Ast/hrtype.scm 370 */
					BgL_varz00_bglt BgL_arg1803z00_2694;

					BgL_arg1803z00_2694 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2605)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1803z00_2694));
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2605)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 368 */
					obj_t BgL_nextzd2method1324zd2_2693;

					BgL_nextzd2method1324zd2_2693 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2605)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2setz12zc0zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1324zd2_2693,
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2605)));
				}
			}
		}

	}



/* &hrtype-node!-make-bo1323 */
	obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1323za2zzast_hrtypez00(obj_t
		BgL_envz00_2606, obj_t BgL_nodez00_2607)
	{
		{	/* Ast/hrtype.scm 360 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2607)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 360 */
					obj_t BgL_nextzd2method1322zd2_2697;

					BgL_nextzd2method1322zd2_2697 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2607)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_makezd2boxzd2zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1322zd2_2697,
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2607)));
				}
			}
		}

	}



/* &hrtype-node!-jump-ex1321 */
	obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1321za2zzast_hrtypez00(obj_t
		BgL_envz00_2608, obj_t BgL_nodez00_2609)
	{
		{	/* Ast/hrtype.scm 351 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2609)))->
						BgL_exitz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_jumpzd2exzd2itz00_bglt)
							COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2609)))->
						BgL_valuez00));
				{	/* Ast/hrtype.scm 351 */
					obj_t BgL_nextzd2method1320zd2_2700;

					BgL_nextzd2method1320zd2_2700 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2609)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_jumpzd2exzd2itz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1320zd2_2700,
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2609)));
				}
			}
		}

	}



/* &hrtype-node!-set-ex-1319 */
	obj_t BGl_z62hrtypezd2nodez12zd2setzd2exzd21319z70zzast_hrtypez00(obj_t
		BgL_envz00_2610, obj_t BgL_nodez00_2611)
	{
		{	/* Ast/hrtype.scm 340 */
			{

				BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)))->
									BgL_varz00)))->BgL_variablez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)))->
						BgL_bodyz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)))->
						BgL_onexitz00));
				{	/* Ast/hrtype.scm 345 */
					BgL_varz00_bglt BgL_arg1799z00_2704;

					BgL_arg1799z00_2704 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1799z00_2704));
				}
				{	/* Ast/hrtype.scm 340 */
					obj_t BgL_nextzd2method1318zd2_2703;

					BgL_nextzd2method1318zd2_2703 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setzd2exzd2itz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1318zd2_2703,
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2611)));
				}
			}
		}

	}



/* &hrtype-node!-let-var1317 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1317za2zzast_hrtypez00(obj_t
		BgL_envz00_2612, obj_t BgL_nodez00_2613)
	{
		{	/* Ast/hrtype.scm 326 */
			{

				{	/* Ast/hrtype.scm 328 */
					obj_t BgL_g1263z00_2708;

					BgL_g1263z00_2708 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2613)))->BgL_bindingsz00);
					{
						obj_t BgL_l1261z00_2710;

						BgL_l1261z00_2710 = BgL_g1263z00_2708;
					BgL_zc3z04anonymousza31783ze3z87_2709:
						if (PAIRP(BgL_l1261z00_2710))
							{	/* Ast/hrtype.scm 328 */
								{	/* Ast/hrtype.scm 329 */
									obj_t BgL_bindingz00_2711;

									BgL_bindingz00_2711 = CAR(BgL_l1261z00_2710);
									{	/* Ast/hrtype.scm 329 */
										obj_t BgL_varz00_2712;
										obj_t BgL_valz00_2713;

										BgL_varz00_2712 = CAR(((obj_t) BgL_bindingz00_2711));
										BgL_valz00_2713 = CDR(((obj_t) BgL_bindingz00_2711));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_valz00_2713));
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_varz00_2712));
									}
								}
								{
									obj_t BgL_l1261z00_3240;

									BgL_l1261z00_3240 = CDR(BgL_l1261z00_2710);
									BgL_l1261z00_2710 = BgL_l1261z00_3240;
									goto BgL_zc3z04anonymousza31783ze3z87_2709;
								}
							}
						else
							{	/* Ast/hrtype.scm 328 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2613)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 326 */
					obj_t BgL_nextzd2method1316zd2_2707;

					BgL_nextzd2method1316zd2_2707 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2613)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2varzd2zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1316zd2_2707,
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2613)));
				}
			}
		}

	}



/* &hrtype-node!-let-fun1315 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1315za2zzast_hrtypez00(obj_t
		BgL_envz00_2614, obj_t BgL_nodez00_2615)
	{
		{	/* Ast/hrtype.scm 300 */
			{

				{	/* Ast/hrtype.scm 302 */
					obj_t BgL_g1260z00_2717;

					BgL_g1260z00_2717 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2615)))->BgL_localsz00);
					{
						obj_t BgL_l1258z00_2719;

						BgL_l1258z00_2719 = BgL_g1260z00_2717;
					BgL_zc3z04anonymousza31757ze3z87_2718:
						if (PAIRP(BgL_l1258z00_2719))
							{	/* Ast/hrtype.scm 302 */
								{	/* Ast/hrtype.scm 303 */
									obj_t BgL_localz00_2720;

									BgL_localz00_2720 = CAR(BgL_l1258z00_2719);
									{	/* Ast/hrtype.scm 303 */
										BgL_valuez00_bglt BgL_sfunz00_2721;

										BgL_sfunz00_2721 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2720))))->
											BgL_valuez00);
										{	/* Ast/hrtype.scm 304 */
											obj_t BgL_g1129z00_2722;

											BgL_g1129z00_2722 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2721)))->
												BgL_argsz00);
											{
												obj_t BgL_argsz00_2724;

												BgL_argsz00_2724 = BgL_g1129z00_2722;
											BgL_loopz00_2723:
												if (PAIRP(BgL_argsz00_2724))
													{	/* Ast/hrtype.scm 306 */
														obj_t BgL_argz00_2725;

														BgL_argz00_2725 = CAR(BgL_argsz00_2724);
														{	/* Ast/hrtype.scm 308 */
															bool_t BgL_test2027z00_3267;

															{	/* Ast/hrtype.scm 308 */
																obj_t BgL_classz00_2726;

																BgL_classz00_2726 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_argz00_2725))
																	{	/* Ast/hrtype.scm 308 */
																		BgL_objectz00_bglt BgL_arg1858z00_2727;

																		BgL_arg1858z00_2727 =
																			(BgL_objectz00_bglt) (BgL_argz00_2725);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/hrtype.scm 308 */
																				long BgL_idxz00_2728;

																				BgL_idxz00_2728 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2727);
																				BgL_test2027z00_3267 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2728 + 1L)) ==
																					BgL_classz00_2726);
																			}
																		else
																			{	/* Ast/hrtype.scm 308 */
																				bool_t BgL_res1931z00_2731;

																				{	/* Ast/hrtype.scm 308 */
																					obj_t BgL_oclassz00_2732;

																					{	/* Ast/hrtype.scm 308 */
																						obj_t BgL_arg1866z00_2733;
																						long BgL_arg1867z00_2734;

																						BgL_arg1866z00_2733 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Ast/hrtype.scm 308 */
																							long BgL_arg1869z00_2735;

																							BgL_arg1869z00_2735 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2727);
																							BgL_arg1867z00_2734 =
																								(BgL_arg1869z00_2735 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2732 =
																							VECTOR_REF(BgL_arg1866z00_2733,
																							BgL_arg1867z00_2734);
																					}
																					{	/* Ast/hrtype.scm 308 */
																						bool_t BgL__ortest_1115z00_2736;

																						BgL__ortest_1115z00_2736 =
																							(BgL_classz00_2726 ==
																							BgL_oclassz00_2732);
																						if (BgL__ortest_1115z00_2736)
																							{	/* Ast/hrtype.scm 308 */
																								BgL_res1931z00_2731 =
																									BgL__ortest_1115z00_2736;
																							}
																						else
																							{	/* Ast/hrtype.scm 308 */
																								long BgL_odepthz00_2737;

																								{	/* Ast/hrtype.scm 308 */
																									obj_t BgL_arg1855z00_2738;

																									BgL_arg1855z00_2738 =
																										(BgL_oclassz00_2732);
																									BgL_odepthz00_2737 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2738);
																								}
																								if ((1L < BgL_odepthz00_2737))
																									{	/* Ast/hrtype.scm 308 */
																										obj_t BgL_arg1853z00_2739;

																										{	/* Ast/hrtype.scm 308 */
																											obj_t BgL_arg1854z00_2740;

																											BgL_arg1854z00_2740 =
																												(BgL_oclassz00_2732);
																											BgL_arg1853z00_2739 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2740,
																												1L);
																										}
																										BgL_res1931z00_2731 =
																											(BgL_arg1853z00_2739 ==
																											BgL_classz00_2726);
																									}
																								else
																									{	/* Ast/hrtype.scm 308 */
																										BgL_res1931z00_2731 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2027z00_3267 =
																					BgL_res1931z00_2731;
																			}
																	}
																else
																	{	/* Ast/hrtype.scm 308 */
																		BgL_test2027z00_3267 = ((bool_t) 0);
																	}
															}
															if (BgL_test2027z00_3267)
																{	/* Ast/hrtype.scm 309 */
																	BgL_typez00_bglt BgL_arg1763z00_2741;

																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_arg1765z00_2742;

																		BgL_arg1765z00_2742 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_argz00_2725)))->BgL_idz00);
																		BgL_arg1763z00_2741 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg1765z00_2742);
																	}
																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_tmpz00_3293;

																		BgL_tmpz00_3293 =
																			((obj_t) BgL_arg1763z00_2741);
																		SET_CAR(BgL_argsz00_2724, BgL_tmpz00_3293);
																	}
																}
															else
																{	/* Ast/hrtype.scm 310 */
																	bool_t BgL_test2032z00_3296;

																	{	/* Ast/hrtype.scm 310 */
																		obj_t BgL_classz00_2743;

																		BgL_classz00_2743 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_argz00_2725))
																			{	/* Ast/hrtype.scm 310 */
																				BgL_objectz00_bglt BgL_arg1858z00_2744;

																				BgL_arg1858z00_2744 =
																					(BgL_objectz00_bglt)
																					(BgL_argz00_2725);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Ast/hrtype.scm 310 */
																						long BgL_idxz00_2745;

																						BgL_idxz00_2745 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_2744);
																						BgL_test2032z00_3296 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2745 + 2L)) ==
																							BgL_classz00_2743);
																					}
																				else
																					{	/* Ast/hrtype.scm 310 */
																						bool_t BgL_res1932z00_2748;

																						{	/* Ast/hrtype.scm 310 */
																							obj_t BgL_oclassz00_2749;

																							{	/* Ast/hrtype.scm 310 */
																								obj_t BgL_arg1866z00_2750;
																								long BgL_arg1867z00_2751;

																								BgL_arg1866z00_2750 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Ast/hrtype.scm 310 */
																									long BgL_arg1869z00_2752;

																									BgL_arg1869z00_2752 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_2744);
																									BgL_arg1867z00_2751 =
																										(BgL_arg1869z00_2752 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2749 =
																									VECTOR_REF
																									(BgL_arg1866z00_2750,
																									BgL_arg1867z00_2751);
																							}
																							{	/* Ast/hrtype.scm 310 */
																								bool_t BgL__ortest_1115z00_2753;

																								BgL__ortest_1115z00_2753 =
																									(BgL_classz00_2743 ==
																									BgL_oclassz00_2749);
																								if (BgL__ortest_1115z00_2753)
																									{	/* Ast/hrtype.scm 310 */
																										BgL_res1932z00_2748 =
																											BgL__ortest_1115z00_2753;
																									}
																								else
																									{	/* Ast/hrtype.scm 310 */
																										long BgL_odepthz00_2754;

																										{	/* Ast/hrtype.scm 310 */
																											obj_t BgL_arg1855z00_2755;

																											BgL_arg1855z00_2755 =
																												(BgL_oclassz00_2749);
																											BgL_odepthz00_2754 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_2755);
																										}
																										if (
																											(2L < BgL_odepthz00_2754))
																											{	/* Ast/hrtype.scm 310 */
																												obj_t
																													BgL_arg1853z00_2756;
																												{	/* Ast/hrtype.scm 310 */
																													obj_t
																														BgL_arg1854z00_2757;
																													BgL_arg1854z00_2757 =
																														(BgL_oclassz00_2749);
																													BgL_arg1853z00_2756 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_2757,
																														2L);
																												}
																												BgL_res1932z00_2748 =
																													(BgL_arg1853z00_2756
																													== BgL_classz00_2743);
																											}
																										else
																											{	/* Ast/hrtype.scm 310 */
																												BgL_res1932z00_2748 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2032z00_3296 =
																							BgL_res1932z00_2748;
																					}
																			}
																		else
																			{	/* Ast/hrtype.scm 310 */
																				BgL_test2032z00_3296 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2032z00_3296)
																		{	/* Ast/hrtype.scm 310 */
																			BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																				(((BgL_variablez00_bglt)
																					BgL_argz00_2725));
																		}
																	else
																		{	/* Ast/hrtype.scm 310 */
																			BGl_errorz00zz__errorz00
																				(BGl_string1942z00zzast_hrtypez00,
																				BGl_string1970z00zzast_hrtypez00,
																				BGl_shapez00zztools_shapez00
																				(BgL_argz00_2725));
																		}
																}
														}
														{
															obj_t BgL_argsz00_3323;

															BgL_argsz00_3323 = CDR(BgL_argsz00_2724);
															BgL_argsz00_2724 = BgL_argsz00_3323;
															goto BgL_loopz00_2723;
														}
													}
												else
													{	/* Ast/hrtype.scm 305 */
														((bool_t) 0);
													}
											}
										}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_localz00_2720));
										{	/* Ast/hrtype.scm 318 */
											obj_t BgL_arg1772z00_2758;

											BgL_arg1772z00_2758 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2721)))->
												BgL_bodyz00);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
													BgL_arg1772z00_2758));
										}
									}
								}
								{
									obj_t BgL_l1258z00_3331;

									BgL_l1258z00_3331 = CDR(BgL_l1258z00_2719);
									BgL_l1258z00_2719 = BgL_l1258z00_3331;
									goto BgL_zc3z04anonymousza31757ze3z87_2718;
								}
							}
						else
							{	/* Ast/hrtype.scm 302 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2615)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 300 */
					obj_t BgL_nextzd2method1314zd2_2716;

					BgL_nextzd2method1314zd2_2716 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2615)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2funzd2zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1314zd2_2716,
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2615)));
				}
			}
		}

	}



/* &hrtype-node!-switch1313 */
	obj_t BGl_z62hrtypezd2nodez12zd2switch1313z70zzast_hrtypez00(obj_t
		BgL_envz00_2616, obj_t BgL_nodez00_2617)
	{
		{	/* Ast/hrtype.scm 288 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3345;

					{	/* Ast/hrtype.scm 290 */
						obj_t BgL_arg1730z00_2762;

						BgL_arg1730z00_2762 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_switchz00_bglt) COBJECT(
												((BgL_switchz00_bglt) BgL_nodez00_2617)))->
										BgL_itemzd2typezd2)))->BgL_idz00);
						BgL_auxz00_3345 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1730z00_2762);
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2617)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3345), BUNSPEC);
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2617)))->BgL_testz00));
				{	/* Ast/hrtype.scm 292 */
					obj_t BgL_g1257z00_2763;

					BgL_g1257z00_2763 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2617)))->BgL_clausesz00);
					{
						obj_t BgL_l1255z00_2765;

						BgL_l1255z00_2765 = BgL_g1257z00_2763;
					BgL_zc3z04anonymousza31749ze3z87_2764:
						if (PAIRP(BgL_l1255z00_2765))
							{	/* Ast/hrtype.scm 292 */
								{	/* Ast/hrtype.scm 293 */
									obj_t BgL_clausez00_2766;

									BgL_clausez00_2766 = CAR(BgL_l1255z00_2765);
									{	/* Ast/hrtype.scm 293 */
										obj_t BgL_arg1755z00_2767;

										BgL_arg1755z00_2767 = CDR(((obj_t) BgL_clausez00_2766));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_arg1755z00_2767));
									}
								}
								{
									obj_t BgL_l1255z00_3364;

									BgL_l1255z00_3364 = CDR(BgL_l1255z00_2765);
									BgL_l1255z00_2765 = BgL_l1255z00_3364;
									goto BgL_zc3z04anonymousza31749ze3z87_2764;
								}
							}
						else
							{	/* Ast/hrtype.scm 292 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 288 */
					obj_t BgL_nextzd2method1312zd2_2761;

					BgL_nextzd2method1312zd2_2761 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) BgL_nodez00_2617)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_switchz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1312zd2_2761,
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2617)));
				}
			}
		}

	}



/* &hrtype-node!-fail1311 */
	obj_t BGl_z62hrtypezd2nodez12zd2fail1311z70zzast_hrtypez00(obj_t
		BgL_envz00_2618, obj_t BgL_nodez00_2619)
	{
		{	/* Ast/hrtype.scm 278 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2619)))->BgL_procz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2619)))->BgL_msgz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2619)))->BgL_objz00));
				{	/* Ast/hrtype.scm 278 */
					obj_t BgL_nextzd2method1310zd2_2770;

					BgL_nextzd2method1310zd2_2770 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt) BgL_nodez00_2619)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_failz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1310zd2_2770,
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2619)));
				}
			}
		}

	}



/* &hrtype-node!-conditi1309 */
	obj_t BGl_z62hrtypezd2nodez12zd2conditi1309z70zzast_hrtypez00(obj_t
		BgL_envz00_2620, obj_t BgL_nodez00_2621)
	{
		{	/* Ast/hrtype.scm 268 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2621)))->BgL_testz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2621)))->BgL_truez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2621)))->BgL_falsez00));
				{	/* Ast/hrtype.scm 268 */
					obj_t BgL_nextzd2method1308zd2_2773;

					BgL_nextzd2method1308zd2_2773 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_2621)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_conditionalz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1308zd2_2773,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2621)));
				}
			}
		}

	}



/* &hrtype-node!-setq1307 */
	obj_t BGl_z62hrtypezd2nodez12zd2setq1307z70zzast_hrtypez00(obj_t
		BgL_envz00_2622, obj_t BgL_nodez00_2623)
	{
		{	/* Ast/hrtype.scm 259 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2623)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 262 */
					BgL_varz00_bglt BgL_arg1703z00_2777;

					BgL_arg1703z00_2777 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2623)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1703z00_2777));
				}
				{	/* Ast/hrtype.scm 259 */
					obj_t BgL_nextzd2method1306zd2_2776;

					BgL_nextzd2method1306zd2_2776 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) BgL_nodez00_2623)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setqz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1306zd2_2776,
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2623)));
				}
			}
		}

	}



/* &hrtype-node!-cast1305 */
	obj_t BGl_z62hrtypezd2nodez12zd2cast1305z70zzast_hrtypez00(obj_t
		BgL_envz00_2624, obj_t BgL_nodez00_2625)
	{
		{	/* Ast/hrtype.scm 251 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2625)))->BgL_argz00));
				{	/* Ast/hrtype.scm 251 */
					obj_t BgL_nextzd2method1304zd2_2780;

					BgL_nextzd2method1304zd2_2780 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2625)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_castz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1304zd2_2780,
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2625)));
				}
			}
		}

	}



/* &hrtype-node!-instanc1303 */
	obj_t BGl_z62hrtypezd2nodez12zd2instanc1303z70zzast_hrtypez00(obj_t
		BgL_envz00_2626, obj_t BgL_nodez00_2627)
	{
		{	/* Ast/hrtype.scm 243 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3439;

					{	/* Ast/hrtype.scm 245 */
						obj_t BgL_arg1693z00_2784;

						BgL_arg1693z00_2784 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_instanceofz00_bglt) COBJECT(
												((BgL_instanceofz00_bglt) BgL_nodez00_2627)))->
										BgL_classz00)))->BgL_idz00);
						BgL_auxz00_3439 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1693z00_2784);
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_nodez00_2627)))->BgL_classz00) =
						((BgL_typez00_bglt) BgL_auxz00_3439), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 243 */
					obj_t BgL_nextzd2method1302zd2_2783;

					BgL_nextzd2method1302zd2_2783 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2627)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_instanceofz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1302zd2_2783,
						((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2627)));
				}
			}
		}

	}



/* &hrtype-node!-vlength1301 */
	obj_t BGl_z62hrtypezd2nodez12zd2vlength1301z70zzast_hrtypez00(obj_t
		BgL_envz00_2628, obj_t BgL_nodez00_2629)
	{
		{	/* Ast/hrtype.scm 235 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3455;

					{	/* Ast/hrtype.scm 237 */
						obj_t BgL_arg1691z00_2788;

						BgL_arg1691z00_2788 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vlengthz00_bglt) COBJECT(
												((BgL_vlengthz00_bglt) BgL_nodez00_2629)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3455 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1691z00_2788);
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_nodez00_2629)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3455), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 235 */
					obj_t BgL_nextzd2method1300zd2_2787;

					BgL_nextzd2method1300zd2_2787 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2629)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vlengthz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1300zd2_2787,
						((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2629)));
				}
			}
		}

	}



/* &hrtype-node!-vset!1298 */
	obj_t BGl_z62hrtypezd2nodez12zd2vsetz121298z62zzast_hrtypez00(obj_t
		BgL_envz00_2630, obj_t BgL_nodez00_2631)
	{
		{	/* Ast/hrtype.scm 225 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3471;

					{	/* Ast/hrtype.scm 227 */
						obj_t BgL_arg1674z00_2792;

						BgL_arg1674z00_2792 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3471 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1674z00_2792);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3471), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3478;

					{	/* Ast/hrtype.scm 228 */
						obj_t BgL_arg1677z00_2793;

						BgL_arg1677z00_2793 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3478 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1677z00_2793);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3478), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3485;

					{	/* Ast/hrtype.scm 229 */
						obj_t BgL_arg1680z00_2794;

						BgL_arg1680z00_2794 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3485 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1680z00_2794);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2631)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3485), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 225 */
					obj_t BgL_nextzd2method1297zd2_2791;

					BgL_nextzd2method1297zd2_2791 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2631)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vsetz12z12zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1297zd2_2791,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2631)));
				}
			}
		}

	}



/* &hrtype-node!-vref1296 */
	obj_t BGl_z62hrtypezd2nodez12zd2vref1296z70zzast_hrtypez00(obj_t
		BgL_envz00_2632, obj_t BgL_nodez00_2633)
	{
		{	/* Ast/hrtype.scm 215 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3501;

					{	/* Ast/hrtype.scm 217 */
						obj_t BgL_arg1656z00_2798;

						BgL_arg1656z00_2798 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2633)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3501 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1656z00_2798);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2633)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3501), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3508;

					{	/* Ast/hrtype.scm 218 */
						obj_t BgL_arg1660z00_2799;

						BgL_arg1660z00_2799 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2633)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3508 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1660z00_2799);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2633)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3508), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3515;

					{	/* Ast/hrtype.scm 219 */
						obj_t BgL_arg1664z00_2800;

						BgL_arg1664z00_2800 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2633)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3515 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1664z00_2800);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2633)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3515), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 215 */
					obj_t BgL_nextzd2method1295zd2_2797;

					BgL_nextzd2method1295zd2_2797 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2633)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vrefz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1295zd2_2797,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2633)));
				}
			}
		}

	}



/* &hrtype-node!-valloc1294 */
	obj_t BGl_z62hrtypezd2nodez12zd2valloc1294z70zzast_hrtypez00(obj_t
		BgL_envz00_2634, obj_t BgL_nodez00_2635)
	{
		{	/* Ast/hrtype.scm 206 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3531;

					{	/* Ast/hrtype.scm 208 */
						obj_t BgL_arg1649z00_2804;

						BgL_arg1649z00_2804 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2635)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3531 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1649z00_2804);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2635)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3531), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3538;

					{	/* Ast/hrtype.scm 209 */
						obj_t BgL_arg1653z00_2805;

						BgL_arg1653z00_2805 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2635)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3538 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1653z00_2805);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2635)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3538), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 206 */
					obj_t BgL_nextzd2method1293zd2_2803;

					BgL_nextzd2method1293zd2_2803 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2635)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vallocz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1293zd2_2803,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2635)));
				}
			}
		}

	}



/* &hrtype-node!-new1292 */
	obj_t BGl_z62hrtypezd2nodez12zd2new1292z70zzast_hrtypez00(obj_t
		BgL_envz00_2636, obj_t BgL_nodez00_2637)
	{
		{	/* Ast/hrtype.scm 198 */
			{

				{
					obj_t BgL_auxz00_3554;

					{	/* Ast/hrtype.scm 200 */
						obj_t BgL_l01254z00_2809;

						BgL_l01254z00_2809 =
							(((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2637)))->BgL_argszd2typezd2);
						{
							obj_t BgL_l1253z00_2811;

							BgL_l1253z00_2811 = BgL_l01254z00_2809;
						BgL_zc3z04anonymousza31639ze3z87_2810:
							if (NULLP(BgL_l1253z00_2811))
								{	/* Ast/hrtype.scm 200 */
									BgL_auxz00_3554 = BgL_l01254z00_2809;
								}
							else
								{	/* Ast/hrtype.scm 200 */
									{	/* Ast/hrtype.scm 200 */
										BgL_typez00_bglt BgL_arg1642z00_2812;

										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_tz00_2813;

											BgL_tz00_2813 = CAR(((obj_t) BgL_l1253z00_2811));
											{	/* Ast/hrtype.scm 200 */
												obj_t BgL_arg1643z00_2814;

												BgL_arg1643z00_2814 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tz00_2813)))->BgL_idz00);
												BgL_arg1642z00_2812 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1643z00_2814);
											}
										}
										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_auxz00_3567;
											obj_t BgL_tmpz00_3565;

											BgL_auxz00_3567 = ((obj_t) BgL_arg1642z00_2812);
											BgL_tmpz00_3565 = ((obj_t) BgL_l1253z00_2811);
											SET_CAR(BgL_tmpz00_3565, BgL_auxz00_3567);
										}
									}
									{	/* Ast/hrtype.scm 200 */
										obj_t BgL_arg1648z00_2815;

										BgL_arg1648z00_2815 = CDR(((obj_t) BgL_l1253z00_2811));
										{
											obj_t BgL_l1253z00_3572;

											BgL_l1253z00_3572 = BgL_arg1648z00_2815;
											BgL_l1253z00_2811 = BgL_l1253z00_3572;
											goto BgL_zc3z04anonymousza31639ze3z87_2810;
										}
									}
								}
						}
					}
					((((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2637)))->BgL_argszd2typezd2) =
						((obj_t) BgL_auxz00_3554), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 198 */
					obj_t BgL_nextzd2method1291zd2_2808;

					BgL_nextzd2method1291zd2_2808 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2637)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_newz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1291zd2_2808,
						((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2637)));
				}
			}
		}

	}



/* &hrtype-node!-widenin1290 */
	obj_t BGl_z62hrtypezd2nodez12zd2widenin1290z70zzast_hrtypez00(obj_t
		BgL_envz00_2638, obj_t BgL_nodez00_2639)
	{
		{	/* Ast/hrtype.scm 190 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3583;

					{	/* Ast/hrtype.scm 192 */
						obj_t BgL_arg1635z00_2819;

						BgL_arg1635z00_2819 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_wideningz00_bglt) COBJECT(
												((BgL_wideningz00_bglt) BgL_nodez00_2639)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3583 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1635z00_2819);
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_2639)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3583), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 190 */
					obj_t BgL_nextzd2method1289zd2_2818;

					BgL_nextzd2method1289zd2_2818 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt) BgL_nodez00_2639)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_wideningz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1289zd2_2818,
						((obj_t) ((BgL_wideningz00_bglt) BgL_nodez00_2639)));
				}
			}
		}

	}



/* &hrtype-node!-setfiel1288 */
	obj_t BGl_z62hrtypezd2nodez12zd2setfiel1288z70zzast_hrtypez00(obj_t
		BgL_envz00_2640, obj_t BgL_nodez00_2641)
	{
		{	/* Ast/hrtype.scm 181 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3599;

					{	/* Ast/hrtype.scm 183 */
						obj_t BgL_arg1626z00_2823;

						BgL_arg1626z00_2823 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2641)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3599 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1626z00_2823);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2641)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3599), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3606;

					{	/* Ast/hrtype.scm 184 */
						obj_t BgL_arg1632z00_2824;

						BgL_arg1632z00_2824 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2641)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3606 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1632z00_2824);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2641)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3606), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 181 */
					obj_t BgL_nextzd2method1287zd2_2822;

					BgL_nextzd2method1287zd2_2822 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2641)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setfieldz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1287zd2_2822,
						((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2641)));
				}
			}
		}

	}



/* &hrtype-node!-getfiel1286 */
	obj_t BGl_z62hrtypezd2nodez12zd2getfiel1286z70zzast_hrtypez00(obj_t
		BgL_envz00_2642, obj_t BgL_nodez00_2643)
	{
		{	/* Ast/hrtype.scm 172 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3622;

					{	/* Ast/hrtype.scm 174 */
						obj_t BgL_arg1605z00_2828;

						BgL_arg1605z00_2828 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2643)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3622 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1605z00_2828);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2643)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3622), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3629;

					{	/* Ast/hrtype.scm 175 */
						obj_t BgL_arg1612z00_2829;

						BgL_arg1612z00_2829 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2643)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3629 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1612z00_2829);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2643)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3629), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 172 */
					obj_t BgL_nextzd2method1285zd2_2827;

					BgL_nextzd2method1285zd2_2827 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2643)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_getfieldz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1285zd2_2827,
						((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2643)));
				}
			}
		}

	}



/* &hrtype-node!-extern1284 */
	obj_t BGl_z62hrtypezd2nodez12zd2extern1284z70zzast_hrtypez00(obj_t
		BgL_envz00_2644, obj_t BgL_nodez00_2645)
	{
		{	/* Ast/hrtype.scm 164 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2645)))->BgL_exprza2za2));
				{	/* Ast/hrtype.scm 164 */
					obj_t BgL_nextzd2method1283zd2_2832;

					BgL_nextzd2method1283zd2_2832 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_externz00_bglt) BgL_nodez00_2645)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_externz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1283zd2_2832,
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2645)));
				}
			}
		}

	}



/* &hrtype-node!-funcall1282 */
	obj_t BGl_z62hrtypezd2nodez12zd2funcall1282z70zzast_hrtypez00(obj_t
		BgL_envz00_2646, obj_t BgL_nodez00_2647)
	{
		{	/* Ast/hrtype.scm 155 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2647)))->BgL_funz00));
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2647)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 155 */
					obj_t BgL_nextzd2method1281zd2_2835;

					BgL_nextzd2method1281zd2_2835 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2647)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_funcallz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1281zd2_2835,
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2647)));
				}
			}
		}

	}



/* &hrtype-node!-app-ly1280 */
	obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1280za2zzast_hrtypez00(obj_t
		BgL_envz00_2648, obj_t BgL_nodez00_2649)
	{
		{	/* Ast/hrtype.scm 146 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2649)))->BgL_funz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2649)))->BgL_argz00));
				{	/* Ast/hrtype.scm 146 */
					obj_t BgL_nextzd2method1279zd2_2838;

					BgL_nextzd2method1279zd2_2838 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2649)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appzd2lyzd2zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1279zd2_2838,
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2649)));
				}
			}
		}

	}



/* &hrtype-node!-app1278 */
	obj_t BGl_z62hrtypezd2nodez12zd2app1278z70zzast_hrtypez00(obj_t
		BgL_envz00_2650, obj_t BgL_nodez00_2651)
	{
		{	/* Ast/hrtype.scm 95 */
			{

				{	/* Ast/hrtype.scm 97 */
					BgL_varz00_bglt BgL_i1108z00_2842;

					BgL_i1108z00_2842 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2651)))->BgL_funz00);
					{	/* Ast/hrtype.scm 98 */
						bool_t BgL_test2039z00_3689;

						{	/* Ast/hrtype.scm 98 */
							BgL_variablez00_bglt BgL_arg1581z00_2843;

							BgL_arg1581z00_2843 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2842))->
								BgL_variablez00);
							{	/* Ast/hrtype.scm 98 */
								obj_t BgL_classz00_2844;

								BgL_classz00_2844 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 98 */
									BgL_objectz00_bglt BgL_arg1858z00_2845;

									{	/* Ast/hrtype.scm 98 */
										obj_t BgL_tmpz00_3691;

										BgL_tmpz00_3691 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1581z00_2843));
										BgL_arg1858z00_2845 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3691);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/hrtype.scm 98 */
											long BgL_idxz00_2846;

											BgL_idxz00_2846 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2845);
											BgL_test2039z00_3689 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2846 + 2L)) == BgL_classz00_2844);
										}
									else
										{	/* Ast/hrtype.scm 98 */
											bool_t BgL_res1926z00_2849;

											{	/* Ast/hrtype.scm 98 */
												obj_t BgL_oclassz00_2850;

												{	/* Ast/hrtype.scm 98 */
													obj_t BgL_arg1866z00_2851;
													long BgL_arg1867z00_2852;

													BgL_arg1866z00_2851 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/hrtype.scm 98 */
														long BgL_arg1869z00_2853;

														BgL_arg1869z00_2853 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2845);
														BgL_arg1867z00_2852 =
															(BgL_arg1869z00_2853 - OBJECT_TYPE);
													}
													BgL_oclassz00_2850 =
														VECTOR_REF(BgL_arg1866z00_2851,
														BgL_arg1867z00_2852);
												}
												{	/* Ast/hrtype.scm 98 */
													bool_t BgL__ortest_1115z00_2854;

													BgL__ortest_1115z00_2854 =
														(BgL_classz00_2844 == BgL_oclassz00_2850);
													if (BgL__ortest_1115z00_2854)
														{	/* Ast/hrtype.scm 98 */
															BgL_res1926z00_2849 = BgL__ortest_1115z00_2854;
														}
													else
														{	/* Ast/hrtype.scm 98 */
															long BgL_odepthz00_2855;

															{	/* Ast/hrtype.scm 98 */
																obj_t BgL_arg1855z00_2856;

																BgL_arg1855z00_2856 = (BgL_oclassz00_2850);
																BgL_odepthz00_2855 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2856);
															}
															if ((2L < BgL_odepthz00_2855))
																{	/* Ast/hrtype.scm 98 */
																	obj_t BgL_arg1853z00_2857;

																	{	/* Ast/hrtype.scm 98 */
																		obj_t BgL_arg1854z00_2858;

																		BgL_arg1854z00_2858 = (BgL_oclassz00_2850);
																		BgL_arg1853z00_2857 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2858, 2L);
																	}
																	BgL_res1926z00_2849 =
																		(BgL_arg1853z00_2857 == BgL_classz00_2844);
																}
															else
																{	/* Ast/hrtype.scm 98 */
																	BgL_res1926z00_2849 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2039z00_3689 = BgL_res1926z00_2849;
										}
								}
							}
						}
						if (BgL_test2039z00_3689)
							{	/* Ast/hrtype.scm 99 */
								BgL_valuez00_bglt BgL_valuez00_2859;

								BgL_valuez00_2859 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2842))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* Ast/hrtype.scm 101 */
									bool_t BgL_test2043z00_3716;

									{	/* Ast/hrtype.scm 101 */
										obj_t BgL_classz00_2860;

										BgL_classz00_2860 = BGl_cfunz00zzast_varz00;
										{	/* Ast/hrtype.scm 101 */
											BgL_objectz00_bglt BgL_arg1858z00_2861;

											{	/* Ast/hrtype.scm 101 */
												obj_t BgL_tmpz00_3717;

												BgL_tmpz00_3717 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2859));
												BgL_arg1858z00_2861 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3717);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/hrtype.scm 101 */
													long BgL_idxz00_2862;

													BgL_idxz00_2862 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2861);
													BgL_test2043z00_3716 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2862 + 3L)) == BgL_classz00_2860);
												}
											else
												{	/* Ast/hrtype.scm 101 */
													bool_t BgL_res1927z00_2865;

													{	/* Ast/hrtype.scm 101 */
														obj_t BgL_oclassz00_2866;

														{	/* Ast/hrtype.scm 101 */
															obj_t BgL_arg1866z00_2867;
															long BgL_arg1867z00_2868;

															BgL_arg1866z00_2867 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/hrtype.scm 101 */
																long BgL_arg1869z00_2869;

																BgL_arg1869z00_2869 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2861);
																BgL_arg1867z00_2868 =
																	(BgL_arg1869z00_2869 - OBJECT_TYPE);
															}
															BgL_oclassz00_2866 =
																VECTOR_REF(BgL_arg1866z00_2867,
																BgL_arg1867z00_2868);
														}
														{	/* Ast/hrtype.scm 101 */
															bool_t BgL__ortest_1115z00_2870;

															BgL__ortest_1115z00_2870 =
																(BgL_classz00_2860 == BgL_oclassz00_2866);
															if (BgL__ortest_1115z00_2870)
																{	/* Ast/hrtype.scm 101 */
																	BgL_res1927z00_2865 =
																		BgL__ortest_1115z00_2870;
																}
															else
																{	/* Ast/hrtype.scm 101 */
																	long BgL_odepthz00_2871;

																	{	/* Ast/hrtype.scm 101 */
																		obj_t BgL_arg1855z00_2872;

																		BgL_arg1855z00_2872 = (BgL_oclassz00_2866);
																		BgL_odepthz00_2871 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2872);
																	}
																	if ((3L < BgL_odepthz00_2871))
																		{	/* Ast/hrtype.scm 101 */
																			obj_t BgL_arg1853z00_2873;

																			{	/* Ast/hrtype.scm 101 */
																				obj_t BgL_arg1854z00_2874;

																				BgL_arg1854z00_2874 =
																					(BgL_oclassz00_2866);
																				BgL_arg1853z00_2873 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2874, 3L);
																			}
																			BgL_res1927z00_2865 =
																				(BgL_arg1853z00_2873 ==
																				BgL_classz00_2860);
																		}
																	else
																		{	/* Ast/hrtype.scm 101 */
																			BgL_res1927z00_2865 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2043z00_3716 = BgL_res1927z00_2865;
												}
										}
									}
									if (BgL_test2043z00_3716)
										{	/* Ast/hrtype.scm 102 */
											obj_t BgL_gz00_2875;

											{	/* Ast/hrtype.scm 102 */
												obj_t BgL_arg1457z00_2876;
												obj_t BgL_arg1471z00_2877;

												BgL_arg1457z00_2876 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt)
																			COBJECT(BgL_i1108z00_2842))->
																		BgL_variablez00)))))->BgL_idz00);
												BgL_arg1471z00_2877 =
													(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
																		COBJECT(BgL_i1108z00_2842))->
																	BgL_variablez00))))->BgL_modulez00);
												{	/* Ast/hrtype.scm 102 */
													obj_t BgL_list1472z00_2878;

													BgL_list1472z00_2878 =
														MAKE_YOUNG_PAIR(BgL_arg1471z00_2877, BNIL);
													BgL_gz00_2875 =
														BGl_findzd2globalzd2zzast_envz00
														(BgL_arg1457z00_2876, BgL_list1472z00_2878);
												}
											}
											if (CBOOL(BgL_gz00_2875))
												{	/* Ast/hrtype.scm 112 */
													((((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2842))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_gz00_2875)), BUNSPEC);
												}
											else
												{	/* Ast/hrtype.scm 114 */
													BgL_variablez00_bglt BgL_arg1446z00_2879;

													BgL_arg1446z00_2879 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2842))->
														BgL_variablez00);
													BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
															BgL_arg1446z00_2879));
												}
										}
									else
										{	/* Ast/hrtype.scm 115 */
											bool_t BgL_test2048z00_3756;

											{	/* Ast/hrtype.scm 115 */
												obj_t BgL_classz00_2880;

												BgL_classz00_2880 = BGl_sfunz00zzast_varz00;
												{	/* Ast/hrtype.scm 115 */
													BgL_objectz00_bglt BgL_arg1858z00_2881;

													{	/* Ast/hrtype.scm 115 */
														obj_t BgL_tmpz00_3757;

														BgL_tmpz00_3757 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_valuez00_2859));
														BgL_arg1858z00_2881 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3757);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/hrtype.scm 115 */
															long BgL_idxz00_2882;

															BgL_idxz00_2882 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2881);
															BgL_test2048z00_3756 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2882 + 3L)) == BgL_classz00_2880);
														}
													else
														{	/* Ast/hrtype.scm 115 */
															bool_t BgL_res1928z00_2885;

															{	/* Ast/hrtype.scm 115 */
																obj_t BgL_oclassz00_2886;

																{	/* Ast/hrtype.scm 115 */
																	obj_t BgL_arg1866z00_2887;
																	long BgL_arg1867z00_2888;

																	BgL_arg1866z00_2887 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Ast/hrtype.scm 115 */
																		long BgL_arg1869z00_2889;

																		BgL_arg1869z00_2889 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2881);
																		BgL_arg1867z00_2888 =
																			(BgL_arg1869z00_2889 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2886 =
																		VECTOR_REF(BgL_arg1866z00_2887,
																		BgL_arg1867z00_2888);
																}
																{	/* Ast/hrtype.scm 115 */
																	bool_t BgL__ortest_1115z00_2890;

																	BgL__ortest_1115z00_2890 =
																		(BgL_classz00_2880 == BgL_oclassz00_2886);
																	if (BgL__ortest_1115z00_2890)
																		{	/* Ast/hrtype.scm 115 */
																			BgL_res1928z00_2885 =
																				BgL__ortest_1115z00_2890;
																		}
																	else
																		{	/* Ast/hrtype.scm 115 */
																			long BgL_odepthz00_2891;

																			{	/* Ast/hrtype.scm 115 */
																				obj_t BgL_arg1855z00_2892;

																				BgL_arg1855z00_2892 =
																					(BgL_oclassz00_2886);
																				BgL_odepthz00_2891 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2892);
																			}
																			if ((3L < BgL_odepthz00_2891))
																				{	/* Ast/hrtype.scm 115 */
																					obj_t BgL_arg1853z00_2893;

																					{	/* Ast/hrtype.scm 115 */
																						obj_t BgL_arg1854z00_2894;

																						BgL_arg1854z00_2894 =
																							(BgL_oclassz00_2886);
																						BgL_arg1853z00_2893 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2894, 3L);
																					}
																					BgL_res1928z00_2885 =
																						(BgL_arg1853z00_2893 ==
																						BgL_classz00_2880);
																				}
																			else
																				{	/* Ast/hrtype.scm 115 */
																					BgL_res1928z00_2885 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2048z00_3756 = BgL_res1928z00_2885;
														}
												}
											}
											if (BgL_test2048z00_3756)
												{	/* Ast/hrtype.scm 116 */
													bool_t BgL_test2052z00_3780;

													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valuez00_2859)))->
																BgL_classz00) == ((obj_t) CNST_TABLE_REF(0))))
														{	/* Ast/hrtype.scm 118 */
															bool_t BgL_test2054z00_3787;

															{	/* Ast/hrtype.scm 118 */
																BgL_variablez00_bglt BgL_arg1574z00_2895;

																BgL_arg1574z00_2895 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1108z00_2842))->
																	BgL_variablez00);
																BgL_test2054z00_3787 =
																	CBOOL(BGl_alreadyzd2restoredzf3z21zzast_envz00
																	(((obj_t) BgL_arg1574z00_2895)));
															}
															if (BgL_test2054z00_3787)
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2052z00_3780 = ((bool_t) 0);
																}
															else
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2052z00_3780 = ((bool_t) 1);
																}
														}
													else
														{	/* Ast/hrtype.scm 116 */
															BgL_test2052z00_3780 = ((bool_t) 0);
														}
													if (BgL_test2052z00_3780)
														{	/* Ast/hrtype.scm 122 */
															BgL_variablez00_bglt BgL_arg1513z00_2896;

															BgL_arg1513z00_2896 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1108z00_2842))->BgL_variablez00);
															BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
																	BgL_arg1513z00_2896));
														}
													else
														{	/* Ast/hrtype.scm 128 */
															obj_t BgL_gz00_2897;

															{	/* Ast/hrtype.scm 128 */
																obj_t BgL_arg1553z00_2898;
																obj_t BgL_arg1554z00_2899;

																BgL_arg1553z00_2898 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							COBJECT(BgL_i1108z00_2842))->
																						BgL_variablez00)))))->BgL_idz00);
																BgL_arg1554z00_2899 =
																	(((BgL_globalz00_bglt)
																		COBJECT(((BgL_globalz00_bglt) ((
																						(BgL_varz00_bglt)
																						COBJECT(BgL_i1108z00_2842))->
																					BgL_variablez00))))->BgL_modulez00);
																{	/* Ast/hrtype.scm 128 */
																	obj_t BgL_list1555z00_2900;

																	BgL_list1555z00_2900 =
																		MAKE_YOUNG_PAIR(BgL_arg1554z00_2899, BNIL);
																	BgL_gz00_2897 =
																		BGl_findzd2globalzd2zzast_envz00
																		(BgL_arg1553z00_2898, BgL_list1555z00_2900);
																}
															}
															{	/* Ast/hrtype.scm 130 */
																bool_t BgL_test2055z00_3804;

																{	/* Ast/hrtype.scm 130 */
																	obj_t BgL_classz00_2901;

																	BgL_classz00_2901 =
																		BGl_variablez00zzast_varz00;
																	if (BGL_OBJECTP(BgL_gz00_2897))
																		{	/* Ast/hrtype.scm 130 */
																			BgL_objectz00_bglt BgL_arg1858z00_2902;

																			BgL_arg1858z00_2902 =
																				(BgL_objectz00_bglt) (BgL_gz00_2897);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Ast/hrtype.scm 130 */
																					long BgL_idxz00_2903;

																					BgL_idxz00_2903 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2902);
																					BgL_test2055z00_3804 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2903 + 1L)) ==
																						BgL_classz00_2901);
																				}
																			else
																				{	/* Ast/hrtype.scm 130 */
																					bool_t BgL_res1929z00_2906;

																					{	/* Ast/hrtype.scm 130 */
																						obj_t BgL_oclassz00_2907;

																						{	/* Ast/hrtype.scm 130 */
																							obj_t BgL_arg1866z00_2908;
																							long BgL_arg1867z00_2909;

																							BgL_arg1866z00_2908 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Ast/hrtype.scm 130 */
																								long BgL_arg1869z00_2910;

																								BgL_arg1869z00_2910 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2902);
																								BgL_arg1867z00_2909 =
																									(BgL_arg1869z00_2910 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2907 =
																								VECTOR_REF(BgL_arg1866z00_2908,
																								BgL_arg1867z00_2909);
																						}
																						{	/* Ast/hrtype.scm 130 */
																							bool_t BgL__ortest_1115z00_2911;

																							BgL__ortest_1115z00_2911 =
																								(BgL_classz00_2901 ==
																								BgL_oclassz00_2907);
																							if (BgL__ortest_1115z00_2911)
																								{	/* Ast/hrtype.scm 130 */
																									BgL_res1929z00_2906 =
																										BgL__ortest_1115z00_2911;
																								}
																							else
																								{	/* Ast/hrtype.scm 130 */
																									long BgL_odepthz00_2912;

																									{	/* Ast/hrtype.scm 130 */
																										obj_t BgL_arg1855z00_2913;

																										BgL_arg1855z00_2913 =
																											(BgL_oclassz00_2907);
																										BgL_odepthz00_2912 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2913);
																									}
																									if ((1L < BgL_odepthz00_2912))
																										{	/* Ast/hrtype.scm 130 */
																											obj_t BgL_arg1853z00_2914;

																											{	/* Ast/hrtype.scm 130 */
																												obj_t
																													BgL_arg1854z00_2915;
																												BgL_arg1854z00_2915 =
																													(BgL_oclassz00_2907);
																												BgL_arg1853z00_2914 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2915,
																													1L);
																											}
																											BgL_res1929z00_2906 =
																												(BgL_arg1853z00_2914 ==
																												BgL_classz00_2901);
																										}
																									else
																										{	/* Ast/hrtype.scm 130 */
																											BgL_res1929z00_2906 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2055z00_3804 =
																						BgL_res1929z00_2906;
																				}
																		}
																	else
																		{	/* Ast/hrtype.scm 130 */
																			BgL_test2055z00_3804 = ((bool_t) 0);
																		}
																}
																if (BgL_test2055z00_3804)
																	{	/* Ast/hrtype.scm 130 */
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_i1108z00_2842))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_gz00_2897)), BUNSPEC);
																	}
																else
																	{	/* Ast/hrtype.scm 131 */
																		obj_t BgL_newzd2gzd2_2916;

																		{	/* Ast/hrtype.scm 131 */
																			obj_t BgL_arg1543z00_2917;

																			BgL_arg1543z00_2917 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								(((BgL_varz00_bglt)
																										COBJECT
																										(BgL_i1108z00_2842))->
																									BgL_variablez00)))))->
																				BgL_idz00);
																			{	/* Ast/hrtype.scm 131 */
																				obj_t BgL_list1544z00_2918;

																				BgL_list1544z00_2918 =
																					MAKE_YOUNG_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_newzd2gzd2_2916 =
																					BGl_findzd2globalzd2zzast_envz00
																					(BgL_arg1543z00_2917,
																					BgL_list1544z00_2918);
																			}
																		}
																		{	/* Ast/hrtype.scm 133 */
																			bool_t BgL_test2060z00_3835;

																			{	/* Ast/hrtype.scm 133 */
																				bool_t BgL_test2061z00_3836;

																				{	/* Ast/hrtype.scm 133 */
																					obj_t BgL_classz00_2919;

																					BgL_classz00_2919 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_newzd2gzd2_2916))
																						{	/* Ast/hrtype.scm 133 */
																							BgL_objectz00_bglt
																								BgL_arg1858z00_2920;
																							BgL_arg1858z00_2920 =
																								(BgL_objectz00_bglt)
																								(BgL_newzd2gzd2_2916);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/hrtype.scm 133 */
																									long BgL_idxz00_2921;

																									BgL_idxz00_2921 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1858z00_2920);
																									BgL_test2061z00_3836 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2921 + 2L)) ==
																										BgL_classz00_2919);
																								}
																							else
																								{	/* Ast/hrtype.scm 133 */
																									bool_t BgL_res1930z00_2924;

																									{	/* Ast/hrtype.scm 133 */
																										obj_t BgL_oclassz00_2925;

																										{	/* Ast/hrtype.scm 133 */
																											obj_t BgL_arg1866z00_2926;
																											long BgL_arg1867z00_2927;

																											BgL_arg1866z00_2926 =
																												(BGl_za2classesza2z00zz__objectz00);
																											{	/* Ast/hrtype.scm 133 */
																												long
																													BgL_arg1869z00_2928;
																												BgL_arg1869z00_2928 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1858z00_2920);
																												BgL_arg1867z00_2927 =
																													(BgL_arg1869z00_2928 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2925 =
																												VECTOR_REF
																												(BgL_arg1866z00_2926,
																												BgL_arg1867z00_2927);
																										}
																										{	/* Ast/hrtype.scm 133 */
																											bool_t
																												BgL__ortest_1115z00_2929;
																											BgL__ortest_1115z00_2929 =
																												(BgL_classz00_2919 ==
																												BgL_oclassz00_2925);
																											if (BgL__ortest_1115z00_2929)
																												{	/* Ast/hrtype.scm 133 */
																													BgL_res1930z00_2924 =
																														BgL__ortest_1115z00_2929;
																												}
																											else
																												{	/* Ast/hrtype.scm 133 */
																													long
																														BgL_odepthz00_2930;
																													{	/* Ast/hrtype.scm 133 */
																														obj_t
																															BgL_arg1855z00_2931;
																														BgL_arg1855z00_2931
																															=
																															(BgL_oclassz00_2925);
																														BgL_odepthz00_2930 =
																															BGL_CLASS_DEPTH
																															(BgL_arg1855z00_2931);
																													}
																													if (
																														(2L <
																															BgL_odepthz00_2930))
																														{	/* Ast/hrtype.scm 133 */
																															obj_t
																																BgL_arg1853z00_2932;
																															{	/* Ast/hrtype.scm 133 */
																																obj_t
																																	BgL_arg1854z00_2933;
																																BgL_arg1854z00_2933
																																	=
																																	(BgL_oclassz00_2925);
																																BgL_arg1853z00_2932
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_arg1854z00_2933,
																																	2L);
																															}
																															BgL_res1930z00_2924
																																=
																																(BgL_arg1853z00_2932
																																==
																																BgL_classz00_2919);
																														}
																													else
																														{	/* Ast/hrtype.scm 133 */
																															BgL_res1930z00_2924
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2061z00_3836 =
																										BgL_res1930z00_2924;
																								}
																						}
																					else
																						{	/* Ast/hrtype.scm 133 */
																							BgL_test2061z00_3836 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2061z00_3836)
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2060z00_3835 =
																							(
																							(((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_newzd2gzd2_2916)))->
																								BgL_importz00) ==
																							((obj_t) CNST_TABLE_REF(1)));
																					}
																				else
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2060z00_3835 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2060z00_3835)
																				{	/* Ast/hrtype.scm 133 */
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_i1108z00_2842))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BgL_newzd2gzd2_2916)), BUNSPEC);
																				}
																			else
																				{	/* Ast/hrtype.scm 137 */
																					obj_t BgL_arg1530z00_2934;

																					BgL_arg1530z00_2934 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt)
																												COBJECT
																												(BgL_i1108z00_2842))->
																											BgL_variablez00)))))->
																						BgL_idz00);
																					BGl_errorz00zz__errorz00
																						(BGl_string1971z00zzast_hrtypez00,
																						BGl_string1972z00zzast_hrtypez00,
																						BgL_arg1530z00_2934);
																				}
																		}
																	}
															}
														}
												}
											else
												{	/* Ast/hrtype.scm 115 */
													BFALSE;
												}
										}
								}
							}
						else
							{	/* Ast/hrtype.scm 98 */
								BFALSE;
							}
					}
				}
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2651)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 95 */
					obj_t BgL_nextzd2method1277zd2_2841;

					BgL_nextzd2method1277zd2_2841 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_2651)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1277zd2_2841,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2651)));
				}
			}
		}

	}



/* &hrtype-node!-sync1276 */
	obj_t BGl_z62hrtypezd2nodez12zd2sync1276z70zzast_hrtypez00(obj_t
		BgL_envz00_2652, obj_t BgL_nodez00_2653)
	{
		{	/* Ast/hrtype.scm 85 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2653)))->BgL_mutexz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2653)))->BgL_prelockz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2653)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 85 */
					obj_t BgL_nextzd2method1275zd2_2937;

					BgL_nextzd2method1275zd2_2937 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) BgL_nodez00_2653)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_syncz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1275zd2_2937,
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2653)));
				}
			}
		}

	}



/* &hrtype-node!-sequenc1274 */
	obj_t BGl_z62hrtypezd2nodez12zd2sequenc1274z70zzast_hrtypez00(obj_t
		BgL_envz00_2654, obj_t BgL_nodez00_2655)
	{
		{	/* Ast/hrtype.scm 77 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2655)))->BgL_nodesz00));
				{	/* Ast/hrtype.scm 77 */
					obj_t BgL_nextzd2method1273zd2_2940;

					BgL_nextzd2method1273zd2_2940 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt) BgL_nodez00_2655)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_sequencez00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1273zd2_2940,
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2655)));
				}
			}
		}

	}



/* &hrtype-node!-var1272 */
	obj_t BGl_z62hrtypezd2nodez12zd2var1272z70zzast_hrtypez00(obj_t
		BgL_envz00_2656, obj_t BgL_nodez00_2657)
	{
		{	/* Ast/hrtype.scm 40 */
			{

				{	/* Ast/hrtype.scm 65 */
					bool_t BgL_test2066z00_3913;

					{	/* Ast/hrtype.scm 65 */
						bool_t BgL_test2067z00_3914;

						{	/* Ast/hrtype.scm 65 */
							BgL_variablez00_bglt BgL_arg1406z00_2944;

							BgL_arg1406z00_2944 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2657)))->BgL_variablez00);
							{	/* Ast/hrtype.scm 65 */
								obj_t BgL_classz00_2945;

								BgL_classz00_2945 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 65 */
									BgL_objectz00_bglt BgL_arg1858z00_2946;

									{	/* Ast/hrtype.scm 65 */
										obj_t BgL_tmpz00_3917;

										BgL_tmpz00_3917 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1406z00_2944));
										BgL_arg1858z00_2946 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3917);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/hrtype.scm 65 */
											long BgL_idxz00_2947;

											BgL_idxz00_2947 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2946);
											BgL_test2067z00_3914 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2947 + 2L)) == BgL_classz00_2945);
										}
									else
										{	/* Ast/hrtype.scm 65 */
											bool_t BgL_res1924z00_2950;

											{	/* Ast/hrtype.scm 65 */
												obj_t BgL_oclassz00_2951;

												{	/* Ast/hrtype.scm 65 */
													obj_t BgL_arg1866z00_2952;
													long BgL_arg1867z00_2953;

													BgL_arg1866z00_2952 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Ast/hrtype.scm 65 */
														long BgL_arg1869z00_2954;

														BgL_arg1869z00_2954 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2946);
														BgL_arg1867z00_2953 =
															(BgL_arg1869z00_2954 - OBJECT_TYPE);
													}
													BgL_oclassz00_2951 =
														VECTOR_REF(BgL_arg1866z00_2952,
														BgL_arg1867z00_2953);
												}
												{	/* Ast/hrtype.scm 65 */
													bool_t BgL__ortest_1115z00_2955;

													BgL__ortest_1115z00_2955 =
														(BgL_classz00_2945 == BgL_oclassz00_2951);
													if (BgL__ortest_1115z00_2955)
														{	/* Ast/hrtype.scm 65 */
															BgL_res1924z00_2950 = BgL__ortest_1115z00_2955;
														}
													else
														{	/* Ast/hrtype.scm 65 */
															long BgL_odepthz00_2956;

															{	/* Ast/hrtype.scm 65 */
																obj_t BgL_arg1855z00_2957;

																BgL_arg1855z00_2957 = (BgL_oclassz00_2951);
																BgL_odepthz00_2956 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2957);
															}
															if ((2L < BgL_odepthz00_2956))
																{	/* Ast/hrtype.scm 65 */
																	obj_t BgL_arg1853z00_2958;

																	{	/* Ast/hrtype.scm 65 */
																		obj_t BgL_arg1854z00_2959;

																		BgL_arg1854z00_2959 = (BgL_oclassz00_2951);
																		BgL_arg1853z00_2958 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2959, 2L);
																	}
																	BgL_res1924z00_2950 =
																		(BgL_arg1853z00_2958 == BgL_classz00_2945);
																}
															else
																{	/* Ast/hrtype.scm 65 */
																	BgL_res1924z00_2950 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2067z00_3914 = BgL_res1924z00_2950;
										}
								}
							}
						}
						if (BgL_test2067z00_3914)
							{	/* Ast/hrtype.scm 66 */
								obj_t BgL_arg1400z00_2960;
								obj_t BgL_arg1401z00_2961;

								BgL_arg1400z00_2960 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2657)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1401z00_2961 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2657)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_test2066z00_3913 =
									CBOOL(BGl_globalzd2bucketzd2positionz00zzast_envz00
									(BgL_arg1400z00_2960, BgL_arg1401z00_2961));
							}
						else
							{	/* Ast/hrtype.scm 65 */
								BgL_test2066z00_3913 = ((bool_t) 0);
							}
					}
					if (BgL_test2066z00_3913)
						{	/* Ast/hrtype.scm 68 */
							obj_t BgL_nz00_2962;

							{	/* Ast/hrtype.scm 68 */
								obj_t BgL_arg1386z00_2963;
								obj_t BgL_arg1388z00_2964;

								BgL_arg1386z00_2963 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2657)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1388z00_2964 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2657)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_nz00_2962 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg1386z00_2963,
									BgL_arg1388z00_2964);
							}
							{	/* Ast/hrtype.scm 70 */
								bool_t BgL_test2071z00_3961;

								{	/* Ast/hrtype.scm 70 */
									obj_t BgL_classz00_2965;

									BgL_classz00_2965 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_nz00_2962))
										{	/* Ast/hrtype.scm 70 */
											BgL_objectz00_bglt BgL_arg1858z00_2966;

											BgL_arg1858z00_2966 =
												(BgL_objectz00_bglt) (BgL_nz00_2962);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/hrtype.scm 70 */
													long BgL_idxz00_2967;

													BgL_idxz00_2967 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2966);
													BgL_test2071z00_3961 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2967 + 2L)) == BgL_classz00_2965);
												}
											else
												{	/* Ast/hrtype.scm 70 */
													bool_t BgL_res1925z00_2970;

													{	/* Ast/hrtype.scm 70 */
														obj_t BgL_oclassz00_2971;

														{	/* Ast/hrtype.scm 70 */
															obj_t BgL_arg1866z00_2972;
															long BgL_arg1867z00_2973;

															BgL_arg1866z00_2972 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Ast/hrtype.scm 70 */
																long BgL_arg1869z00_2974;

																BgL_arg1869z00_2974 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2966);
																BgL_arg1867z00_2973 =
																	(BgL_arg1869z00_2974 - OBJECT_TYPE);
															}
															BgL_oclassz00_2971 =
																VECTOR_REF(BgL_arg1866z00_2972,
																BgL_arg1867z00_2973);
														}
														{	/* Ast/hrtype.scm 70 */
															bool_t BgL__ortest_1115z00_2975;

															BgL__ortest_1115z00_2975 =
																(BgL_classz00_2965 == BgL_oclassz00_2971);
															if (BgL__ortest_1115z00_2975)
																{	/* Ast/hrtype.scm 70 */
																	BgL_res1925z00_2970 =
																		BgL__ortest_1115z00_2975;
																}
															else
																{	/* Ast/hrtype.scm 70 */
																	long BgL_odepthz00_2976;

																	{	/* Ast/hrtype.scm 70 */
																		obj_t BgL_arg1855z00_2977;

																		BgL_arg1855z00_2977 = (BgL_oclassz00_2971);
																		BgL_odepthz00_2976 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_2977);
																	}
																	if ((2L < BgL_odepthz00_2976))
																		{	/* Ast/hrtype.scm 70 */
																			obj_t BgL_arg1853z00_2978;

																			{	/* Ast/hrtype.scm 70 */
																				obj_t BgL_arg1854z00_2979;

																				BgL_arg1854z00_2979 =
																					(BgL_oclassz00_2971);
																				BgL_arg1853z00_2978 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_2979, 2L);
																			}
																			BgL_res1925z00_2970 =
																				(BgL_arg1853z00_2978 ==
																				BgL_classz00_2965);
																		}
																	else
																		{	/* Ast/hrtype.scm 70 */
																			BgL_res1925z00_2970 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2071z00_3961 = BgL_res1925z00_2970;
												}
										}
									else
										{	/* Ast/hrtype.scm 70 */
											BgL_test2071z00_3961 = ((bool_t) 0);
										}
								}
								if (BgL_test2071z00_3961)
									{	/* Ast/hrtype.scm 70 */
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_2657)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_nz00_2962)), BUNSPEC);
									}
								else
									{	/* Ast/hrtype.scm 70 */
										BFALSE;
									}
							}
						}
					else
						{	/* Ast/hrtype.scm 65 */
							BFALSE;
						}
				}
				{	/* Ast/hrtype.scm 40 */
					obj_t BgL_nextzd2method1271zd2_2943;

					BgL_nextzd2method1271zd2_2943 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_varz00_bglt) BgL_nodez00_2657)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_varz00zzast_nodez00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1271zd2_2943,
						((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2657)));
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1973z00zzast_hrtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
