/*===========================================================================*/
/*   (Ast/node.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/node.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_NODE_TYPE_DEFINITIONS
#define BGL_AST_NODE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_NODE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1928z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1929z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2821z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2660z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2822z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda2663z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1936z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1937z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt);
	static obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda2830z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_getfieldzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32576ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2671z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2672z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt
		BGl_makezd2literalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda1944z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2836z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2837z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2676z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2677z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, long, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00(void);
	static BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62lambda2841z62zzast_nodez00(obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1951z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32666ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2842z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62lambda1952z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static obj_t BGl_z62lambda2685z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2686z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_syncz00zzast_nodez00 = BUNSPEC;
	static BgL_literalz00_bglt BGl_z62lambda1958z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	static obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt);
	static obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2850z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2851z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zzast_nodez00(obj_t);
	static BgL_literalz00_bglt BGl_z62lambda1961z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2letzd2fun1771zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32103ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt
		BGl_makezd2funcallzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static BgL_patchz00_bglt BGl_z62lambda1970z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2861z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_sequencez00zzast_nodez00 = BUNSPEC;
	static BgL_patchz00_bglt BGl_z62lambda1972z62zzast_nodez00(obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda2863z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setqzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62lambda1979z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62lambda1980z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2874z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_closurezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2875z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1986z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_setfieldzd2nilzd2zzast_nodez00(void);
	static BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t);
	static BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt, obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_objectzd2initzd2zzast_nodez00(void);
	static obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1992z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1993z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2conditiona1758z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32865ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2895z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_returnzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2896z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	static obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DECL BgL_closurez00_bglt
		BGl_makezd2closurezd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt);
	static BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_externzf3zf3zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_failzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00(void);
	static BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	static obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62synczf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_nodez00(void);
	static obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1775z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	BGL_EXPORTED_DECL long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_externz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2switch1762z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	static obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62refzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	static obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2walk1733zb0zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt,
		obj_t);
	static obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	BGL_EXPORTED_DECL BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_varz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt);
	static BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32055ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt, obj_t);
	static obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32039ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_nodez00_bglt);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt
		BGl_makezd2vsetz12zc0zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt, BgL_typez00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32308ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmaz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2letzd2var1773zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62lambda2101z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2102z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2boxzd2setz121769za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2cast1754z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2109z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2makezd2box1764zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt);
	static obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	static BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2111z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62newzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32326ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2117z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2118z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzd2setq1756z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2122z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2123z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32076ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2129z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t);
	static obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1777z62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt);
	static obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2131z62zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2137z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_typez00_bglt);
	static BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2142z62zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2304z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62lambda2143z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2306z62zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2148z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2149z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_varz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2314z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2315z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32346ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2155z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2156z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, bool_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_patchzf3zf3zzast_nodez00(obj_t);
	static BgL_newz00_bglt BGl_z62lambda2322z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2324z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00(void);
	static obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t);
	static BgL_externz00_bglt BGl_z62lambda2164z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62lambda2166z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt);
	static obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vallocz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62lambda2332z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2333z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2173z62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2174z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt);
	static BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt);
	static obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2502z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2var1738z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2341z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2180z62zzast_nodez00(obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda2504z62zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2181z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2343z62zzast_nodez00(obj_t);
	static obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt);
	static obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_pragmaz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_castzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32811ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2511z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62lambda2512z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2190z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2356z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2357z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2196z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2197z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt);
	static BgL_setqz00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32634ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzd2zzast_nodez00 = BUNSPEC;
	static BgL_setqz00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2363z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32367ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2365z62zzast_nodez00(obj_t);
	static obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_privatezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_appzf3zf3zzast_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_retblockzd2nilzd2zzast_nodez00(void);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_atomzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2530z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2531z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2373z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2374z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2536z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2537z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_letzd2varzd2_bglt, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt);
	static BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62varzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2380z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_conditionalz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2381z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda2544z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt,
		BgL_typez00_bglt);
	static BgL_conditionalz00_bglt BGl_z62lambda2546z62zzast_nodez00(obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2709z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt, obj_t);
	static obj_t BGl_z62lambda2387z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt);
	static obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_nodez00_bglt);
	static BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_setzd2exzd2itz00_bglt BGl_z62lambda2712z62zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2553z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62lambda2392z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2554z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2393z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62lambda2558z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2559z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32832ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt, BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62lambda2721z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32743ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2722z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2563z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32549ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2564z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2726z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2727z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzd2nilz00zzast_nodez00(void);
	static obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_patchz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_varz00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2731z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62lambda2732z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda2572z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static BgL_failz00_bglt BGl_z62lambda2574z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt, obj_t);
	static obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2740z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2580z62zzast_nodez00(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2904z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt);
	static obj_t BGl_z62lambda2581z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda2907z62zzast_nodez00(obj_t);
	static obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2585z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2586z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	static obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodezf2effectzf2zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32003ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2751z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static BgL_varz00_bglt BGl_z62lambda2914z62zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2915z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32479ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2592z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2756z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt,
		bool_t);
	static BgL_switchz00_bglt BGl_z62lambda2598z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_nodezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_newz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2920z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2921z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2atom1736z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32909ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32496ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vlengthz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62lambda2925z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62lambda2926z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2765z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2767z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_atomz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62lambda2776z62zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2938z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2777z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_nodez00(void);
	static BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda2942z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1895z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda1897z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt,
		BgL_varz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32944ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt);
	static obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2appzd2ly1748zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2955z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2956z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2960z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2961z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_synczf3zf3zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2967z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2968z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	static obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_castz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt,
		BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt);
	static BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62zc3z04anonymousza32769ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t);
	static obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vlengthz00_bglt
		BGl_makezd2vlengthzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00(obj_t);
	static BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	static BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DEF obj_t BGl_refz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	static obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32222ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00(obj_t, obj_t);
	static bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt);
	static obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2extern1752z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t, obj_t);
	static obj_t
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt, obj_t);
	static BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_appzd2lyzd2nilz00zzast_nodez00(void);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt);
	static BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32029ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62zc3z04anonymousza32240ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	static obj_t BGl_z62failzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t);
	static obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt, obj_t);
	static obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_refzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt);
	static obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2walkzd2funcall1750z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		long);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_varz00zzast_nodez00 = BUNSPEC;
	static BgL_varz00_bglt BGl_z62lambda2001z62zzast_nodez00(obj_t);
	static obj_t BGl_z62nodezd2walkzd2kwote1740z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62lambda2007z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2008z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzd2zzast_nodez00 = BUNSPEC;
	static BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt);
	static BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt,
		BgL_typez00_bglt);
	static BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt,
		obj_t);
	static BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt);
	static obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_literalzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt);
	static BgL_refz00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, BgL_varz00_bglt, long, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2025z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt);
	static obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2027z62zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	static obj_t BGl_z62nodezd2walkzd2boxzd2ref1767zb0zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt);
	static BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		obj_t);
	static BgL_castzd2nullzd2_bglt
		BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_letzd2funzd2nilz00zzast_nodez00(void);
	static BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32334ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2035z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2037z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt);
	static obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00(void);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zc0zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt);
	static obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2203z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2204z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2043z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2044z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32157ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt,
		BgL_nodez00_bglt);
	static BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DEF obj_t BGl_appz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2sync1744z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_wideningz00_bglt
		BGl_wideningzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt,
		obj_t);
	static obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_newzf3zf3zzast_nodez00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2211z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2051z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_genpatchidz00_bglt BGl_z62lambda2213z62zzast_nodez00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2053z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62nodezd2walkzd2fail1760z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_sequencez00_bglt
		BGl_sequencezd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt);
	static obj_t BGl_z62lambda2220z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2221z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2060z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32442ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2061z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_switchzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00(void);
	BGL_EXPORTED_DECL bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t);
	static obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32086ze3ze5zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_vrefz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2227z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2228z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2067z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2068z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_nodez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_kwotez00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32192ze3ze5zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2074z62zzast_nodez00(obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2236z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2075z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_privatez00_bglt BGl_z62lambda2238z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00(void);
	static BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00(void);
	static obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt);
	static obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2403z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt);
	static BgL_vsetz12z12_bglt BGl_z62lambda2405z62zzast_nodez00(obj_t);
	static BgL_appz00_bglt BGl_z62lambda2082z62zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2244z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2245z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2084z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00
		(BgL_nodezf2effectzf2_bglt);
	BGL_EXPORTED_DECL BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, BgL_typez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2251z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_varz00_bglt BGl_z62lambda2090z62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2414z62zzast_nodez00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2091z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2415z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00(void);
	static obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt,
		BgL_nodez00_bglt);
	static BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt, BgL_varz00_bglt);
	static obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2260z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2422z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt);
	static BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2423z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2264z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2429z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2269z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_privatez00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62externzf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2walkzd2sequence1742z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62appzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt, obj_t);
	static obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2430z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32714ze3ze5zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2270z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt
		BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2276z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2278z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzd2zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt);
	static obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2440z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2441z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2607z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_genpatchidz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62lambda2285z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2286z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt);
	BGL_EXPORTED_DECL BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00(void);
	static BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t,
		obj_t);
	static obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalz00zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2612z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	BGL_EXPORTED_DEF obj_t BGl_switchz00zzast_nodez00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2613z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2290z62zzast_nodez00(obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2452z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2291z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2455z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2295z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2296z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t);
	static obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt);
	static obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt);
	static obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_retblockz00_bglt, BgL_nodez00_bglt);
	static BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t);
	static obj_t
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62lambda2623z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2463z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2464z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt);
	static obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt);
	static obj_t BGl_z62lambda2468z62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	static obj_t BGl_z62lambda2469z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt);
	static obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt);
	static obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_letzd2varzd2_bglt
		BGl_letzd2varzd2nilz00zzast_nodez00(void);
	static obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt);
	static obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t);
	static obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_z62castzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2630z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt);
	static BgL_letzd2funzd2_bglt BGl_z62lambda2632z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda1904z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00(obj_t);
	static obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1905z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2475z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda2477z62zzast_nodez00(obj_t);
	static obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt);
	static obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt);
	static obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallz00zzast_nodez00 = BUNSPEC;
	static obj_t BGl_z62nodezd2walkzd2app1746z62zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_varzf3zf3zzast_nodez00(obj_t);
	static obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1910z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1911z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2642z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda2805z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_varz00_bglt
		BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda2483z62zzast_nodez00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt);
	static obj_t BGl_z62lambda2484z62zzast_nodez00(obj_t, obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1918z62zzast_nodez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_valloczf3zf3zzast_nodez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12z12zzast_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_privatez00_bglt
		BGl_makezd2privatezd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t, obj_t);
	static BgL_nodezf2effectzf2_bglt BGl_z62lambda1920z62zzast_nodez00(obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2650z62zzast_nodez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2651z62zzast_nodez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t, BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2491z62zzast_nodez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda2816z62zzast_nodez00(obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda2493z62zzast_nodez00(obj_t);
	static obj_t BGl_z62lambda2817z62zzast_nodez00(obj_t, obj_t, obj_t);
	static obj_t __cnst[98];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid3445za7,
		BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot3446z00,
		BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3447z00,
		BGl_z62privatezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3448z00, BGl_z62funcallzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3449za7,
		BGl_z62boxzd2refzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2literalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2litera3450z00, BGl_z62makezd2literalzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2argzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar3451za7,
		BGl_z62appzd2lyzd2argz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3452z00, BGl_z62returnzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3453z00, BGl_z62privatezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2valloczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2valloc3454z00, BGl_z62makezd2valloczb0zzast_nodez00,
		0L, BUNSPEC, 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr3455z00,
		BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2nilzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2nil3456za7, BGl_z62vsetz12zd2nilza2zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3457za7,
		BGl_z62zc3z04anonymousza31906ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzast_nodez00,
		BgL_bgl_za762lambda1905za7623458z00, BGl_z62lambda1905z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzast_nodez00,
		BgL_bgl_za762lambda1904za7623459z00, BGl_z62lambda1904z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzast_nodez00,
		BgL_bgl_za762lambda1911za7623460z00, BGl_z62lambda1911z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzast_nodez00,
		BgL_bgl_za762lambda1910za7623461z00, BGl_z62lambda1910z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3462za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzast_nodez00,
		BgL_bgl_za762lambda1897za7623463z00, BGl_z62lambda1897z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2loc3464z00, BGl_z62closurezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzast_nodez00,
		BgL_bgl_za762lambda1895za7623465z00, BGl_z62lambda1895z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3466za7,
		BGl_z62zc3z04anonymousza31930ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzast_nodez00,
		BgL_bgl_za762lambda1929za7623467z00, BGl_z62lambda1929z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23468z00,
		BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2typezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3469za7,
		BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect3470z00, BGl_z62vrefzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7d3471za7,
		BGl_z62nodezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b3472za7,
		BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex3473z00,
		BGl_z62getfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2funza7f3za73474z00,
		BGl_z62letzd2funzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzast_nodez00,
		BgL_bgl_za762lambda1928za7623475z00, BGl_z62lambda1928z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3476za7,
		BGl_z62zc3z04anonymousza31938ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23477z00,
		BGl_z62instanceofzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzast_nodez00,
		BgL_bgl_za762lambda1937za7623478z00, BGl_z62lambda1937z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzast_nodez00,
		BgL_bgl_za762lambda1936za7623479z00, BGl_z62lambda1936z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d23480za7,
		BGl_z62makezd2letzd2varz62zzast_nodez00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3481za7,
		BGl_z62zc3z04anonymousza31922ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza73482za7, BGl_z62setqzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s3483za7,
		BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzast_nodez00,
		BgL_bgl_za762lambda1920za7623484z00, BGl_z62lambda1920z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2locza7b03485za7, BGl_z62synczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2refza7b03486za7, BGl_z62makezd2refzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzast_nodez00,
		BgL_bgl_za762lambda1918za7623487z00, BGl_z62lambda1918z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzast_nodez00,
		BgL_bgl_za762lambda1952za7623488z00, BGl_z62lambda1952z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2effe3489z00,
		BGl_z62externzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzast_nodez00,
		BgL_bgl_za762lambda1951za7623490z00, BGl_z62lambda1951z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3491za7,
		BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza73492za7,
		BGl_z62valloczd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2unsafezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2uns3493za7,
		BGl_z62vsetz12zd2unsafeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7b3494za7, BGl_z62makezd2castzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2locza7b03495za7, BGl_z62atomzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2procza7b3496za7, BGl_z62failzd2proczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2lo3497za7,
		BGl_z62appzd2lyzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2wideningzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2wideni3498z00, BGl_z62makezd2wideningzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzast_nodez00,
		BgL_bgl_za762lambda1944za7623499z00, BGl_z62lambda1944z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3500za7,
		BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3501za7,
		BGl_z62zc3z04anonymousza31963ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3502z00,
		BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzast_nodez00,
		BgL_bgl_za762lambda1961za7623503z00, BGl_z62lambda1961z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzast_nodez00,
		BgL_bgl_za762lambda1958za7623504z00, BGl_z62lambda1958z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzast_nodez00,
		BgL_bgl_za762lambda1980za7623505z00, BGl_z62lambda1980z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzast_nodez00,
		BgL_bgl_za762lambda1979za7623506z00, BGl_z62lambda1979z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3507za7,
		BGl_z62zc3z04anonymousza31987ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzast_nodez00,
		BgL_bgl_za762lambda1986za7623508z00, BGl_z62lambda1986z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k3509za7,
		BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzast_nodez00,
		BgL_bgl_za762lambda1985za7623510z00, BGl_z62lambda1985z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3511za7,
		BGl_z62zc3z04anonymousza31994ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza73512za7, BGl_z62kwotezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3513za7,
		BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73514za7,
		BGl_z62switchzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2sequencezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2sequen3515z00, BGl_z62makezd2sequencezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzast_nodez00,
		BgL_bgl_za762lambda1993za7623516z00, BGl_z62lambda1993z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzast_nodez00,
		BgL_bgl_za762lambda1992za7623517z00, BGl_z62lambda1992z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3518za7,
		BGl_z62zc3z04anonymousza31974ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzast_nodez00,
		BgL_bgl_za762lambda1972za7623519z00, BGl_z62lambda1972z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setqzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setqza7b3520za7, BGl_z62makezd2setqzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzast_nodez00,
		BgL_bgl_za762lambda1970za7623521z00, BGl_z62lambda1970z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzast_nodez00,
		BgL_bgl_za762lambda2008za7623522z00, BGl_z62lambda2008z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzast_nodez00,
		BgL_bgl_za762lambda2007za7623523z00, BGl_z62lambda2007z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3524za7,
		BGl_z62zc3z04anonymousza32003ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzast_nodez00,
		BgL_bgl_za762lambda2001za7623525z00, BGl_z62lambda2001z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3526za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2funza7d2s3527za7,
		BGl_z62appzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7d23528za7,
		BGl_z62varzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2keyzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key3529za7,
		BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2lyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7d23530za7,
		BGl_z62makezd2appzd2lyz62zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3531z00,
		BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzast_nodez00,
		BgL_bgl_za762lambda2504za7623532z00, BGl_z62lambda2504z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3533z00, BGl_z62wideningzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzast_nodez00,
		BgL_bgl_za762lambda2502za7623534z00, BGl_z62lambda2502z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzast_nodez00,
		BgL_bgl_za762lambda2531za7623535z00, BGl_z62lambda2531z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzast_nodez00,
		BgL_bgl_za762lambda2016za7623536z00, BGl_z62lambda2016z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzast_nodez00,
		BgL_bgl_za762lambda2530za7623537z00, BGl_z62lambda2530z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzast_nodez00,
		BgL_bgl_za762lambda2014za7623538z00, BGl_z62lambda2014z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzast_nodez00,
		BgL_bgl_za762lambda2537za7623539z00, BGl_z62lambda2537z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3540za7,
		BGl_z62zc3z04anonymousza32029ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzast_nodez00,
		BgL_bgl_za762lambda2536za7623541z00, BGl_z62lambda2536z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzast_nodez00,
		BgL_bgl_za762lambda2027za7623542z00, BGl_z62lambda2027z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3543za7,
		BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzast_nodez00,
		BgL_bgl_za762lambda2025za7623544z00, BGl_z62lambda2025z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzast_nodez00,
		BgL_bgl_za762lambda2524za7623545z00, BGl_z62lambda2524z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzast_nodez00,
		BgL_bgl_za762lambda2044za7623546z00, BGl_z62lambda2044z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzast_nodez00,
		BgL_bgl_za762lambda2522za7623547z00, BGl_z62lambda2522z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzast_nodez00,
		BgL_bgl_za762lambda2043za7623548z00, BGl_z62lambda2043z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzast_nodez00,
		BgL_bgl_za762lambda2554za7623549z00, BGl_z62lambda2554z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3550za7,
		BGl_z62zc3z04anonymousza32039ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzast_nodez00,
		BgL_bgl_za762lambda2037za7623551z00, BGl_z62lambda2037z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzast_nodez00,
		BgL_bgl_za762lambda2035za7623552z00, BGl_z62lambda2035z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2effectzd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff3553za7,
		BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzast_nodez00,
		BgL_bgl_za762lambda2553za7623554z00, BGl_z62lambda2553z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2type3555z00, BGl_z62externzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7d3556za7,
		BGl_z62failzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzast_nodez00,
		BgL_bgl_za762lambda2559za7623557z00, BGl_z62lambda2559z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzast_nodez00,
		BgL_bgl_za762lambda2558za7623558z00, BGl_z62lambda2558z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzast_nodez00,
		BgL_bgl_za762lambda2061za7623559z00, BGl_z62lambda2061z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzast_nodez00,
		BgL_bgl_za762lambda2564za7623560z00, BGl_z62lambda2564z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzast_nodez00,
		BgL_bgl_za762lambda2060za7623561z00, BGl_z62lambda2060z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2closurezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2closur3562z00, BGl_z62makezd2closurezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzast_nodez00,
		BgL_bgl_za762lambda2563za7623563z00, BGl_z62lambda2563z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3564za7,
		BGl_z62zc3z04anonymousza32069ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3565za7,
		BGl_z62vrefzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3566za7,
		BGl_z62zc3z04anonymousza32549ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzast_nodez00,
		BgL_bgl_za762lambda2068za7623567z00, BGl_z62lambda2068z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3568z00,
		BGl_z62setfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzast_nodez00,
		BgL_bgl_za762lambda2546za7623569z00, BGl_z62lambda2546z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzast_nodez00,
		BgL_bgl_za762lambda2067za7623570z00, BGl_z62lambda2067z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2returnzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2return3571z00, BGl_z62makezd2returnzb0zzast_nodez00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzast_nodez00,
		BgL_bgl_za762lambda2544za7623572z00, BGl_z62lambda2544z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3573za7,
		BGl_z62zc3z04anonymousza32076ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzast_nodez00,
		BgL_bgl_za762lambda2581za7623574z00, BGl_z62lambda2581z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzast_nodez00,
		BgL_bgl_za762lambda2075za7623575z00, BGl_z62lambda2075z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzast_nodez00,
		BgL_bgl_za762lambda2580za7623576z00, BGl_z62lambda2580z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzast_nodez00,
		BgL_bgl_za762lambda2074za7623577z00, BGl_z62lambda2074z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3578z00,
		BGl_z62vlengthzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3579za7,
		BGl_z62zc3z04anonymousza32055ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3580za7,
		BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzast_nodez00,
		BgL_bgl_za762lambda2053za7623581z00, BGl_z62lambda2053z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff3582z00,
		BGl_z62vlengthzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2exprza2zd2setz12zd2envz70zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp3583za7,
		BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3584za7,
		BGl_z62letzd2varzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jumpzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2jumpza7d3585za7,
		BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si3586z00,
		BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzast_nodez00,
		BgL_bgl_za762lambda2586za7623587z00, BGl_z62lambda2586z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzast_nodez00,
		BgL_bgl_za762lambda2585za7623588z00, BGl_z62lambda2585z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3322z00zzast_nodez00,
		BgL_bgl_za762lambda2592za7623589z00, BGl_z62lambda2592z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzast_nodez00,
		BgL_bgl_za762lambda2051za7623590z00, BGl_z62lambda2051z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzast_nodez00,
		BgL_bgl_za762lambda2591za7623591z00, BGl_z62lambda2591z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzast_nodez00,
		BgL_bgl_za762lambda2091za7623592z00, BGl_z62lambda2091z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3324z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3593za7,
		BGl_z62zc3z04anonymousza32576ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzast_nodez00,
		BgL_bgl_za762lambda2090za7623594z00, BGl_z62lambda2090z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzast_nodez00,
		BgL_bgl_za762lambda2574za7623595z00, BGl_z62lambda2574z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzast_nodez00,
		BgL_bgl_za762lambda2096za7623596z00, BGl_z62lambda2096z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2n3597za7,
		BGl_z62letzd2varzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3326z00zzast_nodez00,
		BgL_bgl_za762lambda2572za7623598z00, BGl_z62lambda2572z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzast_nodez00,
		BgL_bgl_za762lambda2095za7623599z00, BGl_z62lambda2095z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzast_nodez00,
		BgL_bgl_za762lambda2608za7623600z00, BGl_z62lambda2608z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3601za7,
		BGl_z62zc3z04anonymousza32103ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3328z00zzast_nodez00,
		BgL_bgl_za762lambda2607za7623602z00, BGl_z62lambda2607z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzast_nodez00,
		BgL_bgl_za762lambda2102za7623603z00, BGl_z62lambda2102z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3416z00zzast_nodez00,
		BgL_bgl_string3416za700za7za7a3604za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzast_nodez00,
		BgL_bgl_za762lambda2613za7623605z00, BGl_z62lambda2613z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzast_nodez00,
		BgL_bgl_za762lambda2101za7623606z00, BGl_z62lambda2101z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3607za7,
		BGl_z62zc3z04anonymousza32086ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7b03608za7, BGl_z62failzd2msgzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3418z00zzast_nodez00,
		BgL_bgl_string3418za700za7za7a3609za7, "node-walk1733", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzast_nodez00,
		BgL_bgl_za762lambda2084za7623610z00, BGl_z62lambda2084z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3419z00zzast_nodez00,
		BgL_bgl_string3419za700za7za7a3611za7, "No method for this object", 25);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2walkzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7b3612za7, BGl_z62nodezd2walkzb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2unsafe3613z00, BGl_z62vrefzd2unsafezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73614za7,
		BGl_z62externzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzast_nodez00,
		BgL_bgl_za762lambda2612za7623615z00, BGl_z62lambda2612z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3331z00zzast_nodez00,
		BgL_bgl_za762lambda2623za7623616z00, BGl_z62lambda2623z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzast_nodez00,
		BgL_bgl_za762lambda2622za7623617z00, BGl_z62lambda2622z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzast_nodez00,
		BgL_bgl_za762lambda2082za7623618z00, BGl_z62lambda2082z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3619z00,
		BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3620za7,
		BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzast_nodez00,
		BgL_bgl_za762lambda2118za7623621z00, BGl_z62lambda2118z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3421z00zzast_nodez00,
		BgL_bgl_string3421za700za7za7a3622za7, "node-walk", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzast_nodez00,
		BgL_bgl_za762lambda2600za7623623z00, BGl_z62lambda2600z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzast_nodez00,
		BgL_bgl_za762lambda2117za7623624z00, BGl_z62lambda2117z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3625z00,
		BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3335z00zzast_nodez00,
		BgL_bgl_za762lambda2598za7623626z00, BGl_z62lambda2598z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzast_nodez00,
		BgL_bgl_za762lambda2123za7623627z00, BGl_z62lambda2123z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzast_nodez00,
		BgL_bgl_za762lambda2642za7623628z00, BGl_z62lambda2642z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzast_nodez00,
		BgL_bgl_za762lambda2122za7623629z00, BGl_z62lambda2122z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2loczd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3630z00,
		BGl_z62nodezf2effectzd2locz42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzast_nodez00,
		BgL_bgl_za762lambda2641za7623631z00, BGl_z62lambda2641z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3632za7,
		BGl_z62zc3z04anonymousza32113ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzast_nodez00,
		BgL_bgl_za762lambda2651za7623633z00, BGl_z62lambda2651z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzast_nodez00,
		BgL_bgl_za762lambda2111za7623634z00, BGl_z62lambda2111z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzast_nodez00,
		BgL_bgl_za762lambda2650za7623635z00, BGl_z62lambda2650z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzast_nodez00,
		BgL_bgl_za762lambda2109za7623636z00, BGl_z62lambda2109z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzast_nodez00,
		BgL_bgl_za762lambda2138za7623637z00, BGl_z62lambda2138z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2val3638z00,
		BGl_z62literalzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2nilza73639za7, BGl_z62valloczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzast_nodez00,
		BgL_bgl_za762lambda2137za7623640z00, BGl_z62lambda2137z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazf3zd2envz21zzast_nodez00,
		BgL_bgl_za762pragmaza7f3za791za73641z00, BGl_z62pragmazf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2keyzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3642z00,
		BGl_z62nodezf2effectzd2keyz42zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3643z00,
		BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2nilza7b3644za7, BGl_z62patchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3645z00,
		BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2externzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2extern3646z00, BGl_z62makezd2externzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2n3647za7,
		BGl_z62boxzd2refzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2valuezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73648z00,
		BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23649za7,
		BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3650za7,
		BGl_z62zc3z04anonymousza32634ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzast_nodez00,
		BgL_bgl_za762lambda2632za7623651z00, BGl_z62lambda2632z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzast_nodez00,
		BgL_bgl_za762lambda2630za7623652z00, BGl_z62lambda2630z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzast_nodez00,
		BgL_bgl_za762lambda2143za7623653z00, BGl_z62lambda2143z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzast_nodez00,
		BgL_bgl_za762lambda2672za7623654z00, BGl_z62lambda2672z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzast_nodez00,
		BgL_bgl_za762lambda2142za7623655z00, BGl_z62lambda2142z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzast_nodez00,
		BgL_bgl_za762lambda2671za7623656z00, BGl_z62lambda2671z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3657za7,
		BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3345z00zzast_nodez00,
		BgL_bgl_za762lambda2677za7623658z00, BGl_z62lambda2677z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzast_nodez00,
		BgL_bgl_za762lambda2149za7623659z00, BGl_z62lambda2149z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3346z00zzast_nodez00,
		BgL_bgl_za762lambda2676za7623660z00, BGl_z62lambda2676z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzast_nodez00,
		BgL_bgl_za762lambda2148za7623661z00, BGl_z62lambda2148z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3347z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3662za7,
		BGl_z62zc3z04anonymousza32687ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3663za7,
		BGl_z62zc3z04anonymousza32157ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3348z00zzast_nodez00,
		BgL_bgl_za762lambda2686za7623664z00, BGl_z62lambda2686z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzast_nodez00,
		BgL_bgl_za762lambda2156za7623665z00, BGl_z62lambda2156z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3349z00zzast_nodez00,
		BgL_bgl_za762lambda2685za7623666z00, BGl_z62lambda2685z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzast_nodez00,
		BgL_bgl_za762lambda2155za7623667z00, BGl_z62lambda2155z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3668za7,
		BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzast_nodez00,
		BgL_bgl_za762lambda2131za7623669z00, BGl_z62lambda2131z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2varzd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73670z00,
		BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2locza7b0za73671z00, BGl_z62newzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_literalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3672z00,
		BGl_z62literalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3673za7,
		BGl_z62castzd2nullzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7b0za73674z00, BGl_z62newzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23675z00,
		BGl_z62genpatchidzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2objza7b03676za7, BGl_z62failzd2objzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2vtypezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73677z00,
		BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3678za7,
		BGl_z62zc3z04anonymousza32666ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3679za7,
		BGl_z62castzd2nullzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zzast_nodez00,
		BgL_bgl_za762lambda2663za7623680z00, BGl_z62lambda2663z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zzast_nodez00,
		BgL_bgl_za762lambda2660za7623681z00, BGl_z62lambda2660z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzast_nodez00,
		BgL_bgl_za762lambda2129za7623682z00, BGl_z62lambda2129z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zzast_nodez00,
		BgL_bgl_za762lambda2722za7623683z00, BGl_z62lambda2722z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3684za7,
		BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zzast_nodez00,
		BgL_bgl_za762lambda2721za7623685z00, BGl_z62lambda2721z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzast_nodez00,
		BgL_bgl_za762lambda2174za7623686z00, BGl_z62lambda2174z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23687z00,
		BGl_z62genpatchidzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7d23688za7,
		BGl_z62setqzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3442z00zzast_nodez00,
		BgL_bgl_string3442za700za7za7a3689za7, "ast_node", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zzast_nodez00,
		BgL_bgl_za762lambda2727za7623690z00, BGl_z62lambda2727z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzast_nodez00,
		BgL_bgl_za762lambda2173za7623691z00, BGl_z62lambda2173z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3443z00zzast_nodez00,
		BgL_bgl_string3443za700za7za7a3692za7,
		"node-walk1733 \077\077? _ sync prelock mutex box-set! box-ref make-box return block retblock jump-ex-it exit set-ex-it onexit let-var removable? bindings let-fun body locals switch item-type clauses fail msg proc conditional false true test setq cast cast-null instanceof class vlength vset! vref vtype valloc new args-type widening setfield getfield otype ftype fname private c-format genpatchid rindex pragma srfi0 bstring format extern effect expr* funcall functions symbol strength app-ly arg app stackable args fun sequence meta bool unsafe pair-nil nodes kwote closure var variable patch patchid long index ref literal atom value node/effect key side-effect ast_node node type obj loc bigloo-c ",
		694);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zzast_nodez00,
		BgL_bgl_za762lambda2726za7623693z00, BGl_z62lambda2726z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3694za7,
		BGl_z62zc3z04anonymousza32182ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zzast_nodez00,
		BgL_bgl_za762lambda2732za7623695z00, BGl_z62lambda2732z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzast_nodez00,
		BgL_bgl_za762lambda2181za7623696z00, BGl_z62lambda2181z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2nilza73697za7, BGl_z62returnzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zzast_nodez00,
		BgL_bgl_za762lambda2731za7623698z00, BGl_z62lambda2731z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzast_nodez00,
		BgL_bgl_za762lambda2180za7623699z00, BGl_z62lambda2180z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3700za7,
		BGl_z62zc3z04anonymousza32714ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3701za7,
		BGl_z62zc3z04anonymousza32168ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzast_nodez00,
		BgL_bgl_za762lambda2166za7623702z00, BGl_z62lambda2166z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzast_nodez00,
		BgL_bgl_za762lambda2164za7623703z00, BGl_z62lambda2164z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3704za7,
		BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2vtypezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73705z00,
		BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2valu3706z00,
		BGl_z62returnzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2typ3707z00,
		BGl_z62privatezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762instanceofza7f33708z00, BGl_z62instanceofzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zzast_nodez00,
		BgL_bgl_za762lambda2712za7623709z00, BGl_z62lambda2712z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zzast_nodez00,
		BgL_bgl_za762lambda2709za7623710z00, BGl_z62lambda2709z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zzast_nodez00,
		BgL_bgl_za762lambda2751za7623711z00, BGl_z62lambda2751z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zzast_nodez00,
		BgL_bgl_za762lambda2750za7623712z00, BGl_z62lambda2750z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zzast_nodez00,
		BgL_bgl_za762lambda2756za7623713z00, BGl_z62lambda2756z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zzast_nodez00,
		BgL_bgl_za762lambda2755za7623714z00, BGl_z62lambda2755z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3715za7,
		BGl_z62zc3z04anonymousza32743ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zzast_nodez00,
		BgL_bgl_za762lambda2740za7623716z00, BGl_z62lambda2740z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3717z00, BGl_z62retblockzd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zzast_nodez00,
		BgL_bgl_za762lambda2738za7623718z00, BGl_z62lambda2738z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zzast_nodez00,
		BgL_bgl_za762lambda2777za7623719z00, BGl_z62lambda2777z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7d23720za7,
		BGl_z62appzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2argsza7b03721za7, BGl_z62appzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vrefza7d2exprza7a3722za7,
		BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3723za7,
		BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2setz12zd2envze0zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3724z00,
		BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2nil3725z00, BGl_z62vlengthzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zzast_nodez00,
		BgL_bgl_za762lambda2776za7623726z00, BGl_z62lambda2776z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3371z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3727za7,
		BGl_z62zc3z04anonymousza32769ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3372z00zzast_nodez00,
		BgL_bgl_za762lambda2767za7623728z00, BGl_z62lambda2767z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3373z00zzast_nodez00,
		BgL_bgl_za762lambda2765za7623729z00, BGl_z62lambda2765z62zzast_nodez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3374z00zzast_nodez00,
		BgL_bgl_za762lambda2817za7623730z00, BGl_z62lambda2817z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3375z00zzast_nodez00,
		BgL_bgl_za762lambda2816za7623731z00, BGl_z62lambda2816z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3732za7,
		BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3376z00zzast_nodez00,
		BgL_bgl_za762lambda2822za7623733z00, BGl_z62lambda2822z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3377z00zzast_nodez00,
		BgL_bgl_za762lambda2821za7623734z00, BGl_z62lambda2821z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3378z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3735za7,
		BGl_z62zc3z04anonymousza32811ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3379z00zzast_nodez00,
		BgL_bgl_za762lambda2807za7623736z00, BGl_z62lambda2807z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3737za7,
		BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza73738za7, BGl_z62atomzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2nil3739z00, BGl_z62literalzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3380z00zzast_nodez00,
		BgL_bgl_za762lambda2805za7623740z00, BGl_z62lambda2805z62zzast_nodez00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3381z00zzast_nodez00,
		BgL_bgl_za762lambda2837za7623741z00, BGl_z62lambda2837z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3382z00zzast_nodez00,
		BgL_bgl_za762lambda2836za7623742z00, BGl_z62lambda2836z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2sidezd2effectzd2envz20zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3743z00,
		BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3383z00zzast_nodez00,
		BgL_bgl_za762lambda2842za7623744z00, BGl_z62lambda2842z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3384z00zzast_nodez00,
		BgL_bgl_za762lambda2841za7623745z00, BGl_z62lambda2841z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23746z00,
		BGl_z62instanceofzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bodyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3747za7,
		BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3385z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3748za7,
		BGl_z62zc3z04anonymousza32852ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3386z00zzast_nodez00,
		BgL_bgl_za762lambda2851za7623749z00, BGl_z62lambda2851z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2blockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc3750z00,
		BGl_z62returnzd2blockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3387z00zzast_nodez00,
		BgL_bgl_za762lambda2850za7623751z00, BGl_z62lambda2850z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3388z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3752za7,
		BGl_z62zc3z04anonymousza32832ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2locza7b0za73753z00, BGl_z62varzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzast_nodez00,
		BgL_bgl_za762lambda2830za7623754z00, BGl_z62lambda2830z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3755za7,
		BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762letza7d2varza7f3za73756z00,
		BGl_z62letzd2varzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762wideningza7d2si3757z00,
		BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23758za7,
		BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2functionszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3759z00,
		BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ex3760z00,
		BGl_z62setfieldzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23761z00,
		BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzast_nodez00,
		BgL_bgl_za762lambda2828za7623762z00, BGl_z62lambda2828z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzast_nodez00,
		BgL_bgl_za762lambda2875za7623763z00, BGl_z62lambda2875z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzast_nodez00,
		BgL_bgl_za762lambda2874za7623764z00, BGl_z62lambda2874z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzast_nodez00,
		BgL_bgl_za762lambda2896za7623765z00, BGl_z62lambda2896z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2variabl3766z00, BGl_z62refzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzast_nodez00,
		BgL_bgl_za762lambda2895za7623767z00, BGl_z62lambda2895z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3768za7,
		BGl_z62zc3z04anonymousza32865ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2typezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2typ3769za7,
		BGl_z62vsetz12zd2typeza2zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzast_nodez00,
		BgL_bgl_za762lambda2863za7623770z00, BGl_z62lambda2863z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzast_nodez00,
		BgL_bgl_za762lambda2861za7623771z00, BGl_z62lambda2861z62zzast_nodez00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzast_nodez00,
		BgL_bgl_za762lambda2915za7623772z00, BGl_z62lambda2915z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzast_nodez00,
		BgL_bgl_za762lambda2914za7623773z00, BGl_z62lambda2914z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2nilza7b03774za7, BGl_z62nodezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762genpatchidza7f33775z00, BGl_z62genpatchidzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23776za7,
		BGl_z62newzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2argszd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3777z00,
		BGl_z62funcallzd2argszd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zf3zd2envz33zzast_nodez00,
		BgL_bgl_za762vsetza712za7f3za7833778z00, BGl_z62vsetz12zf3z83zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2varzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v3779za7,
		BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2funzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu3780za7,
		BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7d3781za7,
		BGl_z62setqzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ3782z00, BGl_z62vlengthzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2var3783z00,
		BGl_z62closurezd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2nilza7b03784za7, BGl_z62failzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2valuezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73785z00,
		BGl_z62boxzd2setz12zd2valuez70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2sideza7d23786za7,
		BGl_z62appzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2exitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3787za7,
		BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3788za7,
		BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2nil3789z00, BGl_z62funcallzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2onexitzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3790za7,
		BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23791z00,
		BGl_z62instanceofzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3792za7,
		BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762externza7d2expr3793z00,
		BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2msgzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2msgza7d23794za7,
		BGl_z62failzd2msgzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3795za7,
		BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2vtypezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23796za7,
		BGl_z62makezd2boxzd2vtypez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7b03797za7, BGl_z62newzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762privateza7d2sid3798z00,
		BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ef3799z00,
		BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ni3800z00, BGl_z62retblockzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2getfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2getfie3801z00, BGl_z62makezd2getfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2lo3802z00, BGl_z62setfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2truezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3803z00,
		BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ty3804z00,
		BGl_z62wideningzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2type3805z00, BGl_z62switchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ke3806z00, BGl_z62setfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2locza7b0za73807z00, BGl_z62appzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2varza7b03808za7, BGl_z62setqzd2varzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2patchidzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3809z00,
		BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7b0za73810z00, BGl_z62appzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3811z00,
		BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a23812za7,
		BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762failza7f3za791za7za7a3813za7, BGl_z62failzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot3814z00,
		BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setqza7f3za791za7za7a3815za7, BGl_z62setqzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2lo3816z00, BGl_z62wideningzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2locza73817za7, BGl_z62externzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vlengthzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vlengt3818z00, BGl_z62makezd2vlengthzb0zzast_nodez00,
		0L, BUNSPEC, 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ke3819z00, BGl_z62wideningzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2keyza73820za7, BGl_z62externzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2nil3821z00, BGl_z62closurezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe3822z00, BGl_z62pragmazd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2argza7b03823za7, BGl_z62castzd2argzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_varzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762varza7d2variabl3824z00,
		BGl_z62varzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2typeza7b03825za7, BGl_z62varzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2varzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73826z00,
		BGl_z62boxzd2setz12zd2varz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2strengthzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2str3827z00,
		BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762closureza7f3za7913828za7, BGl_z62closurezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3829z00,
		BGl_z62conditionalzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762nodeza7f3za791za7za7a3830za7, BGl_z62nodezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3831z00,
		BGl_z62conditionalzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2nilza7b03832za7, BGl_z62synczd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2type3833z00, BGl_z62valloczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza73834za7, BGl_z62synczd2mutexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23835z00,
		BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2nilza7b03836za7, BGl_z62atomzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ni3837za7,
		BGl_z62appzd2lyzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2pragmazd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2pragma3838z00, BGl_z62makezd2pragmazb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2type3839z00, BGl_z62returnzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2sideza7d23840za7,
		BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setfieldzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setfie3841z00, BGl_z62makezd2setfieldzb0zzast_nodez00,
		0L, BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3842z00,
		BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2valuezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23843za7,
		BGl_z62makezd2boxzd2valuez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762privateza7d2key3844z00,
		BGl_z62privatezd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3845z00,
		BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef3846z00,
		BGl_z62wideningzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762switchza7f3za791za73847z00, BGl_z62switchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2locza7b03848za7, BGl_z62castzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty3849z00,
		BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2ftypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty3850za7,
		BGl_z62vsetz12zd2ftypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3851z00,
		BGl_z62valloczd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7d3852za7,
		BGl_z62vrefzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3853za7,
		BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2cza7d23854za7,
		BGl_z62valloczd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2vtypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty3855za7,
		BGl_z62vsetz12zd2vtypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3856za7,
		BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2bindingszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b3857za7,
		BGl_z62letzd2varzd2bindingsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2s3858za7,
		BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2patchidzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2patch3859z00, BGl_z62patchzd2patchidzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2cza73860za7,
		BGl_z62wideningzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nodeszd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2no3861z00,
		BGl_z62sequencezd2nodeszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3862z00,
		BGl_z62pragmazd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t3863za7,
		BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7d23864za7,
		BGl_z62refzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3865z00,
		BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2stackablezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2stackab3866z00, BGl_z62appzd2stackablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2testzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2test3867z00,
		BGl_z62switchzd2testzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2effectza73868za7,
		BGl_z62newzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2localszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3869za7,
		BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key3870z00,
		BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_returnzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762returnza7d2type3871z00,
		BGl_z62returnzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2czd2formatzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2cza7d3872z00,
		BGl_z62vsetz12zd2czd2formatz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7d23873za7,
		BGl_z62appzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2bo3874z00,
		BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23875za7,
		BGl_z62makezd2boxzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2keyzd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3876z00,
		BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7d3877za7,
		BGl_z62castzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_strictzd2nodezd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762strictza7d2node3878z00,
		BGl_z62strictzd2nodezd2typez62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2makezd2boxzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2makeza7d3879za7,
		BGl_z62makezd2makezd2boxz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3880za7,
		BGl_z62castzd2nullzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2unsafezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2un3881z00,
		BGl_z62sequencezd2unsafezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762privateza7d2exp3882z00,
		BGl_z62privatezd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2nilzd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect3883z00,
		BGl_z62nodezf2effectzd2nilz42zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7f3884za7,
		BGl_z62castzd2nullzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_synczd2prelockzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3885z00,
		BGl_z62synczd2prelockzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3886z00, BGl_z62valloczd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762externza7d2side3887z00,
		BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2argszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2arg3888z00, BGl_z62funcallzd2argszb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762getfieldza7f3za793889za7, BGl_z62getfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot3890z00,
		BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3891za7,
		BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si3892z00,
		BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2appzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2appza7b03893za7, BGl_z62makezd2appzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762externza7d2expr3894z00,
		BGl_z62externzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2nilza7b0za73895z00, BGl_z62newzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3896za7,
		BGl_z62castzd2nullzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2side3897z00,
		BGl_z62pragmazd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2type3898z00, BGl_z62pragmazd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23899z00,
		BGl_z62genpatchidzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7b3900za7, BGl_z62synczd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2classzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23901z00,
		BGl_z62instanceofzd2classzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2typ3902z00,
		BGl_z62funcallzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2locza7b3903za7, BGl_z62kwotezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2otypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3904za7,
		BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vallocza7f3za791za73905z00, BGl_z62valloczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k3906za7,
		BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2lo3907z00, BGl_z62getfieldzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft3908z00,
		BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2eff3909z00,
		BGl_z62privatezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762setfieldza7d2cza73910za7,
		BGl_z62setfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2fn3911z00,
		BGl_z62getfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ke3912z00, BGl_z62getfieldzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23913z00,
		BGl_z62genpatchidzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2keyza7d2s3914za7,
		BGl_z62appzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ty3915z00, BGl_z62getfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2value3916z00, BGl_z62patchzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ty3917z00, BGl_z62setfieldzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3918za7,
		BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2otypezd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2oty3919za7,
		BGl_z62vsetz12zd2otypeza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d3920z00,
		BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762castza7f3za791za7za7a3921za7, BGl_z62castzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2form3922z00, BGl_z62pragmazd2formatzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2index3923z00,
		BGl_z62patchzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2typeza7b3924za7, BGl_z62nodezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23925z00,
		BGl_z62instanceofzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2nilza7b0za73926z00, BGl_z62varzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2prelockzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2preloc3927z00, BGl_z62synczd2prelockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d23928z00,
		BGl_z62instanceofzd2keyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2locza7b03929za7, BGl_z62setqzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762privateza7f3za7913930za7, BGl_z62privatezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si3931z00,
		BGl_z62sequencezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3932za7,
		BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2t3933za7,
		BGl_z62letzd2funzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2loczd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73934z00,
		BGl_z62boxzd2setz12zd2locz70zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2ftyp3935z00,
		BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2typezd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73936z00,
		BGl_z62boxzd2setz12zd2typez70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762conditionalza7f3937z00, BGl_z62conditionalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762conditionalza7d3938z00,
		BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC,
		2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762returnza7f3za791za73939z00, BGl_z62returnzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zf3zd2envze1zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za73940z00,
		BGl_z62boxzd2setz12zf3z51zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2localszd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l3941za7,
		BGl_z62letzd2funzd2localsz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza73942za7,
		BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2funcallzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2funcal3943z00, BGl_z62makezd2funcallzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762sequenceza7f3za793944za7, BGl_z62sequencezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2keyza7d2s3945za7,
		BGl_z62newzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2locza73946za7, BGl_z62switchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2otyp3947z00, BGl_z62valloczd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzast_nodez00,
		BgL_bgl_za762lambda2197za7623948z00, BGl_z62lambda2197z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzast_nodez00,
		BgL_bgl_za762lambda2196za7623949z00, BGl_z62lambda2196z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3950za7,
		BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzast_nodez00,
		BgL_bgl_za762lambda2204za7623951z00, BGl_z62lambda2204z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzast_nodez00,
		BgL_bgl_za762lambda2203za7623952z00, BGl_z62lambda2203z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3953za7,
		BGl_z62zc3z04anonymousza32192ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2keyza73954za7, BGl_z62switchzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzast_nodez00,
		BgL_bgl_za762lambda2190za7623955z00, BGl_z62lambda2190z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzast_nodez00,
		BgL_bgl_za762lambda2188za7623956z00, BGl_z62lambda2188z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3957za7,
		BGl_z62zc3z04anonymousza32222ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzast_nodez00,
		BgL_bgl_za762lambda2221za7623958z00, BGl_z62lambda2221z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2typeza7b03959za7, BGl_z62refzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funcallzd2funzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3960z00,
		BGl_z62funcallzd2funzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2indexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23961z00,
		BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2exitzd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i3962za7,
		BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun3963z00, BGl_z62funcallzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2refzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23964za7,
		BGl_z62makezd2boxzd2refz62zzast_nodez00, 0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2locza7b03965za7, BGl_z62vrefzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_retblockzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty3966z00,
		BGl_z62retblockzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza73967za7, BGl_z62patchzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it3968za7,
		BGl_z62setzd2exzd2itzf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ni3969z00, BGl_z62setfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzast_nodez00,
		BgL_bgl_za762lambda2220za7623970z00, BGl_z62lambda2220z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2lo3971z00, BGl_z62sequencezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3972za7,
		BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzast_nodez00,
		BgL_bgl_za762lambda2228za7623973z00, BGl_z62lambda2228z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzast_nodez00,
		BgL_bgl_za762lambda2227za7623974z00, BGl_z62lambda2227z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d23975z00,
		BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3976za7,
		BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzast_nodez00,
		BgL_bgl_za762lambda2213za7623977z00, BGl_z62lambda2213z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7b03978za7, BGl_z62vrefzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzast_nodez00,
		BgL_bgl_za762lambda2211za7623979z00, BGl_z62lambda2211z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzast_nodez00,
		BgL_bgl_za762lambda2245za7623980z00, BGl_z62lambda2245z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzast_nodez00,
		BgL_bgl_za762lambda2244za7623981z00, BGl_z62lambda2244z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo3982za7,
		BGl_z62zc3z04anonymousza32240ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ke3983z00, BGl_z62sequencezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2nilza7b0za73984z00, BGl_z62appzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762instanceofza7d23985z00,
		BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2valuezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d23986za7,
		BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d3987za7,
		BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2czd2formatzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d3988za7,
		BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2typ3989z00, BGl_z62literalzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2test3990z00, BGl_z62switchzd2testzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d3991z00,
		BGl_z62conditionalzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzast_nodez00,
		BgL_bgl_za762lambda2238za7623992z00, BGl_z62lambda2238z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ni3993z00, BGl_z62wideningzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzast_nodez00,
		BgL_bgl_za762lambda2236za7623994z00, BGl_z62lambda2236z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2nilza73995za7, BGl_z62externzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzast_nodez00,
		BgL_bgl_za762lambda2260za7623996z00, BGl_z62lambda2260z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2failzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2failza7b3997za7, BGl_z62makezd2failzb0zzast_nodez00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzast_nodez00,
		BgL_bgl_za762lambda2259za7623998z00, BGl_z62lambda2259z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762vlengthza7d2exp3999z00,
		BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzast_nodez00,
		BgL_bgl_za762lambda2265za7624000z00, BGl_z62lambda2265z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzast_nodez00,
		BgL_bgl_za762lambda2264za7624001z00, BGl_z62lambda2264z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzast_nodez00,
		BgL_bgl_za762lambda2270za7624002z00, BGl_z62lambda2270z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzast_nodez00,
		BgL_bgl_za762lambda2269za7624003z00, BGl_z62lambda2269z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4004za7,
		BGl_z62zc3z04anonymousza32255ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezf2effectzd2envzf2zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7f4005za7,
		BGl_z62makezd2nodezf2effectz42zzast_nodez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzast_nodez00,
		BgL_bgl_za762lambda2253za7624006z00, BGl_z62lambda2253z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vsetz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2vsetza714007za7,
		BGl_z62makezd2vsetz12za2zzast_nodez00, 0L, BUNSPEC, 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24008za7,
		BGl_z62makezd2boxzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4009z00,
		BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4010z00,
		BGl_z62conditionalzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzast_nodez00,
		BgL_bgl_za762lambda2251za7624011z00, BGl_z62lambda2251z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzast_nodez00,
		BgL_bgl_za762lambda2286za7624012z00, BGl_z62lambda2286z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzast_nodez00,
		BgL_bgl_za762lambda2285za7624013z00, BGl_z62lambda2285z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2synczd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2syncza7b4014za7, BGl_z62makezd2synczb0zzast_nodez00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74015za7,
		BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzast_nodez00,
		BgL_bgl_za762lambda2291za7624016z00, BGl_z62lambda2291z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzast_nodez00,
		BgL_bgl_za762lambda2290za7624017z00, BGl_z62lambda2290z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24018za7,
		BGl_z62makezd2boxzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzast_nodez00,
		BgL_bgl_za762lambda2296za7624019z00, BGl_z62lambda2296z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzast_nodez00,
		BgL_bgl_za762lambda2295za7624020z00, BGl_z62lambda2295z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762pragmaza7d2effe4021z00,
		BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2argzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762castza7d2argza7d24022za7,
		BGl_z62castzd2argzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4023za7,
		BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzast_nodez00,
		BgL_bgl_za762lambda2278za7624024z00, BGl_z62lambda2278z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzast_nodez00,
		BgL_bgl_za762lambda2276za7624025z00, BGl_z62lambda2276z62zzast_nodez00, 0L,
		BUNSPEC, 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2var4026z00,
		BGl_z62closurezd2variablezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7d4027za7,
		BGl_z62synczd2bodyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24028za7,
		BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762newza7d2typeza7d24029za7,
		BGl_z62newzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762retblockza7f3za794030za7, BGl_z62retblockzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24031z00,
		BGl_z62instanceofzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4032za7,
		BGl_z62boxzd2refzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2locza74033za7, BGl_z62pragmazd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3400z00zzast_nodez00,
		BgL_bgl_za762lambda2921za7624034z00, BGl_z62lambda2921z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3401z00zzast_nodez00,
		BgL_bgl_za762lambda2920za7624035z00, BGl_z62lambda2920z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3402z00zzast_nodez00,
		BgL_bgl_za762lambda2926za7624036z00, BGl_z62lambda2926z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzast_nodez00,
		BgL_bgl_za762lambda2315za7624037z00, BGl_z62lambda2315z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3403z00zzast_nodez00,
		BgL_bgl_za762lambda2925za7624038z00, BGl_z62lambda2925z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzast_nodez00,
		BgL_bgl_za762lambda2314za7624039z00, BGl_z62lambda2314z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3404z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4040za7,
		BGl_z62zc3z04anonymousza32909ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4041za7,
		BGl_z62zc3z04anonymousza32308ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3405z00zzast_nodez00,
		BgL_bgl_za762lambda2907za7624042z00, BGl_z62lambda2907z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzast_nodez00,
		BgL_bgl_za762lambda2306za7624043z00, BGl_z62lambda2306z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3406z00zzast_nodez00,
		BgL_bgl_za762lambda2904za7624044z00, BGl_z62lambda2904z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzast_nodez00,
		BgL_bgl_za762lambda2304za7624045z00, BGl_z62lambda2304z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3407z00zzast_nodez00,
		BgL_bgl_za762lambda2956za7624046z00, BGl_z62lambda2956z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4047za7,
		BGl_z62zc3z04anonymousza32334ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3408z00zzast_nodez00,
		BgL_bgl_za762lambda2955za7624048z00, BGl_z62lambda2955z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzast_nodez00,
		BgL_bgl_za762lambda2333za7624049z00, BGl_z62lambda2333z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4050za7,
		BGl_z62castzd2nullzd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3409z00zzast_nodez00,
		BgL_bgl_za762lambda2961za7624051z00, BGl_z62lambda2961z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzast_nodez00,
		BgL_bgl_za762lambda2332za7624052z00, BGl_z62lambda2332z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2keyza74053za7, BGl_z62pragmazd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4054za7,
		BGl_z62zc3z04anonymousza32326ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzast_nodez00,
		BgL_bgl_za762lambda2324za7624055z00, BGl_z62lambda2324z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzd2typezd2envzf2zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4056z00,
		BGl_z62nodezf2effectzd2typez42zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7f3za74057z00,
		BGl_z62boxzd2refzf3z43zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2ftypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2fty4058za7,
		BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762wideningza7d2ot4059z00,
		BGl_z62wideningzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ft4060z00,
		BGl_z62getfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2side4061z00,
		BGl_z62switchzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2genpatchidzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2genpat4062z00,
		BGl_z62makezd2genpatchidzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3410z00zzast_nodez00,
		BgL_bgl_za762lambda2960za7624063z00, BGl_z62lambda2960z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2loc4064z00, BGl_z62privatezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3411z00zzast_nodez00,
		BgL_bgl_za762lambda2968za7624065z00, BGl_z62lambda2968z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3412z00zzast_nodez00,
		BgL_bgl_za762lambda2967za7624066z00, BGl_z62lambda2967z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzast_nodez00,
		BgL_bgl_za762lambda2322za7624067z00, BGl_z62lambda2322z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3413z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4068za7,
		BGl_z62zc3z04anonymousza32944ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzast_nodez00,
		BgL_bgl_za762lambda2352za7624069z00, BGl_z62lambda2352z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762kwoteza7f3za791za7za74070za7, BGl_z62kwotezf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3414z00zzast_nodez00,
		BgL_bgl_za762lambda2942za7624071z00, BGl_z62lambda2942z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzast_nodez00,
		BgL_bgl_za762lambda2351za7624072z00, BGl_z62lambda2351z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3415z00zzast_nodez00,
		BgL_bgl_za762lambda2938za7624073z00, BGl_z62lambda2938z62zzast_nodez00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzast_nodez00,
		BgL_bgl_za762lambda2357za7624074z00, BGl_z62lambda2357z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzast_nodez00,
		BgL_bgl_za762lambda2356za7624075z00, BGl_z62lambda2356z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3417z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walk174076z00, BGl_z62nodezd2walk1733zb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4077za7,
		BGl_z62zc3z04anonymousza32346ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzast_nodez00,
		BgL_bgl_za762lambda2343za7624078z00, BGl_z62lambda2343z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzast_nodez00,
		BgL_bgl_za762lambda2341za7624079z00, BGl_z62lambda2341z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzast_nodez00,
		BgL_bgl_za762lambda2374za7624080z00, BGl_z62lambda2374z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzast_nodez00,
		BgL_bgl_za762lambda2373za7624081z00, BGl_z62lambda2373z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2key4082z00, BGl_z62privatezd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762instanceofza7d24083z00,
		BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2nilza7b04084za7, BGl_z62castzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2switchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2switch4085z00, BGl_z62makezd2switchzb0zzast_nodez00,
		0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2conditionalzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2condit4086z00,
		BGl_z62makezd2conditionalzb0zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762conditionalza7d4087z00,
		BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4088z00,
		BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2l4089za7,
		BGl_z62letzd2funzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3420z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4090za7,
		BGl_z62nodezd2walkzd2atom1736z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2locza7b0za74091z00, BGl_z62refzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3422z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4092za7,
		BGl_z62nodezd2walkzd2var1738z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzast_nodez00,
		BgL_bgl_za762lambda2381za7624093z00, BGl_z62lambda2381z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2varzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4094za7,
		BGl_z62boxzd2refzd2varz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2fu4095za7,
		BGl_z62appzd2lyzd2funz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3423z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4096za7,
		BGl_z62nodezd2walkzd2kwote1740z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzast_nodez00,
		BgL_bgl_za762lambda2380za7624097z00, BGl_z62lambda2380z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3424z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4098za7,
		BGl_z62nodezd2walkzd2sequence1742z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzast_nodez00,
		BgL_bgl_za762lambda2387za7624099z00, BGl_z62lambda2387z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2setzd2exzd2itzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2setza7d24100za7,
		BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3425z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4101za7,
		BGl_z62nodezd2walkzd2sync1744z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzast_nodez00,
		BgL_bgl_za762lambda2386za7624102z00, BGl_z62lambda2386z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3426z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4103za7,
		BGl_z62nodezd2walkzd2app1746z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4104za7,
		BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3427z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4105za7,
		BGl_z62nodezd2walkzd2appzd2ly1748zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzast_nodez00,
		BgL_bgl_za762lambda2393za7624106z00, BGl_z62lambda2393z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3428z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4107za7,
		BGl_z62nodezd2walkzd2funcall1750z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzast_nodez00,
		BgL_bgl_za762lambda2392za7624108z00, BGl_z62lambda2392z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3429z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4109za7,
		BGl_z62nodezd2walkzd2extern1752z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4110za7,
		BGl_z62zc3z04anonymousza32367ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzast_nodez00,
		BgL_bgl_za762lambda2365za7624111z00, BGl_z62lambda2365z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4112za7,
		BGl_z62letzd2funzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzast_nodez00,
		BgL_bgl_za762lambda2363za7624113z00, BGl_z62lambda2363z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2stackablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762appza7d2stackab4114z00,
		BGl_z62appzd2stackablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7d4115za7,
		BGl_z62atomzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2t4116za7,
		BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2keyza7d24117za7,
		BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2fnamezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2fn4118z00,
		BGl_z62setfieldzd2fnamezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3430z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4119za7,
		BGl_z62nodezd2walkzd2cast1754z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3431z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4120za7,
		BGl_z62nodezd2walkzd2setq1756z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3432z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4121za7,
		BGl_z62nodezd2walkzd2conditiona1758z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzast_nodez00,
		BgL_bgl_za762lambda2415za7624122z00, BGl_z62lambda2415z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3433z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4123za7,
		BGl_z62nodezd2walkzd2fail1760z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzast_nodez00,
		BgL_bgl_za762lambda2414za7624124z00, BGl_z62lambda2414z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3434z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4125za7,
		BGl_z62nodezd2walkzd2switch1762z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzast_nodez00,
		BgL_bgl_za762lambda2423za7624126z00, BGl_z62lambda2423z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3435z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4127za7,
		BGl_z62nodezd2walkzd2makezd2box1764zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzast_nodez00,
		BgL_bgl_za762lambda2422za7624128z00, BGl_z62lambda2422z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3436z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4129za7,
		BGl_z62nodezd2walkzd2boxzd2ref1767zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzast_nodez00,
		BgL_bgl_za762lambda2430za7624130z00, BGl_z62lambda2430z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3437z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4131za7,
		BGl_z62nodezd2walkzd2boxzd2setz121769za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzast_nodez00,
		BgL_bgl_za762lambda2429za7624132z00, BGl_z62lambda2429z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4133za7,
		BGl_z62nodezd2walkzd2letzd2fun1771zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4134za7,
		BGl_z62zc3z04anonymousza32442ze3ze5zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4135za7,
		BGl_z62nodezd2walkzd2letzd2var1773zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzast_nodez00,
		BgL_bgl_za762lambda2441za7624136z00, BGl_z62lambda2441z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzast_nodez00,
		BgL_bgl_za762lambda2440za7624137z00, BGl_z62lambda2440z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4138za7,
		BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2retblockzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2retblo4139z00, BGl_z62makezd2retblockzb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2cza7d4140za7,
		BGl_z62privatezd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2typ4141z00,
		BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2envz21zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4142za7,
		BGl_z62letzd2varzd2removablezf3z91zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3440z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4143za7,
		BGl_z62nodezd2walkzd2setzd2exzd2it1775z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3441z00zzast_nodez00,
		BgL_bgl_za762nodeza7d2walkza7d4144za7,
		BGl_z62nodezd2walkzd2jumpzd2exzd2it1777z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzast_nodez00,
		BgL_bgl_za762lambda2405za7624145z00, BGl_z62lambda2405z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzast_nodez00,
		BgL_bgl_za762lambda2403za7624146z00, BGl_z62lambda2403z62zzast_nodez00, 0L,
		BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzast_nodez00,
		BgL_bgl_za762lambda2464za7624147z00, BGl_z62lambda2464z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzast_nodez00,
		BgL_bgl_za762lambda2463za7624148z00, BGl_z62lambda2463z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzast_nodez00,
		BgL_bgl_za762lambda2469za7624149z00, BGl_z62lambda2469z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762setfieldza7f3za794150za7, BGl_z62setfieldzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzast_nodez00,
		BgL_bgl_za762lambda2468za7624151z00, BGl_z62lambda2468z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762instanceofza7d24152z00,
		BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4153za7,
		BGl_z62zc3z04anonymousza32458ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzast_nodez00,
		BgL_bgl_za762lambda2455za7624154z00, BGl_z62lambda2455z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzast_nodez00,
		BgL_bgl_za762lambda2452za7624155z00, BGl_z62lambda2452z62zzast_nodez00, 0L,
		BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzast_nodez00,
		BgL_bgl_za762lambda2484za7624156z00, BGl_z62lambda2484z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setfieldzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762setfieldza7d2si4157z00,
		BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2itemzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762switchza7d2item4158z00,
		BGl_z62switchzd2itemzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezf2effectzf3zd2envzd3zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4159z00,
		BGl_z62nodezf2effectzf3z63zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762newza7d2effectza74160za7, BGl_z62newzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2rindexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24161z00,
		BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74162za7, BGl_z62vrefzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2nullzd2exprza2zd2envz70zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4163za7,
		BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzast_nodez00,
		BgL_bgl_za762lambda2483za7624164z00, BGl_z62lambda2483z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4165za7,
		BGl_z62zc3z04anonymousza32479ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2fty4166z00, BGl_z62vlengthzd2ftypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzast_nodez00,
		BgL_bgl_za762lambda2477za7624167z00, BGl_z62lambda2477z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzast_nodez00,
		BgL_bgl_za762lambda2475za7624168z00, BGl_z62lambda2475z62zzast_nodez00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4169za7,
		BGl_z62zc3z04anonymousza32496ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzast_nodez00,
		BgL_bgl_za762lambda2493za7624170z00, BGl_z62lambda2493z62zzast_nodez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzast_nodez00,
		BgL_bgl_za762lambda2491za7624171z00, BGl_z62lambda2491z62zzast_nodez00, 0L,
		BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzast_nodez00,
		BgL_bgl_za762lambda2512za7624172z00, BGl_z62lambda2512z62zzast_nodez00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzast_nodez00,
		BgL_bgl_za762lambda2511za7624173z00, BGl_z62lambda2511z62zzast_nodez00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzast_nodez00,
		BgL_bgl_za762za7c3za704anonymo4174za7,
		BGl_z62zc3z04anonymousza32507ze3ze5zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762atomza7d2valueza74175za7,
		BGl_z62atomzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2varzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4176za7,
		BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2proczd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2procza7d4177za7,
		BGl_z62failzd2proczd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74178za7, BGl_z62vrefzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2vtypezd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2vty4179z00, BGl_z62vlengthzd2vtypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4180z00,
		BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2castzd2nullzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2castza7d4181za7,
		BGl_z62makezd2castzd2nullz62zzast_nodez00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2ftypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2ftypeza74182za7,
		BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4183z00,
		BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2cza74184za7,
		BGl_z62getfieldzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2t4185za7,
		BGl_z62letzd2varzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2rindexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24186z00,
		BGl_z62genpatchidzd2rindexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4187z00,
		BGl_z62getfieldzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2cza7d4188za7,
		BGl_z62vlengthzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_conditionalzd2falsezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762conditionalza7d4189z00,
		BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_newzd2argszd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24190za7,
		BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2loczd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2loc4191za7, BGl_z62vsetz12zd2locza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2newzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2newza7b04192za7, BGl_z62makezd2newzb0zzast_nodez00,
		0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2keyzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2key4193za7, BGl_z62vsetz12zd2keyza2zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2nilza7b4194za7, BGl_z62kwotezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzd2variablezd2envz00zzast_nodez00,
		BgL_bgl_za762varza7d2variabl4195z00, BGl_z62varzd2variablezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24196z00,
		BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4197z00,
		BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ni4198z00, BGl_z62getfieldzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762switchza7d2type4199z00,
		BGl_z62switchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vrefzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2vrefza7b4200za7, BGl_z62makezd2vrefzb0zzast_nodez00,
		0L, BUNSPEC, 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762wideningza7d2si4201z00,
		BGl_z62wideningzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ot4202z00,
		BGl_z62getfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4203z00,
		BGl_z62closurezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762patchza7f3za791za7za74204za7, BGl_z62patchzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2typeza7b04205za7, BGl_z62appzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2refzd2vtypezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2v4206za7,
		BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2exprza2zd2envzb0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2exp4207za7,
		BGl_z62vsetz12zd2exprza2z00zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4208za7,
		BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2sideza7d4209za7,
		BGl_z62vrefzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762atomza7d2typeza7b4210za7, BGl_z62atomzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24211za7,
		BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2typeza7d4212za7,
		BGl_z62synczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2instanceofzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2instan4213z00,
		BGl_z62makezd2instanceofzb0zzast_nodez00, 0L, BUNSPEC, 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_instanceofzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762instanceofza7d24214z00,
		BGl_z62instanceofzd2nilzb0zzast_nodez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4215za7,
		BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2exprza2zd2setz12zd2envzb0zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4216za7,
		BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2ty4217z00, BGl_z62retblockzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4218z00,
		BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2nilza7b04219za7, BGl_z62setqzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762getfieldza7d2si4220z00,
		BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762sequenceza7d2si4221z00,
		BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4222za7,
		BGl_z62appzd2lyzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762vallocza7d2side4223z00,
		BGl_z62valloczd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762pragmaza7d2expr4224z00,
		BGl_z62pragmazd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2exzd2itzd2varzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4225za7,
		BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24226z00,
		BGl_z62genpatchidzd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2lyzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7f3za744227z00, BGl_z62appzd2lyzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2setz12zd2nilzd2envzc0zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74228z00,
		BGl_z62boxzd2setz12zd2nilz70zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzf3zd2envzf3zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7f34229za7, BGl_z62makezd2boxzf3z43zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24230za7,
		BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2truezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4231z00,
		BGl_z62conditionalzd2truezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2typeza7b4232za7, BGl_z62vrefzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2ftypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ft4233z00,
		BGl_z62setfieldzd2ftypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_boxzd2setz12zd2typezd2setz12zd2envz00zzast_nodez00,
		BgL_bgl_za762boxza7d2setza712za74234z00,
		BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2metazd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2me4235z00, BGl_z62sequencezd2metazb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24236z00,
		BGl_z62genpatchidzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2otypeza74237za7, BGl_z62vrefzd2otypezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vrefza7f3za791za7za7a4238za7, BGl_z62vrefzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762vallocza7d2expr4239z00,
		BGl_z62valloczd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jumpzd2exzd2itzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4240za7,
		BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2refzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2refza7b4241za7, BGl_z62patchzd2refzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczf3zd2envz21zzast_nodez00,
		BgL_bgl_za762syncza7f3za791za7za7a4242za7, BGl_z62synczf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2nilza74243za7, BGl_z62switchzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2privatezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2privat4244z00, BGl_z62makezd2privatezb0zzast_nodez00,
		0L, BUNSPEC, 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2l4245za7,
		BGl_z62letzd2varzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_privatezd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762privateza7d2sid4246z00,
		BGl_z62privatezd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762newza7f3za791za7za7as4247za7, BGl_z62newzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_nodezf2effectzd2typezd2setz12zd2envz32zzast_nodez00,
		BgL_bgl_za762nodeza7f2effect4248z00,
		BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2varzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2k4249za7,
		BGl_z62letzd2varzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2itemzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2item4250z00,
		BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2bodyzd2envz00zzast_nodez00,
		BgL_bgl_za762syncza7d2bodyza7b4251za7, BGl_z62synczd2bodyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ty4252za7,
		BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2strengthzd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2str4253z00,
		BGl_z62funcallzd2strengthzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762vrefza7d2nilza7b04254za7, BGl_z62vrefzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2letzd2funzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2letza7d24255za7,
		BGl_z62makezd2letzd2funz62zzast_nodez00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2classzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24256z00,
		BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2s4257za7,
		BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ni4258z00, BGl_z62sequencezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2typeza7b4259za7, BGl_z62failzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2locza74260za7, BGl_z62valloczd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2argszd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2argsza7d24261za7,
		BGl_z62newzd2argszd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2keyza74262za7, BGl_z62valloczd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_switchzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762switchza7d2side4263z00,
		BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2locza7b4264za7, BGl_z62patchzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2loczd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2l4265za7,
		BGl_z62boxzd2refzd2locz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2objzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762failza7d2objza7d24266za7,
		BGl_z62failzd2objzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2typezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24267za7,
		BGl_z62makezd2boxzd2typez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24268z00,
		BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_boxzd2refzd2keyzd2envzd2zzast_nodez00,
		BgL_bgl_za762boxza7d2refza7d2k4269za7,
		BGl_z62boxzd2refzd2keyz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_refzd2variablezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762refza7d2variabl4270z00,
		BGl_z62refzd2variablezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2funzd2keyzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2k4271za7,
		BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762newza7d2cza7d2for4272za7,
		BGl_z62newzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2kwotezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2kwoteza74273za7, BGl_z62makezd2kwotezb0zzast_nodez00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2typeza74274za7,
		BGl_z62patchzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2removablezf3zd2setz12zd2envze1zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2r4275za7,
		BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762externza7d2type4276z00,
		BGl_z62externzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2testzd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4277z00,
		BGl_z62conditionalzd2testzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_externzd2sidezd2effectzd2envzd2zzast_nodez00,
		BgL_bgl_za762externza7d2side4278z00,
		BGl_z62externzd2sidezd2effectz62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2vtypezd2setz12zd2envzd2zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2vty4279za7,
		BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2boxzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24280za7,
		BGl_z62makezd2boxzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762funcallza7f3za7914281za7, BGl_z62funcallzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2locza74282za7, BGl_z62returnzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762kwoteza7d2value4283z00, BGl_z62kwotezd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzd2funzd2envz00zzast_nodez00,
		BgL_bgl_za762appza7d2funza7b0za74284z00, BGl_z62appzd2funzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2keyzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24285z00,
		BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_appzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762appza7f3za791za7za7as4286za7, BGl_z62appzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pragmazd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762pragmaza7d2nilza74287za7, BGl_z62pragmazd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762wideningza7d2ex4288z00,
		BGl_z62wideningzd2exprza2z12zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vlengthza7d2eff4289z00,
		BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_conditionalzd2falsezd2envz00zzast_nodez00,
		BgL_bgl_za762conditionalza7d4290z00,
		BGl_z62conditionalzd2falsezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_atomzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762atomza7f3za791za7za7a4291za7, BGl_z62atomzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762externza7d2effe4292z00, BGl_z62externzd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kwotezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762kwoteza7d2typeza74293za7,
		BGl_z62kwotezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762patchza7d2value4294z00,
		BGl_z62patchzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2patchzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2patchza74295za7, BGl_z62makezd2patchzb0zzast_nodez00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exzd2itzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762jumpza7d2exza7d2i4296za7,
		BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_newzd2exprza2zd2envza2zzast_nodez00,
		BgL_bgl_za762newza7d2exprza7a24297za7, BGl_z62newzd2exprza2z12zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2loc4298z00, BGl_z62vlengthzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sequencezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4299z00, BGl_z62sequencezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762wideningza7d2ef4300z00,
		BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exzd2itzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762setza7d2exza7d2it4301za7,
		BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_privatezd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762privateza7d2nil4302z00, BGl_z62privatezd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762setqza7d2typeza7b4303za7, BGl_z62setqzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzd2keyzd2envz00zzast_nodez00,
		BgL_bgl_za762vlengthza7d2key4304z00, BGl_z62vlengthzd2keyzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appzd2lyzd2argzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762appza7d2lyza7d2ar4305za7,
		BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_externzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762externza7f3za791za74306z00, BGl_z62externzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2bodyzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2b4307za7,
		BGl_z62letzd2funzd2bodyz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2loc4308z00, BGl_z62literalzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2sidezd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24309za7,
		BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sequencezd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762sequenceza7d2ty4310z00,
		BGl_z62sequencezd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vrefzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2effect4311z00,
		BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2funzd2nilzd2envzd2zzast_nodez00,
		BgL_bgl_za762letza7d2funza7d2n4312za7,
		BGl_z62letzd2funzd2nilz62zzast_nodez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closurezd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762closureza7d2typ4313z00, BGl_z62closurezd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzd2nilzd2envz00zzast_nodez00,
		BgL_bgl_za762refza7d2nilza7b0za74314z00, BGl_z62refzd2nilzb0zzast_nodez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vsetz12zd2sidezd2effectzd2envzc0zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2sid4315za7,
		BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vlengthzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762vlengthza7f3za7914316za7, BGl_z62vlengthzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_refzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762refza7f3za791za7za7as4317za7, BGl_z62refzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vsetz12zd2effectzd2envz12zzast_nodez00,
		BgL_bgl_za762vsetza712za7d2eff4318za7,
		BGl_z62vsetz12zd2effectza2zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vlengthzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762vlengthza7d2sid4319z00,
		BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_varzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762varza7f3za791za7za7as4320za7, BGl_z62varzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setfieldzd2otypezd2envz00zzast_nodez00,
		BgL_bgl_za762setfieldza7d2ot4321z00,
		BGl_z62setfieldzd2otypezb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2nodezd2envz00zzast_nodez00,
		BgL_bgl_za762makeza7d2nodeza7b4322za7, BGl_z62makezd2nodezb0zzast_nodez00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762nodeza7d2locza7b04323za7, BGl_z62nodezd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_instanceofzd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762instanceofza7d24324z00,
		BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2exprza2zd2setz12zd2envz62zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ex4325z00,
		BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzd2valuezd2envz00zzast_nodez00,
		BgL_bgl_za762literalza7d2val4326z00, BGl_z62literalzd2valuezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2blockzd2envz00zzast_nodez00,
		BgL_bgl_za762returnza7d2bloc4327z00, BGl_z62returnzd2blockzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getfieldzd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762getfieldza7d2ef4328z00,
		BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_castzd2nullzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762castza7d2nullza7d4329za7,
		BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_failzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762failza7d2locza7b04330za7, BGl_z62failzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2typezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2type4331z00,
		BGl_z62valloczd2typezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_literalzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762literalza7f3za7914332za7, BGl_z62literalzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_switchzd2clauseszd2envz00zzast_nodez00,
		BgL_bgl_za762switchza7d2clau4333z00,
		BGl_z62switchzd2clauseszb0zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2loc4334z00, BGl_z62funcallzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2vtypezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vrefza7d2vtypeza74335za7,
		BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_wideningzf3zd2envz21zzast_nodez00,
		BgL_bgl_za762wideningza7f3za794336za7, BGl_z62wideningzf3z91zzast_nodez00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762patchza7d2index4337z00, BGl_z62patchzd2indexzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_valloczd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4338z00,
		BGl_z62valloczd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_valloczd2effectzd2envz00zzast_nodez00,
		BgL_bgl_za762vallocza7d2effe4339z00, BGl_z62valloczd2effectzb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setqzd2valuezd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762setqza7d2valueza74340za7,
		BGl_z62setqzd2valuezd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2sidezd2effectzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2s4341za7,
		BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2stackablezd2envzd2zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24342za7,
		BGl_z62makezd2boxzd2stackablez62zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_funcallzd2functionszd2envz00zzast_nodez00,
		BgL_bgl_za762funcallza7d2fun4343z00,
		BGl_z62funcallzd2functionszb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_letzd2varzd2bindingszd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762letza7d2varza7d2b4344za7,
		BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2mutexzd2setz12zd2envzc0zzast_nodez00,
		BgL_bgl_za762syncza7d2mutexza74345za7,
		BGl_z62synczd2mutexzd2setz12z70zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vrefzd2czd2formatzd2envzd2zzast_nodez00,
		BgL_bgl_za762vrefza7d2cza7d2fo4346za7,
		BGl_z62vrefzd2czd2formatz62zzast_nodez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_castzd2typezd2envz00zzast_nodez00,
		BgL_bgl_za762castza7d2typeza7b4347za7, BGl_z62castzd2typezb0zzast_nodez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_genpatchidzd2indexzd2envz00zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24348z00,
		BGl_z62genpatchidzd2indexzb0zzast_nodez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2boxzd2typezd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762makeza7d2boxza7d24349za7,
		BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genpatchidzd2sidezd2effectzd2setz12zd2envz12zzast_nodez00,
		BgL_bgl_za762genpatchidza7d24350z00,
		BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_retblockzd2loczd2envz00zzast_nodez00,
		BgL_bgl_za762retblockza7d2lo4351z00, BGl_z62retblockzd2loczb0zzast_nodez00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_closurez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_syncz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_sequencez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2varzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_failz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_externz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_pragmaz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_wideningz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vallocz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_conditionalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_patchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setqz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_returnz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodezf2effectzf2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_newz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vlengthz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_atomz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_getfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_castz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_refz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_varz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_boxzd2setz12zc0zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_appz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vrefz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_nodez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_kwotez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_jumpzd2exzd2itz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_retblockz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_instanceofz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_privatez00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_letzd2funzd2zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_setfieldz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_genpatchidz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_literalz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_switchz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_funcallz00zzast_nodez00));
		     ADD_ROOT((void *) (&BGl_vsetz12z12zzast_nodez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long
		BgL_checksumz00_10689, char *BgL_fromz00_10690)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzast_nodez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_nodez00();
					BGl_libraryzd2moduleszd2initz00zzast_nodez00();
					BGl_cnstzd2initzd2zzast_nodez00();
					BGl_importedzd2moduleszd2initz00zzast_nodez00();
					BGl_objectzd2initzd2zzast_nodez00();
					BGl_genericzd2initzd2zzast_nodez00();
					BGl_methodzd2initzd2zzast_nodez00();
					return BGl_toplevelzd2initzd2zzast_nodez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_node");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_node");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 14 */
				obj_t BgL_cportz00_9052;

				{	/* Ast/node.scm 14 */
					obj_t BgL_stringz00_9059;

					BgL_stringz00_9059 = BGl_string3443z00zzast_nodez00;
					{	/* Ast/node.scm 14 */
						obj_t BgL_startz00_9060;

						BgL_startz00_9060 = BINT(0L);
						{	/* Ast/node.scm 14 */
							obj_t BgL_endz00_9061;

							BgL_endz00_9061 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_9059)));
							{	/* Ast/node.scm 14 */

								BgL_cportz00_9052 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_9059, BgL_startz00_9060, BgL_endz00_9061);
				}}}}
				{
					long BgL_iz00_9053;

					BgL_iz00_9053 = 97L;
				BgL_loopz00_9054:
					if ((BgL_iz00_9053 == (-1L)))
						{	/* Ast/node.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/node.scm 14 */
							{	/* Ast/node.scm 14 */
								obj_t BgL_arg3444z00_9055;

								{	/* Ast/node.scm 14 */

									{	/* Ast/node.scm 14 */
										obj_t BgL_locationz00_9057;

										BgL_locationz00_9057 = BBOOL(((bool_t) 0));
										{	/* Ast/node.scm 14 */

											BgL_arg3444z00_9055 =
												BGl_readz00zz__readerz00(BgL_cportz00_9052,
												BgL_locationz00_9057);
										}
									}
								}
								{	/* Ast/node.scm 14 */
									int BgL_tmpz00_10721;

									BgL_tmpz00_10721 = (int) (BgL_iz00_9053);
									CNST_TABLE_SET(BgL_tmpz00_10721, BgL_arg3444z00_9055);
							}}
							{	/* Ast/node.scm 14 */
								int BgL_auxz00_9058;

								BgL_auxz00_9058 = (int) ((BgL_iz00_9053 - 1L));
								{
									long BgL_iz00_10726;

									BgL_iz00_10726 = (long) (BgL_auxz00_9058);
									BgL_iz00_9053 = BgL_iz00_10726;
									goto BgL_loopz00_9054;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return BUNSPEC;
		}

	}



/* make-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_makezd2nodezd2zzast_nodez00(obj_t
		BgL_loc1735z00_3, BgL_typez00_bglt BgL_type1736z00_4)
	{
		{	/* Ast/nodetype.sch 743 */
			{	/* Ast/nodetype.sch 743 */
				BgL_nodez00_bglt BgL_new1451z00_9063;

				{	/* Ast/nodetype.sch 743 */
					BgL_nodez00_bglt BgL_new1450z00_9064;

					BgL_new1450z00_9064 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/nodetype.sch 743 */
						long BgL_arg1784z00_9065;

						BgL_arg1784z00_9065 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1450z00_9064), BgL_arg1784z00_9065);
					}
					BgL_new1451z00_9063 = BgL_new1450z00_9064;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1451z00_9063))->BgL_locz00) =
					((obj_t) BgL_loc1735z00_3), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1451z00_9063))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1736z00_4), BUNSPEC);
				return BgL_new1451z00_9063;
			}
		}

	}



/* &make-node */
	BgL_nodez00_bglt BGl_z62makezd2nodezb0zzast_nodez00(obj_t BgL_envz00_6309,
		obj_t BgL_loc1735z00_6310, obj_t BgL_type1736z00_6311)
	{
		{	/* Ast/nodetype.sch 743 */
			return
				BGl_makezd2nodezd2zzast_nodez00(BgL_loc1735z00_6310,
				((BgL_typez00_bglt) BgL_type1736z00_6311));
		}

	}



/* node? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf3zf3zzast_nodez00(obj_t BgL_objz00_5)
	{
		{	/* Ast/nodetype.sch 744 */
			{	/* Ast/nodetype.sch 744 */
				obj_t BgL_classz00_9066;

				BgL_classz00_9066 = BGl_nodez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_5))
					{	/* Ast/nodetype.sch 744 */
						BgL_objectz00_bglt BgL_arg1858z00_9067;

						BgL_arg1858z00_9067 = (BgL_objectz00_bglt) (BgL_objz00_5);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 744 */
								long BgL_idxz00_9068;

								BgL_idxz00_9068 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9067);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9068 + 1L)) == BgL_classz00_9066);
							}
						else
							{	/* Ast/nodetype.sch 744 */
								bool_t BgL_res3053z00_9071;

								{	/* Ast/nodetype.sch 744 */
									obj_t BgL_oclassz00_9072;

									{	/* Ast/nodetype.sch 744 */
										obj_t BgL_arg1866z00_9073;
										long BgL_arg1867z00_9074;

										BgL_arg1866z00_9073 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 744 */
											long BgL_arg1869z00_9075;

											BgL_arg1869z00_9075 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9067);
											BgL_arg1867z00_9074 = (BgL_arg1869z00_9075 - OBJECT_TYPE);
										}
										BgL_oclassz00_9072 =
											VECTOR_REF(BgL_arg1866z00_9073, BgL_arg1867z00_9074);
									}
									{	/* Ast/nodetype.sch 744 */
										bool_t BgL__ortest_1115z00_9076;

										BgL__ortest_1115z00_9076 =
											(BgL_classz00_9066 == BgL_oclassz00_9072);
										if (BgL__ortest_1115z00_9076)
											{	/* Ast/nodetype.sch 744 */
												BgL_res3053z00_9071 = BgL__ortest_1115z00_9076;
											}
										else
											{	/* Ast/nodetype.sch 744 */
												long BgL_odepthz00_9077;

												{	/* Ast/nodetype.sch 744 */
													obj_t BgL_arg1855z00_9078;

													BgL_arg1855z00_9078 = (BgL_oclassz00_9072);
													BgL_odepthz00_9077 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9078);
												}
												if ((1L < BgL_odepthz00_9077))
													{	/* Ast/nodetype.sch 744 */
														obj_t BgL_arg1853z00_9079;

														{	/* Ast/nodetype.sch 744 */
															obj_t BgL_arg1854z00_9080;

															BgL_arg1854z00_9080 = (BgL_oclassz00_9072);
															BgL_arg1853z00_9079 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9080,
																1L);
														}
														BgL_res3053z00_9071 =
															(BgL_arg1853z00_9079 == BgL_classz00_9066);
													}
												else
													{	/* Ast/nodetype.sch 744 */
														BgL_res3053z00_9071 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3053z00_9071;
							}
					}
				else
					{	/* Ast/nodetype.sch 744 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node? */
	obj_t BGl_z62nodezf3z91zzast_nodez00(obj_t BgL_envz00_6312,
		obj_t BgL_objz00_6313)
	{
		{	/* Ast/nodetype.sch 744 */
			return BBOOL(BGl_nodezf3zf3zzast_nodez00(BgL_objz00_6313));
		}

	}



/* node-nil */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_nodezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 745 */
			{	/* Ast/nodetype.sch 745 */
				obj_t BgL_classz00_3863;

				BgL_classz00_3863 = BGl_nodez00zzast_nodez00;
				{	/* Ast/nodetype.sch 745 */
					obj_t BgL__ortest_1117z00_3864;

					BgL__ortest_1117z00_3864 = BGL_CLASS_NIL(BgL_classz00_3863);
					if (CBOOL(BgL__ortest_1117z00_3864))
						{	/* Ast/nodetype.sch 745 */
							return ((BgL_nodez00_bglt) BgL__ortest_1117z00_3864);
						}
					else
						{	/* Ast/nodetype.sch 745 */
							return
								((BgL_nodez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3863));
						}
				}
			}
		}

	}



/* &node-nil */
	BgL_nodez00_bglt BGl_z62nodezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6314)
	{
		{	/* Ast/nodetype.sch 745 */
			return BGl_nodezd2nilzd2zzast_nodez00();
		}

	}



/* node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezd2typezd2zzast_nodez00(BgL_nodez00_bglt BgL_oz00_6)
	{
		{	/* Ast/nodetype.sch 746 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_6))->BgL_typez00);
		}

	}



/* &node-type */
	BgL_typez00_bglt BGl_z62nodezd2typezb0zzast_nodez00(obj_t BgL_envz00_6315,
		obj_t BgL_oz00_6316)
	{
		{	/* Ast/nodetype.sch 746 */
			return
				BGl_nodezd2typezd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6316));
		}

	}



/* node-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezd2typezd2setz12z12zzast_nodez00(BgL_nodez00_bglt BgL_oz00_7,
		BgL_typez00_bglt BgL_vz00_8)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				((((BgL_nodez00_bglt) COBJECT(BgL_oz00_7))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_8), BUNSPEC);
		}

	}



/* &node-type-set! */
	obj_t BGl_z62nodezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6317,
		obj_t BgL_oz00_6318, obj_t BgL_vz00_6319)
	{
		{	/* Ast/nodetype.sch 747 */
			return
				BGl_nodezd2typezd2setz12z12zzast_nodez00(
				((BgL_nodez00_bglt) BgL_oz00_6318), ((BgL_typez00_bglt) BgL_vz00_6319));
		}

	}



/* node-loc */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2loczd2zzast_nodez00(BgL_nodez00_bglt
		BgL_oz00_9)
	{
		{	/* Ast/nodetype.sch 748 */
			return (((BgL_nodez00_bglt) COBJECT(BgL_oz00_9))->BgL_locz00);
		}

	}



/* &node-loc */
	obj_t BGl_z62nodezd2loczb0zzast_nodez00(obj_t BgL_envz00_6320,
		obj_t BgL_oz00_6321)
	{
		{	/* Ast/nodetype.sch 748 */
			return BGl_nodezd2loczd2zzast_nodez00(((BgL_nodez00_bglt) BgL_oz00_6321));
		}

	}



/* make-node/effect */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_makezd2nodezf2effectz20zzast_nodez00(obj_t BgL_loc1730z00_12,
		BgL_typez00_bglt BgL_type1731z00_13, obj_t BgL_sidezd2effect1732zd2_14,
		obj_t BgL_key1733z00_15)
	{
		{	/* Ast/nodetype.sch 752 */
			{	/* Ast/nodetype.sch 752 */
				BgL_nodezf2effectzf2_bglt BgL_new1453z00_9081;

				{	/* Ast/nodetype.sch 752 */
					BgL_nodezf2effectzf2_bglt BgL_new1452z00_9082;

					BgL_new1452z00_9082 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/nodetype.sch 752 */
						long BgL_arg1785z00_9083;

						BgL_arg1785z00_9083 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1452z00_9082), BgL_arg1785z00_9083);
					}
					BgL_new1453z00_9081 = BgL_new1452z00_9082;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1453z00_9081)))->BgL_locz00) =
					((obj_t) BgL_loc1730z00_12), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1453z00_9081)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1731z00_13), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1453z00_9081))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1732zd2_14), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1453z00_9081))->
						BgL_keyz00) = ((obj_t) BgL_key1733z00_15), BUNSPEC);
				return BgL_new1453z00_9081;
			}
		}

	}



/* &make-node/effect */
	BgL_nodezf2effectzf2_bglt BGl_z62makezd2nodezf2effectz42zzast_nodez00(obj_t
		BgL_envz00_6322, obj_t BgL_loc1730z00_6323, obj_t BgL_type1731z00_6324,
		obj_t BgL_sidezd2effect1732zd2_6325, obj_t BgL_key1733z00_6326)
	{
		{	/* Ast/nodetype.sch 752 */
			return
				BGl_makezd2nodezf2effectz20zzast_nodez00(BgL_loc1730z00_6323,
				((BgL_typez00_bglt) BgL_type1731z00_6324),
				BgL_sidezd2effect1732zd2_6325, BgL_key1733z00_6326);
		}

	}



/* node/effect? */
	BGL_EXPORTED_DEF bool_t BGl_nodezf2effectzf3z01zzast_nodez00(obj_t
		BgL_objz00_16)
	{
		{	/* Ast/nodetype.sch 753 */
			{	/* Ast/nodetype.sch 753 */
				obj_t BgL_classz00_9084;

				BgL_classz00_9084 = BGl_nodezf2effectzf2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Ast/nodetype.sch 753 */
						BgL_objectz00_bglt BgL_arg1858z00_9085;

						BgL_arg1858z00_9085 = (BgL_objectz00_bglt) (BgL_objz00_16);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 753 */
								long BgL_idxz00_9086;

								BgL_idxz00_9086 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9085);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9086 + 2L)) == BgL_classz00_9084);
							}
						else
							{	/* Ast/nodetype.sch 753 */
								bool_t BgL_res3054z00_9089;

								{	/* Ast/nodetype.sch 753 */
									obj_t BgL_oclassz00_9090;

									{	/* Ast/nodetype.sch 753 */
										obj_t BgL_arg1866z00_9091;
										long BgL_arg1867z00_9092;

										BgL_arg1866z00_9091 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 753 */
											long BgL_arg1869z00_9093;

											BgL_arg1869z00_9093 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9085);
											BgL_arg1867z00_9092 = (BgL_arg1869z00_9093 - OBJECT_TYPE);
										}
										BgL_oclassz00_9090 =
											VECTOR_REF(BgL_arg1866z00_9091, BgL_arg1867z00_9092);
									}
									{	/* Ast/nodetype.sch 753 */
										bool_t BgL__ortest_1115z00_9094;

										BgL__ortest_1115z00_9094 =
											(BgL_classz00_9084 == BgL_oclassz00_9090);
										if (BgL__ortest_1115z00_9094)
											{	/* Ast/nodetype.sch 753 */
												BgL_res3054z00_9089 = BgL__ortest_1115z00_9094;
											}
										else
											{	/* Ast/nodetype.sch 753 */
												long BgL_odepthz00_9095;

												{	/* Ast/nodetype.sch 753 */
													obj_t BgL_arg1855z00_9096;

													BgL_arg1855z00_9096 = (BgL_oclassz00_9090);
													BgL_odepthz00_9095 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9096);
												}
												if ((2L < BgL_odepthz00_9095))
													{	/* Ast/nodetype.sch 753 */
														obj_t BgL_arg1853z00_9097;

														{	/* Ast/nodetype.sch 753 */
															obj_t BgL_arg1854z00_9098;

															BgL_arg1854z00_9098 = (BgL_oclassz00_9090);
															BgL_arg1853z00_9097 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9098,
																2L);
														}
														BgL_res3054z00_9089 =
															(BgL_arg1853z00_9097 == BgL_classz00_9084);
													}
												else
													{	/* Ast/nodetype.sch 753 */
														BgL_res3054z00_9089 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3054z00_9089;
							}
					}
				else
					{	/* Ast/nodetype.sch 753 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &node/effect? */
	obj_t BGl_z62nodezf2effectzf3z63zzast_nodez00(obj_t BgL_envz00_6327,
		obj_t BgL_objz00_6328)
	{
		{	/* Ast/nodetype.sch 753 */
			return BBOOL(BGl_nodezf2effectzf3z01zzast_nodez00(BgL_objz00_6328));
		}

	}



/* node/effect-nil */
	BGL_EXPORTED_DEF BgL_nodezf2effectzf2_bglt
		BGl_nodezf2effectzd2nilz20zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 754 */
			{	/* Ast/nodetype.sch 754 */
				obj_t BgL_classz00_3905;

				BgL_classz00_3905 = BGl_nodezf2effectzf2zzast_nodez00;
				{	/* Ast/nodetype.sch 754 */
					obj_t BgL__ortest_1117z00_3906;

					BgL__ortest_1117z00_3906 = BGL_CLASS_NIL(BgL_classz00_3905);
					if (CBOOL(BgL__ortest_1117z00_3906))
						{	/* Ast/nodetype.sch 754 */
							return ((BgL_nodezf2effectzf2_bglt) BgL__ortest_1117z00_3906);
						}
					else
						{	/* Ast/nodetype.sch 754 */
							return
								((BgL_nodezf2effectzf2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3905));
						}
				}
			}
		}

	}



/* &node/effect-nil */
	BgL_nodezf2effectzf2_bglt BGl_z62nodezf2effectzd2nilz42zzast_nodez00(obj_t
		BgL_envz00_6329)
	{
		{	/* Ast/nodetype.sch 754 */
			return BGl_nodezf2effectzd2nilz20zzast_nodez00();
		}

	}



/* node/effect-key */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_17)
	{
		{	/* Ast/nodetype.sch 755 */
			return (((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_17))->BgL_keyz00);
		}

	}



/* &node/effect-key */
	obj_t BGl_z62nodezf2effectzd2keyz42zzast_nodez00(obj_t BgL_envz00_6330,
		obj_t BgL_oz00_6331)
	{
		{	/* Ast/nodetype.sch 755 */
			return
				BGl_nodezf2effectzd2keyz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6331));
		}

	}



/* node/effect-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_18, obj_t BgL_vz00_19)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_18))->BgL_keyz00) =
				((obj_t) BgL_vz00_19), BUNSPEC);
		}

	}



/* &node/effect-key-set! */
	obj_t BGl_z62nodezf2effectzd2keyzd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6332, obj_t BgL_oz00_6333, obj_t BgL_vz00_6334)
	{
		{	/* Ast/nodetype.sch 756 */
			return
				BGl_nodezf2effectzd2keyzd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6333), BgL_vz00_6334);
		}

	}



/* node/effect-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_20)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_20))->
				BgL_sidezd2effectzd2);
		}

	}



/* &node/effect-side-effect */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectz90zzast_nodez00(obj_t
		BgL_envz00_6335, obj_t BgL_oz00_6336)
	{
		{	/* Ast/nodetype.sch 757 */
			return
				BGl_nodezf2effectzd2sidezd2effectzf2zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6336));
		}

	}



/* node/effect-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00
		(BgL_nodezf2effectzf2_bglt BgL_oz00_21, obj_t BgL_vz00_22)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_oz00_21))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &node/effect-side-effect-set! */
	obj_t BGl_z62nodezf2effectzd2sidezd2effectzd2setz12z50zzast_nodez00(obj_t
		BgL_envz00_6337, obj_t BgL_oz00_6338, obj_t BgL_vz00_6339)
	{
		{	/* Ast/nodetype.sch 758 */
			return
				BGl_nodezf2effectzd2sidezd2effectzd2setz12z32zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6338), BgL_vz00_6339);
		}

	}



/* node/effect-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_nodezf2effectzd2typez20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_23)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_23)))->BgL_typez00);
		}

	}



/* &node/effect-type */
	BgL_typez00_bglt BGl_z62nodezf2effectzd2typez42zzast_nodez00(obj_t
		BgL_envz00_6340, obj_t BgL_oz00_6341)
	{
		{	/* Ast/nodetype.sch 759 */
			return
				BGl_nodezf2effectzd2typez20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6341));
		}

	}



/* node/effect-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_24, BgL_typez00_bglt BgL_vz00_25)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_24)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_25), BUNSPEC);
		}

	}



/* &node/effect-type-set! */
	obj_t BGl_z62nodezf2effectzd2typezd2setz12z82zzast_nodez00(obj_t
		BgL_envz00_6342, obj_t BgL_oz00_6343, obj_t BgL_vz00_6344)
	{
		{	/* Ast/nodetype.sch 760 */
			return
				BGl_nodezf2effectzd2typezd2setz12ze0zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6343),
				((BgL_typez00_bglt) BgL_vz00_6344));
		}

	}



/* node/effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_nodezf2effectzd2locz20zzast_nodez00(BgL_nodezf2effectzf2_bglt
		BgL_oz00_26)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_26)))->BgL_locz00);
		}

	}



/* &node/effect-loc */
	obj_t BGl_z62nodezf2effectzd2locz42zzast_nodez00(obj_t BgL_envz00_6345,
		obj_t BgL_oz00_6346)
	{
		{	/* Ast/nodetype.sch 761 */
			return
				BGl_nodezf2effectzd2locz20zzast_nodez00(
				((BgL_nodezf2effectzf2_bglt) BgL_oz00_6346));
		}

	}



/* atom? */
	BGL_EXPORTED_DEF bool_t BGl_atomzf3zf3zzast_nodez00(obj_t BgL_objz00_29)
	{
		{	/* Ast/nodetype.sch 765 */
			{	/* Ast/nodetype.sch 765 */
				obj_t BgL_classz00_9099;

				BgL_classz00_9099 = BGl_atomz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_29))
					{	/* Ast/nodetype.sch 765 */
						BgL_objectz00_bglt BgL_arg1858z00_9100;

						BgL_arg1858z00_9100 = (BgL_objectz00_bglt) (BgL_objz00_29);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 765 */
								long BgL_idxz00_9101;

								BgL_idxz00_9101 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9100);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9101 + 2L)) == BgL_classz00_9099);
							}
						else
							{	/* Ast/nodetype.sch 765 */
								bool_t BgL_res3055z00_9104;

								{	/* Ast/nodetype.sch 765 */
									obj_t BgL_oclassz00_9105;

									{	/* Ast/nodetype.sch 765 */
										obj_t BgL_arg1866z00_9106;
										long BgL_arg1867z00_9107;

										BgL_arg1866z00_9106 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 765 */
											long BgL_arg1869z00_9108;

											BgL_arg1869z00_9108 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9100);
											BgL_arg1867z00_9107 = (BgL_arg1869z00_9108 - OBJECT_TYPE);
										}
										BgL_oclassz00_9105 =
											VECTOR_REF(BgL_arg1866z00_9106, BgL_arg1867z00_9107);
									}
									{	/* Ast/nodetype.sch 765 */
										bool_t BgL__ortest_1115z00_9109;

										BgL__ortest_1115z00_9109 =
											(BgL_classz00_9099 == BgL_oclassz00_9105);
										if (BgL__ortest_1115z00_9109)
											{	/* Ast/nodetype.sch 765 */
												BgL_res3055z00_9104 = BgL__ortest_1115z00_9109;
											}
										else
											{	/* Ast/nodetype.sch 765 */
												long BgL_odepthz00_9110;

												{	/* Ast/nodetype.sch 765 */
													obj_t BgL_arg1855z00_9111;

													BgL_arg1855z00_9111 = (BgL_oclassz00_9105);
													BgL_odepthz00_9110 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9111);
												}
												if ((2L < BgL_odepthz00_9110))
													{	/* Ast/nodetype.sch 765 */
														obj_t BgL_arg1853z00_9112;

														{	/* Ast/nodetype.sch 765 */
															obj_t BgL_arg1854z00_9113;

															BgL_arg1854z00_9113 = (BgL_oclassz00_9105);
															BgL_arg1853z00_9112 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9113,
																2L);
														}
														BgL_res3055z00_9104 =
															(BgL_arg1853z00_9112 == BgL_classz00_9099);
													}
												else
													{	/* Ast/nodetype.sch 765 */
														BgL_res3055z00_9104 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3055z00_9104;
							}
					}
				else
					{	/* Ast/nodetype.sch 765 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &atom? */
	obj_t BGl_z62atomzf3z91zzast_nodez00(obj_t BgL_envz00_6347,
		obj_t BgL_objz00_6348)
	{
		{	/* Ast/nodetype.sch 765 */
			return BBOOL(BGl_atomzf3zf3zzast_nodez00(BgL_objz00_6348));
		}

	}



/* atom-nil */
	BGL_EXPORTED_DEF BgL_atomz00_bglt BGl_atomzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 766 */
			{	/* Ast/nodetype.sch 766 */
				obj_t BgL_classz00_3941;

				BgL_classz00_3941 = BGl_atomz00zzast_nodez00;
				{	/* Ast/nodetype.sch 766 */
					obj_t BgL__ortest_1117z00_3942;

					BgL__ortest_1117z00_3942 = BGL_CLASS_NIL(BgL_classz00_3941);
					if (CBOOL(BgL__ortest_1117z00_3942))
						{	/* Ast/nodetype.sch 766 */
							return ((BgL_atomz00_bglt) BgL__ortest_1117z00_3942);
						}
					else
						{	/* Ast/nodetype.sch 766 */
							return
								((BgL_atomz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3941));
						}
				}
			}
		}

	}



/* &atom-nil */
	BgL_atomz00_bglt BGl_z62atomzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6349)
	{
		{	/* Ast/nodetype.sch 766 */
			return BGl_atomzd2nilzd2zzast_nodez00();
		}

	}



/* atom-value */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2valuezd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_30)
	{
		{	/* Ast/nodetype.sch 767 */
			return (((BgL_atomz00_bglt) COBJECT(BgL_oz00_30))->BgL_valuez00);
		}

	}



/* &atom-value */
	obj_t BGl_z62atomzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6350,
		obj_t BgL_oz00_6351)
	{
		{	/* Ast/nodetype.sch 767 */
			return
				BGl_atomzd2valuezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6351));
		}

	}



/* atom-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2valuezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				((((BgL_atomz00_bglt) COBJECT(BgL_oz00_31))->BgL_valuez00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &atom-value-set! */
	obj_t BGl_z62atomzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6352,
		obj_t BgL_oz00_6353, obj_t BgL_vz00_6354)
	{
		{	/* Ast/nodetype.sch 768 */
			return
				BGl_atomzd2valuezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6353), BgL_vz00_6354);
		}

	}



/* atom-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_atomzd2typezd2zzast_nodez00(BgL_atomz00_bglt BgL_oz00_33)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_33)))->BgL_typez00);
		}

	}



/* &atom-type */
	BgL_typez00_bglt BGl_z62atomzd2typezb0zzast_nodez00(obj_t BgL_envz00_6355,
		obj_t BgL_oz00_6356)
	{
		{	/* Ast/nodetype.sch 769 */
			return
				BGl_atomzd2typezd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6356));
		}

	}



/* atom-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_atomzd2typezd2setz12z12zzast_nodez00(BgL_atomz00_bglt BgL_oz00_34,
		BgL_typez00_bglt BgL_vz00_35)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_34)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_35), BUNSPEC);
		}

	}



/* &atom-type-set! */
	obj_t BGl_z62atomzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6357,
		obj_t BgL_oz00_6358, obj_t BgL_vz00_6359)
	{
		{	/* Ast/nodetype.sch 770 */
			return
				BGl_atomzd2typezd2setz12z12zzast_nodez00(
				((BgL_atomz00_bglt) BgL_oz00_6358), ((BgL_typez00_bglt) BgL_vz00_6359));
		}

	}



/* atom-loc */
	BGL_EXPORTED_DEF obj_t BGl_atomzd2loczd2zzast_nodez00(BgL_atomz00_bglt
		BgL_oz00_36)
	{
		{	/* Ast/nodetype.sch 771 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_36)))->BgL_locz00);
		}

	}



/* &atom-loc */
	obj_t BGl_z62atomzd2loczb0zzast_nodez00(obj_t BgL_envz00_6360,
		obj_t BgL_oz00_6361)
	{
		{	/* Ast/nodetype.sch 771 */
			return BGl_atomzd2loczd2zzast_nodez00(((BgL_atomz00_bglt) BgL_oz00_6361));
		}

	}



/* make-literal */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_makezd2literalzd2zzast_nodez00(obj_t
		BgL_loc1725z00_39, BgL_typez00_bglt BgL_type1726z00_40,
		obj_t BgL_value1727z00_41)
	{
		{	/* Ast/nodetype.sch 775 */
			{	/* Ast/nodetype.sch 775 */
				BgL_literalz00_bglt BgL_new1455z00_9114;

				{	/* Ast/nodetype.sch 775 */
					BgL_literalz00_bglt BgL_new1454z00_9115;

					BgL_new1454z00_9115 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/nodetype.sch 775 */
						long BgL_arg1786z00_9116;

						BgL_arg1786z00_9116 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1454z00_9115), BgL_arg1786z00_9116);
					}
					{	/* Ast/nodetype.sch 775 */
						BgL_objectz00_bglt BgL_tmpz00_10900;

						BgL_tmpz00_10900 = ((BgL_objectz00_bglt) BgL_new1454z00_9115);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10900, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1454z00_9115);
					BgL_new1455z00_9114 = BgL_new1454z00_9115;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1455z00_9114)))->BgL_locz00) =
					((obj_t) BgL_loc1725z00_39), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1455z00_9114)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1726z00_40), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1455z00_9114)))->BgL_valuez00) =
					((obj_t) BgL_value1727z00_41), BUNSPEC);
				return BgL_new1455z00_9114;
			}
		}

	}



/* &make-literal */
	BgL_literalz00_bglt BGl_z62makezd2literalzb0zzast_nodez00(obj_t
		BgL_envz00_6362, obj_t BgL_loc1725z00_6363, obj_t BgL_type1726z00_6364,
		obj_t BgL_value1727z00_6365)
	{
		{	/* Ast/nodetype.sch 775 */
			return
				BGl_makezd2literalzd2zzast_nodez00(BgL_loc1725z00_6363,
				((BgL_typez00_bglt) BgL_type1726z00_6364), BgL_value1727z00_6365);
		}

	}



/* literal? */
	BGL_EXPORTED_DEF bool_t BGl_literalzf3zf3zzast_nodez00(obj_t BgL_objz00_42)
	{
		{	/* Ast/nodetype.sch 776 */
			{	/* Ast/nodetype.sch 776 */
				obj_t BgL_classz00_9117;

				BgL_classz00_9117 = BGl_literalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_42))
					{	/* Ast/nodetype.sch 776 */
						BgL_objectz00_bglt BgL_arg1858z00_9118;

						BgL_arg1858z00_9118 = (BgL_objectz00_bglt) (BgL_objz00_42);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 776 */
								long BgL_idxz00_9119;

								BgL_idxz00_9119 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9118);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9119 + 3L)) == BgL_classz00_9117);
							}
						else
							{	/* Ast/nodetype.sch 776 */
								bool_t BgL_res3056z00_9122;

								{	/* Ast/nodetype.sch 776 */
									obj_t BgL_oclassz00_9123;

									{	/* Ast/nodetype.sch 776 */
										obj_t BgL_arg1866z00_9124;
										long BgL_arg1867z00_9125;

										BgL_arg1866z00_9124 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 776 */
											long BgL_arg1869z00_9126;

											BgL_arg1869z00_9126 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9118);
											BgL_arg1867z00_9125 = (BgL_arg1869z00_9126 - OBJECT_TYPE);
										}
										BgL_oclassz00_9123 =
											VECTOR_REF(BgL_arg1866z00_9124, BgL_arg1867z00_9125);
									}
									{	/* Ast/nodetype.sch 776 */
										bool_t BgL__ortest_1115z00_9127;

										BgL__ortest_1115z00_9127 =
											(BgL_classz00_9117 == BgL_oclassz00_9123);
										if (BgL__ortest_1115z00_9127)
											{	/* Ast/nodetype.sch 776 */
												BgL_res3056z00_9122 = BgL__ortest_1115z00_9127;
											}
										else
											{	/* Ast/nodetype.sch 776 */
												long BgL_odepthz00_9128;

												{	/* Ast/nodetype.sch 776 */
													obj_t BgL_arg1855z00_9129;

													BgL_arg1855z00_9129 = (BgL_oclassz00_9123);
													BgL_odepthz00_9128 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9129);
												}
												if ((3L < BgL_odepthz00_9128))
													{	/* Ast/nodetype.sch 776 */
														obj_t BgL_arg1853z00_9130;

														{	/* Ast/nodetype.sch 776 */
															obj_t BgL_arg1854z00_9131;

															BgL_arg1854z00_9131 = (BgL_oclassz00_9123);
															BgL_arg1853z00_9130 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9131,
																3L);
														}
														BgL_res3056z00_9122 =
															(BgL_arg1853z00_9130 == BgL_classz00_9117);
													}
												else
													{	/* Ast/nodetype.sch 776 */
														BgL_res3056z00_9122 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3056z00_9122;
							}
					}
				else
					{	/* Ast/nodetype.sch 776 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &literal? */
	obj_t BGl_z62literalzf3z91zzast_nodez00(obj_t BgL_envz00_6366,
		obj_t BgL_objz00_6367)
	{
		{	/* Ast/nodetype.sch 776 */
			return BBOOL(BGl_literalzf3zf3zzast_nodez00(BgL_objz00_6367));
		}

	}



/* literal-nil */
	BGL_EXPORTED_DEF BgL_literalz00_bglt BGl_literalzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 777 */
			{	/* Ast/nodetype.sch 777 */
				obj_t BgL_classz00_3984;

				BgL_classz00_3984 = BGl_literalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 777 */
					obj_t BgL__ortest_1117z00_3985;

					BgL__ortest_1117z00_3985 = BGL_CLASS_NIL(BgL_classz00_3984);
					if (CBOOL(BgL__ortest_1117z00_3985))
						{	/* Ast/nodetype.sch 777 */
							return ((BgL_literalz00_bglt) BgL__ortest_1117z00_3985);
						}
					else
						{	/* Ast/nodetype.sch 777 */
							return
								((BgL_literalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3984));
						}
				}
			}
		}

	}



/* &literal-nil */
	BgL_literalz00_bglt BGl_z62literalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6368)
	{
		{	/* Ast/nodetype.sch 777 */
			return BGl_literalzd2nilzd2zzast_nodez00();
		}

	}



/* literal-value */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2valuezd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_43)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_43)))->BgL_valuez00);
		}

	}



/* &literal-value */
	obj_t BGl_z62literalzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6369,
		obj_t BgL_oz00_6370)
	{
		{	/* Ast/nodetype.sch 778 */
			return
				BGl_literalzd2valuezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6370));
		}

	}



/* literal-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2valuezd2setz12z12zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_44)))->BgL_valuez00) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &literal-value-set! */
	obj_t BGl_z62literalzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6371,
		obj_t BgL_oz00_6372, obj_t BgL_vz00_6373)
	{
		{	/* Ast/nodetype.sch 779 */
			return
				BGl_literalzd2valuezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6372), BgL_vz00_6373);
		}

	}



/* literal-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_literalzd2typezd2zzast_nodez00(BgL_literalz00_bglt BgL_oz00_46)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_46)))->BgL_typez00);
		}

	}



/* &literal-type */
	BgL_typez00_bglt BGl_z62literalzd2typezb0zzast_nodez00(obj_t BgL_envz00_6374,
		obj_t BgL_oz00_6375)
	{
		{	/* Ast/nodetype.sch 780 */
			return
				BGl_literalzd2typezd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6375));
		}

	}



/* literal-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_literalzd2typezd2setz12z12zzast_nodez00(BgL_literalz00_bglt BgL_oz00_47,
		BgL_typez00_bglt BgL_vz00_48)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_47)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_48), BUNSPEC);
		}

	}



/* &literal-type-set! */
	obj_t BGl_z62literalzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6376,
		obj_t BgL_oz00_6377, obj_t BgL_vz00_6378)
	{
		{	/* Ast/nodetype.sch 781 */
			return
				BGl_literalzd2typezd2setz12z12zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6377),
				((BgL_typez00_bglt) BgL_vz00_6378));
		}

	}



/* literal-loc */
	BGL_EXPORTED_DEF obj_t BGl_literalzd2loczd2zzast_nodez00(BgL_literalz00_bglt
		BgL_oz00_49)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &literal-loc */
	obj_t BGl_z62literalzd2loczb0zzast_nodez00(obj_t BgL_envz00_6379,
		obj_t BgL_oz00_6380)
	{
		{	/* Ast/nodetype.sch 782 */
			return
				BGl_literalzd2loczd2zzast_nodez00(
				((BgL_literalz00_bglt) BgL_oz00_6380));
		}

	}



/* make-patch */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_makezd2patchzd2zzast_nodez00(obj_t
		BgL_loc1717z00_52, BgL_typez00_bglt BgL_type1718z00_53,
		obj_t BgL_value1719z00_54, BgL_varz00_bglt BgL_ref1720z00_55,
		long BgL_index1721z00_56, obj_t BgL_patchid1722z00_57)
	{
		{	/* Ast/nodetype.sch 786 */
			{	/* Ast/nodetype.sch 786 */
				BgL_patchz00_bglt BgL_new1457z00_9132;

				{	/* Ast/nodetype.sch 786 */
					BgL_patchz00_bglt BgL_new1456z00_9133;

					BgL_new1456z00_9133 =
						((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_patchz00_bgl))));
					{	/* Ast/nodetype.sch 786 */
						long BgL_arg1789z00_9134;

						BgL_arg1789z00_9134 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1456z00_9133), BgL_arg1789z00_9134);
					}
					{	/* Ast/nodetype.sch 786 */
						BgL_objectz00_bglt BgL_tmpz00_10968;

						BgL_tmpz00_10968 = ((BgL_objectz00_bglt) BgL_new1456z00_9133);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_10968, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1456z00_9133);
					BgL_new1457z00_9132 = BgL_new1456z00_9133;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1457z00_9132)))->BgL_locz00) =
					((obj_t) BgL_loc1717z00_52), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1457z00_9132)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1718z00_53), BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1457z00_9132)))->BgL_valuez00) =
					((obj_t) BgL_value1719z00_54), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1457z00_9132))->BgL_refz00) =
					((BgL_varz00_bglt) BgL_ref1720z00_55), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1457z00_9132))->BgL_indexz00) =
					((long) BgL_index1721z00_56), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(BgL_new1457z00_9132))->BgL_patchidz00) =
					((obj_t) BgL_patchid1722z00_57), BUNSPEC);
				return BgL_new1457z00_9132;
			}
		}

	}



/* &make-patch */
	BgL_patchz00_bglt BGl_z62makezd2patchzb0zzast_nodez00(obj_t BgL_envz00_6381,
		obj_t BgL_loc1717z00_6382, obj_t BgL_type1718z00_6383,
		obj_t BgL_value1719z00_6384, obj_t BgL_ref1720z00_6385,
		obj_t BgL_index1721z00_6386, obj_t BgL_patchid1722z00_6387)
	{
		{	/* Ast/nodetype.sch 786 */
			return
				BGl_makezd2patchzd2zzast_nodez00(BgL_loc1717z00_6382,
				((BgL_typez00_bglt) BgL_type1718z00_6383), BgL_value1719z00_6384,
				((BgL_varz00_bglt) BgL_ref1720z00_6385),
				(long) CINT(BgL_index1721z00_6386), BgL_patchid1722z00_6387);
		}

	}



/* patch? */
	BGL_EXPORTED_DEF bool_t BGl_patchzf3zf3zzast_nodez00(obj_t BgL_objz00_58)
	{
		{	/* Ast/nodetype.sch 787 */
			{	/* Ast/nodetype.sch 787 */
				obj_t BgL_classz00_9135;

				BgL_classz00_9135 = BGl_patchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_58))
					{	/* Ast/nodetype.sch 787 */
						BgL_objectz00_bglt BgL_arg1858z00_9136;

						BgL_arg1858z00_9136 = (BgL_objectz00_bglt) (BgL_objz00_58);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 787 */
								long BgL_idxz00_9137;

								BgL_idxz00_9137 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9136);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9137 + 3L)) == BgL_classz00_9135);
							}
						else
							{	/* Ast/nodetype.sch 787 */
								bool_t BgL_res3057z00_9140;

								{	/* Ast/nodetype.sch 787 */
									obj_t BgL_oclassz00_9141;

									{	/* Ast/nodetype.sch 787 */
										obj_t BgL_arg1866z00_9142;
										long BgL_arg1867z00_9143;

										BgL_arg1866z00_9142 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 787 */
											long BgL_arg1869z00_9144;

											BgL_arg1869z00_9144 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9136);
											BgL_arg1867z00_9143 = (BgL_arg1869z00_9144 - OBJECT_TYPE);
										}
										BgL_oclassz00_9141 =
											VECTOR_REF(BgL_arg1866z00_9142, BgL_arg1867z00_9143);
									}
									{	/* Ast/nodetype.sch 787 */
										bool_t BgL__ortest_1115z00_9145;

										BgL__ortest_1115z00_9145 =
											(BgL_classz00_9135 == BgL_oclassz00_9141);
										if (BgL__ortest_1115z00_9145)
											{	/* Ast/nodetype.sch 787 */
												BgL_res3057z00_9140 = BgL__ortest_1115z00_9145;
											}
										else
											{	/* Ast/nodetype.sch 787 */
												long BgL_odepthz00_9146;

												{	/* Ast/nodetype.sch 787 */
													obj_t BgL_arg1855z00_9147;

													BgL_arg1855z00_9147 = (BgL_oclassz00_9141);
													BgL_odepthz00_9146 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9147);
												}
												if ((3L < BgL_odepthz00_9146))
													{	/* Ast/nodetype.sch 787 */
														obj_t BgL_arg1853z00_9148;

														{	/* Ast/nodetype.sch 787 */
															obj_t BgL_arg1854z00_9149;

															BgL_arg1854z00_9149 = (BgL_oclassz00_9141);
															BgL_arg1853z00_9148 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9149,
																3L);
														}
														BgL_res3057z00_9140 =
															(BgL_arg1853z00_9148 == BgL_classz00_9135);
													}
												else
													{	/* Ast/nodetype.sch 787 */
														BgL_res3057z00_9140 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3057z00_9140;
							}
					}
				else
					{	/* Ast/nodetype.sch 787 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &patch? */
	obj_t BGl_z62patchzf3z91zzast_nodez00(obj_t BgL_envz00_6388,
		obj_t BgL_objz00_6389)
	{
		{	/* Ast/nodetype.sch 787 */
			return BBOOL(BGl_patchzf3zf3zzast_nodez00(BgL_objz00_6389));
		}

	}



/* patch-nil */
	BGL_EXPORTED_DEF BgL_patchz00_bglt BGl_patchzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 788 */
			{	/* Ast/nodetype.sch 788 */
				obj_t BgL_classz00_4027;

				BgL_classz00_4027 = BGl_patchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 788 */
					obj_t BgL__ortest_1117z00_4028;

					BgL__ortest_1117z00_4028 = BGL_CLASS_NIL(BgL_classz00_4027);
					if (CBOOL(BgL__ortest_1117z00_4028))
						{	/* Ast/nodetype.sch 788 */
							return ((BgL_patchz00_bglt) BgL__ortest_1117z00_4028);
						}
					else
						{	/* Ast/nodetype.sch 788 */
							return
								((BgL_patchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4027));
						}
				}
			}
		}

	}



/* &patch-nil */
	BgL_patchz00_bglt BGl_z62patchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6390)
	{
		{	/* Ast/nodetype.sch 788 */
			return BGl_patchzd2nilzd2zzast_nodez00();
		}

	}



/* patch-patchid */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2patchidzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_59)
	{
		{	/* Ast/nodetype.sch 789 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_59))->BgL_patchidz00);
		}

	}



/* &patch-patchid */
	obj_t BGl_z62patchzd2patchidzb0zzast_nodez00(obj_t BgL_envz00_6391,
		obj_t BgL_oz00_6392)
	{
		{	/* Ast/nodetype.sch 789 */
			return
				BGl_patchzd2patchidzd2zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6392));
		}

	}



/* patch-patchid-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2patchidzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_60,
		obj_t BgL_vz00_61)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_60))->BgL_patchidz00) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &patch-patchid-set! */
	obj_t BGl_z62patchzd2patchidzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6393,
		obj_t BgL_oz00_6394, obj_t BgL_vz00_6395)
	{
		{	/* Ast/nodetype.sch 790 */
			return
				BGl_patchzd2patchidzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6394), BgL_vz00_6395);
		}

	}



/* patch-index */
	BGL_EXPORTED_DEF long BGl_patchzd2indexzd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_62)
	{
		{	/* Ast/nodetype.sch 791 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_62))->BgL_indexz00);
		}

	}



/* &patch-index */
	obj_t BGl_z62patchzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6396,
		obj_t BgL_oz00_6397)
	{
		{	/* Ast/nodetype.sch 791 */
			return
				BINT(BGl_patchzd2indexzd2zzast_nodez00(
					((BgL_patchz00_bglt) BgL_oz00_6397)));
		}

	}



/* patch-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2indexzd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_63,
		long BgL_vz00_64)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				((((BgL_patchz00_bglt) COBJECT(BgL_oz00_63))->BgL_indexz00) =
				((long) BgL_vz00_64), BUNSPEC);
		}

	}



/* &patch-index-set! */
	obj_t BGl_z62patchzd2indexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6398,
		obj_t BgL_oz00_6399, obj_t BgL_vz00_6400)
	{
		{	/* Ast/nodetype.sch 792 */
			return
				BGl_patchzd2indexzd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6399), (long) CINT(BgL_vz00_6400));
		}

	}



/* patch-ref */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_patchzd2refzd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_65)
	{
		{	/* Ast/nodetype.sch 793 */
			return (((BgL_patchz00_bglt) COBJECT(BgL_oz00_65))->BgL_refz00);
		}

	}



/* &patch-ref */
	BgL_varz00_bglt BGl_z62patchzd2refzb0zzast_nodez00(obj_t BgL_envz00_6401,
		obj_t BgL_oz00_6402)
	{
		{	/* Ast/nodetype.sch 793 */
			return
				BGl_patchzd2refzd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6402));
		}

	}



/* patch-value */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2valuezd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_68)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_68)))->BgL_valuez00);
		}

	}



/* &patch-value */
	obj_t BGl_z62patchzd2valuezb0zzast_nodez00(obj_t BgL_envz00_6403,
		obj_t BgL_oz00_6404)
	{
		{	/* Ast/nodetype.sch 795 */
			return
				BGl_patchzd2valuezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6404));
		}

	}



/* patch-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2valuezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_69,
		obj_t BgL_vz00_70)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_69)))->BgL_valuez00) =
				((obj_t) BgL_vz00_70), BUNSPEC);
		}

	}



/* &patch-value-set! */
	obj_t BGl_z62patchzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6405,
		obj_t BgL_oz00_6406, obj_t BgL_vz00_6407)
	{
		{	/* Ast/nodetype.sch 796 */
			return
				BGl_patchzd2valuezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6406), BgL_vz00_6407);
		}

	}



/* patch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_patchzd2typezd2zzast_nodez00(BgL_patchz00_bglt BgL_oz00_71)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_71)))->BgL_typez00);
		}

	}



/* &patch-type */
	BgL_typez00_bglt BGl_z62patchzd2typezb0zzast_nodez00(obj_t BgL_envz00_6408,
		obj_t BgL_oz00_6409)
	{
		{	/* Ast/nodetype.sch 797 */
			return
				BGl_patchzd2typezd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6409));
		}

	}



/* patch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_patchzd2typezd2setz12z12zzast_nodez00(BgL_patchz00_bglt BgL_oz00_72,
		BgL_typez00_bglt BgL_vz00_73)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_72)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_73), BUNSPEC);
		}

	}



/* &patch-type-set! */
	obj_t BGl_z62patchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6410,
		obj_t BgL_oz00_6411, obj_t BgL_vz00_6412)
	{
		{	/* Ast/nodetype.sch 798 */
			return
				BGl_patchzd2typezd2setz12z12zzast_nodez00(
				((BgL_patchz00_bglt) BgL_oz00_6411),
				((BgL_typez00_bglt) BgL_vz00_6412));
		}

	}



/* patch-loc */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2loczd2zzast_nodez00(BgL_patchz00_bglt
		BgL_oz00_74)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_74)))->BgL_locz00);
		}

	}



/* &patch-loc */
	obj_t BGl_z62patchzd2loczb0zzast_nodez00(obj_t BgL_envz00_6413,
		obj_t BgL_oz00_6414)
	{
		{	/* Ast/nodetype.sch 799 */
			return
				BGl_patchzd2loczd2zzast_nodez00(((BgL_patchz00_bglt) BgL_oz00_6414));
		}

	}



/* var? */
	BGL_EXPORTED_DEF bool_t BGl_varzf3zf3zzast_nodez00(obj_t BgL_objz00_77)
	{
		{	/* Ast/nodetype.sch 803 */
			{	/* Ast/nodetype.sch 803 */
				obj_t BgL_classz00_9150;

				BgL_classz00_9150 = BGl_varz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_77))
					{	/* Ast/nodetype.sch 803 */
						BgL_objectz00_bglt BgL_arg1858z00_9151;

						BgL_arg1858z00_9151 = (BgL_objectz00_bglt) (BgL_objz00_77);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 803 */
								long BgL_idxz00_9152;

								BgL_idxz00_9152 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9151);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9152 + 2L)) == BgL_classz00_9150);
							}
						else
							{	/* Ast/nodetype.sch 803 */
								bool_t BgL_res3058z00_9155;

								{	/* Ast/nodetype.sch 803 */
									obj_t BgL_oclassz00_9156;

									{	/* Ast/nodetype.sch 803 */
										obj_t BgL_arg1866z00_9157;
										long BgL_arg1867z00_9158;

										BgL_arg1866z00_9157 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 803 */
											long BgL_arg1869z00_9159;

											BgL_arg1869z00_9159 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9151);
											BgL_arg1867z00_9158 = (BgL_arg1869z00_9159 - OBJECT_TYPE);
										}
										BgL_oclassz00_9156 =
											VECTOR_REF(BgL_arg1866z00_9157, BgL_arg1867z00_9158);
									}
									{	/* Ast/nodetype.sch 803 */
										bool_t BgL__ortest_1115z00_9160;

										BgL__ortest_1115z00_9160 =
											(BgL_classz00_9150 == BgL_oclassz00_9156);
										if (BgL__ortest_1115z00_9160)
											{	/* Ast/nodetype.sch 803 */
												BgL_res3058z00_9155 = BgL__ortest_1115z00_9160;
											}
										else
											{	/* Ast/nodetype.sch 803 */
												long BgL_odepthz00_9161;

												{	/* Ast/nodetype.sch 803 */
													obj_t BgL_arg1855z00_9162;

													BgL_arg1855z00_9162 = (BgL_oclassz00_9156);
													BgL_odepthz00_9161 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9162);
												}
												if ((2L < BgL_odepthz00_9161))
													{	/* Ast/nodetype.sch 803 */
														obj_t BgL_arg1853z00_9163;

														{	/* Ast/nodetype.sch 803 */
															obj_t BgL_arg1854z00_9164;

															BgL_arg1854z00_9164 = (BgL_oclassz00_9156);
															BgL_arg1853z00_9163 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9164,
																2L);
														}
														BgL_res3058z00_9155 =
															(BgL_arg1853z00_9163 == BgL_classz00_9150);
													}
												else
													{	/* Ast/nodetype.sch 803 */
														BgL_res3058z00_9155 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3058z00_9155;
							}
					}
				else
					{	/* Ast/nodetype.sch 803 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &var? */
	obj_t BGl_z62varzf3z91zzast_nodez00(obj_t BgL_envz00_6415,
		obj_t BgL_objz00_6416)
	{
		{	/* Ast/nodetype.sch 803 */
			return BBOOL(BGl_varzf3zf3zzast_nodez00(BgL_objz00_6416));
		}

	}



/* var-nil */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_varzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 804 */
			{	/* Ast/nodetype.sch 804 */
				obj_t BgL_classz00_4063;

				BgL_classz00_4063 = BGl_varz00zzast_nodez00;
				{	/* Ast/nodetype.sch 804 */
					obj_t BgL__ortest_1117z00_4064;

					BgL__ortest_1117z00_4064 = BGL_CLASS_NIL(BgL_classz00_4063);
					if (CBOOL(BgL__ortest_1117z00_4064))
						{	/* Ast/nodetype.sch 804 */
							return ((BgL_varz00_bglt) BgL__ortest_1117z00_4064);
						}
					else
						{	/* Ast/nodetype.sch 804 */
							return
								((BgL_varz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4063));
						}
				}
			}
		}

	}



/* &var-nil */
	BgL_varz00_bglt BGl_z62varzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6417)
	{
		{	/* Ast/nodetype.sch 804 */
			return BGl_varzd2nilzd2zzast_nodez00();
		}

	}



/* var-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_varzd2variablezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_78)
	{
		{	/* Ast/nodetype.sch 805 */
			return (((BgL_varz00_bglt) COBJECT(BgL_oz00_78))->BgL_variablez00);
		}

	}



/* &var-variable */
	BgL_variablez00_bglt BGl_z62varzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6418, obj_t BgL_oz00_6419)
	{
		{	/* Ast/nodetype.sch 805 */
			return
				BGl_varzd2variablezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6419));
		}

	}



/* var-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_varzd2variablezd2setz12z12zzast_nodez00(BgL_varz00_bglt BgL_oz00_79,
		BgL_variablez00_bglt BgL_vz00_80)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				((((BgL_varz00_bglt) COBJECT(BgL_oz00_79))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_80), BUNSPEC);
		}

	}



/* &var-variable-set! */
	obj_t BGl_z62varzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6420,
		obj_t BgL_oz00_6421, obj_t BgL_vz00_6422)
	{
		{	/* Ast/nodetype.sch 806 */
			return
				BGl_varzd2variablezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6421),
				((BgL_variablez00_bglt) BgL_vz00_6422));
		}

	}



/* var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_varzd2typezd2zzast_nodez00(BgL_varz00_bglt BgL_oz00_81)
	{
		{	/* Ast/nodetype.sch 807 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_81)))->BgL_typez00);
		}

	}



/* &var-type */
	BgL_typez00_bglt BGl_z62varzd2typezb0zzast_nodez00(obj_t BgL_envz00_6423,
		obj_t BgL_oz00_6424)
	{
		{	/* Ast/nodetype.sch 807 */
			return BGl_varzd2typezd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6424));
		}

	}



/* var-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_varzd2typezd2setz12z12zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_82, BgL_typez00_bglt BgL_vz00_83)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_82)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_83), BUNSPEC);
		}

	}



/* &var-type-set! */
	obj_t BGl_z62varzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6425,
		obj_t BgL_oz00_6426, obj_t BgL_vz00_6427)
	{
		{	/* Ast/nodetype.sch 808 */
			return
				BGl_varzd2typezd2setz12z12zzast_nodez00(
				((BgL_varz00_bglt) BgL_oz00_6426), ((BgL_typez00_bglt) BgL_vz00_6427));
		}

	}



/* var-loc */
	BGL_EXPORTED_DEF obj_t BGl_varzd2loczd2zzast_nodez00(BgL_varz00_bglt
		BgL_oz00_84)
	{
		{	/* Ast/nodetype.sch 809 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_84)))->BgL_locz00);
		}

	}



/* &var-loc */
	obj_t BGl_z62varzd2loczb0zzast_nodez00(obj_t BgL_envz00_6428,
		obj_t BgL_oz00_6429)
	{
		{	/* Ast/nodetype.sch 809 */
			return BGl_varzd2loczd2zzast_nodez00(((BgL_varz00_bglt) BgL_oz00_6429));
		}

	}



/* make-ref */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_makezd2refzd2zzast_nodez00(obj_t
		BgL_loc1712z00_87, BgL_typez00_bglt BgL_type1713z00_88,
		BgL_variablez00_bglt BgL_variable1714z00_89)
	{
		{	/* Ast/nodetype.sch 813 */
			{	/* Ast/nodetype.sch 813 */
				BgL_refz00_bglt BgL_new1459z00_9165;

				{	/* Ast/nodetype.sch 813 */
					BgL_refz00_bglt BgL_new1458z00_9166;

					BgL_new1458z00_9166 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/nodetype.sch 813 */
						long BgL_arg1790z00_9167;

						BgL_arg1790z00_9167 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1458z00_9166), BgL_arg1790z00_9167);
					}
					{	/* Ast/nodetype.sch 813 */
						BgL_objectz00_bglt BgL_tmpz00_11109;

						BgL_tmpz00_11109 = ((BgL_objectz00_bglt) BgL_new1458z00_9166);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11109, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1458z00_9166);
					BgL_new1459z00_9165 = BgL_new1458z00_9166;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1459z00_9165)))->BgL_locz00) =
					((obj_t) BgL_loc1712z00_87), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1459z00_9165)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1713z00_88), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1459z00_9165)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1714z00_89), BUNSPEC);
				return BgL_new1459z00_9165;
			}
		}

	}



/* &make-ref */
	BgL_refz00_bglt BGl_z62makezd2refzb0zzast_nodez00(obj_t BgL_envz00_6430,
		obj_t BgL_loc1712z00_6431, obj_t BgL_type1713z00_6432,
		obj_t BgL_variable1714z00_6433)
	{
		{	/* Ast/nodetype.sch 813 */
			return
				BGl_makezd2refzd2zzast_nodez00(BgL_loc1712z00_6431,
				((BgL_typez00_bglt) BgL_type1713z00_6432),
				((BgL_variablez00_bglt) BgL_variable1714z00_6433));
		}

	}



/* ref? */
	BGL_EXPORTED_DEF bool_t BGl_refzf3zf3zzast_nodez00(obj_t BgL_objz00_90)
	{
		{	/* Ast/nodetype.sch 814 */
			{	/* Ast/nodetype.sch 814 */
				obj_t BgL_classz00_9168;

				BgL_classz00_9168 = BGl_refz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_90))
					{	/* Ast/nodetype.sch 814 */
						BgL_objectz00_bglt BgL_arg1858z00_9169;

						BgL_arg1858z00_9169 = (BgL_objectz00_bglt) (BgL_objz00_90);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 814 */
								long BgL_idxz00_9170;

								BgL_idxz00_9170 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9169);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9170 + 3L)) == BgL_classz00_9168);
							}
						else
							{	/* Ast/nodetype.sch 814 */
								bool_t BgL_res3059z00_9173;

								{	/* Ast/nodetype.sch 814 */
									obj_t BgL_oclassz00_9174;

									{	/* Ast/nodetype.sch 814 */
										obj_t BgL_arg1866z00_9175;
										long BgL_arg1867z00_9176;

										BgL_arg1866z00_9175 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 814 */
											long BgL_arg1869z00_9177;

											BgL_arg1869z00_9177 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9169);
											BgL_arg1867z00_9176 = (BgL_arg1869z00_9177 - OBJECT_TYPE);
										}
										BgL_oclassz00_9174 =
											VECTOR_REF(BgL_arg1866z00_9175, BgL_arg1867z00_9176);
									}
									{	/* Ast/nodetype.sch 814 */
										bool_t BgL__ortest_1115z00_9178;

										BgL__ortest_1115z00_9178 =
											(BgL_classz00_9168 == BgL_oclassz00_9174);
										if (BgL__ortest_1115z00_9178)
											{	/* Ast/nodetype.sch 814 */
												BgL_res3059z00_9173 = BgL__ortest_1115z00_9178;
											}
										else
											{	/* Ast/nodetype.sch 814 */
												long BgL_odepthz00_9179;

												{	/* Ast/nodetype.sch 814 */
													obj_t BgL_arg1855z00_9180;

													BgL_arg1855z00_9180 = (BgL_oclassz00_9174);
													BgL_odepthz00_9179 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9180);
												}
												if ((3L < BgL_odepthz00_9179))
													{	/* Ast/nodetype.sch 814 */
														obj_t BgL_arg1853z00_9181;

														{	/* Ast/nodetype.sch 814 */
															obj_t BgL_arg1854z00_9182;

															BgL_arg1854z00_9182 = (BgL_oclassz00_9174);
															BgL_arg1853z00_9181 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9182,
																3L);
														}
														BgL_res3059z00_9173 =
															(BgL_arg1853z00_9181 == BgL_classz00_9168);
													}
												else
													{	/* Ast/nodetype.sch 814 */
														BgL_res3059z00_9173 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3059z00_9173;
							}
					}
				else
					{	/* Ast/nodetype.sch 814 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &ref? */
	obj_t BGl_z62refzf3z91zzast_nodez00(obj_t BgL_envz00_6434,
		obj_t BgL_objz00_6435)
	{
		{	/* Ast/nodetype.sch 814 */
			return BBOOL(BGl_refzf3zf3zzast_nodez00(BgL_objz00_6435));
		}

	}



/* ref-nil */
	BGL_EXPORTED_DEF BgL_refz00_bglt BGl_refzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 815 */
			{	/* Ast/nodetype.sch 815 */
				obj_t BgL_classz00_4106;

				BgL_classz00_4106 = BGl_refz00zzast_nodez00;
				{	/* Ast/nodetype.sch 815 */
					obj_t BgL__ortest_1117z00_4107;

					BgL__ortest_1117z00_4107 = BGL_CLASS_NIL(BgL_classz00_4106);
					if (CBOOL(BgL__ortest_1117z00_4107))
						{	/* Ast/nodetype.sch 815 */
							return ((BgL_refz00_bglt) BgL__ortest_1117z00_4107);
						}
					else
						{	/* Ast/nodetype.sch 815 */
							return
								((BgL_refz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4106));
						}
				}
			}
		}

	}



/* &ref-nil */
	BgL_refz00_bglt BGl_z62refzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6436)
	{
		{	/* Ast/nodetype.sch 815 */
			return BGl_refzd2nilzd2zzast_nodez00();
		}

	}



/* ref-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_refzd2variablezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_91)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_91)))->BgL_variablez00);
		}

	}



/* &ref-variable */
	BgL_variablez00_bglt BGl_z62refzd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6437, obj_t BgL_oz00_6438)
	{
		{	/* Ast/nodetype.sch 816 */
			return
				BGl_refzd2variablezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6438));
		}

	}



/* ref-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_refzd2variablezd2setz12z12zzast_nodez00(BgL_refz00_bglt BgL_oz00_92,
		BgL_variablez00_bglt BgL_vz00_93)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_92)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_93), BUNSPEC);
		}

	}



/* &ref-variable-set! */
	obj_t BGl_z62refzd2variablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6439,
		obj_t BgL_oz00_6440, obj_t BgL_vz00_6441)
	{
		{	/* Ast/nodetype.sch 817 */
			return
				BGl_refzd2variablezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6440),
				((BgL_variablez00_bglt) BgL_vz00_6441));
		}

	}



/* ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_refzd2typezd2zzast_nodez00(BgL_refz00_bglt BgL_oz00_94)
	{
		{	/* Ast/nodetype.sch 818 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_94)))->BgL_typez00);
		}

	}



/* &ref-type */
	BgL_typez00_bglt BGl_z62refzd2typezb0zzast_nodez00(obj_t BgL_envz00_6442,
		obj_t BgL_oz00_6443)
	{
		{	/* Ast/nodetype.sch 818 */
			return BGl_refzd2typezd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6443));
		}

	}



/* ref-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_refzd2typezd2setz12z12zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_95, BgL_typez00_bglt BgL_vz00_96)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_95)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_96), BUNSPEC);
		}

	}



/* &ref-type-set! */
	obj_t BGl_z62refzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6444,
		obj_t BgL_oz00_6445, obj_t BgL_vz00_6446)
	{
		{	/* Ast/nodetype.sch 819 */
			return
				BGl_refzd2typezd2setz12z12zzast_nodez00(
				((BgL_refz00_bglt) BgL_oz00_6445), ((BgL_typez00_bglt) BgL_vz00_6446));
		}

	}



/* ref-loc */
	BGL_EXPORTED_DEF obj_t BGl_refzd2loczd2zzast_nodez00(BgL_refz00_bglt
		BgL_oz00_97)
	{
		{	/* Ast/nodetype.sch 820 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_97)))->BgL_locz00);
		}

	}



/* &ref-loc */
	obj_t BGl_z62refzd2loczb0zzast_nodez00(obj_t BgL_envz00_6447,
		obj_t BgL_oz00_6448)
	{
		{	/* Ast/nodetype.sch 820 */
			return BGl_refzd2loczd2zzast_nodez00(((BgL_refz00_bglt) BgL_oz00_6448));
		}

	}



/* make-closure */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_makezd2closurezd2zzast_nodez00(obj_t
		BgL_loc1707z00_100, BgL_typez00_bglt BgL_type1708z00_101,
		BgL_variablez00_bglt BgL_variable1709z00_102)
	{
		{	/* Ast/nodetype.sch 824 */
			{	/* Ast/nodetype.sch 824 */
				BgL_closurez00_bglt BgL_new1461z00_9183;

				{	/* Ast/nodetype.sch 824 */
					BgL_closurez00_bglt BgL_new1460z00_9184;

					BgL_new1460z00_9184 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/nodetype.sch 824 */
						long BgL_arg1796z00_9185;

						BgL_arg1796z00_9185 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1460z00_9184), BgL_arg1796z00_9185);
					}
					{	/* Ast/nodetype.sch 824 */
						BgL_objectz00_bglt BgL_tmpz00_11179;

						BgL_tmpz00_11179 = ((BgL_objectz00_bglt) BgL_new1460z00_9184);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11179, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1460z00_9184);
					BgL_new1461z00_9183 = BgL_new1460z00_9184;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1461z00_9183)))->BgL_locz00) =
					((obj_t) BgL_loc1707z00_100), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1461z00_9183)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1708z00_101), BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1461z00_9183)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) BgL_variable1709z00_102), BUNSPEC);
				return BgL_new1461z00_9183;
			}
		}

	}



/* &make-closure */
	BgL_closurez00_bglt BGl_z62makezd2closurezb0zzast_nodez00(obj_t
		BgL_envz00_6449, obj_t BgL_loc1707z00_6450, obj_t BgL_type1708z00_6451,
		obj_t BgL_variable1709z00_6452)
	{
		{	/* Ast/nodetype.sch 824 */
			return
				BGl_makezd2closurezd2zzast_nodez00(BgL_loc1707z00_6450,
				((BgL_typez00_bglt) BgL_type1708z00_6451),
				((BgL_variablez00_bglt) BgL_variable1709z00_6452));
		}

	}



/* closure? */
	BGL_EXPORTED_DEF bool_t BGl_closurezf3zf3zzast_nodez00(obj_t BgL_objz00_103)
	{
		{	/* Ast/nodetype.sch 825 */
			{	/* Ast/nodetype.sch 825 */
				obj_t BgL_classz00_9186;

				BgL_classz00_9186 = BGl_closurez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_103))
					{	/* Ast/nodetype.sch 825 */
						BgL_objectz00_bglt BgL_arg1858z00_9187;

						BgL_arg1858z00_9187 = (BgL_objectz00_bglt) (BgL_objz00_103);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 825 */
								long BgL_idxz00_9188;

								BgL_idxz00_9188 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9187);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9188 + 3L)) == BgL_classz00_9186);
							}
						else
							{	/* Ast/nodetype.sch 825 */
								bool_t BgL_res3060z00_9191;

								{	/* Ast/nodetype.sch 825 */
									obj_t BgL_oclassz00_9192;

									{	/* Ast/nodetype.sch 825 */
										obj_t BgL_arg1866z00_9193;
										long BgL_arg1867z00_9194;

										BgL_arg1866z00_9193 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 825 */
											long BgL_arg1869z00_9195;

											BgL_arg1869z00_9195 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9187);
											BgL_arg1867z00_9194 = (BgL_arg1869z00_9195 - OBJECT_TYPE);
										}
										BgL_oclassz00_9192 =
											VECTOR_REF(BgL_arg1866z00_9193, BgL_arg1867z00_9194);
									}
									{	/* Ast/nodetype.sch 825 */
										bool_t BgL__ortest_1115z00_9196;

										BgL__ortest_1115z00_9196 =
											(BgL_classz00_9186 == BgL_oclassz00_9192);
										if (BgL__ortest_1115z00_9196)
											{	/* Ast/nodetype.sch 825 */
												BgL_res3060z00_9191 = BgL__ortest_1115z00_9196;
											}
										else
											{	/* Ast/nodetype.sch 825 */
												long BgL_odepthz00_9197;

												{	/* Ast/nodetype.sch 825 */
													obj_t BgL_arg1855z00_9198;

													BgL_arg1855z00_9198 = (BgL_oclassz00_9192);
													BgL_odepthz00_9197 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9198);
												}
												if ((3L < BgL_odepthz00_9197))
													{	/* Ast/nodetype.sch 825 */
														obj_t BgL_arg1853z00_9199;

														{	/* Ast/nodetype.sch 825 */
															obj_t BgL_arg1854z00_9200;

															BgL_arg1854z00_9200 = (BgL_oclassz00_9192);
															BgL_arg1853z00_9199 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9200,
																3L);
														}
														BgL_res3060z00_9191 =
															(BgL_arg1853z00_9199 == BgL_classz00_9186);
													}
												else
													{	/* Ast/nodetype.sch 825 */
														BgL_res3060z00_9191 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3060z00_9191;
							}
					}
				else
					{	/* Ast/nodetype.sch 825 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &closure? */
	obj_t BGl_z62closurezf3z91zzast_nodez00(obj_t BgL_envz00_6453,
		obj_t BgL_objz00_6454)
	{
		{	/* Ast/nodetype.sch 825 */
			return BBOOL(BGl_closurezf3zf3zzast_nodez00(BgL_objz00_6454));
		}

	}



/* closure-nil */
	BGL_EXPORTED_DEF BgL_closurez00_bglt BGl_closurezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 826 */
			{	/* Ast/nodetype.sch 826 */
				obj_t BgL_classz00_4149;

				BgL_classz00_4149 = BGl_closurez00zzast_nodez00;
				{	/* Ast/nodetype.sch 826 */
					obj_t BgL__ortest_1117z00_4150;

					BgL__ortest_1117z00_4150 = BGL_CLASS_NIL(BgL_classz00_4149);
					if (CBOOL(BgL__ortest_1117z00_4150))
						{	/* Ast/nodetype.sch 826 */
							return ((BgL_closurez00_bglt) BgL__ortest_1117z00_4150);
						}
					else
						{	/* Ast/nodetype.sch 826 */
							return
								((BgL_closurez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4149));
						}
				}
			}
		}

	}



/* &closure-nil */
	BgL_closurez00_bglt BGl_z62closurezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6455)
	{
		{	/* Ast/nodetype.sch 826 */
			return BGl_closurezd2nilzd2zzast_nodez00();
		}

	}



/* closure-variable */
	BGL_EXPORTED_DEF BgL_variablez00_bglt
		BGl_closurezd2variablezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_104)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_104)))->BgL_variablez00);
		}

	}



/* &closure-variable */
	BgL_variablez00_bglt BGl_z62closurezd2variablezb0zzast_nodez00(obj_t
		BgL_envz00_6456, obj_t BgL_oz00_6457)
	{
		{	/* Ast/nodetype.sch 827 */
			return
				BGl_closurezd2variablezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6457));
		}

	}



/* closure-variable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2variablezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_105, BgL_variablez00_bglt BgL_vz00_106)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_105)))->BgL_variablez00) =
				((BgL_variablez00_bglt) BgL_vz00_106), BUNSPEC);
		}

	}



/* &closure-variable-set! */
	obj_t BGl_z62closurezd2variablezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6458, obj_t BgL_oz00_6459, obj_t BgL_vz00_6460)
	{
		{	/* Ast/nodetype.sch 828 */
			return
				BGl_closurezd2variablezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6459),
				((BgL_variablez00_bglt) BgL_vz00_6460));
		}

	}



/* closure-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_closurezd2typezd2zzast_nodez00(BgL_closurez00_bglt BgL_oz00_107)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_107)))->BgL_typez00);
		}

	}



/* &closure-type */
	BgL_typez00_bglt BGl_z62closurezd2typezb0zzast_nodez00(obj_t BgL_envz00_6461,
		obj_t BgL_oz00_6462)
	{
		{	/* Ast/nodetype.sch 829 */
			return
				BGl_closurezd2typezd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6462));
		}

	}



/* closure-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2typezd2setz12z12zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_108, BgL_typez00_bglt BgL_vz00_109)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_108)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_109), BUNSPEC);
		}

	}



/* &closure-type-set! */
	obj_t BGl_z62closurezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6463,
		obj_t BgL_oz00_6464, obj_t BgL_vz00_6465)
	{
		{	/* Ast/nodetype.sch 830 */
			return
				BGl_closurezd2typezd2setz12z12zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6464),
				((BgL_typez00_bglt) BgL_vz00_6465));
		}

	}



/* closure-loc */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2loczd2zzast_nodez00(BgL_closurez00_bglt
		BgL_oz00_110)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_110)))->BgL_locz00);
		}

	}



/* &closure-loc */
	obj_t BGl_z62closurezd2loczb0zzast_nodez00(obj_t BgL_envz00_6466,
		obj_t BgL_oz00_6467)
	{
		{	/* Ast/nodetype.sch 831 */
			return
				BGl_closurezd2loczd2zzast_nodez00(
				((BgL_closurez00_bglt) BgL_oz00_6467));
		}

	}



/* make-kwote */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_makezd2kwotezd2zzast_nodez00(obj_t
		BgL_loc1703z00_113, BgL_typez00_bglt BgL_type1704z00_114,
		obj_t BgL_value1705z00_115)
	{
		{	/* Ast/nodetype.sch 835 */
			{	/* Ast/nodetype.sch 835 */
				BgL_kwotez00_bglt BgL_new1463z00_9201;

				{	/* Ast/nodetype.sch 835 */
					BgL_kwotez00_bglt BgL_new1462z00_9202;

					BgL_new1462z00_9202 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/nodetype.sch 835 */
						long BgL_arg1797z00_9203;

						BgL_arg1797z00_9203 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1462z00_9202), BgL_arg1797z00_9203);
					}
					{	/* Ast/nodetype.sch 835 */
						BgL_objectz00_bglt BgL_tmpz00_11249;

						BgL_tmpz00_11249 = ((BgL_objectz00_bglt) BgL_new1462z00_9202);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11249, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1462z00_9202);
					BgL_new1463z00_9201 = BgL_new1462z00_9202;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1463z00_9201)))->BgL_locz00) =
					((obj_t) BgL_loc1703z00_113), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1463z00_9201)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1704z00_114), BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1463z00_9201))->BgL_valuez00) =
					((obj_t) BgL_value1705z00_115), BUNSPEC);
				return BgL_new1463z00_9201;
			}
		}

	}



/* &make-kwote */
	BgL_kwotez00_bglt BGl_z62makezd2kwotezb0zzast_nodez00(obj_t BgL_envz00_6468,
		obj_t BgL_loc1703z00_6469, obj_t BgL_type1704z00_6470,
		obj_t BgL_value1705z00_6471)
	{
		{	/* Ast/nodetype.sch 835 */
			return
				BGl_makezd2kwotezd2zzast_nodez00(BgL_loc1703z00_6469,
				((BgL_typez00_bglt) BgL_type1704z00_6470), BgL_value1705z00_6471);
		}

	}



/* kwote? */
	BGL_EXPORTED_DEF bool_t BGl_kwotezf3zf3zzast_nodez00(obj_t BgL_objz00_116)
	{
		{	/* Ast/nodetype.sch 836 */
			{	/* Ast/nodetype.sch 836 */
				obj_t BgL_classz00_9204;

				BgL_classz00_9204 = BGl_kwotez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_116))
					{	/* Ast/nodetype.sch 836 */
						BgL_objectz00_bglt BgL_arg1858z00_9205;

						BgL_arg1858z00_9205 = (BgL_objectz00_bglt) (BgL_objz00_116);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 836 */
								long BgL_idxz00_9206;

								BgL_idxz00_9206 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9205);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9206 + 2L)) == BgL_classz00_9204);
							}
						else
							{	/* Ast/nodetype.sch 836 */
								bool_t BgL_res3061z00_9209;

								{	/* Ast/nodetype.sch 836 */
									obj_t BgL_oclassz00_9210;

									{	/* Ast/nodetype.sch 836 */
										obj_t BgL_arg1866z00_9211;
										long BgL_arg1867z00_9212;

										BgL_arg1866z00_9211 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 836 */
											long BgL_arg1869z00_9213;

											BgL_arg1869z00_9213 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9205);
											BgL_arg1867z00_9212 = (BgL_arg1869z00_9213 - OBJECT_TYPE);
										}
										BgL_oclassz00_9210 =
											VECTOR_REF(BgL_arg1866z00_9211, BgL_arg1867z00_9212);
									}
									{	/* Ast/nodetype.sch 836 */
										bool_t BgL__ortest_1115z00_9214;

										BgL__ortest_1115z00_9214 =
											(BgL_classz00_9204 == BgL_oclassz00_9210);
										if (BgL__ortest_1115z00_9214)
											{	/* Ast/nodetype.sch 836 */
												BgL_res3061z00_9209 = BgL__ortest_1115z00_9214;
											}
										else
											{	/* Ast/nodetype.sch 836 */
												long BgL_odepthz00_9215;

												{	/* Ast/nodetype.sch 836 */
													obj_t BgL_arg1855z00_9216;

													BgL_arg1855z00_9216 = (BgL_oclassz00_9210);
													BgL_odepthz00_9215 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9216);
												}
												if ((2L < BgL_odepthz00_9215))
													{	/* Ast/nodetype.sch 836 */
														obj_t BgL_arg1853z00_9217;

														{	/* Ast/nodetype.sch 836 */
															obj_t BgL_arg1854z00_9218;

															BgL_arg1854z00_9218 = (BgL_oclassz00_9210);
															BgL_arg1853z00_9217 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9218,
																2L);
														}
														BgL_res3061z00_9209 =
															(BgL_arg1853z00_9217 == BgL_classz00_9204);
													}
												else
													{	/* Ast/nodetype.sch 836 */
														BgL_res3061z00_9209 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3061z00_9209;
							}
					}
				else
					{	/* Ast/nodetype.sch 836 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &kwote? */
	obj_t BGl_z62kwotezf3z91zzast_nodez00(obj_t BgL_envz00_6472,
		obj_t BgL_objz00_6473)
	{
		{	/* Ast/nodetype.sch 836 */
			return BBOOL(BGl_kwotezf3zf3zzast_nodez00(BgL_objz00_6473));
		}

	}



/* kwote-nil */
	BGL_EXPORTED_DEF BgL_kwotez00_bglt BGl_kwotezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 837 */
			{	/* Ast/nodetype.sch 837 */
				obj_t BgL_classz00_4192;

				BgL_classz00_4192 = BGl_kwotez00zzast_nodez00;
				{	/* Ast/nodetype.sch 837 */
					obj_t BgL__ortest_1117z00_4193;

					BgL__ortest_1117z00_4193 = BGL_CLASS_NIL(BgL_classz00_4192);
					if (CBOOL(BgL__ortest_1117z00_4193))
						{	/* Ast/nodetype.sch 837 */
							return ((BgL_kwotez00_bglt) BgL__ortest_1117z00_4193);
						}
					else
						{	/* Ast/nodetype.sch 837 */
							return
								((BgL_kwotez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4192));
						}
				}
			}
		}

	}



/* &kwote-nil */
	BgL_kwotez00_bglt BGl_z62kwotezd2nilzb0zzast_nodez00(obj_t BgL_envz00_6474)
	{
		{	/* Ast/nodetype.sch 837 */
			return BGl_kwotezd2nilzd2zzast_nodez00();
		}

	}



/* kwote-value */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2valuezd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_117)
	{
		{	/* Ast/nodetype.sch 838 */
			return (((BgL_kwotez00_bglt) COBJECT(BgL_oz00_117))->BgL_valuez00);
		}

	}



/* &kwote-value */
	obj_t BGl_z62kwotezd2valuezb0zzast_nodez00(obj_t BgL_envz00_6475,
		obj_t BgL_oz00_6476)
	{
		{	/* Ast/nodetype.sch 838 */
			return
				BGl_kwotezd2valuezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6476));
		}

	}



/* kwote-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_kwotezd2typezd2zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_120)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_120)))->BgL_typez00);
		}

	}



/* &kwote-type */
	BgL_typez00_bglt BGl_z62kwotezd2typezb0zzast_nodez00(obj_t BgL_envz00_6477,
		obj_t BgL_oz00_6478)
	{
		{	/* Ast/nodetype.sch 840 */
			return
				BGl_kwotezd2typezd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6478));
		}

	}



/* kwote-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_kwotezd2typezd2setz12z12zzast_nodez00(BgL_kwotez00_bglt BgL_oz00_121,
		BgL_typez00_bglt BgL_vz00_122)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_121)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_122), BUNSPEC);
		}

	}



/* &kwote-type-set! */
	obj_t BGl_z62kwotezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6479,
		obj_t BgL_oz00_6480, obj_t BgL_vz00_6481)
	{
		{	/* Ast/nodetype.sch 841 */
			return
				BGl_kwotezd2typezd2setz12z12zzast_nodez00(
				((BgL_kwotez00_bglt) BgL_oz00_6480),
				((BgL_typez00_bglt) BgL_vz00_6481));
		}

	}



/* kwote-loc */
	BGL_EXPORTED_DEF obj_t BGl_kwotezd2loczd2zzast_nodez00(BgL_kwotez00_bglt
		BgL_oz00_123)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_123)))->BgL_locz00);
		}

	}



/* &kwote-loc */
	obj_t BGl_z62kwotezd2loczb0zzast_nodez00(obj_t BgL_envz00_6482,
		obj_t BgL_oz00_6483)
	{
		{	/* Ast/nodetype.sch 842 */
			return
				BGl_kwotezd2loczd2zzast_nodez00(((BgL_kwotez00_bglt) BgL_oz00_6483));
		}

	}



/* make-sequence */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt
		BGl_makezd2sequencezd2zzast_nodez00(obj_t BgL_loc1695z00_126,
		BgL_typez00_bglt BgL_type1696z00_127, obj_t BgL_sidezd2effect1697zd2_128,
		obj_t BgL_key1698z00_129, obj_t BgL_nodes1699z00_130,
		bool_t BgL_unsafe1700z00_131, obj_t BgL_meta1701z00_132)
	{
		{	/* Ast/nodetype.sch 846 */
			{	/* Ast/nodetype.sch 846 */
				BgL_sequencez00_bglt BgL_new1465z00_9219;

				{	/* Ast/nodetype.sch 846 */
					BgL_sequencez00_bglt BgL_new1464z00_9220;

					BgL_new1464z00_9220 =
						((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sequencez00_bgl))));
					{	/* Ast/nodetype.sch 846 */
						long BgL_arg1799z00_9221;

						BgL_arg1799z00_9221 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1464z00_9220), BgL_arg1799z00_9221);
					}
					{	/* Ast/nodetype.sch 846 */
						BgL_objectz00_bglt BgL_tmpz00_11311;

						BgL_tmpz00_11311 = ((BgL_objectz00_bglt) BgL_new1464z00_9220);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11311, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1464z00_9220);
					BgL_new1465z00_9219 = BgL_new1464z00_9220;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1465z00_9219)))->BgL_locz00) =
					((obj_t) BgL_loc1695z00_126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1465z00_9219)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1696z00_127), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1465z00_9219)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1697zd2_128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1465z00_9219)))->BgL_keyz00) =
					((obj_t) BgL_key1698z00_129), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1465z00_9219))->BgL_nodesz00) =
					((obj_t) BgL_nodes1699z00_130), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1465z00_9219))->
						BgL_unsafez00) = ((bool_t) BgL_unsafe1700z00_131), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(BgL_new1465z00_9219))->BgL_metaz00) =
					((obj_t) BgL_meta1701z00_132), BUNSPEC);
				return BgL_new1465z00_9219;
			}
		}

	}



/* &make-sequence */
	BgL_sequencez00_bglt BGl_z62makezd2sequencezb0zzast_nodez00(obj_t
		BgL_envz00_6484, obj_t BgL_loc1695z00_6485, obj_t BgL_type1696z00_6486,
		obj_t BgL_sidezd2effect1697zd2_6487, obj_t BgL_key1698z00_6488,
		obj_t BgL_nodes1699z00_6489, obj_t BgL_unsafe1700z00_6490,
		obj_t BgL_meta1701z00_6491)
	{
		{	/* Ast/nodetype.sch 846 */
			return
				BGl_makezd2sequencezd2zzast_nodez00(BgL_loc1695z00_6485,
				((BgL_typez00_bglt) BgL_type1696z00_6486),
				BgL_sidezd2effect1697zd2_6487, BgL_key1698z00_6488,
				BgL_nodes1699z00_6489, CBOOL(BgL_unsafe1700z00_6490),
				BgL_meta1701z00_6491);
		}

	}



/* sequence? */
	BGL_EXPORTED_DEF bool_t BGl_sequencezf3zf3zzast_nodez00(obj_t BgL_objz00_133)
	{
		{	/* Ast/nodetype.sch 847 */
			{	/* Ast/nodetype.sch 847 */
				obj_t BgL_classz00_9222;

				BgL_classz00_9222 = BGl_sequencez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_133))
					{	/* Ast/nodetype.sch 847 */
						BgL_objectz00_bglt BgL_arg1858z00_9223;

						BgL_arg1858z00_9223 = (BgL_objectz00_bglt) (BgL_objz00_133);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 847 */
								long BgL_idxz00_9224;

								BgL_idxz00_9224 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9223);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9224 + 3L)) == BgL_classz00_9222);
							}
						else
							{	/* Ast/nodetype.sch 847 */
								bool_t BgL_res3062z00_9227;

								{	/* Ast/nodetype.sch 847 */
									obj_t BgL_oclassz00_9228;

									{	/* Ast/nodetype.sch 847 */
										obj_t BgL_arg1866z00_9229;
										long BgL_arg1867z00_9230;

										BgL_arg1866z00_9229 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 847 */
											long BgL_arg1869z00_9231;

											BgL_arg1869z00_9231 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9223);
											BgL_arg1867z00_9230 = (BgL_arg1869z00_9231 - OBJECT_TYPE);
										}
										BgL_oclassz00_9228 =
											VECTOR_REF(BgL_arg1866z00_9229, BgL_arg1867z00_9230);
									}
									{	/* Ast/nodetype.sch 847 */
										bool_t BgL__ortest_1115z00_9232;

										BgL__ortest_1115z00_9232 =
											(BgL_classz00_9222 == BgL_oclassz00_9228);
										if (BgL__ortest_1115z00_9232)
											{	/* Ast/nodetype.sch 847 */
												BgL_res3062z00_9227 = BgL__ortest_1115z00_9232;
											}
										else
											{	/* Ast/nodetype.sch 847 */
												long BgL_odepthz00_9233;

												{	/* Ast/nodetype.sch 847 */
													obj_t BgL_arg1855z00_9234;

													BgL_arg1855z00_9234 = (BgL_oclassz00_9228);
													BgL_odepthz00_9233 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9234);
												}
												if ((3L < BgL_odepthz00_9233))
													{	/* Ast/nodetype.sch 847 */
														obj_t BgL_arg1853z00_9235;

														{	/* Ast/nodetype.sch 847 */
															obj_t BgL_arg1854z00_9236;

															BgL_arg1854z00_9236 = (BgL_oclassz00_9228);
															BgL_arg1853z00_9235 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9236,
																3L);
														}
														BgL_res3062z00_9227 =
															(BgL_arg1853z00_9235 == BgL_classz00_9222);
													}
												else
													{	/* Ast/nodetype.sch 847 */
														BgL_res3062z00_9227 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3062z00_9227;
							}
					}
				else
					{	/* Ast/nodetype.sch 847 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sequence? */
	obj_t BGl_z62sequencezf3z91zzast_nodez00(obj_t BgL_envz00_6492,
		obj_t BgL_objz00_6493)
	{
		{	/* Ast/nodetype.sch 847 */
			return BBOOL(BGl_sequencezf3zf3zzast_nodez00(BgL_objz00_6493));
		}

	}



/* sequence-nil */
	BGL_EXPORTED_DEF BgL_sequencez00_bglt BGl_sequencezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 848 */
			{	/* Ast/nodetype.sch 848 */
				obj_t BgL_classz00_4235;

				BgL_classz00_4235 = BGl_sequencez00zzast_nodez00;
				{	/* Ast/nodetype.sch 848 */
					obj_t BgL__ortest_1117z00_4236;

					BgL__ortest_1117z00_4236 = BGL_CLASS_NIL(BgL_classz00_4235);
					if (CBOOL(BgL__ortest_1117z00_4236))
						{	/* Ast/nodetype.sch 848 */
							return ((BgL_sequencez00_bglt) BgL__ortest_1117z00_4236);
						}
					else
						{	/* Ast/nodetype.sch 848 */
							return
								((BgL_sequencez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4235));
						}
				}
			}
		}

	}



/* &sequence-nil */
	BgL_sequencez00_bglt BGl_z62sequencezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6494)
	{
		{	/* Ast/nodetype.sch 848 */
			return BGl_sequencezd2nilzd2zzast_nodez00();
		}

	}



/* sequence-meta */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2metazd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_134)
	{
		{	/* Ast/nodetype.sch 849 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_134))->BgL_metaz00);
		}

	}



/* &sequence-meta */
	obj_t BGl_z62sequencezd2metazb0zzast_nodez00(obj_t BgL_envz00_6495,
		obj_t BgL_oz00_6496)
	{
		{	/* Ast/nodetype.sch 849 */
			return
				BGl_sequencezd2metazd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6496));
		}

	}



/* sequence-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_sequencezd2unsafezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_137)
	{
		{	/* Ast/nodetype.sch 851 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_137))->BgL_unsafez00);
		}

	}



/* &sequence-unsafe */
	obj_t BGl_z62sequencezd2unsafezb0zzast_nodez00(obj_t BgL_envz00_6497,
		obj_t BgL_oz00_6498)
	{
		{	/* Ast/nodetype.sch 851 */
			return
				BBOOL(BGl_sequencezd2unsafezd2zzast_nodez00(
					((BgL_sequencez00_bglt) BgL_oz00_6498)));
		}

	}



/* sequence-nodes */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2nodeszd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_140)
	{
		{	/* Ast/nodetype.sch 853 */
			return (((BgL_sequencez00_bglt) COBJECT(BgL_oz00_140))->BgL_nodesz00);
		}

	}



/* &sequence-nodes */
	obj_t BGl_z62sequencezd2nodeszb0zzast_nodez00(obj_t BgL_envz00_6499,
		obj_t BgL_oz00_6500)
	{
		{	/* Ast/nodetype.sch 853 */
			return
				BGl_sequencezd2nodeszd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6500));
		}

	}



/* sequence-key */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2keyzd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_143)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_143)))->BgL_keyz00);
		}

	}



/* &sequence-key */
	obj_t BGl_z62sequencezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6501,
		obj_t BgL_oz00_6502)
	{
		{	/* Ast/nodetype.sch 855 */
			return
				BGl_sequencezd2keyzd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6502));
		}

	}



/* sequence-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2keyzd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_144, obj_t BgL_vz00_145)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_144)))->BgL_keyz00) =
				((obj_t) BgL_vz00_145), BUNSPEC);
		}

	}



/* &sequence-key-set! */
	obj_t BGl_z62sequencezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6503,
		obj_t BgL_oz00_6504, obj_t BgL_vz00_6505)
	{
		{	/* Ast/nodetype.sch 856 */
			return
				BGl_sequencezd2keyzd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6504), BgL_vz00_6505);
		}

	}



/* sequence-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectz00zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_146)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_146)))->BgL_sidezd2effectzd2);
		}

	}



/* &sequence-side-effect */
	obj_t BGl_z62sequencezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6506,
		obj_t BgL_oz00_6507)
	{
		{	/* Ast/nodetype.sch 857 */
			return
				BGl_sequencezd2sidezd2effectz00zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6507));
		}

	}



/* sequence-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_147, obj_t BgL_vz00_148)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_147)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_148), BUNSPEC);
		}

	}



/* &sequence-side-effect-set! */
	obj_t BGl_z62sequencezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6508, obj_t BgL_oz00_6509, obj_t BgL_vz00_6510)
	{
		{	/* Ast/nodetype.sch 858 */
			return
				BGl_sequencezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6509), BgL_vz00_6510);
		}

	}



/* sequence-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_sequencezd2typezd2zzast_nodez00(BgL_sequencez00_bglt BgL_oz00_149)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_149)))->BgL_typez00);
		}

	}



/* &sequence-type */
	BgL_typez00_bglt BGl_z62sequencezd2typezb0zzast_nodez00(obj_t BgL_envz00_6511,
		obj_t BgL_oz00_6512)
	{
		{	/* Ast/nodetype.sch 859 */
			return
				BGl_sequencezd2typezd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6512));
		}

	}



/* sequence-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_sequencezd2typezd2setz12z12zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_150, BgL_typez00_bglt BgL_vz00_151)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_150)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_151), BUNSPEC);
		}

	}



/* &sequence-type-set! */
	obj_t BGl_z62sequencezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6513,
		obj_t BgL_oz00_6514, obj_t BgL_vz00_6515)
	{
		{	/* Ast/nodetype.sch 860 */
			return
				BGl_sequencezd2typezd2setz12z12zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6514),
				((BgL_typez00_bglt) BgL_vz00_6515));
		}

	}



/* sequence-loc */
	BGL_EXPORTED_DEF obj_t BGl_sequencezd2loczd2zzast_nodez00(BgL_sequencez00_bglt
		BgL_oz00_152)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_152)))->BgL_locz00);
		}

	}



/* &sequence-loc */
	obj_t BGl_z62sequencezd2loczb0zzast_nodez00(obj_t BgL_envz00_6516,
		obj_t BgL_oz00_6517)
	{
		{	/* Ast/nodetype.sch 861 */
			return
				BGl_sequencezd2loczd2zzast_nodez00(
				((BgL_sequencez00_bglt) BgL_oz00_6517));
		}

	}



/* make-app */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t
		BgL_loc1687z00_155, BgL_typez00_bglt BgL_type1688z00_156,
		obj_t BgL_sidezd2effect1689zd2_157, obj_t BgL_key1690z00_158,
		BgL_varz00_bglt BgL_fun1691z00_159, obj_t BgL_args1692z00_160,
		obj_t BgL_stackable1693z00_161)
	{
		{	/* Ast/nodetype.sch 865 */
			{	/* Ast/nodetype.sch 865 */
				BgL_appz00_bglt BgL_new1467z00_9237;

				{	/* Ast/nodetype.sch 865 */
					BgL_appz00_bglt BgL_new1466z00_9238;

					BgL_new1466z00_9238 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/nodetype.sch 865 */
						long BgL_arg1800z00_9239;

						BgL_arg1800z00_9239 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1466z00_9238), BgL_arg1800z00_9239);
					}
					{	/* Ast/nodetype.sch 865 */
						BgL_objectz00_bglt BgL_tmpz00_11403;

						BgL_tmpz00_11403 = ((BgL_objectz00_bglt) BgL_new1466z00_9238);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11403, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1466z00_9238);
					BgL_new1467z00_9237 = BgL_new1466z00_9238;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1467z00_9237)))->BgL_locz00) =
					((obj_t) BgL_loc1687z00_155), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1467z00_9237)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1688z00_156), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1467z00_9237)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1689zd2_157), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1467z00_9237)))->BgL_keyz00) =
					((obj_t) BgL_key1690z00_158), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1467z00_9237))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_fun1691z00_159), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1467z00_9237))->BgL_argsz00) =
					((obj_t) BgL_args1692z00_160), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1467z00_9237))->BgL_stackablez00) =
					((obj_t) BgL_stackable1693z00_161), BUNSPEC);
				return BgL_new1467z00_9237;
			}
		}

	}



/* &make-app */
	BgL_appz00_bglt BGl_z62makezd2appzb0zzast_nodez00(obj_t BgL_envz00_6518,
		obj_t BgL_loc1687z00_6519, obj_t BgL_type1688z00_6520,
		obj_t BgL_sidezd2effect1689zd2_6521, obj_t BgL_key1690z00_6522,
		obj_t BgL_fun1691z00_6523, obj_t BgL_args1692z00_6524,
		obj_t BgL_stackable1693z00_6525)
	{
		{	/* Ast/nodetype.sch 865 */
			return
				BGl_makezd2appzd2zzast_nodez00(BgL_loc1687z00_6519,
				((BgL_typez00_bglt) BgL_type1688z00_6520),
				BgL_sidezd2effect1689zd2_6521, BgL_key1690z00_6522,
				((BgL_varz00_bglt) BgL_fun1691z00_6523), BgL_args1692z00_6524,
				BgL_stackable1693z00_6525);
		}

	}



/* app? */
	BGL_EXPORTED_DEF bool_t BGl_appzf3zf3zzast_nodez00(obj_t BgL_objz00_162)
	{
		{	/* Ast/nodetype.sch 866 */
			{	/* Ast/nodetype.sch 866 */
				obj_t BgL_classz00_9240;

				BgL_classz00_9240 = BGl_appz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_162))
					{	/* Ast/nodetype.sch 866 */
						BgL_objectz00_bglt BgL_arg1858z00_9241;

						BgL_arg1858z00_9241 = (BgL_objectz00_bglt) (BgL_objz00_162);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 866 */
								long BgL_idxz00_9242;

								BgL_idxz00_9242 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9241);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9242 + 3L)) == BgL_classz00_9240);
							}
						else
							{	/* Ast/nodetype.sch 866 */
								bool_t BgL_res3063z00_9245;

								{	/* Ast/nodetype.sch 866 */
									obj_t BgL_oclassz00_9246;

									{	/* Ast/nodetype.sch 866 */
										obj_t BgL_arg1866z00_9247;
										long BgL_arg1867z00_9248;

										BgL_arg1866z00_9247 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 866 */
											long BgL_arg1869z00_9249;

											BgL_arg1869z00_9249 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9241);
											BgL_arg1867z00_9248 = (BgL_arg1869z00_9249 - OBJECT_TYPE);
										}
										BgL_oclassz00_9246 =
											VECTOR_REF(BgL_arg1866z00_9247, BgL_arg1867z00_9248);
									}
									{	/* Ast/nodetype.sch 866 */
										bool_t BgL__ortest_1115z00_9250;

										BgL__ortest_1115z00_9250 =
											(BgL_classz00_9240 == BgL_oclassz00_9246);
										if (BgL__ortest_1115z00_9250)
											{	/* Ast/nodetype.sch 866 */
												BgL_res3063z00_9245 = BgL__ortest_1115z00_9250;
											}
										else
											{	/* Ast/nodetype.sch 866 */
												long BgL_odepthz00_9251;

												{	/* Ast/nodetype.sch 866 */
													obj_t BgL_arg1855z00_9252;

													BgL_arg1855z00_9252 = (BgL_oclassz00_9246);
													BgL_odepthz00_9251 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9252);
												}
												if ((3L < BgL_odepthz00_9251))
													{	/* Ast/nodetype.sch 866 */
														obj_t BgL_arg1853z00_9253;

														{	/* Ast/nodetype.sch 866 */
															obj_t BgL_arg1854z00_9254;

															BgL_arg1854z00_9254 = (BgL_oclassz00_9246);
															BgL_arg1853z00_9253 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9254,
																3L);
														}
														BgL_res3063z00_9245 =
															(BgL_arg1853z00_9253 == BgL_classz00_9240);
													}
												else
													{	/* Ast/nodetype.sch 866 */
														BgL_res3063z00_9245 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3063z00_9245;
							}
					}
				else
					{	/* Ast/nodetype.sch 866 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app? */
	obj_t BGl_z62appzf3z91zzast_nodez00(obj_t BgL_envz00_6526,
		obj_t BgL_objz00_6527)
	{
		{	/* Ast/nodetype.sch 866 */
			return BBOOL(BGl_appzf3zf3zzast_nodez00(BgL_objz00_6527));
		}

	}



/* app-nil */
	BGL_EXPORTED_DEF BgL_appz00_bglt BGl_appzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 867 */
			{	/* Ast/nodetype.sch 867 */
				obj_t BgL_classz00_4278;

				BgL_classz00_4278 = BGl_appz00zzast_nodez00;
				{	/* Ast/nodetype.sch 867 */
					obj_t BgL__ortest_1117z00_4279;

					BgL__ortest_1117z00_4279 = BGL_CLASS_NIL(BgL_classz00_4278);
					if (CBOOL(BgL__ortest_1117z00_4279))
						{	/* Ast/nodetype.sch 867 */
							return ((BgL_appz00_bglt) BgL__ortest_1117z00_4279);
						}
					else
						{	/* Ast/nodetype.sch 867 */
							return
								((BgL_appz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4278));
						}
				}
			}
		}

	}



/* &app-nil */
	BgL_appz00_bglt BGl_z62appzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6528)
	{
		{	/* Ast/nodetype.sch 867 */
			return BGl_appzd2nilzd2zzast_nodez00();
		}

	}



/* app-stackable */
	BGL_EXPORTED_DEF obj_t BGl_appzd2stackablezd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_163)
	{
		{	/* Ast/nodetype.sch 868 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_163))->BgL_stackablez00);
		}

	}



/* &app-stackable */
	obj_t BGl_z62appzd2stackablezb0zzast_nodez00(obj_t BgL_envz00_6529,
		obj_t BgL_oz00_6530)
	{
		{	/* Ast/nodetype.sch 868 */
			return
				BGl_appzd2stackablezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6530));
		}

	}



/* app-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2stackablezd2setz12z12zzast_nodez00(BgL_appz00_bglt BgL_oz00_164,
		obj_t BgL_vz00_165)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_164))->BgL_stackablez00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &app-stackable-set! */
	obj_t BGl_z62appzd2stackablezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6531,
		obj_t BgL_oz00_6532, obj_t BgL_vz00_6533)
	{
		{	/* Ast/nodetype.sch 869 */
			return
				BGl_appzd2stackablezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6532), BgL_vz00_6533);
		}

	}



/* app-args */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_166)
	{
		{	/* Ast/nodetype.sch 870 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_166))->BgL_argsz00);
		}

	}



/* &app-args */
	obj_t BGl_z62appzd2argszb0zzast_nodez00(obj_t BgL_envz00_6534,
		obj_t BgL_oz00_6535)
	{
		{	/* Ast/nodetype.sch 870 */
			return BGl_appzd2argszd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6535));
		}

	}



/* app-args-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2argszd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_167, obj_t BgL_vz00_168)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_167))->BgL_argsz00) =
				((obj_t) BgL_vz00_168), BUNSPEC);
		}

	}



/* &app-args-set! */
	obj_t BGl_z62appzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6536,
		obj_t BgL_oz00_6537, obj_t BgL_vz00_6538)
	{
		{	/* Ast/nodetype.sch 871 */
			return
				BGl_appzd2argszd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6537), BgL_vz00_6538);
		}

	}



/* app-fun */
	BGL_EXPORTED_DEF BgL_varz00_bglt BGl_appzd2funzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_169)
	{
		{	/* Ast/nodetype.sch 872 */
			return (((BgL_appz00_bglt) COBJECT(BgL_oz00_169))->BgL_funz00);
		}

	}



/* &app-fun */
	BgL_varz00_bglt BGl_z62appzd2funzb0zzast_nodez00(obj_t BgL_envz00_6539,
		obj_t BgL_oz00_6540)
	{
		{	/* Ast/nodetype.sch 872 */
			return BGl_appzd2funzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6540));
		}

	}



/* app-fun-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2funzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_170, BgL_varz00_bglt BgL_vz00_171)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				((((BgL_appz00_bglt) COBJECT(BgL_oz00_170))->BgL_funz00) =
				((BgL_varz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &app-fun-set! */
	obj_t BGl_z62appzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6541,
		obj_t BgL_oz00_6542, obj_t BgL_vz00_6543)
	{
		{	/* Ast/nodetype.sch 873 */
			return
				BGl_appzd2funzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6542), ((BgL_varz00_bglt) BgL_vz00_6543));
		}

	}



/* app-key */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_172)
	{
		{	/* Ast/nodetype.sch 874 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_172)))->BgL_keyz00);
		}

	}



/* &app-key */
	obj_t BGl_z62appzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6544,
		obj_t BgL_oz00_6545)
	{
		{	/* Ast/nodetype.sch 874 */
			return BGl_appzd2keyzd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6545));
		}

	}



/* app-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2keyzd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_173)))->BgL_keyz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &app-key-set! */
	obj_t BGl_z62appzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6546,
		obj_t BgL_oz00_6547, obj_t BgL_vz00_6548)
	{
		{	/* Ast/nodetype.sch 875 */
			return
				BGl_appzd2keyzd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6547), BgL_vz00_6548);
		}

	}



/* app-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_appzd2sidezd2effectz00zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_175)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_175)))->BgL_sidezd2effectzd2);
		}

	}



/* &app-side-effect */
	obj_t BGl_z62appzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6549,
		obj_t BgL_oz00_6550)
	{
		{	/* Ast/nodetype.sch 876 */
			return
				BGl_appzd2sidezd2effectz00zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6550));
		}

	}



/* app-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_176, obj_t BgL_vz00_177)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_176)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_177), BUNSPEC);
		}

	}



/* &app-side-effect-set! */
	obj_t BGl_z62appzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6551, obj_t BgL_oz00_6552, obj_t BgL_vz00_6553)
	{
		{	/* Ast/nodetype.sch 877 */
			return
				BGl_appzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6552), BgL_vz00_6553);
		}

	}



/* app-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2typezd2zzast_nodez00(BgL_appz00_bglt BgL_oz00_178)
	{
		{	/* Ast/nodetype.sch 878 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_178)))->BgL_typez00);
		}

	}



/* &app-type */
	BgL_typez00_bglt BGl_z62appzd2typezb0zzast_nodez00(obj_t BgL_envz00_6554,
		obj_t BgL_oz00_6555)
	{
		{	/* Ast/nodetype.sch 878 */
			return BGl_appzd2typezd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6555));
		}

	}



/* app-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_appzd2typezd2setz12z12zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_179, BgL_typez00_bglt BgL_vz00_180)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_179)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_180), BUNSPEC);
		}

	}



/* &app-type-set! */
	obj_t BGl_z62appzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6556,
		obj_t BgL_oz00_6557, obj_t BgL_vz00_6558)
	{
		{	/* Ast/nodetype.sch 879 */
			return
				BGl_appzd2typezd2setz12z12zzast_nodez00(
				((BgL_appz00_bglt) BgL_oz00_6557), ((BgL_typez00_bglt) BgL_vz00_6558));
		}

	}



/* app-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2loczd2zzast_nodez00(BgL_appz00_bglt
		BgL_oz00_181)
	{
		{	/* Ast/nodetype.sch 880 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_181)))->BgL_locz00);
		}

	}



/* &app-loc */
	obj_t BGl_z62appzd2loczb0zzast_nodez00(obj_t BgL_envz00_6559,
		obj_t BgL_oz00_6560)
	{
		{	/* Ast/nodetype.sch 880 */
			return BGl_appzd2loczd2zzast_nodez00(((BgL_appz00_bglt) BgL_oz00_6560));
		}

	}



/* make-app-ly */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt
		BGl_makezd2appzd2lyz00zzast_nodez00(obj_t BgL_loc1678z00_184,
		BgL_typez00_bglt BgL_type1679z00_185, BgL_nodez00_bglt BgL_fun1680z00_186,
		BgL_nodez00_bglt BgL_arg1685z00_187)
	{
		{	/* Ast/nodetype.sch 884 */
			{	/* Ast/nodetype.sch 884 */
				BgL_appzd2lyzd2_bglt BgL_new1469z00_9255;

				{	/* Ast/nodetype.sch 884 */
					BgL_appzd2lyzd2_bglt BgL_new1468z00_9256;

					BgL_new1468z00_9256 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/nodetype.sch 884 */
						long BgL_arg1801z00_9257;

						BgL_arg1801z00_9257 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1468z00_9256), BgL_arg1801z00_9257);
					}
					{	/* Ast/nodetype.sch 884 */
						BgL_objectz00_bglt BgL_tmpz00_11504;

						BgL_tmpz00_11504 = ((BgL_objectz00_bglt) BgL_new1468z00_9256);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11504, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1468z00_9256);
					BgL_new1469z00_9255 = BgL_new1468z00_9256;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1469z00_9255)))->BgL_locz00) =
					((obj_t) BgL_loc1678z00_184), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1469z00_9255)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1679z00_185), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1469z00_9255))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1680z00_186), BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1469z00_9255))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1685z00_187), BUNSPEC);
				return BgL_new1469z00_9255;
			}
		}

	}



/* &make-app-ly */
	BgL_appzd2lyzd2_bglt BGl_z62makezd2appzd2lyz62zzast_nodez00(obj_t
		BgL_envz00_6561, obj_t BgL_loc1678z00_6562, obj_t BgL_type1679z00_6563,
		obj_t BgL_fun1680z00_6564, obj_t BgL_arg1685z00_6565)
	{
		{	/* Ast/nodetype.sch 884 */
			return
				BGl_makezd2appzd2lyz00zzast_nodez00(BgL_loc1678z00_6562,
				((BgL_typez00_bglt) BgL_type1679z00_6563),
				((BgL_nodez00_bglt) BgL_fun1680z00_6564),
				((BgL_nodez00_bglt) BgL_arg1685z00_6565));
		}

	}



/* app-ly? */
	BGL_EXPORTED_DEF bool_t BGl_appzd2lyzf3z21zzast_nodez00(obj_t BgL_objz00_188)
	{
		{	/* Ast/nodetype.sch 885 */
			{	/* Ast/nodetype.sch 885 */
				obj_t BgL_classz00_9258;

				BgL_classz00_9258 = BGl_appzd2lyzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_188))
					{	/* Ast/nodetype.sch 885 */
						BgL_objectz00_bglt BgL_arg1858z00_9259;

						BgL_arg1858z00_9259 = (BgL_objectz00_bglt) (BgL_objz00_188);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 885 */
								long BgL_idxz00_9260;

								BgL_idxz00_9260 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9259);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9260 + 2L)) == BgL_classz00_9258);
							}
						else
							{	/* Ast/nodetype.sch 885 */
								bool_t BgL_res3064z00_9263;

								{	/* Ast/nodetype.sch 885 */
									obj_t BgL_oclassz00_9264;

									{	/* Ast/nodetype.sch 885 */
										obj_t BgL_arg1866z00_9265;
										long BgL_arg1867z00_9266;

										BgL_arg1866z00_9265 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 885 */
											long BgL_arg1869z00_9267;

											BgL_arg1869z00_9267 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9259);
											BgL_arg1867z00_9266 = (BgL_arg1869z00_9267 - OBJECT_TYPE);
										}
										BgL_oclassz00_9264 =
											VECTOR_REF(BgL_arg1866z00_9265, BgL_arg1867z00_9266);
									}
									{	/* Ast/nodetype.sch 885 */
										bool_t BgL__ortest_1115z00_9268;

										BgL__ortest_1115z00_9268 =
											(BgL_classz00_9258 == BgL_oclassz00_9264);
										if (BgL__ortest_1115z00_9268)
											{	/* Ast/nodetype.sch 885 */
												BgL_res3064z00_9263 = BgL__ortest_1115z00_9268;
											}
										else
											{	/* Ast/nodetype.sch 885 */
												long BgL_odepthz00_9269;

												{	/* Ast/nodetype.sch 885 */
													obj_t BgL_arg1855z00_9270;

													BgL_arg1855z00_9270 = (BgL_oclassz00_9264);
													BgL_odepthz00_9269 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9270);
												}
												if ((2L < BgL_odepthz00_9269))
													{	/* Ast/nodetype.sch 885 */
														obj_t BgL_arg1853z00_9271;

														{	/* Ast/nodetype.sch 885 */
															obj_t BgL_arg1854z00_9272;

															BgL_arg1854z00_9272 = (BgL_oclassz00_9264);
															BgL_arg1853z00_9271 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9272,
																2L);
														}
														BgL_res3064z00_9263 =
															(BgL_arg1853z00_9271 == BgL_classz00_9258);
													}
												else
													{	/* Ast/nodetype.sch 885 */
														BgL_res3064z00_9263 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3064z00_9263;
							}
					}
				else
					{	/* Ast/nodetype.sch 885 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &app-ly? */
	obj_t BGl_z62appzd2lyzf3z43zzast_nodez00(obj_t BgL_envz00_6566,
		obj_t BgL_objz00_6567)
	{
		{	/* Ast/nodetype.sch 885 */
			return BBOOL(BGl_appzd2lyzf3z21zzast_nodez00(BgL_objz00_6567));
		}

	}



/* app-ly-nil */
	BGL_EXPORTED_DEF BgL_appzd2lyzd2_bglt BGl_appzd2lyzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 886 */
			{	/* Ast/nodetype.sch 886 */
				obj_t BgL_classz00_4321;

				BgL_classz00_4321 = BGl_appzd2lyzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 886 */
					obj_t BgL__ortest_1117z00_4322;

					BgL__ortest_1117z00_4322 = BGL_CLASS_NIL(BgL_classz00_4321);
					if (CBOOL(BgL__ortest_1117z00_4322))
						{	/* Ast/nodetype.sch 886 */
							return ((BgL_appzd2lyzd2_bglt) BgL__ortest_1117z00_4322);
						}
					else
						{	/* Ast/nodetype.sch 886 */
							return
								((BgL_appzd2lyzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4321));
						}
				}
			}
		}

	}



/* &app-ly-nil */
	BgL_appzd2lyzd2_bglt BGl_z62appzd2lyzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_6568)
	{
		{	/* Ast/nodetype.sch 886 */
			return BGl_appzd2lyzd2nilz00zzast_nodez00();
		}

	}



/* app-ly-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2argz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_189)
	{
		{	/* Ast/nodetype.sch 887 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_189))->BgL_argz00);
		}

	}



/* &app-ly-arg */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2argz62zzast_nodez00(obj_t BgL_envz00_6569,
		obj_t BgL_oz00_6570)
	{
		{	/* Ast/nodetype.sch 887 */
			return
				BGl_appzd2lyzd2argz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6570));
		}

	}



/* app-ly-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_190, BgL_nodez00_bglt BgL_vz00_191)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_190))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_191), BUNSPEC);
		}

	}



/* &app-ly-arg-set! */
	obj_t BGl_z62appzd2lyzd2argzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6571,
		obj_t BgL_oz00_6572, obj_t BgL_vz00_6573)
	{
		{	/* Ast/nodetype.sch 888 */
			return
				BGl_appzd2lyzd2argzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6572),
				((BgL_nodez00_bglt) BgL_vz00_6573));
		}

	}



/* app-ly-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_appzd2lyzd2funz00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_192)
	{
		{	/* Ast/nodetype.sch 889 */
			return (((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_192))->BgL_funz00);
		}

	}



/* &app-ly-fun */
	BgL_nodez00_bglt BGl_z62appzd2lyzd2funz62zzast_nodez00(obj_t BgL_envz00_6574,
		obj_t BgL_oz00_6575)
	{
		{	/* Ast/nodetype.sch 889 */
			return
				BGl_appzd2lyzd2funz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6575));
		}

	}



/* app-ly-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_193, BgL_nodez00_bglt BgL_vz00_194)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_oz00_193))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_194), BUNSPEC);
		}

	}



/* &app-ly-fun-set! */
	obj_t BGl_z62appzd2lyzd2funzd2setz12za2zzast_nodez00(obj_t BgL_envz00_6576,
		obj_t BgL_oz00_6577, obj_t BgL_vz00_6578)
	{
		{	/* Ast/nodetype.sch 890 */
			return
				BGl_appzd2lyzd2funzd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6577),
				((BgL_nodez00_bglt) BgL_vz00_6578));
		}

	}



/* app-ly-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_appzd2lyzd2typez00zzast_nodez00(BgL_appzd2lyzd2_bglt BgL_oz00_195)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_195)))->BgL_typez00);
		}

	}



/* &app-ly-type */
	BgL_typez00_bglt BGl_z62appzd2lyzd2typez62zzast_nodez00(obj_t BgL_envz00_6579,
		obj_t BgL_oz00_6580)
	{
		{	/* Ast/nodetype.sch 891 */
			return
				BGl_appzd2lyzd2typez00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6580));
		}

	}



/* app-ly-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_196, BgL_typez00_bglt BgL_vz00_197)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_196)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_197), BUNSPEC);
		}

	}



/* &app-ly-type-set! */
	obj_t BGl_z62appzd2lyzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6581,
		obj_t BgL_oz00_6582, obj_t BgL_vz00_6583)
	{
		{	/* Ast/nodetype.sch 892 */
			return
				BGl_appzd2lyzd2typezd2setz12zc0zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6582),
				((BgL_typez00_bglt) BgL_vz00_6583));
		}

	}



/* app-ly-loc */
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzd2locz00zzast_nodez00(BgL_appzd2lyzd2_bglt
		BgL_oz00_198)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_198)))->BgL_locz00);
		}

	}



/* &app-ly-loc */
	obj_t BGl_z62appzd2lyzd2locz62zzast_nodez00(obj_t BgL_envz00_6584,
		obj_t BgL_oz00_6585)
	{
		{	/* Ast/nodetype.sch 893 */
			return
				BGl_appzd2lyzd2locz00zzast_nodez00(
				((BgL_appzd2lyzd2_bglt) BgL_oz00_6585));
		}

	}



/* make-funcall */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_makezd2funcallzd2zzast_nodez00(obj_t
		BgL_loc1671z00_201, BgL_typez00_bglt BgL_type1672z00_202,
		BgL_nodez00_bglt BgL_fun1673z00_203, obj_t BgL_args1674z00_204,
		obj_t BgL_strength1675z00_205, obj_t BgL_functions1676z00_206)
	{
		{	/* Ast/nodetype.sch 897 */
			{	/* Ast/nodetype.sch 897 */
				BgL_funcallz00_bglt BgL_new1471z00_9273;

				{	/* Ast/nodetype.sch 897 */
					BgL_funcallz00_bglt BgL_new1470z00_9274;

					BgL_new1470z00_9274 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/nodetype.sch 897 */
						long BgL_arg1802z00_9275;

						BgL_arg1802z00_9275 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1470z00_9274), BgL_arg1802z00_9275);
					}
					{	/* Ast/nodetype.sch 897 */
						BgL_objectz00_bglt BgL_tmpz00_11580;

						BgL_tmpz00_11580 = ((BgL_objectz00_bglt) BgL_new1470z00_9274);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11580, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1470z00_9274);
					BgL_new1471z00_9273 = BgL_new1470z00_9274;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1471z00_9273)))->BgL_locz00) =
					((obj_t) BgL_loc1671z00_201), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1471z00_9273)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1672z00_202), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1471z00_9273))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_fun1673z00_203), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1471z00_9273))->BgL_argsz00) =
					((obj_t) BgL_args1674z00_204), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1471z00_9273))->
						BgL_strengthz00) = ((obj_t) BgL_strength1675z00_205), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1471z00_9273))->
						BgL_functionsz00) = ((obj_t) BgL_functions1676z00_206), BUNSPEC);
				return BgL_new1471z00_9273;
			}
		}

	}



/* &make-funcall */
	BgL_funcallz00_bglt BGl_z62makezd2funcallzb0zzast_nodez00(obj_t
		BgL_envz00_6586, obj_t BgL_loc1671z00_6587, obj_t BgL_type1672z00_6588,
		obj_t BgL_fun1673z00_6589, obj_t BgL_args1674z00_6590,
		obj_t BgL_strength1675z00_6591, obj_t BgL_functions1676z00_6592)
	{
		{	/* Ast/nodetype.sch 897 */
			return
				BGl_makezd2funcallzd2zzast_nodez00(BgL_loc1671z00_6587,
				((BgL_typez00_bglt) BgL_type1672z00_6588),
				((BgL_nodez00_bglt) BgL_fun1673z00_6589), BgL_args1674z00_6590,
				BgL_strength1675z00_6591, BgL_functions1676z00_6592);
		}

	}



/* funcall? */
	BGL_EXPORTED_DEF bool_t BGl_funcallzf3zf3zzast_nodez00(obj_t BgL_objz00_207)
	{
		{	/* Ast/nodetype.sch 898 */
			{	/* Ast/nodetype.sch 898 */
				obj_t BgL_classz00_9276;

				BgL_classz00_9276 = BGl_funcallz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_207))
					{	/* Ast/nodetype.sch 898 */
						BgL_objectz00_bglt BgL_arg1858z00_9277;

						BgL_arg1858z00_9277 = (BgL_objectz00_bglt) (BgL_objz00_207);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 898 */
								long BgL_idxz00_9278;

								BgL_idxz00_9278 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9277);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9278 + 2L)) == BgL_classz00_9276);
							}
						else
							{	/* Ast/nodetype.sch 898 */
								bool_t BgL_res3065z00_9281;

								{	/* Ast/nodetype.sch 898 */
									obj_t BgL_oclassz00_9282;

									{	/* Ast/nodetype.sch 898 */
										obj_t BgL_arg1866z00_9283;
										long BgL_arg1867z00_9284;

										BgL_arg1866z00_9283 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 898 */
											long BgL_arg1869z00_9285;

											BgL_arg1869z00_9285 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9277);
											BgL_arg1867z00_9284 = (BgL_arg1869z00_9285 - OBJECT_TYPE);
										}
										BgL_oclassz00_9282 =
											VECTOR_REF(BgL_arg1866z00_9283, BgL_arg1867z00_9284);
									}
									{	/* Ast/nodetype.sch 898 */
										bool_t BgL__ortest_1115z00_9286;

										BgL__ortest_1115z00_9286 =
											(BgL_classz00_9276 == BgL_oclassz00_9282);
										if (BgL__ortest_1115z00_9286)
											{	/* Ast/nodetype.sch 898 */
												BgL_res3065z00_9281 = BgL__ortest_1115z00_9286;
											}
										else
											{	/* Ast/nodetype.sch 898 */
												long BgL_odepthz00_9287;

												{	/* Ast/nodetype.sch 898 */
													obj_t BgL_arg1855z00_9288;

													BgL_arg1855z00_9288 = (BgL_oclassz00_9282);
													BgL_odepthz00_9287 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9288);
												}
												if ((2L < BgL_odepthz00_9287))
													{	/* Ast/nodetype.sch 898 */
														obj_t BgL_arg1853z00_9289;

														{	/* Ast/nodetype.sch 898 */
															obj_t BgL_arg1854z00_9290;

															BgL_arg1854z00_9290 = (BgL_oclassz00_9282);
															BgL_arg1853z00_9289 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9290,
																2L);
														}
														BgL_res3065z00_9281 =
															(BgL_arg1853z00_9289 == BgL_classz00_9276);
													}
												else
													{	/* Ast/nodetype.sch 898 */
														BgL_res3065z00_9281 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3065z00_9281;
							}
					}
				else
					{	/* Ast/nodetype.sch 898 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &funcall? */
	obj_t BGl_z62funcallzf3z91zzast_nodez00(obj_t BgL_envz00_6593,
		obj_t BgL_objz00_6594)
	{
		{	/* Ast/nodetype.sch 898 */
			return BBOOL(BGl_funcallzf3zf3zzast_nodez00(BgL_objz00_6594));
		}

	}



/* funcall-nil */
	BGL_EXPORTED_DEF BgL_funcallz00_bglt BGl_funcallzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 899 */
			{	/* Ast/nodetype.sch 899 */
				obj_t BgL_classz00_4364;

				BgL_classz00_4364 = BGl_funcallz00zzast_nodez00;
				{	/* Ast/nodetype.sch 899 */
					obj_t BgL__ortest_1117z00_4365;

					BgL__ortest_1117z00_4365 = BGL_CLASS_NIL(BgL_classz00_4364);
					if (CBOOL(BgL__ortest_1117z00_4365))
						{	/* Ast/nodetype.sch 899 */
							return ((BgL_funcallz00_bglt) BgL__ortest_1117z00_4365);
						}
					else
						{	/* Ast/nodetype.sch 899 */
							return
								((BgL_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4364));
						}
				}
			}
		}

	}



/* &funcall-nil */
	BgL_funcallz00_bglt BGl_z62funcallzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6595)
	{
		{	/* Ast/nodetype.sch 899 */
			return BGl_funcallzd2nilzd2zzast_nodez00();
		}

	}



/* funcall-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_208)
	{
		{	/* Ast/nodetype.sch 900 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_208))->BgL_functionsz00);
		}

	}



/* &funcall-functions */
	obj_t BGl_z62funcallzd2functionszb0zzast_nodez00(obj_t BgL_envz00_6596,
		obj_t BgL_oz00_6597)
	{
		{	/* Ast/nodetype.sch 900 */
			return
				BGl_funcallzd2functionszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6597));
		}

	}



/* funcall-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2functionszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_209, obj_t BgL_vz00_210)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_209))->BgL_functionsz00) =
				((obj_t) BgL_vz00_210), BUNSPEC);
		}

	}



/* &funcall-functions-set! */
	obj_t BGl_z62funcallzd2functionszd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6598, obj_t BgL_oz00_6599, obj_t BgL_vz00_6600)
	{
		{	/* Ast/nodetype.sch 901 */
			return
				BGl_funcallzd2functionszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6599), BgL_vz00_6600);
		}

	}



/* funcall-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_211)
	{
		{	/* Ast/nodetype.sch 902 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_211))->BgL_strengthz00);
		}

	}



/* &funcall-strength */
	obj_t BGl_z62funcallzd2strengthzb0zzast_nodez00(obj_t BgL_envz00_6601,
		obj_t BgL_oz00_6602)
	{
		{	/* Ast/nodetype.sch 902 */
			return
				BGl_funcallzd2strengthzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6602));
		}

	}



/* funcall-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_212, obj_t BgL_vz00_213)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_212))->BgL_strengthz00) =
				((obj_t) BgL_vz00_213), BUNSPEC);
		}

	}



/* &funcall-strength-set! */
	obj_t BGl_z62funcallzd2strengthzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6603, obj_t BgL_oz00_6604, obj_t BgL_vz00_6605)
	{
		{	/* Ast/nodetype.sch 903 */
			return
				BGl_funcallzd2strengthzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6604), BgL_vz00_6605);
		}

	}



/* funcall-args */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2argszd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_214)
	{
		{	/* Ast/nodetype.sch 904 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_214))->BgL_argsz00);
		}

	}



/* &funcall-args */
	obj_t BGl_z62funcallzd2argszb0zzast_nodez00(obj_t BgL_envz00_6606,
		obj_t BgL_oz00_6607)
	{
		{	/* Ast/nodetype.sch 904 */
			return
				BGl_funcallzd2argszd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6607));
		}

	}



/* funcall-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2argszd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_215, obj_t BgL_vz00_216)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_215))->BgL_argsz00) =
				((obj_t) BgL_vz00_216), BUNSPEC);
		}

	}



/* &funcall-args-set! */
	obj_t BGl_z62funcallzd2argszd2setz12z70zzast_nodez00(obj_t BgL_envz00_6608,
		obj_t BgL_oz00_6609, obj_t BgL_vz00_6610)
	{
		{	/* Ast/nodetype.sch 905 */
			return
				BGl_funcallzd2argszd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6609), BgL_vz00_6610);
		}

	}



/* funcall-fun */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_funcallzd2funzd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_217)
	{
		{	/* Ast/nodetype.sch 906 */
			return (((BgL_funcallz00_bglt) COBJECT(BgL_oz00_217))->BgL_funz00);
		}

	}



/* &funcall-fun */
	BgL_nodez00_bglt BGl_z62funcallzd2funzb0zzast_nodez00(obj_t BgL_envz00_6611,
		obj_t BgL_oz00_6612)
	{
		{	/* Ast/nodetype.sch 906 */
			return
				BGl_funcallzd2funzd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6612));
		}

	}



/* funcall-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2funzd2setz12z12zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_218,
		BgL_nodez00_bglt BgL_vz00_219)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				((((BgL_funcallz00_bglt) COBJECT(BgL_oz00_218))->BgL_funz00) =
				((BgL_nodez00_bglt) BgL_vz00_219), BUNSPEC);
		}

	}



/* &funcall-fun-set! */
	obj_t BGl_z62funcallzd2funzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6613,
		obj_t BgL_oz00_6614, obj_t BgL_vz00_6615)
	{
		{	/* Ast/nodetype.sch 907 */
			return
				BGl_funcallzd2funzd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6614),
				((BgL_nodez00_bglt) BgL_vz00_6615));
		}

	}



/* funcall-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_funcallzd2typezd2zzast_nodez00(BgL_funcallz00_bglt BgL_oz00_220)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_220)))->BgL_typez00);
		}

	}



/* &funcall-type */
	BgL_typez00_bglt BGl_z62funcallzd2typezb0zzast_nodez00(obj_t BgL_envz00_6616,
		obj_t BgL_oz00_6617)
	{
		{	/* Ast/nodetype.sch 908 */
			return
				BGl_funcallzd2typezd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6617));
		}

	}



/* funcall-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_funcallzd2typezd2setz12z12zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_221, BgL_typez00_bglt BgL_vz00_222)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_221)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_222), BUNSPEC);
		}

	}



/* &funcall-type-set! */
	obj_t BGl_z62funcallzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6618,
		obj_t BgL_oz00_6619, obj_t BgL_vz00_6620)
	{
		{	/* Ast/nodetype.sch 909 */
			return
				BGl_funcallzd2typezd2setz12z12zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6619),
				((BgL_typez00_bglt) BgL_vz00_6620));
		}

	}



/* funcall-loc */
	BGL_EXPORTED_DEF obj_t BGl_funcallzd2loczd2zzast_nodez00(BgL_funcallz00_bglt
		BgL_oz00_223)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_223)))->BgL_locz00);
		}

	}



/* &funcall-loc */
	obj_t BGl_z62funcallzd2loczb0zzast_nodez00(obj_t BgL_envz00_6621,
		obj_t BgL_oz00_6622)
	{
		{	/* Ast/nodetype.sch 910 */
			return
				BGl_funcallzd2loczd2zzast_nodez00(
				((BgL_funcallz00_bglt) BgL_oz00_6622));
		}

	}



/* make-extern */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_makezd2externzd2zzast_nodez00(obj_t
		BgL_loc1663z00_226, BgL_typez00_bglt BgL_type1664z00_227,
		obj_t BgL_sidezd2effect1665zd2_228, obj_t BgL_key1666z00_229,
		obj_t BgL_exprza21667za2_230, obj_t BgL_effect1668z00_231)
	{
		{	/* Ast/nodetype.sch 914 */
			{	/* Ast/nodetype.sch 914 */
				BgL_externz00_bglt BgL_new1473z00_9291;

				{	/* Ast/nodetype.sch 914 */
					BgL_externz00_bglt BgL_new1472z00_9292;

					BgL_new1472z00_9292 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/nodetype.sch 914 */
						long BgL_arg1803z00_9293;

						BgL_arg1803z00_9293 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1472z00_9292), BgL_arg1803z00_9293);
					}
					BgL_new1473z00_9291 = BgL_new1472z00_9292;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1473z00_9291)))->BgL_locz00) =
					((obj_t) BgL_loc1663z00_226), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1473z00_9291)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1664z00_227), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1473z00_9291)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1665zd2_228), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1473z00_9291)))->BgL_keyz00) =
					((obj_t) BgL_key1666z00_229), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1473z00_9291))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21667za2_230), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1473z00_9291))->BgL_effectz00) =
					((obj_t) BgL_effect1668z00_231), BUNSPEC);
				return BgL_new1473z00_9291;
			}
		}

	}



/* &make-extern */
	BgL_externz00_bglt BGl_z62makezd2externzb0zzast_nodez00(obj_t BgL_envz00_6623,
		obj_t BgL_loc1663z00_6624, obj_t BgL_type1664z00_6625,
		obj_t BgL_sidezd2effect1665zd2_6626, obj_t BgL_key1666z00_6627,
		obj_t BgL_exprza21667za2_6628, obj_t BgL_effect1668z00_6629)
	{
		{	/* Ast/nodetype.sch 914 */
			return
				BGl_makezd2externzd2zzast_nodez00(BgL_loc1663z00_6624,
				((BgL_typez00_bglt) BgL_type1664z00_6625),
				BgL_sidezd2effect1665zd2_6626, BgL_key1666z00_6627,
				BgL_exprza21667za2_6628, BgL_effect1668z00_6629);
		}

	}



/* extern? */
	BGL_EXPORTED_DEF bool_t BGl_externzf3zf3zzast_nodez00(obj_t BgL_objz00_232)
	{
		{	/* Ast/nodetype.sch 915 */
			{	/* Ast/nodetype.sch 915 */
				obj_t BgL_classz00_9294;

				BgL_classz00_9294 = BGl_externz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_232))
					{	/* Ast/nodetype.sch 915 */
						BgL_objectz00_bglt BgL_arg1858z00_9295;

						BgL_arg1858z00_9295 = (BgL_objectz00_bglt) (BgL_objz00_232);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 915 */
								long BgL_idxz00_9296;

								BgL_idxz00_9296 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9295);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9296 + 3L)) == BgL_classz00_9294);
							}
						else
							{	/* Ast/nodetype.sch 915 */
								bool_t BgL_res3066z00_9299;

								{	/* Ast/nodetype.sch 915 */
									obj_t BgL_oclassz00_9300;

									{	/* Ast/nodetype.sch 915 */
										obj_t BgL_arg1866z00_9301;
										long BgL_arg1867z00_9302;

										BgL_arg1866z00_9301 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 915 */
											long BgL_arg1869z00_9303;

											BgL_arg1869z00_9303 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9295);
											BgL_arg1867z00_9302 = (BgL_arg1869z00_9303 - OBJECT_TYPE);
										}
										BgL_oclassz00_9300 =
											VECTOR_REF(BgL_arg1866z00_9301, BgL_arg1867z00_9302);
									}
									{	/* Ast/nodetype.sch 915 */
										bool_t BgL__ortest_1115z00_9304;

										BgL__ortest_1115z00_9304 =
											(BgL_classz00_9294 == BgL_oclassz00_9300);
										if (BgL__ortest_1115z00_9304)
											{	/* Ast/nodetype.sch 915 */
												BgL_res3066z00_9299 = BgL__ortest_1115z00_9304;
											}
										else
											{	/* Ast/nodetype.sch 915 */
												long BgL_odepthz00_9305;

												{	/* Ast/nodetype.sch 915 */
													obj_t BgL_arg1855z00_9306;

													BgL_arg1855z00_9306 = (BgL_oclassz00_9300);
													BgL_odepthz00_9305 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9306);
												}
												if ((3L < BgL_odepthz00_9305))
													{	/* Ast/nodetype.sch 915 */
														obj_t BgL_arg1853z00_9307;

														{	/* Ast/nodetype.sch 915 */
															obj_t BgL_arg1854z00_9308;

															BgL_arg1854z00_9308 = (BgL_oclassz00_9300);
															BgL_arg1853z00_9307 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9308,
																3L);
														}
														BgL_res3066z00_9299 =
															(BgL_arg1853z00_9307 == BgL_classz00_9294);
													}
												else
													{	/* Ast/nodetype.sch 915 */
														BgL_res3066z00_9299 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3066z00_9299;
							}
					}
				else
					{	/* Ast/nodetype.sch 915 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &extern? */
	obj_t BGl_z62externzf3z91zzast_nodez00(obj_t BgL_envz00_6630,
		obj_t BgL_objz00_6631)
	{
		{	/* Ast/nodetype.sch 915 */
			return BBOOL(BGl_externzf3zf3zzast_nodez00(BgL_objz00_6631));
		}

	}



/* extern-nil */
	BGL_EXPORTED_DEF BgL_externz00_bglt BGl_externzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 916 */
			{	/* Ast/nodetype.sch 916 */
				obj_t BgL_classz00_4406;

				BgL_classz00_4406 = BGl_externz00zzast_nodez00;
				{	/* Ast/nodetype.sch 916 */
					obj_t BgL__ortest_1117z00_4407;

					BgL__ortest_1117z00_4407 = BGL_CLASS_NIL(BgL_classz00_4406);
					if (CBOOL(BgL__ortest_1117z00_4407))
						{	/* Ast/nodetype.sch 916 */
							return ((BgL_externz00_bglt) BgL__ortest_1117z00_4407);
						}
					else
						{	/* Ast/nodetype.sch 916 */
							return
								((BgL_externz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4406));
						}
				}
			}
		}

	}



/* &extern-nil */
	BgL_externz00_bglt BGl_z62externzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6632)
	{
		{	/* Ast/nodetype.sch 916 */
			return BGl_externzd2nilzd2zzast_nodez00();
		}

	}



/* extern-effect */
	BGL_EXPORTED_DEF obj_t BGl_externzd2effectzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_233)
	{
		{	/* Ast/nodetype.sch 917 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_233))->BgL_effectz00);
		}

	}



/* &extern-effect */
	obj_t BGl_z62externzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6633,
		obj_t BgL_oz00_6634)
	{
		{	/* Ast/nodetype.sch 917 */
			return
				BGl_externzd2effectzd2zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6634));
		}

	}



/* extern-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2effectzd2setz12z12zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_234, obj_t BgL_vz00_235)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_234))->BgL_effectz00) =
				((obj_t) BgL_vz00_235), BUNSPEC);
		}

	}



/* &extern-effect-set! */
	obj_t BGl_z62externzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6635,
		obj_t BgL_oz00_6636, obj_t BgL_vz00_6637)
	{
		{	/* Ast/nodetype.sch 918 */
			return
				BGl_externzd2effectzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6636), BgL_vz00_6637);
		}

	}



/* extern-expr* */
	BGL_EXPORTED_DEF obj_t BGl_externzd2exprza2z70zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_236)
	{
		{	/* Ast/nodetype.sch 919 */
			return (((BgL_externz00_bglt) COBJECT(BgL_oz00_236))->BgL_exprza2za2);
		}

	}



/* &extern-expr* */
	obj_t BGl_z62externzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6638,
		obj_t BgL_oz00_6639)
	{
		{	/* Ast/nodetype.sch 919 */
			return
				BGl_externzd2exprza2z70zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6639));
		}

	}



/* extern-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_237, obj_t BgL_vz00_238)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				((((BgL_externz00_bglt) COBJECT(BgL_oz00_237))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_238), BUNSPEC);
		}

	}



/* &extern-expr*-set! */
	obj_t BGl_z62externzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6640,
		obj_t BgL_oz00_6641, obj_t BgL_vz00_6642)
	{
		{	/* Ast/nodetype.sch 920 */
			return
				BGl_externzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6641), BgL_vz00_6642);
		}

	}



/* extern-key */
	BGL_EXPORTED_DEF obj_t BGl_externzd2keyzd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_239)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_239)))->BgL_keyz00);
		}

	}



/* &extern-key */
	obj_t BGl_z62externzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6643,
		obj_t BgL_oz00_6644)
	{
		{	/* Ast/nodetype.sch 921 */
			return
				BGl_externzd2keyzd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6644));
		}

	}



/* extern-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2keyzd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_240,
		obj_t BgL_vz00_241)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_240)))->BgL_keyz00) =
				((obj_t) BgL_vz00_241), BUNSPEC);
		}

	}



/* &extern-key-set! */
	obj_t BGl_z62externzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6645,
		obj_t BgL_oz00_6646, obj_t BgL_vz00_6647)
	{
		{	/* Ast/nodetype.sch 922 */
			return
				BGl_externzd2keyzd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6646), BgL_vz00_6647);
		}

	}



/* extern-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectz00zzast_nodez00(BgL_externz00_bglt BgL_oz00_242)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_242)))->BgL_sidezd2effectzd2);
		}

	}



/* &extern-side-effect */
	obj_t BGl_z62externzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6648,
		obj_t BgL_oz00_6649)
	{
		{	/* Ast/nodetype.sch 923 */
			return
				BGl_externzd2sidezd2effectz00zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6649));
		}

	}



/* extern-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_243)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &extern-side-effect-set! */
	obj_t BGl_z62externzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6650, obj_t BgL_oz00_6651, obj_t BgL_vz00_6652)
	{
		{	/* Ast/nodetype.sch 924 */
			return
				BGl_externzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6651), BgL_vz00_6652);
		}

	}



/* extern-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_externzd2typezd2zzast_nodez00(BgL_externz00_bglt BgL_oz00_245)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_245)))->BgL_typez00);
		}

	}



/* &extern-type */
	BgL_typez00_bglt BGl_z62externzd2typezb0zzast_nodez00(obj_t BgL_envz00_6653,
		obj_t BgL_oz00_6654)
	{
		{	/* Ast/nodetype.sch 925 */
			return
				BGl_externzd2typezd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6654));
		}

	}



/* extern-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_externzd2typezd2setz12z12zzast_nodez00(BgL_externz00_bglt BgL_oz00_246,
		BgL_typez00_bglt BgL_vz00_247)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_246)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_247), BUNSPEC);
		}

	}



/* &extern-type-set! */
	obj_t BGl_z62externzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6655,
		obj_t BgL_oz00_6656, obj_t BgL_vz00_6657)
	{
		{	/* Ast/nodetype.sch 926 */
			return
				BGl_externzd2typezd2setz12z12zzast_nodez00(
				((BgL_externz00_bglt) BgL_oz00_6656),
				((BgL_typez00_bglt) BgL_vz00_6657));
		}

	}



/* extern-loc */
	BGL_EXPORTED_DEF obj_t BGl_externzd2loczd2zzast_nodez00(BgL_externz00_bglt
		BgL_oz00_248)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_248)))->BgL_locz00);
		}

	}



/* &extern-loc */
	obj_t BGl_z62externzd2loczb0zzast_nodez00(obj_t BgL_envz00_6658,
		obj_t BgL_oz00_6659)
	{
		{	/* Ast/nodetype.sch 927 */
			return
				BGl_externzd2loczd2zzast_nodez00(((BgL_externz00_bglt) BgL_oz00_6659));
		}

	}



/* make-pragma */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_makezd2pragmazd2zzast_nodez00(obj_t
		BgL_loc1655z00_251, BgL_typez00_bglt BgL_type1656z00_252,
		obj_t BgL_sidezd2effect1657zd2_253, obj_t BgL_key1658z00_254,
		obj_t BgL_exprza21659za2_255, obj_t BgL_effect1660z00_256,
		obj_t BgL_format1661z00_257)
	{
		{	/* Ast/nodetype.sch 931 */
			{	/* Ast/nodetype.sch 931 */
				BgL_pragmaz00_bglt BgL_new1475z00_9309;

				{	/* Ast/nodetype.sch 931 */
					BgL_pragmaz00_bglt BgL_new1474z00_9310;

					BgL_new1474z00_9310 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/nodetype.sch 931 */
						long BgL_arg1804z00_9311;

						BgL_arg1804z00_9311 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1474z00_9310), BgL_arg1804z00_9311);
					}
					{	/* Ast/nodetype.sch 931 */
						BgL_objectz00_bglt BgL_tmpz00_11756;

						BgL_tmpz00_11756 = ((BgL_objectz00_bglt) BgL_new1474z00_9310);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11756, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1474z00_9310);
					BgL_new1475z00_9309 = BgL_new1474z00_9310;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1475z00_9309)))->BgL_locz00) =
					((obj_t) BgL_loc1655z00_251), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1475z00_9309)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1656z00_252), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1475z00_9309)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1657zd2_253), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1475z00_9309)))->BgL_keyz00) =
					((obj_t) BgL_key1658z00_254), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1475z00_9309)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21659za2_255), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1475z00_9309)))->BgL_effectz00) =
					((obj_t) BgL_effect1660z00_256), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1475z00_9309))->BgL_formatz00) =
					((obj_t) BgL_format1661z00_257), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1475z00_9309))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				return BgL_new1475z00_9309;
			}
		}

	}



/* &make-pragma */
	BgL_pragmaz00_bglt BGl_z62makezd2pragmazb0zzast_nodez00(obj_t BgL_envz00_6660,
		obj_t BgL_loc1655z00_6661, obj_t BgL_type1656z00_6662,
		obj_t BgL_sidezd2effect1657zd2_6663, obj_t BgL_key1658z00_6664,
		obj_t BgL_exprza21659za2_6665, obj_t BgL_effect1660z00_6666,
		obj_t BgL_format1661z00_6667)
	{
		{	/* Ast/nodetype.sch 931 */
			return
				BGl_makezd2pragmazd2zzast_nodez00(BgL_loc1655z00_6661,
				((BgL_typez00_bglt) BgL_type1656z00_6662),
				BgL_sidezd2effect1657zd2_6663, BgL_key1658z00_6664,
				BgL_exprza21659za2_6665, BgL_effect1660z00_6666,
				BgL_format1661z00_6667);
		}

	}



/* pragma? */
	BGL_EXPORTED_DEF bool_t BGl_pragmazf3zf3zzast_nodez00(obj_t BgL_objz00_258)
	{
		{	/* Ast/nodetype.sch 932 */
			{	/* Ast/nodetype.sch 932 */
				obj_t BgL_classz00_9312;

				BgL_classz00_9312 = BGl_pragmaz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_258))
					{	/* Ast/nodetype.sch 932 */
						BgL_objectz00_bglt BgL_arg1858z00_9313;

						BgL_arg1858z00_9313 = (BgL_objectz00_bglt) (BgL_objz00_258);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 932 */
								long BgL_idxz00_9314;

								BgL_idxz00_9314 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9313);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9314 + 4L)) == BgL_classz00_9312);
							}
						else
							{	/* Ast/nodetype.sch 932 */
								bool_t BgL_res3067z00_9317;

								{	/* Ast/nodetype.sch 932 */
									obj_t BgL_oclassz00_9318;

									{	/* Ast/nodetype.sch 932 */
										obj_t BgL_arg1866z00_9319;
										long BgL_arg1867z00_9320;

										BgL_arg1866z00_9319 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 932 */
											long BgL_arg1869z00_9321;

											BgL_arg1869z00_9321 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9313);
											BgL_arg1867z00_9320 = (BgL_arg1869z00_9321 - OBJECT_TYPE);
										}
										BgL_oclassz00_9318 =
											VECTOR_REF(BgL_arg1866z00_9319, BgL_arg1867z00_9320);
									}
									{	/* Ast/nodetype.sch 932 */
										bool_t BgL__ortest_1115z00_9322;

										BgL__ortest_1115z00_9322 =
											(BgL_classz00_9312 == BgL_oclassz00_9318);
										if (BgL__ortest_1115z00_9322)
											{	/* Ast/nodetype.sch 932 */
												BgL_res3067z00_9317 = BgL__ortest_1115z00_9322;
											}
										else
											{	/* Ast/nodetype.sch 932 */
												long BgL_odepthz00_9323;

												{	/* Ast/nodetype.sch 932 */
													obj_t BgL_arg1855z00_9324;

													BgL_arg1855z00_9324 = (BgL_oclassz00_9318);
													BgL_odepthz00_9323 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9324);
												}
												if ((4L < BgL_odepthz00_9323))
													{	/* Ast/nodetype.sch 932 */
														obj_t BgL_arg1853z00_9325;

														{	/* Ast/nodetype.sch 932 */
															obj_t BgL_arg1854z00_9326;

															BgL_arg1854z00_9326 = (BgL_oclassz00_9318);
															BgL_arg1853z00_9325 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9326,
																4L);
														}
														BgL_res3067z00_9317 =
															(BgL_arg1853z00_9325 == BgL_classz00_9312);
													}
												else
													{	/* Ast/nodetype.sch 932 */
														BgL_res3067z00_9317 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3067z00_9317;
							}
					}
				else
					{	/* Ast/nodetype.sch 932 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &pragma? */
	obj_t BGl_z62pragmazf3z91zzast_nodez00(obj_t BgL_envz00_6668,
		obj_t BgL_objz00_6669)
	{
		{	/* Ast/nodetype.sch 932 */
			return BBOOL(BGl_pragmazf3zf3zzast_nodez00(BgL_objz00_6669));
		}

	}



/* pragma-nil */
	BGL_EXPORTED_DEF BgL_pragmaz00_bglt BGl_pragmazd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 933 */
			{	/* Ast/nodetype.sch 933 */
				obj_t BgL_classz00_4449;

				BgL_classz00_4449 = BGl_pragmaz00zzast_nodez00;
				{	/* Ast/nodetype.sch 933 */
					obj_t BgL__ortest_1117z00_4450;

					BgL__ortest_1117z00_4450 = BGL_CLASS_NIL(BgL_classz00_4449);
					if (CBOOL(BgL__ortest_1117z00_4450))
						{	/* Ast/nodetype.sch 933 */
							return ((BgL_pragmaz00_bglt) BgL__ortest_1117z00_4450);
						}
					else
						{	/* Ast/nodetype.sch 933 */
							return
								((BgL_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4449));
						}
				}
			}
		}

	}



/* &pragma-nil */
	BgL_pragmaz00_bglt BGl_z62pragmazd2nilzb0zzast_nodez00(obj_t BgL_envz00_6670)
	{
		{	/* Ast/nodetype.sch 933 */
			return BGl_pragmazd2nilzd2zzast_nodez00();
		}

	}



/* pragma-format */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2formatzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_259)
	{
		{	/* Ast/nodetype.sch 934 */
			return (((BgL_pragmaz00_bglt) COBJECT(BgL_oz00_259))->BgL_formatz00);
		}

	}



/* &pragma-format */
	obj_t BGl_z62pragmazd2formatzb0zzast_nodez00(obj_t BgL_envz00_6671,
		obj_t BgL_oz00_6672)
	{
		{	/* Ast/nodetype.sch 934 */
			return
				BGl_pragmazd2formatzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6672));
		}

	}



/* pragma-effect */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2effectzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_262)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_262)))->BgL_effectz00);
		}

	}



/* &pragma-effect */
	obj_t BGl_z62pragmazd2effectzb0zzast_nodez00(obj_t BgL_envz00_6673,
		obj_t BgL_oz00_6674)
	{
		{	/* Ast/nodetype.sch 936 */
			return
				BGl_pragmazd2effectzd2zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6674));
		}

	}



/* pragma-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2effectzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_263, obj_t BgL_vz00_264)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_263)))->BgL_effectz00) =
				((obj_t) BgL_vz00_264), BUNSPEC);
		}

	}



/* &pragma-effect-set! */
	obj_t BGl_z62pragmazd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6675,
		obj_t BgL_oz00_6676, obj_t BgL_vz00_6677)
	{
		{	/* Ast/nodetype.sch 937 */
			return
				BGl_pragmazd2effectzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6676), BgL_vz00_6677);
		}

	}



/* pragma-expr* */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2exprza2z70zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_265)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_265)))->BgL_exprza2za2);
		}

	}



/* &pragma-expr* */
	obj_t BGl_z62pragmazd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6678,
		obj_t BgL_oz00_6679)
	{
		{	/* Ast/nodetype.sch 938 */
			return
				BGl_pragmazd2exprza2z70zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6679));
		}

	}



/* pragma-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_266, obj_t BgL_vz00_267)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_266)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_267), BUNSPEC);
		}

	}



/* &pragma-expr*-set! */
	obj_t BGl_z62pragmazd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6680,
		obj_t BgL_oz00_6681, obj_t BgL_vz00_6682)
	{
		{	/* Ast/nodetype.sch 939 */
			return
				BGl_pragmazd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6681), BgL_vz00_6682);
		}

	}



/* pragma-key */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2keyzd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_268)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_268)))->BgL_keyz00);
		}

	}



/* &pragma-key */
	obj_t BGl_z62pragmazd2keyzb0zzast_nodez00(obj_t BgL_envz00_6683,
		obj_t BgL_oz00_6684)
	{
		{	/* Ast/nodetype.sch 940 */
			return
				BGl_pragmazd2keyzd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6684));
		}

	}



/* pragma-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2keyzd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_269,
		obj_t BgL_vz00_270)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_269)))->BgL_keyz00) =
				((obj_t) BgL_vz00_270), BUNSPEC);
		}

	}



/* &pragma-key-set! */
	obj_t BGl_z62pragmazd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6685,
		obj_t BgL_oz00_6686, obj_t BgL_vz00_6687)
	{
		{	/* Ast/nodetype.sch 941 */
			return
				BGl_pragmazd2keyzd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6686), BgL_vz00_6687);
		}

	}



/* pragma-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectz00zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_271)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_271)))->BgL_sidezd2effectzd2);
		}

	}



/* &pragma-side-effect */
	obj_t BGl_z62pragmazd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6688,
		obj_t BgL_oz00_6689)
	{
		{	/* Ast/nodetype.sch 942 */
			return
				BGl_pragmazd2sidezd2effectz00zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6689));
		}

	}



/* pragma-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_272, obj_t BgL_vz00_273)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_272)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_273), BUNSPEC);
		}

	}



/* &pragma-side-effect-set! */
	obj_t BGl_z62pragmazd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6690, obj_t BgL_oz00_6691, obj_t BgL_vz00_6692)
	{
		{	/* Ast/nodetype.sch 943 */
			return
				BGl_pragmazd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6691), BgL_vz00_6692);
		}

	}



/* pragma-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_pragmazd2typezd2zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_274)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_274)))->BgL_typez00);
		}

	}



/* &pragma-type */
	BgL_typez00_bglt BGl_z62pragmazd2typezb0zzast_nodez00(obj_t BgL_envz00_6693,
		obj_t BgL_oz00_6694)
	{
		{	/* Ast/nodetype.sch 944 */
			return
				BGl_pragmazd2typezd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6694));
		}

	}



/* pragma-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_pragmazd2typezd2setz12z12zzast_nodez00(BgL_pragmaz00_bglt BgL_oz00_275,
		BgL_typez00_bglt BgL_vz00_276)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_275)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_276), BUNSPEC);
		}

	}



/* &pragma-type-set! */
	obj_t BGl_z62pragmazd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6695,
		obj_t BgL_oz00_6696, obj_t BgL_vz00_6697)
	{
		{	/* Ast/nodetype.sch 945 */
			return
				BGl_pragmazd2typezd2setz12z12zzast_nodez00(
				((BgL_pragmaz00_bglt) BgL_oz00_6696),
				((BgL_typez00_bglt) BgL_vz00_6697));
		}

	}



/* pragma-loc */
	BGL_EXPORTED_DEF obj_t BGl_pragmazd2loczd2zzast_nodez00(BgL_pragmaz00_bglt
		BgL_oz00_277)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_277)))->BgL_locz00);
		}

	}



/* &pragma-loc */
	obj_t BGl_z62pragmazd2loczb0zzast_nodez00(obj_t BgL_envz00_6698,
		obj_t BgL_oz00_6699)
	{
		{	/* Ast/nodetype.sch 946 */
			return
				BGl_pragmazd2loczd2zzast_nodez00(((BgL_pragmaz00_bglt) BgL_oz00_6699));
		}

	}



/* make-genpatchid */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_makezd2genpatchidzd2zzast_nodez00(obj_t BgL_loc1646z00_280,
		BgL_typez00_bglt BgL_type1647z00_281, obj_t BgL_sidezd2effect1648zd2_282,
		obj_t BgL_key1649z00_283, obj_t BgL_exprza21650za2_284,
		obj_t BgL_effect1651z00_285, long BgL_index1652z00_286,
		long BgL_rindex1653z00_287)
	{
		{	/* Ast/nodetype.sch 950 */
			{	/* Ast/nodetype.sch 950 */
				BgL_genpatchidz00_bglt BgL_new1477z00_9327;

				{	/* Ast/nodetype.sch 950 */
					BgL_genpatchidz00_bglt BgL_new1476z00_9328;

					BgL_new1476z00_9328 =
						((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_genpatchidz00_bgl))));
					{	/* Ast/nodetype.sch 950 */
						long BgL_arg1810z00_9329;

						BgL_arg1810z00_9329 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1476z00_9328), BgL_arg1810z00_9329);
					}
					{	/* Ast/nodetype.sch 950 */
						BgL_objectz00_bglt BgL_tmpz00_11861;

						BgL_tmpz00_11861 = ((BgL_objectz00_bglt) BgL_new1476z00_9328);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11861, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1476z00_9328);
					BgL_new1477z00_9327 = BgL_new1476z00_9328;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1477z00_9327)))->BgL_locz00) =
					((obj_t) BgL_loc1646z00_280), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1477z00_9327)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1647z00_281), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1477z00_9327)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1648zd2_282), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1477z00_9327)))->BgL_keyz00) =
					((obj_t) BgL_key1649z00_283), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1477z00_9327)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21650za2_284), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1477z00_9327)))->BgL_effectz00) =
					((obj_t) BgL_effect1651z00_285), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1477z00_9327))->
						BgL_indexz00) = ((long) BgL_index1652z00_286), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1477z00_9327))->
						BgL_rindexz00) = ((long) BgL_rindex1653z00_287), BUNSPEC);
				return BgL_new1477z00_9327;
			}
		}

	}



/* &make-genpatchid */
	BgL_genpatchidz00_bglt BGl_z62makezd2genpatchidzb0zzast_nodez00(obj_t
		BgL_envz00_6700, obj_t BgL_loc1646z00_6701, obj_t BgL_type1647z00_6702,
		obj_t BgL_sidezd2effect1648zd2_6703, obj_t BgL_key1649z00_6704,
		obj_t BgL_exprza21650za2_6705, obj_t BgL_effect1651z00_6706,
		obj_t BgL_index1652z00_6707, obj_t BgL_rindex1653z00_6708)
	{
		{	/* Ast/nodetype.sch 950 */
			return
				BGl_makezd2genpatchidzd2zzast_nodez00(BgL_loc1646z00_6701,
				((BgL_typez00_bglt) BgL_type1647z00_6702),
				BgL_sidezd2effect1648zd2_6703, BgL_key1649z00_6704,
				BgL_exprza21650za2_6705, BgL_effect1651z00_6706,
				(long) CINT(BgL_index1652z00_6707),
				(long) CINT(BgL_rindex1653z00_6708));
		}

	}



/* genpatchid? */
	BGL_EXPORTED_DEF bool_t BGl_genpatchidzf3zf3zzast_nodez00(obj_t
		BgL_objz00_288)
	{
		{	/* Ast/nodetype.sch 951 */
			{	/* Ast/nodetype.sch 951 */
				obj_t BgL_classz00_9330;

				BgL_classz00_9330 = BGl_genpatchidz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_288))
					{	/* Ast/nodetype.sch 951 */
						BgL_objectz00_bglt BgL_arg1858z00_9331;

						BgL_arg1858z00_9331 = (BgL_objectz00_bglt) (BgL_objz00_288);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 951 */
								long BgL_idxz00_9332;

								BgL_idxz00_9332 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9331);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9332 + 4L)) == BgL_classz00_9330);
							}
						else
							{	/* Ast/nodetype.sch 951 */
								bool_t BgL_res3068z00_9335;

								{	/* Ast/nodetype.sch 951 */
									obj_t BgL_oclassz00_9336;

									{	/* Ast/nodetype.sch 951 */
										obj_t BgL_arg1866z00_9337;
										long BgL_arg1867z00_9338;

										BgL_arg1866z00_9337 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 951 */
											long BgL_arg1869z00_9339;

											BgL_arg1869z00_9339 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9331);
											BgL_arg1867z00_9338 = (BgL_arg1869z00_9339 - OBJECT_TYPE);
										}
										BgL_oclassz00_9336 =
											VECTOR_REF(BgL_arg1866z00_9337, BgL_arg1867z00_9338);
									}
									{	/* Ast/nodetype.sch 951 */
										bool_t BgL__ortest_1115z00_9340;

										BgL__ortest_1115z00_9340 =
											(BgL_classz00_9330 == BgL_oclassz00_9336);
										if (BgL__ortest_1115z00_9340)
											{	/* Ast/nodetype.sch 951 */
												BgL_res3068z00_9335 = BgL__ortest_1115z00_9340;
											}
										else
											{	/* Ast/nodetype.sch 951 */
												long BgL_odepthz00_9341;

												{	/* Ast/nodetype.sch 951 */
													obj_t BgL_arg1855z00_9342;

													BgL_arg1855z00_9342 = (BgL_oclassz00_9336);
													BgL_odepthz00_9341 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9342);
												}
												if ((4L < BgL_odepthz00_9341))
													{	/* Ast/nodetype.sch 951 */
														obj_t BgL_arg1853z00_9343;

														{	/* Ast/nodetype.sch 951 */
															obj_t BgL_arg1854z00_9344;

															BgL_arg1854z00_9344 = (BgL_oclassz00_9336);
															BgL_arg1853z00_9343 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9344,
																4L);
														}
														BgL_res3068z00_9335 =
															(BgL_arg1853z00_9343 == BgL_classz00_9330);
													}
												else
													{	/* Ast/nodetype.sch 951 */
														BgL_res3068z00_9335 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3068z00_9335;
							}
					}
				else
					{	/* Ast/nodetype.sch 951 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &genpatchid? */
	obj_t BGl_z62genpatchidzf3z91zzast_nodez00(obj_t BgL_envz00_6709,
		obj_t BgL_objz00_6710)
	{
		{	/* Ast/nodetype.sch 951 */
			return BBOOL(BGl_genpatchidzf3zf3zzast_nodez00(BgL_objz00_6710));
		}

	}



/* genpatchid-nil */
	BGL_EXPORTED_DEF BgL_genpatchidz00_bglt
		BGl_genpatchidzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 952 */
			{	/* Ast/nodetype.sch 952 */
				obj_t BgL_classz00_4492;

				BgL_classz00_4492 = BGl_genpatchidz00zzast_nodez00;
				{	/* Ast/nodetype.sch 952 */
					obj_t BgL__ortest_1117z00_4493;

					BgL__ortest_1117z00_4493 = BGL_CLASS_NIL(BgL_classz00_4492);
					if (CBOOL(BgL__ortest_1117z00_4493))
						{	/* Ast/nodetype.sch 952 */
							return ((BgL_genpatchidz00_bglt) BgL__ortest_1117z00_4493);
						}
					else
						{	/* Ast/nodetype.sch 952 */
							return
								((BgL_genpatchidz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4492));
						}
				}
			}
		}

	}



/* &genpatchid-nil */
	BgL_genpatchidz00_bglt BGl_z62genpatchidzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6711)
	{
		{	/* Ast/nodetype.sch 952 */
			return BGl_genpatchidzd2nilzd2zzast_nodez00();
		}

	}



/* genpatchid-rindex */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2rindexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_289)
	{
		{	/* Ast/nodetype.sch 953 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_289))->BgL_rindexz00);
		}

	}



/* &genpatchid-rindex */
	obj_t BGl_z62genpatchidzd2rindexzb0zzast_nodez00(obj_t BgL_envz00_6712,
		obj_t BgL_oz00_6713)
	{
		{	/* Ast/nodetype.sch 953 */
			return
				BINT(BGl_genpatchidzd2rindexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6713)));
		}

	}



/* genpatchid-rindex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_290, long BgL_vz00_291)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_290))->BgL_rindexz00) =
				((long) BgL_vz00_291), BUNSPEC);
		}

	}



/* &genpatchid-rindex-set! */
	obj_t BGl_z62genpatchidzd2rindexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6714, obj_t BgL_oz00_6715, obj_t BgL_vz00_6716)
	{
		{	/* Ast/nodetype.sch 954 */
			return
				BGl_genpatchidzd2rindexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6715), (long) CINT(BgL_vz00_6716));
		}

	}



/* genpatchid-index */
	BGL_EXPORTED_DEF long
		BGl_genpatchidzd2indexzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_292)
	{
		{	/* Ast/nodetype.sch 955 */
			return (((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_292))->BgL_indexz00);
		}

	}



/* &genpatchid-index */
	obj_t BGl_z62genpatchidzd2indexzb0zzast_nodez00(obj_t BgL_envz00_6717,
		obj_t BgL_oz00_6718)
	{
		{	/* Ast/nodetype.sch 955 */
			return
				BINT(BGl_genpatchidzd2indexzd2zzast_nodez00(
					((BgL_genpatchidz00_bglt) BgL_oz00_6718)));
		}

	}



/* genpatchid-index-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_293, long BgL_vz00_294)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				((((BgL_genpatchidz00_bglt) COBJECT(BgL_oz00_293))->BgL_indexz00) =
				((long) BgL_vz00_294), BUNSPEC);
		}

	}



/* &genpatchid-index-set! */
	obj_t BGl_z62genpatchidzd2indexzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6719, obj_t BgL_oz00_6720, obj_t BgL_vz00_6721)
	{
		{	/* Ast/nodetype.sch 956 */
			return
				BGl_genpatchidzd2indexzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6720), (long) CINT(BgL_vz00_6721));
		}

	}



/* genpatchid-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_295)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_295)))->BgL_effectz00);
		}

	}



/* &genpatchid-effect */
	obj_t BGl_z62genpatchidzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6722,
		obj_t BgL_oz00_6723)
	{
		{	/* Ast/nodetype.sch 957 */
			return
				BGl_genpatchidzd2effectzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6723));
		}

	}



/* genpatchid-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_296, obj_t BgL_vz00_297)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_296)))->BgL_effectz00) =
				((obj_t) BgL_vz00_297), BUNSPEC);
		}

	}



/* &genpatchid-effect-set! */
	obj_t BGl_z62genpatchidzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_6724, obj_t BgL_oz00_6725, obj_t BgL_vz00_6726)
	{
		{	/* Ast/nodetype.sch 958 */
			return
				BGl_genpatchidzd2effectzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6725), BgL_vz00_6726);
		}

	}



/* genpatchid-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2z70zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_298)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_298)))->BgL_exprza2za2);
		}

	}



/* &genpatchid-expr* */
	obj_t BGl_z62genpatchidzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6727,
		obj_t BgL_oz00_6728)
	{
		{	/* Ast/nodetype.sch 959 */
			return
				BGl_genpatchidzd2exprza2z70zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6728));
		}

	}



/* genpatchid-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_299, obj_t BgL_vz00_300)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_299)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_300), BUNSPEC);
		}

	}



/* &genpatchid-expr*-set! */
	obj_t BGl_z62genpatchidzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6729, obj_t BgL_oz00_6730, obj_t BgL_vz00_6731)
	{
		{	/* Ast/nodetype.sch 960 */
			return
				BGl_genpatchidzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6730), BgL_vz00_6731);
		}

	}



/* genpatchid-key */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_301)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_301)))->BgL_keyz00);
		}

	}



/* &genpatchid-key */
	obj_t BGl_z62genpatchidzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6732,
		obj_t BgL_oz00_6733)
	{
		{	/* Ast/nodetype.sch 961 */
			return
				BGl_genpatchidzd2keyzd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6733));
		}

	}



/* genpatchid-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_302, obj_t BgL_vz00_303)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_302)))->BgL_keyz00) =
				((obj_t) BgL_vz00_303), BUNSPEC);
		}

	}



/* &genpatchid-key-set! */
	obj_t BGl_z62genpatchidzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6734,
		obj_t BgL_oz00_6735, obj_t BgL_vz00_6736)
	{
		{	/* Ast/nodetype.sch 962 */
			return
				BGl_genpatchidzd2keyzd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6735), BgL_vz00_6736);
		}

	}



/* genpatchid-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_304)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_304)))->BgL_sidezd2effectzd2);
		}

	}



/* &genpatchid-side-effect */
	obj_t BGl_z62genpatchidzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6737,
		obj_t BgL_oz00_6738)
	{
		{	/* Ast/nodetype.sch 963 */
			return
				BGl_genpatchidzd2sidezd2effectz00zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6738));
		}

	}



/* genpatchid-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_genpatchidz00_bglt BgL_oz00_305, obj_t BgL_vz00_306)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_305)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_306), BUNSPEC);
		}

	}



/* &genpatchid-side-effect-set! */
	obj_t BGl_z62genpatchidzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6739, obj_t BgL_oz00_6740, obj_t BgL_vz00_6741)
	{
		{	/* Ast/nodetype.sch 964 */
			return
				BGl_genpatchidzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6740), BgL_vz00_6741);
		}

	}



/* genpatchid-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_genpatchidzd2typezd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_307)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_307)))->BgL_typez00);
		}

	}



/* &genpatchid-type */
	BgL_typez00_bglt BGl_z62genpatchidzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_6742, obj_t BgL_oz00_6743)
	{
		{	/* Ast/nodetype.sch 965 */
			return
				BGl_genpatchidzd2typezd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6743));
		}

	}



/* genpatchid-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(BgL_genpatchidz00_bglt
		BgL_oz00_308, BgL_typez00_bglt BgL_vz00_309)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_308)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_309), BUNSPEC);
		}

	}



/* &genpatchid-type-set! */
	obj_t BGl_z62genpatchidzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6744,
		obj_t BgL_oz00_6745, obj_t BgL_vz00_6746)
	{
		{	/* Ast/nodetype.sch 966 */
			return
				BGl_genpatchidzd2typezd2setz12z12zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6745),
				((BgL_typez00_bglt) BgL_vz00_6746));
		}

	}



/* genpatchid-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_genpatchidzd2loczd2zzast_nodez00(BgL_genpatchidz00_bglt BgL_oz00_310)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_310)))->BgL_locz00);
		}

	}



/* &genpatchid-loc */
	obj_t BGl_z62genpatchidzd2loczb0zzast_nodez00(obj_t BgL_envz00_6747,
		obj_t BgL_oz00_6748)
	{
		{	/* Ast/nodetype.sch 967 */
			return
				BGl_genpatchidzd2loczd2zzast_nodez00(
				((BgL_genpatchidz00_bglt) BgL_oz00_6748));
		}

	}



/* make-private */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_makezd2privatezd2zzast_nodez00(obj_t
		BgL_loc1638z00_313, BgL_typez00_bglt BgL_type1639z00_314,
		obj_t BgL_sidezd2effect1640zd2_315, obj_t BgL_key1641z00_316,
		obj_t BgL_exprza21642za2_317, obj_t BgL_effect1643z00_318,
		obj_t BgL_czd2format1644zd2_319)
	{
		{	/* Ast/nodetype.sch 971 */
			{	/* Ast/nodetype.sch 971 */
				BgL_privatez00_bglt BgL_new1479z00_9345;

				{	/* Ast/nodetype.sch 971 */
					BgL_privatez00_bglt BgL_new1478z00_9346;

					BgL_new1478z00_9346 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/nodetype.sch 971 */
						long BgL_arg1811z00_9347;

						BgL_arg1811z00_9347 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1478z00_9346), BgL_arg1811z00_9347);
					}
					BgL_new1479z00_9345 = BgL_new1478z00_9346;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1479z00_9345)))->BgL_locz00) =
					((obj_t) BgL_loc1638z00_313), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1479z00_9345)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1639z00_314), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1479z00_9345)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1640zd2_315), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1479z00_9345)))->BgL_keyz00) =
					((obj_t) BgL_key1641z00_316), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1479z00_9345)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21642za2_317), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1479z00_9345)))->BgL_effectz00) =
					((obj_t) BgL_effect1643z00_318), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1479z00_9345))->
						BgL_czd2formatzd2) = ((obj_t) BgL_czd2format1644zd2_319), BUNSPEC);
				return BgL_new1479z00_9345;
			}
		}

	}



/* &make-private */
	BgL_privatez00_bglt BGl_z62makezd2privatezb0zzast_nodez00(obj_t
		BgL_envz00_6749, obj_t BgL_loc1638z00_6750, obj_t BgL_type1639z00_6751,
		obj_t BgL_sidezd2effect1640zd2_6752, obj_t BgL_key1641z00_6753,
		obj_t BgL_exprza21642za2_6754, obj_t BgL_effect1643z00_6755,
		obj_t BgL_czd2format1644zd2_6756)
	{
		{	/* Ast/nodetype.sch 971 */
			return
				BGl_makezd2privatezd2zzast_nodez00(BgL_loc1638z00_6750,
				((BgL_typez00_bglt) BgL_type1639z00_6751),
				BgL_sidezd2effect1640zd2_6752, BgL_key1641z00_6753,
				BgL_exprza21642za2_6754, BgL_effect1643z00_6755,
				BgL_czd2format1644zd2_6756);
		}

	}



/* private? */
	BGL_EXPORTED_DEF bool_t BGl_privatezf3zf3zzast_nodez00(obj_t BgL_objz00_320)
	{
		{	/* Ast/nodetype.sch 972 */
			{	/* Ast/nodetype.sch 972 */
				obj_t BgL_classz00_9348;

				BgL_classz00_9348 = BGl_privatez00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_320))
					{	/* Ast/nodetype.sch 972 */
						BgL_objectz00_bglt BgL_arg1858z00_9349;

						BgL_arg1858z00_9349 = (BgL_objectz00_bglt) (BgL_objz00_320);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 972 */
								long BgL_idxz00_9350;

								BgL_idxz00_9350 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9349);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9350 + 4L)) == BgL_classz00_9348);
							}
						else
							{	/* Ast/nodetype.sch 972 */
								bool_t BgL_res3069z00_9353;

								{	/* Ast/nodetype.sch 972 */
									obj_t BgL_oclassz00_9354;

									{	/* Ast/nodetype.sch 972 */
										obj_t BgL_arg1866z00_9355;
										long BgL_arg1867z00_9356;

										BgL_arg1866z00_9355 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 972 */
											long BgL_arg1869z00_9357;

											BgL_arg1869z00_9357 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9349);
											BgL_arg1867z00_9356 = (BgL_arg1869z00_9357 - OBJECT_TYPE);
										}
										BgL_oclassz00_9354 =
											VECTOR_REF(BgL_arg1866z00_9355, BgL_arg1867z00_9356);
									}
									{	/* Ast/nodetype.sch 972 */
										bool_t BgL__ortest_1115z00_9358;

										BgL__ortest_1115z00_9358 =
											(BgL_classz00_9348 == BgL_oclassz00_9354);
										if (BgL__ortest_1115z00_9358)
											{	/* Ast/nodetype.sch 972 */
												BgL_res3069z00_9353 = BgL__ortest_1115z00_9358;
											}
										else
											{	/* Ast/nodetype.sch 972 */
												long BgL_odepthz00_9359;

												{	/* Ast/nodetype.sch 972 */
													obj_t BgL_arg1855z00_9360;

													BgL_arg1855z00_9360 = (BgL_oclassz00_9354);
													BgL_odepthz00_9359 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9360);
												}
												if ((4L < BgL_odepthz00_9359))
													{	/* Ast/nodetype.sch 972 */
														obj_t BgL_arg1853z00_9361;

														{	/* Ast/nodetype.sch 972 */
															obj_t BgL_arg1854z00_9362;

															BgL_arg1854z00_9362 = (BgL_oclassz00_9354);
															BgL_arg1853z00_9361 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9362,
																4L);
														}
														BgL_res3069z00_9353 =
															(BgL_arg1853z00_9361 == BgL_classz00_9348);
													}
												else
													{	/* Ast/nodetype.sch 972 */
														BgL_res3069z00_9353 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3069z00_9353;
							}
					}
				else
					{	/* Ast/nodetype.sch 972 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &private? */
	obj_t BGl_z62privatezf3z91zzast_nodez00(obj_t BgL_envz00_6757,
		obj_t BgL_objz00_6758)
	{
		{	/* Ast/nodetype.sch 972 */
			return BBOOL(BGl_privatezf3zf3zzast_nodez00(BgL_objz00_6758));
		}

	}



/* private-nil */
	BGL_EXPORTED_DEF BgL_privatez00_bglt BGl_privatezd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 973 */
			{	/* Ast/nodetype.sch 973 */
				obj_t BgL_classz00_4534;

				BgL_classz00_4534 = BGl_privatez00zzast_nodez00;
				{	/* Ast/nodetype.sch 973 */
					obj_t BgL__ortest_1117z00_4535;

					BgL__ortest_1117z00_4535 = BGL_CLASS_NIL(BgL_classz00_4534);
					if (CBOOL(BgL__ortest_1117z00_4535))
						{	/* Ast/nodetype.sch 973 */
							return ((BgL_privatez00_bglt) BgL__ortest_1117z00_4535);
						}
					else
						{	/* Ast/nodetype.sch 973 */
							return
								((BgL_privatez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4534));
						}
				}
			}
		}

	}



/* &private-nil */
	BgL_privatez00_bglt BGl_z62privatezd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6759)
	{
		{	/* Ast/nodetype.sch 973 */
			return BGl_privatezd2nilzd2zzast_nodez00();
		}

	}



/* private-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2czd2formatz00zzast_nodez00(BgL_privatez00_bglt BgL_oz00_321)
	{
		{	/* Ast/nodetype.sch 974 */
			return (((BgL_privatez00_bglt) COBJECT(BgL_oz00_321))->BgL_czd2formatzd2);
		}

	}



/* &private-c-format */
	obj_t BGl_z62privatezd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6760,
		obj_t BgL_oz00_6761)
	{
		{	/* Ast/nodetype.sch 974 */
			return
				BGl_privatezd2czd2formatz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6761));
		}

	}



/* private-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_324)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_324)))->BgL_effectz00);
		}

	}



/* &private-effect */
	obj_t BGl_z62privatezd2effectzb0zzast_nodez00(obj_t BgL_envz00_6762,
		obj_t BgL_oz00_6763)
	{
		{	/* Ast/nodetype.sch 976 */
			return
				BGl_privatezd2effectzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6763));
		}

	}



/* private-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2effectzd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_325, obj_t BgL_vz00_326)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_325)))->BgL_effectz00) =
				((obj_t) BgL_vz00_326), BUNSPEC);
		}

	}



/* &private-effect-set! */
	obj_t BGl_z62privatezd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6764,
		obj_t BgL_oz00_6765, obj_t BgL_vz00_6766)
	{
		{	/* Ast/nodetype.sch 977 */
			return
				BGl_privatezd2effectzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6765), BgL_vz00_6766);
		}

	}



/* private-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2z70zzast_nodez00(BgL_privatez00_bglt BgL_oz00_327)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_327)))->BgL_exprza2za2);
		}

	}



/* &private-expr* */
	obj_t BGl_z62privatezd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6767,
		obj_t BgL_oz00_6768)
	{
		{	/* Ast/nodetype.sch 978 */
			return
				BGl_privatezd2exprza2z70zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6768));
		}

	}



/* private-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_328, obj_t BgL_vz00_329)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_328)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_329), BUNSPEC);
		}

	}



/* &private-expr*-set! */
	obj_t BGl_z62privatezd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6769,
		obj_t BgL_oz00_6770, obj_t BgL_vz00_6771)
	{
		{	/* Ast/nodetype.sch 979 */
			return
				BGl_privatezd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6770), BgL_vz00_6771);
		}

	}



/* private-key */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2keyzd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_330)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_330)))->BgL_keyz00);
		}

	}



/* &private-key */
	obj_t BGl_z62privatezd2keyzb0zzast_nodez00(obj_t BgL_envz00_6772,
		obj_t BgL_oz00_6773)
	{
		{	/* Ast/nodetype.sch 980 */
			return
				BGl_privatezd2keyzd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6773));
		}

	}



/* private-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2keyzd2setz12z12zzast_nodez00(BgL_privatez00_bglt BgL_oz00_331,
		obj_t BgL_vz00_332)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_331)))->BgL_keyz00) =
				((obj_t) BgL_vz00_332), BUNSPEC);
		}

	}



/* &private-key-set! */
	obj_t BGl_z62privatezd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6774,
		obj_t BgL_oz00_6775, obj_t BgL_vz00_6776)
	{
		{	/* Ast/nodetype.sch 981 */
			return
				BGl_privatezd2keyzd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6775), BgL_vz00_6776);
		}

	}



/* private-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectz00zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_333)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_333)))->BgL_sidezd2effectzd2);
		}

	}



/* &private-side-effect */
	obj_t BGl_z62privatezd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6777,
		obj_t BgL_oz00_6778)
	{
		{	/* Ast/nodetype.sch 982 */
			return
				BGl_privatezd2sidezd2effectz00zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6778));
		}

	}



/* private-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_334, obj_t BgL_vz00_335)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_334)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_335), BUNSPEC);
		}

	}



/* &private-side-effect-set! */
	obj_t BGl_z62privatezd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6779, obj_t BgL_oz00_6780, obj_t BgL_vz00_6781)
	{
		{	/* Ast/nodetype.sch 983 */
			return
				BGl_privatezd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6780), BgL_vz00_6781);
		}

	}



/* private-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_privatezd2typezd2zzast_nodez00(BgL_privatez00_bglt BgL_oz00_336)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_336)))->BgL_typez00);
		}

	}



/* &private-type */
	BgL_typez00_bglt BGl_z62privatezd2typezb0zzast_nodez00(obj_t BgL_envz00_6782,
		obj_t BgL_oz00_6783)
	{
		{	/* Ast/nodetype.sch 984 */
			return
				BGl_privatezd2typezd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6783));
		}

	}



/* private-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_privatezd2typezd2setz12z12zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_337, BgL_typez00_bglt BgL_vz00_338)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_337)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_338), BUNSPEC);
		}

	}



/* &private-type-set! */
	obj_t BGl_z62privatezd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6784,
		obj_t BgL_oz00_6785, obj_t BgL_vz00_6786)
	{
		{	/* Ast/nodetype.sch 985 */
			return
				BGl_privatezd2typezd2setz12z12zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6785),
				((BgL_typez00_bglt) BgL_vz00_6786));
		}

	}



/* private-loc */
	BGL_EXPORTED_DEF obj_t BGl_privatezd2loczd2zzast_nodez00(BgL_privatez00_bglt
		BgL_oz00_339)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_339)))->BgL_locz00);
		}

	}



/* &private-loc */
	obj_t BGl_z62privatezd2loczb0zzast_nodez00(obj_t BgL_envz00_6787,
		obj_t BgL_oz00_6788)
	{
		{	/* Ast/nodetype.sch 986 */
			return
				BGl_privatezd2loczd2zzast_nodez00(
				((BgL_privatez00_bglt) BgL_oz00_6788));
		}

	}



/* make-getfield */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt
		BGl_makezd2getfieldzd2zzast_nodez00(obj_t BgL_loc1627z00_342,
		BgL_typez00_bglt BgL_type1628z00_343, obj_t BgL_sidezd2effect1629zd2_344,
		obj_t BgL_key1630z00_345, obj_t BgL_exprza21631za2_346,
		obj_t BgL_effect1632z00_347, obj_t BgL_czd2format1633zd2_348,
		obj_t BgL_fname1634z00_349, BgL_typez00_bglt BgL_ftype1635z00_350,
		BgL_typez00_bglt BgL_otype1636z00_351)
	{
		{	/* Ast/nodetype.sch 990 */
			{	/* Ast/nodetype.sch 990 */
				BgL_getfieldz00_bglt BgL_new1481z00_9363;

				{	/* Ast/nodetype.sch 990 */
					BgL_getfieldz00_bglt BgL_new1480z00_9364;

					BgL_new1480z00_9364 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/nodetype.sch 990 */
						long BgL_arg1814z00_9365;

						BgL_arg1814z00_9365 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1480z00_9364), BgL_arg1814z00_9365);
					}
					{	/* Ast/nodetype.sch 990 */
						BgL_objectz00_bglt BgL_tmpz00_12077;

						BgL_tmpz00_12077 = ((BgL_objectz00_bglt) BgL_new1480z00_9364);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12077, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1480z00_9364);
					BgL_new1481z00_9363 = BgL_new1480z00_9364;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1481z00_9363)))->BgL_locz00) =
					((obj_t) BgL_loc1627z00_342), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1481z00_9363)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1628z00_343), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1481z00_9363)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1629zd2_344), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1481z00_9363)))->BgL_keyz00) =
					((obj_t) BgL_key1630z00_345), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1481z00_9363)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21631za2_346), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1481z00_9363)))->BgL_effectz00) =
					((obj_t) BgL_effect1632z00_347), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1481z00_9363)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1633zd2_348), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1481z00_9363))->BgL_fnamez00) =
					((obj_t) BgL_fname1634z00_349), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1481z00_9363))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1635z00_350), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1481z00_9363))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1636z00_351), BUNSPEC);
				return BgL_new1481z00_9363;
			}
		}

	}



/* &make-getfield */
	BgL_getfieldz00_bglt BGl_z62makezd2getfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6789, obj_t BgL_loc1627z00_6790, obj_t BgL_type1628z00_6791,
		obj_t BgL_sidezd2effect1629zd2_6792, obj_t BgL_key1630z00_6793,
		obj_t BgL_exprza21631za2_6794, obj_t BgL_effect1632z00_6795,
		obj_t BgL_czd2format1633zd2_6796, obj_t BgL_fname1634z00_6797,
		obj_t BgL_ftype1635z00_6798, obj_t BgL_otype1636z00_6799)
	{
		{	/* Ast/nodetype.sch 990 */
			return
				BGl_makezd2getfieldzd2zzast_nodez00(BgL_loc1627z00_6790,
				((BgL_typez00_bglt) BgL_type1628z00_6791),
				BgL_sidezd2effect1629zd2_6792, BgL_key1630z00_6793,
				BgL_exprza21631za2_6794, BgL_effect1632z00_6795,
				BgL_czd2format1633zd2_6796, BgL_fname1634z00_6797,
				((BgL_typez00_bglt) BgL_ftype1635z00_6798),
				((BgL_typez00_bglt) BgL_otype1636z00_6799));
		}

	}



/* getfield? */
	BGL_EXPORTED_DEF bool_t BGl_getfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_352)
	{
		{	/* Ast/nodetype.sch 991 */
			{	/* Ast/nodetype.sch 991 */
				obj_t BgL_classz00_9366;

				BgL_classz00_9366 = BGl_getfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_352))
					{	/* Ast/nodetype.sch 991 */
						BgL_objectz00_bglt BgL_arg1858z00_9367;

						BgL_arg1858z00_9367 = (BgL_objectz00_bglt) (BgL_objz00_352);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 991 */
								long BgL_idxz00_9368;

								BgL_idxz00_9368 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9367);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9368 + 5L)) == BgL_classz00_9366);
							}
						else
							{	/* Ast/nodetype.sch 991 */
								bool_t BgL_res3070z00_9371;

								{	/* Ast/nodetype.sch 991 */
									obj_t BgL_oclassz00_9372;

									{	/* Ast/nodetype.sch 991 */
										obj_t BgL_arg1866z00_9373;
										long BgL_arg1867z00_9374;

										BgL_arg1866z00_9373 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 991 */
											long BgL_arg1869z00_9375;

											BgL_arg1869z00_9375 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9367);
											BgL_arg1867z00_9374 = (BgL_arg1869z00_9375 - OBJECT_TYPE);
										}
										BgL_oclassz00_9372 =
											VECTOR_REF(BgL_arg1866z00_9373, BgL_arg1867z00_9374);
									}
									{	/* Ast/nodetype.sch 991 */
										bool_t BgL__ortest_1115z00_9376;

										BgL__ortest_1115z00_9376 =
											(BgL_classz00_9366 == BgL_oclassz00_9372);
										if (BgL__ortest_1115z00_9376)
											{	/* Ast/nodetype.sch 991 */
												BgL_res3070z00_9371 = BgL__ortest_1115z00_9376;
											}
										else
											{	/* Ast/nodetype.sch 991 */
												long BgL_odepthz00_9377;

												{	/* Ast/nodetype.sch 991 */
													obj_t BgL_arg1855z00_9378;

													BgL_arg1855z00_9378 = (BgL_oclassz00_9372);
													BgL_odepthz00_9377 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9378);
												}
												if ((5L < BgL_odepthz00_9377))
													{	/* Ast/nodetype.sch 991 */
														obj_t BgL_arg1853z00_9379;

														{	/* Ast/nodetype.sch 991 */
															obj_t BgL_arg1854z00_9380;

															BgL_arg1854z00_9380 = (BgL_oclassz00_9372);
															BgL_arg1853z00_9379 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9380,
																5L);
														}
														BgL_res3070z00_9371 =
															(BgL_arg1853z00_9379 == BgL_classz00_9366);
													}
												else
													{	/* Ast/nodetype.sch 991 */
														BgL_res3070z00_9371 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3070z00_9371;
							}
					}
				else
					{	/* Ast/nodetype.sch 991 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &getfield? */
	obj_t BGl_z62getfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6800,
		obj_t BgL_objz00_6801)
	{
		{	/* Ast/nodetype.sch 991 */
			return BBOOL(BGl_getfieldzf3zf3zzast_nodez00(BgL_objz00_6801));
		}

	}



/* getfield-nil */
	BGL_EXPORTED_DEF BgL_getfieldz00_bglt BGl_getfieldzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 992 */
			{	/* Ast/nodetype.sch 992 */
				obj_t BgL_classz00_4577;

				BgL_classz00_4577 = BGl_getfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 992 */
					obj_t BgL__ortest_1117z00_4578;

					BgL__ortest_1117z00_4578 = BGL_CLASS_NIL(BgL_classz00_4577);
					if (CBOOL(BgL__ortest_1117z00_4578))
						{	/* Ast/nodetype.sch 992 */
							return ((BgL_getfieldz00_bglt) BgL__ortest_1117z00_4578);
						}
					else
						{	/* Ast/nodetype.sch 992 */
							return
								((BgL_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4577));
						}
				}
			}
		}

	}



/* &getfield-nil */
	BgL_getfieldz00_bglt BGl_z62getfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6802)
	{
		{	/* Ast/nodetype.sch 992 */
			return BGl_getfieldzd2nilzd2zzast_nodez00();
		}

	}



/* getfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2otypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_353)
	{
		{	/* Ast/nodetype.sch 993 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_353))->BgL_otypez00);
		}

	}



/* &getfield-otype */
	BgL_typez00_bglt BGl_z62getfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6803, obj_t BgL_oz00_6804)
	{
		{	/* Ast/nodetype.sch 993 */
			return
				BGl_getfieldzd2otypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6804));
		}

	}



/* getfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_354, BgL_typez00_bglt BgL_vz00_355)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_354))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_355), BUNSPEC);
		}

	}



/* &getfield-otype-set! */
	obj_t BGl_z62getfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6805,
		obj_t BgL_oz00_6806, obj_t BgL_vz00_6807)
	{
		{	/* Ast/nodetype.sch 994 */
			return
				BGl_getfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6806),
				((BgL_typez00_bglt) BgL_vz00_6807));
		}

	}



/* getfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2ftypezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_356)
	{
		{	/* Ast/nodetype.sch 995 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_356))->BgL_ftypez00);
		}

	}



/* &getfield-ftype */
	BgL_typez00_bglt BGl_z62getfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6808, obj_t BgL_oz00_6809)
	{
		{	/* Ast/nodetype.sch 995 */
			return
				BGl_getfieldzd2ftypezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6809));
		}

	}



/* getfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_357, BgL_typez00_bglt BgL_vz00_358)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_357))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_358), BUNSPEC);
		}

	}



/* &getfield-ftype-set! */
	obj_t BGl_z62getfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6810,
		obj_t BgL_oz00_6811, obj_t BgL_vz00_6812)
	{
		{	/* Ast/nodetype.sch 996 */
			return
				BGl_getfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6811),
				((BgL_typez00_bglt) BgL_vz00_6812));
		}

	}



/* getfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2fnamezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_359)
	{
		{	/* Ast/nodetype.sch 997 */
			return (((BgL_getfieldz00_bglt) COBJECT(BgL_oz00_359))->BgL_fnamez00);
		}

	}



/* &getfield-fname */
	obj_t BGl_z62getfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6813,
		obj_t BgL_oz00_6814)
	{
		{	/* Ast/nodetype.sch 997 */
			return
				BGl_getfieldzd2fnamezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6814));
		}

	}



/* getfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2czd2formatz00zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_362)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_362)))->BgL_czd2formatzd2);
		}

	}



/* &getfield-c-format */
	obj_t BGl_z62getfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6815,
		obj_t BgL_oz00_6816)
	{
		{	/* Ast/nodetype.sch 999 */
			return
				BGl_getfieldzd2czd2formatz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6816));
		}

	}



/* getfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_365)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_365)))->BgL_effectz00);
		}

	}



/* &getfield-effect */
	obj_t BGl_z62getfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6817,
		obj_t BgL_oz00_6818)
	{
		{	/* Ast/nodetype.sch 1001 */
			return
				BGl_getfieldzd2effectzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6818));
		}

	}



/* getfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_366, obj_t BgL_vz00_367)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_366)))->BgL_effectz00) =
				((obj_t) BgL_vz00_367), BUNSPEC);
		}

	}



/* &getfield-effect-set! */
	obj_t BGl_z62getfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6819,
		obj_t BgL_oz00_6820, obj_t BgL_vz00_6821)
	{
		{	/* Ast/nodetype.sch 1002 */
			return
				BGl_getfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6820), BgL_vz00_6821);
		}

	}



/* getfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2z70zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_368)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_368)))->BgL_exprza2za2);
		}

	}



/* &getfield-expr* */
	obj_t BGl_z62getfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6822,
		obj_t BgL_oz00_6823)
	{
		{	/* Ast/nodetype.sch 1003 */
			return
				BGl_getfieldzd2exprza2z70zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6823));
		}

	}



/* getfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_369, obj_t BgL_vz00_370)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_369)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_370), BUNSPEC);
		}

	}



/* &getfield-expr*-set! */
	obj_t BGl_z62getfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6824, obj_t BgL_oz00_6825, obj_t BgL_vz00_6826)
	{
		{	/* Ast/nodetype.sch 1004 */
			return
				BGl_getfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6825), BgL_vz00_6826);
		}

	}



/* getfield-key */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2keyzd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_371)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_371)))->BgL_keyz00);
		}

	}



/* &getfield-key */
	obj_t BGl_z62getfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6827,
		obj_t BgL_oz00_6828)
	{
		{	/* Ast/nodetype.sch 1005 */
			return
				BGl_getfieldzd2keyzd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6828));
		}

	}



/* getfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_372, obj_t BgL_vz00_373)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_372)))->BgL_keyz00) =
				((obj_t) BgL_vz00_373), BUNSPEC);
		}

	}



/* &getfield-key-set! */
	obj_t BGl_z62getfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6829,
		obj_t BgL_oz00_6830, obj_t BgL_vz00_6831)
	{
		{	/* Ast/nodetype.sch 1006 */
			return
				BGl_getfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6830), BgL_vz00_6831);
		}

	}



/* getfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectz00zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_374)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_374)))->BgL_sidezd2effectzd2);
		}

	}



/* &getfield-side-effect */
	obj_t BGl_z62getfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6832,
		obj_t BgL_oz00_6833)
	{
		{	/* Ast/nodetype.sch 1007 */
			return
				BGl_getfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6833));
		}

	}



/* getfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_375, obj_t BgL_vz00_376)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_375)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_376), BUNSPEC);
		}

	}



/* &getfield-side-effect-set! */
	obj_t BGl_z62getfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6834, obj_t BgL_oz00_6835, obj_t BgL_vz00_6836)
	{
		{	/* Ast/nodetype.sch 1008 */
			return
				BGl_getfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6835), BgL_vz00_6836);
		}

	}



/* getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getfieldzd2typezd2zzast_nodez00(BgL_getfieldz00_bglt BgL_oz00_377)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_377)))->BgL_typez00);
		}

	}



/* &getfield-type */
	BgL_typez00_bglt BGl_z62getfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6837,
		obj_t BgL_oz00_6838)
	{
		{	/* Ast/nodetype.sch 1009 */
			return
				BGl_getfieldzd2typezd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6838));
		}

	}



/* getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_getfieldzd2typezd2setz12z12zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_378, BgL_typez00_bglt BgL_vz00_379)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_378)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_379), BUNSPEC);
		}

	}



/* &getfield-type-set! */
	obj_t BGl_z62getfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6839,
		obj_t BgL_oz00_6840, obj_t BgL_vz00_6841)
	{
		{	/* Ast/nodetype.sch 1010 */
			return
				BGl_getfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6840),
				((BgL_typez00_bglt) BgL_vz00_6841));
		}

	}



/* getfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_getfieldzd2loczd2zzast_nodez00(BgL_getfieldz00_bglt
		BgL_oz00_380)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_380)))->BgL_locz00);
		}

	}



/* &getfield-loc */
	obj_t BGl_z62getfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6842,
		obj_t BgL_oz00_6843)
	{
		{	/* Ast/nodetype.sch 1011 */
			return
				BGl_getfieldzd2loczd2zzast_nodez00(
				((BgL_getfieldz00_bglt) BgL_oz00_6843));
		}

	}



/* make-setfield */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt
		BGl_makezd2setfieldzd2zzast_nodez00(obj_t BgL_loc1616z00_383,
		BgL_typez00_bglt BgL_type1617z00_384, obj_t BgL_sidezd2effect1618zd2_385,
		obj_t BgL_key1619z00_386, obj_t BgL_exprza21620za2_387,
		obj_t BgL_effect1621z00_388, obj_t BgL_czd2format1622zd2_389,
		obj_t BgL_fname1623z00_390, BgL_typez00_bglt BgL_ftype1624z00_391,
		BgL_typez00_bglt BgL_otype1625z00_392)
	{
		{	/* Ast/nodetype.sch 1015 */
			{	/* Ast/nodetype.sch 1015 */
				BgL_setfieldz00_bglt BgL_new1483z00_9381;

				{	/* Ast/nodetype.sch 1015 */
					BgL_setfieldz00_bglt BgL_new1482z00_9382;

					BgL_new1482z00_9382 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/nodetype.sch 1015 */
						long BgL_arg1818z00_9383;

						BgL_arg1818z00_9383 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1482z00_9382), BgL_arg1818z00_9383);
					}
					{	/* Ast/nodetype.sch 1015 */
						BgL_objectz00_bglt BgL_tmpz00_12203;

						BgL_tmpz00_12203 = ((BgL_objectz00_bglt) BgL_new1482z00_9382);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12203, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1482z00_9382);
					BgL_new1483z00_9381 = BgL_new1482z00_9382;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1483z00_9381)))->BgL_locz00) =
					((obj_t) BgL_loc1616z00_383), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1483z00_9381)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1617z00_384), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1483z00_9381)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1618zd2_385), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1483z00_9381)))->BgL_keyz00) =
					((obj_t) BgL_key1619z00_386), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1483z00_9381)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21620za2_387), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1483z00_9381)))->BgL_effectz00) =
					((obj_t) BgL_effect1621z00_388), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1483z00_9381)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1622zd2_389), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1483z00_9381))->BgL_fnamez00) =
					((obj_t) BgL_fname1623z00_390), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1483z00_9381))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1624z00_391), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1483z00_9381))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1625z00_392), BUNSPEC);
				return BgL_new1483z00_9381;
			}
		}

	}



/* &make-setfield */
	BgL_setfieldz00_bglt BGl_z62makezd2setfieldzb0zzast_nodez00(obj_t
		BgL_envz00_6844, obj_t BgL_loc1616z00_6845, obj_t BgL_type1617z00_6846,
		obj_t BgL_sidezd2effect1618zd2_6847, obj_t BgL_key1619z00_6848,
		obj_t BgL_exprza21620za2_6849, obj_t BgL_effect1621z00_6850,
		obj_t BgL_czd2format1622zd2_6851, obj_t BgL_fname1623z00_6852,
		obj_t BgL_ftype1624z00_6853, obj_t BgL_otype1625z00_6854)
	{
		{	/* Ast/nodetype.sch 1015 */
			return
				BGl_makezd2setfieldzd2zzast_nodez00(BgL_loc1616z00_6845,
				((BgL_typez00_bglt) BgL_type1617z00_6846),
				BgL_sidezd2effect1618zd2_6847, BgL_key1619z00_6848,
				BgL_exprza21620za2_6849, BgL_effect1621z00_6850,
				BgL_czd2format1622zd2_6851, BgL_fname1623z00_6852,
				((BgL_typez00_bglt) BgL_ftype1624z00_6853),
				((BgL_typez00_bglt) BgL_otype1625z00_6854));
		}

	}



/* setfield? */
	BGL_EXPORTED_DEF bool_t BGl_setfieldzf3zf3zzast_nodez00(obj_t BgL_objz00_393)
	{
		{	/* Ast/nodetype.sch 1016 */
			{	/* Ast/nodetype.sch 1016 */
				obj_t BgL_classz00_9384;

				BgL_classz00_9384 = BGl_setfieldz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_393))
					{	/* Ast/nodetype.sch 1016 */
						BgL_objectz00_bglt BgL_arg1858z00_9385;

						BgL_arg1858z00_9385 = (BgL_objectz00_bglt) (BgL_objz00_393);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1016 */
								long BgL_idxz00_9386;

								BgL_idxz00_9386 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9385);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9386 + 5L)) == BgL_classz00_9384);
							}
						else
							{	/* Ast/nodetype.sch 1016 */
								bool_t BgL_res3071z00_9389;

								{	/* Ast/nodetype.sch 1016 */
									obj_t BgL_oclassz00_9390;

									{	/* Ast/nodetype.sch 1016 */
										obj_t BgL_arg1866z00_9391;
										long BgL_arg1867z00_9392;

										BgL_arg1866z00_9391 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1016 */
											long BgL_arg1869z00_9393;

											BgL_arg1869z00_9393 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9385);
											BgL_arg1867z00_9392 = (BgL_arg1869z00_9393 - OBJECT_TYPE);
										}
										BgL_oclassz00_9390 =
											VECTOR_REF(BgL_arg1866z00_9391, BgL_arg1867z00_9392);
									}
									{	/* Ast/nodetype.sch 1016 */
										bool_t BgL__ortest_1115z00_9394;

										BgL__ortest_1115z00_9394 =
											(BgL_classz00_9384 == BgL_oclassz00_9390);
										if (BgL__ortest_1115z00_9394)
											{	/* Ast/nodetype.sch 1016 */
												BgL_res3071z00_9389 = BgL__ortest_1115z00_9394;
											}
										else
											{	/* Ast/nodetype.sch 1016 */
												long BgL_odepthz00_9395;

												{	/* Ast/nodetype.sch 1016 */
													obj_t BgL_arg1855z00_9396;

													BgL_arg1855z00_9396 = (BgL_oclassz00_9390);
													BgL_odepthz00_9395 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9396);
												}
												if ((5L < BgL_odepthz00_9395))
													{	/* Ast/nodetype.sch 1016 */
														obj_t BgL_arg1853z00_9397;

														{	/* Ast/nodetype.sch 1016 */
															obj_t BgL_arg1854z00_9398;

															BgL_arg1854z00_9398 = (BgL_oclassz00_9390);
															BgL_arg1853z00_9397 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9398,
																5L);
														}
														BgL_res3071z00_9389 =
															(BgL_arg1853z00_9397 == BgL_classz00_9384);
													}
												else
													{	/* Ast/nodetype.sch 1016 */
														BgL_res3071z00_9389 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3071z00_9389;
							}
					}
				else
					{	/* Ast/nodetype.sch 1016 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setfield? */
	obj_t BGl_z62setfieldzf3z91zzast_nodez00(obj_t BgL_envz00_6855,
		obj_t BgL_objz00_6856)
	{
		{	/* Ast/nodetype.sch 1016 */
			return BBOOL(BGl_setfieldzf3zf3zzast_nodez00(BgL_objz00_6856));
		}

	}



/* setfield-nil */
	BGL_EXPORTED_DEF BgL_setfieldz00_bglt BGl_setfieldzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1017 */
			{	/* Ast/nodetype.sch 1017 */
				obj_t BgL_classz00_4620;

				BgL_classz00_4620 = BGl_setfieldz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1017 */
					obj_t BgL__ortest_1117z00_4621;

					BgL__ortest_1117z00_4621 = BGL_CLASS_NIL(BgL_classz00_4620);
					if (CBOOL(BgL__ortest_1117z00_4621))
						{	/* Ast/nodetype.sch 1017 */
							return ((BgL_setfieldz00_bglt) BgL__ortest_1117z00_4621);
						}
					else
						{	/* Ast/nodetype.sch 1017 */
							return
								((BgL_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4620));
						}
				}
			}
		}

	}



/* &setfield-nil */
	BgL_setfieldz00_bglt BGl_z62setfieldzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6857)
	{
		{	/* Ast/nodetype.sch 1017 */
			return BGl_setfieldzd2nilzd2zzast_nodez00();
		}

	}



/* setfield-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2otypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_394)
	{
		{	/* Ast/nodetype.sch 1018 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_394))->BgL_otypez00);
		}

	}



/* &setfield-otype */
	BgL_typez00_bglt BGl_z62setfieldzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6858, obj_t BgL_oz00_6859)
	{
		{	/* Ast/nodetype.sch 1018 */
			return
				BGl_setfieldzd2otypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6859));
		}

	}



/* setfield-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_395, BgL_typez00_bglt BgL_vz00_396)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_395))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_396), BUNSPEC);
		}

	}



/* &setfield-otype-set! */
	obj_t BGl_z62setfieldzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6860,
		obj_t BgL_oz00_6861, obj_t BgL_vz00_6862)
	{
		{	/* Ast/nodetype.sch 1019 */
			return
				BGl_setfieldzd2otypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6861),
				((BgL_typez00_bglt) BgL_vz00_6862));
		}

	}



/* setfield-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2ftypezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_397)
	{
		{	/* Ast/nodetype.sch 1020 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_397))->BgL_ftypez00);
		}

	}



/* &setfield-ftype */
	BgL_typez00_bglt BGl_z62setfieldzd2ftypezb0zzast_nodez00(obj_t
		BgL_envz00_6863, obj_t BgL_oz00_6864)
	{
		{	/* Ast/nodetype.sch 1020 */
			return
				BGl_setfieldzd2ftypezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6864));
		}

	}



/* setfield-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_398, BgL_typez00_bglt BgL_vz00_399)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_398))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_399), BUNSPEC);
		}

	}



/* &setfield-ftype-set! */
	obj_t BGl_z62setfieldzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6865,
		obj_t BgL_oz00_6866, obj_t BgL_vz00_6867)
	{
		{	/* Ast/nodetype.sch 1021 */
			return
				BGl_setfieldzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6866),
				((BgL_typez00_bglt) BgL_vz00_6867));
		}

	}



/* setfield-fname */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2fnamezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_400)
	{
		{	/* Ast/nodetype.sch 1022 */
			return (((BgL_setfieldz00_bglt) COBJECT(BgL_oz00_400))->BgL_fnamez00);
		}

	}



/* &setfield-fname */
	obj_t BGl_z62setfieldzd2fnamezb0zzast_nodez00(obj_t BgL_envz00_6868,
		obj_t BgL_oz00_6869)
	{
		{	/* Ast/nodetype.sch 1022 */
			return
				BGl_setfieldzd2fnamezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6869));
		}

	}



/* setfield-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2czd2formatz00zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_403)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_403)))->BgL_czd2formatzd2);
		}

	}



/* &setfield-c-format */
	obj_t BGl_z62setfieldzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6870,
		obj_t BgL_oz00_6871)
	{
		{	/* Ast/nodetype.sch 1024 */
			return
				BGl_setfieldzd2czd2formatz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6871));
		}

	}



/* setfield-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_406)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_406)))->BgL_effectz00);
		}

	}



/* &setfield-effect */
	obj_t BGl_z62setfieldzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6872,
		obj_t BgL_oz00_6873)
	{
		{	/* Ast/nodetype.sch 1026 */
			return
				BGl_setfieldzd2effectzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6873));
		}

	}



/* setfield-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_407, obj_t BgL_vz00_408)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_407)))->BgL_effectz00) =
				((obj_t) BgL_vz00_408), BUNSPEC);
		}

	}



/* &setfield-effect-set! */
	obj_t BGl_z62setfieldzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6874,
		obj_t BgL_oz00_6875, obj_t BgL_vz00_6876)
	{
		{	/* Ast/nodetype.sch 1027 */
			return
				BGl_setfieldzd2effectzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6875), BgL_vz00_6876);
		}

	}



/* setfield-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2z70zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_409)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_409)))->BgL_exprza2za2);
		}

	}



/* &setfield-expr* */
	obj_t BGl_z62setfieldzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6877,
		obj_t BgL_oz00_6878)
	{
		{	/* Ast/nodetype.sch 1028 */
			return
				BGl_setfieldzd2exprza2z70zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6878));
		}

	}



/* setfield-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_410, obj_t BgL_vz00_411)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_410)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_411), BUNSPEC);
		}

	}



/* &setfield-expr*-set! */
	obj_t BGl_z62setfieldzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6879, obj_t BgL_oz00_6880, obj_t BgL_vz00_6881)
	{
		{	/* Ast/nodetype.sch 1029 */
			return
				BGl_setfieldzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6880), BgL_vz00_6881);
		}

	}



/* setfield-key */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2keyzd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_412)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_412)))->BgL_keyz00);
		}

	}



/* &setfield-key */
	obj_t BGl_z62setfieldzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6882,
		obj_t BgL_oz00_6883)
	{
		{	/* Ast/nodetype.sch 1030 */
			return
				BGl_setfieldzd2keyzd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6883));
		}

	}



/* setfield-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_413, obj_t BgL_vz00_414)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_413)))->BgL_keyz00) =
				((obj_t) BgL_vz00_414), BUNSPEC);
		}

	}



/* &setfield-key-set! */
	obj_t BGl_z62setfieldzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6884,
		obj_t BgL_oz00_6885, obj_t BgL_vz00_6886)
	{
		{	/* Ast/nodetype.sch 1031 */
			return
				BGl_setfieldzd2keyzd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6885), BgL_vz00_6886);
		}

	}



/* setfield-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectz00zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_415)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_415)))->BgL_sidezd2effectzd2);
		}

	}



/* &setfield-side-effect */
	obj_t BGl_z62setfieldzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6887,
		obj_t BgL_oz00_6888)
	{
		{	/* Ast/nodetype.sch 1032 */
			return
				BGl_setfieldzd2sidezd2effectz00zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6888));
		}

	}



/* setfield-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_416, obj_t BgL_vz00_417)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_416)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_417), BUNSPEC);
		}

	}



/* &setfield-side-effect-set! */
	obj_t BGl_z62setfieldzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6889, obj_t BgL_oz00_6890, obj_t BgL_vz00_6891)
	{
		{	/* Ast/nodetype.sch 1033 */
			return
				BGl_setfieldzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6890), BgL_vz00_6891);
		}

	}



/* setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setfieldzd2typezd2zzast_nodez00(BgL_setfieldz00_bglt BgL_oz00_418)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_418)))->BgL_typez00);
		}

	}



/* &setfield-type */
	BgL_typez00_bglt BGl_z62setfieldzd2typezb0zzast_nodez00(obj_t BgL_envz00_6892,
		obj_t BgL_oz00_6893)
	{
		{	/* Ast/nodetype.sch 1034 */
			return
				BGl_setfieldzd2typezd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6893));
		}

	}



/* setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setfieldzd2typezd2setz12z12zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_419, BgL_typez00_bglt BgL_vz00_420)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_419)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_420), BUNSPEC);
		}

	}



/* &setfield-type-set! */
	obj_t BGl_z62setfieldzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6894,
		obj_t BgL_oz00_6895, obj_t BgL_vz00_6896)
	{
		{	/* Ast/nodetype.sch 1035 */
			return
				BGl_setfieldzd2typezd2setz12z12zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6895),
				((BgL_typez00_bglt) BgL_vz00_6896));
		}

	}



/* setfield-loc */
	BGL_EXPORTED_DEF obj_t BGl_setfieldzd2loczd2zzast_nodez00(BgL_setfieldz00_bglt
		BgL_oz00_421)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_421)))->BgL_locz00);
		}

	}



/* &setfield-loc */
	obj_t BGl_z62setfieldzd2loczb0zzast_nodez00(obj_t BgL_envz00_6897,
		obj_t BgL_oz00_6898)
	{
		{	/* Ast/nodetype.sch 1036 */
			return
				BGl_setfieldzd2loczd2zzast_nodez00(
				((BgL_setfieldz00_bglt) BgL_oz00_6898));
		}

	}



/* make-widening */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt
		BGl_makezd2wideningzd2zzast_nodez00(obj_t BgL_loc1607z00_424,
		BgL_typez00_bglt BgL_type1608z00_425, obj_t BgL_sidezd2effect1609zd2_426,
		obj_t BgL_key1610z00_427, obj_t BgL_exprza21611za2_428,
		obj_t BgL_effect1612z00_429, obj_t BgL_czd2format1613zd2_430,
		BgL_typez00_bglt BgL_otype1614z00_431)
	{
		{	/* Ast/nodetype.sch 1040 */
			{	/* Ast/nodetype.sch 1040 */
				BgL_wideningz00_bglt BgL_new1485z00_9399;

				{	/* Ast/nodetype.sch 1040 */
					BgL_wideningz00_bglt BgL_new1484z00_9400;

					BgL_new1484z00_9400 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/nodetype.sch 1040 */
						long BgL_arg1821z00_9401;

						BgL_arg1821z00_9401 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1484z00_9400), BgL_arg1821z00_9401);
					}
					{	/* Ast/nodetype.sch 1040 */
						BgL_objectz00_bglt BgL_tmpz00_12329;

						BgL_tmpz00_12329 = ((BgL_objectz00_bglt) BgL_new1484z00_9400);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12329, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1484z00_9400);
					BgL_new1485z00_9399 = BgL_new1484z00_9400;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1485z00_9399)))->BgL_locz00) =
					((obj_t) BgL_loc1607z00_424), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1485z00_9399)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1608z00_425), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1485z00_9399)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1609zd2_426), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1485z00_9399)))->BgL_keyz00) =
					((obj_t) BgL_key1610z00_427), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1485z00_9399)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21611za2_428), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1485z00_9399)))->BgL_effectz00) =
					((obj_t) BgL_effect1612z00_429), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1485z00_9399)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1613zd2_430), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1485z00_9399))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1614z00_431), BUNSPEC);
				return BgL_new1485z00_9399;
			}
		}

	}



/* &make-widening */
	BgL_wideningz00_bglt BGl_z62makezd2wideningzb0zzast_nodez00(obj_t
		BgL_envz00_6899, obj_t BgL_loc1607z00_6900, obj_t BgL_type1608z00_6901,
		obj_t BgL_sidezd2effect1609zd2_6902, obj_t BgL_key1610z00_6903,
		obj_t BgL_exprza21611za2_6904, obj_t BgL_effect1612z00_6905,
		obj_t BgL_czd2format1613zd2_6906, obj_t BgL_otype1614z00_6907)
	{
		{	/* Ast/nodetype.sch 1040 */
			return
				BGl_makezd2wideningzd2zzast_nodez00(BgL_loc1607z00_6900,
				((BgL_typez00_bglt) BgL_type1608z00_6901),
				BgL_sidezd2effect1609zd2_6902, BgL_key1610z00_6903,
				BgL_exprza21611za2_6904, BgL_effect1612z00_6905,
				BgL_czd2format1613zd2_6906, ((BgL_typez00_bglt) BgL_otype1614z00_6907));
		}

	}



/* widening? */
	BGL_EXPORTED_DEF bool_t BGl_wideningzf3zf3zzast_nodez00(obj_t BgL_objz00_432)
	{
		{	/* Ast/nodetype.sch 1041 */
			{	/* Ast/nodetype.sch 1041 */
				obj_t BgL_classz00_9402;

				BgL_classz00_9402 = BGl_wideningz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_432))
					{	/* Ast/nodetype.sch 1041 */
						BgL_objectz00_bglt BgL_arg1858z00_9403;

						BgL_arg1858z00_9403 = (BgL_objectz00_bglt) (BgL_objz00_432);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1041 */
								long BgL_idxz00_9404;

								BgL_idxz00_9404 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9403);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9404 + 5L)) == BgL_classz00_9402);
							}
						else
							{	/* Ast/nodetype.sch 1041 */
								bool_t BgL_res3072z00_9407;

								{	/* Ast/nodetype.sch 1041 */
									obj_t BgL_oclassz00_9408;

									{	/* Ast/nodetype.sch 1041 */
										obj_t BgL_arg1866z00_9409;
										long BgL_arg1867z00_9410;

										BgL_arg1866z00_9409 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1041 */
											long BgL_arg1869z00_9411;

											BgL_arg1869z00_9411 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9403);
											BgL_arg1867z00_9410 = (BgL_arg1869z00_9411 - OBJECT_TYPE);
										}
										BgL_oclassz00_9408 =
											VECTOR_REF(BgL_arg1866z00_9409, BgL_arg1867z00_9410);
									}
									{	/* Ast/nodetype.sch 1041 */
										bool_t BgL__ortest_1115z00_9412;

										BgL__ortest_1115z00_9412 =
											(BgL_classz00_9402 == BgL_oclassz00_9408);
										if (BgL__ortest_1115z00_9412)
											{	/* Ast/nodetype.sch 1041 */
												BgL_res3072z00_9407 = BgL__ortest_1115z00_9412;
											}
										else
											{	/* Ast/nodetype.sch 1041 */
												long BgL_odepthz00_9413;

												{	/* Ast/nodetype.sch 1041 */
													obj_t BgL_arg1855z00_9414;

													BgL_arg1855z00_9414 = (BgL_oclassz00_9408);
													BgL_odepthz00_9413 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9414);
												}
												if ((5L < BgL_odepthz00_9413))
													{	/* Ast/nodetype.sch 1041 */
														obj_t BgL_arg1853z00_9415;

														{	/* Ast/nodetype.sch 1041 */
															obj_t BgL_arg1854z00_9416;

															BgL_arg1854z00_9416 = (BgL_oclassz00_9408);
															BgL_arg1853z00_9415 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9416,
																5L);
														}
														BgL_res3072z00_9407 =
															(BgL_arg1853z00_9415 == BgL_classz00_9402);
													}
												else
													{	/* Ast/nodetype.sch 1041 */
														BgL_res3072z00_9407 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3072z00_9407;
							}
					}
				else
					{	/* Ast/nodetype.sch 1041 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &widening? */
	obj_t BGl_z62wideningzf3z91zzast_nodez00(obj_t BgL_envz00_6908,
		obj_t BgL_objz00_6909)
	{
		{	/* Ast/nodetype.sch 1041 */
			return BBOOL(BGl_wideningzf3zf3zzast_nodez00(BgL_objz00_6909));
		}

	}



/* widening-nil */
	BGL_EXPORTED_DEF BgL_wideningz00_bglt BGl_wideningzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1042 */
			{	/* Ast/nodetype.sch 1042 */
				obj_t BgL_classz00_4663;

				BgL_classz00_4663 = BGl_wideningz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1042 */
					obj_t BgL__ortest_1117z00_4664;

					BgL__ortest_1117z00_4664 = BGL_CLASS_NIL(BgL_classz00_4663);
					if (CBOOL(BgL__ortest_1117z00_4664))
						{	/* Ast/nodetype.sch 1042 */
							return ((BgL_wideningz00_bglt) BgL__ortest_1117z00_4664);
						}
					else
						{	/* Ast/nodetype.sch 1042 */
							return
								((BgL_wideningz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4663));
						}
				}
			}
		}

	}



/* &widening-nil */
	BgL_wideningz00_bglt BGl_z62wideningzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_6910)
	{
		{	/* Ast/nodetype.sch 1042 */
			return BGl_wideningzd2nilzd2zzast_nodez00();
		}

	}



/* widening-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2otypezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_433)
	{
		{	/* Ast/nodetype.sch 1043 */
			return (((BgL_wideningz00_bglt) COBJECT(BgL_oz00_433))->BgL_otypez00);
		}

	}



/* &widening-otype */
	BgL_typez00_bglt BGl_z62wideningzd2otypezb0zzast_nodez00(obj_t
		BgL_envz00_6911, obj_t BgL_oz00_6912)
	{
		{	/* Ast/nodetype.sch 1043 */
			return
				BGl_wideningzd2otypezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6912));
		}

	}



/* widening-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2otypezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_434, BgL_typez00_bglt BgL_vz00_435)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				((((BgL_wideningz00_bglt) COBJECT(BgL_oz00_434))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_435), BUNSPEC);
		}

	}



/* &widening-otype-set! */
	obj_t BGl_z62wideningzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6913,
		obj_t BgL_oz00_6914, obj_t BgL_vz00_6915)
	{
		{	/* Ast/nodetype.sch 1044 */
			return
				BGl_wideningzd2otypezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6914),
				((BgL_typez00_bglt) BgL_vz00_6915));
		}

	}



/* widening-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2czd2formatz00zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_436)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_436)))->BgL_czd2formatzd2);
		}

	}



/* &widening-c-format */
	obj_t BGl_z62wideningzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6916,
		obj_t BgL_oz00_6917)
	{
		{	/* Ast/nodetype.sch 1045 */
			return
				BGl_wideningzd2czd2formatz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6917));
		}

	}



/* widening-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_439)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_439)))->BgL_effectz00);
		}

	}



/* &widening-effect */
	obj_t BGl_z62wideningzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6918,
		obj_t BgL_oz00_6919)
	{
		{	/* Ast/nodetype.sch 1047 */
			return
				BGl_wideningzd2effectzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6919));
		}

	}



/* widening-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2effectzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_440, obj_t BgL_vz00_441)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_440)))->BgL_effectz00) =
				((obj_t) BgL_vz00_441), BUNSPEC);
		}

	}



/* &widening-effect-set! */
	obj_t BGl_z62wideningzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6920,
		obj_t BgL_oz00_6921, obj_t BgL_vz00_6922)
	{
		{	/* Ast/nodetype.sch 1048 */
			return
				BGl_wideningzd2effectzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6921), BgL_vz00_6922);
		}

	}



/* widening-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2z70zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_442)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_442)))->BgL_exprza2za2);
		}

	}



/* &widening-expr* */
	obj_t BGl_z62wideningzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6923,
		obj_t BgL_oz00_6924)
	{
		{	/* Ast/nodetype.sch 1049 */
			return
				BGl_wideningzd2exprza2z70zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6924));
		}

	}



/* widening-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_443, obj_t BgL_vz00_444)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_443)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_444), BUNSPEC);
		}

	}



/* &widening-expr*-set! */
	obj_t BGl_z62wideningzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_6925, obj_t BgL_oz00_6926, obj_t BgL_vz00_6927)
	{
		{	/* Ast/nodetype.sch 1050 */
			return
				BGl_wideningzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6926), BgL_vz00_6927);
		}

	}



/* widening-key */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2keyzd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_445)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_445)))->BgL_keyz00);
		}

	}



/* &widening-key */
	obj_t BGl_z62wideningzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6928,
		obj_t BgL_oz00_6929)
	{
		{	/* Ast/nodetype.sch 1051 */
			return
				BGl_wideningzd2keyzd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6929));
		}

	}



/* widening-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2keyzd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_446, obj_t BgL_vz00_447)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_446)))->BgL_keyz00) =
				((obj_t) BgL_vz00_447), BUNSPEC);
		}

	}



/* &widening-key-set! */
	obj_t BGl_z62wideningzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6930,
		obj_t BgL_oz00_6931, obj_t BgL_vz00_6932)
	{
		{	/* Ast/nodetype.sch 1052 */
			return
				BGl_wideningzd2keyzd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6931), BgL_vz00_6932);
		}

	}



/* widening-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectz00zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_448)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_448)))->BgL_sidezd2effectzd2);
		}

	}



/* &widening-side-effect */
	obj_t BGl_z62wideningzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6933,
		obj_t BgL_oz00_6934)
	{
		{	/* Ast/nodetype.sch 1053 */
			return
				BGl_wideningzd2sidezd2effectz00zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6934));
		}

	}



/* widening-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_449, obj_t BgL_vz00_450)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_449)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_450), BUNSPEC);
		}

	}



/* &widening-side-effect-set! */
	obj_t BGl_z62wideningzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6935, obj_t BgL_oz00_6936, obj_t BgL_vz00_6937)
	{
		{	/* Ast/nodetype.sch 1054 */
			return
				BGl_wideningzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6936), BgL_vz00_6937);
		}

	}



/* widening-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_wideningzd2typezd2zzast_nodez00(BgL_wideningz00_bglt BgL_oz00_451)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_451)))->BgL_typez00);
		}

	}



/* &widening-type */
	BgL_typez00_bglt BGl_z62wideningzd2typezb0zzast_nodez00(obj_t BgL_envz00_6938,
		obj_t BgL_oz00_6939)
	{
		{	/* Ast/nodetype.sch 1055 */
			return
				BGl_wideningzd2typezd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6939));
		}

	}



/* widening-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_wideningzd2typezd2setz12z12zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_452, BgL_typez00_bglt BgL_vz00_453)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_452)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_453), BUNSPEC);
		}

	}



/* &widening-type-set! */
	obj_t BGl_z62wideningzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6940,
		obj_t BgL_oz00_6941, obj_t BgL_vz00_6942)
	{
		{	/* Ast/nodetype.sch 1056 */
			return
				BGl_wideningzd2typezd2setz12z12zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6941),
				((BgL_typez00_bglt) BgL_vz00_6942));
		}

	}



/* widening-loc */
	BGL_EXPORTED_DEF obj_t BGl_wideningzd2loczd2zzast_nodez00(BgL_wideningz00_bglt
		BgL_oz00_454)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_454)))->BgL_locz00);
		}

	}



/* &widening-loc */
	obj_t BGl_z62wideningzd2loczb0zzast_nodez00(obj_t BgL_envz00_6943,
		obj_t BgL_oz00_6944)
	{
		{	/* Ast/nodetype.sch 1057 */
			return
				BGl_wideningzd2loczd2zzast_nodez00(
				((BgL_wideningz00_bglt) BgL_oz00_6944));
		}

	}



/* make-new */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_makezd2newzd2zzast_nodez00(obj_t
		BgL_loc1598z00_457, BgL_typez00_bglt BgL_type1599z00_458,
		obj_t BgL_sidezd2effect1600zd2_459, obj_t BgL_key1601z00_460,
		obj_t BgL_exprza21602za2_461, obj_t BgL_effect1603z00_462,
		obj_t BgL_czd2format1604zd2_463, obj_t BgL_argszd2type1605zd2_464)
	{
		{	/* Ast/nodetype.sch 1061 */
			{	/* Ast/nodetype.sch 1061 */
				BgL_newz00_bglt BgL_new1487z00_9417;

				{	/* Ast/nodetype.sch 1061 */
					BgL_newz00_bglt BgL_new1486z00_9418;

					BgL_new1486z00_9418 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/nodetype.sch 1061 */
						long BgL_arg1822z00_9419;

						BgL_arg1822z00_9419 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1486z00_9418), BgL_arg1822z00_9419);
					}
					{	/* Ast/nodetype.sch 1061 */
						BgL_objectz00_bglt BgL_tmpz00_12442;

						BgL_tmpz00_12442 = ((BgL_objectz00_bglt) BgL_new1486z00_9418);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12442, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1486z00_9418);
					BgL_new1487z00_9417 = BgL_new1486z00_9418;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1487z00_9417)))->BgL_locz00) =
					((obj_t) BgL_loc1598z00_457), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1487z00_9417)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1599z00_458), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1487z00_9417)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1600zd2_459), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1487z00_9417)))->BgL_keyz00) =
					((obj_t) BgL_key1601z00_460), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1487z00_9417)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21602za2_461), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1487z00_9417)))->BgL_effectz00) =
					((obj_t) BgL_effect1603z00_462), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1487z00_9417)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1604zd2_463), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1487z00_9417))->
						BgL_argszd2typezd2) =
					((obj_t) BgL_argszd2type1605zd2_464), BUNSPEC);
				return BgL_new1487z00_9417;
			}
		}

	}



/* &make-new */
	BgL_newz00_bglt BGl_z62makezd2newzb0zzast_nodez00(obj_t BgL_envz00_6945,
		obj_t BgL_loc1598z00_6946, obj_t BgL_type1599z00_6947,
		obj_t BgL_sidezd2effect1600zd2_6948, obj_t BgL_key1601z00_6949,
		obj_t BgL_exprza21602za2_6950, obj_t BgL_effect1603z00_6951,
		obj_t BgL_czd2format1604zd2_6952, obj_t BgL_argszd2type1605zd2_6953)
	{
		{	/* Ast/nodetype.sch 1061 */
			return
				BGl_makezd2newzd2zzast_nodez00(BgL_loc1598z00_6946,
				((BgL_typez00_bglt) BgL_type1599z00_6947),
				BgL_sidezd2effect1600zd2_6948, BgL_key1601z00_6949,
				BgL_exprza21602za2_6950, BgL_effect1603z00_6951,
				BgL_czd2format1604zd2_6952, BgL_argszd2type1605zd2_6953);
		}

	}



/* new? */
	BGL_EXPORTED_DEF bool_t BGl_newzf3zf3zzast_nodez00(obj_t BgL_objz00_465)
	{
		{	/* Ast/nodetype.sch 1062 */
			{	/* Ast/nodetype.sch 1062 */
				obj_t BgL_classz00_9420;

				BgL_classz00_9420 = BGl_newz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_465))
					{	/* Ast/nodetype.sch 1062 */
						BgL_objectz00_bglt BgL_arg1858z00_9421;

						BgL_arg1858z00_9421 = (BgL_objectz00_bglt) (BgL_objz00_465);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1062 */
								long BgL_idxz00_9422;

								BgL_idxz00_9422 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9421);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9422 + 5L)) == BgL_classz00_9420);
							}
						else
							{	/* Ast/nodetype.sch 1062 */
								bool_t BgL_res3073z00_9425;

								{	/* Ast/nodetype.sch 1062 */
									obj_t BgL_oclassz00_9426;

									{	/* Ast/nodetype.sch 1062 */
										obj_t BgL_arg1866z00_9427;
										long BgL_arg1867z00_9428;

										BgL_arg1866z00_9427 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1062 */
											long BgL_arg1869z00_9429;

											BgL_arg1869z00_9429 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9421);
											BgL_arg1867z00_9428 = (BgL_arg1869z00_9429 - OBJECT_TYPE);
										}
										BgL_oclassz00_9426 =
											VECTOR_REF(BgL_arg1866z00_9427, BgL_arg1867z00_9428);
									}
									{	/* Ast/nodetype.sch 1062 */
										bool_t BgL__ortest_1115z00_9430;

										BgL__ortest_1115z00_9430 =
											(BgL_classz00_9420 == BgL_oclassz00_9426);
										if (BgL__ortest_1115z00_9430)
											{	/* Ast/nodetype.sch 1062 */
												BgL_res3073z00_9425 = BgL__ortest_1115z00_9430;
											}
										else
											{	/* Ast/nodetype.sch 1062 */
												long BgL_odepthz00_9431;

												{	/* Ast/nodetype.sch 1062 */
													obj_t BgL_arg1855z00_9432;

													BgL_arg1855z00_9432 = (BgL_oclassz00_9426);
													BgL_odepthz00_9431 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9432);
												}
												if ((5L < BgL_odepthz00_9431))
													{	/* Ast/nodetype.sch 1062 */
														obj_t BgL_arg1853z00_9433;

														{	/* Ast/nodetype.sch 1062 */
															obj_t BgL_arg1854z00_9434;

															BgL_arg1854z00_9434 = (BgL_oclassz00_9426);
															BgL_arg1853z00_9433 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9434,
																5L);
														}
														BgL_res3073z00_9425 =
															(BgL_arg1853z00_9433 == BgL_classz00_9420);
													}
												else
													{	/* Ast/nodetype.sch 1062 */
														BgL_res3073z00_9425 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3073z00_9425;
							}
					}
				else
					{	/* Ast/nodetype.sch 1062 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &new? */
	obj_t BGl_z62newzf3z91zzast_nodez00(obj_t BgL_envz00_6954,
		obj_t BgL_objz00_6955)
	{
		{	/* Ast/nodetype.sch 1062 */
			return BBOOL(BGl_newzf3zf3zzast_nodez00(BgL_objz00_6955));
		}

	}



/* new-nil */
	BGL_EXPORTED_DEF BgL_newz00_bglt BGl_newzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1063 */
			{	/* Ast/nodetype.sch 1063 */
				obj_t BgL_classz00_4706;

				BgL_classz00_4706 = BGl_newz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1063 */
					obj_t BgL__ortest_1117z00_4707;

					BgL__ortest_1117z00_4707 = BGL_CLASS_NIL(BgL_classz00_4706);
					if (CBOOL(BgL__ortest_1117z00_4707))
						{	/* Ast/nodetype.sch 1063 */
							return ((BgL_newz00_bglt) BgL__ortest_1117z00_4707);
						}
					else
						{	/* Ast/nodetype.sch 1063 */
							return
								((BgL_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4706));
						}
				}
			}
		}

	}



/* &new-nil */
	BgL_newz00_bglt BGl_z62newzd2nilzb0zzast_nodez00(obj_t BgL_envz00_6956)
	{
		{	/* Ast/nodetype.sch 1063 */
			return BGl_newzd2nilzd2zzast_nodez00();
		}

	}



/* new-args-type */
	BGL_EXPORTED_DEF obj_t BGl_newzd2argszd2typez00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_466)
	{
		{	/* Ast/nodetype.sch 1064 */
			return (((BgL_newz00_bglt) COBJECT(BgL_oz00_466))->BgL_argszd2typezd2);
		}

	}



/* &new-args-type */
	obj_t BGl_z62newzd2argszd2typez62zzast_nodez00(obj_t BgL_envz00_6957,
		obj_t BgL_oz00_6958)
	{
		{	/* Ast/nodetype.sch 1064 */
			return
				BGl_newzd2argszd2typez00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6958));
		}

	}



/* new-args-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(BgL_newz00_bglt BgL_oz00_467,
		obj_t BgL_vz00_468)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				((((BgL_newz00_bglt) COBJECT(BgL_oz00_467))->BgL_argszd2typezd2) =
				((obj_t) BgL_vz00_468), BUNSPEC);
		}

	}



/* &new-args-type-set! */
	obj_t BGl_z62newzd2argszd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_6959,
		obj_t BgL_oz00_6960, obj_t BgL_vz00_6961)
	{
		{	/* Ast/nodetype.sch 1065 */
			return
				BGl_newzd2argszd2typezd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6960), BgL_vz00_6961);
		}

	}



/* new-c-format */
	BGL_EXPORTED_DEF obj_t BGl_newzd2czd2formatz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_469)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_469)))->BgL_czd2formatzd2);
		}

	}



/* &new-c-format */
	obj_t BGl_z62newzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_6962,
		obj_t BgL_oz00_6963)
	{
		{	/* Ast/nodetype.sch 1066 */
			return
				BGl_newzd2czd2formatz00zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6963));
		}

	}



/* new-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2effectzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_472)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_472)))->BgL_effectz00);
		}

	}



/* &new-effect */
	obj_t BGl_z62newzd2effectzb0zzast_nodez00(obj_t BgL_envz00_6964,
		obj_t BgL_oz00_6965)
	{
		{	/* Ast/nodetype.sch 1068 */
			return
				BGl_newzd2effectzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6965));
		}

	}



/* new-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2effectzd2setz12z12zzast_nodez00(BgL_newz00_bglt BgL_oz00_473,
		obj_t BgL_vz00_474)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_473)))->BgL_effectz00) =
				((obj_t) BgL_vz00_474), BUNSPEC);
		}

	}



/* &new-effect-set! */
	obj_t BGl_z62newzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6966,
		obj_t BgL_oz00_6967, obj_t BgL_vz00_6968)
	{
		{	/* Ast/nodetype.sch 1069 */
			return
				BGl_newzd2effectzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6967), BgL_vz00_6968);
		}

	}



/* new-expr* */
	BGL_EXPORTED_DEF obj_t BGl_newzd2exprza2z70zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_475)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_475)))->BgL_exprza2za2);
		}

	}



/* &new-expr* */
	obj_t BGl_z62newzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_6969,
		obj_t BgL_oz00_6970)
	{
		{	/* Ast/nodetype.sch 1070 */
			return
				BGl_newzd2exprza2z70zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6970));
		}

	}



/* new-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(BgL_newz00_bglt BgL_oz00_476,
		obj_t BgL_vz00_477)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_476)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_477), BUNSPEC);
		}

	}



/* &new-expr*-set! */
	obj_t BGl_z62newzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_6971,
		obj_t BgL_oz00_6972, obj_t BgL_vz00_6973)
	{
		{	/* Ast/nodetype.sch 1071 */
			return
				BGl_newzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6972), BgL_vz00_6973);
		}

	}



/* new-key */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_478)
	{
		{	/* Ast/nodetype.sch 1072 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_478)))->BgL_keyz00);
		}

	}



/* &new-key */
	obj_t BGl_z62newzd2keyzb0zzast_nodez00(obj_t BgL_envz00_6974,
		obj_t BgL_oz00_6975)
	{
		{	/* Ast/nodetype.sch 1072 */
			return BGl_newzd2keyzd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6975));
		}

	}



/* new-key-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2keyzd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_479, obj_t BgL_vz00_480)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_479)))->BgL_keyz00) =
				((obj_t) BgL_vz00_480), BUNSPEC);
		}

	}



/* &new-key-set! */
	obj_t BGl_z62newzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_6976,
		obj_t BgL_oz00_6977, obj_t BgL_vz00_6978)
	{
		{	/* Ast/nodetype.sch 1073 */
			return
				BGl_newzd2keyzd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6977), BgL_vz00_6978);
		}

	}



/* new-side-effect */
	BGL_EXPORTED_DEF obj_t BGl_newzd2sidezd2effectz00zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_481)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_481)))->BgL_sidezd2effectzd2);
		}

	}



/* &new-side-effect */
	obj_t BGl_z62newzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_6979,
		obj_t BgL_oz00_6980)
	{
		{	/* Ast/nodetype.sch 1074 */
			return
				BGl_newzd2sidezd2effectz00zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6980));
		}

	}



/* new-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_482, obj_t BgL_vz00_483)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_482)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_483), BUNSPEC);
		}

	}



/* &new-side-effect-set! */
	obj_t BGl_z62newzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_6981, obj_t BgL_oz00_6982, obj_t BgL_vz00_6983)
	{
		{	/* Ast/nodetype.sch 1075 */
			return
				BGl_newzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6982), BgL_vz00_6983);
		}

	}



/* new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_newzd2typezd2zzast_nodez00(BgL_newz00_bglt BgL_oz00_484)
	{
		{	/* Ast/nodetype.sch 1076 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_484)))->BgL_typez00);
		}

	}



/* &new-type */
	BgL_typez00_bglt BGl_z62newzd2typezb0zzast_nodez00(obj_t BgL_envz00_6984,
		obj_t BgL_oz00_6985)
	{
		{	/* Ast/nodetype.sch 1076 */
			return BGl_newzd2typezd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6985));
		}

	}



/* new-type-set! */
	BGL_EXPORTED_DEF obj_t BGl_newzd2typezd2setz12z12zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_485, BgL_typez00_bglt BgL_vz00_486)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_485)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_486), BUNSPEC);
		}

	}



/* &new-type-set! */
	obj_t BGl_z62newzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_6986,
		obj_t BgL_oz00_6987, obj_t BgL_vz00_6988)
	{
		{	/* Ast/nodetype.sch 1077 */
			return
				BGl_newzd2typezd2setz12z12zzast_nodez00(
				((BgL_newz00_bglt) BgL_oz00_6987), ((BgL_typez00_bglt) BgL_vz00_6988));
		}

	}



/* new-loc */
	BGL_EXPORTED_DEF obj_t BGl_newzd2loczd2zzast_nodez00(BgL_newz00_bglt
		BgL_oz00_487)
	{
		{	/* Ast/nodetype.sch 1078 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_487)))->BgL_locz00);
		}

	}



/* &new-loc */
	obj_t BGl_z62newzd2loczb0zzast_nodez00(obj_t BgL_envz00_6989,
		obj_t BgL_oz00_6990)
	{
		{	/* Ast/nodetype.sch 1078 */
			return BGl_newzd2loczd2zzast_nodez00(((BgL_newz00_bglt) BgL_oz00_6990));
		}

	}



/* make-valloc */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_makezd2valloczd2zzast_nodez00(obj_t
		BgL_loc1588z00_490, BgL_typez00_bglt BgL_type1589z00_491,
		obj_t BgL_sidezd2effect1590zd2_492, obj_t BgL_key1591z00_493,
		obj_t BgL_exprza21592za2_494, obj_t BgL_effect1593z00_495,
		obj_t BgL_czd2format1594zd2_496, BgL_typez00_bglt BgL_ftype1595z00_497,
		BgL_typez00_bglt BgL_otype1596z00_498)
	{
		{	/* Ast/nodetype.sch 1082 */
			{	/* Ast/nodetype.sch 1082 */
				BgL_vallocz00_bglt BgL_new1489z00_9435;

				{	/* Ast/nodetype.sch 1082 */
					BgL_vallocz00_bglt BgL_new1488z00_9436;

					BgL_new1488z00_9436 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/nodetype.sch 1082 */
						long BgL_arg1825z00_9437;

						BgL_arg1825z00_9437 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1488z00_9436), BgL_arg1825z00_9437);
					}
					{	/* Ast/nodetype.sch 1082 */
						BgL_objectz00_bglt BgL_tmpz00_12553;

						BgL_tmpz00_12553 = ((BgL_objectz00_bglt) BgL_new1488z00_9436);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12553, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1488z00_9436);
					BgL_new1489z00_9435 = BgL_new1488z00_9436;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1489z00_9435)))->BgL_locz00) =
					((obj_t) BgL_loc1588z00_490), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1489z00_9435)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1589z00_491), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1489z00_9435)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1590zd2_492), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1489z00_9435)))->BgL_keyz00) =
					((obj_t) BgL_key1591z00_493), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1489z00_9435)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21592za2_494), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1489z00_9435)))->BgL_effectz00) =
					((obj_t) BgL_effect1593z00_495), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1489z00_9435)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1594zd2_496), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1489z00_9435))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1595z00_497), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1489z00_9435))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1596z00_498), BUNSPEC);
				return BgL_new1489z00_9435;
			}
		}

	}



/* &make-valloc */
	BgL_vallocz00_bglt BGl_z62makezd2valloczb0zzast_nodez00(obj_t BgL_envz00_6991,
		obj_t BgL_loc1588z00_6992, obj_t BgL_type1589z00_6993,
		obj_t BgL_sidezd2effect1590zd2_6994, obj_t BgL_key1591z00_6995,
		obj_t BgL_exprza21592za2_6996, obj_t BgL_effect1593z00_6997,
		obj_t BgL_czd2format1594zd2_6998, obj_t BgL_ftype1595z00_6999,
		obj_t BgL_otype1596z00_7000)
	{
		{	/* Ast/nodetype.sch 1082 */
			return
				BGl_makezd2valloczd2zzast_nodez00(BgL_loc1588z00_6992,
				((BgL_typez00_bglt) BgL_type1589z00_6993),
				BgL_sidezd2effect1590zd2_6994, BgL_key1591z00_6995,
				BgL_exprza21592za2_6996, BgL_effect1593z00_6997,
				BgL_czd2format1594zd2_6998, ((BgL_typez00_bglt) BgL_ftype1595z00_6999),
				((BgL_typez00_bglt) BgL_otype1596z00_7000));
		}

	}



/* valloc? */
	BGL_EXPORTED_DEF bool_t BGl_valloczf3zf3zzast_nodez00(obj_t BgL_objz00_499)
	{
		{	/* Ast/nodetype.sch 1083 */
			{	/* Ast/nodetype.sch 1083 */
				obj_t BgL_classz00_9438;

				BgL_classz00_9438 = BGl_vallocz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_499))
					{	/* Ast/nodetype.sch 1083 */
						BgL_objectz00_bglt BgL_arg1858z00_9439;

						BgL_arg1858z00_9439 = (BgL_objectz00_bglt) (BgL_objz00_499);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1083 */
								long BgL_idxz00_9440;

								BgL_idxz00_9440 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9439);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9440 + 5L)) == BgL_classz00_9438);
							}
						else
							{	/* Ast/nodetype.sch 1083 */
								bool_t BgL_res3074z00_9443;

								{	/* Ast/nodetype.sch 1083 */
									obj_t BgL_oclassz00_9444;

									{	/* Ast/nodetype.sch 1083 */
										obj_t BgL_arg1866z00_9445;
										long BgL_arg1867z00_9446;

										BgL_arg1866z00_9445 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1083 */
											long BgL_arg1869z00_9447;

											BgL_arg1869z00_9447 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9439);
											BgL_arg1867z00_9446 = (BgL_arg1869z00_9447 - OBJECT_TYPE);
										}
										BgL_oclassz00_9444 =
											VECTOR_REF(BgL_arg1866z00_9445, BgL_arg1867z00_9446);
									}
									{	/* Ast/nodetype.sch 1083 */
										bool_t BgL__ortest_1115z00_9448;

										BgL__ortest_1115z00_9448 =
											(BgL_classz00_9438 == BgL_oclassz00_9444);
										if (BgL__ortest_1115z00_9448)
											{	/* Ast/nodetype.sch 1083 */
												BgL_res3074z00_9443 = BgL__ortest_1115z00_9448;
											}
										else
											{	/* Ast/nodetype.sch 1083 */
												long BgL_odepthz00_9449;

												{	/* Ast/nodetype.sch 1083 */
													obj_t BgL_arg1855z00_9450;

													BgL_arg1855z00_9450 = (BgL_oclassz00_9444);
													BgL_odepthz00_9449 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9450);
												}
												if ((5L < BgL_odepthz00_9449))
													{	/* Ast/nodetype.sch 1083 */
														obj_t BgL_arg1853z00_9451;

														{	/* Ast/nodetype.sch 1083 */
															obj_t BgL_arg1854z00_9452;

															BgL_arg1854z00_9452 = (BgL_oclassz00_9444);
															BgL_arg1853z00_9451 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9452,
																5L);
														}
														BgL_res3074z00_9443 =
															(BgL_arg1853z00_9451 == BgL_classz00_9438);
													}
												else
													{	/* Ast/nodetype.sch 1083 */
														BgL_res3074z00_9443 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3074z00_9443;
							}
					}
				else
					{	/* Ast/nodetype.sch 1083 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &valloc? */
	obj_t BGl_z62valloczf3z91zzast_nodez00(obj_t BgL_envz00_7001,
		obj_t BgL_objz00_7002)
	{
		{	/* Ast/nodetype.sch 1083 */
			return BBOOL(BGl_valloczf3zf3zzast_nodez00(BgL_objz00_7002));
		}

	}



/* valloc-nil */
	BGL_EXPORTED_DEF BgL_vallocz00_bglt BGl_valloczd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1084 */
			{	/* Ast/nodetype.sch 1084 */
				obj_t BgL_classz00_4749;

				BgL_classz00_4749 = BGl_vallocz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1084 */
					obj_t BgL__ortest_1117z00_4750;

					BgL__ortest_1117z00_4750 = BGL_CLASS_NIL(BgL_classz00_4749);
					if (CBOOL(BgL__ortest_1117z00_4750))
						{	/* Ast/nodetype.sch 1084 */
							return ((BgL_vallocz00_bglt) BgL__ortest_1117z00_4750);
						}
					else
						{	/* Ast/nodetype.sch 1084 */
							return
								((BgL_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4749));
						}
				}
			}
		}

	}



/* &valloc-nil */
	BgL_vallocz00_bglt BGl_z62valloczd2nilzb0zzast_nodez00(obj_t BgL_envz00_7003)
	{
		{	/* Ast/nodetype.sch 1084 */
			return BGl_valloczd2nilzd2zzast_nodez00();
		}

	}



/* valloc-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2otypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_500)
	{
		{	/* Ast/nodetype.sch 1085 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_500))->BgL_otypez00);
		}

	}



/* &valloc-otype */
	BgL_typez00_bglt BGl_z62valloczd2otypezb0zzast_nodez00(obj_t BgL_envz00_7004,
		obj_t BgL_oz00_7005)
	{
		{	/* Ast/nodetype.sch 1085 */
			return
				BGl_valloczd2otypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7005));
		}

	}



/* valloc-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2otypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_501,
		BgL_typez00_bglt BgL_vz00_502)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_501))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_502), BUNSPEC);
		}

	}



/* &valloc-otype-set! */
	obj_t BGl_z62valloczd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7006,
		obj_t BgL_oz00_7007, obj_t BgL_vz00_7008)
	{
		{	/* Ast/nodetype.sch 1086 */
			return
				BGl_valloczd2otypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7007),
				((BgL_typez00_bglt) BgL_vz00_7008));
		}

	}



/* valloc-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2ftypezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_503)
	{
		{	/* Ast/nodetype.sch 1087 */
			return (((BgL_vallocz00_bglt) COBJECT(BgL_oz00_503))->BgL_ftypez00);
		}

	}



/* &valloc-ftype */
	BgL_typez00_bglt BGl_z62valloczd2ftypezb0zzast_nodez00(obj_t BgL_envz00_7009,
		obj_t BgL_oz00_7010)
	{
		{	/* Ast/nodetype.sch 1087 */
			return
				BGl_valloczd2ftypezd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7010));
		}

	}



/* valloc-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2ftypezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_504,
		BgL_typez00_bglt BgL_vz00_505)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				((((BgL_vallocz00_bglt) COBJECT(BgL_oz00_504))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_505), BUNSPEC);
		}

	}



/* &valloc-ftype-set! */
	obj_t BGl_z62valloczd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7011,
		obj_t BgL_oz00_7012, obj_t BgL_vz00_7013)
	{
		{	/* Ast/nodetype.sch 1088 */
			return
				BGl_valloczd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7012),
				((BgL_typez00_bglt) BgL_vz00_7013));
		}

	}



/* valloc-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2czd2formatz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_506)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_506)))->BgL_czd2formatzd2);
		}

	}



/* &valloc-c-format */
	obj_t BGl_z62valloczd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7014,
		obj_t BgL_oz00_7015)
	{
		{	/* Ast/nodetype.sch 1089 */
			return
				BGl_valloczd2czd2formatz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7015));
		}

	}



/* valloc-effect */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2effectzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_509)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_509)))->BgL_effectz00);
		}

	}



/* &valloc-effect */
	obj_t BGl_z62valloczd2effectzb0zzast_nodez00(obj_t BgL_envz00_7016,
		obj_t BgL_oz00_7017)
	{
		{	/* Ast/nodetype.sch 1091 */
			return
				BGl_valloczd2effectzd2zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7017));
		}

	}



/* valloc-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2effectzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_510, obj_t BgL_vz00_511)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_510)))->BgL_effectz00) =
				((obj_t) BgL_vz00_511), BUNSPEC);
		}

	}



/* &valloc-effect-set! */
	obj_t BGl_z62valloczd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7018,
		obj_t BgL_oz00_7019, obj_t BgL_vz00_7020)
	{
		{	/* Ast/nodetype.sch 1092 */
			return
				BGl_valloczd2effectzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7019), BgL_vz00_7020);
		}

	}



/* valloc-expr* */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2exprza2z70zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_512)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_512)))->BgL_exprza2za2);
		}

	}



/* &valloc-expr* */
	obj_t BGl_z62valloczd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7021,
		obj_t BgL_oz00_7022)
	{
		{	/* Ast/nodetype.sch 1093 */
			return
				BGl_valloczd2exprza2z70zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7022));
		}

	}



/* valloc-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_513, obj_t BgL_vz00_514)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_513)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_514), BUNSPEC);
		}

	}



/* &valloc-expr*-set! */
	obj_t BGl_z62valloczd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_7023,
		obj_t BgL_oz00_7024, obj_t BgL_vz00_7025)
	{
		{	/* Ast/nodetype.sch 1094 */
			return
				BGl_valloczd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7024), BgL_vz00_7025);
		}

	}



/* valloc-key */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2keyzd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_515)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_515)))->BgL_keyz00);
		}

	}



/* &valloc-key */
	obj_t BGl_z62valloczd2keyzb0zzast_nodez00(obj_t BgL_envz00_7026,
		obj_t BgL_oz00_7027)
	{
		{	/* Ast/nodetype.sch 1095 */
			return
				BGl_valloczd2keyzd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_7027));
		}

	}



/* valloc-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2keyzd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_516,
		obj_t BgL_vz00_517)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_516)))->BgL_keyz00) =
				((obj_t) BgL_vz00_517), BUNSPEC);
		}

	}



/* &valloc-key-set! */
	obj_t BGl_z62valloczd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7028,
		obj_t BgL_oz00_7029, obj_t BgL_vz00_7030)
	{
		{	/* Ast/nodetype.sch 1096 */
			return
				BGl_valloczd2keyzd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7029), BgL_vz00_7030);
		}

	}



/* valloc-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectz00zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_518)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_518)))->BgL_sidezd2effectzd2);
		}

	}



/* &valloc-side-effect */
	obj_t BGl_z62valloczd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7031,
		obj_t BgL_oz00_7032)
	{
		{	/* Ast/nodetype.sch 1097 */
			return
				BGl_valloczd2sidezd2effectz00zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7032));
		}

	}



/* valloc-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_519, obj_t BgL_vz00_520)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_519)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_520), BUNSPEC);
		}

	}



/* &valloc-side-effect-set! */
	obj_t BGl_z62valloczd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7033, obj_t BgL_oz00_7034, obj_t BgL_vz00_7035)
	{
		{	/* Ast/nodetype.sch 1098 */
			return
				BGl_valloczd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7034), BgL_vz00_7035);
		}

	}



/* valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_valloczd2typezd2zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_521)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_521)))->BgL_typez00);
		}

	}



/* &valloc-type */
	BgL_typez00_bglt BGl_z62valloczd2typezb0zzast_nodez00(obj_t BgL_envz00_7036,
		obj_t BgL_oz00_7037)
	{
		{	/* Ast/nodetype.sch 1099 */
			return
				BGl_valloczd2typezd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_7037));
		}

	}



/* valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_valloczd2typezd2setz12z12zzast_nodez00(BgL_vallocz00_bglt BgL_oz00_522,
		BgL_typez00_bglt BgL_vz00_523)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_522)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_523), BUNSPEC);
		}

	}



/* &valloc-type-set! */
	obj_t BGl_z62valloczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7038,
		obj_t BgL_oz00_7039, obj_t BgL_vz00_7040)
	{
		{	/* Ast/nodetype.sch 1100 */
			return
				BGl_valloczd2typezd2setz12z12zzast_nodez00(
				((BgL_vallocz00_bglt) BgL_oz00_7039),
				((BgL_typez00_bglt) BgL_vz00_7040));
		}

	}



/* valloc-loc */
	BGL_EXPORTED_DEF obj_t BGl_valloczd2loczd2zzast_nodez00(BgL_vallocz00_bglt
		BgL_oz00_524)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_524)))->BgL_locz00);
		}

	}



/* &valloc-loc */
	obj_t BGl_z62valloczd2loczb0zzast_nodez00(obj_t BgL_envz00_7041,
		obj_t BgL_oz00_7042)
	{
		{	/* Ast/nodetype.sch 1101 */
			return
				BGl_valloczd2loczd2zzast_nodez00(((BgL_vallocz00_bglt) BgL_oz00_7042));
		}

	}



/* make-vref */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_makezd2vrefzd2zzast_nodez00(obj_t
		BgL_loc1576z00_527, BgL_typez00_bglt BgL_type1577z00_528,
		obj_t BgL_sidezd2effect1578zd2_529, obj_t BgL_key1579z00_530,
		obj_t BgL_exprza21580za2_531, obj_t BgL_effect1581z00_532,
		obj_t BgL_czd2format1582zd2_533, BgL_typez00_bglt BgL_ftype1583z00_534,
		BgL_typez00_bglt BgL_otype1584z00_535,
		BgL_typez00_bglt BgL_vtype1585z00_536, bool_t BgL_unsafe1586z00_537)
	{
		{	/* Ast/nodetype.sch 1105 */
			{	/* Ast/nodetype.sch 1105 */
				BgL_vrefz00_bglt BgL_new1491z00_9453;

				{	/* Ast/nodetype.sch 1105 */
					BgL_vrefz00_bglt BgL_new1490z00_9454;

					BgL_new1490z00_9454 =
						((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vrefz00_bgl))));
					{	/* Ast/nodetype.sch 1105 */
						long BgL_arg1829z00_9455;

						BgL_arg1829z00_9455 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1490z00_9454), BgL_arg1829z00_9455);
					}
					{	/* Ast/nodetype.sch 1105 */
						BgL_objectz00_bglt BgL_tmpz00_12675;

						BgL_tmpz00_12675 = ((BgL_objectz00_bglt) BgL_new1490z00_9454);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12675, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1490z00_9454);
					BgL_new1491z00_9453 = BgL_new1490z00_9454;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1491z00_9453)))->BgL_locz00) =
					((obj_t) BgL_loc1576z00_527), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1491z00_9453)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1577z00_528), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1491z00_9453)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1578zd2_529), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1491z00_9453)))->BgL_keyz00) =
					((obj_t) BgL_key1579z00_530), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1491z00_9453)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21580za2_531), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1491z00_9453)))->BgL_effectz00) =
					((obj_t) BgL_effect1581z00_532), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1491z00_9453)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1582zd2_533), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1491z00_9453))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1583z00_534), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1491z00_9453))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1584z00_535), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1491z00_9453))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1585z00_536), BUNSPEC);
				((((BgL_vrefz00_bglt) COBJECT(BgL_new1491z00_9453))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1586z00_537), BUNSPEC);
				return BgL_new1491z00_9453;
			}
		}

	}



/* &make-vref */
	BgL_vrefz00_bglt BGl_z62makezd2vrefzb0zzast_nodez00(obj_t BgL_envz00_7043,
		obj_t BgL_loc1576z00_7044, obj_t BgL_type1577z00_7045,
		obj_t BgL_sidezd2effect1578zd2_7046, obj_t BgL_key1579z00_7047,
		obj_t BgL_exprza21580za2_7048, obj_t BgL_effect1581z00_7049,
		obj_t BgL_czd2format1582zd2_7050, obj_t BgL_ftype1583z00_7051,
		obj_t BgL_otype1584z00_7052, obj_t BgL_vtype1585z00_7053,
		obj_t BgL_unsafe1586z00_7054)
	{
		{	/* Ast/nodetype.sch 1105 */
			return
				BGl_makezd2vrefzd2zzast_nodez00(BgL_loc1576z00_7044,
				((BgL_typez00_bglt) BgL_type1577z00_7045),
				BgL_sidezd2effect1578zd2_7046, BgL_key1579z00_7047,
				BgL_exprza21580za2_7048, BgL_effect1581z00_7049,
				BgL_czd2format1582zd2_7050, ((BgL_typez00_bglt) BgL_ftype1583z00_7051),
				((BgL_typez00_bglt) BgL_otype1584z00_7052),
				((BgL_typez00_bglt) BgL_vtype1585z00_7053),
				CBOOL(BgL_unsafe1586z00_7054));
		}

	}



/* vref? */
	BGL_EXPORTED_DEF bool_t BGl_vrefzf3zf3zzast_nodez00(obj_t BgL_objz00_538)
	{
		{	/* Ast/nodetype.sch 1106 */
			{	/* Ast/nodetype.sch 1106 */
				obj_t BgL_classz00_9456;

				BgL_classz00_9456 = BGl_vrefz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_538))
					{	/* Ast/nodetype.sch 1106 */
						BgL_objectz00_bglt BgL_arg1858z00_9457;

						BgL_arg1858z00_9457 = (BgL_objectz00_bglt) (BgL_objz00_538);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1106 */
								long BgL_idxz00_9458;

								BgL_idxz00_9458 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9457);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9458 + 5L)) == BgL_classz00_9456);
							}
						else
							{	/* Ast/nodetype.sch 1106 */
								bool_t BgL_res3075z00_9461;

								{	/* Ast/nodetype.sch 1106 */
									obj_t BgL_oclassz00_9462;

									{	/* Ast/nodetype.sch 1106 */
										obj_t BgL_arg1866z00_9463;
										long BgL_arg1867z00_9464;

										BgL_arg1866z00_9463 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1106 */
											long BgL_arg1869z00_9465;

											BgL_arg1869z00_9465 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9457);
											BgL_arg1867z00_9464 = (BgL_arg1869z00_9465 - OBJECT_TYPE);
										}
										BgL_oclassz00_9462 =
											VECTOR_REF(BgL_arg1866z00_9463, BgL_arg1867z00_9464);
									}
									{	/* Ast/nodetype.sch 1106 */
										bool_t BgL__ortest_1115z00_9466;

										BgL__ortest_1115z00_9466 =
											(BgL_classz00_9456 == BgL_oclassz00_9462);
										if (BgL__ortest_1115z00_9466)
											{	/* Ast/nodetype.sch 1106 */
												BgL_res3075z00_9461 = BgL__ortest_1115z00_9466;
											}
										else
											{	/* Ast/nodetype.sch 1106 */
												long BgL_odepthz00_9467;

												{	/* Ast/nodetype.sch 1106 */
													obj_t BgL_arg1855z00_9468;

													BgL_arg1855z00_9468 = (BgL_oclassz00_9462);
													BgL_odepthz00_9467 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9468);
												}
												if ((5L < BgL_odepthz00_9467))
													{	/* Ast/nodetype.sch 1106 */
														obj_t BgL_arg1853z00_9469;

														{	/* Ast/nodetype.sch 1106 */
															obj_t BgL_arg1854z00_9470;

															BgL_arg1854z00_9470 = (BgL_oclassz00_9462);
															BgL_arg1853z00_9469 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9470,
																5L);
														}
														BgL_res3075z00_9461 =
															(BgL_arg1853z00_9469 == BgL_classz00_9456);
													}
												else
													{	/* Ast/nodetype.sch 1106 */
														BgL_res3075z00_9461 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3075z00_9461;
							}
					}
				else
					{	/* Ast/nodetype.sch 1106 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vref? */
	obj_t BGl_z62vrefzf3z91zzast_nodez00(obj_t BgL_envz00_7055,
		obj_t BgL_objz00_7056)
	{
		{	/* Ast/nodetype.sch 1106 */
			return BBOOL(BGl_vrefzf3zf3zzast_nodez00(BgL_objz00_7056));
		}

	}



/* vref-nil */
	BGL_EXPORTED_DEF BgL_vrefz00_bglt BGl_vrefzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1107 */
			{	/* Ast/nodetype.sch 1107 */
				obj_t BgL_classz00_4792;

				BgL_classz00_4792 = BGl_vrefz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1107 */
					obj_t BgL__ortest_1117z00_4793;

					BgL__ortest_1117z00_4793 = BGL_CLASS_NIL(BgL_classz00_4792);
					if (CBOOL(BgL__ortest_1117z00_4793))
						{	/* Ast/nodetype.sch 1107 */
							return ((BgL_vrefz00_bglt) BgL__ortest_1117z00_4793);
						}
					else
						{	/* Ast/nodetype.sch 1107 */
							return
								((BgL_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4792));
						}
				}
			}
		}

	}



/* &vref-nil */
	BgL_vrefz00_bglt BGl_z62vrefzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7057)
	{
		{	/* Ast/nodetype.sch 1107 */
			return BGl_vrefzd2nilzd2zzast_nodez00();
		}

	}



/* vref-unsafe */
	BGL_EXPORTED_DEF bool_t BGl_vrefzd2unsafezd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_539)
	{
		{	/* Ast/nodetype.sch 1108 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_539))->BgL_unsafez00);
		}

	}



/* &vref-unsafe */
	obj_t BGl_z62vrefzd2unsafezb0zzast_nodez00(obj_t BgL_envz00_7058,
		obj_t BgL_oz00_7059)
	{
		{	/* Ast/nodetype.sch 1108 */
			return
				BBOOL(BGl_vrefzd2unsafezd2zzast_nodez00(
					((BgL_vrefz00_bglt) BgL_oz00_7059)));
		}

	}



/* vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2vtypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_542)
	{
		{	/* Ast/nodetype.sch 1110 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_542))->BgL_vtypez00);
		}

	}



/* &vref-vtype */
	BgL_typez00_bglt BGl_z62vrefzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_7060,
		obj_t BgL_oz00_7061)
	{
		{	/* Ast/nodetype.sch 1110 */
			return
				BGl_vrefzd2vtypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7061));
		}

	}



/* vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_543,
		BgL_typez00_bglt BgL_vz00_544)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_543))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_544), BUNSPEC);
		}

	}



/* &vref-vtype-set! */
	obj_t BGl_z62vrefzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7062,
		obj_t BgL_oz00_7063, obj_t BgL_vz00_7064)
	{
		{	/* Ast/nodetype.sch 1111 */
			return
				BGl_vrefzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7063), ((BgL_typez00_bglt) BgL_vz00_7064));
		}

	}



/* vref-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2otypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_545)
	{
		{	/* Ast/nodetype.sch 1112 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_545))->BgL_otypez00);
		}

	}



/* &vref-otype */
	BgL_typez00_bglt BGl_z62vrefzd2otypezb0zzast_nodez00(obj_t BgL_envz00_7065,
		obj_t BgL_oz00_7066)
	{
		{	/* Ast/nodetype.sch 1112 */
			return
				BGl_vrefzd2otypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7066));
		}

	}



/* vref-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2otypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_546,
		BgL_typez00_bglt BgL_vz00_547)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_546))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_547), BUNSPEC);
		}

	}



/* &vref-otype-set! */
	obj_t BGl_z62vrefzd2otypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7067,
		obj_t BgL_oz00_7068, obj_t BgL_vz00_7069)
	{
		{	/* Ast/nodetype.sch 1113 */
			return
				BGl_vrefzd2otypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7068), ((BgL_typez00_bglt) BgL_vz00_7069));
		}

	}



/* vref-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2ftypezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_548)
	{
		{	/* Ast/nodetype.sch 1114 */
			return (((BgL_vrefz00_bglt) COBJECT(BgL_oz00_548))->BgL_ftypez00);
		}

	}



/* &vref-ftype */
	BgL_typez00_bglt BGl_z62vrefzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_7070,
		obj_t BgL_oz00_7071)
	{
		{	/* Ast/nodetype.sch 1114 */
			return
				BGl_vrefzd2ftypezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7071));
		}

	}



/* vref-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_549,
		BgL_typez00_bglt BgL_vz00_550)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				((((BgL_vrefz00_bglt) COBJECT(BgL_oz00_549))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_550), BUNSPEC);
		}

	}



/* &vref-ftype-set! */
	obj_t BGl_z62vrefzd2ftypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7072,
		obj_t BgL_oz00_7073, obj_t BgL_vz00_7074)
	{
		{	/* Ast/nodetype.sch 1115 */
			return
				BGl_vrefzd2ftypezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7073), ((BgL_typez00_bglt) BgL_vz00_7074));
		}

	}



/* vref-c-format */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2czd2formatz00zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_551)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_551)))->BgL_czd2formatzd2);
		}

	}



/* &vref-c-format */
	obj_t BGl_z62vrefzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7075,
		obj_t BgL_oz00_7076)
	{
		{	/* Ast/nodetype.sch 1116 */
			return
				BGl_vrefzd2czd2formatz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7076));
		}

	}



/* vref-effect */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2effectzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_554)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_554)))->BgL_effectz00);
		}

	}



/* &vref-effect */
	obj_t BGl_z62vrefzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7077,
		obj_t BgL_oz00_7078)
	{
		{	/* Ast/nodetype.sch 1118 */
			return
				BGl_vrefzd2effectzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7078));
		}

	}



/* vref-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2effectzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_555,
		obj_t BgL_vz00_556)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_555)))->BgL_effectz00) =
				((obj_t) BgL_vz00_556), BUNSPEC);
		}

	}



/* &vref-effect-set! */
	obj_t BGl_z62vrefzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7079,
		obj_t BgL_oz00_7080, obj_t BgL_vz00_7081)
	{
		{	/* Ast/nodetype.sch 1119 */
			return
				BGl_vrefzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7080), BgL_vz00_7081);
		}

	}



/* vref-expr* */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2exprza2z70zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_557)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_557)))->BgL_exprza2za2);
		}

	}



/* &vref-expr* */
	obj_t BGl_z62vrefzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7082,
		obj_t BgL_oz00_7083)
	{
		{	/* Ast/nodetype.sch 1120 */
			return
				BGl_vrefzd2exprza2z70zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7083));
		}

	}



/* vref-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_558,
		obj_t BgL_vz00_559)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_558)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_559), BUNSPEC);
		}

	}



/* &vref-expr*-set! */
	obj_t BGl_z62vrefzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_7084,
		obj_t BgL_oz00_7085, obj_t BgL_vz00_7086)
	{
		{	/* Ast/nodetype.sch 1121 */
			return
				BGl_vrefzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7085), BgL_vz00_7086);
		}

	}



/* vref-key */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2keyzd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_560)
	{
		{	/* Ast/nodetype.sch 1122 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_560)))->BgL_keyz00);
		}

	}



/* &vref-key */
	obj_t BGl_z62vrefzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7087,
		obj_t BgL_oz00_7088)
	{
		{	/* Ast/nodetype.sch 1122 */
			return BGl_vrefzd2keyzd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7088));
		}

	}



/* vref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2keyzd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_561,
		obj_t BgL_vz00_562)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_561)))->BgL_keyz00) =
				((obj_t) BgL_vz00_562), BUNSPEC);
		}

	}



/* &vref-key-set! */
	obj_t BGl_z62vrefzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7089,
		obj_t BgL_oz00_7090, obj_t BgL_vz00_7091)
	{
		{	/* Ast/nodetype.sch 1123 */
			return
				BGl_vrefzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7090), BgL_vz00_7091);
		}

	}



/* vref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectz00zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_563)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_563)))->BgL_sidezd2effectzd2);
		}

	}



/* &vref-side-effect */
	obj_t BGl_z62vrefzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7092,
		obj_t BgL_oz00_7093)
	{
		{	/* Ast/nodetype.sch 1124 */
			return
				BGl_vrefzd2sidezd2effectz00zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7093));
		}

	}



/* vref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_564, obj_t BgL_vz00_565)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_564)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_565), BUNSPEC);
		}

	}



/* &vref-side-effect-set! */
	obj_t BGl_z62vrefzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7094, obj_t BgL_oz00_7095, obj_t BgL_vz00_7096)
	{
		{	/* Ast/nodetype.sch 1125 */
			return
				BGl_vrefzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7095), BgL_vz00_7096);
		}

	}



/* vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vrefzd2typezd2zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_566)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_566)))->BgL_typez00);
		}

	}



/* &vref-type */
	BgL_typez00_bglt BGl_z62vrefzd2typezb0zzast_nodez00(obj_t BgL_envz00_7097,
		obj_t BgL_oz00_7098)
	{
		{	/* Ast/nodetype.sch 1126 */
			return
				BGl_vrefzd2typezd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7098));
		}

	}



/* vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vrefzd2typezd2setz12z12zzast_nodez00(BgL_vrefz00_bglt BgL_oz00_567,
		BgL_typez00_bglt BgL_vz00_568)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_567)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_568), BUNSPEC);
		}

	}



/* &vref-type-set! */
	obj_t BGl_z62vrefzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7099,
		obj_t BgL_oz00_7100, obj_t BgL_vz00_7101)
	{
		{	/* Ast/nodetype.sch 1127 */
			return
				BGl_vrefzd2typezd2setz12z12zzast_nodez00(
				((BgL_vrefz00_bglt) BgL_oz00_7100), ((BgL_typez00_bglt) BgL_vz00_7101));
		}

	}



/* vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_vrefzd2loczd2zzast_nodez00(BgL_vrefz00_bglt
		BgL_oz00_569)
	{
		{	/* Ast/nodetype.sch 1128 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_569)))->BgL_locz00);
		}

	}



/* &vref-loc */
	obj_t BGl_z62vrefzd2loczb0zzast_nodez00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103)
	{
		{	/* Ast/nodetype.sch 1128 */
			return BGl_vrefzd2loczd2zzast_nodez00(((BgL_vrefz00_bglt) BgL_oz00_7103));
		}

	}



/* make-vset! */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_makezd2vsetz12zc0zzast_nodez00(obj_t
		BgL_loc1564z00_572, BgL_typez00_bglt BgL_type1565z00_573,
		obj_t BgL_sidezd2effect1566zd2_574, obj_t BgL_key1567z00_575,
		obj_t BgL_exprza21568za2_576, obj_t BgL_effect1569z00_577,
		obj_t BgL_czd2format1570zd2_578, BgL_typez00_bglt BgL_ftype1571z00_579,
		BgL_typez00_bglt BgL_otype1572z00_580,
		BgL_typez00_bglt BgL_vtype1573z00_581, bool_t BgL_unsafe1574z00_582)
	{
		{	/* Ast/nodetype.sch 1132 */
			{	/* Ast/nodetype.sch 1132 */
				BgL_vsetz12z12_bglt BgL_new1493z00_9471;

				{	/* Ast/nodetype.sch 1132 */
					BgL_vsetz12z12_bglt BgL_new1492z00_9472;

					BgL_new1492z00_9472 =
						((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vsetz12z12_bgl))));
					{	/* Ast/nodetype.sch 1132 */
						long BgL_arg1834z00_9473;

						BgL_arg1834z00_9473 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1492z00_9472), BgL_arg1834z00_9473);
					}
					{	/* Ast/nodetype.sch 1132 */
						BgL_objectz00_bglt BgL_tmpz00_12812;

						BgL_tmpz00_12812 = ((BgL_objectz00_bglt) BgL_new1492z00_9472);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12812, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1492z00_9472);
					BgL_new1493z00_9471 = BgL_new1492z00_9472;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1493z00_9471)))->BgL_locz00) =
					((obj_t) BgL_loc1564z00_572), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1493z00_9471)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1565z00_573), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1493z00_9471)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1566zd2_574), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1493z00_9471)))->BgL_keyz00) =
					((obj_t) BgL_key1567z00_575), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1493z00_9471)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21568za2_576), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1493z00_9471)))->BgL_effectz00) =
					((obj_t) BgL_effect1569z00_577), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1493z00_9471)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1570zd2_578), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1493z00_9471))->BgL_ftypez00) =
					((BgL_typez00_bglt) BgL_ftype1571z00_579), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1493z00_9471))->BgL_otypez00) =
					((BgL_typez00_bglt) BgL_otype1572z00_580), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1493z00_9471))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1573z00_581), BUNSPEC);
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1493z00_9471))->BgL_unsafez00) =
					((bool_t) BgL_unsafe1574z00_582), BUNSPEC);
				return BgL_new1493z00_9471;
			}
		}

	}



/* &make-vset! */
	BgL_vsetz12z12_bglt BGl_z62makezd2vsetz12za2zzast_nodez00(obj_t
		BgL_envz00_7104, obj_t BgL_loc1564z00_7105, obj_t BgL_type1565z00_7106,
		obj_t BgL_sidezd2effect1566zd2_7107, obj_t BgL_key1567z00_7108,
		obj_t BgL_exprza21568za2_7109, obj_t BgL_effect1569z00_7110,
		obj_t BgL_czd2format1570zd2_7111, obj_t BgL_ftype1571z00_7112,
		obj_t BgL_otype1572z00_7113, obj_t BgL_vtype1573z00_7114,
		obj_t BgL_unsafe1574z00_7115)
	{
		{	/* Ast/nodetype.sch 1132 */
			return
				BGl_makezd2vsetz12zc0zzast_nodez00(BgL_loc1564z00_7105,
				((BgL_typez00_bglt) BgL_type1565z00_7106),
				BgL_sidezd2effect1566zd2_7107, BgL_key1567z00_7108,
				BgL_exprza21568za2_7109, BgL_effect1569z00_7110,
				BgL_czd2format1570zd2_7111, ((BgL_typez00_bglt) BgL_ftype1571z00_7112),
				((BgL_typez00_bglt) BgL_otype1572z00_7113),
				((BgL_typez00_bglt) BgL_vtype1573z00_7114),
				CBOOL(BgL_unsafe1574z00_7115));
		}

	}



/* vset!? */
	BGL_EXPORTED_DEF bool_t BGl_vsetz12zf3ze1zzast_nodez00(obj_t BgL_objz00_583)
	{
		{	/* Ast/nodetype.sch 1133 */
			{	/* Ast/nodetype.sch 1133 */
				obj_t BgL_classz00_9474;

				BgL_classz00_9474 = BGl_vsetz12z12zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_583))
					{	/* Ast/nodetype.sch 1133 */
						BgL_objectz00_bglt BgL_arg1858z00_9475;

						BgL_arg1858z00_9475 = (BgL_objectz00_bglt) (BgL_objz00_583);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1133 */
								long BgL_idxz00_9476;

								BgL_idxz00_9476 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9475);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9476 + 5L)) == BgL_classz00_9474);
							}
						else
							{	/* Ast/nodetype.sch 1133 */
								bool_t BgL_res3076z00_9479;

								{	/* Ast/nodetype.sch 1133 */
									obj_t BgL_oclassz00_9480;

									{	/* Ast/nodetype.sch 1133 */
										obj_t BgL_arg1866z00_9481;
										long BgL_arg1867z00_9482;

										BgL_arg1866z00_9481 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1133 */
											long BgL_arg1869z00_9483;

											BgL_arg1869z00_9483 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9475);
											BgL_arg1867z00_9482 = (BgL_arg1869z00_9483 - OBJECT_TYPE);
										}
										BgL_oclassz00_9480 =
											VECTOR_REF(BgL_arg1866z00_9481, BgL_arg1867z00_9482);
									}
									{	/* Ast/nodetype.sch 1133 */
										bool_t BgL__ortest_1115z00_9484;

										BgL__ortest_1115z00_9484 =
											(BgL_classz00_9474 == BgL_oclassz00_9480);
										if (BgL__ortest_1115z00_9484)
											{	/* Ast/nodetype.sch 1133 */
												BgL_res3076z00_9479 = BgL__ortest_1115z00_9484;
											}
										else
											{	/* Ast/nodetype.sch 1133 */
												long BgL_odepthz00_9485;

												{	/* Ast/nodetype.sch 1133 */
													obj_t BgL_arg1855z00_9486;

													BgL_arg1855z00_9486 = (BgL_oclassz00_9480);
													BgL_odepthz00_9485 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9486);
												}
												if ((5L < BgL_odepthz00_9485))
													{	/* Ast/nodetype.sch 1133 */
														obj_t BgL_arg1853z00_9487;

														{	/* Ast/nodetype.sch 1133 */
															obj_t BgL_arg1854z00_9488;

															BgL_arg1854z00_9488 = (BgL_oclassz00_9480);
															BgL_arg1853z00_9487 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9488,
																5L);
														}
														BgL_res3076z00_9479 =
															(BgL_arg1853z00_9487 == BgL_classz00_9474);
													}
												else
													{	/* Ast/nodetype.sch 1133 */
														BgL_res3076z00_9479 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3076z00_9479;
							}
					}
				else
					{	/* Ast/nodetype.sch 1133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vset!? */
	obj_t BGl_z62vsetz12zf3z83zzast_nodez00(obj_t BgL_envz00_7116,
		obj_t BgL_objz00_7117)
	{
		{	/* Ast/nodetype.sch 1133 */
			return BBOOL(BGl_vsetz12zf3ze1zzast_nodez00(BgL_objz00_7117));
		}

	}



/* vset!-nil */
	BGL_EXPORTED_DEF BgL_vsetz12z12_bglt BGl_vsetz12zd2nilzc0zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1134 */
			{	/* Ast/nodetype.sch 1134 */
				obj_t BgL_classz00_4835;

				BgL_classz00_4835 = BGl_vsetz12z12zzast_nodez00;
				{	/* Ast/nodetype.sch 1134 */
					obj_t BgL__ortest_1117z00_4836;

					BgL__ortest_1117z00_4836 = BGL_CLASS_NIL(BgL_classz00_4835);
					if (CBOOL(BgL__ortest_1117z00_4836))
						{	/* Ast/nodetype.sch 1134 */
							return ((BgL_vsetz12z12_bglt) BgL__ortest_1117z00_4836);
						}
					else
						{	/* Ast/nodetype.sch 1134 */
							return
								((BgL_vsetz12z12_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4835));
						}
				}
			}
		}

	}



/* &vset!-nil */
	BgL_vsetz12z12_bglt BGl_z62vsetz12zd2nilza2zzast_nodez00(obj_t
		BgL_envz00_7118)
	{
		{	/* Ast/nodetype.sch 1134 */
			return BGl_vsetz12zd2nilzc0zzast_nodez00();
		}

	}



/* vset!-unsafe */
	BGL_EXPORTED_DEF bool_t
		BGl_vsetz12zd2unsafezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_584)
	{
		{	/* Ast/nodetype.sch 1135 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_584))->BgL_unsafez00);
		}

	}



/* &vset!-unsafe */
	obj_t BGl_z62vsetz12zd2unsafeza2zzast_nodez00(obj_t BgL_envz00_7119,
		obj_t BgL_oz00_7120)
	{
		{	/* Ast/nodetype.sch 1135 */
			return
				BBOOL(BGl_vsetz12zd2unsafezc0zzast_nodez00(
					((BgL_vsetz12z12_bglt) BgL_oz00_7120)));
		}

	}



/* vset!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2vtypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_587)
	{
		{	/* Ast/nodetype.sch 1137 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_587))->BgL_vtypez00);
		}

	}



/* &vset!-vtype */
	BgL_typez00_bglt BGl_z62vsetz12zd2vtypeza2zzast_nodez00(obj_t BgL_envz00_7121,
		obj_t BgL_oz00_7122)
	{
		{	/* Ast/nodetype.sch 1137 */
			return
				BGl_vsetz12zd2vtypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7122));
		}

	}



/* vset!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_588, BgL_typez00_bglt BgL_vz00_589)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_588))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_589), BUNSPEC);
		}

	}



/* &vset!-vtype-set! */
	obj_t BGl_z62vsetz12zd2vtypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7123,
		obj_t BgL_oz00_7124, obj_t BgL_vz00_7125)
	{
		{	/* Ast/nodetype.sch 1138 */
			return
				BGl_vsetz12zd2vtypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7124),
				((BgL_typez00_bglt) BgL_vz00_7125));
		}

	}



/* vset!-otype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2otypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_590)
	{
		{	/* Ast/nodetype.sch 1139 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_590))->BgL_otypez00);
		}

	}



/* &vset!-otype */
	BgL_typez00_bglt BGl_z62vsetz12zd2otypeza2zzast_nodez00(obj_t BgL_envz00_7126,
		obj_t BgL_oz00_7127)
	{
		{	/* Ast/nodetype.sch 1139 */
			return
				BGl_vsetz12zd2otypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7127));
		}

	}



/* vset!-otype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_591, BgL_typez00_bglt BgL_vz00_592)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_591))->BgL_otypez00) =
				((BgL_typez00_bglt) BgL_vz00_592), BUNSPEC);
		}

	}



/* &vset!-otype-set! */
	obj_t BGl_z62vsetz12zd2otypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7128,
		obj_t BgL_oz00_7129, obj_t BgL_vz00_7130)
	{
		{	/* Ast/nodetype.sch 1140 */
			return
				BGl_vsetz12zd2otypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7129),
				((BgL_typez00_bglt) BgL_vz00_7130));
		}

	}



/* vset!-ftype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2ftypezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_593)
	{
		{	/* Ast/nodetype.sch 1141 */
			return (((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_593))->BgL_ftypez00);
		}

	}



/* &vset!-ftype */
	BgL_typez00_bglt BGl_z62vsetz12zd2ftypeza2zzast_nodez00(obj_t BgL_envz00_7131,
		obj_t BgL_oz00_7132)
	{
		{	/* Ast/nodetype.sch 1141 */
			return
				BGl_vsetz12zd2ftypezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7132));
		}

	}



/* vset!-ftype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_594, BgL_typez00_bglt BgL_vz00_595)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(BgL_oz00_594))->BgL_ftypez00) =
				((BgL_typez00_bglt) BgL_vz00_595), BUNSPEC);
		}

	}



/* &vset!-ftype-set! */
	obj_t BGl_z62vsetz12zd2ftypezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7133,
		obj_t BgL_oz00_7134, obj_t BgL_vz00_7135)
	{
		{	/* Ast/nodetype.sch 1142 */
			return
				BGl_vsetz12zd2ftypezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7134),
				((BgL_typez00_bglt) BgL_vz00_7135));
		}

	}



/* vset!-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2czd2formatz12zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_596)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_596)))->BgL_czd2formatzd2);
		}

	}



/* &vset!-c-format */
	obj_t BGl_z62vsetz12zd2czd2formatz70zzast_nodez00(obj_t BgL_envz00_7136,
		obj_t BgL_oz00_7137)
	{
		{	/* Ast/nodetype.sch 1143 */
			return
				BGl_vsetz12zd2czd2formatz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7137));
		}

	}



/* vset!-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_599)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_599)))->BgL_effectz00);
		}

	}



/* &vset!-effect */
	obj_t BGl_z62vsetz12zd2effectza2zzast_nodez00(obj_t BgL_envz00_7138,
		obj_t BgL_oz00_7139)
	{
		{	/* Ast/nodetype.sch 1145 */
			return
				BGl_vsetz12zd2effectzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7139));
		}

	}



/* vset!-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_600, obj_t BgL_vz00_601)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_600)))->BgL_effectz00) =
				((obj_t) BgL_vz00_601), BUNSPEC);
		}

	}



/* &vset!-effect-set! */
	obj_t BGl_z62vsetz12zd2effectzd2setz12z62zzast_nodez00(obj_t BgL_envz00_7140,
		obj_t BgL_oz00_7141, obj_t BgL_vz00_7142)
	{
		{	/* Ast/nodetype.sch 1146 */
			return
				BGl_vsetz12zd2effectzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7141), BgL_vz00_7142);
		}

	}



/* vset!-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2z62zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_602)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_602)))->BgL_exprza2za2);
		}

	}



/* &vset!-expr* */
	obj_t BGl_z62vsetz12zd2exprza2z00zzast_nodez00(obj_t BgL_envz00_7143,
		obj_t BgL_oz00_7144)
	{
		{	/* Ast/nodetype.sch 1147 */
			return
				BGl_vsetz12zd2exprza2z62zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7144));
		}

	}



/* vset!-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_603, obj_t BgL_vz00_604)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_603)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_604), BUNSPEC);
		}

	}



/* &vset!-expr*-set! */
	obj_t BGl_z62vsetz12zd2exprza2zd2setz12zc0zzast_nodez00(obj_t BgL_envz00_7145,
		obj_t BgL_oz00_7146, obj_t BgL_vz00_7147)
	{
		{	/* Ast/nodetype.sch 1148 */
			return
				BGl_vsetz12zd2exprza2zd2setz12za2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7146), BgL_vz00_7147);
		}

	}



/* vset!-key */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2keyzc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_605)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_605)))->BgL_keyz00);
		}

	}



/* &vset!-key */
	obj_t BGl_z62vsetz12zd2keyza2zzast_nodez00(obj_t BgL_envz00_7148,
		obj_t BgL_oz00_7149)
	{
		{	/* Ast/nodetype.sch 1149 */
			return
				BGl_vsetz12zd2keyzc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7149));
		}

	}



/* vset!-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_606,
		obj_t BgL_vz00_607)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_606)))->BgL_keyz00) =
				((obj_t) BgL_vz00_607), BUNSPEC);
		}

	}



/* &vset!-key-set! */
	obj_t BGl_z62vsetz12zd2keyzd2setz12z62zzast_nodez00(obj_t BgL_envz00_7150,
		obj_t BgL_oz00_7151, obj_t BgL_vz00_7152)
	{
		{	/* Ast/nodetype.sch 1150 */
			return
				BGl_vsetz12zd2keyzd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7151), BgL_vz00_7152);
		}

	}



/* vset!-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_608)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_608)))->BgL_sidezd2effectzd2);
		}

	}



/* &vset!-side-effect */
	obj_t BGl_z62vsetz12zd2sidezd2effectz70zzast_nodez00(obj_t BgL_envz00_7153,
		obj_t BgL_oz00_7154)
	{
		{	/* Ast/nodetype.sch 1151 */
			return
				BGl_vsetz12zd2sidezd2effectz12zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7154));
		}

	}



/* vset!-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_609, obj_t BgL_vz00_610)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_609)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_610), BUNSPEC);
		}

	}



/* &vset!-side-effect-set! */
	obj_t BGl_z62vsetz12zd2sidezd2effectzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7155, obj_t BgL_oz00_7156, obj_t BgL_vz00_7157)
	{
		{	/* Ast/nodetype.sch 1152 */
			return
				BGl_vsetz12zd2sidezd2effectzd2setz12zd2zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7156), BgL_vz00_7157);
		}

	}



/* vset!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vsetz12zd2typezc0zzast_nodez00(BgL_vsetz12z12_bglt BgL_oz00_611)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_611)))->BgL_typez00);
		}

	}



/* &vset!-type */
	BgL_typez00_bglt BGl_z62vsetz12zd2typeza2zzast_nodez00(obj_t BgL_envz00_7158,
		obj_t BgL_oz00_7159)
	{
		{	/* Ast/nodetype.sch 1153 */
			return
				BGl_vsetz12zd2typezc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7159));
		}

	}



/* vset!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_612, BgL_typez00_bglt BgL_vz00_613)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_612)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_613), BUNSPEC);
		}

	}



/* &vset!-type-set! */
	obj_t BGl_z62vsetz12zd2typezd2setz12z62zzast_nodez00(obj_t BgL_envz00_7160,
		obj_t BgL_oz00_7161, obj_t BgL_vz00_7162)
	{
		{	/* Ast/nodetype.sch 1154 */
			return
				BGl_vsetz12zd2typezd2setz12z00zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7161),
				((BgL_typez00_bglt) BgL_vz00_7162));
		}

	}



/* vset!-loc */
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zd2loczc0zzast_nodez00(BgL_vsetz12z12_bglt
		BgL_oz00_614)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_614)))->BgL_locz00);
		}

	}



/* &vset!-loc */
	obj_t BGl_z62vsetz12zd2locza2zzast_nodez00(obj_t BgL_envz00_7163,
		obj_t BgL_oz00_7164)
	{
		{	/* Ast/nodetype.sch 1155 */
			return
				BGl_vsetz12zd2loczc0zzast_nodez00(
				((BgL_vsetz12z12_bglt) BgL_oz00_7164));
		}

	}



/* make-vlength */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_makezd2vlengthzd2zzast_nodez00(obj_t
		BgL_loc1554z00_617, BgL_typez00_bglt BgL_type1555z00_618,
		obj_t BgL_sidezd2effect1556zd2_619, obj_t BgL_key1557z00_620,
		obj_t BgL_exprza21558za2_621, obj_t BgL_effect1559z00_622,
		obj_t BgL_czd2format1560zd2_623, BgL_typez00_bglt BgL_vtype1561z00_624,
		obj_t BgL_ftype1562z00_625)
	{
		{	/* Ast/nodetype.sch 1159 */
			{	/* Ast/nodetype.sch 1159 */
				BgL_vlengthz00_bglt BgL_new1495z00_9489;

				{	/* Ast/nodetype.sch 1159 */
					BgL_vlengthz00_bglt BgL_new1494z00_9490;

					BgL_new1494z00_9490 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/nodetype.sch 1159 */
						long BgL_arg1842z00_9491;

						BgL_arg1842z00_9491 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1494z00_9490), BgL_arg1842z00_9491);
					}
					{	/* Ast/nodetype.sch 1159 */
						BgL_objectz00_bglt BgL_tmpz00_12949;

						BgL_tmpz00_12949 = ((BgL_objectz00_bglt) BgL_new1494z00_9490);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12949, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1494z00_9490);
					BgL_new1495z00_9489 = BgL_new1494z00_9490;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1495z00_9489)))->BgL_locz00) =
					((obj_t) BgL_loc1554z00_617), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1495z00_9489)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1555z00_618), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1495z00_9489)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1556zd2_619), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1495z00_9489)))->BgL_keyz00) =
					((obj_t) BgL_key1557z00_620), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1495z00_9489)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21558za2_621), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1495z00_9489)))->BgL_effectz00) =
					((obj_t) BgL_effect1559z00_622), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1495z00_9489)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1560zd2_623), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1495z00_9489))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1561z00_624), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1495z00_9489))->BgL_ftypez00) =
					((obj_t) BgL_ftype1562z00_625), BUNSPEC);
				return BgL_new1495z00_9489;
			}
		}

	}



/* &make-vlength */
	BgL_vlengthz00_bglt BGl_z62makezd2vlengthzb0zzast_nodez00(obj_t
		BgL_envz00_7165, obj_t BgL_loc1554z00_7166, obj_t BgL_type1555z00_7167,
		obj_t BgL_sidezd2effect1556zd2_7168, obj_t BgL_key1557z00_7169,
		obj_t BgL_exprza21558za2_7170, obj_t BgL_effect1559z00_7171,
		obj_t BgL_czd2format1560zd2_7172, obj_t BgL_vtype1561z00_7173,
		obj_t BgL_ftype1562z00_7174)
	{
		{	/* Ast/nodetype.sch 1159 */
			return
				BGl_makezd2vlengthzd2zzast_nodez00(BgL_loc1554z00_7166,
				((BgL_typez00_bglt) BgL_type1555z00_7167),
				BgL_sidezd2effect1556zd2_7168, BgL_key1557z00_7169,
				BgL_exprza21558za2_7170, BgL_effect1559z00_7171,
				BgL_czd2format1560zd2_7172, ((BgL_typez00_bglt) BgL_vtype1561z00_7173),
				BgL_ftype1562z00_7174);
		}

	}



/* vlength? */
	BGL_EXPORTED_DEF bool_t BGl_vlengthzf3zf3zzast_nodez00(obj_t BgL_objz00_626)
	{
		{	/* Ast/nodetype.sch 1160 */
			{	/* Ast/nodetype.sch 1160 */
				obj_t BgL_classz00_9492;

				BgL_classz00_9492 = BGl_vlengthz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_626))
					{	/* Ast/nodetype.sch 1160 */
						BgL_objectz00_bglt BgL_arg1858z00_9493;

						BgL_arg1858z00_9493 = (BgL_objectz00_bglt) (BgL_objz00_626);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1160 */
								long BgL_idxz00_9494;

								BgL_idxz00_9494 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9493);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9494 + 5L)) == BgL_classz00_9492);
							}
						else
							{	/* Ast/nodetype.sch 1160 */
								bool_t BgL_res3077z00_9497;

								{	/* Ast/nodetype.sch 1160 */
									obj_t BgL_oclassz00_9498;

									{	/* Ast/nodetype.sch 1160 */
										obj_t BgL_arg1866z00_9499;
										long BgL_arg1867z00_9500;

										BgL_arg1866z00_9499 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1160 */
											long BgL_arg1869z00_9501;

											BgL_arg1869z00_9501 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9493);
											BgL_arg1867z00_9500 = (BgL_arg1869z00_9501 - OBJECT_TYPE);
										}
										BgL_oclassz00_9498 =
											VECTOR_REF(BgL_arg1866z00_9499, BgL_arg1867z00_9500);
									}
									{	/* Ast/nodetype.sch 1160 */
										bool_t BgL__ortest_1115z00_9502;

										BgL__ortest_1115z00_9502 =
											(BgL_classz00_9492 == BgL_oclassz00_9498);
										if (BgL__ortest_1115z00_9502)
											{	/* Ast/nodetype.sch 1160 */
												BgL_res3077z00_9497 = BgL__ortest_1115z00_9502;
											}
										else
											{	/* Ast/nodetype.sch 1160 */
												long BgL_odepthz00_9503;

												{	/* Ast/nodetype.sch 1160 */
													obj_t BgL_arg1855z00_9504;

													BgL_arg1855z00_9504 = (BgL_oclassz00_9498);
													BgL_odepthz00_9503 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9504);
												}
												if ((5L < BgL_odepthz00_9503))
													{	/* Ast/nodetype.sch 1160 */
														obj_t BgL_arg1853z00_9505;

														{	/* Ast/nodetype.sch 1160 */
															obj_t BgL_arg1854z00_9506;

															BgL_arg1854z00_9506 = (BgL_oclassz00_9498);
															BgL_arg1853z00_9505 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9506,
																5L);
														}
														BgL_res3077z00_9497 =
															(BgL_arg1853z00_9505 == BgL_classz00_9492);
													}
												else
													{	/* Ast/nodetype.sch 1160 */
														BgL_res3077z00_9497 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3077z00_9497;
							}
					}
				else
					{	/* Ast/nodetype.sch 1160 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &vlength? */
	obj_t BGl_z62vlengthzf3z91zzast_nodez00(obj_t BgL_envz00_7175,
		obj_t BgL_objz00_7176)
	{
		{	/* Ast/nodetype.sch 1160 */
			return BBOOL(BGl_vlengthzf3zf3zzast_nodez00(BgL_objz00_7176));
		}

	}



/* vlength-nil */
	BGL_EXPORTED_DEF BgL_vlengthz00_bglt BGl_vlengthzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1161 */
			{	/* Ast/nodetype.sch 1161 */
				obj_t BgL_classz00_4878;

				BgL_classz00_4878 = BGl_vlengthz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1161 */
					obj_t BgL__ortest_1117z00_4879;

					BgL__ortest_1117z00_4879 = BGL_CLASS_NIL(BgL_classz00_4878);
					if (CBOOL(BgL__ortest_1117z00_4879))
						{	/* Ast/nodetype.sch 1161 */
							return ((BgL_vlengthz00_bglt) BgL__ortest_1117z00_4879);
						}
					else
						{	/* Ast/nodetype.sch 1161 */
							return
								((BgL_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4878));
						}
				}
			}
		}

	}



/* &vlength-nil */
	BgL_vlengthz00_bglt BGl_z62vlengthzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7177)
	{
		{	/* Ast/nodetype.sch 1161 */
			return BGl_vlengthzd2nilzd2zzast_nodez00();
		}

	}



/* vlength-ftype */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2ftypezd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_627)
	{
		{	/* Ast/nodetype.sch 1162 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_627))->BgL_ftypez00);
		}

	}



/* &vlength-ftype */
	obj_t BGl_z62vlengthzd2ftypezb0zzast_nodez00(obj_t BgL_envz00_7178,
		obj_t BgL_oz00_7179)
	{
		{	/* Ast/nodetype.sch 1162 */
			return
				BGl_vlengthzd2ftypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7179));
		}

	}



/* vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2vtypezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_630)
	{
		{	/* Ast/nodetype.sch 1164 */
			return (((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_630))->BgL_vtypez00);
		}

	}



/* &vlength-vtype */
	BgL_typez00_bglt BGl_z62vlengthzd2vtypezb0zzast_nodez00(obj_t BgL_envz00_7180,
		obj_t BgL_oz00_7181)
	{
		{	/* Ast/nodetype.sch 1164 */
			return
				BGl_vlengthzd2vtypezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7181));
		}

	}



/* vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_631, BgL_typez00_bglt BgL_vz00_632)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(BgL_oz00_631))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_632), BUNSPEC);
		}

	}



/* &vlength-vtype-set! */
	obj_t BGl_z62vlengthzd2vtypezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7182,
		obj_t BgL_oz00_7183, obj_t BgL_vz00_7184)
	{
		{	/* Ast/nodetype.sch 1165 */
			return
				BGl_vlengthzd2vtypezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7183),
				((BgL_typez00_bglt) BgL_vz00_7184));
		}

	}



/* vlength-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2czd2formatz00zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_633)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_633)))->BgL_czd2formatzd2);
		}

	}



/* &vlength-c-format */
	obj_t BGl_z62vlengthzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7185,
		obj_t BgL_oz00_7186)
	{
		{	/* Ast/nodetype.sch 1166 */
			return
				BGl_vlengthzd2czd2formatz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7186));
		}

	}



/* vlength-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_636)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_636)))->BgL_effectz00);
		}

	}



/* &vlength-effect */
	obj_t BGl_z62vlengthzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7187,
		obj_t BgL_oz00_7188)
	{
		{	/* Ast/nodetype.sch 1168 */
			return
				BGl_vlengthzd2effectzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7188));
		}

	}



/* vlength-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_637, obj_t BgL_vz00_638)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_637)))->BgL_effectz00) =
				((obj_t) BgL_vz00_638), BUNSPEC);
		}

	}



/* &vlength-effect-set! */
	obj_t BGl_z62vlengthzd2effectzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7189,
		obj_t BgL_oz00_7190, obj_t BgL_vz00_7191)
	{
		{	/* Ast/nodetype.sch 1169 */
			return
				BGl_vlengthzd2effectzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7190), BgL_vz00_7191);
		}

	}



/* vlength-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2z70zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_639)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_639)))->BgL_exprza2za2);
		}

	}



/* &vlength-expr* */
	obj_t BGl_z62vlengthzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7192,
		obj_t BgL_oz00_7193)
	{
		{	/* Ast/nodetype.sch 1170 */
			return
				BGl_vlengthzd2exprza2z70zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7193));
		}

	}



/* vlength-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_640, obj_t BgL_vz00_641)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_640)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_641), BUNSPEC);
		}

	}



/* &vlength-expr*-set! */
	obj_t BGl_z62vlengthzd2exprza2zd2setz12zd2zzast_nodez00(obj_t BgL_envz00_7194,
		obj_t BgL_oz00_7195, obj_t BgL_vz00_7196)
	{
		{	/* Ast/nodetype.sch 1171 */
			return
				BGl_vlengthzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7195), BgL_vz00_7196);
		}

	}



/* vlength-key */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2keyzd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_642)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_642)))->BgL_keyz00);
		}

	}



/* &vlength-key */
	obj_t BGl_z62vlengthzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7197,
		obj_t BgL_oz00_7198)
	{
		{	/* Ast/nodetype.sch 1172 */
			return
				BGl_vlengthzd2keyzd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7198));
		}

	}



/* vlength-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_643,
		obj_t BgL_vz00_644)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_643)))->BgL_keyz00) =
				((obj_t) BgL_vz00_644), BUNSPEC);
		}

	}



/* &vlength-key-set! */
	obj_t BGl_z62vlengthzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7199,
		obj_t BgL_oz00_7200, obj_t BgL_vz00_7201)
	{
		{	/* Ast/nodetype.sch 1173 */
			return
				BGl_vlengthzd2keyzd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7200), BgL_vz00_7201);
		}

	}



/* vlength-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectz00zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_645)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_645)))->BgL_sidezd2effectzd2);
		}

	}



/* &vlength-side-effect */
	obj_t BGl_z62vlengthzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7202,
		obj_t BgL_oz00_7203)
	{
		{	/* Ast/nodetype.sch 1174 */
			return
				BGl_vlengthzd2sidezd2effectz00zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7203));
		}

	}



/* vlength-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_646, obj_t BgL_vz00_647)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_646)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_647), BUNSPEC);
		}

	}



/* &vlength-side-effect-set! */
	obj_t BGl_z62vlengthzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7204, obj_t BgL_oz00_7205, obj_t BgL_vz00_7206)
	{
		{	/* Ast/nodetype.sch 1175 */
			return
				BGl_vlengthzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7205), BgL_vz00_7206);
		}

	}



/* vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_vlengthzd2typezd2zzast_nodez00(BgL_vlengthz00_bglt BgL_oz00_648)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_648)))->BgL_typez00);
		}

	}



/* &vlength-type */
	BgL_typez00_bglt BGl_z62vlengthzd2typezb0zzast_nodez00(obj_t BgL_envz00_7207,
		obj_t BgL_oz00_7208)
	{
		{	/* Ast/nodetype.sch 1176 */
			return
				BGl_vlengthzd2typezd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7208));
		}

	}



/* vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_vlengthzd2typezd2setz12z12zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_649, BgL_typez00_bglt BgL_vz00_650)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_649)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_650), BUNSPEC);
		}

	}



/* &vlength-type-set! */
	obj_t BGl_z62vlengthzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7209,
		obj_t BgL_oz00_7210, obj_t BgL_vz00_7211)
	{
		{	/* Ast/nodetype.sch 1177 */
			return
				BGl_vlengthzd2typezd2setz12z12zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7210),
				((BgL_typez00_bglt) BgL_vz00_7211));
		}

	}



/* vlength-loc */
	BGL_EXPORTED_DEF obj_t BGl_vlengthzd2loczd2zzast_nodez00(BgL_vlengthz00_bglt
		BgL_oz00_651)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_651)))->BgL_locz00);
		}

	}



/* &vlength-loc */
	obj_t BGl_z62vlengthzd2loczb0zzast_nodez00(obj_t BgL_envz00_7212,
		obj_t BgL_oz00_7213)
	{
		{	/* Ast/nodetype.sch 1178 */
			return
				BGl_vlengthzd2loczd2zzast_nodez00(
				((BgL_vlengthz00_bglt) BgL_oz00_7213));
		}

	}



/* make-instanceof */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_makezd2instanceofzd2zzast_nodez00(obj_t BgL_loc1545z00_654,
		BgL_typez00_bglt BgL_type1546z00_655, obj_t BgL_sidezd2effect1547zd2_656,
		obj_t BgL_key1548z00_657, obj_t BgL_exprza21549za2_658,
		obj_t BgL_effect1550z00_659, obj_t BgL_czd2format1551zd2_660,
		BgL_typez00_bglt BgL_class1552z00_661)
	{
		{	/* Ast/nodetype.sch 1182 */
			{	/* Ast/nodetype.sch 1182 */
				BgL_instanceofz00_bglt BgL_new1497z00_9507;

				{	/* Ast/nodetype.sch 1182 */
					BgL_instanceofz00_bglt BgL_new1496z00_9508;

					BgL_new1496z00_9508 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/nodetype.sch 1182 */
						long BgL_arg1845z00_9509;

						BgL_arg1845z00_9509 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1496z00_9508), BgL_arg1845z00_9509);
					}
					{	/* Ast/nodetype.sch 1182 */
						BgL_objectz00_bglt BgL_tmpz00_13066;

						BgL_tmpz00_13066 = ((BgL_objectz00_bglt) BgL_new1496z00_9508);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13066, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1496z00_9508);
					BgL_new1497z00_9507 = BgL_new1496z00_9508;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1497z00_9507)))->BgL_locz00) =
					((obj_t) BgL_loc1545z00_654), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1497z00_9507)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1546z00_655), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1497z00_9507)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1547zd2_656), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1497z00_9507)))->BgL_keyz00) =
					((obj_t) BgL_key1548z00_657), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1497z00_9507)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21549za2_658), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1497z00_9507)))->BgL_effectz00) =
					((obj_t) BgL_effect1550z00_659), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1497z00_9507)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1551zd2_660), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1497z00_9507))->
						BgL_classz00) = ((BgL_typez00_bglt) BgL_class1552z00_661), BUNSPEC);
				return BgL_new1497z00_9507;
			}
		}

	}



/* &make-instanceof */
	BgL_instanceofz00_bglt BGl_z62makezd2instanceofzb0zzast_nodez00(obj_t
		BgL_envz00_7214, obj_t BgL_loc1545z00_7215, obj_t BgL_type1546z00_7216,
		obj_t BgL_sidezd2effect1547zd2_7217, obj_t BgL_key1548z00_7218,
		obj_t BgL_exprza21549za2_7219, obj_t BgL_effect1550z00_7220,
		obj_t BgL_czd2format1551zd2_7221, obj_t BgL_class1552z00_7222)
	{
		{	/* Ast/nodetype.sch 1182 */
			return
				BGl_makezd2instanceofzd2zzast_nodez00(BgL_loc1545z00_7215,
				((BgL_typez00_bglt) BgL_type1546z00_7216),
				BgL_sidezd2effect1547zd2_7217, BgL_key1548z00_7218,
				BgL_exprza21549za2_7219, BgL_effect1550z00_7220,
				BgL_czd2format1551zd2_7221, ((BgL_typez00_bglt) BgL_class1552z00_7222));
		}

	}



/* instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_instanceofzf3zf3zzast_nodez00(obj_t
		BgL_objz00_662)
	{
		{	/* Ast/nodetype.sch 1183 */
			{	/* Ast/nodetype.sch 1183 */
				obj_t BgL_classz00_9510;

				BgL_classz00_9510 = BGl_instanceofz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_662))
					{	/* Ast/nodetype.sch 1183 */
						BgL_objectz00_bglt BgL_arg1858z00_9511;

						BgL_arg1858z00_9511 = (BgL_objectz00_bglt) (BgL_objz00_662);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1183 */
								long BgL_idxz00_9512;

								BgL_idxz00_9512 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9511);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9512 + 5L)) == BgL_classz00_9510);
							}
						else
							{	/* Ast/nodetype.sch 1183 */
								bool_t BgL_res3078z00_9515;

								{	/* Ast/nodetype.sch 1183 */
									obj_t BgL_oclassz00_9516;

									{	/* Ast/nodetype.sch 1183 */
										obj_t BgL_arg1866z00_9517;
										long BgL_arg1867z00_9518;

										BgL_arg1866z00_9517 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1183 */
											long BgL_arg1869z00_9519;

											BgL_arg1869z00_9519 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9511);
											BgL_arg1867z00_9518 = (BgL_arg1869z00_9519 - OBJECT_TYPE);
										}
										BgL_oclassz00_9516 =
											VECTOR_REF(BgL_arg1866z00_9517, BgL_arg1867z00_9518);
									}
									{	/* Ast/nodetype.sch 1183 */
										bool_t BgL__ortest_1115z00_9520;

										BgL__ortest_1115z00_9520 =
											(BgL_classz00_9510 == BgL_oclassz00_9516);
										if (BgL__ortest_1115z00_9520)
											{	/* Ast/nodetype.sch 1183 */
												BgL_res3078z00_9515 = BgL__ortest_1115z00_9520;
											}
										else
											{	/* Ast/nodetype.sch 1183 */
												long BgL_odepthz00_9521;

												{	/* Ast/nodetype.sch 1183 */
													obj_t BgL_arg1855z00_9522;

													BgL_arg1855z00_9522 = (BgL_oclassz00_9516);
													BgL_odepthz00_9521 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9522);
												}
												if ((5L < BgL_odepthz00_9521))
													{	/* Ast/nodetype.sch 1183 */
														obj_t BgL_arg1853z00_9523;

														{	/* Ast/nodetype.sch 1183 */
															obj_t BgL_arg1854z00_9524;

															BgL_arg1854z00_9524 = (BgL_oclassz00_9516);
															BgL_arg1853z00_9523 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9524,
																5L);
														}
														BgL_res3078z00_9515 =
															(BgL_arg1853z00_9523 == BgL_classz00_9510);
													}
												else
													{	/* Ast/nodetype.sch 1183 */
														BgL_res3078z00_9515 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3078z00_9515;
							}
					}
				else
					{	/* Ast/nodetype.sch 1183 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &instanceof? */
	obj_t BGl_z62instanceofzf3z91zzast_nodez00(obj_t BgL_envz00_7223,
		obj_t BgL_objz00_7224)
	{
		{	/* Ast/nodetype.sch 1183 */
			return BBOOL(BGl_instanceofzf3zf3zzast_nodez00(BgL_objz00_7224));
		}

	}



/* instanceof-nil */
	BGL_EXPORTED_DEF BgL_instanceofz00_bglt
		BGl_instanceofzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1184 */
			{	/* Ast/nodetype.sch 1184 */
				obj_t BgL_classz00_4921;

				BgL_classz00_4921 = BGl_instanceofz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1184 */
					obj_t BgL__ortest_1117z00_4922;

					BgL__ortest_1117z00_4922 = BGL_CLASS_NIL(BgL_classz00_4921);
					if (CBOOL(BgL__ortest_1117z00_4922))
						{	/* Ast/nodetype.sch 1184 */
							return ((BgL_instanceofz00_bglt) BgL__ortest_1117z00_4922);
						}
					else
						{	/* Ast/nodetype.sch 1184 */
							return
								((BgL_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4921));
						}
				}
			}
		}

	}



/* &instanceof-nil */
	BgL_instanceofz00_bglt BGl_z62instanceofzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7225)
	{
		{	/* Ast/nodetype.sch 1184 */
			return BGl_instanceofzd2nilzd2zzast_nodez00();
		}

	}



/* instanceof-class */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2classzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_663)
	{
		{	/* Ast/nodetype.sch 1185 */
			return (((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_663))->BgL_classz00);
		}

	}



/* &instanceof-class */
	BgL_typez00_bglt BGl_z62instanceofzd2classzb0zzast_nodez00(obj_t
		BgL_envz00_7226, obj_t BgL_oz00_7227)
	{
		{	/* Ast/nodetype.sch 1185 */
			return
				BGl_instanceofzd2classzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7227));
		}

	}



/* instanceof-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2classzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_664, BgL_typez00_bglt BgL_vz00_665)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(BgL_oz00_664))->BgL_classz00) =
				((BgL_typez00_bglt) BgL_vz00_665), BUNSPEC);
		}

	}



/* &instanceof-class-set! */
	obj_t BGl_z62instanceofzd2classzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7228, obj_t BgL_oz00_7229, obj_t BgL_vz00_7230)
	{
		{	/* Ast/nodetype.sch 1186 */
			return
				BGl_instanceofzd2classzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7229),
				((BgL_typez00_bglt) BgL_vz00_7230));
		}

	}



/* instanceof-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2czd2formatz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_666)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_666)))->BgL_czd2formatzd2);
		}

	}



/* &instanceof-c-format */
	obj_t BGl_z62instanceofzd2czd2formatz62zzast_nodez00(obj_t BgL_envz00_7231,
		obj_t BgL_oz00_7232)
	{
		{	/* Ast/nodetype.sch 1187 */
			return
				BGl_instanceofzd2czd2formatz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7232));
		}

	}



/* instanceof-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_669)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_669)))->BgL_effectz00);
		}

	}



/* &instanceof-effect */
	obj_t BGl_z62instanceofzd2effectzb0zzast_nodez00(obj_t BgL_envz00_7233,
		obj_t BgL_oz00_7234)
	{
		{	/* Ast/nodetype.sch 1189 */
			return
				BGl_instanceofzd2effectzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7234));
		}

	}



/* instanceof-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_670, obj_t BgL_vz00_671)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_670)))->BgL_effectz00) =
				((obj_t) BgL_vz00_671), BUNSPEC);
		}

	}



/* &instanceof-effect-set! */
	obj_t BGl_z62instanceofzd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7235, obj_t BgL_oz00_7236, obj_t BgL_vz00_7237)
	{
		{	/* Ast/nodetype.sch 1190 */
			return
				BGl_instanceofzd2effectzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7236), BgL_vz00_7237);
		}

	}



/* instanceof-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2z70zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_672)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_672)))->BgL_exprza2za2);
		}

	}



/* &instanceof-expr* */
	obj_t BGl_z62instanceofzd2exprza2z12zzast_nodez00(obj_t BgL_envz00_7238,
		obj_t BgL_oz00_7239)
	{
		{	/* Ast/nodetype.sch 1191 */
			return
				BGl_instanceofzd2exprza2z70zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7239));
		}

	}



/* instanceof-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_673, obj_t BgL_vz00_674)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_673)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_674), BUNSPEC);
		}

	}



/* &instanceof-expr*-set! */
	obj_t BGl_z62instanceofzd2exprza2zd2setz12zd2zzast_nodez00(obj_t
		BgL_envz00_7240, obj_t BgL_oz00_7241, obj_t BgL_vz00_7242)
	{
		{	/* Ast/nodetype.sch 1192 */
			return
				BGl_instanceofzd2exprza2zd2setz12zb0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7241), BgL_vz00_7242);
		}

	}



/* instanceof-key */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_675)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_675)))->BgL_keyz00);
		}

	}



/* &instanceof-key */
	obj_t BGl_z62instanceofzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7243,
		obj_t BgL_oz00_7244)
	{
		{	/* Ast/nodetype.sch 1193 */
			return
				BGl_instanceofzd2keyzd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7244));
		}

	}



/* instanceof-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_676, obj_t BgL_vz00_677)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_676)))->BgL_keyz00) =
				((obj_t) BgL_vz00_677), BUNSPEC);
		}

	}



/* &instanceof-key-set! */
	obj_t BGl_z62instanceofzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7245,
		obj_t BgL_oz00_7246, obj_t BgL_vz00_7247)
	{
		{	/* Ast/nodetype.sch 1194 */
			return
				BGl_instanceofzd2keyzd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7246), BgL_vz00_7247);
		}

	}



/* instanceof-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectz00zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_678)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_678)))->BgL_sidezd2effectzd2);
		}

	}



/* &instanceof-side-effect */
	obj_t BGl_z62instanceofzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7248,
		obj_t BgL_oz00_7249)
	{
		{	/* Ast/nodetype.sch 1195 */
			return
				BGl_instanceofzd2sidezd2effectz00zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7249));
		}

	}



/* instanceof-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_instanceofz00_bglt BgL_oz00_679, obj_t BgL_vz00_680)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_679)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_680), BUNSPEC);
		}

	}



/* &instanceof-side-effect-set! */
	obj_t BGl_z62instanceofzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7250, obj_t BgL_oz00_7251, obj_t BgL_vz00_7252)
	{
		{	/* Ast/nodetype.sch 1196 */
			return
				BGl_instanceofzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7251), BgL_vz00_7252);
		}

	}



/* instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_instanceofzd2typezd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_681)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_681)))->BgL_typez00);
		}

	}



/* &instanceof-type */
	BgL_typez00_bglt BGl_z62instanceofzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7253, obj_t BgL_oz00_7254)
	{
		{	/* Ast/nodetype.sch 1197 */
			return
				BGl_instanceofzd2typezd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7254));
		}

	}



/* instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2typezd2setz12z12zzast_nodez00(BgL_instanceofz00_bglt
		BgL_oz00_682, BgL_typez00_bglt BgL_vz00_683)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_682)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_683), BUNSPEC);
		}

	}



/* &instanceof-type-set! */
	obj_t BGl_z62instanceofzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7255,
		obj_t BgL_oz00_7256, obj_t BgL_vz00_7257)
	{
		{	/* Ast/nodetype.sch 1198 */
			return
				BGl_instanceofzd2typezd2setz12z12zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7256),
				((BgL_typez00_bglt) BgL_vz00_7257));
		}

	}



/* instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_instanceofzd2loczd2zzast_nodez00(BgL_instanceofz00_bglt BgL_oz00_684)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_684)))->BgL_locz00);
		}

	}



/* &instanceof-loc */
	obj_t BGl_z62instanceofzd2loczb0zzast_nodez00(obj_t BgL_envz00_7258,
		obj_t BgL_oz00_7259)
	{
		{	/* Ast/nodetype.sch 1199 */
			return
				BGl_instanceofzd2loczd2zzast_nodez00(
				((BgL_instanceofz00_bglt) BgL_oz00_7259));
		}

	}



/* make-cast-null */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_makezd2castzd2nullz00zzast_nodez00(obj_t BgL_loc1536z00_687,
		BgL_typez00_bglt BgL_type1537z00_688, obj_t BgL_sidezd2effect1538zd2_689,
		obj_t BgL_key1539z00_690, obj_t BgL_exprza21540za2_691,
		obj_t BgL_effect1541z00_692, obj_t BgL_czd2format1542zd2_693)
	{
		{	/* Ast/nodetype.sch 1203 */
			{	/* Ast/nodetype.sch 1203 */
				BgL_castzd2nullzd2_bglt BgL_new1499z00_9525;

				{	/* Ast/nodetype.sch 1203 */
					BgL_castzd2nullzd2_bglt BgL_new1498z00_9526;

					BgL_new1498z00_9526 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/nodetype.sch 1203 */
						long BgL_arg1847z00_9527;

						BgL_arg1847z00_9527 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1498z00_9526), BgL_arg1847z00_9527);
					}
					{	/* Ast/nodetype.sch 1203 */
						BgL_objectz00_bglt BgL_tmpz00_13179;

						BgL_tmpz00_13179 = ((BgL_objectz00_bglt) BgL_new1498z00_9526);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13179, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1498z00_9526);
					BgL_new1499z00_9525 = BgL_new1498z00_9526;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1499z00_9525)))->BgL_locz00) =
					((obj_t) BgL_loc1536z00_687), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1499z00_9525)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1537z00_688), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1499z00_9525)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1538zd2_689), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1499z00_9525)))->BgL_keyz00) =
					((obj_t) BgL_key1539z00_690), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1499z00_9525)))->BgL_exprza2za2) =
					((obj_t) BgL_exprza21540za2_691), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1499z00_9525)))->BgL_effectz00) =
					((obj_t) BgL_effect1541z00_692), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1499z00_9525)))->BgL_czd2formatzd2) =
					((obj_t) BgL_czd2format1542zd2_693), BUNSPEC);
				return BgL_new1499z00_9525;
			}
		}

	}



/* &make-cast-null */
	BgL_castzd2nullzd2_bglt BGl_z62makezd2castzd2nullz62zzast_nodez00(obj_t
		BgL_envz00_7260, obj_t BgL_loc1536z00_7261, obj_t BgL_type1537z00_7262,
		obj_t BgL_sidezd2effect1538zd2_7263, obj_t BgL_key1539z00_7264,
		obj_t BgL_exprza21540za2_7265, obj_t BgL_effect1541z00_7266,
		obj_t BgL_czd2format1542zd2_7267)
	{
		{	/* Ast/nodetype.sch 1203 */
			return
				BGl_makezd2castzd2nullz00zzast_nodez00(BgL_loc1536z00_7261,
				((BgL_typez00_bglt) BgL_type1537z00_7262),
				BgL_sidezd2effect1538zd2_7263, BgL_key1539z00_7264,
				BgL_exprza21540za2_7265, BgL_effect1541z00_7266,
				BgL_czd2format1542zd2_7267);
		}

	}



/* cast-null? */
	BGL_EXPORTED_DEF bool_t BGl_castzd2nullzf3z21zzast_nodez00(obj_t
		BgL_objz00_694)
	{
		{	/* Ast/nodetype.sch 1204 */
			{	/* Ast/nodetype.sch 1204 */
				obj_t BgL_classz00_9528;

				BgL_classz00_9528 = BGl_castzd2nullzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_694))
					{	/* Ast/nodetype.sch 1204 */
						BgL_objectz00_bglt BgL_arg1858z00_9529;

						BgL_arg1858z00_9529 = (BgL_objectz00_bglt) (BgL_objz00_694);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1204 */
								long BgL_idxz00_9530;

								BgL_idxz00_9530 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9529);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9530 + 5L)) == BgL_classz00_9528);
							}
						else
							{	/* Ast/nodetype.sch 1204 */
								bool_t BgL_res3079z00_9533;

								{	/* Ast/nodetype.sch 1204 */
									obj_t BgL_oclassz00_9534;

									{	/* Ast/nodetype.sch 1204 */
										obj_t BgL_arg1866z00_9535;
										long BgL_arg1867z00_9536;

										BgL_arg1866z00_9535 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1204 */
											long BgL_arg1869z00_9537;

											BgL_arg1869z00_9537 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9529);
											BgL_arg1867z00_9536 = (BgL_arg1869z00_9537 - OBJECT_TYPE);
										}
										BgL_oclassz00_9534 =
											VECTOR_REF(BgL_arg1866z00_9535, BgL_arg1867z00_9536);
									}
									{	/* Ast/nodetype.sch 1204 */
										bool_t BgL__ortest_1115z00_9538;

										BgL__ortest_1115z00_9538 =
											(BgL_classz00_9528 == BgL_oclassz00_9534);
										if (BgL__ortest_1115z00_9538)
											{	/* Ast/nodetype.sch 1204 */
												BgL_res3079z00_9533 = BgL__ortest_1115z00_9538;
											}
										else
											{	/* Ast/nodetype.sch 1204 */
												long BgL_odepthz00_9539;

												{	/* Ast/nodetype.sch 1204 */
													obj_t BgL_arg1855z00_9540;

													BgL_arg1855z00_9540 = (BgL_oclassz00_9534);
													BgL_odepthz00_9539 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9540);
												}
												if ((5L < BgL_odepthz00_9539))
													{	/* Ast/nodetype.sch 1204 */
														obj_t BgL_arg1853z00_9541;

														{	/* Ast/nodetype.sch 1204 */
															obj_t BgL_arg1854z00_9542;

															BgL_arg1854z00_9542 = (BgL_oclassz00_9534);
															BgL_arg1853z00_9541 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9542,
																5L);
														}
														BgL_res3079z00_9533 =
															(BgL_arg1853z00_9541 == BgL_classz00_9528);
													}
												else
													{	/* Ast/nodetype.sch 1204 */
														BgL_res3079z00_9533 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3079z00_9533;
							}
					}
				else
					{	/* Ast/nodetype.sch 1204 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast-null? */
	obj_t BGl_z62castzd2nullzf3z43zzast_nodez00(obj_t BgL_envz00_7268,
		obj_t BgL_objz00_7269)
	{
		{	/* Ast/nodetype.sch 1204 */
			return BBOOL(BGl_castzd2nullzf3z21zzast_nodez00(BgL_objz00_7269));
		}

	}



/* cast-null-nil */
	BGL_EXPORTED_DEF BgL_castzd2nullzd2_bglt
		BGl_castzd2nullzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1205 */
			{	/* Ast/nodetype.sch 1205 */
				obj_t BgL_classz00_4964;

				BgL_classz00_4964 = BGl_castzd2nullzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1205 */
					obj_t BgL__ortest_1117z00_4965;

					BgL__ortest_1117z00_4965 = BGL_CLASS_NIL(BgL_classz00_4964);
					if (CBOOL(BgL__ortest_1117z00_4965))
						{	/* Ast/nodetype.sch 1205 */
							return ((BgL_castzd2nullzd2_bglt) BgL__ortest_1117z00_4965);
						}
					else
						{	/* Ast/nodetype.sch 1205 */
							return
								((BgL_castzd2nullzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4964));
						}
				}
			}
		}

	}



/* &cast-null-nil */
	BgL_castzd2nullzd2_bglt BGl_z62castzd2nullzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7270)
	{
		{	/* Ast/nodetype.sch 1205 */
			return BGl_castzd2nullzd2nilz00zzast_nodez00();
		}

	}



/* cast-null-c-format */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_695)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_695)))->BgL_czd2formatzd2);
		}

	}



/* &cast-null-c-format */
	obj_t BGl_z62castzd2nullzd2czd2formatzb0zzast_nodez00(obj_t BgL_envz00_7271,
		obj_t BgL_oz00_7272)
	{
		{	/* Ast/nodetype.sch 1206 */
			return
				BGl_castzd2nullzd2czd2formatzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7272));
		}

	}



/* cast-null-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectz00zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_698)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_698)))->BgL_effectz00);
		}

	}



/* &cast-null-effect */
	obj_t BGl_z62castzd2nullzd2effectz62zzast_nodez00(obj_t BgL_envz00_7273,
		obj_t BgL_oz00_7274)
	{
		{	/* Ast/nodetype.sch 1208 */
			return
				BGl_castzd2nullzd2effectz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7274));
		}

	}



/* cast-null-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_699, obj_t BgL_vz00_700)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_699)))->BgL_effectz00) =
				((obj_t) BgL_vz00_700), BUNSPEC);
		}

	}



/* &cast-null-effect-set! */
	obj_t BGl_z62castzd2nullzd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7275, obj_t BgL_oz00_7276, obj_t BgL_vz00_7277)
	{
		{	/* Ast/nodetype.sch 1209 */
			return
				BGl_castzd2nullzd2effectzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7276), BgL_vz00_7277);
		}

	}



/* cast-null-expr* */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2za2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_701)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_701)))->BgL_exprza2za2);
		}

	}



/* &cast-null-expr* */
	obj_t BGl_z62castzd2nullzd2exprza2zc0zzast_nodez00(obj_t BgL_envz00_7278,
		obj_t BgL_oz00_7279)
	{
		{	/* Ast/nodetype.sch 1210 */
			return
				BGl_castzd2nullzd2exprza2za2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7279));
		}

	}



/* cast-null-expr*-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_702, obj_t BgL_vz00_703)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_702)))->BgL_exprza2za2) =
				((obj_t) BgL_vz00_703), BUNSPEC);
		}

	}



/* &cast-null-expr*-set! */
	obj_t BGl_z62castzd2nullzd2exprza2zd2setz12z00zzast_nodez00(obj_t
		BgL_envz00_7280, obj_t BgL_oz00_7281, obj_t BgL_vz00_7282)
	{
		{	/* Ast/nodetype.sch 1211 */
			return
				BGl_castzd2nullzd2exprza2zd2setz12z62zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7281), BgL_vz00_7282);
		}

	}



/* cast-null-key */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_704)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_704)))->BgL_keyz00);
		}

	}



/* &cast-null-key */
	obj_t BGl_z62castzd2nullzd2keyz62zzast_nodez00(obj_t BgL_envz00_7283,
		obj_t BgL_oz00_7284)
	{
		{	/* Ast/nodetype.sch 1212 */
			return
				BGl_castzd2nullzd2keyz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7284));
		}

	}



/* cast-null-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_705, obj_t BgL_vz00_706)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_705)))->BgL_keyz00) =
				((obj_t) BgL_vz00_706), BUNSPEC);
		}

	}



/* &cast-null-key-set! */
	obj_t BGl_z62castzd2nullzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7285,
		obj_t BgL_oz00_7286, obj_t BgL_vz00_7287)
	{
		{	/* Ast/nodetype.sch 1213 */
			return
				BGl_castzd2nullzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7286), BgL_vz00_7287);
		}

	}



/* cast-null-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_707)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_707)))->BgL_sidezd2effectzd2);
		}

	}



/* &cast-null-side-effect */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzb0zzast_nodez00(obj_t
		BgL_envz00_7288, obj_t BgL_oz00_7289)
	{
		{	/* Ast/nodetype.sch 1214 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7289));
		}

	}



/* cast-null-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_castzd2nullzd2_bglt BgL_oz00_708, obj_t BgL_vz00_709)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_708)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_709), BUNSPEC);
		}

	}



/* &cast-null-side-effect-set! */
	obj_t BGl_z62castzd2nullzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7290, obj_t BgL_oz00_7291, obj_t BgL_vz00_7292)
	{
		{	/* Ast/nodetype.sch 1215 */
			return
				BGl_castzd2nullzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7291), BgL_vz00_7292);
		}

	}



/* cast-null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2nullzd2typez00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_710)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_710)))->BgL_typez00);
		}

	}



/* &cast-null-type */
	BgL_typez00_bglt BGl_z62castzd2nullzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7293, obj_t BgL_oz00_7294)
	{
		{	/* Ast/nodetype.sch 1216 */
			return
				BGl_castzd2nullzd2typez00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7294));
		}

	}



/* cast-null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(BgL_castzd2nullzd2_bglt
		BgL_oz00_711, BgL_typez00_bglt BgL_vz00_712)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_711)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_712), BUNSPEC);
		}

	}



/* &cast-null-type-set! */
	obj_t BGl_z62castzd2nullzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7295, obj_t BgL_oz00_7296, obj_t BgL_vz00_7297)
	{
		{	/* Ast/nodetype.sch 1217 */
			return
				BGl_castzd2nullzd2typezd2setz12zc0zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7296),
				((BgL_typez00_bglt) BgL_vz00_7297));
		}

	}



/* cast-null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2nullzd2locz00zzast_nodez00(BgL_castzd2nullzd2_bglt BgL_oz00_713)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_713)))->BgL_locz00);
		}

	}



/* &cast-null-loc */
	obj_t BGl_z62castzd2nullzd2locz62zzast_nodez00(obj_t BgL_envz00_7298,
		obj_t BgL_oz00_7299)
	{
		{	/* Ast/nodetype.sch 1218 */
			return
				BGl_castzd2nullzd2locz00zzast_nodez00(
				((BgL_castzd2nullzd2_bglt) BgL_oz00_7299));
		}

	}



/* make-cast */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t
		BgL_loc1528z00_716, BgL_typez00_bglt BgL_type1529z00_717,
		BgL_nodez00_bglt BgL_arg1533z00_718)
	{
		{	/* Ast/nodetype.sch 1222 */
			{	/* Ast/nodetype.sch 1222 */
				BgL_castz00_bglt BgL_new1501z00_9543;

				{	/* Ast/nodetype.sch 1222 */
					BgL_castz00_bglt BgL_new1500z00_9544;

					BgL_new1500z00_9544 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/nodetype.sch 1222 */
						long BgL_arg1848z00_9545;

						BgL_arg1848z00_9545 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1500z00_9544), BgL_arg1848z00_9545);
					}
					{	/* Ast/nodetype.sch 1222 */
						BgL_objectz00_bglt BgL_tmpz00_13283;

						BgL_tmpz00_13283 = ((BgL_objectz00_bglt) BgL_new1500z00_9544);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13283, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1500z00_9544);
					BgL_new1501z00_9543 = BgL_new1500z00_9544;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1501z00_9543)))->BgL_locz00) =
					((obj_t) BgL_loc1528z00_716), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1501z00_9543)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1529z00_717), BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1501z00_9543))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_arg1533z00_718), BUNSPEC);
				return BgL_new1501z00_9543;
			}
		}

	}



/* &make-cast */
	BgL_castz00_bglt BGl_z62makezd2castzb0zzast_nodez00(obj_t BgL_envz00_7300,
		obj_t BgL_loc1528z00_7301, obj_t BgL_type1529z00_7302,
		obj_t BgL_arg1533z00_7303)
	{
		{	/* Ast/nodetype.sch 1222 */
			return
				BGl_makezd2castzd2zzast_nodez00(BgL_loc1528z00_7301,
				((BgL_typez00_bglt) BgL_type1529z00_7302),
				((BgL_nodez00_bglt) BgL_arg1533z00_7303));
		}

	}



/* cast? */
	BGL_EXPORTED_DEF bool_t BGl_castzf3zf3zzast_nodez00(obj_t BgL_objz00_719)
	{
		{	/* Ast/nodetype.sch 1223 */
			{	/* Ast/nodetype.sch 1223 */
				obj_t BgL_classz00_9546;

				BgL_classz00_9546 = BGl_castz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_719))
					{	/* Ast/nodetype.sch 1223 */
						BgL_objectz00_bglt BgL_arg1858z00_9547;

						BgL_arg1858z00_9547 = (BgL_objectz00_bglt) (BgL_objz00_719);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1223 */
								long BgL_idxz00_9548;

								BgL_idxz00_9548 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9547);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9548 + 2L)) == BgL_classz00_9546);
							}
						else
							{	/* Ast/nodetype.sch 1223 */
								bool_t BgL_res3080z00_9551;

								{	/* Ast/nodetype.sch 1223 */
									obj_t BgL_oclassz00_9552;

									{	/* Ast/nodetype.sch 1223 */
										obj_t BgL_arg1866z00_9553;
										long BgL_arg1867z00_9554;

										BgL_arg1866z00_9553 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1223 */
											long BgL_arg1869z00_9555;

											BgL_arg1869z00_9555 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9547);
											BgL_arg1867z00_9554 = (BgL_arg1869z00_9555 - OBJECT_TYPE);
										}
										BgL_oclassz00_9552 =
											VECTOR_REF(BgL_arg1866z00_9553, BgL_arg1867z00_9554);
									}
									{	/* Ast/nodetype.sch 1223 */
										bool_t BgL__ortest_1115z00_9556;

										BgL__ortest_1115z00_9556 =
											(BgL_classz00_9546 == BgL_oclassz00_9552);
										if (BgL__ortest_1115z00_9556)
											{	/* Ast/nodetype.sch 1223 */
												BgL_res3080z00_9551 = BgL__ortest_1115z00_9556;
											}
										else
											{	/* Ast/nodetype.sch 1223 */
												long BgL_odepthz00_9557;

												{	/* Ast/nodetype.sch 1223 */
													obj_t BgL_arg1855z00_9558;

													BgL_arg1855z00_9558 = (BgL_oclassz00_9552);
													BgL_odepthz00_9557 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9558);
												}
												if ((2L < BgL_odepthz00_9557))
													{	/* Ast/nodetype.sch 1223 */
														obj_t BgL_arg1853z00_9559;

														{	/* Ast/nodetype.sch 1223 */
															obj_t BgL_arg1854z00_9560;

															BgL_arg1854z00_9560 = (BgL_oclassz00_9552);
															BgL_arg1853z00_9559 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9560,
																2L);
														}
														BgL_res3080z00_9551 =
															(BgL_arg1853z00_9559 == BgL_classz00_9546);
													}
												else
													{	/* Ast/nodetype.sch 1223 */
														BgL_res3080z00_9551 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3080z00_9551;
							}
					}
				else
					{	/* Ast/nodetype.sch 1223 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &cast? */
	obj_t BGl_z62castzf3z91zzast_nodez00(obj_t BgL_envz00_7304,
		obj_t BgL_objz00_7305)
	{
		{	/* Ast/nodetype.sch 1223 */
			return BBOOL(BGl_castzf3zf3zzast_nodez00(BgL_objz00_7305));
		}

	}



/* cast-nil */
	BGL_EXPORTED_DEF BgL_castz00_bglt BGl_castzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1224 */
			{	/* Ast/nodetype.sch 1224 */
				obj_t BgL_classz00_5007;

				BgL_classz00_5007 = BGl_castz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1224 */
					obj_t BgL__ortest_1117z00_5008;

					BgL__ortest_1117z00_5008 = BGL_CLASS_NIL(BgL_classz00_5007);
					if (CBOOL(BgL__ortest_1117z00_5008))
						{	/* Ast/nodetype.sch 1224 */
							return ((BgL_castz00_bglt) BgL__ortest_1117z00_5008);
						}
					else
						{	/* Ast/nodetype.sch 1224 */
							return
								((BgL_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5007));
						}
				}
			}
		}

	}



/* &cast-nil */
	BgL_castz00_bglt BGl_z62castzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7306)
	{
		{	/* Ast/nodetype.sch 1224 */
			return BGl_castzd2nilzd2zzast_nodez00();
		}

	}



/* cast-arg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_castzd2argzd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_720)
	{
		{	/* Ast/nodetype.sch 1225 */
			return (((BgL_castz00_bglt) COBJECT(BgL_oz00_720))->BgL_argz00);
		}

	}



/* &cast-arg */
	BgL_nodez00_bglt BGl_z62castzd2argzb0zzast_nodez00(obj_t BgL_envz00_7307,
		obj_t BgL_oz00_7308)
	{
		{	/* Ast/nodetype.sch 1225 */
			return BGl_castzd2argzd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7308));
		}

	}



/* cast-arg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2argzd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_721,
		BgL_nodez00_bglt BgL_vz00_722)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				((((BgL_castz00_bglt) COBJECT(BgL_oz00_721))->BgL_argz00) =
				((BgL_nodez00_bglt) BgL_vz00_722), BUNSPEC);
		}

	}



/* &cast-arg-set! */
	obj_t BGl_z62castzd2argzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7309,
		obj_t BgL_oz00_7310, obj_t BgL_vz00_7311)
	{
		{	/* Ast/nodetype.sch 1226 */
			return
				BGl_castzd2argzd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7310), ((BgL_nodez00_bglt) BgL_vz00_7311));
		}

	}



/* cast-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_castzd2typezd2zzast_nodez00(BgL_castz00_bglt BgL_oz00_723)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_723)))->BgL_typez00);
		}

	}



/* &cast-type */
	BgL_typez00_bglt BGl_z62castzd2typezb0zzast_nodez00(obj_t BgL_envz00_7312,
		obj_t BgL_oz00_7313)
	{
		{	/* Ast/nodetype.sch 1227 */
			return
				BGl_castzd2typezd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7313));
		}

	}



/* cast-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_castzd2typezd2setz12z12zzast_nodez00(BgL_castz00_bglt BgL_oz00_724,
		BgL_typez00_bglt BgL_vz00_725)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_724)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_725), BUNSPEC);
		}

	}



/* &cast-type-set! */
	obj_t BGl_z62castzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7314,
		obj_t BgL_oz00_7315, obj_t BgL_vz00_7316)
	{
		{	/* Ast/nodetype.sch 1228 */
			return
				BGl_castzd2typezd2setz12z12zzast_nodez00(
				((BgL_castz00_bglt) BgL_oz00_7315), ((BgL_typez00_bglt) BgL_vz00_7316));
		}

	}



/* cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_castzd2loczd2zzast_nodez00(BgL_castz00_bglt
		BgL_oz00_726)
	{
		{	/* Ast/nodetype.sch 1229 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_726)))->BgL_locz00);
		}

	}



/* &cast-loc */
	obj_t BGl_z62castzd2loczb0zzast_nodez00(obj_t BgL_envz00_7317,
		obj_t BgL_oz00_7318)
	{
		{	/* Ast/nodetype.sch 1229 */
			return BGl_castzd2loczd2zzast_nodez00(((BgL_castz00_bglt) BgL_oz00_7318));
		}

	}



/* make-setq */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t
		BgL_loc1522z00_729, BgL_typez00_bglt BgL_type1523z00_730,
		BgL_varz00_bglt BgL_var1524z00_731, BgL_nodez00_bglt BgL_value1525z00_732)
	{
		{	/* Ast/nodetype.sch 1233 */
			{	/* Ast/nodetype.sch 1233 */
				BgL_setqz00_bglt BgL_new1503z00_9561;

				{	/* Ast/nodetype.sch 1233 */
					BgL_setqz00_bglt BgL_new1502z00_9562;

					BgL_new1502z00_9562 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/nodetype.sch 1233 */
						long BgL_arg1851z00_9563;

						BgL_arg1851z00_9563 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1502z00_9562), BgL_arg1851z00_9563);
					}
					{	/* Ast/nodetype.sch 1233 */
						BgL_objectz00_bglt BgL_tmpz00_13350;

						BgL_tmpz00_13350 = ((BgL_objectz00_bglt) BgL_new1502z00_9562);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13350, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1502z00_9562);
					BgL_new1503z00_9561 = BgL_new1502z00_9562;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1503z00_9561)))->BgL_locz00) =
					((obj_t) BgL_loc1522z00_729), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1503z00_9561)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1523z00_730), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1503z00_9561))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1524z00_731), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1503z00_9561))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1525z00_732), BUNSPEC);
				return BgL_new1503z00_9561;
			}
		}

	}



/* &make-setq */
	BgL_setqz00_bglt BGl_z62makezd2setqzb0zzast_nodez00(obj_t BgL_envz00_7319,
		obj_t BgL_loc1522z00_7320, obj_t BgL_type1523z00_7321,
		obj_t BgL_var1524z00_7322, obj_t BgL_value1525z00_7323)
	{
		{	/* Ast/nodetype.sch 1233 */
			return
				BGl_makezd2setqzd2zzast_nodez00(BgL_loc1522z00_7320,
				((BgL_typez00_bglt) BgL_type1523z00_7321),
				((BgL_varz00_bglt) BgL_var1524z00_7322),
				((BgL_nodez00_bglt) BgL_value1525z00_7323));
		}

	}



/* setq? */
	BGL_EXPORTED_DEF bool_t BGl_setqzf3zf3zzast_nodez00(obj_t BgL_objz00_733)
	{
		{	/* Ast/nodetype.sch 1234 */
			{	/* Ast/nodetype.sch 1234 */
				obj_t BgL_classz00_9564;

				BgL_classz00_9564 = BGl_setqz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_733))
					{	/* Ast/nodetype.sch 1234 */
						BgL_objectz00_bglt BgL_arg1858z00_9565;

						BgL_arg1858z00_9565 = (BgL_objectz00_bglt) (BgL_objz00_733);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1234 */
								long BgL_idxz00_9566;

								BgL_idxz00_9566 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9565);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9566 + 2L)) == BgL_classz00_9564);
							}
						else
							{	/* Ast/nodetype.sch 1234 */
								bool_t BgL_res3081z00_9569;

								{	/* Ast/nodetype.sch 1234 */
									obj_t BgL_oclassz00_9570;

									{	/* Ast/nodetype.sch 1234 */
										obj_t BgL_arg1866z00_9571;
										long BgL_arg1867z00_9572;

										BgL_arg1866z00_9571 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1234 */
											long BgL_arg1869z00_9573;

											BgL_arg1869z00_9573 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9565);
											BgL_arg1867z00_9572 = (BgL_arg1869z00_9573 - OBJECT_TYPE);
										}
										BgL_oclassz00_9570 =
											VECTOR_REF(BgL_arg1866z00_9571, BgL_arg1867z00_9572);
									}
									{	/* Ast/nodetype.sch 1234 */
										bool_t BgL__ortest_1115z00_9574;

										BgL__ortest_1115z00_9574 =
											(BgL_classz00_9564 == BgL_oclassz00_9570);
										if (BgL__ortest_1115z00_9574)
											{	/* Ast/nodetype.sch 1234 */
												BgL_res3081z00_9569 = BgL__ortest_1115z00_9574;
											}
										else
											{	/* Ast/nodetype.sch 1234 */
												long BgL_odepthz00_9575;

												{	/* Ast/nodetype.sch 1234 */
													obj_t BgL_arg1855z00_9576;

													BgL_arg1855z00_9576 = (BgL_oclassz00_9570);
													BgL_odepthz00_9575 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9576);
												}
												if ((2L < BgL_odepthz00_9575))
													{	/* Ast/nodetype.sch 1234 */
														obj_t BgL_arg1853z00_9577;

														{	/* Ast/nodetype.sch 1234 */
															obj_t BgL_arg1854z00_9578;

															BgL_arg1854z00_9578 = (BgL_oclassz00_9570);
															BgL_arg1853z00_9577 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9578,
																2L);
														}
														BgL_res3081z00_9569 =
															(BgL_arg1853z00_9577 == BgL_classz00_9564);
													}
												else
													{	/* Ast/nodetype.sch 1234 */
														BgL_res3081z00_9569 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3081z00_9569;
							}
					}
				else
					{	/* Ast/nodetype.sch 1234 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &setq? */
	obj_t BGl_z62setqzf3z91zzast_nodez00(obj_t BgL_envz00_7324,
		obj_t BgL_objz00_7325)
	{
		{	/* Ast/nodetype.sch 1234 */
			return BBOOL(BGl_setqzf3zf3zzast_nodez00(BgL_objz00_7325));
		}

	}



/* setq-nil */
	BGL_EXPORTED_DEF BgL_setqz00_bglt BGl_setqzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1235 */
			{	/* Ast/nodetype.sch 1235 */
				obj_t BgL_classz00_5050;

				BgL_classz00_5050 = BGl_setqz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1235 */
					obj_t BgL__ortest_1117z00_5051;

					BgL__ortest_1117z00_5051 = BGL_CLASS_NIL(BgL_classz00_5050);
					if (CBOOL(BgL__ortest_1117z00_5051))
						{	/* Ast/nodetype.sch 1235 */
							return ((BgL_setqz00_bglt) BgL__ortest_1117z00_5051);
						}
					else
						{	/* Ast/nodetype.sch 1235 */
							return
								((BgL_setqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5050));
						}
				}
			}
		}

	}



/* &setq-nil */
	BgL_setqz00_bglt BGl_z62setqzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7326)
	{
		{	/* Ast/nodetype.sch 1235 */
			return BGl_setqzd2nilzd2zzast_nodez00();
		}

	}



/* setq-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setqzd2valuezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_734)
	{
		{	/* Ast/nodetype.sch 1236 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_734))->BgL_valuez00);
		}

	}



/* &setq-value */
	BgL_nodez00_bglt BGl_z62setqzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7327,
		obj_t BgL_oz00_7328)
	{
		{	/* Ast/nodetype.sch 1236 */
			return
				BGl_setqzd2valuezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7328));
		}

	}



/* setq-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2valuezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_735,
		BgL_nodez00_bglt BgL_vz00_736)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_735))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_736), BUNSPEC);
		}

	}



/* &setq-value-set! */
	obj_t BGl_z62setqzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7329,
		obj_t BgL_oz00_7330, obj_t BgL_vz00_7331)
	{
		{	/* Ast/nodetype.sch 1237 */
			return
				BGl_setqzd2valuezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7330), ((BgL_nodez00_bglt) BgL_vz00_7331));
		}

	}



/* setq-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setqzd2varzd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_737)
	{
		{	/* Ast/nodetype.sch 1238 */
			return (((BgL_setqz00_bglt) COBJECT(BgL_oz00_737))->BgL_varz00);
		}

	}



/* &setq-var */
	BgL_varz00_bglt BGl_z62setqzd2varzb0zzast_nodez00(obj_t BgL_envz00_7332,
		obj_t BgL_oz00_7333)
	{
		{	/* Ast/nodetype.sch 1238 */
			return BGl_setqzd2varzd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7333));
		}

	}



/* setq-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2varzd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_738,
		BgL_varz00_bglt BgL_vz00_739)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				((((BgL_setqz00_bglt) COBJECT(BgL_oz00_738))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_739), BUNSPEC);
		}

	}



/* &setq-var-set! */
	obj_t BGl_z62setqzd2varzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7334,
		obj_t BgL_oz00_7335, obj_t BgL_vz00_7336)
	{
		{	/* Ast/nodetype.sch 1239 */
			return
				BGl_setqzd2varzd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7335), ((BgL_varz00_bglt) BgL_vz00_7336));
		}

	}



/* setq-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setqzd2typezd2zzast_nodez00(BgL_setqz00_bglt BgL_oz00_740)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_740)))->BgL_typez00);
		}

	}



/* &setq-type */
	BgL_typez00_bglt BGl_z62setqzd2typezb0zzast_nodez00(obj_t BgL_envz00_7337,
		obj_t BgL_oz00_7338)
	{
		{	/* Ast/nodetype.sch 1240 */
			return
				BGl_setqzd2typezd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7338));
		}

	}



/* setq-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setqzd2typezd2setz12z12zzast_nodez00(BgL_setqz00_bglt BgL_oz00_741,
		BgL_typez00_bglt BgL_vz00_742)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_741)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_742), BUNSPEC);
		}

	}



/* &setq-type-set! */
	obj_t BGl_z62setqzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7339,
		obj_t BgL_oz00_7340, obj_t BgL_vz00_7341)
	{
		{	/* Ast/nodetype.sch 1241 */
			return
				BGl_setqzd2typezd2setz12z12zzast_nodez00(
				((BgL_setqz00_bglt) BgL_oz00_7340), ((BgL_typez00_bglt) BgL_vz00_7341));
		}

	}



/* setq-loc */
	BGL_EXPORTED_DEF obj_t BGl_setqzd2loczd2zzast_nodez00(BgL_setqz00_bglt
		BgL_oz00_743)
	{
		{	/* Ast/nodetype.sch 1242 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_743)))->BgL_locz00);
		}

	}



/* &setq-loc */
	obj_t BGl_z62setqzd2loczb0zzast_nodez00(obj_t BgL_envz00_7342,
		obj_t BgL_oz00_7343)
	{
		{	/* Ast/nodetype.sch 1242 */
			return BGl_setqzd2loczd2zzast_nodez00(((BgL_setqz00_bglt) BgL_oz00_7343));
		}

	}



/* make-conditional */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_makezd2conditionalzd2zzast_nodez00(obj_t BgL_loc1514z00_746,
		BgL_typez00_bglt BgL_type1515z00_747, obj_t BgL_sidezd2effect1516zd2_748,
		obj_t BgL_key1517z00_749, BgL_nodez00_bglt BgL_test1518z00_750,
		BgL_nodez00_bglt BgL_true1519z00_751, BgL_nodez00_bglt BgL_false1520z00_752)
	{
		{	/* Ast/nodetype.sch 1246 */
			{	/* Ast/nodetype.sch 1246 */
				BgL_conditionalz00_bglt BgL_new1505z00_9579;

				{	/* Ast/nodetype.sch 1246 */
					BgL_conditionalz00_bglt BgL_new1504z00_9580;

					BgL_new1504z00_9580 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/nodetype.sch 1246 */
						long BgL_arg1852z00_9581;

						BgL_arg1852z00_9581 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1504z00_9580), BgL_arg1852z00_9581);
					}
					{	/* Ast/nodetype.sch 1246 */
						BgL_objectz00_bglt BgL_tmpz00_13426;

						BgL_tmpz00_13426 = ((BgL_objectz00_bglt) BgL_new1504z00_9580);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13426, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1504z00_9580);
					BgL_new1505z00_9579 = BgL_new1504z00_9580;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1505z00_9579)))->BgL_locz00) =
					((obj_t) BgL_loc1514z00_746), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1505z00_9579)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1515z00_747), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1505z00_9579)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1516zd2_748), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1505z00_9579)))->BgL_keyz00) =
					((obj_t) BgL_key1517z00_749), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1505z00_9579))->
						BgL_testz00) = ((BgL_nodez00_bglt) BgL_test1518z00_750), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1505z00_9579))->
						BgL_truez00) = ((BgL_nodez00_bglt) BgL_true1519z00_751), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1505z00_9579))->
						BgL_falsez00) = ((BgL_nodez00_bglt) BgL_false1520z00_752), BUNSPEC);
				return BgL_new1505z00_9579;
			}
		}

	}



/* &make-conditional */
	BgL_conditionalz00_bglt BGl_z62makezd2conditionalzb0zzast_nodez00(obj_t
		BgL_envz00_7344, obj_t BgL_loc1514z00_7345, obj_t BgL_type1515z00_7346,
		obj_t BgL_sidezd2effect1516zd2_7347, obj_t BgL_key1517z00_7348,
		obj_t BgL_test1518z00_7349, obj_t BgL_true1519z00_7350,
		obj_t BgL_false1520z00_7351)
	{
		{	/* Ast/nodetype.sch 1246 */
			return
				BGl_makezd2conditionalzd2zzast_nodez00(BgL_loc1514z00_7345,
				((BgL_typez00_bglt) BgL_type1515z00_7346),
				BgL_sidezd2effect1516zd2_7347, BgL_key1517z00_7348,
				((BgL_nodez00_bglt) BgL_test1518z00_7349),
				((BgL_nodez00_bglt) BgL_true1519z00_7350),
				((BgL_nodez00_bglt) BgL_false1520z00_7351));
		}

	}



/* conditional? */
	BGL_EXPORTED_DEF bool_t BGl_conditionalzf3zf3zzast_nodez00(obj_t
		BgL_objz00_753)
	{
		{	/* Ast/nodetype.sch 1247 */
			{	/* Ast/nodetype.sch 1247 */
				obj_t BgL_classz00_9582;

				BgL_classz00_9582 = BGl_conditionalz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_753))
					{	/* Ast/nodetype.sch 1247 */
						BgL_objectz00_bglt BgL_arg1858z00_9583;

						BgL_arg1858z00_9583 = (BgL_objectz00_bglt) (BgL_objz00_753);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1247 */
								long BgL_idxz00_9584;

								BgL_idxz00_9584 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9583);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9584 + 3L)) == BgL_classz00_9582);
							}
						else
							{	/* Ast/nodetype.sch 1247 */
								bool_t BgL_res3082z00_9587;

								{	/* Ast/nodetype.sch 1247 */
									obj_t BgL_oclassz00_9588;

									{	/* Ast/nodetype.sch 1247 */
										obj_t BgL_arg1866z00_9589;
										long BgL_arg1867z00_9590;

										BgL_arg1866z00_9589 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1247 */
											long BgL_arg1869z00_9591;

											BgL_arg1869z00_9591 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9583);
											BgL_arg1867z00_9590 = (BgL_arg1869z00_9591 - OBJECT_TYPE);
										}
										BgL_oclassz00_9588 =
											VECTOR_REF(BgL_arg1866z00_9589, BgL_arg1867z00_9590);
									}
									{	/* Ast/nodetype.sch 1247 */
										bool_t BgL__ortest_1115z00_9592;

										BgL__ortest_1115z00_9592 =
											(BgL_classz00_9582 == BgL_oclassz00_9588);
										if (BgL__ortest_1115z00_9592)
											{	/* Ast/nodetype.sch 1247 */
												BgL_res3082z00_9587 = BgL__ortest_1115z00_9592;
											}
										else
											{	/* Ast/nodetype.sch 1247 */
												long BgL_odepthz00_9593;

												{	/* Ast/nodetype.sch 1247 */
													obj_t BgL_arg1855z00_9594;

													BgL_arg1855z00_9594 = (BgL_oclassz00_9588);
													BgL_odepthz00_9593 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9594);
												}
												if ((3L < BgL_odepthz00_9593))
													{	/* Ast/nodetype.sch 1247 */
														obj_t BgL_arg1853z00_9595;

														{	/* Ast/nodetype.sch 1247 */
															obj_t BgL_arg1854z00_9596;

															BgL_arg1854z00_9596 = (BgL_oclassz00_9588);
															BgL_arg1853z00_9595 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9596,
																3L);
														}
														BgL_res3082z00_9587 =
															(BgL_arg1853z00_9595 == BgL_classz00_9582);
													}
												else
													{	/* Ast/nodetype.sch 1247 */
														BgL_res3082z00_9587 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3082z00_9587;
							}
					}
				else
					{	/* Ast/nodetype.sch 1247 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &conditional? */
	obj_t BGl_z62conditionalzf3z91zzast_nodez00(obj_t BgL_envz00_7352,
		obj_t BgL_objz00_7353)
	{
		{	/* Ast/nodetype.sch 1247 */
			return BBOOL(BGl_conditionalzf3zf3zzast_nodez00(BgL_objz00_7353));
		}

	}



/* conditional-nil */
	BGL_EXPORTED_DEF BgL_conditionalz00_bglt
		BGl_conditionalzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1248 */
			{	/* Ast/nodetype.sch 1248 */
				obj_t BgL_classz00_5093;

				BgL_classz00_5093 = BGl_conditionalz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1248 */
					obj_t BgL__ortest_1117z00_5094;

					BgL__ortest_1117z00_5094 = BGL_CLASS_NIL(BgL_classz00_5093);
					if (CBOOL(BgL__ortest_1117z00_5094))
						{	/* Ast/nodetype.sch 1248 */
							return ((BgL_conditionalz00_bglt) BgL__ortest_1117z00_5094);
						}
					else
						{	/* Ast/nodetype.sch 1248 */
							return
								((BgL_conditionalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5093));
						}
				}
			}
		}

	}



/* &conditional-nil */
	BgL_conditionalz00_bglt BGl_z62conditionalzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7354)
	{
		{	/* Ast/nodetype.sch 1248 */
			return BGl_conditionalzd2nilzd2zzast_nodez00();
		}

	}



/* conditional-false */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2falsezd2zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_754)
	{
		{	/* Ast/nodetype.sch 1249 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_754))->BgL_falsez00);
		}

	}



/* &conditional-false */
	BgL_nodez00_bglt BGl_z62conditionalzd2falsezb0zzast_nodez00(obj_t
		BgL_envz00_7355, obj_t BgL_oz00_7356)
	{
		{	/* Ast/nodetype.sch 1249 */
			return
				BGl_conditionalzd2falsezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7356));
		}

	}



/* conditional-false-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_755, BgL_nodez00_bglt BgL_vz00_756)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_755))->BgL_falsez00) =
				((BgL_nodez00_bglt) BgL_vz00_756), BUNSPEC);
		}

	}



/* &conditional-false-set! */
	obj_t BGl_z62conditionalzd2falsezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7357, obj_t BgL_oz00_7358, obj_t BgL_vz00_7359)
	{
		{	/* Ast/nodetype.sch 1250 */
			return
				BGl_conditionalzd2falsezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7358),
				((BgL_nodez00_bglt) BgL_vz00_7359));
		}

	}



/* conditional-true */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2truezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_757)
	{
		{	/* Ast/nodetype.sch 1251 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_757))->BgL_truez00);
		}

	}



/* &conditional-true */
	BgL_nodez00_bglt BGl_z62conditionalzd2truezb0zzast_nodez00(obj_t
		BgL_envz00_7360, obj_t BgL_oz00_7361)
	{
		{	/* Ast/nodetype.sch 1251 */
			return
				BGl_conditionalzd2truezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7361));
		}

	}



/* conditional-true-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2truezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_758, BgL_nodez00_bglt BgL_vz00_759)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_758))->BgL_truez00) =
				((BgL_nodez00_bglt) BgL_vz00_759), BUNSPEC);
		}

	}



/* &conditional-true-set! */
	obj_t BGl_z62conditionalzd2truezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7362, obj_t BgL_oz00_7363, obj_t BgL_vz00_7364)
	{
		{	/* Ast/nodetype.sch 1252 */
			return
				BGl_conditionalzd2truezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7363),
				((BgL_nodez00_bglt) BgL_vz00_7364));
		}

	}



/* conditional-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_conditionalzd2testzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_760)
	{
		{	/* Ast/nodetype.sch 1253 */
			return (((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_760))->BgL_testz00);
		}

	}



/* &conditional-test */
	BgL_nodez00_bglt BGl_z62conditionalzd2testzb0zzast_nodez00(obj_t
		BgL_envz00_7365, obj_t BgL_oz00_7366)
	{
		{	/* Ast/nodetype.sch 1253 */
			return
				BGl_conditionalzd2testzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7366));
		}

	}



/* conditional-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2testzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_761, BgL_nodez00_bglt BgL_vz00_762)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(BgL_oz00_761))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_762), BUNSPEC);
		}

	}



/* &conditional-test-set! */
	obj_t BGl_z62conditionalzd2testzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7367, obj_t BgL_oz00_7368, obj_t BgL_vz00_7369)
	{
		{	/* Ast/nodetype.sch 1254 */
			return
				BGl_conditionalzd2testzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7368),
				((BgL_nodez00_bglt) BgL_vz00_7369));
		}

	}



/* conditional-key */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_763)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_763)))->BgL_keyz00);
		}

	}



/* &conditional-key */
	obj_t BGl_z62conditionalzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7370,
		obj_t BgL_oz00_7371)
	{
		{	/* Ast/nodetype.sch 1255 */
			return
				BGl_conditionalzd2keyzd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7371));
		}

	}



/* conditional-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_764, obj_t BgL_vz00_765)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_764)))->BgL_keyz00) =
				((obj_t) BgL_vz00_765), BUNSPEC);
		}

	}



/* &conditional-key-set! */
	obj_t BGl_z62conditionalzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7372,
		obj_t BgL_oz00_7373, obj_t BgL_vz00_7374)
	{
		{	/* Ast/nodetype.sch 1256 */
			return
				BGl_conditionalzd2keyzd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7373), BgL_vz00_7374);
		}

	}



/* conditional-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectz00zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_766)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_766)))->BgL_sidezd2effectzd2);
		}

	}



/* &conditional-side-effect */
	obj_t BGl_z62conditionalzd2sidezd2effectz62zzast_nodez00(obj_t
		BgL_envz00_7375, obj_t BgL_oz00_7376)
	{
		{	/* Ast/nodetype.sch 1257 */
			return
				BGl_conditionalzd2sidezd2effectz00zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7376));
		}

	}



/* conditional-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00
		(BgL_conditionalz00_bglt BgL_oz00_767, obj_t BgL_vz00_768)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_767)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_768), BUNSPEC);
		}

	}



/* &conditional-side-effect-set! */
	obj_t BGl_z62conditionalzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7377, obj_t BgL_oz00_7378, obj_t BgL_vz00_7379)
	{
		{	/* Ast/nodetype.sch 1258 */
			return
				BGl_conditionalzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7378), BgL_vz00_7379);
		}

	}



/* conditional-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_conditionalzd2typezd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_769)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_769)))->BgL_typez00);
		}

	}



/* &conditional-type */
	BgL_typez00_bglt BGl_z62conditionalzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7380, obj_t BgL_oz00_7381)
	{
		{	/* Ast/nodetype.sch 1259 */
			return
				BGl_conditionalzd2typezd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7381));
		}

	}



/* conditional-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2typezd2setz12z12zzast_nodez00(BgL_conditionalz00_bglt
		BgL_oz00_770, BgL_typez00_bglt BgL_vz00_771)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_770)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_771), BUNSPEC);
		}

	}



/* &conditional-type-set! */
	obj_t BGl_z62conditionalzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7382, obj_t BgL_oz00_7383, obj_t BgL_vz00_7384)
	{
		{	/* Ast/nodetype.sch 1260 */
			return
				BGl_conditionalzd2typezd2setz12z12zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7383),
				((BgL_typez00_bglt) BgL_vz00_7384));
		}

	}



/* conditional-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_conditionalzd2loczd2zzast_nodez00(BgL_conditionalz00_bglt BgL_oz00_772)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_772)))->BgL_locz00);
		}

	}



/* &conditional-loc */
	obj_t BGl_z62conditionalzd2loczb0zzast_nodez00(obj_t BgL_envz00_7385,
		obj_t BgL_oz00_7386)
	{
		{	/* Ast/nodetype.sch 1261 */
			return
				BGl_conditionalzd2loczd2zzast_nodez00(
				((BgL_conditionalz00_bglt) BgL_oz00_7386));
		}

	}



/* make-fail */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_makezd2failzd2zzast_nodez00(obj_t
		BgL_loc1508z00_775, BgL_typez00_bglt BgL_type1509z00_776,
		BgL_nodez00_bglt BgL_proc1510z00_777, BgL_nodez00_bglt BgL_msg1511z00_778,
		BgL_nodez00_bglt BgL_obj1512z00_779)
	{
		{	/* Ast/nodetype.sch 1265 */
			{	/* Ast/nodetype.sch 1265 */
				BgL_failz00_bglt BgL_new1507z00_9597;

				{	/* Ast/nodetype.sch 1265 */
					BgL_failz00_bglt BgL_new1506z00_9598;

					BgL_new1506z00_9598 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/nodetype.sch 1265 */
						long BgL_arg1856z00_9599;

						BgL_arg1856z00_9599 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1506z00_9598), BgL_arg1856z00_9599);
					}
					{	/* Ast/nodetype.sch 1265 */
						BgL_objectz00_bglt BgL_tmpz00_13531;

						BgL_tmpz00_13531 = ((BgL_objectz00_bglt) BgL_new1506z00_9598);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13531, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1506z00_9598);
					BgL_new1507z00_9597 = BgL_new1506z00_9598;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1507z00_9597)))->BgL_locz00) =
					((obj_t) BgL_loc1508z00_775), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1507z00_9597)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1509z00_776), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1507z00_9597))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_proc1510z00_777), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1507z00_9597))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_msg1511z00_778), BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1507z00_9597))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_obj1512z00_779), BUNSPEC);
				return BgL_new1507z00_9597;
			}
		}

	}



/* &make-fail */
	BgL_failz00_bglt BGl_z62makezd2failzb0zzast_nodez00(obj_t BgL_envz00_7387,
		obj_t BgL_loc1508z00_7388, obj_t BgL_type1509z00_7389,
		obj_t BgL_proc1510z00_7390, obj_t BgL_msg1511z00_7391,
		obj_t BgL_obj1512z00_7392)
	{
		{	/* Ast/nodetype.sch 1265 */
			return
				BGl_makezd2failzd2zzast_nodez00(BgL_loc1508z00_7388,
				((BgL_typez00_bglt) BgL_type1509z00_7389),
				((BgL_nodez00_bglt) BgL_proc1510z00_7390),
				((BgL_nodez00_bglt) BgL_msg1511z00_7391),
				((BgL_nodez00_bglt) BgL_obj1512z00_7392));
		}

	}



/* fail? */
	BGL_EXPORTED_DEF bool_t BGl_failzf3zf3zzast_nodez00(obj_t BgL_objz00_780)
	{
		{	/* Ast/nodetype.sch 1266 */
			{	/* Ast/nodetype.sch 1266 */
				obj_t BgL_classz00_9600;

				BgL_classz00_9600 = BGl_failz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_780))
					{	/* Ast/nodetype.sch 1266 */
						BgL_objectz00_bglt BgL_arg1858z00_9601;

						BgL_arg1858z00_9601 = (BgL_objectz00_bglt) (BgL_objz00_780);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1266 */
								long BgL_idxz00_9602;

								BgL_idxz00_9602 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9601);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9602 + 2L)) == BgL_classz00_9600);
							}
						else
							{	/* Ast/nodetype.sch 1266 */
								bool_t BgL_res3083z00_9605;

								{	/* Ast/nodetype.sch 1266 */
									obj_t BgL_oclassz00_9606;

									{	/* Ast/nodetype.sch 1266 */
										obj_t BgL_arg1866z00_9607;
										long BgL_arg1867z00_9608;

										BgL_arg1866z00_9607 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1266 */
											long BgL_arg1869z00_9609;

											BgL_arg1869z00_9609 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9601);
											BgL_arg1867z00_9608 = (BgL_arg1869z00_9609 - OBJECT_TYPE);
										}
										BgL_oclassz00_9606 =
											VECTOR_REF(BgL_arg1866z00_9607, BgL_arg1867z00_9608);
									}
									{	/* Ast/nodetype.sch 1266 */
										bool_t BgL__ortest_1115z00_9610;

										BgL__ortest_1115z00_9610 =
											(BgL_classz00_9600 == BgL_oclassz00_9606);
										if (BgL__ortest_1115z00_9610)
											{	/* Ast/nodetype.sch 1266 */
												BgL_res3083z00_9605 = BgL__ortest_1115z00_9610;
											}
										else
											{	/* Ast/nodetype.sch 1266 */
												long BgL_odepthz00_9611;

												{	/* Ast/nodetype.sch 1266 */
													obj_t BgL_arg1855z00_9612;

													BgL_arg1855z00_9612 = (BgL_oclassz00_9606);
													BgL_odepthz00_9611 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9612);
												}
												if ((2L < BgL_odepthz00_9611))
													{	/* Ast/nodetype.sch 1266 */
														obj_t BgL_arg1853z00_9613;

														{	/* Ast/nodetype.sch 1266 */
															obj_t BgL_arg1854z00_9614;

															BgL_arg1854z00_9614 = (BgL_oclassz00_9606);
															BgL_arg1853z00_9613 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9614,
																2L);
														}
														BgL_res3083z00_9605 =
															(BgL_arg1853z00_9613 == BgL_classz00_9600);
													}
												else
													{	/* Ast/nodetype.sch 1266 */
														BgL_res3083z00_9605 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3083z00_9605;
							}
					}
				else
					{	/* Ast/nodetype.sch 1266 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &fail? */
	obj_t BGl_z62failzf3z91zzast_nodez00(obj_t BgL_envz00_7393,
		obj_t BgL_objz00_7394)
	{
		{	/* Ast/nodetype.sch 1266 */
			return BBOOL(BGl_failzf3zf3zzast_nodez00(BgL_objz00_7394));
		}

	}



/* fail-nil */
	BGL_EXPORTED_DEF BgL_failz00_bglt BGl_failzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1267 */
			{	/* Ast/nodetype.sch 1267 */
				obj_t BgL_classz00_5136;

				BgL_classz00_5136 = BGl_failz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1267 */
					obj_t BgL__ortest_1117z00_5137;

					BgL__ortest_1117z00_5137 = BGL_CLASS_NIL(BgL_classz00_5136);
					if (CBOOL(BgL__ortest_1117z00_5137))
						{	/* Ast/nodetype.sch 1267 */
							return ((BgL_failz00_bglt) BgL__ortest_1117z00_5137);
						}
					else
						{	/* Ast/nodetype.sch 1267 */
							return
								((BgL_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5136));
						}
				}
			}
		}

	}



/* &fail-nil */
	BgL_failz00_bglt BGl_z62failzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7395)
	{
		{	/* Ast/nodetype.sch 1267 */
			return BGl_failzd2nilzd2zzast_nodez00();
		}

	}



/* fail-obj */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2objzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_781)
	{
		{	/* Ast/nodetype.sch 1268 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_781))->BgL_objz00);
		}

	}



/* &fail-obj */
	BgL_nodez00_bglt BGl_z62failzd2objzb0zzast_nodez00(obj_t BgL_envz00_7396,
		obj_t BgL_oz00_7397)
	{
		{	/* Ast/nodetype.sch 1268 */
			return BGl_failzd2objzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7397));
		}

	}



/* fail-obj-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2objzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_782,
		BgL_nodez00_bglt BgL_vz00_783)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_782))->BgL_objz00) =
				((BgL_nodez00_bglt) BgL_vz00_783), BUNSPEC);
		}

	}



/* &fail-obj-set! */
	obj_t BGl_z62failzd2objzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7398,
		obj_t BgL_oz00_7399, obj_t BgL_vz00_7400)
	{
		{	/* Ast/nodetype.sch 1269 */
			return
				BGl_failzd2objzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7399), ((BgL_nodez00_bglt) BgL_vz00_7400));
		}

	}



/* fail-msg */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2msgzd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_784)
	{
		{	/* Ast/nodetype.sch 1270 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_784))->BgL_msgz00);
		}

	}



/* &fail-msg */
	BgL_nodez00_bglt BGl_z62failzd2msgzb0zzast_nodez00(obj_t BgL_envz00_7401,
		obj_t BgL_oz00_7402)
	{
		{	/* Ast/nodetype.sch 1270 */
			return BGl_failzd2msgzd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7402));
		}

	}



/* fail-msg-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2msgzd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_785,
		BgL_nodez00_bglt BgL_vz00_786)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_785))->BgL_msgz00) =
				((BgL_nodez00_bglt) BgL_vz00_786), BUNSPEC);
		}

	}



/* &fail-msg-set! */
	obj_t BGl_z62failzd2msgzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7403,
		obj_t BgL_oz00_7404, obj_t BgL_vz00_7405)
	{
		{	/* Ast/nodetype.sch 1271 */
			return
				BGl_failzd2msgzd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7404), ((BgL_nodez00_bglt) BgL_vz00_7405));
		}

	}



/* fail-proc */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_failzd2proczd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_787)
	{
		{	/* Ast/nodetype.sch 1272 */
			return (((BgL_failz00_bglt) COBJECT(BgL_oz00_787))->BgL_procz00);
		}

	}



/* &fail-proc */
	BgL_nodez00_bglt BGl_z62failzd2proczb0zzast_nodez00(obj_t BgL_envz00_7406,
		obj_t BgL_oz00_7407)
	{
		{	/* Ast/nodetype.sch 1272 */
			return
				BGl_failzd2proczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7407));
		}

	}



/* fail-proc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2proczd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_788,
		BgL_nodez00_bglt BgL_vz00_789)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				((((BgL_failz00_bglt) COBJECT(BgL_oz00_788))->BgL_procz00) =
				((BgL_nodez00_bglt) BgL_vz00_789), BUNSPEC);
		}

	}



/* &fail-proc-set! */
	obj_t BGl_z62failzd2proczd2setz12z70zzast_nodez00(obj_t BgL_envz00_7408,
		obj_t BgL_oz00_7409, obj_t BgL_vz00_7410)
	{
		{	/* Ast/nodetype.sch 1273 */
			return
				BGl_failzd2proczd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7409), ((BgL_nodez00_bglt) BgL_vz00_7410));
		}

	}



/* fail-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_failzd2typezd2zzast_nodez00(BgL_failz00_bglt BgL_oz00_790)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_790)))->BgL_typez00);
		}

	}



/* &fail-type */
	BgL_typez00_bglt BGl_z62failzd2typezb0zzast_nodez00(obj_t BgL_envz00_7411,
		obj_t BgL_oz00_7412)
	{
		{	/* Ast/nodetype.sch 1274 */
			return
				BGl_failzd2typezd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7412));
		}

	}



/* fail-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_failzd2typezd2setz12z12zzast_nodez00(BgL_failz00_bglt BgL_oz00_791,
		BgL_typez00_bglt BgL_vz00_792)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_791)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_792), BUNSPEC);
		}

	}



/* &fail-type-set! */
	obj_t BGl_z62failzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7413,
		obj_t BgL_oz00_7414, obj_t BgL_vz00_7415)
	{
		{	/* Ast/nodetype.sch 1275 */
			return
				BGl_failzd2typezd2setz12z12zzast_nodez00(
				((BgL_failz00_bglt) BgL_oz00_7414), ((BgL_typez00_bglt) BgL_vz00_7415));
		}

	}



/* fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_failzd2loczd2zzast_nodez00(BgL_failz00_bglt
		BgL_oz00_793)
	{
		{	/* Ast/nodetype.sch 1276 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_793)))->BgL_locz00);
		}

	}



/* &fail-loc */
	obj_t BGl_z62failzd2loczb0zzast_nodez00(obj_t BgL_envz00_7416,
		obj_t BgL_oz00_7417)
	{
		{	/* Ast/nodetype.sch 1276 */
			return BGl_failzd2loczd2zzast_nodez00(((BgL_failz00_bglt) BgL_oz00_7417));
		}

	}



/* make-switch */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_makezd2switchzd2zzast_nodez00(obj_t
		BgL_loc1500z00_796, BgL_typez00_bglt BgL_type1501z00_797,
		obj_t BgL_sidezd2effect1502zd2_798, obj_t BgL_key1503z00_799,
		BgL_nodez00_bglt BgL_test1504z00_800, obj_t BgL_clauses1505z00_801,
		BgL_typez00_bglt BgL_itemzd2type1506zd2_802)
	{
		{	/* Ast/nodetype.sch 1280 */
			{	/* Ast/nodetype.sch 1280 */
				BgL_switchz00_bglt BgL_new1509z00_9615;

				{	/* Ast/nodetype.sch 1280 */
					BgL_switchz00_bglt BgL_new1508z00_9616;

					BgL_new1508z00_9616 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/nodetype.sch 1280 */
						long BgL_arg1857z00_9617;

						BgL_arg1857z00_9617 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1508z00_9616), BgL_arg1857z00_9617);
					}
					{	/* Ast/nodetype.sch 1280 */
						BgL_objectz00_bglt BgL_tmpz00_13616;

						BgL_tmpz00_13616 = ((BgL_objectz00_bglt) BgL_new1508z00_9616);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13616, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1508z00_9616);
					BgL_new1509z00_9615 = BgL_new1508z00_9616;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1509z00_9615)))->BgL_locz00) =
					((obj_t) BgL_loc1500z00_796), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1509z00_9615)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1501z00_797), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1509z00_9615)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1502zd2_798), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1509z00_9615)))->BgL_keyz00) =
					((obj_t) BgL_key1503z00_799), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1509z00_9615))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_test1504z00_800), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1509z00_9615))->BgL_clausesz00) =
					((obj_t) BgL_clauses1505z00_801), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1509z00_9615))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1506zd2_802), BUNSPEC);
				return BgL_new1509z00_9615;
			}
		}

	}



/* &make-switch */
	BgL_switchz00_bglt BGl_z62makezd2switchzb0zzast_nodez00(obj_t BgL_envz00_7418,
		obj_t BgL_loc1500z00_7419, obj_t BgL_type1501z00_7420,
		obj_t BgL_sidezd2effect1502zd2_7421, obj_t BgL_key1503z00_7422,
		obj_t BgL_test1504z00_7423, obj_t BgL_clauses1505z00_7424,
		obj_t BgL_itemzd2type1506zd2_7425)
	{
		{	/* Ast/nodetype.sch 1280 */
			return
				BGl_makezd2switchzd2zzast_nodez00(BgL_loc1500z00_7419,
				((BgL_typez00_bglt) BgL_type1501z00_7420),
				BgL_sidezd2effect1502zd2_7421, BgL_key1503z00_7422,
				((BgL_nodez00_bglt) BgL_test1504z00_7423), BgL_clauses1505z00_7424,
				((BgL_typez00_bglt) BgL_itemzd2type1506zd2_7425));
		}

	}



/* switch? */
	BGL_EXPORTED_DEF bool_t BGl_switchzf3zf3zzast_nodez00(obj_t BgL_objz00_803)
	{
		{	/* Ast/nodetype.sch 1281 */
			{	/* Ast/nodetype.sch 1281 */
				obj_t BgL_classz00_9618;

				BgL_classz00_9618 = BGl_switchz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_803))
					{	/* Ast/nodetype.sch 1281 */
						BgL_objectz00_bglt BgL_arg1858z00_9619;

						BgL_arg1858z00_9619 = (BgL_objectz00_bglt) (BgL_objz00_803);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1281 */
								long BgL_idxz00_9620;

								BgL_idxz00_9620 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9619);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9620 + 3L)) == BgL_classz00_9618);
							}
						else
							{	/* Ast/nodetype.sch 1281 */
								bool_t BgL_res3084z00_9623;

								{	/* Ast/nodetype.sch 1281 */
									obj_t BgL_oclassz00_9624;

									{	/* Ast/nodetype.sch 1281 */
										obj_t BgL_arg1866z00_9625;
										long BgL_arg1867z00_9626;

										BgL_arg1866z00_9625 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1281 */
											long BgL_arg1869z00_9627;

											BgL_arg1869z00_9627 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9619);
											BgL_arg1867z00_9626 = (BgL_arg1869z00_9627 - OBJECT_TYPE);
										}
										BgL_oclassz00_9624 =
											VECTOR_REF(BgL_arg1866z00_9625, BgL_arg1867z00_9626);
									}
									{	/* Ast/nodetype.sch 1281 */
										bool_t BgL__ortest_1115z00_9628;

										BgL__ortest_1115z00_9628 =
											(BgL_classz00_9618 == BgL_oclassz00_9624);
										if (BgL__ortest_1115z00_9628)
											{	/* Ast/nodetype.sch 1281 */
												BgL_res3084z00_9623 = BgL__ortest_1115z00_9628;
											}
										else
											{	/* Ast/nodetype.sch 1281 */
												long BgL_odepthz00_9629;

												{	/* Ast/nodetype.sch 1281 */
													obj_t BgL_arg1855z00_9630;

													BgL_arg1855z00_9630 = (BgL_oclassz00_9624);
													BgL_odepthz00_9629 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9630);
												}
												if ((3L < BgL_odepthz00_9629))
													{	/* Ast/nodetype.sch 1281 */
														obj_t BgL_arg1853z00_9631;

														{	/* Ast/nodetype.sch 1281 */
															obj_t BgL_arg1854z00_9632;

															BgL_arg1854z00_9632 = (BgL_oclassz00_9624);
															BgL_arg1853z00_9631 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9632,
																3L);
														}
														BgL_res3084z00_9623 =
															(BgL_arg1853z00_9631 == BgL_classz00_9618);
													}
												else
													{	/* Ast/nodetype.sch 1281 */
														BgL_res3084z00_9623 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3084z00_9623;
							}
					}
				else
					{	/* Ast/nodetype.sch 1281 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &switch? */
	obj_t BGl_z62switchzf3z91zzast_nodez00(obj_t BgL_envz00_7426,
		obj_t BgL_objz00_7427)
	{
		{	/* Ast/nodetype.sch 1281 */
			return BBOOL(BGl_switchzf3zf3zzast_nodez00(BgL_objz00_7427));
		}

	}



/* switch-nil */
	BGL_EXPORTED_DEF BgL_switchz00_bglt BGl_switchzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1282 */
			{	/* Ast/nodetype.sch 1282 */
				obj_t BgL_classz00_5179;

				BgL_classz00_5179 = BGl_switchz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1282 */
					obj_t BgL__ortest_1117z00_5180;

					BgL__ortest_1117z00_5180 = BGL_CLASS_NIL(BgL_classz00_5179);
					if (CBOOL(BgL__ortest_1117z00_5180))
						{	/* Ast/nodetype.sch 1282 */
							return ((BgL_switchz00_bglt) BgL__ortest_1117z00_5180);
						}
					else
						{	/* Ast/nodetype.sch 1282 */
							return
								((BgL_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5179));
						}
				}
			}
		}

	}



/* &switch-nil */
	BgL_switchz00_bglt BGl_z62switchzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7428)
	{
		{	/* Ast/nodetype.sch 1282 */
			return BGl_switchzd2nilzd2zzast_nodez00();
		}

	}



/* switch-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2itemzd2typez00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_804)
	{
		{	/* Ast/nodetype.sch 1283 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_804))->BgL_itemzd2typezd2);
		}

	}



/* &switch-item-type */
	BgL_typez00_bglt BGl_z62switchzd2itemzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7429, obj_t BgL_oz00_7430)
	{
		{	/* Ast/nodetype.sch 1283 */
			return
				BGl_switchzd2itemzd2typez00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7430));
		}

	}



/* switch-item-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_805, BgL_typez00_bglt BgL_vz00_806)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_805))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) BgL_vz00_806), BUNSPEC);
		}

	}



/* &switch-item-type-set! */
	obj_t BGl_z62switchzd2itemzd2typezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7431, obj_t BgL_oz00_7432, obj_t BgL_vz00_7433)
	{
		{	/* Ast/nodetype.sch 1284 */
			return
				BGl_switchzd2itemzd2typezd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7432),
				((BgL_typez00_bglt) BgL_vz00_7433));
		}

	}



/* switch-clauses */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2clauseszd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_807)
	{
		{	/* Ast/nodetype.sch 1285 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_807))->BgL_clausesz00);
		}

	}



/* &switch-clauses */
	obj_t BGl_z62switchzd2clauseszb0zzast_nodez00(obj_t BgL_envz00_7434,
		obj_t BgL_oz00_7435)
	{
		{	/* Ast/nodetype.sch 1285 */
			return
				BGl_switchzd2clauseszd2zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7435));
		}

	}



/* switch-test */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_switchzd2testzd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_810)
	{
		{	/* Ast/nodetype.sch 1287 */
			return (((BgL_switchz00_bglt) COBJECT(BgL_oz00_810))->BgL_testz00);
		}

	}



/* &switch-test */
	BgL_nodez00_bglt BGl_z62switchzd2testzb0zzast_nodez00(obj_t BgL_envz00_7436,
		obj_t BgL_oz00_7437)
	{
		{	/* Ast/nodetype.sch 1287 */
			return
				BGl_switchzd2testzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7437));
		}

	}



/* switch-test-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2testzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_811,
		BgL_nodez00_bglt BgL_vz00_812)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				((((BgL_switchz00_bglt) COBJECT(BgL_oz00_811))->BgL_testz00) =
				((BgL_nodez00_bglt) BgL_vz00_812), BUNSPEC);
		}

	}



/* &switch-test-set! */
	obj_t BGl_z62switchzd2testzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7438,
		obj_t BgL_oz00_7439, obj_t BgL_vz00_7440)
	{
		{	/* Ast/nodetype.sch 1288 */
			return
				BGl_switchzd2testzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7439),
				((BgL_nodez00_bglt) BgL_vz00_7440));
		}

	}



/* switch-key */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2keyzd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_813)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_813)))->BgL_keyz00);
		}

	}



/* &switch-key */
	obj_t BGl_z62switchzd2keyzb0zzast_nodez00(obj_t BgL_envz00_7441,
		obj_t BgL_oz00_7442)
	{
		{	/* Ast/nodetype.sch 1289 */
			return
				BGl_switchzd2keyzd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7442));
		}

	}



/* switch-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2keyzd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_814,
		obj_t BgL_vz00_815)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_814)))->BgL_keyz00) =
				((obj_t) BgL_vz00_815), BUNSPEC);
		}

	}



/* &switch-key-set! */
	obj_t BGl_z62switchzd2keyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7443,
		obj_t BgL_oz00_7444, obj_t BgL_vz00_7445)
	{
		{	/* Ast/nodetype.sch 1290 */
			return
				BGl_switchzd2keyzd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7444), BgL_vz00_7445);
		}

	}



/* switch-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectz00zzast_nodez00(BgL_switchz00_bglt BgL_oz00_816)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_816)))->BgL_sidezd2effectzd2);
		}

	}



/* &switch-side-effect */
	obj_t BGl_z62switchzd2sidezd2effectz62zzast_nodez00(obj_t BgL_envz00_7446,
		obj_t BgL_oz00_7447)
	{
		{	/* Ast/nodetype.sch 1291 */
			return
				BGl_switchzd2sidezd2effectz00zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7447));
		}

	}



/* switch-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_817, obj_t BgL_vz00_818)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_817)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_818), BUNSPEC);
		}

	}



/* &switch-side-effect-set! */
	obj_t BGl_z62switchzd2sidezd2effectzd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7448, obj_t BgL_oz00_7449, obj_t BgL_vz00_7450)
	{
		{	/* Ast/nodetype.sch 1292 */
			return
				BGl_switchzd2sidezd2effectzd2setz12zc0zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7449), BgL_vz00_7450);
		}

	}



/* switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_switchzd2typezd2zzast_nodez00(BgL_switchz00_bglt BgL_oz00_819)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_819)))->BgL_typez00);
		}

	}



/* &switch-type */
	BgL_typez00_bglt BGl_z62switchzd2typezb0zzast_nodez00(obj_t BgL_envz00_7451,
		obj_t BgL_oz00_7452)
	{
		{	/* Ast/nodetype.sch 1293 */
			return
				BGl_switchzd2typezd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7452));
		}

	}



/* switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_switchzd2typezd2setz12z12zzast_nodez00(BgL_switchz00_bglt BgL_oz00_820,
		BgL_typez00_bglt BgL_vz00_821)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_820)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_821), BUNSPEC);
		}

	}



/* &switch-type-set! */
	obj_t BGl_z62switchzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7453,
		obj_t BgL_oz00_7454, obj_t BgL_vz00_7455)
	{
		{	/* Ast/nodetype.sch 1294 */
			return
				BGl_switchzd2typezd2setz12z12zzast_nodez00(
				((BgL_switchz00_bglt) BgL_oz00_7454),
				((BgL_typez00_bglt) BgL_vz00_7455));
		}

	}



/* switch-loc */
	BGL_EXPORTED_DEF obj_t BGl_switchzd2loczd2zzast_nodez00(BgL_switchz00_bglt
		BgL_oz00_822)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_822)))->BgL_locz00);
		}

	}



/* &switch-loc */
	obj_t BGl_z62switchzd2loczb0zzast_nodez00(obj_t BgL_envz00_7456,
		obj_t BgL_oz00_7457)
	{
		{	/* Ast/nodetype.sch 1295 */
			return
				BGl_switchzd2loczd2zzast_nodez00(((BgL_switchz00_bglt) BgL_oz00_7457));
		}

	}



/* make-let-fun */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_makezd2letzd2funz00zzast_nodez00(obj_t BgL_loc1493z00_825,
		BgL_typez00_bglt BgL_type1494z00_826, obj_t BgL_sidezd2effect1495zd2_827,
		obj_t BgL_key1496z00_828, obj_t BgL_locals1497z00_829,
		BgL_nodez00_bglt BgL_body1498z00_830)
	{
		{	/* Ast/nodetype.sch 1299 */
			{	/* Ast/nodetype.sch 1299 */
				BgL_letzd2funzd2_bglt BgL_new1511z00_9633;

				{	/* Ast/nodetype.sch 1299 */
					BgL_letzd2funzd2_bglt BgL_new1510z00_9634;

					BgL_new1510z00_9634 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/nodetype.sch 1299 */
						long BgL_arg1859z00_9635;

						BgL_arg1859z00_9635 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1510z00_9634), BgL_arg1859z00_9635);
					}
					{	/* Ast/nodetype.sch 1299 */
						BgL_objectz00_bglt BgL_tmpz00_13716;

						BgL_tmpz00_13716 = ((BgL_objectz00_bglt) BgL_new1510z00_9634);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13716, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1510z00_9634);
					BgL_new1511z00_9633 = BgL_new1510z00_9634;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1511z00_9633)))->BgL_locz00) =
					((obj_t) BgL_loc1493z00_825), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1511z00_9633)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1494z00_826), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1511z00_9633)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1495zd2_827), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1511z00_9633)))->BgL_keyz00) =
					((obj_t) BgL_key1496z00_828), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1511z00_9633))->
						BgL_localsz00) = ((obj_t) BgL_locals1497z00_829), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1511z00_9633))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1498z00_830), BUNSPEC);
				return BgL_new1511z00_9633;
			}
		}

	}



/* &make-let-fun */
	BgL_letzd2funzd2_bglt BGl_z62makezd2letzd2funz62zzast_nodez00(obj_t
		BgL_envz00_7458, obj_t BgL_loc1493z00_7459, obj_t BgL_type1494z00_7460,
		obj_t BgL_sidezd2effect1495zd2_7461, obj_t BgL_key1496z00_7462,
		obj_t BgL_locals1497z00_7463, obj_t BgL_body1498z00_7464)
	{
		{	/* Ast/nodetype.sch 1299 */
			return
				BGl_makezd2letzd2funz00zzast_nodez00(BgL_loc1493z00_7459,
				((BgL_typez00_bglt) BgL_type1494z00_7460),
				BgL_sidezd2effect1495zd2_7461, BgL_key1496z00_7462,
				BgL_locals1497z00_7463, ((BgL_nodez00_bglt) BgL_body1498z00_7464));
		}

	}



/* let-fun? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2funzf3z21zzast_nodez00(obj_t BgL_objz00_831)
	{
		{	/* Ast/nodetype.sch 1300 */
			{	/* Ast/nodetype.sch 1300 */
				obj_t BgL_classz00_9636;

				BgL_classz00_9636 = BGl_letzd2funzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_831))
					{	/* Ast/nodetype.sch 1300 */
						BgL_objectz00_bglt BgL_arg1858z00_9637;

						BgL_arg1858z00_9637 = (BgL_objectz00_bglt) (BgL_objz00_831);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1300 */
								long BgL_idxz00_9638;

								BgL_idxz00_9638 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9637);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9638 + 3L)) == BgL_classz00_9636);
							}
						else
							{	/* Ast/nodetype.sch 1300 */
								bool_t BgL_res3085z00_9641;

								{	/* Ast/nodetype.sch 1300 */
									obj_t BgL_oclassz00_9642;

									{	/* Ast/nodetype.sch 1300 */
										obj_t BgL_arg1866z00_9643;
										long BgL_arg1867z00_9644;

										BgL_arg1866z00_9643 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1300 */
											long BgL_arg1869z00_9645;

											BgL_arg1869z00_9645 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9637);
											BgL_arg1867z00_9644 = (BgL_arg1869z00_9645 - OBJECT_TYPE);
										}
										BgL_oclassz00_9642 =
											VECTOR_REF(BgL_arg1866z00_9643, BgL_arg1867z00_9644);
									}
									{	/* Ast/nodetype.sch 1300 */
										bool_t BgL__ortest_1115z00_9646;

										BgL__ortest_1115z00_9646 =
											(BgL_classz00_9636 == BgL_oclassz00_9642);
										if (BgL__ortest_1115z00_9646)
											{	/* Ast/nodetype.sch 1300 */
												BgL_res3085z00_9641 = BgL__ortest_1115z00_9646;
											}
										else
											{	/* Ast/nodetype.sch 1300 */
												long BgL_odepthz00_9647;

												{	/* Ast/nodetype.sch 1300 */
													obj_t BgL_arg1855z00_9648;

													BgL_arg1855z00_9648 = (BgL_oclassz00_9642);
													BgL_odepthz00_9647 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9648);
												}
												if ((3L < BgL_odepthz00_9647))
													{	/* Ast/nodetype.sch 1300 */
														obj_t BgL_arg1853z00_9649;

														{	/* Ast/nodetype.sch 1300 */
															obj_t BgL_arg1854z00_9650;

															BgL_arg1854z00_9650 = (BgL_oclassz00_9642);
															BgL_arg1853z00_9649 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9650,
																3L);
														}
														BgL_res3085z00_9641 =
															(BgL_arg1853z00_9649 == BgL_classz00_9636);
													}
												else
													{	/* Ast/nodetype.sch 1300 */
														BgL_res3085z00_9641 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3085z00_9641;
							}
					}
				else
					{	/* Ast/nodetype.sch 1300 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-fun? */
	obj_t BGl_z62letzd2funzf3z43zzast_nodez00(obj_t BgL_envz00_7465,
		obj_t BgL_objz00_7466)
	{
		{	/* Ast/nodetype.sch 1300 */
			return BBOOL(BGl_letzd2funzf3z21zzast_nodez00(BgL_objz00_7466));
		}

	}



/* let-fun-nil */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_letzd2funzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1301 */
			{	/* Ast/nodetype.sch 1301 */
				obj_t BgL_classz00_5222;

				BgL_classz00_5222 = BGl_letzd2funzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1301 */
					obj_t BgL__ortest_1117z00_5223;

					BgL__ortest_1117z00_5223 = BGL_CLASS_NIL(BgL_classz00_5222);
					if (CBOOL(BgL__ortest_1117z00_5223))
						{	/* Ast/nodetype.sch 1301 */
							return ((BgL_letzd2funzd2_bglt) BgL__ortest_1117z00_5223);
						}
					else
						{	/* Ast/nodetype.sch 1301 */
							return
								((BgL_letzd2funzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5222));
						}
				}
			}
		}

	}



/* &let-fun-nil */
	BgL_letzd2funzd2_bglt BGl_z62letzd2funzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7467)
	{
		{	/* Ast/nodetype.sch 1301 */
			return BGl_letzd2funzd2nilz00zzast_nodez00();
		}

	}



/* let-fun-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2funzd2bodyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_832)
	{
		{	/* Ast/nodetype.sch 1302 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_832))->BgL_bodyz00);
		}

	}



/* &let-fun-body */
	BgL_nodez00_bglt BGl_z62letzd2funzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7468, obj_t BgL_oz00_7469)
	{
		{	/* Ast/nodetype.sch 1302 */
			return
				BGl_letzd2funzd2bodyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7469));
		}

	}



/* let-fun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_833, BgL_nodez00_bglt BgL_vz00_834)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_833))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_834), BUNSPEC);
		}

	}



/* &let-fun-body-set! */
	obj_t BGl_z62letzd2funzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7470,
		obj_t BgL_oz00_7471, obj_t BgL_vz00_7472)
	{
		{	/* Ast/nodetype.sch 1303 */
			return
				BGl_letzd2funzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7471),
				((BgL_nodez00_bglt) BgL_vz00_7472));
		}

	}



/* let-fun-locals */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localsz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_835)
	{
		{	/* Ast/nodetype.sch 1304 */
			return (((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_835))->BgL_localsz00);
		}

	}



/* &let-fun-locals */
	obj_t BGl_z62letzd2funzd2localsz62zzast_nodez00(obj_t BgL_envz00_7473,
		obj_t BgL_oz00_7474)
	{
		{	/* Ast/nodetype.sch 1304 */
			return
				BGl_letzd2funzd2localsz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7474));
		}

	}



/* let-fun-locals-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_836, obj_t BgL_vz00_837)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_oz00_836))->BgL_localsz00) =
				((obj_t) BgL_vz00_837), BUNSPEC);
		}

	}



/* &let-fun-locals-set! */
	obj_t BGl_z62letzd2funzd2localszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7475, obj_t BgL_oz00_7476, obj_t BgL_vz00_7477)
	{
		{	/* Ast/nodetype.sch 1305 */
			return
				BGl_letzd2funzd2localszd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7476), BgL_vz00_7477);
		}

	}



/* let-fun-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_838)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_838)))->BgL_keyz00);
		}

	}



/* &let-fun-key */
	obj_t BGl_z62letzd2funzd2keyz62zzast_nodez00(obj_t BgL_envz00_7478,
		obj_t BgL_oz00_7479)
	{
		{	/* Ast/nodetype.sch 1306 */
			return
				BGl_letzd2funzd2keyz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7479));
		}

	}



/* let-fun-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_839, obj_t BgL_vz00_840)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_839)))->BgL_keyz00) =
				((obj_t) BgL_vz00_840), BUNSPEC);
		}

	}



/* &let-fun-key-set! */
	obj_t BGl_z62letzd2funzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7480,
		obj_t BgL_oz00_7481, obj_t BgL_vz00_7482)
	{
		{	/* Ast/nodetype.sch 1307 */
			return
				BGl_letzd2funzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7481), BgL_vz00_7482);
		}

	}



/* let-fun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_841)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_841)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-fun-side-effect */
	obj_t BGl_z62letzd2funzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7483,
		obj_t BgL_oz00_7484)
	{
		{	/* Ast/nodetype.sch 1308 */
			return
				BGl_letzd2funzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7484));
		}

	}



/* let-fun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_842, obj_t BgL_vz00_843)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_842)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_843), BUNSPEC);
		}

	}



/* &let-fun-side-effect-set! */
	obj_t BGl_z62letzd2funzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7485, obj_t BgL_oz00_7486, obj_t BgL_vz00_7487)
	{
		{	/* Ast/nodetype.sch 1309 */
			return
				BGl_letzd2funzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7486), BgL_vz00_7487);
		}

	}



/* let-fun-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2funzd2typez00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_844)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_844)))->BgL_typez00);
		}

	}



/* &let-fun-type */
	BgL_typez00_bglt BGl_z62letzd2funzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7488, obj_t BgL_oz00_7489)
	{
		{	/* Ast/nodetype.sch 1310 */
			return
				BGl_letzd2funzd2typez00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7489));
		}

	}



/* let-fun-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2funzd2_bglt
		BgL_oz00_845, BgL_typez00_bglt BgL_vz00_846)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_845)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_846), BUNSPEC);
		}

	}



/* &let-fun-type-set! */
	obj_t BGl_z62letzd2funzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7490,
		obj_t BgL_oz00_7491, obj_t BgL_vz00_7492)
	{
		{	/* Ast/nodetype.sch 1311 */
			return
				BGl_letzd2funzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7491),
				((BgL_typez00_bglt) BgL_vz00_7492));
		}

	}



/* let-fun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2funzd2locz00zzast_nodez00(BgL_letzd2funzd2_bglt BgL_oz00_847)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_847)))->BgL_locz00);
		}

	}



/* &let-fun-loc */
	obj_t BGl_z62letzd2funzd2locz62zzast_nodez00(obj_t BgL_envz00_7493,
		obj_t BgL_oz00_7494)
	{
		{	/* Ast/nodetype.sch 1312 */
			return
				BGl_letzd2funzd2locz00zzast_nodez00(
				((BgL_letzd2funzd2_bglt) BgL_oz00_7494));
		}

	}



/* make-let-var */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_makezd2letzd2varz00zzast_nodez00(obj_t BgL_loc1485z00_850,
		BgL_typez00_bglt BgL_type1486z00_851, obj_t BgL_sidezd2effect1487zd2_852,
		obj_t BgL_key1488z00_853, obj_t BgL_bindings1489z00_854,
		BgL_nodez00_bglt BgL_body1490z00_855, bool_t BgL_removablezf31491zf3_856)
	{
		{	/* Ast/nodetype.sch 1316 */
			{	/* Ast/nodetype.sch 1316 */
				BgL_letzd2varzd2_bglt BgL_new1513z00_9651;

				{	/* Ast/nodetype.sch 1316 */
					BgL_letzd2varzd2_bglt BgL_new1512z00_9652;

					BgL_new1512z00_9652 =
						((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2varzd2_bgl))));
					{	/* Ast/nodetype.sch 1316 */
						long BgL_arg1865z00_9653;

						BgL_arg1865z00_9653 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1512z00_9652), BgL_arg1865z00_9653);
					}
					{	/* Ast/nodetype.sch 1316 */
						BgL_objectz00_bglt BgL_tmpz00_13810;

						BgL_tmpz00_13810 = ((BgL_objectz00_bglt) BgL_new1512z00_9652);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13810, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1512z00_9652);
					BgL_new1513z00_9651 = BgL_new1512z00_9652;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1513z00_9651)))->BgL_locz00) =
					((obj_t) BgL_loc1485z00_850), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1513z00_9651)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1486z00_851), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1513z00_9651)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1487zd2_852), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1513z00_9651)))->BgL_keyz00) =
					((obj_t) BgL_key1488z00_853), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1513z00_9651))->
						BgL_bindingsz00) = ((obj_t) BgL_bindings1489z00_854), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1513z00_9651))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1490z00_855), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1513z00_9651))->
						BgL_removablezf3zf3) =
					((bool_t) BgL_removablezf31491zf3_856), BUNSPEC);
				return BgL_new1513z00_9651;
			}
		}

	}



/* &make-let-var */
	BgL_letzd2varzd2_bglt BGl_z62makezd2letzd2varz62zzast_nodez00(obj_t
		BgL_envz00_7495, obj_t BgL_loc1485z00_7496, obj_t BgL_type1486z00_7497,
		obj_t BgL_sidezd2effect1487zd2_7498, obj_t BgL_key1488z00_7499,
		obj_t BgL_bindings1489z00_7500, obj_t BgL_body1490z00_7501,
		obj_t BgL_removablezf31491zf3_7502)
	{
		{	/* Ast/nodetype.sch 1316 */
			return
				BGl_makezd2letzd2varz00zzast_nodez00(BgL_loc1485z00_7496,
				((BgL_typez00_bglt) BgL_type1486z00_7497),
				BgL_sidezd2effect1487zd2_7498, BgL_key1488z00_7499,
				BgL_bindings1489z00_7500, ((BgL_nodez00_bglt) BgL_body1490z00_7501),
				CBOOL(BgL_removablezf31491zf3_7502));
		}

	}



/* let-var? */
	BGL_EXPORTED_DEF bool_t BGl_letzd2varzf3z21zzast_nodez00(obj_t BgL_objz00_857)
	{
		{	/* Ast/nodetype.sch 1317 */
			{	/* Ast/nodetype.sch 1317 */
				obj_t BgL_classz00_9654;

				BgL_classz00_9654 = BGl_letzd2varzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_857))
					{	/* Ast/nodetype.sch 1317 */
						BgL_objectz00_bglt BgL_arg1858z00_9655;

						BgL_arg1858z00_9655 = (BgL_objectz00_bglt) (BgL_objz00_857);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1317 */
								long BgL_idxz00_9656;

								BgL_idxz00_9656 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9655);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9656 + 3L)) == BgL_classz00_9654);
							}
						else
							{	/* Ast/nodetype.sch 1317 */
								bool_t BgL_res3086z00_9659;

								{	/* Ast/nodetype.sch 1317 */
									obj_t BgL_oclassz00_9660;

									{	/* Ast/nodetype.sch 1317 */
										obj_t BgL_arg1866z00_9661;
										long BgL_arg1867z00_9662;

										BgL_arg1866z00_9661 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1317 */
											long BgL_arg1869z00_9663;

											BgL_arg1869z00_9663 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9655);
											BgL_arg1867z00_9662 = (BgL_arg1869z00_9663 - OBJECT_TYPE);
										}
										BgL_oclassz00_9660 =
											VECTOR_REF(BgL_arg1866z00_9661, BgL_arg1867z00_9662);
									}
									{	/* Ast/nodetype.sch 1317 */
										bool_t BgL__ortest_1115z00_9664;

										BgL__ortest_1115z00_9664 =
											(BgL_classz00_9654 == BgL_oclassz00_9660);
										if (BgL__ortest_1115z00_9664)
											{	/* Ast/nodetype.sch 1317 */
												BgL_res3086z00_9659 = BgL__ortest_1115z00_9664;
											}
										else
											{	/* Ast/nodetype.sch 1317 */
												long BgL_odepthz00_9665;

												{	/* Ast/nodetype.sch 1317 */
													obj_t BgL_arg1855z00_9666;

													BgL_arg1855z00_9666 = (BgL_oclassz00_9660);
													BgL_odepthz00_9665 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9666);
												}
												if ((3L < BgL_odepthz00_9665))
													{	/* Ast/nodetype.sch 1317 */
														obj_t BgL_arg1853z00_9667;

														{	/* Ast/nodetype.sch 1317 */
															obj_t BgL_arg1854z00_9668;

															BgL_arg1854z00_9668 = (BgL_oclassz00_9660);
															BgL_arg1853z00_9667 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9668,
																3L);
														}
														BgL_res3086z00_9659 =
															(BgL_arg1853z00_9667 == BgL_classz00_9654);
													}
												else
													{	/* Ast/nodetype.sch 1317 */
														BgL_res3086z00_9659 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3086z00_9659;
							}
					}
				else
					{	/* Ast/nodetype.sch 1317 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &let-var? */
	obj_t BGl_z62letzd2varzf3z43zzast_nodez00(obj_t BgL_envz00_7503,
		obj_t BgL_objz00_7504)
	{
		{	/* Ast/nodetype.sch 1317 */
			return BBOOL(BGl_letzd2varzf3z21zzast_nodez00(BgL_objz00_7504));
		}

	}



/* let-var-nil */
	BGL_EXPORTED_DEF BgL_letzd2varzd2_bglt
		BGl_letzd2varzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1318 */
			{	/* Ast/nodetype.sch 1318 */
				obj_t BgL_classz00_5265;

				BgL_classz00_5265 = BGl_letzd2varzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1318 */
					obj_t BgL__ortest_1117z00_5266;

					BgL__ortest_1117z00_5266 = BGL_CLASS_NIL(BgL_classz00_5265);
					if (CBOOL(BgL__ortest_1117z00_5266))
						{	/* Ast/nodetype.sch 1318 */
							return ((BgL_letzd2varzd2_bglt) BgL__ortest_1117z00_5266);
						}
					else
						{	/* Ast/nodetype.sch 1318 */
							return
								((BgL_letzd2varzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5265));
						}
				}
			}
		}

	}



/* &let-var-nil */
	BgL_letzd2varzd2_bglt BGl_z62letzd2varzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7505)
	{
		{	/* Ast/nodetype.sch 1318 */
			return BGl_letzd2varzd2nilz00zzast_nodez00();
		}

	}



/* let-var-removable? */
	BGL_EXPORTED_DEF bool_t
		BGl_letzd2varzd2removablezf3zf3zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_858)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_858))->BgL_removablezf3zf3);
		}

	}



/* &let-var-removable? */
	obj_t BGl_z62letzd2varzd2removablezf3z91zzast_nodez00(obj_t BgL_envz00_7506,
		obj_t BgL_oz00_7507)
	{
		{	/* Ast/nodetype.sch 1319 */
			return
				BBOOL(BGl_letzd2varzd2removablezf3zf3zzast_nodez00(
					((BgL_letzd2varzd2_bglt) BgL_oz00_7507)));
		}

	}



/* let-var-removable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_859, bool_t BgL_vz00_860)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_859))->
					BgL_removablezf3zf3) = ((bool_t) BgL_vz00_860), BUNSPEC);
		}

	}



/* &let-var-removable?-set! */
	obj_t BGl_z62letzd2varzd2removablezf3zd2setz12z51zzast_nodez00(obj_t
		BgL_envz00_7508, obj_t BgL_oz00_7509, obj_t BgL_vz00_7510)
	{
		{	/* Ast/nodetype.sch 1320 */
			return
				BGl_letzd2varzd2removablezf3zd2setz12z33zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7509), CBOOL(BgL_vz00_7510));
		}

	}



/* let-var-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_letzd2varzd2bodyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_861)
	{
		{	/* Ast/nodetype.sch 1321 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_861))->BgL_bodyz00);
		}

	}



/* &let-var-body */
	BgL_nodez00_bglt BGl_z62letzd2varzd2bodyz62zzast_nodez00(obj_t
		BgL_envz00_7511, obj_t BgL_oz00_7512)
	{
		{	/* Ast/nodetype.sch 1321 */
			return
				BGl_letzd2varzd2bodyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7512));
		}

	}



/* let-var-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_862, BgL_nodez00_bglt BgL_vz00_863)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_862))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_863), BUNSPEC);
		}

	}



/* &let-var-body-set! */
	obj_t BGl_z62letzd2varzd2bodyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7513,
		obj_t BgL_oz00_7514, obj_t BgL_vz00_7515)
	{
		{	/* Ast/nodetype.sch 1322 */
			return
				BGl_letzd2varzd2bodyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7514),
				((BgL_nodez00_bglt) BgL_vz00_7515));
		}

	}



/* let-var-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingsz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_864)
	{
		{	/* Ast/nodetype.sch 1323 */
			return (((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_864))->BgL_bindingsz00);
		}

	}



/* &let-var-bindings */
	obj_t BGl_z62letzd2varzd2bindingsz62zzast_nodez00(obj_t BgL_envz00_7516,
		obj_t BgL_oz00_7517)
	{
		{	/* Ast/nodetype.sch 1323 */
			return
				BGl_letzd2varzd2bindingsz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7517));
		}

	}



/* let-var-bindings-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_865, obj_t BgL_vz00_866)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(BgL_oz00_865))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_866), BUNSPEC);
		}

	}



/* &let-var-bindings-set! */
	obj_t BGl_z62letzd2varzd2bindingszd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7518, obj_t BgL_oz00_7519, obj_t BgL_vz00_7520)
	{
		{	/* Ast/nodetype.sch 1324 */
			return
				BGl_letzd2varzd2bindingszd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7519), BgL_vz00_7520);
		}

	}



/* let-var-key */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_867)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_867)))->BgL_keyz00);
		}

	}



/* &let-var-key */
	obj_t BGl_z62letzd2varzd2keyz62zzast_nodez00(obj_t BgL_envz00_7521,
		obj_t BgL_oz00_7522)
	{
		{	/* Ast/nodetype.sch 1325 */
			return
				BGl_letzd2varzd2keyz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7522));
		}

	}



/* let-var-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_868, obj_t BgL_vz00_869)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_868)))->BgL_keyz00) =
				((obj_t) BgL_vz00_869), BUNSPEC);
		}

	}



/* &let-var-key-set! */
	obj_t BGl_z62letzd2varzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524, obj_t BgL_vz00_7525)
	{
		{	/* Ast/nodetype.sch 1326 */
			return
				BGl_letzd2varzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7524), BgL_vz00_7525);
		}

	}



/* let-var-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_870)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_870)))->BgL_sidezd2effectzd2);
		}

	}



/* &let-var-side-effect */
	obj_t BGl_z62letzd2varzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7526,
		obj_t BgL_oz00_7527)
	{
		{	/* Ast/nodetype.sch 1327 */
			return
				BGl_letzd2varzd2sidezd2effectzd2zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7527));
		}

	}



/* let-var-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_871, obj_t BgL_vz00_872)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_871)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_872), BUNSPEC);
		}

	}



/* &let-var-side-effect-set! */
	obj_t BGl_z62letzd2varzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7528, obj_t BgL_oz00_7529, obj_t BgL_vz00_7530)
	{
		{	/* Ast/nodetype.sch 1328 */
			return
				BGl_letzd2varzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7529), BgL_vz00_7530);
		}

	}



/* let-var-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_letzd2varzd2typez00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_873)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_873)))->BgL_typez00);
		}

	}



/* &let-var-type */
	BgL_typez00_bglt BGl_z62letzd2varzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7531, obj_t BgL_oz00_7532)
	{
		{	/* Ast/nodetype.sch 1329 */
			return
				BGl_letzd2varzd2typez00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7532));
		}

	}



/* let-var-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(BgL_letzd2varzd2_bglt
		BgL_oz00_874, BgL_typez00_bglt BgL_vz00_875)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_874)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_875), BUNSPEC);
		}

	}



/* &let-var-type-set! */
	obj_t BGl_z62letzd2varzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7533,
		obj_t BgL_oz00_7534, obj_t BgL_vz00_7535)
	{
		{	/* Ast/nodetype.sch 1330 */
			return
				BGl_letzd2varzd2typezd2setz12zc0zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7534),
				((BgL_typez00_bglt) BgL_vz00_7535));
		}

	}



/* let-var-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_letzd2varzd2locz00zzast_nodez00(BgL_letzd2varzd2_bglt BgL_oz00_876)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_876)))->BgL_locz00);
		}

	}



/* &let-var-loc */
	obj_t BGl_z62letzd2varzd2locz62zzast_nodez00(obj_t BgL_envz00_7536,
		obj_t BgL_oz00_7537)
	{
		{	/* Ast/nodetype.sch 1331 */
			return
				BGl_letzd2varzd2locz00zzast_nodez00(
				((BgL_letzd2varzd2_bglt) BgL_oz00_7537));
		}

	}



/* make-set-ex-it */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1479z00_879,
		BgL_typez00_bglt BgL_type1480z00_880, BgL_varz00_bglt BgL_var1481z00_881,
		BgL_nodez00_bglt BgL_body1482z00_882,
		BgL_nodez00_bglt BgL_onexit1483z00_883)
	{
		{	/* Ast/nodetype.sch 1335 */
			{	/* Ast/nodetype.sch 1335 */
				BgL_setzd2exzd2itz00_bglt BgL_new1515z00_9669;

				{	/* Ast/nodetype.sch 1335 */
					BgL_setzd2exzd2itz00_bglt BgL_new1514z00_9670;

					BgL_new1514z00_9670 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1335 */
						long BgL_arg1872z00_9671;

						BgL_arg1872z00_9671 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1514z00_9670), BgL_arg1872z00_9671);
					}
					{	/* Ast/nodetype.sch 1335 */
						BgL_objectz00_bglt BgL_tmpz00_13914;

						BgL_tmpz00_13914 = ((BgL_objectz00_bglt) BgL_new1514z00_9670);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13914, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1514z00_9670);
					BgL_new1515z00_9669 = BgL_new1514z00_9670;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1515z00_9669)))->BgL_locz00) =
					((obj_t) BgL_loc1479z00_879), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1515z00_9669)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1480z00_880), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1515z00_9669))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1481z00_881), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1515z00_9669))->
						BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_body1482z00_882), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1515z00_9669))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_onexit1483z00_883), BUNSPEC);
				return BgL_new1515z00_9669;
			}
		}

	}



/* &make-set-ex-it */
	BgL_setzd2exzd2itz00_bglt BGl_z62makezd2setzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7538, obj_t BgL_loc1479z00_7539, obj_t BgL_type1480z00_7540,
		obj_t BgL_var1481z00_7541, obj_t BgL_body1482z00_7542,
		obj_t BgL_onexit1483z00_7543)
	{
		{	/* Ast/nodetype.sch 1335 */
			return
				BGl_makezd2setzd2exzd2itzd2zzast_nodez00(BgL_loc1479z00_7539,
				((BgL_typez00_bglt) BgL_type1480z00_7540),
				((BgL_varz00_bglt) BgL_var1481z00_7541),
				((BgL_nodez00_bglt) BgL_body1482z00_7542),
				((BgL_nodez00_bglt) BgL_onexit1483z00_7543));
		}

	}



/* set-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_setzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_884)
	{
		{	/* Ast/nodetype.sch 1336 */
			{	/* Ast/nodetype.sch 1336 */
				obj_t BgL_classz00_9672;

				BgL_classz00_9672 = BGl_setzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_884))
					{	/* Ast/nodetype.sch 1336 */
						BgL_objectz00_bglt BgL_arg1858z00_9673;

						BgL_arg1858z00_9673 = (BgL_objectz00_bglt) (BgL_objz00_884);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1336 */
								long BgL_idxz00_9674;

								BgL_idxz00_9674 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9673);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9674 + 2L)) == BgL_classz00_9672);
							}
						else
							{	/* Ast/nodetype.sch 1336 */
								bool_t BgL_res3087z00_9677;

								{	/* Ast/nodetype.sch 1336 */
									obj_t BgL_oclassz00_9678;

									{	/* Ast/nodetype.sch 1336 */
										obj_t BgL_arg1866z00_9679;
										long BgL_arg1867z00_9680;

										BgL_arg1866z00_9679 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1336 */
											long BgL_arg1869z00_9681;

											BgL_arg1869z00_9681 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9673);
											BgL_arg1867z00_9680 = (BgL_arg1869z00_9681 - OBJECT_TYPE);
										}
										BgL_oclassz00_9678 =
											VECTOR_REF(BgL_arg1866z00_9679, BgL_arg1867z00_9680);
									}
									{	/* Ast/nodetype.sch 1336 */
										bool_t BgL__ortest_1115z00_9682;

										BgL__ortest_1115z00_9682 =
											(BgL_classz00_9672 == BgL_oclassz00_9678);
										if (BgL__ortest_1115z00_9682)
											{	/* Ast/nodetype.sch 1336 */
												BgL_res3087z00_9677 = BgL__ortest_1115z00_9682;
											}
										else
											{	/* Ast/nodetype.sch 1336 */
												long BgL_odepthz00_9683;

												{	/* Ast/nodetype.sch 1336 */
													obj_t BgL_arg1855z00_9684;

													BgL_arg1855z00_9684 = (BgL_oclassz00_9678);
													BgL_odepthz00_9683 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9684);
												}
												if ((2L < BgL_odepthz00_9683))
													{	/* Ast/nodetype.sch 1336 */
														obj_t BgL_arg1853z00_9685;

														{	/* Ast/nodetype.sch 1336 */
															obj_t BgL_arg1854z00_9686;

															BgL_arg1854z00_9686 = (BgL_oclassz00_9678);
															BgL_arg1853z00_9685 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9686,
																2L);
														}
														BgL_res3087z00_9677 =
															(BgL_arg1853z00_9685 == BgL_classz00_9672);
													}
												else
													{	/* Ast/nodetype.sch 1336 */
														BgL_res3087z00_9677 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3087z00_9677;
							}
					}
				else
					{	/* Ast/nodetype.sch 1336 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &set-ex-it? */
	obj_t BGl_z62setzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7544,
		obj_t BgL_objz00_7545)
	{
		{	/* Ast/nodetype.sch 1336 */
			return BBOOL(BGl_setzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7545));
		}

	}



/* set-ex-it-nil */
	BGL_EXPORTED_DEF BgL_setzd2exzd2itz00_bglt
		BGl_setzd2exzd2itzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1337 */
			{	/* Ast/nodetype.sch 1337 */
				obj_t BgL_classz00_5308;

				BgL_classz00_5308 = BGl_setzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1337 */
					obj_t BgL__ortest_1117z00_5309;

					BgL__ortest_1117z00_5309 = BGL_CLASS_NIL(BgL_classz00_5308);
					if (CBOOL(BgL__ortest_1117z00_5309))
						{	/* Ast/nodetype.sch 1337 */
							return ((BgL_setzd2exzd2itz00_bglt) BgL__ortest_1117z00_5309);
						}
					else
						{	/* Ast/nodetype.sch 1337 */
							return
								((BgL_setzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5308));
						}
				}
			}
		}

	}



/* &set-ex-it-nil */
	BgL_setzd2exzd2itz00_bglt BGl_z62setzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7546)
	{
		{	/* Ast/nodetype.sch 1337 */
			return BGl_setzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* set-ex-it-onexit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_885)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_885))->BgL_onexitz00);
		}

	}



/* &set-ex-it-onexit */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2onexitzb0zzast_nodez00(obj_t
		BgL_envz00_7547, obj_t BgL_oz00_7548)
	{
		{	/* Ast/nodetype.sch 1338 */
			return
				BGl_setzd2exzd2itzd2onexitzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7548));
		}

	}



/* set-ex-it-onexit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00
		(BgL_setzd2exzd2itz00_bglt BgL_oz00_886, BgL_nodez00_bglt BgL_vz00_887)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_886))->BgL_onexitz00) =
				((BgL_nodez00_bglt) BgL_vz00_887), BUNSPEC);
		}

	}



/* &set-ex-it-onexit-set! */
	obj_t BGl_z62setzd2exzd2itzd2onexitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7549, obj_t BgL_oz00_7550, obj_t BgL_vz00_7551)
	{
		{	/* Ast/nodetype.sch 1339 */
			return
				BGl_setzd2exzd2itzd2onexitzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7550),
				((BgL_nodez00_bglt) BgL_vz00_7551));
		}

	}



/* set-ex-it-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_888)
	{
		{	/* Ast/nodetype.sch 1340 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_888))->BgL_bodyz00);
		}

	}



/* &set-ex-it-body */
	BgL_nodez00_bglt BGl_z62setzd2exzd2itzd2bodyzb0zzast_nodez00(obj_t
		BgL_envz00_7552, obj_t BgL_oz00_7553)
	{
		{	/* Ast/nodetype.sch 1340 */
			return
				BGl_setzd2exzd2itzd2bodyzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7553));
		}

	}



/* set-ex-it-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_889, BgL_nodez00_bglt BgL_vz00_890)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_889))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_890), BUNSPEC);
		}

	}



/* &set-ex-it-body-set! */
	obj_t BGl_z62setzd2exzd2itzd2bodyzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7554, obj_t BgL_oz00_7555, obj_t BgL_vz00_7556)
	{
		{	/* Ast/nodetype.sch 1341 */
			return
				BGl_setzd2exzd2itzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7555),
				((BgL_nodez00_bglt) BgL_vz00_7556));
		}

	}



/* set-ex-it-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_setzd2exzd2itzd2varzd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_891)
	{
		{	/* Ast/nodetype.sch 1342 */
			return (((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_891))->BgL_varz00);
		}

	}



/* &set-ex-it-var */
	BgL_varz00_bglt BGl_z62setzd2exzd2itzd2varzb0zzast_nodez00(obj_t
		BgL_envz00_7557, obj_t BgL_oz00_7558)
	{
		{	/* Ast/nodetype.sch 1342 */
			return
				BGl_setzd2exzd2itzd2varzd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7558));
		}

	}



/* set-ex-it-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_892, BgL_varz00_bglt BgL_vz00_893)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_oz00_892))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_893), BUNSPEC);
		}

	}



/* &set-ex-it-var-set! */
	obj_t BGl_z62setzd2exzd2itzd2varzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7559, obj_t BgL_oz00_7560, obj_t BgL_vz00_7561)
	{
		{	/* Ast/nodetype.sch 1343 */
			return
				BGl_setzd2exzd2itzd2varzd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7560),
				((BgL_varz00_bglt) BgL_vz00_7561));
		}

	}



/* set-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_setzd2exzd2itzd2typezd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_894)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_894)))->BgL_typez00);
		}

	}



/* &set-ex-it-type */
	BgL_typez00_bglt BGl_z62setzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7562, obj_t BgL_oz00_7563)
	{
		{	/* Ast/nodetype.sch 1344 */
			return
				BGl_setzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7563));
		}

	}



/* set-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_895, BgL_typez00_bglt BgL_vz00_896)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_895)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_896), BUNSPEC);
		}

	}



/* &set-ex-it-type-set! */
	obj_t BGl_z62setzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7564, obj_t BgL_oz00_7565, obj_t BgL_vz00_7566)
	{
		{	/* Ast/nodetype.sch 1345 */
			return
				BGl_setzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7565),
				((BgL_typez00_bglt) BgL_vz00_7566));
		}

	}



/* set-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2exzd2itzd2loczd2zzast_nodez00(BgL_setzd2exzd2itz00_bglt
		BgL_oz00_897)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_897)))->BgL_locz00);
		}

	}



/* &set-ex-it-loc */
	obj_t BGl_z62setzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7567,
		obj_t BgL_oz00_7568)
	{
		{	/* Ast/nodetype.sch 1346 */
			return
				BGl_setzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7568));
		}

	}



/* make-jump-ex-it */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t BgL_loc1474z00_900,
		BgL_typez00_bglt BgL_type1475z00_901, BgL_nodez00_bglt BgL_exit1476z00_902,
		BgL_nodez00_bglt BgL_value1477z00_903)
	{
		{	/* Ast/nodetype.sch 1350 */
			{	/* Ast/nodetype.sch 1350 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1517z00_9687;

				{	/* Ast/nodetype.sch 1350 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1516z00_9688;

					BgL_new1516z00_9688 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/nodetype.sch 1350 */
						long BgL_arg1873z00_9689;

						BgL_arg1873z00_9689 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1516z00_9688), BgL_arg1873z00_9689);
					}
					{	/* Ast/nodetype.sch 1350 */
						BgL_objectz00_bglt BgL_tmpz00_13999;

						BgL_tmpz00_13999 = ((BgL_objectz00_bglt) BgL_new1516z00_9688);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13999, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1516z00_9688);
					BgL_new1517z00_9687 = BgL_new1516z00_9688;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1517z00_9687)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_900), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1517z00_9687)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1475z00_901), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1517z00_9687))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_exit1476z00_902), BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1517z00_9687))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1477z00_903), BUNSPEC);
				return BgL_new1517z00_9687;
			}
		}

	}



/* &make-jump-ex-it */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62makezd2jumpzd2exzd2itzb0zzast_nodez00(obj_t
		BgL_envz00_7569, obj_t BgL_loc1474z00_7570, obj_t BgL_type1475z00_7571,
		obj_t BgL_exit1476z00_7572, obj_t BgL_value1477z00_7573)
	{
		{	/* Ast/nodetype.sch 1350 */
			return
				BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_loc1474z00_7570,
				((BgL_typez00_bglt) BgL_type1475z00_7571),
				((BgL_nodez00_bglt) BgL_exit1476z00_7572),
				((BgL_nodez00_bglt) BgL_value1477z00_7573));
		}

	}



/* jump-ex-it? */
	BGL_EXPORTED_DEF bool_t BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(obj_t
		BgL_objz00_904)
	{
		{	/* Ast/nodetype.sch 1351 */
			{	/* Ast/nodetype.sch 1351 */
				obj_t BgL_classz00_9690;

				BgL_classz00_9690 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_904))
					{	/* Ast/nodetype.sch 1351 */
						BgL_objectz00_bglt BgL_arg1858z00_9691;

						BgL_arg1858z00_9691 = (BgL_objectz00_bglt) (BgL_objz00_904);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1351 */
								long BgL_idxz00_9692;

								BgL_idxz00_9692 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9691);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9692 + 2L)) == BgL_classz00_9690);
							}
						else
							{	/* Ast/nodetype.sch 1351 */
								bool_t BgL_res3088z00_9695;

								{	/* Ast/nodetype.sch 1351 */
									obj_t BgL_oclassz00_9696;

									{	/* Ast/nodetype.sch 1351 */
										obj_t BgL_arg1866z00_9697;
										long BgL_arg1867z00_9698;

										BgL_arg1866z00_9697 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1351 */
											long BgL_arg1869z00_9699;

											BgL_arg1869z00_9699 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9691);
											BgL_arg1867z00_9698 = (BgL_arg1869z00_9699 - OBJECT_TYPE);
										}
										BgL_oclassz00_9696 =
											VECTOR_REF(BgL_arg1866z00_9697, BgL_arg1867z00_9698);
									}
									{	/* Ast/nodetype.sch 1351 */
										bool_t BgL__ortest_1115z00_9700;

										BgL__ortest_1115z00_9700 =
											(BgL_classz00_9690 == BgL_oclassz00_9696);
										if (BgL__ortest_1115z00_9700)
											{	/* Ast/nodetype.sch 1351 */
												BgL_res3088z00_9695 = BgL__ortest_1115z00_9700;
											}
										else
											{	/* Ast/nodetype.sch 1351 */
												long BgL_odepthz00_9701;

												{	/* Ast/nodetype.sch 1351 */
													obj_t BgL_arg1855z00_9702;

													BgL_arg1855z00_9702 = (BgL_oclassz00_9696);
													BgL_odepthz00_9701 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9702);
												}
												if ((2L < BgL_odepthz00_9701))
													{	/* Ast/nodetype.sch 1351 */
														obj_t BgL_arg1853z00_9703;

														{	/* Ast/nodetype.sch 1351 */
															obj_t BgL_arg1854z00_9704;

															BgL_arg1854z00_9704 = (BgL_oclassz00_9696);
															BgL_arg1853z00_9703 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9704,
																2L);
														}
														BgL_res3088z00_9695 =
															(BgL_arg1853z00_9703 == BgL_classz00_9690);
													}
												else
													{	/* Ast/nodetype.sch 1351 */
														BgL_res3088z00_9695 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3088z00_9695;
							}
					}
				else
					{	/* Ast/nodetype.sch 1351 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jump-ex-it? */
	obj_t BGl_z62jumpzd2exzd2itzf3z91zzast_nodez00(obj_t BgL_envz00_7574,
		obj_t BgL_objz00_7575)
	{
		{	/* Ast/nodetype.sch 1351 */
			return BBOOL(BGl_jumpzd2exzd2itzf3zf3zzast_nodez00(BgL_objz00_7575));
		}

	}



/* jump-ex-it-nil */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1352 */
			{	/* Ast/nodetype.sch 1352 */
				obj_t BgL_classz00_5351;

				BgL_classz00_5351 = BGl_jumpzd2exzd2itz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1352 */
					obj_t BgL__ortest_1117z00_5352;

					BgL__ortest_1117z00_5352 = BGL_CLASS_NIL(BgL_classz00_5351);
					if (CBOOL(BgL__ortest_1117z00_5352))
						{	/* Ast/nodetype.sch 1352 */
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL__ortest_1117z00_5352);
						}
					else
						{	/* Ast/nodetype.sch 1352 */
							return
								((BgL_jumpzd2exzd2itz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5351));
						}
				}
			}
		}

	}



/* &jump-ex-it-nil */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exzd2itzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7576)
	{
		{	/* Ast/nodetype.sch 1352 */
			return BGl_jumpzd2exzd2itzd2nilzd2zzast_nodez00();
		}

	}



/* jump-ex-it-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_905)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_905))->BgL_valuez00);
		}

	}



/* &jump-ex-it-value */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2valuezb0zzast_nodez00(obj_t
		BgL_envz00_7577, obj_t BgL_oz00_7578)
	{
		{	/* Ast/nodetype.sch 1353 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7578));
		}

	}



/* jump-ex-it-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_906, BgL_nodez00_bglt BgL_vz00_907)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_906))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_907), BUNSPEC);
		}

	}



/* &jump-ex-it-value-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2valuezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7579, obj_t BgL_oz00_7580, obj_t BgL_vz00_7581)
	{
		{	/* Ast/nodetype.sch 1354 */
			return
				BGl_jumpzd2exzd2itzd2valuezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7580),
				((BgL_nodez00_bglt) BgL_vz00_7581));
		}

	}



/* jump-ex-it-exit */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_908)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_908))->BgL_exitz00);
		}

	}



/* &jump-ex-it-exit */
	BgL_nodez00_bglt BGl_z62jumpzd2exzd2itzd2exitzb0zzast_nodez00(obj_t
		BgL_envz00_7582, obj_t BgL_oz00_7583)
	{
		{	/* Ast/nodetype.sch 1355 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7583));
		}

	}



/* jump-ex-it-exit-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_909, BgL_nodez00_bglt BgL_vz00_910)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_oz00_909))->BgL_exitz00) =
				((BgL_nodez00_bglt) BgL_vz00_910), BUNSPEC);
		}

	}



/* &jump-ex-it-exit-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2exitzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7584, obj_t BgL_oz00_7585, obj_t BgL_vz00_7586)
	{
		{	/* Ast/nodetype.sch 1356 */
			return
				BGl_jumpzd2exzd2itzd2exitzd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7585),
				((BgL_nodez00_bglt) BgL_vz00_7586));
		}

	}



/* jump-ex-it-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_911)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_911)))->BgL_typez00);
		}

	}



/* &jump-ex-it-type */
	BgL_typez00_bglt BGl_z62jumpzd2exzd2itzd2typezb0zzast_nodez00(obj_t
		BgL_envz00_7587, obj_t BgL_oz00_7588)
	{
		{	/* Ast/nodetype.sch 1357 */
			return
				BGl_jumpzd2exzd2itzd2typezd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7588));
		}

	}



/* jump-ex-it-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00
		(BgL_jumpzd2exzd2itz00_bglt BgL_oz00_912, BgL_typez00_bglt BgL_vz00_913)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_912)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_913), BUNSPEC);
		}

	}



/* &jump-ex-it-type-set! */
	obj_t BGl_z62jumpzd2exzd2itzd2typezd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7589, obj_t BgL_oz00_7590, obj_t BgL_vz00_7591)
	{
		{	/* Ast/nodetype.sch 1358 */
			return
				BGl_jumpzd2exzd2itzd2typezd2setz12z12zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7590),
				((BgL_typez00_bglt) BgL_vz00_7591));
		}

	}



/* jump-ex-it-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(BgL_jumpzd2exzd2itz00_bglt
		BgL_oz00_914)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_914)))->BgL_locz00);
		}

	}



/* &jump-ex-it-loc */
	obj_t BGl_z62jumpzd2exzd2itzd2loczb0zzast_nodez00(obj_t BgL_envz00_7592,
		obj_t BgL_oz00_7593)
	{
		{	/* Ast/nodetype.sch 1359 */
			return
				BGl_jumpzd2exzd2itzd2loczd2zzast_nodez00(
				((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7593));
		}

	}



/* make-retblock */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_makezd2retblockzd2zzast_nodez00(obj_t BgL_loc1470z00_917,
		BgL_typez00_bglt BgL_type1471z00_918, BgL_nodez00_bglt BgL_body1472z00_919)
	{
		{	/* Ast/nodetype.sch 1363 */
			{	/* Ast/nodetype.sch 1363 */
				BgL_retblockz00_bglt BgL_new1519z00_9705;

				{	/* Ast/nodetype.sch 1363 */
					BgL_retblockz00_bglt BgL_new1518z00_9706;

					BgL_new1518z00_9706 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/nodetype.sch 1363 */
						long BgL_arg1876z00_9707;

						BgL_arg1876z00_9707 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1518z00_9706), BgL_arg1876z00_9707);
					}
					{	/* Ast/nodetype.sch 1363 */
						BgL_objectz00_bglt BgL_tmpz00_14075;

						BgL_tmpz00_14075 = ((BgL_objectz00_bglt) BgL_new1518z00_9706);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14075, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1518z00_9706);
					BgL_new1519z00_9705 = BgL_new1518z00_9706;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1519z00_9705)))->BgL_locz00) =
					((obj_t) BgL_loc1470z00_917), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1519z00_9705)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1471z00_918), BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1519z00_9705))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1472z00_919), BUNSPEC);
				return BgL_new1519z00_9705;
			}
		}

	}



/* &make-retblock */
	BgL_retblockz00_bglt BGl_z62makezd2retblockzb0zzast_nodez00(obj_t
		BgL_envz00_7594, obj_t BgL_loc1470z00_7595, obj_t BgL_type1471z00_7596,
		obj_t BgL_body1472z00_7597)
	{
		{	/* Ast/nodetype.sch 1363 */
			return
				BGl_makezd2retblockzd2zzast_nodez00(BgL_loc1470z00_7595,
				((BgL_typez00_bglt) BgL_type1471z00_7596),
				((BgL_nodez00_bglt) BgL_body1472z00_7597));
		}

	}



/* retblock? */
	BGL_EXPORTED_DEF bool_t BGl_retblockzf3zf3zzast_nodez00(obj_t BgL_objz00_920)
	{
		{	/* Ast/nodetype.sch 1364 */
			{	/* Ast/nodetype.sch 1364 */
				obj_t BgL_classz00_9708;

				BgL_classz00_9708 = BGl_retblockz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_920))
					{	/* Ast/nodetype.sch 1364 */
						BgL_objectz00_bglt BgL_arg1858z00_9709;

						BgL_arg1858z00_9709 = (BgL_objectz00_bglt) (BgL_objz00_920);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1364 */
								long BgL_idxz00_9710;

								BgL_idxz00_9710 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9709);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9710 + 2L)) == BgL_classz00_9708);
							}
						else
							{	/* Ast/nodetype.sch 1364 */
								bool_t BgL_res3089z00_9713;

								{	/* Ast/nodetype.sch 1364 */
									obj_t BgL_oclassz00_9714;

									{	/* Ast/nodetype.sch 1364 */
										obj_t BgL_arg1866z00_9715;
										long BgL_arg1867z00_9716;

										BgL_arg1866z00_9715 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1364 */
											long BgL_arg1869z00_9717;

											BgL_arg1869z00_9717 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9709);
											BgL_arg1867z00_9716 = (BgL_arg1869z00_9717 - OBJECT_TYPE);
										}
										BgL_oclassz00_9714 =
											VECTOR_REF(BgL_arg1866z00_9715, BgL_arg1867z00_9716);
									}
									{	/* Ast/nodetype.sch 1364 */
										bool_t BgL__ortest_1115z00_9718;

										BgL__ortest_1115z00_9718 =
											(BgL_classz00_9708 == BgL_oclassz00_9714);
										if (BgL__ortest_1115z00_9718)
											{	/* Ast/nodetype.sch 1364 */
												BgL_res3089z00_9713 = BgL__ortest_1115z00_9718;
											}
										else
											{	/* Ast/nodetype.sch 1364 */
												long BgL_odepthz00_9719;

												{	/* Ast/nodetype.sch 1364 */
													obj_t BgL_arg1855z00_9720;

													BgL_arg1855z00_9720 = (BgL_oclassz00_9714);
													BgL_odepthz00_9719 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9720);
												}
												if ((2L < BgL_odepthz00_9719))
													{	/* Ast/nodetype.sch 1364 */
														obj_t BgL_arg1853z00_9721;

														{	/* Ast/nodetype.sch 1364 */
															obj_t BgL_arg1854z00_9722;

															BgL_arg1854z00_9722 = (BgL_oclassz00_9714);
															BgL_arg1853z00_9721 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9722,
																2L);
														}
														BgL_res3089z00_9713 =
															(BgL_arg1853z00_9721 == BgL_classz00_9708);
													}
												else
													{	/* Ast/nodetype.sch 1364 */
														BgL_res3089z00_9713 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3089z00_9713;
							}
					}
				else
					{	/* Ast/nodetype.sch 1364 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &retblock? */
	obj_t BGl_z62retblockzf3z91zzast_nodez00(obj_t BgL_envz00_7598,
		obj_t BgL_objz00_7599)
	{
		{	/* Ast/nodetype.sch 1364 */
			return BBOOL(BGl_retblockzf3zf3zzast_nodez00(BgL_objz00_7599));
		}

	}



/* retblock-nil */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt BGl_retblockzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1365 */
			{	/* Ast/nodetype.sch 1365 */
				obj_t BgL_classz00_5394;

				BgL_classz00_5394 = BGl_retblockz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1365 */
					obj_t BgL__ortest_1117z00_5395;

					BgL__ortest_1117z00_5395 = BGL_CLASS_NIL(BgL_classz00_5394);
					if (CBOOL(BgL__ortest_1117z00_5395))
						{	/* Ast/nodetype.sch 1365 */
							return ((BgL_retblockz00_bglt) BgL__ortest_1117z00_5395);
						}
					else
						{	/* Ast/nodetype.sch 1365 */
							return
								((BgL_retblockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5394));
						}
				}
			}
		}

	}



/* &retblock-nil */
	BgL_retblockz00_bglt BGl_z62retblockzd2nilzb0zzast_nodez00(obj_t
		BgL_envz00_7600)
	{
		{	/* Ast/nodetype.sch 1365 */
			return BGl_retblockzd2nilzd2zzast_nodez00();
		}

	}



/* retblock-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_retblockzd2bodyzd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_921)
	{
		{	/* Ast/nodetype.sch 1366 */
			return (((BgL_retblockz00_bglt) COBJECT(BgL_oz00_921))->BgL_bodyz00);
		}

	}



/* &retblock-body */
	BgL_nodez00_bglt BGl_z62retblockzd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7601,
		obj_t BgL_oz00_7602)
	{
		{	/* Ast/nodetype.sch 1366 */
			return
				BGl_retblockzd2bodyzd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7602));
		}

	}



/* retblock-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_922, BgL_nodez00_bglt BgL_vz00_923)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				((((BgL_retblockz00_bglt) COBJECT(BgL_oz00_922))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_923), BUNSPEC);
		}

	}



/* &retblock-body-set! */
	obj_t BGl_z62retblockzd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7603,
		obj_t BgL_oz00_7604, obj_t BgL_vz00_7605)
	{
		{	/* Ast/nodetype.sch 1367 */
			return
				BGl_retblockzd2bodyzd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7604),
				((BgL_nodez00_bglt) BgL_vz00_7605));
		}

	}



/* retblock-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_retblockzd2typezd2zzast_nodez00(BgL_retblockz00_bglt BgL_oz00_924)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_924)))->BgL_typez00);
		}

	}



/* &retblock-type */
	BgL_typez00_bglt BGl_z62retblockzd2typezb0zzast_nodez00(obj_t BgL_envz00_7606,
		obj_t BgL_oz00_7607)
	{
		{	/* Ast/nodetype.sch 1368 */
			return
				BGl_retblockzd2typezd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7607));
		}

	}



/* retblock-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_retblockzd2typezd2setz12z12zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_925, BgL_typez00_bglt BgL_vz00_926)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_925)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_926), BUNSPEC);
		}

	}



/* &retblock-type-set! */
	obj_t BGl_z62retblockzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7608,
		obj_t BgL_oz00_7609, obj_t BgL_vz00_7610)
	{
		{	/* Ast/nodetype.sch 1369 */
			return
				BGl_retblockzd2typezd2setz12z12zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7609),
				((BgL_typez00_bglt) BgL_vz00_7610));
		}

	}



/* retblock-loc */
	BGL_EXPORTED_DEF obj_t BGl_retblockzd2loczd2zzast_nodez00(BgL_retblockz00_bglt
		BgL_oz00_927)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_927)))->BgL_locz00);
		}

	}



/* &retblock-loc */
	obj_t BGl_z62retblockzd2loczb0zzast_nodez00(obj_t BgL_envz00_7611,
		obj_t BgL_oz00_7612)
	{
		{	/* Ast/nodetype.sch 1370 */
			return
				BGl_retblockzd2loczd2zzast_nodez00(
				((BgL_retblockz00_bglt) BgL_oz00_7612));
		}

	}



/* make-return */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_makezd2returnzd2zzast_nodez00(obj_t
		BgL_loc1464z00_930, BgL_typez00_bglt BgL_type1465z00_931,
		BgL_retblockz00_bglt BgL_block1466z00_932,
		BgL_nodez00_bglt BgL_value1467z00_933)
	{
		{	/* Ast/nodetype.sch 1374 */
			{	/* Ast/nodetype.sch 1374 */
				BgL_returnz00_bglt BgL_new1521z00_9723;

				{	/* Ast/nodetype.sch 1374 */
					BgL_returnz00_bglt BgL_new1520z00_9724;

					BgL_new1520z00_9724 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/nodetype.sch 1374 */
						long BgL_arg1878z00_9725;

						BgL_arg1878z00_9725 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1520z00_9724), BgL_arg1878z00_9725);
					}
					{	/* Ast/nodetype.sch 1374 */
						BgL_objectz00_bglt BgL_tmpz00_14142;

						BgL_tmpz00_14142 = ((BgL_objectz00_bglt) BgL_new1520z00_9724);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14142, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1520z00_9724);
					BgL_new1521z00_9723 = BgL_new1520z00_9724;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1521z00_9723)))->BgL_locz00) =
					((obj_t) BgL_loc1464z00_930), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1521z00_9723)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1465z00_931), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1521z00_9723))->BgL_blockz00) =
					((BgL_retblockz00_bglt) BgL_block1466z00_932), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1521z00_9723))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1467z00_933), BUNSPEC);
				return BgL_new1521z00_9723;
			}
		}

	}



/* &make-return */
	BgL_returnz00_bglt BGl_z62makezd2returnzb0zzast_nodez00(obj_t BgL_envz00_7613,
		obj_t BgL_loc1464z00_7614, obj_t BgL_type1465z00_7615,
		obj_t BgL_block1466z00_7616, obj_t BgL_value1467z00_7617)
	{
		{	/* Ast/nodetype.sch 1374 */
			return
				BGl_makezd2returnzd2zzast_nodez00(BgL_loc1464z00_7614,
				((BgL_typez00_bglt) BgL_type1465z00_7615),
				((BgL_retblockz00_bglt) BgL_block1466z00_7616),
				((BgL_nodez00_bglt) BgL_value1467z00_7617));
		}

	}



/* return? */
	BGL_EXPORTED_DEF bool_t BGl_returnzf3zf3zzast_nodez00(obj_t BgL_objz00_934)
	{
		{	/* Ast/nodetype.sch 1375 */
			{	/* Ast/nodetype.sch 1375 */
				obj_t BgL_classz00_9726;

				BgL_classz00_9726 = BGl_returnz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_934))
					{	/* Ast/nodetype.sch 1375 */
						BgL_objectz00_bglt BgL_arg1858z00_9727;

						BgL_arg1858z00_9727 = (BgL_objectz00_bglt) (BgL_objz00_934);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1375 */
								long BgL_idxz00_9728;

								BgL_idxz00_9728 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9727);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9728 + 2L)) == BgL_classz00_9726);
							}
						else
							{	/* Ast/nodetype.sch 1375 */
								bool_t BgL_res3090z00_9731;

								{	/* Ast/nodetype.sch 1375 */
									obj_t BgL_oclassz00_9732;

									{	/* Ast/nodetype.sch 1375 */
										obj_t BgL_arg1866z00_9733;
										long BgL_arg1867z00_9734;

										BgL_arg1866z00_9733 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1375 */
											long BgL_arg1869z00_9735;

											BgL_arg1869z00_9735 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9727);
											BgL_arg1867z00_9734 = (BgL_arg1869z00_9735 - OBJECT_TYPE);
										}
										BgL_oclassz00_9732 =
											VECTOR_REF(BgL_arg1866z00_9733, BgL_arg1867z00_9734);
									}
									{	/* Ast/nodetype.sch 1375 */
										bool_t BgL__ortest_1115z00_9736;

										BgL__ortest_1115z00_9736 =
											(BgL_classz00_9726 == BgL_oclassz00_9732);
										if (BgL__ortest_1115z00_9736)
											{	/* Ast/nodetype.sch 1375 */
												BgL_res3090z00_9731 = BgL__ortest_1115z00_9736;
											}
										else
											{	/* Ast/nodetype.sch 1375 */
												long BgL_odepthz00_9737;

												{	/* Ast/nodetype.sch 1375 */
													obj_t BgL_arg1855z00_9738;

													BgL_arg1855z00_9738 = (BgL_oclassz00_9732);
													BgL_odepthz00_9737 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9738);
												}
												if ((2L < BgL_odepthz00_9737))
													{	/* Ast/nodetype.sch 1375 */
														obj_t BgL_arg1853z00_9739;

														{	/* Ast/nodetype.sch 1375 */
															obj_t BgL_arg1854z00_9740;

															BgL_arg1854z00_9740 = (BgL_oclassz00_9732);
															BgL_arg1853z00_9739 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9740,
																2L);
														}
														BgL_res3090z00_9731 =
															(BgL_arg1853z00_9739 == BgL_classz00_9726);
													}
												else
													{	/* Ast/nodetype.sch 1375 */
														BgL_res3090z00_9731 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3090z00_9731;
							}
					}
				else
					{	/* Ast/nodetype.sch 1375 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &return? */
	obj_t BGl_z62returnzf3z91zzast_nodez00(obj_t BgL_envz00_7618,
		obj_t BgL_objz00_7619)
	{
		{	/* Ast/nodetype.sch 1375 */
			return BBOOL(BGl_returnzf3zf3zzast_nodez00(BgL_objz00_7619));
		}

	}



/* return-nil */
	BGL_EXPORTED_DEF BgL_returnz00_bglt BGl_returnzd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1376 */
			{	/* Ast/nodetype.sch 1376 */
				obj_t BgL_classz00_5437;

				BgL_classz00_5437 = BGl_returnz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1376 */
					obj_t BgL__ortest_1117z00_5438;

					BgL__ortest_1117z00_5438 = BGL_CLASS_NIL(BgL_classz00_5437);
					if (CBOOL(BgL__ortest_1117z00_5438))
						{	/* Ast/nodetype.sch 1376 */
							return ((BgL_returnz00_bglt) BgL__ortest_1117z00_5438);
						}
					else
						{	/* Ast/nodetype.sch 1376 */
							return
								((BgL_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5437));
						}
				}
			}
		}

	}



/* &return-nil */
	BgL_returnz00_bglt BGl_z62returnzd2nilzb0zzast_nodez00(obj_t BgL_envz00_7620)
	{
		{	/* Ast/nodetype.sch 1376 */
			return BGl_returnzd2nilzd2zzast_nodez00();
		}

	}



/* return-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_returnzd2valuezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_935)
	{
		{	/* Ast/nodetype.sch 1377 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_935))->BgL_valuez00);
		}

	}



/* &return-value */
	BgL_nodez00_bglt BGl_z62returnzd2valuezb0zzast_nodez00(obj_t BgL_envz00_7621,
		obj_t BgL_oz00_7622)
	{
		{	/* Ast/nodetype.sch 1377 */
			return
				BGl_returnzd2valuezd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7622));
		}

	}



/* return-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2valuezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_936,
		BgL_nodez00_bglt BgL_vz00_937)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_936))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_937), BUNSPEC);
		}

	}



/* &return-value-set! */
	obj_t BGl_z62returnzd2valuezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7623,
		obj_t BgL_oz00_7624, obj_t BgL_vz00_7625)
	{
		{	/* Ast/nodetype.sch 1378 */
			return
				BGl_returnzd2valuezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7624),
				((BgL_nodez00_bglt) BgL_vz00_7625));
		}

	}



/* return-block */
	BGL_EXPORTED_DEF BgL_retblockz00_bglt
		BGl_returnzd2blockzd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_938)
	{
		{	/* Ast/nodetype.sch 1379 */
			return (((BgL_returnz00_bglt) COBJECT(BgL_oz00_938))->BgL_blockz00);
		}

	}



/* &return-block */
	BgL_retblockz00_bglt BGl_z62returnzd2blockzb0zzast_nodez00(obj_t
		BgL_envz00_7626, obj_t BgL_oz00_7627)
	{
		{	/* Ast/nodetype.sch 1379 */
			return
				BGl_returnzd2blockzd2zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7627));
		}

	}



/* return-block-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2blockzd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_939,
		BgL_retblockz00_bglt BgL_vz00_940)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				((((BgL_returnz00_bglt) COBJECT(BgL_oz00_939))->BgL_blockz00) =
				((BgL_retblockz00_bglt) BgL_vz00_940), BUNSPEC);
		}

	}



/* &return-block-set! */
	obj_t BGl_z62returnzd2blockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7628,
		obj_t BgL_oz00_7629, obj_t BgL_vz00_7630)
	{
		{	/* Ast/nodetype.sch 1380 */
			return
				BGl_returnzd2blockzd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7629),
				((BgL_retblockz00_bglt) BgL_vz00_7630));
		}

	}



/* return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_returnzd2typezd2zzast_nodez00(BgL_returnz00_bglt BgL_oz00_941)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_941)))->BgL_typez00);
		}

	}



/* &return-type */
	BgL_typez00_bglt BGl_z62returnzd2typezb0zzast_nodez00(obj_t BgL_envz00_7631,
		obj_t BgL_oz00_7632)
	{
		{	/* Ast/nodetype.sch 1381 */
			return
				BGl_returnzd2typezd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7632));
		}

	}



/* return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_returnzd2typezd2setz12z12zzast_nodez00(BgL_returnz00_bglt BgL_oz00_942,
		BgL_typez00_bglt BgL_vz00_943)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_942)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_943), BUNSPEC);
		}

	}



/* &return-type-set! */
	obj_t BGl_z62returnzd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7633,
		obj_t BgL_oz00_7634, obj_t BgL_vz00_7635)
	{
		{	/* Ast/nodetype.sch 1382 */
			return
				BGl_returnzd2typezd2setz12z12zzast_nodez00(
				((BgL_returnz00_bglt) BgL_oz00_7634),
				((BgL_typez00_bglt) BgL_vz00_7635));
		}

	}



/* return-loc */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2loczd2zzast_nodez00(BgL_returnz00_bglt
		BgL_oz00_944)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_944)))->BgL_locz00);
		}

	}



/* &return-loc */
	obj_t BGl_z62returnzd2loczb0zzast_nodez00(obj_t BgL_envz00_7636,
		obj_t BgL_oz00_7637)
	{
		{	/* Ast/nodetype.sch 1383 */
			return
				BGl_returnzd2loczd2zzast_nodez00(((BgL_returnz00_bglt) BgL_oz00_7637));
		}

	}



/* make-make-box */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2makezd2boxz00zzast_nodez00(obj_t BgL_loc1456z00_947,
		BgL_typez00_bglt BgL_type1457z00_948, obj_t BgL_sidezd2effect1458zd2_949,
		obj_t BgL_key1459z00_950, BgL_nodez00_bglt BgL_value1460z00_951,
		BgL_typez00_bglt BgL_vtype1461z00_952, obj_t BgL_stackable1462z00_953)
	{
		{	/* Ast/nodetype.sch 1387 */
			{	/* Ast/nodetype.sch 1387 */
				BgL_makezd2boxzd2_bglt BgL_new1523z00_9741;

				{	/* Ast/nodetype.sch 1387 */
					BgL_makezd2boxzd2_bglt BgL_new1522z00_9742;

					BgL_new1522z00_9742 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/nodetype.sch 1387 */
						long BgL_arg1882z00_9743;

						BgL_arg1882z00_9743 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1522z00_9742), BgL_arg1882z00_9743);
					}
					{	/* Ast/nodetype.sch 1387 */
						BgL_objectz00_bglt BgL_tmpz00_14218;

						BgL_tmpz00_14218 = ((BgL_objectz00_bglt) BgL_new1522z00_9742);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14218, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1522z00_9742);
					BgL_new1523z00_9741 = BgL_new1522z00_9742;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1523z00_9741)))->BgL_locz00) =
					((obj_t) BgL_loc1456z00_947), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1523z00_9741)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1457z00_948), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1523z00_9741)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1458zd2_949), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1523z00_9741)))->BgL_keyz00) =
					((obj_t) BgL_key1459z00_950), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1523z00_9741))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_value1460z00_951), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1523z00_9741))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1461z00_952), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1523z00_9741))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1462z00_953), BUNSPEC);
				return BgL_new1523z00_9741;
			}
		}

	}



/* &make-make-box */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2makezd2boxz62zzast_nodez00(obj_t
		BgL_envz00_7638, obj_t BgL_loc1456z00_7639, obj_t BgL_type1457z00_7640,
		obj_t BgL_sidezd2effect1458zd2_7641, obj_t BgL_key1459z00_7642,
		obj_t BgL_value1460z00_7643, obj_t BgL_vtype1461z00_7644,
		obj_t BgL_stackable1462z00_7645)
	{
		{	/* Ast/nodetype.sch 1387 */
			return
				BGl_makezd2makezd2boxz00zzast_nodez00(BgL_loc1456z00_7639,
				((BgL_typez00_bglt) BgL_type1457z00_7640),
				BgL_sidezd2effect1458zd2_7641, BgL_key1459z00_7642,
				((BgL_nodez00_bglt) BgL_value1460z00_7643),
				((BgL_typez00_bglt) BgL_vtype1461z00_7644), BgL_stackable1462z00_7645);
		}

	}



/* make-box? */
	BGL_EXPORTED_DEF bool_t BGl_makezd2boxzf3z21zzast_nodez00(obj_t
		BgL_objz00_954)
	{
		{	/* Ast/nodetype.sch 1388 */
			{	/* Ast/nodetype.sch 1388 */
				obj_t BgL_classz00_9744;

				BgL_classz00_9744 = BGl_makezd2boxzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_954))
					{	/* Ast/nodetype.sch 1388 */
						BgL_objectz00_bglt BgL_arg1858z00_9745;

						BgL_arg1858z00_9745 = (BgL_objectz00_bglt) (BgL_objz00_954);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1388 */
								long BgL_idxz00_9746;

								BgL_idxz00_9746 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9745);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9746 + 3L)) == BgL_classz00_9744);
							}
						else
							{	/* Ast/nodetype.sch 1388 */
								bool_t BgL_res3091z00_9749;

								{	/* Ast/nodetype.sch 1388 */
									obj_t BgL_oclassz00_9750;

									{	/* Ast/nodetype.sch 1388 */
										obj_t BgL_arg1866z00_9751;
										long BgL_arg1867z00_9752;

										BgL_arg1866z00_9751 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1388 */
											long BgL_arg1869z00_9753;

											BgL_arg1869z00_9753 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9745);
											BgL_arg1867z00_9752 = (BgL_arg1869z00_9753 - OBJECT_TYPE);
										}
										BgL_oclassz00_9750 =
											VECTOR_REF(BgL_arg1866z00_9751, BgL_arg1867z00_9752);
									}
									{	/* Ast/nodetype.sch 1388 */
										bool_t BgL__ortest_1115z00_9754;

										BgL__ortest_1115z00_9754 =
											(BgL_classz00_9744 == BgL_oclassz00_9750);
										if (BgL__ortest_1115z00_9754)
											{	/* Ast/nodetype.sch 1388 */
												BgL_res3091z00_9749 = BgL__ortest_1115z00_9754;
											}
										else
											{	/* Ast/nodetype.sch 1388 */
												long BgL_odepthz00_9755;

												{	/* Ast/nodetype.sch 1388 */
													obj_t BgL_arg1855z00_9756;

													BgL_arg1855z00_9756 = (BgL_oclassz00_9750);
													BgL_odepthz00_9755 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9756);
												}
												if ((3L < BgL_odepthz00_9755))
													{	/* Ast/nodetype.sch 1388 */
														obj_t BgL_arg1853z00_9757;

														{	/* Ast/nodetype.sch 1388 */
															obj_t BgL_arg1854z00_9758;

															BgL_arg1854z00_9758 = (BgL_oclassz00_9750);
															BgL_arg1853z00_9757 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9758,
																3L);
														}
														BgL_res3091z00_9749 =
															(BgL_arg1853z00_9757 == BgL_classz00_9744);
													}
												else
													{	/* Ast/nodetype.sch 1388 */
														BgL_res3091z00_9749 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3091z00_9749;
							}
					}
				else
					{	/* Ast/nodetype.sch 1388 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &make-box? */
	obj_t BGl_z62makezd2boxzf3z43zzast_nodez00(obj_t BgL_envz00_7646,
		obj_t BgL_objz00_7647)
	{
		{	/* Ast/nodetype.sch 1388 */
			return BBOOL(BGl_makezd2boxzf3z21zzast_nodez00(BgL_objz00_7647));
		}

	}



/* make-box-nil */
	BGL_EXPORTED_DEF BgL_makezd2boxzd2_bglt
		BGl_makezd2boxzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1389 */
			{	/* Ast/nodetype.sch 1389 */
				obj_t BgL_classz00_5480;

				BgL_classz00_5480 = BGl_makezd2boxzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1389 */
					obj_t BgL__ortest_1117z00_5481;

					BgL__ortest_1117z00_5481 = BGL_CLASS_NIL(BgL_classz00_5480);
					if (CBOOL(BgL__ortest_1117z00_5481))
						{	/* Ast/nodetype.sch 1389 */
							return ((BgL_makezd2boxzd2_bglt) BgL__ortest_1117z00_5481);
						}
					else
						{	/* Ast/nodetype.sch 1389 */
							return
								((BgL_makezd2boxzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5480));
						}
				}
			}
		}

	}



/* &make-box-nil */
	BgL_makezd2boxzd2_bglt BGl_z62makezd2boxzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7648)
	{
		{	/* Ast/nodetype.sch 1389 */
			return BGl_makezd2boxzd2nilz00zzast_nodez00();
		}

	}



/* make-box-stackable */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablez00zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_955)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_955))->BgL_stackablez00);
		}

	}



/* &make-box-stackable */
	obj_t BGl_z62makezd2boxzd2stackablez62zzast_nodez00(obj_t BgL_envz00_7649,
		obj_t BgL_oz00_7650)
	{
		{	/* Ast/nodetype.sch 1390 */
			return
				BGl_makezd2boxzd2stackablez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7650));
		}

	}



/* make-box-stackable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_956, obj_t BgL_vz00_957)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_956))->BgL_stackablez00) =
				((obj_t) BgL_vz00_957), BUNSPEC);
		}

	}



/* &make-box-stackable-set! */
	obj_t BGl_z62makezd2boxzd2stackablezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7651, obj_t BgL_oz00_7652, obj_t BgL_vz00_7653)
	{
		{	/* Ast/nodetype.sch 1391 */
			return
				BGl_makezd2boxzd2stackablezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7652), BgL_vz00_7653);
		}

	}



/* make-box-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2vtypez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_958)
	{
		{	/* Ast/nodetype.sch 1392 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_958))->BgL_vtypez00);
		}

	}



/* &make-box-vtype */
	BgL_typez00_bglt BGl_z62makezd2boxzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7654, obj_t BgL_oz00_7655)
	{
		{	/* Ast/nodetype.sch 1392 */
			return
				BGl_makezd2boxzd2vtypez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7655));
		}

	}



/* make-box-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_959, BgL_typez00_bglt BgL_vz00_960)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_959))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_960), BUNSPEC);
		}

	}



/* &make-box-vtype-set! */
	obj_t BGl_z62makezd2boxzd2vtypezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7656, obj_t BgL_oz00_7657, obj_t BgL_vz00_7658)
	{
		{	/* Ast/nodetype.sch 1393 */
			return
				BGl_makezd2boxzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7657),
				((BgL_typez00_bglt) BgL_vz00_7658));
		}

	}



/* make-box-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_makezd2boxzd2valuez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_961)
	{
		{	/* Ast/nodetype.sch 1394 */
			return (((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_961))->BgL_valuez00);
		}

	}



/* &make-box-value */
	BgL_nodez00_bglt BGl_z62makezd2boxzd2valuez62zzast_nodez00(obj_t
		BgL_envz00_7659, obj_t BgL_oz00_7660)
	{
		{	/* Ast/nodetype.sch 1394 */
			return
				BGl_makezd2boxzd2valuez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7660));
		}

	}



/* make-box-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_962, BgL_nodez00_bglt BgL_vz00_963)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_oz00_962))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_963), BUNSPEC);
		}

	}



/* &make-box-value-set! */
	obj_t BGl_z62makezd2boxzd2valuezd2setz12za2zzast_nodez00(obj_t
		BgL_envz00_7661, obj_t BgL_oz00_7662, obj_t BgL_vz00_7663)
	{
		{	/* Ast/nodetype.sch 1395 */
			return
				BGl_makezd2boxzd2valuezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7662),
				((BgL_nodez00_bglt) BgL_vz00_7663));
		}

	}



/* make-box-key */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_964)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_964)))->BgL_keyz00);
		}

	}



/* &make-box-key */
	obj_t BGl_z62makezd2boxzd2keyz62zzast_nodez00(obj_t BgL_envz00_7664,
		obj_t BgL_oz00_7665)
	{
		{	/* Ast/nodetype.sch 1396 */
			return
				BGl_makezd2boxzd2keyz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7665));
		}

	}



/* make-box-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_965, obj_t BgL_vz00_966)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_965)))->BgL_keyz00) =
				((obj_t) BgL_vz00_966), BUNSPEC);
		}

	}



/* &make-box-key-set! */
	obj_t BGl_z62makezd2boxzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7666,
		obj_t BgL_oz00_7667, obj_t BgL_vz00_7668)
	{
		{	/* Ast/nodetype.sch 1397 */
			return
				BGl_makezd2boxzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7667), BgL_vz00_7668);
		}

	}



/* make-box-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_967)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_967)))->BgL_sidezd2effectzd2);
		}

	}



/* &make-box-side-effect */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7669,
		obj_t BgL_oz00_7670)
	{
		{	/* Ast/nodetype.sch 1398 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7670));
		}

	}



/* make-box-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00
		(BgL_makezd2boxzd2_bglt BgL_oz00_968, obj_t BgL_vz00_969)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_968)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_969), BUNSPEC);
		}

	}



/* &make-box-side-effect-set! */
	obj_t BGl_z62makezd2boxzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7671, obj_t BgL_oz00_7672, obj_t BgL_vz00_7673)
	{
		{	/* Ast/nodetype.sch 1399 */
			return
				BGl_makezd2boxzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7672), BgL_vz00_7673);
		}

	}



/* make-box-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_makezd2boxzd2typez00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_970)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_970)))->BgL_typez00);
		}

	}



/* &make-box-type */
	BgL_typez00_bglt BGl_z62makezd2boxzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7674, obj_t BgL_oz00_7675)
	{
		{	/* Ast/nodetype.sch 1400 */
			return
				BGl_makezd2boxzd2typez00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7675));
		}

	}



/* make-box-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(BgL_makezd2boxzd2_bglt
		BgL_oz00_971, BgL_typez00_bglt BgL_vz00_972)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_971)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_972), BUNSPEC);
		}

	}



/* &make-box-type-set! */
	obj_t BGl_z62makezd2boxzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7676,
		obj_t BgL_oz00_7677, obj_t BgL_vz00_7678)
	{
		{	/* Ast/nodetype.sch 1401 */
			return
				BGl_makezd2boxzd2typezd2setz12zc0zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7677),
				((BgL_typez00_bglt) BgL_vz00_7678));
		}

	}



/* make-box-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2boxzd2locz00zzast_nodez00(BgL_makezd2boxzd2_bglt BgL_oz00_973)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_973)))->BgL_locz00);
		}

	}



/* &make-box-loc */
	obj_t BGl_z62makezd2boxzd2locz62zzast_nodez00(obj_t BgL_envz00_7679,
		obj_t BgL_oz00_7680)
	{
		{	/* Ast/nodetype.sch 1402 */
			return
				BGl_makezd2boxzd2locz00zzast_nodez00(
				((BgL_makezd2boxzd2_bglt) BgL_oz00_7680));
		}

	}



/* make-box-ref */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_makezd2boxzd2refz00zzast_nodez00(obj_t BgL_loc1448z00_976,
		BgL_typez00_bglt BgL_type1449z00_977, obj_t BgL_sidezd2effect1450zd2_978,
		obj_t BgL_key1451z00_979, BgL_varz00_bglt BgL_var1452z00_980,
		BgL_typez00_bglt BgL_vtype1453z00_981)
	{
		{	/* Ast/nodetype.sch 1406 */
			{	/* Ast/nodetype.sch 1406 */
				BgL_boxzd2refzd2_bglt BgL_new1525z00_9759;

				{	/* Ast/nodetype.sch 1406 */
					BgL_boxzd2refzd2_bglt BgL_new1524z00_9760;

					BgL_new1524z00_9760 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/nodetype.sch 1406 */
						long BgL_arg1884z00_9761;

						BgL_arg1884z00_9761 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1524z00_9760), BgL_arg1884z00_9761);
					}
					{	/* Ast/nodetype.sch 1406 */
						BgL_objectz00_bglt BgL_tmpz00_14321;

						BgL_tmpz00_14321 = ((BgL_objectz00_bglt) BgL_new1524z00_9760);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14321, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1524z00_9760);
					BgL_new1525z00_9759 = BgL_new1524z00_9760;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1525z00_9759)))->BgL_locz00) =
					((obj_t) BgL_loc1448z00_976), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1525z00_9759)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1449z00_977), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1525z00_9759)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1450zd2_978), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1525z00_9759)))->BgL_keyz00) =
					((obj_t) BgL_key1451z00_979), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1525z00_9759))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_var1452z00_980), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1525z00_9759))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1453z00_981), BUNSPEC);
				return BgL_new1525z00_9759;
			}
		}

	}



/* &make-box-ref */
	BgL_boxzd2refzd2_bglt BGl_z62makezd2boxzd2refz62zzast_nodez00(obj_t
		BgL_envz00_7681, obj_t BgL_loc1448z00_7682, obj_t BgL_type1449z00_7683,
		obj_t BgL_sidezd2effect1450zd2_7684, obj_t BgL_key1451z00_7685,
		obj_t BgL_var1452z00_7686, obj_t BgL_vtype1453z00_7687)
	{
		{	/* Ast/nodetype.sch 1406 */
			return
				BGl_makezd2boxzd2refz00zzast_nodez00(BgL_loc1448z00_7682,
				((BgL_typez00_bglt) BgL_type1449z00_7683),
				BgL_sidezd2effect1450zd2_7684, BgL_key1451z00_7685,
				((BgL_varz00_bglt) BgL_var1452z00_7686),
				((BgL_typez00_bglt) BgL_vtype1453z00_7687));
		}

	}



/* box-ref? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2refzf3z21zzast_nodez00(obj_t BgL_objz00_982)
	{
		{	/* Ast/nodetype.sch 1407 */
			{	/* Ast/nodetype.sch 1407 */
				obj_t BgL_classz00_9762;

				BgL_classz00_9762 = BGl_boxzd2refzd2zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_982))
					{	/* Ast/nodetype.sch 1407 */
						BgL_objectz00_bglt BgL_arg1858z00_9763;

						BgL_arg1858z00_9763 = (BgL_objectz00_bglt) (BgL_objz00_982);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1407 */
								long BgL_idxz00_9764;

								BgL_idxz00_9764 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9763);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9764 + 3L)) == BgL_classz00_9762);
							}
						else
							{	/* Ast/nodetype.sch 1407 */
								bool_t BgL_res3092z00_9767;

								{	/* Ast/nodetype.sch 1407 */
									obj_t BgL_oclassz00_9768;

									{	/* Ast/nodetype.sch 1407 */
										obj_t BgL_arg1866z00_9769;
										long BgL_arg1867z00_9770;

										BgL_arg1866z00_9769 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1407 */
											long BgL_arg1869z00_9771;

											BgL_arg1869z00_9771 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9763);
											BgL_arg1867z00_9770 = (BgL_arg1869z00_9771 - OBJECT_TYPE);
										}
										BgL_oclassz00_9768 =
											VECTOR_REF(BgL_arg1866z00_9769, BgL_arg1867z00_9770);
									}
									{	/* Ast/nodetype.sch 1407 */
										bool_t BgL__ortest_1115z00_9772;

										BgL__ortest_1115z00_9772 =
											(BgL_classz00_9762 == BgL_oclassz00_9768);
										if (BgL__ortest_1115z00_9772)
											{	/* Ast/nodetype.sch 1407 */
												BgL_res3092z00_9767 = BgL__ortest_1115z00_9772;
											}
										else
											{	/* Ast/nodetype.sch 1407 */
												long BgL_odepthz00_9773;

												{	/* Ast/nodetype.sch 1407 */
													obj_t BgL_arg1855z00_9774;

													BgL_arg1855z00_9774 = (BgL_oclassz00_9768);
													BgL_odepthz00_9773 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9774);
												}
												if ((3L < BgL_odepthz00_9773))
													{	/* Ast/nodetype.sch 1407 */
														obj_t BgL_arg1853z00_9775;

														{	/* Ast/nodetype.sch 1407 */
															obj_t BgL_arg1854z00_9776;

															BgL_arg1854z00_9776 = (BgL_oclassz00_9768);
															BgL_arg1853z00_9775 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9776,
																3L);
														}
														BgL_res3092z00_9767 =
															(BgL_arg1853z00_9775 == BgL_classz00_9762);
													}
												else
													{	/* Ast/nodetype.sch 1407 */
														BgL_res3092z00_9767 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3092z00_9767;
							}
					}
				else
					{	/* Ast/nodetype.sch 1407 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-ref? */
	obj_t BGl_z62boxzd2refzf3z43zzast_nodez00(obj_t BgL_envz00_7688,
		obj_t BgL_objz00_7689)
	{
		{	/* Ast/nodetype.sch 1407 */
			return BBOOL(BGl_boxzd2refzf3z21zzast_nodez00(BgL_objz00_7689));
		}

	}



/* box-ref-nil */
	BGL_EXPORTED_DEF BgL_boxzd2refzd2_bglt
		BGl_boxzd2refzd2nilz00zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1408 */
			{	/* Ast/nodetype.sch 1408 */
				obj_t BgL_classz00_5523;

				BgL_classz00_5523 = BGl_boxzd2refzd2zzast_nodez00;
				{	/* Ast/nodetype.sch 1408 */
					obj_t BgL__ortest_1117z00_5524;

					BgL__ortest_1117z00_5524 = BGL_CLASS_NIL(BgL_classz00_5523);
					if (CBOOL(BgL__ortest_1117z00_5524))
						{	/* Ast/nodetype.sch 1408 */
							return ((BgL_boxzd2refzd2_bglt) BgL__ortest_1117z00_5524);
						}
					else
						{	/* Ast/nodetype.sch 1408 */
							return
								((BgL_boxzd2refzd2_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5523));
						}
				}
			}
		}

	}



/* &box-ref-nil */
	BgL_boxzd2refzd2_bglt BGl_z62boxzd2refzd2nilz62zzast_nodez00(obj_t
		BgL_envz00_7690)
	{
		{	/* Ast/nodetype.sch 1408 */
			return BGl_boxzd2refzd2nilz00zzast_nodez00();
		}

	}



/* box-ref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2vtypez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_983)
	{
		{	/* Ast/nodetype.sch 1409 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_983))->BgL_vtypez00);
		}

	}



/* &box-ref-vtype */
	BgL_typez00_bglt BGl_z62boxzd2refzd2vtypez62zzast_nodez00(obj_t
		BgL_envz00_7691, obj_t BgL_oz00_7692)
	{
		{	/* Ast/nodetype.sch 1409 */
			return
				BGl_boxzd2refzd2vtypez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7692));
		}

	}



/* box-ref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_984, BgL_typez00_bglt BgL_vz00_985)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_984))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_985), BUNSPEC);
		}

	}



/* &box-ref-vtype-set! */
	obj_t BGl_z62boxzd2refzd2vtypezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7693,
		obj_t BgL_oz00_7694, obj_t BgL_vz00_7695)
	{
		{	/* Ast/nodetype.sch 1410 */
			return
				BGl_boxzd2refzd2vtypezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7694),
				((BgL_typez00_bglt) BgL_vz00_7695));
		}

	}



/* box-ref-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2refzd2varz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_986)
	{
		{	/* Ast/nodetype.sch 1411 */
			return (((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_986))->BgL_varz00);
		}

	}



/* &box-ref-var */
	BgL_varz00_bglt BGl_z62boxzd2refzd2varz62zzast_nodez00(obj_t BgL_envz00_7696,
		obj_t BgL_oz00_7697)
	{
		{	/* Ast/nodetype.sch 1411 */
			return
				BGl_boxzd2refzd2varz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7697));
		}

	}



/* box-ref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_987, BgL_varz00_bglt BgL_vz00_988)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_oz00_987))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_988), BUNSPEC);
		}

	}



/* &box-ref-var-set! */
	obj_t BGl_z62boxzd2refzd2varzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7698,
		obj_t BgL_oz00_7699, obj_t BgL_vz00_7700)
	{
		{	/* Ast/nodetype.sch 1412 */
			return
				BGl_boxzd2refzd2varzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7699),
				((BgL_varz00_bglt) BgL_vz00_7700));
		}

	}



/* box-ref-key */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_989)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_989)))->BgL_keyz00);
		}

	}



/* &box-ref-key */
	obj_t BGl_z62boxzd2refzd2keyz62zzast_nodez00(obj_t BgL_envz00_7701,
		obj_t BgL_oz00_7702)
	{
		{	/* Ast/nodetype.sch 1413 */
			return
				BGl_boxzd2refzd2keyz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7702));
		}

	}



/* box-ref-key-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_990, obj_t BgL_vz00_991)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_990)))->BgL_keyz00) =
				((obj_t) BgL_vz00_991), BUNSPEC);
		}

	}



/* &box-ref-key-set! */
	obj_t BGl_z62boxzd2refzd2keyzd2setz12za2zzast_nodez00(obj_t BgL_envz00_7703,
		obj_t BgL_oz00_7704, obj_t BgL_vz00_7705)
	{
		{	/* Ast/nodetype.sch 1414 */
			return
				BGl_boxzd2refzd2keyzd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7704), BgL_vz00_7705);
		}

	}



/* box-ref-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_992)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_992)))->BgL_sidezd2effectzd2);
		}

	}



/* &box-ref-side-effect */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzb0zzast_nodez00(obj_t BgL_envz00_7706,
		obj_t BgL_oz00_7707)
	{
		{	/* Ast/nodetype.sch 1415 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7707));
		}

	}



/* box-ref-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_993, obj_t BgL_vz00_994)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_993)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_994), BUNSPEC);
		}

	}



/* &box-ref-side-effect-set! */
	obj_t BGl_z62boxzd2refzd2sidezd2effectzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7708, obj_t BgL_oz00_7709, obj_t BgL_vz00_7710)
	{
		{	/* Ast/nodetype.sch 1416 */
			return
				BGl_boxzd2refzd2sidezd2effectzd2setz12z12zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7709), BgL_vz00_7710);
		}

	}



/* box-ref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2refzd2typez00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_995)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_995)))->BgL_typez00);
		}

	}



/* &box-ref-type */
	BgL_typez00_bglt BGl_z62boxzd2refzd2typez62zzast_nodez00(obj_t
		BgL_envz00_7711, obj_t BgL_oz00_7712)
	{
		{	/* Ast/nodetype.sch 1417 */
			return
				BGl_boxzd2refzd2typez00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7712));
		}

	}



/* box-ref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(BgL_boxzd2refzd2_bglt
		BgL_oz00_996, BgL_typez00_bglt BgL_vz00_997)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_996)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_997), BUNSPEC);
		}

	}



/* &box-ref-type-set! */
	obj_t BGl_z62boxzd2refzd2typezd2setz12za2zzast_nodez00(obj_t BgL_envz00_7713,
		obj_t BgL_oz00_7714, obj_t BgL_vz00_7715)
	{
		{	/* Ast/nodetype.sch 1418 */
			return
				BGl_boxzd2refzd2typezd2setz12zc0zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7714),
				((BgL_typez00_bglt) BgL_vz00_7715));
		}

	}



/* box-ref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2refzd2locz00zzast_nodez00(BgL_boxzd2refzd2_bglt BgL_oz00_998)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_998)))->BgL_locz00);
		}

	}



/* &box-ref-loc */
	obj_t BGl_z62boxzd2refzd2locz62zzast_nodez00(obj_t BgL_envz00_7716,
		obj_t BgL_oz00_7717)
	{
		{	/* Ast/nodetype.sch 1419 */
			return
				BGl_boxzd2refzd2locz00zzast_nodez00(
				((BgL_boxzd2refzd2_bglt) BgL_oz00_7717));
		}

	}



/* make-box-set! */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_makezd2boxzd2setz12z12zzast_nodez00(obj_t BgL_loc1442z00_1001,
		BgL_typez00_bglt BgL_type1443z00_1002, BgL_varz00_bglt BgL_var1444z00_1003,
		BgL_nodez00_bglt BgL_value1445z00_1004,
		BgL_typez00_bglt BgL_vtype1446z00_1005)
	{
		{	/* Ast/nodetype.sch 1423 */
			{	/* Ast/nodetype.sch 1423 */
				BgL_boxzd2setz12zc0_bglt BgL_new1527z00_9777;

				{	/* Ast/nodetype.sch 1423 */
					BgL_boxzd2setz12zc0_bglt BgL_new1526z00_9778;

					BgL_new1526z00_9778 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/nodetype.sch 1423 */
						long BgL_arg1885z00_9779;

						BgL_arg1885z00_9779 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1526z00_9778), BgL_arg1885z00_9779);
					}
					{	/* Ast/nodetype.sch 1423 */
						BgL_objectz00_bglt BgL_tmpz00_14417;

						BgL_tmpz00_14417 = ((BgL_objectz00_bglt) BgL_new1526z00_9778);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14417, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1526z00_9778);
					BgL_new1527z00_9777 = BgL_new1526z00_9778;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1527z00_9777)))->BgL_locz00) =
					((obj_t) BgL_loc1442z00_1001), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1527z00_9777)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1443z00_1002), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1527z00_9777))->
						BgL_varz00) = ((BgL_varz00_bglt) BgL_var1444z00_1003), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1527z00_9777))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_value1445z00_1004), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1527z00_9777))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1446z00_1005), BUNSPEC);
				return BgL_new1527z00_9777;
			}
		}

	}



/* &make-box-set! */
	BgL_boxzd2setz12zc0_bglt BGl_z62makezd2boxzd2setz12z70zzast_nodez00(obj_t
		BgL_envz00_7718, obj_t BgL_loc1442z00_7719, obj_t BgL_type1443z00_7720,
		obj_t BgL_var1444z00_7721, obj_t BgL_value1445z00_7722,
		obj_t BgL_vtype1446z00_7723)
	{
		{	/* Ast/nodetype.sch 1423 */
			return
				BGl_makezd2boxzd2setz12z12zzast_nodez00(BgL_loc1442z00_7719,
				((BgL_typez00_bglt) BgL_type1443z00_7720),
				((BgL_varz00_bglt) BgL_var1444z00_7721),
				((BgL_nodez00_bglt) BgL_value1445z00_7722),
				((BgL_typez00_bglt) BgL_vtype1446z00_7723));
		}

	}



/* box-set!? */
	BGL_EXPORTED_DEF bool_t BGl_boxzd2setz12zf3z33zzast_nodez00(obj_t
		BgL_objz00_1006)
	{
		{	/* Ast/nodetype.sch 1424 */
			{	/* Ast/nodetype.sch 1424 */
				obj_t BgL_classz00_9780;

				BgL_classz00_9780 = BGl_boxzd2setz12zc0zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1006))
					{	/* Ast/nodetype.sch 1424 */
						BgL_objectz00_bglt BgL_arg1858z00_9781;

						BgL_arg1858z00_9781 = (BgL_objectz00_bglt) (BgL_objz00_1006);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1424 */
								long BgL_idxz00_9782;

								BgL_idxz00_9782 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9781);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9782 + 2L)) == BgL_classz00_9780);
							}
						else
							{	/* Ast/nodetype.sch 1424 */
								bool_t BgL_res3093z00_9785;

								{	/* Ast/nodetype.sch 1424 */
									obj_t BgL_oclassz00_9786;

									{	/* Ast/nodetype.sch 1424 */
										obj_t BgL_arg1866z00_9787;
										long BgL_arg1867z00_9788;

										BgL_arg1866z00_9787 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1424 */
											long BgL_arg1869z00_9789;

											BgL_arg1869z00_9789 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9781);
											BgL_arg1867z00_9788 = (BgL_arg1869z00_9789 - OBJECT_TYPE);
										}
										BgL_oclassz00_9786 =
											VECTOR_REF(BgL_arg1866z00_9787, BgL_arg1867z00_9788);
									}
									{	/* Ast/nodetype.sch 1424 */
										bool_t BgL__ortest_1115z00_9790;

										BgL__ortest_1115z00_9790 =
											(BgL_classz00_9780 == BgL_oclassz00_9786);
										if (BgL__ortest_1115z00_9790)
											{	/* Ast/nodetype.sch 1424 */
												BgL_res3093z00_9785 = BgL__ortest_1115z00_9790;
											}
										else
											{	/* Ast/nodetype.sch 1424 */
												long BgL_odepthz00_9791;

												{	/* Ast/nodetype.sch 1424 */
													obj_t BgL_arg1855z00_9792;

													BgL_arg1855z00_9792 = (BgL_oclassz00_9786);
													BgL_odepthz00_9791 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9792);
												}
												if ((2L < BgL_odepthz00_9791))
													{	/* Ast/nodetype.sch 1424 */
														obj_t BgL_arg1853z00_9793;

														{	/* Ast/nodetype.sch 1424 */
															obj_t BgL_arg1854z00_9794;

															BgL_arg1854z00_9794 = (BgL_oclassz00_9786);
															BgL_arg1853z00_9793 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9794,
																2L);
														}
														BgL_res3093z00_9785 =
															(BgL_arg1853z00_9793 == BgL_classz00_9780);
													}
												else
													{	/* Ast/nodetype.sch 1424 */
														BgL_res3093z00_9785 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3093z00_9785;
							}
					}
				else
					{	/* Ast/nodetype.sch 1424 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &box-set!? */
	obj_t BGl_z62boxzd2setz12zf3z51zzast_nodez00(obj_t BgL_envz00_7724,
		obj_t BgL_objz00_7725)
	{
		{	/* Ast/nodetype.sch 1424 */
			return BBOOL(BGl_boxzd2setz12zf3z33zzast_nodez00(BgL_objz00_7725));
		}

	}



/* box-set!-nil */
	BGL_EXPORTED_DEF BgL_boxzd2setz12zc0_bglt
		BGl_boxzd2setz12zd2nilz12zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1425 */
			{	/* Ast/nodetype.sch 1425 */
				obj_t BgL_classz00_5566;

				BgL_classz00_5566 = BGl_boxzd2setz12zc0zzast_nodez00;
				{	/* Ast/nodetype.sch 1425 */
					obj_t BgL__ortest_1117z00_5567;

					BgL__ortest_1117z00_5567 = BGL_CLASS_NIL(BgL_classz00_5566);
					if (CBOOL(BgL__ortest_1117z00_5567))
						{	/* Ast/nodetype.sch 1425 */
							return ((BgL_boxzd2setz12zc0_bglt) BgL__ortest_1117z00_5567);
						}
					else
						{	/* Ast/nodetype.sch 1425 */
							return
								((BgL_boxzd2setz12zc0_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5566));
						}
				}
			}
		}

	}



/* &box-set!-nil */
	BgL_boxzd2setz12zc0_bglt BGl_z62boxzd2setz12zd2nilz70zzast_nodez00(obj_t
		BgL_envz00_7726)
	{
		{	/* Ast/nodetype.sch 1425 */
			return BGl_boxzd2setz12zd2nilz12zzast_nodez00();
		}

	}



/* box-set!-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2vtypez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1007)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1007))->BgL_vtypez00);
		}

	}



/* &box-set!-vtype */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2vtypez70zzast_nodez00(obj_t
		BgL_envz00_7727, obj_t BgL_oz00_7728)
	{
		{	/* Ast/nodetype.sch 1426 */
			return
				BGl_boxzd2setz12zd2vtypez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7728));
		}

	}



/* box-set!-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1008, BgL_typez00_bglt BgL_vz00_1009)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1008))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_1009), BUNSPEC);
		}

	}



/* &box-set!-vtype-set! */
	obj_t BGl_z62boxzd2setz12zd2vtypezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7729, obj_t BgL_oz00_7730, obj_t BgL_vz00_7731)
	{
		{	/* Ast/nodetype.sch 1427 */
			return
				BGl_boxzd2setz12zd2vtypezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7730),
				((BgL_typez00_bglt) BgL_vz00_7731));
		}

	}



/* box-set!-value */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_boxzd2setz12zd2valuez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1010)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1010))->BgL_valuez00);
		}

	}



/* &box-set!-value */
	BgL_nodez00_bglt BGl_z62boxzd2setz12zd2valuez70zzast_nodez00(obj_t
		BgL_envz00_7732, obj_t BgL_oz00_7733)
	{
		{	/* Ast/nodetype.sch 1428 */
			return
				BGl_boxzd2setz12zd2valuez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7733));
		}

	}



/* box-set!-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1011, BgL_nodez00_bglt BgL_vz00_1012)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1011))->BgL_valuez00) =
				((BgL_nodez00_bglt) BgL_vz00_1012), BUNSPEC);
		}

	}



/* &box-set!-value-set! */
	obj_t BGl_z62boxzd2setz12zd2valuezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7734, obj_t BgL_oz00_7735, obj_t BgL_vz00_7736)
	{
		{	/* Ast/nodetype.sch 1429 */
			return
				BGl_boxzd2setz12zd2valuezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7735),
				((BgL_nodez00_bglt) BgL_vz00_7736));
		}

	}



/* box-set!-var */
	BGL_EXPORTED_DEF BgL_varz00_bglt
		BGl_boxzd2setz12zd2varz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1013)
	{
		{	/* Ast/nodetype.sch 1430 */
			return (((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1013))->BgL_varz00);
		}

	}



/* &box-set!-var */
	BgL_varz00_bglt BGl_z62boxzd2setz12zd2varz70zzast_nodez00(obj_t
		BgL_envz00_7737, obj_t BgL_oz00_7738)
	{
		{	/* Ast/nodetype.sch 1430 */
			return
				BGl_boxzd2setz12zd2varz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7738));
		}

	}



/* box-set!-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1014, BgL_varz00_bglt BgL_vz00_1015)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_oz00_1014))->BgL_varz00) =
				((BgL_varz00_bglt) BgL_vz00_1015), BUNSPEC);
		}

	}



/* &box-set!-var-set! */
	obj_t BGl_z62boxzd2setz12zd2varzd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7739, obj_t BgL_oz00_7740, obj_t BgL_vz00_7741)
	{
		{	/* Ast/nodetype.sch 1431 */
			return
				BGl_boxzd2setz12zd2varzd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7740),
				((BgL_varz00_bglt) BgL_vz00_7741));
		}

	}



/* box-set!-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_boxzd2setz12zd2typez12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1016)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1016)))->BgL_typez00);
		}

	}



/* &box-set!-type */
	BgL_typez00_bglt BGl_z62boxzd2setz12zd2typez70zzast_nodez00(obj_t
		BgL_envz00_7742, obj_t BgL_oz00_7743)
	{
		{	/* Ast/nodetype.sch 1432 */
			return
				BGl_boxzd2setz12zd2typez12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7743));
		}

	}



/* box-set!-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1017, BgL_typez00_bglt BgL_vz00_1018)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1017)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1018), BUNSPEC);
		}

	}



/* &box-set!-type-set! */
	obj_t BGl_z62boxzd2setz12zd2typezd2setz12zb0zzast_nodez00(obj_t
		BgL_envz00_7744, obj_t BgL_oz00_7745, obj_t BgL_vz00_7746)
	{
		{	/* Ast/nodetype.sch 1433 */
			return
				BGl_boxzd2setz12zd2typezd2setz12zd2zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7745),
				((BgL_typez00_bglt) BgL_vz00_7746));
		}

	}



/* box-set!-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_boxzd2setz12zd2locz12zzast_nodez00(BgL_boxzd2setz12zc0_bglt
		BgL_oz00_1019)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1019)))->BgL_locz00);
		}

	}



/* &box-set!-loc */
	obj_t BGl_z62boxzd2setz12zd2locz70zzast_nodez00(obj_t BgL_envz00_7747,
		obj_t BgL_oz00_7748)
	{
		{	/* Ast/nodetype.sch 1434 */
			return
				BGl_boxzd2setz12zd2locz12zzast_nodez00(
				((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7748));
		}

	}



/* make-sync */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_makezd2synczd2zzast_nodez00(obj_t
		BgL_loc1436z00_1022, BgL_typez00_bglt BgL_type1437z00_1023,
		BgL_nodez00_bglt BgL_mutex1438z00_1024,
		BgL_nodez00_bglt BgL_prelock1439z00_1025,
		BgL_nodez00_bglt BgL_body1440z00_1026)
	{
		{	/* Ast/nodetype.sch 1438 */
			{	/* Ast/nodetype.sch 1438 */
				BgL_syncz00_bglt BgL_new1529z00_9795;

				{	/* Ast/nodetype.sch 1438 */
					BgL_syncz00_bglt BgL_new1528z00_9796;

					BgL_new1528z00_9796 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/nodetype.sch 1438 */
						long BgL_arg1886z00_9797;

						BgL_arg1886z00_9797 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1528z00_9796), BgL_arg1886z00_9797);
					}
					{	/* Ast/nodetype.sch 1438 */
						BgL_objectz00_bglt BgL_tmpz00_14502;

						BgL_tmpz00_14502 = ((BgL_objectz00_bglt) BgL_new1528z00_9796);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14502, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1528z00_9796);
					BgL_new1529z00_9795 = BgL_new1528z00_9796;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1529z00_9795)))->BgL_locz00) =
					((obj_t) BgL_loc1436z00_1022), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1529z00_9795)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1437z00_1023), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1529z00_9795))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_mutex1438z00_1024), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1529z00_9795))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_prelock1439z00_1025), BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1529z00_9795))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_body1440z00_1026), BUNSPEC);
				return BgL_new1529z00_9795;
			}
		}

	}



/* &make-sync */
	BgL_syncz00_bglt BGl_z62makezd2synczb0zzast_nodez00(obj_t BgL_envz00_7749,
		obj_t BgL_loc1436z00_7750, obj_t BgL_type1437z00_7751,
		obj_t BgL_mutex1438z00_7752, obj_t BgL_prelock1439z00_7753,
		obj_t BgL_body1440z00_7754)
	{
		{	/* Ast/nodetype.sch 1438 */
			return
				BGl_makezd2synczd2zzast_nodez00(BgL_loc1436z00_7750,
				((BgL_typez00_bglt) BgL_type1437z00_7751),
				((BgL_nodez00_bglt) BgL_mutex1438z00_7752),
				((BgL_nodez00_bglt) BgL_prelock1439z00_7753),
				((BgL_nodez00_bglt) BgL_body1440z00_7754));
		}

	}



/* sync? */
	BGL_EXPORTED_DEF bool_t BGl_synczf3zf3zzast_nodez00(obj_t BgL_objz00_1027)
	{
		{	/* Ast/nodetype.sch 1439 */
			{	/* Ast/nodetype.sch 1439 */
				obj_t BgL_classz00_9798;

				BgL_classz00_9798 = BGl_syncz00zzast_nodez00;
				if (BGL_OBJECTP(BgL_objz00_1027))
					{	/* Ast/nodetype.sch 1439 */
						BgL_objectz00_bglt BgL_arg1858z00_9799;

						BgL_arg1858z00_9799 = (BgL_objectz00_bglt) (BgL_objz00_1027);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Ast/nodetype.sch 1439 */
								long BgL_idxz00_9800;

								BgL_idxz00_9800 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_9799);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9800 + 2L)) == BgL_classz00_9798);
							}
						else
							{	/* Ast/nodetype.sch 1439 */
								bool_t BgL_res3094z00_9803;

								{	/* Ast/nodetype.sch 1439 */
									obj_t BgL_oclassz00_9804;

									{	/* Ast/nodetype.sch 1439 */
										obj_t BgL_arg1866z00_9805;
										long BgL_arg1867z00_9806;

										BgL_arg1866z00_9805 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Ast/nodetype.sch 1439 */
											long BgL_arg1869z00_9807;

											BgL_arg1869z00_9807 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_9799);
											BgL_arg1867z00_9806 = (BgL_arg1869z00_9807 - OBJECT_TYPE);
										}
										BgL_oclassz00_9804 =
											VECTOR_REF(BgL_arg1866z00_9805, BgL_arg1867z00_9806);
									}
									{	/* Ast/nodetype.sch 1439 */
										bool_t BgL__ortest_1115z00_9808;

										BgL__ortest_1115z00_9808 =
											(BgL_classz00_9798 == BgL_oclassz00_9804);
										if (BgL__ortest_1115z00_9808)
											{	/* Ast/nodetype.sch 1439 */
												BgL_res3094z00_9803 = BgL__ortest_1115z00_9808;
											}
										else
											{	/* Ast/nodetype.sch 1439 */
												long BgL_odepthz00_9809;

												{	/* Ast/nodetype.sch 1439 */
													obj_t BgL_arg1855z00_9810;

													BgL_arg1855z00_9810 = (BgL_oclassz00_9804);
													BgL_odepthz00_9809 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_9810);
												}
												if ((2L < BgL_odepthz00_9809))
													{	/* Ast/nodetype.sch 1439 */
														obj_t BgL_arg1853z00_9811;

														{	/* Ast/nodetype.sch 1439 */
															obj_t BgL_arg1854z00_9812;

															BgL_arg1854z00_9812 = (BgL_oclassz00_9804);
															BgL_arg1853z00_9811 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_9812,
																2L);
														}
														BgL_res3094z00_9803 =
															(BgL_arg1853z00_9811 == BgL_classz00_9798);
													}
												else
													{	/* Ast/nodetype.sch 1439 */
														BgL_res3094z00_9803 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res3094z00_9803;
							}
					}
				else
					{	/* Ast/nodetype.sch 1439 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &sync? */
	obj_t BGl_z62synczf3z91zzast_nodez00(obj_t BgL_envz00_7755,
		obj_t BgL_objz00_7756)
	{
		{	/* Ast/nodetype.sch 1439 */
			return BBOOL(BGl_synczf3zf3zzast_nodez00(BgL_objz00_7756));
		}

	}



/* sync-nil */
	BGL_EXPORTED_DEF BgL_syncz00_bglt BGl_synczd2nilzd2zzast_nodez00(void)
	{
		{	/* Ast/nodetype.sch 1440 */
			{	/* Ast/nodetype.sch 1440 */
				obj_t BgL_classz00_5609;

				BgL_classz00_5609 = BGl_syncz00zzast_nodez00;
				{	/* Ast/nodetype.sch 1440 */
					obj_t BgL__ortest_1117z00_5610;

					BgL__ortest_1117z00_5610 = BGL_CLASS_NIL(BgL_classz00_5609);
					if (CBOOL(BgL__ortest_1117z00_5610))
						{	/* Ast/nodetype.sch 1440 */
							return ((BgL_syncz00_bglt) BgL__ortest_1117z00_5610);
						}
					else
						{	/* Ast/nodetype.sch 1440 */
							return
								((BgL_syncz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5609));
						}
				}
			}
		}

	}



/* &sync-nil */
	BgL_syncz00_bglt BGl_z62synczd2nilzb0zzast_nodez00(obj_t BgL_envz00_7757)
	{
		{	/* Ast/nodetype.sch 1440 */
			return BGl_synczd2nilzd2zzast_nodez00();
		}

	}



/* sync-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2bodyzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1028)
	{
		{	/* Ast/nodetype.sch 1441 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1028))->BgL_bodyz00);
		}

	}



/* &sync-body */
	BgL_nodez00_bglt BGl_z62synczd2bodyzb0zzast_nodez00(obj_t BgL_envz00_7758,
		obj_t BgL_oz00_7759)
	{
		{	/* Ast/nodetype.sch 1441 */
			return
				BGl_synczd2bodyzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7759));
		}

	}



/* sync-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2bodyzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1029,
		BgL_nodez00_bglt BgL_vz00_1030)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1029))->BgL_bodyz00) =
				((BgL_nodez00_bglt) BgL_vz00_1030), BUNSPEC);
		}

	}



/* &sync-body-set! */
	obj_t BGl_z62synczd2bodyzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7760,
		obj_t BgL_oz00_7761, obj_t BgL_vz00_7762)
	{
		{	/* Ast/nodetype.sch 1442 */
			return
				BGl_synczd2bodyzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7761), ((BgL_nodez00_bglt) BgL_vz00_7762));
		}

	}



/* sync-prelock */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2prelockzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1031)
	{
		{	/* Ast/nodetype.sch 1443 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1031))->BgL_prelockz00);
		}

	}



/* &sync-prelock */
	BgL_nodez00_bglt BGl_z62synczd2prelockzb0zzast_nodez00(obj_t BgL_envz00_7763,
		obj_t BgL_oz00_7764)
	{
		{	/* Ast/nodetype.sch 1443 */
			return
				BGl_synczd2prelockzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7764));
		}

	}



/* sync-prelock-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2prelockzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1032,
		BgL_nodez00_bglt BgL_vz00_1033)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1032))->BgL_prelockz00) =
				((BgL_nodez00_bglt) BgL_vz00_1033), BUNSPEC);
		}

	}



/* &sync-prelock-set! */
	obj_t BGl_z62synczd2prelockzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7765,
		obj_t BgL_oz00_7766, obj_t BgL_vz00_7767)
	{
		{	/* Ast/nodetype.sch 1444 */
			return
				BGl_synczd2prelockzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7766), ((BgL_nodez00_bglt) BgL_vz00_7767));
		}

	}



/* sync-mutex */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2mutexzd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1034)
	{
		{	/* Ast/nodetype.sch 1445 */
			return (((BgL_syncz00_bglt) COBJECT(BgL_oz00_1034))->BgL_mutexz00);
		}

	}



/* &sync-mutex */
	BgL_nodez00_bglt BGl_z62synczd2mutexzb0zzast_nodez00(obj_t BgL_envz00_7768,
		obj_t BgL_oz00_7769)
	{
		{	/* Ast/nodetype.sch 1445 */
			return
				BGl_synczd2mutexzd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7769));
		}

	}



/* sync-mutex-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2mutexzd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1035,
		BgL_nodez00_bglt BgL_vz00_1036)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				((((BgL_syncz00_bglt) COBJECT(BgL_oz00_1035))->BgL_mutexz00) =
				((BgL_nodez00_bglt) BgL_vz00_1036), BUNSPEC);
		}

	}



/* &sync-mutex-set! */
	obj_t BGl_z62synczd2mutexzd2setz12z70zzast_nodez00(obj_t BgL_envz00_7770,
		obj_t BgL_oz00_7771, obj_t BgL_vz00_7772)
	{
		{	/* Ast/nodetype.sch 1446 */
			return
				BGl_synczd2mutexzd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7771), ((BgL_nodez00_bglt) BgL_vz00_7772));
		}

	}



/* sync-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_synczd2typezd2zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1037)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1037)))->BgL_typez00);
		}

	}



/* &sync-type */
	BgL_typez00_bglt BGl_z62synczd2typezb0zzast_nodez00(obj_t BgL_envz00_7773,
		obj_t BgL_oz00_7774)
	{
		{	/* Ast/nodetype.sch 1447 */
			return
				BGl_synczd2typezd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7774));
		}

	}



/* sync-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_synczd2typezd2setz12z12zzast_nodez00(BgL_syncz00_bglt BgL_oz00_1038,
		BgL_typez00_bglt BgL_vz00_1039)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_1038)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_1039), BUNSPEC);
		}

	}



/* &sync-type-set! */
	obj_t BGl_z62synczd2typezd2setz12z70zzast_nodez00(obj_t BgL_envz00_7775,
		obj_t BgL_oz00_7776, obj_t BgL_vz00_7777)
	{
		{	/* Ast/nodetype.sch 1448 */
			return
				BGl_synczd2typezd2setz12z12zzast_nodez00(
				((BgL_syncz00_bglt) BgL_oz00_7776), ((BgL_typez00_bglt) BgL_vz00_7777));
		}

	}



/* sync-loc */
	BGL_EXPORTED_DEF obj_t BGl_synczd2loczd2zzast_nodez00(BgL_syncz00_bglt
		BgL_oz00_1040)
	{
		{	/* Ast/nodetype.sch 1449 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_1040)))->BgL_locz00);
		}

	}



/* &sync-loc */
	obj_t BGl_z62synczd2loczb0zzast_nodez00(obj_t BgL_envz00_7778,
		obj_t BgL_oz00_7779)
	{
		{	/* Ast/nodetype.sch 1449 */
			return BGl_synczd2loczd2zzast_nodez00(((BgL_syncz00_bglt) BgL_oz00_7779));
		}

	}



/* strict-node-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt BgL_t1z00_1043,
		BgL_typez00_bglt BgL_t2z00_1044)
	{
		{	/* Ast/node.scm 306 */
			return BgL_t1z00_1043;
		}

	}



/* &strict-node-type */
	BgL_typez00_bglt BGl_z62strictzd2nodezd2typez62zzast_nodez00(obj_t
		BgL_envz00_7780, obj_t BgL_t1z00_7781, obj_t BgL_t2z00_7782)
	{
		{	/* Ast/node.scm 306 */
			return
				BGl_strictzd2nodezd2typez00zzast_nodez00(
				((BgL_typez00_bglt) BgL_t1z00_7781),
				((BgL_typez00_bglt) BgL_t2z00_7782));
		}

	}



/* node-walk* */
	bool_t BGl_nodezd2walkza2z70zzast_nodez00(obj_t BgL_nodeza2za2_1089,
		obj_t BgL_procz00_1090)
	{
		{	/* Ast/node.scm 484 */
			{
				obj_t BgL_l1647z00_1656;

				BgL_l1647z00_1656 = BgL_nodeza2za2_1089;
			BgL_zc3z04anonymousza31887ze3z87_1657:
				if (PAIRP(BgL_l1647z00_1656))
					{	/* Ast/node.scm 485 */
						{	/* Ast/node.scm 485 */
							obj_t BgL_nodez00_1659;

							BgL_nodez00_1659 = CAR(BgL_l1647z00_1656);
							BGl_nodezd2walkzd2zzast_nodez00(
								((BgL_nodez00_bglt) BgL_nodez00_1659), BgL_procz00_1090);
						}
						{
							obj_t BgL_l1647z00_14591;

							BgL_l1647z00_14591 = CDR(BgL_l1647z00_1656);
							BgL_l1647z00_1656 = BgL_l1647z00_14591;
							goto BgL_zc3z04anonymousza31887ze3z87_1657;
						}
					}
				else
					{	/* Ast/node.scm 485 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			{	/* Ast/node.scm 21 */
				obj_t BgL_arg1893z00_1665;
				obj_t BgL_arg1894z00_1666;

				{	/* Ast/node.scm 21 */
					obj_t BgL_v1649z00_1678;

					BgL_v1649z00_1678 = create_vector(2L);
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1900z00_1679;

						BgL_arg1900z00_1679 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc3102z00zzast_nodez00,
							BGl_proc3101z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3100z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1649z00_1678, 0L, BgL_arg1900z00_1679);
					}
					{	/* Ast/node.scm 21 */
						obj_t BgL_arg1907z00_1692;

						BgL_arg1907z00_1692 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc3104z00zzast_nodez00,
							BGl_proc3103z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1649z00_1678, 1L, BgL_arg1907z00_1692);
					}
					BgL_arg1893z00_1665 = BgL_v1649z00_1678;
				}
				{	/* Ast/node.scm 21 */
					obj_t BgL_v1650z00_1702;

					BgL_v1650z00_1702 = create_vector(0L);
					BgL_arg1894z00_1666 = BgL_v1650z00_1702;
				}
				BGl_nodez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(4)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_objectz00zz__objectz00, 44710L,
					BGl_proc3107z00zzast_nodez00, BGl_proc3106z00zzast_nodez00, BFALSE,
					BGl_proc3105z00zzast_nodez00, BFALSE, BgL_arg1893z00_1665,
					BgL_arg1894z00_1666);
			}
			{	/* Ast/node.scm 37 */
				obj_t BgL_arg1916z00_1709;
				obj_t BgL_arg1917z00_1710;

				{	/* Ast/node.scm 37 */
					obj_t BgL_v1651z00_1724;

					BgL_v1651z00_1724 = create_vector(2L);
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1923z00_1725;

						BgL_arg1923z00_1725 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc3110z00zzast_nodez00,
							BGl_proc3109z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3108z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1651z00_1724, 0L, BgL_arg1923z00_1725);
					}
					{	/* Ast/node.scm 37 */
						obj_t BgL_arg1932z00_1738;

						BgL_arg1932z00_1738 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc3113z00zzast_nodez00,
							BGl_proc3112z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3111z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1651z00_1724, 1L, BgL_arg1932z00_1738);
					}
					BgL_arg1916z00_1709 = BgL_v1651z00_1724;
				}
				{	/* Ast/node.scm 37 */
					obj_t BgL_v1652z00_1751;

					BgL_v1652z00_1751 = create_vector(0L);
					BgL_arg1917z00_1710 = BgL_v1652z00_1751;
				}
				BGl_nodezf2effectzf2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(8)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 23581L,
					BGl_proc3116z00zzast_nodez00, BGl_proc3115z00zzast_nodez00, BFALSE,
					BGl_proc3114z00zzast_nodez00, BFALSE, BgL_arg1916z00_1709,
					BgL_arg1917z00_1710);
			}
			{	/* Ast/node.scm 46 */
				obj_t BgL_arg1942z00_1757;
				obj_t BgL_arg1943z00_1758;

				{	/* Ast/node.scm 46 */
					obj_t BgL_v1653z00_1764;

					BgL_v1653z00_1764 = create_vector(1L);
					{	/* Ast/node.scm 46 */
						obj_t BgL_arg1947z00_1765;

						BgL_arg1947z00_1765 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3118z00zzast_nodez00,
							BGl_proc3117z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1653z00_1764, 0L, BgL_arg1947z00_1765);
					}
					BgL_arg1942z00_1757 = BgL_v1653z00_1764;
				}
				{	/* Ast/node.scm 46 */
					obj_t BgL_v1654z00_1775;

					BgL_v1654z00_1775 = create_vector(0L);
					BgL_arg1943z00_1758 = BgL_v1654z00_1775;
				}
				BGl_atomz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(10)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 4761L, BFALSE,
					BGl_proc3120z00zzast_nodez00, BFALSE, BGl_proc3119z00zzast_nodez00,
					BFALSE, BgL_arg1942z00_1757, BgL_arg1943z00_1758);
			}
			{	/* Ast/node.scm 51 */
				obj_t BgL_arg1956z00_1781;
				obj_t BgL_arg1957z00_1782;

				{	/* Ast/node.scm 51 */
					obj_t BgL_v1655z00_1795;

					BgL_v1655z00_1795 = create_vector(0L);
					BgL_arg1956z00_1781 = BgL_v1655z00_1795;
				}
				{	/* Ast/node.scm 51 */
					obj_t BgL_v1656z00_1796;

					BgL_v1656z00_1796 = create_vector(0L);
					BgL_arg1957z00_1782 = BgL_v1656z00_1796;
				}
				BGl_literalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(11)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_atomz00zzast_nodez00, 30530L,
					BGl_proc3123z00zzast_nodez00, BGl_proc3122z00zzast_nodez00, BFALSE,
					BGl_proc3121z00zzast_nodez00, BFALSE, BgL_arg1956z00_1781,
					BgL_arg1957z00_1782);
			}
			{	/* Ast/node.scm 54 */
				obj_t BgL_arg1968z00_1803;
				obj_t BgL_arg1969z00_1804;

				{	/* Ast/node.scm 54 */
					obj_t BgL_v1657z00_1820;

					BgL_v1657z00_1820 = create_vector(3L);
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1975z00_1821;

						BgL_arg1975z00_1821 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(12)), BGl_proc3125z00zzast_nodez00,
							BGl_proc3124z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1657z00_1820, 0L, BgL_arg1975z00_1821);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1981z00_1831;

						BgL_arg1981z00_1831 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc3128z00zzast_nodez00,
							BGl_proc3127z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3126z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1657z00_1820, 1L, BgL_arg1981z00_1831);
					}
					{	/* Ast/node.scm 54 */
						obj_t BgL_arg1988z00_1844;

						BgL_arg1988z00_1844 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc3131z00zzast_nodez00,
							BGl_proc3130z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3129z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1657z00_1820, 2L, BgL_arg1988z00_1844);
					}
					BgL_arg1968z00_1803 = BgL_v1657z00_1820;
				}
				{	/* Ast/node.scm 54 */
					obj_t BgL_v1658z00_1857;

					BgL_v1658z00_1857 = create_vector(0L);
					BgL_arg1969z00_1804 = BgL_v1658z00_1857;
				}
				BGl_patchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(16)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_atomz00zzast_nodez00, 50926L,
					BGl_proc3134z00zzast_nodez00, BGl_proc3133z00zzast_nodez00, BFALSE,
					BGl_proc3132z00zzast_nodez00, BFALSE, BgL_arg1968z00_1803,
					BgL_arg1969z00_1804);
			}
			{	/* Ast/node.scm 60 */
				obj_t BgL_arg1999z00_1863;
				obj_t BgL_arg2000z00_1864;

				{	/* Ast/node.scm 60 */
					obj_t BgL_v1659z00_1870;

					BgL_v1659z00_1870 = create_vector(1L);
					{	/* Ast/node.scm 60 */
						obj_t BgL_arg2004z00_1871;

						BgL_arg2004z00_1871 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc3136z00zzast_nodez00,
							BGl_proc3135z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_variablez00zzast_varz00);
						VECTOR_SET(BgL_v1659z00_1870, 0L, BgL_arg2004z00_1871);
					}
					BgL_arg1999z00_1863 = BgL_v1659z00_1870;
				}
				{	/* Ast/node.scm 60 */
					obj_t BgL_v1660z00_1881;

					BgL_v1660z00_1881 = create_vector(0L);
					BgL_arg2000z00_1864 = BgL_v1660z00_1881;
				}
				BGl_varz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(18)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 40149L, BFALSE,
					BGl_proc3138z00zzast_nodez00, BFALSE, BGl_proc3137z00zzast_nodez00,
					BFALSE, BgL_arg1999z00_1863, BgL_arg2000z00_1864);
			}
			{	/* Ast/node.scm 64 */
				obj_t BgL_arg2012z00_1887;
				obj_t BgL_arg2013z00_1888;

				{	/* Ast/node.scm 64 */
					obj_t BgL_v1661z00_1901;

					BgL_v1661z00_1901 = create_vector(0L);
					BgL_arg2012z00_1887 = BgL_v1661z00_1901;
				}
				{	/* Ast/node.scm 64 */
					obj_t BgL_v1662z00_1902;

					BgL_v1662z00_1902 = create_vector(0L);
					BgL_arg2013z00_1888 = BgL_v1662z00_1902;
				}
				BGl_refz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(12)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_varz00zzast_nodez00, 30842L,
					BGl_proc3141z00zzast_nodez00, BGl_proc3140z00zzast_nodez00, BFALSE,
					BGl_proc3139z00zzast_nodez00, BFALSE, BgL_arg2012z00_1887,
					BgL_arg2013z00_1888);
			}
			{	/* Ast/node.scm 65 */
				obj_t BgL_arg2023z00_1909;
				obj_t BgL_arg2024z00_1910;

				{	/* Ast/node.scm 65 */
					obj_t BgL_v1663z00_1923;

					BgL_v1663z00_1923 = create_vector(0L);
					BgL_arg2023z00_1909 = BgL_v1663z00_1923;
				}
				{	/* Ast/node.scm 65 */
					obj_t BgL_v1664z00_1924;

					BgL_v1664z00_1924 = create_vector(0L);
					BgL_arg2024z00_1910 = BgL_v1664z00_1924;
				}
				BGl_closurez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(19)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_varz00zzast_nodez00, 9082L,
					BGl_proc3144z00zzast_nodez00, BGl_proc3143z00zzast_nodez00, BFALSE,
					BGl_proc3142z00zzast_nodez00, BFALSE, BgL_arg2023z00_1909,
					BgL_arg2024z00_1910);
			}
			{	/* Ast/node.scm 68 */
				obj_t BgL_arg2033z00_1931;
				obj_t BgL_arg2034z00_1932;

				{	/* Ast/node.scm 68 */
					obj_t BgL_v1665z00_1945;

					BgL_v1665z00_1945 = create_vector(1L);
					{	/* Ast/node.scm 68 */
						obj_t BgL_arg2040z00_1946;

						BgL_arg2040z00_1946 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3146z00zzast_nodez00,
							BGl_proc3145z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1665z00_1945, 0L, BgL_arg2040z00_1946);
					}
					BgL_arg2033z00_1931 = BgL_v1665z00_1945;
				}
				{	/* Ast/node.scm 68 */
					obj_t BgL_v1666z00_1956;

					BgL_v1666z00_1956 = create_vector(0L);
					BgL_arg2034z00_1932 = BgL_v1666z00_1956;
				}
				BGl_kwotez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(20)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 14781L,
					BGl_proc3149z00zzast_nodez00, BGl_proc3148z00zzast_nodez00, BFALSE,
					BGl_proc3147z00zzast_nodez00, BFALSE, BgL_arg2033z00_1931,
					BgL_arg2034z00_1932);
			}
			{	/* Ast/node.scm 73 */
				obj_t BgL_arg2049z00_1963;
				obj_t BgL_arg2050z00_1964;

				{	/* Ast/node.scm 73 */
					obj_t BgL_v1667z00_1981;

					BgL_v1667z00_1981 = create_vector(3L);
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2056z00_1982;

						BgL_arg2056z00_1982 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc3151z00zzast_nodez00,
							BGl_proc3150z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1667z00_1981, 0L, BgL_arg2056z00_1982);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2063z00_1992;

						BgL_arg2063z00_1992 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc3154z00zzast_nodez00,
							BGl_proc3153z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3152z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1667z00_1981, 1L, BgL_arg2063z00_1992);
					}
					{	/* Ast/node.scm 73 */
						obj_t BgL_arg2070z00_2005;

						BgL_arg2070z00_2005 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc3157z00zzast_nodez00,
							BGl_proc3156z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3155z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1667z00_1981, 2L, BgL_arg2070z00_2005);
					}
					BgL_arg2049z00_1963 = BgL_v1667z00_1981;
				}
				{	/* Ast/node.scm 73 */
					obj_t BgL_v1668z00_2018;

					BgL_v1668z00_2018 = create_vector(0L);
					BgL_arg2050z00_1964 = BgL_v1668z00_2018;
				}
				BGl_sequencez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(26)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 60739L,
					BGl_proc3160z00zzast_nodez00, BGl_proc3159z00zzast_nodez00, BFALSE,
					BGl_proc3158z00zzast_nodez00, BFALSE, BgL_arg2049z00_1963,
					BgL_arg2050z00_1964);
			}
			{	/* Ast/node.scm 79 */
				obj_t BgL_arg2080z00_2025;
				obj_t BgL_arg2081z00_2026;

				{	/* Ast/node.scm 79 */
					obj_t BgL_v1669z00_2043;

					BgL_v1669z00_2043 = create_vector(3L);
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2087z00_2044;

						BgL_arg2087z00_2044 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc3162z00zzast_nodez00,
							BGl_proc3161z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1669z00_2043, 0L, BgL_arg2087z00_2044);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2092z00_2054;

						BgL_arg2092z00_2054 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc3164z00zzast_nodez00,
							BGl_proc3163z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1669z00_2043, 1L, BgL_arg2092z00_2054);
					}
					{	/* Ast/node.scm 79 */
						obj_t BgL_arg2097z00_2064;

						BgL_arg2097z00_2064 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc3167z00zzast_nodez00,
							BGl_proc3166z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3165z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1669z00_2043, 2L, BgL_arg2097z00_2064);
					}
					BgL_arg2080z00_2025 = BgL_v1669z00_2043;
				}
				{	/* Ast/node.scm 79 */
					obj_t BgL_v1670z00_2077;

					BgL_v1670z00_2077 = create_vector(0L);
					BgL_arg2081z00_2026 = BgL_v1670z00_2077;
				}
				BGl_appz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(30)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 17744L,
					BGl_proc3170z00zzast_nodez00, BGl_proc3169z00zzast_nodez00, BFALSE,
					BGl_proc3168z00zzast_nodez00, BFALSE, BgL_arg2080z00_2025,
					BgL_arg2081z00_2026);
			}
			{	/* Ast/node.scm 88 */
				obj_t BgL_arg2107z00_2084;
				obj_t BgL_arg2108z00_2085;

				{	/* Ast/node.scm 88 */
					obj_t BgL_v1671z00_2099;

					BgL_v1671z00_2099 = create_vector(2L);
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2114z00_2100;

						BgL_arg2114z00_2100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc3172z00zzast_nodez00,
							BGl_proc3171z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1671z00_2099, 0L, BgL_arg2114z00_2100);
					}
					{	/* Ast/node.scm 88 */
						obj_t BgL_arg2119z00_2110;

						BgL_arg2119z00_2110 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc3174z00zzast_nodez00,
							BGl_proc3173z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1671z00_2099, 1L, BgL_arg2119z00_2110);
					}
					BgL_arg2107z00_2084 = BgL_v1671z00_2099;
				}
				{	/* Ast/node.scm 88 */
					obj_t BgL_v1672z00_2120;

					BgL_v1672z00_2120 = create_vector(0L);
					BgL_arg2108z00_2085 = BgL_v1672z00_2120;
				}
				BGl_appzd2lyzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(32)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 54426L,
					BGl_proc3177z00zzast_nodez00, BGl_proc3176z00zzast_nodez00, BFALSE,
					BGl_proc3175z00zzast_nodez00, BFALSE, BgL_arg2107z00_2084,
					BgL_arg2108z00_2085);
			}
			{	/* Ast/node.scm 95 */
				obj_t BgL_arg2127z00_2127;
				obj_t BgL_arg2128z00_2128;

				{	/* Ast/node.scm 95 */
					obj_t BgL_v1673z00_2144;

					BgL_v1673z00_2144 = create_vector(4L);
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2134z00_2145;

						BgL_arg2134z00_2145 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc3179z00zzast_nodez00,
							BGl_proc3178z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1673z00_2144, 0L, BgL_arg2134z00_2145);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2139z00_2155;

						BgL_arg2139z00_2155 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc3181z00zzast_nodez00,
							BGl_proc3180z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1673z00_2144, 1L, BgL_arg2139z00_2155);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2144z00_2165;

						BgL_arg2144z00_2165 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc3184z00zzast_nodez00,
							BGl_proc3183z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3182z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(34)));
						VECTOR_SET(BgL_v1673z00_2144, 2L, BgL_arg2144z00_2165);
					}
					{	/* Ast/node.scm 95 */
						obj_t BgL_arg2151z00_2178;

						BgL_arg2151z00_2178 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(35)), BGl_proc3187z00zzast_nodez00,
							BGl_proc3186z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3185z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1673z00_2144, 3L, BgL_arg2151z00_2178);
					}
					BgL_arg2127z00_2127 = BgL_v1673z00_2144;
				}
				{	/* Ast/node.scm 95 */
					obj_t BgL_v1674z00_2191;

					BgL_v1674z00_2191 = create_vector(0L);
					BgL_arg2128z00_2128 = BgL_v1674z00_2191;
				}
				BGl_funcallz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(36)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 13852L,
					BGl_proc3190z00zzast_nodez00, BGl_proc3189z00zzast_nodez00, BFALSE,
					BGl_proc3188z00zzast_nodez00, BFALSE, BgL_arg2127z00_2127,
					BgL_arg2128z00_2128);
			}
			{	/* Ast/node.scm 107 */
				obj_t BgL_arg2162z00_2198;
				obj_t BgL_arg2163z00_2199;

				{	/* Ast/node.scm 107 */
					obj_t BgL_v1675z00_2215;

					BgL_v1675z00_2215 = create_vector(2L);
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2169z00_2216;

						BgL_arg2169z00_2216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(37)), BGl_proc3193z00zzast_nodez00,
							BGl_proc3192z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3191z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1675z00_2215, 0L, BgL_arg2169z00_2216);
					}
					{	/* Ast/node.scm 107 */
						obj_t BgL_arg2176z00_2229;

						BgL_arg2176z00_2229 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(38)), BGl_proc3196z00zzast_nodez00,
							BGl_proc3195z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3194z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1675z00_2215, 1L, BgL_arg2176z00_2229);
					}
					BgL_arg2162z00_2198 = BgL_v1675z00_2215;
				}
				{	/* Ast/node.scm 107 */
					obj_t BgL_v1676z00_2242;

					BgL_v1676z00_2242 = create_vector(0L);
					BgL_arg2163z00_2199 = BgL_v1676z00_2242;
				}
				BGl_externz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(39)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 992L,
					BGl_proc3199z00zzast_nodez00, BGl_proc3198z00zzast_nodez00, BFALSE,
					BGl_proc3197z00zzast_nodez00, BFALSE, BgL_arg2162z00_2198,
					BgL_arg2163z00_2199);
			}
			{	/* Ast/node.scm 114 */
				obj_t BgL_arg2186z00_2249;
				obj_t BgL_arg2187z00_2250;

				{	/* Ast/node.scm 114 */
					obj_t BgL_v1677z00_2268;

					BgL_v1677z00_2268 = create_vector(2L);
					{	/* Ast/node.scm 114 */
						obj_t BgL_arg2193z00_2269;

						BgL_arg2193z00_2269 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(40)), BGl_proc3201z00zzast_nodez00,
							BGl_proc3200z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(41)));
						VECTOR_SET(BgL_v1677z00_2268, 0L, BgL_arg2193z00_2269);
					}
					{	/* Ast/node.scm 114 */
						obj_t BgL_arg2198z00_2279;

						BgL_arg2198z00_2279 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(42)), BGl_proc3204z00zzast_nodez00,
							BGl_proc3203z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3202z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(34)));
						VECTOR_SET(BgL_v1677z00_2268, 1L, BgL_arg2198z00_2279);
					}
					BgL_arg2186z00_2249 = BgL_v1677z00_2268;
				}
				{	/* Ast/node.scm 114 */
					obj_t BgL_v1678z00_2292;

					BgL_v1678z00_2292 = create_vector(0L);
					BgL_arg2187z00_2250 = BgL_v1678z00_2292;
				}
				BGl_pragmaz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(43)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_externz00zzast_nodez00, 2041L,
					BGl_proc3207z00zzast_nodez00, BGl_proc3206z00zzast_nodez00, BFALSE,
					BGl_proc3205z00zzast_nodez00, BFALSE, BgL_arg2186z00_2249,
					BgL_arg2187z00_2250);
			}
			{	/* Ast/node.scm 119 */
				obj_t BgL_arg2209z00_2299;
				obj_t BgL_arg2210z00_2300;

				{	/* Ast/node.scm 119 */
					obj_t BgL_v1679z00_2318;

					BgL_v1679z00_2318 = create_vector(2L);
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2216z00_2319;

						BgL_arg2216z00_2319 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc3210z00zzast_nodez00,
							BGl_proc3209z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3208z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1679z00_2318, 0L, BgL_arg2216z00_2319);
					}
					{	/* Ast/node.scm 119 */
						obj_t BgL_arg2223z00_2332;

						BgL_arg2223z00_2332 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(44)), BGl_proc3213z00zzast_nodez00,
							BGl_proc3212z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3211z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1679z00_2318, 1L, BgL_arg2223z00_2332);
					}
					BgL_arg2209z00_2299 = BgL_v1679z00_2318;
				}
				{	/* Ast/node.scm 119 */
					obj_t BgL_v1680z00_2345;

					BgL_v1680z00_2345 = create_vector(0L);
					BgL_arg2210z00_2300 = BgL_v1680z00_2345;
				}
				BGl_genpatchidz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(45)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_externz00zzast_nodez00, 30795L,
					BGl_proc3216z00zzast_nodez00, BGl_proc3215z00zzast_nodez00, BFALSE,
					BGl_proc3214z00zzast_nodez00, BFALSE, BgL_arg2209z00_2299,
					BgL_arg2210z00_2300);
			}
			{	/* Ast/node.scm 124 */
				obj_t BgL_arg2234z00_2352;
				obj_t BgL_arg2235z00_2353;

				{	/* Ast/node.scm 124 */
					obj_t BgL_v1681z00_2370;

					BgL_v1681z00_2370 = create_vector(1L);
					{	/* Ast/node.scm 124 */
						obj_t BgL_arg2241z00_2371;

						BgL_arg2241z00_2371 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(46)), BGl_proc3218z00zzast_nodez00,
							BGl_proc3217z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(41)));
						VECTOR_SET(BgL_v1681z00_2370, 0L, BgL_arg2241z00_2371);
					}
					BgL_arg2234z00_2352 = BgL_v1681z00_2370;
				}
				{	/* Ast/node.scm 124 */
					obj_t BgL_v1682z00_2381;

					BgL_v1682z00_2381 = create_vector(0L);
					BgL_arg2235z00_2353 = BgL_v1682z00_2381;
				}
				BGl_privatez00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(47)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_externz00zzast_nodez00, 30541L,
					BGl_proc3221z00zzast_nodez00, BGl_proc3220z00zzast_nodez00, BFALSE,
					BGl_proc3219z00zzast_nodez00, BFALSE, BgL_arg2234z00_2352,
					BgL_arg2235z00_2353);
			}
			{	/* Ast/node.scm 128 */
				obj_t BgL_arg2249z00_2388;
				obj_t BgL_arg2250z00_2389;

				{	/* Ast/node.scm 128 */
					obj_t BgL_v1683z00_2409;

					BgL_v1683z00_2409 = create_vector(3L);
					{	/* Ast/node.scm 128 */
						obj_t BgL_arg2256z00_2410;

						BgL_arg2256z00_2410 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(48)), BGl_proc3223z00zzast_nodez00,
							BGl_proc3222z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(41)));
						VECTOR_SET(BgL_v1683z00_2409, 0L, BgL_arg2256z00_2410);
					}
					{	/* Ast/node.scm 128 */
						obj_t BgL_arg2261z00_2420;

						BgL_arg2261z00_2420 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3225z00zzast_nodez00,
							BGl_proc3224z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1683z00_2409, 1L, BgL_arg2261z00_2420);
					}
					{	/* Ast/node.scm 128 */
						obj_t BgL_arg2266z00_2430;

						BgL_arg2266z00_2430 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3227z00zzast_nodez00,
							BGl_proc3226z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1683z00_2409, 2L, BgL_arg2266z00_2430);
					}
					BgL_arg2249z00_2388 = BgL_v1683z00_2409;
				}
				{	/* Ast/node.scm 128 */
					obj_t BgL_v1684z00_2440;

					BgL_v1684z00_2440 = create_vector(0L);
					BgL_arg2250z00_2389 = BgL_v1684z00_2440;
				}
				BGl_getfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(51)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 53519L,
					BGl_proc3230z00zzast_nodez00, BGl_proc3229z00zzast_nodez00, BFALSE,
					BGl_proc3228z00zzast_nodez00, BFALSE, BgL_arg2249z00_2388,
					BgL_arg2250z00_2389);
			}
			{	/* Ast/node.scm 137 */
				obj_t BgL_arg2274z00_2447;
				obj_t BgL_arg2275z00_2448;

				{	/* Ast/node.scm 137 */
					obj_t BgL_v1685z00_2468;

					BgL_v1685z00_2468 = create_vector(3L);
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2281z00_2469;

						BgL_arg2281z00_2469 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(48)), BGl_proc3232z00zzast_nodez00,
							BGl_proc3231z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(41)));
						VECTOR_SET(BgL_v1685z00_2468, 0L, BgL_arg2281z00_2469);
					}
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2287z00_2479;

						BgL_arg2287z00_2479 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3234z00zzast_nodez00,
							BGl_proc3233z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1685z00_2468, 1L, BgL_arg2287z00_2479);
					}
					{	/* Ast/node.scm 137 */
						obj_t BgL_arg2292z00_2489;

						BgL_arg2292z00_2489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3236z00zzast_nodez00,
							BGl_proc3235z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1685z00_2468, 2L, BgL_arg2292z00_2489);
					}
					BgL_arg2274z00_2447 = BgL_v1685z00_2468;
				}
				{	/* Ast/node.scm 137 */
					obj_t BgL_v1686z00_2499;

					BgL_v1686z00_2499 = create_vector(0L);
					BgL_arg2275z00_2448 = BgL_v1686z00_2499;
				}
				BGl_setfieldz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(52)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 18739L,
					BGl_proc3239z00zzast_nodez00, BGl_proc3238z00zzast_nodez00, BFALSE,
					BGl_proc3237z00zzast_nodez00, BFALSE, BgL_arg2274z00_2447,
					BgL_arg2275z00_2448);
			}
			{	/* Ast/node.scm 147 */
				obj_t BgL_arg2302z00_2506;
				obj_t BgL_arg2303z00_2507;

				{	/* Ast/node.scm 147 */
					obj_t BgL_v1687z00_2525;

					BgL_v1687z00_2525 = create_vector(1L);
					{	/* Ast/node.scm 147 */
						obj_t BgL_arg2309z00_2526;

						BgL_arg2309z00_2526 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3241z00zzast_nodez00,
							BGl_proc3240z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1687z00_2525, 0L, BgL_arg2309z00_2526);
					}
					BgL_arg2302z00_2506 = BgL_v1687z00_2525;
				}
				{	/* Ast/node.scm 147 */
					obj_t BgL_v1688z00_2536;

					BgL_v1688z00_2536 = create_vector(0L);
					BgL_arg2303z00_2507 = BgL_v1688z00_2536;
				}
				BGl_wideningz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(53)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 56467L,
					BGl_proc3244z00zzast_nodez00, BGl_proc3243z00zzast_nodez00, BFALSE,
					BGl_proc3242z00zzast_nodez00, BFALSE, BgL_arg2302z00_2506,
					BgL_arg2303z00_2507);
			}
			{	/* Ast/node.scm 151 */
				obj_t BgL_arg2320z00_2543;
				obj_t BgL_arg2321z00_2544;

				{	/* Ast/node.scm 151 */
					obj_t BgL_v1689z00_2562;

					BgL_v1689z00_2562 = create_vector(1L);
					{	/* Ast/node.scm 151 */
						obj_t BgL_arg2327z00_2563;

						BgL_arg2327z00_2563 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(54)), BGl_proc3247z00zzast_nodez00,
							BGl_proc3246z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3245z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1689z00_2562, 0L, BgL_arg2327z00_2563);
					}
					BgL_arg2320z00_2543 = BgL_v1689z00_2562;
				}
				{	/* Ast/node.scm 151 */
					obj_t BgL_v1690z00_2576;

					BgL_v1690z00_2576 = create_vector(0L);
					BgL_arg2321z00_2544 = BgL_v1690z00_2576;
				}
				BGl_newz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(55)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 21062L,
					BGl_proc3250z00zzast_nodez00, BGl_proc3249z00zzast_nodez00, BFALSE,
					BGl_proc3248z00zzast_nodez00, BFALSE, BgL_arg2320z00_2543,
					BgL_arg2321z00_2544);
			}
			{	/* Ast/node.scm 155 */
				obj_t BgL_arg2338z00_2583;
				obj_t BgL_arg2340z00_2584;

				{	/* Ast/node.scm 155 */
					obj_t BgL_v1691z00_2603;

					BgL_v1691z00_2603 = create_vector(2L);
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2348z00_2604;

						BgL_arg2348z00_2604 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3252z00zzast_nodez00,
							BGl_proc3251z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1691z00_2603, 0L, BgL_arg2348z00_2604);
					}
					{	/* Ast/node.scm 155 */
						obj_t BgL_arg2353z00_2614;

						BgL_arg2353z00_2614 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3254z00zzast_nodez00,
							BGl_proc3253z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1691z00_2603, 1L, BgL_arg2353z00_2614);
					}
					BgL_arg2338z00_2583 = BgL_v1691z00_2603;
				}
				{	/* Ast/node.scm 155 */
					obj_t BgL_v1692z00_2624;

					BgL_v1692z00_2624 = create_vector(0L);
					BgL_arg2340z00_2584 = BgL_v1692z00_2624;
				}
				BGl_vallocz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(56)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 60165L,
					BGl_proc3257z00zzast_nodez00, BGl_proc3256z00zzast_nodez00, BFALSE,
					BGl_proc3255z00zzast_nodez00, BFALSE, BgL_arg2338z00_2583,
					BgL_arg2340z00_2584);
			}
			{	/* Ast/node.scm 162 */
				obj_t BgL_arg2361z00_2631;
				obj_t BgL_arg2362z00_2632;

				{	/* Ast/node.scm 162 */
					obj_t BgL_v1693z00_2653;

					BgL_v1693z00_2653 = create_vector(4L);
					{	/* Ast/node.scm 162 */
						obj_t BgL_arg2369z00_2654;

						BgL_arg2369z00_2654 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3259z00zzast_nodez00,
							BGl_proc3258z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1693z00_2653, 0L, BgL_arg2369z00_2654);
					}
					{	/* Ast/node.scm 162 */
						obj_t BgL_arg2375z00_2664;

						BgL_arg2375z00_2664 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3261z00zzast_nodez00,
							BGl_proc3260z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1693z00_2653, 1L, BgL_arg2375z00_2664);
					}
					{	/* Ast/node.scm 162 */
						obj_t BgL_arg2382z00_2674;

						BgL_arg2382z00_2674 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3263z00zzast_nodez00,
							BGl_proc3262z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1693z00_2653, 2L, BgL_arg2382z00_2674);
					}
					{	/* Ast/node.scm 162 */
						obj_t BgL_arg2388z00_2684;

						BgL_arg2388z00_2684 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc3266z00zzast_nodez00,
							BGl_proc3265z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3264z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1693z00_2653, 3L, BgL_arg2388z00_2684);
					}
					BgL_arg2361z00_2631 = BgL_v1693z00_2653;
				}
				{	/* Ast/node.scm 162 */
					obj_t BgL_v1694z00_2697;

					BgL_v1694z00_2697 = create_vector(0L);
					BgL_arg2362z00_2632 = BgL_v1694z00_2697;
				}
				BGl_vrefz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(58)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 50670L,
					BGl_proc3269z00zzast_nodez00, BGl_proc3268z00zzast_nodez00, BFALSE,
					BGl_proc3267z00zzast_nodez00, BFALSE, BgL_arg2361z00_2631,
					BgL_arg2362z00_2632);
			}
			{	/* Ast/node.scm 173 */
				obj_t BgL_arg2401z00_2704;
				obj_t BgL_arg2402z00_2705;

				{	/* Ast/node.scm 173 */
					obj_t BgL_v1695z00_2726;

					BgL_v1695z00_2726 = create_vector(4L);
					{	/* Ast/node.scm 173 */
						obj_t BgL_arg2411z00_2727;

						BgL_arg2411z00_2727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3271z00zzast_nodez00,
							BGl_proc3270z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1695z00_2726, 0L, BgL_arg2411z00_2727);
					}
					{	/* Ast/node.scm 173 */
						obj_t BgL_arg2417z00_2737;

						BgL_arg2417z00_2737 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(50)), BGl_proc3273z00zzast_nodez00,
							BGl_proc3272z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1695z00_2726, 1L, BgL_arg2417z00_2737);
					}
					{	/* Ast/node.scm 173 */
						obj_t BgL_arg2424z00_2747;

						BgL_arg2424z00_2747 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3275z00zzast_nodez00,
							BGl_proc3274z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1695z00_2726, 2L, BgL_arg2424z00_2747);
					}
					{	/* Ast/node.scm 173 */
						obj_t BgL_arg2431z00_2757;

						BgL_arg2431z00_2757 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc3278z00zzast_nodez00,
							BGl_proc3277z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3276z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1695z00_2726, 3L, BgL_arg2431z00_2757);
					}
					BgL_arg2401z00_2704 = BgL_v1695z00_2726;
				}
				{	/* Ast/node.scm 173 */
					obj_t BgL_v1696z00_2770;

					BgL_v1696z00_2770 = create_vector(0L);
					BgL_arg2402z00_2705 = BgL_v1696z00_2770;
				}
				BGl_vsetz12z12zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(59)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 16062L,
					BGl_proc3281z00zzast_nodez00, BGl_proc3280z00zzast_nodez00, BFALSE,
					BGl_proc3279z00zzast_nodez00, BFALSE, BgL_arg2401z00_2704,
					BgL_arg2402z00_2705);
			}
			{	/* Ast/node.scm 184 */
				obj_t BgL_arg2450z00_2777;
				obj_t BgL_arg2451z00_2778;

				{	/* Ast/node.scm 184 */
					obj_t BgL_v1697z00_2797;

					BgL_v1697z00_2797 = create_vector(2L);
					{	/* Ast/node.scm 184 */
						obj_t BgL_arg2459z00_2798;

						BgL_arg2459z00_2798 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3283z00zzast_nodez00,
							BGl_proc3282z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1697z00_2797, 0L, BgL_arg2459z00_2798);
					}
					{	/* Ast/node.scm 184 */
						obj_t BgL_arg2465z00_2808;

						BgL_arg2465z00_2808 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(49)), BGl_proc3285z00zzast_nodez00,
							BGl_proc3284z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1697z00_2797, 1L, BgL_arg2465z00_2808);
					}
					BgL_arg2450z00_2777 = BgL_v1697z00_2797;
				}
				{	/* Ast/node.scm 184 */
					obj_t BgL_v1698z00_2818;

					BgL_v1698z00_2818 = create_vector(0L);
					BgL_arg2451z00_2778 = BgL_v1698z00_2818;
				}
				BGl_vlengthz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(60)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 63708L,
					BGl_proc3288z00zzast_nodez00, BGl_proc3287z00zzast_nodez00, BFALSE,
					BGl_proc3286z00zzast_nodez00, BFALSE, BgL_arg2450z00_2777,
					BgL_arg2451z00_2778);
			}
			{	/* Ast/node.scm 191 */
				obj_t BgL_arg2473z00_2825;
				obj_t BgL_arg2474z00_2826;

				{	/* Ast/node.scm 191 */
					obj_t BgL_v1699z00_2844;

					BgL_v1699z00_2844 = create_vector(1L);
					{	/* Ast/node.scm 191 */
						obj_t BgL_arg2480z00_2845;

						BgL_arg2480z00_2845 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(61)), BGl_proc3290z00zzast_nodez00,
							BGl_proc3289z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1699z00_2844, 0L, BgL_arg2480z00_2845);
					}
					BgL_arg2473z00_2825 = BgL_v1699z00_2844;
				}
				{	/* Ast/node.scm 191 */
					obj_t BgL_v1700z00_2855;

					BgL_v1700z00_2855 = create_vector(0L);
					BgL_arg2474z00_2826 = BgL_v1700z00_2855;
				}
				BGl_instanceofz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(62)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 64505L,
					BGl_proc3293z00zzast_nodez00, BGl_proc3292z00zzast_nodez00, BFALSE,
					BGl_proc3291z00zzast_nodez00, BFALSE, BgL_arg2473z00_2825,
					BgL_arg2474z00_2826);
			}
			{	/* Ast/node.scm 195 */
				obj_t BgL_arg2489z00_2862;
				obj_t BgL_arg2490z00_2863;

				{	/* Ast/node.scm 195 */
					obj_t BgL_v1701z00_2880;

					BgL_v1701z00_2880 = create_vector(0L);
					BgL_arg2489z00_2862 = BgL_v1701z00_2880;
				}
				{	/* Ast/node.scm 195 */
					obj_t BgL_v1702z00_2881;

					BgL_v1702z00_2881 = create_vector(0L);
					BgL_arg2490z00_2863 = BgL_v1702z00_2881;
				}
				BGl_castzd2nullzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(63)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_privatez00zzast_nodez00, 35218L,
					BGl_proc3296z00zzast_nodez00, BGl_proc3295z00zzast_nodez00, BFALSE,
					BGl_proc3294z00zzast_nodez00, BFALSE, BgL_arg2489z00_2862,
					BgL_arg2490z00_2863);
			}
			{	/* Ast/node.scm 198 */
				obj_t BgL_arg2500z00_2888;
				obj_t BgL_arg2501z00_2889;

				{	/* Ast/node.scm 198 */
					obj_t BgL_v1703z00_2902;

					BgL_v1703z00_2902 = create_vector(1L);
					{	/* Ast/node.scm 198 */
						obj_t BgL_arg2508z00_2903;

						BgL_arg2508z00_2903 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc3298z00zzast_nodez00,
							BGl_proc3297z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1703z00_2902, 0L, BgL_arg2508z00_2903);
					}
					BgL_arg2500z00_2888 = BgL_v1703z00_2902;
				}
				{	/* Ast/node.scm 198 */
					obj_t BgL_v1704z00_2913;

					BgL_v1704z00_2913 = create_vector(0L);
					BgL_arg2501z00_2889 = BgL_v1704z00_2913;
				}
				BGl_castz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(64)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 32773L,
					BGl_proc3301z00zzast_nodez00, BGl_proc3300z00zzast_nodez00, BFALSE,
					BGl_proc3299z00zzast_nodez00, BFALSE, BgL_arg2500z00_2888,
					BgL_arg2501z00_2889);
			}
			{	/* Ast/node.scm 203 */
				obj_t BgL_arg2520z00_2920;
				obj_t BgL_arg2521z00_2921;

				{	/* Ast/node.scm 203 */
					obj_t BgL_v1705z00_2935;

					BgL_v1705z00_2935 = create_vector(2L);
					{	/* Ast/node.scm 203 */
						obj_t BgL_arg2527z00_2936;

						BgL_arg2527z00_2936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3303z00zzast_nodez00,
							BGl_proc3302z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1705z00_2935, 0L, BgL_arg2527z00_2936);
					}
					{	/* Ast/node.scm 203 */
						obj_t BgL_arg2532z00_2946;

						BgL_arg2532z00_2946 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3305z00zzast_nodez00,
							BGl_proc3304z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1705z00_2935, 1L, BgL_arg2532z00_2946);
					}
					BgL_arg2520z00_2920 = BgL_v1705z00_2935;
				}
				{	/* Ast/node.scm 203 */
					obj_t BgL_v1706z00_2956;

					BgL_v1706z00_2956 = create_vector(0L);
					BgL_arg2521z00_2921 = BgL_v1706z00_2956;
				}
				BGl_setqz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(65)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 57238L,
					BGl_proc3308z00zzast_nodez00, BGl_proc3307z00zzast_nodez00, BFALSE,
					BGl_proc3306z00zzast_nodez00, BFALSE, BgL_arg2520z00_2920,
					BgL_arg2521z00_2921);
			}
			{	/* Ast/node.scm 210 */
				obj_t BgL_arg2542z00_2963;
				obj_t BgL_arg2543z00_2964;

				{	/* Ast/node.scm 210 */
					obj_t BgL_v1707z00_2981;

					BgL_v1707z00_2981 = create_vector(3L);
					{	/* Ast/node.scm 210 */
						obj_t BgL_arg2550z00_2982;

						BgL_arg2550z00_2982 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(66)), BGl_proc3310z00zzast_nodez00,
							BGl_proc3309z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_2981, 0L, BgL_arg2550z00_2982);
					}
					{	/* Ast/node.scm 210 */
						obj_t BgL_arg2555z00_2992;

						BgL_arg2555z00_2992 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(67)), BGl_proc3312z00zzast_nodez00,
							BGl_proc3311z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_2981, 1L, BgL_arg2555z00_2992);
					}
					{	/* Ast/node.scm 210 */
						obj_t BgL_arg2560z00_3002;

						BgL_arg2560z00_3002 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(68)), BGl_proc3314z00zzast_nodez00,
							BGl_proc3313z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1707z00_2981, 2L, BgL_arg2560z00_3002);
					}
					BgL_arg2542z00_2963 = BgL_v1707z00_2981;
				}
				{	/* Ast/node.scm 210 */
					obj_t BgL_v1708z00_3012;

					BgL_v1708z00_3012 = create_vector(0L);
					BgL_arg2543z00_2964 = BgL_v1708z00_3012;
				}
				BGl_conditionalz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(69)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 32399L,
					BGl_proc3317z00zzast_nodez00, BGl_proc3316z00zzast_nodez00, BFALSE,
					BGl_proc3315z00zzast_nodez00, BFALSE, BgL_arg2542z00_2963,
					BgL_arg2543z00_2964);
			}
			{	/* Ast/node.scm 219 */
				obj_t BgL_arg2569z00_3019;
				obj_t BgL_arg2571z00_3020;

				{	/* Ast/node.scm 219 */
					obj_t BgL_v1709z00_3035;

					BgL_v1709z00_3035 = create_vector(3L);
					{	/* Ast/node.scm 219 */
						obj_t BgL_arg2577z00_3036;

						BgL_arg2577z00_3036 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(70)), BGl_proc3319z00zzast_nodez00,
							BGl_proc3318z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1709z00_3035, 0L, BgL_arg2577z00_3036);
					}
					{	/* Ast/node.scm 219 */
						obj_t BgL_arg2582z00_3046;

						BgL_arg2582z00_3046 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(71)), BGl_proc3321z00zzast_nodez00,
							BGl_proc3320z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1709z00_3035, 1L, BgL_arg2582z00_3046);
					}
					{	/* Ast/node.scm 219 */
						obj_t BgL_arg2587z00_3056;

						BgL_arg2587z00_3056 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(2)), BGl_proc3323z00zzast_nodez00,
							BGl_proc3322z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1709z00_3035, 2L, BgL_arg2587z00_3056);
					}
					BgL_arg2569z00_3019 = BgL_v1709z00_3035;
				}
				{	/* Ast/node.scm 219 */
					obj_t BgL_v1710z00_3066;

					BgL_v1710z00_3066 = create_vector(0L);
					BgL_arg2571z00_3020 = BgL_v1710z00_3066;
				}
				BGl_failz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(72)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 25408L,
					BGl_proc3326z00zzast_nodez00, BGl_proc3325z00zzast_nodez00, BFALSE,
					BGl_proc3324z00zzast_nodez00, BFALSE, BgL_arg2569z00_3019,
					BgL_arg2571z00_3020);
			}
			{	/* Ast/node.scm 226 */
				obj_t BgL_arg2596z00_3073;
				obj_t BgL_arg2597z00_3074;

				{	/* Ast/node.scm 226 */
					obj_t BgL_v1711z00_3091;

					BgL_v1711z00_3091 = create_vector(3L);
					{	/* Ast/node.scm 226 */
						obj_t BgL_arg2603z00_3092;

						BgL_arg2603z00_3092 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(66)), BGl_proc3328z00zzast_nodez00,
							BGl_proc3327z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1711z00_3091, 0L, BgL_arg2603z00_3092);
					}
					{	/* Ast/node.scm 226 */
						obj_t BgL_arg2609z00_3102;

						BgL_arg2609z00_3102 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(73)), BGl_proc3330z00zzast_nodez00,
							BGl_proc3329z00zzast_nodez00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1711z00_3091, 1L, BgL_arg2609z00_3102);
					}
					{	/* Ast/node.scm 226 */
						obj_t BgL_arg2615z00_3112;

						BgL_arg2615z00_3112 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(74)), BGl_proc3332z00zzast_nodez00,
							BGl_proc3331z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1711z00_3091, 2L, BgL_arg2615z00_3112);
					}
					BgL_arg2596z00_3073 = BgL_v1711z00_3091;
				}
				{	/* Ast/node.scm 226 */
					obj_t BgL_v1712z00_3122;

					BgL_v1712z00_3122 = create_vector(0L);
					BgL_arg2597z00_3074 = BgL_v1712z00_3122;
				}
				BGl_switchz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(75)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 14324L,
					BGl_proc3335z00zzast_nodez00, BGl_proc3334z00zzast_nodez00, BFALSE,
					BGl_proc3333z00zzast_nodez00, BFALSE, BgL_arg2596z00_3073,
					BgL_arg2597z00_3074);
			}
			{	/* Ast/node.scm 235 */
				obj_t BgL_arg2628z00_3129;
				obj_t BgL_arg2629z00_3130;

				{	/* Ast/node.scm 235 */
					obj_t BgL_v1713z00_3146;

					BgL_v1713z00_3146 = create_vector(2L);
					{	/* Ast/node.scm 235 */
						obj_t BgL_arg2635z00_3147;

						BgL_arg2635z00_3147 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(76)), BGl_proc3337z00zzast_nodez00,
							BGl_proc3336z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1713z00_3146, 0L, BgL_arg2635z00_3147);
					}
					{	/* Ast/node.scm 235 */
						obj_t BgL_arg2643z00_3157;

						BgL_arg2643z00_3157 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3339z00zzast_nodez00,
							BGl_proc3338z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1713z00_3146, 1L, BgL_arg2643z00_3157);
					}
					BgL_arg2628z00_3129 = BgL_v1713z00_3146;
				}
				{	/* Ast/node.scm 235 */
					obj_t BgL_v1714z00_3167;

					BgL_v1714z00_3167 = create_vector(0L);
					BgL_arg2629z00_3130 = BgL_v1714z00_3167;
				}
				BGl_letzd2funzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(78)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 30800L,
					BGl_proc3342z00zzast_nodez00, BGl_proc3341z00zzast_nodez00, BFALSE,
					BGl_proc3340z00zzast_nodez00, BFALSE, BgL_arg2628z00_3129,
					BgL_arg2629z00_3130);
			}
			{	/* Ast/node.scm 242 */
				obj_t BgL_arg2658z00_3174;
				obj_t BgL_arg2659z00_3175;

				{	/* Ast/node.scm 242 */
					obj_t BgL_v1715z00_3192;

					BgL_v1715z00_3192 = create_vector(3L);
					{	/* Ast/node.scm 242 */
						obj_t BgL_arg2667z00_3193;

						BgL_arg2667z00_3193 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(79)), BGl_proc3344z00zzast_nodez00,
							BGl_proc3343z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1715z00_3192, 0L, BgL_arg2667z00_3193);
					}
					{	/* Ast/node.scm 242 */
						obj_t BgL_arg2673z00_3203;

						BgL_arg2673z00_3203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3346z00zzast_nodez00,
							BGl_proc3345z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1715z00_3192, 1L, BgL_arg2673z00_3203);
					}
					{	/* Ast/node.scm 242 */
						obj_t BgL_arg2679z00_3213;

						BgL_arg2679z00_3213 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(80)), BGl_proc3349z00zzast_nodez00,
							BGl_proc3348z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3347z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(24)));
						VECTOR_SET(BgL_v1715z00_3192, 2L, BgL_arg2679z00_3213);
					}
					BgL_arg2658z00_3174 = BgL_v1715z00_3192;
				}
				{	/* Ast/node.scm 242 */
					obj_t BgL_v1716z00_3226;

					BgL_v1716z00_3226 = create_vector(0L);
					BgL_arg2659z00_3175 = BgL_v1716z00_3226;
				}
				BGl_letzd2varzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(81)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 54891L,
					BGl_proc3352z00zzast_nodez00, BGl_proc3351z00zzast_nodez00, BFALSE,
					BGl_proc3350z00zzast_nodez00, BFALSE, BgL_arg2658z00_3174,
					BgL_arg2659z00_3175);
			}
			{	/* Ast/node.scm 251 */
				obj_t BgL_arg2705z00_3233;
				obj_t BgL_arg2708z00_3234;

				{	/* Ast/node.scm 251 */
					obj_t BgL_v1717z00_3249;

					BgL_v1717z00_3249 = create_vector(3L);
					{	/* Ast/node.scm 251 */
						obj_t BgL_arg2715z00_3250;

						BgL_arg2715z00_3250 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3354z00zzast_nodez00,
							BGl_proc3353z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1717z00_3249, 0L, BgL_arg2715z00_3250);
					}
					{	/* Ast/node.scm 251 */
						obj_t BgL_arg2723z00_3260;

						BgL_arg2723z00_3260 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3356z00zzast_nodez00,
							BGl_proc3355z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1717z00_3249, 1L, BgL_arg2723z00_3260);
					}
					{	/* Ast/node.scm 251 */
						obj_t BgL_arg2728z00_3270;

						BgL_arg2728z00_3270 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(82)), BGl_proc3358z00zzast_nodez00,
							BGl_proc3357z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1717z00_3249, 2L, BgL_arg2728z00_3270);
					}
					BgL_arg2705z00_3233 = BgL_v1717z00_3249;
				}
				{	/* Ast/node.scm 251 */
					obj_t BgL_v1718z00_3280;

					BgL_v1718z00_3280 = create_vector(0L);
					BgL_arg2708z00_3234 = BgL_v1718z00_3280;
				}
				BGl_setzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(83)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 16641L,
					BGl_proc3361z00zzast_nodez00, BGl_proc3360z00zzast_nodez00, BFALSE,
					BGl_proc3359z00zzast_nodez00, BFALSE, BgL_arg2705z00_3233,
					BgL_arg2708z00_3234);
			}
			{	/* Ast/node.scm 260 */
				obj_t BgL_arg2736z00_3287;
				obj_t BgL_arg2737z00_3288;

				{	/* Ast/node.scm 260 */
					obj_t BgL_v1719z00_3302;

					BgL_v1719z00_3302 = create_vector(2L);
					{	/* Ast/node.scm 260 */
						obj_t BgL_arg2744z00_3303;

						BgL_arg2744z00_3303 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(84)), BGl_proc3363z00zzast_nodez00,
							BGl_proc3362z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1719z00_3302, 0L, BgL_arg2744z00_3303);
					}
					{	/* Ast/node.scm 260 */
						obj_t BgL_arg2752z00_3313;

						BgL_arg2752z00_3313 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3365z00zzast_nodez00,
							BGl_proc3364z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1719z00_3302, 1L, BgL_arg2752z00_3313);
					}
					BgL_arg2736z00_3287 = BgL_v1719z00_3302;
				}
				{	/* Ast/node.scm 260 */
					obj_t BgL_v1720z00_3323;

					BgL_v1720z00_3323 = create_vector(0L);
					BgL_arg2737z00_3288 = BgL_v1720z00_3323;
				}
				BGl_jumpzd2exzd2itz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(85)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 40013L,
					BGl_proc3368z00zzast_nodez00, BGl_proc3367z00zzast_nodez00, BFALSE,
					BGl_proc3366z00zzast_nodez00, BFALSE, BgL_arg2736z00_3287,
					BgL_arg2737z00_3288);
			}
			{	/* Ast/node.scm 267 */
				obj_t BgL_arg2763z00_3330;
				obj_t BgL_arg2764z00_3331;

				{	/* Ast/node.scm 267 */
					obj_t BgL_v1721z00_3344;

					BgL_v1721z00_3344 = create_vector(1L);
					{	/* Ast/node.scm 267 */
						obj_t BgL_arg2770z00_3345;

						BgL_arg2770z00_3345 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3370z00zzast_nodez00,
							BGl_proc3369z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1721z00_3344, 0L, BgL_arg2770z00_3345);
					}
					BgL_arg2763z00_3330 = BgL_v1721z00_3344;
				}
				{	/* Ast/node.scm 267 */
					obj_t BgL_v1722z00_3355;

					BgL_v1722z00_3355 = create_vector(0L);
					BgL_arg2764z00_3331 = BgL_v1722z00_3355;
				}
				BGl_retblockz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(86)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 42540L,
					BGl_proc3373z00zzast_nodez00, BGl_proc3372z00zzast_nodez00, BFALSE,
					BGl_proc3371z00zzast_nodez00, BFALSE, BgL_arg2763z00_3330,
					BgL_arg2764z00_3331);
			}
			{	/* Ast/node.scm 271 */
				obj_t BgL_arg2803z00_3362;
				obj_t BgL_arg2804z00_3363;

				{	/* Ast/node.scm 271 */
					obj_t BgL_v1723z00_3377;

					BgL_v1723z00_3377 = create_vector(2L);
					{	/* Ast/node.scm 271 */
						obj_t BgL_arg2812z00_3378;

						BgL_arg2812z00_3378 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(87)), BGl_proc3375z00zzast_nodez00,
							BGl_proc3374z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_retblockz00zzast_nodez00);
						VECTOR_SET(BgL_v1723z00_3377, 0L, BgL_arg2812z00_3378);
					}
					{	/* Ast/node.scm 271 */
						obj_t BgL_arg2818z00_3388;

						BgL_arg2818z00_3388 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3377z00zzast_nodez00,
							BGl_proc3376z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1723z00_3377, 1L, BgL_arg2818z00_3388);
					}
					BgL_arg2803z00_3362 = BgL_v1723z00_3377;
				}
				{	/* Ast/node.scm 271 */
					obj_t BgL_v1724z00_3398;

					BgL_v1724z00_3398 = create_vector(0L);
					BgL_arg2804z00_3363 = BgL_v1724z00_3398;
				}
				BGl_returnz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(88)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 22012L,
					BGl_proc3380z00zzast_nodez00, BGl_proc3379z00zzast_nodez00, BFALSE,
					BGl_proc3378z00zzast_nodez00, BFALSE, BgL_arg2803z00_3362,
					BgL_arg2804z00_3363);
			}
			{	/* Ast/node.scm 277 */
				obj_t BgL_arg2826z00_3405;
				obj_t BgL_arg2827z00_3406;

				{	/* Ast/node.scm 277 */
					obj_t BgL_v1725z00_3423;

					BgL_v1725z00_3423 = create_vector(3L);
					{	/* Ast/node.scm 277 */
						obj_t BgL_arg2833z00_3424;

						BgL_arg2833z00_3424 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3382z00zzast_nodez00,
							BGl_proc3381z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1725z00_3423, 0L, BgL_arg2833z00_3424);
					}
					{	/* Ast/node.scm 277 */
						obj_t BgL_arg2838z00_3434;

						BgL_arg2838z00_3434 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3384z00zzast_nodez00,
							BGl_proc3383z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1725z00_3423, 1L, BgL_arg2838z00_3434);
					}
					{	/* Ast/node.scm 277 */
						obj_t BgL_arg2846z00_3444;

						BgL_arg2846z00_3444 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(29)), BGl_proc3387z00zzast_nodez00,
							BGl_proc3386z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3385z00zzast_nodez00, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1725z00_3423, 2L, BgL_arg2846z00_3444);
					}
					BgL_arg2826z00_3405 = BgL_v1725z00_3423;
				}
				{	/* Ast/node.scm 277 */
					obj_t BgL_v1726z00_3457;

					BgL_v1726z00_3457 = create_vector(0L);
					BgL_arg2827z00_3406 = BgL_v1726z00_3457;
				}
				BGl_makezd2boxzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(89)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 53611L,
					BGl_proc3390z00zzast_nodez00, BGl_proc3389z00zzast_nodez00, BFALSE,
					BGl_proc3388z00zzast_nodez00, BFALSE, BgL_arg2826z00_3405,
					BgL_arg2827z00_3406);
			}
			{	/* Ast/node.scm 284 */
				obj_t BgL_arg2859z00_3464;
				obj_t BgL_arg2860z00_3465;

				{	/* Ast/node.scm 284 */
					obj_t BgL_v1727z00_3481;

					BgL_v1727z00_3481 = create_vector(2L);
					{	/* Ast/node.scm 284 */
						obj_t BgL_arg2866z00_3482;

						BgL_arg2866z00_3482 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3392z00zzast_nodez00,
							BGl_proc3391z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1727z00_3481, 0L, BgL_arg2866z00_3482);
					}
					{	/* Ast/node.scm 284 */
						obj_t BgL_arg2879z00_3492;

						BgL_arg2879z00_3492 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3394z00zzast_nodez00,
							BGl_proc3393z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1727z00_3481, 1L, BgL_arg2879z00_3492);
					}
					BgL_arg2859z00_3464 = BgL_v1727z00_3481;
				}
				{	/* Ast/node.scm 284 */
					obj_t BgL_v1728z00_3502;

					BgL_v1728z00_3502 = create_vector(0L);
					BgL_arg2860z00_3465 = BgL_v1728z00_3502;
				}
				BGl_boxzd2refzd2zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(90)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodezf2effectzf2zzast_nodez00, 19725L,
					BGl_proc3397z00zzast_nodez00, BGl_proc3396z00zzast_nodez00, BFALSE,
					BGl_proc3395z00zzast_nodez00, BFALSE, BgL_arg2859z00_3464,
					BgL_arg2860z00_3465);
			}
			{	/* Ast/node.scm 289 */
				obj_t BgL_arg2902z00_3509;
				obj_t BgL_arg2903z00_3510;

				{	/* Ast/node.scm 289 */
					obj_t BgL_v1729z00_3525;

					BgL_v1729z00_3525 = create_vector(3L);
					{	/* Ast/node.scm 289 */
						obj_t BgL_arg2910z00_3526;

						BgL_arg2910z00_3526 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc3399z00zzast_nodez00,
							BGl_proc3398z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_varz00zzast_nodez00);
						VECTOR_SET(BgL_v1729z00_3525, 0L, BgL_arg2910z00_3526);
					}
					{	/* Ast/node.scm 289 */
						obj_t BgL_arg2916z00_3536;

						BgL_arg2916z00_3536 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc3401z00zzast_nodez00,
							BGl_proc3400z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1729z00_3525, 1L, BgL_arg2916z00_3536);
					}
					{	/* Ast/node.scm 289 */
						obj_t BgL_arg2922z00_3546;

						BgL_arg2922z00_3546 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(57)), BGl_proc3403z00zzast_nodez00,
							BGl_proc3402z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1729z00_3525, 2L, BgL_arg2922z00_3546);
					}
					BgL_arg2902z00_3509 = BgL_v1729z00_3525;
				}
				{	/* Ast/node.scm 289 */
					obj_t BgL_v1730z00_3556;

					BgL_v1730z00_3556 = create_vector(0L);
					BgL_arg2903z00_3510 = BgL_v1730z00_3556;
				}
				BGl_boxzd2setz12zc0zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(91)),
					((obj_t)
						CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 57714L,
					BGl_proc3406z00zzast_nodez00, BGl_proc3405z00zzast_nodez00, BFALSE,
					BGl_proc3404z00zzast_nodez00, BFALSE, BgL_arg2902z00_3509,
					BgL_arg2903z00_3510);
			}
			{	/* Ast/node.scm 295 */
				obj_t BgL_arg2930z00_3563;
				obj_t BgL_arg2937z00_3564;

				{	/* Ast/node.scm 295 */
					obj_t BgL_v1731z00_3579;

					BgL_v1731z00_3579 = create_vector(3L);
					{	/* Ast/node.scm 295 */
						obj_t BgL_arg2952z00_3580;

						BgL_arg2952z00_3580 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(92)), BGl_proc3408z00zzast_nodez00,
							BGl_proc3407z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1731z00_3579, 0L, BgL_arg2952z00_3580);
					}
					{	/* Ast/node.scm 295 */
						obj_t BgL_arg2957z00_3590;

						BgL_arg2957z00_3590 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(93)), BGl_proc3410z00zzast_nodez00,
							BGl_proc3409z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1731z00_3579, 1L, BgL_arg2957z00_3590);
					}
					{	/* Ast/node.scm 295 */
						obj_t BgL_arg2962z00_3600;

						BgL_arg2962z00_3600 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(77)), BGl_proc3412z00zzast_nodez00,
							BGl_proc3411z00zzast_nodez00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1731z00_3579, 2L, BgL_arg2962z00_3600);
					}
					BgL_arg2930z00_3563 = BgL_v1731z00_3579;
				}
				{	/* Ast/node.scm 295 */
					obj_t BgL_v1732z00_3610;

					BgL_v1732z00_3610 = create_vector(0L);
					BgL_arg2937z00_3564 = BgL_v1732z00_3610;
				}
				return (BGl_syncz00zzast_nodez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(94)),
						((obj_t)
							CNST_TABLE_REF(5)), BGl_nodez00zzast_nodez00, 24292L,
						BGl_proc3415z00zzast_nodez00, BGl_proc3414z00zzast_nodez00, BFALSE,
						BGl_proc3413z00zzast_nodez00, BFALSE, BgL_arg2930z00_3563,
						BgL_arg2937z00_3564), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2944> */
	obj_t BGl_z62zc3z04anonymousza32944ze3ze5zzast_nodez00(obj_t BgL_envz00_8099,
		obj_t BgL_new1449z00_8100)
	{
		{	/* Ast/node.scm 295 */
			{
				BgL_syncz00_bglt BgL_auxz00_15297;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1449z00_8100))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15301;

					{	/* Ast/node.scm 295 */
						obj_t BgL_classz00_9814;

						BgL_classz00_9814 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 295 */
							obj_t BgL__ortest_1117z00_9815;

							BgL__ortest_1117z00_9815 = BGL_CLASS_NIL(BgL_classz00_9814);
							if (CBOOL(BgL__ortest_1117z00_9815))
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15301 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9815);
								}
							else
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15301 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9814));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1449z00_8100))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15301), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15311;

					{	/* Ast/node.scm 295 */
						obj_t BgL_classz00_9816;

						BgL_classz00_9816 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 295 */
							obj_t BgL__ortest_1117z00_9817;

							BgL__ortest_1117z00_9817 = BGL_CLASS_NIL(BgL_classz00_9816);
							if (CBOOL(BgL__ortest_1117z00_9817))
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15311 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9817);
								}
							else
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15311 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9816));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1449z00_8100)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15311), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15320;

					{	/* Ast/node.scm 295 */
						obj_t BgL_classz00_9818;

						BgL_classz00_9818 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 295 */
							obj_t BgL__ortest_1117z00_9819;

							BgL__ortest_1117z00_9819 = BGL_CLASS_NIL(BgL_classz00_9818);
							if (CBOOL(BgL__ortest_1117z00_9819))
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15320 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9819);
								}
							else
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15320 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9818));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1449z00_8100)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15320), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15329;

					{	/* Ast/node.scm 295 */
						obj_t BgL_classz00_9820;

						BgL_classz00_9820 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 295 */
							obj_t BgL__ortest_1117z00_9821;

							BgL__ortest_1117z00_9821 = BGL_CLASS_NIL(BgL_classz00_9820);
							if (CBOOL(BgL__ortest_1117z00_9821))
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15329 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9821);
								}
							else
								{	/* Ast/node.scm 295 */
									BgL_auxz00_15329 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9820));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_new1449z00_8100)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15329), BUNSPEC);
				}
				BgL_auxz00_15297 = ((BgL_syncz00_bglt) BgL_new1449z00_8100);
				return ((obj_t) BgL_auxz00_15297);
			}
		}

	}



/* &lambda2942 */
	BgL_syncz00_bglt BGl_z62lambda2942z62zzast_nodez00(obj_t BgL_envz00_8101)
	{
		{	/* Ast/node.scm 295 */
			{	/* Ast/node.scm 295 */
				BgL_syncz00_bglt BgL_new1448z00_9822;

				BgL_new1448z00_9822 =
					((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_syncz00_bgl))));
				{	/* Ast/node.scm 295 */
					long BgL_arg2943z00_9823;

					BgL_arg2943z00_9823 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1448z00_9822), BgL_arg2943z00_9823);
				}
				{	/* Ast/node.scm 295 */
					BgL_objectz00_bglt BgL_tmpz00_15344;

					BgL_tmpz00_15344 = ((BgL_objectz00_bglt) BgL_new1448z00_9822);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15344, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1448z00_9822);
				return BgL_new1448z00_9822;
			}
		}

	}



/* &lambda2938 */
	BgL_syncz00_bglt BGl_z62lambda2938z62zzast_nodez00(obj_t BgL_envz00_8102,
		obj_t BgL_loc1443z00_8103, obj_t BgL_type1444z00_8104,
		obj_t BgL_mutex1445z00_8105, obj_t BgL_prelock1446z00_8106,
		obj_t BgL_body1447z00_8107)
	{
		{	/* Ast/node.scm 295 */
			{	/* Ast/node.scm 295 */
				BgL_syncz00_bglt BgL_new1611z00_9828;

				{	/* Ast/node.scm 295 */
					BgL_syncz00_bglt BgL_new1610z00_9829;

					BgL_new1610z00_9829 =
						((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_syncz00_bgl))));
					{	/* Ast/node.scm 295 */
						long BgL_arg2941z00_9830;

						BgL_arg2941z00_9830 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1610z00_9829), BgL_arg2941z00_9830);
					}
					{	/* Ast/node.scm 295 */
						BgL_objectz00_bglt BgL_tmpz00_15352;

						BgL_tmpz00_15352 = ((BgL_objectz00_bglt) BgL_new1610z00_9829);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15352, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1610z00_9829);
					BgL_new1611z00_9828 = BgL_new1610z00_9829;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1611z00_9828)))->BgL_locz00) =
					((obj_t) BgL_loc1443z00_8103), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1611z00_9828)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1444z00_8104)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1611z00_9828))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1445z00_8105)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1611z00_9828))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1446z00_8106)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(BgL_new1611z00_9828))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1447z00_8107)),
					BUNSPEC);
				return BgL_new1611z00_9828;
			}
		}

	}



/* &lambda2968 */
	obj_t BGl_z62lambda2968z62zzast_nodez00(obj_t BgL_envz00_8108,
		obj_t BgL_oz00_8109, obj_t BgL_vz00_8110)
	{
		{	/* Ast/node.scm 295 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8109)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8110)), BUNSPEC);
		}

	}



/* &lambda2967 */
	BgL_nodez00_bglt BGl_z62lambda2967z62zzast_nodez00(obj_t BgL_envz00_8111,
		obj_t BgL_oz00_8112)
	{
		{	/* Ast/node.scm 295 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8112)))->BgL_bodyz00);
		}

	}



/* &lambda2961 */
	obj_t BGl_z62lambda2961z62zzast_nodez00(obj_t BgL_envz00_8113,
		obj_t BgL_oz00_8114, obj_t BgL_vz00_8115)
	{
		{	/* Ast/node.scm 295 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8114)))->BgL_prelockz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8115)), BUNSPEC);
		}

	}



/* &lambda2960 */
	BgL_nodez00_bglt BGl_z62lambda2960z62zzast_nodez00(obj_t BgL_envz00_8116,
		obj_t BgL_oz00_8117)
	{
		{	/* Ast/node.scm 295 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8117)))->BgL_prelockz00);
		}

	}



/* &lambda2956 */
	obj_t BGl_z62lambda2956z62zzast_nodez00(obj_t BgL_envz00_8118,
		obj_t BgL_oz00_8119, obj_t BgL_vz00_8120)
	{
		{	/* Ast/node.scm 295 */
			return
				((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_oz00_8119)))->BgL_mutexz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8120)), BUNSPEC);
		}

	}



/* &lambda2955 */
	BgL_nodez00_bglt BGl_z62lambda2955z62zzast_nodez00(obj_t BgL_envz00_8121,
		obj_t BgL_oz00_8122)
	{
		{	/* Ast/node.scm 295 */
			return
				(((BgL_syncz00_bglt) COBJECT(
						((BgL_syncz00_bglt) BgL_oz00_8122)))->BgL_mutexz00);
		}

	}



/* &<@anonymous:2909> */
	obj_t BGl_z62zc3z04anonymousza32909ze3ze5zzast_nodez00(obj_t BgL_envz00_8123,
		obj_t BgL_new1440z00_8124)
	{
		{	/* Ast/node.scm 289 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_15382;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15386;

					{	/* Ast/node.scm 289 */
						obj_t BgL_classz00_9841;

						BgL_classz00_9841 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 289 */
							obj_t BgL__ortest_1117z00_9842;

							BgL__ortest_1117z00_9842 = BGL_CLASS_NIL(BgL_classz00_9841);
							if (CBOOL(BgL__ortest_1117z00_9842))
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15386 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9842);
								}
							else
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15386 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9841));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15386), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15396;

					{	/* Ast/node.scm 289 */
						obj_t BgL_classz00_9843;

						BgL_classz00_9843 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 289 */
							obj_t BgL__ortest_1117z00_9844;

							BgL__ortest_1117z00_9844 = BGL_CLASS_NIL(BgL_classz00_9843);
							if (CBOOL(BgL__ortest_1117z00_9844))
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15396 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_9844);
								}
							else
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15396 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9843));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15396), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15405;

					{	/* Ast/node.scm 289 */
						obj_t BgL_classz00_9845;

						BgL_classz00_9845 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 289 */
							obj_t BgL__ortest_1117z00_9846;

							BgL__ortest_1117z00_9846 = BGL_CLASS_NIL(BgL_classz00_9845);
							if (CBOOL(BgL__ortest_1117z00_9846))
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15405 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9846);
								}
							else
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15405 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9845));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15405), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15414;

					{	/* Ast/node.scm 289 */
						obj_t BgL_classz00_9847;

						BgL_classz00_9847 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 289 */
							obj_t BgL__ortest_1117z00_9848;

							BgL__ortest_1117z00_9848 = BGL_CLASS_NIL(BgL_classz00_9847);
							if (CBOOL(BgL__ortest_1117z00_9848))
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15414 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9848);
								}
							else
								{	/* Ast/node.scm 289 */
									BgL_auxz00_15414 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9847));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15414), BUNSPEC);
				}
				BgL_auxz00_15382 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1440z00_8124);
				return ((obj_t) BgL_auxz00_15382);
			}
		}

	}



/* &lambda2907 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2907z62zzast_nodez00(obj_t
		BgL_envz00_8125)
	{
		{	/* Ast/node.scm 289 */
			{	/* Ast/node.scm 289 */
				BgL_boxzd2setz12zc0_bglt BgL_new1439z00_9849;

				BgL_new1439z00_9849 =
					((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zc0_bgl))));
				{	/* Ast/node.scm 289 */
					long BgL_arg2908z00_9850;

					BgL_arg2908z00_9850 = BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1439z00_9849), BgL_arg2908z00_9850);
				}
				{	/* Ast/node.scm 289 */
					BgL_objectz00_bglt BgL_tmpz00_15429;

					BgL_tmpz00_15429 = ((BgL_objectz00_bglt) BgL_new1439z00_9849);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15429, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1439z00_9849);
				return BgL_new1439z00_9849;
			}
		}

	}



/* &lambda2904 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda2904z62zzast_nodez00(obj_t
		BgL_envz00_8126, obj_t BgL_loc1434z00_8127, obj_t BgL_type1435z00_8128,
		obj_t BgL_var1436z00_8129, obj_t BgL_value1437z00_8130,
		obj_t BgL_vtype1438z00_8131)
	{
		{	/* Ast/node.scm 289 */
			{	/* Ast/node.scm 289 */
				BgL_boxzd2setz12zc0_bglt BgL_new1609z00_9855;

				{	/* Ast/node.scm 289 */
					BgL_boxzd2setz12zc0_bglt BgL_new1608z00_9856;

					BgL_new1608z00_9856 =
						((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zc0_bgl))));
					{	/* Ast/node.scm 289 */
						long BgL_arg2906z00_9857;

						BgL_arg2906z00_9857 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1608z00_9856), BgL_arg2906z00_9857);
					}
					{	/* Ast/node.scm 289 */
						BgL_objectz00_bglt BgL_tmpz00_15437;

						BgL_tmpz00_15437 = ((BgL_objectz00_bglt) BgL_new1608z00_9856);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15437, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1608z00_9856);
					BgL_new1609z00_9855 = BgL_new1608z00_9856;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1609z00_9855)))->BgL_locz00) =
					((obj_t) BgL_loc1434z00_8127), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1609z00_9855)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1435z00_8128)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1609z00_9855))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1436z00_8129)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1609z00_9855))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1437z00_8130)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(BgL_new1609z00_9855))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1438z00_8131)),
					BUNSPEC);
				return BgL_new1609z00_9855;
			}
		}

	}



/* &lambda2926 */
	obj_t BGl_z62lambda2926z62zzast_nodez00(obj_t BgL_envz00_8132,
		obj_t BgL_oz00_8133, obj_t BgL_vz00_8134)
	{
		{	/* Ast/node.scm 289 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8133)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8134)), BUNSPEC);
		}

	}



/* &lambda2925 */
	BgL_typez00_bglt BGl_z62lambda2925z62zzast_nodez00(obj_t BgL_envz00_8135,
		obj_t BgL_oz00_8136)
	{
		{	/* Ast/node.scm 289 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8136)))->BgL_vtypez00);
		}

	}



/* &lambda2921 */
	obj_t BGl_z62lambda2921z62zzast_nodez00(obj_t BgL_envz00_8137,
		obj_t BgL_oz00_8138, obj_t BgL_vz00_8139)
	{
		{	/* Ast/node.scm 289 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8138)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8139)), BUNSPEC);
		}

	}



/* &lambda2920 */
	BgL_nodez00_bglt BGl_z62lambda2920z62zzast_nodez00(obj_t BgL_envz00_8140,
		obj_t BgL_oz00_8141)
	{
		{	/* Ast/node.scm 289 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8141)))->BgL_valuez00);
		}

	}



/* &lambda2915 */
	obj_t BGl_z62lambda2915z62zzast_nodez00(obj_t BgL_envz00_8142,
		obj_t BgL_oz00_8143, obj_t BgL_vz00_8144)
	{
		{	/* Ast/node.scm 289 */
			return
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8143)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8144)), BUNSPEC);
		}

	}



/* &lambda2914 */
	BgL_varz00_bglt BGl_z62lambda2914z62zzast_nodez00(obj_t BgL_envz00_8145,
		obj_t BgL_oz00_8146)
	{
		{	/* Ast/node.scm 289 */
			return
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
						((BgL_boxzd2setz12zc0_bglt) BgL_oz00_8146)))->BgL_varz00);
		}

	}



/* &<@anonymous:2865> */
	obj_t BGl_z62zc3z04anonymousza32865ze3ze5zzast_nodez00(obj_t BgL_envz00_8147,
		obj_t BgL_new1432z00_8148)
	{
		{	/* Ast/node.scm 284 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_15467;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15471;

					{	/* Ast/node.scm 284 */
						obj_t BgL_classz00_9868;

						BgL_classz00_9868 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 284 */
							obj_t BgL__ortest_1117z00_9869;

							BgL__ortest_1117z00_9869 = BGL_CLASS_NIL(BgL_classz00_9868);
							if (CBOOL(BgL__ortest_1117z00_9869))
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15471 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9869);
								}
							else
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15471 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9868));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15471), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1432z00_8148))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_15487;

					{	/* Ast/node.scm 284 */
						obj_t BgL_classz00_9870;

						BgL_classz00_9870 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 284 */
							obj_t BgL__ortest_1117z00_9871;

							BgL__ortest_1117z00_9871 = BGL_CLASS_NIL(BgL_classz00_9870);
							if (CBOOL(BgL__ortest_1117z00_9871))
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15487 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_9871);
								}
							else
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15487 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9870));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_15487), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15496;

					{	/* Ast/node.scm 284 */
						obj_t BgL_classz00_9872;

						BgL_classz00_9872 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 284 */
							obj_t BgL__ortest_1117z00_9873;

							BgL__ortest_1117z00_9873 = BGL_CLASS_NIL(BgL_classz00_9872);
							if (CBOOL(BgL__ortest_1117z00_9873))
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15496 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9873);
								}
							else
								{	/* Ast/node.scm 284 */
									BgL_auxz00_15496 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9872));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15496), BUNSPEC);
				}
				BgL_auxz00_15467 = ((BgL_boxzd2refzd2_bglt) BgL_new1432z00_8148);
				return ((obj_t) BgL_auxz00_15467);
			}
		}

	}



/* &lambda2863 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2863z62zzast_nodez00(obj_t BgL_envz00_8149)
	{
		{	/* Ast/node.scm 284 */
			{	/* Ast/node.scm 284 */
				BgL_boxzd2refzd2_bglt BgL_new1431z00_9874;

				BgL_new1431z00_9874 =
					((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzd2_bgl))));
				{	/* Ast/node.scm 284 */
					long BgL_arg2864z00_9875;

					BgL_arg2864z00_9875 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1431z00_9874), BgL_arg2864z00_9875);
				}
				{	/* Ast/node.scm 284 */
					BgL_objectz00_bglt BgL_tmpz00_15511;

					BgL_tmpz00_15511 = ((BgL_objectz00_bglt) BgL_new1431z00_9874);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15511, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1431z00_9874);
				return BgL_new1431z00_9874;
			}
		}

	}



/* &lambda2861 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda2861z62zzast_nodez00(obj_t BgL_envz00_8150,
		obj_t BgL_loc1425z00_8151, obj_t BgL_type1426z00_8152,
		obj_t BgL_sidezd2effect1427zd2_8153, obj_t BgL_key1428z00_8154,
		obj_t BgL_var1429z00_8155, obj_t BgL_vtype1430z00_8156)
	{
		{	/* Ast/node.scm 284 */
			{	/* Ast/node.scm 284 */
				BgL_boxzd2refzd2_bglt BgL_new1607z00_9879;

				{	/* Ast/node.scm 284 */
					BgL_boxzd2refzd2_bglt BgL_new1606z00_9880;

					BgL_new1606z00_9880 =
						((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzd2_bgl))));
					{	/* Ast/node.scm 284 */
						long BgL_arg2862z00_9881;

						BgL_arg2862z00_9881 = BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1606z00_9880), BgL_arg2862z00_9881);
					}
					{	/* Ast/node.scm 284 */
						BgL_objectz00_bglt BgL_tmpz00_15519;

						BgL_tmpz00_15519 = ((BgL_objectz00_bglt) BgL_new1606z00_9880);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15519, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1606z00_9880);
					BgL_new1607z00_9879 = BgL_new1606z00_9880;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1607z00_9879)))->BgL_locz00) =
					((obj_t) BgL_loc1425z00_8151), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1607z00_9879)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1426z00_8152)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1607z00_9879)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1427zd2_8153), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1607z00_9879)))->BgL_keyz00) =
					((obj_t) BgL_key1428z00_8154), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1607z00_9879))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1429z00_8155)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(BgL_new1607z00_9879))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1430z00_8156)),
					BUNSPEC);
				return BgL_new1607z00_9879;
			}
		}

	}



/* &lambda2896 */
	obj_t BGl_z62lambda2896z62zzast_nodez00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158, obj_t BgL_vz00_8159)
	{
		{	/* Ast/node.scm 284 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8158)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8159)), BUNSPEC);
		}

	}



/* &lambda2895 */
	BgL_typez00_bglt BGl_z62lambda2895z62zzast_nodez00(obj_t BgL_envz00_8160,
		obj_t BgL_oz00_8161)
	{
		{	/* Ast/node.scm 284 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8161)))->BgL_vtypez00);
		}

	}



/* &lambda2875 */
	obj_t BGl_z62lambda2875z62zzast_nodez00(obj_t BgL_envz00_8162,
		obj_t BgL_oz00_8163, obj_t BgL_vz00_8164)
	{
		{	/* Ast/node.scm 284 */
			return
				((((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_oz00_8163)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8164)), BUNSPEC);
		}

	}



/* &lambda2874 */
	BgL_varz00_bglt BGl_z62lambda2874z62zzast_nodez00(obj_t BgL_envz00_8165,
		obj_t BgL_oz00_8166)
	{
		{	/* Ast/node.scm 284 */
			return
				(((BgL_boxzd2refzd2_bglt) COBJECT(
						((BgL_boxzd2refzd2_bglt) BgL_oz00_8166)))->BgL_varz00);
		}

	}



/* &<@anonymous:2832> */
	obj_t BGl_z62zc3z04anonymousza32832ze3ze5zzast_nodez00(obj_t BgL_envz00_8167,
		obj_t BgL_new1423z00_8168)
	{
		{	/* Ast/node.scm 277 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_15546;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15550;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_9889;

						BgL_classz00_9889 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1117z00_9890;

							BgL__ortest_1117z00_9890 = BGL_CLASS_NIL(BgL_classz00_9889);
							if (CBOOL(BgL__ortest_1117z00_9890))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15550 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9890);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15550 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9889));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15550), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1423z00_8168))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15566;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_9891;

						BgL_classz00_9891 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1117z00_9892;

							BgL__ortest_1117z00_9892 = BGL_CLASS_NIL(BgL_classz00_9891);
							if (CBOOL(BgL__ortest_1117z00_9892))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15566 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9892);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15566 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9891));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15566), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15575;

					{	/* Ast/node.scm 277 */
						obj_t BgL_classz00_9893;

						BgL_classz00_9893 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 277 */
							obj_t BgL__ortest_1117z00_9894;

							BgL__ortest_1117z00_9894 = BGL_CLASS_NIL(BgL_classz00_9893);
							if (CBOOL(BgL__ortest_1117z00_9894))
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15575 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9894);
								}
							else
								{	/* Ast/node.scm 277 */
									BgL_auxz00_15575 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9893));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15575), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_15546 = ((BgL_makezd2boxzd2_bglt) BgL_new1423z00_8168);
				return ((obj_t) BgL_auxz00_15546);
			}
		}

	}



/* &lambda2830 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2830z62zzast_nodez00(obj_t
		BgL_envz00_8169)
	{
		{	/* Ast/node.scm 277 */
			{	/* Ast/node.scm 277 */
				BgL_makezd2boxzd2_bglt BgL_new1422z00_9895;

				BgL_new1422z00_9895 =
					((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzd2_bgl))));
				{	/* Ast/node.scm 277 */
					long BgL_arg2831z00_9896;

					BgL_arg2831z00_9896 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1422z00_9895), BgL_arg2831z00_9896);
				}
				{	/* Ast/node.scm 277 */
					BgL_objectz00_bglt BgL_tmpz00_15592;

					BgL_tmpz00_15592 = ((BgL_objectz00_bglt) BgL_new1422z00_9895);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15592, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1422z00_9895);
				return BgL_new1422z00_9895;
			}
		}

	}



/* &lambda2828 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda2828z62zzast_nodez00(obj_t
		BgL_envz00_8170, obj_t BgL_loc1415z00_8171, obj_t BgL_type1416z00_8172,
		obj_t BgL_sidezd2effect1417zd2_8173, obj_t BgL_key1418z00_8174,
		obj_t BgL_value1419z00_8175, obj_t BgL_vtype1420z00_8176,
		obj_t BgL_stackable1421z00_8177)
	{
		{	/* Ast/node.scm 277 */
			{	/* Ast/node.scm 277 */
				BgL_makezd2boxzd2_bglt BgL_new1605z00_9900;

				{	/* Ast/node.scm 277 */
					BgL_makezd2boxzd2_bglt BgL_new1604z00_9901;

					BgL_new1604z00_9901 =
						((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzd2_bgl))));
					{	/* Ast/node.scm 277 */
						long BgL_arg2829z00_9902;

						BgL_arg2829z00_9902 = BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1604z00_9901), BgL_arg2829z00_9902);
					}
					{	/* Ast/node.scm 277 */
						BgL_objectz00_bglt BgL_tmpz00_15600;

						BgL_tmpz00_15600 = ((BgL_objectz00_bglt) BgL_new1604z00_9901);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15600, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1604z00_9901);
					BgL_new1605z00_9900 = BgL_new1604z00_9901;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1605z00_9900)))->BgL_locz00) =
					((obj_t) BgL_loc1415z00_8171), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1605z00_9900)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1416z00_8172)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1605z00_9900)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1417zd2_8173), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1605z00_9900)))->BgL_keyz00) =
					((obj_t) BgL_key1418z00_8174), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1605z00_9900))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1419z00_8175)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1605z00_9900))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1420z00_8176)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(BgL_new1605z00_9900))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1421z00_8177), BUNSPEC);
				return BgL_new1605z00_9900;
			}
		}

	}



/* &<@anonymous:2852> */
	obj_t BGl_z62zc3z04anonymousza32852ze3ze5zzast_nodez00(obj_t BgL_envz00_8178)
	{
		{	/* Ast/node.scm 277 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2851 */
	obj_t BGl_z62lambda2851z62zzast_nodez00(obj_t BgL_envz00_8179,
		obj_t BgL_oz00_8180, obj_t BgL_vz00_8181)
	{
		{	/* Ast/node.scm 277 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8180)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8181), BUNSPEC);
		}

	}



/* &lambda2850 */
	obj_t BGl_z62lambda2850z62zzast_nodez00(obj_t BgL_envz00_8182,
		obj_t BgL_oz00_8183)
	{
		{	/* Ast/node.scm 277 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8183)))->BgL_stackablez00);
		}

	}



/* &lambda2842 */
	obj_t BGl_z62lambda2842z62zzast_nodez00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185, obj_t BgL_vz00_8186)
	{
		{	/* Ast/node.scm 277 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8185)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8186)), BUNSPEC);
		}

	}



/* &lambda2841 */
	BgL_typez00_bglt BGl_z62lambda2841z62zzast_nodez00(obj_t BgL_envz00_8187,
		obj_t BgL_oz00_8188)
	{
		{	/* Ast/node.scm 277 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8188)))->BgL_vtypez00);
		}

	}



/* &lambda2837 */
	obj_t BGl_z62lambda2837z62zzast_nodez00(obj_t BgL_envz00_8189,
		obj_t BgL_oz00_8190, obj_t BgL_vz00_8191)
	{
		{	/* Ast/node.scm 277 */
			return
				((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_oz00_8190)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8191)), BUNSPEC);
		}

	}



/* &lambda2836 */
	BgL_nodez00_bglt BGl_z62lambda2836z62zzast_nodez00(obj_t BgL_envz00_8192,
		obj_t BgL_oz00_8193)
	{
		{	/* Ast/node.scm 277 */
			return
				(((BgL_makezd2boxzd2_bglt) COBJECT(
						((BgL_makezd2boxzd2_bglt) BgL_oz00_8193)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2811> */
	obj_t BGl_z62zc3z04anonymousza32811ze3ze5zzast_nodez00(obj_t BgL_envz00_8194,
		obj_t BgL_new1413z00_8195)
	{
		{	/* Ast/node.scm 271 */
			{
				BgL_returnz00_bglt BgL_auxz00_15633;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1413z00_8195))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15637;

					{	/* Ast/node.scm 271 */
						obj_t BgL_classz00_9912;

						BgL_classz00_9912 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 271 */
							obj_t BgL__ortest_1117z00_9913;

							BgL__ortest_1117z00_9913 = BGL_CLASS_NIL(BgL_classz00_9912);
							if (CBOOL(BgL__ortest_1117z00_9913))
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15637 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9913);
								}
							else
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15637 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9912));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1413z00_8195))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15637), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_15647;

					{	/* Ast/node.scm 271 */
						obj_t BgL_classz00_9914;

						BgL_classz00_9914 = BGl_retblockz00zzast_nodez00;
						{	/* Ast/node.scm 271 */
							obj_t BgL__ortest_1117z00_9915;

							BgL__ortest_1117z00_9915 = BGL_CLASS_NIL(BgL_classz00_9914);
							if (CBOOL(BgL__ortest_1117z00_9915))
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15647 =
										((BgL_retblockz00_bglt) BgL__ortest_1117z00_9915);
								}
							else
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15647 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9914));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1413z00_8195)))->BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_15647), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15656;

					{	/* Ast/node.scm 271 */
						obj_t BgL_classz00_9916;

						BgL_classz00_9916 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 271 */
							obj_t BgL__ortest_1117z00_9917;

							BgL__ortest_1117z00_9917 = BGL_CLASS_NIL(BgL_classz00_9916);
							if (CBOOL(BgL__ortest_1117z00_9917))
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15656 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9917);
								}
							else
								{	/* Ast/node.scm 271 */
									BgL_auxz00_15656 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9916));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_new1413z00_8195)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_15656), BUNSPEC);
				}
				BgL_auxz00_15633 = ((BgL_returnz00_bglt) BgL_new1413z00_8195);
				return ((obj_t) BgL_auxz00_15633);
			}
		}

	}



/* &lambda2807 */
	BgL_returnz00_bglt BGl_z62lambda2807z62zzast_nodez00(obj_t BgL_envz00_8196)
	{
		{	/* Ast/node.scm 271 */
			{	/* Ast/node.scm 271 */
				BgL_returnz00_bglt BgL_new1412z00_9918;

				BgL_new1412z00_9918 =
					((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnz00_bgl))));
				{	/* Ast/node.scm 271 */
					long BgL_arg2810z00_9919;

					BgL_arg2810z00_9919 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1412z00_9918), BgL_arg2810z00_9919);
				}
				{	/* Ast/node.scm 271 */
					BgL_objectz00_bglt BgL_tmpz00_15671;

					BgL_tmpz00_15671 = ((BgL_objectz00_bglt) BgL_new1412z00_9918);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15671, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1412z00_9918);
				return BgL_new1412z00_9918;
			}
		}

	}



/* &lambda2805 */
	BgL_returnz00_bglt BGl_z62lambda2805z62zzast_nodez00(obj_t BgL_envz00_8197,
		obj_t BgL_loc1408z00_8198, obj_t BgL_type1409z00_8199,
		obj_t BgL_block1410z00_8200, obj_t BgL_value1411z00_8201)
	{
		{	/* Ast/node.scm 271 */
			{	/* Ast/node.scm 271 */
				BgL_returnz00_bglt BgL_new1603z00_9923;

				{	/* Ast/node.scm 271 */
					BgL_returnz00_bglt BgL_new1602z00_9924;

					BgL_new1602z00_9924 =
						((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnz00_bgl))));
					{	/* Ast/node.scm 271 */
						long BgL_arg2806z00_9925;

						BgL_arg2806z00_9925 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1602z00_9924), BgL_arg2806z00_9925);
					}
					{	/* Ast/node.scm 271 */
						BgL_objectz00_bglt BgL_tmpz00_15679;

						BgL_tmpz00_15679 = ((BgL_objectz00_bglt) BgL_new1602z00_9924);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15679, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1602z00_9924);
					BgL_new1603z00_9923 = BgL_new1602z00_9924;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1603z00_9923)))->BgL_locz00) =
					((obj_t) BgL_loc1408z00_8198), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1603z00_9923)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1409z00_8199)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1603z00_9923))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1410z00_8200)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(BgL_new1603z00_9923))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1411z00_8201)),
					BUNSPEC);
				return BgL_new1603z00_9923;
			}
		}

	}



/* &lambda2822 */
	obj_t BGl_z62lambda2822z62zzast_nodez00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203, obj_t BgL_vz00_8204)
	{
		{	/* Ast/node.scm 271 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8203)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8204)), BUNSPEC);
		}

	}



/* &lambda2821 */
	BgL_nodez00_bglt BGl_z62lambda2821z62zzast_nodez00(obj_t BgL_envz00_8205,
		obj_t BgL_oz00_8206)
	{
		{	/* Ast/node.scm 271 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8206)))->BgL_valuez00);
		}

	}



/* &lambda2817 */
	obj_t BGl_z62lambda2817z62zzast_nodez00(obj_t BgL_envz00_8207,
		obj_t BgL_oz00_8208, obj_t BgL_vz00_8209)
	{
		{	/* Ast/node.scm 271 */
			return
				((((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_oz00_8208)))->BgL_blockz00) =
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_vz00_8209)),
				BUNSPEC);
		}

	}



/* &lambda2816 */
	BgL_retblockz00_bglt BGl_z62lambda2816z62zzast_nodez00(obj_t BgL_envz00_8210,
		obj_t BgL_oz00_8211)
	{
		{	/* Ast/node.scm 271 */
			return
				(((BgL_returnz00_bglt) COBJECT(
						((BgL_returnz00_bglt) BgL_oz00_8211)))->BgL_blockz00);
		}

	}



/* &<@anonymous:2769> */
	obj_t BGl_z62zc3z04anonymousza32769ze3ze5zzast_nodez00(obj_t BgL_envz00_8212,
		obj_t BgL_new1406z00_8213)
	{
		{	/* Ast/node.scm 267 */
			{
				BgL_retblockz00_bglt BgL_auxz00_15702;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1406z00_8213))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15706;

					{	/* Ast/node.scm 267 */
						obj_t BgL_classz00_9933;

						BgL_classz00_9933 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 267 */
							obj_t BgL__ortest_1117z00_9934;

							BgL__ortest_1117z00_9934 = BGL_CLASS_NIL(BgL_classz00_9933);
							if (CBOOL(BgL__ortest_1117z00_9934))
								{	/* Ast/node.scm 267 */
									BgL_auxz00_15706 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9934);
								}
							else
								{	/* Ast/node.scm 267 */
									BgL_auxz00_15706 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9933));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1406z00_8213))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15706), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15716;

					{	/* Ast/node.scm 267 */
						obj_t BgL_classz00_9935;

						BgL_classz00_9935 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 267 */
							obj_t BgL__ortest_1117z00_9936;

							BgL__ortest_1117z00_9936 = BGL_CLASS_NIL(BgL_classz00_9935);
							if (CBOOL(BgL__ortest_1117z00_9936))
								{	/* Ast/node.scm 267 */
									BgL_auxz00_15716 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9936);
								}
							else
								{	/* Ast/node.scm 267 */
									BgL_auxz00_15716 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9935));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_new1406z00_8213)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_15716), BUNSPEC);
				}
				BgL_auxz00_15702 = ((BgL_retblockz00_bglt) BgL_new1406z00_8213);
				return ((obj_t) BgL_auxz00_15702);
			}
		}

	}



/* &lambda2767 */
	BgL_retblockz00_bglt BGl_z62lambda2767z62zzast_nodez00(obj_t BgL_envz00_8214)
	{
		{	/* Ast/node.scm 267 */
			{	/* Ast/node.scm 267 */
				BgL_retblockz00_bglt BgL_new1405z00_9937;

				BgL_new1405z00_9937 =
					((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockz00_bgl))));
				{	/* Ast/node.scm 267 */
					long BgL_arg2768z00_9938;

					BgL_arg2768z00_9938 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1405z00_9937), BgL_arg2768z00_9938);
				}
				{	/* Ast/node.scm 267 */
					BgL_objectz00_bglt BgL_tmpz00_15731;

					BgL_tmpz00_15731 = ((BgL_objectz00_bglt) BgL_new1405z00_9937);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15731, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1405z00_9937);
				return BgL_new1405z00_9937;
			}
		}

	}



/* &lambda2765 */
	BgL_retblockz00_bglt BGl_z62lambda2765z62zzast_nodez00(obj_t BgL_envz00_8215,
		obj_t BgL_loc1402z00_8216, obj_t BgL_type1403z00_8217,
		obj_t BgL_body1404z00_8218)
	{
		{	/* Ast/node.scm 267 */
			{	/* Ast/node.scm 267 */
				BgL_retblockz00_bglt BgL_new1601z00_9941;

				{	/* Ast/node.scm 267 */
					BgL_retblockz00_bglt BgL_new1600z00_9942;

					BgL_new1600z00_9942 =
						((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockz00_bgl))));
					{	/* Ast/node.scm 267 */
						long BgL_arg2766z00_9943;

						BgL_arg2766z00_9943 = BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1600z00_9942), BgL_arg2766z00_9943);
					}
					{	/* Ast/node.scm 267 */
						BgL_objectz00_bglt BgL_tmpz00_15739;

						BgL_tmpz00_15739 = ((BgL_objectz00_bglt) BgL_new1600z00_9942);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15739, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1600z00_9942);
					BgL_new1601z00_9941 = BgL_new1600z00_9942;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1601z00_9941)))->BgL_locz00) =
					((obj_t) BgL_loc1402z00_8216), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1601z00_9941)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1403z00_8217)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(BgL_new1601z00_9941))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1404z00_8218)),
					BUNSPEC);
				return BgL_new1601z00_9941;
			}
		}

	}



/* &lambda2777 */
	obj_t BGl_z62lambda2777z62zzast_nodez00(obj_t BgL_envz00_8219,
		obj_t BgL_oz00_8220, obj_t BgL_vz00_8221)
	{
		{	/* Ast/node.scm 267 */
			return
				((((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_oz00_8220)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8221)), BUNSPEC);
		}

	}



/* &lambda2776 */
	BgL_nodez00_bglt BGl_z62lambda2776z62zzast_nodez00(obj_t BgL_envz00_8222,
		obj_t BgL_oz00_8223)
	{
		{	/* Ast/node.scm 267 */
			return
				(((BgL_retblockz00_bglt) COBJECT(
						((BgL_retblockz00_bglt) BgL_oz00_8223)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:2743> */
	obj_t BGl_z62zc3z04anonymousza32743ze3ze5zzast_nodez00(obj_t BgL_envz00_8224,
		obj_t BgL_new1400z00_8225)
	{
		{	/* Ast/node.scm 260 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_15755;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1400z00_8225))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15759;

					{	/* Ast/node.scm 260 */
						obj_t BgL_classz00_9948;

						BgL_classz00_9948 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 260 */
							obj_t BgL__ortest_1117z00_9949;

							BgL__ortest_1117z00_9949 = BGL_CLASS_NIL(BgL_classz00_9948);
							if (CBOOL(BgL__ortest_1117z00_9949))
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15759 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9949);
								}
							else
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15759 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9948));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1400z00_8225))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15759), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15769;

					{	/* Ast/node.scm 260 */
						obj_t BgL_classz00_9950;

						BgL_classz00_9950 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 260 */
							obj_t BgL__ortest_1117z00_9951;

							BgL__ortest_1117z00_9951 = BGL_CLASS_NIL(BgL_classz00_9950);
							if (CBOOL(BgL__ortest_1117z00_9951))
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15769 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9951);
								}
							else
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15769 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9950));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1400z00_8225)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15769), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15778;

					{	/* Ast/node.scm 260 */
						obj_t BgL_classz00_9952;

						BgL_classz00_9952 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 260 */
							obj_t BgL__ortest_1117z00_9953;

							BgL__ortest_1117z00_9953 = BGL_CLASS_NIL(BgL_classz00_9952);
							if (CBOOL(BgL__ortest_1117z00_9953))
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15778 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9953);
								}
							else
								{	/* Ast/node.scm 260 */
									BgL_auxz00_15778 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9952));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1400z00_8225)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_15778), BUNSPEC);
				}
				BgL_auxz00_15755 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1400z00_8225);
				return ((obj_t) BgL_auxz00_15755);
			}
		}

	}



/* &lambda2740 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2740z62zzast_nodez00(obj_t
		BgL_envz00_8226)
	{
		{	/* Ast/node.scm 260 */
			{	/* Ast/node.scm 260 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1399z00_9954;

				BgL_new1399z00_9954 =
					((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 260 */
					long BgL_arg2742z00_9955;

					BgL_arg2742z00_9955 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1399z00_9954), BgL_arg2742z00_9955);
				}
				{	/* Ast/node.scm 260 */
					BgL_objectz00_bglt BgL_tmpz00_15793;

					BgL_tmpz00_15793 = ((BgL_objectz00_bglt) BgL_new1399z00_9954);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15793, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1399z00_9954);
				return BgL_new1399z00_9954;
			}
		}

	}



/* &lambda2738 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda2738z62zzast_nodez00(obj_t
		BgL_envz00_8227, obj_t BgL_loc1395z00_8228, obj_t BgL_type1396z00_8229,
		obj_t BgL_exit1397z00_8230, obj_t BgL_value1398z00_8231)
	{
		{	/* Ast/node.scm 260 */
			{	/* Ast/node.scm 260 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1599z00_9959;

				{	/* Ast/node.scm 260 */
					BgL_jumpzd2exzd2itz00_bglt BgL_new1598z00_9960;

					BgL_new1598z00_9960 =
						((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 260 */
						long BgL_arg2739z00_9961;

						BgL_arg2739z00_9961 =
							BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1598z00_9960), BgL_arg2739z00_9961);
					}
					{	/* Ast/node.scm 260 */
						BgL_objectz00_bglt BgL_tmpz00_15801;

						BgL_tmpz00_15801 = ((BgL_objectz00_bglt) BgL_new1598z00_9960);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15801, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1598z00_9960);
					BgL_new1599z00_9959 = BgL_new1598z00_9960;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1599z00_9959)))->BgL_locz00) =
					((obj_t) BgL_loc1395z00_8228), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1599z00_9959)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1396z00_8229)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1599z00_9959))->
						BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1397z00_8230)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(BgL_new1599z00_9959))->
						BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1398z00_8231)),
					BUNSPEC);
				return BgL_new1599z00_9959;
			}
		}

	}



/* &lambda2756 */
	obj_t BGl_z62lambda2756z62zzast_nodez00(obj_t BgL_envz00_8232,
		obj_t BgL_oz00_8233, obj_t BgL_vz00_8234)
	{
		{	/* Ast/node.scm 260 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8233)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8234)), BUNSPEC);
		}

	}



/* &lambda2755 */
	BgL_nodez00_bglt BGl_z62lambda2755z62zzast_nodez00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236)
	{
		{	/* Ast/node.scm 260 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8236)))->BgL_valuez00);
		}

	}



/* &lambda2751 */
	obj_t BGl_z62lambda2751z62zzast_nodez00(obj_t BgL_envz00_8237,
		obj_t BgL_oz00_8238, obj_t BgL_vz00_8239)
	{
		{	/* Ast/node.scm 260 */
			return
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8238)))->BgL_exitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8239)), BUNSPEC);
		}

	}



/* &lambda2750 */
	BgL_nodez00_bglt BGl_z62lambda2750z62zzast_nodez00(obj_t BgL_envz00_8240,
		obj_t BgL_oz00_8241)
	{
		{	/* Ast/node.scm 260 */
			return
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
						((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_8241)))->BgL_exitz00);
		}

	}



/* &<@anonymous:2714> */
	obj_t BGl_z62zc3z04anonymousza32714ze3ze5zzast_nodez00(obj_t BgL_envz00_8242,
		obj_t BgL_new1393z00_8243)
	{
		{	/* Ast/node.scm 251 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_15824;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15828;

					{	/* Ast/node.scm 251 */
						obj_t BgL_classz00_9969;

						BgL_classz00_9969 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 251 */
							obj_t BgL__ortest_1117z00_9970;

							BgL__ortest_1117z00_9970 = BGL_CLASS_NIL(BgL_classz00_9969);
							if (CBOOL(BgL__ortest_1117z00_9970))
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15828 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9970);
								}
							else
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15828 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9969));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15828), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_15838;

					{	/* Ast/node.scm 251 */
						obj_t BgL_classz00_9971;

						BgL_classz00_9971 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 251 */
							obj_t BgL__ortest_1117z00_9972;

							BgL__ortest_1117z00_9972 = BGL_CLASS_NIL(BgL_classz00_9971);
							if (CBOOL(BgL__ortest_1117z00_9972))
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15838 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_9972);
								}
							else
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15838 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9971));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243)))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_15838), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15847;

					{	/* Ast/node.scm 251 */
						obj_t BgL_classz00_9973;

						BgL_classz00_9973 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 251 */
							obj_t BgL__ortest_1117z00_9974;

							BgL__ortest_1117z00_9974 = BGL_CLASS_NIL(BgL_classz00_9973);
							if (CBOOL(BgL__ortest_1117z00_9974))
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15847 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9974);
								}
							else
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15847 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9973));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15847), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_15856;

					{	/* Ast/node.scm 251 */
						obj_t BgL_classz00_9975;

						BgL_classz00_9975 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 251 */
							obj_t BgL__ortest_1117z00_9976;

							BgL__ortest_1117z00_9976 = BGL_CLASS_NIL(BgL_classz00_9975);
							if (CBOOL(BgL__ortest_1117z00_9976))
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15856 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9976);
								}
							else
								{	/* Ast/node.scm 251 */
									BgL_auxz00_15856 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9975));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_15856), BUNSPEC);
				}
				BgL_auxz00_15824 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1393z00_8243);
				return ((obj_t) BgL_auxz00_15824);
			}
		}

	}



/* &lambda2712 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2712z62zzast_nodez00(obj_t
		BgL_envz00_8244)
	{
		{	/* Ast/node.scm 251 */
			{	/* Ast/node.scm 251 */
				BgL_setzd2exzd2itz00_bglt BgL_new1392z00_9977;

				BgL_new1392z00_9977 =
					((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itz00_bgl))));
				{	/* Ast/node.scm 251 */
					long BgL_arg2713z00_9978;

					BgL_arg2713z00_9978 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1392z00_9977), BgL_arg2713z00_9978);
				}
				{	/* Ast/node.scm 251 */
					BgL_objectz00_bglt BgL_tmpz00_15871;

					BgL_tmpz00_15871 = ((BgL_objectz00_bglt) BgL_new1392z00_9977);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15871, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1392z00_9977);
				return BgL_new1392z00_9977;
			}
		}

	}



/* &lambda2709 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda2709z62zzast_nodez00(obj_t
		BgL_envz00_8245, obj_t BgL_loc1387z00_8246, obj_t BgL_type1388z00_8247,
		obj_t BgL_var1389z00_8248, obj_t BgL_body1390z00_8249,
		obj_t BgL_onexit1391z00_8250)
	{
		{	/* Ast/node.scm 251 */
			{	/* Ast/node.scm 251 */
				BgL_setzd2exzd2itz00_bglt BgL_new1597z00_9983;

				{	/* Ast/node.scm 251 */
					BgL_setzd2exzd2itz00_bglt BgL_new1596z00_9984;

					BgL_new1596z00_9984 =
						((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itz00_bgl))));
					{	/* Ast/node.scm 251 */
						long BgL_arg2711z00_9985;

						BgL_arg2711z00_9985 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1596z00_9984), BgL_arg2711z00_9985);
					}
					{	/* Ast/node.scm 251 */
						BgL_objectz00_bglt BgL_tmpz00_15879;

						BgL_tmpz00_15879 = ((BgL_objectz00_bglt) BgL_new1596z00_9984);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15879, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1596z00_9984);
					BgL_new1597z00_9983 = BgL_new1596z00_9984;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1597z00_9983)))->BgL_locz00) =
					((obj_t) BgL_loc1387z00_8246), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1597z00_9983)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1388z00_8247)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1597z00_9983))->
						BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1389z00_8248)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1597z00_9983))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1390z00_8249)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(BgL_new1597z00_9983))->
						BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1391z00_8250)),
					BUNSPEC);
				return BgL_new1597z00_9983;
			}
		}

	}



/* &lambda2732 */
	obj_t BGl_z62lambda2732z62zzast_nodez00(obj_t BgL_envz00_8251,
		obj_t BgL_oz00_8252, obj_t BgL_vz00_8253)
	{
		{	/* Ast/node.scm 251 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8252)))->BgL_onexitz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8253)), BUNSPEC);
		}

	}



/* &lambda2731 */
	BgL_nodez00_bglt BGl_z62lambda2731z62zzast_nodez00(obj_t BgL_envz00_8254,
		obj_t BgL_oz00_8255)
	{
		{	/* Ast/node.scm 251 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8255)))->BgL_onexitz00);
		}

	}



/* &lambda2727 */
	obj_t BGl_z62lambda2727z62zzast_nodez00(obj_t BgL_envz00_8256,
		obj_t BgL_oz00_8257, obj_t BgL_vz00_8258)
	{
		{	/* Ast/node.scm 251 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8257)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8258)), BUNSPEC);
		}

	}



/* &lambda2726 */
	BgL_nodez00_bglt BGl_z62lambda2726z62zzast_nodez00(obj_t BgL_envz00_8259,
		obj_t BgL_oz00_8260)
	{
		{	/* Ast/node.scm 251 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8260)))->BgL_bodyz00);
		}

	}



/* &lambda2722 */
	obj_t BGl_z62lambda2722z62zzast_nodez00(obj_t BgL_envz00_8261,
		obj_t BgL_oz00_8262, obj_t BgL_vz00_8263)
	{
		{	/* Ast/node.scm 251 */
			return
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8262)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8263)), BUNSPEC);
		}

	}



/* &lambda2721 */
	BgL_varz00_bglt BGl_z62lambda2721z62zzast_nodez00(obj_t BgL_envz00_8264,
		obj_t BgL_oz00_8265)
	{
		{	/* Ast/node.scm 251 */
			return
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
						((BgL_setzd2exzd2itz00_bglt) BgL_oz00_8265)))->BgL_varz00);
		}

	}



/* &<@anonymous:2666> */
	obj_t BGl_z62zc3z04anonymousza32666ze3ze5zzast_nodez00(obj_t BgL_envz00_8266,
		obj_t BgL_new1385z00_8267)
	{
		{	/* Ast/node.scm 242 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_15909;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15913;

					{	/* Ast/node.scm 242 */
						obj_t BgL_classz00_9996;

						BgL_classz00_9996 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 242 */
							obj_t BgL__ortest_1117z00_9997;

							BgL__ortest_1117z00_9997 = BGL_CLASS_NIL(BgL_classz00_9996);
							if (CBOOL(BgL__ortest_1117z00_9997))
								{	/* Ast/node.scm 242 */
									BgL_auxz00_15913 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9997);
								}
							else
								{	/* Ast/node.scm 242 */
									BgL_auxz00_15913 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9996));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15913), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1385z00_8267))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
									BgL_new1385z00_8267)))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_15931;

					{	/* Ast/node.scm 242 */
						obj_t BgL_classz00_9998;

						BgL_classz00_9998 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 242 */
							obj_t BgL__ortest_1117z00_9999;

							BgL__ortest_1117z00_9999 = BGL_CLASS_NIL(BgL_classz00_9998);
							if (CBOOL(BgL__ortest_1117z00_9999))
								{	/* Ast/node.scm 242 */
									BgL_auxz00_15931 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9999);
								}
							else
								{	/* Ast/node.scm 242 */
									BgL_auxz00_15931 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9998));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_15931), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267)))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_15909 = ((BgL_letzd2varzd2_bglt) BgL_new1385z00_8267);
				return ((obj_t) BgL_auxz00_15909);
			}
		}

	}



/* &lambda2663 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2663z62zzast_nodez00(obj_t BgL_envz00_8268)
	{
		{	/* Ast/node.scm 242 */
			{	/* Ast/node.scm 242 */
				BgL_letzd2varzd2_bglt BgL_new1384z00_10000;

				BgL_new1384z00_10000 =
					((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzd2_bgl))));
				{	/* Ast/node.scm 242 */
					long BgL_arg2665z00_10001;

					BgL_arg2665z00_10001 = BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1384z00_10000), BgL_arg2665z00_10001);
				}
				{	/* Ast/node.scm 242 */
					BgL_objectz00_bglt BgL_tmpz00_15948;

					BgL_tmpz00_15948 = ((BgL_objectz00_bglt) BgL_new1384z00_10000);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15948, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1384z00_10000);
				return BgL_new1384z00_10000;
			}
		}

	}



/* &lambda2660 */
	BgL_letzd2varzd2_bglt BGl_z62lambda2660z62zzast_nodez00(obj_t BgL_envz00_8269,
		obj_t BgL_loc1377z00_8270, obj_t BgL_type1378z00_8271,
		obj_t BgL_sidezd2effect1379zd2_8272, obj_t BgL_key1380z00_8273,
		obj_t BgL_bindings1381z00_8274, obj_t BgL_body1382z00_8275,
		obj_t BgL_removablezf31383zf3_8276)
	{
		{	/* Ast/node.scm 242 */
			{	/* Ast/node.scm 242 */
				bool_t BgL_removablezf31383zf3_10004;

				BgL_removablezf31383zf3_10004 = CBOOL(BgL_removablezf31383zf3_8276);
				{	/* Ast/node.scm 242 */
					BgL_letzd2varzd2_bglt BgL_new1595z00_10005;

					{	/* Ast/node.scm 242 */
						BgL_letzd2varzd2_bglt BgL_new1594z00_10006;

						BgL_new1594z00_10006 =
							((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzd2_bgl))));
						{	/* Ast/node.scm 242 */
							long BgL_arg2662z00_10007;

							BgL_arg2662z00_10007 =
								BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1594z00_10006),
								BgL_arg2662z00_10007);
						}
						{	/* Ast/node.scm 242 */
							BgL_objectz00_bglt BgL_tmpz00_15957;

							BgL_tmpz00_15957 = ((BgL_objectz00_bglt) BgL_new1594z00_10006);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15957, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1594z00_10006);
						BgL_new1595z00_10005 = BgL_new1594z00_10006;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1595z00_10005)))->BgL_locz00) =
						((obj_t) BgL_loc1377z00_8270), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1595z00_10005)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1378z00_8271)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1595z00_10005)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1379zd2_8272), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1595z00_10005)))->BgL_keyz00) =
						((obj_t) BgL_key1380z00_8273), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1595z00_10005))->
							BgL_bindingsz00) = ((obj_t) BgL_bindings1381z00_8274), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1595z00_10005))->
							BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1382z00_8275)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1595z00_10005))->
							BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31383zf3_10004), BUNSPEC);
					return BgL_new1595z00_10005;
				}
			}
		}

	}



/* &<@anonymous:2687> */
	obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzast_nodez00(obj_t BgL_envz00_8277)
	{
		{	/* Ast/node.scm 242 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda2686 */
	obj_t BGl_z62lambda2686z62zzast_nodez00(obj_t BgL_envz00_8278,
		obj_t BgL_oz00_8279, obj_t BgL_vz00_8280)
	{
		{	/* Ast/node.scm 242 */
			{	/* Ast/node.scm 242 */
				bool_t BgL_vz00_10009;

				BgL_vz00_10009 = CBOOL(BgL_vz00_8280);
				return
					((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_oz00_8279)))->
						BgL_removablezf3zf3) = ((bool_t) BgL_vz00_10009), BUNSPEC);
			}
		}

	}



/* &lambda2685 */
	obj_t BGl_z62lambda2685z62zzast_nodez00(obj_t BgL_envz00_8281,
		obj_t BgL_oz00_8282)
	{
		{	/* Ast/node.scm 242 */
			return
				BBOOL(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8282)))->BgL_removablezf3zf3));
		}

	}



/* &lambda2677 */
	obj_t BGl_z62lambda2677z62zzast_nodez00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284, obj_t BgL_vz00_8285)
	{
		{	/* Ast/node.scm 242 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8284)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8285)), BUNSPEC);
		}

	}



/* &lambda2676 */
	BgL_nodez00_bglt BGl_z62lambda2676z62zzast_nodez00(obj_t BgL_envz00_8286,
		obj_t BgL_oz00_8287)
	{
		{	/* Ast/node.scm 242 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8287)))->BgL_bodyz00);
		}

	}



/* &lambda2672 */
	obj_t BGl_z62lambda2672z62zzast_nodez00(obj_t BgL_envz00_8288,
		obj_t BgL_oz00_8289, obj_t BgL_vz00_8290)
	{
		{	/* Ast/node.scm 242 */
			return
				((((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_oz00_8289)))->BgL_bindingsz00) =
				((obj_t) BgL_vz00_8290), BUNSPEC);
		}

	}



/* &lambda2671 */
	obj_t BGl_z62lambda2671z62zzast_nodez00(obj_t BgL_envz00_8291,
		obj_t BgL_oz00_8292)
	{
		{	/* Ast/node.scm 242 */
			return
				(((BgL_letzd2varzd2_bglt) COBJECT(
						((BgL_letzd2varzd2_bglt) BgL_oz00_8292)))->BgL_bindingsz00);
		}

	}



/* &<@anonymous:2634> */
	obj_t BGl_z62zc3z04anonymousza32634ze3ze5zzast_nodez00(obj_t BgL_envz00_8293,
		obj_t BgL_new1375z00_8294)
	{
		{	/* Ast/node.scm 235 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_15990;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1375z00_8294))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15994;

					{	/* Ast/node.scm 235 */
						obj_t BgL_classz00_10017;

						BgL_classz00_10017 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 235 */
							obj_t BgL__ortest_1117z00_10018;

							BgL__ortest_1117z00_10018 = BGL_CLASS_NIL(BgL_classz00_10017);
							if (CBOOL(BgL__ortest_1117z00_10018))
								{	/* Ast/node.scm 235 */
									BgL_auxz00_15994 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10018);
								}
							else
								{	/* Ast/node.scm 235 */
									BgL_auxz00_15994 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10017));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1375z00_8294))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15994), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1375z00_8294))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1375z00_8294))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1375z00_8294)))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16012;

					{	/* Ast/node.scm 235 */
						obj_t BgL_classz00_10019;

						BgL_classz00_10019 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 235 */
							obj_t BgL__ortest_1117z00_10020;

							BgL__ortest_1117z00_10020 = BGL_CLASS_NIL(BgL_classz00_10019);
							if (CBOOL(BgL__ortest_1117z00_10020))
								{	/* Ast/node.scm 235 */
									BgL_auxz00_16012 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10020);
								}
							else
								{	/* Ast/node.scm 235 */
									BgL_auxz00_16012 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10019));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_new1375z00_8294)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_16012), BUNSPEC);
				}
				BgL_auxz00_15990 = ((BgL_letzd2funzd2_bglt) BgL_new1375z00_8294);
				return ((obj_t) BgL_auxz00_15990);
			}
		}

	}



/* &lambda2632 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2632z62zzast_nodez00(obj_t BgL_envz00_8295)
	{
		{	/* Ast/node.scm 235 */
			{	/* Ast/node.scm 235 */
				BgL_letzd2funzd2_bglt BgL_new1374z00_10021;

				BgL_new1374z00_10021 =
					((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzd2_bgl))));
				{	/* Ast/node.scm 235 */
					long BgL_arg2633z00_10022;

					BgL_arg2633z00_10022 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1374z00_10021), BgL_arg2633z00_10022);
				}
				{	/* Ast/node.scm 235 */
					BgL_objectz00_bglt BgL_tmpz00_16027;

					BgL_tmpz00_16027 = ((BgL_objectz00_bglt) BgL_new1374z00_10021);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16027, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1374z00_10021);
				return BgL_new1374z00_10021;
			}
		}

	}



/* &lambda2630 */
	BgL_letzd2funzd2_bglt BGl_z62lambda2630z62zzast_nodez00(obj_t BgL_envz00_8296,
		obj_t BgL_loc1368z00_8297, obj_t BgL_type1369z00_8298,
		obj_t BgL_sidezd2effect1370zd2_8299, obj_t BgL_key1371z00_8300,
		obj_t BgL_locals1372z00_8301, obj_t BgL_body1373z00_8302)
	{
		{	/* Ast/node.scm 235 */
			{	/* Ast/node.scm 235 */
				BgL_letzd2funzd2_bglt BgL_new1593z00_10025;

				{	/* Ast/node.scm 235 */
					BgL_letzd2funzd2_bglt BgL_new1592z00_10026;

					BgL_new1592z00_10026 =
						((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzd2_bgl))));
					{	/* Ast/node.scm 235 */
						long BgL_arg2631z00_10027;

						BgL_arg2631z00_10027 = BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1592z00_10026),
							BgL_arg2631z00_10027);
					}
					{	/* Ast/node.scm 235 */
						BgL_objectz00_bglt BgL_tmpz00_16035;

						BgL_tmpz00_16035 = ((BgL_objectz00_bglt) BgL_new1592z00_10026);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16035, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1592z00_10026);
					BgL_new1593z00_10025 = BgL_new1592z00_10026;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1593z00_10025)))->BgL_locz00) =
					((obj_t) BgL_loc1368z00_8297), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1593z00_10025)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1369z00_8298)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1593z00_10025)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1370zd2_8299), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1593z00_10025)))->BgL_keyz00) =
					((obj_t) BgL_key1371z00_8300), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1593z00_10025))->
						BgL_localsz00) = ((obj_t) BgL_locals1372z00_8301), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1593z00_10025))->
						BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1373z00_8302)),
					BUNSPEC);
				return BgL_new1593z00_10025;
			}
		}

	}



/* &lambda2651 */
	obj_t BGl_z62lambda2651z62zzast_nodez00(obj_t BgL_envz00_8303,
		obj_t BgL_oz00_8304, obj_t BgL_vz00_8305)
	{
		{	/* Ast/node.scm 235 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8304)))->BgL_bodyz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8305)), BUNSPEC);
		}

	}



/* &lambda2650 */
	BgL_nodez00_bglt BGl_z62lambda2650z62zzast_nodez00(obj_t BgL_envz00_8306,
		obj_t BgL_oz00_8307)
	{
		{	/* Ast/node.scm 235 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8307)))->BgL_bodyz00);
		}

	}



/* &lambda2642 */
	obj_t BGl_z62lambda2642z62zzast_nodez00(obj_t BgL_envz00_8308,
		obj_t BgL_oz00_8309, obj_t BgL_vz00_8310)
	{
		{	/* Ast/node.scm 235 */
			return
				((((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_oz00_8309)))->BgL_localsz00) =
				((obj_t) BgL_vz00_8310), BUNSPEC);
		}

	}



/* &lambda2641 */
	obj_t BGl_z62lambda2641z62zzast_nodez00(obj_t BgL_envz00_8311,
		obj_t BgL_oz00_8312)
	{
		{	/* Ast/node.scm 235 */
			return
				(((BgL_letzd2funzd2_bglt) COBJECT(
						((BgL_letzd2funzd2_bglt) BgL_oz00_8312)))->BgL_localsz00);
		}

	}



/* &<@anonymous:2602> */
	obj_t BGl_z62zc3z04anonymousza32602ze3ze5zzast_nodez00(obj_t BgL_envz00_8313,
		obj_t BgL_new1366z00_8314)
	{
		{	/* Ast/node.scm 226 */
			{
				BgL_switchz00_bglt BgL_auxz00_16060;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1366z00_8314))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16064;

					{	/* Ast/node.scm 226 */
						obj_t BgL_classz00_10034;

						BgL_classz00_10034 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 226 */
							obj_t BgL__ortest_1117z00_10035;

							BgL__ortest_1117z00_10035 = BGL_CLASS_NIL(BgL_classz00_10034);
							if (CBOOL(BgL__ortest_1117z00_10035))
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16064 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10035);
								}
							else
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16064 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10034));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1366z00_8314))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16064), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1366z00_8314))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1366z00_8314))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16080;

					{	/* Ast/node.scm 226 */
						obj_t BgL_classz00_10036;

						BgL_classz00_10036 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 226 */
							obj_t BgL__ortest_1117z00_10037;

							BgL__ortest_1117z00_10037 = BGL_CLASS_NIL(BgL_classz00_10036);
							if (CBOOL(BgL__ortest_1117z00_10037))
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16080 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10037);
								}
							else
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16080 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10036));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1366z00_8314)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_16080), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_new1366z00_8314)))->BgL_clausesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16091;

					{	/* Ast/node.scm 226 */
						obj_t BgL_classz00_10038;

						BgL_classz00_10038 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 226 */
							obj_t BgL__ortest_1117z00_10039;

							BgL__ortest_1117z00_10039 = BGL_CLASS_NIL(BgL_classz00_10038);
							if (CBOOL(BgL__ortest_1117z00_10039))
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16091 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10039);
								}
							else
								{	/* Ast/node.scm 226 */
									BgL_auxz00_16091 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10038));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_new1366z00_8314)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_16091), BUNSPEC);
				}
				BgL_auxz00_16060 = ((BgL_switchz00_bglt) BgL_new1366z00_8314);
				return ((obj_t) BgL_auxz00_16060);
			}
		}

	}



/* &lambda2600 */
	BgL_switchz00_bglt BGl_z62lambda2600z62zzast_nodez00(obj_t BgL_envz00_8315)
	{
		{	/* Ast/node.scm 226 */
			{	/* Ast/node.scm 226 */
				BgL_switchz00_bglt BgL_new1365z00_10040;

				BgL_new1365z00_10040 =
					((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchz00_bgl))));
				{	/* Ast/node.scm 226 */
					long BgL_arg2601z00_10041;

					BgL_arg2601z00_10041 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1365z00_10040), BgL_arg2601z00_10041);
				}
				{	/* Ast/node.scm 226 */
					BgL_objectz00_bglt BgL_tmpz00_16106;

					BgL_tmpz00_16106 = ((BgL_objectz00_bglt) BgL_new1365z00_10040);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16106, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1365z00_10040);
				return BgL_new1365z00_10040;
			}
		}

	}



/* &lambda2598 */
	BgL_switchz00_bglt BGl_z62lambda2598z62zzast_nodez00(obj_t BgL_envz00_8316,
		obj_t BgL_loc1357z00_8317, obj_t BgL_type1358z00_8318,
		obj_t BgL_sidezd2effect1359zd2_8319, obj_t BgL_key1360z00_8320,
		obj_t BgL_test1362z00_8321, obj_t BgL_clauses1363z00_8322,
		obj_t BgL_itemzd2type1364zd2_8323)
	{
		{	/* Ast/node.scm 226 */
			{	/* Ast/node.scm 226 */
				BgL_switchz00_bglt BgL_new1591z00_10045;

				{	/* Ast/node.scm 226 */
					BgL_switchz00_bglt BgL_new1590z00_10046;

					BgL_new1590z00_10046 =
						((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchz00_bgl))));
					{	/* Ast/node.scm 226 */
						long BgL_arg2599z00_10047;

						BgL_arg2599z00_10047 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1590z00_10046),
							BgL_arg2599z00_10047);
					}
					{	/* Ast/node.scm 226 */
						BgL_objectz00_bglt BgL_tmpz00_16114;

						BgL_tmpz00_16114 = ((BgL_objectz00_bglt) BgL_new1590z00_10046);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16114, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1590z00_10046);
					BgL_new1591z00_10045 = BgL_new1590z00_10046;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1591z00_10045)))->BgL_locz00) =
					((obj_t) BgL_loc1357z00_8317), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1591z00_10045)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1358z00_8318)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1591z00_10045)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1359zd2_8319), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1591z00_10045)))->BgL_keyz00) =
					((obj_t) BgL_key1360z00_8320), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1591z00_10045))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1362z00_8321)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1591z00_10045))->
						BgL_clausesz00) = ((obj_t) BgL_clauses1363z00_8322), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(BgL_new1591z00_10045))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1364zd2_8323)),
					BUNSPEC);
				return BgL_new1591z00_10045;
			}
		}

	}



/* &lambda2623 */
	obj_t BGl_z62lambda2623z62zzast_nodez00(obj_t BgL_envz00_8324,
		obj_t BgL_oz00_8325, obj_t BgL_vz00_8326)
	{
		{	/* Ast/node.scm 226 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8325)))->BgL_itemzd2typezd2) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8326)), BUNSPEC);
		}

	}



/* &lambda2622 */
	BgL_typez00_bglt BGl_z62lambda2622z62zzast_nodez00(obj_t BgL_envz00_8327,
		obj_t BgL_oz00_8328)
	{
		{	/* Ast/node.scm 226 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8328)))->BgL_itemzd2typezd2);
		}

	}



/* &lambda2613 */
	obj_t BGl_z62lambda2613z62zzast_nodez00(obj_t BgL_envz00_8329,
		obj_t BgL_oz00_8330, obj_t BgL_vz00_8331)
	{
		{	/* Ast/node.scm 226 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8330)))->BgL_clausesz00) =
				((obj_t) BgL_vz00_8331), BUNSPEC);
		}

	}



/* &lambda2612 */
	obj_t BGl_z62lambda2612z62zzast_nodez00(obj_t BgL_envz00_8332,
		obj_t BgL_oz00_8333)
	{
		{	/* Ast/node.scm 226 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8333)))->BgL_clausesz00);
		}

	}



/* &lambda2608 */
	obj_t BGl_z62lambda2608z62zzast_nodez00(obj_t BgL_envz00_8334,
		obj_t BgL_oz00_8335, obj_t BgL_vz00_8336)
	{
		{	/* Ast/node.scm 226 */
			return
				((((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_oz00_8335)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8336)), BUNSPEC);
		}

	}



/* &lambda2607 */
	BgL_nodez00_bglt BGl_z62lambda2607z62zzast_nodez00(obj_t BgL_envz00_8337,
		obj_t BgL_oz00_8338)
	{
		{	/* Ast/node.scm 226 */
			return
				(((BgL_switchz00_bglt) COBJECT(
						((BgL_switchz00_bglt) BgL_oz00_8338)))->BgL_testz00);
		}

	}



/* &<@anonymous:2576> */
	obj_t BGl_z62zc3z04anonymousza32576ze3ze5zzast_nodez00(obj_t BgL_envz00_8339,
		obj_t BgL_new1355z00_8340)
	{
		{	/* Ast/node.scm 219 */
			{
				BgL_failz00_bglt BgL_auxz00_16146;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1355z00_8340))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16150;

					{	/* Ast/node.scm 219 */
						obj_t BgL_classz00_10057;

						BgL_classz00_10057 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 219 */
							obj_t BgL__ortest_1117z00_10058;

							BgL__ortest_1117z00_10058 = BGL_CLASS_NIL(BgL_classz00_10057);
							if (CBOOL(BgL__ortest_1117z00_10058))
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16150 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10058);
								}
							else
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16150 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10057));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1355z00_8340))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16150), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16160;

					{	/* Ast/node.scm 219 */
						obj_t BgL_classz00_10059;

						BgL_classz00_10059 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 219 */
							obj_t BgL__ortest_1117z00_10060;

							BgL__ortest_1117z00_10060 = BGL_CLASS_NIL(BgL_classz00_10059);
							if (CBOOL(BgL__ortest_1117z00_10060))
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16160 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10060);
								}
							else
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16160 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10059));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1355z00_8340)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_16160), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16169;

					{	/* Ast/node.scm 219 */
						obj_t BgL_classz00_10061;

						BgL_classz00_10061 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 219 */
							obj_t BgL__ortest_1117z00_10062;

							BgL__ortest_1117z00_10062 = BGL_CLASS_NIL(BgL_classz00_10061);
							if (CBOOL(BgL__ortest_1117z00_10062))
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16169 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10062);
								}
							else
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16169 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10061));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1355z00_8340)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_16169), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16178;

					{	/* Ast/node.scm 219 */
						obj_t BgL_classz00_10063;

						BgL_classz00_10063 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 219 */
							obj_t BgL__ortest_1117z00_10064;

							BgL__ortest_1117z00_10064 = BGL_CLASS_NIL(BgL_classz00_10063);
							if (CBOOL(BgL__ortest_1117z00_10064))
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16178 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10064);
								}
							else
								{	/* Ast/node.scm 219 */
									BgL_auxz00_16178 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10063));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_new1355z00_8340)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_16178), BUNSPEC);
				}
				BgL_auxz00_16146 = ((BgL_failz00_bglt) BgL_new1355z00_8340);
				return ((obj_t) BgL_auxz00_16146);
			}
		}

	}



/* &lambda2574 */
	BgL_failz00_bglt BGl_z62lambda2574z62zzast_nodez00(obj_t BgL_envz00_8341)
	{
		{	/* Ast/node.scm 219 */
			{	/* Ast/node.scm 219 */
				BgL_failz00_bglt BgL_new1354z00_10065;

				BgL_new1354z00_10065 =
					((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failz00_bgl))));
				{	/* Ast/node.scm 219 */
					long BgL_arg2575z00_10066;

					BgL_arg2575z00_10066 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1354z00_10065), BgL_arg2575z00_10066);
				}
				{	/* Ast/node.scm 219 */
					BgL_objectz00_bglt BgL_tmpz00_16193;

					BgL_tmpz00_16193 = ((BgL_objectz00_bglt) BgL_new1354z00_10065);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16193, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1354z00_10065);
				return BgL_new1354z00_10065;
			}
		}

	}



/* &lambda2572 */
	BgL_failz00_bglt BGl_z62lambda2572z62zzast_nodez00(obj_t BgL_envz00_8342,
		obj_t BgL_loc1349z00_8343, obj_t BgL_type1350z00_8344,
		obj_t BgL_proc1351z00_8345, obj_t BgL_msg1352z00_8346,
		obj_t BgL_obj1353z00_8347)
	{
		{	/* Ast/node.scm 219 */
			{	/* Ast/node.scm 219 */
				BgL_failz00_bglt BgL_new1589z00_10071;

				{	/* Ast/node.scm 219 */
					BgL_failz00_bglt BgL_new1588z00_10072;

					BgL_new1588z00_10072 =
						((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failz00_bgl))));
					{	/* Ast/node.scm 219 */
						long BgL_arg2573z00_10073;

						BgL_arg2573z00_10073 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1588z00_10072),
							BgL_arg2573z00_10073);
					}
					{	/* Ast/node.scm 219 */
						BgL_objectz00_bglt BgL_tmpz00_16201;

						BgL_tmpz00_16201 = ((BgL_objectz00_bglt) BgL_new1588z00_10072);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16201, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1588z00_10072);
					BgL_new1589z00_10071 = BgL_new1588z00_10072;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1589z00_10071)))->BgL_locz00) =
					((obj_t) BgL_loc1349z00_8343), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1589z00_10071)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1350z00_8344)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1589z00_10071))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1351z00_8345)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1589z00_10071))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1352z00_8346)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(BgL_new1589z00_10071))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1353z00_8347)),
					BUNSPEC);
				return BgL_new1589z00_10071;
			}
		}

	}



/* &lambda2592 */
	obj_t BGl_z62lambda2592z62zzast_nodez00(obj_t BgL_envz00_8348,
		obj_t BgL_oz00_8349, obj_t BgL_vz00_8350)
	{
		{	/* Ast/node.scm 219 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8349)))->BgL_objz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8350)), BUNSPEC);
		}

	}



/* &lambda2591 */
	BgL_nodez00_bglt BGl_z62lambda2591z62zzast_nodez00(obj_t BgL_envz00_8351,
		obj_t BgL_oz00_8352)
	{
		{	/* Ast/node.scm 219 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8352)))->BgL_objz00);
		}

	}



/* &lambda2586 */
	obj_t BGl_z62lambda2586z62zzast_nodez00(obj_t BgL_envz00_8353,
		obj_t BgL_oz00_8354, obj_t BgL_vz00_8355)
	{
		{	/* Ast/node.scm 219 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8354)))->BgL_msgz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8355)), BUNSPEC);
		}

	}



/* &lambda2585 */
	BgL_nodez00_bglt BGl_z62lambda2585z62zzast_nodez00(obj_t BgL_envz00_8356,
		obj_t BgL_oz00_8357)
	{
		{	/* Ast/node.scm 219 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8357)))->BgL_msgz00);
		}

	}



/* &lambda2581 */
	obj_t BGl_z62lambda2581z62zzast_nodez00(obj_t BgL_envz00_8358,
		obj_t BgL_oz00_8359, obj_t BgL_vz00_8360)
	{
		{	/* Ast/node.scm 219 */
			return
				((((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_oz00_8359)))->BgL_procz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8360)), BUNSPEC);
		}

	}



/* &lambda2580 */
	BgL_nodez00_bglt BGl_z62lambda2580z62zzast_nodez00(obj_t BgL_envz00_8361,
		obj_t BgL_oz00_8362)
	{
		{	/* Ast/node.scm 219 */
			return
				(((BgL_failz00_bglt) COBJECT(
						((BgL_failz00_bglt) BgL_oz00_8362)))->BgL_procz00);
		}

	}



/* &<@anonymous:2549> */
	obj_t BGl_z62zc3z04anonymousza32549ze3ze5zzast_nodez00(obj_t BgL_envz00_8363,
		obj_t BgL_new1347z00_8364)
	{
		{	/* Ast/node.scm 210 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_16231;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1347z00_8364))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16235;

					{	/* Ast/node.scm 210 */
						obj_t BgL_classz00_10084;

						BgL_classz00_10084 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 210 */
							obj_t BgL__ortest_1117z00_10085;

							BgL__ortest_1117z00_10085 = BGL_CLASS_NIL(BgL_classz00_10084);
							if (CBOOL(BgL__ortest_1117z00_10085))
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16235 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10085);
								}
							else
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16235 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10084));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1347z00_8364))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16235), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1347z00_8364))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1347z00_8364))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_16251;

					{	/* Ast/node.scm 210 */
						obj_t BgL_classz00_10086;

						BgL_classz00_10086 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 210 */
							obj_t BgL__ortest_1117z00_10087;

							BgL__ortest_1117z00_10087 = BGL_CLASS_NIL(BgL_classz00_10086);
							if (CBOOL(BgL__ortest_1117z00_10087))
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16251 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10087);
								}
							else
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16251 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10086));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1347z00_8364)))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_16251), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16260;

					{	/* Ast/node.scm 210 */
						obj_t BgL_classz00_10088;

						BgL_classz00_10088 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 210 */
							obj_t BgL__ortest_1117z00_10089;

							BgL__ortest_1117z00_10089 = BGL_CLASS_NIL(BgL_classz00_10088);
							if (CBOOL(BgL__ortest_1117z00_10089))
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16260 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10089);
								}
							else
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16260 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10088));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1347z00_8364)))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_16260), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16269;

					{	/* Ast/node.scm 210 */
						obj_t BgL_classz00_10090;

						BgL_classz00_10090 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 210 */
							obj_t BgL__ortest_1117z00_10091;

							BgL__ortest_1117z00_10091 = BGL_CLASS_NIL(BgL_classz00_10090);
							if (CBOOL(BgL__ortest_1117z00_10091))
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16269 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10091);
								}
							else
								{	/* Ast/node.scm 210 */
									BgL_auxz00_16269 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10090));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_new1347z00_8364)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_16269), BUNSPEC);
				}
				BgL_auxz00_16231 = ((BgL_conditionalz00_bglt) BgL_new1347z00_8364);
				return ((obj_t) BgL_auxz00_16231);
			}
		}

	}



/* &lambda2546 */
	BgL_conditionalz00_bglt BGl_z62lambda2546z62zzast_nodez00(obj_t
		BgL_envz00_8365)
	{
		{	/* Ast/node.scm 210 */
			{	/* Ast/node.scm 210 */
				BgL_conditionalz00_bglt BgL_new1346z00_10092;

				BgL_new1346z00_10092 =
					((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalz00_bgl))));
				{	/* Ast/node.scm 210 */
					long BgL_arg2548z00_10093;

					BgL_arg2548z00_10093 = BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1346z00_10092), BgL_arg2548z00_10093);
				}
				{	/* Ast/node.scm 210 */
					BgL_objectz00_bglt BgL_tmpz00_16284;

					BgL_tmpz00_16284 = ((BgL_objectz00_bglt) BgL_new1346z00_10092);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16284, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1346z00_10092);
				return BgL_new1346z00_10092;
			}
		}

	}



/* &lambda2544 */
	BgL_conditionalz00_bglt BGl_z62lambda2544z62zzast_nodez00(obj_t
		BgL_envz00_8366, obj_t BgL_loc1338z00_8367, obj_t BgL_type1339z00_8368,
		obj_t BgL_sidezd2effect1340zd2_8369, obj_t BgL_key1341z00_8370,
		obj_t BgL_test1343z00_8371, obj_t BgL_true1344z00_8372,
		obj_t BgL_false1345z00_8373)
	{
		{	/* Ast/node.scm 210 */
			{	/* Ast/node.scm 210 */
				BgL_conditionalz00_bglt BgL_new1587z00_10098;

				{	/* Ast/node.scm 210 */
					BgL_conditionalz00_bglt BgL_new1586z00_10099;

					BgL_new1586z00_10099 =
						((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalz00_bgl))));
					{	/* Ast/node.scm 210 */
						long BgL_arg2545z00_10100;

						BgL_arg2545z00_10100 =
							BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1586z00_10099),
							BgL_arg2545z00_10100);
					}
					{	/* Ast/node.scm 210 */
						BgL_objectz00_bglt BgL_tmpz00_16292;

						BgL_tmpz00_16292 = ((BgL_objectz00_bglt) BgL_new1586z00_10099);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16292, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1586z00_10099);
					BgL_new1587z00_10098 = BgL_new1586z00_10099;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1587z00_10098)))->BgL_locz00) =
					((obj_t) BgL_loc1338z00_8367), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1587z00_10098)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1339z00_8368)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1587z00_10098)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1340zd2_8369), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1587z00_10098)))->BgL_keyz00) =
					((obj_t) BgL_key1341z00_8370), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1587z00_10098))->
						BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1343z00_8371)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1587z00_10098))->
						BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1344z00_8372)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(BgL_new1587z00_10098))->
						BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1345z00_8373)),
					BUNSPEC);
				return BgL_new1587z00_10098;
			}
		}

	}



/* &lambda2564 */
	obj_t BGl_z62lambda2564z62zzast_nodez00(obj_t BgL_envz00_8374,
		obj_t BgL_oz00_8375, obj_t BgL_vz00_8376)
	{
		{	/* Ast/node.scm 210 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8375)))->BgL_falsez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8376)), BUNSPEC);
		}

	}



/* &lambda2563 */
	BgL_nodez00_bglt BGl_z62lambda2563z62zzast_nodez00(obj_t BgL_envz00_8377,
		obj_t BgL_oz00_8378)
	{
		{	/* Ast/node.scm 210 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8378)))->BgL_falsez00);
		}

	}



/* &lambda2559 */
	obj_t BGl_z62lambda2559z62zzast_nodez00(obj_t BgL_envz00_8379,
		obj_t BgL_oz00_8380, obj_t BgL_vz00_8381)
	{
		{	/* Ast/node.scm 210 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8380)))->BgL_truez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8381)), BUNSPEC);
		}

	}



/* &lambda2558 */
	BgL_nodez00_bglt BGl_z62lambda2558z62zzast_nodez00(obj_t BgL_envz00_8382,
		obj_t BgL_oz00_8383)
	{
		{	/* Ast/node.scm 210 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8383)))->BgL_truez00);
		}

	}



/* &lambda2554 */
	obj_t BGl_z62lambda2554z62zzast_nodez00(obj_t BgL_envz00_8384,
		obj_t BgL_oz00_8385, obj_t BgL_vz00_8386)
	{
		{	/* Ast/node.scm 210 */
			return
				((((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_oz00_8385)))->BgL_testz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8386)), BUNSPEC);
		}

	}



/* &lambda2553 */
	BgL_nodez00_bglt BGl_z62lambda2553z62zzast_nodez00(obj_t BgL_envz00_8387,
		obj_t BgL_oz00_8388)
	{
		{	/* Ast/node.scm 210 */
			return
				(((BgL_conditionalz00_bglt) COBJECT(
						((BgL_conditionalz00_bglt) BgL_oz00_8388)))->BgL_testz00);
		}

	}



/* &<@anonymous:2526> */
	obj_t BGl_z62zc3z04anonymousza32526ze3ze5zzast_nodez00(obj_t BgL_envz00_8389,
		obj_t BgL_new1336z00_8390)
	{
		{	/* Ast/node.scm 203 */
			{
				BgL_setqz00_bglt BgL_auxz00_16326;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1336z00_8390))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16330;

					{	/* Ast/node.scm 203 */
						obj_t BgL_classz00_10111;

						BgL_classz00_10111 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 203 */
							obj_t BgL__ortest_1117z00_10112;

							BgL__ortest_1117z00_10112 = BGL_CLASS_NIL(BgL_classz00_10111);
							if (CBOOL(BgL__ortest_1117z00_10112))
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16330 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10112);
								}
							else
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16330 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10111));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1336z00_8390))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16330), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_16340;

					{	/* Ast/node.scm 203 */
						obj_t BgL_classz00_10113;

						BgL_classz00_10113 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 203 */
							obj_t BgL__ortest_1117z00_10114;

							BgL__ortest_1117z00_10114 = BGL_CLASS_NIL(BgL_classz00_10113);
							if (CBOOL(BgL__ortest_1117z00_10114))
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16340 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10114);
								}
							else
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16340 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10113));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1336z00_8390)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_16340), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16349;

					{	/* Ast/node.scm 203 */
						obj_t BgL_classz00_10115;

						BgL_classz00_10115 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 203 */
							obj_t BgL__ortest_1117z00_10116;

							BgL__ortest_1117z00_10116 = BGL_CLASS_NIL(BgL_classz00_10115);
							if (CBOOL(BgL__ortest_1117z00_10116))
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16349 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10116);
								}
							else
								{	/* Ast/node.scm 203 */
									BgL_auxz00_16349 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10115));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_new1336z00_8390)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_16349), BUNSPEC);
				}
				BgL_auxz00_16326 = ((BgL_setqz00_bglt) BgL_new1336z00_8390);
				return ((obj_t) BgL_auxz00_16326);
			}
		}

	}



/* &lambda2524 */
	BgL_setqz00_bglt BGl_z62lambda2524z62zzast_nodez00(obj_t BgL_envz00_8391)
	{
		{	/* Ast/node.scm 203 */
			{	/* Ast/node.scm 203 */
				BgL_setqz00_bglt BgL_new1335z00_10117;

				BgL_new1335z00_10117 =
					((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqz00_bgl))));
				{	/* Ast/node.scm 203 */
					long BgL_arg2525z00_10118;

					BgL_arg2525z00_10118 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1335z00_10117), BgL_arg2525z00_10118);
				}
				{	/* Ast/node.scm 203 */
					BgL_objectz00_bglt BgL_tmpz00_16364;

					BgL_tmpz00_16364 = ((BgL_objectz00_bglt) BgL_new1335z00_10117);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16364, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1335z00_10117);
				return BgL_new1335z00_10117;
			}
		}

	}



/* &lambda2522 */
	BgL_setqz00_bglt BGl_z62lambda2522z62zzast_nodez00(obj_t BgL_envz00_8392,
		obj_t BgL_loc1331z00_8393, obj_t BgL_type1332z00_8394,
		obj_t BgL_var1333z00_8395, obj_t BgL_value1334z00_8396)
	{
		{	/* Ast/node.scm 203 */
			{	/* Ast/node.scm 203 */
				BgL_setqz00_bglt BgL_new1585z00_10122;

				{	/* Ast/node.scm 203 */
					BgL_setqz00_bglt BgL_new1584z00_10123;

					BgL_new1584z00_10123 =
						((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqz00_bgl))));
					{	/* Ast/node.scm 203 */
						long BgL_arg2523z00_10124;

						BgL_arg2523z00_10124 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1584z00_10123),
							BgL_arg2523z00_10124);
					}
					{	/* Ast/node.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_16372;

						BgL_tmpz00_16372 = ((BgL_objectz00_bglt) BgL_new1584z00_10123);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16372, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1584z00_10123);
					BgL_new1585z00_10122 = BgL_new1584z00_10123;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1585z00_10122)))->BgL_locz00) =
					((obj_t) BgL_loc1331z00_8393), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1585z00_10122)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1332z00_8394)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1585z00_10122))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1333z00_8395)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(BgL_new1585z00_10122))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1334z00_8396)),
					BUNSPEC);
				return BgL_new1585z00_10122;
			}
		}

	}



/* &lambda2537 */
	obj_t BGl_z62lambda2537z62zzast_nodez00(obj_t BgL_envz00_8397,
		obj_t BgL_oz00_8398, obj_t BgL_vz00_8399)
	{
		{	/* Ast/node.scm 203 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8398)))->BgL_valuez00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8399)), BUNSPEC);
		}

	}



/* &lambda2536 */
	BgL_nodez00_bglt BGl_z62lambda2536z62zzast_nodez00(obj_t BgL_envz00_8400,
		obj_t BgL_oz00_8401)
	{
		{	/* Ast/node.scm 203 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8401)))->BgL_valuez00);
		}

	}



/* &lambda2531 */
	obj_t BGl_z62lambda2531z62zzast_nodez00(obj_t BgL_envz00_8402,
		obj_t BgL_oz00_8403, obj_t BgL_vz00_8404)
	{
		{	/* Ast/node.scm 203 */
			return
				((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_oz00_8403)))->BgL_varz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8404)), BUNSPEC);
		}

	}



/* &lambda2530 */
	BgL_varz00_bglt BGl_z62lambda2530z62zzast_nodez00(obj_t BgL_envz00_8405,
		obj_t BgL_oz00_8406)
	{
		{	/* Ast/node.scm 203 */
			return
				(((BgL_setqz00_bglt) COBJECT(
						((BgL_setqz00_bglt) BgL_oz00_8406)))->BgL_varz00);
		}

	}



/* &<@anonymous:2507> */
	obj_t BGl_z62zc3z04anonymousza32507ze3ze5zzast_nodez00(obj_t BgL_envz00_8407,
		obj_t BgL_new1329z00_8408)
	{
		{	/* Ast/node.scm 198 */
			{
				BgL_castz00_bglt BgL_auxz00_16395;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1329z00_8408))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16399;

					{	/* Ast/node.scm 198 */
						obj_t BgL_classz00_10132;

						BgL_classz00_10132 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 198 */
							obj_t BgL__ortest_1117z00_10133;

							BgL__ortest_1117z00_10133 = BGL_CLASS_NIL(BgL_classz00_10132);
							if (CBOOL(BgL__ortest_1117z00_10133))
								{	/* Ast/node.scm 198 */
									BgL_auxz00_16399 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10133);
								}
							else
								{	/* Ast/node.scm 198 */
									BgL_auxz00_16399 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10132));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1329z00_8408))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16399), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_16409;

					{	/* Ast/node.scm 198 */
						obj_t BgL_classz00_10134;

						BgL_classz00_10134 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 198 */
							obj_t BgL__ortest_1117z00_10135;

							BgL__ortest_1117z00_10135 = BGL_CLASS_NIL(BgL_classz00_10134);
							if (CBOOL(BgL__ortest_1117z00_10135))
								{	/* Ast/node.scm 198 */
									BgL_auxz00_16409 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10135);
								}
							else
								{	/* Ast/node.scm 198 */
									BgL_auxz00_16409 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10134));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_new1329z00_8408)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_16409), BUNSPEC);
				}
				BgL_auxz00_16395 = ((BgL_castz00_bglt) BgL_new1329z00_8408);
				return ((obj_t) BgL_auxz00_16395);
			}
		}

	}



/* &lambda2504 */
	BgL_castz00_bglt BGl_z62lambda2504z62zzast_nodez00(obj_t BgL_envz00_8409)
	{
		{	/* Ast/node.scm 198 */
			{	/* Ast/node.scm 198 */
				BgL_castz00_bglt BgL_new1328z00_10136;

				BgL_new1328z00_10136 =
					((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castz00_bgl))));
				{	/* Ast/node.scm 198 */
					long BgL_arg2506z00_10137;

					BgL_arg2506z00_10137 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1328z00_10136), BgL_arg2506z00_10137);
				}
				{	/* Ast/node.scm 198 */
					BgL_objectz00_bglt BgL_tmpz00_16424;

					BgL_tmpz00_16424 = ((BgL_objectz00_bglt) BgL_new1328z00_10136);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16424, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1328z00_10136);
				return BgL_new1328z00_10136;
			}
		}

	}



/* &lambda2502 */
	BgL_castz00_bglt BGl_z62lambda2502z62zzast_nodez00(obj_t BgL_envz00_8410,
		obj_t BgL_loc1325z00_8411, obj_t BgL_type1326z00_8412,
		obj_t BgL_arg1327z00_8413)
	{
		{	/* Ast/node.scm 198 */
			{	/* Ast/node.scm 198 */
				BgL_castz00_bglt BgL_new1583z00_10140;

				{	/* Ast/node.scm 198 */
					BgL_castz00_bglt BgL_new1582z00_10141;

					BgL_new1582z00_10141 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Ast/node.scm 198 */
						long BgL_arg2503z00_10142;

						BgL_arg2503z00_10142 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1582z00_10141),
							BgL_arg2503z00_10142);
					}
					{	/* Ast/node.scm 198 */
						BgL_objectz00_bglt BgL_tmpz00_16432;

						BgL_tmpz00_16432 = ((BgL_objectz00_bglt) BgL_new1582z00_10141);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16432, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1582z00_10141);
					BgL_new1583z00_10140 = BgL_new1582z00_10141;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1583z00_10140)))->BgL_locz00) =
					((obj_t) BgL_loc1325z00_8411), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1583z00_10140)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1326z00_8412)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(BgL_new1583z00_10140))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1327z00_8413)),
					BUNSPEC);
				return BgL_new1583z00_10140;
			}
		}

	}



/* &lambda2512 */
	obj_t BGl_z62lambda2512z62zzast_nodez00(obj_t BgL_envz00_8414,
		obj_t BgL_oz00_8415, obj_t BgL_vz00_8416)
	{
		{	/* Ast/node.scm 198 */
			return
				((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_oz00_8415)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8416)), BUNSPEC);
		}

	}



/* &lambda2511 */
	BgL_nodez00_bglt BGl_z62lambda2511z62zzast_nodez00(obj_t BgL_envz00_8417,
		obj_t BgL_oz00_8418)
	{
		{	/* Ast/node.scm 198 */
			return
				(((BgL_castz00_bglt) COBJECT(
						((BgL_castz00_bglt) BgL_oz00_8418)))->BgL_argz00);
		}

	}



/* &<@anonymous:2496> */
	obj_t BGl_z62zc3z04anonymousza32496ze3ze5zzast_nodez00(obj_t BgL_envz00_8419,
		obj_t BgL_new1323z00_8420)
	{
		{	/* Ast/node.scm 195 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_16448;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1323z00_8420))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16452;

					{	/* Ast/node.scm 195 */
						obj_t BgL_classz00_10147;

						BgL_classz00_10147 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 195 */
							obj_t BgL__ortest_1117z00_10148;

							BgL__ortest_1117z00_10148 = BGL_CLASS_NIL(BgL_classz00_10147);
							if (CBOOL(BgL__ortest_1117z00_10148))
								{	/* Ast/node.scm 195 */
									BgL_auxz00_16452 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10148);
								}
							else
								{	/* Ast/node.scm 195 */
									BgL_auxz00_16452 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10147));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1323z00_8420))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16452), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1323z00_8420))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1323z00_8420))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1323z00_8420))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1323z00_8420))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1323z00_8420))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_16448 = ((BgL_castzd2nullzd2_bglt) BgL_new1323z00_8420);
				return ((obj_t) BgL_auxz00_16448);
			}
		}

	}



/* &lambda2493 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2493z62zzast_nodez00(obj_t
		BgL_envz00_8421)
	{
		{	/* Ast/node.scm 195 */
			{	/* Ast/node.scm 195 */
				BgL_castzd2nullzd2_bglt BgL_new1322z00_10149;

				BgL_new1322z00_10149 =
					((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzd2_bgl))));
				{	/* Ast/node.scm 195 */
					long BgL_arg2495z00_10150;

					BgL_arg2495z00_10150 = BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1322z00_10149), BgL_arg2495z00_10150);
				}
				{	/* Ast/node.scm 195 */
					BgL_objectz00_bglt BgL_tmpz00_16483;

					BgL_tmpz00_16483 = ((BgL_objectz00_bglt) BgL_new1322z00_10149);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16483, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1322z00_10149);
				return BgL_new1322z00_10149;
			}
		}

	}



/* &lambda2491 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda2491z62zzast_nodez00(obj_t
		BgL_envz00_8422, obj_t BgL_loc1315z00_8423, obj_t BgL_type1316z00_8424,
		obj_t BgL_sidezd2effect1317zd2_8425, obj_t BgL_key1318z00_8426,
		obj_t BgL_exprza21319za2_8427, obj_t BgL_effect1320z00_8428,
		obj_t BgL_czd2format1321zd2_8429)
	{
		{	/* Ast/node.scm 195 */
			{	/* Ast/node.scm 195 */
				BgL_castzd2nullzd2_bglt BgL_new1581z00_10154;

				{	/* Ast/node.scm 195 */
					BgL_castzd2nullzd2_bglt BgL_new1580z00_10155;

					BgL_new1580z00_10155 =
						((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzd2_bgl))));
					{	/* Ast/node.scm 195 */
						long BgL_arg2492z00_10156;

						BgL_arg2492z00_10156 =
							BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1580z00_10155),
							BgL_arg2492z00_10156);
					}
					{	/* Ast/node.scm 195 */
						BgL_objectz00_bglt BgL_tmpz00_16491;

						BgL_tmpz00_16491 = ((BgL_objectz00_bglt) BgL_new1580z00_10155);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16491, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1580z00_10155);
					BgL_new1581z00_10154 = BgL_new1580z00_10155;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1581z00_10154)))->BgL_locz00) =
					((obj_t) BgL_loc1315z00_8423), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1581z00_10154)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1316z00_8424)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1581z00_10154)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1317zd2_8425), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1581z00_10154)))->BgL_keyz00) =
					((obj_t) BgL_key1318z00_8426), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1581z00_10154)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21319za2_8427)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1581z00_10154)))->BgL_effectz00) =
					((obj_t) BgL_effect1320z00_8428), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1581z00_10154)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1321zd2_8429)), BUNSPEC);
				return BgL_new1581z00_10154;
			}
		}

	}



/* &<@anonymous:2479> */
	obj_t BGl_z62zc3z04anonymousza32479ze3ze5zzast_nodez00(obj_t BgL_envz00_8430,
		obj_t BgL_new1313z00_8431)
	{
		{	/* Ast/node.scm 191 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_16512;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1313z00_8431))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16516;

					{	/* Ast/node.scm 191 */
						obj_t BgL_classz00_10158;

						BgL_classz00_10158 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 191 */
							obj_t BgL__ortest_1117z00_10159;

							BgL__ortest_1117z00_10159 = BGL_CLASS_NIL(BgL_classz00_10158);
							if (CBOOL(BgL__ortest_1117z00_10159))
								{	/* Ast/node.scm 191 */
									BgL_auxz00_16516 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10159);
								}
							else
								{	/* Ast/node.scm 191 */
									BgL_auxz00_16516 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10158));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1313z00_8431))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16516), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1313z00_8431))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1313z00_8431))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1313z00_8431))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1313z00_8431))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1313z00_8431))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16541;

					{	/* Ast/node.scm 191 */
						obj_t BgL_classz00_10160;

						BgL_classz00_10160 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 191 */
							obj_t BgL__ortest_1117z00_10161;

							BgL__ortest_1117z00_10161 = BGL_CLASS_NIL(BgL_classz00_10160);
							if (CBOOL(BgL__ortest_1117z00_10161))
								{	/* Ast/node.scm 191 */
									BgL_auxz00_16541 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10161);
								}
							else
								{	/* Ast/node.scm 191 */
									BgL_auxz00_16541 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10160));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_new1313z00_8431)))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_16541), BUNSPEC);
				}
				BgL_auxz00_16512 = ((BgL_instanceofz00_bglt) BgL_new1313z00_8431);
				return ((obj_t) BgL_auxz00_16512);
			}
		}

	}



/* &lambda2477 */
	BgL_instanceofz00_bglt BGl_z62lambda2477z62zzast_nodez00(obj_t
		BgL_envz00_8432)
	{
		{	/* Ast/node.scm 191 */
			{	/* Ast/node.scm 191 */
				BgL_instanceofz00_bglt BgL_new1312z00_10162;

				BgL_new1312z00_10162 =
					((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofz00_bgl))));
				{	/* Ast/node.scm 191 */
					long BgL_arg2478z00_10163;

					BgL_arg2478z00_10163 = BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1312z00_10162), BgL_arg2478z00_10163);
				}
				{	/* Ast/node.scm 191 */
					BgL_objectz00_bglt BgL_tmpz00_16556;

					BgL_tmpz00_16556 = ((BgL_objectz00_bglt) BgL_new1312z00_10162);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16556, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1312z00_10162);
				return BgL_new1312z00_10162;
			}
		}

	}



/* &lambda2475 */
	BgL_instanceofz00_bglt BGl_z62lambda2475z62zzast_nodez00(obj_t
		BgL_envz00_8433, obj_t BgL_loc1303z00_8434, obj_t BgL_type1304z00_8435,
		obj_t BgL_sidezd2effect1305zd2_8436, obj_t BgL_key1306z00_8437,
		obj_t BgL_exprza21307za2_8438, obj_t BgL_effect1308z00_8439,
		obj_t BgL_czd2format1309zd2_8440, obj_t BgL_class1310z00_8441)
	{
		{	/* Ast/node.scm 191 */
			{	/* Ast/node.scm 191 */
				BgL_instanceofz00_bglt BgL_new1579z00_10168;

				{	/* Ast/node.scm 191 */
					BgL_instanceofz00_bglt BgL_new1578z00_10169;

					BgL_new1578z00_10169 =
						((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofz00_bgl))));
					{	/* Ast/node.scm 191 */
						long BgL_arg2476z00_10170;

						BgL_arg2476z00_10170 =
							BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1578z00_10169),
							BgL_arg2476z00_10170);
					}
					{	/* Ast/node.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_16564;

						BgL_tmpz00_16564 = ((BgL_objectz00_bglt) BgL_new1578z00_10169);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16564, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1578z00_10169);
					BgL_new1579z00_10168 = BgL_new1578z00_10169;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1579z00_10168)))->BgL_locz00) =
					((obj_t) BgL_loc1303z00_8434), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1579z00_10168)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1304z00_8435)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1579z00_10168)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1305zd2_8436), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1579z00_10168)))->BgL_keyz00) =
					((obj_t) BgL_key1306z00_8437), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1579z00_10168)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21307za2_8438)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1579z00_10168)))->BgL_effectz00) =
					((obj_t) BgL_effect1308z00_8439), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1579z00_10168)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1309zd2_8440)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(BgL_new1579z00_10168))->
						BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1310z00_8441)),
					BUNSPEC);
				return BgL_new1579z00_10168;
			}
		}

	}



/* &lambda2484 */
	obj_t BGl_z62lambda2484z62zzast_nodez00(obj_t BgL_envz00_8442,
		obj_t BgL_oz00_8443, obj_t BgL_vz00_8444)
	{
		{	/* Ast/node.scm 191 */
			return
				((((BgL_instanceofz00_bglt) COBJECT(
							((BgL_instanceofz00_bglt) BgL_oz00_8443)))->BgL_classz00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8444)), BUNSPEC);
		}

	}



/* &lambda2483 */
	BgL_typez00_bglt BGl_z62lambda2483z62zzast_nodez00(obj_t BgL_envz00_8445,
		obj_t BgL_oz00_8446)
	{
		{	/* Ast/node.scm 191 */
			return
				(((BgL_instanceofz00_bglt) COBJECT(
						((BgL_instanceofz00_bglt) BgL_oz00_8446)))->BgL_classz00);
		}

	}



/* &<@anonymous:2458> */
	obj_t BGl_z62zc3z04anonymousza32458ze3ze5zzast_nodez00(obj_t BgL_envz00_8447,
		obj_t BgL_new1301z00_8448)
	{
		{	/* Ast/node.scm 184 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_16592;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1301z00_8448))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16596;

					{	/* Ast/node.scm 184 */
						obj_t BgL_classz00_10175;

						BgL_classz00_10175 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 184 */
							obj_t BgL__ortest_1117z00_10176;

							BgL__ortest_1117z00_10176 = BGL_CLASS_NIL(BgL_classz00_10175);
							if (CBOOL(BgL__ortest_1117z00_10176))
								{	/* Ast/node.scm 184 */
									BgL_auxz00_16596 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10176);
								}
							else
								{	/* Ast/node.scm 184 */
									BgL_auxz00_16596 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10175));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1301z00_8448))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16596), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1301z00_8448))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1301z00_8448))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1301z00_8448))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1301z00_8448))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1301z00_8448))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16621;

					{	/* Ast/node.scm 184 */
						obj_t BgL_classz00_10177;

						BgL_classz00_10177 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 184 */
							obj_t BgL__ortest_1117z00_10178;

							BgL__ortest_1117z00_10178 = BGL_CLASS_NIL(BgL_classz00_10177);
							if (CBOOL(BgL__ortest_1117z00_10178))
								{	/* Ast/node.scm 184 */
									BgL_auxz00_16621 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10178);
								}
							else
								{	/* Ast/node.scm 184 */
									BgL_auxz00_16621 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10177));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_new1301z00_8448)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16621), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt) BgL_new1301z00_8448)))->BgL_ftypez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_16592 = ((BgL_vlengthz00_bglt) BgL_new1301z00_8448);
				return ((obj_t) BgL_auxz00_16592);
			}
		}

	}



/* &lambda2455 */
	BgL_vlengthz00_bglt BGl_z62lambda2455z62zzast_nodez00(obj_t BgL_envz00_8449)
	{
		{	/* Ast/node.scm 184 */
			{	/* Ast/node.scm 184 */
				BgL_vlengthz00_bglt BgL_new1300z00_10179;

				BgL_new1300z00_10179 =
					((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthz00_bgl))));
				{	/* Ast/node.scm 184 */
					long BgL_arg2457z00_10180;

					BgL_arg2457z00_10180 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1300z00_10179), BgL_arg2457z00_10180);
				}
				{	/* Ast/node.scm 184 */
					BgL_objectz00_bglt BgL_tmpz00_16638;

					BgL_tmpz00_16638 = ((BgL_objectz00_bglt) BgL_new1300z00_10179);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16638, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1300z00_10179);
				return BgL_new1300z00_10179;
			}
		}

	}



/* &lambda2452 */
	BgL_vlengthz00_bglt BGl_z62lambda2452z62zzast_nodez00(obj_t BgL_envz00_8450,
		obj_t BgL_loc1291z00_8451, obj_t BgL_type1292z00_8452,
		obj_t BgL_sidezd2effect1293zd2_8453, obj_t BgL_key1294z00_8454,
		obj_t BgL_exprza21295za2_8455, obj_t BgL_effect1296z00_8456,
		obj_t BgL_czd2format1297zd2_8457, obj_t BgL_vtype1298z00_8458,
		obj_t BgL_ftype1299z00_8459)
	{
		{	/* Ast/node.scm 184 */
			{	/* Ast/node.scm 184 */
				BgL_vlengthz00_bglt BgL_new1577z00_10185;

				{	/* Ast/node.scm 184 */
					BgL_vlengthz00_bglt BgL_new1576z00_10186;

					BgL_new1576z00_10186 =
						((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthz00_bgl))));
					{	/* Ast/node.scm 184 */
						long BgL_arg2454z00_10187;

						BgL_arg2454z00_10187 = BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1576z00_10186),
							BgL_arg2454z00_10187);
					}
					{	/* Ast/node.scm 184 */
						BgL_objectz00_bglt BgL_tmpz00_16646;

						BgL_tmpz00_16646 = ((BgL_objectz00_bglt) BgL_new1576z00_10186);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16646, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1576z00_10186);
					BgL_new1577z00_10185 = BgL_new1576z00_10186;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1577z00_10185)))->BgL_locz00) =
					((obj_t) BgL_loc1291z00_8451), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1577z00_10185)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1292z00_8452)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1577z00_10185)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1293zd2_8453), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1577z00_10185)))->BgL_keyz00) =
					((obj_t) BgL_key1294z00_8454), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1577z00_10185)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21295za2_8455)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1577z00_10185)))->BgL_effectz00) =
					((obj_t) BgL_effect1296z00_8456), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1577z00_10185)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1297zd2_8457)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1577z00_10185))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1298z00_8458)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(BgL_new1577z00_10185))->BgL_ftypez00) =
					((obj_t) BgL_ftype1299z00_8459), BUNSPEC);
				return BgL_new1577z00_10185;
			}
		}

	}



/* &lambda2469 */
	obj_t BGl_z62lambda2469z62zzast_nodez00(obj_t BgL_envz00_8460,
		obj_t BgL_oz00_8461, obj_t BgL_vz00_8462)
	{
		{	/* Ast/node.scm 184 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8461)))->BgL_ftypez00) =
				((obj_t) BgL_vz00_8462), BUNSPEC);
		}

	}



/* &lambda2468 */
	obj_t BGl_z62lambda2468z62zzast_nodez00(obj_t BgL_envz00_8463,
		obj_t BgL_oz00_8464)
	{
		{	/* Ast/node.scm 184 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8464)))->BgL_ftypez00);
		}

	}



/* &lambda2464 */
	obj_t BGl_z62lambda2464z62zzast_nodez00(obj_t BgL_envz00_8465,
		obj_t BgL_oz00_8466, obj_t BgL_vz00_8467)
	{
		{	/* Ast/node.scm 184 */
			return
				((((BgL_vlengthz00_bglt) COBJECT(
							((BgL_vlengthz00_bglt) BgL_oz00_8466)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8467)), BUNSPEC);
		}

	}



/* &lambda2463 */
	BgL_typez00_bglt BGl_z62lambda2463z62zzast_nodez00(obj_t BgL_envz00_8468,
		obj_t BgL_oz00_8469)
	{
		{	/* Ast/node.scm 184 */
			return
				(((BgL_vlengthz00_bglt) COBJECT(
						((BgL_vlengthz00_bglt) BgL_oz00_8469)))->BgL_vtypez00);
		}

	}



/* &<@anonymous:2408> */
	obj_t BGl_z62zc3z04anonymousza32408ze3ze5zzast_nodez00(obj_t BgL_envz00_8470,
		obj_t BgL_new1289z00_8471)
	{
		{	/* Ast/node.scm 173 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_16679;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1289z00_8471))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16683;

					{	/* Ast/node.scm 173 */
						obj_t BgL_classz00_10194;

						BgL_classz00_10194 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 173 */
							obj_t BgL__ortest_1117z00_10195;

							BgL__ortest_1117z00_10195 = BGL_CLASS_NIL(BgL_classz00_10194);
							if (CBOOL(BgL__ortest_1117z00_10195))
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16683 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10195);
								}
							else
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16683 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10194));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1289z00_8471))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16683), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1289z00_8471))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1289z00_8471))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1289z00_8471))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1289z00_8471))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1289z00_8471))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16708;

					{	/* Ast/node.scm 173 */
						obj_t BgL_classz00_10196;

						BgL_classz00_10196 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 173 */
							obj_t BgL__ortest_1117z00_10197;

							BgL__ortest_1117z00_10197 = BGL_CLASS_NIL(BgL_classz00_10196);
							if (CBOOL(BgL__ortest_1117z00_10197))
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16708 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10197);
								}
							else
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16708 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10196));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1289z00_8471)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16708), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16717;

					{	/* Ast/node.scm 173 */
						obj_t BgL_classz00_10198;

						BgL_classz00_10198 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 173 */
							obj_t BgL__ortest_1117z00_10199;

							BgL__ortest_1117z00_10199 = BGL_CLASS_NIL(BgL_classz00_10198);
							if (CBOOL(BgL__ortest_1117z00_10199))
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16717 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10199);
								}
							else
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16717 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10198));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1289z00_8471)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16717), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16726;

					{	/* Ast/node.scm 173 */
						obj_t BgL_classz00_10200;

						BgL_classz00_10200 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 173 */
							obj_t BgL__ortest_1117z00_10201;

							BgL__ortest_1117z00_10201 = BGL_CLASS_NIL(BgL_classz00_10200);
							if (CBOOL(BgL__ortest_1117z00_10201))
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16726 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10201);
								}
							else
								{	/* Ast/node.scm 173 */
									BgL_auxz00_16726 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10200));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_new1289z00_8471)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16726), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_new1289z00_8471)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16679 = ((BgL_vsetz12z12_bglt) BgL_new1289z00_8471);
				return ((obj_t) BgL_auxz00_16679);
			}
		}

	}



/* &lambda2405 */
	BgL_vsetz12z12_bglt BGl_z62lambda2405z62zzast_nodez00(obj_t BgL_envz00_8472)
	{
		{	/* Ast/node.scm 173 */
			{	/* Ast/node.scm 173 */
				BgL_vsetz12z12_bglt BgL_new1288z00_10202;

				BgL_new1288z00_10202 =
					((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12z12_bgl))));
				{	/* Ast/node.scm 173 */
					long BgL_arg2407z00_10203;

					BgL_arg2407z00_10203 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1288z00_10202), BgL_arg2407z00_10203);
				}
				{	/* Ast/node.scm 173 */
					BgL_objectz00_bglt BgL_tmpz00_16743;

					BgL_tmpz00_16743 = ((BgL_objectz00_bglt) BgL_new1288z00_10202);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16743, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1288z00_10202);
				return BgL_new1288z00_10202;
			}
		}

	}



/* &lambda2403 */
	BgL_vsetz12z12_bglt BGl_z62lambda2403z62zzast_nodez00(obj_t BgL_envz00_8473,
		obj_t BgL_loc1277z00_8474, obj_t BgL_type1278z00_8475,
		obj_t BgL_sidezd2effect1279zd2_8476, obj_t BgL_key1280z00_8477,
		obj_t BgL_exprza21281za2_8478, obj_t BgL_effect1282z00_8479,
		obj_t BgL_czd2format1283zd2_8480, obj_t BgL_ftype1284z00_8481,
		obj_t BgL_otype1285z00_8482, obj_t BgL_vtype1286z00_8483,
		obj_t BgL_unsafe1287z00_8484)
	{
		{	/* Ast/node.scm 173 */
			{	/* Ast/node.scm 173 */
				bool_t BgL_unsafe1287z00_10210;

				BgL_unsafe1287z00_10210 = CBOOL(BgL_unsafe1287z00_8484);
				{	/* Ast/node.scm 173 */
					BgL_vsetz12z12_bglt BgL_new1575z00_10211;

					{	/* Ast/node.scm 173 */
						BgL_vsetz12z12_bglt BgL_new1574z00_10212;

						BgL_new1574z00_10212 =
							((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12z12_bgl))));
						{	/* Ast/node.scm 173 */
							long BgL_arg2404z00_10213;

							BgL_arg2404z00_10213 = BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1574z00_10212),
								BgL_arg2404z00_10213);
						}
						{	/* Ast/node.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_16752;

							BgL_tmpz00_16752 = ((BgL_objectz00_bglt) BgL_new1574z00_10212);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16752, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1574z00_10212);
						BgL_new1575z00_10211 = BgL_new1574z00_10212;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1575z00_10211)))->BgL_locz00) =
						((obj_t) BgL_loc1277z00_8474), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1575z00_10211)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1278z00_8475)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1575z00_10211)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1279zd2_8476), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1575z00_10211)))->BgL_keyz00) =
						((obj_t) BgL_key1280z00_8477), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1575z00_10211)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21281za2_8478)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1575z00_10211)))->BgL_effectz00) =
						((obj_t) BgL_effect1282z00_8479), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1575z00_10211)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1283zd2_8480)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1575z00_10211))->
							BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1284z00_8481)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1575z00_10211))->
							BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1285z00_8482)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1575z00_10211))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1286z00_8483)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(BgL_new1575z00_10211))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1287z00_10210), BUNSPEC);
					return BgL_new1575z00_10211;
				}
			}
		}

	}



/* &<@anonymous:2442> */
	obj_t BGl_z62zc3z04anonymousza32442ze3ze5zzast_nodez00(obj_t BgL_envz00_8485)
	{
		{	/* Ast/node.scm 173 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2441 */
	obj_t BGl_z62lambda2441z62zzast_nodez00(obj_t BgL_envz00_8486,
		obj_t BgL_oz00_8487, obj_t BgL_vz00_8488)
	{
		{	/* Ast/node.scm 173 */
			{	/* Ast/node.scm 173 */
				bool_t BgL_vz00_10215;

				BgL_vz00_10215 = CBOOL(BgL_vz00_8488);
				return
					((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt) BgL_oz00_8487)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10215), BUNSPEC);
			}
		}

	}



/* &lambda2440 */
	obj_t BGl_z62lambda2440z62zzast_nodez00(obj_t BgL_envz00_8489,
		obj_t BgL_oz00_8490)
	{
		{	/* Ast/node.scm 173 */
			return
				BBOOL(
				(((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8490)))->BgL_unsafez00));
		}

	}



/* &lambda2430 */
	obj_t BGl_z62lambda2430z62zzast_nodez00(obj_t BgL_envz00_8491,
		obj_t BgL_oz00_8492, obj_t BgL_vz00_8493)
	{
		{	/* Ast/node.scm 173 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8492)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8493)), BUNSPEC);
		}

	}



/* &lambda2429 */
	BgL_typez00_bglt BGl_z62lambda2429z62zzast_nodez00(obj_t BgL_envz00_8494,
		obj_t BgL_oz00_8495)
	{
		{	/* Ast/node.scm 173 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8495)))->BgL_vtypez00);
		}

	}



/* &lambda2423 */
	obj_t BGl_z62lambda2423z62zzast_nodez00(obj_t BgL_envz00_8496,
		obj_t BgL_oz00_8497, obj_t BgL_vz00_8498)
	{
		{	/* Ast/node.scm 173 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8497)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8498)), BUNSPEC);
		}

	}



/* &lambda2422 */
	BgL_typez00_bglt BGl_z62lambda2422z62zzast_nodez00(obj_t BgL_envz00_8499,
		obj_t BgL_oz00_8500)
	{
		{	/* Ast/node.scm 173 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8500)))->BgL_otypez00);
		}

	}



/* &lambda2415 */
	obj_t BGl_z62lambda2415z62zzast_nodez00(obj_t BgL_envz00_8501,
		obj_t BgL_oz00_8502, obj_t BgL_vz00_8503)
	{
		{	/* Ast/node.scm 173 */
			return
				((((BgL_vsetz12z12_bglt) COBJECT(
							((BgL_vsetz12z12_bglt) BgL_oz00_8502)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8503)), BUNSPEC);
		}

	}



/* &lambda2414 */
	BgL_typez00_bglt BGl_z62lambda2414z62zzast_nodez00(obj_t BgL_envz00_8504,
		obj_t BgL_oz00_8505)
	{
		{	/* Ast/node.scm 173 */
			return
				(((BgL_vsetz12z12_bglt) COBJECT(
						((BgL_vsetz12z12_bglt) BgL_oz00_8505)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2367> */
	obj_t BGl_z62zc3z04anonymousza32367ze3ze5zzast_nodez00(obj_t BgL_envz00_8506,
		obj_t BgL_new1275z00_8507)
	{
		{	/* Ast/node.scm 162 */
			{
				BgL_vrefz00_bglt BgL_auxz00_16802;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1275z00_8507))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16806;

					{	/* Ast/node.scm 162 */
						obj_t BgL_classz00_10227;

						BgL_classz00_10227 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 162 */
							obj_t BgL__ortest_1117z00_10228;

							BgL__ortest_1117z00_10228 = BGL_CLASS_NIL(BgL_classz00_10227);
							if (CBOOL(BgL__ortest_1117z00_10228))
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16806 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10228);
								}
							else
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16806 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10227));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1275z00_8507))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16806), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1275z00_8507))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1275z00_8507))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1275z00_8507))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1275z00_8507))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1275z00_8507))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16831;

					{	/* Ast/node.scm 162 */
						obj_t BgL_classz00_10229;

						BgL_classz00_10229 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 162 */
							obj_t BgL__ortest_1117z00_10230;

							BgL__ortest_1117z00_10230 = BGL_CLASS_NIL(BgL_classz00_10229);
							if (CBOOL(BgL__ortest_1117z00_10230))
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16831 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10230);
								}
							else
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16831 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10229));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1275z00_8507)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16831), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16840;

					{	/* Ast/node.scm 162 */
						obj_t BgL_classz00_10231;

						BgL_classz00_10231 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 162 */
							obj_t BgL__ortest_1117z00_10232;

							BgL__ortest_1117z00_10232 = BGL_CLASS_NIL(BgL_classz00_10231);
							if (CBOOL(BgL__ortest_1117z00_10232))
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16840 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10232);
								}
							else
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16840 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10231));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1275z00_8507)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16840), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16849;

					{	/* Ast/node.scm 162 */
						obj_t BgL_classz00_10233;

						BgL_classz00_10233 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 162 */
							obj_t BgL__ortest_1117z00_10234;

							BgL__ortest_1117z00_10234 = BGL_CLASS_NIL(BgL_classz00_10233);
							if (CBOOL(BgL__ortest_1117z00_10234))
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16849 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10234);
								}
							else
								{	/* Ast/node.scm 162 */
									BgL_auxz00_16849 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10233));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_new1275z00_8507)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16849), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_new1275z00_8507)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_16802 = ((BgL_vrefz00_bglt) BgL_new1275z00_8507);
				return ((obj_t) BgL_auxz00_16802);
			}
		}

	}



/* &lambda2365 */
	BgL_vrefz00_bglt BGl_z62lambda2365z62zzast_nodez00(obj_t BgL_envz00_8508)
	{
		{	/* Ast/node.scm 162 */
			{	/* Ast/node.scm 162 */
				BgL_vrefz00_bglt BgL_new1274z00_10235;

				BgL_new1274z00_10235 =
					((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefz00_bgl))));
				{	/* Ast/node.scm 162 */
					long BgL_arg2366z00_10236;

					BgL_arg2366z00_10236 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1274z00_10235), BgL_arg2366z00_10236);
				}
				{	/* Ast/node.scm 162 */
					BgL_objectz00_bglt BgL_tmpz00_16866;

					BgL_tmpz00_16866 = ((BgL_objectz00_bglt) BgL_new1274z00_10235);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16866, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1274z00_10235);
				return BgL_new1274z00_10235;
			}
		}

	}



/* &lambda2363 */
	BgL_vrefz00_bglt BGl_z62lambda2363z62zzast_nodez00(obj_t BgL_envz00_8509,
		obj_t BgL_loc1263z00_8510, obj_t BgL_type1264z00_8511,
		obj_t BgL_sidezd2effect1265zd2_8512, obj_t BgL_key1266z00_8513,
		obj_t BgL_exprza21267za2_8514, obj_t BgL_effect1268z00_8515,
		obj_t BgL_czd2format1269zd2_8516, obj_t BgL_ftype1270z00_8517,
		obj_t BgL_otype1271z00_8518, obj_t BgL_vtype1272z00_8519,
		obj_t BgL_unsafe1273z00_8520)
	{
		{	/* Ast/node.scm 162 */
			{	/* Ast/node.scm 162 */
				bool_t BgL_unsafe1273z00_10243;

				BgL_unsafe1273z00_10243 = CBOOL(BgL_unsafe1273z00_8520);
				{	/* Ast/node.scm 162 */
					BgL_vrefz00_bglt BgL_new1573z00_10244;

					{	/* Ast/node.scm 162 */
						BgL_vrefz00_bglt BgL_new1572z00_10245;

						BgL_new1572z00_10245 =
							((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefz00_bgl))));
						{	/* Ast/node.scm 162 */
							long BgL_arg2364z00_10246;

							BgL_arg2364z00_10246 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1572z00_10245),
								BgL_arg2364z00_10246);
						}
						{	/* Ast/node.scm 162 */
							BgL_objectz00_bglt BgL_tmpz00_16875;

							BgL_tmpz00_16875 = ((BgL_objectz00_bglt) BgL_new1572z00_10245);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16875, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1572z00_10245);
						BgL_new1573z00_10244 = BgL_new1572z00_10245;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1573z00_10244)))->BgL_locz00) =
						((obj_t) BgL_loc1263z00_8510), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1573z00_10244)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1264z00_8511)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1573z00_10244)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1265zd2_8512), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1573z00_10244)))->BgL_keyz00) =
						((obj_t) BgL_key1266z00_8513), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1573z00_10244)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21267za2_8514)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1573z00_10244)))->BgL_effectz00) =
						((obj_t) BgL_effect1268z00_8515), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1573z00_10244)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1269zd2_8516)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1573z00_10244))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1270z00_8517)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1573z00_10244))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1271z00_8518)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1573z00_10244))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1272z00_8519)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(BgL_new1573z00_10244))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1273z00_10243), BUNSPEC);
					return BgL_new1573z00_10244;
				}
			}
		}

	}



/* &<@anonymous:2394> */
	obj_t BGl_z62zc3z04anonymousza32394ze3ze5zzast_nodez00(obj_t BgL_envz00_8521)
	{
		{	/* Ast/node.scm 162 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2393 */
	obj_t BGl_z62lambda2393z62zzast_nodez00(obj_t BgL_envz00_8522,
		obj_t BgL_oz00_8523, obj_t BgL_vz00_8524)
	{
		{	/* Ast/node.scm 162 */
			{	/* Ast/node.scm 162 */
				bool_t BgL_vz00_10248;

				BgL_vz00_10248 = CBOOL(BgL_vz00_8524);
				return
					((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt) BgL_oz00_8523)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10248), BUNSPEC);
			}
		}

	}



/* &lambda2392 */
	obj_t BGl_z62lambda2392z62zzast_nodez00(obj_t BgL_envz00_8525,
		obj_t BgL_oz00_8526)
	{
		{	/* Ast/node.scm 162 */
			return
				BBOOL(
				(((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8526)))->BgL_unsafez00));
		}

	}



/* &lambda2387 */
	obj_t BGl_z62lambda2387z62zzast_nodez00(obj_t BgL_envz00_8527,
		obj_t BgL_oz00_8528, obj_t BgL_vz00_8529)
	{
		{	/* Ast/node.scm 162 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8528)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8529)), BUNSPEC);
		}

	}



/* &lambda2386 */
	BgL_typez00_bglt BGl_z62lambda2386z62zzast_nodez00(obj_t BgL_envz00_8530,
		obj_t BgL_oz00_8531)
	{
		{	/* Ast/node.scm 162 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8531)))->BgL_vtypez00);
		}

	}



/* &lambda2381 */
	obj_t BGl_z62lambda2381z62zzast_nodez00(obj_t BgL_envz00_8532,
		obj_t BgL_oz00_8533, obj_t BgL_vz00_8534)
	{
		{	/* Ast/node.scm 162 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8533)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8534)), BUNSPEC);
		}

	}



/* &lambda2380 */
	BgL_typez00_bglt BGl_z62lambda2380z62zzast_nodez00(obj_t BgL_envz00_8535,
		obj_t BgL_oz00_8536)
	{
		{	/* Ast/node.scm 162 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8536)))->BgL_otypez00);
		}

	}



/* &lambda2374 */
	obj_t BGl_z62lambda2374z62zzast_nodez00(obj_t BgL_envz00_8537,
		obj_t BgL_oz00_8538, obj_t BgL_vz00_8539)
	{
		{	/* Ast/node.scm 162 */
			return
				((((BgL_vrefz00_bglt) COBJECT(
							((BgL_vrefz00_bglt) BgL_oz00_8538)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8539)), BUNSPEC);
		}

	}



/* &lambda2373 */
	BgL_typez00_bglt BGl_z62lambda2373z62zzast_nodez00(obj_t BgL_envz00_8540,
		obj_t BgL_oz00_8541)
	{
		{	/* Ast/node.scm 162 */
			return
				(((BgL_vrefz00_bglt) COBJECT(
						((BgL_vrefz00_bglt) BgL_oz00_8541)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2346> */
	obj_t BGl_z62zc3z04anonymousza32346ze3ze5zzast_nodez00(obj_t BgL_envz00_8542,
		obj_t BgL_new1261z00_8543)
	{
		{	/* Ast/node.scm 155 */
			{
				BgL_vallocz00_bglt BgL_auxz00_16925;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1261z00_8543))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16929;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_10260;

						BgL_classz00_10260 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1117z00_10261;

							BgL__ortest_1117z00_10261 = BGL_CLASS_NIL(BgL_classz00_10260);
							if (CBOOL(BgL__ortest_1117z00_10261))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16929 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10261);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16929 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10260));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1261z00_8543))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16929), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1261z00_8543))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1261z00_8543))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1261z00_8543))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1261z00_8543))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1261z00_8543))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16954;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_10262;

						BgL_classz00_10262 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1117z00_10263;

							BgL__ortest_1117z00_10263 = BGL_CLASS_NIL(BgL_classz00_10262);
							if (CBOOL(BgL__ortest_1117z00_10263))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16954 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10263);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16954 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10262));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1261z00_8543)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16954), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16963;

					{	/* Ast/node.scm 155 */
						obj_t BgL_classz00_10264;

						BgL_classz00_10264 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 155 */
							obj_t BgL__ortest_1117z00_10265;

							BgL__ortest_1117z00_10265 = BGL_CLASS_NIL(BgL_classz00_10264);
							if (CBOOL(BgL__ortest_1117z00_10265))
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16963 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10265);
								}
							else
								{	/* Ast/node.scm 155 */
									BgL_auxz00_16963 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10264));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_new1261z00_8543)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_16963), BUNSPEC);
				}
				BgL_auxz00_16925 = ((BgL_vallocz00_bglt) BgL_new1261z00_8543);
				return ((obj_t) BgL_auxz00_16925);
			}
		}

	}



/* &lambda2343 */
	BgL_vallocz00_bglt BGl_z62lambda2343z62zzast_nodez00(obj_t BgL_envz00_8544)
	{
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vallocz00_bglt BgL_new1260z00_10266;

				BgL_new1260z00_10266 =
					((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vallocz00_bgl))));
				{	/* Ast/node.scm 155 */
					long BgL_arg2345z00_10267;

					BgL_arg2345z00_10267 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1260z00_10266), BgL_arg2345z00_10267);
				}
				{	/* Ast/node.scm 155 */
					BgL_objectz00_bglt BgL_tmpz00_16978;

					BgL_tmpz00_16978 = ((BgL_objectz00_bglt) BgL_new1260z00_10266);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16978, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1260z00_10266);
				return BgL_new1260z00_10266;
			}
		}

	}



/* &lambda2341 */
	BgL_vallocz00_bglt BGl_z62lambda2341z62zzast_nodez00(obj_t BgL_envz00_8545,
		obj_t BgL_loc1250z00_8546, obj_t BgL_type1252z00_8547,
		obj_t BgL_sidezd2effect1253zd2_8548, obj_t BgL_key1254z00_8549,
		obj_t BgL_exprza21255za2_8550, obj_t BgL_effect1256z00_8551,
		obj_t BgL_czd2format1257zd2_8552, obj_t BgL_ftype1258z00_8553,
		obj_t BgL_otype1259z00_8554)
	{
		{	/* Ast/node.scm 155 */
			{	/* Ast/node.scm 155 */
				BgL_vallocz00_bglt BgL_new1571z00_10273;

				{	/* Ast/node.scm 155 */
					BgL_vallocz00_bglt BgL_new1570z00_10274;

					BgL_new1570z00_10274 =
						((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vallocz00_bgl))));
					{	/* Ast/node.scm 155 */
						long BgL_arg2342z00_10275;

						BgL_arg2342z00_10275 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1570z00_10274),
							BgL_arg2342z00_10275);
					}
					{	/* Ast/node.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_16986;

						BgL_tmpz00_16986 = ((BgL_objectz00_bglt) BgL_new1570z00_10274);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16986, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1570z00_10274);
					BgL_new1571z00_10273 = BgL_new1570z00_10274;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1571z00_10273)))->BgL_locz00) =
					((obj_t) BgL_loc1250z00_8546), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1571z00_10273)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1252z00_8547)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1571z00_10273)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1253zd2_8548), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1571z00_10273)))->BgL_keyz00) =
					((obj_t) BgL_key1254z00_8549), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1571z00_10273)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21255za2_8550)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1571z00_10273)))->BgL_effectz00) =
					((obj_t) BgL_effect1256z00_8551), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1571z00_10273)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1257zd2_8552)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1571z00_10273))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1258z00_8553)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(BgL_new1571z00_10273))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1259z00_8554)),
					BUNSPEC);
				return BgL_new1571z00_10273;
			}
		}

	}



/* &lambda2357 */
	obj_t BGl_z62lambda2357z62zzast_nodez00(obj_t BgL_envz00_8555,
		obj_t BgL_oz00_8556, obj_t BgL_vz00_8557)
	{
		{	/* Ast/node.scm 155 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8556)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8557)), BUNSPEC);
		}

	}



/* &lambda2356 */
	BgL_typez00_bglt BGl_z62lambda2356z62zzast_nodez00(obj_t BgL_envz00_8558,
		obj_t BgL_oz00_8559)
	{
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8559)))->BgL_otypez00);
		}

	}



/* &lambda2352 */
	obj_t BGl_z62lambda2352z62zzast_nodez00(obj_t BgL_envz00_8560,
		obj_t BgL_oz00_8561, obj_t BgL_vz00_8562)
	{
		{	/* Ast/node.scm 155 */
			return
				((((BgL_vallocz00_bglt) COBJECT(
							((BgL_vallocz00_bglt) BgL_oz00_8561)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8562)), BUNSPEC);
		}

	}



/* &lambda2351 */
	BgL_typez00_bglt BGl_z62lambda2351z62zzast_nodez00(obj_t BgL_envz00_8563,
		obj_t BgL_oz00_8564)
	{
		{	/* Ast/node.scm 155 */
			return
				(((BgL_vallocz00_bglt) COBJECT(
						((BgL_vallocz00_bglt) BgL_oz00_8564)))->BgL_ftypez00);
		}

	}



/* &<@anonymous:2326> */
	obj_t BGl_z62zc3z04anonymousza32326ze3ze5zzast_nodez00(obj_t BgL_envz00_8565,
		obj_t BgL_new1248z00_8566)
	{
		{	/* Ast/node.scm 151 */
			{
				BgL_newz00_bglt BgL_auxz00_17021;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1248z00_8566))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17025;

					{	/* Ast/node.scm 151 */
						obj_t BgL_classz00_10283;

						BgL_classz00_10283 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 151 */
							obj_t BgL__ortest_1117z00_10284;

							BgL__ortest_1117z00_10284 = BGL_CLASS_NIL(BgL_classz00_10283);
							if (CBOOL(BgL__ortest_1117z00_10284))
								{	/* Ast/node.scm 151 */
									BgL_auxz00_17025 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10284);
								}
							else
								{	/* Ast/node.scm 151 */
									BgL_auxz00_17025 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10283));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1248z00_8566))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17025), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1248z00_8566))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1248z00_8566))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1248z00_8566))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1248z00_8566))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1248z00_8566))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1248z00_8566)))->
						BgL_argszd2typezd2) = ((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_17021 = ((BgL_newz00_bglt) BgL_new1248z00_8566);
				return ((obj_t) BgL_auxz00_17021);
			}
		}

	}



/* &lambda2324 */
	BgL_newz00_bglt BGl_z62lambda2324z62zzast_nodez00(obj_t BgL_envz00_8567)
	{
		{	/* Ast/node.scm 151 */
			{	/* Ast/node.scm 151 */
				BgL_newz00_bglt BgL_new1247z00_10285;

				BgL_new1247z00_10285 =
					((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_newz00_bgl))));
				{	/* Ast/node.scm 151 */
					long BgL_arg2325z00_10286;

					BgL_arg2325z00_10286 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1247z00_10285), BgL_arg2325z00_10286);
				}
				{	/* Ast/node.scm 151 */
					BgL_objectz00_bglt BgL_tmpz00_17058;

					BgL_tmpz00_17058 = ((BgL_objectz00_bglt) BgL_new1247z00_10285);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17058, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1247z00_10285);
				return BgL_new1247z00_10285;
			}
		}

	}



/* &lambda2322 */
	BgL_newz00_bglt BGl_z62lambda2322z62zzast_nodez00(obj_t BgL_envz00_8568,
		obj_t BgL_loc1237z00_8569, obj_t BgL_type1238z00_8570,
		obj_t BgL_sidezd2effect1240zd2_8571, obj_t BgL_key1241z00_8572,
		obj_t BgL_exprza21242za2_8573, obj_t BgL_effect1243z00_8574,
		obj_t BgL_czd2format1244zd2_8575, obj_t BgL_argszd2type1245zd2_8576)
	{
		{	/* Ast/node.scm 151 */
			{	/* Ast/node.scm 151 */
				BgL_newz00_bglt BgL_new1569z00_10291;

				{	/* Ast/node.scm 151 */
					BgL_newz00_bglt BgL_new1568z00_10292;

					BgL_new1568z00_10292 =
						((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newz00_bgl))));
					{	/* Ast/node.scm 151 */
						long BgL_arg2323z00_10293;

						BgL_arg2323z00_10293 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1568z00_10292),
							BgL_arg2323z00_10293);
					}
					{	/* Ast/node.scm 151 */
						BgL_objectz00_bglt BgL_tmpz00_17066;

						BgL_tmpz00_17066 = ((BgL_objectz00_bglt) BgL_new1568z00_10292);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17066, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1568z00_10292);
					BgL_new1569z00_10291 = BgL_new1568z00_10292;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1569z00_10291)))->BgL_locz00) =
					((obj_t) BgL_loc1237z00_8569), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1569z00_10291)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1238z00_8570)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1569z00_10291)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1240zd2_8571), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1569z00_10291)))->BgL_keyz00) =
					((obj_t) BgL_key1241z00_8572), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1569z00_10291)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21242za2_8573)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1569z00_10291)))->BgL_effectz00) =
					((obj_t) BgL_effect1243z00_8574), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1569z00_10291)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1244zd2_8575)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(BgL_new1569z00_10291))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1245zd2_8576)), BUNSPEC);
				return BgL_new1569z00_10291;
			}
		}

	}



/* &<@anonymous:2334> */
	obj_t BGl_z62zc3z04anonymousza32334ze3ze5zzast_nodez00(obj_t BgL_envz00_8577)
	{
		{	/* Ast/node.scm 151 */
			return BNIL;
		}

	}



/* &lambda2333 */
	obj_t BGl_z62lambda2333z62zzast_nodez00(obj_t BgL_envz00_8578,
		obj_t BgL_oz00_8579, obj_t BgL_vz00_8580)
	{
		{	/* Ast/node.scm 151 */
			return
				((((BgL_newz00_bglt) COBJECT(
							((BgL_newz00_bglt) BgL_oz00_8579)))->BgL_argszd2typezd2) =
				((obj_t) ((obj_t) BgL_vz00_8580)), BUNSPEC);
		}

	}



/* &lambda2332 */
	obj_t BGl_z62lambda2332z62zzast_nodez00(obj_t BgL_envz00_8581,
		obj_t BgL_oz00_8582)
	{
		{	/* Ast/node.scm 151 */
			return
				(((BgL_newz00_bglt) COBJECT(
						((BgL_newz00_bglt) BgL_oz00_8582)))->BgL_argszd2typezd2);
		}

	}



/* &<@anonymous:2308> */
	obj_t BGl_z62zc3z04anonymousza32308ze3ze5zzast_nodez00(obj_t BgL_envz00_8583,
		obj_t BgL_new1235z00_8584)
	{
		{	/* Ast/node.scm 147 */
			{
				BgL_wideningz00_bglt BgL_auxz00_17094;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1235z00_8584))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17098;

					{	/* Ast/node.scm 147 */
						obj_t BgL_classz00_10298;

						BgL_classz00_10298 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 147 */
							obj_t BgL__ortest_1117z00_10299;

							BgL__ortest_1117z00_10299 = BGL_CLASS_NIL(BgL_classz00_10298);
							if (CBOOL(BgL__ortest_1117z00_10299))
								{	/* Ast/node.scm 147 */
									BgL_auxz00_17098 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10299);
								}
							else
								{	/* Ast/node.scm 147 */
									BgL_auxz00_17098 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10298));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1235z00_8584))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17098), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1235z00_8584))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1235z00_8584))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1235z00_8584))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1235z00_8584))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1235z00_8584))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17123;

					{	/* Ast/node.scm 147 */
						obj_t BgL_classz00_10300;

						BgL_classz00_10300 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 147 */
							obj_t BgL__ortest_1117z00_10301;

							BgL__ortest_1117z00_10301 = BGL_CLASS_NIL(BgL_classz00_10300);
							if (CBOOL(BgL__ortest_1117z00_10301))
								{	/* Ast/node.scm 147 */
									BgL_auxz00_17123 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10301);
								}
							else
								{	/* Ast/node.scm 147 */
									BgL_auxz00_17123 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10300));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_new1235z00_8584)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_17123), BUNSPEC);
				}
				BgL_auxz00_17094 = ((BgL_wideningz00_bglt) BgL_new1235z00_8584);
				return ((obj_t) BgL_auxz00_17094);
			}
		}

	}



/* &lambda2306 */
	BgL_wideningz00_bglt BGl_z62lambda2306z62zzast_nodez00(obj_t BgL_envz00_8585)
	{
		{	/* Ast/node.scm 147 */
			{	/* Ast/node.scm 147 */
				BgL_wideningz00_bglt BgL_new1234z00_10302;

				BgL_new1234z00_10302 =
					((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningz00_bgl))));
				{	/* Ast/node.scm 147 */
					long BgL_arg2307z00_10303;

					BgL_arg2307z00_10303 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1234z00_10302), BgL_arg2307z00_10303);
				}
				{	/* Ast/node.scm 147 */
					BgL_objectz00_bglt BgL_tmpz00_17138;

					BgL_tmpz00_17138 = ((BgL_objectz00_bglt) BgL_new1234z00_10302);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17138, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1234z00_10302);
				return BgL_new1234z00_10302;
			}
		}

	}



/* &lambda2304 */
	BgL_wideningz00_bglt BGl_z62lambda2304z62zzast_nodez00(obj_t BgL_envz00_8586,
		obj_t BgL_loc1226z00_8587, obj_t BgL_type1227z00_8588,
		obj_t BgL_sidezd2effect1228zd2_8589, obj_t BgL_key1229z00_8590,
		obj_t BgL_exprza21230za2_8591, obj_t BgL_effect1231z00_8592,
		obj_t BgL_czd2format1232zd2_8593, obj_t BgL_otype1233z00_8594)
	{
		{	/* Ast/node.scm 147 */
			{	/* Ast/node.scm 147 */
				BgL_wideningz00_bglt BgL_new1567z00_10308;

				{	/* Ast/node.scm 147 */
					BgL_wideningz00_bglt BgL_new1566z00_10309;

					BgL_new1566z00_10309 =
						((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningz00_bgl))));
					{	/* Ast/node.scm 147 */
						long BgL_arg2305z00_10310;

						BgL_arg2305z00_10310 = BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1566z00_10309),
							BgL_arg2305z00_10310);
					}
					{	/* Ast/node.scm 147 */
						BgL_objectz00_bglt BgL_tmpz00_17146;

						BgL_tmpz00_17146 = ((BgL_objectz00_bglt) BgL_new1566z00_10309);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17146, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1566z00_10309);
					BgL_new1567z00_10308 = BgL_new1566z00_10309;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1567z00_10308)))->BgL_locz00) =
					((obj_t) BgL_loc1226z00_8587), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1567z00_10308)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1227z00_8588)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1567z00_10308)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1228zd2_8589), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1567z00_10308)))->BgL_keyz00) =
					((obj_t) BgL_key1229z00_8590), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1567z00_10308)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21230za2_8591)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1567z00_10308)))->BgL_effectz00) =
					((obj_t) BgL_effect1231z00_8592), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1567z00_10308)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1232zd2_8593)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(BgL_new1567z00_10308))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1233z00_8594)),
					BUNSPEC);
				return BgL_new1567z00_10308;
			}
		}

	}



/* &lambda2315 */
	obj_t BGl_z62lambda2315z62zzast_nodez00(obj_t BgL_envz00_8595,
		obj_t BgL_oz00_8596, obj_t BgL_vz00_8597)
	{
		{	/* Ast/node.scm 147 */
			return
				((((BgL_wideningz00_bglt) COBJECT(
							((BgL_wideningz00_bglt) BgL_oz00_8596)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8597)), BUNSPEC);
		}

	}



/* &lambda2314 */
	BgL_typez00_bglt BGl_z62lambda2314z62zzast_nodez00(obj_t BgL_envz00_8598,
		obj_t BgL_oz00_8599)
	{
		{	/* Ast/node.scm 147 */
			return
				(((BgL_wideningz00_bglt) COBJECT(
						((BgL_wideningz00_bglt) BgL_oz00_8599)))->BgL_otypez00);
		}

	}



/* &<@anonymous:2280> */
	obj_t BGl_z62zc3z04anonymousza32280ze3ze5zzast_nodez00(obj_t BgL_envz00_8600,
		obj_t BgL_new1224z00_8601)
	{
		{	/* Ast/node.scm 137 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_17174;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1224z00_8601))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17178;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_10315;

						BgL_classz00_10315 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1117z00_10316;

							BgL__ortest_1117z00_10316 = BGL_CLASS_NIL(BgL_classz00_10315);
							if (CBOOL(BgL__ortest_1117z00_10316))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17178 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10316);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17178 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10315));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1224z00_8601))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17178), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1224z00_8601))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1224z00_8601))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1224z00_8601))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1224z00_8601))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1224z00_8601))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1224z00_8601)))->BgL_fnamez00) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17205;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_10317;

						BgL_classz00_10317 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1117z00_10318;

							BgL__ortest_1117z00_10318 = BGL_CLASS_NIL(BgL_classz00_10317);
							if (CBOOL(BgL__ortest_1117z00_10318))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17205 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10318);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17205 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10317));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1224z00_8601)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_17205), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_17214;

					{	/* Ast/node.scm 137 */
						obj_t BgL_classz00_10319;

						BgL_classz00_10319 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 137 */
							obj_t BgL__ortest_1117z00_10320;

							BgL__ortest_1117z00_10320 = BGL_CLASS_NIL(BgL_classz00_10319);
							if (CBOOL(BgL__ortest_1117z00_10320))
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17214 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10320);
								}
							else
								{	/* Ast/node.scm 137 */
									BgL_auxz00_17214 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10319));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_new1224z00_8601)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_17214), BUNSPEC);
				}
				BgL_auxz00_17174 = ((BgL_setfieldz00_bglt) BgL_new1224z00_8601);
				return ((obj_t) BgL_auxz00_17174);
			}
		}

	}



/* &lambda2278 */
	BgL_setfieldz00_bglt BGl_z62lambda2278z62zzast_nodez00(obj_t BgL_envz00_8602)
	{
		{	/* Ast/node.scm 137 */
			{	/* Ast/node.scm 137 */
				BgL_setfieldz00_bglt BgL_new1223z00_10321;

				BgL_new1223z00_10321 =
					((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldz00_bgl))));
				{	/* Ast/node.scm 137 */
					long BgL_arg2279z00_10322;

					BgL_arg2279z00_10322 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1223z00_10321), BgL_arg2279z00_10322);
				}
				{	/* Ast/node.scm 137 */
					BgL_objectz00_bglt BgL_tmpz00_17229;

					BgL_tmpz00_17229 = ((BgL_objectz00_bglt) BgL_new1223z00_10321);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17229, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1223z00_10321);
				return BgL_new1223z00_10321;
			}
		}

	}



/* &lambda2276 */
	BgL_setfieldz00_bglt BGl_z62lambda2276z62zzast_nodez00(obj_t BgL_envz00_8603,
		obj_t BgL_loc1213z00_8604, obj_t BgL_type1214z00_8605,
		obj_t BgL_sidezd2effect1215zd2_8606, obj_t BgL_key1216z00_8607,
		obj_t BgL_exprza21217za2_8608, obj_t BgL_effect1218z00_8609,
		obj_t BgL_czd2format1219zd2_8610, obj_t BgL_fname1220z00_8611,
		obj_t BgL_ftype1221z00_8612, obj_t BgL_otype1222z00_8613)
	{
		{	/* Ast/node.scm 137 */
			{	/* Ast/node.scm 137 */
				BgL_setfieldz00_bglt BgL_new1565z00_10329;

				{	/* Ast/node.scm 137 */
					BgL_setfieldz00_bglt BgL_new1564z00_10330;

					BgL_new1564z00_10330 =
						((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldz00_bgl))));
					{	/* Ast/node.scm 137 */
						long BgL_arg2277z00_10331;

						BgL_arg2277z00_10331 = BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1564z00_10330),
							BgL_arg2277z00_10331);
					}
					{	/* Ast/node.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_17237;

						BgL_tmpz00_17237 = ((BgL_objectz00_bglt) BgL_new1564z00_10330);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17237, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1564z00_10330);
					BgL_new1565z00_10329 = BgL_new1564z00_10330;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1565z00_10329)))->BgL_locz00) =
					((obj_t) BgL_loc1213z00_8604), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1565z00_10329)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1214z00_8605)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1565z00_10329)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1215zd2_8606), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1565z00_10329)))->BgL_keyz00) =
					((obj_t) BgL_key1216z00_8607), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1565z00_10329)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21217za2_8608)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1565z00_10329)))->BgL_effectz00) =
					((obj_t) BgL_effect1218z00_8609), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1565z00_10329)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1219zd2_8610)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1565z00_10329))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1220z00_8611)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1565z00_10329))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1221z00_8612)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(BgL_new1565z00_10329))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1222z00_8613)),
					BUNSPEC);
				return BgL_new1565z00_10329;
			}
		}

	}



/* &lambda2296 */
	obj_t BGl_z62lambda2296z62zzast_nodez00(obj_t BgL_envz00_8614,
		obj_t BgL_oz00_8615, obj_t BgL_vz00_8616)
	{
		{	/* Ast/node.scm 137 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8615)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8616)), BUNSPEC);
		}

	}



/* &lambda2295 */
	BgL_typez00_bglt BGl_z62lambda2295z62zzast_nodez00(obj_t BgL_envz00_8617,
		obj_t BgL_oz00_8618)
	{
		{	/* Ast/node.scm 137 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8618)))->BgL_otypez00);
		}

	}



/* &lambda2291 */
	obj_t BGl_z62lambda2291z62zzast_nodez00(obj_t BgL_envz00_8619,
		obj_t BgL_oz00_8620, obj_t BgL_vz00_8621)
	{
		{	/* Ast/node.scm 137 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8620)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8621)), BUNSPEC);
		}

	}



/* &lambda2290 */
	BgL_typez00_bglt BGl_z62lambda2290z62zzast_nodez00(obj_t BgL_envz00_8622,
		obj_t BgL_oz00_8623)
	{
		{	/* Ast/node.scm 137 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8623)))->BgL_ftypez00);
		}

	}



/* &lambda2286 */
	obj_t BGl_z62lambda2286z62zzast_nodez00(obj_t BgL_envz00_8624,
		obj_t BgL_oz00_8625, obj_t BgL_vz00_8626)
	{
		{	/* Ast/node.scm 137 */
			return
				((((BgL_setfieldz00_bglt) COBJECT(
							((BgL_setfieldz00_bglt) BgL_oz00_8625)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8626)), BUNSPEC);
		}

	}



/* &lambda2285 */
	obj_t BGl_z62lambda2285z62zzast_nodez00(obj_t BgL_envz00_8627,
		obj_t BgL_oz00_8628)
	{
		{	/* Ast/node.scm 137 */
			return
				(((BgL_setfieldz00_bglt) COBJECT(
						((BgL_setfieldz00_bglt) BgL_oz00_8628)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2255> */
	obj_t BGl_z62zc3z04anonymousza32255ze3ze5zzast_nodez00(obj_t BgL_envz00_8629,
		obj_t BgL_new1211z00_8630)
	{
		{	/* Ast/node.scm 128 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_17279;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1211z00_8630))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17283;

					{	/* Ast/node.scm 128 */
						obj_t BgL_classz00_10342;

						BgL_classz00_10342 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 128 */
							obj_t BgL__ortest_1117z00_10343;

							BgL__ortest_1117z00_10343 = BGL_CLASS_NIL(BgL_classz00_10342);
							if (CBOOL(BgL__ortest_1117z00_10343))
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17283 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10343);
								}
							else
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17283 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10342));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1211z00_8630))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17283), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1211z00_8630))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1211z00_8630))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1211z00_8630))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1211z00_8630))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1211z00_8630))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1211z00_8630)))->BgL_fnamez00) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17310;

					{	/* Ast/node.scm 128 */
						obj_t BgL_classz00_10344;

						BgL_classz00_10344 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 128 */
							obj_t BgL__ortest_1117z00_10345;

							BgL__ortest_1117z00_10345 = BGL_CLASS_NIL(BgL_classz00_10344);
							if (CBOOL(BgL__ortest_1117z00_10345))
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17310 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10345);
								}
							else
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17310 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10344));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1211z00_8630)))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_17310), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_17319;

					{	/* Ast/node.scm 128 */
						obj_t BgL_classz00_10346;

						BgL_classz00_10346 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 128 */
							obj_t BgL__ortest_1117z00_10347;

							BgL__ortest_1117z00_10347 = BGL_CLASS_NIL(BgL_classz00_10346);
							if (CBOOL(BgL__ortest_1117z00_10347))
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17319 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10347);
								}
							else
								{	/* Ast/node.scm 128 */
									BgL_auxz00_17319 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10346));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_new1211z00_8630)))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_17319), BUNSPEC);
				}
				BgL_auxz00_17279 = ((BgL_getfieldz00_bglt) BgL_new1211z00_8630);
				return ((obj_t) BgL_auxz00_17279);
			}
		}

	}



/* &lambda2253 */
	BgL_getfieldz00_bglt BGl_z62lambda2253z62zzast_nodez00(obj_t BgL_envz00_8631)
	{
		{	/* Ast/node.scm 128 */
			{	/* Ast/node.scm 128 */
				BgL_getfieldz00_bglt BgL_new1210z00_10348;

				BgL_new1210z00_10348 =
					((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldz00_bgl))));
				{	/* Ast/node.scm 128 */
					long BgL_arg2254z00_10349;

					BgL_arg2254z00_10349 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1210z00_10348), BgL_arg2254z00_10349);
				}
				{	/* Ast/node.scm 128 */
					BgL_objectz00_bglt BgL_tmpz00_17334;

					BgL_tmpz00_17334 = ((BgL_objectz00_bglt) BgL_new1210z00_10348);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17334, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1210z00_10348);
				return BgL_new1210z00_10348;
			}
		}

	}



/* &lambda2251 */
	BgL_getfieldz00_bglt BGl_z62lambda2251z62zzast_nodez00(obj_t BgL_envz00_8632,
		obj_t BgL_loc1199z00_8633, obj_t BgL_type1200z00_8634,
		obj_t BgL_sidezd2effect1201zd2_8635, obj_t BgL_key1202z00_8636,
		obj_t BgL_exprza21203za2_8637, obj_t BgL_effect1205z00_8638,
		obj_t BgL_czd2format1206zd2_8639, obj_t BgL_fname1207z00_8640,
		obj_t BgL_ftype1208z00_8641, obj_t BgL_otype1209z00_8642)
	{
		{	/* Ast/node.scm 128 */
			{	/* Ast/node.scm 128 */
				BgL_getfieldz00_bglt BgL_new1563z00_10356;

				{	/* Ast/node.scm 128 */
					BgL_getfieldz00_bglt BgL_new1562z00_10357;

					BgL_new1562z00_10357 =
						((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldz00_bgl))));
					{	/* Ast/node.scm 128 */
						long BgL_arg2252z00_10358;

						BgL_arg2252z00_10358 = BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1562z00_10357),
							BgL_arg2252z00_10358);
					}
					{	/* Ast/node.scm 128 */
						BgL_objectz00_bglt BgL_tmpz00_17342;

						BgL_tmpz00_17342 = ((BgL_objectz00_bglt) BgL_new1562z00_10357);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17342, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1562z00_10357);
					BgL_new1563z00_10356 = BgL_new1562z00_10357;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1563z00_10356)))->BgL_locz00) =
					((obj_t) BgL_loc1199z00_8633), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1563z00_10356)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1200z00_8634)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1563z00_10356)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1201zd2_8635), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1563z00_10356)))->BgL_keyz00) =
					((obj_t) BgL_key1202z00_8636), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1563z00_10356)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21203za2_8637)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1563z00_10356)))->BgL_effectz00) =
					((obj_t) BgL_effect1205z00_8638), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1563z00_10356)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1206zd2_8639)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1563z00_10356))->
						BgL_fnamez00) = ((obj_t) ((obj_t) BgL_fname1207z00_8640)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1563z00_10356))->
						BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1208z00_8641)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(BgL_new1563z00_10356))->
						BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1209z00_8642)),
					BUNSPEC);
				return BgL_new1563z00_10356;
			}
		}

	}



/* &lambda2270 */
	obj_t BGl_z62lambda2270z62zzast_nodez00(obj_t BgL_envz00_8643,
		obj_t BgL_oz00_8644, obj_t BgL_vz00_8645)
	{
		{	/* Ast/node.scm 128 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8644)))->BgL_otypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8645)), BUNSPEC);
		}

	}



/* &lambda2269 */
	BgL_typez00_bglt BGl_z62lambda2269z62zzast_nodez00(obj_t BgL_envz00_8646,
		obj_t BgL_oz00_8647)
	{
		{	/* Ast/node.scm 128 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8647)))->BgL_otypez00);
		}

	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzast_nodez00(obj_t BgL_envz00_8648,
		obj_t BgL_oz00_8649, obj_t BgL_vz00_8650)
	{
		{	/* Ast/node.scm 128 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8649)))->BgL_ftypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8650)), BUNSPEC);
		}

	}



/* &lambda2264 */
	BgL_typez00_bglt BGl_z62lambda2264z62zzast_nodez00(obj_t BgL_envz00_8651,
		obj_t BgL_oz00_8652)
	{
		{	/* Ast/node.scm 128 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8652)))->BgL_ftypez00);
		}

	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzast_nodez00(obj_t BgL_envz00_8653,
		obj_t BgL_oz00_8654, obj_t BgL_vz00_8655)
	{
		{	/* Ast/node.scm 128 */
			return
				((((BgL_getfieldz00_bglt) COBJECT(
							((BgL_getfieldz00_bglt) BgL_oz00_8654)))->BgL_fnamez00) = ((obj_t)
					((obj_t) BgL_vz00_8655)), BUNSPEC);
		}

	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzast_nodez00(obj_t BgL_envz00_8656,
		obj_t BgL_oz00_8657)
	{
		{	/* Ast/node.scm 128 */
			return
				(((BgL_getfieldz00_bglt) COBJECT(
						((BgL_getfieldz00_bglt) BgL_oz00_8657)))->BgL_fnamez00);
		}

	}



/* &<@anonymous:2240> */
	obj_t BGl_z62zc3z04anonymousza32240ze3ze5zzast_nodez00(obj_t BgL_envz00_8658,
		obj_t BgL_new1197z00_8659)
	{
		{	/* Ast/node.scm 124 */
			{
				BgL_privatez00_bglt BgL_auxz00_17384;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_privatez00_bglt) BgL_new1197z00_8659))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17388;

					{	/* Ast/node.scm 124 */
						obj_t BgL_classz00_10369;

						BgL_classz00_10369 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 124 */
							obj_t BgL__ortest_1117z00_10370;

							BgL__ortest_1117z00_10370 = BGL_CLASS_NIL(BgL_classz00_10369);
							if (CBOOL(BgL__ortest_1117z00_10370))
								{	/* Ast/node.scm 124 */
									BgL_auxz00_17388 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10370);
								}
							else
								{	/* Ast/node.scm 124 */
									BgL_auxz00_17388 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10369));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_privatez00_bglt) BgL_new1197z00_8659))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17388), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_privatez00_bglt) BgL_new1197z00_8659))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_privatez00_bglt)
										BgL_new1197z00_8659))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1197z00_8659))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_privatez00_bglt)
										BgL_new1197z00_8659))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1197z00_8659)))->BgL_czd2formatzd2) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				BgL_auxz00_17384 = ((BgL_privatez00_bglt) BgL_new1197z00_8659);
				return ((obj_t) BgL_auxz00_17384);
			}
		}

	}



/* &lambda2238 */
	BgL_privatez00_bglt BGl_z62lambda2238z62zzast_nodez00(obj_t BgL_envz00_8660)
	{
		{	/* Ast/node.scm 124 */
			{	/* Ast/node.scm 124 */
				BgL_privatez00_bglt BgL_new1196z00_10371;

				BgL_new1196z00_10371 =
					((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_privatez00_bgl))));
				{	/* Ast/node.scm 124 */
					long BgL_arg2239z00_10372;

					BgL_arg2239z00_10372 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1196z00_10371), BgL_arg2239z00_10372);
				}
				return BgL_new1196z00_10371;
			}
		}

	}



/* &lambda2236 */
	BgL_privatez00_bglt BGl_z62lambda2236z62zzast_nodez00(obj_t BgL_envz00_8661,
		obj_t BgL_loc1189z00_8662, obj_t BgL_type1190z00_8663,
		obj_t BgL_sidezd2effect1191zd2_8664, obj_t BgL_key1192z00_8665,
		obj_t BgL_exprza21193za2_8666, obj_t BgL_effect1194z00_8667,
		obj_t BgL_czd2format1195zd2_8668)
	{
		{	/* Ast/node.scm 124 */
			{	/* Ast/node.scm 124 */
				BgL_privatez00_bglt BgL_new1561z00_10376;

				{	/* Ast/node.scm 124 */
					BgL_privatez00_bglt BgL_new1560z00_10377;

					BgL_new1560z00_10377 =
						((BgL_privatez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_privatez00_bgl))));
					{	/* Ast/node.scm 124 */
						long BgL_arg2237z00_10378;

						BgL_arg2237z00_10378 = BGL_CLASS_NUM(BGl_privatez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1560z00_10377),
							BgL_arg2237z00_10378);
					}
					BgL_new1561z00_10376 = BgL_new1560z00_10377;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1561z00_10376)))->BgL_locz00) =
					((obj_t) BgL_loc1189z00_8662), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1561z00_10376)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1190z00_8663)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1561z00_10376)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1191zd2_8664), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1561z00_10376)))->BgL_keyz00) =
					((obj_t) BgL_key1192z00_8665), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1561z00_10376)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21193za2_8666)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1561z00_10376)))->BgL_effectz00) =
					((obj_t) BgL_effect1194z00_8667), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(BgL_new1561z00_10376))->
						BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1195zd2_8668)), BUNSPEC);
				return BgL_new1561z00_10376;
			}
		}

	}



/* &lambda2245 */
	obj_t BGl_z62lambda2245z62zzast_nodez00(obj_t BgL_envz00_8669,
		obj_t BgL_oz00_8670, obj_t BgL_vz00_8671)
	{
		{	/* Ast/node.scm 124 */
			return
				((((BgL_privatez00_bglt) COBJECT(
							((BgL_privatez00_bglt) BgL_oz00_8670)))->BgL_czd2formatzd2) =
				((obj_t) ((obj_t) BgL_vz00_8671)), BUNSPEC);
		}

	}



/* &lambda2244 */
	obj_t BGl_z62lambda2244z62zzast_nodez00(obj_t BgL_envz00_8672,
		obj_t BgL_oz00_8673)
	{
		{	/* Ast/node.scm 124 */
			return
				(((BgL_privatez00_bglt) COBJECT(
						((BgL_privatez00_bglt) BgL_oz00_8673)))->BgL_czd2formatzd2);
		}

	}



/* &<@anonymous:2215> */
	obj_t BGl_z62zc3z04anonymousza32215ze3ze5zzast_nodez00(obj_t BgL_envz00_8674,
		obj_t BgL_new1187z00_8675)
	{
		{	/* Ast/node.scm 119 */
			{
				BgL_genpatchidz00_bglt BgL_auxz00_17443;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1187z00_8675))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17447;

					{	/* Ast/node.scm 119 */
						obj_t BgL_classz00_10383;

						BgL_classz00_10383 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 119 */
							obj_t BgL__ortest_1117z00_10384;

							BgL__ortest_1117z00_10384 = BGL_CLASS_NIL(BgL_classz00_10383);
							if (CBOOL(BgL__ortest_1117z00_10384))
								{	/* Ast/node.scm 119 */
									BgL_auxz00_17447 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10384);
								}
							else
								{	/* Ast/node.scm 119 */
									BgL_auxz00_17447 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10383));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_genpatchidz00_bglt) BgL_new1187z00_8675))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17447), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_genpatchidz00_bglt) BgL_new1187z00_8675))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1187z00_8675))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1187z00_8675))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_genpatchidz00_bglt)
										BgL_new1187z00_8675))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1187z00_8675)))->BgL_indexz00) = ((long) 0L), BUNSPEC);
				((((BgL_genpatchidz00_bglt) COBJECT(((BgL_genpatchidz00_bglt)
									BgL_new1187z00_8675)))->BgL_rindexz00) =
					((long) 0L), BUNSPEC);
				BgL_auxz00_17443 = ((BgL_genpatchidz00_bglt) BgL_new1187z00_8675);
				return ((obj_t) BgL_auxz00_17443);
			}
		}

	}



/* &lambda2213 */
	BgL_genpatchidz00_bglt BGl_z62lambda2213z62zzast_nodez00(obj_t
		BgL_envz00_8676)
	{
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				BgL_genpatchidz00_bglt BgL_new1186z00_10385;

				BgL_new1186z00_10385 =
					((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidz00_bgl))));
				{	/* Ast/node.scm 119 */
					long BgL_arg2214z00_10386;

					BgL_arg2214z00_10386 = BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1186z00_10385), BgL_arg2214z00_10386);
				}
				{	/* Ast/node.scm 119 */
					BgL_objectz00_bglt BgL_tmpz00_17479;

					BgL_tmpz00_17479 = ((BgL_objectz00_bglt) BgL_new1186z00_10385);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17479, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1186z00_10385);
				return BgL_new1186z00_10385;
			}
		}

	}



/* &lambda2211 */
	BgL_genpatchidz00_bglt BGl_z62lambda2211z62zzast_nodez00(obj_t
		BgL_envz00_8677, obj_t BgL_loc1178z00_8678, obj_t BgL_type1179z00_8679,
		obj_t BgL_sidezd2effect1180zd2_8680, obj_t BgL_key1181z00_8681,
		obj_t BgL_exprza21182za2_8682, obj_t BgL_effect1183z00_8683,
		obj_t BgL_index1184z00_8684, obj_t BgL_rindex1185z00_8685)
	{
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				long BgL_index1184z00_10389;
				long BgL_rindex1185z00_10390;

				BgL_index1184z00_10389 = (long) CINT(BgL_index1184z00_8684);
				BgL_rindex1185z00_10390 = (long) CINT(BgL_rindex1185z00_8685);
				{	/* Ast/node.scm 119 */
					BgL_genpatchidz00_bglt BgL_new1559z00_10391;

					{	/* Ast/node.scm 119 */
						BgL_genpatchidz00_bglt BgL_new1558z00_10392;

						BgL_new1558z00_10392 =
							((BgL_genpatchidz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_genpatchidz00_bgl))));
						{	/* Ast/node.scm 119 */
							long BgL_arg2212z00_10393;

							BgL_arg2212z00_10393 =
								BGL_CLASS_NUM(BGl_genpatchidz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1558z00_10392),
								BgL_arg2212z00_10393);
						}
						{	/* Ast/node.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_17489;

							BgL_tmpz00_17489 = ((BgL_objectz00_bglt) BgL_new1558z00_10392);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17489, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1558z00_10392);
						BgL_new1559z00_10391 = BgL_new1558z00_10392;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1559z00_10391)))->BgL_locz00) =
						((obj_t) BgL_loc1178z00_8678), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1559z00_10391)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1179z00_8679)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1559z00_10391)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1180zd2_8680), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1559z00_10391)))->BgL_keyz00) =
						((obj_t) BgL_key1181z00_8681), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1559z00_10391)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21182za2_8682)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1559z00_10391)))->BgL_effectz00) =
						((obj_t) BgL_effect1183z00_8683), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1559z00_10391))->
							BgL_indexz00) = ((long) BgL_index1184z00_10389), BUNSPEC);
					((((BgL_genpatchidz00_bglt) COBJECT(BgL_new1559z00_10391))->
							BgL_rindexz00) = ((long) BgL_rindex1185z00_10390), BUNSPEC);
					return BgL_new1559z00_10391;
				}
			}
		}

	}



/* &<@anonymous:2229> */
	obj_t BGl_z62zc3z04anonymousza32229ze3ze5zzast_nodez00(obj_t BgL_envz00_8686)
	{
		{	/* Ast/node.scm 119 */
			return BINT((-1L));
		}

	}



/* &lambda2228 */
	obj_t BGl_z62lambda2228z62zzast_nodez00(obj_t BgL_envz00_8687,
		obj_t BgL_oz00_8688, obj_t BgL_vz00_8689)
	{
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				long BgL_vz00_10395;

				BgL_vz00_10395 = (long) CINT(BgL_vz00_8689);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8688)))->BgL_rindexz00) =
					((long) BgL_vz00_10395), BUNSPEC);
		}}

	}



/* &lambda2227 */
	obj_t BGl_z62lambda2227z62zzast_nodez00(obj_t BgL_envz00_8690,
		obj_t BgL_oz00_8691)
	{
		{	/* Ast/node.scm 119 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8691)))->BgL_rindexz00));
		}

	}



/* &<@anonymous:2222> */
	obj_t BGl_z62zc3z04anonymousza32222ze3ze5zzast_nodez00(obj_t BgL_envz00_8692)
	{
		{	/* Ast/node.scm 119 */
			return BINT((-1L));
		}

	}



/* &lambda2221 */
	obj_t BGl_z62lambda2221z62zzast_nodez00(obj_t BgL_envz00_8693,
		obj_t BgL_oz00_8694, obj_t BgL_vz00_8695)
	{
		{	/* Ast/node.scm 119 */
			{	/* Ast/node.scm 119 */
				long BgL_vz00_10398;

				BgL_vz00_10398 = (long) CINT(BgL_vz00_8695);
				return
					((((BgL_genpatchidz00_bglt) COBJECT(
								((BgL_genpatchidz00_bglt) BgL_oz00_8694)))->BgL_indexz00) =
					((long) BgL_vz00_10398), BUNSPEC);
		}}

	}



/* &lambda2220 */
	obj_t BGl_z62lambda2220z62zzast_nodez00(obj_t BgL_envz00_8696,
		obj_t BgL_oz00_8697)
	{
		{	/* Ast/node.scm 119 */
			return
				BINT(
				(((BgL_genpatchidz00_bglt) COBJECT(
							((BgL_genpatchidz00_bglt) BgL_oz00_8697)))->BgL_indexz00));
		}

	}



/* &<@anonymous:2192> */
	obj_t BGl_z62zc3z04anonymousza32192ze3ze5zzast_nodez00(obj_t BgL_envz00_8698,
		obj_t BgL_new1176z00_8699)
	{
		{	/* Ast/node.scm 114 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_17523;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1176z00_8699))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17527;

					{	/* Ast/node.scm 114 */
						obj_t BgL_classz00_10401;

						BgL_classz00_10401 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 114 */
							obj_t BgL__ortest_1117z00_10402;

							BgL__ortest_1117z00_10402 = BGL_CLASS_NIL(BgL_classz00_10401);
							if (CBOOL(BgL__ortest_1117z00_10402))
								{	/* Ast/node.scm 114 */
									BgL_auxz00_17527 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10402);
								}
							else
								{	/* Ast/node.scm 114 */
									BgL_auxz00_17527 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10401));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1176z00_8699))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17527), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1176z00_8699))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1176z00_8699))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1176z00_8699))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1176z00_8699))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1176z00_8699)))->BgL_formatz00) =
					((obj_t) BGl_string3416z00zzast_nodez00), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1176z00_8699)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(95))), BUNSPEC);
				BgL_auxz00_17523 = ((BgL_pragmaz00_bglt) BgL_new1176z00_8699);
				return ((obj_t) BgL_auxz00_17523);
			}
		}

	}



/* &lambda2190 */
	BgL_pragmaz00_bglt BGl_z62lambda2190z62zzast_nodez00(obj_t BgL_envz00_8700)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1175z00_10403;

				BgL_new1175z00_10403 =
					((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmaz00_bgl))));
				{	/* Ast/node.scm 114 */
					long BgL_arg2191z00_10404;

					BgL_arg2191z00_10404 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1175z00_10403), BgL_arg2191z00_10404);
				}
				{	/* Ast/node.scm 114 */
					BgL_objectz00_bglt BgL_tmpz00_17561;

					BgL_tmpz00_17561 = ((BgL_objectz00_bglt) BgL_new1175z00_10403);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17561, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1175z00_10403);
				return BgL_new1175z00_10403;
			}
		}

	}



/* &lambda2188 */
	BgL_pragmaz00_bglt BGl_z62lambda2188z62zzast_nodez00(obj_t BgL_envz00_8701,
		obj_t BgL_loc1167z00_8702, obj_t BgL_type1168z00_8703,
		obj_t BgL_sidezd2effect1169zd2_8704, obj_t BgL_key1170z00_8705,
		obj_t BgL_exprza21171za2_8706, obj_t BgL_effect1172z00_8707,
		obj_t BgL_format1173z00_8708, obj_t BgL_srfi01174z00_8709)
	{
		{	/* Ast/node.scm 114 */
			{	/* Ast/node.scm 114 */
				BgL_pragmaz00_bglt BgL_new1557z00_10409;

				{	/* Ast/node.scm 114 */
					BgL_pragmaz00_bglt BgL_new1556z00_10410;

					BgL_new1556z00_10410 =
						((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmaz00_bgl))));
					{	/* Ast/node.scm 114 */
						long BgL_arg2189z00_10411;

						BgL_arg2189z00_10411 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1556z00_10410),
							BgL_arg2189z00_10411);
					}
					{	/* Ast/node.scm 114 */
						BgL_objectz00_bglt BgL_tmpz00_17569;

						BgL_tmpz00_17569 = ((BgL_objectz00_bglt) BgL_new1556z00_10410);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17569, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1556z00_10410);
					BgL_new1557z00_10409 = BgL_new1556z00_10410;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1557z00_10409)))->BgL_locz00) =
					((obj_t) BgL_loc1167z00_8702), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1557z00_10409)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1168z00_8703)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1557z00_10409)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1169zd2_8704), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1557z00_10409)))->BgL_keyz00) =
					((obj_t) BgL_key1170z00_8705), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1557z00_10409)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21171za2_8706)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1557z00_10409)))->BgL_effectz00) =
					((obj_t) BgL_effect1172z00_8707), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1557z00_10409))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1173z00_8708)), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(BgL_new1557z00_10409))->BgL_srfi0z00) =
					((obj_t) ((obj_t) BgL_srfi01174z00_8709)), BUNSPEC);
				return BgL_new1557z00_10409;
			}
		}

	}



/* &<@anonymous:2205> */
	obj_t BGl_z62zc3z04anonymousza32205ze3ze5zzast_nodez00(obj_t BgL_envz00_8710)
	{
		{	/* Ast/node.scm 114 */
			return ((obj_t) CNST_TABLE_REF(0));
		}

	}



/* &lambda2204 */
	obj_t BGl_z62lambda2204z62zzast_nodez00(obj_t BgL_envz00_8711,
		obj_t BgL_oz00_8712, obj_t BgL_vz00_8713)
	{
		{	/* Ast/node.scm 114 */
			return
				((((BgL_pragmaz00_bglt) COBJECT(
							((BgL_pragmaz00_bglt) BgL_oz00_8712)))->BgL_srfi0z00) = ((obj_t)
					((obj_t) BgL_vz00_8713)), BUNSPEC);
		}

	}



/* &lambda2203 */
	obj_t BGl_z62lambda2203z62zzast_nodez00(obj_t BgL_envz00_8714,
		obj_t BgL_oz00_8715)
	{
		{	/* Ast/node.scm 114 */
			return
				(((BgL_pragmaz00_bglt) COBJECT(
						((BgL_pragmaz00_bglt) BgL_oz00_8715)))->BgL_srfi0z00);
		}

	}



/* &lambda2197 */
	obj_t BGl_z62lambda2197z62zzast_nodez00(obj_t BgL_envz00_8716,
		obj_t BgL_oz00_8717, obj_t BgL_vz00_8718)
	{
		{	/* Ast/node.scm 114 */
			return
				((((BgL_pragmaz00_bglt) COBJECT(
							((BgL_pragmaz00_bglt) BgL_oz00_8717)))->BgL_formatz00) = ((obj_t)
					((obj_t) BgL_vz00_8718)), BUNSPEC);
		}

	}



/* &lambda2196 */
	obj_t BGl_z62lambda2196z62zzast_nodez00(obj_t BgL_envz00_8719,
		obj_t BgL_oz00_8720)
	{
		{	/* Ast/node.scm 114 */
			return
				(((BgL_pragmaz00_bglt) COBJECT(
						((BgL_pragmaz00_bglt) BgL_oz00_8720)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2168> */
	obj_t BGl_z62zc3z04anonymousza32168ze3ze5zzast_nodez00(obj_t BgL_envz00_8721,
		obj_t BgL_new1165z00_8722)
	{
		{	/* Ast/node.scm 107 */
			{
				BgL_externz00_bglt BgL_auxz00_17603;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_externz00_bglt) BgL_new1165z00_8722))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17607;

					{	/* Ast/node.scm 107 */
						obj_t BgL_classz00_10419;

						BgL_classz00_10419 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 107 */
							obj_t BgL__ortest_1117z00_10420;

							BgL__ortest_1117z00_10420 = BGL_CLASS_NIL(BgL_classz00_10419);
							if (CBOOL(BgL__ortest_1117z00_10420))
								{	/* Ast/node.scm 107 */
									BgL_auxz00_17607 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10420);
								}
							else
								{	/* Ast/node.scm 107 */
									BgL_auxz00_17607 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10419));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_externz00_bglt) BgL_new1165z00_8722))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17607), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_externz00_bglt) BgL_new1165z00_8722))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_externz00_bglt)
										BgL_new1165z00_8722))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1165z00_8722)))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1165z00_8722)))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17603 = ((BgL_externz00_bglt) BgL_new1165z00_8722);
				return ((obj_t) BgL_auxz00_17603);
			}
		}

	}



/* &lambda2166 */
	BgL_externz00_bglt BGl_z62lambda2166z62zzast_nodez00(obj_t BgL_envz00_8723)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1164z00_10421;

				BgL_new1164z00_10421 =
					((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_externz00_bgl))));
				{	/* Ast/node.scm 107 */
					long BgL_arg2167z00_10422;

					BgL_arg2167z00_10422 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1164z00_10421), BgL_arg2167z00_10422);
				}
				return BgL_new1164z00_10421;
			}
		}

	}



/* &lambda2164 */
	BgL_externz00_bglt BGl_z62lambda2164z62zzast_nodez00(obj_t BgL_envz00_8724,
		obj_t BgL_loc1158z00_8725, obj_t BgL_type1159z00_8726,
		obj_t BgL_sidezd2effect1160zd2_8727, obj_t BgL_key1161z00_8728,
		obj_t BgL_exprza21162za2_8729, obj_t BgL_effect1163z00_8730)
	{
		{	/* Ast/node.scm 107 */
			{	/* Ast/node.scm 107 */
				BgL_externz00_bglt BgL_new1555z00_10425;

				{	/* Ast/node.scm 107 */
					BgL_externz00_bglt BgL_new1554z00_10426;

					BgL_new1554z00_10426 =
						((BgL_externz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_externz00_bgl))));
					{	/* Ast/node.scm 107 */
						long BgL_arg2165z00_10427;

						BgL_arg2165z00_10427 = BGL_CLASS_NUM(BGl_externz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1554z00_10426),
							BgL_arg2165z00_10427);
					}
					BgL_new1555z00_10425 = BgL_new1554z00_10426;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1555z00_10425)))->BgL_locz00) =
					((obj_t) BgL_loc1158z00_8725), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1555z00_10425)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1159z00_8726)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1555z00_10425)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1160zd2_8727), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1555z00_10425)))->BgL_keyz00) =
					((obj_t) BgL_key1161z00_8728), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1555z00_10425))->
						BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21162za2_8729)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(BgL_new1555z00_10425))->BgL_effectz00) =
					((obj_t) BgL_effect1163z00_8730), BUNSPEC);
				return BgL_new1555z00_10425;
			}
		}

	}



/* &<@anonymous:2182> */
	obj_t BGl_z62zc3z04anonymousza32182ze3ze5zzast_nodez00(obj_t BgL_envz00_8731)
	{
		{	/* Ast/node.scm 107 */
			return BUNSPEC;
		}

	}



/* &lambda2181 */
	obj_t BGl_z62lambda2181z62zzast_nodez00(obj_t BgL_envz00_8732,
		obj_t BgL_oz00_8733, obj_t BgL_vz00_8734)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8733)))->BgL_effectz00) =
				((obj_t) BgL_vz00_8734), BUNSPEC);
		}

	}



/* &lambda2180 */
	obj_t BGl_z62lambda2180z62zzast_nodez00(obj_t BgL_envz00_8735,
		obj_t BgL_oz00_8736)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8736)))->BgL_effectz00);
		}

	}



/* &<@anonymous:2175> */
	obj_t BGl_z62zc3z04anonymousza32175ze3ze5zzast_nodez00(obj_t BgL_envz00_8737)
	{
		{	/* Ast/node.scm 107 */
			return BNIL;
		}

	}



/* &lambda2174 */
	obj_t BGl_z62lambda2174z62zzast_nodez00(obj_t BgL_envz00_8738,
		obj_t BgL_oz00_8739, obj_t BgL_vz00_8740)
	{
		{	/* Ast/node.scm 107 */
			return
				((((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_oz00_8739)))->BgL_exprza2za2) = ((obj_t)
					((obj_t) BgL_vz00_8740)), BUNSPEC);
		}

	}



/* &lambda2173 */
	obj_t BGl_z62lambda2173z62zzast_nodez00(obj_t BgL_envz00_8741,
		obj_t BgL_oz00_8742)
	{
		{	/* Ast/node.scm 107 */
			return
				(((BgL_externz00_bglt) COBJECT(
						((BgL_externz00_bglt) BgL_oz00_8742)))->BgL_exprza2za2);
		}

	}



/* &<@anonymous:2133> */
	obj_t BGl_z62zc3z04anonymousza32133ze3ze5zzast_nodez00(obj_t BgL_envz00_8743,
		obj_t BgL_new1156z00_8744)
	{
		{	/* Ast/node.scm 95 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17658;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1156z00_8744))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17662;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10434;

						BgL_classz00_10434 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1117z00_10435;

							BgL__ortest_1117z00_10435 = BGL_CLASS_NIL(BgL_classz00_10434);
							if (CBOOL(BgL__ortest_1117z00_10435))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17662 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10435);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17662 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10434));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1156z00_8744))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17662), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17672;

					{	/* Ast/node.scm 95 */
						obj_t BgL_classz00_10436;

						BgL_classz00_10436 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 95 */
							obj_t BgL__ortest_1117z00_10437;

							BgL__ortest_1117z00_10437 = BGL_CLASS_NIL(BgL_classz00_10436);
							if (CBOOL(BgL__ortest_1117z00_10437))
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17672 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10437);
								}
							else
								{	/* Ast/node.scm 95 */
									BgL_auxz00_17672 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10436));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_new1156z00_8744)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17672), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_new1156z00_8744)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1156z00_8744)))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(95))), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1156z00_8744)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17658 = ((BgL_funcallz00_bglt) BgL_new1156z00_8744);
				return ((obj_t) BgL_auxz00_17658);
			}
		}

	}



/* &lambda2131 */
	BgL_funcallz00_bglt BGl_z62lambda2131z62zzast_nodez00(obj_t BgL_envz00_8745)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1155z00_10438;

				BgL_new1155z00_10438 =
					((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallz00_bgl))));
				{	/* Ast/node.scm 95 */
					long BgL_arg2132z00_10439;

					BgL_arg2132z00_10439 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_10438), BgL_arg2132z00_10439);
				}
				{	/* Ast/node.scm 95 */
					BgL_objectz00_bglt BgL_tmpz00_17695;

					BgL_tmpz00_17695 = ((BgL_objectz00_bglt) BgL_new1155z00_10438);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17695, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1155z00_10438);
				return BgL_new1155z00_10438;
			}
		}

	}



/* &lambda2129 */
	BgL_funcallz00_bglt BGl_z62lambda2129z62zzast_nodez00(obj_t BgL_envz00_8746,
		obj_t BgL_loc1149z00_8747, obj_t BgL_type1150z00_8748,
		obj_t BgL_fun1151z00_8749, obj_t BgL_args1152z00_8750,
		obj_t BgL_strength1153z00_8751, obj_t BgL_functions1154z00_8752)
	{
		{	/* Ast/node.scm 95 */
			{	/* Ast/node.scm 95 */
				BgL_funcallz00_bglt BgL_new1553z00_10443;

				{	/* Ast/node.scm 95 */
					BgL_funcallz00_bglt BgL_new1552z00_10444;

					BgL_new1552z00_10444 =
						((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallz00_bgl))));
					{	/* Ast/node.scm 95 */
						long BgL_arg2130z00_10445;

						BgL_arg2130z00_10445 = BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1552z00_10444),
							BgL_arg2130z00_10445);
					}
					{	/* Ast/node.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_17703;

						BgL_tmpz00_17703 = ((BgL_objectz00_bglt) BgL_new1552z00_10444);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17703, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1552z00_10444);
					BgL_new1553z00_10443 = BgL_new1552z00_10444;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1553z00_10443)))->BgL_locz00) =
					((obj_t) BgL_loc1149z00_8747), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1553z00_10443)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1150z00_8748)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1553z00_10443))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1151z00_8749)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1553z00_10443))->BgL_argsz00) =
					((obj_t) BgL_args1152z00_8750), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1553z00_10443))->
						BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1153z00_8751)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(BgL_new1553z00_10443))->
						BgL_functionsz00) = ((obj_t) BgL_functions1154z00_8752), BUNSPEC);
				return BgL_new1553z00_10443;
			}
		}

	}



/* &<@anonymous:2157> */
	obj_t BGl_z62zc3z04anonymousza32157ze3ze5zzast_nodez00(obj_t BgL_envz00_8753)
	{
		{	/* Ast/node.scm 95 */
			return BUNSPEC;
		}

	}



/* &lambda2156 */
	obj_t BGl_z62lambda2156z62zzast_nodez00(obj_t BgL_envz00_8754,
		obj_t BgL_oz00_8755, obj_t BgL_vz00_8756)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8755)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_8756), BUNSPEC);
		}

	}



/* &lambda2155 */
	obj_t BGl_z62lambda2155z62zzast_nodez00(obj_t BgL_envz00_8757,
		obj_t BgL_oz00_8758)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8758)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:2150> */
	obj_t BGl_z62zc3z04anonymousza32150ze3ze5zzast_nodez00(obj_t BgL_envz00_8759)
	{
		{	/* Ast/node.scm 95 */
			return ((obj_t) CNST_TABLE_REF(96));
		}

	}



/* &lambda2149 */
	obj_t BGl_z62lambda2149z62zzast_nodez00(obj_t BgL_envz00_8760,
		obj_t BgL_oz00_8761, obj_t BgL_vz00_8762)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8761)))->BgL_strengthz00) =
				((obj_t) ((obj_t) BgL_vz00_8762)), BUNSPEC);
		}

	}



/* &lambda2148 */
	obj_t BGl_z62lambda2148z62zzast_nodez00(obj_t BgL_envz00_8763,
		obj_t BgL_oz00_8764)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8764)))->BgL_strengthz00);
		}

	}



/* &lambda2143 */
	obj_t BGl_z62lambda2143z62zzast_nodez00(obj_t BgL_envz00_8765,
		obj_t BgL_oz00_8766, obj_t BgL_vz00_8767)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8766)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8767), BUNSPEC);
		}

	}



/* &lambda2142 */
	obj_t BGl_z62lambda2142z62zzast_nodez00(obj_t BgL_envz00_8768,
		obj_t BgL_oz00_8769)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8769)))->BgL_argsz00);
		}

	}



/* &lambda2138 */
	obj_t BGl_z62lambda2138z62zzast_nodez00(obj_t BgL_envz00_8770,
		obj_t BgL_oz00_8771, obj_t BgL_vz00_8772)
	{
		{	/* Ast/node.scm 95 */
			return
				((((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_oz00_8771)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8772)), BUNSPEC);
		}

	}



/* &lambda2137 */
	BgL_nodez00_bglt BGl_z62lambda2137z62zzast_nodez00(obj_t BgL_envz00_8773,
		obj_t BgL_oz00_8774)
	{
		{	/* Ast/node.scm 95 */
			return
				(((BgL_funcallz00_bglt) COBJECT(
						((BgL_funcallz00_bglt) BgL_oz00_8774)))->BgL_funz00);
		}

	}



/* &<@anonymous:2113> */
	obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzast_nodez00(obj_t BgL_envz00_8775,
		obj_t BgL_new1147z00_8776)
	{
		{	/* Ast/node.scm 88 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17738;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1147z00_8776))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17742;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10457;

						BgL_classz00_10457 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1117z00_10458;

							BgL__ortest_1117z00_10458 = BGL_CLASS_NIL(BgL_classz00_10457);
							if (CBOOL(BgL__ortest_1117z00_10458))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17742 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10458);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17742 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10457));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1147z00_8776))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17742), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17752;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10459;

						BgL_classz00_10459 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1117z00_10460;

							BgL__ortest_1117z00_10460 = BGL_CLASS_NIL(BgL_classz00_10459);
							if (CBOOL(BgL__ortest_1117z00_10460))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17752 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10460);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17752 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10459));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1147z00_8776)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17752), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17761;

					{	/* Ast/node.scm 88 */
						obj_t BgL_classz00_10461;

						BgL_classz00_10461 = BGl_nodez00zzast_nodez00;
						{	/* Ast/node.scm 88 */
							obj_t BgL__ortest_1117z00_10462;

							BgL__ortest_1117z00_10462 = BGL_CLASS_NIL(BgL_classz00_10461);
							if (CBOOL(BgL__ortest_1117z00_10462))
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17761 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_10462);
								}
							else
								{	/* Ast/node.scm 88 */
									BgL_auxz00_17761 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10461));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_new1147z00_8776)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_17761), BUNSPEC);
				}
				BgL_auxz00_17738 = ((BgL_appzd2lyzd2_bglt) BgL_new1147z00_8776);
				return ((obj_t) BgL_auxz00_17738);
			}
		}

	}



/* &lambda2111 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2111z62zzast_nodez00(obj_t BgL_envz00_8777)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1146z00_10463;

				BgL_new1146z00_10463 =
					((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzd2_bgl))));
				{	/* Ast/node.scm 88 */
					long BgL_arg2112z00_10464;

					BgL_arg2112z00_10464 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1146z00_10463), BgL_arg2112z00_10464);
				}
				{	/* Ast/node.scm 88 */
					BgL_objectz00_bglt BgL_tmpz00_17776;

					BgL_tmpz00_17776 = ((BgL_objectz00_bglt) BgL_new1146z00_10463);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17776, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1146z00_10463);
				return BgL_new1146z00_10463;
			}
		}

	}



/* &lambda2109 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2109z62zzast_nodez00(obj_t BgL_envz00_8778,
		obj_t BgL_loc1137z00_8779, obj_t BgL_type1138z00_8780,
		obj_t BgL_fun1139z00_8781, obj_t BgL_arg1145z00_8782)
	{
		{	/* Ast/node.scm 88 */
			{	/* Ast/node.scm 88 */
				BgL_appzd2lyzd2_bglt BgL_new1551z00_10468;

				{	/* Ast/node.scm 88 */
					BgL_appzd2lyzd2_bglt BgL_new1550z00_10469;

					BgL_new1550z00_10469 =
						((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzd2_bgl))));
					{	/* Ast/node.scm 88 */
						long BgL_arg2110z00_10470;

						BgL_arg2110z00_10470 = BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1550z00_10469),
							BgL_arg2110z00_10470);
					}
					{	/* Ast/node.scm 88 */
						BgL_objectz00_bglt BgL_tmpz00_17784;

						BgL_tmpz00_17784 = ((BgL_objectz00_bglt) BgL_new1550z00_10469);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17784, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1550z00_10469);
					BgL_new1551z00_10468 = BgL_new1550z00_10469;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1551z00_10468)))->BgL_locz00) =
					((obj_t) BgL_loc1137z00_8779), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1551z00_10468)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1138z00_8780)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1551z00_10468))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1139z00_8781)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(BgL_new1551z00_10468))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1145z00_8782)),
					BUNSPEC);
				return BgL_new1551z00_10468;
			}
		}

	}



/* &lambda2123 */
	obj_t BGl_z62lambda2123z62zzast_nodez00(obj_t BgL_envz00_8783,
		obj_t BgL_oz00_8784, obj_t BgL_vz00_8785)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8784)))->BgL_argz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8785)), BUNSPEC);
		}

	}



/* &lambda2122 */
	BgL_nodez00_bglt BGl_z62lambda2122z62zzast_nodez00(obj_t BgL_envz00_8786,
		obj_t BgL_oz00_8787)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8787)))->BgL_argz00);
		}

	}



/* &lambda2118 */
	obj_t BGl_z62lambda2118z62zzast_nodez00(obj_t BgL_envz00_8788,
		obj_t BgL_oz00_8789, obj_t BgL_vz00_8790)
	{
		{	/* Ast/node.scm 88 */
			return
				((((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_oz00_8789)))->BgL_funz00) =
				((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_vz00_8790)), BUNSPEC);
		}

	}



/* &lambda2117 */
	BgL_nodez00_bglt BGl_z62lambda2117z62zzast_nodez00(obj_t BgL_envz00_8791,
		obj_t BgL_oz00_8792)
	{
		{	/* Ast/node.scm 88 */
			return
				(((BgL_appzd2lyzd2_bglt) COBJECT(
						((BgL_appzd2lyzd2_bglt) BgL_oz00_8792)))->BgL_funz00);
		}

	}



/* &<@anonymous:2086> */
	obj_t BGl_z62zc3z04anonymousza32086ze3ze5zzast_nodez00(obj_t BgL_envz00_8793,
		obj_t BgL_new1135z00_8794)
	{
		{	/* Ast/node.scm 79 */
			{
				BgL_appz00_bglt BgL_auxz00_17807;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1135z00_8794))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17811;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10478;

						BgL_classz00_10478 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1117z00_10479;

							BgL__ortest_1117z00_10479 = BGL_CLASS_NIL(BgL_classz00_10478);
							if (CBOOL(BgL__ortest_1117z00_10479))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17811 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10479);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17811 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10478));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1135z00_8794))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17811), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1135z00_8794))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1135z00_8794))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_17827;

					{	/* Ast/node.scm 79 */
						obj_t BgL_classz00_10480;

						BgL_classz00_10480 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 79 */
							obj_t BgL__ortest_1117z00_10481;

							BgL__ortest_1117z00_10481 = BGL_CLASS_NIL(BgL_classz00_10480);
							if (CBOOL(BgL__ortest_1117z00_10481))
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17827 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10481);
								}
							else
								{	/* Ast/node.scm 79 */
									BgL_auxz00_17827 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10480));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_new1135z00_8794)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_17827), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_new1135z00_8794)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1135z00_8794)))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17807 = ((BgL_appz00_bglt) BgL_new1135z00_8794);
				return ((obj_t) BgL_auxz00_17807);
			}
		}

	}



/* &lambda2084 */
	BgL_appz00_bglt BGl_z62lambda2084z62zzast_nodez00(obj_t BgL_envz00_8795)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1133z00_10482;

				BgL_new1133z00_10482 =
					((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_appz00_bgl))));
				{	/* Ast/node.scm 79 */
					long BgL_arg2085z00_10483;

					BgL_arg2085z00_10483 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1133z00_10482), BgL_arg2085z00_10483);
				}
				{	/* Ast/node.scm 79 */
					BgL_objectz00_bglt BgL_tmpz00_17846;

					BgL_tmpz00_17846 = ((BgL_objectz00_bglt) BgL_new1133z00_10482);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17846, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1133z00_10482);
				return BgL_new1133z00_10482;
			}
		}

	}



/* &lambda2082 */
	BgL_appz00_bglt BGl_z62lambda2082z62zzast_nodez00(obj_t BgL_envz00_8796,
		obj_t BgL_loc1125z00_8797, obj_t BgL_type1126z00_8798,
		obj_t BgL_sidezd2effect1127zd2_8799, obj_t BgL_key1128z00_8800,
		obj_t BgL_fun1130z00_8801, obj_t BgL_args1131z00_8802,
		obj_t BgL_stackable1132z00_8803)
	{
		{	/* Ast/node.scm 79 */
			{	/* Ast/node.scm 79 */
				BgL_appz00_bglt BgL_new1549z00_10486;

				{	/* Ast/node.scm 79 */
					BgL_appz00_bglt BgL_new1548z00_10487;

					BgL_new1548z00_10487 =
						((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appz00_bgl))));
					{	/* Ast/node.scm 79 */
						long BgL_arg2083z00_10488;

						BgL_arg2083z00_10488 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1548z00_10487),
							BgL_arg2083z00_10488);
					}
					{	/* Ast/node.scm 79 */
						BgL_objectz00_bglt BgL_tmpz00_17854;

						BgL_tmpz00_17854 = ((BgL_objectz00_bglt) BgL_new1548z00_10487);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17854, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1548z00_10487);
					BgL_new1549z00_10486 = BgL_new1548z00_10487;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1549z00_10486)))->BgL_locz00) =
					((obj_t) BgL_loc1125z00_8797), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1549z00_10486)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1126z00_8798)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1549z00_10486)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1127zd2_8799), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1549z00_10486)))->BgL_keyz00) =
					((obj_t) BgL_key1128z00_8800), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1549z00_10486))->BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1130z00_8801)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1549z00_10486))->BgL_argsz00) =
					((obj_t) BgL_args1131z00_8802), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(BgL_new1549z00_10486))->BgL_stackablez00) =
					((obj_t) BgL_stackable1132z00_8803), BUNSPEC);
				return BgL_new1549z00_10486;
			}
		}

	}



/* &<@anonymous:2103> */
	obj_t BGl_z62zc3z04anonymousza32103ze3ze5zzast_nodez00(obj_t BgL_envz00_8804)
	{
		{	/* Ast/node.scm 79 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2102 */
	obj_t BGl_z62lambda2102z62zzast_nodez00(obj_t BgL_envz00_8805,
		obj_t BgL_oz00_8806, obj_t BgL_vz00_8807)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8806)))->BgL_stackablez00) =
				((obj_t) BgL_vz00_8807), BUNSPEC);
		}

	}



/* &lambda2101 */
	obj_t BGl_z62lambda2101z62zzast_nodez00(obj_t BgL_envz00_8808,
		obj_t BgL_oz00_8809)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8809)))->BgL_stackablez00);
		}

	}



/* &lambda2096 */
	obj_t BGl_z62lambda2096z62zzast_nodez00(obj_t BgL_envz00_8810,
		obj_t BgL_oz00_8811, obj_t BgL_vz00_8812)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8811)))->BgL_argsz00) =
				((obj_t) BgL_vz00_8812), BUNSPEC);
		}

	}



/* &lambda2095 */
	obj_t BGl_z62lambda2095z62zzast_nodez00(obj_t BgL_envz00_8813,
		obj_t BgL_oz00_8814)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8814)))->BgL_argsz00);
		}

	}



/* &lambda2091 */
	obj_t BGl_z62lambda2091z62zzast_nodez00(obj_t BgL_envz00_8815,
		obj_t BgL_oz00_8816, obj_t BgL_vz00_8817)
	{
		{	/* Ast/node.scm 79 */
			return
				((((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_oz00_8816)))->BgL_funz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8817)), BUNSPEC);
		}

	}



/* &lambda2090 */
	BgL_varz00_bglt BGl_z62lambda2090z62zzast_nodez00(obj_t BgL_envz00_8818,
		obj_t BgL_oz00_8819)
	{
		{	/* Ast/node.scm 79 */
			return
				(((BgL_appz00_bglt) COBJECT(
						((BgL_appz00_bglt) BgL_oz00_8819)))->BgL_funz00);
		}

	}



/* &<@anonymous:2055> */
	obj_t BGl_z62zc3z04anonymousza32055ze3ze5zzast_nodez00(obj_t BgL_envz00_8820,
		obj_t BgL_new1123z00_8821)
	{
		{	/* Ast/node.scm 73 */
			{
				BgL_sequencez00_bglt BgL_auxz00_17885;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1123z00_8821))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17889;

					{	/* Ast/node.scm 73 */
						obj_t BgL_classz00_10497;

						BgL_classz00_10497 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 73 */
							obj_t BgL__ortest_1117z00_10498;

							BgL__ortest_1117z00_10498 = BGL_CLASS_NIL(BgL_classz00_10497);
							if (CBOOL(BgL__ortest_1117z00_10498))
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17889 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10498);
								}
							else
								{	/* Ast/node.scm 73 */
									BgL_auxz00_17889 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10497));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1123z00_8821))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17889), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1123z00_8821))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1123z00_8821))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1123z00_8821)))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1123z00_8821)))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
									BgL_new1123z00_8821)))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_17885 = ((BgL_sequencez00_bglt) BgL_new1123z00_8821);
				return ((obj_t) BgL_auxz00_17885);
			}
		}

	}



/* &lambda2053 */
	BgL_sequencez00_bglt BGl_z62lambda2053z62zzast_nodez00(obj_t BgL_envz00_8822)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				BgL_sequencez00_bglt BgL_new1121z00_10499;

				BgL_new1121z00_10499 =
					((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencez00_bgl))));
				{	/* Ast/node.scm 73 */
					long BgL_arg2054z00_10500;

					BgL_arg2054z00_10500 = BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1121z00_10499), BgL_arg2054z00_10500);
				}
				{	/* Ast/node.scm 73 */
					BgL_objectz00_bglt BgL_tmpz00_17917;

					BgL_tmpz00_17917 = ((BgL_objectz00_bglt) BgL_new1121z00_10499);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17917, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1121z00_10499);
				return BgL_new1121z00_10499;
			}
		}

	}



/* &lambda2051 */
	BgL_sequencez00_bglt BGl_z62lambda2051z62zzast_nodez00(obj_t BgL_envz00_8823,
		obj_t BgL_loc1114z00_8824, obj_t BgL_type1115z00_8825,
		obj_t BgL_sidezd2effect1116zd2_8826, obj_t BgL_key1117z00_8827,
		obj_t BgL_nodes1118z00_8828, obj_t BgL_unsafe1119z00_8829,
		obj_t BgL_meta1120z00_8830)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_unsafe1119z00_10503;

				BgL_unsafe1119z00_10503 = CBOOL(BgL_unsafe1119z00_8829);
				{	/* Ast/node.scm 73 */
					BgL_sequencez00_bglt BgL_new1547z00_10505;

					{	/* Ast/node.scm 73 */
						BgL_sequencez00_bglt BgL_new1546z00_10506;

						BgL_new1546z00_10506 =
							((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencez00_bgl))));
						{	/* Ast/node.scm 73 */
							long BgL_arg2052z00_10507;

							BgL_arg2052z00_10507 =
								BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1546z00_10506),
								BgL_arg2052z00_10507);
						}
						{	/* Ast/node.scm 73 */
							BgL_objectz00_bglt BgL_tmpz00_17926;

							BgL_tmpz00_17926 = ((BgL_objectz00_bglt) BgL_new1546z00_10506);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17926, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1546z00_10506);
						BgL_new1547z00_10505 = BgL_new1546z00_10506;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1547z00_10505)))->BgL_locz00) =
						((obj_t) BgL_loc1114z00_8824), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1547z00_10505)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1115z00_8825)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1547z00_10505)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1116zd2_8826), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1547z00_10505)))->BgL_keyz00) =
						((obj_t) BgL_key1117z00_8827), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1547z00_10505))->
							BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1118z00_8828)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1547z00_10505))->
							BgL_unsafez00) = ((bool_t) BgL_unsafe1119z00_10503), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(BgL_new1547z00_10505))->
							BgL_metaz00) = ((obj_t) ((obj_t) BgL_meta1120z00_8830)), BUNSPEC);
					return BgL_new1547z00_10505;
				}
			}
		}

	}



/* &<@anonymous:2076> */
	obj_t BGl_z62zc3z04anonymousza32076ze3ze5zzast_nodez00(obj_t BgL_envz00_8831)
	{
		{	/* Ast/node.scm 73 */
			return BNIL;
		}

	}



/* &lambda2075 */
	obj_t BGl_z62lambda2075z62zzast_nodez00(obj_t BgL_envz00_8832,
		obj_t BgL_oz00_8833, obj_t BgL_vz00_8834)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8833)))->BgL_metaz00) = ((obj_t)
					((obj_t) BgL_vz00_8834)), BUNSPEC);
		}

	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zzast_nodez00(obj_t BgL_envz00_8835,
		obj_t BgL_oz00_8836)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8836)))->BgL_metaz00);
		}

	}



/* &<@anonymous:2069> */
	obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzast_nodez00(obj_t BgL_envz00_8837)
	{
		{	/* Ast/node.scm 73 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zzast_nodez00(obj_t BgL_envz00_8838,
		obj_t BgL_oz00_8839, obj_t BgL_vz00_8840)
	{
		{	/* Ast/node.scm 73 */
			{	/* Ast/node.scm 73 */
				bool_t BgL_vz00_10512;

				BgL_vz00_10512 = CBOOL(BgL_vz00_8840);
				return
					((((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_oz00_8839)))->BgL_unsafez00) =
					((bool_t) BgL_vz00_10512), BUNSPEC);
			}
		}

	}



/* &lambda2067 */
	obj_t BGl_z62lambda2067z62zzast_nodez00(obj_t BgL_envz00_8841,
		obj_t BgL_oz00_8842)
	{
		{	/* Ast/node.scm 73 */
			return
				BBOOL(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8842)))->BgL_unsafez00));
		}

	}



/* &lambda2061 */
	obj_t BGl_z62lambda2061z62zzast_nodez00(obj_t BgL_envz00_8843,
		obj_t BgL_oz00_8844, obj_t BgL_vz00_8845)
	{
		{	/* Ast/node.scm 73 */
			return
				((((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_oz00_8844)))->BgL_nodesz00) = ((obj_t)
					((obj_t) BgL_vz00_8845)), BUNSPEC);
		}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zzast_nodez00(obj_t BgL_envz00_8846,
		obj_t BgL_oz00_8847)
	{
		{	/* Ast/node.scm 73 */
			return
				(((BgL_sequencez00_bglt) COBJECT(
						((BgL_sequencez00_bglt) BgL_oz00_8847)))->BgL_nodesz00);
		}

	}



/* &<@anonymous:2039> */
	obj_t BGl_z62zc3z04anonymousza32039ze3ze5zzast_nodez00(obj_t BgL_envz00_8848,
		obj_t BgL_new1112z00_8849)
	{
		{	/* Ast/node.scm 68 */
			{
				BgL_kwotez00_bglt BgL_auxz00_17961;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1112z00_8849))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17965;

					{	/* Ast/node.scm 68 */
						obj_t BgL_classz00_10518;

						BgL_classz00_10518 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 68 */
							obj_t BgL__ortest_1117z00_10519;

							BgL__ortest_1117z00_10519 = BGL_CLASS_NIL(BgL_classz00_10518);
							if (CBOOL(BgL__ortest_1117z00_10519))
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17965 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10519);
								}
							else
								{	/* Ast/node.scm 68 */
									BgL_auxz00_17965 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10518));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1112z00_8849))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_17965), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_new1112z00_8849)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_17961 = ((BgL_kwotez00_bglt) BgL_new1112z00_8849);
				return ((obj_t) BgL_auxz00_17961);
			}
		}

	}



/* &lambda2037 */
	BgL_kwotez00_bglt BGl_z62lambda2037z62zzast_nodez00(obj_t BgL_envz00_8850)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1110z00_10520;

				BgL_new1110z00_10520 =
					((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotez00_bgl))));
				{	/* Ast/node.scm 68 */
					long BgL_arg2038z00_10521;

					BgL_arg2038z00_10521 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1110z00_10520), BgL_arg2038z00_10521);
				}
				{	/* Ast/node.scm 68 */
					BgL_objectz00_bglt BgL_tmpz00_17983;

					BgL_tmpz00_17983 = ((BgL_objectz00_bglt) BgL_new1110z00_10520);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17983, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1110z00_10520);
				return BgL_new1110z00_10520;
			}
		}

	}



/* &lambda2035 */
	BgL_kwotez00_bglt BGl_z62lambda2035z62zzast_nodez00(obj_t BgL_envz00_8851,
		obj_t BgL_loc1107z00_8852, obj_t BgL_type1108z00_8853,
		obj_t BgL_value1109z00_8854)
	{
		{	/* Ast/node.scm 68 */
			{	/* Ast/node.scm 68 */
				BgL_kwotez00_bglt BgL_new1545z00_10523;

				{	/* Ast/node.scm 68 */
					BgL_kwotez00_bglt BgL_new1544z00_10524;

					BgL_new1544z00_10524 =
						((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotez00_bgl))));
					{	/* Ast/node.scm 68 */
						long BgL_arg2036z00_10525;

						BgL_arg2036z00_10525 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1544z00_10524),
							BgL_arg2036z00_10525);
					}
					{	/* Ast/node.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_17991;

						BgL_tmpz00_17991 = ((BgL_objectz00_bglt) BgL_new1544z00_10524);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17991, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1544z00_10524);
					BgL_new1545z00_10523 = BgL_new1544z00_10524;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1545z00_10523)))->BgL_locz00) =
					((obj_t) BgL_loc1107z00_8852), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1545z00_10523)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1108z00_8853)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(BgL_new1545z00_10523))->BgL_valuez00) =
					((obj_t) BgL_value1109z00_8854), BUNSPEC);
				return BgL_new1545z00_10523;
			}
		}

	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zzast_nodez00(obj_t BgL_envz00_8855,
		obj_t BgL_oz00_8856, obj_t BgL_vz00_8857)
	{
		{	/* Ast/node.scm 68 */
			return
				((((BgL_kwotez00_bglt) COBJECT(
							((BgL_kwotez00_bglt) BgL_oz00_8856)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8857), BUNSPEC);
		}

	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zzast_nodez00(obj_t BgL_envz00_8858,
		obj_t BgL_oz00_8859)
	{
		{	/* Ast/node.scm 68 */
			return
				(((BgL_kwotez00_bglt) COBJECT(
						((BgL_kwotez00_bglt) BgL_oz00_8859)))->BgL_valuez00);
		}

	}



/* &<@anonymous:2029> */
	obj_t BGl_z62zc3z04anonymousza32029ze3ze5zzast_nodez00(obj_t BgL_envz00_8860,
		obj_t BgL_new1105z00_8861)
	{
		{	/* Ast/node.scm 65 */
			{
				BgL_closurez00_bglt BgL_auxz00_18005;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1105z00_8861))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18009;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10529;

						BgL_classz00_10529 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1117z00_10530;

							BgL__ortest_1117z00_10530 = BGL_CLASS_NIL(BgL_classz00_10529);
							if (CBOOL(BgL__ortest_1117z00_10530))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_18009 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10530);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_18009 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10529));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1105z00_8861))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18009), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18019;

					{	/* Ast/node.scm 65 */
						obj_t BgL_classz00_10531;

						BgL_classz00_10531 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 65 */
							obj_t BgL__ortest_1117z00_10532;

							BgL__ortest_1117z00_10532 = BGL_CLASS_NIL(BgL_classz00_10531);
							if (CBOOL(BgL__ortest_1117z00_10532))
								{	/* Ast/node.scm 65 */
									BgL_auxz00_18019 =
										((BgL_variablez00_bglt) BgL__ortest_1117z00_10532);
								}
							else
								{	/* Ast/node.scm 65 */
									BgL_auxz00_18019 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10531));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1105z00_8861))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18019), BUNSPEC);
				}
				BgL_auxz00_18005 = ((BgL_closurez00_bglt) BgL_new1105z00_8861);
				return ((obj_t) BgL_auxz00_18005);
			}
		}

	}



/* &lambda2027 */
	BgL_closurez00_bglt BGl_z62lambda2027z62zzast_nodez00(obj_t BgL_envz00_8862)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1104z00_10533;

				BgL_new1104z00_10533 =
					((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurez00_bgl))));
				{	/* Ast/node.scm 65 */
					long BgL_arg2028z00_10534;

					BgL_arg2028z00_10534 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1104z00_10533), BgL_arg2028z00_10534);
				}
				{	/* Ast/node.scm 65 */
					BgL_objectz00_bglt BgL_tmpz00_18035;

					BgL_tmpz00_18035 = ((BgL_objectz00_bglt) BgL_new1104z00_10533);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18035, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1104z00_10533);
				return BgL_new1104z00_10533;
			}
		}

	}



/* &lambda2025 */
	BgL_closurez00_bglt BGl_z62lambda2025z62zzast_nodez00(obj_t BgL_envz00_8863,
		obj_t BgL_loc1101z00_8864, obj_t BgL_type1102z00_8865,
		obj_t BgL_variable1103z00_8866)
	{
		{	/* Ast/node.scm 65 */
			{	/* Ast/node.scm 65 */
				BgL_closurez00_bglt BgL_new1543z00_10537;

				{	/* Ast/node.scm 65 */
					BgL_closurez00_bglt BgL_new1542z00_10538;

					BgL_new1542z00_10538 =
						((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurez00_bgl))));
					{	/* Ast/node.scm 65 */
						long BgL_arg2026z00_10539;

						BgL_arg2026z00_10539 = BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1542z00_10538),
							BgL_arg2026z00_10539);
					}
					{	/* Ast/node.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18043;

						BgL_tmpz00_18043 = ((BgL_objectz00_bglt) BgL_new1542z00_10538);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18043, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1542z00_10538);
					BgL_new1543z00_10537 = BgL_new1542z00_10538;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1543z00_10537)))->BgL_locz00) =
					((obj_t) BgL_loc1101z00_8864), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1543z00_10537)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1102z00_8865)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1543z00_10537)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1103z00_8866)), BUNSPEC);
				return BgL_new1543z00_10537;
			}
		}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzast_nodez00(obj_t BgL_envz00_8867,
		obj_t BgL_new1099z00_8868)
	{
		{	/* Ast/node.scm 64 */
			{
				BgL_refz00_bglt BgL_auxz00_18055;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1099z00_8868))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18059;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10541;

						BgL_classz00_10541 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1117z00_10542;

							BgL__ortest_1117z00_10542 = BGL_CLASS_NIL(BgL_classz00_10541);
							if (CBOOL(BgL__ortest_1117z00_10542))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_18059 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10542);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_18059 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10541));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1099z00_8868))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18059), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18069;

					{	/* Ast/node.scm 64 */
						obj_t BgL_classz00_10543;

						BgL_classz00_10543 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 64 */
							obj_t BgL__ortest_1117z00_10544;

							BgL__ortest_1117z00_10544 = BGL_CLASS_NIL(BgL_classz00_10543);
							if (CBOOL(BgL__ortest_1117z00_10544))
								{	/* Ast/node.scm 64 */
									BgL_auxz00_18069 =
										((BgL_variablez00_bglt) BgL__ortest_1117z00_10544);
								}
							else
								{	/* Ast/node.scm 64 */
									BgL_auxz00_18069 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10543));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1099z00_8868))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18069), BUNSPEC);
				}
				BgL_auxz00_18055 = ((BgL_refz00_bglt) BgL_new1099z00_8868);
				return ((obj_t) BgL_auxz00_18055);
			}
		}

	}



/* &lambda2016 */
	BgL_refz00_bglt BGl_z62lambda2016z62zzast_nodez00(obj_t BgL_envz00_8869)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1098z00_10545;

				BgL_new1098z00_10545 =
					((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_refz00_bgl))));
				{	/* Ast/node.scm 64 */
					long BgL_arg2017z00_10546;

					BgL_arg2017z00_10546 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1098z00_10545), BgL_arg2017z00_10546);
				}
				{	/* Ast/node.scm 64 */
					BgL_objectz00_bglt BgL_tmpz00_18085;

					BgL_tmpz00_18085 = ((BgL_objectz00_bglt) BgL_new1098z00_10545);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18085, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1098z00_10545);
				return BgL_new1098z00_10545;
			}
		}

	}



/* &lambda2014 */
	BgL_refz00_bglt BGl_z62lambda2014z62zzast_nodez00(obj_t BgL_envz00_8870,
		obj_t BgL_loc1094z00_8871, obj_t BgL_type1095z00_8872,
		obj_t BgL_variable1096z00_8873)
	{
		{	/* Ast/node.scm 64 */
			{	/* Ast/node.scm 64 */
				BgL_refz00_bglt BgL_new1541z00_10549;

				{	/* Ast/node.scm 64 */
					BgL_refz00_bglt BgL_new1540z00_10550;

					BgL_new1540z00_10550 =
						((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refz00_bgl))));
					{	/* Ast/node.scm 64 */
						long BgL_arg2015z00_10551;

						BgL_arg2015z00_10551 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1540z00_10550),
							BgL_arg2015z00_10551);
					}
					{	/* Ast/node.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_18093;

						BgL_tmpz00_18093 = ((BgL_objectz00_bglt) BgL_new1540z00_10550);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18093, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1540z00_10550);
					BgL_new1541z00_10549 = BgL_new1540z00_10550;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1541z00_10549)))->BgL_locz00) =
					((obj_t) BgL_loc1094z00_8871), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1541z00_10549)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1095z00_8872)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
									BgL_new1541z00_10549)))->BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1096z00_8873)), BUNSPEC);
				return BgL_new1541z00_10549;
			}
		}

	}



/* &<@anonymous:2003> */
	obj_t BGl_z62zc3z04anonymousza32003ze3ze5zzast_nodez00(obj_t BgL_envz00_8874,
		obj_t BgL_new1092z00_8875)
	{
		{	/* Ast/node.scm 60 */
			{
				BgL_varz00_bglt BgL_auxz00_18105;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_varz00_bglt) BgL_new1092z00_8875))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18109;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10553;

						BgL_classz00_10553 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1117z00_10554;

							BgL__ortest_1117z00_10554 = BGL_CLASS_NIL(BgL_classz00_10553);
							if (CBOOL(BgL__ortest_1117z00_10554))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_18109 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10554);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_18109 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10553));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_varz00_bglt) BgL_new1092z00_8875))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18109), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18119;

					{	/* Ast/node.scm 60 */
						obj_t BgL_classz00_10555;

						BgL_classz00_10555 = BGl_variablez00zzast_varz00;
						{	/* Ast/node.scm 60 */
							obj_t BgL__ortest_1117z00_10556;

							BgL__ortest_1117z00_10556 = BGL_CLASS_NIL(BgL_classz00_10555);
							if (CBOOL(BgL__ortest_1117z00_10556))
								{	/* Ast/node.scm 60 */
									BgL_auxz00_18119 =
										((BgL_variablez00_bglt) BgL__ortest_1117z00_10556);
								}
							else
								{	/* Ast/node.scm 60 */
									BgL_auxz00_18119 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10555));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_new1092z00_8875)))->BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18119), BUNSPEC);
				}
				BgL_auxz00_18105 = ((BgL_varz00_bglt) BgL_new1092z00_8875);
				return ((obj_t) BgL_auxz00_18105);
			}
		}

	}



/* &lambda2001 */
	BgL_varz00_bglt BGl_z62lambda2001z62zzast_nodez00(obj_t BgL_envz00_8876)
	{
		{	/* Ast/node.scm 60 */
			{	/* Ast/node.scm 60 */
				BgL_varz00_bglt BgL_new1091z00_10557;

				BgL_new1091z00_10557 =
					((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct BgL_varz00_bgl))));
				{	/* Ast/node.scm 60 */
					long BgL_arg2002z00_10558;

					BgL_arg2002z00_10558 = BGL_CLASS_NUM(BGl_varz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1091z00_10557), BgL_arg2002z00_10558);
				}
				return BgL_new1091z00_10557;
			}
		}

	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zzast_nodez00(obj_t BgL_envz00_8877,
		obj_t BgL_oz00_8878, obj_t BgL_vz00_8879)
	{
		{	/* Ast/node.scm 60 */
			return
				((((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_oz00_8878)))->BgL_variablez00) =
				((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_8879)),
				BUNSPEC);
		}

	}



/* &lambda2007 */
	BgL_variablez00_bglt BGl_z62lambda2007z62zzast_nodez00(obj_t BgL_envz00_8880,
		obj_t BgL_oz00_8881)
	{
		{	/* Ast/node.scm 60 */
			return
				(((BgL_varz00_bglt) COBJECT(
						((BgL_varz00_bglt) BgL_oz00_8881)))->BgL_variablez00);
		}

	}



/* &<@anonymous:1974> */
	obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzast_nodez00(obj_t BgL_envz00_8882,
		obj_t BgL_new1089z00_8883)
	{
		{	/* Ast/node.scm 54 */
			{
				BgL_patchz00_bglt BgL_auxz00_18139;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_new1089z00_8883))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18143;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10563;

						BgL_classz00_10563 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1117z00_10564;

							BgL__ortest_1117z00_10564 = BGL_CLASS_NIL(BgL_classz00_10563);
							if (CBOOL(BgL__ortest_1117z00_10564))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_18143 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10564);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_18143 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10563));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_patchz00_bglt) BgL_new1089z00_8883))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18143), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_patchz00_bglt) BgL_new1089z00_8883))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_18156;

					{	/* Ast/node.scm 54 */
						obj_t BgL_classz00_10565;

						BgL_classz00_10565 = BGl_varz00zzast_nodez00;
						{	/* Ast/node.scm 54 */
							obj_t BgL__ortest_1117z00_10566;

							BgL__ortest_1117z00_10566 = BGL_CLASS_NIL(BgL_classz00_10565);
							if (CBOOL(BgL__ortest_1117z00_10566))
								{	/* Ast/node.scm 54 */
									BgL_auxz00_18156 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_10566);
								}
							else
								{	/* Ast/node.scm 54 */
									BgL_auxz00_18156 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10565));
								}
						}
					}
					((((BgL_patchz00_bglt) COBJECT(
									((BgL_patchz00_bglt) BgL_new1089z00_8883)))->BgL_refz00) =
						((BgL_varz00_bglt) BgL_auxz00_18156), BUNSPEC);
				}
				((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_new1089z00_8883)))->BgL_indexz00) =
					((long) 0L), BUNSPEC);
				((((BgL_patchz00_bglt) COBJECT(((BgL_patchz00_bglt)
									BgL_new1089z00_8883)))->BgL_patchidz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_18139 = ((BgL_patchz00_bglt) BgL_new1089z00_8883);
				return ((obj_t) BgL_auxz00_18139);
			}
		}

	}



/* &lambda1972 */
	BgL_patchz00_bglt BGl_z62lambda1972z62zzast_nodez00(obj_t BgL_envz00_8884)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				BgL_patchz00_bglt BgL_new1088z00_10567;

				BgL_new1088z00_10567 =
					((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchz00_bgl))));
				{	/* Ast/node.scm 54 */
					long BgL_arg1973z00_10568;

					BgL_arg1973z00_10568 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1088z00_10567), BgL_arg1973z00_10568);
				}
				{	/* Ast/node.scm 54 */
					BgL_objectz00_bglt BgL_tmpz00_18175;

					BgL_tmpz00_18175 = ((BgL_objectz00_bglt) BgL_new1088z00_10567);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18175, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1088z00_10567);
				return BgL_new1088z00_10567;
			}
		}

	}



/* &lambda1970 */
	BgL_patchz00_bglt BGl_z62lambda1970z62zzast_nodez00(obj_t BgL_envz00_8885,
		obj_t BgL_loc1082z00_8886, obj_t BgL_type1083z00_8887,
		obj_t BgL_value1084z00_8888, obj_t BgL_ref1085z00_8889,
		obj_t BgL_index1086z00_8890, obj_t BgL_patchid1087z00_8891)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_index1086z00_10571;

				BgL_index1086z00_10571 = (long) CINT(BgL_index1086z00_8890);
				{	/* Ast/node.scm 54 */
					BgL_patchz00_bglt BgL_new1539z00_10572;

					{	/* Ast/node.scm 54 */
						BgL_patchz00_bglt BgL_new1538z00_10573;

						BgL_new1538z00_10573 =
							((BgL_patchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_patchz00_bgl))));
						{	/* Ast/node.scm 54 */
							long BgL_arg1971z00_10574;

							BgL_arg1971z00_10574 = BGL_CLASS_NUM(BGl_patchz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1538z00_10573),
								BgL_arg1971z00_10574);
						}
						{	/* Ast/node.scm 54 */
							BgL_objectz00_bglt BgL_tmpz00_18184;

							BgL_tmpz00_18184 = ((BgL_objectz00_bglt) BgL_new1538z00_10573);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18184, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1538z00_10573);
						BgL_new1539z00_10572 = BgL_new1538z00_10573;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1539z00_10572)))->BgL_locz00) =
						((obj_t) BgL_loc1082z00_8886), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1539z00_10572)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1083z00_8887)),
						BUNSPEC);
					((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
										BgL_new1539z00_10572)))->BgL_valuez00) =
						((obj_t) BgL_value1084z00_8888), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1539z00_10572))->BgL_refz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_ref1085z00_8889)),
						BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1539z00_10572))->BgL_indexz00) =
						((long) BgL_index1086z00_10571), BUNSPEC);
					((((BgL_patchz00_bglt) COBJECT(BgL_new1539z00_10572))->
							BgL_patchidz00) = ((obj_t) BgL_patchid1087z00_8891), BUNSPEC);
					return BgL_new1539z00_10572;
				}
			}
		}

	}



/* &<@anonymous:1994> */
	obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzast_nodez00(obj_t BgL_envz00_8892)
	{
		{	/* Ast/node.scm 54 */
			return BUNSPEC;
		}

	}



/* &lambda1993 */
	obj_t BGl_z62lambda1993z62zzast_nodez00(obj_t BgL_envz00_8893,
		obj_t BgL_oz00_8894, obj_t BgL_vz00_8895)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8894)))->BgL_patchidz00) =
				((obj_t) BgL_vz00_8895), BUNSPEC);
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zzast_nodez00(obj_t BgL_envz00_8896,
		obj_t BgL_oz00_8897)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8897)))->BgL_patchidz00);
		}

	}



/* &<@anonymous:1987> */
	obj_t BGl_z62zc3z04anonymousza31987ze3ze5zzast_nodez00(obj_t BgL_envz00_8898)
	{
		{	/* Ast/node.scm 54 */
			return BINT((-1L));
		}

	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zzast_nodez00(obj_t BgL_envz00_8899,
		obj_t BgL_oz00_8900, obj_t BgL_vz00_8901)
	{
		{	/* Ast/node.scm 54 */
			{	/* Ast/node.scm 54 */
				long BgL_vz00_10578;

				BgL_vz00_10578 = (long) CINT(BgL_vz00_8901);
				return
					((((BgL_patchz00_bglt) COBJECT(
								((BgL_patchz00_bglt) BgL_oz00_8900)))->BgL_indexz00) =
					((long) BgL_vz00_10578), BUNSPEC);
		}}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzast_nodez00(obj_t BgL_envz00_8902,
		obj_t BgL_oz00_8903)
	{
		{	/* Ast/node.scm 54 */
			return
				BINT(
				(((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8903)))->BgL_indexz00));
		}

	}



/* &lambda1980 */
	obj_t BGl_z62lambda1980z62zzast_nodez00(obj_t BgL_envz00_8904,
		obj_t BgL_oz00_8905, obj_t BgL_vz00_8906)
	{
		{	/* Ast/node.scm 54 */
			return
				((((BgL_patchz00_bglt) COBJECT(
							((BgL_patchz00_bglt) BgL_oz00_8905)))->BgL_refz00) =
				((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_vz00_8906)), BUNSPEC);
		}

	}



/* &lambda1979 */
	BgL_varz00_bglt BGl_z62lambda1979z62zzast_nodez00(obj_t BgL_envz00_8907,
		obj_t BgL_oz00_8908)
	{
		{	/* Ast/node.scm 54 */
			return
				(((BgL_patchz00_bglt) COBJECT(
						((BgL_patchz00_bglt) BgL_oz00_8908)))->BgL_refz00);
		}

	}



/* &<@anonymous:1963> */
	obj_t BGl_z62zc3z04anonymousza31963ze3ze5zzast_nodez00(obj_t BgL_envz00_8909,
		obj_t BgL_new1080z00_8910)
	{
		{	/* Ast/node.scm 51 */
			{
				BgL_literalz00_bglt BgL_auxz00_18215;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1080z00_8910))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18219;

					{	/* Ast/node.scm 51 */
						obj_t BgL_classz00_10584;

						BgL_classz00_10584 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 51 */
							obj_t BgL__ortest_1117z00_10585;

							BgL__ortest_1117z00_10585 = BGL_CLASS_NIL(BgL_classz00_10584);
							if (CBOOL(BgL__ortest_1117z00_10585))
								{	/* Ast/node.scm 51 */
									BgL_auxz00_18219 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10585);
								}
							else
								{	/* Ast/node.scm 51 */
									BgL_auxz00_18219 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10584));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1080z00_8910))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18219), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1080z00_8910))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_18215 = ((BgL_literalz00_bglt) BgL_new1080z00_8910);
				return ((obj_t) BgL_auxz00_18215);
			}
		}

	}



/* &lambda1961 */
	BgL_literalz00_bglt BGl_z62lambda1961z62zzast_nodez00(obj_t BgL_envz00_8911)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1079z00_10586;

				BgL_new1079z00_10586 =
					((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalz00_bgl))));
				{	/* Ast/node.scm 51 */
					long BgL_arg1962z00_10587;

					BgL_arg1962z00_10587 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_10586), BgL_arg1962z00_10587);
				}
				{	/* Ast/node.scm 51 */
					BgL_objectz00_bglt BgL_tmpz00_18238;

					BgL_tmpz00_18238 = ((BgL_objectz00_bglt) BgL_new1079z00_10586);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18238, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1079z00_10586);
				return BgL_new1079z00_10586;
			}
		}

	}



/* &lambda1958 */
	BgL_literalz00_bglt BGl_z62lambda1958z62zzast_nodez00(obj_t BgL_envz00_8912,
		obj_t BgL_loc1076z00_8913, obj_t BgL_type1077z00_8914,
		obj_t BgL_value1078z00_8915)
	{
		{	/* Ast/node.scm 51 */
			{	/* Ast/node.scm 51 */
				BgL_literalz00_bglt BgL_new1537z00_10589;

				{	/* Ast/node.scm 51 */
					BgL_literalz00_bglt BgL_new1536z00_10590;

					BgL_new1536z00_10590 =
						((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalz00_bgl))));
					{	/* Ast/node.scm 51 */
						long BgL_arg1960z00_10591;

						BgL_arg1960z00_10591 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1536z00_10590),
							BgL_arg1960z00_10591);
					}
					{	/* Ast/node.scm 51 */
						BgL_objectz00_bglt BgL_tmpz00_18246;

						BgL_tmpz00_18246 = ((BgL_objectz00_bglt) BgL_new1536z00_10590);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18246, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1536z00_10590);
					BgL_new1537z00_10589 = BgL_new1536z00_10590;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1537z00_10589)))->BgL_locz00) =
					((obj_t) BgL_loc1076z00_8913), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1537z00_10589)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1077z00_8914)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1537z00_10589)))->BgL_valuez00) =
					((obj_t) BgL_value1078z00_8915), BUNSPEC);
				return BgL_new1537z00_10589;
			}
		}

	}



/* &<@anonymous:1946> */
	obj_t BGl_z62zc3z04anonymousza31946ze3ze5zzast_nodez00(obj_t BgL_envz00_8916,
		obj_t BgL_new1074z00_8917)
	{
		{	/* Ast/node.scm 46 */
			{
				BgL_atomz00_bglt BgL_auxz00_18257;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_atomz00_bglt) BgL_new1074z00_8917))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18261;

					{	/* Ast/node.scm 46 */
						obj_t BgL_classz00_10593;

						BgL_classz00_10593 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 46 */
							obj_t BgL__ortest_1117z00_10594;

							BgL__ortest_1117z00_10594 = BGL_CLASS_NIL(BgL_classz00_10593);
							if (CBOOL(BgL__ortest_1117z00_10594))
								{	/* Ast/node.scm 46 */
									BgL_auxz00_18261 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10594);
								}
							else
								{	/* Ast/node.scm 46 */
									BgL_auxz00_18261 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10593));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_atomz00_bglt) BgL_new1074z00_8917))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18261), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_new1074z00_8917)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_18257 = ((BgL_atomz00_bglt) BgL_new1074z00_8917);
				return ((obj_t) BgL_auxz00_18257);
			}
		}

	}



/* &lambda1944 */
	BgL_atomz00_bglt BGl_z62lambda1944z62zzast_nodez00(obj_t BgL_envz00_8918)
	{
		{	/* Ast/node.scm 46 */
			{	/* Ast/node.scm 46 */
				BgL_atomz00_bglt BgL_new1073z00_10595;

				BgL_new1073z00_10595 =
					((BgL_atomz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_atomz00_bgl))));
				{	/* Ast/node.scm 46 */
					long BgL_arg1945z00_10596;

					BgL_arg1945z00_10596 = BGL_CLASS_NUM(BGl_atomz00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1073z00_10595), BgL_arg1945z00_10596);
				}
				return BgL_new1073z00_10595;
			}
		}

	}



/* &lambda1952 */
	obj_t BGl_z62lambda1952z62zzast_nodez00(obj_t BgL_envz00_8919,
		obj_t BgL_oz00_8920, obj_t BgL_vz00_8921)
	{
		{	/* Ast/node.scm 46 */
			return
				((((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt) BgL_oz00_8920)))->BgL_valuez00) =
				((obj_t) BgL_vz00_8921), BUNSPEC);
		}

	}



/* &lambda1951 */
	obj_t BGl_z62lambda1951z62zzast_nodez00(obj_t BgL_envz00_8922,
		obj_t BgL_oz00_8923)
	{
		{	/* Ast/node.scm 46 */
			return
				(((BgL_atomz00_bglt) COBJECT(
						((BgL_atomz00_bglt) BgL_oz00_8923)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1922> */
	obj_t BGl_z62zc3z04anonymousza31922ze3ze5zzast_nodez00(obj_t BgL_envz00_8924,
		obj_t BgL_new1071z00_8925)
	{
		{	/* Ast/node.scm 37 */
			{
				BgL_nodezf2effectzf2_bglt BgL_auxz00_18283;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8925))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18287;

					{	/* Ast/node.scm 37 */
						obj_t BgL_classz00_10600;

						BgL_classz00_10600 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 37 */
							obj_t BgL__ortest_1117z00_10601;

							BgL__ortest_1117z00_10601 = BGL_CLASS_NIL(BgL_classz00_10600);
							if (CBOOL(BgL__ortest_1117z00_10601))
								{	/* Ast/node.scm 37 */
									BgL_auxz00_18287 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10601);
								}
							else
								{	/* Ast/node.scm 37 */
									BgL_auxz00_18287 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10600));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8925))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18287), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8925)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1071z00_8925)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_18283 = ((BgL_nodezf2effectzf2_bglt) BgL_new1071z00_8925);
				return ((obj_t) BgL_auxz00_18283);
			}
		}

	}



/* &lambda1920 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1920z62zzast_nodez00(obj_t
		BgL_envz00_8926)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1070z00_10602;

				BgL_new1070z00_10602 =
					((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodezf2effectzf2_bgl))));
				{	/* Ast/node.scm 37 */
					long BgL_arg1921z00_10603;

					BgL_arg1921z00_10603 =
						BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_10602), BgL_arg1921z00_10603);
				}
				return BgL_new1070z00_10602;
			}
		}

	}



/* &lambda1918 */
	BgL_nodezf2effectzf2_bglt BGl_z62lambda1918z62zzast_nodez00(obj_t
		BgL_envz00_8927, obj_t BgL_loc1066z00_8928, obj_t BgL_type1067z00_8929,
		obj_t BgL_sidezd2effect1068zd2_8930, obj_t BgL_key1069z00_8931)
	{
		{	/* Ast/node.scm 37 */
			{	/* Ast/node.scm 37 */
				BgL_nodezf2effectzf2_bglt BgL_new1535z00_10605;

				{	/* Ast/node.scm 37 */
					BgL_nodezf2effectzf2_bglt BgL_new1534z00_10606;

					BgL_new1534z00_10606 =
						((BgL_nodezf2effectzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodezf2effectzf2_bgl))));
					{	/* Ast/node.scm 37 */
						long BgL_arg1919z00_10607;

						BgL_arg1919z00_10607 =
							BGL_CLASS_NUM(BGl_nodezf2effectzf2zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1534z00_10606),
							BgL_arg1919z00_10607);
					}
					BgL_new1535z00_10605 = BgL_new1534z00_10606;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1535z00_10605)))->BgL_locz00) =
					((obj_t) BgL_loc1066z00_8928), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1535z00_10605)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1067z00_8929)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1535z00_10605))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1068zd2_8930), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(BgL_new1535z00_10605))->
						BgL_keyz00) = ((obj_t) BgL_key1069z00_8931), BUNSPEC);
				return BgL_new1535z00_10605;
			}
		}

	}



/* &<@anonymous:1938> */
	obj_t BGl_z62zc3z04anonymousza31938ze3ze5zzast_nodez00(obj_t BgL_envz00_8932)
	{
		{	/* Ast/node.scm 37 */
			return BINT((-1L));
		}

	}



/* &lambda1937 */
	obj_t BGl_z62lambda1937z62zzast_nodez00(obj_t BgL_envz00_8933,
		obj_t BgL_oz00_8934, obj_t BgL_vz00_8935)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8934)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8935), BUNSPEC);
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zzast_nodez00(obj_t BgL_envz00_8936,
		obj_t BgL_oz00_8937)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8937)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1930> */
	obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzast_nodez00(obj_t BgL_envz00_8938)
	{
		{	/* Ast/node.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zzast_nodez00(obj_t BgL_envz00_8939,
		obj_t BgL_oz00_8940, obj_t BgL_vz00_8941)
	{
		{	/* Ast/node.scm 37 */
			return
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
							((BgL_nodezf2effectzf2_bglt) BgL_oz00_8940)))->
					BgL_sidezd2effectzd2) = ((obj_t) BgL_vz00_8941), BUNSPEC);
		}

	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zzast_nodez00(obj_t BgL_envz00_8942,
		obj_t BgL_oz00_8943)
	{
		{	/* Ast/node.scm 37 */
			return
				(((BgL_nodezf2effectzf2_bglt) COBJECT(
						((BgL_nodezf2effectzf2_bglt) BgL_oz00_8943)))->
				BgL_sidezd2effectzd2);
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzast_nodez00(obj_t BgL_envz00_8944,
		obj_t BgL_new1064z00_8945)
	{
		{	/* Ast/node.scm 21 */
			{
				BgL_nodez00_bglt BgL_auxz00_18327;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1064z00_8945)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18330;

					{	/* Ast/node.scm 21 */
						obj_t BgL_classz00_10613;

						BgL_classz00_10613 = BGl_typez00zztype_typez00;
						{	/* Ast/node.scm 21 */
							obj_t BgL__ortest_1117z00_10614;

							BgL__ortest_1117z00_10614 = BGL_CLASS_NIL(BgL_classz00_10613);
							if (CBOOL(BgL__ortest_1117z00_10614))
								{	/* Ast/node.scm 21 */
									BgL_auxz00_18330 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_10614);
								}
							else
								{	/* Ast/node.scm 21 */
									BgL_auxz00_18330 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_10613));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1064z00_8945)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18330), BUNSPEC);
				}
				BgL_auxz00_18327 = ((BgL_nodez00_bglt) BgL_new1064z00_8945);
				return ((obj_t) BgL_auxz00_18327);
			}
		}

	}



/* &lambda1897 */
	BgL_nodez00_bglt BGl_z62lambda1897z62zzast_nodez00(obj_t BgL_envz00_8946)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1063z00_10615;

				BgL_new1063z00_10615 =
					((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_nodez00_bgl))));
				{	/* Ast/node.scm 21 */
					long BgL_arg1898z00_10616;

					BgL_arg1898z00_10616 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1063z00_10615), BgL_arg1898z00_10616);
				}
				return BgL_new1063z00_10615;
			}
		}

	}



/* &lambda1895 */
	BgL_nodez00_bglt BGl_z62lambda1895z62zzast_nodez00(obj_t BgL_envz00_8947,
		obj_t BgL_loc1061z00_8948, obj_t BgL_type1062z00_8949)
	{
		{	/* Ast/node.scm 21 */
			{	/* Ast/node.scm 21 */
				BgL_nodez00_bglt BgL_new1533z00_10618;

				{	/* Ast/node.scm 21 */
					BgL_nodez00_bglt BgL_new1532z00_10619;

					BgL_new1532z00_10619 =
						((BgL_nodez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_nodez00_bgl))));
					{	/* Ast/node.scm 21 */
						long BgL_arg1896z00_10620;

						BgL_arg1896z00_10620 = BGL_CLASS_NUM(BGl_nodez00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1532z00_10619),
							BgL_arg1896z00_10620);
					}
					BgL_new1533z00_10618 = BgL_new1532z00_10619;
				}
				((((BgL_nodez00_bglt) COBJECT(BgL_new1533z00_10618))->BgL_locz00) =
					((obj_t) BgL_loc1061z00_8948), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(BgL_new1533z00_10618))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1062z00_8949)),
					BUNSPEC);
				return BgL_new1533z00_10618;
			}
		}

	}



/* &lambda1911 */
	obj_t BGl_z62lambda1911z62zzast_nodez00(obj_t BgL_envz00_8950,
		obj_t BgL_oz00_8951, obj_t BgL_vz00_8952)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8951)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8952)), BUNSPEC);
		}

	}



/* &lambda1910 */
	BgL_typez00_bglt BGl_z62lambda1910z62zzast_nodez00(obj_t BgL_envz00_8953,
		obj_t BgL_oz00_8954)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8954)))->BgL_typez00);
		}

	}



/* &<@anonymous:1906> */
	obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzast_nodez00(obj_t BgL_envz00_8955)
	{
		{	/* Ast/node.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zzast_nodez00(obj_t BgL_envz00_8956,
		obj_t BgL_oz00_8957, obj_t BgL_vz00_8958)
	{
		{	/* Ast/node.scm 21 */
			return
				((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt) BgL_oz00_8957)))->BgL_locz00) =
				((obj_t) BgL_vz00_8958), BUNSPEC);
		}

	}



/* &lambda1904 */
	obj_t BGl_z62lambda1904z62zzast_nodez00(obj_t BgL_envz00_8959,
		obj_t BgL_oz00_8960)
	{
		{	/* Ast/node.scm 21 */
			return
				(((BgL_nodez00_bglt) COBJECT(
						((BgL_nodez00_bglt) BgL_oz00_8960)))->BgL_locz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_proc3417z00zzast_nodez00,
				BGl_nodez00zzast_nodez00, BGl_string3418z00zzast_nodez00);
		}

	}



/* &node-walk1733 */
	obj_t BGl_z62nodezd2walk1733zb0zzast_nodez00(obj_t BgL_envz00_8962,
		obj_t BgL_nodez00_8963, obj_t BgL_procz00_8964)
	{
		{	/* Ast/node.scm 312 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(97)), BGl_string3419z00zzast_nodez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_8963)));
		}

	}



/* node-walk */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2walkzd2zzast_nodez00(BgL_nodez00_bglt
		BgL_nodez00_1045, obj_t BgL_procz00_1046)
	{
		{	/* Ast/node.scm 312 */
			{	/* Ast/node.scm 312 */
				obj_t BgL_method1734z00_3619;

				{	/* Ast/node.scm 312 */
					obj_t BgL_res3099z00_6263;

					{	/* Ast/node.scm 312 */
						long BgL_objzd2classzd2numz00_6234;

						BgL_objzd2classzd2numz00_6234 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_1045));
						{	/* Ast/node.scm 312 */
							obj_t BgL_arg1862z00_6235;

							BgL_arg1862z00_6235 =
								PROCEDURE_REF(BGl_nodezd2walkzd2envz00zzast_nodez00,
								(int) (1L));
							{	/* Ast/node.scm 312 */
								int BgL_offsetz00_6238;

								BgL_offsetz00_6238 = (int) (BgL_objzd2classzd2numz00_6234);
								{	/* Ast/node.scm 312 */
									long BgL_offsetz00_6239;

									BgL_offsetz00_6239 =
										((long) (BgL_offsetz00_6238) - OBJECT_TYPE);
									{	/* Ast/node.scm 312 */
										long BgL_modz00_6240;

										BgL_modz00_6240 =
											(BgL_offsetz00_6239 >> (int) ((long) ((int) (4L))));
										{	/* Ast/node.scm 312 */
											long BgL_restz00_6242;

											BgL_restz00_6242 =
												(BgL_offsetz00_6239 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/node.scm 312 */

												{	/* Ast/node.scm 312 */
													obj_t BgL_bucketz00_6244;

													BgL_bucketz00_6244 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6235), BgL_modz00_6240);
													BgL_res3099z00_6263 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6244), BgL_restz00_6242);
					}}}}}}}}
					BgL_method1734z00_3619 = BgL_res3099z00_6263;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1734z00_3619,
					((obj_t) BgL_nodez00_1045), BgL_procz00_1046);
			}
		}

	}



/* &node-walk */
	obj_t BGl_z62nodezd2walkzb0zzast_nodez00(obj_t BgL_envz00_8965,
		obj_t BgL_nodez00_8966, obj_t BgL_procz00_8967)
	{
		{	/* Ast/node.scm 312 */
			return
				BGl_nodezd2walkzd2zzast_nodez00(
				((BgL_nodez00_bglt) BgL_nodez00_8966), BgL_procz00_8967);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_atomz00zzast_nodez00,
				BGl_proc3420z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_varz00zzast_nodez00,
				BGl_proc3422z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3423z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3424z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_syncz00zzast_nodez00,
				BGl_proc3425z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appz00zzast_nodez00,
				BGl_proc3426z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3427z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_funcallz00zzast_nodez00,
				BGl_proc3428z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_externz00zzast_nodez00,
				BGl_proc3429z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_castz00zzast_nodez00,
				BGl_proc3430z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_setqz00zzast_nodez00,
				BGl_proc3431z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3432z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_failz00zzast_nodez00,
				BGl_proc3433z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_switchz00zzast_nodez00,
				BGl_proc3434z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3435z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3436z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3437z00zzast_nodez00,
				BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc3438z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc3439z00zzast_nodez00, BGl_string3421z00zzast_nodez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3440z00zzast_nodez00,
				BGl_string3421z00zzast_nodez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2walkzd2envz00zzast_nodez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3441z00zzast_nodez00,
				BGl_string3421z00zzast_nodez00);
		}

	}



/* &node-walk-jump-ex-it1777 */
	obj_t BGl_z62nodezd2walkzd2jumpzd2exzd2it1777z62zzast_nodez00(obj_t
		BgL_envz00_8989, obj_t BgL_nodez00_8990, obj_t BgL_procz00_8991)
	{
		{	/* Ast/node.scm 476 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8990)))->BgL_exitz00),
				((obj_t) BgL_procz00_8991));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8990)))->BgL_valuez00),
				((obj_t) BgL_procz00_8991));
			{	/* Ast/node.scm 479 */
				obj_t BgL_tmpfunz00_18436;

				BgL_tmpfunz00_18436 = ((obj_t) BgL_procz00_8991);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18436) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18436)) (((obj_t)
							BgL_procz00_8991),
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8990)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18436)) (((obj_t)
							BgL_procz00_8991),
						((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_8990))));
			}
		}

	}



/* &node-walk-set-ex-it1775 */
	obj_t BGl_z62nodezd2walkzd2setzd2exzd2it1775z62zzast_nodez00(obj_t
		BgL_envz00_8992, obj_t BgL_nodez00_8993, obj_t BgL_procz00_8994)
	{
		{	/* Ast/node.scm 469 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8993)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8994));
			{	/* Ast/node.scm 471 */
				obj_t BgL_tmpfunz00_18448;

				BgL_tmpfunz00_18448 = ((obj_t) BgL_procz00_8994);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18448) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18448)) (((obj_t)
							BgL_procz00_8994),
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8993)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18448)) (((obj_t)
							BgL_procz00_8994),
						((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_8993))));
			}
		}

	}



/* &node-walk-let-var1773 */
	obj_t BGl_z62nodezd2walkzd2letzd2var1773zb0zzast_nodez00(obj_t
		BgL_envz00_8995, obj_t BgL_nodez00_8996, obj_t BgL_procz00_8997)
	{
		{	/* Ast/node.scm 458 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8996)))->BgL_bodyz00),
				((obj_t) BgL_procz00_8997));
			{	/* Ast/node.scm 461 */
				obj_t BgL_g1646z00_10634;

				BgL_g1646z00_10634 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_8996)))->BgL_bindingsz00);
				{
					obj_t BgL_l1644z00_10636;

					BgL_l1644z00_10636 = BgL_g1646z00_10634;
				BgL_zc3z04anonymousza33019ze3z87_10635:
					if (PAIRP(BgL_l1644z00_10636))
						{	/* Ast/node.scm 461 */
							{	/* Ast/node.scm 462 */
								obj_t BgL_bindingz00_10637;

								BgL_bindingz00_10637 = CAR(BgL_l1644z00_10636);
								{	/* Ast/node.scm 462 */
									obj_t BgL_arg3022z00_10638;

									BgL_arg3022z00_10638 = CDR(((obj_t) BgL_bindingz00_10637));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg3022z00_10638),
										((obj_t) BgL_procz00_8997));
								}
							}
							{
								obj_t BgL_l1644z00_18464;

								BgL_l1644z00_18464 = CDR(BgL_l1644z00_10636);
								BgL_l1644z00_10636 = BgL_l1644z00_18464;
								goto BgL_zc3z04anonymousza33019ze3z87_10635;
							}
						}
					else
						{	/* Ast/node.scm 461 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 464 */
				obj_t BgL_tmpfunz00_18472;

				BgL_tmpfunz00_18472 = ((obj_t) BgL_procz00_8997);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18472) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18472)) (((obj_t)
							BgL_procz00_8997),
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_8996)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18472)) (((obj_t)
							BgL_procz00_8997),
						((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_8996))));
			}
		}

	}



/* &node-walk-let-fun1771 */
	obj_t BGl_z62nodezd2walkzd2letzd2fun1771zb0zzast_nodez00(obj_t
		BgL_envz00_8998, obj_t BgL_nodez00_8999, obj_t BgL_procz00_9000)
	{
		{	/* Ast/node.scm 446 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8999)))->BgL_bodyz00),
				((obj_t) BgL_procz00_9000));
			{	/* Ast/node.scm 449 */
				obj_t BgL_g1643z00_10641;

				BgL_g1643z00_10641 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_8999)))->BgL_localsz00);
				{
					obj_t BgL_l1641z00_10643;

					BgL_l1641z00_10643 = BgL_g1643z00_10641;
				BgL_zc3z04anonymousza33014ze3z87_10642:
					if (PAIRP(BgL_l1641z00_10643))
						{	/* Ast/node.scm 449 */
							{	/* Ast/node.scm 450 */
								obj_t BgL_localz00_10644;

								BgL_localz00_10644 = CAR(BgL_l1641z00_10643);
								{	/* Ast/node.scm 450 */
									BgL_valuez00_bglt BgL_sfunz00_10645;

									BgL_sfunz00_10645 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_10644))))->
										BgL_valuez00);
									{	/* Ast/node.scm 451 */
										obj_t BgL_arg3016z00_10646;

										BgL_arg3016z00_10646 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_sfunz00_10645)))->
											BgL_bodyz00);
										BGl_nodezd2walkzd2zzast_nodez00(((BgL_nodez00_bglt)
												BgL_arg3016z00_10646), ((obj_t) BgL_procz00_9000));
									}
								}
							}
							{
								obj_t BgL_l1641z00_18491;

								BgL_l1641z00_18491 = CDR(BgL_l1641z00_10643);
								BgL_l1641z00_10643 = BgL_l1641z00_18491;
								goto BgL_zc3z04anonymousza33014ze3z87_10642;
							}
						}
					else
						{	/* Ast/node.scm 449 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 453 */
				obj_t BgL_tmpfunz00_18499;

				BgL_tmpfunz00_18499 = ((obj_t) BgL_procz00_9000);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18499) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18499)) (((obj_t)
							BgL_procz00_9000),
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_8999)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18499)) (((obj_t)
							BgL_procz00_9000),
						((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_8999))));
			}
		}

	}



/* &node-walk-box-set!1769 */
	obj_t BGl_z62nodezd2walkzd2boxzd2setz121769za2zzast_nodez00(obj_t
		BgL_envz00_9001, obj_t BgL_nodez00_9002, obj_t BgL_procz00_9003)
	{
		{	/* Ast/node.scm 438 */
			{	/* Ast/node.scm 439 */
				BgL_varz00_bglt BgL_arg3011z00_10649;

				BgL_arg3011z00_10649 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_9002)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg3011z00_10649),
					((obj_t) BgL_procz00_9003));
			}
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_9002)))->BgL_valuez00),
				((obj_t) BgL_procz00_9003));
			{	/* Ast/node.scm 441 */
				obj_t BgL_tmpfunz00_18516;

				BgL_tmpfunz00_18516 = ((obj_t) BgL_procz00_9003);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18516) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18516)) (((obj_t)
							BgL_procz00_9003),
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_9002)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18516)) (((obj_t)
							BgL_procz00_9003),
						((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_9002))));
			}
		}

	}



/* &node-walk-box-ref1767 */
	obj_t BGl_z62nodezd2walkzd2boxzd2ref1767zb0zzast_nodez00(obj_t
		BgL_envz00_9004, obj_t BgL_nodez00_9005, obj_t BgL_procz00_9006)
	{
		{	/* Ast/node.scm 431 */
			{	/* Ast/node.scm 432 */
				BgL_varz00_bglt BgL_arg3009z00_10652;

				BgL_arg3009z00_10652 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_9005)))->BgL_varz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg3009z00_10652),
					((obj_t) BgL_procz00_9006));
			}
			{	/* Ast/node.scm 433 */
				obj_t BgL_tmpfunz00_18529;

				BgL_tmpfunz00_18529 = ((obj_t) BgL_procz00_9006);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18529) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18529)) (((obj_t)
							BgL_procz00_9006),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_9005)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18529)) (((obj_t)
							BgL_procz00_9006),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_9005))));
			}
		}

	}



/* &node-walk-make-box1764 */
	obj_t BGl_z62nodezd2walkzd2makezd2box1764zb0zzast_nodez00(obj_t
		BgL_envz00_9007, obj_t BgL_nodez00_9008, obj_t BgL_procz00_9009)
	{
		{	/* Ast/node.scm 424 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_9008)))->BgL_valuez00),
				((obj_t) BgL_procz00_9009));
			{	/* Ast/node.scm 426 */
				obj_t BgL_tmpfunz00_18541;

				BgL_tmpfunz00_18541 = ((obj_t) BgL_procz00_9009);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18541) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18541)) (((obj_t)
							BgL_procz00_9009),
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_9008)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18541)) (((obj_t)
							BgL_procz00_9009),
						((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_9008))));
			}
		}

	}



/* &node-walk-switch1762 */
	obj_t BGl_z62nodezd2walkzd2switch1762z62zzast_nodez00(obj_t BgL_envz00_9010,
		obj_t BgL_nodez00_9011, obj_t BgL_procz00_9012)
	{
		{	/* Ast/node.scm 414 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_9011)))->BgL_testz00),
				((obj_t) BgL_procz00_9012));
			{	/* Ast/node.scm 416 */
				obj_t BgL_g1640z00_10657;

				BgL_g1640z00_10657 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_9011)))->BgL_clausesz00);
				{
					obj_t BgL_l1638z00_10659;

					BgL_l1638z00_10659 = BgL_g1640z00_10657;
				BgL_zc3z04anonymousza33000ze3z87_10658:
					if (PAIRP(BgL_l1638z00_10659))
						{	/* Ast/node.scm 418 */
							{	/* Ast/node.scm 417 */
								obj_t BgL_clausez00_10660;

								BgL_clausez00_10660 = CAR(BgL_l1638z00_10659);
								{	/* Ast/node.scm 417 */
									obj_t BgL_arg3003z00_10661;

									BgL_arg3003z00_10661 = CDR(((obj_t) BgL_clausez00_10660));
									BGl_nodezd2walkzd2zzast_nodez00(
										((BgL_nodez00_bglt) BgL_arg3003z00_10661),
										((obj_t) BgL_procz00_9012));
								}
							}
							{
								obj_t BgL_l1638z00_18557;

								BgL_l1638z00_18557 = CDR(BgL_l1638z00_10659);
								BgL_l1638z00_10659 = BgL_l1638z00_18557;
								goto BgL_zc3z04anonymousza33000ze3z87_10658;
							}
						}
					else
						{	/* Ast/node.scm 418 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/node.scm 419 */
				obj_t BgL_tmpfunz00_18565;

				BgL_tmpfunz00_18565 = ((obj_t) BgL_procz00_9012);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18565) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18565)) (((obj_t)
							BgL_procz00_9012),
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_9011)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18565)) (((obj_t)
							BgL_procz00_9012),
						((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_9011))));
			}
		}

	}



/* &node-walk-fail1760 */
	obj_t BGl_z62nodezd2walkzd2fail1760z62zzast_nodez00(obj_t BgL_envz00_9013,
		obj_t BgL_nodez00_9014, obj_t BgL_procz00_9015)
	{
		{	/* Ast/node.scm 405 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_9014)))->BgL_procz00),
				((obj_t) BgL_procz00_9015));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_9014)))->BgL_msgz00),
				((obj_t) BgL_procz00_9015));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_9014)))->BgL_objz00),
				((obj_t) BgL_procz00_9015));
			{	/* Ast/node.scm 409 */
				obj_t BgL_tmpfunz00_18585;

				BgL_tmpfunz00_18585 = ((obj_t) BgL_procz00_9015);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18585) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18585)) (((obj_t)
							BgL_procz00_9015),
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_9014)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18585)) (((obj_t)
							BgL_procz00_9015),
						((obj_t) ((BgL_failz00_bglt) BgL_nodez00_9014))));
			}
		}

	}



/* &node-walk-conditiona1758 */
	obj_t BGl_z62nodezd2walkzd2conditiona1758z62zzast_nodez00(obj_t
		BgL_envz00_9016, obj_t BgL_nodez00_9017, obj_t BgL_procz00_9018)
	{
		{	/* Ast/node.scm 396 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_9017)))->BgL_testz00),
				((obj_t) BgL_procz00_9018));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_9017)))->BgL_truez00),
				((obj_t) BgL_procz00_9018));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_9017)))->BgL_falsez00),
				((obj_t) BgL_procz00_9018));
			{	/* Ast/node.scm 400 */
				obj_t BgL_tmpfunz00_18605;

				BgL_tmpfunz00_18605 = ((obj_t) BgL_procz00_9018);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18605) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18605)) (((obj_t)
							BgL_procz00_9018),
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_9017)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18605)) (((obj_t)
							BgL_procz00_9018),
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_9017))));
			}
		}

	}



/* &node-walk-setq1756 */
	obj_t BGl_z62nodezd2walkzd2setq1756z62zzast_nodez00(obj_t BgL_envz00_9019,
		obj_t BgL_nodez00_9020, obj_t BgL_procz00_9021)
	{
		{	/* Ast/node.scm 389 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_9020)))->BgL_valuez00),
				((obj_t) BgL_procz00_9021));
			{	/* Ast/node.scm 391 */
				obj_t BgL_tmpfunz00_18617;

				BgL_tmpfunz00_18617 = ((obj_t) BgL_procz00_9021);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18617) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18617)) (((obj_t)
							BgL_procz00_9021),
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_9020)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18617)) (((obj_t)
							BgL_procz00_9021),
						((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_9020))));
			}
		}

	}



/* &node-walk-cast1754 */
	obj_t BGl_z62nodezd2walkzd2cast1754z62zzast_nodez00(obj_t BgL_envz00_9022,
		obj_t BgL_nodez00_9023, obj_t BgL_procz00_9024)
	{
		{	/* Ast/node.scm 382 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_9023)))->BgL_argz00),
				((obj_t) BgL_procz00_9024));
			{	/* Ast/node.scm 384 */
				obj_t BgL_tmpfunz00_18629;

				BgL_tmpfunz00_18629 = ((obj_t) BgL_procz00_9024);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18629) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18629)) (((obj_t)
							BgL_procz00_9024),
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_9023)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18629)) (((obj_t)
							BgL_procz00_9024),
						((obj_t) ((BgL_castz00_bglt) BgL_nodez00_9023))));
			}
		}

	}



/* &node-walk-extern1752 */
	obj_t BGl_z62nodezd2walkzd2extern1752z62zzast_nodez00(obj_t BgL_envz00_9025,
		obj_t BgL_nodez00_9026, obj_t BgL_procz00_9027)
	{
		{	/* Ast/node.scm 375 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_9026)))->BgL_exprza2za2),
				((obj_t) BgL_procz00_9027));
			{	/* Ast/node.scm 377 */
				obj_t BgL_tmpfunz00_18641;

				BgL_tmpfunz00_18641 = ((obj_t) BgL_procz00_9027);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18641) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18641)) (((obj_t)
							BgL_procz00_9027),
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_9026)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18641)) (((obj_t)
							BgL_procz00_9027),
						((obj_t) ((BgL_externz00_bglt) BgL_nodez00_9026))));
			}
		}

	}



/* &node-walk-funcall1750 */
	obj_t BGl_z62nodezd2walkzd2funcall1750z62zzast_nodez00(obj_t BgL_envz00_9028,
		obj_t BgL_nodez00_9029, obj_t BgL_procz00_9030)
	{
		{	/* Ast/node.scm 367 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_9029)))->BgL_funz00),
				((obj_t) BgL_procz00_9030));
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_9029)))->BgL_argsz00),
				((obj_t) BgL_procz00_9030));
			{	/* Ast/node.scm 370 */
				obj_t BgL_tmpfunz00_18657;

				BgL_tmpfunz00_18657 = ((obj_t) BgL_procz00_9030);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18657) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18657)) (((obj_t)
							BgL_procz00_9030),
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_9029)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18657)) (((obj_t)
							BgL_procz00_9030),
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_9029))));
			}
		}

	}



/* &node-walk-app-ly1748 */
	obj_t BGl_z62nodezd2walkzd2appzd2ly1748zb0zzast_nodez00(obj_t BgL_envz00_9031,
		obj_t BgL_nodez00_9032, obj_t BgL_procz00_9033)
	{
		{	/* Ast/node.scm 359 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_9032)))->BgL_funz00),
				((obj_t) BgL_procz00_9033));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_9032)))->BgL_argz00),
				((obj_t) BgL_procz00_9033));
			{	/* Ast/node.scm 362 */
				obj_t BgL_tmpfunz00_18673;

				BgL_tmpfunz00_18673 = ((obj_t) BgL_procz00_9033);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18673) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18673)) (((obj_t)
							BgL_procz00_9033),
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_9032)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18673)) (((obj_t)
							BgL_procz00_9033),
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_9032))));
			}
		}

	}



/* &node-walk-app1746 */
	obj_t BGl_z62nodezd2walkzd2app1746z62zzast_nodez00(obj_t BgL_envz00_9034,
		obj_t BgL_nodez00_9035, obj_t BgL_procz00_9036)
	{
		{	/* Ast/node.scm 351 */
			{	/* Ast/node.scm 352 */
				BgL_varz00_bglt BgL_arg2976z00_10678;

				BgL_arg2976z00_10678 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_9035)))->BgL_funz00);
				BGl_nodezd2walkzd2zzast_nodez00(
					((BgL_nodez00_bglt) BgL_arg2976z00_10678),
					((obj_t) BgL_procz00_9036));
			}
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_9035)))->BgL_argsz00),
				((obj_t) BgL_procz00_9036));
			{	/* Ast/node.scm 354 */
				obj_t BgL_tmpfunz00_18690;

				BgL_tmpfunz00_18690 = ((obj_t) BgL_procz00_9036);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18690) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18690)) (((obj_t)
							BgL_procz00_9036), ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_9035)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18690)) (((obj_t)
							BgL_procz00_9036),
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_9035))));
			}
		}

	}



/* &node-walk-sync1744 */
	obj_t BGl_z62nodezd2walkzd2sync1744z62zzast_nodez00(obj_t BgL_envz00_9037,
		obj_t BgL_nodez00_9038, obj_t BgL_procz00_9039)
	{
		{	/* Ast/node.scm 342 */
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_9038)))->BgL_mutexz00),
				((obj_t) BgL_procz00_9039));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_9038)))->BgL_prelockz00),
				((obj_t) BgL_procz00_9039));
			BGl_nodezd2walkzd2zzast_nodez00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_9038)))->BgL_bodyz00),
				((obj_t) BgL_procz00_9039));
			{	/* Ast/node.scm 346 */
				obj_t BgL_tmpfunz00_18710;

				BgL_tmpfunz00_18710 = ((obj_t) BgL_procz00_9039);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18710) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18710)) (((obj_t)
							BgL_procz00_9039),
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_9038)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18710)) (((obj_t)
							BgL_procz00_9039),
						((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_9038))));
			}
		}

	}



/* &node-walk-sequence1742 */
	obj_t BGl_z62nodezd2walkzd2sequence1742z62zzast_nodez00(obj_t BgL_envz00_9040,
		obj_t BgL_nodez00_9041, obj_t BgL_procz00_9042)
	{
		{	/* Ast/node.scm 335 */
			BGl_nodezd2walkza2z70zzast_nodez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_9041)))->BgL_nodesz00),
				((obj_t) BgL_procz00_9042));
			{	/* Ast/node.scm 337 */
				obj_t BgL_tmpfunz00_18722;

				BgL_tmpfunz00_18722 = ((obj_t) BgL_procz00_9042);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18722) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18722)) (((obj_t)
							BgL_procz00_9042),
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_9041)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18722)) (((obj_t)
							BgL_procz00_9042),
						((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_9041))));
			}
		}

	}



/* &node-walk-kwote1740 */
	obj_t BGl_z62nodezd2walkzd2kwote1740z62zzast_nodez00(obj_t BgL_envz00_9043,
		obj_t BgL_nodez00_9044, obj_t BgL_procz00_9045)
	{
		{	/* Ast/node.scm 329 */
			{	/* Ast/node.scm 330 */
				obj_t BgL_tmpfunz00_18730;

				BgL_tmpfunz00_18730 = ((obj_t) BgL_procz00_9045);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18730) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18730)) (((obj_t)
							BgL_procz00_9045),
						((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_9044)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18730)) (((obj_t)
							BgL_procz00_9045),
						((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_9044))));
			}
		}

	}



/* &node-walk-var1738 */
	obj_t BGl_z62nodezd2walkzd2var1738z62zzast_nodez00(obj_t BgL_envz00_9046,
		obj_t BgL_nodez00_9047, obj_t BgL_procz00_9048)
	{
		{	/* Ast/node.scm 323 */
			{	/* Ast/node.scm 324 */
				obj_t BgL_tmpfunz00_18738;

				BgL_tmpfunz00_18738 = ((obj_t) BgL_procz00_9048);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18738) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18738)) (((obj_t)
							BgL_procz00_9048), ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_9047)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18738)) (((obj_t)
							BgL_procz00_9048),
						((obj_t) ((BgL_varz00_bglt) BgL_nodez00_9047))));
			}
		}

	}



/* &node-walk-atom1736 */
	obj_t BGl_z62nodezd2walkzd2atom1736z62zzast_nodez00(obj_t BgL_envz00_9049,
		obj_t BgL_nodez00_9050, obj_t BgL_procz00_9051)
	{
		{	/* Ast/node.scm 317 */
			{	/* Ast/node.scm 318 */
				obj_t BgL_tmpfunz00_18746;

				BgL_tmpfunz00_18746 = ((obj_t) BgL_procz00_9051);
				return
					(VA_PROCEDUREP(BgL_tmpfunz00_18746) ? ((obj_t(*)(obj_t,
								...)) PROCEDURE_ENTRY(BgL_tmpfunz00_18746)) (((obj_t)
							BgL_procz00_9051),
						((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_9050)),
						BEOA) : ((obj_t(*)(obj_t,
								obj_t)) PROCEDURE_ENTRY(BgL_tmpfunz00_18746)) (((obj_t)
							BgL_procz00_9051),
						((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_9050))));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_nodez00(void)
	{
		{	/* Ast/node.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string3442z00zzast_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string3442z00zzast_nodez00));
		}

	}

#ifdef __cplusplus
}
#endif
