/*===========================================================================*/
/*   (Ast/walk.scm)                                                          */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_WALK_TYPE_DEFINITIONS
#define BGL_AST_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2retblock1963z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2app1720z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2setzd2exzd2it1909zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2cast1823za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2extern1801za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2node1674z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2fail1901za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62walk3za2zd2boxzd2ref2037zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_z62walk2zd2setq1835zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2setz122049z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2boxzd2ref2025z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2node1668zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2return1997za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_walkz00 = BUNSPEC;
	static obj_t BGl_z62walk2za2zd2funcall1771z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2letzd2fun2123z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2135z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2appzd2ly1744zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2app1730za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2sync2083z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2setz122055zd2zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2funcall1758zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2switch2115za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32261ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk31637z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2retblock1953zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk1zd2app1712zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62walk3zd2sync2077zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2setq1853za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2var2157zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2retblock1959z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1781za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2extern1797z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2conditional1871za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2return1989z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2var2145z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2setq1847za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2conditional1865z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_walkz00(void);
	static obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2fail1889z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62walk2za2zd2switch2107z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2extern1783zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2cast1819z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33574ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2return1975zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2makezd2box2019z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza33315ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk1zd2switch2097zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2conditional1875za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_walkz00(void);
	static obj_t BGl_z62walk3zd2extern1789zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2node1662zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2node1680za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk3za2zd2conditional1869z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2cast1813zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2funcall1767z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2appzd2ly1736z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32326ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2ref2033zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_walkz00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62walk0zd2conditional1855zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk41639z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2sequence1690zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2conditional1859zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2fail1883zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sync2089za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2return1981zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62walk3zd2funcall1764zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0z121651z70zzast_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_zc3z04anonymousza33440ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32254ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2sync2071zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1708za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2fun2131zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sequence1696z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1777za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2043z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2makezd2box2013zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2letzd2fun2119z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2makezd2box1999z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2var2153zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2return1993za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2app1722z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setq1843z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2makezd2box2015z70zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33325ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32246ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2141z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2setq1837zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2fail1895za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2boxzd2setz122067z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2switch2111za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32222ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk0zd2cast1807zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2makezd2box2003z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2cast1825za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2jumpzd2exzd2it1933zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2node1676z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk0za21641zc0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2163z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2app1714zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_walkz00(void);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2app1732za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2extern1793z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2return1985z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1704za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1754z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2makezd2box2009zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1971za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2sequence1686zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2sync2085z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2setzd2exzd2it1915z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2node1670z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2switch2103z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1z121653z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2extern1803za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2fun2127zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2boxzd2setz122061zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sync2079z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2ref2027z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2039z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2letzd2fun2125z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2boxzd2setz122063z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2appzd2ly1746zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2setq1849za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2retblock1965z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32226ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00(obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2switch2117za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62walk3za2zd2funcall1773z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2setq1831zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2137z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2boxzd2setz122051z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1967za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2app1726za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2funcall1760zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2node1664zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2fail1891z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2cast1821z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33541ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk2zd2letzd2var2147z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2extern1785zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2retblock1955zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za21643zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2159z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2fail1885zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2return1977zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2node1682za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2boxzd2setz122057zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2cast1815z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33336ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2switch2099zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sync2073zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2switch2109z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33452ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2z121655z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2appzd2ly1738z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32347ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sync2091za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2retblock1961z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2app1724z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32173ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_zc3z04anonymousza32356ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62walk0za2zd2conditional1863z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2app1716zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setq1845z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2cast1809zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1750z70zzast_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62walk1za2zd2funcall1769z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2ref2035zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2sequence1692zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2boxzd2setz122047z70zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2fail1879zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2fail1897za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2switch2101zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2setq1839z12zzast_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2makezd2box2021z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2cast1827za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33346ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2conditional1873za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za21645zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2letzd2fun2133zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62walk2za2zd2conditional1867z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2boxzd2ref2023z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2return1995za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1779za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2045z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2letzd2fun2121z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2retblock1951zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00(void);
	static obj_t BGl_z62walk0za2zd2appzd2ly1742zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2letzd2var2155zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk4z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00(void);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2switch2113za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2app1718z12zzast_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_z62walk2za2zd2sequence1698z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzast_walkz00(void);
	static obj_t BGl_z62walk01631z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2node1672z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_zc3z04anonymousza33552ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32473ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static obj_t BGl_z62walk1zd2conditional1857zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3z121657z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2conditional1877za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62walk2za2zd2extern1795z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2makezd2box2005z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2makezd2box2017z70zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62walk2za2zd2return1987z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0zd2letzd2var2143z62zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3zd2conditional1861zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32482ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza33428ze3ze70z60zzast_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1756z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32268ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2setq1833zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2165z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2sync2081z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2app1728za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2boxzd2setz122069z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62walk2zd2node1666zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2switch2105z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2extern1805za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2setq1851za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1zd2sequence1688zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2fail1893z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32501ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2ref2029z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2boxzd2ref2031zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32581ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1706za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2sync2075zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1973za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3za21647zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2appzd2ly1748zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2letzd2fun2129zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2sequence1694z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2node1684za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2fail1887z12zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk11633z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0zd2switch2095zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2makezd2box2011zc0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00(obj_t);
	static obj_t BGl_z62walk1za2zd2cast1817z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0zd2app1710zb0zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2extern1787zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2zd2funcall1762zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1775za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2return1979zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2041z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2node1678za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3za2zd2setzd2exzd2it1917z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2appzd2ly1734z62zzast_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33464ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32492ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2139z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4z121659z70zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2letzd2var2149z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2letzd2var2151zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2sync2093za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2boxzd2setz122053z70zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2extern1799za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62walk1z12zd2boxzd2setz122065z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk3za2zd2sequence1700z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk3zd2retblock1957zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sync2087za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1969za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2return1991za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk2zd2cast1811zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1zd2makezd2box2001z62zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2setzd2exzd2it1913z12zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk3zd2appzd2ly1740z62zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1702za2zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2makezd2box2007zc0zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2161z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza33563ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3z04anonymousza32565ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk1zd2fail1881zb0zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk2z12zd2fail1899za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk2za2zd2boxzd2setz122059zd2zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62walk3z12zd2cast1829za2zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk21635z62zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04anonymousza32574ze3ze70z60zzast_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62walk0za2zd2extern1791z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk4za21649zc0zzast_walkz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62walk1za2zd2setq1841z12zzast_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62walk0za2zd2return1983z12zzast_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1752z70zzast_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4137za7,
		BGl_z62walk0z12zd2boxzd2setz122063z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4138za7,
		BGl_z62walk1z12zd2boxzd2setz122065z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4139za7,
		BGl_z62walk2z12zd2boxzd2setz122067z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4140za7,
		BGl_z62walk3z12zd2boxzd2setz122069z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2sync24141z00,
		BGl_z62walk0zd2sync2071zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2sync24142z00,
		BGl_z62walk1zd2sync2073zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2sync24143z00,
		BGl_z62walk2zd2sync2075zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2sync24144z00,
		BGl_z62walk3zd2sync2077zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sy4145za7,
		BGl_z62walk0za2zd2sync2079z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sy4146za7,
		BGl_z62walk1za2zd2sync2081z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sy4147za7,
		BGl_z62walk2za2zd2sync2083z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sy4148za7,
		BGl_z62walk3za2zd2sync2085z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sy4149za7,
		BGl_z62walk0z12zd2sync2087za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sy4150za7,
		BGl_z62walk1z12zd2sync2089za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sy4151za7,
		BGl_z62walk2z12zd2sync2091za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sy4152za7,
		BGl_z62walk3z12zd2sync2093za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2switc4153z00,
		BGl_z62walk0zd2switch2095zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2switc4154z00,
		BGl_z62walk1zd2switch2097zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2switc4155z00,
		BGl_z62walk2zd2switch2099zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7c0za7za74156za7, BGl_z62walk2za2zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2switc4157z00,
		BGl_z62walk3zd2switch2101zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk3za712za770za7za74158za7, BGl_z62walk3z12z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2sw4159za7,
		BGl_z62walk0za2zd2switch2103z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2sw4160za7,
		BGl_z62walk1za2zd2switch2105z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2sw4161za7,
		BGl_z62walk2za2zd2switch2107z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2sw4162za7,
		BGl_z62walk3za2zd2switch2109z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2sw4163za7,
		BGl_z62walk0z12zd2switch2111za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2sw4164za7,
		BGl_z62walk1z12zd2switch2113za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2sw4165za7,
		BGl_z62walk2z12zd2switch2115za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2sw4166za7,
		BGl_z62walk3z12zd2switch2117za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4167za7,
		BGl_z62walk0zd2letzd2fun2119z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4168za7,
		BGl_z62walk1zd2letzd2fun2121z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4169za7,
		BGl_z62walk2zd2letzd2fun2123z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4170za7,
		BGl_z62walk3zd2letzd2fun2125z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4171za7,
		BGl_z62walk0za2zd2letzd2fun2127zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4172za7,
		BGl_z62walk1za2zd2letzd2fun2129zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4173za7,
		BGl_z62walk2za2zd2letzd2fun2131zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4174za7,
		BGl_z62walk3za2zd2letzd2fun2133zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4175za7,
		BGl_z62walk0z12zd2letzd2fun2135z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4176za7,
		BGl_z62walk1z12zd2letzd2fun2137z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4177za7,
		BGl_z62walk2z12zd2letzd2fun2139z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4178za7,
		BGl_z62walk3z12zd2letzd2fun2141z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2letza7d4179za7,
		BGl_z62walk0zd2letzd2var2143z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2letza7d4180za7,
		BGl_z62walk1zd2letzd2var2145z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2letza7d4181za7,
		BGl_z62walk2zd2letzd2var2147z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2letza7d4182za7,
		BGl_z62walk3zd2letzd2var2149z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2le4183za7,
		BGl_z62walk0za2zd2letzd2var2151zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2le4184za7,
		BGl_z62walk1za2zd2letzd2var2153zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string4052z00zzast_walkz00,
		BgL_bgl_string4052za700za7za7a4185za7, "ast_walk", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2le4186za7,
		BGl_z62walk2za2zd2letzd2var2155zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2le4187za7,
		BGl_z62walk3za2zd2letzd2var2157zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2le4188za7,
		BGl_z62walk0z12zd2letzd2var2159z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2le4189za7,
		BGl_z62walk1z12zd2letzd2var2161z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2le4190za7,
		BGl_z62walk2z12zd2letzd2var2163z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2le4191za7,
		BGl_z62walk3z12zd2letzd2var2165z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7c0za7za74192za7, BGl_z62walk3za2zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk4za712za770za7za74193za7, BGl_z62walk4z12z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk0za762za7za7ast4194z00, BGl_z62walk0z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk4za7a2za7c0za7za74195za7, BGl_z62walk4za2zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3800z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2node14196z00,
		BGl_z62walk0zd2node1662zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3801z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2node14197z00,
		BGl_z62walk1zd2node1664zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3802z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2node14198z00,
		BGl_z62walk2zd2node1666zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3803z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2node14199z00,
		BGl_z62walk3zd2node1668zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3804z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2no4200za7,
		BGl_z62walk0za2zd2node1670z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3805z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2no4201za7,
		BGl_z62walk1za2zd2node1672z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3806z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2no4202za7,
		BGl_z62walk2za2zd2node1674z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3807z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2no4203za7,
		BGl_z62walk3za2zd2node1676z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3808z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2no4204za7,
		BGl_z62walk0z12zd2node1678za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3809z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2no4205za7,
		BGl_z62walk1z12zd2node1680za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk1za762za7za7ast4206z00, BGl_z62walk1z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3810z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2no4207za7,
		BGl_z62walk2z12zd2node1682za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3811z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2no4208za7,
		BGl_z62walk3z12zd2node1684za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3812z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2seque4209z00,
		BGl_z62walk0zd2sequence1686zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3813z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2seque4210z00,
		BGl_z62walk1zd2sequence1688zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3814z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2seque4211z00,
		BGl_z62walk2zd2sequence1690zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3815z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2seque4212z00,
		BGl_z62walk3zd2sequence1692zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3816z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4213za7,
		BGl_z62walk0za2zd2sequence1694z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3817z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4214za7,
		BGl_z62walk1za2zd2sequence1696z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3818z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4215za7,
		BGl_z62walk2za2zd2sequence1698z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3819z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4216za7,
		BGl_z62walk3za2zd2sequence1700z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3900z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2co4217za7,
		BGl_z62walk0za2zd2conditional1863z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3901z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2co4218za7,
		BGl_z62walk1za2zd2conditional1865z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3820z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4219za7,
		BGl_z62walk0z12zd2sequence1702za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3902z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2co4220za7,
		BGl_z62walk2za2zd2conditional1867z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3821z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4221za7,
		BGl_z62walk1z12zd2sequence1704za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3903z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2co4222za7,
		BGl_z62walk3za2zd2conditional1869z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3822z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4223za7,
		BGl_z62walk2z12zd2sequence1706za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3904z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2co4224za7,
		BGl_z62walk0z12zd2conditional1871za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3823z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4225za7,
		BGl_z62walk3z12zd2sequence1708za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3905z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2co4226za7,
		BGl_z62walk1z12zd2conditional1873za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3824z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2app174227z00, BGl_z62walk0zd2app1710zb0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3906z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2co4228za7,
		BGl_z62walk2z12zd2conditional1875za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3825z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2app174229z00, BGl_z62walk1zd2app1712zb0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3907z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2co4230za7,
		BGl_z62walk3z12zd2conditional1877za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3826z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2app174231z00, BGl_z62walk2zd2app1714zb0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3908z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2fail14232z00,
		BGl_z62walk0zd2fail1879zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3827z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2app174233z00, BGl_z62walk3zd2app1716zb0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3909z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2fail14234z00,
		BGl_z62walk1zd2fail1881zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3828z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4235za7,
		BGl_z62walk0za2zd2app1718z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3829z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4236za7,
		BGl_z62walk1za2zd2app1720z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3756z00zzast_walkz00,
		BgL_bgl_string3756za700za7za7a4237za7, "walk01631", 9);
	      DEFINE_STRING(BGl_string3758z00zzast_walkz00,
		BgL_bgl_string3758za700za7za7a4238za7, "walk11633", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3910z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2fail14239z00,
		BGl_z62walk2zd2fail1883zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3911z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2fail14240z00,
		BGl_z62walk3zd2fail1885zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3830z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4241za7,
		BGl_z62walk2za2zd2app1722z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3912z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fa4242za7,
		BGl_z62walk0za2zd2fail1887z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3831z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4243za7,
		BGl_z62walk3za2zd2app1724z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3913z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fa4244za7,
		BGl_z62walk1za2zd2fail1889z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3832z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4245za7,
		BGl_z62walk0z12zd2app1726za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3914z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fa4246za7,
		BGl_z62walk2za2zd2fail1891z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3833z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4247za7,
		BGl_z62walk1z12zd2app1728za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3915z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fa4248za7,
		BGl_z62walk3za2zd2fail1893z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3834z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4249za7,
		BGl_z62walk2z12zd2app1730za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3916z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fa4250za7,
		BGl_z62walk0z12zd2fail1895za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3835z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4251za7,
		BGl_z62walk3z12zd2app1732za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3760z00zzast_walkz00,
		BgL_bgl_string3760za700za7za7a4252za7, "walk21635", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3917z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fa4253za7,
		BGl_z62walk1z12zd2fail1897za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3836z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2appza7d4254za7,
		BGl_z62walk0zd2appzd2ly1734z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzast_walkz00,
		BgL_bgl_za762walk01631za762za74255za7, BGl_z62walk01631z62zzast_walkz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3918z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fa4256za7,
		BGl_z62walk2z12zd2fail1899za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3837z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2appza7d4257za7,
		BGl_z62walk1zd2appzd2ly1736z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3762z00zzast_walkz00,
		BgL_bgl_string3762za700za7za7a4258za7, "walk31637", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3919z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fa4259za7,
		BGl_z62walk3z12zd2fail1901za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3838z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2appza7d4260za7,
		BGl_z62walk2zd2appzd2ly1738z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzast_walkz00,
		BgL_bgl_za762walk11633za762za74261za7, BGl_z62walk11633z62zzast_walkz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3839z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2appza7d4262za7,
		BGl_z62walk3zd2appzd2ly1740z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3764z00zzast_walkz00,
		BgL_bgl_string3764za700za7za7a4263za7, "walk41639", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzast_walkz00,
		BgL_bgl_za762walk21635za762za74264za7, BGl_z62walk21635z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3766z00zzast_walkz00,
		BgL_bgl_string3766za700za7za7a4265za7, "walk0*1641", 10);
	      DEFINE_STRING(BGl_string3768z00zzast_walkz00,
		BgL_bgl_string3768za700za7za7a4266za7, "walk1*1643", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3920z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setza7d4267za7,
		BGl_z62walk0zd2setzd2exzd2it1903zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3921z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setza7d4268za7,
		BGl_z62walk1zd2setzd2exzd2it1905zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3840z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ap4269za7,
		BGl_z62walk0za2zd2appzd2ly1742zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3922z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setza7d4270za7,
		BGl_z62walk2zd2setzd2exzd2it1907zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3841z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ap4271za7,
		BGl_z62walk1za2zd2appzd2ly1744zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3923z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setza7d4272za7,
		BGl_z62walk3zd2setzd2exzd2it1909zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3842z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ap4273za7,
		BGl_z62walk2za2zd2appzd2ly1746zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzast_walkz00,
		BgL_bgl_za762walk31637za762za74274za7, BGl_z62walk31637z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3924z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4275za7,
		BGl_z62walk0za2zd2setzd2exzd2it1911z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3843z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ap4276za7,
		BGl_z62walk3za2zd2appzd2ly1748zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3925z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4277za7,
		BGl_z62walk1za2zd2setzd2exzd2it1913z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3844z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ap4278za7,
		BGl_z62walk0z12zd2appzd2ly1750z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3763z00zzast_walkz00,
		BgL_bgl_za762walk41639za762za74279za7, BGl_z62walk41639z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3926z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4280za7,
		BGl_z62walk2za2zd2setzd2exzd2it1915z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3845z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ap4281za7,
		BGl_z62walk1z12zd2appzd2ly1752z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3770z00zzast_walkz00,
		BgL_bgl_string3770za700za7za7a4282za7, "walk2*1645", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3927z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4283za7,
		BGl_z62walk3za2zd2setzd2exzd2it1917z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3846z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ap4284za7,
		BGl_z62walk2z12zd2appzd2ly1754z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3765z00zzast_walkz00,
		BgL_bgl_za762walk0za7a21641za74285za7, BGl_z62walk0za21641zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3928z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4286za7,
		BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3847z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ap4287za7,
		BGl_z62walk3z12zd2appzd2ly1756z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3772z00zzast_walkz00,
		BgL_bgl_string3772za700za7za7a4288za7, "walk3*1647", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3929z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4289za7,
		BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3848z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2funca4290z00,
		BGl_z62walk0zd2funcall1758zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3767z00zzast_walkz00,
		BgL_bgl_za762walk1za7a21643za74291za7, BGl_z62walk1za21643zc0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3849z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2funca4292z00,
		BGl_z62walk1zd2funcall1760zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3774z00zzast_walkz00,
		BgL_bgl_string3774za700za7za7a4293za7, "walk4*1649", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3769z00zzast_walkz00,
		BgL_bgl_za762walk2za7a21645za74294za7, BGl_z62walk2za21645zc0zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3776z00zzast_walkz00,
		BgL_bgl_string3776za700za7za7a4295za7, "walk0!1651", 10);
	      DEFINE_STRING(BGl_string3778z00zzast_walkz00,
		BgL_bgl_string3778za700za7za7a4296za7, "walk1!1653", 10);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk2za762za7za7ast4297z00, BGl_z62walk2z62zzast_walkz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3930z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4298za7,
		BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3931z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4299za7,
		BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3850z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2funca4300z00,
		BGl_z62walk2zd2funcall1762zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3932z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2jumpza74301za7,
		BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3851z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2funca4302z00,
		BGl_z62walk3zd2funcall1764zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3933z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2jumpza74303za7,
		BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3852z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2fu4304za7,
		BGl_z62walk0za2zd2funcall1767z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3771z00zzast_walkz00,
		BgL_bgl_za762walk3za7a21647za74305za7, BGl_z62walk3za21647zc0zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3934z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2jumpza74306za7,
		BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3853z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2fu4307za7,
		BGl_z62walk1za2zd2funcall1769z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3935z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2jumpza74308za7,
		BGl_z62walk3zd2jumpzd2exzd2it1933zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3854z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2fu4309za7,
		BGl_z62walk2za2zd2funcall1771z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3773z00zzast_walkz00,
		BgL_bgl_za762walk4za7a21649za74310za7, BGl_z62walk4za21649zc0zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3936z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ju4311za7,
		BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3855z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2fu4312za7,
		BGl_z62walk3za2zd2funcall1773z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3780z00zzast_walkz00,
		BgL_bgl_string3780za700za7za7a4313za7, "walk2!1655", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3937z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ju4314za7,
		BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3856z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2fu4315za7,
		BGl_z62walk0z12zd2funcall1775za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3775z00zzast_walkz00,
		BgL_bgl_za762walk0za7121651za74316za7, BGl_z62walk0z121651z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3938z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ju4317za7,
		BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3857z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2fu4318za7,
		BGl_z62walk1z12zd2funcall1777za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3782z00zzast_walkz00,
		BgL_bgl_string3782za700za7za7a4319za7, "walk3!1657", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3939z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ju4320za7,
		BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3858z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2fu4321za7,
		BGl_z62walk2z12zd2funcall1779za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3777z00zzast_walkz00,
		BgL_bgl_za762walk1za7121653za74322za7, BGl_z62walk1z121653z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3859z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2fu4323za7,
		BGl_z62walk3z12zd2funcall1781za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3784z00zzast_walkz00,
		BgL_bgl_string3784za700za7za7a4324za7, "walk4!1659", 10);
	      DEFINE_STRING(BGl_string3785z00zzast_walkz00,
		BgL_bgl_string3785za700za7za7a4325za7, "walk4!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3779z00zzast_walkz00,
		BgL_bgl_za762walk2za7121655za74326za7, BGl_z62walk2z121655z70zzast_walkz00,
		0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3786z00zzast_walkz00,
		BgL_bgl_string3786za700za7za7a4327za7, "Internal Error: forgot Node type",
		32);
	      DEFINE_STRING(BGl_string3787z00zzast_walkz00,
		BgL_bgl_string3787za700za7za7a4328za7, "walk3!", 6);
	      DEFINE_STRING(BGl_string3788z00zzast_walkz00,
		BgL_bgl_string3788za700za7za7a4329za7, "walk2!", 6);
	      DEFINE_STRING(BGl_string3789z00zzast_walkz00,
		BgL_bgl_string3789za700za7za7a4330za7, "walk1!", 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk0za712za770za7za74331za7, BGl_z62walk0z12z70zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3940z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ju4332za7,
		BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3941z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ju4333za7,
		BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3860z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2exter4334z00,
		BGl_z62walk0zd2extern1783zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3942z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ju4335za7,
		BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3861z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2exter4336z00,
		BGl_z62walk1zd2extern1785zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3943z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ju4337za7,
		BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3862z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2exter4338z00,
		BGl_z62walk2zd2extern1787zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3781z00zzast_walkz00,
		BgL_bgl_za762walk3za7121657za74339za7, BGl_z62walk3z121657z70zzast_walkz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3944z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retbl4340z00,
		BGl_z62walk0zd2retblock1951zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3863z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2exter4341z00,
		BGl_z62walk3zd2extern1789zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3945z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retbl4342z00,
		BGl_z62walk1zd2retblock1953zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3864z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ex4343za7,
		BGl_z62walk0za2zd2extern1791z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3783z00zzast_walkz00,
		BgL_bgl_za762walk4za7121659za74344za7, BGl_z62walk4z121659z70zzast_walkz00,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3946z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retbl4345z00,
		BGl_z62walk2zd2retblock1955zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3865z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ex4346za7,
		BGl_z62walk1za2zd2extern1793z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3790z00zzast_walkz00,
		BgL_bgl_string3790za700za7za7a4347za7, "walk0!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3947z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retbl4348z00,
		BGl_z62walk3zd2retblock1957zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3866z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ex4349za7,
		BGl_z62walk2za2zd2extern1795z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3791z00zzast_walkz00,
		BgL_bgl_string3791za700za7za7a4350za7, "walk3*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3948z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4351za7,
		BGl_z62walk0za2zd2retblock1959z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3867z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ex4352za7,
		BGl_z62walk3za2zd2extern1797z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string3792z00zzast_walkz00,
		BgL_bgl_string3792za700za7za7a4353za7, "walk2*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3949z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4354za7,
		BGl_z62walk1za2zd2retblock1961z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3868z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ex4355za7,
		BGl_z62walk0z12zd2extern1799za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3793z00zzast_walkz00,
		BgL_bgl_string3793za700za7za7a4356za7, "walk1*", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3869z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ex4357za7,
		BGl_z62walk1z12zd2extern1801za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3794z00zzast_walkz00,
		BgL_bgl_string3794za700za7za7a4358za7, "walk0*", 6);
	      DEFINE_STRING(BGl_string3795z00zzast_walkz00,
		BgL_bgl_string3795za700za7za7a4359za7, "walk4", 5);
	      DEFINE_STRING(BGl_string3796z00zzast_walkz00,
		BgL_bgl_string3796za700za7za7a4360za7, "walk3", 5);
	      DEFINE_STRING(BGl_string3797z00zzast_walkz00,
		BgL_bgl_string3797za700za7za7a4361za7, "walk2", 5);
	      DEFINE_STRING(BGl_string3798z00zzast_walkz00,
		BgL_bgl_string3798za700za7za7a4362za7, "walk1", 5);
	      DEFINE_STRING(BGl_string3799z00zzast_walkz00,
		BgL_bgl_string3799za700za7za7a4363za7, "walk0", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3950z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4364za7,
		BGl_z62walk2za2zd2retblock1963z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3951z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4365za7,
		BGl_z62walk3za2zd2retblock1965z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3870z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ex4366za7,
		BGl_z62walk2z12zd2extern1803za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3952z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4367za7,
		BGl_z62walk0z12zd2retblock1967za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3871z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ex4368za7,
		BGl_z62walk3z12zd2extern1805za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3953z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4369za7,
		BGl_z62walk1z12zd2retblock1969za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3872z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2cast14370z00,
		BGl_z62walk0zd2cast1807zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3954z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4371za7,
		BGl_z62walk2z12zd2retblock1971za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3873z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2cast14372z00,
		BGl_z62walk1zd2cast1809zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3955z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4373za7,
		BGl_z62walk3z12zd2retblock1973za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3874z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2cast14374z00,
		BGl_z62walk2zd2cast1811zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3956z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2retur4375z00,
		BGl_z62walk0zd2return1975zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3875z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2cast14376z00,
		BGl_z62walk3zd2cast1813zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3957z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2retur4377z00,
		BGl_z62walk1zd2return1977zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3876z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ca4378za7,
		BGl_z62walk0za2zd2cast1815z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3958z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2retur4379z00,
		BGl_z62walk2zd2return1979zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3877z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ca4380za7,
		BGl_z62walk1za2zd2cast1817z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3959z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2retur4381z00,
		BGl_z62walk3zd2return1981zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3878z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ca4382za7,
		BGl_z62walk2za2zd2cast1819z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3879z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ca4383za7,
		BGl_z62walk3za2zd2cast1821z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3960z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2re4384za7,
		BGl_z62walk0za2zd2return1983z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3961z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2re4385za7,
		BGl_z62walk1za2zd2return1985z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3880z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ca4386za7,
		BGl_z62walk0z12zd2cast1823za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3962z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2re4387za7,
		BGl_z62walk2za2zd2return1987z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3881z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ca4388za7,
		BGl_z62walk1z12zd2cast1825za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3963z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2re4389za7,
		BGl_z62walk3za2zd2return1989z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3882z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ca4390za7,
		BGl_z62walk2z12zd2cast1827za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3964z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2re4391za7,
		BGl_z62walk0z12zd2return1991za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3883z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ca4392za7,
		BGl_z62walk3z12zd2cast1829za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2re4393za7,
		BGl_z62walk1z12zd2return1993za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3884z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2setq14394z00,
		BGl_z62walk0zd2setq1831zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2re4395za7,
		BGl_z62walk2z12zd2return1995za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3885z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2setq14396z00,
		BGl_z62walk1zd2setq1833zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2re4397za7,
		BGl_z62walk3z12zd2return1997za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3886z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2setq14398z00,
		BGl_z62walk2zd2setq1835zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2makeza74399za7,
		BGl_z62walk0zd2makezd2box1999z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3887z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2setq14400z00,
		BGl_z62walk3zd2setq1837zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2makeza74401za7,
		BGl_z62walk1zd2makezd2box2001z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3888z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2se4402za7,
		BGl_z62walk0za2zd2setq1839z12zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3889z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2se4403za7,
		BGl_z62walk1za2zd2setq1841z12zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk3zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk3za762za7za7ast4404z00, BGl_z62walk3z62zzast_walkz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2makeza74405za7,
		BGl_z62walk2zd2makezd2box2003z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2makeza74406za7,
		BGl_z62walk3zd2makezd2box2005z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3890z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2se4407za7,
		BGl_z62walk2za2zd2setq1843z12zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2ma4408za7,
		BGl_z62walk0za2zd2makezd2box2007zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3891z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2se4409za7,
		BGl_z62walk3za2zd2setq1845z12zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2ma4410za7,
		BGl_z62walk1za2zd2makezd2box2009zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3892z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2se4411za7,
		BGl_z62walk0z12zd2setq1847za2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2ma4412za7,
		BGl_z62walk2za2zd2makezd2box2011zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3893z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2se4413za7,
		BGl_z62walk1z12zd2setq1849za2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2ma4414za7,
		BGl_z62walk3za2zd2makezd2box2013zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3894z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2se4415za7,
		BGl_z62walk2z12zd2setq1851za2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2ma4416za7,
		BGl_z62walk0z12zd2makezd2box2015z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3895z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2se4417za7,
		BGl_z62walk3z12zd2setq1853za2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2ma4418za7,
		BGl_z62walk1z12zd2makezd2box2017z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3896z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2condi4419z00,
		BGl_z62walk0zd2conditional1855zb0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2ma4420za7,
		BGl_z62walk2z12zd2makezd2box2019z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3897z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2condi4421z00,
		BGl_z62walk1zd2conditional1857zb0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2ma4422za7,
		BGl_z62walk3z12zd2makezd2box2021z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3898z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2condi4423z00,
		BGl_z62walk2zd2conditional1859zb0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3899z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2condi4424z00,
		BGl_z62walk3zd2conditional1861zb0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk0za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7c0za7za74425za7, BGl_z62walk0za2zc0zzast_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4426za7,
		BGl_z62walk0zd2boxzd2ref2023z62zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4427za7,
		BGl_z62walk1zd2boxzd2ref2025z62zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4428za7,
		BGl_z62walk2zd2boxzd2ref2027z62zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4429za7,
		BGl_z62walk3zd2boxzd2ref2029z62zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4430za7,
		BGl_z62walk0za2zd2boxzd2ref2031zc0zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4431za7,
		BGl_z62walk1za2zd2boxzd2ref2033zc0zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4432za7,
		BGl_z62walk2za2zd2boxzd2ref2035zc0zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4433za7,
		BGl_z62walk3za2zd2boxzd2ref2037zc0zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzast_walkz00,
		BgL_bgl_za762walk0za712za7d2bo4434za7,
		BGl_z62walk0z12zd2boxzd2ref2039z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzast_walkz00,
		BgL_bgl_za762walk1za712za7d2bo4435za7,
		BGl_z62walk1z12zd2boxzd2ref2041z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk1za712za770za7za74436za7, BGl_z62walk1z12z70zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzast_walkz00,
		BgL_bgl_za762walk2za712za7d2bo4437za7,
		BGl_z62walk2z12zd2boxzd2ref2043z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzast_walkz00,
		BgL_bgl_za762walk3za712za7d2bo4438za7,
		BGl_z62walk3z12zd2boxzd2ref2045z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzast_walkz00,
		BgL_bgl_za762walk0za7d2boxza7d4439za7,
		BGl_z62walk0zd2boxzd2setz122047z70zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzast_walkz00,
		BgL_bgl_za762walk1za7d2boxza7d4440za7,
		BGl_z62walk1zd2boxzd2setz122049z70zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzast_walkz00,
		BgL_bgl_za762walk2za7d2boxza7d4441za7,
		BGl_z62walk2zd2boxzd2setz122051z70zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzast_walkz00,
		BgL_bgl_za762walk3za7d2boxza7d4442za7,
		BGl_z62walk3zd2boxzd2setz122053z70zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzast_walkz00,
		BgL_bgl_za762walk0za7a2za7d2bo4443za7,
		BGl_z62walk0za2zd2boxzd2setz122055zd2zzast_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7d2bo4444za7,
		BGl_z62walk1za2zd2boxzd2setz122057zd2zzast_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzast_walkz00,
		BgL_bgl_za762walk2za7a2za7d2bo4445za7,
		BGl_z62walk2za2zd2boxzd2setz122059zd2zzast_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzast_walkz00,
		BgL_bgl_za762walk3za7a2za7d2bo4446za7,
		BGl_z62walk3za2zd2boxzd2setz122061zd2zzast_walkz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk4zd2envzd2zzast_walkz00,
		BgL_bgl_za762walk4za762za7za7ast4447z00, BGl_z62walk4z62zzast_walkz00, 0L,
		BUNSPEC, 6);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk1za2zd2envz70zzast_walkz00,
		BgL_bgl_za762walk1za7a2za7c0za7za74448za7, BGl_z62walk1za2zc0zzast_walkz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_walk2z12zd2envzc0zzast_walkz00,
		BgL_bgl_za762walk2za712za770za7za74449za7, BGl_z62walk2z12z70zzast_walkz00,
		0L, BUNSPEC, 4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long
		BgL_checksumz00_9928, char *BgL_fromz00_9929)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzast_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_walkz00();
					BGl_libraryzd2moduleszd2initz00zzast_walkz00();
					BGl_importedzd2moduleszd2initz00zzast_walkz00();
					BGl_genericzd2initzd2zzast_walkz00();
					BGl_methodzd2initzd2zzast_walkz00();
					return BGl_toplevelzd2initzd2zzast_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_walk");
			return BUNSPEC;
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzast_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_2291;

					BgL_headz00_2291 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_2292;
						obj_t BgL_tailz00_2293;

						BgL_prevz00_2292 = BgL_headz00_2291;
						BgL_tailz00_2293 = BgL_l1z00_1;
					BgL_loopz00_2294:
						if (PAIRP(BgL_tailz00_2293))
							{
								obj_t BgL_newzd2prevzd2_2296;

								BgL_newzd2prevzd2_2296 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2293), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_2292, BgL_newzd2prevzd2_2296);
								{
									obj_t BgL_tailz00_9958;
									obj_t BgL_prevz00_9957;

									BgL_prevz00_9957 = BgL_newzd2prevzd2_2296;
									BgL_tailz00_9958 = CDR(BgL_tailz00_2293);
									BgL_tailz00_2293 = BgL_tailz00_9958;
									BgL_prevz00_2292 = BgL_prevz00_9957;
									goto BgL_loopz00_2294;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_2291);
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk0zd2envzd2zzast_walkz00,
				BGl_proc3755z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3756z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk1zd2envzd2zzast_walkz00,
				BGl_proc3757z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3758z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk2zd2envzd2zzast_walkz00,
				BGl_proc3759z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3760z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk3zd2envzd2zzast_walkz00,
				BGl_proc3761z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3762z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_walk4zd2envzd2zzast_walkz00,
				BGl_proc3763z00zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string3764z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_proc3765z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3766z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_proc3767z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3768z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_proc3769z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3770z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_proc3771z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3772z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4za2zd2envz70zzast_walkz00, BGl_proc3773z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3774z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_proc3775z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3776z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_proc3777z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3778z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_proc3779z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3780z00zzast_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_proc3781z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3782z00zzast_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_walk4z12zd2envzc0zzast_walkz00, BGl_proc3783z00zzast_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string3784z00zzast_walkz00);
		}

	}



/* &walk4!1659 */
	obj_t BGl_z62walk4z121659z70zzast_walkz00(obj_t BgL_envz00_7037,
		obj_t BgL_nz00_7038, obj_t BgL_pz00_7039, obj_t BgL_arg0z00_7040,
		obj_t BgL_arg1z00_7041, obj_t BgL_arg2z00_7042, obj_t BgL_arg3z00_7043)
	{
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 162 */
				obj_t BgL_arg2228z00_8675;

				{	/* Ast/walk.scm 162 */
					obj_t BgL_zc3z04anonymousza32231ze3z87_8676;

					BgL_zc3z04anonymousza32231ze3z87_8676 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32231ze3z87_8676,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7038)));
					BgL_arg2228z00_8675 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32231ze3z87_8676);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3785z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2228z00_8675);
			}
		}

	}



/* &<@anonymous:2231> */
	obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzast_walkz00(obj_t BgL_envz00_7044)
	{
		{	/* Ast/walk.scm 162 */
			{	/* Ast/walk.scm 162 */
				BgL_nodez00_bglt BgL_nz00_7045;

				BgL_nz00_7045 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7044, (int) (0L)));
				{	/* Ast/walk.scm 162 */
					obj_t BgL_portz00_8677;

					{	/* Ast/walk.scm 162 */
						obj_t BgL_tmpz00_9988;

						BgL_tmpz00_9988 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8677 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_9988);
					}
					{	/* Ast/walk.scm 162 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7045), BgL_portz00_8677);
					}
				}
			}
		}

	}



/* &walk3!1657 */
	obj_t BGl_z62walk3z121657z70zzast_walkz00(obj_t BgL_envz00_7046,
		obj_t BgL_nz00_7047, obj_t BgL_pz00_7048, obj_t BgL_arg0z00_7049,
		obj_t BgL_arg1z00_7050, obj_t BgL_arg2z00_7051)
	{
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 159 */
				obj_t BgL_arg2224z00_8680;

				{	/* Ast/walk.scm 159 */
					obj_t BgL_zc3z04anonymousza32226ze3z87_8681;

					BgL_zc3z04anonymousza32226ze3z87_8681 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32226ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32226ze3z87_8681,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7047)));
					BgL_arg2224z00_8680 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32226ze3z87_8681);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3787z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2224z00_8680);
			}
		}

	}



/* &<@anonymous:2226> */
	obj_t BGl_z62zc3z04anonymousza32226ze3ze5zzast_walkz00(obj_t BgL_envz00_7052)
	{
		{	/* Ast/walk.scm 159 */
			{	/* Ast/walk.scm 159 */
				BgL_nodez00_bglt BgL_nz00_7053;

				BgL_nz00_7053 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7052, (int) (0L)));
				{	/* Ast/walk.scm 159 */
					obj_t BgL_portz00_8682;

					{	/* Ast/walk.scm 159 */
						obj_t BgL_tmpz00_10005;

						BgL_tmpz00_10005 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8682 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10005);
					}
					{	/* Ast/walk.scm 159 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7053), BgL_portz00_8682);
					}
				}
			}
		}

	}



/* &walk2!1655 */
	obj_t BGl_z62walk2z121655z70zzast_walkz00(obj_t BgL_envz00_7054,
		obj_t BgL_nz00_7055, obj_t BgL_pz00_7056, obj_t BgL_arg0z00_7057,
		obj_t BgL_arg1z00_7058)
	{
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 156 */
				obj_t BgL_arg2220z00_8685;

				{	/* Ast/walk.scm 156 */
					obj_t BgL_zc3z04anonymousza32222ze3z87_8686;

					BgL_zc3z04anonymousza32222ze3z87_8686 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32222ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32222ze3z87_8686,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7055)));
					BgL_arg2220z00_8685 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32222ze3z87_8686);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3788z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2220z00_8685);
			}
		}

	}



/* &<@anonymous:2222> */
	obj_t BGl_z62zc3z04anonymousza32222ze3ze5zzast_walkz00(obj_t BgL_envz00_7059)
	{
		{	/* Ast/walk.scm 156 */
			{	/* Ast/walk.scm 156 */
				BgL_nodez00_bglt BgL_nz00_7060;

				BgL_nz00_7060 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7059, (int) (0L)));
				{	/* Ast/walk.scm 156 */
					obj_t BgL_portz00_8687;

					{	/* Ast/walk.scm 156 */
						obj_t BgL_tmpz00_10022;

						BgL_tmpz00_10022 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8687 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10022);
					}
					{	/* Ast/walk.scm 156 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7060), BgL_portz00_8687);
					}
				}
			}
		}

	}



/* &walk1!1653 */
	obj_t BGl_z62walk1z121653z70zzast_walkz00(obj_t BgL_envz00_7061,
		obj_t BgL_nz00_7062, obj_t BgL_pz00_7063, obj_t BgL_arg0z00_7064)
	{
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 153 */
				obj_t BgL_arg2216z00_8690;

				{	/* Ast/walk.scm 153 */
					obj_t BgL_zc3z04anonymousza32218ze3z87_8691;

					BgL_zc3z04anonymousza32218ze3z87_8691 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32218ze3z87_8691,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7062)));
					BgL_arg2216z00_8690 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32218ze3z87_8691);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3789z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2216z00_8690);
			}
		}

	}



/* &<@anonymous:2218> */
	obj_t BGl_z62zc3z04anonymousza32218ze3ze5zzast_walkz00(obj_t BgL_envz00_7065)
	{
		{	/* Ast/walk.scm 153 */
			{	/* Ast/walk.scm 153 */
				BgL_nodez00_bglt BgL_nz00_7066;

				BgL_nz00_7066 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7065, (int) (0L)));
				{	/* Ast/walk.scm 153 */
					obj_t BgL_portz00_8692;

					{	/* Ast/walk.scm 153 */
						obj_t BgL_tmpz00_10039;

						BgL_tmpz00_10039 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8692 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10039);
					}
					{	/* Ast/walk.scm 153 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7066), BgL_portz00_8692);
					}
				}
			}
		}

	}



/* &walk0!1651 */
	obj_t BGl_z62walk0z121651z70zzast_walkz00(obj_t BgL_envz00_7067,
		obj_t BgL_nz00_7068, obj_t BgL_pz00_7069)
	{
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 150 */
				obj_t BgL_arg2212z00_8695;

				{	/* Ast/walk.scm 150 */
					obj_t BgL_zc3z04anonymousza32214ze3z87_8696;

					BgL_zc3z04anonymousza32214ze3z87_8696 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32214ze3z87_8696,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7068)));
					BgL_arg2212z00_8695 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32214ze3z87_8696);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3790z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2212z00_8695);
			}
		}

	}



/* &<@anonymous:2214> */
	obj_t BGl_z62zc3z04anonymousza32214ze3ze5zzast_walkz00(obj_t BgL_envz00_7070)
	{
		{	/* Ast/walk.scm 150 */
			{	/* Ast/walk.scm 150 */
				BgL_nodez00_bglt BgL_nz00_7071;

				BgL_nz00_7071 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7070, (int) (0L)));
				{	/* Ast/walk.scm 150 */
					obj_t BgL_portz00_8697;

					{	/* Ast/walk.scm 150 */
						obj_t BgL_tmpz00_10056;

						BgL_tmpz00_10056 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8697 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10056);
					}
					{	/* Ast/walk.scm 150 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7071), BgL_portz00_8697);
					}
				}
			}
		}

	}



/* &walk4*1649 */
	obj_t BGl_z62walk4za21649zc0zzast_walkz00(obj_t BgL_envz00_7072,
		obj_t BgL_nz00_7073, obj_t BgL_pz00_7074, obj_t BgL_arg0z00_7075,
		obj_t BgL_arg1z00_7076, obj_t BgL_arg2z00_7077, obj_t BgL_arg3z00_7078)
	{
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 146 */
				obj_t BgL_arg2208z00_8700;

				{	/* Ast/walk.scm 146 */
					obj_t BgL_zc3z04anonymousza32210ze3z87_8701;

					BgL_zc3z04anonymousza32210ze3z87_8701 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32210ze3z87_8701,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7073)));
					BgL_arg2208z00_8700 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32210ze3z87_8701);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3785z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2208z00_8700);
			}
		}

	}



/* &<@anonymous:2210> */
	obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzast_walkz00(obj_t BgL_envz00_7079)
	{
		{	/* Ast/walk.scm 146 */
			{	/* Ast/walk.scm 146 */
				BgL_nodez00_bglt BgL_nz00_7080;

				BgL_nz00_7080 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7079, (int) (0L)));
				{	/* Ast/walk.scm 146 */
					obj_t BgL_portz00_8702;

					{	/* Ast/walk.scm 146 */
						obj_t BgL_tmpz00_10073;

						BgL_tmpz00_10073 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8702 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10073);
					}
					{	/* Ast/walk.scm 146 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7080), BgL_portz00_8702);
					}
				}
			}
		}

	}



/* &walk3*1647 */
	obj_t BGl_z62walk3za21647zc0zzast_walkz00(obj_t BgL_envz00_7081,
		obj_t BgL_nz00_7082, obj_t BgL_pz00_7083, obj_t BgL_arg0z00_7084,
		obj_t BgL_arg1z00_7085, obj_t BgL_arg2z00_7086)
	{
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 143 */
				obj_t BgL_arg2204z00_8705;

				{	/* Ast/walk.scm 143 */
					obj_t BgL_zc3z04anonymousza32206ze3z87_8706;

					BgL_zc3z04anonymousza32206ze3z87_8706 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_8706,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7082)));
					BgL_arg2204z00_8705 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32206ze3z87_8706);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3791z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2204z00_8705);
			}
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzast_walkz00(obj_t BgL_envz00_7087)
	{
		{	/* Ast/walk.scm 143 */
			{	/* Ast/walk.scm 143 */
				BgL_nodez00_bglt BgL_nz00_7088;

				BgL_nz00_7088 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7087, (int) (0L)));
				{	/* Ast/walk.scm 143 */
					obj_t BgL_portz00_8707;

					{	/* Ast/walk.scm 143 */
						obj_t BgL_tmpz00_10090;

						BgL_tmpz00_10090 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8707 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10090);
					}
					{	/* Ast/walk.scm 143 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7088), BgL_portz00_8707);
					}
				}
			}
		}

	}



/* &walk2*1645 */
	obj_t BGl_z62walk2za21645zc0zzast_walkz00(obj_t BgL_envz00_7089,
		obj_t BgL_nz00_7090, obj_t BgL_pz00_7091, obj_t BgL_arg0z00_7092,
		obj_t BgL_arg1z00_7093)
	{
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 140 */
				obj_t BgL_arg2200z00_8710;

				{	/* Ast/walk.scm 140 */
					obj_t BgL_zc3z04anonymousza32202ze3z87_8711;

					BgL_zc3z04anonymousza32202ze3z87_8711 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32202ze3z87_8711,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7090)));
					BgL_arg2200z00_8710 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32202ze3z87_8711);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3792z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2200z00_8710);
			}
		}

	}



/* &<@anonymous:2202> */
	obj_t BGl_z62zc3z04anonymousza32202ze3ze5zzast_walkz00(obj_t BgL_envz00_7094)
	{
		{	/* Ast/walk.scm 140 */
			{	/* Ast/walk.scm 140 */
				BgL_nodez00_bglt BgL_nz00_7095;

				BgL_nz00_7095 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7094, (int) (0L)));
				{	/* Ast/walk.scm 140 */
					obj_t BgL_portz00_8712;

					{	/* Ast/walk.scm 140 */
						obj_t BgL_tmpz00_10107;

						BgL_tmpz00_10107 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8712 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10107);
					}
					{	/* Ast/walk.scm 140 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7095), BgL_portz00_8712);
					}
				}
			}
		}

	}



/* &walk1*1643 */
	obj_t BGl_z62walk1za21643zc0zzast_walkz00(obj_t BgL_envz00_7096,
		obj_t BgL_nz00_7097, obj_t BgL_pz00_7098, obj_t BgL_arg0z00_7099)
	{
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 137 */
				obj_t BgL_arg2195z00_8715;

				{	/* Ast/walk.scm 137 */
					obj_t BgL_zc3z04anonymousza32197ze3z87_8716;

					BgL_zc3z04anonymousza32197ze3z87_8716 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32197ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32197ze3z87_8716,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7097)));
					BgL_arg2195z00_8715 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32197ze3z87_8716);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3793z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2195z00_8715);
			}
		}

	}



/* &<@anonymous:2197> */
	obj_t BGl_z62zc3z04anonymousza32197ze3ze5zzast_walkz00(obj_t BgL_envz00_7100)
	{
		{	/* Ast/walk.scm 137 */
			{	/* Ast/walk.scm 137 */
				BgL_nodez00_bglt BgL_nz00_7101;

				BgL_nz00_7101 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7100, (int) (0L)));
				{	/* Ast/walk.scm 137 */
					obj_t BgL_portz00_8717;

					{	/* Ast/walk.scm 137 */
						obj_t BgL_tmpz00_10124;

						BgL_tmpz00_10124 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8717 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10124);
					}
					{	/* Ast/walk.scm 137 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7101), BgL_portz00_8717);
					}
				}
			}
		}

	}



/* &walk0*1641 */
	obj_t BGl_z62walk0za21641zc0zzast_walkz00(obj_t BgL_envz00_7102,
		obj_t BgL_nz00_7103, obj_t BgL_pz00_7104)
	{
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 134 */
				obj_t BgL_arg2191z00_8720;

				{	/* Ast/walk.scm 134 */
					obj_t BgL_zc3z04anonymousza32193ze3z87_8721;

					BgL_zc3z04anonymousza32193ze3z87_8721 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32193ze3z87_8721,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7103)));
					BgL_arg2191z00_8720 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32193ze3z87_8721);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3794z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2191z00_8720);
			}
		}

	}



/* &<@anonymous:2193> */
	obj_t BGl_z62zc3z04anonymousza32193ze3ze5zzast_walkz00(obj_t BgL_envz00_7105)
	{
		{	/* Ast/walk.scm 134 */
			{	/* Ast/walk.scm 134 */
				BgL_nodez00_bglt BgL_nz00_7106;

				BgL_nz00_7106 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7105, (int) (0L)));
				{	/* Ast/walk.scm 134 */
					obj_t BgL_portz00_8722;

					{	/* Ast/walk.scm 134 */
						obj_t BgL_tmpz00_10141;

						BgL_tmpz00_10141 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8722 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10141);
					}
					{	/* Ast/walk.scm 134 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7106), BgL_portz00_8722);
					}
				}
			}
		}

	}



/* &walk41639 */
	obj_t BGl_z62walk41639z62zzast_walkz00(obj_t BgL_envz00_7107,
		obj_t BgL_nz00_7108, obj_t BgL_pz00_7109, obj_t BgL_arg0z00_7110,
		obj_t BgL_arg1z00_7111, obj_t BgL_arg2z00_7112, obj_t BgL_arg3z00_7113)
	{
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 130 */
				obj_t BgL_arg2187z00_8725;

				{	/* Ast/walk.scm 130 */
					obj_t BgL_zc3z04anonymousza32189ze3z87_8726;

					BgL_zc3z04anonymousza32189ze3z87_8726 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32189ze3z87_8726,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7108)));
					BgL_arg2187z00_8725 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32189ze3z87_8726);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3795z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2187z00_8725);
			}
		}

	}



/* &<@anonymous:2189> */
	obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzast_walkz00(obj_t BgL_envz00_7114)
	{
		{	/* Ast/walk.scm 130 */
			{	/* Ast/walk.scm 130 */
				BgL_nodez00_bglt BgL_nz00_7115;

				BgL_nz00_7115 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7114, (int) (0L)));
				{	/* Ast/walk.scm 130 */
					obj_t BgL_portz00_8727;

					{	/* Ast/walk.scm 130 */
						obj_t BgL_tmpz00_10158;

						BgL_tmpz00_10158 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8727 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10158);
					}
					{	/* Ast/walk.scm 130 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7115), BgL_portz00_8727);
					}
				}
			}
		}

	}



/* &walk31637 */
	obj_t BGl_z62walk31637z62zzast_walkz00(obj_t BgL_envz00_7116,
		obj_t BgL_nz00_7117, obj_t BgL_pz00_7118, obj_t BgL_arg0z00_7119,
		obj_t BgL_arg1z00_7120, obj_t BgL_arg2z00_7121)
	{
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 127 */
				obj_t BgL_arg2183z00_8730;

				{	/* Ast/walk.scm 127 */
					obj_t BgL_zc3z04anonymousza32185ze3z87_8731;

					BgL_zc3z04anonymousza32185ze3z87_8731 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32185ze3z87_8731,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7117)));
					BgL_arg2183z00_8730 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32185ze3z87_8731);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3796z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2183z00_8730);
			}
		}

	}



/* &<@anonymous:2185> */
	obj_t BGl_z62zc3z04anonymousza32185ze3ze5zzast_walkz00(obj_t BgL_envz00_7122)
	{
		{	/* Ast/walk.scm 127 */
			{	/* Ast/walk.scm 127 */
				BgL_nodez00_bglt BgL_nz00_7123;

				BgL_nz00_7123 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7122, (int) (0L)));
				{	/* Ast/walk.scm 127 */
					obj_t BgL_portz00_8732;

					{	/* Ast/walk.scm 127 */
						obj_t BgL_tmpz00_10175;

						BgL_tmpz00_10175 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8732 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10175);
					}
					{	/* Ast/walk.scm 127 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7123), BgL_portz00_8732);
					}
				}
			}
		}

	}



/* &walk21635 */
	obj_t BGl_z62walk21635z62zzast_walkz00(obj_t BgL_envz00_7124,
		obj_t BgL_nz00_7125, obj_t BgL_pz00_7126, obj_t BgL_arg0z00_7127,
		obj_t BgL_arg1z00_7128)
	{
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 124 */
				obj_t BgL_arg2179z00_8735;

				{	/* Ast/walk.scm 124 */
					obj_t BgL_zc3z04anonymousza32181ze3z87_8736;

					BgL_zc3z04anonymousza32181ze3z87_8736 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32181ze3z87_8736,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7125)));
					BgL_arg2179z00_8735 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32181ze3z87_8736);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3797z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2179z00_8735);
			}
		}

	}



/* &<@anonymous:2181> */
	obj_t BGl_z62zc3z04anonymousza32181ze3ze5zzast_walkz00(obj_t BgL_envz00_7129)
	{
		{	/* Ast/walk.scm 124 */
			{	/* Ast/walk.scm 124 */
				BgL_nodez00_bglt BgL_nz00_7130;

				BgL_nz00_7130 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7129, (int) (0L)));
				{	/* Ast/walk.scm 124 */
					obj_t BgL_portz00_8737;

					{	/* Ast/walk.scm 124 */
						obj_t BgL_tmpz00_10192;

						BgL_tmpz00_10192 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8737 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10192);
					}
					{	/* Ast/walk.scm 124 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7130), BgL_portz00_8737);
					}
				}
			}
		}

	}



/* &walk11633 */
	obj_t BGl_z62walk11633z62zzast_walkz00(obj_t BgL_envz00_7131,
		obj_t BgL_nz00_7132, obj_t BgL_pz00_7133, obj_t BgL_arg0z00_7134)
	{
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 121 */
				obj_t BgL_arg2175z00_8740;

				{	/* Ast/walk.scm 121 */
					obj_t BgL_zc3z04anonymousza32177ze3z87_8741;

					BgL_zc3z04anonymousza32177ze3z87_8741 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_8741,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7132)));
					BgL_arg2175z00_8740 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32177ze3z87_8741);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3798z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2175z00_8740);
			}
		}

	}



/* &<@anonymous:2177> */
	obj_t BGl_z62zc3z04anonymousza32177ze3ze5zzast_walkz00(obj_t BgL_envz00_7135)
	{
		{	/* Ast/walk.scm 121 */
			{	/* Ast/walk.scm 121 */
				BgL_nodez00_bglt BgL_nz00_7136;

				BgL_nz00_7136 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7135, (int) (0L)));
				{	/* Ast/walk.scm 121 */
					obj_t BgL_portz00_8742;

					{	/* Ast/walk.scm 121 */
						obj_t BgL_tmpz00_10209;

						BgL_tmpz00_10209 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8742 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10209);
					}
					{	/* Ast/walk.scm 121 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7136), BgL_portz00_8742);
					}
				}
			}
		}

	}



/* &walk01631 */
	obj_t BGl_z62walk01631z62zzast_walkz00(obj_t BgL_envz00_7137,
		obj_t BgL_nz00_7138, obj_t BgL_pz00_7139)
	{
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 118 */
				obj_t BgL_arg2171z00_8745;

				{	/* Ast/walk.scm 118 */
					obj_t BgL_zc3z04anonymousza32173ze3z87_8746;

					BgL_zc3z04anonymousza32173ze3z87_8746 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32173ze3ze5zzast_walkz00,
						(int) (0L), (int) (1L));
					PROCEDURE_SET(BgL_zc3z04anonymousza32173ze3z87_8746,
						(int) (0L), ((obj_t) ((BgL_nodez00_bglt) BgL_nz00_7138)));
					BgL_arg2171z00_8745 =
						BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
						(BgL_zc3z04anonymousza32173ze3z87_8746);
				}
				return
					BGl_errorz00zz__errorz00(BGl_string3799z00zzast_walkz00,
					BGl_string3786z00zzast_walkz00, BgL_arg2171z00_8745);
			}
		}

	}



/* &<@anonymous:2173> */
	obj_t BGl_z62zc3z04anonymousza32173ze3ze5zzast_walkz00(obj_t BgL_envz00_7140)
	{
		{	/* Ast/walk.scm 118 */
			{	/* Ast/walk.scm 118 */
				BgL_nodez00_bglt BgL_nz00_7141;

				BgL_nz00_7141 =
					((BgL_nodez00_bglt) PROCEDURE_REF(BgL_envz00_7140, (int) (0L)));
				{	/* Ast/walk.scm 118 */
					obj_t BgL_portz00_8747;

					{	/* Ast/walk.scm 118 */
						obj_t BgL_tmpz00_10226;

						BgL_tmpz00_10226 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_portz00_8747 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_10226);
					}
					{	/* Ast/walk.scm 118 */

						return
							BGl_writezd2circlezd2zz__pp_circlez00(
							((obj_t) BgL_nz00_7141), BgL_portz00_8747);
					}
				}
			}
		}

	}



/* walk0 */
	BGL_EXPORTED_DEF obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_3,
		obj_t BgL_pz00_4)
	{
		{	/* Ast/walk.scm 116 */
			{	/* Ast/walk.scm 116 */
				obj_t BgL_method1632z00_2494;

				{	/* Ast/walk.scm 116 */
					obj_t BgL_res3684z00_6027;

					{	/* Ast/walk.scm 116 */
						long BgL_objzd2classzd2numz00_5998;

						BgL_objzd2classzd2numz00_5998 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_3));
						{	/* Ast/walk.scm 116 */
							obj_t BgL_arg1862z00_5999;

							BgL_arg1862z00_5999 =
								PROCEDURE_REF(BGl_walk0zd2envzd2zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 116 */
								int BgL_offsetz00_6002;

								BgL_offsetz00_6002 = (int) (BgL_objzd2classzd2numz00_5998);
								{	/* Ast/walk.scm 116 */
									long BgL_offsetz00_6003;

									BgL_offsetz00_6003 =
										((long) (BgL_offsetz00_6002) - OBJECT_TYPE);
									{	/* Ast/walk.scm 116 */
										long BgL_modz00_6004;

										BgL_modz00_6004 =
											(BgL_offsetz00_6003 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 116 */
											long BgL_restz00_6006;

											BgL_restz00_6006 =
												(BgL_offsetz00_6003 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 116 */

												{	/* Ast/walk.scm 116 */
													obj_t BgL_bucketz00_6008;

													BgL_bucketz00_6008 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5999), BgL_modz00_6004);
													BgL_res3684z00_6027 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6008), BgL_restz00_6006);
					}}}}}}}}
					BgL_method1632z00_2494 = BgL_res3684z00_6027;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1632z00_2494,
					((obj_t) BgL_nz00_3), BgL_pz00_4);
			}
		}

	}



/* &walk0 */
	obj_t BGl_z62walk0z62zzast_walkz00(obj_t BgL_envz00_7142, obj_t BgL_nz00_7143,
		obj_t BgL_pz00_7144)
	{
		{	/* Ast/walk.scm 116 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7143), BgL_pz00_7144);
		}

	}



/* walk1 */
	BGL_EXPORTED_DEF obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_5,
		obj_t BgL_pz00_6, obj_t BgL_arg0z00_7)
	{
		{	/* Ast/walk.scm 119 */
			{	/* Ast/walk.scm 119 */
				obj_t BgL_method1634z00_2495;

				{	/* Ast/walk.scm 119 */
					obj_t BgL_res3689z00_6058;

					{	/* Ast/walk.scm 119 */
						long BgL_objzd2classzd2numz00_6029;

						BgL_objzd2classzd2numz00_6029 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_5));
						{	/* Ast/walk.scm 119 */
							obj_t BgL_arg1862z00_6030;

							BgL_arg1862z00_6030 =
								PROCEDURE_REF(BGl_walk1zd2envzd2zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 119 */
								int BgL_offsetz00_6033;

								BgL_offsetz00_6033 = (int) (BgL_objzd2classzd2numz00_6029);
								{	/* Ast/walk.scm 119 */
									long BgL_offsetz00_6034;

									BgL_offsetz00_6034 =
										((long) (BgL_offsetz00_6033) - OBJECT_TYPE);
									{	/* Ast/walk.scm 119 */
										long BgL_modz00_6035;

										BgL_modz00_6035 =
											(BgL_offsetz00_6034 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 119 */
											long BgL_restz00_6037;

											BgL_restz00_6037 =
												(BgL_offsetz00_6034 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 119 */

												{	/* Ast/walk.scm 119 */
													obj_t BgL_bucketz00_6039;

													BgL_bucketz00_6039 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6030), BgL_modz00_6035);
													BgL_res3689z00_6058 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6039), BgL_restz00_6037);
					}}}}}}}}
					BgL_method1634z00_2495 = BgL_res3689z00_6058;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1634z00_2495,
					((obj_t) BgL_nz00_5), BgL_pz00_6, BgL_arg0z00_7);
			}
		}

	}



/* &walk1 */
	obj_t BGl_z62walk1z62zzast_walkz00(obj_t BgL_envz00_7145, obj_t BgL_nz00_7146,
		obj_t BgL_pz00_7147, obj_t BgL_arg0z00_7148)
	{
		{	/* Ast/walk.scm 119 */
			return
				BGl_walk1z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7146), BgL_pz00_7147, BgL_arg0z00_7148);
		}

	}



/* walk2 */
	BGL_EXPORTED_DEF obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_8,
		obj_t BgL_pz00_9, obj_t BgL_arg0z00_10, obj_t BgL_arg1z00_11)
	{
		{	/* Ast/walk.scm 122 */
			{	/* Ast/walk.scm 122 */
				obj_t BgL_method1636z00_2496;

				{	/* Ast/walk.scm 122 */
					obj_t BgL_res3694z00_6089;

					{	/* Ast/walk.scm 122 */
						long BgL_objzd2classzd2numz00_6060;

						BgL_objzd2classzd2numz00_6060 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_8));
						{	/* Ast/walk.scm 122 */
							obj_t BgL_arg1862z00_6061;

							BgL_arg1862z00_6061 =
								PROCEDURE_REF(BGl_walk2zd2envzd2zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 122 */
								int BgL_offsetz00_6064;

								BgL_offsetz00_6064 = (int) (BgL_objzd2classzd2numz00_6060);
								{	/* Ast/walk.scm 122 */
									long BgL_offsetz00_6065;

									BgL_offsetz00_6065 =
										((long) (BgL_offsetz00_6064) - OBJECT_TYPE);
									{	/* Ast/walk.scm 122 */
										long BgL_modz00_6066;

										BgL_modz00_6066 =
											(BgL_offsetz00_6065 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 122 */
											long BgL_restz00_6068;

											BgL_restz00_6068 =
												(BgL_offsetz00_6065 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 122 */

												{	/* Ast/walk.scm 122 */
													obj_t BgL_bucketz00_6070;

													BgL_bucketz00_6070 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6061), BgL_modz00_6066);
													BgL_res3694z00_6089 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6070), BgL_restz00_6068);
					}}}}}}}}
					BgL_method1636z00_2496 = BgL_res3694z00_6089;
				}
				return
					BGL_PROCEDURE_CALL4(BgL_method1636z00_2496,
					((obj_t) BgL_nz00_8), BgL_pz00_9, BgL_arg0z00_10, BgL_arg1z00_11);
			}
		}

	}



/* &walk2 */
	obj_t BGl_z62walk2z62zzast_walkz00(obj_t BgL_envz00_7149, obj_t BgL_nz00_7150,
		obj_t BgL_pz00_7151, obj_t BgL_arg0z00_7152, obj_t BgL_arg1z00_7153)
	{
		{	/* Ast/walk.scm 122 */
			return
				BGl_walk2z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7150), BgL_pz00_7151, BgL_arg0z00_7152,
				BgL_arg1z00_7153);
		}

	}



/* walk3 */
	BGL_EXPORTED_DEF obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_12,
		obj_t BgL_pz00_13, obj_t BgL_arg0z00_14, obj_t BgL_arg1z00_15,
		obj_t BgL_arg2z00_16)
	{
		{	/* Ast/walk.scm 125 */
			{	/* Ast/walk.scm 125 */
				obj_t BgL_method1638z00_2497;

				{	/* Ast/walk.scm 125 */
					obj_t BgL_res3699z00_6120;

					{	/* Ast/walk.scm 125 */
						long BgL_objzd2classzd2numz00_6091;

						BgL_objzd2classzd2numz00_6091 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_12));
						{	/* Ast/walk.scm 125 */
							obj_t BgL_arg1862z00_6092;

							BgL_arg1862z00_6092 =
								PROCEDURE_REF(BGl_walk3zd2envzd2zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 125 */
								int BgL_offsetz00_6095;

								BgL_offsetz00_6095 = (int) (BgL_objzd2classzd2numz00_6091);
								{	/* Ast/walk.scm 125 */
									long BgL_offsetz00_6096;

									BgL_offsetz00_6096 =
										((long) (BgL_offsetz00_6095) - OBJECT_TYPE);
									{	/* Ast/walk.scm 125 */
										long BgL_modz00_6097;

										BgL_modz00_6097 =
											(BgL_offsetz00_6096 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 125 */
											long BgL_restz00_6099;

											BgL_restz00_6099 =
												(BgL_offsetz00_6096 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 125 */

												{	/* Ast/walk.scm 125 */
													obj_t BgL_bucketz00_6101;

													BgL_bucketz00_6101 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6092), BgL_modz00_6097);
													BgL_res3699z00_6120 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6101), BgL_restz00_6099);
					}}}}}}}}
					BgL_method1638z00_2497 = BgL_res3699z00_6120;
				}
				return
					BGL_PROCEDURE_CALL5(BgL_method1638z00_2497,
					((obj_t) BgL_nz00_12), BgL_pz00_13, BgL_arg0z00_14, BgL_arg1z00_15,
					BgL_arg2z00_16);
			}
		}

	}



/* &walk3 */
	obj_t BGl_z62walk3z62zzast_walkz00(obj_t BgL_envz00_7154, obj_t BgL_nz00_7155,
		obj_t BgL_pz00_7156, obj_t BgL_arg0z00_7157, obj_t BgL_arg1z00_7158,
		obj_t BgL_arg2z00_7159)
	{
		{	/* Ast/walk.scm 125 */
			return
				BGl_walk3z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7155), BgL_pz00_7156, BgL_arg0z00_7157,
				BgL_arg1z00_7158, BgL_arg2z00_7159);
		}

	}



/* walk4 */
	BGL_EXPORTED_DEF obj_t BGl_walk4z00zzast_walkz00(BgL_nodez00_bglt BgL_nz00_17,
		obj_t BgL_pz00_18, obj_t BgL_arg0z00_19, obj_t BgL_arg1z00_20,
		obj_t BgL_arg2z00_21, obj_t BgL_arg3z00_22)
	{
		{	/* Ast/walk.scm 128 */
			{	/* Ast/walk.scm 128 */
				obj_t BgL_method1640z00_2498;

				{	/* Ast/walk.scm 128 */
					obj_t BgL_res3704z00_6151;

					{	/* Ast/walk.scm 128 */
						long BgL_objzd2classzd2numz00_6122;

						BgL_objzd2classzd2numz00_6122 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_17));
						{	/* Ast/walk.scm 128 */
							obj_t BgL_arg1862z00_6123;

							BgL_arg1862z00_6123 =
								PROCEDURE_REF(BGl_walk4zd2envzd2zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 128 */
								int BgL_offsetz00_6126;

								BgL_offsetz00_6126 = (int) (BgL_objzd2classzd2numz00_6122);
								{	/* Ast/walk.scm 128 */
									long BgL_offsetz00_6127;

									BgL_offsetz00_6127 =
										((long) (BgL_offsetz00_6126) - OBJECT_TYPE);
									{	/* Ast/walk.scm 128 */
										long BgL_modz00_6128;

										BgL_modz00_6128 =
											(BgL_offsetz00_6127 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 128 */
											long BgL_restz00_6130;

											BgL_restz00_6130 =
												(BgL_offsetz00_6127 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 128 */

												{	/* Ast/walk.scm 128 */
													obj_t BgL_bucketz00_6132;

													BgL_bucketz00_6132 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6123), BgL_modz00_6128);
													BgL_res3704z00_6151 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6132), BgL_restz00_6130);
					}}}}}}}}
					BgL_method1640z00_2498 = BgL_res3704z00_6151;
				}
				return
					BGL_PROCEDURE_CALL6(BgL_method1640z00_2498,
					((obj_t) BgL_nz00_17), BgL_pz00_18, BgL_arg0z00_19, BgL_arg1z00_20,
					BgL_arg2z00_21, BgL_arg3z00_22);
			}
		}

	}



/* &walk4 */
	obj_t BGl_z62walk4z62zzast_walkz00(obj_t BgL_envz00_7160, obj_t BgL_nz00_7161,
		obj_t BgL_pz00_7162, obj_t BgL_arg0z00_7163, obj_t BgL_arg1z00_7164,
		obj_t BgL_arg2z00_7165, obj_t BgL_arg3z00_7166)
	{
		{	/* Ast/walk.scm 128 */
			return
				BGl_walk4z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7161), BgL_pz00_7162, BgL_arg0z00_7163,
				BgL_arg1z00_7164, BgL_arg2z00_7165, BgL_arg3z00_7166);
		}

	}



/* walk0* */
	BGL_EXPORTED_DEF obj_t BGl_walk0za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_23, obj_t BgL_pz00_24)
	{
		{	/* Ast/walk.scm 132 */
			{	/* Ast/walk.scm 132 */
				obj_t BgL_method1642z00_2499;

				{	/* Ast/walk.scm 132 */
					obj_t BgL_res3709z00_6182;

					{	/* Ast/walk.scm 132 */
						long BgL_objzd2classzd2numz00_6153;

						BgL_objzd2classzd2numz00_6153 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_23));
						{	/* Ast/walk.scm 132 */
							obj_t BgL_arg1862z00_6154;

							BgL_arg1862z00_6154 =
								PROCEDURE_REF(BGl_walk0za2zd2envz70zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 132 */
								int BgL_offsetz00_6157;

								BgL_offsetz00_6157 = (int) (BgL_objzd2classzd2numz00_6153);
								{	/* Ast/walk.scm 132 */
									long BgL_offsetz00_6158;

									BgL_offsetz00_6158 =
										((long) (BgL_offsetz00_6157) - OBJECT_TYPE);
									{	/* Ast/walk.scm 132 */
										long BgL_modz00_6159;

										BgL_modz00_6159 =
											(BgL_offsetz00_6158 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 132 */
											long BgL_restz00_6161;

											BgL_restz00_6161 =
												(BgL_offsetz00_6158 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 132 */

												{	/* Ast/walk.scm 132 */
													obj_t BgL_bucketz00_6163;

													BgL_bucketz00_6163 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6154), BgL_modz00_6159);
													BgL_res3709z00_6182 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6163), BgL_restz00_6161);
					}}}}}}}}
					BgL_method1642z00_2499 = BgL_res3709z00_6182;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1642z00_2499,
					((obj_t) BgL_nz00_23), BgL_pz00_24);
			}
		}

	}



/* &walk0* */
	obj_t BGl_z62walk0za2zc0zzast_walkz00(obj_t BgL_envz00_7167,
		obj_t BgL_nz00_7168, obj_t BgL_pz00_7169)
	{
		{	/* Ast/walk.scm 132 */
			return
				BGl_walk0za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7168), BgL_pz00_7169);
		}

	}



/* walk1* */
	BGL_EXPORTED_DEF obj_t BGl_walk1za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_25, obj_t BgL_pz00_26, obj_t BgL_arg0z00_27)
	{
		{	/* Ast/walk.scm 135 */
			{	/* Ast/walk.scm 135 */
				obj_t BgL_method1644z00_2500;

				{	/* Ast/walk.scm 135 */
					obj_t BgL_res3714z00_6213;

					{	/* Ast/walk.scm 135 */
						long BgL_objzd2classzd2numz00_6184;

						BgL_objzd2classzd2numz00_6184 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_25));
						{	/* Ast/walk.scm 135 */
							obj_t BgL_arg1862z00_6185;

							BgL_arg1862z00_6185 =
								PROCEDURE_REF(BGl_walk1za2zd2envz70zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 135 */
								int BgL_offsetz00_6188;

								BgL_offsetz00_6188 = (int) (BgL_objzd2classzd2numz00_6184);
								{	/* Ast/walk.scm 135 */
									long BgL_offsetz00_6189;

									BgL_offsetz00_6189 =
										((long) (BgL_offsetz00_6188) - OBJECT_TYPE);
									{	/* Ast/walk.scm 135 */
										long BgL_modz00_6190;

										BgL_modz00_6190 =
											(BgL_offsetz00_6189 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 135 */
											long BgL_restz00_6192;

											BgL_restz00_6192 =
												(BgL_offsetz00_6189 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 135 */

												{	/* Ast/walk.scm 135 */
													obj_t BgL_bucketz00_6194;

													BgL_bucketz00_6194 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6185), BgL_modz00_6190);
													BgL_res3714z00_6213 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6194), BgL_restz00_6192);
					}}}}}}}}
					BgL_method1644z00_2500 = BgL_res3714z00_6213;
				}
				return
					BGL_PROCEDURE_CALL3(BgL_method1644z00_2500,
					((obj_t) BgL_nz00_25), BgL_pz00_26, BgL_arg0z00_27);
			}
		}

	}



/* &walk1* */
	obj_t BGl_z62walk1za2zc0zzast_walkz00(obj_t BgL_envz00_7170,
		obj_t BgL_nz00_7171, obj_t BgL_pz00_7172, obj_t BgL_arg0z00_7173)
	{
		{	/* Ast/walk.scm 135 */
			return
				BGl_walk1za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7171), BgL_pz00_7172, BgL_arg0z00_7173);
		}

	}



/* walk2* */
	BGL_EXPORTED_DEF obj_t BGl_walk2za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_28, obj_t BgL_pz00_29, obj_t BgL_arg0z00_30, obj_t BgL_arg1z00_31)
	{
		{	/* Ast/walk.scm 138 */
			{	/* Ast/walk.scm 138 */
				obj_t BgL_method1646z00_2501;

				{	/* Ast/walk.scm 138 */
					obj_t BgL_res3719z00_6244;

					{	/* Ast/walk.scm 138 */
						long BgL_objzd2classzd2numz00_6215;

						BgL_objzd2classzd2numz00_6215 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_28));
						{	/* Ast/walk.scm 138 */
							obj_t BgL_arg1862z00_6216;

							BgL_arg1862z00_6216 =
								PROCEDURE_REF(BGl_walk2za2zd2envz70zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 138 */
								int BgL_offsetz00_6219;

								BgL_offsetz00_6219 = (int) (BgL_objzd2classzd2numz00_6215);
								{	/* Ast/walk.scm 138 */
									long BgL_offsetz00_6220;

									BgL_offsetz00_6220 =
										((long) (BgL_offsetz00_6219) - OBJECT_TYPE);
									{	/* Ast/walk.scm 138 */
										long BgL_modz00_6221;

										BgL_modz00_6221 =
											(BgL_offsetz00_6220 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 138 */
											long BgL_restz00_6223;

											BgL_restz00_6223 =
												(BgL_offsetz00_6220 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 138 */

												{	/* Ast/walk.scm 138 */
													obj_t BgL_bucketz00_6225;

													BgL_bucketz00_6225 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6216), BgL_modz00_6221);
													BgL_res3719z00_6244 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6225), BgL_restz00_6223);
					}}}}}}}}
					BgL_method1646z00_2501 = BgL_res3719z00_6244;
				}
				return
					BGL_PROCEDURE_CALL4(BgL_method1646z00_2501,
					((obj_t) BgL_nz00_28), BgL_pz00_29, BgL_arg0z00_30, BgL_arg1z00_31);
			}
		}

	}



/* &walk2* */
	obj_t BGl_z62walk2za2zc0zzast_walkz00(obj_t BgL_envz00_7174,
		obj_t BgL_nz00_7175, obj_t BgL_pz00_7176, obj_t BgL_arg0z00_7177,
		obj_t BgL_arg1z00_7178)
	{
		{	/* Ast/walk.scm 138 */
			return
				BGl_walk2za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7175), BgL_pz00_7176, BgL_arg0z00_7177,
				BgL_arg1z00_7178);
		}

	}



/* walk3* */
	BGL_EXPORTED_DEF obj_t BGl_walk3za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_32, obj_t BgL_pz00_33, obj_t BgL_arg0z00_34, obj_t BgL_arg1z00_35,
		obj_t BgL_arg2z00_36)
	{
		{	/* Ast/walk.scm 141 */
			{	/* Ast/walk.scm 141 */
				obj_t BgL_method1648z00_2502;

				{	/* Ast/walk.scm 141 */
					obj_t BgL_res3724z00_6275;

					{	/* Ast/walk.scm 141 */
						long BgL_objzd2classzd2numz00_6246;

						BgL_objzd2classzd2numz00_6246 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_32));
						{	/* Ast/walk.scm 141 */
							obj_t BgL_arg1862z00_6247;

							BgL_arg1862z00_6247 =
								PROCEDURE_REF(BGl_walk3za2zd2envz70zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 141 */
								int BgL_offsetz00_6250;

								BgL_offsetz00_6250 = (int) (BgL_objzd2classzd2numz00_6246);
								{	/* Ast/walk.scm 141 */
									long BgL_offsetz00_6251;

									BgL_offsetz00_6251 =
										((long) (BgL_offsetz00_6250) - OBJECT_TYPE);
									{	/* Ast/walk.scm 141 */
										long BgL_modz00_6252;

										BgL_modz00_6252 =
											(BgL_offsetz00_6251 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 141 */
											long BgL_restz00_6254;

											BgL_restz00_6254 =
												(BgL_offsetz00_6251 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 141 */

												{	/* Ast/walk.scm 141 */
													obj_t BgL_bucketz00_6256;

													BgL_bucketz00_6256 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6247), BgL_modz00_6252);
													BgL_res3724z00_6275 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6256), BgL_restz00_6254);
					}}}}}}}}
					BgL_method1648z00_2502 = BgL_res3724z00_6275;
				}
				return
					BGL_PROCEDURE_CALL5(BgL_method1648z00_2502,
					((obj_t) BgL_nz00_32), BgL_pz00_33, BgL_arg0z00_34, BgL_arg1z00_35,
					BgL_arg2z00_36);
			}
		}

	}



/* &walk3* */
	obj_t BGl_z62walk3za2zc0zzast_walkz00(obj_t BgL_envz00_7179,
		obj_t BgL_nz00_7180, obj_t BgL_pz00_7181, obj_t BgL_arg0z00_7182,
		obj_t BgL_arg1z00_7183, obj_t BgL_arg2z00_7184)
	{
		{	/* Ast/walk.scm 141 */
			return
				BGl_walk3za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7180), BgL_pz00_7181, BgL_arg0z00_7182,
				BgL_arg1z00_7183, BgL_arg2z00_7184);
		}

	}



/* walk4* */
	BGL_EXPORTED_DEF obj_t BGl_walk4za2za2zzast_walkz00(BgL_nodez00_bglt
		BgL_nz00_37, obj_t BgL_pz00_38, obj_t BgL_arg0z00_39, obj_t BgL_arg1z00_40,
		obj_t BgL_arg2z00_41, obj_t BgL_arg3z00_42)
	{
		{	/* Ast/walk.scm 144 */
			{	/* Ast/walk.scm 144 */
				obj_t BgL_method1650z00_2503;

				{	/* Ast/walk.scm 144 */
					obj_t BgL_res3729z00_6306;

					{	/* Ast/walk.scm 144 */
						long BgL_objzd2classzd2numz00_6277;

						BgL_objzd2classzd2numz00_6277 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_37));
						{	/* Ast/walk.scm 144 */
							obj_t BgL_arg1862z00_6278;

							BgL_arg1862z00_6278 =
								PROCEDURE_REF(BGl_walk4za2zd2envz70zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 144 */
								int BgL_offsetz00_6281;

								BgL_offsetz00_6281 = (int) (BgL_objzd2classzd2numz00_6277);
								{	/* Ast/walk.scm 144 */
									long BgL_offsetz00_6282;

									BgL_offsetz00_6282 =
										((long) (BgL_offsetz00_6281) - OBJECT_TYPE);
									{	/* Ast/walk.scm 144 */
										long BgL_modz00_6283;

										BgL_modz00_6283 =
											(BgL_offsetz00_6282 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 144 */
											long BgL_restz00_6285;

											BgL_restz00_6285 =
												(BgL_offsetz00_6282 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 144 */

												{	/* Ast/walk.scm 144 */
													obj_t BgL_bucketz00_6287;

													BgL_bucketz00_6287 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6278), BgL_modz00_6283);
													BgL_res3729z00_6306 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6287), BgL_restz00_6285);
					}}}}}}}}
					BgL_method1650z00_2503 = BgL_res3729z00_6306;
				}
				return
					BGL_PROCEDURE_CALL6(BgL_method1650z00_2503,
					((obj_t) BgL_nz00_37), BgL_pz00_38, BgL_arg0z00_39, BgL_arg1z00_40,
					BgL_arg2z00_41, BgL_arg3z00_42);
			}
		}

	}



/* &walk4* */
	obj_t BGl_z62walk4za2zc0zzast_walkz00(obj_t BgL_envz00_7185,
		obj_t BgL_nz00_7186, obj_t BgL_pz00_7187, obj_t BgL_arg0z00_7188,
		obj_t BgL_arg1z00_7189, obj_t BgL_arg2z00_7190, obj_t BgL_arg3z00_7191)
	{
		{	/* Ast/walk.scm 144 */
			return
				BGl_walk4za2za2zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7186), BgL_pz00_7187, BgL_arg0z00_7188,
				BgL_arg1z00_7189, BgL_arg2z00_7190, BgL_arg3z00_7191);
		}

	}



/* walk0! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_43,
		obj_t BgL_pz00_44)
	{
		{	/* Ast/walk.scm 148 */
			{	/* Ast/walk.scm 148 */
				obj_t BgL_method1652z00_2504;

				{	/* Ast/walk.scm 148 */
					obj_t BgL_res3734z00_6337;

					{	/* Ast/walk.scm 148 */
						long BgL_objzd2classzd2numz00_6308;

						BgL_objzd2classzd2numz00_6308 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_43));
						{	/* Ast/walk.scm 148 */
							obj_t BgL_arg1862z00_6309;

							BgL_arg1862z00_6309 =
								PROCEDURE_REF(BGl_walk0z12zd2envzc0zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 148 */
								int BgL_offsetz00_6312;

								BgL_offsetz00_6312 = (int) (BgL_objzd2classzd2numz00_6308);
								{	/* Ast/walk.scm 148 */
									long BgL_offsetz00_6313;

									BgL_offsetz00_6313 =
										((long) (BgL_offsetz00_6312) - OBJECT_TYPE);
									{	/* Ast/walk.scm 148 */
										long BgL_modz00_6314;

										BgL_modz00_6314 =
											(BgL_offsetz00_6313 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 148 */
											long BgL_restz00_6316;

											BgL_restz00_6316 =
												(BgL_offsetz00_6313 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 148 */

												{	/* Ast/walk.scm 148 */
													obj_t BgL_bucketz00_6318;

													BgL_bucketz00_6318 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6309), BgL_modz00_6314);
													BgL_res3734z00_6337 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6318), BgL_restz00_6316);
					}}}}}}}}
					BgL_method1652z00_2504 = BgL_res3734z00_6337;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL2(BgL_method1652z00_2504,
						((obj_t) BgL_nz00_43), BgL_pz00_44));
			}
		}

	}



/* &walk0! */
	BgL_nodez00_bglt BGl_z62walk0z12z70zzast_walkz00(obj_t BgL_envz00_7192,
		obj_t BgL_nz00_7193, obj_t BgL_pz00_7194)
	{
		{	/* Ast/walk.scm 148 */
			return
				BGl_walk0z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7193), BgL_pz00_7194);
		}

	}



/* walk1! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_45,
		obj_t BgL_pz00_46, obj_t BgL_arg0z00_47)
	{
		{	/* Ast/walk.scm 151 */
			{	/* Ast/walk.scm 151 */
				obj_t BgL_method1654z00_2505;

				{	/* Ast/walk.scm 151 */
					obj_t BgL_res3739z00_6368;

					{	/* Ast/walk.scm 151 */
						long BgL_objzd2classzd2numz00_6339;

						BgL_objzd2classzd2numz00_6339 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_45));
						{	/* Ast/walk.scm 151 */
							obj_t BgL_arg1862z00_6340;

							BgL_arg1862z00_6340 =
								PROCEDURE_REF(BGl_walk1z12zd2envzc0zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 151 */
								int BgL_offsetz00_6343;

								BgL_offsetz00_6343 = (int) (BgL_objzd2classzd2numz00_6339);
								{	/* Ast/walk.scm 151 */
									long BgL_offsetz00_6344;

									BgL_offsetz00_6344 =
										((long) (BgL_offsetz00_6343) - OBJECT_TYPE);
									{	/* Ast/walk.scm 151 */
										long BgL_modz00_6345;

										BgL_modz00_6345 =
											(BgL_offsetz00_6344 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 151 */
											long BgL_restz00_6347;

											BgL_restz00_6347 =
												(BgL_offsetz00_6344 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 151 */

												{	/* Ast/walk.scm 151 */
													obj_t BgL_bucketz00_6349;

													BgL_bucketz00_6349 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6340), BgL_modz00_6345);
													BgL_res3739z00_6368 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6349), BgL_restz00_6347);
					}}}}}}}}
					BgL_method1654z00_2505 = BgL_res3739z00_6368;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL3(BgL_method1654z00_2505,
						((obj_t) BgL_nz00_45), BgL_pz00_46, BgL_arg0z00_47));
			}
		}

	}



/* &walk1! */
	BgL_nodez00_bglt BGl_z62walk1z12z70zzast_walkz00(obj_t BgL_envz00_7195,
		obj_t BgL_nz00_7196, obj_t BgL_pz00_7197, obj_t BgL_arg0z00_7198)
	{
		{	/* Ast/walk.scm 151 */
			return
				BGl_walk1z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7196), BgL_pz00_7197, BgL_arg0z00_7198);
		}

	}



/* walk2! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_48,
		obj_t BgL_pz00_49, obj_t BgL_arg0z00_50, obj_t BgL_arg1z00_51)
	{
		{	/* Ast/walk.scm 154 */
			{	/* Ast/walk.scm 154 */
				obj_t BgL_method1656z00_2506;

				{	/* Ast/walk.scm 154 */
					obj_t BgL_res3744z00_6399;

					{	/* Ast/walk.scm 154 */
						long BgL_objzd2classzd2numz00_6370;

						BgL_objzd2classzd2numz00_6370 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_48));
						{	/* Ast/walk.scm 154 */
							obj_t BgL_arg1862z00_6371;

							BgL_arg1862z00_6371 =
								PROCEDURE_REF(BGl_walk2z12zd2envzc0zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 154 */
								int BgL_offsetz00_6374;

								BgL_offsetz00_6374 = (int) (BgL_objzd2classzd2numz00_6370);
								{	/* Ast/walk.scm 154 */
									long BgL_offsetz00_6375;

									BgL_offsetz00_6375 =
										((long) (BgL_offsetz00_6374) - OBJECT_TYPE);
									{	/* Ast/walk.scm 154 */
										long BgL_modz00_6376;

										BgL_modz00_6376 =
											(BgL_offsetz00_6375 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 154 */
											long BgL_restz00_6378;

											BgL_restz00_6378 =
												(BgL_offsetz00_6375 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 154 */

												{	/* Ast/walk.scm 154 */
													obj_t BgL_bucketz00_6380;

													BgL_bucketz00_6380 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6371), BgL_modz00_6376);
													BgL_res3744z00_6399 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6380), BgL_restz00_6378);
					}}}}}}}}
					BgL_method1656z00_2506 = BgL_res3744z00_6399;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL4(BgL_method1656z00_2506,
						((obj_t) BgL_nz00_48), BgL_pz00_49, BgL_arg0z00_50,
						BgL_arg1z00_51));
			}
		}

	}



/* &walk2! */
	BgL_nodez00_bglt BGl_z62walk2z12z70zzast_walkz00(obj_t BgL_envz00_7199,
		obj_t BgL_nz00_7200, obj_t BgL_pz00_7201, obj_t BgL_arg0z00_7202,
		obj_t BgL_arg1z00_7203)
	{
		{	/* Ast/walk.scm 154 */
			return
				BGl_walk2z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7200), BgL_pz00_7201, BgL_arg0z00_7202,
				BgL_arg1z00_7203);
		}

	}



/* walk3! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk3z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_52,
		obj_t BgL_pz00_53, obj_t BgL_arg0z00_54, obj_t BgL_arg1z00_55,
		obj_t BgL_arg2z00_56)
	{
		{	/* Ast/walk.scm 157 */
			{	/* Ast/walk.scm 157 */
				obj_t BgL_method1658z00_2507;

				{	/* Ast/walk.scm 157 */
					obj_t BgL_res3749z00_6430;

					{	/* Ast/walk.scm 157 */
						long BgL_objzd2classzd2numz00_6401;

						BgL_objzd2classzd2numz00_6401 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_52));
						{	/* Ast/walk.scm 157 */
							obj_t BgL_arg1862z00_6402;

							BgL_arg1862z00_6402 =
								PROCEDURE_REF(BGl_walk3z12zd2envzc0zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 157 */
								int BgL_offsetz00_6405;

								BgL_offsetz00_6405 = (int) (BgL_objzd2classzd2numz00_6401);
								{	/* Ast/walk.scm 157 */
									long BgL_offsetz00_6406;

									BgL_offsetz00_6406 =
										((long) (BgL_offsetz00_6405) - OBJECT_TYPE);
									{	/* Ast/walk.scm 157 */
										long BgL_modz00_6407;

										BgL_modz00_6407 =
											(BgL_offsetz00_6406 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 157 */
											long BgL_restz00_6409;

											BgL_restz00_6409 =
												(BgL_offsetz00_6406 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 157 */

												{	/* Ast/walk.scm 157 */
													obj_t BgL_bucketz00_6411;

													BgL_bucketz00_6411 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6402), BgL_modz00_6407);
													BgL_res3749z00_6430 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6411), BgL_restz00_6409);
					}}}}}}}}
					BgL_method1658z00_2507 = BgL_res3749z00_6430;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL5(BgL_method1658z00_2507,
						((obj_t) BgL_nz00_52), BgL_pz00_53, BgL_arg0z00_54, BgL_arg1z00_55,
						BgL_arg2z00_56));
			}
		}

	}



/* &walk3! */
	BgL_nodez00_bglt BGl_z62walk3z12z70zzast_walkz00(obj_t BgL_envz00_7204,
		obj_t BgL_nz00_7205, obj_t BgL_pz00_7206, obj_t BgL_arg0z00_7207,
		obj_t BgL_arg1z00_7208, obj_t BgL_arg2z00_7209)
	{
		{	/* Ast/walk.scm 157 */
			return
				BGl_walk3z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7205), BgL_pz00_7206, BgL_arg0z00_7207,
				BgL_arg1z00_7208, BgL_arg2z00_7209);
		}

	}



/* walk4! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_walk4z12z12zzast_walkz00(BgL_nodez00_bglt BgL_nz00_57,
		obj_t BgL_pz00_58, obj_t BgL_arg0z00_59, obj_t BgL_arg1z00_60,
		obj_t BgL_arg2z00_61, obj_t BgL_arg3z00_62)
	{
		{	/* Ast/walk.scm 160 */
			{	/* Ast/walk.scm 160 */
				obj_t BgL_method1660z00_2508;

				{	/* Ast/walk.scm 160 */
					obj_t BgL_res3754z00_6461;

					{	/* Ast/walk.scm 160 */
						long BgL_objzd2classzd2numz00_6432;

						BgL_objzd2classzd2numz00_6432 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nz00_57));
						{	/* Ast/walk.scm 160 */
							obj_t BgL_arg1862z00_6433;

							BgL_arg1862z00_6433 =
								PROCEDURE_REF(BGl_walk4z12zd2envzc0zzast_walkz00, (int) (1L));
							{	/* Ast/walk.scm 160 */
								int BgL_offsetz00_6436;

								BgL_offsetz00_6436 = (int) (BgL_objzd2classzd2numz00_6432);
								{	/* Ast/walk.scm 160 */
									long BgL_offsetz00_6437;

									BgL_offsetz00_6437 =
										((long) (BgL_offsetz00_6436) - OBJECT_TYPE);
									{	/* Ast/walk.scm 160 */
										long BgL_modz00_6438;

										BgL_modz00_6438 =
											(BgL_offsetz00_6437 >> (int) ((long) ((int) (4L))));
										{	/* Ast/walk.scm 160 */
											long BgL_restz00_6440;

											BgL_restz00_6440 =
												(BgL_offsetz00_6437 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/walk.scm 160 */

												{	/* Ast/walk.scm 160 */
													obj_t BgL_bucketz00_6442;

													BgL_bucketz00_6442 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_6433), BgL_modz00_6438);
													BgL_res3754z00_6461 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6442), BgL_restz00_6440);
					}}}}}}}}
					BgL_method1660z00_2508 = BgL_res3754z00_6461;
				}
				return
					((BgL_nodez00_bglt)
					BGL_PROCEDURE_CALL6(BgL_method1660z00_2508,
						((obj_t) BgL_nz00_57), BgL_pz00_58, BgL_arg0z00_59, BgL_arg1z00_60,
						BgL_arg2z00_61, BgL_arg3z00_62));
			}
		}

	}



/* &walk4! */
	BgL_nodez00_bglt BGl_z62walk4z12z70zzast_walkz00(obj_t BgL_envz00_7210,
		obj_t BgL_nz00_7211, obj_t BgL_pz00_7212, obj_t BgL_arg0z00_7213,
		obj_t BgL_arg1z00_7214, obj_t BgL_arg2z00_7215, obj_t BgL_arg3z00_7216)
	{
		{	/* Ast/walk.scm 160 */
			return
				BGl_walk4z12z12zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nz00_7211), BgL_pz00_7212, BgL_arg0z00_7213,
				BgL_arg1z00_7214, BgL_arg2z00_7215, BgL_arg3z00_7216);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3800z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3801z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3802z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3803z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3804z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3805z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3806z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3807z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3808z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3809z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3810z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc3811z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3812z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3813z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3814z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3815z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3816z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3817z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3818z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3819z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3820z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3821z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3822z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc3823z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3824z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3825z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3826z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3827z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3828z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3829z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3830z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3831z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3832z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3833z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3834z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc3835z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3836z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3837z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3838z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3839z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3840z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3841z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3842z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3843z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3844z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3845z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3846z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc3847z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3848z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3849z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3850z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3851z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3852z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3853z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3854z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3855z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3856z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3857z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3858z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc3859z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3860z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3861z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3862z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3863z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3864z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3865z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3866z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3867z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3868z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3869z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3870z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc3871z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3872z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3873z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3874z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3875z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3876z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3877z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3878z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3879z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3880z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3881z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3882z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc3883z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3884z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3885z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3886z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3887z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3888z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3889z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3890z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3891z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3892z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3893z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3894z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc3895z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3896z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3897z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3898z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3899z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3900z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3901z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3902z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3903z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3904z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3905z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3906z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc3907z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3908z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3909z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3910z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3911z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3912z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3913z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3914z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3915z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3916z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3917z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3918z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc3919z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3920z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3921z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3922z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3923z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3924z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3925z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3926z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3927z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3928z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3929z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3930z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc3931z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3932z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3933z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3934z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3935z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3936z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3937z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3938z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3939z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3940z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3941z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3942z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc3943z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3944z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3945z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3946z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3947z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3948z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3949z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3950z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3951z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3952z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3953z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3954z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_retblockz00zzast_nodez00,
				BGl_proc3955z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3956z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3957z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3958z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3959z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3960z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3961z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3962z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3963z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3964z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3965z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3966z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_returnz00zzast_nodez00,
				BGl_proc3967z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3968z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3969z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3970z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3971z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3972z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3973z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3974z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3975z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3976z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3977z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3978z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc3979z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3980z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3981z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3982z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3983z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3984z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3985z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3986z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3987z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3988z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3989z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3990z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc3991z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3992z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3993z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3994z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3995z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3996z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3997z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3998z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc3999z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4000z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4001z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4002z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc4003z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4004z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4005z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4006z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4007z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4008z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4009z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4010z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4011z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4012z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4013z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4014z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc4015z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4016z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4017z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4018z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4019z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4020z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4021z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4022z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4023z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4024z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4025z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4026z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc4027z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4028z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4029z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4030z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4031z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4032z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4033z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4034z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4035z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4036z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4037z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4038z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc4039z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4040z00zzast_walkz00, BGl_string3799z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4041z00zzast_walkz00, BGl_string3798z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4042z00zzast_walkz00, BGl_string3797z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3zd2envzd2zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4043z00zzast_walkz00, BGl_string3796z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4044z00zzast_walkz00, BGl_string3794z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4045z00zzast_walkz00, BGl_string3793z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4046z00zzast_walkz00, BGl_string3792z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3za2zd2envz70zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4047z00zzast_walkz00, BGl_string3791z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk0z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4048z00zzast_walkz00, BGl_string3790z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk1z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4049z00zzast_walkz00, BGl_string3789z00zzast_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk2z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4050z00zzast_walkz00, BGl_string3788z00zzast_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_walk3z12zd2envzc0zzast_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc4051z00zzast_walkz00, BGl_string3787z00zzast_walkz00);
		}

	}



/* &walk3!-let-var2165 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2var2165z70zzast_walkz00(obj_t
		BgL_envz00_7469, obj_t BgL_nz00_7470, obj_t BgL_pz00_7471,
		obj_t BgL_arg0z00_7472, obj_t BgL_arg1z00_7473, obj_t BgL_arg2z00_7474)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8750;

				BgL_fieldsz00_8750 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7470)))->BgL_bindingsz00);
			BgL_loopz00_8749:
				if (NULLP(BgL_fieldsz00_8750))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3619z00_8751;
							obj_t BgL_arg3621z00_8752;

							BgL_arg3619z00_8751 = CAR(((obj_t) BgL_fieldsz00_8750));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3622z00_8753;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8754;

									BgL_pairz00_8754 = CAR(((obj_t) BgL_fieldsz00_8750));
									BgL_arg3622z00_8753 = CDR(BgL_pairz00_8754);
								}
								BgL_arg3621z00_8752 =
									BGL_PROCEDURE_CALL4(BgL_pz00_7471, BgL_arg3622z00_8753,
									BgL_arg0z00_7472, BgL_arg1z00_7473, BgL_arg2z00_7474);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11027;

								BgL_tmpz00_11027 = ((obj_t) BgL_arg3619z00_8751);
								SET_CDR(BgL_tmpz00_11027, BgL_arg3621z00_8752);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3625z00_8755;

							BgL_arg3625z00_8755 = CDR(((obj_t) BgL_fieldsz00_8750));
							{
								obj_t BgL_fieldsz00_11032;

								BgL_fieldsz00_11032 = BgL_arg3625z00_8755;
								BgL_fieldsz00_8750 = BgL_fieldsz00_11032;
								goto BgL_loopz00_8749;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11035;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3626z00_8756;

					BgL_arg3626z00_8756 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7470)))->BgL_bodyz00);
					BgL_auxz00_11035 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7471,
							((obj_t) BgL_arg3626z00_8756), BgL_arg0z00_7472, BgL_arg1z00_7473,
							BgL_arg2z00_7474));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7470)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11035), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7470));
		}

	}



/* &walk2!-let-var2163 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2var2163z70zzast_walkz00(obj_t
		BgL_envz00_7475, obj_t BgL_nz00_7476, obj_t BgL_pz00_7477,
		obj_t BgL_arg0z00_7478, obj_t BgL_arg1z00_7479)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8759;

				BgL_fieldsz00_8759 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7476)))->BgL_bindingsz00);
			BgL_loopz00_8758:
				if (NULLP(BgL_fieldsz00_8759))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3608z00_8760;
							obj_t BgL_arg3610z00_8761;

							BgL_arg3608z00_8760 = CAR(((obj_t) BgL_fieldsz00_8759));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3611z00_8762;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8763;

									BgL_pairz00_8763 = CAR(((obj_t) BgL_fieldsz00_8759));
									BgL_arg3611z00_8762 = CDR(BgL_pairz00_8763);
								}
								BgL_arg3610z00_8761 =
									BGL_PROCEDURE_CALL3(BgL_pz00_7477, BgL_arg3611z00_8762,
									BgL_arg0z00_7478, BgL_arg1z00_7479);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11064;

								BgL_tmpz00_11064 = ((obj_t) BgL_arg3608z00_8760);
								SET_CDR(BgL_tmpz00_11064, BgL_arg3610z00_8761);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3614z00_8764;

							BgL_arg3614z00_8764 = CDR(((obj_t) BgL_fieldsz00_8759));
							{
								obj_t BgL_fieldsz00_11069;

								BgL_fieldsz00_11069 = BgL_arg3614z00_8764;
								BgL_fieldsz00_8759 = BgL_fieldsz00_11069;
								goto BgL_loopz00_8758;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11072;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3615z00_8765;

					BgL_arg3615z00_8765 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7476)))->BgL_bodyz00);
					BgL_auxz00_11072 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7477,
							((obj_t) BgL_arg3615z00_8765), BgL_arg0z00_7478,
							BgL_arg1z00_7479));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7476)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11072), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7476));
		}

	}



/* &walk1!-let-var2161 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2var2161z70zzast_walkz00(obj_t
		BgL_envz00_7480, obj_t BgL_nz00_7481, obj_t BgL_pz00_7482,
		obj_t BgL_arg0z00_7483)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8768;

				BgL_fieldsz00_8768 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7481)))->BgL_bindingsz00);
			BgL_loopz00_8767:
				if (NULLP(BgL_fieldsz00_8768))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3597z00_8769;
							obj_t BgL_arg3599z00_8770;

							BgL_arg3597z00_8769 = CAR(((obj_t) BgL_fieldsz00_8768));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3600z00_8771;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8772;

									BgL_pairz00_8772 = CAR(((obj_t) BgL_fieldsz00_8768));
									BgL_arg3600z00_8771 = CDR(BgL_pairz00_8772);
								}
								BgL_arg3599z00_8770 =
									BGL_PROCEDURE_CALL2(BgL_pz00_7482, BgL_arg3600z00_8771,
									BgL_arg0z00_7483);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11099;

								BgL_tmpz00_11099 = ((obj_t) BgL_arg3597z00_8769);
								SET_CDR(BgL_tmpz00_11099, BgL_arg3599z00_8770);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3603z00_8773;

							BgL_arg3603z00_8773 = CDR(((obj_t) BgL_fieldsz00_8768));
							{
								obj_t BgL_fieldsz00_11104;

								BgL_fieldsz00_11104 = BgL_arg3603z00_8773;
								BgL_fieldsz00_8768 = BgL_fieldsz00_11104;
								goto BgL_loopz00_8767;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11107;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3604z00_8774;

					BgL_arg3604z00_8774 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7481)))->BgL_bodyz00);
					BgL_auxz00_11107 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7482,
							((obj_t) BgL_arg3604z00_8774), BgL_arg0z00_7483));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7481)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11107), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7481));
		}

	}



/* &walk0!-let-var2159 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2var2159z70zzast_walkz00(obj_t
		BgL_envz00_7484, obj_t BgL_nz00_7485, obj_t BgL_pz00_7486)
	{
		{	/* Ast/walk.scm 320 */
			{
				obj_t BgL_fieldsz00_8777;

				BgL_fieldsz00_8777 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bindingsz00);
			BgL_loopz00_8776:
				if (NULLP(BgL_fieldsz00_8777))
					{	/* Ast/walk.scm 320 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 320 */
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3586z00_8778;
							obj_t BgL_arg3588z00_8779;

							BgL_arg3586z00_8778 = CAR(((obj_t) BgL_fieldsz00_8777));
							{	/* Ast/walk.scm 320 */
								obj_t BgL_arg3589z00_8780;

								{	/* Ast/walk.scm 320 */
									obj_t BgL_pairz00_8781;

									BgL_pairz00_8781 = CAR(((obj_t) BgL_fieldsz00_8777));
									BgL_arg3589z00_8780 = CDR(BgL_pairz00_8781);
								}
								BgL_arg3588z00_8779 =
									BGL_PROCEDURE_CALL1(BgL_pz00_7486, BgL_arg3589z00_8780);
							}
							{	/* Ast/walk.scm 320 */
								obj_t BgL_tmpz00_11132;

								BgL_tmpz00_11132 = ((obj_t) BgL_arg3586z00_8778);
								SET_CDR(BgL_tmpz00_11132, BgL_arg3588z00_8779);
							}
						}
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3592z00_8782;

							BgL_arg3592z00_8782 = CDR(((obj_t) BgL_fieldsz00_8777));
							{
								obj_t BgL_fieldsz00_11137;

								BgL_fieldsz00_11137 = BgL_arg3592z00_8782;
								BgL_fieldsz00_8777 = BgL_fieldsz00_11137;
								goto BgL_loopz00_8776;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11140;

				{	/* Ast/walk.scm 320 */
					BgL_nodez00_bglt BgL_arg3593z00_8783;

					BgL_arg3593z00_8783 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bodyz00);
					BgL_auxz00_11140 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7486, ((obj_t) BgL_arg3593z00_8783)));
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nz00_7485)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11140), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nz00_7485));
		}

	}



/* &walk3*-let-var2157 */
	obj_t BGl_z62walk3za2zd2letzd2var2157zc0zzast_walkz00(obj_t BgL_envz00_7487,
		obj_t BgL_nz00_7488, obj_t BgL_pz00_7489, obj_t BgL_arg0z00_7490,
		obj_t BgL_arg1z00_7491, obj_t BgL_arg2z00_7492)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4053z00_8788;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3572z00_8785;
					obj_t BgL_arg3573z00_8786;

					BgL_arg3572z00_8785 =
						BGl_zc3z04anonymousza33574ze3ze70z60zzast_walkz00(BgL_arg2z00_7492,
						BgL_arg1z00_7491, BgL_arg0z00_7490, BgL_pz00_7489,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7488)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3582z00_8787;

						BgL_arg3582z00_8787 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7488)))->BgL_bodyz00);
						BgL_arg3573z00_8786 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7489,
							((obj_t) BgL_arg3582z00_8787), BgL_arg0z00_7490, BgL_arg1z00_7491,
							BgL_arg2z00_7492);
					}
					BgL_res4053z00_8788 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3572z00_8785,
						BgL_arg3573z00_8786);
				}
				return BgL_res4053z00_8788;
			}
		}

	}



/* <@anonymous:3574>~0 */
	obj_t BGl_zc3z04anonymousza33574ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8672, obj_t BgL_arg1z00_8671, obj_t BgL_arg0z00_8670,
		obj_t BgL_pz00_8669, obj_t BgL_l1629z00_5682)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1629z00_5682))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3576z00_5685;
					obj_t BgL_arg3577z00_5686;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5687;

						BgL_fz00_5687 = CAR(((obj_t) BgL_l1629z00_5682));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3579z00_5688;

							BgL_arg3579z00_5688 = CDR(((obj_t) BgL_fz00_5687));
							BgL_arg3576z00_5685 =
								BGL_PROCEDURE_CALL4(BgL_pz00_8669, BgL_arg3579z00_5688,
								BgL_arg0z00_8670, BgL_arg1z00_8671, BgL_arg2z00_8672);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3581z00_5689;

						BgL_arg3581z00_5689 = CDR(((obj_t) BgL_l1629z00_5682));
						BgL_arg3577z00_5686 =
							BGl_zc3z04anonymousza33574ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8672, BgL_arg1z00_8671, BgL_arg0z00_8670,
							BgL_pz00_8669, BgL_arg3581z00_5689);
					}
					return bgl_append2(BgL_arg3576z00_5685, BgL_arg3577z00_5686);
				}
		}

	}



/* &walk2*-let-var2155 */
	obj_t BGl_z62walk2za2zd2letzd2var2155zc0zzast_walkz00(obj_t BgL_envz00_7493,
		obj_t BgL_nz00_7494, obj_t BgL_pz00_7495, obj_t BgL_arg0z00_7496,
		obj_t BgL_arg1z00_7497)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4054z00_8793;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3561z00_8790;
					obj_t BgL_arg3562z00_8791;

					BgL_arg3561z00_8790 =
						BGl_zc3z04anonymousza33563ze3ze70z60zzast_walkz00(BgL_arg1z00_7497,
						BgL_arg0z00_7496, BgL_pz00_7495,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7494)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3571z00_8792;

						BgL_arg3571z00_8792 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7494)))->BgL_bodyz00);
						BgL_arg3562z00_8791 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7495,
							((obj_t) BgL_arg3571z00_8792), BgL_arg0z00_7496,
							BgL_arg1z00_7497);
					}
					BgL_res4054z00_8793 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3561z00_8790,
						BgL_arg3562z00_8791);
				}
				return BgL_res4054z00_8793;
			}
		}

	}



/* <@anonymous:3563>~0 */
	obj_t BGl_zc3z04anonymousza33563ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8668, obj_t BgL_arg0z00_8667, obj_t BgL_pz00_8666,
		obj_t BgL_l1626z00_5659)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1626z00_5659))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3565z00_5662;
					obj_t BgL_arg3566z00_5663;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5664;

						BgL_fz00_5664 = CAR(((obj_t) BgL_l1626z00_5659));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3568z00_5665;

							BgL_arg3568z00_5665 = CDR(((obj_t) BgL_fz00_5664));
							BgL_arg3565z00_5662 =
								BGL_PROCEDURE_CALL3(BgL_pz00_8666, BgL_arg3568z00_5665,
								BgL_arg0z00_8667, BgL_arg1z00_8668);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3570z00_5666;

						BgL_arg3570z00_5666 = CDR(((obj_t) BgL_l1626z00_5659));
						BgL_arg3566z00_5663 =
							BGl_zc3z04anonymousza33563ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8668, BgL_arg0z00_8667, BgL_pz00_8666,
							BgL_arg3570z00_5666);
					}
					return bgl_append2(BgL_arg3565z00_5662, BgL_arg3566z00_5663);
				}
		}

	}



/* &walk1*-let-var2153 */
	obj_t BGl_z62walk1za2zd2letzd2var2153zc0zzast_walkz00(obj_t BgL_envz00_7498,
		obj_t BgL_nz00_7499, obj_t BgL_pz00_7500, obj_t BgL_arg0z00_7501)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4055z00_8798;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3550z00_8795;
					obj_t BgL_arg3551z00_8796;

					BgL_arg3550z00_8795 =
						BGl_zc3z04anonymousza33552ze3ze70z60zzast_walkz00(BgL_arg0z00_7501,
						BgL_pz00_7500,
						(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_nz00_7499)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3560z00_8797;

						BgL_arg3560z00_8797 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7499)))->BgL_bodyz00);
						BgL_arg3551z00_8796 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7500,
							((obj_t) BgL_arg3560z00_8797), BgL_arg0z00_7501);
					}
					BgL_res4055z00_8798 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3550z00_8795,
						BgL_arg3551z00_8796);
				}
				return BgL_res4055z00_8798;
			}
		}

	}



/* <@anonymous:3552>~0 */
	obj_t BGl_zc3z04anonymousza33552ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8665, obj_t BgL_pz00_8664, obj_t BgL_l1623z00_5637)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1623z00_5637))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3554z00_5640;
					obj_t BgL_arg3555z00_5641;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5642;

						BgL_fz00_5642 = CAR(((obj_t) BgL_l1623z00_5637));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3556z00_5643;

							BgL_arg3556z00_5643 = CDR(((obj_t) BgL_fz00_5642));
							BgL_arg3554z00_5640 =
								BGL_PROCEDURE_CALL2(BgL_pz00_8664, BgL_arg3556z00_5643,
								BgL_arg0z00_8665);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3558z00_5644;

						BgL_arg3558z00_5644 = CDR(((obj_t) BgL_l1623z00_5637));
						BgL_arg3555z00_5641 =
							BGl_zc3z04anonymousza33552ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8665, BgL_pz00_8664, BgL_arg3558z00_5644);
					}
					return bgl_append2(BgL_arg3554z00_5640, BgL_arg3555z00_5641);
				}
		}

	}



/* &walk0*-let-var2151 */
	obj_t BGl_z62walk0za2zd2letzd2var2151zc0zzast_walkz00(obj_t BgL_envz00_7502,
		obj_t BgL_nz00_7503, obj_t BgL_pz00_7504)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_res4056z00_8803;

				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3538z00_8800;
					obj_t BgL_arg3540z00_8801;

					BgL_arg3538z00_8800 =
						BGl_zc3z04anonymousza33541ze3ze70z60zzast_walkz00(BgL_pz00_7504,
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7503)))->BgL_bindingsz00));
					{	/* Ast/walk.scm 320 */
						BgL_nodez00_bglt BgL_arg3548z00_8802;

						BgL_arg3548z00_8802 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nz00_7503)))->BgL_bodyz00);
						BgL_arg3540z00_8801 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7504, ((obj_t) BgL_arg3548z00_8802));
					}
					BgL_res4056z00_8803 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3538z00_8800,
						BgL_arg3540z00_8801);
				}
				return BgL_res4056z00_8803;
			}
		}

	}



/* <@anonymous:3541>~0 */
	obj_t BGl_zc3z04anonymousza33541ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8663,
		obj_t BgL_l1620z00_5616)
	{
		{	/* Ast/walk.scm 320 */
			if (NULLP(BgL_l1620z00_5616))
				{	/* Ast/walk.scm 320 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 320 */
					obj_t BgL_arg3543z00_5619;
					obj_t BgL_arg3544z00_5620;

					{	/* Ast/walk.scm 320 */
						obj_t BgL_fz00_5621;

						BgL_fz00_5621 = CAR(((obj_t) BgL_l1620z00_5616));
						{	/* Ast/walk.scm 320 */
							obj_t BgL_arg3545z00_5622;

							BgL_arg3545z00_5622 = CDR(((obj_t) BgL_fz00_5621));
							BgL_arg3543z00_5619 =
								BGL_PROCEDURE_CALL1(BgL_pz00_8663, BgL_arg3545z00_5622);
						}
					}
					{	/* Ast/walk.scm 320 */
						obj_t BgL_arg3546z00_5623;

						BgL_arg3546z00_5623 = CDR(((obj_t) BgL_l1620z00_5616));
						BgL_arg3544z00_5620 =
							BGl_zc3z04anonymousza33541ze3ze70z60zzast_walkz00(BgL_pz00_8663,
							BgL_arg3546z00_5623);
					}
					return bgl_append2(BgL_arg3543z00_5619, BgL_arg3544z00_5620);
				}
		}

	}



/* &walk3-let-var2149 */
	obj_t BGl_z62walk3zd2letzd2var2149z62zzast_walkz00(obj_t BgL_envz00_7505,
		obj_t BgL_nz00_7506, obj_t BgL_pz00_7507, obj_t BgL_arg0z00_7508,
		obj_t BgL_arg1z00_7509, obj_t BgL_arg2z00_7510)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1618z00_8805;

				BgL_g1618z00_8805 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7506)))->BgL_bindingsz00);
				{
					obj_t BgL_l1616z00_8807;

					BgL_l1616z00_8807 = BgL_g1618z00_8805;
				BgL_zc3z04anonymousza33532ze3z87_8806:
					if (PAIRP(BgL_l1616z00_8807))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8808;

								BgL_fz00_8808 = CAR(BgL_l1616z00_8807);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3534z00_8809;

									BgL_arg3534z00_8809 = CDR(((obj_t) BgL_fz00_8808));
									BGL_PROCEDURE_CALL4(BgL_pz00_7507, BgL_arg3534z00_8809,
										BgL_arg0z00_7508, BgL_arg1z00_7509, BgL_arg2z00_7510);
								}
							}
							{
								obj_t BgL_l1616z00_11279;

								BgL_l1616z00_11279 = CDR(BgL_l1616z00_8807);
								BgL_l1616z00_8807 = BgL_l1616z00_11279;
								goto BgL_zc3z04anonymousza33532ze3z87_8806;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3537z00_8810;

				BgL_arg3537z00_8810 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7506)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7507,
					((obj_t) BgL_arg3537z00_8810), BgL_arg0z00_7508, BgL_arg1z00_7509,
					BgL_arg2z00_7510);
			}
		}

	}



/* &walk2-let-var2147 */
	obj_t BGl_z62walk2zd2letzd2var2147z62zzast_walkz00(obj_t BgL_envz00_7511,
		obj_t BgL_nz00_7512, obj_t BgL_pz00_7513, obj_t BgL_arg0z00_7514,
		obj_t BgL_arg1z00_7515)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1615z00_8812;

				BgL_g1615z00_8812 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7512)))->BgL_bindingsz00);
				{
					obj_t BgL_l1613z00_8814;

					BgL_l1613z00_8814 = BgL_g1615z00_8812;
				BgL_zc3z04anonymousza33525ze3z87_8813:
					if (PAIRP(BgL_l1613z00_8814))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8815;

								BgL_fz00_8815 = CAR(BgL_l1613z00_8814);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3528z00_8816;

									BgL_arg3528z00_8816 = CDR(((obj_t) BgL_fz00_8815));
									BGL_PROCEDURE_CALL3(BgL_pz00_7513, BgL_arg3528z00_8816,
										BgL_arg0z00_7514, BgL_arg1z00_7515);
								}
							}
							{
								obj_t BgL_l1613z00_11304;

								BgL_l1613z00_11304 = CDR(BgL_l1613z00_8814);
								BgL_l1613z00_8814 = BgL_l1613z00_11304;
								goto BgL_zc3z04anonymousza33525ze3z87_8813;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3531z00_8817;

				BgL_arg3531z00_8817 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7512)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7513,
					((obj_t) BgL_arg3531z00_8817), BgL_arg0z00_7514, BgL_arg1z00_7515);
			}
		}

	}



/* &walk1-let-var2145 */
	obj_t BGl_z62walk1zd2letzd2var2145z62zzast_walkz00(obj_t BgL_envz00_7516,
		obj_t BgL_nz00_7517, obj_t BgL_pz00_7518, obj_t BgL_arg0z00_7519)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1612z00_8819;

				BgL_g1612z00_8819 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7517)))->BgL_bindingsz00);
				{
					obj_t BgL_l1610z00_8821;

					BgL_l1610z00_8821 = BgL_g1612z00_8819;
				BgL_zc3z04anonymousza33519ze3z87_8820:
					if (PAIRP(BgL_l1610z00_8821))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8822;

								BgL_fz00_8822 = CAR(BgL_l1610z00_8821);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3521z00_8823;

									BgL_arg3521z00_8823 = CDR(((obj_t) BgL_fz00_8822));
									BGL_PROCEDURE_CALL2(BgL_pz00_7518, BgL_arg3521z00_8823,
										BgL_arg0z00_7519);
								}
							}
							{
								obj_t BgL_l1610z00_11327;

								BgL_l1610z00_11327 = CDR(BgL_l1610z00_8821);
								BgL_l1610z00_8821 = BgL_l1610z00_11327;
								goto BgL_zc3z04anonymousza33519ze3z87_8820;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3524z00_8824;

				BgL_arg3524z00_8824 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7517)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7518,
					((obj_t) BgL_arg3524z00_8824), BgL_arg0z00_7519);
			}
		}

	}



/* &walk0-let-var2143 */
	obj_t BGl_z62walk0zd2letzd2var2143z62zzast_walkz00(obj_t BgL_envz00_7520,
		obj_t BgL_nz00_7521, obj_t BgL_pz00_7522)
	{
		{	/* Ast/walk.scm 320 */
			{	/* Ast/walk.scm 320 */
				obj_t BgL_g1609z00_8826;

				BgL_g1609z00_8826 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7521)))->BgL_bindingsz00);
				{
					obj_t BgL_l1607z00_8828;

					BgL_l1607z00_8828 = BgL_g1609z00_8826;
				BgL_zc3z04anonymousza33513ze3z87_8827:
					if (PAIRP(BgL_l1607z00_8828))
						{	/* Ast/walk.scm 320 */
							{	/* Ast/walk.scm 320 */
								obj_t BgL_fz00_8829;

								BgL_fz00_8829 = CAR(BgL_l1607z00_8828);
								{	/* Ast/walk.scm 320 */
									obj_t BgL_arg3516z00_8830;

									BgL_arg3516z00_8830 = CDR(((obj_t) BgL_fz00_8829));
									BGL_PROCEDURE_CALL1(BgL_pz00_7522, BgL_arg3516z00_8830);
								}
							}
							{
								obj_t BgL_l1607z00_11348;

								BgL_l1607z00_11348 = CDR(BgL_l1607z00_8828);
								BgL_l1607z00_8828 = BgL_l1607z00_11348;
								goto BgL_zc3z04anonymousza33513ze3z87_8827;
							}
						}
					else
						{	/* Ast/walk.scm 320 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 320 */
				BgL_nodez00_bglt BgL_arg3518z00_8831;

				BgL_arg3518z00_8831 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nz00_7521)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7522, ((obj_t) BgL_arg3518z00_8831));
			}
		}

	}



/* &walk3!-let-fun2141 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2letzd2fun2141z70zzast_walkz00(obj_t
		BgL_envz00_7523, obj_t BgL_nz00_7524, obj_t BgL_pz00_7525,
		obj_t BgL_arg0z00_7526, obj_t BgL_arg1z00_7527, obj_t BgL_arg2z00_7528)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8834;

				BgL_fieldsz00_8834 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7524)))->BgL_localsz00);
			BgL_loopz00_8833:
				if (NULLP(BgL_fieldsz00_8834))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8835;
							obj_t BgL_bz00_8836;

							BgL_vz00_8835 = CAR(((obj_t) BgL_fieldsz00_8834));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3508z00_8837;

								BgL_arg3508z00_8837 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8834)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8836 =
									BGL_PROCEDURE_CALL4(BgL_pz00_7525, BgL_arg3508z00_8837,
									BgL_arg0z00_7526, BgL_arg1z00_7527, BgL_arg2z00_7528);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3507z00_8838;

								BgL_arg3507z00_8838 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8835)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3507z00_8838)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8836), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3511z00_8839;

							BgL_arg3511z00_8839 = CDR(((obj_t) BgL_fieldsz00_8834));
							{
								obj_t BgL_fieldsz00_11380;

								BgL_fieldsz00_11380 = BgL_arg3511z00_8839;
								BgL_fieldsz00_8834 = BgL_fieldsz00_11380;
								goto BgL_loopz00_8833;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11383;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3512z00_8840;

					BgL_arg3512z00_8840 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7524)))->BgL_bodyz00);
					BgL_auxz00_11383 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7525,
							((obj_t) BgL_arg3512z00_8840), BgL_arg0z00_7526, BgL_arg1z00_7527,
							BgL_arg2z00_7528));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7524)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11383), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7524));
		}

	}



/* &walk2!-let-fun2139 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2letzd2fun2139z70zzast_walkz00(obj_t
		BgL_envz00_7529, obj_t BgL_nz00_7530, obj_t BgL_pz00_7531,
		obj_t BgL_arg0z00_7532, obj_t BgL_arg1z00_7533)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8843;

				BgL_fieldsz00_8843 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7530)))->BgL_localsz00);
			BgL_loopz00_8842:
				if (NULLP(BgL_fieldsz00_8843))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8844;
							obj_t BgL_bz00_8845;

							BgL_vz00_8844 = CAR(((obj_t) BgL_fieldsz00_8843));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3499z00_8846;

								BgL_arg3499z00_8846 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8843)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8845 =
									BGL_PROCEDURE_CALL3(BgL_pz00_7531, BgL_arg3499z00_8846,
									BgL_arg0z00_7532, BgL_arg1z00_7533);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3498z00_8847;

								BgL_arg3498z00_8847 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8844)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3498z00_8847)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8845), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3502z00_8848;

							BgL_arg3502z00_8848 = CDR(((obj_t) BgL_fieldsz00_8843));
							{
								obj_t BgL_fieldsz00_11421;

								BgL_fieldsz00_11421 = BgL_arg3502z00_8848;
								BgL_fieldsz00_8843 = BgL_fieldsz00_11421;
								goto BgL_loopz00_8842;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11424;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3503z00_8849;

					BgL_arg3503z00_8849 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7530)))->BgL_bodyz00);
					BgL_auxz00_11424 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7531,
							((obj_t) BgL_arg3503z00_8849), BgL_arg0z00_7532,
							BgL_arg1z00_7533));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7530)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11424), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7530));
		}

	}



/* &walk1!-let-fun2137 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2letzd2fun2137z70zzast_walkz00(obj_t
		BgL_envz00_7534, obj_t BgL_nz00_7535, obj_t BgL_pz00_7536,
		obj_t BgL_arg0z00_7537)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8852;

				BgL_fieldsz00_8852 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7535)))->BgL_localsz00);
			BgL_loopz00_8851:
				if (NULLP(BgL_fieldsz00_8852))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8853;
							obj_t BgL_bz00_8854;

							BgL_vz00_8853 = CAR(((obj_t) BgL_fieldsz00_8852));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3489z00_8855;

								BgL_arg3489z00_8855 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8852)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8854 =
									BGL_PROCEDURE_CALL2(BgL_pz00_7536, BgL_arg3489z00_8855,
									BgL_arg0z00_7537);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3488z00_8856;

								BgL_arg3488z00_8856 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8853)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3488z00_8856)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8854), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3491z00_8857;

							BgL_arg3491z00_8857 = CDR(((obj_t) BgL_fieldsz00_8852));
							{
								obj_t BgL_fieldsz00_11460;

								BgL_fieldsz00_11460 = BgL_arg3491z00_8857;
								BgL_fieldsz00_8852 = BgL_fieldsz00_11460;
								goto BgL_loopz00_8851;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11463;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3493z00_8858;

					BgL_arg3493z00_8858 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7535)))->BgL_bodyz00);
					BgL_auxz00_11463 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7536,
							((obj_t) BgL_arg3493z00_8858), BgL_arg0z00_7537));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7535)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11463), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7535));
		}

	}



/* &walk0!-let-fun2135 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2letzd2fun2135z70zzast_walkz00(obj_t
		BgL_envz00_7538, obj_t BgL_nz00_7539, obj_t BgL_pz00_7540)
	{
		{	/* Ast/walk.scm 315 */
			{
				obj_t BgL_fieldsz00_8861;

				BgL_fieldsz00_8861 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_localsz00);
			BgL_loopz00_8860:
				if (NULLP(BgL_fieldsz00_8861))
					{	/* Ast/walk.scm 315 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 315 */
						{	/* Ast/walk.scm 315 */
							obj_t BgL_vz00_8862;
							obj_t BgL_bz00_8863;

							BgL_vz00_8862 = CAR(((obj_t) BgL_fieldsz00_8861));
							{	/* Ast/walk.scm 315 */
								obj_t BgL_arg3480z00_8864;

								BgL_arg3480z00_8864 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																CAR(
																	((obj_t) BgL_fieldsz00_8861)))))->
													BgL_valuez00))))->BgL_bodyz00);
								BgL_bz00_8863 =
									BGL_PROCEDURE_CALL1(BgL_pz00_7540, BgL_arg3480z00_8864);
							}
							{	/* Ast/walk.scm 317 */
								BgL_valuez00_bglt BgL_arg3479z00_8865;

								BgL_arg3479z00_8865 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_vz00_8862)))->BgL_valuez00);
								((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_arg3479z00_8865)))->
										BgL_bodyz00) = ((obj_t) BgL_bz00_8863), BUNSPEC);
							}
						}
						{	/* Ast/walk.scm 315 */
							obj_t BgL_arg3483z00_8866;

							BgL_arg3483z00_8866 = CDR(((obj_t) BgL_fieldsz00_8861));
							{
								obj_t BgL_fieldsz00_11497;

								BgL_fieldsz00_11497 = BgL_arg3483z00_8866;
								BgL_fieldsz00_8861 = BgL_fieldsz00_11497;
								goto BgL_loopz00_8860;
							}
						}
					}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_11500;

				{	/* Ast/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg3484z00_8867;

					BgL_arg3484z00_8867 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_bodyz00);
					BgL_auxz00_11500 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7540, ((obj_t) BgL_arg3484z00_8867)));
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nz00_7539)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11500), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nz00_7539));
		}

	}



/* &walk3*-let-fun2133 */
	obj_t BGl_z62walk3za2zd2letzd2fun2133zc0zzast_walkz00(obj_t BgL_envz00_7541,
		obj_t BgL_nz00_7542, obj_t BgL_pz00_7543, obj_t BgL_arg0z00_7544,
		obj_t BgL_arg1z00_7545, obj_t BgL_arg2z00_7546)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4057z00_8872;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3461z00_8869;
					obj_t BgL_arg3463z00_8870;

					BgL_arg3461z00_8869 =
						BGl_zc3z04anonymousza33464ze3ze70z60zzast_walkz00(BgL_arg2z00_7546,
						BgL_arg1z00_7545, BgL_arg0z00_7544, BgL_pz00_7543,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7542)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3474z00_8871;

						BgL_arg3474z00_8871 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7542)))->BgL_bodyz00);
						BgL_arg3463z00_8870 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7543,
							((obj_t) BgL_arg3474z00_8871), BgL_arg0z00_7544, BgL_arg1z00_7545,
							BgL_arg2z00_7546);
					}
					BgL_res4057z00_8872 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3461z00_8869,
						BgL_arg3463z00_8870);
				}
				return BgL_res4057z00_8872;
			}
		}

	}



/* <@anonymous:3464>~0 */
	obj_t BGl_zc3z04anonymousza33464ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8662, obj_t BgL_arg1z00_8661, obj_t BgL_arg0z00_8660,
		obj_t BgL_pz00_8659, obj_t BgL_l1605z00_5438)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1605z00_5438))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3467z00_5441;
					obj_t BgL_arg3468z00_5442;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5443;

						BgL_fz00_5443 = CAR(((obj_t) BgL_l1605z00_5438));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3469z00_5444;

							BgL_arg3469z00_5444 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5443)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3467z00_5441 =
								BGL_PROCEDURE_CALL4(BgL_pz00_8659, BgL_arg3469z00_5444,
								BgL_arg0z00_8660, BgL_arg1z00_8661, BgL_arg2z00_8662);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3472z00_5447;

						BgL_arg3472z00_5447 = CDR(((obj_t) BgL_l1605z00_5438));
						BgL_arg3468z00_5442 =
							BGl_zc3z04anonymousza33464ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8662, BgL_arg1z00_8661, BgL_arg0z00_8660,
							BgL_pz00_8659, BgL_arg3472z00_5447);
					}
					return bgl_append2(BgL_arg3467z00_5441, BgL_arg3468z00_5442);
				}
		}

	}



/* &walk2*-let-fun2131 */
	obj_t BGl_z62walk2za2zd2letzd2fun2131zc0zzast_walkz00(obj_t BgL_envz00_7547,
		obj_t BgL_nz00_7548, obj_t BgL_pz00_7549, obj_t BgL_arg0z00_7550,
		obj_t BgL_arg1z00_7551)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4058z00_8877;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3449z00_8874;
					obj_t BgL_arg3451z00_8875;

					BgL_arg3449z00_8874 =
						BGl_zc3z04anonymousza33452ze3ze70z60zzast_walkz00(BgL_arg1z00_7551,
						BgL_arg0z00_7550, BgL_pz00_7549,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7548)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3460z00_8876;

						BgL_arg3460z00_8876 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7548)))->BgL_bodyz00);
						BgL_arg3451z00_8875 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7549,
							((obj_t) BgL_arg3460z00_8876), BgL_arg0z00_7550,
							BgL_arg1z00_7551);
					}
					BgL_res4058z00_8877 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3449z00_8874,
						BgL_arg3451z00_8875);
				}
				return BgL_res4058z00_8877;
			}
		}

	}



/* <@anonymous:3452>~0 */
	obj_t BGl_zc3z04anonymousza33452ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8658, obj_t BgL_arg0z00_8657, obj_t BgL_pz00_8656,
		obj_t BgL_l1602z00_5413)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1602z00_5413))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3454z00_5416;
					obj_t BgL_arg3455z00_5417;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5418;

						BgL_fz00_5418 = CAR(((obj_t) BgL_l1602z00_5413));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3456z00_5419;

							BgL_arg3456z00_5419 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5418)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3454z00_5416 =
								BGL_PROCEDURE_CALL3(BgL_pz00_8656, BgL_arg3456z00_5419,
								BgL_arg0z00_8657, BgL_arg1z00_8658);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3458z00_5422;

						BgL_arg3458z00_5422 = CDR(((obj_t) BgL_l1602z00_5413));
						BgL_arg3455z00_5417 =
							BGl_zc3z04anonymousza33452ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8658, BgL_arg0z00_8657, BgL_pz00_8656,
							BgL_arg3458z00_5422);
					}
					return bgl_append2(BgL_arg3454z00_5416, BgL_arg3455z00_5417);
				}
		}

	}



/* &walk1*-let-fun2129 */
	obj_t BGl_z62walk1za2zd2letzd2fun2129zc0zzast_walkz00(obj_t BgL_envz00_7552,
		obj_t BgL_nz00_7553, obj_t BgL_pz00_7554, obj_t BgL_arg0z00_7555)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4059z00_8882;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3437z00_8879;
					obj_t BgL_arg3439z00_8880;

					BgL_arg3437z00_8879 =
						BGl_zc3z04anonymousza33440ze3ze70z60zzast_walkz00(BgL_arg0z00_7555,
						BgL_pz00_7554,
						(((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_nz00_7553)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3448z00_8881;

						BgL_arg3448z00_8881 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7553)))->BgL_bodyz00);
						BgL_arg3439z00_8880 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7554,
							((obj_t) BgL_arg3448z00_8881), BgL_arg0z00_7555);
					}
					BgL_res4059z00_8882 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3437z00_8879,
						BgL_arg3439z00_8880);
				}
				return BgL_res4059z00_8882;
			}
		}

	}



/* <@anonymous:3440>~0 */
	obj_t BGl_zc3z04anonymousza33440ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8655, obj_t BgL_pz00_8654, obj_t BgL_l1599z00_5389)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1599z00_5389))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3442z00_5392;
					obj_t BgL_arg3443z00_5393;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5394;

						BgL_fz00_5394 = CAR(((obj_t) BgL_l1599z00_5389));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3444z00_5395;

							BgL_arg3444z00_5395 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5394)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3442z00_5392 =
								BGL_PROCEDURE_CALL2(BgL_pz00_8654, BgL_arg3444z00_5395,
								BgL_arg0z00_8655);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3446z00_5398;

						BgL_arg3446z00_5398 = CDR(((obj_t) BgL_l1599z00_5389));
						BgL_arg3443z00_5393 =
							BGl_zc3z04anonymousza33440ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8655, BgL_pz00_8654, BgL_arg3446z00_5398);
					}
					return bgl_append2(BgL_arg3442z00_5392, BgL_arg3443z00_5393);
				}
		}

	}



/* &walk0*-let-fun2127 */
	obj_t BGl_z62walk0za2zd2letzd2fun2127zc0zzast_walkz00(obj_t BgL_envz00_7556,
		obj_t BgL_nz00_7557, obj_t BgL_pz00_7558)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_res4060z00_8887;

				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3426z00_8884;
					obj_t BgL_arg3427z00_8885;

					BgL_arg3426z00_8884 =
						BGl_zc3z04anonymousza33428ze3ze70z60zzast_walkz00(BgL_pz00_7558,
						(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7557)))->BgL_localsz00));
					{	/* Ast/walk.scm 315 */
						BgL_nodez00_bglt BgL_arg3436z00_8886;

						BgL_arg3436z00_8886 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nz00_7557)))->BgL_bodyz00);
						BgL_arg3427z00_8885 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7558, ((obj_t) BgL_arg3436z00_8886));
					}
					BgL_res4060z00_8887 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3426z00_8884,
						BgL_arg3427z00_8885);
				}
				return BgL_res4060z00_8887;
			}
		}

	}



/* <@anonymous:3428>~0 */
	obj_t BGl_zc3z04anonymousza33428ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8653,
		obj_t BgL_l1596z00_5366)
	{
		{	/* Ast/walk.scm 315 */
			if (NULLP(BgL_l1596z00_5366))
				{	/* Ast/walk.scm 315 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 315 */
					obj_t BgL_arg3430z00_5369;
					obj_t BgL_arg3431z00_5370;

					{	/* Ast/walk.scm 315 */
						obj_t BgL_fz00_5371;

						BgL_fz00_5371 = CAR(((obj_t) BgL_l1596z00_5366));
						{	/* Ast/walk.scm 316 */
							obj_t BgL_arg3432z00_5372;

							BgL_arg3432z00_5372 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_fz00_5371)))->
												BgL_valuez00))))->BgL_bodyz00);
							BgL_arg3430z00_5369 =
								BGL_PROCEDURE_CALL1(BgL_pz00_8653, BgL_arg3432z00_5372);
						}
					}
					{	/* Ast/walk.scm 315 */
						obj_t BgL_arg3435z00_5375;

						BgL_arg3435z00_5375 = CDR(((obj_t) BgL_l1596z00_5366));
						BgL_arg3431z00_5370 =
							BGl_zc3z04anonymousza33428ze3ze70z60zzast_walkz00(BgL_pz00_8653,
							BgL_arg3435z00_5375);
					}
					return bgl_append2(BgL_arg3430z00_5369, BgL_arg3431z00_5370);
				}
		}

	}



/* &walk3-let-fun2125 */
	obj_t BGl_z62walk3zd2letzd2fun2125z62zzast_walkz00(obj_t BgL_envz00_7559,
		obj_t BgL_nz00_7560, obj_t BgL_pz00_7561, obj_t BgL_arg0z00_7562,
		obj_t BgL_arg1z00_7563, obj_t BgL_arg2z00_7564)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1594z00_8889;

				BgL_g1594z00_8889 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7560)))->BgL_localsz00);
				{
					obj_t BgL_l1592z00_8891;

					BgL_l1592z00_8891 = BgL_g1594z00_8889;
				BgL_zc3z04anonymousza33418ze3z87_8890:
					if (PAIRP(BgL_l1592z00_8891))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8892;

								BgL_fz00_8892 = CAR(BgL_l1592z00_8891);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3420z00_8893;

									BgL_arg3420z00_8893 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8892)))->
														BgL_valuez00))))->BgL_bodyz00);
									BGL_PROCEDURE_CALL4(BgL_pz00_7561, BgL_arg3420z00_8893,
										BgL_arg0z00_7562, BgL_arg1z00_7563, BgL_arg2z00_7564);
								}
							}
							{
								obj_t BgL_l1592z00_11649;

								BgL_l1592z00_11649 = CDR(BgL_l1592z00_8891);
								BgL_l1592z00_8891 = BgL_l1592z00_11649;
								goto BgL_zc3z04anonymousza33418ze3z87_8890;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3424z00_8894;

				BgL_arg3424z00_8894 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7560)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7561,
					((obj_t) BgL_arg3424z00_8894), BgL_arg0z00_7562, BgL_arg1z00_7563,
					BgL_arg2z00_7564);
			}
		}

	}



/* &walk2-let-fun2123 */
	obj_t BGl_z62walk2zd2letzd2fun2123z62zzast_walkz00(obj_t BgL_envz00_7565,
		obj_t BgL_nz00_7566, obj_t BgL_pz00_7567, obj_t BgL_arg0z00_7568,
		obj_t BgL_arg1z00_7569)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1591z00_8896;

				BgL_g1591z00_8896 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7566)))->BgL_localsz00);
				{
					obj_t BgL_l1589z00_8898;

					BgL_l1589z00_8898 = BgL_g1591z00_8896;
				BgL_zc3z04anonymousza33411ze3z87_8897:
					if (PAIRP(BgL_l1589z00_8898))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8899;

								BgL_fz00_8899 = CAR(BgL_l1589z00_8898);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3413z00_8900;

									BgL_arg3413z00_8900 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8899)))->
														BgL_valuez00))))->BgL_bodyz00);
									BGL_PROCEDURE_CALL3(BgL_pz00_7567, BgL_arg3413z00_8900,
										BgL_arg0z00_7568, BgL_arg1z00_7569);
								}
							}
							{
								obj_t BgL_l1589z00_11676;

								BgL_l1589z00_11676 = CDR(BgL_l1589z00_8898);
								BgL_l1589z00_8898 = BgL_l1589z00_11676;
								goto BgL_zc3z04anonymousza33411ze3z87_8897;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3417z00_8901;

				BgL_arg3417z00_8901 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7566)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7567,
					((obj_t) BgL_arg3417z00_8901), BgL_arg0z00_7568, BgL_arg1z00_7569);
			}
		}

	}



/* &walk1-let-fun2121 */
	obj_t BGl_z62walk1zd2letzd2fun2121z62zzast_walkz00(obj_t BgL_envz00_7570,
		obj_t BgL_nz00_7571, obj_t BgL_pz00_7572, obj_t BgL_arg0z00_7573)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1588z00_8903;

				BgL_g1588z00_8903 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7571)))->BgL_localsz00);
				{
					obj_t BgL_l1586z00_8905;

					BgL_l1586z00_8905 = BgL_g1588z00_8903;
				BgL_zc3z04anonymousza33404ze3z87_8904:
					if (PAIRP(BgL_l1586z00_8905))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8906;

								BgL_fz00_8906 = CAR(BgL_l1586z00_8905);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3406z00_8907;

									BgL_arg3406z00_8907 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8906)))->
														BgL_valuez00))))->BgL_bodyz00);
									BGL_PROCEDURE_CALL2(BgL_pz00_7572, BgL_arg3406z00_8907,
										BgL_arg0z00_7573);
								}
							}
							{
								obj_t BgL_l1586z00_11701;

								BgL_l1586z00_11701 = CDR(BgL_l1586z00_8905);
								BgL_l1586z00_8905 = BgL_l1586z00_11701;
								goto BgL_zc3z04anonymousza33404ze3z87_8904;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3410z00_8908;

				BgL_arg3410z00_8908 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7571)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7572,
					((obj_t) BgL_arg3410z00_8908), BgL_arg0z00_7573);
			}
		}

	}



/* &walk0-let-fun2119 */
	obj_t BGl_z62walk0zd2letzd2fun2119z62zzast_walkz00(obj_t BgL_envz00_7574,
		obj_t BgL_nz00_7575, obj_t BgL_pz00_7576)
	{
		{	/* Ast/walk.scm 315 */
			{	/* Ast/walk.scm 315 */
				obj_t BgL_g1585z00_8910;

				BgL_g1585z00_8910 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7575)))->BgL_localsz00);
				{
					obj_t BgL_l1583z00_8912;

					BgL_l1583z00_8912 = BgL_g1585z00_8910;
				BgL_zc3z04anonymousza33397ze3z87_8911:
					if (PAIRP(BgL_l1583z00_8912))
						{	/* Ast/walk.scm 315 */
							{	/* Ast/walk.scm 315 */
								obj_t BgL_fz00_8913;

								BgL_fz00_8913 = CAR(BgL_l1583z00_8912);
								{	/* Ast/walk.scm 316 */
									obj_t BgL_arg3400z00_8914;

									BgL_arg3400z00_8914 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_fz00_8913)))->
														BgL_valuez00))))->BgL_bodyz00);
									BGL_PROCEDURE_CALL1(BgL_pz00_7576, BgL_arg3400z00_8914);
								}
							}
							{
								obj_t BgL_l1583z00_11724;

								BgL_l1583z00_11724 = CDR(BgL_l1583z00_8912);
								BgL_l1583z00_8912 = BgL_l1583z00_11724;
								goto BgL_zc3z04anonymousza33397ze3z87_8911;
							}
						}
					else
						{	/* Ast/walk.scm 315 */
							((bool_t) 1);
						}
				}
			}
			{	/* Ast/walk.scm 315 */
				BgL_nodez00_bglt BgL_arg3403z00_8915;

				BgL_arg3403z00_8915 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nz00_7575)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7576, ((obj_t) BgL_arg3403z00_8915));
			}
		}

	}



/* &walk3!-switch2117 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2switch2117za2zzast_walkz00(obj_t
		BgL_envz00_7577, obj_t BgL_nz00_7578, obj_t BgL_pz00_7579,
		obj_t BgL_arg0z00_7580, obj_t BgL_arg1z00_7581, obj_t BgL_arg2z00_7582)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11733;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3385z00_8917;

					BgL_arg3385z00_8917 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7578)))->BgL_testz00);
					BgL_auxz00_11733 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7579,
							((obj_t) BgL_arg3385z00_8917), BgL_arg0z00_7580, BgL_arg1z00_7581,
							BgL_arg2z00_7582));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7578)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11733), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8919;

				BgL_fieldsz00_8919 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7578)))->BgL_clausesz00);
			BgL_loopz00_8918:
				if (NULLP(BgL_fieldsz00_8919))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3390z00_8920;
							obj_t BgL_arg3391z00_8921;

							BgL_arg3390z00_8920 = CAR(((obj_t) BgL_fieldsz00_8919));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3392z00_8922;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8923;

									BgL_pairz00_8923 = CAR(((obj_t) BgL_fieldsz00_8919));
									BgL_arg3392z00_8922 = CDR(BgL_pairz00_8923);
								}
								BgL_arg3391z00_8921 =
									BGL_PROCEDURE_CALL4(BgL_pz00_7579, BgL_arg3392z00_8922,
									BgL_arg0z00_7580, BgL_arg1z00_7581, BgL_arg2z00_7582);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11761;

								BgL_tmpz00_11761 = ((obj_t) BgL_arg3390z00_8920);
								SET_CDR(BgL_tmpz00_11761, BgL_arg3391z00_8921);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3396z00_8924;

							BgL_arg3396z00_8924 = CDR(((obj_t) BgL_fieldsz00_8919));
							{
								obj_t BgL_fieldsz00_11766;

								BgL_fieldsz00_11766 = BgL_arg3396z00_8924;
								BgL_fieldsz00_8919 = BgL_fieldsz00_11766;
								goto BgL_loopz00_8918;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7578));
		}

	}



/* &walk2!-switch2115 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2switch2115za2zzast_walkz00(obj_t
		BgL_envz00_7583, obj_t BgL_nz00_7584, obj_t BgL_pz00_7585,
		obj_t BgL_arg0z00_7586, obj_t BgL_arg1z00_7587)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11771;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3374z00_8926;

					BgL_arg3374z00_8926 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7584)))->BgL_testz00);
					BgL_auxz00_11771 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7585,
							((obj_t) BgL_arg3374z00_8926), BgL_arg0z00_7586,
							BgL_arg1z00_7587));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7584)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11771), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8928;

				BgL_fieldsz00_8928 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7584)))->BgL_clausesz00);
			BgL_loopz00_8927:
				if (NULLP(BgL_fieldsz00_8928))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3378z00_8929;
							obj_t BgL_arg3379z00_8930;

							BgL_arg3378z00_8929 = CAR(((obj_t) BgL_fieldsz00_8928));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3380z00_8931;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8932;

									BgL_pairz00_8932 = CAR(((obj_t) BgL_fieldsz00_8928));
									BgL_arg3380z00_8931 = CDR(BgL_pairz00_8932);
								}
								BgL_arg3379z00_8930 =
									BGL_PROCEDURE_CALL3(BgL_pz00_7585, BgL_arg3380z00_8931,
									BgL_arg0z00_7586, BgL_arg1z00_7587);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11797;

								BgL_tmpz00_11797 = ((obj_t) BgL_arg3378z00_8929);
								SET_CDR(BgL_tmpz00_11797, BgL_arg3379z00_8930);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3384z00_8933;

							BgL_arg3384z00_8933 = CDR(((obj_t) BgL_fieldsz00_8928));
							{
								obj_t BgL_fieldsz00_11802;

								BgL_fieldsz00_11802 = BgL_arg3384z00_8933;
								BgL_fieldsz00_8928 = BgL_fieldsz00_11802;
								goto BgL_loopz00_8927;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7584));
		}

	}



/* &walk1!-switch2113 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2switch2113za2zzast_walkz00(obj_t
		BgL_envz00_7588, obj_t BgL_nz00_7589, obj_t BgL_pz00_7590,
		obj_t BgL_arg0z00_7591)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11807;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3364z00_8935;

					BgL_arg3364z00_8935 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7589)))->BgL_testz00);
					BgL_auxz00_11807 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7590,
							((obj_t) BgL_arg3364z00_8935), BgL_arg0z00_7591));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7589)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11807), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8937;

				BgL_fieldsz00_8937 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7589)))->BgL_clausesz00);
			BgL_loopz00_8936:
				if (NULLP(BgL_fieldsz00_8937))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3368z00_8938;
							obj_t BgL_arg3369z00_8939;

							BgL_arg3368z00_8938 = CAR(((obj_t) BgL_fieldsz00_8937));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3370z00_8940;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8941;

									BgL_pairz00_8941 = CAR(((obj_t) BgL_fieldsz00_8937));
									BgL_arg3370z00_8940 = CDR(BgL_pairz00_8941);
								}
								BgL_arg3369z00_8939 =
									BGL_PROCEDURE_CALL2(BgL_pz00_7590, BgL_arg3370z00_8940,
									BgL_arg0z00_7591);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11831;

								BgL_tmpz00_11831 = ((obj_t) BgL_arg3368z00_8938);
								SET_CDR(BgL_tmpz00_11831, BgL_arg3369z00_8939);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3372z00_8942;

							BgL_arg3372z00_8942 = CDR(((obj_t) BgL_fieldsz00_8937));
							{
								obj_t BgL_fieldsz00_11836;

								BgL_fieldsz00_11836 = BgL_arg3372z00_8942;
								BgL_fieldsz00_8937 = BgL_fieldsz00_11836;
								goto BgL_loopz00_8936;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7589));
		}

	}



/* &walk0!-switch2111 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2switch2111za2zzast_walkz00(obj_t
		BgL_envz00_7592, obj_t BgL_nz00_7593, obj_t BgL_pz00_7594)
	{
		{	/* Ast/walk.scm 312 */
			{
				BgL_nodez00_bglt BgL_auxz00_11841;

				{	/* Ast/walk.scm 312 */
					BgL_nodez00_bglt BgL_arg3353z00_8944;

					BgL_arg3353z00_8944 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_testz00);
					BgL_auxz00_11841 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7594, ((obj_t) BgL_arg3353z00_8944)));
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_11841), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_8946;

				BgL_fieldsz00_8946 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7593)))->BgL_clausesz00);
			BgL_loopz00_8945:
				if (NULLP(BgL_fieldsz00_8946))
					{	/* Ast/walk.scm 312 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 312 */
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3358z00_8947;
							obj_t BgL_arg3359z00_8948;

							BgL_arg3358z00_8947 = CAR(((obj_t) BgL_fieldsz00_8946));
							{	/* Ast/walk.scm 312 */
								obj_t BgL_arg3360z00_8949;

								{	/* Ast/walk.scm 312 */
									obj_t BgL_pairz00_8950;

									BgL_pairz00_8950 = CAR(((obj_t) BgL_fieldsz00_8946));
									BgL_arg3360z00_8949 = CDR(BgL_pairz00_8950);
								}
								BgL_arg3359z00_8948 =
									BGL_PROCEDURE_CALL1(BgL_pz00_7594, BgL_arg3360z00_8949);
							}
							{	/* Ast/walk.scm 312 */
								obj_t BgL_tmpz00_11863;

								BgL_tmpz00_11863 = ((obj_t) BgL_arg3358z00_8947);
								SET_CDR(BgL_tmpz00_11863, BgL_arg3359z00_8948);
							}
						}
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3362z00_8951;

							BgL_arg3362z00_8951 = CDR(((obj_t) BgL_fieldsz00_8946));
							{
								obj_t BgL_fieldsz00_11868;

								BgL_fieldsz00_11868 = BgL_arg3362z00_8951;
								BgL_fieldsz00_8946 = BgL_fieldsz00_11868;
								goto BgL_loopz00_8945;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nz00_7593));
		}

	}



/* &walk3*-switch2109 */
	obj_t BGl_z62walk3za2zd2switch2109z12zzast_walkz00(obj_t BgL_envz00_7595,
		obj_t BgL_nz00_7596, obj_t BgL_pz00_7597, obj_t BgL_arg0z00_7598,
		obj_t BgL_arg1z00_7599, obj_t BgL_arg2z00_7600)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4061z00_8956;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3342z00_8953;
					obj_t BgL_arg3344z00_8954;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3345z00_8955;

						BgL_arg3345z00_8955 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7596)))->BgL_testz00);
						BgL_arg3342z00_8953 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7597,
							((obj_t) BgL_arg3345z00_8955), BgL_arg0z00_7598, BgL_arg1z00_7599,
							BgL_arg2z00_7600);
					}
					BgL_arg3344z00_8954 =
						BGl_zc3z04anonymousza33346ze3ze70z60zzast_walkz00(BgL_arg2z00_7600,
						BgL_arg1z00_7599, BgL_arg0z00_7598, BgL_pz00_7597,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7596)))->BgL_clausesz00));
					BgL_res4061z00_8956 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3342z00_8953,
						BgL_arg3344z00_8954);
				}
				return BgL_res4061z00_8956;
			}
		}

	}



/* <@anonymous:3346>~0 */
	obj_t BGl_zc3z04anonymousza33346ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8652, obj_t BgL_arg1z00_8651, obj_t BgL_arg0z00_8650,
		obj_t BgL_pz00_8649, obj_t BgL_l1581z00_5191)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1581z00_5191))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3349z00_5194;
					obj_t BgL_arg3350z00_5195;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5196;

						BgL_fz00_5196 = CAR(((obj_t) BgL_l1581z00_5191));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3351z00_5197;

							BgL_arg3351z00_5197 = CDR(((obj_t) BgL_fz00_5196));
							BgL_arg3349z00_5194 =
								BGL_PROCEDURE_CALL4(BgL_pz00_8649, BgL_arg3351z00_5197,
								BgL_arg0z00_8650, BgL_arg1z00_8651, BgL_arg2z00_8652);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3352z00_5198;

						BgL_arg3352z00_5198 = CDR(((obj_t) BgL_l1581z00_5191));
						BgL_arg3350z00_5195 =
							BGl_zc3z04anonymousza33346ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8652, BgL_arg1z00_8651, BgL_arg0z00_8650,
							BgL_pz00_8649, BgL_arg3352z00_5198);
					}
					return bgl_append2(BgL_arg3349z00_5194, BgL_arg3350z00_5195);
				}
		}

	}



/* &walk2*-switch2107 */
	obj_t BGl_z62walk2za2zd2switch2107z12zzast_walkz00(obj_t BgL_envz00_7601,
		obj_t BgL_nz00_7602, obj_t BgL_pz00_7603, obj_t BgL_arg0z00_7604,
		obj_t BgL_arg1z00_7605)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4062z00_8961;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3333z00_8958;
					obj_t BgL_arg3334z00_8959;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3335z00_8960;

						BgL_arg3335z00_8960 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7602)))->BgL_testz00);
						BgL_arg3333z00_8958 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7603,
							((obj_t) BgL_arg3335z00_8960), BgL_arg0z00_7604,
							BgL_arg1z00_7605);
					}
					BgL_arg3334z00_8959 =
						BGl_zc3z04anonymousza33336ze3ze70z60zzast_walkz00(BgL_arg1z00_7605,
						BgL_arg0z00_7604, BgL_pz00_7603,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7602)))->BgL_clausesz00));
					BgL_res4062z00_8961 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3333z00_8958,
						BgL_arg3334z00_8959);
				}
				return BgL_res4062z00_8961;
			}
		}

	}



/* <@anonymous:3336>~0 */
	obj_t BGl_zc3z04anonymousza33336ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8648, obj_t BgL_arg0z00_8647, obj_t BgL_pz00_8646,
		obj_t BgL_l1578z00_5168)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1578z00_5168))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3338z00_5171;
					obj_t BgL_arg3339z00_5172;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5173;

						BgL_fz00_5173 = CAR(((obj_t) BgL_l1578z00_5168));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3340z00_5174;

							BgL_arg3340z00_5174 = CDR(((obj_t) BgL_fz00_5173));
							BgL_arg3338z00_5171 =
								BGL_PROCEDURE_CALL3(BgL_pz00_8646, BgL_arg3340z00_5174,
								BgL_arg0z00_8647, BgL_arg1z00_8648);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3341z00_5175;

						BgL_arg3341z00_5175 = CDR(((obj_t) BgL_l1578z00_5168));
						BgL_arg3339z00_5172 =
							BGl_zc3z04anonymousza33336ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8648, BgL_arg0z00_8647, BgL_pz00_8646,
							BgL_arg3341z00_5175);
					}
					return bgl_append2(BgL_arg3338z00_5171, BgL_arg3339z00_5172);
				}
		}

	}



/* &walk1*-switch2105 */
	obj_t BGl_z62walk1za2zd2switch2105z12zzast_walkz00(obj_t BgL_envz00_7606,
		obj_t BgL_nz00_7607, obj_t BgL_pz00_7608, obj_t BgL_arg0z00_7609)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4063z00_8966;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3321z00_8963;
					obj_t BgL_arg3323z00_8964;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3324z00_8965;

						BgL_arg3324z00_8965 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7607)))->BgL_testz00);
						BgL_arg3321z00_8963 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7608,
							((obj_t) BgL_arg3324z00_8965), BgL_arg0z00_7609);
					}
					BgL_arg3323z00_8964 =
						BGl_zc3z04anonymousza33325ze3ze70z60zzast_walkz00(BgL_arg0z00_7609,
						BgL_pz00_7608,
						(((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_nz00_7607)))->BgL_clausesz00));
					BgL_res4063z00_8966 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3321z00_8963,
						BgL_arg3323z00_8964);
				}
				return BgL_res4063z00_8966;
			}
		}

	}



/* <@anonymous:3325>~0 */
	obj_t BGl_zc3z04anonymousza33325ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8645, obj_t BgL_pz00_8644, obj_t BgL_l1575z00_5146)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1575z00_5146))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3328z00_5149;
					obj_t BgL_arg3329z00_5150;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5151;

						BgL_fz00_5151 = CAR(((obj_t) BgL_l1575z00_5146));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3330z00_5152;

							BgL_arg3330z00_5152 = CDR(((obj_t) BgL_fz00_5151));
							BgL_arg3328z00_5149 =
								BGL_PROCEDURE_CALL2(BgL_pz00_8644, BgL_arg3330z00_5152,
								BgL_arg0z00_8645);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3331z00_5153;

						BgL_arg3331z00_5153 = CDR(((obj_t) BgL_l1575z00_5146));
						BgL_arg3329z00_5150 =
							BGl_zc3z04anonymousza33325ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8645, BgL_pz00_8644, BgL_arg3331z00_5153);
					}
					return bgl_append2(BgL_arg3328z00_5149, BgL_arg3329z00_5150);
				}
		}

	}



/* &walk0*-switch2103 */
	obj_t BGl_z62walk0za2zd2switch2103z12zzast_walkz00(obj_t BgL_envz00_7610,
		obj_t BgL_nz00_7611, obj_t BgL_pz00_7612)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				obj_t BgL_res4064z00_8971;

				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3312z00_8968;
					obj_t BgL_arg3313z00_8969;

					{	/* Ast/walk.scm 312 */
						BgL_nodez00_bglt BgL_arg3314z00_8970;

						BgL_arg3314z00_8970 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7611)))->BgL_testz00);
						BgL_arg3312z00_8968 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7612, ((obj_t) BgL_arg3314z00_8970));
					}
					BgL_arg3313z00_8969 =
						BGl_zc3z04anonymousza33315ze3ze70z60zzast_walkz00(BgL_pz00_7612,
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nz00_7611)))->BgL_clausesz00));
					BgL_res4064z00_8971 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3312z00_8968,
						BgL_arg3313z00_8969);
				}
				return BgL_res4064z00_8971;
			}
		}

	}



/* <@anonymous:3315>~0 */
	obj_t BGl_zc3z04anonymousza33315ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8643,
		obj_t BgL_l1572z00_5125)
	{
		{	/* Ast/walk.scm 312 */
			if (NULLP(BgL_l1572z00_5125))
				{	/* Ast/walk.scm 312 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 312 */
					obj_t BgL_arg3317z00_5128;
					obj_t BgL_arg3318z00_5129;

					{	/* Ast/walk.scm 312 */
						obj_t BgL_fz00_5130;

						BgL_fz00_5130 = CAR(((obj_t) BgL_l1572z00_5125));
						{	/* Ast/walk.scm 312 */
							obj_t BgL_arg3319z00_5131;

							BgL_arg3319z00_5131 = CDR(((obj_t) BgL_fz00_5130));
							BgL_arg3317z00_5128 =
								BGL_PROCEDURE_CALL1(BgL_pz00_8643, BgL_arg3319z00_5131);
						}
					}
					{	/* Ast/walk.scm 312 */
						obj_t BgL_arg3320z00_5132;

						BgL_arg3320z00_5132 = CDR(((obj_t) BgL_l1572z00_5125));
						BgL_arg3318z00_5129 =
							BGl_zc3z04anonymousza33315ze3ze70z60zzast_walkz00(BgL_pz00_8643,
							BgL_arg3320z00_5132);
					}
					return bgl_append2(BgL_arg3317z00_5128, BgL_arg3318z00_5129);
				}
		}

	}



/* &walk3-switch2101 */
	obj_t BGl_z62walk3zd2switch2101zb0zzast_walkz00(obj_t BgL_envz00_7613,
		obj_t BgL_nz00_7614, obj_t BgL_pz00_7615, obj_t BgL_arg0z00_7616,
		obj_t BgL_arg1z00_7617, obj_t BgL_arg2z00_7618)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3306z00_8973;

				BgL_arg3306z00_8973 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7614)))->BgL_testz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_7615,
					((obj_t) BgL_arg3306z00_8973), BgL_arg0z00_7616, BgL_arg1z00_7617,
					BgL_arg2z00_7618);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1570z00_8974;

				BgL_g1570z00_8974 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7614)))->BgL_clausesz00);
				{
					obj_t BgL_l1568z00_8976;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_11997;

						BgL_l1568z00_8976 = BgL_g1570z00_8974;
					BgL_zc3z04anonymousza33307ze3z87_8975:
						if (PAIRP(BgL_l1568z00_8976))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_8977;

									BgL_fz00_8977 = CAR(BgL_l1568z00_8976);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3309z00_8978;

										BgL_arg3309z00_8978 = CDR(((obj_t) BgL_fz00_8977));
										BGL_PROCEDURE_CALL4(BgL_pz00_7615, BgL_arg3309z00_8978,
											BgL_arg0z00_7616, BgL_arg1z00_7617, BgL_arg2z00_7618);
									}
								}
								{
									obj_t BgL_l1568z00_12010;

									BgL_l1568z00_12010 = CDR(BgL_l1568z00_8976);
									BgL_l1568z00_8976 = BgL_l1568z00_12010;
									goto BgL_zc3z04anonymousza33307ze3z87_8975;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_11997 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_11997);
					}
				}
			}
		}

	}



/* &walk2-switch2099 */
	obj_t BGl_z62walk2zd2switch2099zb0zzast_walkz00(obj_t BgL_envz00_7619,
		obj_t BgL_nz00_7620, obj_t BgL_pz00_7621, obj_t BgL_arg0z00_7622,
		obj_t BgL_arg1z00_7623)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3300z00_8980;

				BgL_arg3300z00_8980 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7620)))->BgL_testz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_7621,
					((obj_t) BgL_arg3300z00_8980), BgL_arg0z00_7622, BgL_arg1z00_7623);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1567z00_8981;

				BgL_g1567z00_8981 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7620)))->BgL_clausesz00);
				{
					obj_t BgL_l1565z00_8983;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12024;

						BgL_l1565z00_8983 = BgL_g1567z00_8981;
					BgL_zc3z04anonymousza33301ze3z87_8982:
						if (PAIRP(BgL_l1565z00_8983))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_8984;

									BgL_fz00_8984 = CAR(BgL_l1565z00_8983);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3303z00_8985;

										BgL_arg3303z00_8985 = CDR(((obj_t) BgL_fz00_8984));
										BGL_PROCEDURE_CALL3(BgL_pz00_7621, BgL_arg3303z00_8985,
											BgL_arg0z00_7622, BgL_arg1z00_7623);
									}
								}
								{
									obj_t BgL_l1565z00_12036;

									BgL_l1565z00_12036 = CDR(BgL_l1565z00_8983);
									BgL_l1565z00_8983 = BgL_l1565z00_12036;
									goto BgL_zc3z04anonymousza33301ze3z87_8982;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12024 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12024);
					}
				}
			}
		}

	}



/* &walk1-switch2097 */
	obj_t BGl_z62walk1zd2switch2097zb0zzast_walkz00(obj_t BgL_envz00_7624,
		obj_t BgL_nz00_7625, obj_t BgL_pz00_7626, obj_t BgL_arg0z00_7627)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3294z00_8987;

				BgL_arg3294z00_8987 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7625)))->BgL_testz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_7626,
					((obj_t) BgL_arg3294z00_8987), BgL_arg0z00_7627);
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1564z00_8988;

				BgL_g1564z00_8988 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7625)))->BgL_clausesz00);
				{
					obj_t BgL_l1562z00_8990;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12049;

						BgL_l1562z00_8990 = BgL_g1564z00_8988;
					BgL_zc3z04anonymousza33295ze3z87_8989:
						if (PAIRP(BgL_l1562z00_8990))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_8991;

									BgL_fz00_8991 = CAR(BgL_l1562z00_8990);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3297z00_8992;

										BgL_arg3297z00_8992 = CDR(((obj_t) BgL_fz00_8991));
										BGL_PROCEDURE_CALL2(BgL_pz00_7626, BgL_arg3297z00_8992,
											BgL_arg0z00_7627);
									}
								}
								{
									obj_t BgL_l1562z00_12060;

									BgL_l1562z00_12060 = CDR(BgL_l1562z00_8990);
									BgL_l1562z00_8990 = BgL_l1562z00_12060;
									goto BgL_zc3z04anonymousza33295ze3z87_8989;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12049 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12049);
					}
				}
			}
		}

	}



/* &walk0-switch2095 */
	obj_t BGl_z62walk0zd2switch2095zb0zzast_walkz00(obj_t BgL_envz00_7628,
		obj_t BgL_nz00_7629, obj_t BgL_pz00_7630)
	{
		{	/* Ast/walk.scm 312 */
			{	/* Ast/walk.scm 312 */
				BgL_nodez00_bglt BgL_arg3288z00_8994;

				BgL_arg3288z00_8994 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7629)))->BgL_testz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_7630, ((obj_t) BgL_arg3288z00_8994));
			}
			{	/* Ast/walk.scm 312 */
				obj_t BgL_g1561z00_8995;

				BgL_g1561z00_8995 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nz00_7629)))->BgL_clausesz00);
				{
					obj_t BgL_l1559z00_8997;

					{	/* Ast/walk.scm 312 */
						bool_t BgL_tmpz00_12072;

						BgL_l1559z00_8997 = BgL_g1561z00_8995;
					BgL_zc3z04anonymousza33289ze3z87_8996:
						if (PAIRP(BgL_l1559z00_8997))
							{	/* Ast/walk.scm 312 */
								{	/* Ast/walk.scm 312 */
									obj_t BgL_fz00_8998;

									BgL_fz00_8998 = CAR(BgL_l1559z00_8997);
									{	/* Ast/walk.scm 312 */
										obj_t BgL_arg3291z00_8999;

										BgL_arg3291z00_8999 = CDR(((obj_t) BgL_fz00_8998));
										BGL_PROCEDURE_CALL1(BgL_pz00_7630, BgL_arg3291z00_8999);
									}
								}
								{
									obj_t BgL_l1559z00_12082;

									BgL_l1559z00_12082 = CDR(BgL_l1559z00_8997);
									BgL_l1559z00_8997 = BgL_l1559z00_12082;
									goto BgL_zc3z04anonymousza33289ze3z87_8996;
								}
							}
						else
							{	/* Ast/walk.scm 312 */
								BgL_tmpz00_12072 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_12072);
					}
				}
			}
		}

	}



/* &walk3!-sync2093 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sync2093za2zzast_walkz00(obj_t
		BgL_envz00_7631, obj_t BgL_nz00_7632, obj_t BgL_pz00_7633,
		obj_t BgL_arg0z00_7634, obj_t BgL_arg1z00_7635, obj_t BgL_arg2z00_7636)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12085;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3283z00_9001;

					BgL_arg3283z00_9001 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_mutexz00);
					BgL_auxz00_12085 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7633,
							((obj_t) BgL_arg3283z00_9001), BgL_arg0z00_7634, BgL_arg1z00_7635,
							BgL_arg2z00_7636));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12085), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12099;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3285z00_9002;

					BgL_arg3285z00_9002 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_prelockz00);
					BgL_auxz00_12099 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7633,
							((obj_t) BgL_arg3285z00_9002), BgL_arg0z00_7634, BgL_arg1z00_7635,
							BgL_arg2z00_7636));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12099), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12113;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3286z00_9003;

					BgL_arg3286z00_9003 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_bodyz00);
					BgL_auxz00_12113 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7633,
							((obj_t) BgL_arg3286z00_9003), BgL_arg0z00_7634, BgL_arg1z00_7635,
							BgL_arg2z00_7636));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7632)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12113), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7632));
		}

	}



/* &walk2!-sync2091 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sync2091za2zzast_walkz00(obj_t
		BgL_envz00_7637, obj_t BgL_nz00_7638, obj_t BgL_pz00_7639,
		obj_t BgL_arg0z00_7640, obj_t BgL_arg1z00_7641)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12129;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3277z00_9005;

					BgL_arg3277z00_9005 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_mutexz00);
					BgL_auxz00_12129 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7639,
							((obj_t) BgL_arg3277z00_9005), BgL_arg0z00_7640,
							BgL_arg1z00_7641));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12129), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12142;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3278z00_9006;

					BgL_arg3278z00_9006 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_prelockz00);
					BgL_auxz00_12142 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7639,
							((obj_t) BgL_arg3278z00_9006), BgL_arg0z00_7640,
							BgL_arg1z00_7641));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12142), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12155;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3282z00_9007;

					BgL_arg3282z00_9007 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_bodyz00);
					BgL_auxz00_12155 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7639,
							((obj_t) BgL_arg3282z00_9007), BgL_arg0z00_7640,
							BgL_arg1z00_7641));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7638)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12155), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7638));
		}

	}



/* &walk1!-sync2089 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sync2089za2zzast_walkz00(obj_t
		BgL_envz00_7642, obj_t BgL_nz00_7643, obj_t BgL_pz00_7644,
		obj_t BgL_arg0z00_7645)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12170;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3274z00_9009;

					BgL_arg3274z00_9009 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_mutexz00);
					BgL_auxz00_12170 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7644,
							((obj_t) BgL_arg3274z00_9009), BgL_arg0z00_7645));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12170), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12182;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3275z00_9010;

					BgL_arg3275z00_9010 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_prelockz00);
					BgL_auxz00_12182 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7644,
							((obj_t) BgL_arg3275z00_9010), BgL_arg0z00_7645));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12182), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12194;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3276z00_9011;

					BgL_arg3276z00_9011 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_bodyz00);
					BgL_auxz00_12194 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7644,
							((obj_t) BgL_arg3276z00_9011), BgL_arg0z00_7645));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7643)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12194), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7643));
		}

	}



/* &walk0!-sync2087 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sync2087za2zzast_walkz00(obj_t
		BgL_envz00_7646, obj_t BgL_nz00_7647, obj_t BgL_pz00_7648)
	{
		{	/* Ast/walk.scm 311 */
			{
				BgL_nodez00_bglt BgL_auxz00_12208;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3268z00_9013;

					BgL_arg3268z00_9013 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_mutexz00);
					BgL_auxz00_12208 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7648, ((obj_t) BgL_arg3268z00_9013)));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12208), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12219;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3269z00_9014;

					BgL_arg3269z00_9014 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_prelockz00);
					BgL_auxz00_12219 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7648, ((obj_t) BgL_arg3269z00_9014)));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12219), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12230;

				{	/* Ast/walk.scm 311 */
					BgL_nodez00_bglt BgL_arg3273z00_9015;

					BgL_arg3273z00_9015 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_bodyz00);
					BgL_auxz00_12230 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7648, ((obj_t) BgL_arg3273z00_9015)));
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nz00_7647)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_12230), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nz00_7647));
		}

	}



/* &walk3*-sync2085 */
	obj_t BGl_z62walk3za2zd2sync2085z12zzast_walkz00(obj_t BgL_envz00_7649,
		obj_t BgL_nz00_7650, obj_t BgL_pz00_7651, obj_t BgL_arg0z00_7652,
		obj_t BgL_arg1z00_7653, obj_t BgL_arg2z00_7654)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4065z00_9026;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3252z00_9017;
					obj_t BgL_arg3253z00_9018;
					obj_t BgL_arg3254z00_9019;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3258z00_9020;

						BgL_arg3258z00_9020 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7650)))->BgL_mutexz00);
						BgL_arg3252z00_9017 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7651,
							((obj_t) BgL_arg3258z00_9020), BgL_arg0z00_7652, BgL_arg1z00_7653,
							BgL_arg2z00_7654);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3266z00_9021;

						BgL_arg3266z00_9021 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7650)))->BgL_prelockz00);
						BgL_arg3253z00_9018 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7651,
							((obj_t) BgL_arg3266z00_9021), BgL_arg0z00_7652, BgL_arg1z00_7653,
							BgL_arg2z00_7654);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3267z00_9022;

						BgL_arg3267z00_9022 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7650)))->BgL_bodyz00);
						BgL_arg3254z00_9019 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7651,
							((obj_t) BgL_arg3267z00_9022), BgL_arg0z00_7652, BgL_arg1z00_7653,
							BgL_arg2z00_7654);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3255z00_9023;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3256z00_9024;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3257z00_9025;

								BgL_arg3257z00_9025 =
									MAKE_YOUNG_PAIR(BgL_arg3254z00_9019, BNIL);
								BgL_arg3256z00_9024 =
									MAKE_YOUNG_PAIR(BgL_arg3253z00_9018, BgL_arg3257z00_9025);
							}
							BgL_list3255z00_9023 =
								MAKE_YOUNG_PAIR(BgL_arg3252z00_9017, BgL_arg3256z00_9024);
						}
						BgL_res4065z00_9026 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3255z00_9023);
					}
				}
				return BgL_res4065z00_9026;
			}
		}

	}



/* &walk2*-sync2083 */
	obj_t BGl_z62walk2za2zd2sync2083z12zzast_walkz00(obj_t BgL_envz00_7655,
		obj_t BgL_nz00_7656, obj_t BgL_pz00_7657, obj_t BgL_arg0z00_7658,
		obj_t BgL_arg1z00_7659)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4066z00_9037;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3240z00_9028;
					obj_t BgL_arg3241z00_9029;
					obj_t BgL_arg3242z00_9030;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3246z00_9031;

						BgL_arg3246z00_9031 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7656)))->BgL_mutexz00);
						BgL_arg3240z00_9028 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7657,
							((obj_t) BgL_arg3246z00_9031), BgL_arg0z00_7658,
							BgL_arg1z00_7659);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3250z00_9032;

						BgL_arg3250z00_9032 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7656)))->BgL_prelockz00);
						BgL_arg3241z00_9029 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7657,
							((obj_t) BgL_arg3250z00_9032), BgL_arg0z00_7658,
							BgL_arg1z00_7659);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3251z00_9033;

						BgL_arg3251z00_9033 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7656)))->BgL_bodyz00);
						BgL_arg3242z00_9030 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7657,
							((obj_t) BgL_arg3251z00_9033), BgL_arg0z00_7658,
							BgL_arg1z00_7659);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3243z00_9034;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3244z00_9035;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3245z00_9036;

								BgL_arg3245z00_9036 =
									MAKE_YOUNG_PAIR(BgL_arg3242z00_9030, BNIL);
								BgL_arg3244z00_9035 =
									MAKE_YOUNG_PAIR(BgL_arg3241z00_9029, BgL_arg3245z00_9036);
							}
							BgL_list3243z00_9034 =
								MAKE_YOUNG_PAIR(BgL_arg3240z00_9028, BgL_arg3244z00_9035);
						}
						BgL_res4066z00_9037 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3243z00_9034);
					}
				}
				return BgL_res4066z00_9037;
			}
		}

	}



/* &walk1*-sync2081 */
	obj_t BGl_z62walk1za2zd2sync2081z12zzast_walkz00(obj_t BgL_envz00_7660,
		obj_t BgL_nz00_7661, obj_t BgL_pz00_7662, obj_t BgL_arg0z00_7663)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4067z00_9048;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3228z00_9039;
					obj_t BgL_arg3229z00_9040;
					obj_t BgL_arg3230z00_9041;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3234z00_9042;

						BgL_arg3234z00_9042 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7661)))->BgL_mutexz00);
						BgL_arg3228z00_9039 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7662,
							((obj_t) BgL_arg3234z00_9042), BgL_arg0z00_7663);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3238z00_9043;

						BgL_arg3238z00_9043 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7661)))->BgL_prelockz00);
						BgL_arg3229z00_9040 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7662,
							((obj_t) BgL_arg3238z00_9043), BgL_arg0z00_7663);
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3239z00_9044;

						BgL_arg3239z00_9044 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7661)))->BgL_bodyz00);
						BgL_arg3230z00_9041 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7662,
							((obj_t) BgL_arg3239z00_9044), BgL_arg0z00_7663);
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3231z00_9045;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3232z00_9046;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3233z00_9047;

								BgL_arg3233z00_9047 =
									MAKE_YOUNG_PAIR(BgL_arg3230z00_9041, BNIL);
								BgL_arg3232z00_9046 =
									MAKE_YOUNG_PAIR(BgL_arg3229z00_9040, BgL_arg3233z00_9047);
							}
							BgL_list3231z00_9045 =
								MAKE_YOUNG_PAIR(BgL_arg3228z00_9039, BgL_arg3232z00_9046);
						}
						BgL_res4067z00_9048 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3231z00_9045);
					}
				}
				return BgL_res4067z00_9048;
			}
		}

	}



/* &walk0*-sync2079 */
	obj_t BGl_z62walk0za2zd2sync2079z12zzast_walkz00(obj_t BgL_envz00_7664,
		obj_t BgL_nz00_7665, obj_t BgL_pz00_7666)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				obj_t BgL_res4068z00_9059;

				{	/* Ast/walk.scm 311 */
					obj_t BgL_arg3216z00_9050;
					obj_t BgL_arg3217z00_9051;
					obj_t BgL_arg3218z00_9052;

					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3222z00_9053;

						BgL_arg3222z00_9053 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_mutexz00);
						BgL_arg3216z00_9050 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7666, ((obj_t) BgL_arg3222z00_9053));
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3226z00_9054;

						BgL_arg3226z00_9054 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_prelockz00);
						BgL_arg3217z00_9051 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7666, ((obj_t) BgL_arg3226z00_9054));
					}
					{	/* Ast/walk.scm 311 */
						BgL_nodez00_bglt BgL_arg3227z00_9055;

						BgL_arg3227z00_9055 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nz00_7665)))->BgL_bodyz00);
						BgL_arg3218z00_9052 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7666, ((obj_t) BgL_arg3227z00_9055));
					}
					{	/* Ast/walk.scm 311 */
						obj_t BgL_list3219z00_9056;

						{	/* Ast/walk.scm 311 */
							obj_t BgL_arg3220z00_9057;

							{	/* Ast/walk.scm 311 */
								obj_t BgL_arg3221z00_9058;

								BgL_arg3221z00_9058 =
									MAKE_YOUNG_PAIR(BgL_arg3218z00_9052, BNIL);
								BgL_arg3220z00_9057 =
									MAKE_YOUNG_PAIR(BgL_arg3217z00_9051, BgL_arg3221z00_9058);
							}
							BgL_list3219z00_9056 =
								MAKE_YOUNG_PAIR(BgL_arg3216z00_9050, BgL_arg3220z00_9057);
						}
						BgL_res4068z00_9059 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3219z00_9056);
					}
				}
				return BgL_res4068z00_9059;
			}
		}

	}



/* &walk3-sync2077 */
	obj_t BGl_z62walk3zd2sync2077zb0zzast_walkz00(obj_t BgL_envz00_7667,
		obj_t BgL_nz00_7668, obj_t BgL_pz00_7669, obj_t BgL_arg0z00_7670,
		obj_t BgL_arg1z00_7671, obj_t BgL_arg2z00_7672)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3213z00_9061;

				BgL_arg3213z00_9061 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7668)))->BgL_mutexz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_7669,
					((obj_t) BgL_arg3213z00_9061), BgL_arg0z00_7670, BgL_arg1z00_7671,
					BgL_arg2z00_7672);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3214z00_9062;

				BgL_arg3214z00_9062 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7668)))->BgL_prelockz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_7669,
					((obj_t) BgL_arg3214z00_9062), BgL_arg0z00_7670, BgL_arg1z00_7671,
					BgL_arg2z00_7672);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3215z00_9063;

				BgL_arg3215z00_9063 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7668)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7669,
					((obj_t) BgL_arg3215z00_9063), BgL_arg0z00_7670, BgL_arg1z00_7671,
					BgL_arg2z00_7672);
			}
		}

	}



/* &walk2-sync2075 */
	obj_t BGl_z62walk2zd2sync2075zb0zzast_walkz00(obj_t BgL_envz00_7673,
		obj_t BgL_nz00_7674, obj_t BgL_pz00_7675, obj_t BgL_arg0z00_7676,
		obj_t BgL_arg1z00_7677)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3210z00_9065;

				BgL_arg3210z00_9065 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7674)))->BgL_mutexz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_7675,
					((obj_t) BgL_arg3210z00_9065), BgL_arg0z00_7676, BgL_arg1z00_7677);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3211z00_9066;

				BgL_arg3211z00_9066 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7674)))->BgL_prelockz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_7675,
					((obj_t) BgL_arg3211z00_9066), BgL_arg0z00_7676, BgL_arg1z00_7677);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3212z00_9067;

				BgL_arg3212z00_9067 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7674)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7675,
					((obj_t) BgL_arg3212z00_9067), BgL_arg0z00_7676, BgL_arg1z00_7677);
			}
		}

	}



/* &walk1-sync2073 */
	obj_t BGl_z62walk1zd2sync2073zb0zzast_walkz00(obj_t BgL_envz00_7678,
		obj_t BgL_nz00_7679, obj_t BgL_pz00_7680, obj_t BgL_arg0z00_7681)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3207z00_9069;

				BgL_arg3207z00_9069 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7679)))->BgL_mutexz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_7680,
					((obj_t) BgL_arg3207z00_9069), BgL_arg0z00_7681);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3208z00_9070;

				BgL_arg3208z00_9070 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7679)))->BgL_prelockz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_7680,
					((obj_t) BgL_arg3208z00_9070), BgL_arg0z00_7681);
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3209z00_9071;

				BgL_arg3209z00_9071 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7679)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7680,
					((obj_t) BgL_arg3209z00_9071), BgL_arg0z00_7681);
			}
		}

	}



/* &walk0-sync2071 */
	obj_t BGl_z62walk0zd2sync2071zb0zzast_walkz00(obj_t BgL_envz00_7682,
		obj_t BgL_nz00_7683, obj_t BgL_pz00_7684)
	{
		{	/* Ast/walk.scm 311 */
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3204z00_9073;

				BgL_arg3204z00_9073 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_mutexz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_7684, ((obj_t) BgL_arg3204z00_9073));
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3205z00_9074;

				BgL_arg3205z00_9074 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_prelockz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_7684, ((obj_t) BgL_arg3205z00_9074));
			}
			{	/* Ast/walk.scm 311 */
				BgL_nodez00_bglt BgL_arg3206z00_9075;

				BgL_arg3206z00_9075 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nz00_7683)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7684, ((obj_t) BgL_arg3206z00_9075));
			}
		}

	}



/* &walk3!-box-set!2069 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2setz122069z62zzast_walkz00(obj_t
		BgL_envz00_7685, obj_t BgL_nz00_7686, obj_t BgL_pz00_7687,
		obj_t BgL_arg0z00_7688, obj_t BgL_arg1z00_7689, obj_t BgL_arg2z00_7690)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12463;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3201z00_9077;

					BgL_arg3201z00_9077 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7686)))->BgL_varz00);
					BgL_auxz00_12463 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7687,
							((obj_t) BgL_arg3201z00_9077), BgL_arg0z00_7688, BgL_arg1z00_7689,
							BgL_arg2z00_7690));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7686)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12463), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12477;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3202z00_9078;

					BgL_arg3202z00_9078 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7686)))->BgL_valuez00);
					BgL_auxz00_12477 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7687,
							((obj_t) BgL_arg3202z00_9078), BgL_arg0z00_7688, BgL_arg1z00_7689,
							BgL_arg2z00_7690));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7686)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12477), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7686));
		}

	}



/* &walk2!-box-set!2067 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2setz122067z62zzast_walkz00(obj_t
		BgL_envz00_7691, obj_t BgL_nz00_7692, obj_t BgL_pz00_7693,
		obj_t BgL_arg0z00_7694, obj_t BgL_arg1z00_7695)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12493;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3197z00_9080;

					BgL_arg3197z00_9080 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7692)))->BgL_varz00);
					BgL_auxz00_12493 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7693,
							((obj_t) BgL_arg3197z00_9080), BgL_arg0z00_7694,
							BgL_arg1z00_7695));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7692)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12493), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12506;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3198z00_9081;

					BgL_arg3198z00_9081 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7692)))->BgL_valuez00);
					BgL_auxz00_12506 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7693,
							((obj_t) BgL_arg3198z00_9081), BgL_arg0z00_7694,
							BgL_arg1z00_7695));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7692)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12506), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7692));
		}

	}



/* &walk1!-box-set!2065 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2setz122065z62zzast_walkz00(obj_t
		BgL_envz00_7696, obj_t BgL_nz00_7697, obj_t BgL_pz00_7698,
		obj_t BgL_arg0z00_7699)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12521;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3193z00_9083;

					BgL_arg3193z00_9083 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7697)))->BgL_varz00);
					BgL_auxz00_12521 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7698,
							((obj_t) BgL_arg3193z00_9083), BgL_arg0z00_7699));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7697)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12521), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12533;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3194z00_9084;

					BgL_arg3194z00_9084 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7697)))->BgL_valuez00);
					BgL_auxz00_12533 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7698,
							((obj_t) BgL_arg3194z00_9084), BgL_arg0z00_7699));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7697)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12533), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7697));
		}

	}



/* &walk0!-box-set!2063 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2setz122063z62zzast_walkz00(obj_t
		BgL_envz00_7700, obj_t BgL_nz00_7701, obj_t BgL_pz00_7702)
	{
		{	/* Ast/walk.scm 310 */
			{
				BgL_varz00_bglt BgL_auxz00_12547;

				{	/* Ast/walk.scm 310 */
					BgL_varz00_bglt BgL_arg3186z00_9086;

					BgL_arg3186z00_9086 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_varz00);
					BgL_auxz00_12547 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7702, ((obj_t) BgL_arg3186z00_9086)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12547), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_12558;

				{	/* Ast/walk.scm 310 */
					BgL_nodez00_bglt BgL_arg3187z00_9087;

					BgL_arg3187z00_9087 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_valuez00);
					BgL_auxz00_12558 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7702, ((obj_t) BgL_arg3187z00_9087)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12558), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7701));
		}

	}



/* &walk3*-box-set!2061 */
	obj_t BGl_z62walk3za2zd2boxzd2setz122061zd2zzast_walkz00(obj_t
		BgL_envz00_7703, obj_t BgL_nz00_7704, obj_t BgL_pz00_7705,
		obj_t BgL_arg0z00_7706, obj_t BgL_arg1z00_7707, obj_t BgL_arg2z00_7708)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4069z00_9093;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3170z00_9089;
					obj_t BgL_arg3171z00_9090;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3179z00_9091;

						BgL_arg3179z00_9091 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7704)))->BgL_varz00);
						BgL_arg3170z00_9089 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7705,
							((obj_t) BgL_arg3179z00_9091), BgL_arg0z00_7706, BgL_arg1z00_7707,
							BgL_arg2z00_7708);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3183z00_9092;

						BgL_arg3183z00_9092 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7704)))->BgL_valuez00);
						BgL_arg3171z00_9090 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7705,
							((obj_t) BgL_arg3183z00_9092), BgL_arg0z00_7706, BgL_arg1z00_7707,
							BgL_arg2z00_7708);
					}
					BgL_res4069z00_9093 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3170z00_9089,
						BgL_arg3171z00_9090);
				}
				return BgL_res4069z00_9093;
			}
		}

	}



/* &walk2*-box-set!2059 */
	obj_t BGl_z62walk2za2zd2boxzd2setz122059zd2zzast_walkz00(obj_t
		BgL_envz00_7709, obj_t BgL_nz00_7710, obj_t BgL_pz00_7711,
		obj_t BgL_arg0z00_7712, obj_t BgL_arg1z00_7713)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4070z00_9099;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3164z00_9095;
					obj_t BgL_arg3166z00_9096;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3168z00_9097;

						BgL_arg3168z00_9097 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7710)))->BgL_varz00);
						BgL_arg3164z00_9095 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7711,
							((obj_t) BgL_arg3168z00_9097), BgL_arg0z00_7712,
							BgL_arg1z00_7713);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3169z00_9098;

						BgL_arg3169z00_9098 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7710)))->BgL_valuez00);
						BgL_arg3166z00_9096 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7711,
							((obj_t) BgL_arg3169z00_9098), BgL_arg0z00_7712,
							BgL_arg1z00_7713);
					}
					BgL_res4070z00_9099 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3164z00_9095,
						BgL_arg3166z00_9096);
				}
				return BgL_res4070z00_9099;
			}
		}

	}



/* &walk1*-box-set!2057 */
	obj_t BGl_z62walk1za2zd2boxzd2setz122057zd2zzast_walkz00(obj_t
		BgL_envz00_7714, obj_t BgL_nz00_7715, obj_t BgL_pz00_7716,
		obj_t BgL_arg0z00_7717)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4071z00_9105;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3159z00_9101;
					obj_t BgL_arg3160z00_9102;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3162z00_9103;

						BgL_arg3162z00_9103 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7715)))->BgL_varz00);
						BgL_arg3159z00_9101 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7716,
							((obj_t) BgL_arg3162z00_9103), BgL_arg0z00_7717);
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3163z00_9104;

						BgL_arg3163z00_9104 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7715)))->BgL_valuez00);
						BgL_arg3160z00_9102 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7716,
							((obj_t) BgL_arg3163z00_9104), BgL_arg0z00_7717);
					}
					BgL_res4071z00_9105 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3159z00_9101,
						BgL_arg3160z00_9102);
				}
				return BgL_res4071z00_9105;
			}
		}

	}



/* &walk0*-box-set!2055 */
	obj_t BGl_z62walk0za2zd2boxzd2setz122055zd2zzast_walkz00(obj_t
		BgL_envz00_7718, obj_t BgL_nz00_7719, obj_t BgL_pz00_7720)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				obj_t BgL_res4072z00_9111;

				{	/* Ast/walk.scm 310 */
					obj_t BgL_arg3154z00_9107;
					obj_t BgL_arg3155z00_9108;

					{	/* Ast/walk.scm 310 */
						BgL_varz00_bglt BgL_arg3156z00_9109;

						BgL_arg3156z00_9109 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7719)))->BgL_varz00);
						BgL_arg3154z00_9107 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7720, ((obj_t) BgL_arg3156z00_9109));
					}
					{	/* Ast/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg3157z00_9110;

						BgL_arg3157z00_9110 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7719)))->BgL_valuez00);
						BgL_arg3155z00_9108 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7720, ((obj_t) BgL_arg3157z00_9110));
					}
					BgL_res4072z00_9111 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg3154z00_9107,
						BgL_arg3155z00_9108);
				}
				return BgL_res4072z00_9111;
			}
		}

	}



/* &walk3-box-set!2053 */
	obj_t BGl_z62walk3zd2boxzd2setz122053z70zzast_walkz00(obj_t BgL_envz00_7721,
		obj_t BgL_nz00_7722, obj_t BgL_pz00_7723, obj_t BgL_arg0z00_7724,
		obj_t BgL_arg1z00_7725, obj_t BgL_arg2z00_7726)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3152z00_9113;

				BgL_arg3152z00_9113 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7722)))->BgL_varz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_7723,
					((obj_t) BgL_arg3152z00_9113), BgL_arg0z00_7724, BgL_arg1z00_7725,
					BgL_arg2z00_7726);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3153z00_9114;

				BgL_arg3153z00_9114 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7722)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7723,
					((obj_t) BgL_arg3153z00_9114), BgL_arg0z00_7724, BgL_arg1z00_7725,
					BgL_arg2z00_7726);
			}
		}

	}



/* &walk2-box-set!2051 */
	obj_t BGl_z62walk2zd2boxzd2setz122051z70zzast_walkz00(obj_t BgL_envz00_7727,
		obj_t BgL_nz00_7728, obj_t BgL_pz00_7729, obj_t BgL_arg0z00_7730,
		obj_t BgL_arg1z00_7731)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3148z00_9116;

				BgL_arg3148z00_9116 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7728)))->BgL_varz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_7729,
					((obj_t) BgL_arg3148z00_9116), BgL_arg0z00_7730, BgL_arg1z00_7731);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3151z00_9117;

				BgL_arg3151z00_9117 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7728)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7729,
					((obj_t) BgL_arg3151z00_9117), BgL_arg0z00_7730, BgL_arg1z00_7731);
			}
		}

	}



/* &walk1-box-set!2049 */
	obj_t BGl_z62walk1zd2boxzd2setz122049z70zzast_walkz00(obj_t BgL_envz00_7732,
		obj_t BgL_nz00_7733, obj_t BgL_pz00_7734, obj_t BgL_arg0z00_7735)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3146z00_9119;

				BgL_arg3146z00_9119 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7733)))->BgL_varz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_7734,
					((obj_t) BgL_arg3146z00_9119), BgL_arg0z00_7735);
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3147z00_9120;

				BgL_arg3147z00_9120 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7733)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7734,
					((obj_t) BgL_arg3147z00_9120), BgL_arg0z00_7735);
			}
		}

	}



/* &walk0-box-set!2047 */
	obj_t BGl_z62walk0zd2boxzd2setz122047z70zzast_walkz00(obj_t BgL_envz00_7736,
		obj_t BgL_nz00_7737, obj_t BgL_pz00_7738)
	{
		{	/* Ast/walk.scm 310 */
			{	/* Ast/walk.scm 310 */
				BgL_varz00_bglt BgL_arg3142z00_9122;

				BgL_arg3142z00_9122 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7737)))->BgL_varz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_7738, ((obj_t) BgL_arg3142z00_9122));
			}
			{	/* Ast/walk.scm 310 */
				BgL_nodez00_bglt BgL_arg3143z00_9123;

				BgL_arg3143z00_9123 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nz00_7737)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7738, ((obj_t) BgL_arg3143z00_9123));
			}
		}

	}



/* &walk3!-box-ref2045 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2boxzd2ref2045z70zzast_walkz00(obj_t
		BgL_envz00_7739, obj_t BgL_nz00_7740, obj_t BgL_pz00_7741,
		obj_t BgL_arg0z00_7742, obj_t BgL_arg1z00_7743, obj_t BgL_arg2z00_7744)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12711;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3141z00_9125;

					BgL_arg3141z00_9125 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7740)))->BgL_varz00);
					BgL_auxz00_12711 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7741,
							((obj_t) BgL_arg3141z00_9125), BgL_arg0z00_7742, BgL_arg1z00_7743,
							BgL_arg2z00_7744));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7740)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12711), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7740));
		}

	}



/* &walk2!-box-ref2043 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2boxzd2ref2043z70zzast_walkz00(obj_t
		BgL_envz00_7745, obj_t BgL_nz00_7746, obj_t BgL_pz00_7747,
		obj_t BgL_arg0z00_7748, obj_t BgL_arg1z00_7749)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12727;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3140z00_9127;

					BgL_arg3140z00_9127 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7746)))->BgL_varz00);
					BgL_auxz00_12727 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7747,
							((obj_t) BgL_arg3140z00_9127), BgL_arg0z00_7748,
							BgL_arg1z00_7749));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7746)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12727), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7746));
		}

	}



/* &walk1!-box-ref2041 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2boxzd2ref2041z70zzast_walkz00(obj_t
		BgL_envz00_7750, obj_t BgL_nz00_7751, obj_t BgL_pz00_7752,
		obj_t BgL_arg0z00_7753)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12742;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3139z00_9129;

					BgL_arg3139z00_9129 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7751)))->BgL_varz00);
					BgL_auxz00_12742 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7752,
							((obj_t) BgL_arg3139z00_9129), BgL_arg0z00_7753));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7751)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12742), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7751));
		}

	}



/* &walk0!-box-ref2039 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2boxzd2ref2039z70zzast_walkz00(obj_t
		BgL_envz00_7754, obj_t BgL_nz00_7755, obj_t BgL_pz00_7756)
	{
		{	/* Ast/walk.scm 309 */
			{
				BgL_varz00_bglt BgL_auxz00_12756;

				{	/* Ast/walk.scm 309 */
					BgL_varz00_bglt BgL_arg3137z00_9131;

					BgL_arg3137z00_9131 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7755)))->BgL_varz00);
					BgL_auxz00_12756 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7756, ((obj_t) BgL_arg3137z00_9131)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nz00_7755)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_12756), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nz00_7755));
		}

	}



/* &walk3*-box-ref2037 */
	obj_t BGl_z62walk3za2zd2boxzd2ref2037zc0zzast_walkz00(obj_t BgL_envz00_7757,
		obj_t BgL_nz00_7758, obj_t BgL_pz00_7759, obj_t BgL_arg0z00_7760,
		obj_t BgL_arg1z00_7761, obj_t BgL_arg2z00_7762)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4073z00_9136;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3129z00_9133;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3136z00_9134;

						BgL_arg3136z00_9134 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7758)))->BgL_varz00);
						BgL_arg3129z00_9133 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7759,
							((obj_t) BgL_arg3136z00_9134), BgL_arg0z00_7760, BgL_arg1z00_7761,
							BgL_arg2z00_7762);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3130z00_9135;

						BgL_list3130z00_9135 = MAKE_YOUNG_PAIR(BgL_arg3129z00_9133, BNIL);
						BgL_res4073z00_9136 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3130z00_9135);
					}
				}
				return BgL_res4073z00_9136;
			}
		}

	}



/* &walk2*-box-ref2035 */
	obj_t BGl_z62walk2za2zd2boxzd2ref2035zc0zzast_walkz00(obj_t BgL_envz00_7763,
		obj_t BgL_nz00_7764, obj_t BgL_pz00_7765, obj_t BgL_arg0z00_7766,
		obj_t BgL_arg1z00_7767)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4074z00_9141;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3123z00_9138;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3125z00_9139;

						BgL_arg3125z00_9139 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7764)))->BgL_varz00);
						BgL_arg3123z00_9138 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7765,
							((obj_t) BgL_arg3125z00_9139), BgL_arg0z00_7766,
							BgL_arg1z00_7767);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3124z00_9140;

						BgL_list3124z00_9140 = MAKE_YOUNG_PAIR(BgL_arg3123z00_9138, BNIL);
						BgL_res4074z00_9141 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3124z00_9140);
					}
				}
				return BgL_res4074z00_9141;
			}
		}

	}



/* &walk1*-box-ref2033 */
	obj_t BGl_z62walk1za2zd2boxzd2ref2033zc0zzast_walkz00(obj_t BgL_envz00_7768,
		obj_t BgL_nz00_7769, obj_t BgL_pz00_7770, obj_t BgL_arg0z00_7771)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4075z00_9146;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3120z00_9143;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3122z00_9144;

						BgL_arg3122z00_9144 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7769)))->BgL_varz00);
						BgL_arg3120z00_9143 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7770,
							((obj_t) BgL_arg3122z00_9144), BgL_arg0z00_7771);
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3121z00_9145;

						BgL_list3121z00_9145 = MAKE_YOUNG_PAIR(BgL_arg3120z00_9143, BNIL);
						BgL_res4075z00_9146 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3121z00_9145);
					}
				}
				return BgL_res4075z00_9146;
			}
		}

	}



/* &walk0*-box-ref2031 */
	obj_t BGl_z62walk0za2zd2boxzd2ref2031zc0zzast_walkz00(obj_t BgL_envz00_7772,
		obj_t BgL_nz00_7773, obj_t BgL_pz00_7774)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				obj_t BgL_res4076z00_9151;

				{	/* Ast/walk.scm 309 */
					obj_t BgL_arg3117z00_9148;

					{	/* Ast/walk.scm 309 */
						BgL_varz00_bglt BgL_arg3119z00_9149;

						BgL_arg3119z00_9149 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nz00_7773)))->BgL_varz00);
						BgL_arg3117z00_9148 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7774, ((obj_t) BgL_arg3119z00_9149));
					}
					{	/* Ast/walk.scm 309 */
						obj_t BgL_list3118z00_9150;

						BgL_list3118z00_9150 = MAKE_YOUNG_PAIR(BgL_arg3117z00_9148, BNIL);
						BgL_res4076z00_9151 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3118z00_9150);
					}
				}
				return BgL_res4076z00_9151;
			}
		}

	}



/* &walk3-box-ref2029 */
	obj_t BGl_z62walk3zd2boxzd2ref2029z62zzast_walkz00(obj_t BgL_envz00_7775,
		obj_t BgL_nz00_7776, obj_t BgL_pz00_7777, obj_t BgL_arg0z00_7778,
		obj_t BgL_arg1z00_7779, obj_t BgL_arg2z00_7780)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3116z00_9153;

				BgL_arg3116z00_9153 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7776)))->BgL_varz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7777,
					((obj_t) BgL_arg3116z00_9153), BgL_arg0z00_7778, BgL_arg1z00_7779,
					BgL_arg2z00_7780);
			}
		}

	}



/* &walk2-box-ref2027 */
	obj_t BGl_z62walk2zd2boxzd2ref2027z62zzast_walkz00(obj_t BgL_envz00_7781,
		obj_t BgL_nz00_7782, obj_t BgL_pz00_7783, obj_t BgL_arg0z00_7784,
		obj_t BgL_arg1z00_7785)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3115z00_9155;

				BgL_arg3115z00_9155 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7782)))->BgL_varz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7783,
					((obj_t) BgL_arg3115z00_9155), BgL_arg0z00_7784, BgL_arg1z00_7785);
			}
		}

	}



/* &walk1-box-ref2025 */
	obj_t BGl_z62walk1zd2boxzd2ref2025z62zzast_walkz00(obj_t BgL_envz00_7786,
		obj_t BgL_nz00_7787, obj_t BgL_pz00_7788, obj_t BgL_arg0z00_7789)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3114z00_9157;

				BgL_arg3114z00_9157 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7787)))->BgL_varz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7788,
					((obj_t) BgL_arg3114z00_9157), BgL_arg0z00_7789);
			}
		}

	}



/* &walk0-box-ref2023 */
	obj_t BGl_z62walk0zd2boxzd2ref2023z62zzast_walkz00(obj_t BgL_envz00_7790,
		obj_t BgL_nz00_7791, obj_t BgL_pz00_7792)
	{
		{	/* Ast/walk.scm 309 */
			{	/* Ast/walk.scm 309 */
				BgL_varz00_bglt BgL_arg3112z00_9159;

				BgL_arg3112z00_9159 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nz00_7791)))->BgL_varz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7792, ((obj_t) BgL_arg3112z00_9159));
			}
		}

	}



/* &walk3!-make-box2021 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2makezd2box2021z70zzast_walkz00(obj_t
		BgL_envz00_7793, obj_t BgL_nz00_7794, obj_t BgL_pz00_7795,
		obj_t BgL_arg0z00_7796, obj_t BgL_arg1z00_7797, obj_t BgL_arg2z00_7798)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12845;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3111z00_9161;

					BgL_arg3111z00_9161 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7794)))->BgL_valuez00);
					BgL_auxz00_12845 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7795,
							((obj_t) BgL_arg3111z00_9161), BgL_arg0z00_7796, BgL_arg1z00_7797,
							BgL_arg2z00_7798));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7794)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12845), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7794));
		}

	}



/* &walk2!-make-box2019 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2makezd2box2019z70zzast_walkz00(obj_t
		BgL_envz00_7799, obj_t BgL_nz00_7800, obj_t BgL_pz00_7801,
		obj_t BgL_arg0z00_7802, obj_t BgL_arg1z00_7803)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12861;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3110z00_9163;

					BgL_arg3110z00_9163 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7800)))->BgL_valuez00);
					BgL_auxz00_12861 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7801,
							((obj_t) BgL_arg3110z00_9163), BgL_arg0z00_7802,
							BgL_arg1z00_7803));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7800)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12861), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7800));
		}

	}



/* &walk1!-make-box2017 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2makezd2box2017z70zzast_walkz00(obj_t
		BgL_envz00_7804, obj_t BgL_nz00_7805, obj_t BgL_pz00_7806,
		obj_t BgL_arg0z00_7807)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12876;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3108z00_9165;

					BgL_arg3108z00_9165 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7805)))->BgL_valuez00);
					BgL_auxz00_12876 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7806,
							((obj_t) BgL_arg3108z00_9165), BgL_arg0z00_7807));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7805)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12876), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7805));
		}

	}



/* &walk0!-make-box2015 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2makezd2box2015z70zzast_walkz00(obj_t
		BgL_envz00_7808, obj_t BgL_nz00_7809, obj_t BgL_pz00_7810)
	{
		{	/* Ast/walk.scm 308 */
			{
				BgL_nodez00_bglt BgL_auxz00_12890;

				{	/* Ast/walk.scm 308 */
					BgL_nodez00_bglt BgL_arg3107z00_9167;

					BgL_arg3107z00_9167 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7809)))->BgL_valuez00);
					BgL_auxz00_12890 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7810, ((obj_t) BgL_arg3107z00_9167)));
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nz00_7809)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12890), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nz00_7809));
		}

	}



/* &walk3*-make-box2013 */
	obj_t BGl_z62walk3za2zd2makezd2box2013zc0zzast_walkz00(obj_t BgL_envz00_7811,
		obj_t BgL_nz00_7812, obj_t BgL_pz00_7813, obj_t BgL_arg0z00_7814,
		obj_t BgL_arg1z00_7815, obj_t BgL_arg2z00_7816)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4077z00_9172;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3103z00_9169;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3106z00_9170;

						BgL_arg3106z00_9170 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7812)))->BgL_valuez00);
						BgL_arg3103z00_9169 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7813,
							((obj_t) BgL_arg3106z00_9170), BgL_arg0z00_7814, BgL_arg1z00_7815,
							BgL_arg2z00_7816);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3104z00_9171;

						BgL_list3104z00_9171 = MAKE_YOUNG_PAIR(BgL_arg3103z00_9169, BNIL);
						BgL_res4077z00_9172 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3104z00_9171);
					}
				}
				return BgL_res4077z00_9172;
			}
		}

	}



/* &walk2*-make-box2011 */
	obj_t BGl_z62walk2za2zd2makezd2box2011zc0zzast_walkz00(obj_t BgL_envz00_7817,
		obj_t BgL_nz00_7818, obj_t BgL_pz00_7819, obj_t BgL_arg0z00_7820,
		obj_t BgL_arg1z00_7821)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4078z00_9177;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3093z00_9174;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3098z00_9175;

						BgL_arg3098z00_9175 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7818)))->BgL_valuez00);
						BgL_arg3093z00_9174 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7819,
							((obj_t) BgL_arg3098z00_9175), BgL_arg0z00_7820,
							BgL_arg1z00_7821);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3094z00_9176;

						BgL_list3094z00_9176 = MAKE_YOUNG_PAIR(BgL_arg3093z00_9174, BNIL);
						BgL_res4078z00_9177 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3094z00_9176);
					}
				}
				return BgL_res4078z00_9177;
			}
		}

	}



/* &walk1*-make-box2009 */
	obj_t BGl_z62walk1za2zd2makezd2box2009zc0zzast_walkz00(obj_t BgL_envz00_7822,
		obj_t BgL_nz00_7823, obj_t BgL_pz00_7824, obj_t BgL_arg0z00_7825)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4079z00_9182;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3089z00_9179;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3091z00_9180;

						BgL_arg3091z00_9180 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7823)))->BgL_valuez00);
						BgL_arg3089z00_9179 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7824,
							((obj_t) BgL_arg3091z00_9180), BgL_arg0z00_7825);
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3090z00_9181;

						BgL_list3090z00_9181 = MAKE_YOUNG_PAIR(BgL_arg3089z00_9179, BNIL);
						BgL_res4079z00_9182 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3090z00_9181);
					}
				}
				return BgL_res4079z00_9182;
			}
		}

	}



/* &walk0*-make-box2007 */
	obj_t BGl_z62walk0za2zd2makezd2box2007zc0zzast_walkz00(obj_t BgL_envz00_7826,
		obj_t BgL_nz00_7827, obj_t BgL_pz00_7828)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				obj_t BgL_res4080z00_9187;

				{	/* Ast/walk.scm 308 */
					obj_t BgL_arg3086z00_9184;

					{	/* Ast/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg3088z00_9185;

						BgL_arg3088z00_9185 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nz00_7827)))->BgL_valuez00);
						BgL_arg3086z00_9184 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7828, ((obj_t) BgL_arg3088z00_9185));
					}
					{	/* Ast/walk.scm 308 */
						obj_t BgL_list3087z00_9186;

						BgL_list3087z00_9186 = MAKE_YOUNG_PAIR(BgL_arg3086z00_9184, BNIL);
						BgL_res4080z00_9187 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3087z00_9186);
					}
				}
				return BgL_res4080z00_9187;
			}
		}

	}



/* &walk3-make-box2005 */
	obj_t BGl_z62walk3zd2makezd2box2005z62zzast_walkz00(obj_t BgL_envz00_7829,
		obj_t BgL_nz00_7830, obj_t BgL_pz00_7831, obj_t BgL_arg0z00_7832,
		obj_t BgL_arg1z00_7833, obj_t BgL_arg2z00_7834)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3084z00_9189;

				BgL_arg3084z00_9189 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7830)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7831,
					((obj_t) BgL_arg3084z00_9189), BgL_arg0z00_7832, BgL_arg1z00_7833,
					BgL_arg2z00_7834);
			}
		}

	}



/* &walk2-make-box2003 */
	obj_t BGl_z62walk2zd2makezd2box2003z62zzast_walkz00(obj_t BgL_envz00_7835,
		obj_t BgL_nz00_7836, obj_t BgL_pz00_7837, obj_t BgL_arg0z00_7838,
		obj_t BgL_arg1z00_7839)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3083z00_9191;

				BgL_arg3083z00_9191 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7836)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7837,
					((obj_t) BgL_arg3083z00_9191), BgL_arg0z00_7838, BgL_arg1z00_7839);
			}
		}

	}



/* &walk1-make-box2001 */
	obj_t BGl_z62walk1zd2makezd2box2001z62zzast_walkz00(obj_t BgL_envz00_7840,
		obj_t BgL_nz00_7841, obj_t BgL_pz00_7842, obj_t BgL_arg0z00_7843)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3082z00_9193;

				BgL_arg3082z00_9193 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7841)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7842,
					((obj_t) BgL_arg3082z00_9193), BgL_arg0z00_7843);
			}
		}

	}



/* &walk0-make-box1999 */
	obj_t BGl_z62walk0zd2makezd2box1999z62zzast_walkz00(obj_t BgL_envz00_7844,
		obj_t BgL_nz00_7845, obj_t BgL_pz00_7846)
	{
		{	/* Ast/walk.scm 308 */
			{	/* Ast/walk.scm 308 */
				BgL_nodez00_bglt BgL_arg3081z00_9195;

				BgL_arg3081z00_9195 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nz00_7845)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7846, ((obj_t) BgL_arg3081z00_9195));
			}
		}

	}



/* &walk3!-return1997 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2return1997za2zzast_walkz00(obj_t
		BgL_envz00_7847, obj_t BgL_nz00_7848, obj_t BgL_pz00_7849,
		obj_t BgL_arg0z00_7850, obj_t BgL_arg1z00_7851, obj_t BgL_arg2z00_7852)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12979;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3080z00_9197;

					BgL_arg3080z00_9197 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7848)))->BgL_valuez00);
					BgL_auxz00_12979 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7849,
							((obj_t) BgL_arg3080z00_9197), BgL_arg0z00_7850, BgL_arg1z00_7851,
							BgL_arg2z00_7852));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7848)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12979), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7848));
		}

	}



/* &walk2!-return1995 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2return1995za2zzast_walkz00(obj_t
		BgL_envz00_7853, obj_t BgL_nz00_7854, obj_t BgL_pz00_7855,
		obj_t BgL_arg0z00_7856, obj_t BgL_arg1z00_7857)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_12995;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3078z00_9199;

					BgL_arg3078z00_9199 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7854)))->BgL_valuez00);
					BgL_auxz00_12995 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7855,
							((obj_t) BgL_arg3078z00_9199), BgL_arg0z00_7856,
							BgL_arg1z00_7857));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7854)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_12995), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7854));
		}

	}



/* &walk1!-return1993 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2return1993za2zzast_walkz00(obj_t
		BgL_envz00_7858, obj_t BgL_nz00_7859, obj_t BgL_pz00_7860,
		obj_t BgL_arg0z00_7861)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13010;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3077z00_9201;

					BgL_arg3077z00_9201 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7859)))->BgL_valuez00);
					BgL_auxz00_13010 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7860,
							((obj_t) BgL_arg3077z00_9201), BgL_arg0z00_7861));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7859)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13010), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7859));
		}

	}



/* &walk0!-return1991 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2return1991za2zzast_walkz00(obj_t
		BgL_envz00_7862, obj_t BgL_nz00_7863, obj_t BgL_pz00_7864)
	{
		{	/* Ast/walk.scm 307 */
			{
				BgL_nodez00_bglt BgL_auxz00_13024;

				{	/* Ast/walk.scm 307 */
					BgL_nodez00_bglt BgL_arg3075z00_9203;

					BgL_arg3075z00_9203 =
						(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7863)))->BgL_valuez00);
					BgL_auxz00_13024 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7864, ((obj_t) BgL_arg3075z00_9203)));
				}
				((((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nz00_7863)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13024), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_returnz00_bglt) BgL_nz00_7863));
		}

	}



/* &walk3*-return1989 */
	obj_t BGl_z62walk3za2zd2return1989z12zzast_walkz00(obj_t BgL_envz00_7865,
		obj_t BgL_nz00_7866, obj_t BgL_pz00_7867, obj_t BgL_arg0z00_7868,
		obj_t BgL_arg1z00_7869, obj_t BgL_arg2z00_7870)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4081z00_9208;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3071z00_9205;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3074z00_9206;

						BgL_arg3074z00_9206 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7866)))->BgL_valuez00);
						BgL_arg3071z00_9205 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7867,
							((obj_t) BgL_arg3074z00_9206), BgL_arg0z00_7868, BgL_arg1z00_7869,
							BgL_arg2z00_7870);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3072z00_9207;

						BgL_list3072z00_9207 = MAKE_YOUNG_PAIR(BgL_arg3071z00_9205, BNIL);
						BgL_res4081z00_9208 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3072z00_9207);
					}
				}
				return BgL_res4081z00_9208;
			}
		}

	}



/* &walk2*-return1987 */
	obj_t BGl_z62walk2za2zd2return1987z12zzast_walkz00(obj_t BgL_envz00_7871,
		obj_t BgL_nz00_7872, obj_t BgL_pz00_7873, obj_t BgL_arg0z00_7874,
		obj_t BgL_arg1z00_7875)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4082z00_9213;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3062z00_9210;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3065z00_9211;

						BgL_arg3065z00_9211 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7872)))->BgL_valuez00);
						BgL_arg3062z00_9210 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7873,
							((obj_t) BgL_arg3065z00_9211), BgL_arg0z00_7874,
							BgL_arg1z00_7875);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3063z00_9212;

						BgL_list3063z00_9212 = MAKE_YOUNG_PAIR(BgL_arg3062z00_9210, BNIL);
						BgL_res4082z00_9213 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3063z00_9212);
					}
				}
				return BgL_res4082z00_9213;
			}
		}

	}



/* &walk1*-return1985 */
	obj_t BGl_z62walk1za2zd2return1985z12zzast_walkz00(obj_t BgL_envz00_7876,
		obj_t BgL_nz00_7877, obj_t BgL_pz00_7878, obj_t BgL_arg0z00_7879)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4083z00_9218;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3058z00_9215;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3061z00_9216;

						BgL_arg3061z00_9216 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7877)))->BgL_valuez00);
						BgL_arg3058z00_9215 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7878,
							((obj_t) BgL_arg3061z00_9216), BgL_arg0z00_7879);
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3059z00_9217;

						BgL_list3059z00_9217 = MAKE_YOUNG_PAIR(BgL_arg3058z00_9215, BNIL);
						BgL_res4083z00_9218 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3059z00_9217);
					}
				}
				return BgL_res4083z00_9218;
			}
		}

	}



/* &walk0*-return1983 */
	obj_t BGl_z62walk0za2zd2return1983z12zzast_walkz00(obj_t BgL_envz00_7880,
		obj_t BgL_nz00_7881, obj_t BgL_pz00_7882)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				obj_t BgL_res4084z00_9223;

				{	/* Ast/walk.scm 307 */
					obj_t BgL_arg3055z00_9220;

					{	/* Ast/walk.scm 307 */
						BgL_nodez00_bglt BgL_arg3057z00_9221;

						BgL_arg3057z00_9221 =
							(((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt) BgL_nz00_7881)))->BgL_valuez00);
						BgL_arg3055z00_9220 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7882, ((obj_t) BgL_arg3057z00_9221));
					}
					{	/* Ast/walk.scm 307 */
						obj_t BgL_list3056z00_9222;

						BgL_list3056z00_9222 = MAKE_YOUNG_PAIR(BgL_arg3055z00_9220, BNIL);
						BgL_res4084z00_9223 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3056z00_9222);
					}
				}
				return BgL_res4084z00_9223;
			}
		}

	}



/* &walk3-return1981 */
	obj_t BGl_z62walk3zd2return1981zb0zzast_walkz00(obj_t BgL_envz00_7883,
		obj_t BgL_nz00_7884, obj_t BgL_pz00_7885, obj_t BgL_arg0z00_7886,
		obj_t BgL_arg1z00_7887, obj_t BgL_arg2z00_7888)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3054z00_9225;

				BgL_arg3054z00_9225 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7884)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7885,
					((obj_t) BgL_arg3054z00_9225), BgL_arg0z00_7886, BgL_arg1z00_7887,
					BgL_arg2z00_7888);
			}
		}

	}



/* &walk2-return1979 */
	obj_t BGl_z62walk2zd2return1979zb0zzast_walkz00(obj_t BgL_envz00_7889,
		obj_t BgL_nz00_7890, obj_t BgL_pz00_7891, obj_t BgL_arg0z00_7892,
		obj_t BgL_arg1z00_7893)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3053z00_9227;

				BgL_arg3053z00_9227 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7890)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7891,
					((obj_t) BgL_arg3053z00_9227), BgL_arg0z00_7892, BgL_arg1z00_7893);
			}
		}

	}



/* &walk1-return1977 */
	obj_t BGl_z62walk1zd2return1977zb0zzast_walkz00(obj_t BgL_envz00_7894,
		obj_t BgL_nz00_7895, obj_t BgL_pz00_7896, obj_t BgL_arg0z00_7897)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3052z00_9229;

				BgL_arg3052z00_9229 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7895)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7896,
					((obj_t) BgL_arg3052z00_9229), BgL_arg0z00_7897);
			}
		}

	}



/* &walk0-return1975 */
	obj_t BGl_z62walk0zd2return1975zb0zzast_walkz00(obj_t BgL_envz00_7898,
		obj_t BgL_nz00_7899, obj_t BgL_pz00_7900)
	{
		{	/* Ast/walk.scm 307 */
			{	/* Ast/walk.scm 307 */
				BgL_nodez00_bglt BgL_arg3050z00_9231;

				BgL_arg3050z00_9231 =
					(((BgL_returnz00_bglt) COBJECT(
							((BgL_returnz00_bglt) BgL_nz00_7899)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7900, ((obj_t) BgL_arg3050z00_9231));
			}
		}

	}



/* &walk3!-retblock1973 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2retblock1973za2zzast_walkz00(obj_t
		BgL_envz00_7901, obj_t BgL_nz00_7902, obj_t BgL_pz00_7903,
		obj_t BgL_arg0z00_7904, obj_t BgL_arg1z00_7905, obj_t BgL_arg2z00_7906)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13113;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3049z00_9233;

					BgL_arg3049z00_9233 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7902)))->BgL_bodyz00);
					BgL_auxz00_13113 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7903,
							((obj_t) BgL_arg3049z00_9233), BgL_arg0z00_7904, BgL_arg1z00_7905,
							BgL_arg2z00_7906));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7902)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13113), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7902));
		}

	}



/* &walk2!-retblock1971 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2retblock1971za2zzast_walkz00(obj_t
		BgL_envz00_7907, obj_t BgL_nz00_7908, obj_t BgL_pz00_7909,
		obj_t BgL_arg0z00_7910, obj_t BgL_arg1z00_7911)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13129;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3048z00_9235;

					BgL_arg3048z00_9235 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7908)))->BgL_bodyz00);
					BgL_auxz00_13129 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7909,
							((obj_t) BgL_arg3048z00_9235), BgL_arg0z00_7910,
							BgL_arg1z00_7911));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7908)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13129), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7908));
		}

	}



/* &walk1!-retblock1969 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2retblock1969za2zzast_walkz00(obj_t
		BgL_envz00_7912, obj_t BgL_nz00_7913, obj_t BgL_pz00_7914,
		obj_t BgL_arg0z00_7915)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13144;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3046z00_9237;

					BgL_arg3046z00_9237 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7913)))->BgL_bodyz00);
					BgL_auxz00_13144 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7914,
							((obj_t) BgL_arg3046z00_9237), BgL_arg0z00_7915));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7913)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13144), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7913));
		}

	}



/* &walk0!-retblock1967 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2retblock1967za2zzast_walkz00(obj_t
		BgL_envz00_7916, obj_t BgL_nz00_7917, obj_t BgL_pz00_7918)
	{
		{	/* Ast/walk.scm 306 */
			{
				BgL_nodez00_bglt BgL_auxz00_13158;

				{	/* Ast/walk.scm 306 */
					BgL_nodez00_bglt BgL_arg3043z00_9239;

					BgL_arg3043z00_9239 =
						(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7917)))->BgL_bodyz00);
					BgL_auxz00_13158 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7918, ((obj_t) BgL_arg3043z00_9239)));
				}
				((((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nz00_7917)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13158), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_retblockz00_bglt) BgL_nz00_7917));
		}

	}



/* &walk3*-retblock1965 */
	obj_t BGl_z62walk3za2zd2retblock1965z12zzast_walkz00(obj_t BgL_envz00_7919,
		obj_t BgL_nz00_7920, obj_t BgL_pz00_7921, obj_t BgL_arg0z00_7922,
		obj_t BgL_arg1z00_7923, obj_t BgL_arg2z00_7924)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4085z00_9244;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3034z00_9241;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3042z00_9242;

						BgL_arg3042z00_9242 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7920)))->BgL_bodyz00);
						BgL_arg3034z00_9241 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7921,
							((obj_t) BgL_arg3042z00_9242), BgL_arg0z00_7922, BgL_arg1z00_7923,
							BgL_arg2z00_7924);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3035z00_9243;

						BgL_list3035z00_9243 = MAKE_YOUNG_PAIR(BgL_arg3034z00_9241, BNIL);
						BgL_res4085z00_9244 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3035z00_9243);
					}
				}
				return BgL_res4085z00_9244;
			}
		}

	}



/* &walk2*-retblock1963 */
	obj_t BGl_z62walk2za2zd2retblock1963z12zzast_walkz00(obj_t BgL_envz00_7925,
		obj_t BgL_nz00_7926, obj_t BgL_pz00_7927, obj_t BgL_arg0z00_7928,
		obj_t BgL_arg1z00_7929)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4086z00_9249;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3029z00_9246;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3031z00_9247;

						BgL_arg3031z00_9247 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7926)))->BgL_bodyz00);
						BgL_arg3029z00_9246 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7927,
							((obj_t) BgL_arg3031z00_9247), BgL_arg0z00_7928,
							BgL_arg1z00_7929);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3030z00_9248;

						BgL_list3030z00_9248 = MAKE_YOUNG_PAIR(BgL_arg3029z00_9246, BNIL);
						BgL_res4086z00_9249 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3030z00_9248);
					}
				}
				return BgL_res4086z00_9249;
			}
		}

	}



/* &walk1*-retblock1961 */
	obj_t BGl_z62walk1za2zd2retblock1961z12zzast_walkz00(obj_t BgL_envz00_7930,
		obj_t BgL_nz00_7931, obj_t BgL_pz00_7932, obj_t BgL_arg0z00_7933)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4087z00_9254;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3026z00_9251;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3028z00_9252;

						BgL_arg3028z00_9252 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7931)))->BgL_bodyz00);
						BgL_arg3026z00_9251 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7932,
							((obj_t) BgL_arg3028z00_9252), BgL_arg0z00_7933);
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3027z00_9253;

						BgL_list3027z00_9253 = MAKE_YOUNG_PAIR(BgL_arg3026z00_9251, BNIL);
						BgL_res4087z00_9254 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3027z00_9253);
					}
				}
				return BgL_res4087z00_9254;
			}
		}

	}



/* &walk0*-retblock1959 */
	obj_t BGl_z62walk0za2zd2retblock1959z12zzast_walkz00(obj_t BgL_envz00_7934,
		obj_t BgL_nz00_7935, obj_t BgL_pz00_7936)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				obj_t BgL_res4088z00_9259;

				{	/* Ast/walk.scm 306 */
					obj_t BgL_arg3023z00_9256;

					{	/* Ast/walk.scm 306 */
						BgL_nodez00_bglt BgL_arg3025z00_9257;

						BgL_arg3025z00_9257 =
							(((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt) BgL_nz00_7935)))->BgL_bodyz00);
						BgL_arg3023z00_9256 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7936, ((obj_t) BgL_arg3025z00_9257));
					}
					{	/* Ast/walk.scm 306 */
						obj_t BgL_list3024z00_9258;

						BgL_list3024z00_9258 = MAKE_YOUNG_PAIR(BgL_arg3023z00_9256, BNIL);
						BgL_res4088z00_9259 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list3024z00_9258);
					}
				}
				return BgL_res4088z00_9259;
			}
		}

	}



/* &walk3-retblock1957 */
	obj_t BGl_z62walk3zd2retblock1957zb0zzast_walkz00(obj_t BgL_envz00_7937,
		obj_t BgL_nz00_7938, obj_t BgL_pz00_7939, obj_t BgL_arg0z00_7940,
		obj_t BgL_arg1z00_7941, obj_t BgL_arg2z00_7942)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg3022z00_9261;

				BgL_arg3022z00_9261 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7938)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7939,
					((obj_t) BgL_arg3022z00_9261), BgL_arg0z00_7940, BgL_arg1z00_7941,
					BgL_arg2z00_7942);
			}
		}

	}



/* &walk2-retblock1955 */
	obj_t BGl_z62walk2zd2retblock1955zb0zzast_walkz00(obj_t BgL_envz00_7943,
		obj_t BgL_nz00_7944, obj_t BgL_pz00_7945, obj_t BgL_arg0z00_7946,
		obj_t BgL_arg1z00_7947)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg3020z00_9263;

				BgL_arg3020z00_9263 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7944)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7945,
					((obj_t) BgL_arg3020z00_9263), BgL_arg0z00_7946, BgL_arg1z00_7947);
			}
		}

	}



/* &walk1-retblock1953 */
	obj_t BGl_z62walk1zd2retblock1953zb0zzast_walkz00(obj_t BgL_envz00_7948,
		obj_t BgL_nz00_7949, obj_t BgL_pz00_7950, obj_t BgL_arg0z00_7951)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg3019z00_9265;

				BgL_arg3019z00_9265 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7949)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_7950,
					((obj_t) BgL_arg3019z00_9265), BgL_arg0z00_7951);
			}
		}

	}



/* &walk0-retblock1951 */
	obj_t BGl_z62walk0zd2retblock1951zb0zzast_walkz00(obj_t BgL_envz00_7952,
		obj_t BgL_nz00_7953, obj_t BgL_pz00_7954)
	{
		{	/* Ast/walk.scm 306 */
			{	/* Ast/walk.scm 306 */
				BgL_nodez00_bglt BgL_arg3018z00_9267;

				BgL_arg3018z00_9267 =
					(((BgL_retblockz00_bglt) COBJECT(
							((BgL_retblockz00_bglt) BgL_nz00_7953)))->BgL_bodyz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_7954, ((obj_t) BgL_arg3018z00_9267));
			}
		}

	}



/* &walk3!-jump-ex-it1949 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2jumpzd2exzd2it1949za2zzast_walkz00(obj_t
		BgL_envz00_7955, obj_t BgL_nz00_7956, obj_t BgL_pz00_7957,
		obj_t BgL_arg0z00_7958, obj_t BgL_arg1z00_7959, obj_t BgL_arg2z00_7960)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13247;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3016z00_9269;

					BgL_arg3016z00_9269 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7956)))->BgL_exitz00);
					BgL_auxz00_13247 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7957,
							((obj_t) BgL_arg3016z00_9269), BgL_arg0z00_7958, BgL_arg1z00_7959,
							BgL_arg2z00_7960));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7956)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13247), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13261;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3017z00_9270;

					BgL_arg3017z00_9270 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7956)))->BgL_valuez00);
					BgL_auxz00_13261 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_7957,
							((obj_t) BgL_arg3017z00_9270), BgL_arg0z00_7958, BgL_arg1z00_7959,
							BgL_arg2z00_7960));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7956)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13261), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7956));
		}

	}



/* &walk2!-jump-ex-it1947 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2jumpzd2exzd2it1947za2zzast_walkz00(obj_t
		BgL_envz00_7961, obj_t BgL_nz00_7962, obj_t BgL_pz00_7963,
		obj_t BgL_arg0z00_7964, obj_t BgL_arg1z00_7965)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13277;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3013z00_9272;

					BgL_arg3013z00_9272 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7962)))->BgL_exitz00);
					BgL_auxz00_13277 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7963,
							((obj_t) BgL_arg3013z00_9272), BgL_arg0z00_7964,
							BgL_arg1z00_7965));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7962)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13277), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13290;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3015z00_9273;

					BgL_arg3015z00_9273 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7962)))->BgL_valuez00);
					BgL_auxz00_13290 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_7963,
							((obj_t) BgL_arg3015z00_9273), BgL_arg0z00_7964,
							BgL_arg1z00_7965));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7962)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13290), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7962));
		}

	}



/* &walk1!-jump-ex-it1945 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2jumpzd2exzd2it1945za2zzast_walkz00(obj_t
		BgL_envz00_7966, obj_t BgL_nz00_7967, obj_t BgL_pz00_7968,
		obj_t BgL_arg0z00_7969)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13305;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3011z00_9275;

					BgL_arg3011z00_9275 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7967)))->BgL_exitz00);
					BgL_auxz00_13305 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7968,
							((obj_t) BgL_arg3011z00_9275), BgL_arg0z00_7969));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7967)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13305), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13317;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3012z00_9276;

					BgL_arg3012z00_9276 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7967)))->BgL_valuez00);
					BgL_auxz00_13317 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_7968,
							((obj_t) BgL_arg3012z00_9276), BgL_arg0z00_7969));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7967)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13317), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7967));
		}

	}



/* &walk0!-jump-ex-it1943 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2jumpzd2exzd2it1943za2zzast_walkz00(obj_t
		BgL_envz00_7970, obj_t BgL_nz00_7971, obj_t BgL_pz00_7972)
	{
		{	/* Ast/walk.scm 305 */
			{
				BgL_nodez00_bglt BgL_auxz00_13331;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3008z00_9278;

					BgL_arg3008z00_9278 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_exitz00);
					BgL_auxz00_13331 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7972, ((obj_t) BgL_arg3008z00_9278)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_exitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13331), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13342;

				{	/* Ast/walk.scm 305 */
					BgL_nodez00_bglt BgL_arg3009z00_9279;

					BgL_arg3009z00_9279 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_valuez00);
					BgL_auxz00_13342 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_7972, ((obj_t) BgL_arg3009z00_9279)));
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_13342), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7971));
		}

	}



/* &walk3*-jump-ex-it1941 */
	obj_t BGl_z62walk3za2zd2jumpzd2exzd2it1941z12zzast_walkz00(obj_t
		BgL_envz00_7973, obj_t BgL_nz00_7974, obj_t BgL_pz00_7975,
		obj_t BgL_arg0z00_7976, obj_t BgL_arg1z00_7977, obj_t BgL_arg2z00_7978)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4089z00_9285;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2994z00_9281;
					obj_t BgL_arg2999z00_9282;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3003z00_9283;

						BgL_arg3003z00_9283 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7974)))->BgL_exitz00);
						BgL_arg2994z00_9281 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7975,
							((obj_t) BgL_arg3003z00_9283), BgL_arg0z00_7976, BgL_arg1z00_7977,
							BgL_arg2z00_7978);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg3004z00_9284;

						BgL_arg3004z00_9284 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7974)))->BgL_valuez00);
						BgL_arg2999z00_9282 =
							BGL_PROCEDURE_CALL4(BgL_pz00_7975,
							((obj_t) BgL_arg3004z00_9284), BgL_arg0z00_7976, BgL_arg1z00_7977,
							BgL_arg2z00_7978);
					}
					BgL_res4089z00_9285 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2994z00_9281,
						BgL_arg2999z00_9282);
				}
				return BgL_res4089z00_9285;
			}
		}

	}



/* &walk2*-jump-ex-it1939 */
	obj_t BGl_z62walk2za2zd2jumpzd2exzd2it1939z12zzast_walkz00(obj_t
		BgL_envz00_7979, obj_t BgL_nz00_7980, obj_t BgL_pz00_7981,
		obj_t BgL_arg0z00_7982, obj_t BgL_arg1z00_7983)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4090z00_9291;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2986z00_9287;
					obj_t BgL_arg2987z00_9288;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2991z00_9289;

						BgL_arg2991z00_9289 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7980)))->BgL_exitz00);
						BgL_arg2986z00_9287 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7981,
							((obj_t) BgL_arg2991z00_9289), BgL_arg0z00_7982,
							BgL_arg1z00_7983);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2993z00_9290;

						BgL_arg2993z00_9290 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7980)))->BgL_valuez00);
						BgL_arg2987z00_9288 =
							BGL_PROCEDURE_CALL3(BgL_pz00_7981,
							((obj_t) BgL_arg2993z00_9290), BgL_arg0z00_7982,
							BgL_arg1z00_7983);
					}
					BgL_res4090z00_9291 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2986z00_9287,
						BgL_arg2987z00_9288);
				}
				return BgL_res4090z00_9291;
			}
		}

	}



/* &walk1*-jump-ex-it1937 */
	obj_t BGl_z62walk1za2zd2jumpzd2exzd2it1937z12zzast_walkz00(obj_t
		BgL_envz00_7984, obj_t BgL_nz00_7985, obj_t BgL_pz00_7986,
		obj_t BgL_arg0z00_7987)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4091z00_9297;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2982z00_9293;
					obj_t BgL_arg2983z00_9294;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2984z00_9295;

						BgL_arg2984z00_9295 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7985)))->BgL_exitz00);
						BgL_arg2982z00_9293 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7986,
							((obj_t) BgL_arg2984z00_9295), BgL_arg0z00_7987);
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2985z00_9296;

						BgL_arg2985z00_9296 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7985)))->BgL_valuez00);
						BgL_arg2983z00_9294 =
							BGL_PROCEDURE_CALL2(BgL_pz00_7986,
							((obj_t) BgL_arg2985z00_9296), BgL_arg0z00_7987);
					}
					BgL_res4091z00_9297 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2982z00_9293,
						BgL_arg2983z00_9294);
				}
				return BgL_res4091z00_9297;
			}
		}

	}



/* &walk0*-jump-ex-it1935 */
	obj_t BGl_z62walk0za2zd2jumpzd2exzd2it1935z12zzast_walkz00(obj_t
		BgL_envz00_7988, obj_t BgL_nz00_7989, obj_t BgL_pz00_7990)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				obj_t BgL_res4092z00_9303;

				{	/* Ast/walk.scm 305 */
					obj_t BgL_arg2978z00_9299;
					obj_t BgL_arg2979z00_9300;

					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2980z00_9301;

						BgL_arg2980z00_9301 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7989)))->BgL_exitz00);
						BgL_arg2978z00_9299 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7990, ((obj_t) BgL_arg2980z00_9301));
					}
					{	/* Ast/walk.scm 305 */
						BgL_nodez00_bglt BgL_arg2981z00_9302;

						BgL_arg2981z00_9302 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7989)))->BgL_valuez00);
						BgL_arg2979z00_9300 =
							BGL_PROCEDURE_CALL1(BgL_pz00_7990, ((obj_t) BgL_arg2981z00_9302));
					}
					BgL_res4092z00_9303 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2978z00_9299,
						BgL_arg2979z00_9300);
				}
				return BgL_res4092z00_9303;
			}
		}

	}



/* &walk3-jump-ex-it1933 */
	obj_t BGl_z62walk3zd2jumpzd2exzd2it1933zb0zzast_walkz00(obj_t BgL_envz00_7991,
		obj_t BgL_nz00_7992, obj_t BgL_pz00_7993, obj_t BgL_arg0z00_7994,
		obj_t BgL_arg1z00_7995, obj_t BgL_arg2z00_7996)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2976z00_9305;

				BgL_arg2976z00_9305 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7992)))->BgL_exitz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_7993,
					((obj_t) BgL_arg2976z00_9305), BgL_arg0z00_7994, BgL_arg1z00_7995,
					BgL_arg2z00_7996);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2977z00_9306;

				BgL_arg2977z00_9306 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7992)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_7993,
					((obj_t) BgL_arg2977z00_9306), BgL_arg0z00_7994, BgL_arg1z00_7995,
					BgL_arg2z00_7996);
			}
		}

	}



/* &walk2-jump-ex-it1931 */
	obj_t BGl_z62walk2zd2jumpzd2exzd2it1931zb0zzast_walkz00(obj_t BgL_envz00_7997,
		obj_t BgL_nz00_7998, obj_t BgL_pz00_7999, obj_t BgL_arg0z00_8000,
		obj_t BgL_arg1z00_8001)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2974z00_9308;

				BgL_arg2974z00_9308 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7998)))->BgL_exitz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_7999,
					((obj_t) BgL_arg2974z00_9308), BgL_arg0z00_8000, BgL_arg1z00_8001);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2975z00_9309;

				BgL_arg2975z00_9309 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_7998)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_7999,
					((obj_t) BgL_arg2975z00_9309), BgL_arg0z00_8000, BgL_arg1z00_8001);
			}
		}

	}



/* &walk1-jump-ex-it1929 */
	obj_t BGl_z62walk1zd2jumpzd2exzd2it1929zb0zzast_walkz00(obj_t BgL_envz00_8002,
		obj_t BgL_nz00_8003, obj_t BgL_pz00_8004, obj_t BgL_arg0z00_8005)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2971z00_9311;

				BgL_arg2971z00_9311 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8003)))->BgL_exitz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8004,
					((obj_t) BgL_arg2971z00_9311), BgL_arg0z00_8005);
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2973z00_9312;

				BgL_arg2973z00_9312 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8003)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8004,
					((obj_t) BgL_arg2973z00_9312), BgL_arg0z00_8005);
			}
		}

	}



/* &walk0-jump-ex-it1927 */
	obj_t BGl_z62walk0zd2jumpzd2exzd2it1927zb0zzast_walkz00(obj_t BgL_envz00_8006,
		obj_t BgL_nz00_8007, obj_t BgL_pz00_8008)
	{
		{	/* Ast/walk.scm 305 */
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2968z00_9314;

				BgL_arg2968z00_9314 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8007)))->BgL_exitz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8008, ((obj_t) BgL_arg2968z00_9314));
			}
			{	/* Ast/walk.scm 305 */
				BgL_nodez00_bglt BgL_arg2970z00_9315;

				BgL_arg2970z00_9315 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nz00_8007)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8008, ((obj_t) BgL_arg2970z00_9315));
			}
		}

	}



/* &walk3!-set-ex-it1925 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setzd2exzd2it1925za2zzast_walkz00(obj_t
		BgL_envz00_8009, obj_t BgL_nz00_8010, obj_t BgL_pz00_8011,
		obj_t BgL_arg0z00_8012, obj_t BgL_arg1z00_8013, obj_t BgL_arg2z00_8014)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13495;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2966z00_9317;

					BgL_arg2966z00_9317 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8010)))->BgL_bodyz00);
					BgL_auxz00_13495 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8011,
							((obj_t) BgL_arg2966z00_9317), BgL_arg0z00_8012, BgL_arg1z00_8013,
							BgL_arg2z00_8014));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8010)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13495), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13509;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2967z00_9318;

					BgL_arg2967z00_9318 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8010)))->BgL_onexitz00);
					BgL_auxz00_13509 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8011,
							((obj_t) BgL_arg2967z00_9318), BgL_arg0z00_8012, BgL_arg1z00_8013,
							BgL_arg2z00_8014));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8010)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13509), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8010));
		}

	}



/* &walk2!-set-ex-it1923 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setzd2exzd2it1923za2zzast_walkz00(obj_t
		BgL_envz00_8015, obj_t BgL_nz00_8016, obj_t BgL_pz00_8017,
		obj_t BgL_arg0z00_8018, obj_t BgL_arg1z00_8019)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13525;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2962z00_9320;

					BgL_arg2962z00_9320 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8016)))->BgL_bodyz00);
					BgL_auxz00_13525 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8017,
							((obj_t) BgL_arg2962z00_9320), BgL_arg0z00_8018,
							BgL_arg1z00_8019));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8016)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13525), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13538;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2965z00_9321;

					BgL_arg2965z00_9321 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8016)))->BgL_onexitz00);
					BgL_auxz00_13538 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8017,
							((obj_t) BgL_arg2965z00_9321), BgL_arg0z00_8018,
							BgL_arg1z00_8019));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8016)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13538), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8016));
		}

	}



/* &walk1!-set-ex-it1921 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setzd2exzd2it1921za2zzast_walkz00(obj_t
		BgL_envz00_8020, obj_t BgL_nz00_8021, obj_t BgL_pz00_8022,
		obj_t BgL_arg0z00_8023)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13553;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2959z00_9323;

					BgL_arg2959z00_9323 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8021)))->BgL_bodyz00);
					BgL_auxz00_13553 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8022,
							((obj_t) BgL_arg2959z00_9323), BgL_arg0z00_8023));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8021)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13553), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13565;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2960z00_9324;

					BgL_arg2960z00_9324 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8021)))->BgL_onexitz00);
					BgL_auxz00_13565 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8022,
							((obj_t) BgL_arg2960z00_9324), BgL_arg0z00_8023));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8021)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13565), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8021));
		}

	}



/* &walk0!-set-ex-it1919 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setzd2exzd2it1919za2zzast_walkz00(obj_t
		BgL_envz00_8024, obj_t BgL_nz00_8025, obj_t BgL_pz00_8026)
	{
		{	/* Ast/walk.scm 304 */
			{
				BgL_nodez00_bglt BgL_auxz00_13579;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2957z00_9326;

					BgL_arg2957z00_9326 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_bodyz00);
					BgL_auxz00_13579 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8026, ((obj_t) BgL_arg2957z00_9326)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13579), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13590;

				{	/* Ast/walk.scm 304 */
					BgL_nodez00_bglt BgL_arg2958z00_9327;

					BgL_arg2958z00_9327 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_onexitz00);
					BgL_auxz00_13590 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8026, ((obj_t) BgL_arg2958z00_9327)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13590), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8025));
		}

	}



/* &walk3*-set-ex-it1917 */
	obj_t BGl_z62walk3za2zd2setzd2exzd2it1917z12zzast_walkz00(obj_t
		BgL_envz00_8027, obj_t BgL_nz00_8028, obj_t BgL_pz00_8029,
		obj_t BgL_arg0z00_8030, obj_t BgL_arg1z00_8031, obj_t BgL_arg2z00_8032)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4093z00_9333;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2943z00_9329;
					obj_t BgL_arg2952z00_9330;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2953z00_9331;

						BgL_arg2953z00_9331 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8028)))->BgL_bodyz00);
						BgL_arg2943z00_9329 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8029,
							((obj_t) BgL_arg2953z00_9331), BgL_arg0z00_8030, BgL_arg1z00_8031,
							BgL_arg2z00_8032);
					}
					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2954z00_9332;

						BgL_arg2954z00_9332 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8028)))->BgL_onexitz00);
						BgL_arg2952z00_9330 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8029,
							((obj_t) BgL_arg2954z00_9332), BgL_arg0z00_8030, BgL_arg1z00_8031,
							BgL_arg2z00_8032);
					}
					BgL_res4093z00_9333 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2943z00_9329,
						BgL_arg2952z00_9330);
				}
				return BgL_res4093z00_9333;
			}
		}

	}



/* &walk2*-set-ex-it1915 */
	obj_t BGl_z62walk2za2zd2setzd2exzd2it1915z12zzast_walkz00(obj_t
		BgL_envz00_8033, obj_t BgL_nz00_8034, obj_t BgL_pz00_8035,
		obj_t BgL_arg0z00_8036, obj_t BgL_arg1z00_8037)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4094z00_9339;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2929z00_9335;
					obj_t BgL_arg2930z00_9336;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2937z00_9337;

						BgL_arg2937z00_9337 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8034)))->BgL_bodyz00);
						BgL_arg2929z00_9335 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8035,
							((obj_t) BgL_arg2937z00_9337), BgL_arg0z00_8036,
							BgL_arg1z00_8037);
					}
					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2941z00_9338;

						BgL_arg2941z00_9338 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8034)))->BgL_onexitz00);
						BgL_arg2930z00_9336 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8035,
							((obj_t) BgL_arg2941z00_9338), BgL_arg0z00_8036,
							BgL_arg1z00_8037);
					}
					BgL_res4094z00_9339 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2929z00_9335,
						BgL_arg2930z00_9336);
				}
				return BgL_res4094z00_9339;
			}
		}

	}



/* &walk1*-set-ex-it1913 */
	obj_t BGl_z62walk1za2zd2setzd2exzd2it1913z12zzast_walkz00(obj_t
		BgL_envz00_8038, obj_t BgL_nz00_8039, obj_t BgL_pz00_8040,
		obj_t BgL_arg0z00_8041)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4095z00_9345;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2925z00_9341;
					obj_t BgL_arg2926z00_9342;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2927z00_9343;

						BgL_arg2927z00_9343 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8039)))->BgL_bodyz00);
						BgL_arg2925z00_9341 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8040,
							((obj_t) BgL_arg2927z00_9343), BgL_arg0z00_8041);
					}
					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2928z00_9344;

						BgL_arg2928z00_9344 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8039)))->BgL_onexitz00);
						BgL_arg2926z00_9342 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8040,
							((obj_t) BgL_arg2928z00_9344), BgL_arg0z00_8041);
					}
					BgL_res4095z00_9345 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2925z00_9341,
						BgL_arg2926z00_9342);
				}
				return BgL_res4095z00_9345;
			}
		}

	}



/* &walk0*-set-ex-it1911 */
	obj_t BGl_z62walk0za2zd2setzd2exzd2it1911z12zzast_walkz00(obj_t
		BgL_envz00_8042, obj_t BgL_nz00_8043, obj_t BgL_pz00_8044)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				obj_t BgL_res4096z00_9351;

				{	/* Ast/walk.scm 304 */
					obj_t BgL_arg2921z00_9347;
					obj_t BgL_arg2922z00_9348;

					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2923z00_9349;

						BgL_arg2923z00_9349 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8043)))->BgL_bodyz00);
						BgL_arg2921z00_9347 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8044, ((obj_t) BgL_arg2923z00_9349));
					}
					{	/* Ast/walk.scm 304 */
						BgL_nodez00_bglt BgL_arg2924z00_9350;

						BgL_arg2924z00_9350 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8043)))->BgL_onexitz00);
						BgL_arg2922z00_9348 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8044, ((obj_t) BgL_arg2924z00_9350));
					}
					BgL_res4096z00_9351 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2921z00_9347,
						BgL_arg2922z00_9348);
				}
				return BgL_res4096z00_9351;
			}
		}

	}



/* &walk3-set-ex-it1909 */
	obj_t BGl_z62walk3zd2setzd2exzd2it1909zb0zzast_walkz00(obj_t BgL_envz00_8045,
		obj_t BgL_nz00_8046, obj_t BgL_pz00_8047, obj_t BgL_arg0z00_8048,
		obj_t BgL_arg1z00_8049, obj_t BgL_arg2z00_8050)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2919z00_9353;

				BgL_arg2919z00_9353 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8046)))->BgL_bodyz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8047,
					((obj_t) BgL_arg2919z00_9353), BgL_arg0z00_8048, BgL_arg1z00_8049,
					BgL_arg2z00_8050);
			}
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2920z00_9354;

				BgL_arg2920z00_9354 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8046)))->BgL_onexitz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8047,
					((obj_t) BgL_arg2920z00_9354), BgL_arg0z00_8048, BgL_arg1z00_8049,
					BgL_arg2z00_8050);
			}
		}

	}



/* &walk2-set-ex-it1907 */
	obj_t BGl_z62walk2zd2setzd2exzd2it1907zb0zzast_walkz00(obj_t BgL_envz00_8051,
		obj_t BgL_nz00_8052, obj_t BgL_pz00_8053, obj_t BgL_arg0z00_8054,
		obj_t BgL_arg1z00_8055)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2916z00_9356;

				BgL_arg2916z00_9356 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8052)))->BgL_bodyz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8053,
					((obj_t) BgL_arg2916z00_9356), BgL_arg0z00_8054, BgL_arg1z00_8055);
			}
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2917z00_9357;

				BgL_arg2917z00_9357 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8052)))->BgL_onexitz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8053,
					((obj_t) BgL_arg2917z00_9357), BgL_arg0z00_8054, BgL_arg1z00_8055);
			}
		}

	}



/* &walk1-set-ex-it1905 */
	obj_t BGl_z62walk1zd2setzd2exzd2it1905zb0zzast_walkz00(obj_t BgL_envz00_8056,
		obj_t BgL_nz00_8057, obj_t BgL_pz00_8058, obj_t BgL_arg0z00_8059)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2914z00_9359;

				BgL_arg2914z00_9359 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8057)))->BgL_bodyz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8058,
					((obj_t) BgL_arg2914z00_9359), BgL_arg0z00_8059);
			}
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2915z00_9360;

				BgL_arg2915z00_9360 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8057)))->BgL_onexitz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8058,
					((obj_t) BgL_arg2915z00_9360), BgL_arg0z00_8059);
			}
		}

	}



/* &walk0-set-ex-it1903 */
	obj_t BGl_z62walk0zd2setzd2exzd2it1903zb0zzast_walkz00(obj_t BgL_envz00_8060,
		obj_t BgL_nz00_8061, obj_t BgL_pz00_8062)
	{
		{	/* Ast/walk.scm 304 */
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2912z00_9362;

				BgL_arg2912z00_9362 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8061)))->BgL_bodyz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8062, ((obj_t) BgL_arg2912z00_9362));
			}
			{	/* Ast/walk.scm 304 */
				BgL_nodez00_bglt BgL_arg2913z00_9363;

				BgL_arg2913z00_9363 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nz00_8061)))->BgL_onexitz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8062, ((obj_t) BgL_arg2913z00_9363));
			}
		}

	}



/* &walk3!-fail1901 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2fail1901za2zzast_walkz00(obj_t
		BgL_envz00_8063, obj_t BgL_nz00_8064, obj_t BgL_pz00_8065,
		obj_t BgL_arg0z00_8066, obj_t BgL_arg1z00_8067, obj_t BgL_arg2z00_8068)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13743;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2908z00_9365;

					BgL_arg2908z00_9365 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_procz00);
					BgL_auxz00_13743 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8065,
							((obj_t) BgL_arg2908z00_9365), BgL_arg0z00_8066, BgL_arg1z00_8067,
							BgL_arg2z00_8068));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13743), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13757;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2909z00_9366;

					BgL_arg2909z00_9366 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_msgz00);
					BgL_auxz00_13757 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8065,
							((obj_t) BgL_arg2909z00_9366), BgL_arg0z00_8066, BgL_arg1z00_8067,
							BgL_arg2z00_8068));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13757), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13771;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2910z00_9367;

					BgL_arg2910z00_9367 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_objz00);
					BgL_auxz00_13771 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8065,
							((obj_t) BgL_arg2910z00_9367), BgL_arg0z00_8066, BgL_arg1z00_8067,
							BgL_arg2z00_8068));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8064)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13771), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8064));
		}

	}



/* &walk2!-fail1899 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2fail1899za2zzast_walkz00(obj_t
		BgL_envz00_8069, obj_t BgL_nz00_8070, obj_t BgL_pz00_8071,
		obj_t BgL_arg0z00_8072, obj_t BgL_arg1z00_8073)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13787;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2903z00_9369;

					BgL_arg2903z00_9369 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_procz00);
					BgL_auxz00_13787 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8071,
							((obj_t) BgL_arg2903z00_9369), BgL_arg0z00_8072,
							BgL_arg1z00_8073));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13787), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13800;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2904z00_9370;

					BgL_arg2904z00_9370 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_msgz00);
					BgL_auxz00_13800 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8071,
							((obj_t) BgL_arg2904z00_9370), BgL_arg0z00_8072,
							BgL_arg1z00_8073));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13800), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13813;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2906z00_9371;

					BgL_arg2906z00_9371 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_objz00);
					BgL_auxz00_13813 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8071,
							((obj_t) BgL_arg2906z00_9371), BgL_arg0z00_8072,
							BgL_arg1z00_8073));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8070)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13813), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8070));
		}

	}



/* &walk1!-fail1897 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2fail1897za2zzast_walkz00(obj_t
		BgL_envz00_8074, obj_t BgL_nz00_8075, obj_t BgL_pz00_8076,
		obj_t BgL_arg0z00_8077)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13828;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2899z00_9373;

					BgL_arg2899z00_9373 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_procz00);
					BgL_auxz00_13828 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8076,
							((obj_t) BgL_arg2899z00_9373), BgL_arg0z00_8077));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13828), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13840;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2900z00_9374;

					BgL_arg2900z00_9374 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_msgz00);
					BgL_auxz00_13840 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8076,
							((obj_t) BgL_arg2900z00_9374), BgL_arg0z00_8077));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13840), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13852;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2902z00_9375;

					BgL_arg2902z00_9375 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_objz00);
					BgL_auxz00_13852 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8076,
							((obj_t) BgL_arg2902z00_9375), BgL_arg0z00_8077));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8075)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13852), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8075));
		}

	}



/* &walk0!-fail1895 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2fail1895za2zzast_walkz00(obj_t
		BgL_envz00_8078, obj_t BgL_nz00_8079, obj_t BgL_pz00_8080)
	{
		{	/* Ast/walk.scm 303 */
			{
				BgL_nodez00_bglt BgL_auxz00_13866;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2894z00_9377;

					BgL_arg2894z00_9377 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_procz00);
					BgL_auxz00_13866 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8080, ((obj_t) BgL_arg2894z00_9377)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13866), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13877;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2895z00_9378;

					BgL_arg2895z00_9378 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_msgz00);
					BgL_auxz00_13877 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8080, ((obj_t) BgL_arg2895z00_9378)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13877), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_13888;

				{	/* Ast/walk.scm 303 */
					BgL_nodez00_bglt BgL_arg2898z00_9379;

					BgL_arg2898z00_9379 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_objz00);
					BgL_auxz00_13888 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8080, ((obj_t) BgL_arg2898z00_9379)));
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nz00_8079)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_13888), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nz00_8079));
		}

	}



/* &walk3*-fail1893 */
	obj_t BGl_z62walk3za2zd2fail1893z12zzast_walkz00(obj_t BgL_envz00_8081,
		obj_t BgL_nz00_8082, obj_t BgL_pz00_8083, obj_t BgL_arg0z00_8084,
		obj_t BgL_arg1z00_8085, obj_t BgL_arg2z00_8086)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4097z00_9390;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2862z00_9381;
					obj_t BgL_arg2863z00_9382;
					obj_t BgL_arg2864z00_9383;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2873z00_9384;

						BgL_arg2873z00_9384 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8082)))->BgL_procz00);
						BgL_arg2862z00_9381 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8083,
							((obj_t) BgL_arg2873z00_9384), BgL_arg0z00_8084, BgL_arg1z00_8085,
							BgL_arg2z00_8086);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2879z00_9385;

						BgL_arg2879z00_9385 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8082)))->BgL_msgz00);
						BgL_arg2863z00_9382 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8083,
							((obj_t) BgL_arg2879z00_9385), BgL_arg0z00_8084, BgL_arg1z00_8085,
							BgL_arg2z00_8086);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2887z00_9386;

						BgL_arg2887z00_9386 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8082)))->BgL_objz00);
						BgL_arg2864z00_9383 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8083,
							((obj_t) BgL_arg2887z00_9386), BgL_arg0z00_8084, BgL_arg1z00_8085,
							BgL_arg2z00_8086);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2865z00_9387;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2866z00_9388;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2871z00_9389;

								BgL_arg2871z00_9389 =
									MAKE_YOUNG_PAIR(BgL_arg2864z00_9383, BNIL);
								BgL_arg2866z00_9388 =
									MAKE_YOUNG_PAIR(BgL_arg2863z00_9382, BgL_arg2871z00_9389);
							}
							BgL_list2865z00_9387 =
								MAKE_YOUNG_PAIR(BgL_arg2862z00_9381, BgL_arg2866z00_9388);
						}
						BgL_res4097z00_9390 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2865z00_9387);
					}
				}
				return BgL_res4097z00_9390;
			}
		}

	}



/* &walk2*-fail1891 */
	obj_t BGl_z62walk2za2zd2fail1891z12zzast_walkz00(obj_t BgL_envz00_8087,
		obj_t BgL_nz00_8088, obj_t BgL_pz00_8089, obj_t BgL_arg0z00_8090,
		obj_t BgL_arg1z00_8091)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4098z00_9401;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2851z00_9392;
					obj_t BgL_arg2852z00_9393;
					obj_t BgL_arg2853z00_9394;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2859z00_9395;

						BgL_arg2859z00_9395 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8088)))->BgL_procz00);
						BgL_arg2851z00_9392 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8089,
							((obj_t) BgL_arg2859z00_9395), BgL_arg0z00_8090,
							BgL_arg1z00_8091);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2860z00_9396;

						BgL_arg2860z00_9396 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8088)))->BgL_msgz00);
						BgL_arg2852z00_9393 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8089,
							((obj_t) BgL_arg2860z00_9396), BgL_arg0z00_8090,
							BgL_arg1z00_8091);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2861z00_9397;

						BgL_arg2861z00_9397 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8088)))->BgL_objz00);
						BgL_arg2853z00_9394 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8089,
							((obj_t) BgL_arg2861z00_9397), BgL_arg0z00_8090,
							BgL_arg1z00_8091);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2854z00_9398;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2857z00_9399;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2858z00_9400;

								BgL_arg2858z00_9400 =
									MAKE_YOUNG_PAIR(BgL_arg2853z00_9394, BNIL);
								BgL_arg2857z00_9399 =
									MAKE_YOUNG_PAIR(BgL_arg2852z00_9393, BgL_arg2858z00_9400);
							}
							BgL_list2854z00_9398 =
								MAKE_YOUNG_PAIR(BgL_arg2851z00_9392, BgL_arg2857z00_9399);
						}
						BgL_res4098z00_9401 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2854z00_9398);
					}
				}
				return BgL_res4098z00_9401;
			}
		}

	}



/* &walk1*-fail1889 */
	obj_t BGl_z62walk1za2zd2fail1889z12zzast_walkz00(obj_t BgL_envz00_8092,
		obj_t BgL_nz00_8093, obj_t BgL_pz00_8094, obj_t BgL_arg0z00_8095)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4099z00_9412;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2840z00_9403;
					obj_t BgL_arg2841z00_9404;
					obj_t BgL_arg2842z00_9405;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2848z00_9406;

						BgL_arg2848z00_9406 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8093)))->BgL_procz00);
						BgL_arg2840z00_9403 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8094,
							((obj_t) BgL_arg2848z00_9406), BgL_arg0z00_8095);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2849z00_9407;

						BgL_arg2849z00_9407 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8093)))->BgL_msgz00);
						BgL_arg2841z00_9404 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8094,
							((obj_t) BgL_arg2849z00_9407), BgL_arg0z00_8095);
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2850z00_9408;

						BgL_arg2850z00_9408 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8093)))->BgL_objz00);
						BgL_arg2842z00_9405 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8094,
							((obj_t) BgL_arg2850z00_9408), BgL_arg0z00_8095);
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2843z00_9409;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2846z00_9410;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2847z00_9411;

								BgL_arg2847z00_9411 =
									MAKE_YOUNG_PAIR(BgL_arg2842z00_9405, BNIL);
								BgL_arg2846z00_9410 =
									MAKE_YOUNG_PAIR(BgL_arg2841z00_9404, BgL_arg2847z00_9411);
							}
							BgL_list2843z00_9409 =
								MAKE_YOUNG_PAIR(BgL_arg2840z00_9403, BgL_arg2846z00_9410);
						}
						BgL_res4099z00_9412 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2843z00_9409);
					}
				}
				return BgL_res4099z00_9412;
			}
		}

	}



/* &walk0*-fail1887 */
	obj_t BGl_z62walk0za2zd2fail1887z12zzast_walkz00(obj_t BgL_envz00_8096,
		obj_t BgL_nz00_8097, obj_t BgL_pz00_8098)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				obj_t BgL_res4100z00_9423;

				{	/* Ast/walk.scm 303 */
					obj_t BgL_arg2830z00_9414;
					obj_t BgL_arg2831z00_9415;
					obj_t BgL_arg2832z00_9416;

					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2836z00_9417;

						BgL_arg2836z00_9417 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_procz00);
						BgL_arg2830z00_9414 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8098, ((obj_t) BgL_arg2836z00_9417));
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2838z00_9418;

						BgL_arg2838z00_9418 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_msgz00);
						BgL_arg2831z00_9415 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8098, ((obj_t) BgL_arg2838z00_9418));
					}
					{	/* Ast/walk.scm 303 */
						BgL_nodez00_bglt BgL_arg2839z00_9419;

						BgL_arg2839z00_9419 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nz00_8097)))->BgL_objz00);
						BgL_arg2832z00_9416 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8098, ((obj_t) BgL_arg2839z00_9419));
					}
					{	/* Ast/walk.scm 303 */
						obj_t BgL_list2833z00_9420;

						{	/* Ast/walk.scm 303 */
							obj_t BgL_arg2834z00_9421;

							{	/* Ast/walk.scm 303 */
								obj_t BgL_arg2835z00_9422;

								BgL_arg2835z00_9422 =
									MAKE_YOUNG_PAIR(BgL_arg2832z00_9416, BNIL);
								BgL_arg2834z00_9421 =
									MAKE_YOUNG_PAIR(BgL_arg2831z00_9415, BgL_arg2835z00_9422);
							}
							BgL_list2833z00_9420 =
								MAKE_YOUNG_PAIR(BgL_arg2830z00_9414, BgL_arg2834z00_9421);
						}
						BgL_res4100z00_9423 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2833z00_9420);
					}
				}
				return BgL_res4100z00_9423;
			}
		}

	}



/* &walk3-fail1885 */
	obj_t BGl_z62walk3zd2fail1885zb0zzast_walkz00(obj_t BgL_envz00_8099,
		obj_t BgL_nz00_8100, obj_t BgL_pz00_8101, obj_t BgL_arg0z00_8102,
		obj_t BgL_arg1z00_8103, obj_t BgL_arg2z00_8104)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2827z00_9425;

				BgL_arg2827z00_9425 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8100)))->BgL_procz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8101,
					((obj_t) BgL_arg2827z00_9425), BgL_arg0z00_8102, BgL_arg1z00_8103,
					BgL_arg2z00_8104);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2828z00_9426;

				BgL_arg2828z00_9426 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8100)))->BgL_msgz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8101,
					((obj_t) BgL_arg2828z00_9426), BgL_arg0z00_8102, BgL_arg1z00_8103,
					BgL_arg2z00_8104);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2829z00_9427;

				BgL_arg2829z00_9427 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8100)))->BgL_objz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8101,
					((obj_t) BgL_arg2829z00_9427), BgL_arg0z00_8102, BgL_arg1z00_8103,
					BgL_arg2z00_8104);
			}
		}

	}



/* &walk2-fail1883 */
	obj_t BGl_z62walk2zd2fail1883zb0zzast_walkz00(obj_t BgL_envz00_8105,
		obj_t BgL_nz00_8106, obj_t BgL_pz00_8107, obj_t BgL_arg0z00_8108,
		obj_t BgL_arg1z00_8109)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2824z00_9429;

				BgL_arg2824z00_9429 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8106)))->BgL_procz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8107,
					((obj_t) BgL_arg2824z00_9429), BgL_arg0z00_8108, BgL_arg1z00_8109);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2825z00_9430;

				BgL_arg2825z00_9430 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8106)))->BgL_msgz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8107,
					((obj_t) BgL_arg2825z00_9430), BgL_arg0z00_8108, BgL_arg1z00_8109);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2826z00_9431;

				BgL_arg2826z00_9431 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8106)))->BgL_objz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8107,
					((obj_t) BgL_arg2826z00_9431), BgL_arg0z00_8108, BgL_arg1z00_8109);
			}
		}

	}



/* &walk1-fail1881 */
	obj_t BGl_z62walk1zd2fail1881zb0zzast_walkz00(obj_t BgL_envz00_8110,
		obj_t BgL_nz00_8111, obj_t BgL_pz00_8112, obj_t BgL_arg0z00_8113)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2821z00_9433;

				BgL_arg2821z00_9433 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8111)))->BgL_procz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8112,
					((obj_t) BgL_arg2821z00_9433), BgL_arg0z00_8113);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2822z00_9434;

				BgL_arg2822z00_9434 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8111)))->BgL_msgz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8112,
					((obj_t) BgL_arg2822z00_9434), BgL_arg0z00_8113);
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2823z00_9435;

				BgL_arg2823z00_9435 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8111)))->BgL_objz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8112,
					((obj_t) BgL_arg2823z00_9435), BgL_arg0z00_8113);
			}
		}

	}



/* &walk0-fail1879 */
	obj_t BGl_z62walk0zd2fail1879zb0zzast_walkz00(obj_t BgL_envz00_8114,
		obj_t BgL_nz00_8115, obj_t BgL_pz00_8116)
	{
		{	/* Ast/walk.scm 303 */
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2818z00_9437;

				BgL_arg2818z00_9437 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_procz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8116, ((obj_t) BgL_arg2818z00_9437));
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2819z00_9438;

				BgL_arg2819z00_9438 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_msgz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8116, ((obj_t) BgL_arg2819z00_9438));
			}
			{	/* Ast/walk.scm 303 */
				BgL_nodez00_bglt BgL_arg2820z00_9439;

				BgL_arg2820z00_9439 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nz00_8115)))->BgL_objz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8116, ((obj_t) BgL_arg2820z00_9439));
			}
		}

	}



/* &walk3!-conditional1877 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2conditional1877za2zzast_walkz00(obj_t
		BgL_envz00_8117, obj_t BgL_nz00_8118, obj_t BgL_pz00_8119,
		obj_t BgL_arg0z00_8120, obj_t BgL_arg1z00_8121, obj_t BgL_arg2z00_8122)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14121;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2815z00_9441;

					BgL_arg2815z00_9441 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_testz00);
					BgL_auxz00_14121 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8119,
							((obj_t) BgL_arg2815z00_9441), BgL_arg0z00_8120, BgL_arg1z00_8121,
							BgL_arg2z00_8122));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14121), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14135;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2816z00_9442;

					BgL_arg2816z00_9442 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_truez00);
					BgL_auxz00_14135 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8119,
							((obj_t) BgL_arg2816z00_9442), BgL_arg0z00_8120, BgL_arg1z00_8121,
							BgL_arg2z00_8122));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14135), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14149;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2817z00_9443;

					BgL_arg2817z00_9443 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_falsez00);
					BgL_auxz00_14149 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8119,
							((obj_t) BgL_arg2817z00_9443), BgL_arg0z00_8120, BgL_arg1z00_8121,
							BgL_arg2z00_8122));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8118)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14149), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8118));
		}

	}



/* &walk2!-conditional1875 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2conditional1875za2zzast_walkz00(obj_t
		BgL_envz00_8123, obj_t BgL_nz00_8124, obj_t BgL_pz00_8125,
		obj_t BgL_arg0z00_8126, obj_t BgL_arg1z00_8127)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14165;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2811z00_9445;

					BgL_arg2811z00_9445 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_testz00);
					BgL_auxz00_14165 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8125,
							((obj_t) BgL_arg2811z00_9445), BgL_arg0z00_8126,
							BgL_arg1z00_8127));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14165), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14178;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2812z00_9446;

					BgL_arg2812z00_9446 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_truez00);
					BgL_auxz00_14178 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8125,
							((obj_t) BgL_arg2812z00_9446), BgL_arg0z00_8126,
							BgL_arg1z00_8127));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14178), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14191;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2813z00_9447;

					BgL_arg2813z00_9447 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_falsez00);
					BgL_auxz00_14191 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8125,
							((obj_t) BgL_arg2813z00_9447), BgL_arg0z00_8126,
							BgL_arg1z00_8127));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8124)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14191), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8124));
		}

	}



/* &walk1!-conditional1873 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2conditional1873za2zzast_walkz00(obj_t
		BgL_envz00_8128, obj_t BgL_nz00_8129, obj_t BgL_pz00_8130,
		obj_t BgL_arg0z00_8131)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14206;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2805z00_9449;

					BgL_arg2805z00_9449 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_testz00);
					BgL_auxz00_14206 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8130,
							((obj_t) BgL_arg2805z00_9449), BgL_arg0z00_8131));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14206), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14218;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2806z00_9450;

					BgL_arg2806z00_9450 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_truez00);
					BgL_auxz00_14218 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8130,
							((obj_t) BgL_arg2806z00_9450), BgL_arg0z00_8131));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14218), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14230;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2810z00_9451;

					BgL_arg2810z00_9451 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_falsez00);
					BgL_auxz00_14230 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8130,
							((obj_t) BgL_arg2810z00_9451), BgL_arg0z00_8131));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8129)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14230), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8129));
		}

	}



/* &walk0!-conditional1871 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2conditional1871za2zzast_walkz00(obj_t
		BgL_envz00_8132, obj_t BgL_nz00_8133, obj_t BgL_pz00_8134)
	{
		{	/* Ast/walk.scm 302 */
			{
				BgL_nodez00_bglt BgL_auxz00_14244;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2802z00_9453;

					BgL_arg2802z00_9453 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_testz00);
					BgL_auxz00_14244 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8134, ((obj_t) BgL_arg2802z00_9453)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14244), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14255;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2803z00_9454;

					BgL_arg2803z00_9454 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_truez00);
					BgL_auxz00_14255 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8134, ((obj_t) BgL_arg2803z00_9454)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14255), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14266;

				{	/* Ast/walk.scm 302 */
					BgL_nodez00_bglt BgL_arg2804z00_9455;

					BgL_arg2804z00_9455 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_falsez00);
					BgL_auxz00_14266 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8134, ((obj_t) BgL_arg2804z00_9455)));
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nz00_8133)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14266), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nz00_8133));
		}

	}



/* &walk3*-conditional1869 */
	obj_t BGl_z62walk3za2zd2conditional1869z12zzast_walkz00(obj_t BgL_envz00_8135,
		obj_t BgL_nz00_8136, obj_t BgL_pz00_8137, obj_t BgL_arg0z00_8138,
		obj_t BgL_arg1z00_8139, obj_t BgL_arg2z00_8140)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4101z00_9466;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2766z00_9457;
					obj_t BgL_arg2767z00_9458;
					obj_t BgL_arg2768z00_9459;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2775z00_9460;

						BgL_arg2775z00_9460 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8136)))->BgL_testz00);
						BgL_arg2766z00_9457 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8137,
							((obj_t) BgL_arg2775z00_9460), BgL_arg0z00_8138, BgL_arg1z00_8139,
							BgL_arg2z00_8140);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2780z00_9461;

						BgL_arg2780z00_9461 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8136)))->BgL_truez00);
						BgL_arg2767z00_9458 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8137,
							((obj_t) BgL_arg2780z00_9461), BgL_arg0z00_8138, BgL_arg1z00_8139,
							BgL_arg2z00_8140);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2800z00_9462;

						BgL_arg2800z00_9462 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8136)))->BgL_falsez00);
						BgL_arg2768z00_9459 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8137,
							((obj_t) BgL_arg2800z00_9462), BgL_arg0z00_8138, BgL_arg1z00_8139,
							BgL_arg2z00_8140);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2769z00_9463;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2770z00_9464;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2774z00_9465;

								BgL_arg2774z00_9465 =
									MAKE_YOUNG_PAIR(BgL_arg2768z00_9459, BNIL);
								BgL_arg2770z00_9464 =
									MAKE_YOUNG_PAIR(BgL_arg2767z00_9458, BgL_arg2774z00_9465);
							}
							BgL_list2769z00_9463 =
								MAKE_YOUNG_PAIR(BgL_arg2766z00_9457, BgL_arg2770z00_9464);
						}
						BgL_res4101z00_9466 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2769z00_9463);
					}
				}
				return BgL_res4101z00_9466;
			}
		}

	}



/* &walk2*-conditional1867 */
	obj_t BGl_z62walk2za2zd2conditional1867z12zzast_walkz00(obj_t BgL_envz00_8141,
		obj_t BgL_nz00_8142, obj_t BgL_pz00_8143, obj_t BgL_arg0z00_8144,
		obj_t BgL_arg1z00_8145)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4102z00_9477;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2754z00_9468;
					obj_t BgL_arg2755z00_9469;
					obj_t BgL_arg2756z00_9470;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2763z00_9471;

						BgL_arg2763z00_9471 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8142)))->BgL_testz00);
						BgL_arg2754z00_9468 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8143,
							((obj_t) BgL_arg2763z00_9471), BgL_arg0z00_8144,
							BgL_arg1z00_8145);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2764z00_9472;

						BgL_arg2764z00_9472 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8142)))->BgL_truez00);
						BgL_arg2755z00_9469 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8143,
							((obj_t) BgL_arg2764z00_9472), BgL_arg0z00_8144,
							BgL_arg1z00_8145);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2765z00_9473;

						BgL_arg2765z00_9473 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8142)))->BgL_falsez00);
						BgL_arg2756z00_9470 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8143,
							((obj_t) BgL_arg2765z00_9473), BgL_arg0z00_8144,
							BgL_arg1z00_8145);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2757z00_9474;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2761z00_9475;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2762z00_9476;

								BgL_arg2762z00_9476 =
									MAKE_YOUNG_PAIR(BgL_arg2756z00_9470, BNIL);
								BgL_arg2761z00_9475 =
									MAKE_YOUNG_PAIR(BgL_arg2755z00_9469, BgL_arg2762z00_9476);
							}
							BgL_list2757z00_9474 =
								MAKE_YOUNG_PAIR(BgL_arg2754z00_9468, BgL_arg2761z00_9475);
						}
						BgL_res4102z00_9477 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2757z00_9474);
					}
				}
				return BgL_res4102z00_9477;
			}
		}

	}



/* &walk1*-conditional1865 */
	obj_t BGl_z62walk1za2zd2conditional1865z12zzast_walkz00(obj_t BgL_envz00_8146,
		obj_t BgL_nz00_8147, obj_t BgL_pz00_8148, obj_t BgL_arg0z00_8149)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4103z00_9488;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2743z00_9479;
					obj_t BgL_arg2744z00_9480;
					obj_t BgL_arg2745z00_9481;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2751z00_9482;

						BgL_arg2751z00_9482 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8147)))->BgL_testz00);
						BgL_arg2743z00_9479 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8148,
							((obj_t) BgL_arg2751z00_9482), BgL_arg0z00_8149);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2752z00_9483;

						BgL_arg2752z00_9483 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8147)))->BgL_truez00);
						BgL_arg2744z00_9480 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8148,
							((obj_t) BgL_arg2752z00_9483), BgL_arg0z00_8149);
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2753z00_9484;

						BgL_arg2753z00_9484 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8147)))->BgL_falsez00);
						BgL_arg2745z00_9481 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8148,
							((obj_t) BgL_arg2753z00_9484), BgL_arg0z00_8149);
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2746z00_9485;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2749z00_9486;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2750z00_9487;

								BgL_arg2750z00_9487 =
									MAKE_YOUNG_PAIR(BgL_arg2745z00_9481, BNIL);
								BgL_arg2749z00_9486 =
									MAKE_YOUNG_PAIR(BgL_arg2744z00_9480, BgL_arg2750z00_9487);
							}
							BgL_list2746z00_9485 =
								MAKE_YOUNG_PAIR(BgL_arg2743z00_9479, BgL_arg2749z00_9486);
						}
						BgL_res4103z00_9488 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2746z00_9485);
					}
				}
				return BgL_res4103z00_9488;
			}
		}

	}



/* &walk0*-conditional1863 */
	obj_t BGl_z62walk0za2zd2conditional1863z12zzast_walkz00(obj_t BgL_envz00_8150,
		obj_t BgL_nz00_8151, obj_t BgL_pz00_8152)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				obj_t BgL_res4104z00_9499;

				{	/* Ast/walk.scm 302 */
					obj_t BgL_arg2733z00_9490;
					obj_t BgL_arg2734z00_9491;
					obj_t BgL_arg2735z00_9492;

					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2739z00_9493;

						BgL_arg2739z00_9493 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_testz00);
						BgL_arg2733z00_9490 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8152, ((obj_t) BgL_arg2739z00_9493));
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2740z00_9494;

						BgL_arg2740z00_9494 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_truez00);
						BgL_arg2734z00_9491 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8152, ((obj_t) BgL_arg2740z00_9494));
					}
					{	/* Ast/walk.scm 302 */
						BgL_nodez00_bglt BgL_arg2742z00_9495;

						BgL_arg2742z00_9495 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nz00_8151)))->BgL_falsez00);
						BgL_arg2735z00_9492 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8152, ((obj_t) BgL_arg2742z00_9495));
					}
					{	/* Ast/walk.scm 302 */
						obj_t BgL_list2736z00_9496;

						{	/* Ast/walk.scm 302 */
							obj_t BgL_arg2737z00_9497;

							{	/* Ast/walk.scm 302 */
								obj_t BgL_arg2738z00_9498;

								BgL_arg2738z00_9498 =
									MAKE_YOUNG_PAIR(BgL_arg2735z00_9492, BNIL);
								BgL_arg2737z00_9497 =
									MAKE_YOUNG_PAIR(BgL_arg2734z00_9491, BgL_arg2738z00_9498);
							}
							BgL_list2736z00_9496 =
								MAKE_YOUNG_PAIR(BgL_arg2733z00_9490, BgL_arg2737z00_9497);
						}
						BgL_res4104z00_9499 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2736z00_9496);
					}
				}
				return BgL_res4104z00_9499;
			}
		}

	}



/* &walk3-conditional1861 */
	obj_t BGl_z62walk3zd2conditional1861zb0zzast_walkz00(obj_t BgL_envz00_8153,
		obj_t BgL_nz00_8154, obj_t BgL_pz00_8155, obj_t BgL_arg0z00_8156,
		obj_t BgL_arg1z00_8157, obj_t BgL_arg2z00_8158)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2730z00_9501;

				BgL_arg2730z00_9501 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8154)))->BgL_testz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8155,
					((obj_t) BgL_arg2730z00_9501), BgL_arg0z00_8156, BgL_arg1z00_8157,
					BgL_arg2z00_8158);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2731z00_9502;

				BgL_arg2731z00_9502 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8154)))->BgL_truez00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8155,
					((obj_t) BgL_arg2731z00_9502), BgL_arg0z00_8156, BgL_arg1z00_8157,
					BgL_arg2z00_8158);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2732z00_9503;

				BgL_arg2732z00_9503 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8154)))->BgL_falsez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8155,
					((obj_t) BgL_arg2732z00_9503), BgL_arg0z00_8156, BgL_arg1z00_8157,
					BgL_arg2z00_8158);
			}
		}

	}



/* &walk2-conditional1859 */
	obj_t BGl_z62walk2zd2conditional1859zb0zzast_walkz00(obj_t BgL_envz00_8159,
		obj_t BgL_nz00_8160, obj_t BgL_pz00_8161, obj_t BgL_arg0z00_8162,
		obj_t BgL_arg1z00_8163)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2727z00_9505;

				BgL_arg2727z00_9505 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8160)))->BgL_testz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8161,
					((obj_t) BgL_arg2727z00_9505), BgL_arg0z00_8162, BgL_arg1z00_8163);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2728z00_9506;

				BgL_arg2728z00_9506 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8160)))->BgL_truez00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8161,
					((obj_t) BgL_arg2728z00_9506), BgL_arg0z00_8162, BgL_arg1z00_8163);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2729z00_9507;

				BgL_arg2729z00_9507 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8160)))->BgL_falsez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8161,
					((obj_t) BgL_arg2729z00_9507), BgL_arg0z00_8162, BgL_arg1z00_8163);
			}
		}

	}



/* &walk1-conditional1857 */
	obj_t BGl_z62walk1zd2conditional1857zb0zzast_walkz00(obj_t BgL_envz00_8164,
		obj_t BgL_nz00_8165, obj_t BgL_pz00_8166, obj_t BgL_arg0z00_8167)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2724z00_9509;

				BgL_arg2724z00_9509 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8165)))->BgL_testz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8166,
					((obj_t) BgL_arg2724z00_9509), BgL_arg0z00_8167);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2725z00_9510;

				BgL_arg2725z00_9510 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8165)))->BgL_truez00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8166,
					((obj_t) BgL_arg2725z00_9510), BgL_arg0z00_8167);
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2726z00_9511;

				BgL_arg2726z00_9511 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8165)))->BgL_falsez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8166,
					((obj_t) BgL_arg2726z00_9511), BgL_arg0z00_8167);
			}
		}

	}



/* &walk0-conditional1855 */
	obj_t BGl_z62walk0zd2conditional1855zb0zzast_walkz00(obj_t BgL_envz00_8168,
		obj_t BgL_nz00_8169, obj_t BgL_pz00_8170)
	{
		{	/* Ast/walk.scm 302 */
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2721z00_9513;

				BgL_arg2721z00_9513 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_testz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8170, ((obj_t) BgL_arg2721z00_9513));
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2722z00_9514;

				BgL_arg2722z00_9514 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_truez00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8170, ((obj_t) BgL_arg2722z00_9514));
			}
			{	/* Ast/walk.scm 302 */
				BgL_nodez00_bglt BgL_arg2723z00_9515;

				BgL_arg2723z00_9515 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nz00_8169)))->BgL_falsez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8170, ((obj_t) BgL_arg2723z00_9515));
			}
		}

	}



/* &walk3!-setq1853 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2setq1853za2zzast_walkz00(obj_t
		BgL_envz00_8171, obj_t BgL_nz00_8172, obj_t BgL_pz00_8173,
		obj_t BgL_arg0z00_8174, obj_t BgL_arg1z00_8175, obj_t BgL_arg2z00_8176)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14499;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2719z00_9517;

					BgL_arg2719z00_9517 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8172)))->BgL_varz00);
					BgL_auxz00_14499 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8173,
							((obj_t) BgL_arg2719z00_9517), BgL_arg0z00_8174, BgL_arg1z00_8175,
							BgL_arg2z00_8176));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8172)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14499), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14513;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2720z00_9518;

					BgL_arg2720z00_9518 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8172)))->BgL_valuez00);
					BgL_auxz00_14513 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8173,
							((obj_t) BgL_arg2720z00_9518), BgL_arg0z00_8174, BgL_arg1z00_8175,
							BgL_arg2z00_8176));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8172)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14513), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8172));
		}

	}



/* &walk2!-setq1851 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2setq1851za2zzast_walkz00(obj_t
		BgL_envz00_8177, obj_t BgL_nz00_8178, obj_t BgL_pz00_8179,
		obj_t BgL_arg0z00_8180, obj_t BgL_arg1z00_8181)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14529;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2713z00_9520;

					BgL_arg2713z00_9520 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8178)))->BgL_varz00);
					BgL_auxz00_14529 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8179,
							((obj_t) BgL_arg2713z00_9520), BgL_arg0z00_8180,
							BgL_arg1z00_8181));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8178)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14529), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14542;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2715z00_9521;

					BgL_arg2715z00_9521 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8178)))->BgL_valuez00);
					BgL_auxz00_14542 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8179,
							((obj_t) BgL_arg2715z00_9521), BgL_arg0z00_8180,
							BgL_arg1z00_8181));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8178)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14542), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8178));
		}

	}



/* &walk1!-setq1849 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2setq1849za2zzast_walkz00(obj_t
		BgL_envz00_8182, obj_t BgL_nz00_8183, obj_t BgL_pz00_8184,
		obj_t BgL_arg0z00_8185)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14557;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2711z00_9523;

					BgL_arg2711z00_9523 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8183)))->BgL_varz00);
					BgL_auxz00_14557 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8184,
							((obj_t) BgL_arg2711z00_9523), BgL_arg0z00_8185));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8183)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14557), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14569;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2712z00_9524;

					BgL_arg2712z00_9524 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8183)))->BgL_valuez00);
					BgL_auxz00_14569 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8184,
							((obj_t) BgL_arg2712z00_9524), BgL_arg0z00_8185));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8183)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14569), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8183));
		}

	}



/* &walk0!-setq1847 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2setq1847za2zzast_walkz00(obj_t
		BgL_envz00_8186, obj_t BgL_nz00_8187, obj_t BgL_pz00_8188)
	{
		{	/* Ast/walk.scm 301 */
			{
				BgL_varz00_bglt BgL_auxz00_14583;

				{	/* Ast/walk.scm 301 */
					BgL_varz00_bglt BgL_arg2705z00_9526;

					BgL_arg2705z00_9526 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_varz00);
					BgL_auxz00_14583 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8188, ((obj_t) BgL_arg2705z00_9526)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_14583), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_14594;

				{	/* Ast/walk.scm 301 */
					BgL_nodez00_bglt BgL_arg2708z00_9527;

					BgL_arg2708z00_9527 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_valuez00);
					BgL_auxz00_14594 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8188, ((obj_t) BgL_arg2708z00_9527)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nz00_8187)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_14594), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nz00_8187));
		}

	}



/* &walk3*-setq1845 */
	obj_t BGl_z62walk3za2zd2setq1845z12zzast_walkz00(obj_t BgL_envz00_8189,
		obj_t BgL_nz00_8190, obj_t BgL_pz00_8191, obj_t BgL_arg0z00_8192,
		obj_t BgL_arg1z00_8193, obj_t BgL_arg2z00_8194)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4105z00_9533;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2684z00_9529;
					obj_t BgL_arg2689z00_9530;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2690z00_9531;

						BgL_arg2690z00_9531 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8190)))->BgL_varz00);
						BgL_arg2684z00_9529 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8191,
							((obj_t) BgL_arg2690z00_9531), BgL_arg0z00_8192, BgL_arg1z00_8193,
							BgL_arg2z00_8194);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2697z00_9532;

						BgL_arg2697z00_9532 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8190)))->BgL_valuez00);
						BgL_arg2689z00_9530 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8191,
							((obj_t) BgL_arg2697z00_9532), BgL_arg0z00_8192, BgL_arg1z00_8193,
							BgL_arg2z00_8194);
					}
					BgL_res4105z00_9533 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2684z00_9529,
						BgL_arg2689z00_9530);
				}
				return BgL_res4105z00_9533;
			}
		}

	}



/* &walk2*-setq1843 */
	obj_t BGl_z62walk2za2zd2setq1843z12zzast_walkz00(obj_t BgL_envz00_8195,
		obj_t BgL_nz00_8196, obj_t BgL_pz00_8197, obj_t BgL_arg0z00_8198,
		obj_t BgL_arg1z00_8199)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4106z00_9539;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2676z00_9535;
					obj_t BgL_arg2679z00_9536;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2680z00_9537;

						BgL_arg2680z00_9537 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8196)))->BgL_varz00);
						BgL_arg2676z00_9535 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8197,
							((obj_t) BgL_arg2680z00_9537), BgL_arg0z00_8198,
							BgL_arg1z00_8199);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2681z00_9538;

						BgL_arg2681z00_9538 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8196)))->BgL_valuez00);
						BgL_arg2679z00_9536 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8197,
							((obj_t) BgL_arg2681z00_9538), BgL_arg0z00_8198,
							BgL_arg1z00_8199);
					}
					BgL_res4106z00_9539 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2676z00_9535,
						BgL_arg2679z00_9536);
				}
				return BgL_res4106z00_9539;
			}
		}

	}



/* &walk1*-setq1841 */
	obj_t BGl_z62walk1za2zd2setq1841z12zzast_walkz00(obj_t BgL_envz00_8200,
		obj_t BgL_nz00_8201, obj_t BgL_pz00_8202, obj_t BgL_arg0z00_8203)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4107z00_9545;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2671z00_9541;
					obj_t BgL_arg2673z00_9542;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2674z00_9543;

						BgL_arg2674z00_9543 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8201)))->BgL_varz00);
						BgL_arg2671z00_9541 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8202,
							((obj_t) BgL_arg2674z00_9543), BgL_arg0z00_8203);
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2675z00_9544;

						BgL_arg2675z00_9544 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8201)))->BgL_valuez00);
						BgL_arg2673z00_9542 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8202,
							((obj_t) BgL_arg2675z00_9544), BgL_arg0z00_8203);
					}
					BgL_res4107z00_9545 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2671z00_9541,
						BgL_arg2673z00_9542);
				}
				return BgL_res4107z00_9545;
			}
		}

	}



/* &walk0*-setq1839 */
	obj_t BGl_z62walk0za2zd2setq1839z12zzast_walkz00(obj_t BgL_envz00_8204,
		obj_t BgL_nz00_8205, obj_t BgL_pz00_8206)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				obj_t BgL_res4108z00_9551;

				{	/* Ast/walk.scm 301 */
					obj_t BgL_arg2666z00_9547;
					obj_t BgL_arg2667z00_9548;

					{	/* Ast/walk.scm 301 */
						BgL_varz00_bglt BgL_arg2668z00_9549;

						BgL_arg2668z00_9549 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8205)))->BgL_varz00);
						BgL_arg2666z00_9547 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8206, ((obj_t) BgL_arg2668z00_9549));
					}
					{	/* Ast/walk.scm 301 */
						BgL_nodez00_bglt BgL_arg2670z00_9550;

						BgL_arg2670z00_9550 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nz00_8205)))->BgL_valuez00);
						BgL_arg2667z00_9548 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8206, ((obj_t) BgL_arg2670z00_9550));
					}
					BgL_res4108z00_9551 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2666z00_9547,
						BgL_arg2667z00_9548);
				}
				return BgL_res4108z00_9551;
			}
		}

	}



/* &walk3-setq1837 */
	obj_t BGl_z62walk3zd2setq1837zb0zzast_walkz00(obj_t BgL_envz00_8207,
		obj_t BgL_nz00_8208, obj_t BgL_pz00_8209, obj_t BgL_arg0z00_8210,
		obj_t BgL_arg1z00_8211, obj_t BgL_arg2z00_8212)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2663z00_9553;

				BgL_arg2663z00_9553 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8208)))->BgL_varz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8209,
					((obj_t) BgL_arg2663z00_9553), BgL_arg0z00_8210, BgL_arg1z00_8211,
					BgL_arg2z00_8212);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2665z00_9554;

				BgL_arg2665z00_9554 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8208)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8209,
					((obj_t) BgL_arg2665z00_9554), BgL_arg0z00_8210, BgL_arg1z00_8211,
					BgL_arg2z00_8212);
			}
		}

	}



/* &walk2-setq1835 */
	obj_t BGl_z62walk2zd2setq1835zb0zzast_walkz00(obj_t BgL_envz00_8213,
		obj_t BgL_nz00_8214, obj_t BgL_pz00_8215, obj_t BgL_arg0z00_8216,
		obj_t BgL_arg1z00_8217)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2659z00_9556;

				BgL_arg2659z00_9556 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8214)))->BgL_varz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8215,
					((obj_t) BgL_arg2659z00_9556), BgL_arg0z00_8216, BgL_arg1z00_8217);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2662z00_9557;

				BgL_arg2662z00_9557 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8214)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8215,
					((obj_t) BgL_arg2662z00_9557), BgL_arg0z00_8216, BgL_arg1z00_8217);
			}
		}

	}



/* &walk1-setq1833 */
	obj_t BGl_z62walk1zd2setq1833zb0zzast_walkz00(obj_t BgL_envz00_8218,
		obj_t BgL_nz00_8219, obj_t BgL_pz00_8220, obj_t BgL_arg0z00_8221)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2656z00_9559;

				BgL_arg2656z00_9559 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8219)))->BgL_varz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8220,
					((obj_t) BgL_arg2656z00_9559), BgL_arg0z00_8221);
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2658z00_9560;

				BgL_arg2658z00_9560 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8219)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8220,
					((obj_t) BgL_arg2658z00_9560), BgL_arg0z00_8221);
			}
		}

	}



/* &walk0-setq1831 */
	obj_t BGl_z62walk0zd2setq1831zb0zzast_walkz00(obj_t BgL_envz00_8222,
		obj_t BgL_nz00_8223, obj_t BgL_pz00_8224)
	{
		{	/* Ast/walk.scm 301 */
			{	/* Ast/walk.scm 301 */
				BgL_varz00_bglt BgL_arg2652z00_9562;

				BgL_arg2652z00_9562 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8223)))->BgL_varz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8224, ((obj_t) BgL_arg2652z00_9562));
			}
			{	/* Ast/walk.scm 301 */
				BgL_nodez00_bglt BgL_arg2655z00_9563;

				BgL_arg2655z00_9563 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nz00_8223)))->BgL_valuez00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8224, ((obj_t) BgL_arg2655z00_9563));
			}
		}

	}



/* &walk3!-cast1829 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2cast1829za2zzast_walkz00(obj_t
		BgL_envz00_8225, obj_t BgL_nz00_8226, obj_t BgL_pz00_8227,
		obj_t BgL_arg0z00_8228, obj_t BgL_arg1z00_8229, obj_t BgL_arg2z00_8230)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14747;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2649z00_9565;

					BgL_arg2649z00_9565 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8226)))->BgL_argz00);
					BgL_auxz00_14747 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8227,
							((obj_t) BgL_arg2649z00_9565), BgL_arg0z00_8228, BgL_arg1z00_8229,
							BgL_arg2z00_8230));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8226)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14747), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8226));
		}

	}



/* &walk2!-cast1827 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2cast1827za2zzast_walkz00(obj_t
		BgL_envz00_8231, obj_t BgL_nz00_8232, obj_t BgL_pz00_8233,
		obj_t BgL_arg0z00_8234, obj_t BgL_arg1z00_8235)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14763;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2645z00_9567;

					BgL_arg2645z00_9567 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8232)))->BgL_argz00);
					BgL_auxz00_14763 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8233,
							((obj_t) BgL_arg2645z00_9567), BgL_arg0z00_8234,
							BgL_arg1z00_8235));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8232)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14763), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8232));
		}

	}



/* &walk1!-cast1825 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2cast1825za2zzast_walkz00(obj_t
		BgL_envz00_8236, obj_t BgL_nz00_8237, obj_t BgL_pz00_8238,
		obj_t BgL_arg0z00_8239)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14778;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2643z00_9569;

					BgL_arg2643z00_9569 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8237)))->BgL_argz00);
					BgL_auxz00_14778 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8238,
							((obj_t) BgL_arg2643z00_9569), BgL_arg0z00_8239));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8237)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14778), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8237));
		}

	}



/* &walk0!-cast1823 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2cast1823za2zzast_walkz00(obj_t
		BgL_envz00_8240, obj_t BgL_nz00_8241, obj_t BgL_pz00_8242)
	{
		{	/* Ast/walk.scm 300 */
			{
				BgL_nodez00_bglt BgL_auxz00_14792;

				{	/* Ast/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg2640z00_9571;

					BgL_arg2640z00_9571 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8241)))->BgL_argz00);
					BgL_auxz00_14792 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8242, ((obj_t) BgL_arg2640z00_9571)));
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nz00_8241)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_14792), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nz00_8241));
		}

	}



/* &walk3*-cast1821 */
	obj_t BGl_z62walk3za2zd2cast1821z12zzast_walkz00(obj_t BgL_envz00_8243,
		obj_t BgL_nz00_8244, obj_t BgL_pz00_8245, obj_t BgL_arg0z00_8246,
		obj_t BgL_arg1z00_8247, obj_t BgL_arg2z00_8248)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4109z00_9576;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2634z00_9573;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2636z00_9574;

						BgL_arg2636z00_9574 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8244)))->BgL_argz00);
						BgL_arg2634z00_9573 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8245,
							((obj_t) BgL_arg2636z00_9574), BgL_arg0z00_8246, BgL_arg1z00_8247,
							BgL_arg2z00_8248);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2635z00_9575;

						BgL_list2635z00_9575 = MAKE_YOUNG_PAIR(BgL_arg2634z00_9573, BNIL);
						BgL_res4109z00_9576 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2635z00_9575);
					}
				}
				return BgL_res4109z00_9576;
			}
		}

	}



/* &walk2*-cast1819 */
	obj_t BGl_z62walk2za2zd2cast1819z12zzast_walkz00(obj_t BgL_envz00_8249,
		obj_t BgL_nz00_8250, obj_t BgL_pz00_8251, obj_t BgL_arg0z00_8252,
		obj_t BgL_arg1z00_8253)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4110z00_9581;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2631z00_9578;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2633z00_9579;

						BgL_arg2633z00_9579 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8250)))->BgL_argz00);
						BgL_arg2631z00_9578 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8251,
							((obj_t) BgL_arg2633z00_9579), BgL_arg0z00_8252,
							BgL_arg1z00_8253);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2632z00_9580;

						BgL_list2632z00_9580 = MAKE_YOUNG_PAIR(BgL_arg2631z00_9578, BNIL);
						BgL_res4110z00_9581 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2632z00_9580);
					}
				}
				return BgL_res4110z00_9581;
			}
		}

	}



/* &walk1*-cast1817 */
	obj_t BGl_z62walk1za2zd2cast1817z12zzast_walkz00(obj_t BgL_envz00_8254,
		obj_t BgL_nz00_8255, obj_t BgL_pz00_8256, obj_t BgL_arg0z00_8257)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4111z00_9586;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2628z00_9583;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2630z00_9584;

						BgL_arg2630z00_9584 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8255)))->BgL_argz00);
						BgL_arg2628z00_9583 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8256,
							((obj_t) BgL_arg2630z00_9584), BgL_arg0z00_8257);
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2629z00_9585;

						BgL_list2629z00_9585 = MAKE_YOUNG_PAIR(BgL_arg2628z00_9583, BNIL);
						BgL_res4111z00_9586 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2629z00_9585);
					}
				}
				return BgL_res4111z00_9586;
			}
		}

	}



/* &walk0*-cast1815 */
	obj_t BGl_z62walk0za2zd2cast1815z12zzast_walkz00(obj_t BgL_envz00_8258,
		obj_t BgL_nz00_8259, obj_t BgL_pz00_8260)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				obj_t BgL_res4112z00_9591;

				{	/* Ast/walk.scm 300 */
					obj_t BgL_arg2624z00_9588;

					{	/* Ast/walk.scm 300 */
						BgL_nodez00_bglt BgL_arg2626z00_9589;

						BgL_arg2626z00_9589 =
							(((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt) BgL_nz00_8259)))->BgL_argz00);
						BgL_arg2624z00_9588 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8260, ((obj_t) BgL_arg2626z00_9589));
					}
					{	/* Ast/walk.scm 300 */
						obj_t BgL_list2625z00_9590;

						BgL_list2625z00_9590 = MAKE_YOUNG_PAIR(BgL_arg2624z00_9588, BNIL);
						BgL_res4112z00_9591 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2625z00_9590);
					}
				}
				return BgL_res4112z00_9591;
			}
		}

	}



/* &walk3-cast1813 */
	obj_t BGl_z62walk3zd2cast1813zb0zzast_walkz00(obj_t BgL_envz00_8261,
		obj_t BgL_nz00_8262, obj_t BgL_pz00_8263, obj_t BgL_arg0z00_8264,
		obj_t BgL_arg1z00_8265, obj_t BgL_arg2z00_8266)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2622z00_9593;

				BgL_arg2622z00_9593 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8262)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8263,
					((obj_t) BgL_arg2622z00_9593), BgL_arg0z00_8264, BgL_arg1z00_8265,
					BgL_arg2z00_8266);
			}
		}

	}



/* &walk2-cast1811 */
	obj_t BGl_z62walk2zd2cast1811zb0zzast_walkz00(obj_t BgL_envz00_8267,
		obj_t BgL_nz00_8268, obj_t BgL_pz00_8269, obj_t BgL_arg0z00_8270,
		obj_t BgL_arg1z00_8271)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2621z00_9595;

				BgL_arg2621z00_9595 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8268)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8269,
					((obj_t) BgL_arg2621z00_9595), BgL_arg0z00_8270, BgL_arg1z00_8271);
			}
		}

	}



/* &walk1-cast1809 */
	obj_t BGl_z62walk1zd2cast1809zb0zzast_walkz00(obj_t BgL_envz00_8272,
		obj_t BgL_nz00_8273, obj_t BgL_pz00_8274, obj_t BgL_arg0z00_8275)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2617z00_9597;

				BgL_arg2617z00_9597 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8273)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8274,
					((obj_t) BgL_arg2617z00_9597), BgL_arg0z00_8275);
			}
		}

	}



/* &walk0-cast1807 */
	obj_t BGl_z62walk0zd2cast1807zb0zzast_walkz00(obj_t BgL_envz00_8276,
		obj_t BgL_nz00_8277, obj_t BgL_pz00_8278)
	{
		{	/* Ast/walk.scm 300 */
			{	/* Ast/walk.scm 300 */
				BgL_nodez00_bglt BgL_arg2615z00_9599;

				BgL_arg2615z00_9599 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nz00_8277)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8278, ((obj_t) BgL_arg2615z00_9599));
			}
		}

	}



/* &walk3!-extern1805 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2extern1805za2zzast_walkz00(obj_t
		BgL_envz00_8279, obj_t BgL_nz00_8280, obj_t BgL_pz00_8281,
		obj_t BgL_arg0z00_8282, obj_t BgL_arg1z00_8283, obj_t BgL_arg2z00_8284)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9602;

				BgL_fieldsz00_9602 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8280)))->BgL_exprza2za2);
			BgL_loopz00_9601:
				if (NULLP(BgL_fieldsz00_9602))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2611z00_9603;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2612z00_9604;

								BgL_arg2612z00_9604 = CAR(((obj_t) BgL_fieldsz00_9602));
								BgL_arg2611z00_9603 =
									BGL_PROCEDURE_CALL4(BgL_pz00_8281, BgL_arg2612z00_9604,
									BgL_arg0z00_8282, BgL_arg1z00_8283, BgL_arg2z00_8284);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14892;

								BgL_tmpz00_14892 = ((obj_t) BgL_fieldsz00_9602);
								SET_CAR(BgL_tmpz00_14892, BgL_arg2611z00_9603);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2613z00_9605;

							BgL_arg2613z00_9605 = CDR(((obj_t) BgL_fieldsz00_9602));
							{
								obj_t BgL_fieldsz00_14897;

								BgL_fieldsz00_14897 = BgL_arg2613z00_9605;
								BgL_fieldsz00_9602 = BgL_fieldsz00_14897;
								goto BgL_loopz00_9601;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8280));
		}

	}



/* &walk2!-extern1803 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2extern1803za2zzast_walkz00(obj_t
		BgL_envz00_8285, obj_t BgL_nz00_8286, obj_t BgL_pz00_8287,
		obj_t BgL_arg0z00_8288, obj_t BgL_arg1z00_8289)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9608;

				BgL_fieldsz00_9608 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8286)))->BgL_exprza2za2);
			BgL_loopz00_9607:
				if (NULLP(BgL_fieldsz00_9608))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2604z00_9609;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2606z00_9610;

								BgL_arg2606z00_9610 = CAR(((obj_t) BgL_fieldsz00_9608));
								BgL_arg2604z00_9609 =
									BGL_PROCEDURE_CALL3(BgL_pz00_8287, BgL_arg2606z00_9610,
									BgL_arg0z00_8288, BgL_arg1z00_8289);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14912;

								BgL_tmpz00_14912 = ((obj_t) BgL_fieldsz00_9608);
								SET_CAR(BgL_tmpz00_14912, BgL_arg2604z00_9609);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2607z00_9611;

							BgL_arg2607z00_9611 = CDR(((obj_t) BgL_fieldsz00_9608));
							{
								obj_t BgL_fieldsz00_14917;

								BgL_fieldsz00_14917 = BgL_arg2607z00_9611;
								BgL_fieldsz00_9608 = BgL_fieldsz00_14917;
								goto BgL_loopz00_9607;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8286));
		}

	}



/* &walk1!-extern1801 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2extern1801za2zzast_walkz00(obj_t
		BgL_envz00_8290, obj_t BgL_nz00_8291, obj_t BgL_pz00_8292,
		obj_t BgL_arg0z00_8293)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9614;

				BgL_fieldsz00_9614 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8291)))->BgL_exprza2za2);
			BgL_loopz00_9613:
				if (NULLP(BgL_fieldsz00_9614))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2597z00_9615;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2599z00_9616;

								BgL_arg2599z00_9616 = CAR(((obj_t) BgL_fieldsz00_9614));
								BgL_arg2597z00_9615 =
									BGL_PROCEDURE_CALL2(BgL_pz00_8292, BgL_arg2599z00_9616,
									BgL_arg0z00_8293);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14931;

								BgL_tmpz00_14931 = ((obj_t) BgL_fieldsz00_9614);
								SET_CAR(BgL_tmpz00_14931, BgL_arg2597z00_9615);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2600z00_9617;

							BgL_arg2600z00_9617 = CDR(((obj_t) BgL_fieldsz00_9614));
							{
								obj_t BgL_fieldsz00_14936;

								BgL_fieldsz00_14936 = BgL_arg2600z00_9617;
								BgL_fieldsz00_9614 = BgL_fieldsz00_14936;
								goto BgL_loopz00_9613;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8291));
		}

	}



/* &walk0!-extern1799 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2extern1799za2zzast_walkz00(obj_t
		BgL_envz00_8294, obj_t BgL_nz00_8295, obj_t BgL_pz00_8296)
	{
		{	/* Ast/walk.scm 299 */
			{
				obj_t BgL_fieldsz00_9620;

				BgL_fieldsz00_9620 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8295)))->BgL_exprza2za2);
			BgL_loopz00_9619:
				if (NULLP(BgL_fieldsz00_9620))
					{	/* Ast/walk.scm 299 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 299 */
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2590z00_9621;

							{	/* Ast/walk.scm 299 */
								obj_t BgL_arg2591z00_9622;

								BgL_arg2591z00_9622 = CAR(((obj_t) BgL_fieldsz00_9620));
								BgL_arg2590z00_9621 =
									BGL_PROCEDURE_CALL1(BgL_pz00_8296, BgL_arg2591z00_9622);
							}
							{	/* Ast/walk.scm 299 */
								obj_t BgL_tmpz00_14949;

								BgL_tmpz00_14949 = ((obj_t) BgL_fieldsz00_9620);
								SET_CAR(BgL_tmpz00_14949, BgL_arg2590z00_9621);
							}
						}
						{	/* Ast/walk.scm 299 */
							obj_t BgL_arg2593z00_9623;

							BgL_arg2593z00_9623 = CDR(((obj_t) BgL_fieldsz00_9620));
							{
								obj_t BgL_fieldsz00_14954;

								BgL_fieldsz00_14954 = BgL_arg2593z00_9623;
								BgL_fieldsz00_9620 = BgL_fieldsz00_14954;
								goto BgL_loopz00_9619;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nz00_8295));
		}

	}



/* &walk3*-extern1797 */
	obj_t BGl_z62walk3za2zd2extern1797z12zzast_walkz00(obj_t BgL_envz00_8297,
		obj_t BgL_nz00_8298, obj_t BgL_pz00_8299, obj_t BgL_arg0z00_8300,
		obj_t BgL_arg1z00_8301, obj_t BgL_arg2z00_8302)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4113z00_9627;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2579z00_9625;

					BgL_arg2579z00_9625 =
						BGl_zc3z04anonymousza32581ze3ze70z60zzast_walkz00(BgL_arg2z00_8302,
						BgL_arg1z00_8301, BgL_arg0z00_8300, BgL_pz00_8299,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8298)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2580z00_9626;

						BgL_list2580z00_9626 = MAKE_YOUNG_PAIR(BgL_arg2579z00_9625, BNIL);
						BgL_res4113z00_9627 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2580z00_9626);
					}
				}
				return BgL_res4113z00_9627;
			}
		}

	}



/* <@anonymous:2581>~0 */
	obj_t BGl_zc3z04anonymousza32581ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8642, obj_t BgL_arg1z00_8641, obj_t BgL_arg0z00_8640,
		obj_t BgL_pz00_8639, obj_t BgL_l1557z00_3482)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1557z00_3482))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2583z00_3485;
					obj_t BgL_arg2584z00_3486;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3487;

						BgL_fz00_3487 = CAR(((obj_t) BgL_l1557z00_3482));
						BgL_arg2583z00_3485 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8639, BgL_fz00_3487,
							BgL_arg0z00_8640, BgL_arg1z00_8641, BgL_arg2z00_8642);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2585z00_3488;

						BgL_arg2585z00_3488 = CDR(((obj_t) BgL_l1557z00_3482));
						BgL_arg2584z00_3486 =
							BGl_zc3z04anonymousza32581ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8642, BgL_arg1z00_8641, BgL_arg0z00_8640,
							BgL_pz00_8639, BgL_arg2585z00_3488);
					}
					return bgl_append2(BgL_arg2583z00_3485, BgL_arg2584z00_3486);
				}
		}

	}



/* &walk2*-extern1795 */
	obj_t BGl_z62walk2za2zd2extern1795z12zzast_walkz00(obj_t BgL_envz00_8303,
		obj_t BgL_nz00_8304, obj_t BgL_pz00_8305, obj_t BgL_arg0z00_8306,
		obj_t BgL_arg1z00_8307)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4114z00_9631;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2572z00_9629;

					BgL_arg2572z00_9629 =
						BGl_zc3z04anonymousza32574ze3ze70z60zzast_walkz00(BgL_arg1z00_8307,
						BgL_arg0z00_8306, BgL_pz00_8305,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8304)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2573z00_9630;

						BgL_list2573z00_9630 = MAKE_YOUNG_PAIR(BgL_arg2572z00_9629, BNIL);
						BgL_res4114z00_9631 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2573z00_9630);
					}
				}
				return BgL_res4114z00_9631;
			}
		}

	}



/* <@anonymous:2574>~0 */
	obj_t BGl_zc3z04anonymousza32574ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8638, obj_t BgL_arg0z00_8637, obj_t BgL_pz00_8636,
		obj_t BgL_l1554z00_3461)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1554z00_3461))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2576z00_3464;
					obj_t BgL_arg2577z00_3465;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3466;

						BgL_fz00_3466 = CAR(((obj_t) BgL_l1554z00_3461));
						BgL_arg2576z00_3464 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8636, BgL_fz00_3466,
							BgL_arg0z00_8637, BgL_arg1z00_8638);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2578z00_3467;

						BgL_arg2578z00_3467 = CDR(((obj_t) BgL_l1554z00_3461));
						BgL_arg2577z00_3465 =
							BGl_zc3z04anonymousza32574ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8638, BgL_arg0z00_8637, BgL_pz00_8636,
							BgL_arg2578z00_3467);
					}
					return bgl_append2(BgL_arg2576z00_3464, BgL_arg2577z00_3465);
				}
		}

	}



/* &walk1*-extern1793 */
	obj_t BGl_z62walk1za2zd2extern1793z12zzast_walkz00(obj_t BgL_envz00_8308,
		obj_t BgL_nz00_8309, obj_t BgL_pz00_8310, obj_t BgL_arg0z00_8311)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4115z00_9635;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2563z00_9633;

					BgL_arg2563z00_9633 =
						BGl_zc3z04anonymousza32565ze3ze70z60zzast_walkz00(BgL_arg0z00_8311,
						BgL_pz00_8310,
						(((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_nz00_8309)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2564z00_9634;

						BgL_list2564z00_9634 = MAKE_YOUNG_PAIR(BgL_arg2563z00_9633, BNIL);
						BgL_res4115z00_9635 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2564z00_9634);
					}
				}
				return BgL_res4115z00_9635;
			}
		}

	}



/* <@anonymous:2565>~0 */
	obj_t BGl_zc3z04anonymousza32565ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8635, obj_t BgL_pz00_8634, obj_t BgL_l1551z00_3441)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1551z00_3441))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2568z00_3444;
					obj_t BgL_arg2569z00_3445;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3446;

						BgL_fz00_3446 = CAR(((obj_t) BgL_l1551z00_3441));
						BgL_arg2568z00_3444 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8634, BgL_fz00_3446,
							BgL_arg0z00_8635);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2571z00_3447;

						BgL_arg2571z00_3447 = CDR(((obj_t) BgL_l1551z00_3441));
						BgL_arg2569z00_3445 =
							BGl_zc3z04anonymousza32565ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8635, BgL_pz00_8634, BgL_arg2571z00_3447);
					}
					return bgl_append2(BgL_arg2568z00_3444, BgL_arg2569z00_3445);
				}
		}

	}



/* &walk0*-extern1791 */
	obj_t BGl_z62walk0za2zd2extern1791z12zzast_walkz00(obj_t BgL_envz00_8312,
		obj_t BgL_nz00_8313, obj_t BgL_pz00_8314)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_res4116z00_9639;

				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2556z00_9637;

					BgL_arg2556z00_9637 =
						BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(BgL_pz00_8314,
						(((BgL_externz00_bglt) COBJECT(
									((BgL_externz00_bglt) BgL_nz00_8313)))->BgL_exprza2za2));
					{	/* Ast/walk.scm 299 */
						obj_t BgL_list2557z00_9638;

						BgL_list2557z00_9638 = MAKE_YOUNG_PAIR(BgL_arg2556z00_9637, BNIL);
						BgL_res4116z00_9639 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2557z00_9638);
					}
				}
				return BgL_res4116z00_9639;
			}
		}

	}



/* <@anonymous:2558>~0 */
	obj_t BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8633,
		obj_t BgL_l1548z00_3422)
	{
		{	/* Ast/walk.scm 299 */
			if (NULLP(BgL_l1548z00_3422))
				{	/* Ast/walk.scm 299 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 299 */
					obj_t BgL_arg2560z00_3425;
					obj_t BgL_arg2561z00_3426;

					{	/* Ast/walk.scm 299 */
						obj_t BgL_fz00_3427;

						BgL_fz00_3427 = CAR(((obj_t) BgL_l1548z00_3422));
						BgL_arg2560z00_3425 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8633, BgL_fz00_3427);
					}
					{	/* Ast/walk.scm 299 */
						obj_t BgL_arg2562z00_3428;

						BgL_arg2562z00_3428 = CDR(((obj_t) BgL_l1548z00_3422));
						BgL_arg2561z00_3426 =
							BGl_zc3z04anonymousza32558ze3ze70z60zzast_walkz00(BgL_pz00_8633,
							BgL_arg2562z00_3428);
					}
					return bgl_append2(BgL_arg2560z00_3425, BgL_arg2561z00_3426);
				}
		}

	}



/* &walk3-extern1789 */
	obj_t BGl_z62walk3zd2extern1789zb0zzast_walkz00(obj_t BgL_envz00_8315,
		obj_t BgL_nz00_8316, obj_t BgL_pz00_8317, obj_t BgL_arg0z00_8318,
		obj_t BgL_arg1z00_8319, obj_t BgL_arg2z00_8320)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1546z00_9641;

				BgL_g1546z00_9641 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8316)))->BgL_exprza2za2);
				{
					obj_t BgL_l1544z00_9643;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15035;

						BgL_l1544z00_9643 = BgL_g1546z00_9641;
					BgL_zc3z04anonymousza32553ze3z87_9642:
						if (PAIRP(BgL_l1544z00_9643))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9644;

									BgL_fz00_9644 = CAR(BgL_l1544z00_9643);
									BGL_PROCEDURE_CALL4(BgL_pz00_8317, BgL_fz00_9644,
										BgL_arg0z00_8318, BgL_arg1z00_8319, BgL_arg2z00_8320);
								}
								{
									obj_t BgL_l1544z00_15046;

									BgL_l1544z00_15046 = CDR(BgL_l1544z00_9643);
									BgL_l1544z00_9643 = BgL_l1544z00_15046;
									goto BgL_zc3z04anonymousza32553ze3z87_9642;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15035 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15035);
					}
				}
			}
		}

	}



/* &walk2-extern1787 */
	obj_t BGl_z62walk2zd2extern1787zb0zzast_walkz00(obj_t BgL_envz00_8321,
		obj_t BgL_nz00_8322, obj_t BgL_pz00_8323, obj_t BgL_arg0z00_8324,
		obj_t BgL_arg1z00_8325)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1543z00_9646;

				BgL_g1543z00_9646 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8322)))->BgL_exprza2za2);
				{
					obj_t BgL_l1541z00_9648;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15051;

						BgL_l1541z00_9648 = BgL_g1543z00_9646;
					BgL_zc3z04anonymousza32550ze3z87_9647:
						if (PAIRP(BgL_l1541z00_9648))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9649;

									BgL_fz00_9649 = CAR(BgL_l1541z00_9648);
									BGL_PROCEDURE_CALL3(BgL_pz00_8323, BgL_fz00_9649,
										BgL_arg0z00_8324, BgL_arg1z00_8325);
								}
								{
									obj_t BgL_l1541z00_15061;

									BgL_l1541z00_15061 = CDR(BgL_l1541z00_9648);
									BgL_l1541z00_9648 = BgL_l1541z00_15061;
									goto BgL_zc3z04anonymousza32550ze3z87_9647;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15051 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15051);
					}
				}
			}
		}

	}



/* &walk1-extern1785 */
	obj_t BGl_z62walk1zd2extern1785zb0zzast_walkz00(obj_t BgL_envz00_8326,
		obj_t BgL_nz00_8327, obj_t BgL_pz00_8328, obj_t BgL_arg0z00_8329)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1540z00_9651;

				BgL_g1540z00_9651 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8327)))->BgL_exprza2za2);
				{
					obj_t BgL_l1538z00_9653;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15066;

						BgL_l1538z00_9653 = BgL_g1540z00_9651;
					BgL_zc3z04anonymousza32547ze3z87_9652:
						if (PAIRP(BgL_l1538z00_9653))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9654;

									BgL_fz00_9654 = CAR(BgL_l1538z00_9653);
									BGL_PROCEDURE_CALL2(BgL_pz00_8328, BgL_fz00_9654,
										BgL_arg0z00_8329);
								}
								{
									obj_t BgL_l1538z00_15075;

									BgL_l1538z00_15075 = CDR(BgL_l1538z00_9653);
									BgL_l1538z00_9653 = BgL_l1538z00_15075;
									goto BgL_zc3z04anonymousza32547ze3z87_9652;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15066 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15066);
					}
				}
			}
		}

	}



/* &walk0-extern1783 */
	obj_t BGl_z62walk0zd2extern1783zb0zzast_walkz00(obj_t BgL_envz00_8330,
		obj_t BgL_nz00_8331, obj_t BgL_pz00_8332)
	{
		{	/* Ast/walk.scm 299 */
			{	/* Ast/walk.scm 299 */
				obj_t BgL_g1537z00_9656;

				BgL_g1537z00_9656 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nz00_8331)))->BgL_exprza2za2);
				{
					obj_t BgL_l1535z00_9658;

					{	/* Ast/walk.scm 299 */
						bool_t BgL_tmpz00_15080;

						BgL_l1535z00_9658 = BgL_g1537z00_9656;
					BgL_zc3z04anonymousza32544ze3z87_9657:
						if (PAIRP(BgL_l1535z00_9658))
							{	/* Ast/walk.scm 299 */
								{	/* Ast/walk.scm 299 */
									obj_t BgL_fz00_9659;

									BgL_fz00_9659 = CAR(BgL_l1535z00_9658);
									BGL_PROCEDURE_CALL1(BgL_pz00_8332, BgL_fz00_9659);
								}
								{
									obj_t BgL_l1535z00_15088;

									BgL_l1535z00_15088 = CDR(BgL_l1535z00_9658);
									BgL_l1535z00_9658 = BgL_l1535z00_15088;
									goto BgL_zc3z04anonymousza32544ze3z87_9657;
								}
							}
						else
							{	/* Ast/walk.scm 299 */
								BgL_tmpz00_15080 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15080);
					}
				}
			}
		}

	}



/* &walk3!-funcall1781 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2funcall1781za2zzast_walkz00(obj_t
		BgL_envz00_8333, obj_t BgL_nz00_8334, obj_t BgL_pz00_8335,
		obj_t BgL_arg0z00_8336, obj_t BgL_arg1z00_8337, obj_t BgL_arg2z00_8338)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15091;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2536z00_9661;

					BgL_arg2536z00_9661 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8334)))->BgL_funz00);
					BgL_auxz00_15091 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8335,
							((obj_t) BgL_arg2536z00_9661), BgL_arg0z00_8336, BgL_arg1z00_8337,
							BgL_arg2z00_8338));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8334)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15091), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9663;

				BgL_fieldsz00_9663 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8334)))->BgL_argsz00);
			BgL_loopz00_9662:
				if (NULLP(BgL_fieldsz00_9663))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2541z00_9664;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2542z00_9665;

								BgL_arg2542z00_9665 = CAR(((obj_t) BgL_fieldsz00_9663));
								BgL_arg2541z00_9664 =
									BGL_PROCEDURE_CALL4(BgL_pz00_8335, BgL_arg2542z00_9665,
									BgL_arg0z00_8336, BgL_arg1z00_8337, BgL_arg2z00_8338);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15116;

								BgL_tmpz00_15116 = ((obj_t) BgL_fieldsz00_9663);
								SET_CAR(BgL_tmpz00_15116, BgL_arg2541z00_9664);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2543z00_9666;

							BgL_arg2543z00_9666 = CDR(((obj_t) BgL_fieldsz00_9663));
							{
								obj_t BgL_fieldsz00_15121;

								BgL_fieldsz00_15121 = BgL_arg2543z00_9666;
								BgL_fieldsz00_9663 = BgL_fieldsz00_15121;
								goto BgL_loopz00_9662;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8334));
		}

	}



/* &walk2!-funcall1779 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2funcall1779za2zzast_walkz00(obj_t
		BgL_envz00_8339, obj_t BgL_nz00_8340, obj_t BgL_pz00_8341,
		obj_t BgL_arg0z00_8342, obj_t BgL_arg1z00_8343)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15126;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2528z00_9668;

					BgL_arg2528z00_9668 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8340)))->BgL_funz00);
					BgL_auxz00_15126 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8341,
							((obj_t) BgL_arg2528z00_9668), BgL_arg0z00_8342,
							BgL_arg1z00_8343));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8340)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15126), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9670;

				BgL_fieldsz00_9670 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8340)))->BgL_argsz00);
			BgL_loopz00_9669:
				if (NULLP(BgL_fieldsz00_9670))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2532z00_9671;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2533z00_9672;

								BgL_arg2533z00_9672 = CAR(((obj_t) BgL_fieldsz00_9670));
								BgL_arg2532z00_9671 =
									BGL_PROCEDURE_CALL3(BgL_pz00_8341, BgL_arg2533z00_9672,
									BgL_arg0z00_8342, BgL_arg1z00_8343);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15149;

								BgL_tmpz00_15149 = ((obj_t) BgL_fieldsz00_9670);
								SET_CAR(BgL_tmpz00_15149, BgL_arg2532z00_9671);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2535z00_9673;

							BgL_arg2535z00_9673 = CDR(((obj_t) BgL_fieldsz00_9670));
							{
								obj_t BgL_fieldsz00_15154;

								BgL_fieldsz00_15154 = BgL_arg2535z00_9673;
								BgL_fieldsz00_9670 = BgL_fieldsz00_15154;
								goto BgL_loopz00_9669;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8340));
		}

	}



/* &walk1!-funcall1777 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2funcall1777za2zzast_walkz00(obj_t
		BgL_envz00_8344, obj_t BgL_nz00_8345, obj_t BgL_pz00_8346,
		obj_t BgL_arg0z00_8347)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15159;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2519z00_9675;

					BgL_arg2519z00_9675 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8345)))->BgL_funz00);
					BgL_auxz00_15159 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8346,
							((obj_t) BgL_arg2519z00_9675), BgL_arg0z00_8347));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8345)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15159), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9677;

				BgL_fieldsz00_9677 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8345)))->BgL_argsz00);
			BgL_loopz00_9676:
				if (NULLP(BgL_fieldsz00_9677))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2523z00_9678;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2525z00_9679;

								BgL_arg2525z00_9679 = CAR(((obj_t) BgL_fieldsz00_9677));
								BgL_arg2523z00_9678 =
									BGL_PROCEDURE_CALL2(BgL_pz00_8346, BgL_arg2525z00_9679,
									BgL_arg0z00_8347);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15180;

								BgL_tmpz00_15180 = ((obj_t) BgL_fieldsz00_9677);
								SET_CAR(BgL_tmpz00_15180, BgL_arg2523z00_9678);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2527z00_9680;

							BgL_arg2527z00_9680 = CDR(((obj_t) BgL_fieldsz00_9677));
							{
								obj_t BgL_fieldsz00_15185;

								BgL_fieldsz00_15185 = BgL_arg2527z00_9680;
								BgL_fieldsz00_9677 = BgL_fieldsz00_15185;
								goto BgL_loopz00_9676;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8345));
		}

	}



/* &walk0!-funcall1775 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2funcall1775za2zzast_walkz00(obj_t
		BgL_envz00_8348, obj_t BgL_nz00_8349, obj_t BgL_pz00_8350)
	{
		{	/* Ast/walk.scm 298 */
			{
				BgL_nodez00_bglt BgL_auxz00_15190;

				{	/* Ast/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg2507z00_9682;

					BgL_arg2507z00_9682 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_funz00);
					BgL_auxz00_15190 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8350, ((obj_t) BgL_arg2507z00_9682)));
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15190), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9684;

				BgL_fieldsz00_9684 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8349)))->BgL_argsz00);
			BgL_loopz00_9683:
				if (NULLP(BgL_fieldsz00_9684))
					{	/* Ast/walk.scm 298 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 298 */
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2512z00_9685;

							{	/* Ast/walk.scm 298 */
								obj_t BgL_arg2514z00_9686;

								BgL_arg2514z00_9686 = CAR(((obj_t) BgL_fieldsz00_9684));
								BgL_arg2512z00_9685 =
									BGL_PROCEDURE_CALL1(BgL_pz00_8350, BgL_arg2514z00_9686);
							}
							{	/* Ast/walk.scm 298 */
								obj_t BgL_tmpz00_15209;

								BgL_tmpz00_15209 = ((obj_t) BgL_fieldsz00_9684);
								SET_CAR(BgL_tmpz00_15209, BgL_arg2512z00_9685);
							}
						}
						{	/* Ast/walk.scm 298 */
							obj_t BgL_arg2515z00_9687;

							BgL_arg2515z00_9687 = CDR(((obj_t) BgL_fieldsz00_9684));
							{
								obj_t BgL_fieldsz00_15214;

								BgL_fieldsz00_15214 = BgL_arg2515z00_9687;
								BgL_fieldsz00_9684 = BgL_fieldsz00_15214;
								goto BgL_loopz00_9683;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nz00_8349));
		}

	}



/* &walk3*-funcall1773 */
	obj_t BGl_z62walk3za2zd2funcall1773z12zzast_walkz00(obj_t BgL_envz00_8351,
		obj_t BgL_nz00_8352, obj_t BgL_pz00_8353, obj_t BgL_arg0z00_8354,
		obj_t BgL_arg1z00_8355, obj_t BgL_arg2z00_8356)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4117z00_9692;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2498z00_9689;
					obj_t BgL_arg2499z00_9690;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2500z00_9691;

						BgL_arg2500z00_9691 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8352)))->BgL_funz00);
						BgL_arg2498z00_9689 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8353,
							((obj_t) BgL_arg2500z00_9691), BgL_arg0z00_8354, BgL_arg1z00_8355,
							BgL_arg2z00_8356);
					}
					BgL_arg2499z00_9690 =
						BGl_zc3z04anonymousza32501ze3ze70z60zzast_walkz00(BgL_arg2z00_8356,
						BgL_arg1z00_8355, BgL_arg0z00_8354, BgL_pz00_8353,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8352)))->BgL_argsz00));
					BgL_res4117z00_9692 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2498z00_9689,
						BgL_arg2499z00_9690);
				}
				return BgL_res4117z00_9692;
			}
		}

	}



/* <@anonymous:2501>~0 */
	obj_t BGl_zc3z04anonymousza32501ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8632, obj_t BgL_arg1z00_8631, obj_t BgL_arg0z00_8630,
		obj_t BgL_pz00_8629, obj_t BgL_l1533z00_3272)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1533z00_3272))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2503z00_3275;
					obj_t BgL_arg2504z00_3276;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3277;

						BgL_fz00_3277 = CAR(((obj_t) BgL_l1533z00_3272));
						BgL_arg2503z00_3275 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8629, BgL_fz00_3277,
							BgL_arg0z00_8630, BgL_arg1z00_8631, BgL_arg2z00_8632);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2506z00_3278;

						BgL_arg2506z00_3278 = CDR(((obj_t) BgL_l1533z00_3272));
						BgL_arg2504z00_3276 =
							BGl_zc3z04anonymousza32501ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8632, BgL_arg1z00_8631, BgL_arg0z00_8630,
							BgL_pz00_8629, BgL_arg2506z00_3278);
					}
					return bgl_append2(BgL_arg2503z00_3275, BgL_arg2504z00_3276);
				}
		}

	}



/* &walk2*-funcall1771 */
	obj_t BGl_z62walk2za2zd2funcall1771z12zzast_walkz00(obj_t BgL_envz00_8357,
		obj_t BgL_nz00_8358, obj_t BgL_pz00_8359, obj_t BgL_arg0z00_8360,
		obj_t BgL_arg1z00_8361)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4118z00_9697;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2489z00_9694;
					obj_t BgL_arg2490z00_9695;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2491z00_9696;

						BgL_arg2491z00_9696 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8358)))->BgL_funz00);
						BgL_arg2489z00_9694 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8359,
							((obj_t) BgL_arg2491z00_9696), BgL_arg0z00_8360,
							BgL_arg1z00_8361);
					}
					BgL_arg2490z00_9695 =
						BGl_zc3z04anonymousza32492ze3ze70z60zzast_walkz00(BgL_arg1z00_8361,
						BgL_arg0z00_8360, BgL_pz00_8359,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8358)))->BgL_argsz00));
					BgL_res4118z00_9697 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2489z00_9694,
						BgL_arg2490z00_9695);
				}
				return BgL_res4118z00_9697;
			}
		}

	}



/* <@anonymous:2492>~0 */
	obj_t BGl_zc3z04anonymousza32492ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8628, obj_t BgL_arg0z00_8627, obj_t BgL_pz00_8626,
		obj_t BgL_l1530z00_3250)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1530z00_3250))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2495z00_3253;
					obj_t BgL_arg2496z00_3254;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3255;

						BgL_fz00_3255 = CAR(((obj_t) BgL_l1530z00_3250));
						BgL_arg2495z00_3253 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8626, BgL_fz00_3255,
							BgL_arg0z00_8627, BgL_arg1z00_8628);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2497z00_3256;

						BgL_arg2497z00_3256 = CDR(((obj_t) BgL_l1530z00_3250));
						BgL_arg2496z00_3254 =
							BGl_zc3z04anonymousza32492ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8628, BgL_arg0z00_8627, BgL_pz00_8626,
							BgL_arg2497z00_3256);
					}
					return bgl_append2(BgL_arg2495z00_3253, BgL_arg2496z00_3254);
				}
		}

	}



/* &walk1*-funcall1769 */
	obj_t BGl_z62walk1za2zd2funcall1769z12zzast_walkz00(obj_t BgL_envz00_8362,
		obj_t BgL_nz00_8363, obj_t BgL_pz00_8364, obj_t BgL_arg0z00_8365)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4119z00_9702;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2479z00_9699;
					obj_t BgL_arg2480z00_9700;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2481z00_9701;

						BgL_arg2481z00_9701 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8363)))->BgL_funz00);
						BgL_arg2479z00_9699 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8364,
							((obj_t) BgL_arg2481z00_9701), BgL_arg0z00_8365);
					}
					BgL_arg2480z00_9700 =
						BGl_zc3z04anonymousza32482ze3ze70z60zzast_walkz00(BgL_arg0z00_8365,
						BgL_pz00_8364,
						(((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
										BgL_nz00_8363)))->BgL_argsz00));
					BgL_res4119z00_9702 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2479z00_9699,
						BgL_arg2480z00_9700);
				}
				return BgL_res4119z00_9702;
			}
		}

	}



/* <@anonymous:2482>~0 */
	obj_t BGl_zc3z04anonymousza32482ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8625, obj_t BgL_pz00_8624, obj_t BgL_l1527z00_3229)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1527z00_3229))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2485z00_3232;
					obj_t BgL_arg2487z00_3233;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3234;

						BgL_fz00_3234 = CAR(((obj_t) BgL_l1527z00_3229));
						BgL_arg2485z00_3232 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8624, BgL_fz00_3234,
							BgL_arg0z00_8625);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2488z00_3235;

						BgL_arg2488z00_3235 = CDR(((obj_t) BgL_l1527z00_3229));
						BgL_arg2487z00_3233 =
							BGl_zc3z04anonymousza32482ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8625, BgL_pz00_8624, BgL_arg2488z00_3235);
					}
					return bgl_append2(BgL_arg2485z00_3232, BgL_arg2487z00_3233);
				}
		}

	}



/* &walk0*-funcall1767 */
	obj_t BGl_z62walk0za2zd2funcall1767z12zzast_walkz00(obj_t BgL_envz00_8366,
		obj_t BgL_nz00_8367, obj_t BgL_pz00_8368)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				obj_t BgL_res4120z00_9707;

				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2470z00_9704;
					obj_t BgL_arg2471z00_9705;

					{	/* Ast/walk.scm 298 */
						BgL_nodez00_bglt BgL_arg2472z00_9706;

						BgL_arg2472z00_9706 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8367)))->BgL_funz00);
						BgL_arg2470z00_9704 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8368, ((obj_t) BgL_arg2472z00_9706));
					}
					BgL_arg2471z00_9705 =
						BGl_zc3z04anonymousza32473ze3ze70z60zzast_walkz00(BgL_pz00_8368,
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nz00_8367)))->BgL_argsz00));
					BgL_res4120z00_9707 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2470z00_9704,
						BgL_arg2471z00_9705);
				}
				return BgL_res4120z00_9707;
			}
		}

	}



/* <@anonymous:2473>~0 */
	obj_t BGl_zc3z04anonymousza32473ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8623,
		obj_t BgL_l1524z00_3209)
	{
		{	/* Ast/walk.scm 298 */
			if (NULLP(BgL_l1524z00_3209))
				{	/* Ast/walk.scm 298 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 298 */
					obj_t BgL_arg2476z00_3212;
					obj_t BgL_arg2477z00_3213;

					{	/* Ast/walk.scm 298 */
						obj_t BgL_fz00_3214;

						BgL_fz00_3214 = CAR(((obj_t) BgL_l1524z00_3209));
						BgL_arg2476z00_3212 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8623, BgL_fz00_3214);
					}
					{	/* Ast/walk.scm 298 */
						obj_t BgL_arg2478z00_3215;

						BgL_arg2478z00_3215 = CDR(((obj_t) BgL_l1524z00_3209));
						BgL_arg2477z00_3213 =
							BGl_zc3z04anonymousza32473ze3ze70z60zzast_walkz00(BgL_pz00_8623,
							BgL_arg2478z00_3215);
					}
					return bgl_append2(BgL_arg2476z00_3212, BgL_arg2477z00_3213);
				}
		}

	}



/* &walk3-funcall1764 */
	obj_t BGl_z62walk3zd2funcall1764zb0zzast_walkz00(obj_t BgL_envz00_8369,
		obj_t BgL_nz00_8370, obj_t BgL_pz00_8371, obj_t BgL_arg0z00_8372,
		obj_t BgL_arg1z00_8373, obj_t BgL_arg2z00_8374)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2466z00_9709;

				BgL_arg2466z00_9709 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8370)))->BgL_funz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8371,
					((obj_t) BgL_arg2466z00_9709), BgL_arg0z00_8372, BgL_arg1z00_8373,
					BgL_arg2z00_8374);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1522z00_9710;

				BgL_g1522z00_9710 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8370)))->BgL_argsz00);
				{
					obj_t BgL_l1520z00_9712;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15335;

						BgL_l1520z00_9712 = BgL_g1522z00_9710;
					BgL_zc3z04anonymousza32467ze3z87_9711:
						if (PAIRP(BgL_l1520z00_9712))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9713;

									BgL_fz00_9713 = CAR(BgL_l1520z00_9712);
									BGL_PROCEDURE_CALL4(BgL_pz00_8371, BgL_fz00_9713,
										BgL_arg0z00_8372, BgL_arg1z00_8373, BgL_arg2z00_8374);
								}
								{
									obj_t BgL_l1520z00_15346;

									BgL_l1520z00_15346 = CDR(BgL_l1520z00_9712);
									BgL_l1520z00_9712 = BgL_l1520z00_15346;
									goto BgL_zc3z04anonymousza32467ze3z87_9711;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15335 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15335);
					}
				}
			}
		}

	}



/* &walk2-funcall1762 */
	obj_t BGl_z62walk2zd2funcall1762zb0zzast_walkz00(obj_t BgL_envz00_8375,
		obj_t BgL_nz00_8376, obj_t BgL_pz00_8377, obj_t BgL_arg0z00_8378,
		obj_t BgL_arg1z00_8379)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2462z00_9715;

				BgL_arg2462z00_9715 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8376)))->BgL_funz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8377,
					((obj_t) BgL_arg2462z00_9715), BgL_arg0z00_8378, BgL_arg1z00_8379);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1519z00_9716;

				BgL_g1519z00_9716 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8376)))->BgL_argsz00);
				{
					obj_t BgL_l1517z00_9718;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15360;

						BgL_l1517z00_9718 = BgL_g1519z00_9716;
					BgL_zc3z04anonymousza32463ze3z87_9717:
						if (PAIRP(BgL_l1517z00_9718))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9719;

									BgL_fz00_9719 = CAR(BgL_l1517z00_9718);
									BGL_PROCEDURE_CALL3(BgL_pz00_8377, BgL_fz00_9719,
										BgL_arg0z00_8378, BgL_arg1z00_8379);
								}
								{
									obj_t BgL_l1517z00_15370;

									BgL_l1517z00_15370 = CDR(BgL_l1517z00_9718);
									BgL_l1517z00_9718 = BgL_l1517z00_15370;
									goto BgL_zc3z04anonymousza32463ze3z87_9717;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15360 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15360);
					}
				}
			}
		}

	}



/* &walk1-funcall1760 */
	obj_t BGl_z62walk1zd2funcall1760zb0zzast_walkz00(obj_t BgL_envz00_8380,
		obj_t BgL_nz00_8381, obj_t BgL_pz00_8382, obj_t BgL_arg0z00_8383)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2457z00_9721;

				BgL_arg2457z00_9721 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8381)))->BgL_funz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8382,
					((obj_t) BgL_arg2457z00_9721), BgL_arg0z00_8383);
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1516z00_9722;

				BgL_g1516z00_9722 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8381)))->BgL_argsz00);
				{
					obj_t BgL_l1514z00_9724;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15383;

						BgL_l1514z00_9724 = BgL_g1516z00_9722;
					BgL_zc3z04anonymousza32458ze3z87_9723:
						if (PAIRP(BgL_l1514z00_9724))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9725;

									BgL_fz00_9725 = CAR(BgL_l1514z00_9724);
									BGL_PROCEDURE_CALL2(BgL_pz00_8382, BgL_fz00_9725,
										BgL_arg0z00_8383);
								}
								{
									obj_t BgL_l1514z00_15392;

									BgL_l1514z00_15392 = CDR(BgL_l1514z00_9724);
									BgL_l1514z00_9724 = BgL_l1514z00_15392;
									goto BgL_zc3z04anonymousza32458ze3z87_9723;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15383 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15383);
					}
				}
			}
		}

	}



/* &walk0-funcall1758 */
	obj_t BGl_z62walk0zd2funcall1758zb0zzast_walkz00(obj_t BgL_envz00_8384,
		obj_t BgL_nz00_8385, obj_t BgL_pz00_8386)
	{
		{	/* Ast/walk.scm 298 */
			{	/* Ast/walk.scm 298 */
				BgL_nodez00_bglt BgL_arg2452z00_9727;

				BgL_arg2452z00_9727 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8385)))->BgL_funz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8386, ((obj_t) BgL_arg2452z00_9727));
			}
			{	/* Ast/walk.scm 298 */
				obj_t BgL_g1513z00_9728;

				BgL_g1513z00_9728 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nz00_8385)))->BgL_argsz00);
				{
					obj_t BgL_l1511z00_9730;

					{	/* Ast/walk.scm 298 */
						bool_t BgL_tmpz00_15404;

						BgL_l1511z00_9730 = BgL_g1513z00_9728;
					BgL_zc3z04anonymousza32453ze3z87_9729:
						if (PAIRP(BgL_l1511z00_9730))
							{	/* Ast/walk.scm 298 */
								{	/* Ast/walk.scm 298 */
									obj_t BgL_fz00_9731;

									BgL_fz00_9731 = CAR(BgL_l1511z00_9730);
									BGL_PROCEDURE_CALL1(BgL_pz00_8386, BgL_fz00_9731);
								}
								{
									obj_t BgL_l1511z00_15412;

									BgL_l1511z00_15412 = CDR(BgL_l1511z00_9730);
									BgL_l1511z00_9730 = BgL_l1511z00_15412;
									goto BgL_zc3z04anonymousza32453ze3z87_9729;
								}
							}
						else
							{	/* Ast/walk.scm 298 */
								BgL_tmpz00_15404 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15404);
					}
				}
			}
		}

	}



/* &walk3!-app-ly1756 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2appzd2ly1756z70zzast_walkz00(obj_t
		BgL_envz00_8387, obj_t BgL_nz00_8388, obj_t BgL_pz00_8389,
		obj_t BgL_arg0z00_8390, obj_t BgL_arg1z00_8391, obj_t BgL_arg2z00_8392)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15415;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2450z00_9733;

					BgL_arg2450z00_9733 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8388)))->BgL_funz00);
					BgL_auxz00_15415 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8389,
							((obj_t) BgL_arg2450z00_9733), BgL_arg0z00_8390, BgL_arg1z00_8391,
							BgL_arg2z00_8392));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8388)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15415), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15429;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2451z00_9734;

					BgL_arg2451z00_9734 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8388)))->BgL_argz00);
					BgL_auxz00_15429 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8389,
							((obj_t) BgL_arg2451z00_9734), BgL_arg0z00_8390, BgL_arg1z00_8391,
							BgL_arg2z00_8392));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8388)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15429), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8388));
		}

	}



/* &walk2!-app-ly1754 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2appzd2ly1754z70zzast_walkz00(obj_t
		BgL_envz00_8393, obj_t BgL_nz00_8394, obj_t BgL_pz00_8395,
		obj_t BgL_arg0z00_8396, obj_t BgL_arg1z00_8397)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15445;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2448z00_9736;

					BgL_arg2448z00_9736 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8394)))->BgL_funz00);
					BgL_auxz00_15445 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8395,
							((obj_t) BgL_arg2448z00_9736), BgL_arg0z00_8396,
							BgL_arg1z00_8397));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8394)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15445), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15458;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2449z00_9737;

					BgL_arg2449z00_9737 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8394)))->BgL_argz00);
					BgL_auxz00_15458 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8395,
							((obj_t) BgL_arg2449z00_9737), BgL_arg0z00_8396,
							BgL_arg1z00_8397));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8394)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15458), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8394));
		}

	}



/* &walk1!-app-ly1752 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2appzd2ly1752z70zzast_walkz00(obj_t
		BgL_envz00_8398, obj_t BgL_nz00_8399, obj_t BgL_pz00_8400,
		obj_t BgL_arg0z00_8401)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15473;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2441z00_9739;

					BgL_arg2441z00_9739 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8399)))->BgL_funz00);
					BgL_auxz00_15473 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8400,
							((obj_t) BgL_arg2441z00_9739), BgL_arg0z00_8401));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8399)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15473), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15485;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2443z00_9740;

					BgL_arg2443z00_9740 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8399)))->BgL_argz00);
					BgL_auxz00_15485 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8400,
							((obj_t) BgL_arg2443z00_9740), BgL_arg0z00_8401));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8399)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15485), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8399));
		}

	}



/* &walk0!-app-ly1750 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2appzd2ly1750z70zzast_walkz00(obj_t
		BgL_envz00_8402, obj_t BgL_nz00_8403, obj_t BgL_pz00_8404)
	{
		{	/* Ast/walk.scm 297 */
			{
				BgL_nodez00_bglt BgL_auxz00_15499;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2439z00_9742;

					BgL_arg2439z00_9742 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_funz00);
					BgL_auxz00_15499 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8404, ((obj_t) BgL_arg2439z00_9742)));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15499), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_15510;

				{	/* Ast/walk.scm 297 */
					BgL_nodez00_bglt BgL_arg2440z00_9743;

					BgL_arg2440z00_9743 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_argz00);
					BgL_auxz00_15510 =
						((BgL_nodez00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8404, ((obj_t) BgL_arg2440z00_9743)));
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nz00_8403)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_15510), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nz00_8403));
		}

	}



/* &walk3*-app-ly1748 */
	obj_t BGl_z62walk3za2zd2appzd2ly1748zc0zzast_walkz00(obj_t BgL_envz00_8405,
		obj_t BgL_nz00_8406, obj_t BgL_pz00_8407, obj_t BgL_arg0z00_8408,
		obj_t BgL_arg1z00_8409, obj_t BgL_arg2z00_8410)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4121z00_9749;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2430z00_9745;
					obj_t BgL_arg2431z00_9746;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2437z00_9747;

						BgL_arg2437z00_9747 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8406)))->BgL_funz00);
						BgL_arg2430z00_9745 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8407,
							((obj_t) BgL_arg2437z00_9747), BgL_arg0z00_8408, BgL_arg1z00_8409,
							BgL_arg2z00_8410);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2438z00_9748;

						BgL_arg2438z00_9748 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8406)))->BgL_argz00);
						BgL_arg2431z00_9746 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8407,
							((obj_t) BgL_arg2438z00_9748), BgL_arg0z00_8408, BgL_arg1z00_8409,
							BgL_arg2z00_8410);
					}
					BgL_res4121z00_9749 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2430z00_9745,
						BgL_arg2431z00_9746);
				}
				return BgL_res4121z00_9749;
			}
		}

	}



/* &walk2*-app-ly1746 */
	obj_t BGl_z62walk2za2zd2appzd2ly1746zc0zzast_walkz00(obj_t BgL_envz00_8411,
		obj_t BgL_nz00_8412, obj_t BgL_pz00_8413, obj_t BgL_arg0z00_8414,
		obj_t BgL_arg1z00_8415)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4122z00_9755;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2424z00_9751;
					obj_t BgL_arg2425z00_9752;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2428z00_9753;

						BgL_arg2428z00_9753 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8412)))->BgL_funz00);
						BgL_arg2424z00_9751 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8413,
							((obj_t) BgL_arg2428z00_9753), BgL_arg0z00_8414,
							BgL_arg1z00_8415);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2429z00_9754;

						BgL_arg2429z00_9754 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8412)))->BgL_argz00);
						BgL_arg2425z00_9752 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8413,
							((obj_t) BgL_arg2429z00_9754), BgL_arg0z00_8414,
							BgL_arg1z00_8415);
					}
					BgL_res4122z00_9755 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2424z00_9751,
						BgL_arg2425z00_9752);
				}
				return BgL_res4122z00_9755;
			}
		}

	}



/* &walk1*-app-ly1744 */
	obj_t BGl_z62walk1za2zd2appzd2ly1744zc0zzast_walkz00(obj_t BgL_envz00_8416,
		obj_t BgL_nz00_8417, obj_t BgL_pz00_8418, obj_t BgL_arg0z00_8419)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4123z00_9761;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2418z00_9757;
					obj_t BgL_arg2421z00_9758;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2422z00_9759;

						BgL_arg2422z00_9759 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8417)))->BgL_funz00);
						BgL_arg2418z00_9757 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8418,
							((obj_t) BgL_arg2422z00_9759), BgL_arg0z00_8419);
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2423z00_9760;

						BgL_arg2423z00_9760 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8417)))->BgL_argz00);
						BgL_arg2421z00_9758 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8418,
							((obj_t) BgL_arg2423z00_9760), BgL_arg0z00_8419);
					}
					BgL_res4123z00_9761 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2418z00_9757,
						BgL_arg2421z00_9758);
				}
				return BgL_res4123z00_9761;
			}
		}

	}



/* &walk0*-app-ly1742 */
	obj_t BGl_z62walk0za2zd2appzd2ly1742zc0zzast_walkz00(obj_t BgL_envz00_8420,
		obj_t BgL_nz00_8421, obj_t BgL_pz00_8422)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				obj_t BgL_res4124z00_9767;

				{	/* Ast/walk.scm 297 */
					obj_t BgL_arg2412z00_9763;
					obj_t BgL_arg2413z00_9764;

					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2415z00_9765;

						BgL_arg2415z00_9765 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8421)))->BgL_funz00);
						BgL_arg2412z00_9763 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8422, ((obj_t) BgL_arg2415z00_9765));
					}
					{	/* Ast/walk.scm 297 */
						BgL_nodez00_bglt BgL_arg2417z00_9766;

						BgL_arg2417z00_9766 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nz00_8421)))->BgL_argz00);
						BgL_arg2413z00_9764 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8422, ((obj_t) BgL_arg2417z00_9766));
					}
					BgL_res4124z00_9767 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2412z00_9763,
						BgL_arg2413z00_9764);
				}
				return BgL_res4124z00_9767;
			}
		}

	}



/* &walk3-app-ly1740 */
	obj_t BGl_z62walk3zd2appzd2ly1740z62zzast_walkz00(obj_t BgL_envz00_8423,
		obj_t BgL_nz00_8424, obj_t BgL_pz00_8425, obj_t BgL_arg0z00_8426,
		obj_t BgL_arg1z00_8427, obj_t BgL_arg2z00_8428)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2407z00_9769;

				BgL_arg2407z00_9769 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8424)))->BgL_funz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8425,
					((obj_t) BgL_arg2407z00_9769), BgL_arg0z00_8426, BgL_arg1z00_8427,
					BgL_arg2z00_8428);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2411z00_9770;

				BgL_arg2411z00_9770 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8424)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL4(BgL_pz00_8425,
					((obj_t) BgL_arg2411z00_9770), BgL_arg0z00_8426, BgL_arg1z00_8427,
					BgL_arg2z00_8428);
			}
		}

	}



/* &walk2-app-ly1738 */
	obj_t BGl_z62walk2zd2appzd2ly1738z62zzast_walkz00(obj_t BgL_envz00_8429,
		obj_t BgL_nz00_8430, obj_t BgL_pz00_8431, obj_t BgL_arg0z00_8432,
		obj_t BgL_arg1z00_8433)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2404z00_9772;

				BgL_arg2404z00_9772 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8430)))->BgL_funz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8431,
					((obj_t) BgL_arg2404z00_9772), BgL_arg0z00_8432, BgL_arg1z00_8433);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2405z00_9773;

				BgL_arg2405z00_9773 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8430)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL3(BgL_pz00_8431,
					((obj_t) BgL_arg2405z00_9773), BgL_arg0z00_8432, BgL_arg1z00_8433);
			}
		}

	}



/* &walk1-app-ly1736 */
	obj_t BGl_z62walk1zd2appzd2ly1736z62zzast_walkz00(obj_t BgL_envz00_8434,
		obj_t BgL_nz00_8435, obj_t BgL_pz00_8436, obj_t BgL_arg0z00_8437)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2402z00_9775;

				BgL_arg2402z00_9775 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8435)))->BgL_funz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8436,
					((obj_t) BgL_arg2402z00_9775), BgL_arg0z00_8437);
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2403z00_9776;

				BgL_arg2403z00_9776 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8435)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL2(BgL_pz00_8436,
					((obj_t) BgL_arg2403z00_9776), BgL_arg0z00_8437);
			}
		}

	}



/* &walk0-app-ly1734 */
	obj_t BGl_z62walk0zd2appzd2ly1734z62zzast_walkz00(obj_t BgL_envz00_8438,
		obj_t BgL_nz00_8439, obj_t BgL_pz00_8440)
	{
		{	/* Ast/walk.scm 297 */
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2399z00_9778;

				BgL_arg2399z00_9778 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8439)))->BgL_funz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8440, ((obj_t) BgL_arg2399z00_9778));
			}
			{	/* Ast/walk.scm 297 */
				BgL_nodez00_bglt BgL_arg2401z00_9779;

				BgL_arg2401z00_9779 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nz00_8439)))->BgL_argz00);
				return
					BGL_PROCEDURE_CALL1(BgL_pz00_8440, ((obj_t) BgL_arg2401z00_9779));
			}
		}

	}



/* &walk3!-app1732 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2app1732za2zzast_walkz00(obj_t
		BgL_envz00_8441, obj_t BgL_nz00_8442, obj_t BgL_pz00_8443,
		obj_t BgL_arg0z00_8444, obj_t BgL_arg1z00_8445, obj_t BgL_arg2z00_8446)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15663;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2389z00_9781;

					BgL_arg2389z00_9781 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8442)))->BgL_funz00);
					BgL_auxz00_15663 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL4(BgL_pz00_8443,
							((obj_t) BgL_arg2389z00_9781), BgL_arg0z00_8444, BgL_arg1z00_8445,
							BgL_arg2z00_8446));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8442)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15663), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9783;

				BgL_fieldsz00_9783 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8442)))->BgL_argsz00);
			BgL_loopz00_9782:
				if (NULLP(BgL_fieldsz00_9783))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2393z00_9784;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2396z00_9785;

								BgL_arg2396z00_9785 = CAR(((obj_t) BgL_fieldsz00_9783));
								BgL_arg2393z00_9784 =
									BGL_PROCEDURE_CALL4(BgL_pz00_8443, BgL_arg2396z00_9785,
									BgL_arg0z00_8444, BgL_arg1z00_8445, BgL_arg2z00_8446);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15688;

								BgL_tmpz00_15688 = ((obj_t) BgL_fieldsz00_9783);
								SET_CAR(BgL_tmpz00_15688, BgL_arg2393z00_9784);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2398z00_9786;

							BgL_arg2398z00_9786 = CDR(((obj_t) BgL_fieldsz00_9783));
							{
								obj_t BgL_fieldsz00_15693;

								BgL_fieldsz00_15693 = BgL_arg2398z00_9786;
								BgL_fieldsz00_9783 = BgL_fieldsz00_15693;
								goto BgL_loopz00_9782;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8442));
		}

	}



/* &walk2!-app1730 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2app1730za2zzast_walkz00(obj_t
		BgL_envz00_8447, obj_t BgL_nz00_8448, obj_t BgL_pz00_8449,
		obj_t BgL_arg0z00_8450, obj_t BgL_arg1z00_8451)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15698;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2380z00_9788;

					BgL_arg2380z00_9788 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8448)))->BgL_funz00);
					BgL_auxz00_15698 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL3(BgL_pz00_8449,
							((obj_t) BgL_arg2380z00_9788), BgL_arg0z00_8450,
							BgL_arg1z00_8451));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8448)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15698), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9790;

				BgL_fieldsz00_9790 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8448)))->BgL_argsz00);
			BgL_loopz00_9789:
				if (NULLP(BgL_fieldsz00_9790))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2385z00_9791;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2387z00_9792;

								BgL_arg2387z00_9792 = CAR(((obj_t) BgL_fieldsz00_9790));
								BgL_arg2385z00_9791 =
									BGL_PROCEDURE_CALL3(BgL_pz00_8449, BgL_arg2387z00_9792,
									BgL_arg0z00_8450, BgL_arg1z00_8451);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15721;

								BgL_tmpz00_15721 = ((obj_t) BgL_fieldsz00_9790);
								SET_CAR(BgL_tmpz00_15721, BgL_arg2385z00_9791);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2388z00_9793;

							BgL_arg2388z00_9793 = CDR(((obj_t) BgL_fieldsz00_9790));
							{
								obj_t BgL_fieldsz00_15726;

								BgL_fieldsz00_15726 = BgL_arg2388z00_9793;
								BgL_fieldsz00_9790 = BgL_fieldsz00_15726;
								goto BgL_loopz00_9789;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8448));
		}

	}



/* &walk1!-app1728 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2app1728za2zzast_walkz00(obj_t
		BgL_envz00_8452, obj_t BgL_nz00_8453, obj_t BgL_pz00_8454,
		obj_t BgL_arg0z00_8455)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15731;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2371z00_9795;

					BgL_arg2371z00_9795 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8453)))->BgL_funz00);
					BgL_auxz00_15731 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL2(BgL_pz00_8454,
							((obj_t) BgL_arg2371z00_9795), BgL_arg0z00_8455));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8453)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15731), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9797;

				BgL_fieldsz00_9797 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8453)))->BgL_argsz00);
			BgL_loopz00_9796:
				if (NULLP(BgL_fieldsz00_9797))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2375z00_9798;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2377z00_9799;

								BgL_arg2377z00_9799 = CAR(((obj_t) BgL_fieldsz00_9797));
								BgL_arg2375z00_9798 =
									BGL_PROCEDURE_CALL2(BgL_pz00_8454, BgL_arg2377z00_9799,
									BgL_arg0z00_8455);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15752;

								BgL_tmpz00_15752 = ((obj_t) BgL_fieldsz00_9797);
								SET_CAR(BgL_tmpz00_15752, BgL_arg2375z00_9798);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2379z00_9800;

							BgL_arg2379z00_9800 = CDR(((obj_t) BgL_fieldsz00_9797));
							{
								obj_t BgL_fieldsz00_15757;

								BgL_fieldsz00_15757 = BgL_arg2379z00_9800;
								BgL_fieldsz00_9797 = BgL_fieldsz00_15757;
								goto BgL_loopz00_9796;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8453));
		}

	}



/* &walk0!-app1726 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2app1726za2zzast_walkz00(obj_t
		BgL_envz00_8456, obj_t BgL_nz00_8457, obj_t BgL_pz00_8458)
	{
		{	/* Ast/walk.scm 296 */
			{
				BgL_varz00_bglt BgL_auxz00_15762;

				{	/* Ast/walk.scm 296 */
					BgL_varz00_bglt BgL_arg2361z00_9802;

					BgL_arg2361z00_9802 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_funz00);
					BgL_auxz00_15762 =
						((BgL_varz00_bglt)
						BGL_PROCEDURE_CALL1(BgL_pz00_8458, ((obj_t) BgL_arg2361z00_9802)));
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_funz00) =
					((BgL_varz00_bglt) BgL_auxz00_15762), BUNSPEC);
			}
			{
				obj_t BgL_fieldsz00_9804;

				BgL_fieldsz00_9804 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8457)))->BgL_argsz00);
			BgL_loopz00_9803:
				if (NULLP(BgL_fieldsz00_9804))
					{	/* Ast/walk.scm 296 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 296 */
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2365z00_9805;

							{	/* Ast/walk.scm 296 */
								obj_t BgL_arg2366z00_9806;

								BgL_arg2366z00_9806 = CAR(((obj_t) BgL_fieldsz00_9804));
								BgL_arg2365z00_9805 =
									BGL_PROCEDURE_CALL1(BgL_pz00_8458, BgL_arg2366z00_9806);
							}
							{	/* Ast/walk.scm 296 */
								obj_t BgL_tmpz00_15781;

								BgL_tmpz00_15781 = ((obj_t) BgL_fieldsz00_9804);
								SET_CAR(BgL_tmpz00_15781, BgL_arg2365z00_9805);
							}
						}
						{	/* Ast/walk.scm 296 */
							obj_t BgL_arg2369z00_9807;

							BgL_arg2369z00_9807 = CDR(((obj_t) BgL_fieldsz00_9804));
							{
								obj_t BgL_fieldsz00_15786;

								BgL_fieldsz00_15786 = BgL_arg2369z00_9807;
								BgL_fieldsz00_9804 = BgL_fieldsz00_15786;
								goto BgL_loopz00_9803;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nz00_8457));
		}

	}



/* &walk3*-app1724 */
	obj_t BGl_z62walk3za2zd2app1724z12zzast_walkz00(obj_t BgL_envz00_8459,
		obj_t BgL_nz00_8460, obj_t BgL_pz00_8461, obj_t BgL_arg0z00_8462,
		obj_t BgL_arg1z00_8463, obj_t BgL_arg2z00_8464)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4125z00_9812;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2353z00_9809;
					obj_t BgL_arg2354z00_9810;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2355z00_9811;

						BgL_arg2355z00_9811 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8460)))->BgL_funz00);
						BgL_arg2353z00_9809 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8461,
							((obj_t) BgL_arg2355z00_9811), BgL_arg0z00_8462, BgL_arg1z00_8463,
							BgL_arg2z00_8464);
					}
					BgL_arg2354z00_9810 =
						BGl_zc3z04anonymousza32356ze3ze70z60zzast_walkz00(BgL_arg2z00_8464,
						BgL_arg1z00_8463, BgL_arg0z00_8462, BgL_pz00_8461,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8460)))->
							BgL_argsz00));
					BgL_res4125z00_9812 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2353z00_9809,
						BgL_arg2354z00_9810);
				}
				return BgL_res4125z00_9812;
			}
		}

	}



/* <@anonymous:2356>~0 */
	obj_t BGl_zc3z04anonymousza32356ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8622, obj_t BgL_arg1z00_8621, obj_t BgL_arg0z00_8620,
		obj_t BgL_pz00_8619, obj_t BgL_l1509z00_2932)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1509z00_2932))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2358z00_2935;
					obj_t BgL_arg2359z00_2936;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2937;

						BgL_fz00_2937 = CAR(((obj_t) BgL_l1509z00_2932));
						BgL_arg2358z00_2935 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8619, BgL_fz00_2937,
							BgL_arg0z00_8620, BgL_arg1z00_8621, BgL_arg2z00_8622);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2360z00_2938;

						BgL_arg2360z00_2938 = CDR(((obj_t) BgL_l1509z00_2932));
						BgL_arg2359z00_2936 =
							BGl_zc3z04anonymousza32356ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8622, BgL_arg1z00_8621, BgL_arg0z00_8620,
							BgL_pz00_8619, BgL_arg2360z00_2938);
					}
					return bgl_append2(BgL_arg2358z00_2935, BgL_arg2359z00_2936);
				}
		}

	}



/* &walk2*-app1722 */
	obj_t BGl_z62walk2za2zd2app1722z12zzast_walkz00(obj_t BgL_envz00_8465,
		obj_t BgL_nz00_8466, obj_t BgL_pz00_8467, obj_t BgL_arg0z00_8468,
		obj_t BgL_arg1z00_8469)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4126z00_9817;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2343z00_9814;
					obj_t BgL_arg2345z00_9815;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2346z00_9816;

						BgL_arg2346z00_9816 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8466)))->BgL_funz00);
						BgL_arg2343z00_9814 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8467,
							((obj_t) BgL_arg2346z00_9816), BgL_arg0z00_8468,
							BgL_arg1z00_8469);
					}
					BgL_arg2345z00_9815 =
						BGl_zc3z04anonymousza32347ze3ze70z60zzast_walkz00(BgL_arg1z00_8469,
						BgL_arg0z00_8468, BgL_pz00_8467,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8466)))->
							BgL_argsz00));
					BgL_res4126z00_9817 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2343z00_9814,
						BgL_arg2345z00_9815);
				}
				return BgL_res4126z00_9817;
			}
		}

	}



/* <@anonymous:2347>~0 */
	obj_t BGl_zc3z04anonymousza32347ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8618, obj_t BgL_arg0z00_8617, obj_t BgL_pz00_8616,
		obj_t BgL_l1506z00_2910)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1506z00_2910))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2349z00_2913;
					obj_t BgL_arg2350z00_2914;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2915;

						BgL_fz00_2915 = CAR(((obj_t) BgL_l1506z00_2910));
						BgL_arg2349z00_2913 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8616, BgL_fz00_2915,
							BgL_arg0z00_8617, BgL_arg1z00_8618);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2351z00_2916;

						BgL_arg2351z00_2916 = CDR(((obj_t) BgL_l1506z00_2910));
						BgL_arg2350z00_2914 =
							BGl_zc3z04anonymousza32347ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8618, BgL_arg0z00_8617, BgL_pz00_8616,
							BgL_arg2351z00_2916);
					}
					return bgl_append2(BgL_arg2349z00_2913, BgL_arg2350z00_2914);
				}
		}

	}



/* &walk1*-app1720 */
	obj_t BGl_z62walk1za2zd2app1720z12zzast_walkz00(obj_t BgL_envz00_8470,
		obj_t BgL_nz00_8471, obj_t BgL_pz00_8472, obj_t BgL_arg0z00_8473)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4127z00_9822;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2334z00_9819;
					obj_t BgL_arg2335z00_9820;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2336z00_9821;

						BgL_arg2336z00_9821 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8471)))->BgL_funz00);
						BgL_arg2334z00_9819 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8472,
							((obj_t) BgL_arg2336z00_9821), BgL_arg0z00_8473);
					}
					BgL_arg2335z00_9820 =
						BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(BgL_arg0z00_8473,
						BgL_pz00_8472,
						(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nz00_8471)))->
							BgL_argsz00));
					BgL_res4127z00_9822 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2334z00_9819,
						BgL_arg2335z00_9820);
				}
				return BgL_res4127z00_9822;
			}
		}

	}



/* <@anonymous:2337>~0 */
	obj_t BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8615, obj_t BgL_pz00_8614, obj_t BgL_l1503z00_2889)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1503z00_2889))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2340z00_2892;
					obj_t BgL_arg2341z00_2893;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2894;

						BgL_fz00_2894 = CAR(((obj_t) BgL_l1503z00_2889));
						BgL_arg2340z00_2892 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8614, BgL_fz00_2894,
							BgL_arg0z00_8615);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2342z00_2895;

						BgL_arg2342z00_2895 = CDR(((obj_t) BgL_l1503z00_2889));
						BgL_arg2341z00_2893 =
							BGl_zc3z04anonymousza32337ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8615, BgL_pz00_8614, BgL_arg2342z00_2895);
					}
					return bgl_append2(BgL_arg2340z00_2892, BgL_arg2341z00_2893);
				}
		}

	}



/* &walk0*-app1718 */
	obj_t BGl_z62walk0za2zd2app1718z12zzast_walkz00(obj_t BgL_envz00_8474,
		obj_t BgL_nz00_8475, obj_t BgL_pz00_8476)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				obj_t BgL_res4128z00_9827;

				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2323z00_9824;
					obj_t BgL_arg2324z00_9825;

					{	/* Ast/walk.scm 296 */
						BgL_varz00_bglt BgL_arg2325z00_9826;

						BgL_arg2325z00_9826 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8475)))->BgL_funz00);
						BgL_arg2323z00_9824 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8476, ((obj_t) BgL_arg2325z00_9826));
					}
					BgL_arg2324z00_9825 =
						BGl_zc3z04anonymousza32326ze3ze70z60zzast_walkz00(BgL_pz00_8476,
						(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nz00_8475)))->BgL_argsz00));
					BgL_res4128z00_9827 =
						BGl_appendzd221011zd2zzast_walkz00(BgL_arg2323z00_9824,
						BgL_arg2324z00_9825);
				}
				return BgL_res4128z00_9827;
			}
		}

	}



/* <@anonymous:2326>~0 */
	obj_t BGl_zc3z04anonymousza32326ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8613,
		obj_t BgL_l1500z00_2869)
	{
		{	/* Ast/walk.scm 296 */
			if (NULLP(BgL_l1500z00_2869))
				{	/* Ast/walk.scm 296 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 296 */
					obj_t BgL_arg2328z00_2872;
					obj_t BgL_arg2329z00_2873;

					{	/* Ast/walk.scm 296 */
						obj_t BgL_fz00_2874;

						BgL_fz00_2874 = CAR(((obj_t) BgL_l1500z00_2869));
						BgL_arg2328z00_2872 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8613, BgL_fz00_2874);
					}
					{	/* Ast/walk.scm 296 */
						obj_t BgL_arg2331z00_2875;

						BgL_arg2331z00_2875 = CDR(((obj_t) BgL_l1500z00_2869));
						BgL_arg2329z00_2873 =
							BGl_zc3z04anonymousza32326ze3ze70z60zzast_walkz00(BgL_pz00_8613,
							BgL_arg2331z00_2875);
					}
					return bgl_append2(BgL_arg2328z00_2872, BgL_arg2329z00_2873);
				}
		}

	}



/* &walk3-app1716 */
	obj_t BGl_z62walk3zd2app1716zb0zzast_walkz00(obj_t BgL_envz00_8477,
		obj_t BgL_nz00_8478, obj_t BgL_pz00_8479, obj_t BgL_arg0z00_8480,
		obj_t BgL_arg1z00_8481, obj_t BgL_arg2z00_8482)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2318z00_9829;

				BgL_arg2318z00_9829 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8478)))->BgL_funz00);
				BGL_PROCEDURE_CALL4(BgL_pz00_8479,
					((obj_t) BgL_arg2318z00_9829), BgL_arg0z00_8480, BgL_arg1z00_8481,
					BgL_arg2z00_8482);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1498z00_9830;

				BgL_g1498z00_9830 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8478)))->BgL_argsz00);
				{
					obj_t BgL_l1496z00_9832;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15907;

						BgL_l1496z00_9832 = BgL_g1498z00_9830;
					BgL_zc3z04anonymousza32319ze3z87_9831:
						if (PAIRP(BgL_l1496z00_9832))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9833;

									BgL_fz00_9833 = CAR(BgL_l1496z00_9832);
									BGL_PROCEDURE_CALL4(BgL_pz00_8479, BgL_fz00_9833,
										BgL_arg0z00_8480, BgL_arg1z00_8481, BgL_arg2z00_8482);
								}
								{
									obj_t BgL_l1496z00_15918;

									BgL_l1496z00_15918 = CDR(BgL_l1496z00_9832);
									BgL_l1496z00_9832 = BgL_l1496z00_15918;
									goto BgL_zc3z04anonymousza32319ze3z87_9831;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15907 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15907);
					}
				}
			}
		}

	}



/* &walk2-app1714 */
	obj_t BGl_z62walk2zd2app1714zb0zzast_walkz00(obj_t BgL_envz00_8483,
		obj_t BgL_nz00_8484, obj_t BgL_pz00_8485, obj_t BgL_arg0z00_8486,
		obj_t BgL_arg1z00_8487)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2313z00_9835;

				BgL_arg2313z00_9835 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8484)))->BgL_funz00);
				BGL_PROCEDURE_CALL3(BgL_pz00_8485,
					((obj_t) BgL_arg2313z00_9835), BgL_arg0z00_8486, BgL_arg1z00_8487);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1495z00_9836;

				BgL_g1495z00_9836 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8484)))->BgL_argsz00);
				{
					obj_t BgL_l1493z00_9838;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15932;

						BgL_l1493z00_9838 = BgL_g1495z00_9836;
					BgL_zc3z04anonymousza32314ze3z87_9837:
						if (PAIRP(BgL_l1493z00_9838))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9839;

									BgL_fz00_9839 = CAR(BgL_l1493z00_9838);
									BGL_PROCEDURE_CALL3(BgL_pz00_8485, BgL_fz00_9839,
										BgL_arg0z00_8486, BgL_arg1z00_8487);
								}
								{
									obj_t BgL_l1493z00_15942;

									BgL_l1493z00_15942 = CDR(BgL_l1493z00_9838);
									BgL_l1493z00_9838 = BgL_l1493z00_15942;
									goto BgL_zc3z04anonymousza32314ze3z87_9837;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15932 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15932);
					}
				}
			}
		}

	}



/* &walk1-app1712 */
	obj_t BGl_z62walk1zd2app1712zb0zzast_walkz00(obj_t BgL_envz00_8488,
		obj_t BgL_nz00_8489, obj_t BgL_pz00_8490, obj_t BgL_arg0z00_8491)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2307z00_9841;

				BgL_arg2307z00_9841 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8489)))->BgL_funz00);
				BGL_PROCEDURE_CALL2(BgL_pz00_8490,
					((obj_t) BgL_arg2307z00_9841), BgL_arg0z00_8491);
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1492z00_9842;

				BgL_g1492z00_9842 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8489)))->BgL_argsz00);
				{
					obj_t BgL_l1490z00_9844;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15955;

						BgL_l1490z00_9844 = BgL_g1492z00_9842;
					BgL_zc3z04anonymousza32308ze3z87_9843:
						if (PAIRP(BgL_l1490z00_9844))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9845;

									BgL_fz00_9845 = CAR(BgL_l1490z00_9844);
									BGL_PROCEDURE_CALL2(BgL_pz00_8490, BgL_fz00_9845,
										BgL_arg0z00_8491);
								}
								{
									obj_t BgL_l1490z00_15964;

									BgL_l1490z00_15964 = CDR(BgL_l1490z00_9844);
									BgL_l1490z00_9844 = BgL_l1490z00_15964;
									goto BgL_zc3z04anonymousza32308ze3z87_9843;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15955 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15955);
					}
				}
			}
		}

	}



/* &walk0-app1710 */
	obj_t BGl_z62walk0zd2app1710zb0zzast_walkz00(obj_t BgL_envz00_8492,
		obj_t BgL_nz00_8493, obj_t BgL_pz00_8494)
	{
		{	/* Ast/walk.scm 296 */
			{	/* Ast/walk.scm 296 */
				BgL_varz00_bglt BgL_arg2302z00_9847;

				BgL_arg2302z00_9847 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8493)))->BgL_funz00);
				BGL_PROCEDURE_CALL1(BgL_pz00_8494, ((obj_t) BgL_arg2302z00_9847));
			}
			{	/* Ast/walk.scm 296 */
				obj_t BgL_g1489z00_9848;

				BgL_g1489z00_9848 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nz00_8493)))->BgL_argsz00);
				{
					obj_t BgL_l1487z00_9850;

					{	/* Ast/walk.scm 296 */
						bool_t BgL_tmpz00_15976;

						BgL_l1487z00_9850 = BgL_g1489z00_9848;
					BgL_zc3z04anonymousza32303ze3z87_9849:
						if (PAIRP(BgL_l1487z00_9850))
							{	/* Ast/walk.scm 296 */
								{	/* Ast/walk.scm 296 */
									obj_t BgL_fz00_9851;

									BgL_fz00_9851 = CAR(BgL_l1487z00_9850);
									BGL_PROCEDURE_CALL1(BgL_pz00_8494, BgL_fz00_9851);
								}
								{
									obj_t BgL_l1487z00_15984;

									BgL_l1487z00_15984 = CDR(BgL_l1487z00_9850);
									BgL_l1487z00_9850 = BgL_l1487z00_15984;
									goto BgL_zc3z04anonymousza32303ze3z87_9849;
								}
							}
						else
							{	/* Ast/walk.scm 296 */
								BgL_tmpz00_15976 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_15976);
					}
				}
			}
		}

	}



/* &walk3!-sequence1708 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2sequence1708za2zzast_walkz00(obj_t
		BgL_envz00_8495, obj_t BgL_nz00_8496, obj_t BgL_pz00_8497,
		obj_t BgL_arg0z00_8498, obj_t BgL_arg1z00_8499, obj_t BgL_arg2z00_8500)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9854;

				BgL_fieldsz00_9854 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8496)))->BgL_nodesz00);
			BgL_loopz00_9853:
				if (NULLP(BgL_fieldsz00_9854))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2298z00_9855;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2300z00_9856;

								BgL_arg2300z00_9856 = CAR(((obj_t) BgL_fieldsz00_9854));
								BgL_arg2298z00_9855 =
									BGL_PROCEDURE_CALL4(BgL_pz00_8497, BgL_arg2300z00_9856,
									BgL_arg0z00_8498, BgL_arg1z00_8499, BgL_arg2z00_8500);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_15998;

								BgL_tmpz00_15998 = ((obj_t) BgL_fieldsz00_9854);
								SET_CAR(BgL_tmpz00_15998, BgL_arg2298z00_9855);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2301z00_9857;

							BgL_arg2301z00_9857 = CDR(((obj_t) BgL_fieldsz00_9854));
							{
								obj_t BgL_fieldsz00_16003;

								BgL_fieldsz00_16003 = BgL_arg2301z00_9857;
								BgL_fieldsz00_9854 = BgL_fieldsz00_16003;
								goto BgL_loopz00_9853;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8496));
		}

	}



/* &walk2!-sequence1706 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2sequence1706za2zzast_walkz00(obj_t
		BgL_envz00_8501, obj_t BgL_nz00_8502, obj_t BgL_pz00_8503,
		obj_t BgL_arg0z00_8504, obj_t BgL_arg1z00_8505)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9860;

				BgL_fieldsz00_9860 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8502)))->BgL_nodesz00);
			BgL_loopz00_9859:
				if (NULLP(BgL_fieldsz00_9860))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2289z00_9861;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2291z00_9862;

								BgL_arg2291z00_9862 = CAR(((obj_t) BgL_fieldsz00_9860));
								BgL_arg2289z00_9861 =
									BGL_PROCEDURE_CALL3(BgL_pz00_8503, BgL_arg2291z00_9862,
									BgL_arg0z00_8504, BgL_arg1z00_8505);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16018;

								BgL_tmpz00_16018 = ((obj_t) BgL_fieldsz00_9860);
								SET_CAR(BgL_tmpz00_16018, BgL_arg2289z00_9861);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2292z00_9863;

							BgL_arg2292z00_9863 = CDR(((obj_t) BgL_fieldsz00_9860));
							{
								obj_t BgL_fieldsz00_16023;

								BgL_fieldsz00_16023 = BgL_arg2292z00_9863;
								BgL_fieldsz00_9860 = BgL_fieldsz00_16023;
								goto BgL_loopz00_9859;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8502));
		}

	}



/* &walk1!-sequence1704 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2sequence1704za2zzast_walkz00(obj_t
		BgL_envz00_8506, obj_t BgL_nz00_8507, obj_t BgL_pz00_8508,
		obj_t BgL_arg0z00_8509)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9866;

				BgL_fieldsz00_9866 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8507)))->BgL_nodesz00);
			BgL_loopz00_9865:
				if (NULLP(BgL_fieldsz00_9866))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2283z00_9867;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2284z00_9868;

								BgL_arg2284z00_9868 = CAR(((obj_t) BgL_fieldsz00_9866));
								BgL_arg2283z00_9867 =
									BGL_PROCEDURE_CALL2(BgL_pz00_8508, BgL_arg2284z00_9868,
									BgL_arg0z00_8509);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16037;

								BgL_tmpz00_16037 = ((obj_t) BgL_fieldsz00_9866);
								SET_CAR(BgL_tmpz00_16037, BgL_arg2283z00_9867);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2285z00_9869;

							BgL_arg2285z00_9869 = CDR(((obj_t) BgL_fieldsz00_9866));
							{
								obj_t BgL_fieldsz00_16042;

								BgL_fieldsz00_16042 = BgL_arg2285z00_9869;
								BgL_fieldsz00_9866 = BgL_fieldsz00_16042;
								goto BgL_loopz00_9865;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8507));
		}

	}



/* &walk0!-sequence1702 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2sequence1702za2zzast_walkz00(obj_t
		BgL_envz00_8510, obj_t BgL_nz00_8511, obj_t BgL_pz00_8512)
	{
		{	/* Ast/walk.scm 295 */
			{
				obj_t BgL_fieldsz00_9872;

				BgL_fieldsz00_9872 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8511)))->BgL_nodesz00);
			BgL_loopz00_9871:
				if (NULLP(BgL_fieldsz00_9872))
					{	/* Ast/walk.scm 295 */
						((bool_t) 0);
					}
				else
					{	/* Ast/walk.scm 295 */
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2276z00_9873;

							{	/* Ast/walk.scm 295 */
								obj_t BgL_arg2277z00_9874;

								BgL_arg2277z00_9874 = CAR(((obj_t) BgL_fieldsz00_9872));
								BgL_arg2276z00_9873 =
									BGL_PROCEDURE_CALL1(BgL_pz00_8512, BgL_arg2277z00_9874);
							}
							{	/* Ast/walk.scm 295 */
								obj_t BgL_tmpz00_16055;

								BgL_tmpz00_16055 = ((obj_t) BgL_fieldsz00_9872);
								SET_CAR(BgL_tmpz00_16055, BgL_arg2276z00_9873);
							}
						}
						{	/* Ast/walk.scm 295 */
							obj_t BgL_arg2279z00_9875;

							BgL_arg2279z00_9875 = CDR(((obj_t) BgL_fieldsz00_9872));
							{
								obj_t BgL_fieldsz00_16060;

								BgL_fieldsz00_16060 = BgL_arg2279z00_9875;
								BgL_fieldsz00_9872 = BgL_fieldsz00_16060;
								goto BgL_loopz00_9871;
							}
						}
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nz00_8511));
		}

	}



/* &walk3*-sequence1700 */
	obj_t BGl_z62walk3za2zd2sequence1700z12zzast_walkz00(obj_t BgL_envz00_8513,
		obj_t BgL_nz00_8514, obj_t BgL_pz00_8515, obj_t BgL_arg0z00_8516,
		obj_t BgL_arg1z00_8517, obj_t BgL_arg2z00_8518)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4129z00_9879;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2266z00_9877;

					BgL_arg2266z00_9877 =
						BGl_zc3z04anonymousza32268ze3ze70z60zzast_walkz00(BgL_arg2z00_8518,
						BgL_arg1z00_8517, BgL_arg0z00_8516, BgL_pz00_8515,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8514)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2267z00_9878;

						BgL_list2267z00_9878 = MAKE_YOUNG_PAIR(BgL_arg2266z00_9877, BNIL);
						BgL_res4129z00_9879 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2267z00_9878);
					}
				}
				return BgL_res4129z00_9879;
			}
		}

	}



/* <@anonymous:2268>~0 */
	obj_t BGl_zc3z04anonymousza32268ze3ze70z60zzast_walkz00(obj_t
		BgL_arg2z00_8612, obj_t BgL_arg1z00_8611, obj_t BgL_arg0z00_8610,
		obj_t BgL_pz00_8609, obj_t BgL_l1485z00_2718)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1485z00_2718))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2270z00_2721;
					obj_t BgL_arg2271z00_2722;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2723;

						BgL_fz00_2723 = CAR(((obj_t) BgL_l1485z00_2718));
						BgL_arg2270z00_2721 =
							BGL_PROCEDURE_CALL4(BgL_pz00_8609, BgL_fz00_2723,
							BgL_arg0z00_8610, BgL_arg1z00_8611, BgL_arg2z00_8612);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2272z00_2724;

						BgL_arg2272z00_2724 = CDR(((obj_t) BgL_l1485z00_2718));
						BgL_arg2271z00_2722 =
							BGl_zc3z04anonymousza32268ze3ze70z60zzast_walkz00
							(BgL_arg2z00_8612, BgL_arg1z00_8611, BgL_arg0z00_8610,
							BgL_pz00_8609, BgL_arg2272z00_2724);
					}
					return bgl_append2(BgL_arg2270z00_2721, BgL_arg2271z00_2722);
				}
		}

	}



/* &walk2*-sequence1698 */
	obj_t BGl_z62walk2za2zd2sequence1698z12zzast_walkz00(obj_t BgL_envz00_8519,
		obj_t BgL_nz00_8520, obj_t BgL_pz00_8521, obj_t BgL_arg0z00_8522,
		obj_t BgL_arg1z00_8523)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4130z00_9883;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2259z00_9881;

					BgL_arg2259z00_9881 =
						BGl_zc3z04anonymousza32261ze3ze70z60zzast_walkz00(BgL_arg1z00_8523,
						BgL_arg0z00_8522, BgL_pz00_8521,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8520)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2260z00_9882;

						BgL_list2260z00_9882 = MAKE_YOUNG_PAIR(BgL_arg2259z00_9881, BNIL);
						BgL_res4130z00_9883 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2260z00_9882);
					}
				}
				return BgL_res4130z00_9883;
			}
		}

	}



/* <@anonymous:2261>~0 */
	obj_t BGl_zc3z04anonymousza32261ze3ze70z60zzast_walkz00(obj_t
		BgL_arg1z00_8608, obj_t BgL_arg0z00_8607, obj_t BgL_pz00_8606,
		obj_t BgL_l1482z00_2697)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1482z00_2697))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2263z00_2700;
					obj_t BgL_arg2264z00_2701;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2702;

						BgL_fz00_2702 = CAR(((obj_t) BgL_l1482z00_2697));
						BgL_arg2263z00_2700 =
							BGL_PROCEDURE_CALL3(BgL_pz00_8606, BgL_fz00_2702,
							BgL_arg0z00_8607, BgL_arg1z00_8608);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2265z00_2703;

						BgL_arg2265z00_2703 = CDR(((obj_t) BgL_l1482z00_2697));
						BgL_arg2264z00_2701 =
							BGl_zc3z04anonymousza32261ze3ze70z60zzast_walkz00
							(BgL_arg1z00_8608, BgL_arg0z00_8607, BgL_pz00_8606,
							BgL_arg2265z00_2703);
					}
					return bgl_append2(BgL_arg2263z00_2700, BgL_arg2264z00_2701);
				}
		}

	}



/* &walk1*-sequence1696 */
	obj_t BGl_z62walk1za2zd2sequence1696z12zzast_walkz00(obj_t BgL_envz00_8524,
		obj_t BgL_nz00_8525, obj_t BgL_pz00_8526, obj_t BgL_arg0z00_8527)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4131z00_9887;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2252z00_9885;

					BgL_arg2252z00_9885 =
						BGl_zc3z04anonymousza32254ze3ze70z60zzast_walkz00(BgL_arg0z00_8527,
						BgL_pz00_8526,
						(((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_nz00_8525)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2253z00_9886;

						BgL_list2253z00_9886 = MAKE_YOUNG_PAIR(BgL_arg2252z00_9885, BNIL);
						BgL_res4131z00_9887 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2253z00_9886);
					}
				}
				return BgL_res4131z00_9887;
			}
		}

	}



/* <@anonymous:2254>~0 */
	obj_t BGl_zc3z04anonymousza32254ze3ze70z60zzast_walkz00(obj_t
		BgL_arg0z00_8605, obj_t BgL_pz00_8604, obj_t BgL_l1479z00_2677)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1479z00_2677))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2256z00_2680;
					obj_t BgL_arg2257z00_2681;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2682;

						BgL_fz00_2682 = CAR(((obj_t) BgL_l1479z00_2677));
						BgL_arg2256z00_2680 =
							BGL_PROCEDURE_CALL2(BgL_pz00_8604, BgL_fz00_2682,
							BgL_arg0z00_8605);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2258z00_2683;

						BgL_arg2258z00_2683 = CDR(((obj_t) BgL_l1479z00_2677));
						BgL_arg2257z00_2681 =
							BGl_zc3z04anonymousza32254ze3ze70z60zzast_walkz00
							(BgL_arg0z00_8605, BgL_pz00_8604, BgL_arg2258z00_2683);
					}
					return bgl_append2(BgL_arg2256z00_2680, BgL_arg2257z00_2681);
				}
		}

	}



/* &walk0*-sequence1694 */
	obj_t BGl_z62walk0za2zd2sequence1694z12zzast_walkz00(obj_t BgL_envz00_8528,
		obj_t BgL_nz00_8529, obj_t BgL_pz00_8530)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_res4132z00_9891;

				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2244z00_9889;

					BgL_arg2244z00_9889 =
						BGl_zc3z04anonymousza32246ze3ze70z60zzast_walkz00(BgL_pz00_8530,
						(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nz00_8529)))->BgL_nodesz00));
					{	/* Ast/walk.scm 295 */
						obj_t BgL_list2245z00_9890;

						BgL_list2245z00_9890 = MAKE_YOUNG_PAIR(BgL_arg2244z00_9889, BNIL);
						BgL_res4132z00_9891 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2245z00_9890);
					}
				}
				return BgL_res4132z00_9891;
			}
		}

	}



/* <@anonymous:2246>~0 */
	obj_t BGl_zc3z04anonymousza32246ze3ze70z60zzast_walkz00(obj_t BgL_pz00_8603,
		obj_t BgL_l1476z00_2658)
	{
		{	/* Ast/walk.scm 295 */
			if (NULLP(BgL_l1476z00_2658))
				{	/* Ast/walk.scm 295 */
					return BNIL;
				}
			else
				{	/* Ast/walk.scm 295 */
					obj_t BgL_arg2248z00_2661;
					obj_t BgL_arg2249z00_2662;

					{	/* Ast/walk.scm 295 */
						obj_t BgL_fz00_2663;

						BgL_fz00_2663 = CAR(((obj_t) BgL_l1476z00_2658));
						BgL_arg2248z00_2661 =
							BGL_PROCEDURE_CALL1(BgL_pz00_8603, BgL_fz00_2663);
					}
					{	/* Ast/walk.scm 295 */
						obj_t BgL_arg2250z00_2664;

						BgL_arg2250z00_2664 = CDR(((obj_t) BgL_l1476z00_2658));
						BgL_arg2249z00_2662 =
							BGl_zc3z04anonymousza32246ze3ze70z60zzast_walkz00(BgL_pz00_8603,
							BgL_arg2250z00_2664);
					}
					return bgl_append2(BgL_arg2248z00_2661, BgL_arg2249z00_2662);
				}
		}

	}



/* &walk3-sequence1692 */
	obj_t BGl_z62walk3zd2sequence1692zb0zzast_walkz00(obj_t BgL_envz00_8531,
		obj_t BgL_nz00_8532, obj_t BgL_pz00_8533, obj_t BgL_arg0z00_8534,
		obj_t BgL_arg1z00_8535, obj_t BgL_arg2z00_8536)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1474z00_9893;

				BgL_g1474z00_9893 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8532)))->BgL_nodesz00);
				{
					obj_t BgL_l1472z00_9895;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16141;

						BgL_l1472z00_9895 = BgL_g1474z00_9893;
					BgL_zc3z04anonymousza32241ze3z87_9894:
						if (PAIRP(BgL_l1472z00_9895))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9896;

									BgL_fz00_9896 = CAR(BgL_l1472z00_9895);
									BGL_PROCEDURE_CALL4(BgL_pz00_8533, BgL_fz00_9896,
										BgL_arg0z00_8534, BgL_arg1z00_8535, BgL_arg2z00_8536);
								}
								{
									obj_t BgL_l1472z00_16152;

									BgL_l1472z00_16152 = CDR(BgL_l1472z00_9895);
									BgL_l1472z00_9895 = BgL_l1472z00_16152;
									goto BgL_zc3z04anonymousza32241ze3z87_9894;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16141 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16141);
					}
				}
			}
		}

	}



/* &walk2-sequence1690 */
	obj_t BGl_z62walk2zd2sequence1690zb0zzast_walkz00(obj_t BgL_envz00_8537,
		obj_t BgL_nz00_8538, obj_t BgL_pz00_8539, obj_t BgL_arg0z00_8540,
		obj_t BgL_arg1z00_8541)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1471z00_9898;

				BgL_g1471z00_9898 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8538)))->BgL_nodesz00);
				{
					obj_t BgL_l1469z00_9900;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16157;

						BgL_l1469z00_9900 = BgL_g1471z00_9898;
					BgL_zc3z04anonymousza32238ze3z87_9899:
						if (PAIRP(BgL_l1469z00_9900))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9901;

									BgL_fz00_9901 = CAR(BgL_l1469z00_9900);
									BGL_PROCEDURE_CALL3(BgL_pz00_8539, BgL_fz00_9901,
										BgL_arg0z00_8540, BgL_arg1z00_8541);
								}
								{
									obj_t BgL_l1469z00_16167;

									BgL_l1469z00_16167 = CDR(BgL_l1469z00_9900);
									BgL_l1469z00_9900 = BgL_l1469z00_16167;
									goto BgL_zc3z04anonymousza32238ze3z87_9899;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16157 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16157);
					}
				}
			}
		}

	}



/* &walk1-sequence1688 */
	obj_t BGl_z62walk1zd2sequence1688zb0zzast_walkz00(obj_t BgL_envz00_8542,
		obj_t BgL_nz00_8543, obj_t BgL_pz00_8544, obj_t BgL_arg0z00_8545)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1468z00_9903;

				BgL_g1468z00_9903 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8543)))->BgL_nodesz00);
				{
					obj_t BgL_l1466z00_9905;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16172;

						BgL_l1466z00_9905 = BgL_g1468z00_9903;
					BgL_zc3z04anonymousza32235ze3z87_9904:
						if (PAIRP(BgL_l1466z00_9905))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9906;

									BgL_fz00_9906 = CAR(BgL_l1466z00_9905);
									BGL_PROCEDURE_CALL2(BgL_pz00_8544, BgL_fz00_9906,
										BgL_arg0z00_8545);
								}
								{
									obj_t BgL_l1466z00_16181;

									BgL_l1466z00_16181 = CDR(BgL_l1466z00_9905);
									BgL_l1466z00_9905 = BgL_l1466z00_16181;
									goto BgL_zc3z04anonymousza32235ze3z87_9904;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16172 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16172);
					}
				}
			}
		}

	}



/* &walk0-sequence1686 */
	obj_t BGl_z62walk0zd2sequence1686zb0zzast_walkz00(obj_t BgL_envz00_8546,
		obj_t BgL_nz00_8547, obj_t BgL_pz00_8548)
	{
		{	/* Ast/walk.scm 295 */
			{	/* Ast/walk.scm 295 */
				obj_t BgL_g1465z00_9908;

				BgL_g1465z00_9908 =
					(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nz00_8547)))->BgL_nodesz00);
				{
					obj_t BgL_l1463z00_9910;

					{	/* Ast/walk.scm 295 */
						bool_t BgL_tmpz00_16186;

						BgL_l1463z00_9910 = BgL_g1465z00_9908;
					BgL_zc3z04anonymousza32232ze3z87_9909:
						if (PAIRP(BgL_l1463z00_9910))
							{	/* Ast/walk.scm 295 */
								{	/* Ast/walk.scm 295 */
									obj_t BgL_fz00_9911;

									BgL_fz00_9911 = CAR(BgL_l1463z00_9910);
									BGL_PROCEDURE_CALL1(BgL_pz00_8548, BgL_fz00_9911);
								}
								{
									obj_t BgL_l1463z00_16194;

									BgL_l1463z00_16194 = CDR(BgL_l1463z00_9910);
									BgL_l1463z00_9910 = BgL_l1463z00_16194;
									goto BgL_zc3z04anonymousza32232ze3z87_9909;
								}
							}
						else
							{	/* Ast/walk.scm 295 */
								BgL_tmpz00_16186 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_16186);
					}
				}
			}
		}

	}



/* &walk3!-node1684 */
	BgL_nodez00_bglt BGl_z62walk3z12zd2node1684za2zzast_walkz00(obj_t
		BgL_envz00_8549, obj_t BgL_nz00_8550, obj_t BgL_pz00_8551,
		obj_t BgL_arg0z00_8552, obj_t BgL_arg1z00_8553, obj_t BgL_arg2z00_8554)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8550);
		}

	}



/* &walk2!-node1682 */
	BgL_nodez00_bglt BGl_z62walk2z12zd2node1682za2zzast_walkz00(obj_t
		BgL_envz00_8555, obj_t BgL_nz00_8556, obj_t BgL_pz00_8557,
		obj_t BgL_arg0z00_8558, obj_t BgL_arg1z00_8559)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8556);
		}

	}



/* &walk1!-node1680 */
	BgL_nodez00_bglt BGl_z62walk1z12zd2node1680za2zzast_walkz00(obj_t
		BgL_envz00_8560, obj_t BgL_nz00_8561, obj_t BgL_pz00_8562,
		obj_t BgL_arg0z00_8563)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8561);
		}

	}



/* &walk0!-node1678 */
	BgL_nodez00_bglt BGl_z62walk0z12zd2node1678za2zzast_walkz00(obj_t
		BgL_envz00_8564, obj_t BgL_nz00_8565, obj_t BgL_pz00_8566)
	{
		{	/* Ast/walk.scm 294 */
			return ((BgL_nodez00_bglt) BgL_nz00_8565);
		}

	}



/* &walk3*-node1676 */
	obj_t BGl_z62walk3za2zd2node1676z12zzast_walkz00(obj_t BgL_envz00_8567,
		obj_t BgL_nz00_8568, obj_t BgL_pz00_8569, obj_t BgL_arg0z00_8570,
		obj_t BgL_arg1z00_8571, obj_t BgL_arg2z00_8572)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk2*-node1674 */
	obj_t BGl_z62walk2za2zd2node1674z12zzast_walkz00(obj_t BgL_envz00_8573,
		obj_t BgL_nz00_8574, obj_t BgL_pz00_8575, obj_t BgL_arg0z00_8576,
		obj_t BgL_arg1z00_8577)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk1*-node1672 */
	obj_t BGl_z62walk1za2zd2node1672z12zzast_walkz00(obj_t BgL_envz00_8578,
		obj_t BgL_nz00_8579, obj_t BgL_pz00_8580, obj_t BgL_arg0z00_8581)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk0*-node1670 */
	obj_t BGl_z62walk0za2zd2node1670z12zzast_walkz00(obj_t BgL_envz00_8582,
		obj_t BgL_nz00_8583, obj_t BgL_pz00_8584)
	{
		{	/* Ast/walk.scm 294 */
			return BNIL;
		}

	}



/* &walk3-node1668 */
	obj_t BGl_z62walk3zd2node1668zb0zzast_walkz00(obj_t BgL_envz00_8585,
		obj_t BgL_nz00_8586, obj_t BgL_pz00_8587, obj_t BgL_arg0z00_8588,
		obj_t BgL_arg1z00_8589, obj_t BgL_arg2z00_8590)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk2-node1666 */
	obj_t BGl_z62walk2zd2node1666zb0zzast_walkz00(obj_t BgL_envz00_8591,
		obj_t BgL_nz00_8592, obj_t BgL_pz00_8593, obj_t BgL_arg0z00_8594,
		obj_t BgL_arg1z00_8595)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk1-node1664 */
	obj_t BGl_z62walk1zd2node1664zb0zzast_walkz00(obj_t BgL_envz00_8596,
		obj_t BgL_nz00_8597, obj_t BgL_pz00_8598, obj_t BgL_arg0z00_8599)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* &walk0-node1662 */
	obj_t BGl_z62walk0zd2node1662zb0zzast_walkz00(obj_t BgL_envz00_8600,
		obj_t BgL_nz00_8601, obj_t BgL_pz00_8602)
	{
		{	/* Ast/walk.scm 294 */
			return BFALSE;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_walkz00(void)
	{
		{	/* Ast/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string4052z00zzast_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string4052z00zzast_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string4052z00zzast_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
