/*===========================================================================*/
/*   (Cfa/collect.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/collect.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_COLLECT_TYPE_DEFINITIONS
#define BGL_CFA_COLLECT_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;


#endif													// BGL_CFA_COLLECT_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62nodezd2collectz121651za2zzcfa_collectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2funcal1670z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	static bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t, obj_t);
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	static obj_t BGl_z62nodezd2collectz12zd2switch1682z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00(void);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static obj_t BGl_methodzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	extern bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00(void);
	static obj_t BGl_z62nodezd2collectz12zd2makezd2b1692za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1690za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2app1664z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00(void);
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2cast1674z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2letzd2va1686za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2letzd2fu1684za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2collectz12zd2valloc1666z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2setq1676z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	extern obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_collectz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2collectz12zd2appzd2ly1668za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2setzd2ex1688za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00(void);
	static obj_t BGl_toplevelzd2initzd2zzcfa_collectz00(void);
	extern obj_t BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00;
	static obj_t BGl_genericzd2initzd2zzcfa_collectz00(void);
	static obj_t BGl_z62nodezd2collectz12zd2extern1672z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2condit1678z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2re1696za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2var1658z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2atom1654z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_z62nodezd2collectz12zd2boxzd2se1694za2zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_z62nodezd2collectz12zd2kwote1656z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2allocszd2zzcfa_collectz00(void);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd2collectz12zd2sequen1660z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_collectz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62nodezd2collectz12zd2sync1662z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2collectz12zd2fail1680z70zzcfa_collectz00(obj_t,
		obj_t, obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2219z00,
		BGl_z62nodezd2collectz12zd2valloc1666z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2220z00,
		BGl_z62nodezd2collectz12zd2appzd2ly1668za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2221z00,
		BGl_z62nodezd2collectz12zd2funcal1670z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2222z00,
		BGl_z62nodezd2collectz12zd2extern1672z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2223z00,
		BGl_z62nodezd2collectz12zd2cast1674z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2224z00,
		BGl_z62nodezd2collectz12zd2setq1676z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2225z00,
		BGl_z62nodezd2collectz12zd2condit1678z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2226z00,
		BGl_z62nodezd2collectz12zd2fail1680z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2227z00,
		BGl_z62nodezd2collectz12zd2switch1682z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2228z00,
		BGl_z62nodezd2collectz12zd2letzd2fu1684za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2229z00,
		BGl_z62nodezd2collectz12zd2letzd2va1686za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2230z00,
		BGl_z62nodezd2collectz12zd2setzd2ex1688za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2231z00,
		BGl_z62nodezd2collectz12zd2jumpzd2e1690za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2232z00,
		BGl_z62nodezd2collectz12zd2makezd2b1692za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2233z00,
		BGl_z62nodezd2collectz12zd2boxzd2se1694za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2234z00,
		BGl_z62nodezd2collectz12zd2boxzd2re1696za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2235z00,
		BGl_z62nodezd2collectz12za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2191z00zzcfa_collectz00,
		BgL_bgl_string2191za700za7za7c2236za7, "node-collect!1651", 17);
	      DEFINE_STRING(BGl_string2192z00zzcfa_collectz00,
		BgL_bgl_string2192za700za7za7c2237za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2194z00zzcfa_collectz00,
		BgL_bgl_string2194za700za7za7c2238za7, "node-collect!", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_collectzd2allzd2approxz12zd2envzc0zzcfa_collectz00,
		BgL_bgl_za762collectza7d2all2239z00,
		BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string2216z00zzcfa_collectz00,
		BgL_bgl_string2216za700za7za7c2240za7, "cfa_collect", 11);
	      DEFINE_STRING(BGl_string2217z00zzcfa_collectz00,
		BgL_bgl_string2217za700za7za7c2241za7,
		"real string boolean char integer quote (quote ()) (pragma::obj \"\") $set-cdr! $set-car! $cdr $car $cons $struct-set! $struct-ref $make-struct $make-vector procedure-set! procedure-ref make-va-procedure make-fx-procedure c-eq? node-collect!1651 ",
		243);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2242z00,
		BGl_z62nodezd2collectz121651za2zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2243z00,
		BGl_z62nodezd2collectz12zd2atom1654z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2244z00,
		BGl_z62nodezd2collectz12zd2kwote1656z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2245z00,
		BGl_z62nodezd2collectz12zd2var1658z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2246z00,
		BGl_z62nodezd2collectz12zd2sequen1660z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2247z00,
		BGl_z62nodezd2collectz12zd2sync1662z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzcfa_collectz00,
		BgL_bgl_za762nodeza7d2collec2248z00,
		BGl_z62nodezd2collectz12zd2app1664z70zzcfa_collectz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2allocszd2envz00zzcfa_collectz00,
		BgL_bgl_za762getza7d2allocsza72249za7,
		BGl_z62getzd2allocszb0zzcfa_collectz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_collectz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_collectz00(long
		BgL_checksumz00_5350, char *BgL_fromz00_5351)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_collectz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_collectz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_collectz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_collectz00();
					BGl_cnstzd2initzd2zzcfa_collectz00();
					BGl_importedzd2moduleszd2initz00zzcfa_collectz00();
					BGl_genericzd2initzd2zzcfa_collectz00();
					BGl_methodzd2initzd2zzcfa_collectz00();
					return BGl_toplevelzd2initzd2zzcfa_collectz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_collect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_collect");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			{	/* Cfa/collect.scm 15 */
				obj_t BgL_cportz00_5136;

				{	/* Cfa/collect.scm 15 */
					obj_t BgL_stringz00_5143;

					BgL_stringz00_5143 = BGl_string2217z00zzcfa_collectz00;
					{	/* Cfa/collect.scm 15 */
						obj_t BgL_startz00_5144;

						BgL_startz00_5144 = BINT(0L);
						{	/* Cfa/collect.scm 15 */
							obj_t BgL_endz00_5145;

							BgL_endz00_5145 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5143)));
							{	/* Cfa/collect.scm 15 */

								BgL_cportz00_5136 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5143, BgL_startz00_5144, BgL_endz00_5145);
				}}}}
				{
					long BgL_iz00_5137;

					BgL_iz00_5137 = 22L;
				BgL_loopz00_5138:
					if ((BgL_iz00_5137 == (-1L)))
						{	/* Cfa/collect.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/collect.scm 15 */
							{	/* Cfa/collect.scm 15 */
								obj_t BgL_arg2218z00_5139;

								{	/* Cfa/collect.scm 15 */

									{	/* Cfa/collect.scm 15 */
										obj_t BgL_locationz00_5141;

										BgL_locationz00_5141 = BBOOL(((bool_t) 0));
										{	/* Cfa/collect.scm 15 */

											BgL_arg2218z00_5139 =
												BGl_readz00zz__readerz00(BgL_cportz00_5136,
												BgL_locationz00_5141);
										}
									}
								}
								{	/* Cfa/collect.scm 15 */
									int BgL_tmpz00_5385;

									BgL_tmpz00_5385 = (int) (BgL_iz00_5137);
									CNST_TABLE_SET(BgL_tmpz00_5385, BgL_arg2218z00_5139);
							}}
							{	/* Cfa/collect.scm 15 */
								int BgL_auxz00_5142;

								BgL_auxz00_5142 = (int) ((BgL_iz00_5137 - 1L));
								{
									long BgL_iz00_5390;

									BgL_iz00_5390 = (long) (BgL_auxz00_5142);
									BgL_iz00_5137 = BgL_iz00_5390;
									goto BgL_loopz00_5138;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return (BGl_za2usedzd2allocza2zd2zzcfa_collectz00 = BNIL, BUNSPEC);
		}

	}



/* collect-all-approx! */
	BGL_EXPORTED_DEF obj_t BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/collect.scm 46 */
			{
				obj_t BgL_l1638z00_3577;

				{	/* Cfa/collect.scm 48 */
					bool_t BgL_tmpz00_5393;

					BgL_l1638z00_3577 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31704ze3z87_3578:
					if (PAIRP(BgL_l1638z00_3577))
						{	/* Cfa/collect.scm 48 */
							{	/* Cfa/collect.scm 48 */
								obj_t BgL_globalz00_3580;

								BgL_globalz00_3580 = CAR(BgL_l1638z00_3577);
								{	/* Cfa/collect.scm 48 */
									BgL_valuez00_bglt BgL_arg1715z00_3581;

									BgL_arg1715z00_3581 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3580))))->
										BgL_valuez00);
									{	/* Cfa/collect.scm 55 */
										obj_t BgL_arg1717z00_4579;

										BgL_arg1717z00_4579 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_arg1715z00_3581)))->
											BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
												BgL_arg1717z00_4579),
											((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
													BgL_globalz00_3580)));
									}
								}
							}
							{
								obj_t BgL_l1638z00_5406;

								BgL_l1638z00_5406 = CDR(BgL_l1638z00_3577);
								BgL_l1638z00_3577 = BgL_l1638z00_5406;
								goto BgL_zc3z04anonymousza31704ze3z87_3578;
							}
						}
					else
						{	/* Cfa/collect.scm 48 */
							BgL_tmpz00_5393 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_5393);
				}
			}
		}

	}



/* &collect-all-approx! */
	obj_t BGl_z62collectzd2allzd2approxz12z70zzcfa_collectz00(obj_t
		BgL_envz00_5034, obj_t BgL_globalsz00_5035)
	{
		{	/* Cfa/collect.scm 46 */
			return
				BGl_collectzd2allzd2approxz12z12zzcfa_collectz00(BgL_globalsz00_5035);
		}

	}



/* node-collect*! */
	bool_t BGl_nodezd2collectza2z12z62zzcfa_collectz00(obj_t BgL_nodeza2za2_52,
		obj_t BgL_ownerz00_53)
	{
		{	/* Cfa/collect.scm 393 */
			{
				obj_t BgL_l1649z00_3586;

				BgL_l1649z00_3586 = BgL_nodeza2za2_52;
			BgL_zc3z04anonymousza31718ze3z87_3587:
				if (PAIRP(BgL_l1649z00_3586))
					{	/* Cfa/collect.scm 394 */
						{	/* Cfa/collect.scm 394 */
							obj_t BgL_nodez00_3589;

							BgL_nodez00_3589 = CAR(BgL_l1649z00_3586);
							BGl_nodezd2collectz12zc0zzcfa_collectz00(
								((BgL_nodez00_bglt) BgL_nodez00_3589),
								((BgL_variablez00_bglt) BgL_ownerz00_53));
						}
						{
							obj_t BgL_l1649z00_5416;

							BgL_l1649z00_5416 = CDR(BgL_l1649z00_3586);
							BgL_l1649z00_3586 = BgL_l1649z00_5416;
							goto BgL_zc3z04anonymousza31718ze3z87_3587;
						}
					}
				else
					{	/* Cfa/collect.scm 394 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-allocs */
	BGL_EXPORTED_DEF obj_t BGl_getzd2allocszd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_za2usedzd2allocza2zd2zzcfa_collectz00;
		}

	}



/* &get-allocs */
	obj_t BGl_z62getzd2allocszb0zzcfa_collectz00(obj_t BgL_envz00_5036)
	{
		{	/* Cfa/collect.scm 416 */
			return BGl_getzd2allocszd2zzcfa_collectz00();
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_proc2190z00zzcfa_collectz00, BGl_nodez00zzast_nodez00,
				BGl_string2191z00zzcfa_collectz00);
		}

	}



/* &node-collect!1651 */
	obj_t BGl_z62nodezd2collectz121651za2zzcfa_collectz00(obj_t BgL_envz00_5038,
		obj_t BgL_nodez00_5039, obj_t BgL_ownerz00_5040)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string2192z00zzcfa_collectz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5039)));
		}

	}



/* node-collect! */
	obj_t BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_nodez00_bglt BgL_nodez00_6,
		BgL_variablez00_bglt BgL_ownerz00_7)
	{
		{	/* Cfa/collect.scm 60 */
			{	/* Cfa/collect.scm 60 */
				obj_t BgL_method1652z00_3597;

				{	/* Cfa/collect.scm 60 */
					obj_t BgL_res2182z00_4616;

					{	/* Cfa/collect.scm 60 */
						long BgL_objzd2classzd2numz00_4587;

						BgL_objzd2classzd2numz00_4587 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_6));
						{	/* Cfa/collect.scm 60 */
							obj_t BgL_arg1862z00_4588;

							BgL_arg1862z00_4588 =
								PROCEDURE_REF(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
								(int) (1L));
							{	/* Cfa/collect.scm 60 */
								int BgL_offsetz00_4591;

								BgL_offsetz00_4591 = (int) (BgL_objzd2classzd2numz00_4587);
								{	/* Cfa/collect.scm 60 */
									long BgL_offsetz00_4592;

									BgL_offsetz00_4592 =
										((long) (BgL_offsetz00_4591) - OBJECT_TYPE);
									{	/* Cfa/collect.scm 60 */
										long BgL_modz00_4593;

										BgL_modz00_4593 =
											(BgL_offsetz00_4592 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/collect.scm 60 */
											long BgL_restz00_4595;

											BgL_restz00_4595 =
												(BgL_offsetz00_4592 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/collect.scm 60 */

												{	/* Cfa/collect.scm 60 */
													obj_t BgL_bucketz00_4597;

													BgL_bucketz00_4597 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4588), BgL_modz00_4593);
													BgL_res2182z00_4616 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4597), BgL_restz00_4595);
					}}}}}}}}
					BgL_method1652z00_3597 = BgL_res2182z00_4616;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1652z00_3597,
					((obj_t) BgL_nodez00_6), ((obj_t) BgL_ownerz00_7));
			}
		}

	}



/* &node-collect! */
	obj_t BGl_z62nodezd2collectz12za2zzcfa_collectz00(obj_t BgL_envz00_5041,
		obj_t BgL_nodez00_5042, obj_t BgL_ownerz00_5043)
	{
		{	/* Cfa/collect.scm 60 */
			return
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
				((BgL_nodez00_bglt) BgL_nodez00_5042),
				((BgL_variablez00_bglt) BgL_ownerz00_5043));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_atomz00zzast_nodez00, BGl_proc2193z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2195z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_varz00zzast_nodez00, BGl_proc2196z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2197z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_syncz00zzast_nodez00, BGl_proc2198z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appz00zzast_nodez00, BGl_proc2199z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2200z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2201z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2202z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_externz00zzast_nodez00, BGl_proc2203z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_castz00zzast_nodez00, BGl_proc2204z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setqz00zzast_nodez00, BGl_proc2205z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2206z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_failz00zzast_nodez00, BGl_proc2207z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_switchz00zzast_nodez00, BGl_proc2208z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2209z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2210z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2211z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2212z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2213z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2214z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2collectz12zd2envz12zzcfa_collectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2215z00zzcfa_collectz00,
				BGl_string2194z00zzcfa_collectz00);
		}

	}



/* &node-collect!-box-re1696 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2re1696za2zzcfa_collectz00(obj_t
		BgL_envz00_5070, obj_t BgL_nodez00_5071, obj_t BgL_ownerz00_5072)
	{
		{	/* Cfa/collect.scm 386 */
			{	/* Cfa/collect.scm 388 */
				BgL_varz00_bglt BgL_arg1983z00_5150;

				BgL_arg1983z00_5150 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_5071)))->BgL_varz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1983z00_5150),
					((BgL_variablez00_bglt) BgL_ownerz00_5072));
			}
		}

	}



/* &node-collect!-box-se1694 */
	obj_t BGl_z62nodezd2collectz12zd2boxzd2se1694za2zzcfa_collectz00(obj_t
		BgL_envz00_5073, obj_t BgL_nodez00_5074, obj_t BgL_ownerz00_5075)
	{
		{	/* Cfa/collect.scm 378 */
			{	/* Cfa/collect.scm 380 */
				BgL_varz00_bglt BgL_arg1981z00_5152;

				BgL_arg1981z00_5152 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5074)))->BgL_varz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1981z00_5152),
					((BgL_variablez00_bglt) BgL_ownerz00_5075));
			}
			{	/* Cfa/collect.scm 381 */
				BgL_nodez00_bglt BgL_arg1982z00_5153;

				BgL_arg1982z00_5153 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5074)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1982z00_5153,
					((BgL_variablez00_bglt) BgL_ownerz00_5075));
			}
		}

	}



/* &node-collect!-make-b1692 */
	obj_t BGl_z62nodezd2collectz12zd2makezd2b1692za2zzcfa_collectz00(obj_t
		BgL_envz00_5076, obj_t BgL_nodez00_5077, obj_t BgL_ownerz00_5078)
	{
		{	/* Cfa/collect.scm 368 */
			{	/* Cfa/collect.scm 369 */
				BgL_nodez00_bglt BgL_arg1978z00_5155;

				BgL_arg1978z00_5155 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)))->BgL_valuez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1978z00_5155,
					((BgL_variablez00_bglt) BgL_ownerz00_5078));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 1L))
				{	/* Cfa/collect.scm 370 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 373 */
						BgL_prezd2makezd2boxz00_bglt BgL_wide1263z00_5156;

						BgL_wide1263z00_5156 =
							((BgL_prezd2makezd2boxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2makezd2boxz00_bgl))));
						{	/* Cfa/collect.scm 373 */
							obj_t BgL_auxz00_5511;
							BgL_objectz00_bglt BgL_tmpz00_5507;

							BgL_auxz00_5511 = ((obj_t) BgL_wide1263z00_5156);
							BgL_tmpz00_5507 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5507, BgL_auxz00_5511);
						}
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)));
						{	/* Cfa/collect.scm 373 */
							long BgL_arg1980z00_5157;

							BgL_arg1980z00_5157 =
								BGL_CLASS_NUM(BGl_prezd2makezd2boxz00zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077))),
								BgL_arg1980z00_5157);
						}
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)));
					}
					return
						((obj_t)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_5077)));
				}
			else
				{	/* Cfa/collect.scm 370 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-jump-e1690 */
	obj_t BGl_z62nodezd2collectz12zd2jumpzd2e1690za2zzcfa_collectz00(obj_t
		BgL_envz00_5079, obj_t BgL_nodez00_5080, obj_t BgL_ownerz00_5081)
	{
		{	/* Cfa/collect.scm 360 */
			{	/* Cfa/collect.scm 362 */
				BgL_nodez00_bglt BgL_arg1975z00_5159;

				BgL_arg1975z00_5159 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5080)))->BgL_exitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1975z00_5159,
					((BgL_variablez00_bglt) BgL_ownerz00_5081));
			}
			{	/* Cfa/collect.scm 363 */
				BgL_nodez00_bglt BgL_arg1976z00_5160;

				BgL_arg1976z00_5160 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5080)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1976z00_5160,
					((BgL_variablez00_bglt) BgL_ownerz00_5081));
			}
		}

	}



/* &node-collect!-set-ex1688 */
	obj_t BGl_z62nodezd2collectz12zd2setzd2ex1688za2zzcfa_collectz00(obj_t
		BgL_envz00_5082, obj_t BgL_nodez00_5083, obj_t BgL_ownerz00_5084)
	{
		{	/* Cfa/collect.scm 352 */
			{	/* Cfa/collect.scm 354 */
				BgL_nodez00_bglt BgL_arg1973z00_5162;

				BgL_arg1973z00_5162 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5083)))->BgL_onexitz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1973z00_5162,
					((BgL_variablez00_bglt) BgL_ownerz00_5084));
			}
			{	/* Cfa/collect.scm 355 */
				BgL_nodez00_bglt BgL_arg1974z00_5163;

				BgL_arg1974z00_5163 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5083)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1974z00_5163,
					((BgL_variablez00_bglt) BgL_ownerz00_5084));
			}
		}

	}



/* &node-collect!-let-va1686 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2va1686za2zzcfa_collectz00(obj_t
		BgL_envz00_5085, obj_t BgL_nodez00_5086, obj_t BgL_ownerz00_5087)
	{
		{	/* Cfa/collect.scm 342 */
			{	/* Cfa/collect.scm 344 */
				obj_t BgL_g1648z00_5165;

				BgL_g1648z00_5165 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5086)))->BgL_bindingsz00);
				{
					obj_t BgL_l1646z00_5167;

					BgL_l1646z00_5167 = BgL_g1648z00_5165;
				BgL_zc3z04anonymousza31968ze3z87_5166:
					if (PAIRP(BgL_l1646z00_5167))
						{	/* Cfa/collect.scm 344 */
							{	/* Cfa/collect.scm 345 */
								obj_t BgL_bindingz00_5168;

								BgL_bindingz00_5168 = CAR(BgL_l1646z00_5167);
								{	/* Cfa/collect.scm 345 */
									obj_t BgL_arg1970z00_5169;

									BgL_arg1970z00_5169 = CDR(((obj_t) BgL_bindingz00_5168));
									BGl_nodezd2collectz12zc0zzcfa_collectz00(
										((BgL_nodez00_bglt) BgL_arg1970z00_5169),
										((BgL_variablez00_bglt) BgL_ownerz00_5087));
								}
							}
							{
								obj_t BgL_l1646z00_5554;

								BgL_l1646z00_5554 = CDR(BgL_l1646z00_5167);
								BgL_l1646z00_5167 = BgL_l1646z00_5554;
								goto BgL_zc3z04anonymousza31968ze3z87_5166;
							}
						}
					else
						{	/* Cfa/collect.scm 344 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 347 */
				BgL_nodez00_bglt BgL_arg1972z00_5170;

				BgL_arg1972z00_5170 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5086)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1972z00_5170,
					((BgL_variablez00_bglt) BgL_ownerz00_5087));
			}
		}

	}



/* &node-collect!-let-fu1684 */
	obj_t BGl_z62nodezd2collectz12zd2letzd2fu1684za2zzcfa_collectz00(obj_t
		BgL_envz00_5088, obj_t BgL_nodez00_5089, obj_t BgL_ownerz00_5090)
	{
		{	/* Cfa/collect.scm 331 */
			{	/* Cfa/collect.scm 333 */
				obj_t BgL_g1645z00_5172;

				BgL_g1645z00_5172 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5089)))->BgL_localsz00);
				{
					obj_t BgL_l1643z00_5174;

					BgL_l1643z00_5174 = BgL_g1645z00_5172;
				BgL_zc3z04anonymousza31962ze3z87_5173:
					if (PAIRP(BgL_l1643z00_5174))
						{	/* Cfa/collect.scm 333 */
							{	/* Cfa/collect.scm 334 */
								obj_t BgL_lz00_5175;

								BgL_lz00_5175 = CAR(BgL_l1643z00_5174);
								{	/* Cfa/collect.scm 334 */
									BgL_valuez00_bglt BgL_fz00_5176;

									BgL_fz00_5176 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5175))))->BgL_valuez00);
									{	/* Cfa/collect.scm 335 */
										obj_t BgL_arg1965z00_5177;

										BgL_arg1965z00_5177 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_5176)))->BgL_bodyz00);
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1965z00_5177),
											((BgL_variablez00_bglt) BgL_lz00_5175));
									}
								}
							}
							{
								obj_t BgL_l1643z00_5573;

								BgL_l1643z00_5573 = CDR(BgL_l1643z00_5174);
								BgL_l1643z00_5174 = BgL_l1643z00_5573;
								goto BgL_zc3z04anonymousza31962ze3z87_5173;
							}
						}
					else
						{	/* Cfa/collect.scm 333 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/collect.scm 337 */
				BgL_nodez00_bglt BgL_arg1967z00_5178;

				BgL_arg1967z00_5178 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5089)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1967z00_5178,
					((BgL_variablez00_bglt) BgL_ownerz00_5090));
			}
		}

	}



/* &node-collect!-switch1682 */
	obj_t BGl_z62nodezd2collectz12zd2switch1682z70zzcfa_collectz00(obj_t
		BgL_envz00_5091, obj_t BgL_nodez00_5092, obj_t BgL_ownerz00_5093)
	{
		{	/* Cfa/collect.scm 321 */
			{	/* Cfa/collect.scm 322 */
				bool_t BgL_tmpz00_5579;

				{	/* Cfa/collect.scm 323 */
					BgL_nodez00_bglt BgL_arg1956z00_5180;

					BgL_arg1956z00_5180 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5092)))->BgL_testz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1956z00_5180,
						((BgL_variablez00_bglt) BgL_ownerz00_5093));
				}
				{	/* Cfa/collect.scm 324 */
					obj_t BgL_g1642z00_5181;

					BgL_g1642z00_5181 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5092)))->BgL_clausesz00);
					{
						obj_t BgL_l1640z00_5183;

						BgL_l1640z00_5183 = BgL_g1642z00_5181;
					BgL_zc3z04anonymousza31957ze3z87_5182:
						if (PAIRP(BgL_l1640z00_5183))
							{	/* Cfa/collect.scm 324 */
								{	/* Cfa/collect.scm 325 */
									obj_t BgL_clausez00_5184;

									BgL_clausez00_5184 = CAR(BgL_l1640z00_5183);
									{	/* Cfa/collect.scm 325 */
										obj_t BgL_arg1960z00_5185;

										BgL_arg1960z00_5185 = CDR(((obj_t) BgL_clausez00_5184));
										BGl_nodezd2collectz12zc0zzcfa_collectz00(
											((BgL_nodez00_bglt) BgL_arg1960z00_5185),
											((BgL_variablez00_bglt) BgL_ownerz00_5093));
									}
								}
								{
									obj_t BgL_l1640z00_5594;

									BgL_l1640z00_5594 = CDR(BgL_l1640z00_5183);
									BgL_l1640z00_5183 = BgL_l1640z00_5594;
									goto BgL_zc3z04anonymousza31957ze3z87_5182;
								}
							}
						else
							{	/* Cfa/collect.scm 324 */
								BgL_tmpz00_5579 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_5579);
			}
		}

	}



/* &node-collect!-fail1680 */
	obj_t BGl_z62nodezd2collectz12zd2fail1680z70zzcfa_collectz00(obj_t
		BgL_envz00_5094, obj_t BgL_nodez00_5095, obj_t BgL_ownerz00_5096)
	{
		{	/* Cfa/collect.scm 312 */
			{	/* Cfa/collect.scm 314 */
				BgL_nodez00_bglt BgL_arg1953z00_5187;

				BgL_arg1953z00_5187 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5095)))->BgL_procz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1953z00_5187,
					((BgL_variablez00_bglt) BgL_ownerz00_5096));
			}
			{	/* Cfa/collect.scm 315 */
				BgL_nodez00_bglt BgL_arg1954z00_5188;

				BgL_arg1954z00_5188 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5095)))->BgL_msgz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1954z00_5188,
					((BgL_variablez00_bglt) BgL_ownerz00_5096));
			}
			{	/* Cfa/collect.scm 316 */
				BgL_nodez00_bglt BgL_arg1955z00_5189;

				BgL_arg1955z00_5189 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5095)))->BgL_objz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1955z00_5189,
					((BgL_variablez00_bglt) BgL_ownerz00_5096));
			}
		}

	}



/* &node-collect!-condit1678 */
	obj_t BGl_z62nodezd2collectz12zd2condit1678z70zzcfa_collectz00(obj_t
		BgL_envz00_5097, obj_t BgL_nodez00_5098, obj_t BgL_ownerz00_5099)
	{
		{	/* Cfa/collect.scm 303 */
			{	/* Cfa/collect.scm 305 */
				BgL_nodez00_bglt BgL_arg1947z00_5191;

				BgL_arg1947z00_5191 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5098)))->BgL_testz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1947z00_5191,
					((BgL_variablez00_bglt) BgL_ownerz00_5099));
			}
			{	/* Cfa/collect.scm 306 */
				BgL_nodez00_bglt BgL_arg1948z00_5192;

				BgL_arg1948z00_5192 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5098)))->BgL_truez00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1948z00_5192,
					((BgL_variablez00_bglt) BgL_ownerz00_5099));
			}
			{	/* Cfa/collect.scm 307 */
				BgL_nodez00_bglt BgL_arg1950z00_5193;

				BgL_arg1950z00_5193 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5098)))->BgL_falsez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1950z00_5193,
					((BgL_variablez00_bglt) BgL_ownerz00_5099));
			}
		}

	}



/* &node-collect!-setq1676 */
	obj_t BGl_z62nodezd2collectz12zd2setq1676z70zzcfa_collectz00(obj_t
		BgL_envz00_5100, obj_t BgL_nodez00_5101, obj_t BgL_ownerz00_5102)
	{
		{	/* Cfa/collect.scm 296 */
			{	/* Cfa/collect.scm 298 */
				BgL_nodez00_bglt BgL_arg1946z00_5195;

				BgL_arg1946z00_5195 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5101)))->BgL_valuez00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1946z00_5195,
					((BgL_variablez00_bglt) BgL_ownerz00_5102));
			}
		}

	}



/* &node-collect!-cast1674 */
	obj_t BGl_z62nodezd2collectz12zd2cast1674z70zzcfa_collectz00(obj_t
		BgL_envz00_5103, obj_t BgL_nodez00_5104, obj_t BgL_ownerz00_5105)
	{
		{	/* Cfa/collect.scm 289 */
			{	/* Cfa/collect.scm 291 */
				BgL_nodez00_bglt BgL_arg1945z00_5197;

				BgL_arg1945z00_5197 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5104)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1945z00_5197,
					((BgL_variablez00_bglt) BgL_ownerz00_5105));
			}
		}

	}



/* &node-collect!-extern1672 */
	obj_t BGl_z62nodezd2collectz12zd2extern1672z70zzcfa_collectz00(obj_t
		BgL_envz00_5106, obj_t BgL_nodez00_5107, obj_t BgL_ownerz00_5108)
	{
		{	/* Cfa/collect.scm 282 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_5107)))->BgL_exprza2za2),
					BgL_ownerz00_5108));
		}

	}



/* &node-collect!-funcal1670 */
	obj_t BGl_z62nodezd2collectz12zd2funcal1670z70zzcfa_collectz00(obj_t
		BgL_envz00_5109, obj_t BgL_nodez00_5110, obj_t BgL_ownerz00_5111)
	{
		{	/* Cfa/collect.scm 273 */
			{	/* Cfa/collect.scm 274 */
				bool_t BgL_tmpz00_5633;

				BGl_addzd2funcallz12zc0zzcfa_closurez00(
					((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5110)));
				{	/* Cfa/collect.scm 276 */
					BgL_nodez00_bglt BgL_arg1942z00_5200;

					BgL_arg1942z00_5200 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5110)))->BgL_funz00);
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1942z00_5200,
						((BgL_variablez00_bglt) BgL_ownerz00_5111));
				}
				BgL_tmpz00_5633 =
					BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5110)))->BgL_argsz00),
					BgL_ownerz00_5111);
				return BBOOL(BgL_tmpz00_5633);
			}
		}

	}



/* &node-collect!-app-ly1668 */
	obj_t BGl_z62nodezd2collectz12zd2appzd2ly1668za2zzcfa_collectz00(obj_t
		BgL_envz00_5112, obj_t BgL_nodez00_5113, obj_t BgL_ownerz00_5114)
	{
		{	/* Cfa/collect.scm 265 */
			{	/* Cfa/collect.scm 267 */
				BgL_nodez00_bglt BgL_arg1939z00_5202;

				BgL_arg1939z00_5202 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5113)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1939z00_5202,
					((BgL_variablez00_bglt) BgL_ownerz00_5114));
			}
			{	/* Cfa/collect.scm 268 */
				BgL_nodez00_bglt BgL_arg1940z00_5203;

				BgL_arg1940z00_5203 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5113)))->BgL_argz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1940z00_5203,
					((BgL_variablez00_bglt) BgL_ownerz00_5114));
			}
		}

	}



/* &node-collect!-valloc1666 */
	obj_t BGl_z62nodezd2collectz12zd2valloc1666z70zzcfa_collectz00(obj_t
		BgL_envz00_5115, obj_t BgL_nodez00_5116, obj_t BgL_ownerz00_5117)
	{
		{	/* Cfa/collect.scm 255 */
			{	/* Cfa/collect.scm 257 */
				obj_t BgL_arg1936z00_5205;

				BgL_arg1936z00_5205 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_nodez00_5116))))->BgL_exprza2za2);
				BGl_nodezd2collectza2z12z62zzcfa_collectz00(BgL_arg1936z00_5205,
					BgL_ownerz00_5117);
			}
			if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
				{	/* Cfa/collect.scm 258 */
					BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
						MAKE_YOUNG_PAIR(
						((obj_t)
							((BgL_vallocz00_bglt) BgL_nodez00_5116)),
						BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
					{	/* Cfa/collect.scm 260 */
						BgL_prezd2valloczf2cinfoz20_bglt BgL_wide1247z00_5206;

						BgL_wide1247z00_5206 =
							((BgL_prezd2valloczf2cinfoz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_prezd2valloczf2cinfoz20_bgl))));
						{	/* Cfa/collect.scm 260 */
							obj_t BgL_auxz00_5667;
							BgL_objectz00_bglt BgL_tmpz00_5663;

							BgL_auxz00_5667 = ((obj_t) BgL_wide1247z00_5206);
							BgL_tmpz00_5663 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5116)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5663, BgL_auxz00_5667);
						}
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5116)));
						{	/* Cfa/collect.scm 260 */
							long BgL_arg1938z00_5207;

							BgL_arg1938z00_5207 =
								BGL_CLASS_NUM(BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5116))),
								BgL_arg1938z00_5207);
						}
						((BgL_vallocz00_bglt)
							((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5116)));
					}
					{
						BgL_prezd2valloczf2cinfoz20_bglt BgL_auxz00_5681;

						{
							obj_t BgL_auxz00_5682;

							{	/* Cfa/collect.scm 260 */
								BgL_objectz00_bglt BgL_tmpz00_5683;

								BgL_tmpz00_5683 =
									((BgL_objectz00_bglt)
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5116)));
								BgL_auxz00_5682 = BGL_OBJECT_WIDENING(BgL_tmpz00_5683);
							}
							BgL_auxz00_5681 =
								((BgL_prezd2valloczf2cinfoz20_bglt) BgL_auxz00_5682);
						}
						((((BgL_prezd2valloczf2cinfoz20_bglt) COBJECT(BgL_auxz00_5681))->
								BgL_ownerz00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
									BgL_ownerz00_5117)), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5116)));
				}
			else
				{	/* Cfa/collect.scm 258 */
					return BFALSE;
				}
		}

	}



/* &node-collect!-app1664 */
	obj_t BGl_z62nodezd2collectz12zd2app1664z70zzcfa_collectz00(obj_t
		BgL_envz00_5118, obj_t BgL_nodez00_5119, obj_t BgL_ownerz00_5120)
	{
		{	/* Cfa/collect.scm 181 */
			BGl_nodezd2collectza2z12z62zzcfa_collectz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5119)))->BgL_argsz00),
				BgL_ownerz00_5120);
			{	/* Cfa/collect.scm 184 */
				BgL_varz00_bglt BgL_arg1886z00_5209;

				BgL_arg1886z00_5209 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5119)))->BgL_funz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(
					((BgL_nodez00_bglt) BgL_arg1886z00_5209),
					((BgL_variablez00_bglt) BgL_ownerz00_5120));
			}
			{	/* Cfa/collect.scm 185 */
				BgL_variablez00_bglt BgL_vz00_5210;

				BgL_vz00_5210 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5119)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/collect.scm 186 */
					bool_t BgL_test2259z00_5705;

					{	/* Cfa/collect.scm 186 */
						obj_t BgL_classz00_5211;

						BgL_classz00_5211 = BGl_globalz00zzast_varz00;
						{	/* Cfa/collect.scm 186 */
							BgL_objectz00_bglt BgL_arg1858z00_5212;

							{	/* Cfa/collect.scm 186 */
								obj_t BgL_tmpz00_5706;

								BgL_tmpz00_5706 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5210));
								BgL_arg1858z00_5212 = (BgL_objectz00_bglt) (BgL_tmpz00_5706);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/collect.scm 186 */
									long BgL_idxz00_5213;

									BgL_idxz00_5213 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5212);
									BgL_test2259z00_5705 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5213 + 2L)) == BgL_classz00_5211);
								}
							else
								{	/* Cfa/collect.scm 186 */
									bool_t BgL_res2185z00_5216;

									{	/* Cfa/collect.scm 186 */
										obj_t BgL_oclassz00_5217;

										{	/* Cfa/collect.scm 186 */
											obj_t BgL_arg1866z00_5218;
											long BgL_arg1867z00_5219;

											BgL_arg1866z00_5218 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/collect.scm 186 */
												long BgL_arg1869z00_5220;

												BgL_arg1869z00_5220 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5212);
												BgL_arg1867z00_5219 =
													(BgL_arg1869z00_5220 - OBJECT_TYPE);
											}
											BgL_oclassz00_5217 =
												VECTOR_REF(BgL_arg1866z00_5218, BgL_arg1867z00_5219);
										}
										{	/* Cfa/collect.scm 186 */
											bool_t BgL__ortest_1115z00_5221;

											BgL__ortest_1115z00_5221 =
												(BgL_classz00_5211 == BgL_oclassz00_5217);
											if (BgL__ortest_1115z00_5221)
												{	/* Cfa/collect.scm 186 */
													BgL_res2185z00_5216 = BgL__ortest_1115z00_5221;
												}
											else
												{	/* Cfa/collect.scm 186 */
													long BgL_odepthz00_5222;

													{	/* Cfa/collect.scm 186 */
														obj_t BgL_arg1855z00_5223;

														BgL_arg1855z00_5223 = (BgL_oclassz00_5217);
														BgL_odepthz00_5222 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_5223);
													}
													if ((2L < BgL_odepthz00_5222))
														{	/* Cfa/collect.scm 186 */
															obj_t BgL_arg1853z00_5224;

															{	/* Cfa/collect.scm 186 */
																obj_t BgL_arg1854z00_5225;

																BgL_arg1854z00_5225 = (BgL_oclassz00_5217);
																BgL_arg1853z00_5224 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5225,
																	2L);
															}
															BgL_res2185z00_5216 =
																(BgL_arg1853z00_5224 == BgL_classz00_5211);
														}
													else
														{	/* Cfa/collect.scm 186 */
															BgL_res2185z00_5216 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2259z00_5705 = BgL_res2185z00_5216;
								}
						}
					}
					if (BgL_test2259z00_5705)
						{	/* Cfa/collect.scm 187 */
							bool_t BgL_test2263z00_5729;

							{	/* Cfa/collect.scm 187 */
								BgL_valuez00_bglt BgL_arg1934z00_5226;

								BgL_arg1934z00_5226 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5210))->
									BgL_valuez00);
								{	/* Cfa/collect.scm 187 */
									obj_t BgL_classz00_5227;

									BgL_classz00_5227 = BGl_cfunz00zzast_varz00;
									{	/* Cfa/collect.scm 187 */
										BgL_objectz00_bglt BgL_arg1858z00_5228;

										{	/* Cfa/collect.scm 187 */
											obj_t BgL_tmpz00_5731;

											BgL_tmpz00_5731 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1934z00_5226));
											BgL_arg1858z00_5228 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5731);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/collect.scm 187 */
												long BgL_idxz00_5229;

												BgL_idxz00_5229 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5228);
												BgL_test2263z00_5729 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5229 + 3L)) == BgL_classz00_5227);
											}
										else
											{	/* Cfa/collect.scm 187 */
												bool_t BgL_res2186z00_5232;

												{	/* Cfa/collect.scm 187 */
													obj_t BgL_oclassz00_5233;

													{	/* Cfa/collect.scm 187 */
														obj_t BgL_arg1866z00_5234;
														long BgL_arg1867z00_5235;

														BgL_arg1866z00_5234 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/collect.scm 187 */
															long BgL_arg1869z00_5236;

															BgL_arg1869z00_5236 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5228);
															BgL_arg1867z00_5235 =
																(BgL_arg1869z00_5236 - OBJECT_TYPE);
														}
														BgL_oclassz00_5233 =
															VECTOR_REF(BgL_arg1866z00_5234,
															BgL_arg1867z00_5235);
													}
													{	/* Cfa/collect.scm 187 */
														bool_t BgL__ortest_1115z00_5237;

														BgL__ortest_1115z00_5237 =
															(BgL_classz00_5227 == BgL_oclassz00_5233);
														if (BgL__ortest_1115z00_5237)
															{	/* Cfa/collect.scm 187 */
																BgL_res2186z00_5232 = BgL__ortest_1115z00_5237;
															}
														else
															{	/* Cfa/collect.scm 187 */
																long BgL_odepthz00_5238;

																{	/* Cfa/collect.scm 187 */
																	obj_t BgL_arg1855z00_5239;

																	BgL_arg1855z00_5239 = (BgL_oclassz00_5233);
																	BgL_odepthz00_5238 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5239);
																}
																if ((3L < BgL_odepthz00_5238))
																	{	/* Cfa/collect.scm 187 */
																		obj_t BgL_arg1853z00_5240;

																		{	/* Cfa/collect.scm 187 */
																			obj_t BgL_arg1854z00_5241;

																			BgL_arg1854z00_5241 =
																				(BgL_oclassz00_5233);
																			BgL_arg1853z00_5240 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5241, 3L);
																		}
																		BgL_res2186z00_5232 =
																			(BgL_arg1853z00_5240 ==
																			BgL_classz00_5227);
																	}
																else
																	{	/* Cfa/collect.scm 187 */
																		BgL_res2186z00_5232 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2263z00_5729 = BgL_res2186z00_5232;
											}
									}
								}
							}
							if (BgL_test2263z00_5729)
								{	/* Cfa/collect.scm 193 */
									obj_t BgL_casezd2valuezd2_5242;

									BgL_casezd2valuezd2_5242 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_5210))))->BgL_idz00);
									if ((BgL_casezd2valuezd2_5242 == ((obj_t) CNST_TABLE_REF(1))))
										{	/* Cfa/collect.scm 195 */
											bool_t BgL_test2268z00_5761;

											if (CBOOL
												(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/collect.scm 195 */
													BgL_test2268z00_5761 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 195 */
													BgL_test2268z00_5761 =
														CBOOL
														(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
												}
											if (BgL_test2268z00_5761)
												{	/* Cfa/collect.scm 195 */
													{	/* Cfa/collect.scm 197 */
														BgL_prezd2arithmeticzd2appz00_bglt
															BgL_wide1186z00_5243;
														BgL_wide1186z00_5243 =
															((BgL_prezd2arithmeticzd2appz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2arithmeticzd2appz00_bgl))));
														{	/* Cfa/collect.scm 197 */
															obj_t BgL_auxz00_5770;
															BgL_objectz00_bglt BgL_tmpz00_5766;

															BgL_auxz00_5770 = ((obj_t) BgL_wide1186z00_5243);
															BgL_tmpz00_5766 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5119)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5766,
																BgL_auxz00_5770);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5119)));
														{	/* Cfa/collect.scm 197 */
															long BgL_arg1893z00_5244;

															BgL_arg1893z00_5244 =
																BGL_CLASS_NUM
																(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5119))), BgL_arg1893z00_5244);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5119)));
													}
													{
														BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5784;

														{
															obj_t BgL_auxz00_5785;

															{	/* Cfa/collect.scm 198 */
																BgL_objectz00_bglt BgL_tmpz00_5786;

																BgL_tmpz00_5786 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
																BgL_auxz00_5785 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5786);
															}
															BgL_auxz00_5784 =
																((BgL_prezd2arithmeticzd2appz00_bglt)
																BgL_auxz00_5785);
														}
														((((BgL_prezd2arithmeticzd2appz00_bglt)
																	COBJECT(BgL_auxz00_5784))->
																BgL_speczd2typeszd2) =
															((obj_t)
																BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
																(((BgL_globalz00_bglt) BgL_vz00_5210))),
															BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5119)));
												}
											else
												{	/* Cfa/collect.scm 195 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 193 */
											if (
												(BgL_casezd2valuezd2_5242 ==
													((obj_t) CNST_TABLE_REF(2))))
												{	/* Cfa/collect.scm 193 */
													BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
														MAKE_YOUNG_PAIR(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_5119)),
														BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
													{	/* Cfa/collect.scm 201 */
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_wide1190z00_5245;
														BgL_wide1190z00_5245 =
															((BgL_prezd2makezd2procedurezd2appzd2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_prezd2makezd2procedurezd2appzd2_bgl))));
														{	/* Cfa/collect.scm 201 */
															obj_t BgL_auxz00_5810;
															BgL_objectz00_bglt BgL_tmpz00_5806;

															BgL_auxz00_5810 = ((obj_t) BgL_wide1190z00_5245);
															BgL_tmpz00_5806 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5119)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5806,
																BgL_auxz00_5810);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5119)));
														{	/* Cfa/collect.scm 201 */
															long BgL_arg1895z00_5246;

															BgL_arg1895z00_5246 =
																BGL_CLASS_NUM
																(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_5119))), BgL_arg1895z00_5246);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5119)));
													}
													{
														BgL_prezd2makezd2procedurezd2appzd2_bglt
															BgL_auxz00_5824;
														{
															obj_t BgL_auxz00_5825;

															{	/* Cfa/collect.scm 201 */
																BgL_objectz00_bglt BgL_tmpz00_5826;

																BgL_tmpz00_5826 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
																BgL_auxz00_5825 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5826);
															}
															BgL_auxz00_5824 =
																((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																BgL_auxz00_5825);
														}
														((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	COBJECT(BgL_auxz00_5824))->BgL_ownerz00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_ownerz00_5120)), BUNSPEC);
													}
													return
														((obj_t)
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5119)));
												}
											else
												{	/* Cfa/collect.scm 193 */
													if (
														(BgL_casezd2valuezd2_5242 ==
															((obj_t) CNST_TABLE_REF(3))))
														{	/* Cfa/collect.scm 193 */
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	((BgL_appz00_bglt) BgL_nodez00_5119)),
																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
															{	/* Cfa/collect.scm 204 */
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_wide1194z00_5247;
																BgL_wide1194z00_5247 =
																	((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2makezd2procedurezd2appzd2_bgl))));
																{	/* Cfa/collect.scm 204 */
																	obj_t BgL_auxz00_5849;
																	BgL_objectz00_bglt BgL_tmpz00_5845;

																	BgL_auxz00_5849 =
																		((obj_t) BgL_wide1194z00_5247);
																	BgL_tmpz00_5845 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5119)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5845,
																		BgL_auxz00_5849);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
																{	/* Cfa/collect.scm 204 */
																	long BgL_arg1897z00_5248;

																	BgL_arg1897z00_5248 =
																		BGL_CLASS_NUM
																		(BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5119))),
																		BgL_arg1897z00_5248);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
															}
															{
																BgL_prezd2makezd2procedurezd2appzd2_bglt
																	BgL_auxz00_5863;
																{
																	obj_t BgL_auxz00_5864;

																	{	/* Cfa/collect.scm 204 */
																		BgL_objectz00_bglt BgL_tmpz00_5865;

																		BgL_tmpz00_5865 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5119)));
																		BgL_auxz00_5864 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5865);
																	}
																	BgL_auxz00_5863 =
																		((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																		BgL_auxz00_5864);
																}
																((((BgL_prezd2makezd2procedurezd2appzd2_bglt)
																			COBJECT(BgL_auxz00_5863))->BgL_ownerz00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt)
																			BgL_ownerz00_5120)), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5119)));
														}
													else
														{	/* Cfa/collect.scm 193 */
															if (
																(BgL_casezd2valuezd2_5242 ==
																	((obj_t) CNST_TABLE_REF(4))))
																{	/* Cfa/collect.scm 193 */
																	{	/* Cfa/collect.scm 206 */
																		BgL_prezd2procedurezd2refzd2appzd2_bglt
																			BgL_wide1198z00_5249;
																		BgL_wide1198z00_5249 =
																			((BgL_prezd2procedurezd2refzd2appzd2_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_prezd2procedurezd2refzd2appzd2_bgl))));
																		{	/* Cfa/collect.scm 206 */
																			obj_t BgL_auxz00_5885;
																			BgL_objectz00_bglt BgL_tmpz00_5881;

																			BgL_auxz00_5885 =
																				((obj_t) BgL_wide1198z00_5249);
																			BgL_tmpz00_5881 =
																				((BgL_objectz00_bglt)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5119)));
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5881,
																				BgL_auxz00_5885);
																		}
																		((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5119)));
																		{	/* Cfa/collect.scm 206 */
																			long BgL_arg1899z00_5250;

																			BgL_arg1899z00_5250 =
																				BGL_CLASS_NUM
																				(BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00);
																			BGL_OBJECT_CLASS_NUM_SET((
																					(BgL_objectz00_bglt) (
																						(BgL_appz00_bglt) ((BgL_appz00_bglt)
																							BgL_nodez00_5119))),
																				BgL_arg1899z00_5250);
																		}
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5119)));
																	}
																	return
																		((obj_t)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5119)));
																}
															else
																{	/* Cfa/collect.scm 193 */
																	if (
																		(BgL_casezd2valuezd2_5242 ==
																			((obj_t) CNST_TABLE_REF(5))))
																		{	/* Cfa/collect.scm 193 */
																			{	/* Cfa/collect.scm 208 */
																				BgL_prezd2procedurezd2setz12zd2appzc0_bglt
																					BgL_wide1202z00_5251;
																				BgL_wide1202z00_5251 =
																					(
																					(BgL_prezd2procedurezd2setz12zd2appzc0_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_prezd2procedurezd2setz12zd2appzc0_bgl))));
																				{	/* Cfa/collect.scm 208 */
																					obj_t BgL_auxz00_5911;
																					BgL_objectz00_bglt BgL_tmpz00_5907;

																					BgL_auxz00_5911 =
																						((obj_t) BgL_wide1202z00_5251);
																					BgL_tmpz00_5907 =
																						((BgL_objectz00_bglt)
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_5119)));
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_5907, BgL_auxz00_5911);
																				}
																				((BgL_objectz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5119)));
																				{	/* Cfa/collect.scm 208 */
																					long BgL_arg1901z00_5252;

																					BgL_arg1901z00_5252 =
																						BGL_CLASS_NUM
																						(BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt) (
																								(BgL_appz00_bglt) (
																									(BgL_appz00_bglt)
																									BgL_nodez00_5119))),
																						BgL_arg1901z00_5252);
																				}
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						((BgL_appz00_bglt)
																							BgL_nodez00_5119)));
																			}
																			return
																				((obj_t)
																				((BgL_appz00_bglt)
																					((BgL_appz00_bglt)
																						BgL_nodez00_5119)));
																		}
																	else
																		{	/* Cfa/collect.scm 193 */
																			if (
																				(BgL_casezd2valuezd2_5242 ==
																					((obj_t) CNST_TABLE_REF(6))))
																				{	/* Cfa/collect.scm 193 */
																					if (BGl_vectorzd2optimzf3z21zzcfa_vectorz00())
																						{	/* Cfa/collect.scm 210 */
																							BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																								=
																								MAKE_YOUNG_PAIR(((obj_t) (
																										(BgL_appz00_bglt)
																										BgL_nodez00_5119)),
																								BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																							{	/* Cfa/collect.scm 212 */
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_wide1206z00_5253;
																								BgL_wide1206z00_5253 =
																									(
																									(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_prezd2makezd2vectorzd2appzd2_bgl))));
																								{	/* Cfa/collect.scm 212 */
																									obj_t BgL_auxz00_5942;
																									BgL_objectz00_bglt
																										BgL_tmpz00_5938;
																									BgL_auxz00_5942 =
																										((obj_t)
																										BgL_wide1206z00_5253);
																									BgL_tmpz00_5938 =
																										((BgL_objectz00_bglt) (
																											(BgL_appz00_bglt) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5119)));
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5938,
																										BgL_auxz00_5942);
																								}
																								((BgL_objectz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5119)));
																								{	/* Cfa/collect.scm 212 */
																									long BgL_arg1904z00_5254;

																									BgL_arg1904z00_5254 =
																										BGL_CLASS_NUM
																										(BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5119))),
																										BgL_arg1904z00_5254);
																								}
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										((BgL_appz00_bglt)
																											BgL_nodez00_5119)));
																							}
																							{
																								BgL_prezd2makezd2vectorzd2appzd2_bglt
																									BgL_auxz00_5956;
																								{
																									obj_t BgL_auxz00_5957;

																									{	/* Cfa/collect.scm 212 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5958;
																										BgL_tmpz00_5958 =
																											((BgL_objectz00_bglt) (
																												(BgL_appz00_bglt) (
																													(BgL_appz00_bglt)
																													BgL_nodez00_5119)));
																										BgL_auxz00_5957 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_5958);
																									}
																									BgL_auxz00_5956 =
																										(
																										(BgL_prezd2makezd2vectorzd2appzd2_bglt)
																										BgL_auxz00_5957);
																								}
																								((((BgL_prezd2makezd2vectorzd2appzd2_bglt) COBJECT(BgL_auxz00_5956))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5120)), BUNSPEC);
																							}
																							return
																								((obj_t)
																								((BgL_appz00_bglt)
																									((BgL_appz00_bglt)
																										BgL_nodez00_5119)));
																						}
																					else
																						{	/* Cfa/collect.scm 210 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Cfa/collect.scm 193 */
																					if (
																						(BgL_casezd2valuezd2_5242 ==
																							((obj_t) CNST_TABLE_REF(7))))
																						{	/* Cfa/collect.scm 193 */
																							if (
																								((long)
																									CINT
																									(BGl_za2optimza2z00zzengine_paramz00)
																									>= 2L))
																								{	/* Cfa/collect.scm 214 */
																									BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																										=
																										MAKE_YOUNG_PAIR(((obj_t) (
																												(BgL_appz00_bglt)
																												BgL_nodez00_5119)),
																										BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																									{	/* Cfa/collect.scm 216 */
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_wide1210z00_5255;
																										BgL_wide1210z00_5255 =
																											(
																											(BgL_prezd2makezd2structzd2appzd2_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_prezd2makezd2structzd2appzd2_bgl))));
																										{	/* Cfa/collect.scm 216 */
																											obj_t BgL_auxz00_5984;
																											BgL_objectz00_bglt
																												BgL_tmpz00_5980;
																											BgL_auxz00_5984 =
																												((obj_t)
																												BgL_wide1210z00_5255);
																											BgL_tmpz00_5980 =
																												((BgL_objectz00_bglt) (
																													(BgL_appz00_bglt) (
																														(BgL_appz00_bglt)
																														BgL_nodez00_5119)));
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_5980,
																												BgL_auxz00_5984);
																										}
																										((BgL_objectz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5119)));
																										{	/* Cfa/collect.scm 216 */
																											long BgL_arg1907z00_5256;

																											BgL_arg1907z00_5256 =
																												BGL_CLASS_NUM
																												(BGl_prezd2makezd2structzd2appzd2zzcfa_info2z00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt) (
																														(BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5119))),
																												BgL_arg1907z00_5256);
																										}
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												((BgL_appz00_bglt)
																													BgL_nodez00_5119)));
																									}
																									{
																										BgL_prezd2makezd2structzd2appzd2_bglt
																											BgL_auxz00_5998;
																										{
																											obj_t BgL_auxz00_5999;

																											{	/* Cfa/collect.scm 216 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_6000;
																												BgL_tmpz00_6000 =
																													((BgL_objectz00_bglt)
																													((BgL_appz00_bglt) (
																															(BgL_appz00_bglt)
																															BgL_nodez00_5119)));
																												BgL_auxz00_5999 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_6000);
																											}
																											BgL_auxz00_5998 =
																												(
																												(BgL_prezd2makezd2structzd2appzd2_bglt)
																												BgL_auxz00_5999);
																										}
																										((((BgL_prezd2makezd2structzd2appzd2_bglt) COBJECT(BgL_auxz00_5998))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5120)), BUNSPEC);
																									}
																									return
																										((obj_t)
																										((BgL_appz00_bglt)
																											((BgL_appz00_bglt)
																												BgL_nodez00_5119)));
																								}
																							else
																								{	/* Cfa/collect.scm 214 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Cfa/collect.scm 193 */
																							if (
																								(BgL_casezd2valuezd2_5242 ==
																									((obj_t) CNST_TABLE_REF(8))))
																								{	/* Cfa/collect.scm 193 */
																									if (
																										((long)
																											CINT
																											(BGl_za2optimza2z00zzengine_paramz00)
																											>= 2L))
																										{	/* Cfa/collect.scm 218 */
																											{	/* Cfa/collect.scm 219 */
																												BgL_prezd2structzd2refzd2appzd2_bglt
																													BgL_wide1214z00_5257;
																												BgL_wide1214z00_5257 =
																													(
																													(BgL_prezd2structzd2refzd2appzd2_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_prezd2structzd2refzd2appzd2_bgl))));
																												{	/* Cfa/collect.scm 219 */
																													obj_t BgL_auxz00_6023;
																													BgL_objectz00_bglt
																														BgL_tmpz00_6019;
																													BgL_auxz00_6023 =
																														((obj_t)
																														BgL_wide1214z00_5257);
																													BgL_tmpz00_6019 =
																														(
																														(BgL_objectz00_bglt)
																														((BgL_appz00_bglt) (
																																(BgL_appz00_bglt)
																																BgL_nodez00_5119)));
																													BGL_OBJECT_WIDENING_SET
																														(BgL_tmpz00_6019,
																														BgL_auxz00_6023);
																												}
																												((BgL_objectz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5119)));
																												{	/* Cfa/collect.scm 219 */
																													long
																														BgL_arg1910z00_5258;
																													BgL_arg1910z00_5258 =
																														BGL_CLASS_NUM
																														(BGl_prezd2structzd2refzd2appzd2zzcfa_info2z00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1910z00_5258);
																												}
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														((BgL_appz00_bglt)
																															BgL_nodez00_5119)));
																											}
																											return
																												((obj_t)
																												((BgL_appz00_bglt)
																													((BgL_appz00_bglt)
																														BgL_nodez00_5119)));
																										}
																									else
																										{	/* Cfa/collect.scm 218 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Cfa/collect.scm 193 */
																									if (
																										(BgL_casezd2valuezd2_5242 ==
																											((obj_t)
																												CNST_TABLE_REF(9))))
																										{	/* Cfa/collect.scm 193 */
																											if (
																												((long)
																													CINT
																													(BGl_za2optimza2z00zzengine_paramz00)
																													>= 2L))
																												{	/* Cfa/collect.scm 221 */
																													{	/* Cfa/collect.scm 222 */
																														BgL_prezd2structzd2setz12zd2appzc0_bglt
																															BgL_wide1218z00_5259;
																														BgL_wide1218z00_5259
																															=
																															(
																															(BgL_prezd2structzd2setz12zd2appzc0_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_prezd2structzd2setz12zd2appzc0_bgl))));
																														{	/* Cfa/collect.scm 222 */
																															obj_t
																																BgL_auxz00_6052;
																															BgL_objectz00_bglt
																																BgL_tmpz00_6048;
																															BgL_auxz00_6052 =
																																((obj_t)
																																BgL_wide1218z00_5259);
																															BgL_tmpz00_6048 =
																																(
																																(BgL_objectz00_bglt)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_6048,
																																BgL_auxz00_6052);
																														}
																														((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																														{	/* Cfa/collect.scm 222 */
																															long
																																BgL_arg1913z00_5260;
																															BgL_arg1913z00_5260
																																=
																																BGL_CLASS_NUM
																																(BGl_prezd2structzd2setz12zd2appzc0zzcfa_info2z00);
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1913z00_5260);
																														}
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																((BgL_appz00_bglt) BgL_nodez00_5119)));
																													}
																													return
																														((obj_t)
																														((BgL_appz00_bglt)
																															((BgL_appz00_bglt)
																																BgL_nodez00_5119)));
																												}
																											else
																												{	/* Cfa/collect.scm 221 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Cfa/collect.scm 193 */
																											if (
																												(BgL_casezd2valuezd2_5242
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(10))))
																												{	/* Cfa/collect.scm 193 */
																													if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																														{	/* Cfa/collect.scm 224 */
																															BGl_za2usedzd2allocza2zd2zzcfa_collectz00
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t) (
																																		(BgL_appz00_bglt)
																																		BgL_nodez00_5119)),
																																BGl_za2usedzd2allocza2zd2zzcfa_collectz00);
																															{	/* Cfa/collect.scm 226 */
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_wide1222z00_5261;
																																BgL_wide1222z00_5261
																																	=
																																	(
																																	(BgL_prezd2conszd2appz00_bglt)
																																	BOBJECT
																																	(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_prezd2conszd2appz00_bgl))));
																																{	/* Cfa/collect.scm 226 */
																																	obj_t
																																		BgL_auxz00_6083;
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_6079;
																																	BgL_auxz00_6083
																																		=
																																		((obj_t)
																																		BgL_wide1222z00_5261);
																																	BgL_tmpz00_6079
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_tmpz00_6079,
																																		BgL_auxz00_6083);
																																}
																																((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																{	/* Cfa/collect.scm 226 */
																																	long
																																		BgL_arg1916z00_5262;
																																	BgL_arg1916z00_5262
																																		=
																																		BGL_CLASS_NUM
																																		(BGl_prezd2conszd2appz00zzcfa_info2z00);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1916z00_5262);
																																}
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																															}
																															{
																																BgL_prezd2conszd2appz00_bglt
																																	BgL_auxz00_6097;
																																{
																																	obj_t
																																		BgL_auxz00_6098;
																																	{	/* Cfa/collect.scm 226 */
																																		BgL_objectz00_bglt
																																			BgL_tmpz00_6099;
																																		BgL_tmpz00_6099
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																		BgL_auxz00_6098
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_tmpz00_6099);
																																	}
																																	BgL_auxz00_6097
																																		=
																																		(
																																		(BgL_prezd2conszd2appz00_bglt)
																																		BgL_auxz00_6098);
																																}
																																((((BgL_prezd2conszd2appz00_bglt) COBJECT(BgL_auxz00_6097))->BgL_ownerz00) = ((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_ownerz00_5120)), BUNSPEC);
																															}
																															return
																																((obj_t)
																																((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																														}
																													else
																														{	/* Cfa/collect.scm 224 */
																															return BFALSE;
																														}
																												}
																											else
																												{	/* Cfa/collect.scm 193 */
																													if (
																														(BgL_casezd2valuezd2_5242
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(11))))
																														{	/* Cfa/collect.scm 193 */
																															if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																{	/* Cfa/collect.scm 228 */
																																	{	/* Cfa/collect.scm 229 */
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_wide1226z00_5263;
																																		BgL_wide1226z00_5263
																																			=
																																			(
																																			(BgL_prezd2conszd2refzd2appzd2_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_prezd2conszd2refzd2appzd2_bgl))));
																																		{	/* Cfa/collect.scm 229 */
																																			obj_t
																																				BgL_auxz00_6121;
																																			BgL_objectz00_bglt
																																				BgL_tmpz00_6117;
																																			BgL_auxz00_6121
																																				=
																																				((obj_t)
																																				BgL_wide1226z00_5263);
																																			BgL_tmpz00_6117
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_tmpz00_6117,
																																				BgL_auxz00_6121);
																																		}
																																		((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																		{	/* Cfa/collect.scm 229 */
																																			long
																																				BgL_arg1919z00_5264;
																																			BgL_arg1919z00_5264
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1919z00_5264);
																																		}
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																	}
																																	{
																																		BgL_prezd2conszd2refzd2appzd2_bglt
																																			BgL_auxz00_6135;
																																		{
																																			obj_t
																																				BgL_auxz00_6136;
																																			{	/* Cfa/collect.scm 230 */
																																				BgL_objectz00_bglt
																																					BgL_tmpz00_6137;
																																				BgL_tmpz00_6137
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																				BgL_auxz00_6136
																																					=
																																					BGL_OBJECT_WIDENING
																																					(BgL_tmpz00_6137);
																																			}
																																			BgL_auxz00_6135
																																				=
																																				(
																																				(BgL_prezd2conszd2refzd2appzd2_bglt)
																																				BgL_auxz00_6136);
																																		}
																																		((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6135))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																	}
																																	return
																																		((obj_t)
																																		((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																}
																															else
																																{	/* Cfa/collect.scm 228 */
																																	return BFALSE;
																																}
																														}
																													else
																														{	/* Cfa/collect.scm 193 */
																															if (
																																(BgL_casezd2valuezd2_5242
																																	==
																																	((obj_t)
																																		CNST_TABLE_REF
																																		(12))))
																																{	/* Cfa/collect.scm 193 */
																																	if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																		{	/* Cfa/collect.scm 232 */
																																			{	/* Cfa/collect.scm 233 */
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_wide1230z00_5265;
																																				BgL_wide1230z00_5265
																																					=
																																					(
																																					(BgL_prezd2conszd2refzd2appzd2_bglt)
																																					BOBJECT
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_prezd2conszd2refzd2appzd2_bgl))));
																																				{	/* Cfa/collect.scm 233 */
																																					obj_t
																																						BgL_auxz00_6158;
																																					BgL_objectz00_bglt
																																						BgL_tmpz00_6154;
																																					BgL_auxz00_6158
																																						=
																																						(
																																						(obj_t)
																																						BgL_wide1230z00_5265);
																																					BgL_tmpz00_6154
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_tmpz00_6154,
																																						BgL_auxz00_6158);
																																				}
																																				((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																				{	/* Cfa/collect.scm 233 */
																																					long
																																						BgL_arg1922z00_5266;
																																					BgL_arg1922z00_5266
																																						=
																																						BGL_CLASS_NUM
																																						(BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00);
																																					BGL_OBJECT_CLASS_NUM_SET
																																						(((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1922z00_5266);
																																				}
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																			}
																																			{
																																				BgL_prezd2conszd2refzd2appzd2_bglt
																																					BgL_auxz00_6172;
																																				{
																																					obj_t
																																						BgL_auxz00_6173;
																																					{	/* Cfa/collect.scm 234 */
																																						BgL_objectz00_bglt
																																							BgL_tmpz00_6174;
																																						BgL_tmpz00_6174
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																						BgL_auxz00_6173
																																							=
																																							BGL_OBJECT_WIDENING
																																							(BgL_tmpz00_6174);
																																					}
																																					BgL_auxz00_6172
																																						=
																																						(
																																						(BgL_prezd2conszd2refzd2appzd2_bglt)
																																						BgL_auxz00_6173);
																																				}
																																				((((BgL_prezd2conszd2refzd2appzd2_bglt) COBJECT(BgL_auxz00_6172))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																			}
																																			return
																																				((obj_t)
																																				((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																		}
																																	else
																																		{	/* Cfa/collect.scm 232 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Cfa/collect.scm 193 */
																																	if (
																																		(BgL_casezd2valuezd2_5242
																																			==
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(13))))
																																		{	/* Cfa/collect.scm 193 */
																																			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																				{	/* Cfa/collect.scm 236 */
																																					{	/* Cfa/collect.scm 237 */
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_wide1234z00_5267;
																																						BgL_wide1234z00_5267
																																							=
																																							(
																																							(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																						{	/* Cfa/collect.scm 237 */
																																							obj_t
																																								BgL_auxz00_6195;
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_6191;
																																							BgL_auxz00_6195
																																								=
																																								(
																																								(obj_t)
																																								BgL_wide1234z00_5267);
																																							BgL_tmpz00_6191
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_6191,
																																								BgL_auxz00_6195);
																																						}
																																						((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																						{	/* Cfa/collect.scm 237 */
																																							long
																																								BgL_arg1926z00_5268;
																																							BgL_arg1926z00_5268
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1926z00_5268);
																																						}
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																					}
																																					{
																																						BgL_prezd2conszd2setz12zd2appzc0_bglt
																																							BgL_auxz00_6209;
																																						{
																																							obj_t
																																								BgL_auxz00_6210;
																																							{	/* Cfa/collect.scm 238 */
																																								BgL_objectz00_bglt
																																									BgL_tmpz00_6211;
																																								BgL_tmpz00_6211
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																								BgL_auxz00_6210
																																									=
																																									BGL_OBJECT_WIDENING
																																									(BgL_tmpz00_6211);
																																							}
																																							BgL_auxz00_6209
																																								=
																																								(
																																								(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																								BgL_auxz00_6210);
																																						}
																																						((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6209))->BgL_getz00) = ((obj_t) BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																					}
																																					return
																																						(
																																						(obj_t)
																																						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																				}
																																			else
																																				{	/* Cfa/collect.scm 236 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Cfa/collect.scm 193 */
																																			if (
																																				(BgL_casezd2valuezd2_5242
																																					==
																																					((obj_t) CNST_TABLE_REF(14))))
																																				{	/* Cfa/collect.scm 193 */
																																					if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
																																						{	/* Cfa/collect.scm 240 */
																																							{	/* Cfa/collect.scm 241 */
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_wide1238z00_5269;
																																								BgL_wide1238z00_5269
																																									=
																																									(
																																									(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																									BOBJECT
																																									(GC_MALLOC
																																										(sizeof
																																											(struct
																																												BgL_prezd2conszd2setz12zd2appzc0_bgl))));
																																								{	/* Cfa/collect.scm 241 */
																																									obj_t
																																										BgL_auxz00_6232;
																																									BgL_objectz00_bglt
																																										BgL_tmpz00_6228;
																																									BgL_auxz00_6232
																																										=
																																										(
																																										(obj_t)
																																										BgL_wide1238z00_5269);
																																									BgL_tmpz00_6228
																																										=
																																										(
																																										(BgL_objectz00_bglt)
																																										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																									BGL_OBJECT_WIDENING_SET
																																										(BgL_tmpz00_6228,
																																										BgL_auxz00_6232);
																																								}
																																								((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																								{	/* Cfa/collect.scm 241 */
																																									long
																																										BgL_arg1929z00_5270;
																																									BgL_arg1929z00_5270
																																										=
																																										BGL_CLASS_NUM
																																										(BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00);
																																									BGL_OBJECT_CLASS_NUM_SET
																																										(
																																										((BgL_objectz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119))), BgL_arg1929z00_5270);
																																								}
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																							}
																																							{
																																								BgL_prezd2conszd2setz12zd2appzc0_bglt
																																									BgL_auxz00_6246;
																																								{
																																									obj_t
																																										BgL_auxz00_6247;
																																									{	/* Cfa/collect.scm 242 */
																																										BgL_objectz00_bglt
																																											BgL_tmpz00_6248;
																																										BgL_tmpz00_6248
																																											=
																																											(
																																											(BgL_objectz00_bglt)
																																											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																										BgL_auxz00_6247
																																											=
																																											BGL_OBJECT_WIDENING
																																											(BgL_tmpz00_6248);
																																									}
																																									BgL_auxz00_6246
																																										=
																																										(
																																										(BgL_prezd2conszd2setz12zd2appzc0_bglt)
																																										BgL_auxz00_6247);
																																								}
																																								((((BgL_prezd2conszd2setz12zd2appzc0_bglt) COBJECT(BgL_auxz00_6246))->BgL_getz00) = ((obj_t) BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00), BUNSPEC);
																																							}
																																							return
																																								(
																																								(obj_t)
																																								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5119)));
																																						}
																																					else
																																						{	/* Cfa/collect.scm 240 */
																																							return
																																								BFALSE;
																																						}
																																				}
																																			else
																																				{	/* Cfa/collect.scm 193 */
																																					return
																																						BUNSPEC;
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
							else
								{	/* Cfa/collect.scm 244 */
									bool_t BgL_test2292z00_6258;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/collect.scm 244 */
											BgL_test2292z00_6258 = ((bool_t) 1);
										}
									else
										{	/* Cfa/collect.scm 244 */
											BgL_test2292z00_6258 =
												CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00);
										}
									if (BgL_test2292z00_6258)
										{	/* Cfa/collect.scm 244 */
											if (CBOOL
												(BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7((
															(BgL_globalz00_bglt) BgL_vz00_5210))))
												{	/* Cfa/collect.scm 247 */
													obj_t BgL_typesz00_5271;

													BgL_typesz00_5271 =
														BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7
														(((BgL_globalz00_bglt) BgL_vz00_5210));
													if (PAIRP(BgL_typesz00_5271))
														{	/* Cfa/collect.scm 248 */
															{	/* Cfa/collect.scm 249 */
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_wide1242z00_5272;
																BgL_wide1242z00_5272 =
																	((BgL_prezd2arithmeticzd2appz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_prezd2arithmeticzd2appz00_bgl))));
																{	/* Cfa/collect.scm 249 */
																	obj_t BgL_auxz00_6275;
																	BgL_objectz00_bglt BgL_tmpz00_6271;

																	BgL_auxz00_6275 =
																		((obj_t) BgL_wide1242z00_5272);
																	BgL_tmpz00_6271 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt)
																			((BgL_appz00_bglt) BgL_nodez00_5119)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6271,
																		BgL_auxz00_6275);
																}
																((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
																{	/* Cfa/collect.scm 249 */
																	long BgL_arg1933z00_5273;

																	BgL_arg1933z00_5273 =
																		BGL_CLASS_NUM
																		(BGl_prezd2arithmeticzd2appz00zzcfa_info2z00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_appz00_bglt) ((BgL_appz00_bglt)
																					BgL_nodez00_5119))),
																		BgL_arg1933z00_5273);
																}
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5119)));
															}
															{
																BgL_prezd2arithmeticzd2appz00_bglt
																	BgL_auxz00_6289;
																{
																	obj_t BgL_auxz00_6290;

																	{	/* Cfa/collect.scm 250 */
																		BgL_objectz00_bglt BgL_tmpz00_6291;

																		BgL_tmpz00_6291 =
																			((BgL_objectz00_bglt)
																			((BgL_appz00_bglt)
																				((BgL_appz00_bglt) BgL_nodez00_5119)));
																		BgL_auxz00_6290 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6291);
																	}
																	BgL_auxz00_6289 =
																		((BgL_prezd2arithmeticzd2appz00_bglt)
																		BgL_auxz00_6290);
																}
																((((BgL_prezd2arithmeticzd2appz00_bglt)
																			COBJECT(BgL_auxz00_6289))->
																		BgL_speczd2typeszd2) =
																	((obj_t) BgL_typesz00_5271), BUNSPEC);
															}
															return
																((obj_t)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5119)));
														}
													else
														{	/* Cfa/collect.scm 248 */
															return BFALSE;
														}
												}
											else
												{	/* Cfa/collect.scm 246 */
													return BFALSE;
												}
										}
									else
										{	/* Cfa/collect.scm 244 */
											return BFALSE;
										}
								}
						}
					else
						{	/* Cfa/collect.scm 186 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &node-collect!-sync1662 */
	obj_t BGl_z62nodezd2collectz12zd2sync1662z70zzcfa_collectz00(obj_t
		BgL_envz00_5121, obj_t BgL_nodez00_5122, obj_t BgL_ownerz00_5123)
	{
		{	/* Cfa/collect.scm 173 */
			{	/* Cfa/collect.scm 174 */
				BgL_nodez00_bglt BgL_arg1878z00_5275;

				BgL_arg1878z00_5275 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5122)))->BgL_mutexz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1878z00_5275,
					((BgL_variablez00_bglt) BgL_ownerz00_5123));
			}
			{	/* Cfa/collect.scm 175 */
				BgL_nodez00_bglt BgL_arg1882z00_5276;

				BgL_arg1882z00_5276 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5122)))->BgL_prelockz00);
				BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1882z00_5276,
					((BgL_variablez00_bglt) BgL_ownerz00_5123));
			}
			{	/* Cfa/collect.scm 176 */
				BgL_nodez00_bglt BgL_arg1884z00_5277;

				BgL_arg1884z00_5277 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5122)))->BgL_bodyz00);
				return
					BGl_nodezd2collectz12zc0zzcfa_collectz00(BgL_arg1884z00_5277,
					((BgL_variablez00_bglt) BgL_ownerz00_5123));
			}
		}

	}



/* &node-collect!-sequen1660 */
	obj_t BGl_z62nodezd2collectz12zd2sequen1660z70zzcfa_collectz00(obj_t
		BgL_envz00_5124, obj_t BgL_nodez00_5125, obj_t BgL_ownerz00_5126)
	{
		{	/* Cfa/collect.scm 167 */
			return
				BBOOL(BGl_nodezd2collectza2z12z62zzcfa_collectz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_5125)))->BgL_nodesz00),
					BgL_ownerz00_5126));
		}

	}



/* &node-collect!-var1658 */
	obj_t BGl_z62nodezd2collectz12zd2var1658z70zzcfa_collectz00(obj_t
		BgL_envz00_5127, obj_t BgL_nodez00_5128, obj_t BgL_ownerz00_5129)
	{
		{	/* Cfa/collect.scm 150 */
			{	/* Cfa/collect.scm 151 */
				BgL_variablez00_bglt BgL_vz00_5280;

				BgL_vz00_5280 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt) BgL_nodez00_5128)))->BgL_variablez00);
				{	/* Cfa/collect.scm 152 */
					bool_t BgL_test2296z00_6319;

					{	/* Cfa/collect.scm 152 */
						bool_t BgL_test2297z00_6320;

						{	/* Cfa/collect.scm 152 */
							obj_t BgL_classz00_5281;

							BgL_classz00_5281 = BGl_globalz00zzast_varz00;
							{	/* Cfa/collect.scm 152 */
								BgL_objectz00_bglt BgL_arg1858z00_5282;

								{	/* Cfa/collect.scm 152 */
									obj_t BgL_tmpz00_6321;

									BgL_tmpz00_6321 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5280));
									BgL_arg1858z00_5282 = (BgL_objectz00_bglt) (BgL_tmpz00_6321);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/collect.scm 152 */
										long BgL_idxz00_5283;

										BgL_idxz00_5283 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5282);
										BgL_test2297z00_6320 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5283 + 2L)) == BgL_classz00_5281);
									}
								else
									{	/* Cfa/collect.scm 152 */
										bool_t BgL_res2183z00_5286;

										{	/* Cfa/collect.scm 152 */
											obj_t BgL_oclassz00_5287;

											{	/* Cfa/collect.scm 152 */
												obj_t BgL_arg1866z00_5288;
												long BgL_arg1867z00_5289;

												BgL_arg1866z00_5288 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/collect.scm 152 */
													long BgL_arg1869z00_5290;

													BgL_arg1869z00_5290 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5282);
													BgL_arg1867z00_5289 =
														(BgL_arg1869z00_5290 - OBJECT_TYPE);
												}
												BgL_oclassz00_5287 =
													VECTOR_REF(BgL_arg1866z00_5288, BgL_arg1867z00_5289);
											}
											{	/* Cfa/collect.scm 152 */
												bool_t BgL__ortest_1115z00_5291;

												BgL__ortest_1115z00_5291 =
													(BgL_classz00_5281 == BgL_oclassz00_5287);
												if (BgL__ortest_1115z00_5291)
													{	/* Cfa/collect.scm 152 */
														BgL_res2183z00_5286 = BgL__ortest_1115z00_5291;
													}
												else
													{	/* Cfa/collect.scm 152 */
														long BgL_odepthz00_5292;

														{	/* Cfa/collect.scm 152 */
															obj_t BgL_arg1855z00_5293;

															BgL_arg1855z00_5293 = (BgL_oclassz00_5287);
															BgL_odepthz00_5292 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5293);
														}
														if ((2L < BgL_odepthz00_5292))
															{	/* Cfa/collect.scm 152 */
																obj_t BgL_arg1853z00_5294;

																{	/* Cfa/collect.scm 152 */
																	obj_t BgL_arg1854z00_5295;

																	BgL_arg1854z00_5295 = (BgL_oclassz00_5287);
																	BgL_arg1853z00_5294 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5295,
																		2L);
																}
																BgL_res2183z00_5286 =
																	(BgL_arg1853z00_5294 == BgL_classz00_5281);
															}
														else
															{	/* Cfa/collect.scm 152 */
																BgL_res2183z00_5286 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2297z00_6320 = BgL_res2183z00_5286;
									}
							}
						}
						if (BgL_test2297z00_6320)
							{	/* Cfa/collect.scm 153 */
								bool_t BgL_test2301z00_6344;

								{	/* Cfa/collect.scm 153 */
									obj_t BgL_arg1873z00_5296;

									BgL_arg1873z00_5296 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_vz00_5280)))->BgL_modulez00);
									BgL_test2301z00_6344 =
										(BgL_arg1873z00_5296 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
								if (BgL_test2301z00_6344)
									{	/* Cfa/collect.scm 154 */
										bool_t BgL_test2302z00_6348;

										{	/* Cfa/collect.scm 154 */
											BgL_valuez00_bglt BgL_arg1872z00_5297;

											BgL_arg1872z00_5297 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_vz00_5280))))->
												BgL_valuez00);
											{	/* Cfa/collect.scm 154 */
												obj_t BgL_classz00_5298;

												BgL_classz00_5298 = BGl_scnstz00zzast_varz00;
												{	/* Cfa/collect.scm 154 */
													BgL_objectz00_bglt BgL_arg1858z00_5299;

													{	/* Cfa/collect.scm 154 */
														obj_t BgL_tmpz00_6352;

														BgL_tmpz00_6352 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1872z00_5297));
														BgL_arg1858z00_5299 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6352);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/collect.scm 154 */
															long BgL_idxz00_5300;

															BgL_idxz00_5300 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5299);
															BgL_test2302z00_6348 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5300 + 2L)) == BgL_classz00_5298);
														}
													else
														{	/* Cfa/collect.scm 154 */
															bool_t BgL_res2184z00_5303;

															{	/* Cfa/collect.scm 154 */
																obj_t BgL_oclassz00_5304;

																{	/* Cfa/collect.scm 154 */
																	obj_t BgL_arg1866z00_5305;
																	long BgL_arg1867z00_5306;

																	BgL_arg1866z00_5305 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/collect.scm 154 */
																		long BgL_arg1869z00_5307;

																		BgL_arg1869z00_5307 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5299);
																		BgL_arg1867z00_5306 =
																			(BgL_arg1869z00_5307 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5304 =
																		VECTOR_REF(BgL_arg1866z00_5305,
																		BgL_arg1867z00_5306);
																}
																{	/* Cfa/collect.scm 154 */
																	bool_t BgL__ortest_1115z00_5308;

																	BgL__ortest_1115z00_5308 =
																		(BgL_classz00_5298 == BgL_oclassz00_5304);
																	if (BgL__ortest_1115z00_5308)
																		{	/* Cfa/collect.scm 154 */
																			BgL_res2184z00_5303 =
																				BgL__ortest_1115z00_5308;
																		}
																	else
																		{	/* Cfa/collect.scm 154 */
																			long BgL_odepthz00_5309;

																			{	/* Cfa/collect.scm 154 */
																				obj_t BgL_arg1855z00_5310;

																				BgL_arg1855z00_5310 =
																					(BgL_oclassz00_5304);
																				BgL_odepthz00_5309 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5310);
																			}
																			if ((2L < BgL_odepthz00_5309))
																				{	/* Cfa/collect.scm 154 */
																					obj_t BgL_arg1853z00_5311;

																					{	/* Cfa/collect.scm 154 */
																						obj_t BgL_arg1854z00_5312;

																						BgL_arg1854z00_5312 =
																							(BgL_oclassz00_5304);
																						BgL_arg1853z00_5311 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5312, 2L);
																					}
																					BgL_res2184z00_5303 =
																						(BgL_arg1853z00_5311 ==
																						BgL_classz00_5298);
																				}
																			else
																				{	/* Cfa/collect.scm 154 */
																					BgL_res2184z00_5303 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2302z00_6348 = BgL_res2184z00_5303;
														}
												}
											}
										}
										if (BgL_test2302z00_6348)
											{	/* Cfa/collect.scm 155 */
												bool_t BgL_test2306z00_6375;

												{	/* Cfa/collect.scm 155 */
													obj_t BgL_arg1859z00_5313;

													BgL_arg1859z00_5313 =
														(((BgL_scnstz00_bglt) COBJECT(
																((BgL_scnstz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_5280))))->
																		BgL_valuez00))))->BgL_nodez00);
													BgL_test2306z00_6375 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1859z00_5313,
															BGl_za2usedzd2allocza2zd2zzcfa_collectz00));
												}
												if (BgL_test2306z00_6375)
													{	/* Cfa/collect.scm 155 */
														BgL_test2296z00_6319 = ((bool_t) 0);
													}
												else
													{	/* Cfa/collect.scm 155 */
														BgL_test2296z00_6319 = ((bool_t) 1);
													}
											}
										else
											{	/* Cfa/collect.scm 154 */
												BgL_test2296z00_6319 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 153 */
										BgL_test2296z00_6319 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/collect.scm 152 */
								BgL_test2296z00_6319 = ((bool_t) 0);
							}
					}
					if (BgL_test2296z00_6319)
						{	/* Cfa/collect.scm 152 */
							{	/* Cfa/collect.scm 161 */
								obj_t BgL_arg1856z00_5314;

								BgL_arg1856z00_5314 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt)
												(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_5280))))->
													BgL_valuez00))))->BgL_nodez00);
								BGl_nodezd2collectz12zc0zzcfa_collectz00(((BgL_nodez00_bglt)
										BgL_arg1856z00_5314),
									((BgL_variablez00_bglt) BgL_ownerz00_5129));
							}
						}
					else
						{	/* Cfa/collect.scm 152 */
							BFALSE;
						}
				}
			}
			return BUNSPEC;
		}

	}



/* &node-collect!-kwote1656 */
	obj_t BGl_z62nodezd2collectz12zd2kwote1656z70zzcfa_collectz00(obj_t
		BgL_envz00_5130, obj_t BgL_nodez00_5131, obj_t BgL_ownerz00_5132)
	{
		{	/* Cfa/collect.scm 71 */
			{
				obj_t BgL_valuez00_5336;
				obj_t BgL_valuez00_5323;
				obj_t BgL_vectorz00_5319;

				{	/* Cfa/collect.scm 137 */
					obj_t BgL_valuez00_5346;

					BgL_valuez00_5346 =
						(((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt) BgL_nodez00_5131)))->BgL_valuez00);
					{	/* Cfa/collect.scm 139 */
						bool_t BgL_test2307z00_6393;

						if (VECTORP(BgL_valuez00_5346))
							{	/* Cfa/collect.scm 139 */
								BgL_test2307z00_6393 =
									BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
							}
						else
							{	/* Cfa/collect.scm 139 */
								BgL_test2307z00_6393 = ((bool_t) 0);
							}
						if (BgL_test2307z00_6393)
							{	/* Cfa/collect.scm 139 */
								BgL_valuez00_5323 = BgL_valuez00_5346;
								{	/* Cfa/collect.scm 101 */
									int BgL_warningz00_5324;

									{	/* Cfa/collect.scm 101 */
										int BgL_wanz00_5325;

										BgL_wanz00_5325 = BGl_bigloozd2warningzd2zz__paramz00();
										BGl_bigloozd2warningzd2setz12z12zz__paramz00((int) (0L));
										BgL_warningz00_5324 = BgL_wanz00_5325;
									}
									{	/* Cfa/collect.scm 101 */
										obj_t BgL_backendz00_5326;

										BgL_backendz00_5326 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{	/* Cfa/collect.scm 104 */
											bool_t BgL_pragmazf3zf3_5327;

											{	/* Cfa/collect.scm 105 */
												bool_t BgL_tgtz00_5328;

												BgL_tgtz00_5328 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_backendz00_5326)))->
													BgL_pragmazd2supportzd2);
												((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
																	BgL_backendz00_5326)))->
														BgL_pragmazd2supportzd2) =
													((bool_t) ((bool_t) 1)), BUNSPEC);
												BgL_pragmazf3zf3_5327 = BgL_tgtz00_5328;
											}
											{	/* Cfa/collect.scm 105 */
												BgL_nodez00_bglt BgL_dummyz00_5329;

												{	/* Cfa/collect.scm 109 */
													obj_t BgL_arg1790z00_5330;

													{	/* Cfa/collect.scm 109 */
														obj_t BgL_arg1796z00_5331;

														{	/* Cfa/collect.scm 109 */
															obj_t BgL_arg1799z00_5332;

															{	/* Cfa/collect.scm 110 */
																obj_t BgL_arg1800z00_5333;

																{	/* Cfa/collect.scm 110 */
																	bool_t BgL_test2309z00_6405;

																	BgL_vectorz00_5319 = BgL_valuez00_5323;
																	if ((VECTOR_LENGTH(BgL_vectorz00_5319) == 0L))
																		{	/* Cfa/collect.scm 83 */
																			BgL_test2309z00_6405 = ((bool_t) 0);
																		}
																	else
																		{	/* Cfa/collect.scm 85 */
																			obj_t BgL_atypez00_5320;

																			BgL_atypez00_5320 =
																				BGl_getzd2atypeze70z35zzcfa_collectz00
																				(VECTOR_REF(BgL_vectorz00_5319, 0L));
																			{
																				long BgL_iz00_5322;

																				BgL_iz00_5322 = 1L;
																			BgL_loopz00_5321:
																				if (CBOOL(BgL_atypez00_5320))
																					{	/* Cfa/collect.scm 88 */
																						if (
																							(BgL_iz00_5322 ==
																								VECTOR_LENGTH
																								(BgL_vectorz00_5319)))
																							{	/* Cfa/collect.scm 90 */
																								BgL_test2309z00_6405 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Cfa/collect.scm 90 */
																								if (
																									(BGl_getzd2atypeze70z35zzcfa_collectz00
																										(VECTOR_REF
																											(BgL_vectorz00_5319,
																												BgL_iz00_5322)) ==
																										BgL_atypez00_5320))
																									{
																										long BgL_iz00_6420;

																										BgL_iz00_6420 =
																											(BgL_iz00_5322 + 1L);
																										BgL_iz00_5322 =
																											BgL_iz00_6420;
																										goto BgL_loopz00_5321;
																									}
																								else
																									{	/* Cfa/collect.scm 92 */
																										BgL_test2309z00_6405 =
																											((bool_t) 0);
																									}
																							}
																					}
																				else
																					{	/* Cfa/collect.scm 88 */
																						BgL_test2309z00_6405 = ((bool_t) 0);
																					}
																			}
																		}
																	if (BgL_test2309z00_6405)
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1800z00_5333 =
																				VECTOR_REF(BgL_valuez00_5323, 0L);
																		}
																	else
																		{	/* Cfa/collect.scm 110 */
																			BgL_arg1800z00_5333 =
																				((obj_t) CNST_TABLE_REF(15));
																		}
																}
																BgL_arg1799z00_5332 =
																	MAKE_YOUNG_PAIR(BgL_arg1800z00_5333, BNIL);
															}
															BgL_arg1796z00_5331 =
																MAKE_YOUNG_PAIR(BINT(VECTOR_LENGTH
																	(BgL_valuez00_5323)), BgL_arg1799z00_5332);
														}
														BgL_arg1790z00_5330 =
															MAKE_YOUNG_PAIR(
															((obj_t) CNST_TABLE_REF(6)), BgL_arg1796z00_5331);
													}
													BgL_dummyz00_5329 =
														BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg1790z00_5330, BFALSE);
												}
												{	/* Cfa/collect.scm 108 */

													((((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5326)))->
															BgL_pragmazd2supportzd2) =
														((bool_t) BgL_pragmazf3zf3_5327), BUNSPEC);
													BGl_bigloozd2warningzd2setz12z12zz__paramz00
														(BgL_warningz00_5324);
													{	/* Cfa/collect.scm 116 */
														BgL_kwotezf2nodezf2_bglt BgL_wide1176z00_5334;

														BgL_wide1176z00_5334 =
															((BgL_kwotezf2nodezf2_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_kwotezf2nodezf2_bgl))));
														{	/* Cfa/collect.scm 116 */
															obj_t BgL_auxz00_6441;
															BgL_objectz00_bglt BgL_tmpz00_6437;

															BgL_auxz00_6441 = ((obj_t) BgL_wide1176z00_5334);
															BgL_tmpz00_6437 =
																((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5131)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6437,
																BgL_auxz00_6441);
														}
														((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5131)));
														{	/* Cfa/collect.scm 116 */
															long BgL_arg1789z00_5335;

															BgL_arg1789z00_5335 =
																BGL_CLASS_NUM(BGl_kwotezf2nodezf2zzcfa_infoz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5131))),
																BgL_arg1789z00_5335);
														}
														((BgL_kwotez00_bglt)
															((BgL_kwotez00_bglt)
																((BgL_kwotez00_bglt) BgL_nodez00_5131)));
													}
													{
														BgL_kwotezf2nodezf2_bglt BgL_auxz00_6455;

														{
															obj_t BgL_auxz00_6456;

															{	/* Cfa/collect.scm 116 */
																BgL_objectz00_bglt BgL_tmpz00_6457;

																BgL_tmpz00_6457 =
																	((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_nodez00_5131)));
																BgL_auxz00_6456 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6457);
															}
															BgL_auxz00_6455 =
																((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_6456);
														}
														((((BgL_kwotezf2nodezf2_bglt)
																	COBJECT(BgL_auxz00_6455))->BgL_nodez00) =
															((BgL_nodez00_bglt) BgL_dummyz00_5329), BUNSPEC);
													}
													((BgL_kwotez00_bglt)
														((BgL_kwotez00_bglt) BgL_nodez00_5131));
													return
														BGl_nodezd2collectz12zc0zzcfa_collectz00
														(BgL_dummyz00_5329,
														((BgL_variablez00_bglt) BgL_ownerz00_5132));
												}
											}
										}
									}
								}
							}
						else
							{	/* Cfa/collect.scm 142 */
								bool_t BgL_test2314z00_6468;

								if (PAIRP(BgL_valuez00_5346))
									{	/* Cfa/collect.scm 142 */
										if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
											{	/* Cfa/collect.scm 142 */
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_valuez00_5346))
													{	/* Cfa/collect.scm 143 */
														long BgL_arg1748z00_5347;
														obj_t BgL_arg1755z00_5348;

														BgL_arg1748z00_5347 =
															bgl_list_length(BgL_valuez00_5346);
														BgL_arg1755z00_5348 =
															BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00
															();
														BgL_test2314z00_6468 =
															(BgL_arg1748z00_5347 <
															(long) CINT(BgL_arg1755z00_5348));
													}
												else
													{	/* Cfa/collect.scm 142 */
														BgL_test2314z00_6468 = ((bool_t) 0);
													}
											}
										else
											{	/* Cfa/collect.scm 142 */
												BgL_test2314z00_6468 = ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/collect.scm 142 */
										BgL_test2314z00_6468 = ((bool_t) 0);
									}
								if (BgL_test2314z00_6468)
									{	/* Cfa/collect.scm 142 */
										BgL_valuez00_5336 = BgL_valuez00_5346;
										{	/* Cfa/collect.scm 120 */
											int BgL_warningz00_5337;

											{	/* Cfa/collect.scm 120 */
												int BgL_wanz00_5338;

												BgL_wanz00_5338 = BGl_bigloozd2warningzd2zz__paramz00();
												BGl_bigloozd2warningzd2setz12z12zz__paramz00(
													(int) (0L));
												BgL_warningz00_5337 = BgL_wanz00_5338;
											}
											{	/* Cfa/collect.scm 120 */
												obj_t BgL_backendz00_5339;

												BgL_backendz00_5339 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Cfa/collect.scm 123 */
													bool_t BgL_pragmazf3zf3_5340;

													{	/* Cfa/collect.scm 124 */
														bool_t BgL_tgtz00_5341;

														BgL_tgtz00_5341 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_backendz00_5339)))->
															BgL_pragmazd2supportzd2);
														((((BgL_backendz00_bglt)
																	COBJECT(((BgL_backendz00_bglt)
																			BgL_backendz00_5339)))->
																BgL_pragmazd2supportzd2) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
														BgL_pragmazf3zf3_5340 = BgL_tgtz00_5341;
													}
													{	/* Cfa/collect.scm 124 */
														obj_t BgL_expz00_5342;

														BgL_expz00_5342 =
															BGl_loopze70ze7zzcfa_collectz00
															(BgL_valuez00_5336);
														{	/* Cfa/collect.scm 127 */
															BgL_nodez00_bglt BgL_dummyz00_5343;

															BgL_dummyz00_5343 =
																BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
																(BgL_expz00_5342, BFALSE);
															{	/* Cfa/collect.scm 131 */

																((((BgL_backendz00_bglt) COBJECT(
																				((BgL_backendz00_bglt)
																					BgL_backendz00_5339)))->
																		BgL_pragmazd2supportzd2) =
																	((bool_t) BgL_pragmazf3zf3_5340), BUNSPEC);
																BGl_bigloozd2warningzd2setz12z12zz__paramz00
																	(BgL_warningz00_5337);
																{	/* Cfa/collect.scm 134 */
																	BgL_kwotezf2nodezf2_bglt BgL_wide1181z00_5344;

																	BgL_wide1181z00_5344 =
																		((BgL_kwotezf2nodezf2_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_kwotezf2nodezf2_bgl))));
																	{	/* Cfa/collect.scm 134 */
																		obj_t BgL_auxz00_6497;
																		BgL_objectz00_bglt BgL_tmpz00_6493;

																		BgL_auxz00_6497 =
																			((obj_t) BgL_wide1181z00_5344);
																		BgL_tmpz00_6493 =
																			((BgL_objectz00_bglt)
																			((BgL_kwotez00_bglt)
																				((BgL_kwotez00_bglt)
																					BgL_nodez00_5131)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6493,
																			BgL_auxz00_6497);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5131)));
																	{	/* Cfa/collect.scm 134 */
																		long BgL_arg1803z00_5345;

																		BgL_arg1803z00_5345 =
																			BGL_CLASS_NUM
																			(BGl_kwotezf2nodezf2zzcfa_infoz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_kwotez00_bglt) (
																						(BgL_kwotez00_bglt)
																						BgL_nodez00_5131))),
																			BgL_arg1803z00_5345);
																	}
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt)
																			((BgL_kwotez00_bglt) BgL_nodez00_5131)));
																}
																{
																	BgL_kwotezf2nodezf2_bglt BgL_auxz00_6511;

																	{
																		obj_t BgL_auxz00_6512;

																		{	/* Cfa/collect.scm 134 */
																			BgL_objectz00_bglt BgL_tmpz00_6513;

																			BgL_tmpz00_6513 =
																				((BgL_objectz00_bglt)
																				((BgL_kwotez00_bglt)
																					((BgL_kwotez00_bglt)
																						BgL_nodez00_5131)));
																			BgL_auxz00_6512 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_6513);
																		}
																		BgL_auxz00_6511 =
																			((BgL_kwotezf2nodezf2_bglt)
																			BgL_auxz00_6512);
																	}
																	((((BgL_kwotezf2nodezf2_bglt)
																				COBJECT(BgL_auxz00_6511))->
																			BgL_nodez00) =
																		((BgL_nodez00_bglt) BgL_dummyz00_5343),
																		BUNSPEC);
																}
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_nodez00_5131));
																return
																	BGl_nodezd2collectz12zc0zzcfa_collectz00
																	(BgL_dummyz00_5343,
																	((BgL_variablez00_bglt) BgL_ownerz00_5132));
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/collect.scm 142 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzcfa_collectz00(obj_t BgL_vz00_3687)
	{
		{	/* Cfa/collect.scm 127 */
			if (NULLP(BgL_vz00_3687))
				{	/* Cfa/collect.scm 128 */
					return ((obj_t) CNST_TABLE_REF(16));
				}
			else
				{	/* Cfa/collect.scm 130 */
					obj_t BgL_arg1810z00_3690;

					{	/* Cfa/collect.scm 130 */
						obj_t BgL_arg1811z00_3691;
						obj_t BgL_arg1814z00_3692;

						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1818z00_3693;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1821z00_3694;

								BgL_arg1821z00_3694 = CAR(((obj_t) BgL_vz00_3687));
								BgL_arg1818z00_3693 =
									MAKE_YOUNG_PAIR(BgL_arg1821z00_3694, BNIL);
							}
							BgL_arg1811z00_3691 =
								MAKE_YOUNG_PAIR(
								((obj_t) CNST_TABLE_REF(17)), BgL_arg1818z00_3693);
						}
						{	/* Cfa/collect.scm 130 */
							obj_t BgL_arg1822z00_3695;

							{	/* Cfa/collect.scm 130 */
								obj_t BgL_arg1825z00_3696;

								BgL_arg1825z00_3696 = CDR(((obj_t) BgL_vz00_3687));
								BgL_arg1822z00_3695 =
									BGl_loopze70ze7zzcfa_collectz00(BgL_arg1825z00_3696);
							}
							BgL_arg1814z00_3692 = MAKE_YOUNG_PAIR(BgL_arg1822z00_3695, BNIL);
						}
						BgL_arg1810z00_3690 =
							MAKE_YOUNG_PAIR(BgL_arg1811z00_3691, BgL_arg1814z00_3692);
					}
					return
						MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(10)), BgL_arg1810z00_3690);
				}
		}

	}



/* get-atype~0 */
	obj_t BGl_getzd2atypeze70z35zzcfa_collectz00(obj_t BgL_valuez00_3644)
	{
		{	/* Cfa/collect.scm 81 */
			if (INTEGERP(BgL_valuez00_3644))
				{	/* Cfa/collect.scm 76 */
					return ((obj_t) CNST_TABLE_REF(18));
				}
			else
				{	/* Cfa/collect.scm 76 */
					if (CHARP(BgL_valuez00_3644))
						{	/* Cfa/collect.scm 77 */
							return ((obj_t) CNST_TABLE_REF(19));
						}
					else
						{	/* Cfa/collect.scm 77 */
							if (BOOLEANP(BgL_valuez00_3644))
								{	/* Cfa/collect.scm 78 */
									return ((obj_t) CNST_TABLE_REF(20));
								}
							else
								{	/* Cfa/collect.scm 78 */
									if (STRINGP(BgL_valuez00_3644))
										{	/* Cfa/collect.scm 79 */
											return ((obj_t) CNST_TABLE_REF(21));
										}
									else
										{	/* Cfa/collect.scm 80 */
											bool_t BgL_test2323z00_6558;

											if (INTEGERP(BgL_valuez00_3644))
												{	/* Cfa/collect.scm 80 */
													BgL_test2323z00_6558 = ((bool_t) 1);
												}
											else
												{	/* Cfa/collect.scm 80 */
													BgL_test2323z00_6558 = REALP(BgL_valuez00_3644);
												}
											if (BgL_test2323z00_6558)
												{	/* Cfa/collect.scm 80 */
													return ((obj_t) CNST_TABLE_REF(22));
												}
											else
												{	/* Cfa/collect.scm 80 */
													return BFALSE;
												}
										}
								}
						}
				}
		}

	}



/* &node-collect!-atom1654 */
	obj_t BGl_z62nodezd2collectz12zd2atom1654z70zzcfa_collectz00(obj_t
		BgL_envz00_5133, obj_t BgL_nodez00_5134, obj_t BgL_ownerz00_5135)
	{
		{	/* Cfa/collect.scm 65 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_collectz00(void)
	{
		{	/* Cfa/collect.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(185547682L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(374743292L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_procedurez00(227655313L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_vectorz00(146804578L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(37668556L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_structz00(306923863L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			BGl_modulezd2initializa7ationz75zzcfa_boxz00(370344659L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(188963689L,
				BSTRING_TO_STRING(BGl_string2216z00zzcfa_collectz00));
		}

	}

#ifdef __cplusplus
}
#endif
