/*===========================================================================*/
/*   (Cfa/procedure.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/procedure.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_PROCEDURE_TYPE_DEFINITIONS
#define BGL_CFA_PROCEDURE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;


#endif													// BGL_CFA_PROCEDURE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_procedurez00(void);
	static obj_t
		BGl_z62setzd2procedurezd2approxzd2polymorphicz12za2zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	BGL_IMPORT obj_t make_vector(long, obj_t);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_procedurez00(void);
	static obj_t
		BGl_z62loosezd2allocz12zd2makezd2pr1542za2zzcfa_procedurez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_typeof(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2procedurezd2setz12zd21540zb0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_loosezd2argz12zc0zzcfa_procedurez00(obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_procedurez00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_procedurez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62disablezd2Xzd2Tz12z70zzcfa_procedurez00(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00(void);
	static obj_t BGl_genericzd2initzd2zzcfa_procedurez00(void);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62disablezd2allocz12za2zzcfa_procedurez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_procedurez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_procedurez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00(void);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2make1530za2zzcfa_procedurez00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt);
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2procedurezd2refzd2a1538za2zzcfa_procedurez00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2proc1532za2zzcfa_procedurez00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2proc1534za2zzcfa_procedurez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzcfa_procedurez00(obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2procedurezd21536za2zzcfa_procedurez00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzcfa_procedurez00,
		BgL_bgl_string2120za700za7za7c2134za7, "Cfa/procedure.scm", 17);
	      DEFINE_STRING(BGl_string2122z00zzcfa_procedurez00,
		BgL_bgl_string2122za700za7za7c2135za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2126z00zzcfa_procedurez00,
		BgL_bgl_string2126za700za7za7c2136za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2130z00zzcfa_procedurez00,
		BgL_bgl_string2130za700za7za7c2137za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string2131z00zzcfa_procedurez00,
		BgL_bgl_string2131za700za7za7c2138za7, "cfa_procedure", 13);
	      DEFINE_STRING(BGl_string2132z00zzcfa_procedurez00,
		BgL_bgl_string2132za700za7za7c2139za7, "all ", 4);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2procedurezd2approxzd2polymorphicz12zd2envz12zzcfa_procedurez00,
		BgL_bgl_za762setza7d2procedu2140z00,
		BGl_z62setzd2procedurezd2approxzd2polymorphicz12za2zzcfa_procedurez00, 0L,
		BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzcfa_procedurez00,
		BgL_bgl_za762disableza7d2all2141z00,
		BGl_z62disablezd2allocz12za2zzcfa_procedurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_disablezd2Xzd2Tz12zd2envzc0zzcfa_procedurez00,
		BgL_bgl_za762disableza7d2xza7d2142za7,
		BGl_z62disablezd2Xzd2Tz12z70zzcfa_procedurez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzcfa_procedurez00,
		BgL_bgl_za762nodeza7d2setupza72143za7,
		BGl_z62nodezd2setupz12zd2prezd2make1530za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2123z00zzcfa_procedurez00,
		BgL_bgl_za762nodeza7d2setupza72144za7,
		BGl_z62nodezd2setupz12zd2prezd2proc1532za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2124z00zzcfa_procedurez00,
		BgL_bgl_za762nodeza7d2setupza72145za7,
		BGl_z62nodezd2setupz12zd2prezd2proc1534za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2125z00zzcfa_procedurez00,
		BgL_bgl_za762cfaza712za7d2make2146za7,
		BGl_z62cfaz12zd2makezd2procedurezd21536za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2127z00zzcfa_procedurez00,
		BgL_bgl_za762cfaza712za7d2proc2147za7,
		BGl_z62cfaz12zd2procedurezd2refzd2a1538za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2128z00zzcfa_procedurez00,
		BgL_bgl_za762cfaza712za7d2proc2148za7,
		BGl_z62cfaz12zd2procedurezd2setz12zd21540zb0zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2129z00zzcfa_procedurez00,
		BgL_bgl_za762looseza7d2alloc2149z00,
		BGl_z62loosezd2allocz12zd2makezd2pr1542za2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;
	   
		 
		DEFINE_STRING(BGl_string2115z00zzcfa_procedurez00,
		BgL_bgl_string2115za700za7za7c2150za7, "polymorphic intern fun", 22);
	      DEFINE_STRING(BGl_string2116z00zzcfa_procedurez00,
		BgL_bgl_string2116za700za7za7c2151za7, "polymorphic extern fun", 22);
	      DEFINE_STRING(BGl_string2117z00zzcfa_procedurez00,
		BgL_bgl_string2117za700za7za7c2152za7, "INTERNAL CFA ERROR: ", 20);
	      DEFINE_STRING(BGl_string2118z00zzcfa_procedurez00,
		BgL_bgl_string2118za700za7za7c2153za7, ":", 1);
	      DEFINE_STRING(BGl_string2119z00zzcfa_procedurez00,
		BgL_bgl_string2119za700za7za7c2154za7, ",", 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_procedurez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long
		BgL_checksumz00_4898, char *BgL_fromz00_4899)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_procedurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_procedurez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_procedurez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_cnstzd2initzd2zzcfa_procedurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_methodzd2initzd2zzcfa_procedurez00();
					return BGl_toplevelzd2initzd2zzcfa_procedurez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_procedure");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cportz00_4619;

				{	/* Cfa/procedure.scm 15 */
					obj_t BgL_stringz00_4626;

					BgL_stringz00_4626 = BGl_string2132z00zzcfa_procedurez00;
					{	/* Cfa/procedure.scm 15 */
						obj_t BgL_startz00_4627;

						BgL_startz00_4627 = BINT(0L);
						{	/* Cfa/procedure.scm 15 */
							obj_t BgL_endz00_4628;

							BgL_endz00_4628 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4626)));
							{	/* Cfa/procedure.scm 15 */

								BgL_cportz00_4619 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4626, BgL_startz00_4627, BgL_endz00_4628);
				}}}}
				{
					long BgL_iz00_4620;

					BgL_iz00_4620 = 0L;
				BgL_loopz00_4621:
					if ((BgL_iz00_4620 == (-1L)))
						{	/* Cfa/procedure.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/procedure.scm 15 */
							{	/* Cfa/procedure.scm 15 */
								obj_t BgL_arg2133z00_4622;

								{	/* Cfa/procedure.scm 15 */

									{	/* Cfa/procedure.scm 15 */
										obj_t BgL_locationz00_4624;

										BgL_locationz00_4624 = BBOOL(((bool_t) 0));
										{	/* Cfa/procedure.scm 15 */

											BgL_arg2133z00_4622 =
												BGl_readz00zz__readerz00(BgL_cportz00_4619,
												BgL_locationz00_4624);
										}
									}
								}
								{	/* Cfa/procedure.scm 15 */
									int BgL_tmpz00_4929;

									BgL_tmpz00_4929 = (int) (BgL_iz00_4620);
									CNST_TABLE_SET(BgL_tmpz00_4929, BgL_arg2133z00_4622);
							}}
							{	/* Cfa/procedure.scm 15 */
								int BgL_auxz00_4625;

								BgL_auxz00_4625 = (int) ((BgL_iz00_4620 - 1L));
								{
									long BgL_iz00_4934;

									BgL_iz00_4934 = (long) (BgL_auxz00_4625);
									BgL_iz00_4620 = BgL_iz00_4934;
									goto BgL_loopz00_4621;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			return BUNSPEC;
		}

	}



/* disable-X-T! */
	BGL_EXPORTED_DEF obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt
		BgL_approxz00_3, obj_t BgL_reasonz00_4)
	{
		{	/* Cfa/procedure.scm 38 */
			if (
				(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3))->
					BgL_haszd2procedurezf3z21))
				{	/* Cfa/procedure.scm 56 */
					return
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BGl_proc2114z00zzcfa_procedurez00, BgL_approxz00_3);
				}
			else
				{	/* Cfa/procedure.scm 56 */
					return BFALSE;
				}
		}

	}



/* &disable-X-T! */
	obj_t BGl_z62disablezd2Xzd2Tz12z70zzcfa_procedurez00(obj_t BgL_envz00_4564,
		obj_t BgL_approxz00_4565, obj_t BgL_reasonz00_4566)
	{
		{	/* Cfa/procedure.scm 38 */
			return
				BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
				((BgL_approxz00_bglt) BgL_approxz00_4565), BgL_reasonz00_4566);
		}

	}



/* &disable-alloc! */
	obj_t BGl_z62disablezd2allocz12za2zzcfa_procedurez00(obj_t BgL_envz00_4567,
		obj_t BgL_appz00_4568)
	{
		{	/* Cfa/procedure.scm 53 */
			{	/* Cfa/procedure.scm 41 */
				bool_t BgL_tmpz00_4942;

				{	/* Cfa/procedure.scm 41 */
					bool_t BgL_test2158z00_4943;

					{	/* Cfa/procedure.scm 41 */
						obj_t BgL_classz00_4630;

						BgL_classz00_4630 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4568))
							{	/* Cfa/procedure.scm 41 */
								BgL_objectz00_bglt BgL_arg1858z00_4631;

								BgL_arg1858z00_4631 = (BgL_objectz00_bglt) (BgL_appz00_4568);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/procedure.scm 41 */
										long BgL_idxz00_4632;

										BgL_idxz00_4632 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4631);
										BgL_test2158z00_4943 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4632 + 4L)) == BgL_classz00_4630);
									}
								else
									{	/* Cfa/procedure.scm 41 */
										bool_t BgL_res2092z00_4635;

										{	/* Cfa/procedure.scm 41 */
											obj_t BgL_oclassz00_4636;

											{	/* Cfa/procedure.scm 41 */
												obj_t BgL_arg1866z00_4637;
												long BgL_arg1867z00_4638;

												BgL_arg1866z00_4637 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/procedure.scm 41 */
													long BgL_arg1869z00_4639;

													BgL_arg1869z00_4639 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4631);
													BgL_arg1867z00_4638 =
														(BgL_arg1869z00_4639 - OBJECT_TYPE);
												}
												BgL_oclassz00_4636 =
													VECTOR_REF(BgL_arg1866z00_4637, BgL_arg1867z00_4638);
											}
											{	/* Cfa/procedure.scm 41 */
												bool_t BgL__ortest_1115z00_4640;

												BgL__ortest_1115z00_4640 =
													(BgL_classz00_4630 == BgL_oclassz00_4636);
												if (BgL__ortest_1115z00_4640)
													{	/* Cfa/procedure.scm 41 */
														BgL_res2092z00_4635 = BgL__ortest_1115z00_4640;
													}
												else
													{	/* Cfa/procedure.scm 41 */
														long BgL_odepthz00_4641;

														{	/* Cfa/procedure.scm 41 */
															obj_t BgL_arg1855z00_4642;

															BgL_arg1855z00_4642 = (BgL_oclassz00_4636);
															BgL_odepthz00_4641 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4642);
														}
														if ((4L < BgL_odepthz00_4641))
															{	/* Cfa/procedure.scm 41 */
																obj_t BgL_arg1853z00_4643;

																{	/* Cfa/procedure.scm 41 */
																	obj_t BgL_arg1854z00_4644;

																	BgL_arg1854z00_4644 = (BgL_oclassz00_4636);
																	BgL_arg1853z00_4643 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4644,
																		4L);
																}
																BgL_res2092z00_4635 =
																	(BgL_arg1853z00_4643 == BgL_classz00_4630);
															}
														else
															{	/* Cfa/procedure.scm 41 */
																BgL_res2092z00_4635 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2158z00_4943 = BgL_res2092z00_4635;
									}
							}
						else
							{	/* Cfa/procedure.scm 41 */
								BgL_test2158z00_4943 = ((bool_t) 0);
							}
					}
					if (BgL_test2158z00_4943)
						{	/* Cfa/procedure.scm 41 */
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_4966;

								{
									obj_t BgL_auxz00_4967;

									{	/* Cfa/procedure.scm 47 */
										BgL_objectz00_bglt BgL_tmpz00_4968;

										BgL_tmpz00_4968 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_appz00_4568));
										BgL_auxz00_4967 = BGL_OBJECT_WIDENING(BgL_tmpz00_4968);
									}
									BgL_auxz00_4966 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_4967);
								}
								((((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_4966))->BgL_xzd2tzf3z21) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
								(((BgL_appz00_bglt) BgL_appz00_4568));
							if (CBOOL
								(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
								{	/* Cfa/procedure.scm 50 */
									obj_t BgL_calleez00_4645;

									{	/* Cfa/procedure.scm 50 */
										obj_t BgL_pairz00_4646;

										BgL_pairz00_4646 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_appz00_4568))))->
											BgL_argsz00);
										BgL_calleez00_4645 = CAR(BgL_pairz00_4646);
									}
									{	/* Cfa/procedure.scm 50 */
										BgL_variablez00_bglt BgL_vz00_4647;

										BgL_vz00_4647 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_calleez00_4645)))->
											BgL_variablez00);
										{	/* Cfa/procedure.scm 51 */
											BgL_valuez00_bglt BgL_funz00_4648;

											BgL_funz00_4648 =
												(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4647))->
												BgL_valuez00);
											{	/* Cfa/procedure.scm 52 */

												{	/* Cfa/procedure.scm 53 */
													obj_t BgL_g1522z00_4649;

													{	/* Cfa/procedure.scm 53 */
														obj_t BgL_pairz00_4650;

														BgL_pairz00_4650 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_funz00_4648)))->
															BgL_argsz00);
														BgL_g1522z00_4649 = CDR(BgL_pairz00_4650);
													}
													{
														obj_t BgL_l1520z00_4652;

														BgL_l1520z00_4652 = BgL_g1522z00_4649;
													BgL_zc3z04anonymousza31557ze3z87_4651:
														if (PAIRP(BgL_l1520z00_4652))
															{	/* Cfa/procedure.scm 53 */
																BGl_loosezd2argz12zc0zzcfa_procedurez00(CAR
																	(BgL_l1520z00_4652));
																{
																	obj_t BgL_l1520z00_4992;

																	BgL_l1520z00_4992 = CDR(BgL_l1520z00_4652);
																	BgL_l1520z00_4652 = BgL_l1520z00_4992;
																	goto BgL_zc3z04anonymousza31557ze3z87_4651;
																}
															}
														else
															{	/* Cfa/procedure.scm 53 */
																BgL_tmpz00_4942 = ((bool_t) 1);
															}
													}
												}
											}
										}
									}
								}
							else
								{	/* Cfa/procedure.scm 49 */
									BgL_tmpz00_4942 = ((bool_t) 0);
								}
						}
					else
						{	/* Cfa/procedure.scm 41 */
							BgL_tmpz00_4942 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_4942);
			}
		}

	}



/* set-procedure-approx-polymorphic! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00
		(BgL_appz00_bglt BgL_appz00_12)
	{
		{	/* Cfa/procedure.scm 303 */
			{	/* Cfa/procedure.scm 304 */
				obj_t BgL_calleez00_3004;

				{	/* Cfa/procedure.scm 304 */
					obj_t BgL_pairz00_3788;

					BgL_pairz00_3788 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_appz00_12)))->BgL_argsz00);
					BgL_calleez00_3004 = CAR(BgL_pairz00_3788);
				}
				{	/* Cfa/procedure.scm 304 */
					BgL_variablez00_bglt BgL_vz00_3005;

					BgL_vz00_3005 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_calleez00_3004)))->BgL_variablez00);
					{	/* Cfa/procedure.scm 305 */
						BgL_valuez00_bglt BgL_funz00_3006;

						BgL_funz00_3006 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3005))->BgL_valuez00);
						{	/* Cfa/procedure.scm 306 */

							{	/* Cfa/procedure.scm 309 */
								bool_t BgL_test2165z00_5001;

								{	/* Cfa/procedure.scm 309 */
									obj_t BgL_classz00_3791;

									BgL_classz00_3791 = BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
									{	/* Cfa/procedure.scm 309 */
										BgL_objectz00_bglt BgL_arg1858z00_3793;

										{	/* Cfa/procedure.scm 309 */
											obj_t BgL_tmpz00_5002;

											BgL_tmpz00_5002 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3006));
											BgL_arg1858z00_3793 =
												(BgL_objectz00_bglt) (BgL_tmpz00_5002);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/procedure.scm 309 */
												long BgL_idxz00_3799;

												BgL_idxz00_3799 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3793);
												BgL_test2165z00_5001 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3799 + 4L)) == BgL_classz00_3791);
											}
										else
											{	/* Cfa/procedure.scm 309 */
												bool_t BgL_res2093z00_3824;

												{	/* Cfa/procedure.scm 309 */
													obj_t BgL_oclassz00_3807;

													{	/* Cfa/procedure.scm 309 */
														obj_t BgL_arg1866z00_3815;
														long BgL_arg1867z00_3816;

														BgL_arg1866z00_3815 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/procedure.scm 309 */
															long BgL_arg1869z00_3817;

															BgL_arg1869z00_3817 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3793);
															BgL_arg1867z00_3816 =
																(BgL_arg1869z00_3817 - OBJECT_TYPE);
														}
														BgL_oclassz00_3807 =
															VECTOR_REF(BgL_arg1866z00_3815,
															BgL_arg1867z00_3816);
													}
													{	/* Cfa/procedure.scm 309 */
														bool_t BgL__ortest_1115z00_3808;

														BgL__ortest_1115z00_3808 =
															(BgL_classz00_3791 == BgL_oclassz00_3807);
														if (BgL__ortest_1115z00_3808)
															{	/* Cfa/procedure.scm 309 */
																BgL_res2093z00_3824 = BgL__ortest_1115z00_3808;
															}
														else
															{	/* Cfa/procedure.scm 309 */
																long BgL_odepthz00_3809;

																{	/* Cfa/procedure.scm 309 */
																	obj_t BgL_arg1855z00_3810;

																	BgL_arg1855z00_3810 = (BgL_oclassz00_3807);
																	BgL_odepthz00_3809 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3810);
																}
																if ((4L < BgL_odepthz00_3809))
																	{	/* Cfa/procedure.scm 309 */
																		obj_t BgL_arg1853z00_3812;

																		{	/* Cfa/procedure.scm 309 */
																			obj_t BgL_arg1854z00_3813;

																			BgL_arg1854z00_3813 =
																				(BgL_oclassz00_3807);
																			BgL_arg1853z00_3812 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3813, 4L);
																		}
																		BgL_res2093z00_3824 =
																			(BgL_arg1853z00_3812 ==
																			BgL_classz00_3791);
																	}
																else
																	{	/* Cfa/procedure.scm 309 */
																		BgL_res2093z00_3824 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2165z00_5001 = BgL_res2093z00_3824;
											}
									}
								}
								if (BgL_test2165z00_5001)
									{	/* Cfa/procedure.scm 310 */
										bool_t BgL_test2169z00_5025;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5026;

											{
												obj_t BgL_auxz00_5027;

												{	/* Cfa/procedure.scm 310 */
													BgL_objectz00_bglt BgL_tmpz00_5028;

													BgL_tmpz00_5028 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3006));
													BgL_auxz00_5027 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5028);
												}
												BgL_auxz00_5026 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5027);
											}
											BgL_test2169z00_5025 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													COBJECT(BgL_auxz00_5026))->BgL_polymorphiczf3zf3);
										}
										if (BgL_test2169z00_5025)
											{	/* Cfa/procedure.scm 310 */
												return BFALSE;
											}
										else
											{	/* Cfa/procedure.scm 310 */
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00
													(BGl_string2115z00zzcfa_procedurez00);
												{
													BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5035;

													{
														obj_t BgL_auxz00_5036;

														{	/* Cfa/procedure.scm 312 */
															BgL_objectz00_bglt BgL_tmpz00_5037;

															BgL_tmpz00_5037 =
																((BgL_objectz00_bglt)
																((BgL_sfunz00_bglt) BgL_funz00_3006));
															BgL_auxz00_5036 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5037);
														}
														BgL_auxz00_5035 =
															((BgL_internzd2sfunzf2cinfoz20_bglt)
															BgL_auxz00_5036);
													}
													return
														((((BgL_internzd2sfunzf2cinfoz20_bglt)
																COBJECT(BgL_auxz00_5035))->
															BgL_polymorphiczf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
											}
									}
								else
									{	/* Cfa/procedure.scm 309 */
										{	/* Cfa/procedure.scm 313 */
											BgL_approxz00_bglt BgL_xz00_4616;

											{
												BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_5043;

												{
													obj_t BgL_auxz00_5044;

													{	/* Cfa/procedure.scm 313 */
														BgL_objectz00_bglt BgL_tmpz00_5045;

														BgL_tmpz00_5045 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_3006));
														BgL_auxz00_5044 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5045);
													}
													BgL_auxz00_5043 =
														((BgL_externzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_5044);
												}
												BgL_xz00_4616 =
													(((BgL_externzd2sfunzf2cinfoz20_bglt)
														COBJECT(BgL_auxz00_5043))->BgL_approxz00);
											}
											((bool_t) 1);
										}
										{	/* Cfa/procedure.scm 314 */
											bool_t BgL_test2170z00_5051;

											{
												BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_5052;

												{
													obj_t BgL_auxz00_5053;

													{	/* Cfa/procedure.scm 314 */
														BgL_objectz00_bglt BgL_tmpz00_5054;

														BgL_tmpz00_5054 =
															((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_3006));
														BgL_auxz00_5053 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5054);
													}
													BgL_auxz00_5052 =
														((BgL_externzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_5053);
												}
												BgL_test2170z00_5051 =
													(((BgL_externzd2sfunzf2cinfoz20_bglt)
														COBJECT(BgL_auxz00_5052))->BgL_polymorphiczf3zf3);
											}
											if (BgL_test2170z00_5051)
												{	/* Cfa/procedure.scm 314 */
													return BFALSE;
												}
											else
												{	/* Cfa/procedure.scm 314 */
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(BGl_string2116z00zzcfa_procedurez00);
													{
														BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_5061;

														{
															obj_t BgL_auxz00_5062;

															{	/* Cfa/procedure.scm 316 */
																BgL_objectz00_bglt BgL_tmpz00_5063;

																BgL_tmpz00_5063 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_funz00_3006));
																BgL_auxz00_5062 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5063);
															}
															BgL_auxz00_5061 =
																((BgL_externzd2sfunzf2cinfoz20_bglt)
																BgL_auxz00_5062);
														}
														return
															((((BgL_externzd2sfunzf2cinfoz20_bglt)
																	COBJECT(BgL_auxz00_5061))->
																BgL_polymorphiczf3zf3) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
												}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &set-procedure-approx-polymorphic! */
	obj_t
		BGl_z62setzd2procedurezd2approxzd2polymorphicz12za2zzcfa_procedurez00(obj_t
		BgL_envz00_4569, obj_t BgL_appz00_4570)
	{
		{	/* Cfa/procedure.scm 303 */
			return
				BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00(
				((BgL_appz00_bglt) BgL_appz00_4570));
		}

	}



/* loose-arg! */
	obj_t BGl_loosezd2argz12zc0zzcfa_procedurez00(obj_t BgL_az00_13)
	{
		{	/* Cfa/procedure.scm 321 */
			{	/* Cfa/procedure.scm 322 */
				BgL_typez00_bglt BgL_vz00_3838;

				BgL_vz00_3838 = ((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_az00_13))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3838), BUNSPEC);
			}
			{	/* Cfa/procedure.scm 323 */
				bool_t BgL_test2171z00_5075;

				{	/* Cfa/procedure.scm 323 */
					obj_t BgL_classz00_3839;

					BgL_classz00_3839 = BGl_reshapedzd2localzd2zzcfa_infoz00;
					if (BGL_OBJECTP(BgL_az00_13))
						{	/* Cfa/procedure.scm 323 */
							BgL_objectz00_bglt BgL_arg1858z00_3841;

							BgL_arg1858z00_3841 = (BgL_objectz00_bglt) (BgL_az00_13);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/procedure.scm 323 */
									long BgL_idxz00_3847;

									BgL_idxz00_3847 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3841);
									BgL_test2171z00_5075 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3847 + 3L)) == BgL_classz00_3839);
								}
							else
								{	/* Cfa/procedure.scm 323 */
									bool_t BgL_res2094z00_3872;

									{	/* Cfa/procedure.scm 323 */
										obj_t BgL_oclassz00_3855;

										{	/* Cfa/procedure.scm 323 */
											obj_t BgL_arg1866z00_3863;
											long BgL_arg1867z00_3864;

											BgL_arg1866z00_3863 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/procedure.scm 323 */
												long BgL_arg1869z00_3865;

												BgL_arg1869z00_3865 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3841);
												BgL_arg1867z00_3864 =
													(BgL_arg1869z00_3865 - OBJECT_TYPE);
											}
											BgL_oclassz00_3855 =
												VECTOR_REF(BgL_arg1866z00_3863, BgL_arg1867z00_3864);
										}
										{	/* Cfa/procedure.scm 323 */
											bool_t BgL__ortest_1115z00_3856;

											BgL__ortest_1115z00_3856 =
												(BgL_classz00_3839 == BgL_oclassz00_3855);
											if (BgL__ortest_1115z00_3856)
												{	/* Cfa/procedure.scm 323 */
													BgL_res2094z00_3872 = BgL__ortest_1115z00_3856;
												}
											else
												{	/* Cfa/procedure.scm 323 */
													long BgL_odepthz00_3857;

													{	/* Cfa/procedure.scm 323 */
														obj_t BgL_arg1855z00_3858;

														BgL_arg1855z00_3858 = (BgL_oclassz00_3855);
														BgL_odepthz00_3857 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3858);
													}
													if ((3L < BgL_odepthz00_3857))
														{	/* Cfa/procedure.scm 323 */
															obj_t BgL_arg1853z00_3860;

															{	/* Cfa/procedure.scm 323 */
																obj_t BgL_arg1854z00_3861;

																BgL_arg1854z00_3861 = (BgL_oclassz00_3855);
																BgL_arg1853z00_3860 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3861,
																	3L);
															}
															BgL_res2094z00_3872 =
																(BgL_arg1853z00_3860 == BgL_classz00_3839);
														}
													else
														{	/* Cfa/procedure.scm 323 */
															BgL_res2094z00_3872 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2171z00_5075 = BgL_res2094z00_3872;
								}
						}
					else
						{	/* Cfa/procedure.scm 323 */
							BgL_test2171z00_5075 = ((bool_t) 0);
						}
				}
				if (BgL_test2171z00_5075)
					{	/* Cfa/procedure.scm 324 */
						BgL_valuez00_bglt BgL_valuez00_3013;

						BgL_valuez00_3013 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_az00_13)))->BgL_valuez00);
						{	/* Cfa/procedure.scm 325 */
							bool_t BgL_test2176z00_5100;

							{	/* Cfa/procedure.scm 325 */
								obj_t BgL_classz00_3874;

								BgL_classz00_3874 = BGl_svarzf2Cinfozf2zzcfa_infoz00;
								{	/* Cfa/procedure.scm 325 */
									BgL_objectz00_bglt BgL_arg1858z00_3876;

									{	/* Cfa/procedure.scm 325 */
										obj_t BgL_tmpz00_5101;

										BgL_tmpz00_5101 =
											((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_3013));
										BgL_arg1858z00_3876 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5101);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/procedure.scm 325 */
											long BgL_idxz00_3882;

											BgL_idxz00_3882 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3876);
											BgL_test2176z00_5100 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3882 + 3L)) == BgL_classz00_3874);
										}
									else
										{	/* Cfa/procedure.scm 325 */
											bool_t BgL_res2095z00_3907;

											{	/* Cfa/procedure.scm 325 */
												obj_t BgL_oclassz00_3890;

												{	/* Cfa/procedure.scm 325 */
													obj_t BgL_arg1866z00_3898;
													long BgL_arg1867z00_3899;

													BgL_arg1866z00_3898 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/procedure.scm 325 */
														long BgL_arg1869z00_3900;

														BgL_arg1869z00_3900 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3876);
														BgL_arg1867z00_3899 =
															(BgL_arg1869z00_3900 - OBJECT_TYPE);
													}
													BgL_oclassz00_3890 =
														VECTOR_REF(BgL_arg1866z00_3898,
														BgL_arg1867z00_3899);
												}
												{	/* Cfa/procedure.scm 325 */
													bool_t BgL__ortest_1115z00_3891;

													BgL__ortest_1115z00_3891 =
														(BgL_classz00_3874 == BgL_oclassz00_3890);
													if (BgL__ortest_1115z00_3891)
														{	/* Cfa/procedure.scm 325 */
															BgL_res2095z00_3907 = BgL__ortest_1115z00_3891;
														}
													else
														{	/* Cfa/procedure.scm 325 */
															long BgL_odepthz00_3892;

															{	/* Cfa/procedure.scm 325 */
																obj_t BgL_arg1855z00_3893;

																BgL_arg1855z00_3893 = (BgL_oclassz00_3890);
																BgL_odepthz00_3892 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3893);
															}
															if ((3L < BgL_odepthz00_3892))
																{	/* Cfa/procedure.scm 325 */
																	obj_t BgL_arg1853z00_3895;

																	{	/* Cfa/procedure.scm 325 */
																		obj_t BgL_arg1854z00_3896;

																		BgL_arg1854z00_3896 = (BgL_oclassz00_3890);
																		BgL_arg1853z00_3895 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3896, 3L);
																	}
																	BgL_res2095z00_3907 =
																		(BgL_arg1853z00_3895 == BgL_classz00_3874);
																}
															else
																{	/* Cfa/procedure.scm 325 */
																	BgL_res2095z00_3907 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2176z00_5100 = BgL_res2095z00_3907;
										}
								}
							}
							if (BgL_test2176z00_5100)
								{	/* Cfa/procedure.scm 326 */
									BgL_approxz00_bglt BgL_i1191z00_3015;

									{
										BgL_svarzf2cinfozf2_bglt BgL_auxz00_5124;

										{
											obj_t BgL_auxz00_5125;

											{	/* Cfa/procedure.scm 326 */
												BgL_objectz00_bglt BgL_tmpz00_5126;

												BgL_tmpz00_5126 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_valuez00_3013));
												BgL_auxz00_5125 = BGL_OBJECT_WIDENING(BgL_tmpz00_5126);
											}
											BgL_auxz00_5124 =
												((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5125);
										}
										BgL_i1191z00_3015 =
											(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5124))->
											BgL_approxz00);
									}
									return
										((((BgL_approxz00_bglt) COBJECT(BgL_i1191z00_3015))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{	/* Cfa/procedure.scm 328 */
									obj_t BgL_arg1590z00_3016;
									obj_t BgL_arg1592z00_3017;

									{	/* Cfa/procedure.scm 328 */
										obj_t BgL_tmpz00_5134;

										BgL_tmpz00_5134 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_arg1590z00_3016 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5134);
									}
									BgL_arg1592z00_3017 = bgl_typeof(((obj_t) BgL_valuez00_3013));
									{	/* Cfa/procedure.scm 328 */
										obj_t BgL_list1593z00_3018;

										{	/* Cfa/procedure.scm 328 */
											obj_t BgL_arg1597z00_3019;

											{	/* Cfa/procedure.scm 328 */
												obj_t BgL_arg1605z00_3020;

												{	/* Cfa/procedure.scm 328 */
													obj_t BgL_arg1611z00_3021;

													{	/* Cfa/procedure.scm 328 */
														obj_t BgL_arg1612z00_3022;

														{	/* Cfa/procedure.scm 328 */
															obj_t BgL_arg1625z00_3023;

															BgL_arg1625z00_3023 =
																MAKE_YOUNG_PAIR(BgL_arg1592z00_3017, BNIL);
															BgL_arg1612z00_3022 =
																MAKE_YOUNG_PAIR
																(BGl_string2117z00zzcfa_procedurez00,
																BgL_arg1625z00_3023);
														}
														BgL_arg1611z00_3021 =
															MAKE_YOUNG_PAIR
															(BGl_string2118z00zzcfa_procedurez00,
															BgL_arg1612z00_3022);
													}
													BgL_arg1605z00_3020 =
														MAKE_YOUNG_PAIR(BINT(328L), BgL_arg1611z00_3021);
												}
												BgL_arg1597z00_3019 =
													MAKE_YOUNG_PAIR(BGl_string2119z00zzcfa_procedurez00,
													BgL_arg1605z00_3020);
											}
											BgL_list1593z00_3018 =
												MAKE_YOUNG_PAIR(BGl_string2120z00zzcfa_procedurez00,
												BgL_arg1597z00_3019);
										}
										return
											BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1590z00_3016,
											BgL_list1593z00_3018);
									}
								}
						}
					}
				else
					{	/* Cfa/procedure.scm 323 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00,
				BGl_proc2121z00zzcfa_procedurez00, BGl_string2122z00zzcfa_procedurez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00,
				BGl_proc2123z00zzcfa_procedurez00, BGl_string2122z00zzcfa_procedurez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc2124z00zzcfa_procedurez00, BGl_string2122z00zzcfa_procedurez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00,
				BGl_proc2125z00zzcfa_procedurez00, BGl_string2126z00zzcfa_procedurez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc2127z00zzcfa_procedurez00, BGl_string2126z00zzcfa_procedurez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2128z00zzcfa_procedurez00, BGl_string2126z00zzcfa_procedurez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00,
				BGl_proc2129z00zzcfa_procedurez00, BGl_string2130z00zzcfa_procedurez00);
		}

	}



/* &loose-alloc!-make-pr1542 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2pr1542za2zzcfa_procedurez00(obj_t
		BgL_envz00_4584, obj_t BgL_allocz00_4585)
	{
		{	/* Cfa/procedure.scm 281 */
			{	/* Cfa/procedure.scm 283 */
				bool_t BgL_test2180z00_5154;

				{	/* Cfa/procedure.scm 283 */
					long BgL_arg1910z00_4654;

					{
						BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5155;

						{
							obj_t BgL_auxz00_5156;

							{	/* Cfa/procedure.scm 283 */
								BgL_objectz00_bglt BgL_tmpz00_5157;

								BgL_tmpz00_5157 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_allocz00_4585));
								BgL_auxz00_5156 = BGL_OBJECT_WIDENING(BgL_tmpz00_5157);
							}
							BgL_auxz00_5155 =
								((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5156);
						}
						BgL_arg1910z00_4654 =
							(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5155))->
							BgL_lostzd2stampzd2);
					}
					BgL_test2180z00_5154 =
						(BgL_arg1910z00_4654 ==
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
				}
				if (BgL_test2180z00_5154)
					{	/* Cfa/procedure.scm 283 */
						return BFALSE;
					}
				else
					{	/* Cfa/procedure.scm 283 */
						{
							BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5165;

							{
								obj_t BgL_auxz00_5166;

								{	/* Cfa/procedure.scm 285 */
									BgL_objectz00_bglt BgL_tmpz00_5167;

									BgL_tmpz00_5167 =
										((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_allocz00_4585));
									BgL_auxz00_5166 = BGL_OBJECT_WIDENING(BgL_tmpz00_5167);
								}
								BgL_auxz00_5165 =
									((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5166);
							}
							((((BgL_makezd2procedurezd2appz00_bglt)
										COBJECT(BgL_auxz00_5165))->BgL_lostzd2stampzd2) =
								((long) (long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)),
								BUNSPEC);
						}
						BGl_setzd2procedurezd2approxzd2polymorphicz12zc0zzcfa_procedurez00(
							((BgL_appz00_bglt) BgL_allocz00_4585));
						{	/* Cfa/procedure.scm 287 */
							obj_t BgL_calleez00_4655;

							{	/* Cfa/procedure.scm 287 */
								obj_t BgL_pairz00_4656;

								BgL_pairz00_4656 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_allocz00_4585))))->BgL_argsz00);
								BgL_calleez00_4655 = CAR(BgL_pairz00_4656);
							}
							{	/* Cfa/procedure.scm 287 */
								BgL_variablez00_bglt BgL_vz00_4657;

								BgL_vz00_4657 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_calleez00_4655)))->
									BgL_variablez00);
								{	/* Cfa/procedure.scm 288 */
									BgL_valuez00_bglt BgL_funz00_4658;

									BgL_funz00_4658 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4657))->
										BgL_valuez00);
									{	/* Cfa/procedure.scm 289 */

										BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
											(BgL_funz00_4658, ((obj_t) BgL_vz00_4657));
										if (CBOOL
											(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
											{	/* Cfa/procedure.scm 292 */
												obj_t BgL_g1528z00_4659;

												{	/* Cfa/procedure.scm 292 */
													obj_t BgL_pairz00_4660;

													BgL_pairz00_4660 =
														(((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_4658)))->
														BgL_argsz00);
													BgL_g1528z00_4659 = CDR(BgL_pairz00_4660);
												}
												{
													obj_t BgL_l1526z00_4662;

													{	/* Cfa/procedure.scm 292 */
														bool_t BgL_tmpz00_5190;

														BgL_l1526z00_4662 = BgL_g1528z00_4659;
													BgL_zc3z04anonymousza31904ze3z87_4661:
														if (PAIRP(BgL_l1526z00_4662))
															{	/* Cfa/procedure.scm 292 */
																BGl_loosezd2argz12zc0zzcfa_procedurez00(CAR
																	(BgL_l1526z00_4662));
																{
																	obj_t BgL_l1526z00_5195;

																	BgL_l1526z00_5195 = CDR(BgL_l1526z00_4662);
																	BgL_l1526z00_4662 = BgL_l1526z00_5195;
																	goto BgL_zc3z04anonymousza31904ze3z87_4661;
																}
															}
														else
															{	/* Cfa/procedure.scm 292 */
																BgL_tmpz00_5190 = ((bool_t) 1);
															}
														return BBOOL(BgL_tmpz00_5190);
													}
												}
											}
										else
											{	/* Cfa/procedure.scm 291 */
												return BFALSE;
											}
									}
								}
							}
						}
					}
			}
		}

	}



/* &cfa!-procedure-set!-1540 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2procedurezd2setz12zd21540zb0zzcfa_procedurez00(obj_t
		BgL_envz00_4586, obj_t BgL_nodez00_4587)
	{
		{	/* Cfa/procedure.scm 217 */
			{	/* Cfa/procedure.scm 219 */
				BgL_approxz00_bglt BgL_proczd2approxzd2_4664;
				obj_t BgL_offsetz00_4665;

				{	/* Cfa/procedure.scm 219 */
					obj_t BgL_arg1898z00_4666;

					{	/* Cfa/procedure.scm 219 */
						obj_t BgL_pairz00_4667;

						BgL_pairz00_4667 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4587))))->BgL_argsz00);
						BgL_arg1898z00_4666 = CAR(BgL_pairz00_4667);
					}
					BgL_proczd2approxzd2_4664 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1898z00_4666));
				}
				{	/* Cfa/procedure.scm 220 */
					obj_t BgL_arg1900z00_4668;

					{	/* Cfa/procedure.scm 220 */
						obj_t BgL_pairz00_4669;

						BgL_pairz00_4669 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4587))))->BgL_argsz00);
						BgL_arg1900z00_4668 = CAR(CDR(BgL_pairz00_4669));
					}
					BgL_offsetz00_4665 =
						BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
						((BgL_nodez00_bglt) BgL_arg1900z00_4668));
				}
				{	/* Cfa/procedure.scm 224 */
					obj_t BgL_arg1834z00_4670;

					{	/* Cfa/procedure.scm 224 */
						obj_t BgL_pairz00_4671;

						BgL_pairz00_4671 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4587))))->BgL_argsz00);
						BgL_arg1834z00_4670 = CAR(CDR(BgL_pairz00_4671));
					}
					BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1834z00_4670));
				}
				{	/* Cfa/procedure.scm 225 */
					obj_t BgL_arg1845z00_4672;
					BgL_approxz00_bglt BgL_arg1847z00_4673;

					{
						BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5218;

						{
							obj_t BgL_auxz00_5219;

							{	/* Cfa/procedure.scm 225 */
								BgL_objectz00_bglt BgL_tmpz00_5220;

								BgL_tmpz00_5220 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4587));
								BgL_auxz00_5219 = BGL_OBJECT_WIDENING(BgL_tmpz00_5220);
							}
							BgL_auxz00_5218 =
								((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5219);
						}
						BgL_arg1845z00_4672 =
							(((BgL_procedurezd2setz12zd2appz12_bglt)
								COBJECT(BgL_auxz00_5218))->BgL_vapproxz00);
					}
					{	/* Cfa/procedure.scm 225 */
						obj_t BgL_arg1848z00_4674;

						{	/* Cfa/procedure.scm 225 */
							obj_t BgL_pairz00_4675;

							BgL_pairz00_4675 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4587))))->BgL_argsz00);
							BgL_arg1848z00_4674 = CAR(CDR(CDR(BgL_pairz00_4675)));
						}
						BgL_arg1847z00_4673 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg1848z00_4674));
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(
						((BgL_approxz00_bglt) BgL_arg1845z00_4672), BgL_arg1847z00_4673);
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_proczd2approxzd2_4664))->
						BgL_topzf3zf3))
					{	/* Cfa/procedure.scm 229 */
						obj_t BgL_arg1856z00_4676;

						{
							BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5238;

							{
								obj_t BgL_auxz00_5239;

								{	/* Cfa/procedure.scm 229 */
									BgL_objectz00_bglt BgL_tmpz00_5240;

									BgL_tmpz00_5240 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4587));
									BgL_auxz00_5239 = BGL_OBJECT_WIDENING(BgL_tmpz00_5240);
								}
								BgL_auxz00_5238 =
									((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5239);
							}
							BgL_arg1856z00_4676 =
								(((BgL_procedurezd2setz12zd2appz12_bglt)
									COBJECT(BgL_auxz00_5238))->BgL_vapproxz00);
						}
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(
								((BgL_approxz00_bglt) BgL_arg1856z00_4676),
								((obj_t) CNST_TABLE_REF(0))));
					}
				else
					{	/* Cfa/procedure.scm 227 */
						if (INTEGERP(BgL_offsetz00_4665))
							{	/* Cfa/procedure.scm 234 */
								obj_t BgL_zc3z04anonymousza31860ze3z87_4677;

								BgL_zc3z04anonymousza31860ze3z87_4677 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31860ze3ze5zzcfa_procedurez00,
									(int) (1L), (int) (2L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_4677, (int) (0L),
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4587)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31860ze3z87_4677, (int) (1L),
									BgL_offsetz00_4665);
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3z04anonymousza31860ze3z87_4677,
									BgL_proczd2approxzd2_4664);
							}
						else
							{	/* Cfa/procedure.scm 256 */
								obj_t BgL_zc3z04anonymousza31888ze3z87_4678;

								BgL_zc3z04anonymousza31888ze3z87_4678 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31888ze3ze5zzcfa_procedurez00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31888ze3z87_4678, (int) (0L),
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4587)));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3z04anonymousza31888ze3z87_4678,
									BgL_proczd2approxzd2_4664);
					}}
				{
					BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5271;

					{
						obj_t BgL_auxz00_5272;

						{	/* Cfa/procedure.scm 271 */
							BgL_objectz00_bglt BgL_tmpz00_5273;

							BgL_tmpz00_5273 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4587));
							BgL_auxz00_5272 = BGL_OBJECT_WIDENING(BgL_tmpz00_5273);
						}
						BgL_auxz00_5271 =
							((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5272);
					}
					return
						(((BgL_procedurezd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_5271))->
						BgL_approxz00);
				}
			}
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zzcfa_procedurez00(obj_t
		BgL_envz00_4588, obj_t BgL_appz00_4591)
	{
		{	/* Cfa/procedure.scm 233 */
			{	/* Cfa/procedure.scm 234 */
				BgL_appz00_bglt BgL_i1189z00_4589;
				obj_t BgL_offsetz00_4590;

				BgL_i1189z00_4589 =
					((BgL_appz00_bglt) PROCEDURE_REF(BgL_envz00_4588, (int) (0L)));
				BgL_offsetz00_4590 = PROCEDURE_REF(BgL_envz00_4588, (int) (1L));
				{	/* Cfa/procedure.scm 234 */
					bool_t BgL_test2185z00_5284;

					{	/* Cfa/procedure.scm 234 */
						bool_t BgL_test2186z00_5285;

						{	/* Cfa/procedure.scm 234 */
							obj_t BgL_classz00_4679;

							BgL_classz00_4679 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_appz00_4591))
								{	/* Cfa/procedure.scm 234 */
									BgL_objectz00_bglt BgL_arg1858z00_4680;

									BgL_arg1858z00_4680 = (BgL_objectz00_bglt) (BgL_appz00_4591);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/procedure.scm 234 */
											long BgL_idxz00_4681;

											BgL_idxz00_4681 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4680);
											BgL_test2186z00_5285 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4681 + 4L)) == BgL_classz00_4679);
										}
									else
										{	/* Cfa/procedure.scm 234 */
											bool_t BgL_res2103z00_4684;

											{	/* Cfa/procedure.scm 234 */
												obj_t BgL_oclassz00_4685;

												{	/* Cfa/procedure.scm 234 */
													obj_t BgL_arg1866z00_4686;
													long BgL_arg1867z00_4687;

													BgL_arg1866z00_4686 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/procedure.scm 234 */
														long BgL_arg1869z00_4688;

														BgL_arg1869z00_4688 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4680);
														BgL_arg1867z00_4687 =
															(BgL_arg1869z00_4688 - OBJECT_TYPE);
													}
													BgL_oclassz00_4685 =
														VECTOR_REF(BgL_arg1866z00_4686,
														BgL_arg1867z00_4687);
												}
												{	/* Cfa/procedure.scm 234 */
													bool_t BgL__ortest_1115z00_4689;

													BgL__ortest_1115z00_4689 =
														(BgL_classz00_4679 == BgL_oclassz00_4685);
													if (BgL__ortest_1115z00_4689)
														{	/* Cfa/procedure.scm 234 */
															BgL_res2103z00_4684 = BgL__ortest_1115z00_4689;
														}
													else
														{	/* Cfa/procedure.scm 234 */
															long BgL_odepthz00_4690;

															{	/* Cfa/procedure.scm 234 */
																obj_t BgL_arg1855z00_4691;

																BgL_arg1855z00_4691 = (BgL_oclassz00_4685);
																BgL_odepthz00_4690 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4691);
															}
															if ((4L < BgL_odepthz00_4690))
																{	/* Cfa/procedure.scm 234 */
																	obj_t BgL_arg1853z00_4692;

																	{	/* Cfa/procedure.scm 234 */
																		obj_t BgL_arg1854z00_4693;

																		BgL_arg1854z00_4693 = (BgL_oclassz00_4685);
																		BgL_arg1853z00_4692 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4693, 4L);
																	}
																	BgL_res2103z00_4684 =
																		(BgL_arg1853z00_4692 == BgL_classz00_4679);
																}
															else
																{	/* Cfa/procedure.scm 234 */
																	BgL_res2103z00_4684 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2186z00_5285 = BgL_res2103z00_4684;
										}
								}
							else
								{	/* Cfa/procedure.scm 234 */
									BgL_test2186z00_5285 = ((bool_t) 0);
								}
						}
						if (BgL_test2186z00_5285)
							{	/* Cfa/procedure.scm 237 */
								long BgL_arg1885z00_4694;

								{	/* Cfa/procedure.scm 237 */
									obj_t BgL_arg1886z00_4695;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5308;

										{
											obj_t BgL_auxz00_5309;

											{	/* Cfa/procedure.scm 237 */
												BgL_objectz00_bglt BgL_tmpz00_5310;

												BgL_tmpz00_5310 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_4591));
												BgL_auxz00_5309 = BGL_OBJECT_WIDENING(BgL_tmpz00_5310);
											}
											BgL_auxz00_5308 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5309);
										}
										BgL_arg1886z00_4695 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5308))->BgL_valueszd2approxzd2);
									}
									BgL_arg1885z00_4694 = VECTOR_LENGTH(BgL_arg1886z00_4695);
								}
								BgL_test2185z00_5284 =
									((long) CINT(BgL_offsetz00_4590) < BgL_arg1885z00_4694);
							}
						else
							{	/* Cfa/procedure.scm 234 */
								BgL_test2185z00_5284 = ((bool_t) 0);
							}
					}
					if (BgL_test2185z00_5284)
						{	/* Cfa/procedure.scm 234 */
							{	/* Cfa/procedure.scm 248 */
								obj_t BgL_arg1876z00_4696;
								obj_t BgL_arg1878z00_4697;

								{	/* Cfa/procedure.scm 248 */
									obj_t BgL_arg1882z00_4698;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5319;

										{
											obj_t BgL_auxz00_5320;

											{	/* Cfa/procedure.scm 248 */
												BgL_objectz00_bglt BgL_tmpz00_5321;

												BgL_tmpz00_5321 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_4591));
												BgL_auxz00_5320 = BGL_OBJECT_WIDENING(BgL_tmpz00_5321);
											}
											BgL_auxz00_5319 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5320);
										}
										BgL_arg1882z00_4698 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5319))->BgL_valueszd2approxzd2);
									}
									BgL_arg1876z00_4696 =
										VECTOR_REF(BgL_arg1882z00_4698,
										(long) CINT(BgL_offsetz00_4590));
								}
								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5329;

									{
										obj_t BgL_auxz00_5330;

										{	/* Cfa/procedure.scm 247 */
											BgL_objectz00_bglt BgL_tmpz00_5331;

											BgL_tmpz00_5331 =
												((BgL_objectz00_bglt) BgL_i1189z00_4589);
											BgL_auxz00_5330 = BGL_OBJECT_WIDENING(BgL_tmpz00_5331);
										}
										BgL_auxz00_5329 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5330);
									}
									BgL_arg1878z00_4697 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											COBJECT(BgL_auxz00_5329))->BgL_vapproxz00);
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(
										((BgL_approxz00_bglt) BgL_arg1876z00_4696),
										((BgL_approxz00_bglt) BgL_arg1878z00_4697)));
							}
						}
					else
						{	/* Cfa/procedure.scm 251 */
							obj_t BgL_arg1884z00_4699;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5340;

								{
									obj_t BgL_auxz00_5341;

									{	/* Cfa/procedure.scm 251 */
										BgL_objectz00_bglt BgL_tmpz00_5342;

										BgL_tmpz00_5342 = ((BgL_objectz00_bglt) BgL_i1189z00_4589);
										BgL_auxz00_5341 = BGL_OBJECT_WIDENING(BgL_tmpz00_5342);
									}
									BgL_auxz00_5340 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5341);
								}
								BgL_arg1884z00_4699 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_5340))->BgL_vapproxz00);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
								((BgL_approxz00_bglt) BgL_arg1884z00_4699));
						}
				}
			}
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zzcfa_procedurez00(obj_t
		BgL_envz00_4592, obj_t BgL_appz00_4594)
	{
		{	/* Cfa/procedure.scm 255 */
			{	/* Cfa/procedure.scm 256 */
				BgL_appz00_bglt BgL_i1189z00_4593;

				BgL_i1189z00_4593 =
					((BgL_appz00_bglt) PROCEDURE_REF(BgL_envz00_4592, (int) (0L)));
				{	/* Cfa/procedure.scm 256 */
					bool_t BgL_test2191z00_5352;

					{	/* Cfa/procedure.scm 256 */
						obj_t BgL_classz00_4700;

						BgL_classz00_4700 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
						if (BGL_OBJECTP(BgL_appz00_4594))
							{	/* Cfa/procedure.scm 256 */
								BgL_objectz00_bglt BgL_arg1858z00_4701;

								BgL_arg1858z00_4701 = (BgL_objectz00_bglt) (BgL_appz00_4594);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/procedure.scm 256 */
										long BgL_idxz00_4702;

										BgL_idxz00_4702 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4701);
										BgL_test2191z00_5352 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4702 + 4L)) == BgL_classz00_4700);
									}
								else
									{	/* Cfa/procedure.scm 256 */
										bool_t BgL_res2104z00_4705;

										{	/* Cfa/procedure.scm 256 */
											obj_t BgL_oclassz00_4706;

											{	/* Cfa/procedure.scm 256 */
												obj_t BgL_arg1866z00_4707;
												long BgL_arg1867z00_4708;

												BgL_arg1866z00_4707 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/procedure.scm 256 */
													long BgL_arg1869z00_4709;

													BgL_arg1869z00_4709 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4701);
													BgL_arg1867z00_4708 =
														(BgL_arg1869z00_4709 - OBJECT_TYPE);
												}
												BgL_oclassz00_4706 =
													VECTOR_REF(BgL_arg1866z00_4707, BgL_arg1867z00_4708);
											}
											{	/* Cfa/procedure.scm 256 */
												bool_t BgL__ortest_1115z00_4710;

												BgL__ortest_1115z00_4710 =
													(BgL_classz00_4700 == BgL_oclassz00_4706);
												if (BgL__ortest_1115z00_4710)
													{	/* Cfa/procedure.scm 256 */
														BgL_res2104z00_4705 = BgL__ortest_1115z00_4710;
													}
												else
													{	/* Cfa/procedure.scm 256 */
														long BgL_odepthz00_4711;

														{	/* Cfa/procedure.scm 256 */
															obj_t BgL_arg1855z00_4712;

															BgL_arg1855z00_4712 = (BgL_oclassz00_4706);
															BgL_odepthz00_4711 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_4712);
														}
														if ((4L < BgL_odepthz00_4711))
															{	/* Cfa/procedure.scm 256 */
																obj_t BgL_arg1853z00_4713;

																{	/* Cfa/procedure.scm 256 */
																	obj_t BgL_arg1854z00_4714;

																	BgL_arg1854z00_4714 = (BgL_oclassz00_4706);
																	BgL_arg1853z00_4713 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_4714,
																		4L);
																}
																BgL_res2104z00_4705 =
																	(BgL_arg1853z00_4713 == BgL_classz00_4700);
															}
														else
															{	/* Cfa/procedure.scm 256 */
																BgL_res2104z00_4705 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2191z00_5352 = BgL_res2104z00_4705;
									}
							}
						else
							{	/* Cfa/procedure.scm 256 */
								BgL_test2191z00_5352 = ((bool_t) 0);
							}
					}
					if (BgL_test2191z00_5352)
						{	/* Cfa/procedure.scm 257 */
							long BgL_lenz00_4715;

							{	/* Cfa/procedure.scm 258 */
								obj_t BgL_arg1896z00_4716;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5375;

									{
										obj_t BgL_auxz00_5376;

										{	/* Cfa/procedure.scm 258 */
											BgL_objectz00_bglt BgL_tmpz00_5377;

											BgL_tmpz00_5377 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4594));
											BgL_auxz00_5376 = BGL_OBJECT_WIDENING(BgL_tmpz00_5377);
										}
										BgL_auxz00_5375 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5376);
									}
									BgL_arg1896z00_4716 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_5375))->BgL_valueszd2approxzd2);
								}
								BgL_lenz00_4715 = VECTOR_LENGTH(BgL_arg1896z00_4716);
							}
							{
								long BgL_iz00_4718;

								{	/* Cfa/procedure.scm 259 */
									bool_t BgL_tmpz00_5384;

									BgL_iz00_4718 = 0L;
								BgL_loopz00_4717:
									if ((BgL_iz00_4718 < BgL_lenz00_4715))
										{	/* Cfa/procedure.scm 260 */
											{	/* Cfa/procedure.scm 264 */
												obj_t BgL_arg1892z00_4719;
												obj_t BgL_arg1893z00_4720;

												{	/* Cfa/procedure.scm 264 */
													obj_t BgL_arg1894z00_4721;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5387;

														{
															obj_t BgL_auxz00_5388;

															{	/* Cfa/procedure.scm 264 */
																BgL_objectz00_bglt BgL_tmpz00_5389;

																BgL_tmpz00_5389 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_4594));
																BgL_auxz00_5388 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5389);
															}
															BgL_auxz00_5387 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5388);
														}
														BgL_arg1894z00_4721 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5387))->
															BgL_valueszd2approxzd2);
													}
													BgL_arg1892z00_4719 =
														VECTOR_REF(BgL_arg1894z00_4721, BgL_iz00_4718);
												}
												{
													BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5396;

													{
														obj_t BgL_auxz00_5397;

														{	/* Cfa/procedure.scm 262 */
															BgL_objectz00_bglt BgL_tmpz00_5398;

															BgL_tmpz00_5398 =
																((BgL_objectz00_bglt) BgL_i1189z00_4593);
															BgL_auxz00_5397 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5398);
														}
														BgL_auxz00_5396 =
															((BgL_procedurezd2setz12zd2appz12_bglt)
															BgL_auxz00_5397);
													}
													BgL_arg1893z00_4720 =
														(((BgL_procedurezd2setz12zd2appz12_bglt)
															COBJECT(BgL_auxz00_5396))->BgL_vapproxz00);
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00(
													((BgL_approxz00_bglt) BgL_arg1892z00_4719),
													((BgL_approxz00_bglt) BgL_arg1893z00_4720));
											}
											{
												long BgL_iz00_5406;

												BgL_iz00_5406 = (BgL_iz00_4718 + 1L);
												BgL_iz00_4718 = BgL_iz00_5406;
												goto BgL_loopz00_4717;
											}
										}
									else
										{	/* Cfa/procedure.scm 260 */
											BgL_tmpz00_5384 = ((bool_t) 0);
										}
									return BBOOL(BgL_tmpz00_5384);
								}
							}
						}
					else
						{	/* Cfa/procedure.scm 269 */
							obj_t BgL_arg1897z00_4722;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5409;

								{
									obj_t BgL_auxz00_5410;

									{	/* Cfa/procedure.scm 269 */
										BgL_objectz00_bglt BgL_tmpz00_5411;

										BgL_tmpz00_5411 = ((BgL_objectz00_bglt) BgL_i1189z00_4593);
										BgL_auxz00_5410 = BGL_OBJECT_WIDENING(BgL_tmpz00_5411);
									}
									BgL_auxz00_5409 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5410);
								}
								BgL_arg1897z00_4722 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_5409))->BgL_vapproxz00);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
								((BgL_approxz00_bglt) BgL_arg1897z00_4722));
						}
				}
			}
		}

	}



/* &cfa!-procedure-ref-a1538 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2procedurezd2refzd2a1538za2zzcfa_procedurez00(obj_t
		BgL_envz00_4595, obj_t BgL_nodez00_4596)
	{
		{	/* Cfa/procedure.scm 167 */
			{	/* Cfa/procedure.scm 170 */
				BgL_approxz00_bglt BgL_proczd2approxzd2_4724;
				obj_t BgL_offsetz00_4725;

				{	/* Cfa/procedure.scm 170 */
					obj_t BgL_arg1821z00_4726;

					{	/* Cfa/procedure.scm 170 */
						obj_t BgL_pairz00_4727;

						BgL_pairz00_4727 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4596))))->BgL_argsz00);
						BgL_arg1821z00_4726 = CAR(BgL_pairz00_4727);
					}
					BgL_proczd2approxzd2_4724 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1821z00_4726));
				}
				{	/* Cfa/procedure.scm 171 */
					obj_t BgL_arg1825z00_4728;

					{	/* Cfa/procedure.scm 171 */
						obj_t BgL_pairz00_4729;

						BgL_pairz00_4729 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4596))))->BgL_argsz00);
						BgL_arg1825z00_4728 = CAR(CDR(BgL_pairz00_4729));
					}
					BgL_offsetz00_4725 =
						BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
						((BgL_nodez00_bglt) BgL_arg1825z00_4728));
				}
				{	/* Cfa/procedure.scm 172 */
					obj_t BgL_arg1768z00_4730;

					{	/* Cfa/procedure.scm 172 */
						obj_t BgL_pairz00_4731;

						BgL_pairz00_4731 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4596))))->BgL_argsz00);
						BgL_arg1768z00_4730 = CAR(CDR(BgL_pairz00_4731));
					}
					BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1768z00_4730));
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_proczd2approxzd2_4724))->
						BgL_topzf3zf3))
					{	/* Cfa/procedure.scm 178 */
						BgL_approxz00_bglt BgL_arg1772z00_4732;

						{
							BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5440;

							{
								obj_t BgL_auxz00_5441;

								{	/* Cfa/procedure.scm 178 */
									BgL_objectz00_bglt BgL_tmpz00_5442;

									BgL_tmpz00_5442 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596));
									BgL_auxz00_5441 = BGL_OBJECT_WIDENING(BgL_tmpz00_5442);
								}
								BgL_auxz00_5440 =
									((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_5441);
							}
							BgL_arg1772z00_4732 =
								(((BgL_procedurezd2refzd2appz00_bglt)
									COBJECT(BgL_auxz00_5440))->BgL_approxz00);
						}
						BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1772z00_4732);
					}
				else
					{	/* Cfa/procedure.scm 177 */
						BFALSE;
					}
				if (INTEGERP(BgL_offsetz00_4725))
					{	/* Cfa/procedure.scm 183 */
						obj_t BgL_zc3z04anonymousza31777ze3z87_4733;

						BgL_zc3z04anonymousza31777ze3z87_4733 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31777ze3ze5zzcfa_procedurez00,
							(int) (1L), (int) (2L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31777ze3z87_4733, (int) (0L),
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4596)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31777ze3z87_4733, (int) (1L),
							BgL_offsetz00_4725);
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31777ze3z87_4733,
							BgL_proczd2approxzd2_4724);
					}
				else
					{	/* Cfa/procedure.scm 198 */
						obj_t BgL_zc3z04anonymousza31800ze3z87_4734;

						BgL_zc3z04anonymousza31800ze3z87_4734 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_procedurez00,
							(int) (1L), (int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31800ze3z87_4734, (int) (0L),
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4596)));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31800ze3z87_4734,
							BgL_proczd2approxzd2_4724);
					}
				{
					BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5469;

					{
						obj_t BgL_auxz00_5470;

						{	/* Cfa/procedure.scm 212 */
							BgL_objectz00_bglt BgL_tmpz00_5471;

							BgL_tmpz00_5471 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596));
							BgL_auxz00_5470 = BGL_OBJECT_WIDENING(BgL_tmpz00_5471);
						}
						BgL_auxz00_5469 =
							((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_5470);
					}
					return
						(((BgL_procedurezd2refzd2appz00_bglt) COBJECT(BgL_auxz00_5469))->
						BgL_approxz00);
				}
			}
		}

	}



/* &<@anonymous:1777> */
	obj_t BGl_z62zc3z04anonymousza31777ze3ze5zzcfa_procedurez00(obj_t
		BgL_envz00_4597, obj_t BgL_appz00_4600)
	{
		{	/* Cfa/procedure.scm 182 */
			{	/* Cfa/procedure.scm 183 */
				BgL_appz00_bglt BgL_i1188z00_4598;
				obj_t BgL_offsetz00_4599;

				BgL_i1188z00_4598 =
					((BgL_appz00_bglt) PROCEDURE_REF(BgL_envz00_4597, (int) (0L)));
				BgL_offsetz00_4599 = PROCEDURE_REF(BgL_envz00_4597, (int) (1L));
				{	/* Cfa/procedure.scm 183 */
					bool_t BgL_test2199z00_5482;

					{	/* Cfa/procedure.scm 183 */
						bool_t BgL_test2200z00_5483;

						{	/* Cfa/procedure.scm 183 */
							obj_t BgL_classz00_4735;

							BgL_classz00_4735 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_appz00_4600))
								{	/* Cfa/procedure.scm 183 */
									BgL_objectz00_bglt BgL_arg1858z00_4736;

									BgL_arg1858z00_4736 = (BgL_objectz00_bglt) (BgL_appz00_4600);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/procedure.scm 183 */
											long BgL_idxz00_4737;

											BgL_idxz00_4737 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4736);
											BgL_test2200z00_5483 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4737 + 4L)) == BgL_classz00_4735);
										}
									else
										{	/* Cfa/procedure.scm 183 */
											bool_t BgL_res2101z00_4740;

											{	/* Cfa/procedure.scm 183 */
												obj_t BgL_oclassz00_4741;

												{	/* Cfa/procedure.scm 183 */
													obj_t BgL_arg1866z00_4742;
													long BgL_arg1867z00_4743;

													BgL_arg1866z00_4742 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/procedure.scm 183 */
														long BgL_arg1869z00_4744;

														BgL_arg1869z00_4744 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4736);
														BgL_arg1867z00_4743 =
															(BgL_arg1869z00_4744 - OBJECT_TYPE);
													}
													BgL_oclassz00_4741 =
														VECTOR_REF(BgL_arg1866z00_4742,
														BgL_arg1867z00_4743);
												}
												{	/* Cfa/procedure.scm 183 */
													bool_t BgL__ortest_1115z00_4745;

													BgL__ortest_1115z00_4745 =
														(BgL_classz00_4735 == BgL_oclassz00_4741);
													if (BgL__ortest_1115z00_4745)
														{	/* Cfa/procedure.scm 183 */
															BgL_res2101z00_4740 = BgL__ortest_1115z00_4745;
														}
													else
														{	/* Cfa/procedure.scm 183 */
															long BgL_odepthz00_4746;

															{	/* Cfa/procedure.scm 183 */
																obj_t BgL_arg1855z00_4747;

																BgL_arg1855z00_4747 = (BgL_oclassz00_4741);
																BgL_odepthz00_4746 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4747);
															}
															if ((4L < BgL_odepthz00_4746))
																{	/* Cfa/procedure.scm 183 */
																	obj_t BgL_arg1853z00_4748;

																	{	/* Cfa/procedure.scm 183 */
																		obj_t BgL_arg1854z00_4749;

																		BgL_arg1854z00_4749 = (BgL_oclassz00_4741);
																		BgL_arg1853z00_4748 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4749, 4L);
																	}
																	BgL_res2101z00_4740 =
																		(BgL_arg1853z00_4748 == BgL_classz00_4735);
																}
															else
																{	/* Cfa/procedure.scm 183 */
																	BgL_res2101z00_4740 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2200z00_5483 = BgL_res2101z00_4740;
										}
								}
							else
								{	/* Cfa/procedure.scm 183 */
									BgL_test2200z00_5483 = ((bool_t) 0);
								}
						}
						if (BgL_test2200z00_5483)
							{	/* Cfa/procedure.scm 186 */
								long BgL_arg1796z00_4750;

								{	/* Cfa/procedure.scm 186 */
									obj_t BgL_arg1797z00_4751;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5506;

										{
											obj_t BgL_auxz00_5507;

											{	/* Cfa/procedure.scm 186 */
												BgL_objectz00_bglt BgL_tmpz00_5508;

												BgL_tmpz00_5508 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_4600));
												BgL_auxz00_5507 = BGL_OBJECT_WIDENING(BgL_tmpz00_5508);
											}
											BgL_auxz00_5506 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5507);
										}
										BgL_arg1797z00_4751 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5506))->BgL_valueszd2approxzd2);
									}
									BgL_arg1796z00_4750 = VECTOR_LENGTH(BgL_arg1797z00_4751);
								}
								BgL_test2199z00_5482 =
									((long) CINT(BgL_offsetz00_4599) < BgL_arg1796z00_4750);
							}
						else
							{	/* Cfa/procedure.scm 183 */
								BgL_test2199z00_5482 = ((bool_t) 0);
							}
					}
					if (BgL_test2199z00_5482)
						{	/* Cfa/procedure.scm 187 */
							BgL_approxz00_bglt BgL_arg1785z00_4752;
							obj_t BgL_arg1786z00_4753;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5517;

								{
									obj_t BgL_auxz00_5518;

									{	/* Cfa/procedure.scm 187 */
										BgL_objectz00_bglt BgL_tmpz00_5519;

										BgL_tmpz00_5519 = ((BgL_objectz00_bglt) BgL_i1188z00_4598);
										BgL_auxz00_5518 = BGL_OBJECT_WIDENING(BgL_tmpz00_5519);
									}
									BgL_auxz00_5517 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_5518);
								}
								BgL_arg1785z00_4752 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_5517))->BgL_approxz00);
							}
							{	/* Cfa/procedure.scm 189 */
								obj_t BgL_arg1789z00_4754;

								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5524;

									{
										obj_t BgL_auxz00_5525;

										{	/* Cfa/procedure.scm 189 */
											BgL_objectz00_bglt BgL_tmpz00_5526;

											BgL_tmpz00_5526 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_appz00_4600));
											BgL_auxz00_5525 = BGL_OBJECT_WIDENING(BgL_tmpz00_5526);
										}
										BgL_auxz00_5524 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5525);
									}
									BgL_arg1789z00_4754 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_5524))->BgL_valueszd2approxzd2);
								}
								BgL_arg1786z00_4753 =
									VECTOR_REF(BgL_arg1789z00_4754,
									(long) CINT(BgL_offsetz00_4599));
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1785z00_4752,
									((BgL_approxz00_bglt) BgL_arg1786z00_4753)));
						}
					else
						{	/* Cfa/procedure.scm 193 */
							BgL_approxz00_bglt BgL_arg1790z00_4755;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5537;

								{
									obj_t BgL_auxz00_5538;

									{	/* Cfa/procedure.scm 193 */
										BgL_objectz00_bglt BgL_tmpz00_5539;

										BgL_tmpz00_5539 = ((BgL_objectz00_bglt) BgL_i1188z00_4598);
										BgL_auxz00_5538 = BGL_OBJECT_WIDENING(BgL_tmpz00_5539);
									}
									BgL_auxz00_5537 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_5538);
								}
								BgL_arg1790z00_4755 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_5537))->BgL_approxz00);
							}
							return
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
								(BgL_arg1790z00_4755);
						}
				}
			}
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzcfa_procedurez00(obj_t
		BgL_envz00_4601, obj_t BgL_appz00_4603)
	{
		{	/* Cfa/procedure.scm 197 */
			{	/* Cfa/procedure.scm 198 */
				BgL_appz00_bglt BgL_i1188z00_4602;

				BgL_i1188z00_4602 =
					((BgL_appz00_bglt) PROCEDURE_REF(BgL_envz00_4601, (int) (0L)));
				{	/* Cfa/procedure.scm 198 */
					bool_t BgL_tmpz00_5548;

					{	/* Cfa/procedure.scm 198 */
						bool_t BgL_test2205z00_5549;

						{	/* Cfa/procedure.scm 198 */
							obj_t BgL_classz00_4756;

							BgL_classz00_4756 = BGl_makezd2procedurezd2appz00zzcfa_info2z00;
							if (BGL_OBJECTP(BgL_appz00_4603))
								{	/* Cfa/procedure.scm 198 */
									BgL_objectz00_bglt BgL_arg1858z00_4757;

									BgL_arg1858z00_4757 = (BgL_objectz00_bglt) (BgL_appz00_4603);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/procedure.scm 198 */
											long BgL_idxz00_4758;

											BgL_idxz00_4758 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4757);
											BgL_test2205z00_5549 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4758 + 4L)) == BgL_classz00_4756);
										}
									else
										{	/* Cfa/procedure.scm 198 */
											bool_t BgL_res2102z00_4761;

											{	/* Cfa/procedure.scm 198 */
												obj_t BgL_oclassz00_4762;

												{	/* Cfa/procedure.scm 198 */
													obj_t BgL_arg1866z00_4763;
													long BgL_arg1867z00_4764;

													BgL_arg1866z00_4763 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/procedure.scm 198 */
														long BgL_arg1869z00_4765;

														BgL_arg1869z00_4765 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4757);
														BgL_arg1867z00_4764 =
															(BgL_arg1869z00_4765 - OBJECT_TYPE);
													}
													BgL_oclassz00_4762 =
														VECTOR_REF(BgL_arg1866z00_4763,
														BgL_arg1867z00_4764);
												}
												{	/* Cfa/procedure.scm 198 */
													bool_t BgL__ortest_1115z00_4766;

													BgL__ortest_1115z00_4766 =
														(BgL_classz00_4756 == BgL_oclassz00_4762);
													if (BgL__ortest_1115z00_4766)
														{	/* Cfa/procedure.scm 198 */
															BgL_res2102z00_4761 = BgL__ortest_1115z00_4766;
														}
													else
														{	/* Cfa/procedure.scm 198 */
															long BgL_odepthz00_4767;

															{	/* Cfa/procedure.scm 198 */
																obj_t BgL_arg1855z00_4768;

																BgL_arg1855z00_4768 = (BgL_oclassz00_4762);
																BgL_odepthz00_4767 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_4768);
															}
															if ((4L < BgL_odepthz00_4767))
																{	/* Cfa/procedure.scm 198 */
																	obj_t BgL_arg1853z00_4769;

																	{	/* Cfa/procedure.scm 198 */
																		obj_t BgL_arg1854z00_4770;

																		BgL_arg1854z00_4770 = (BgL_oclassz00_4762);
																		BgL_arg1853z00_4769 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_4770, 4L);
																	}
																	BgL_res2102z00_4761 =
																		(BgL_arg1853z00_4769 == BgL_classz00_4756);
																}
															else
																{	/* Cfa/procedure.scm 198 */
																	BgL_res2102z00_4761 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2205z00_5549 = BgL_res2102z00_4761;
										}
								}
							else
								{	/* Cfa/procedure.scm 198 */
									BgL_test2205z00_5549 = ((bool_t) 0);
								}
						}
						if (BgL_test2205z00_5549)
							{	/* Cfa/procedure.scm 199 */
								long BgL_lenz00_4771;

								{	/* Cfa/procedure.scm 200 */
									obj_t BgL_arg1818z00_4772;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5572;

										{
											obj_t BgL_auxz00_5573;

											{	/* Cfa/procedure.scm 200 */
												BgL_objectz00_bglt BgL_tmpz00_5574;

												BgL_tmpz00_5574 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_appz00_4603));
												BgL_auxz00_5573 = BGL_OBJECT_WIDENING(BgL_tmpz00_5574);
											}
											BgL_auxz00_5572 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5573);
										}
										BgL_arg1818z00_4772 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_5572))->BgL_valueszd2approxzd2);
									}
									BgL_lenz00_4771 = VECTOR_LENGTH(BgL_arg1818z00_4772);
								}
								{
									long BgL_iz00_4774;

									BgL_iz00_4774 = 0L;
								BgL_loopz00_4773:
									if ((BgL_iz00_4774 < BgL_lenz00_4771))
										{	/* Cfa/procedure.scm 202 */
											{	/* Cfa/procedure.scm 204 */
												BgL_approxz00_bglt BgL_arg1804z00_4775;
												obj_t BgL_arg1810z00_4776;

												{
													BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5583;

													{
														obj_t BgL_auxz00_5584;

														{	/* Cfa/procedure.scm 204 */
															BgL_objectz00_bglt BgL_tmpz00_5585;

															BgL_tmpz00_5585 =
																((BgL_objectz00_bglt) BgL_i1188z00_4602);
															BgL_auxz00_5584 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5585);
														}
														BgL_auxz00_5583 =
															((BgL_procedurezd2refzd2appz00_bglt)
															BgL_auxz00_5584);
													}
													BgL_arg1804z00_4775 =
														(((BgL_procedurezd2refzd2appz00_bglt)
															COBJECT(BgL_auxz00_5583))->BgL_approxz00);
												}
												{	/* Cfa/procedure.scm 207 */
													obj_t BgL_arg1811z00_4777;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5590;

														{
															obj_t BgL_auxz00_5591;

															{	/* Cfa/procedure.scm 207 */
																BgL_objectz00_bglt BgL_tmpz00_5592;

																BgL_tmpz00_5592 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_appz00_4603));
																BgL_auxz00_5591 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5592);
															}
															BgL_auxz00_5590 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5591);
														}
														BgL_arg1811z00_4777 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																COBJECT(BgL_auxz00_5590))->
															BgL_valueszd2approxzd2);
													}
													BgL_arg1810z00_4776 =
														VECTOR_REF(BgL_arg1811z00_4777, BgL_iz00_4774);
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00
													(BgL_arg1804z00_4775,
													((BgL_approxz00_bglt) BgL_arg1810z00_4776));
											}
											{
												long BgL_iz00_5601;

												BgL_iz00_5601 = (BgL_iz00_4774 + 1L);
												BgL_iz00_4774 = BgL_iz00_5601;
												goto BgL_loopz00_4773;
											}
										}
									else
										{	/* Cfa/procedure.scm 202 */
											BgL_tmpz00_5548 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/procedure.scm 198 */
								BgL_tmpz00_5548 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_tmpz00_5548);
				}
			}
		}

	}



/* &cfa!-make-procedure-1536 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2procedurezd21536za2zzcfa_procedurez00(obj_t
		BgL_envz00_4604, obj_t BgL_nodez00_4605)
	{
		{	/* Cfa/procedure.scm 146 */
			{	/* Cfa/procedure.scm 150 */
				obj_t BgL_procz00_4779;

				{	/* Cfa/procedure.scm 150 */
					obj_t BgL_pairz00_4780;

					BgL_pairz00_4780 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_4605))))->BgL_argsz00);
					BgL_procz00_4779 = CAR(BgL_pairz00_4780);
				}
				{	/* Cfa/procedure.scm 150 */
					BgL_valuez00_bglt BgL_funz00_4781;

					BgL_funz00_4781 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_procz00_4779)))->
									BgL_variablez00)))->BgL_valuez00);
					{	/* Cfa/procedure.scm 151 */
						obj_t BgL_envz00_4782;

						{	/* Cfa/procedure.scm 152 */
							obj_t BgL_pairz00_4783;

							BgL_pairz00_4783 =
								(((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_funz00_4781)))->BgL_argsz00);
							BgL_envz00_4782 = CAR(BgL_pairz00_4783);
						}
						{	/* Cfa/procedure.scm 152 */

							{	/* Cfa/procedure.scm 159 */
								BgL_approxz00_bglt BgL_arg1729z00_4784;
								BgL_approxz00_bglt BgL_arg1730z00_4785;

								{	/* Cfa/procedure.scm 159 */
									BgL_svarz00_bglt BgL_oz00_4786;

									BgL_oz00_4786 =
										((BgL_svarz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_envz00_4782))))->
											BgL_valuez00));
									{
										BgL_svarzf2cinfozf2_bglt BgL_auxz00_5618;

										{
											obj_t BgL_auxz00_5619;

											{	/* Cfa/procedure.scm 159 */
												BgL_objectz00_bglt BgL_tmpz00_5620;

												BgL_tmpz00_5620 = ((BgL_objectz00_bglt) BgL_oz00_4786);
												BgL_auxz00_5619 = BGL_OBJECT_WIDENING(BgL_tmpz00_5620);
											}
											BgL_auxz00_5618 =
												((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_5619);
										}
										BgL_arg1729z00_4784 =
											(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5618))->
											BgL_approxz00);
									}
								}
								{
									BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5625;

									{
										obj_t BgL_auxz00_5626;

										{	/* Cfa/procedure.scm 159 */
											BgL_objectz00_bglt BgL_tmpz00_5627;

											BgL_tmpz00_5627 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_4605));
											BgL_auxz00_5626 = BGL_OBJECT_WIDENING(BgL_tmpz00_5627);
										}
										BgL_auxz00_5625 =
											((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5626);
									}
									BgL_arg1730z00_4785 =
										(((BgL_makezd2procedurezd2appz00_bglt)
											COBJECT(BgL_auxz00_5625))->BgL_approxz00);
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1729z00_4784,
									BgL_arg1730z00_4785);
							}
						}
					}
				}
			}
			{	/* Cfa/procedure.scm 161 */
				obj_t BgL_g1525z00_4787;

				BgL_g1525z00_4787 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4605))))->BgL_argsz00);
				{
					obj_t BgL_l1523z00_4789;

					BgL_l1523z00_4789 = BgL_g1525z00_4787;
				BgL_zc3z04anonymousza31757ze3z87_4788:
					if (PAIRP(BgL_l1523z00_4789))
						{	/* Cfa/procedure.scm 161 */
							{	/* Cfa/procedure.scm 161 */
								obj_t BgL_arg1763z00_4790;

								BgL_arg1763z00_4790 = CAR(BgL_l1523z00_4789);
								BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg1763z00_4790));
							}
							{
								obj_t BgL_l1523z00_5642;

								BgL_l1523z00_5642 = CDR(BgL_l1523z00_4789);
								BgL_l1523z00_4789 = BgL_l1523z00_5642;
								goto BgL_zc3z04anonymousza31757ze3z87_4788;
							}
						}
					else
						{	/* Cfa/procedure.scm 161 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5644;

				{
					obj_t BgL_auxz00_5645;

					{	/* Cfa/procedure.scm 162 */
						BgL_objectz00_bglt BgL_tmpz00_5646;

						BgL_tmpz00_5646 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4605));
						BgL_auxz00_5645 = BGL_OBJECT_WIDENING(BgL_tmpz00_5646);
					}
					BgL_auxz00_5644 =
						((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5645);
				}
				return
					(((BgL_makezd2procedurezd2appz00_bglt) COBJECT(BgL_auxz00_5644))->
					BgL_approxz00);
			}
		}

	}



/* &node-setup!-pre-proc1534 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2proc1534za2zzcfa_procedurez00(obj_t
		BgL_envz00_4606, obj_t BgL_nodez00_4607)
	{
		{	/* Cfa/procedure.scm 134 */
			BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4607)));
			{	/* Cfa/procedure.scm 137 */
				obj_t BgL_arg1715z00_4792;

				BgL_arg1715z00_4792 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4607))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1715z00_4792);
			}
			{	/* Cfa/procedure.scm 138 */
				BgL_appz00_bglt BgL_nodez00_4793;

				{	/* Cfa/procedure.scm 138 */
					long BgL_arg1717z00_4794;

					{	/* Cfa/procedure.scm 138 */
						obj_t BgL_arg1720z00_4795;

						{	/* Cfa/procedure.scm 138 */
							obj_t BgL_arg1724z00_4796;

							{	/* Cfa/procedure.scm 138 */
								obj_t BgL_arg1866z00_4797;
								long BgL_arg1867z00_4798;

								BgL_arg1866z00_4797 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Cfa/procedure.scm 138 */
									long BgL_arg1869z00_4799;

									BgL_arg1869z00_4799 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4607)));
									BgL_arg1867z00_4798 = (BgL_arg1869z00_4799 - OBJECT_TYPE);
								}
								BgL_arg1724z00_4796 =
									VECTOR_REF(BgL_arg1866z00_4797, BgL_arg1867z00_4798);
							}
							BgL_arg1720z00_4795 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1724z00_4796);
						}
						{	/* Cfa/procedure.scm 138 */
							obj_t BgL_tmpz00_5666;

							BgL_tmpz00_5666 = ((obj_t) BgL_arg1720z00_4795);
							BgL_arg1717z00_4794 = BGL_CLASS_NUM(BgL_tmpz00_5666);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_4607)), BgL_arg1717z00_4794);
				}
				{	/* Cfa/procedure.scm 138 */
					BgL_objectz00_bglt BgL_tmpz00_5672;

					BgL_tmpz00_5672 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4607));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5672, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4607));
				BgL_nodez00_4793 = ((BgL_appz00_bglt) BgL_nodez00_4607);
				{	/* Cfa/procedure.scm 139 */
					BgL_procedurezd2setz12zd2appz12_bglt BgL_wide1183z00_4800;

					BgL_wide1183z00_4800 =
						((BgL_procedurezd2setz12zd2appz12_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_procedurezd2setz12zd2appz12_bgl))));
					{	/* Cfa/procedure.scm 139 */
						obj_t BgL_auxz00_5684;
						BgL_objectz00_bglt BgL_tmpz00_5680;

						BgL_auxz00_5684 = ((obj_t) BgL_wide1183z00_4800);
						BgL_tmpz00_5680 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5680, BgL_auxz00_5684);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
					{	/* Cfa/procedure.scm 139 */
						long BgL_arg1716z00_4801;

						BgL_arg1716z00_4801 =
							BGL_CLASS_NUM(BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_4793))), BgL_arg1716z00_4801);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
				}
				{
					BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5698;

					{
						obj_t BgL_auxz00_5699;

						{	/* Cfa/procedure.scm 141 */
							BgL_objectz00_bglt BgL_tmpz00_5700;

							BgL_tmpz00_5700 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
							BgL_auxz00_5699 = BGL_OBJECT_WIDENING(BgL_tmpz00_5700);
						}
						BgL_auxz00_5698 =
							((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5699);
					}
					((((BgL_procedurezd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_5698))->
							BgL_approxz00) =
						((BgL_approxz00_bglt)
							BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
									BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
				}
				{
					BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_5709;

					{
						obj_t BgL_auxz00_5710;

						{	/* Cfa/procedure.scm 140 */
							BgL_objectz00_bglt BgL_tmpz00_5711;

							BgL_tmpz00_5711 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
							BgL_auxz00_5710 = BGL_OBJECT_WIDENING(BgL_tmpz00_5711);
						}
						BgL_auxz00_5709 =
							((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_5710);
					}
					((((BgL_procedurezd2setz12zd2appz12_bglt) COBJECT(BgL_auxz00_5709))->
							BgL_vapproxz00) =
						((obj_t) ((obj_t) BGl_makezd2emptyzd2approxz00zzcfa_approxz00())),
						BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4793)));
			}
		}

	}



/* &node-setup!-pre-proc1532 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2proc1532za2zzcfa_procedurez00(obj_t
		BgL_envz00_4608, obj_t BgL_nodez00_4609)
	{
		{	/* Cfa/procedure.scm 121 */
			BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4609)));
			{	/* Cfa/procedure.scm 124 */
				obj_t BgL_arg1693z00_4803;

				BgL_arg1693z00_4803 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4609))))->BgL_argsz00);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1693z00_4803);
			}
			{	/* Cfa/procedure.scm 125 */
				BgL_appz00_bglt BgL_nodez00_4804;

				{	/* Cfa/procedure.scm 125 */
					long BgL_arg1696z00_4805;

					{	/* Cfa/procedure.scm 125 */
						obj_t BgL_arg1699z00_4806;

						{	/* Cfa/procedure.scm 125 */
							obj_t BgL_arg1703z00_4807;

							{	/* Cfa/procedure.scm 125 */
								obj_t BgL_arg1866z00_4808;
								long BgL_arg1867z00_4809;

								BgL_arg1866z00_4808 = (BGl_za2classesza2z00zz__objectz00);
								{	/* Cfa/procedure.scm 125 */
									long BgL_arg1869z00_4810;

									BgL_arg1869z00_4810 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_4609)));
									BgL_arg1867z00_4809 = (BgL_arg1869z00_4810 - OBJECT_TYPE);
								}
								BgL_arg1703z00_4807 =
									VECTOR_REF(BgL_arg1866z00_4808, BgL_arg1867z00_4809);
							}
							BgL_arg1699z00_4806 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1703z00_4807);
						}
						{	/* Cfa/procedure.scm 125 */
							obj_t BgL_tmpz00_5737;

							BgL_tmpz00_5737 = ((obj_t) BgL_arg1699z00_4806);
							BgL_arg1696z00_4805 = BGL_CLASS_NUM(BgL_tmpz00_5737);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_4609)), BgL_arg1696z00_4805);
				}
				{	/* Cfa/procedure.scm 125 */
					BgL_objectz00_bglt BgL_tmpz00_5743;

					BgL_tmpz00_5743 =
						((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4609));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5743, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4609));
				BgL_nodez00_4804 = ((BgL_appz00_bglt) BgL_nodez00_4609);
				{	/* Cfa/procedure.scm 126 */
					BgL_procedurezd2refzd2appz00_bglt BgL_wide1177z00_4811;

					BgL_wide1177z00_4811 =
						((BgL_procedurezd2refzd2appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_procedurezd2refzd2appz00_bgl))));
					{	/* Cfa/procedure.scm 126 */
						obj_t BgL_auxz00_5755;
						BgL_objectz00_bglt BgL_tmpz00_5751;

						BgL_auxz00_5755 = ((obj_t) BgL_wide1177z00_4811);
						BgL_tmpz00_5751 =
							((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4804)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5751, BgL_auxz00_5755);
					}
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4804)));
					{	/* Cfa/procedure.scm 126 */
						long BgL_arg1695z00_4812;

						BgL_arg1695z00_4812 =
							BGL_CLASS_NUM(BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_4804))), BgL_arg1695z00_4812);
					}
					((BgL_appz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4804)));
				}
				{
					BgL_approxz00_bglt BgL_auxz00_5777;
					BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_5769;

					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/procedure.scm 127 */
							BgL_auxz00_5777 = BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
						}
					else
						{	/* Cfa/procedure.scm 127 */
							BgL_auxz00_5777 =
								BGl_makezd2typezd2approxz00zzcfa_approxz00(
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
						}
					{
						obj_t BgL_auxz00_5770;

						{	/* Cfa/procedure.scm 127 */
							BgL_objectz00_bglt BgL_tmpz00_5771;

							BgL_tmpz00_5771 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4804)));
							BgL_auxz00_5770 = BGL_OBJECT_WIDENING(BgL_tmpz00_5771);
						}
						BgL_auxz00_5769 =
							((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_5770);
					}
					((((BgL_procedurezd2refzd2appz00_bglt) COBJECT(BgL_auxz00_5769))->
							BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_5777), BUNSPEC);
				}
				return
					((obj_t) ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4804)));
			}
		}

	}



/* &node-setup!-pre-make1530 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1530za2zzcfa_procedurez00(obj_t
		BgL_envz00_4610, obj_t BgL_nodez00_4611)
	{
		{	/* Cfa/procedure.scm 62 */
			{

				{
					obj_t BgL_lenz00_4823;
					obj_t BgL_lenz00_4818;

					BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4611)));
					{	/* Cfa/procedure.scm 81 */
						obj_t BgL_arg1626z00_4828;

						BgL_arg1626z00_4828 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4611))))->BgL_argsz00);
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1626z00_4828);
					}
					{	/* Cfa/procedure.scm 82 */
						BgL_variablez00_bglt BgL_ownerz00_4829;

						{
							BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_auxz00_5794;

							{
								obj_t BgL_auxz00_5795;

								{	/* Cfa/procedure.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_5796;

									BgL_tmpz00_5796 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4611));
									BgL_auxz00_5795 = BGL_OBJECT_WIDENING(BgL_tmpz00_5796);
								}
								BgL_auxz00_5794 =
									((BgL_prezd2makezd2procedurezd2appzd2_bglt) BgL_auxz00_5795);
							}
							BgL_ownerz00_4829 =
								(((BgL_prezd2makezd2procedurezd2appzd2_bglt)
									COBJECT(BgL_auxz00_5794))->BgL_ownerz00);
						}
						{	/* Cfa/procedure.scm 82 */
							BgL_appz00_bglt BgL_nodez00_4830;

							{	/* Cfa/procedure.scm 83 */
								long BgL_arg1660z00_4831;

								{	/* Cfa/procedure.scm 83 */
									obj_t BgL_arg1663z00_4832;

									{	/* Cfa/procedure.scm 83 */
										obj_t BgL_arg1664z00_4833;

										{	/* Cfa/procedure.scm 83 */
											obj_t BgL_arg1866z00_4834;
											long BgL_arg1867z00_4835;

											BgL_arg1866z00_4834 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/procedure.scm 83 */
												long BgL_arg1869z00_4836;

												BgL_arg1869z00_4836 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4611)));
												BgL_arg1867z00_4835 =
													(BgL_arg1869z00_4836 - OBJECT_TYPE);
											}
											BgL_arg1664z00_4833 =
												VECTOR_REF(BgL_arg1866z00_4834, BgL_arg1867z00_4835);
										}
										BgL_arg1663z00_4832 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1664z00_4833);
									}
									{	/* Cfa/procedure.scm 83 */
										obj_t BgL_tmpz00_5809;

										BgL_tmpz00_5809 = ((obj_t) BgL_arg1663z00_4832);
										BgL_arg1660z00_4831 = BGL_CLASS_NUM(BgL_tmpz00_5809);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4611)), BgL_arg1660z00_4831);
							}
							{	/* Cfa/procedure.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_5815;

								BgL_tmpz00_5815 =
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4611));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5815, BFALSE);
							}
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4611));
							BgL_nodez00_4830 = ((BgL_appz00_bglt) BgL_nodez00_4611);
							{	/* Cfa/procedure.scm 83 */

								{	/* Cfa/procedure.scm 84 */
									obj_t BgL_proczd2siza7ez75_4837;
									obj_t BgL_procz00_4838;

									{	/* Cfa/procedure.scm 84 */
										obj_t BgL_arg1655z00_4839;

										{	/* Cfa/procedure.scm 84 */
											obj_t BgL_pairz00_4840;

											BgL_pairz00_4840 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4611))))->
												BgL_argsz00);
											BgL_arg1655z00_4839 = CAR(CDR(CDR(BgL_pairz00_4840)));
										}
										BgL_proczd2siza7ez75_4837 =
											BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
											((BgL_nodez00_bglt) BgL_arg1655z00_4839));
									}
									{	/* Cfa/procedure.scm 85 */
										obj_t BgL_pairz00_4841;

										BgL_pairz00_4841 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4611))))->
											BgL_argsz00);
										BgL_procz00_4838 = CAR(BgL_pairz00_4841);
									}
									{	/* Cfa/procedure.scm 86 */
										bool_t BgL_test2213z00_5834;

										if (INTEGERP(BgL_proczd2siza7ez75_4837))
											{	/* Cfa/procedure.scm 87 */
												bool_t BgL_test2215z00_5837;

												{	/* Cfa/procedure.scm 87 */
													obj_t BgL_classz00_4842;

													BgL_classz00_4842 = BGl_varz00zzast_nodez00;
													if (BGL_OBJECTP(BgL_procz00_4838))
														{	/* Cfa/procedure.scm 87 */
															BgL_objectz00_bglt BgL_arg1858z00_4843;

															BgL_arg1858z00_4843 =
																(BgL_objectz00_bglt) (BgL_procz00_4838);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Cfa/procedure.scm 87 */
																	long BgL_idxz00_4844;

																	BgL_idxz00_4844 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4843);
																	BgL_test2215z00_5837 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4844 + 2L)) ==
																		BgL_classz00_4842);
																}
															else
																{	/* Cfa/procedure.scm 87 */
																	bool_t BgL_res2098z00_4847;

																	{	/* Cfa/procedure.scm 87 */
																		obj_t BgL_oclassz00_4848;

																		{	/* Cfa/procedure.scm 87 */
																			obj_t BgL_arg1866z00_4849;
																			long BgL_arg1867z00_4850;

																			BgL_arg1866z00_4849 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Cfa/procedure.scm 87 */
																				long BgL_arg1869z00_4851;

																				BgL_arg1869z00_4851 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4843);
																				BgL_arg1867z00_4850 =
																					(BgL_arg1869z00_4851 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4848 =
																				VECTOR_REF(BgL_arg1866z00_4849,
																				BgL_arg1867z00_4850);
																		}
																		{	/* Cfa/procedure.scm 87 */
																			bool_t BgL__ortest_1115z00_4852;

																			BgL__ortest_1115z00_4852 =
																				(BgL_classz00_4842 ==
																				BgL_oclassz00_4848);
																			if (BgL__ortest_1115z00_4852)
																				{	/* Cfa/procedure.scm 87 */
																					BgL_res2098z00_4847 =
																						BgL__ortest_1115z00_4852;
																				}
																			else
																				{	/* Cfa/procedure.scm 87 */
																					long BgL_odepthz00_4853;

																					{	/* Cfa/procedure.scm 87 */
																						obj_t BgL_arg1855z00_4854;

																						BgL_arg1855z00_4854 =
																							(BgL_oclassz00_4848);
																						BgL_odepthz00_4853 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4854);
																					}
																					if ((2L < BgL_odepthz00_4853))
																						{	/* Cfa/procedure.scm 87 */
																							obj_t BgL_arg1853z00_4855;

																							{	/* Cfa/procedure.scm 87 */
																								obj_t BgL_arg1854z00_4856;

																								BgL_arg1854z00_4856 =
																									(BgL_oclassz00_4848);
																								BgL_arg1853z00_4855 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4856, 2L);
																							}
																							BgL_res2098z00_4847 =
																								(BgL_arg1853z00_4855 ==
																								BgL_classz00_4842);
																						}
																					else
																						{	/* Cfa/procedure.scm 87 */
																							BgL_res2098z00_4847 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2215z00_5837 = BgL_res2098z00_4847;
																}
														}
													else
														{	/* Cfa/procedure.scm 87 */
															BgL_test2215z00_5837 = ((bool_t) 0);
														}
												}
												if (BgL_test2215z00_5837)
													{	/* Cfa/procedure.scm 88 */
														BgL_valuez00_bglt BgL_arg1650z00_4857;

														BgL_arg1650z00_4857 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt) BgL_procz00_4838)))->
																		BgL_variablez00)))->BgL_valuez00);
														{	/* Cfa/procedure.scm 88 */
															obj_t BgL_classz00_4858;

															BgL_classz00_4858 = BGl_funz00zzast_varz00;
															{	/* Cfa/procedure.scm 88 */
																BgL_objectz00_bglt BgL_arg1858z00_4859;

																{	/* Cfa/procedure.scm 88 */
																	obj_t BgL_tmpz00_5863;

																	BgL_tmpz00_5863 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1650z00_4857));
																	BgL_arg1858z00_4859 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_5863);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Cfa/procedure.scm 88 */
																		long BgL_idxz00_4860;

																		BgL_idxz00_4860 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_4859);
																		BgL_test2213z00_5834 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_4860 + 2L)) ==
																			BgL_classz00_4858);
																	}
																else
																	{	/* Cfa/procedure.scm 88 */
																		bool_t BgL_res2099z00_4863;

																		{	/* Cfa/procedure.scm 88 */
																			obj_t BgL_oclassz00_4864;

																			{	/* Cfa/procedure.scm 88 */
																				obj_t BgL_arg1866z00_4865;
																				long BgL_arg1867z00_4866;

																				BgL_arg1866z00_4865 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Cfa/procedure.scm 88 */
																					long BgL_arg1869z00_4867;

																					BgL_arg1869z00_4867 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_4859);
																					BgL_arg1867z00_4866 =
																						(BgL_arg1869z00_4867 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_4864 =
																					VECTOR_REF(BgL_arg1866z00_4865,
																					BgL_arg1867z00_4866);
																			}
																			{	/* Cfa/procedure.scm 88 */
																				bool_t BgL__ortest_1115z00_4868;

																				BgL__ortest_1115z00_4868 =
																					(BgL_classz00_4858 ==
																					BgL_oclassz00_4864);
																				if (BgL__ortest_1115z00_4868)
																					{	/* Cfa/procedure.scm 88 */
																						BgL_res2099z00_4863 =
																							BgL__ortest_1115z00_4868;
																					}
																				else
																					{	/* Cfa/procedure.scm 88 */
																						long BgL_odepthz00_4869;

																						{	/* Cfa/procedure.scm 88 */
																							obj_t BgL_arg1855z00_4870;

																							BgL_arg1855z00_4870 =
																								(BgL_oclassz00_4864);
																							BgL_odepthz00_4869 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_4870);
																						}
																						if ((2L < BgL_odepthz00_4869))
																							{	/* Cfa/procedure.scm 88 */
																								obj_t BgL_arg1853z00_4871;

																								{	/* Cfa/procedure.scm 88 */
																									obj_t BgL_arg1854z00_4872;

																									BgL_arg1854z00_4872 =
																										(BgL_oclassz00_4864);
																									BgL_arg1853z00_4871 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_4872, 2L);
																								}
																								BgL_res2099z00_4863 =
																									(BgL_arg1853z00_4871 ==
																									BgL_classz00_4858);
																							}
																						else
																							{	/* Cfa/procedure.scm 88 */
																								BgL_res2099z00_4863 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2213z00_5834 = BgL_res2099z00_4863;
																	}
															}
														}
													}
												else
													{	/* Cfa/procedure.scm 87 */
														BgL_test2213z00_5834 = ((bool_t) 0);
													}
											}
										else
											{	/* Cfa/procedure.scm 86 */
												BgL_test2213z00_5834 = ((bool_t) 0);
											}
										if (BgL_test2213z00_5834)
											{	/* Cfa/procedure.scm 89 */
												obj_t BgL_vapproxz00_4873;

												if (CBOOL
													(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
													{	/* Cfa/procedure.scm 89 */
														BgL_lenz00_4818 = BgL_proczd2siza7ez75_4837;
														{	/* Cfa/procedure.scm 72 */
															obj_t BgL_resz00_4819;

															BgL_resz00_4819 =
																make_vector(
																(long) CINT(BgL_lenz00_4818), BUNSPEC);
															{
																long BgL_iz00_4821;

																BgL_iz00_4821 = 0L;
															BgL_loopz00_4820:
																if (
																	(BgL_iz00_4821 ==
																		(long) CINT(BgL_lenz00_4818)))
																	{	/* Cfa/procedure.scm 74 */
																		BgL_vapproxz00_4873 = BgL_resz00_4819;
																	}
																else
																	{	/* Cfa/procedure.scm 74 */
																		{	/* Cfa/procedure.scm 77 */
																			BgL_approxz00_bglt BgL_arg1686z00_4822;

																			BgL_arg1686z00_4822 =
																				BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																				();
																			VECTOR_SET(BgL_resz00_4819, BgL_iz00_4821,
																				((obj_t) BgL_arg1686z00_4822));
																		}
																		{
																			long BgL_iz00_5896;

																			BgL_iz00_5896 = (BgL_iz00_4821 + 1L);
																			BgL_iz00_4821 = BgL_iz00_5896;
																			goto BgL_loopz00_4820;
																		}
																	}
															}
														}
													}
												else
													{	/* Cfa/procedure.scm 89 */
														BgL_lenz00_4823 = BgL_proczd2siza7ez75_4837;
														{	/* Cfa/procedure.scm 64 */
															obj_t BgL_resz00_4824;

															BgL_resz00_4824 =
																make_vector(
																(long) CINT(BgL_lenz00_4823), BUNSPEC);
															{
																long BgL_iz00_4826;

																BgL_iz00_4826 = 0L;
															BgL_loopz00_4825:
																if (
																	(BgL_iz00_4826 ==
																		(long) CINT(BgL_lenz00_4823)))
																	{	/* Cfa/procedure.scm 66 */
																		BgL_vapproxz00_4873 = BgL_resz00_4824;
																	}
																else
																	{	/* Cfa/procedure.scm 66 */
																		{	/* Cfa/procedure.scm 69 */
																			BgL_approxz00_bglt BgL_arg1673z00_4827;

																			BgL_arg1673z00_4827 =
																				BGl_makezd2typezd2approxz00zzcfa_approxz00
																				(((BgL_typez00_bglt)
																					BGl_za2objza2z00zztype_cachez00));
																			VECTOR_SET(BgL_resz00_4824, BgL_iz00_4826,
																				((obj_t) BgL_arg1673z00_4827));
																		}
																		{
																			long BgL_iz00_5907;

																			BgL_iz00_5907 = (BgL_iz00_4826 + 1L);
																			BgL_iz00_4826 = BgL_iz00_5907;
																			goto BgL_loopz00_4825;
																		}
																	}
															}
														}
													}
												{	/* Cfa/procedure.scm 89 */
													BgL_appz00_bglt BgL_nodez00_4874;

													{	/* Cfa/procedure.scm 92 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_wide1167z00_4875;
														BgL_wide1167z00_4875 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_makezd2procedurezd2appz00_bgl))));
														{	/* Cfa/procedure.scm 92 */
															obj_t BgL_auxz00_5914;
															BgL_objectz00_bglt BgL_tmpz00_5910;

															BgL_auxz00_5914 = ((obj_t) BgL_wide1167z00_4875);
															BgL_tmpz00_5910 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4830)));
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5910,
																BgL_auxz00_5914);
														}
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4830)));
														{	/* Cfa/procedure.scm 92 */
															long BgL_arg1649z00_4876;

															BgL_arg1649z00_4876 =
																BGL_CLASS_NUM
																(BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																		(BgL_appz00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_4830))), BgL_arg1649z00_4876);
														}
														((BgL_appz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4830)));
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5928;

														{
															obj_t BgL_auxz00_5929;

															{	/* Cfa/procedure.scm 94 */
																BgL_objectz00_bglt BgL_tmpz00_5930;

																BgL_tmpz00_5930 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5929 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5930);
															}
															BgL_auxz00_5928 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5929);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5928))->BgL_approxz00) =
															((BgL_approxz00_bglt)
																BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
															BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5938;

														{
															obj_t BgL_auxz00_5939;

															{	/* Cfa/procedure.scm 95 */
																BgL_objectz00_bglt BgL_tmpz00_5940;

																BgL_tmpz00_5940 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5939 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5940);
															}
															BgL_auxz00_5938 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5939);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5938))->
																BgL_valueszd2approxzd2) =
															((obj_t) BgL_vapproxz00_4873), BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5947;

														{
															obj_t BgL_auxz00_5948;

															{	/* Cfa/procedure.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_5949;

																BgL_tmpz00_5949 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5948 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5949);
															}
															BgL_auxz00_5947 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5948);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5947))->
																BgL_lostzd2stampzd2) = ((long) (-1L)), BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5956;

														{
															obj_t BgL_auxz00_5957;

															{	/* Cfa/procedure.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_5958;

																BgL_tmpz00_5958 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5957 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5958);
															}
															BgL_auxz00_5956 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5957);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5956))->BgL_xzd2tzf3z21) =
															((bool_t) ((bool_t) 1)), BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5965;

														{
															obj_t BgL_auxz00_5966;

															{	/* Cfa/procedure.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_5967;

																BgL_tmpz00_5967 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5966 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5967);
															}
															BgL_auxz00_5965 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5966);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5965))->BgL_xz00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5974;

														{
															obj_t BgL_auxz00_5975;

															{	/* Cfa/procedure.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_5976;

																BgL_tmpz00_5976 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5975 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5976);
															}
															BgL_auxz00_5974 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5975);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5974))->BgL_tz00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5983;

														{
															obj_t BgL_auxz00_5984;

															{	/* Cfa/procedure.scm 93 */
																BgL_objectz00_bglt BgL_tmpz00_5985;

																BgL_tmpz00_5985 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5984 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5985);
															}
															BgL_auxz00_5983 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5984);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5983))->BgL_ownerz00) =
															((BgL_variablez00_bglt) BgL_ownerz00_4829),
															BUNSPEC);
													}
													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5992;

														{
															obj_t BgL_auxz00_5993;

															{	/* Cfa/procedure.scm 89 */
																BgL_objectz00_bglt BgL_tmpz00_5994;

																BgL_tmpz00_5994 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_4830)));
																BgL_auxz00_5993 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5994);
															}
															BgL_auxz00_5992 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5993);
														}
														((((BgL_makezd2procedurezd2appz00_bglt)
																	COBJECT(BgL_auxz00_5992))->
																BgL_stackzd2stampzd2) =
															((obj_t) BNIL), BUNSPEC);
													}
													BgL_nodez00_4874 =
														((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4830));
													{	/* Cfa/procedure.scm 92 */

														{	/* Cfa/procedure.scm 101 */
															BgL_approxz00_bglt BgL_arg1635z00_4877;

															BgL_arg1635z00_4877 =
																BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
																(((BgL_typez00_bglt)
																	BGl_za2procedureza2z00zztype_cachez00),
																((BgL_nodez00_bglt) BgL_nodez00_4874));
															{
																BgL_makezd2procedurezd2appz00_bglt
																	BgL_auxz00_6006;
																{
																	obj_t BgL_auxz00_6007;

																	{	/* Cfa/procedure.scm 99 */
																		BgL_objectz00_bglt BgL_tmpz00_6008;

																		BgL_tmpz00_6008 =
																			((BgL_objectz00_bglt) BgL_nodez00_4874);
																		BgL_auxz00_6007 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6008);
																	}
																	BgL_auxz00_6006 =
																		((BgL_makezd2procedurezd2appz00_bglt)
																		BgL_auxz00_6007);
																}
																((((BgL_makezd2procedurezd2appz00_bglt)
																			COBJECT(BgL_auxz00_6006))->
																		BgL_approxz00) =
																	((BgL_approxz00_bglt) BgL_arg1635z00_4877),
																	BUNSPEC);
														}}
														{	/* Cfa/procedure.scm 104 */
															obj_t BgL_cloz00_4878;

															{	/* Cfa/procedure.scm 104 */
																obj_t BgL_pairz00_4879;

																BgL_pairz00_4879 =
																	(((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) COBJECT(
																							(((BgL_varz00_bglt) COBJECT(
																										((BgL_varz00_bglt)
																											BgL_procz00_4838)))->
																								BgL_variablez00)))->
																					BgL_valuez00))))->BgL_argsz00);
																BgL_cloz00_4878 = CAR(BgL_pairz00_4879);
															}
															{	/* Cfa/procedure.scm 104 */
																BgL_valuez00_bglt BgL_vcloz00_4880;

																BgL_vcloz00_4880 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_cloz00_4878))))->BgL_valuez00);
																{	/* Cfa/procedure.scm 107 */

																	{	/* Cfa/procedure.scm 108 */
																		bool_t BgL_test2226z00_6022;

																		{	/* Cfa/procedure.scm 108 */
																			obj_t BgL_classz00_4881;

																			BgL_classz00_4881 =
																				BGl_svarzf2Cinfozf2zzcfa_infoz00;
																			{	/* Cfa/procedure.scm 108 */
																				BgL_objectz00_bglt BgL_arg1858z00_4882;

																				{	/* Cfa/procedure.scm 108 */
																					obj_t BgL_tmpz00_6023;

																					BgL_tmpz00_6023 =
																						((obj_t)
																						((BgL_objectz00_bglt)
																							BgL_vcloz00_4880));
																					BgL_arg1858z00_4882 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_6023);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Cfa/procedure.scm 108 */
																						long BgL_idxz00_4883;

																						BgL_idxz00_4883 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_4882);
																						BgL_test2226z00_6022 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_4883 + 3L)) ==
																							BgL_classz00_4881);
																					}
																				else
																					{	/* Cfa/procedure.scm 108 */
																						bool_t BgL_res2100z00_4886;

																						{	/* Cfa/procedure.scm 108 */
																							obj_t BgL_oclassz00_4887;

																							{	/* Cfa/procedure.scm 108 */
																								obj_t BgL_arg1866z00_4888;
																								long BgL_arg1867z00_4889;

																								BgL_arg1866z00_4888 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Cfa/procedure.scm 108 */
																									long BgL_arg1869z00_4890;

																									BgL_arg1869z00_4890 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_4882);
																									BgL_arg1867z00_4889 =
																										(BgL_arg1869z00_4890 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_4887 =
																									VECTOR_REF
																									(BgL_arg1866z00_4888,
																									BgL_arg1867z00_4889);
																							}
																							{	/* Cfa/procedure.scm 108 */
																								bool_t BgL__ortest_1115z00_4891;

																								BgL__ortest_1115z00_4891 =
																									(BgL_classz00_4881 ==
																									BgL_oclassz00_4887);
																								if (BgL__ortest_1115z00_4891)
																									{	/* Cfa/procedure.scm 108 */
																										BgL_res2100z00_4886 =
																											BgL__ortest_1115z00_4891;
																									}
																								else
																									{	/* Cfa/procedure.scm 108 */
																										long BgL_odepthz00_4892;

																										{	/* Cfa/procedure.scm 108 */
																											obj_t BgL_arg1855z00_4893;

																											BgL_arg1855z00_4893 =
																												(BgL_oclassz00_4887);
																											BgL_odepthz00_4892 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_4893);
																										}
																										if (
																											(3L < BgL_odepthz00_4892))
																											{	/* Cfa/procedure.scm 108 */
																												obj_t
																													BgL_arg1853z00_4894;
																												{	/* Cfa/procedure.scm 108 */
																													obj_t
																														BgL_arg1854z00_4895;
																													BgL_arg1854z00_4895 =
																														(BgL_oclassz00_4887);
																													BgL_arg1853z00_4894 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_4895,
																														3L);
																												}
																												BgL_res2100z00_4886 =
																													(BgL_arg1853z00_4894
																													== BgL_classz00_4881);
																											}
																										else
																											{	/* Cfa/procedure.scm 108 */
																												BgL_res2100z00_4886 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2226z00_6022 =
																							BgL_res2100z00_4886;
																					}
																			}
																		}
																		if (BgL_test2226z00_6022)
																			{	/* Cfa/procedure.scm 108 */
																				{
																					BgL_svarzf2cinfozf2_bglt
																						BgL_auxz00_6046;
																					{
																						obj_t BgL_auxz00_6047;

																						{	/* Cfa/procedure.scm 112 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_6048;
																							BgL_tmpz00_6048 =
																								((BgL_objectz00_bglt) (
																									(BgL_svarz00_bglt)
																									BgL_vcloz00_4880));
																							BgL_auxz00_6047 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_6048);
																						}
																						BgL_auxz00_6046 =
																							((BgL_svarzf2cinfozf2_bglt)
																							BgL_auxz00_6047);
																					}
																					return
																						((((BgL_svarzf2cinfozf2_bglt)
																								COBJECT(BgL_auxz00_6046))->
																							BgL_clozd2envzf3z21) =
																						((bool_t) ((bool_t) 1)), BUNSPEC);
																				}
																			}
																		else
																			{	/* Cfa/procedure.scm 108 */
																				{	/* Cfa/procedure.scm 113 */
																					BgL_prezd2clozd2envz00_bglt
																						BgL_wide1171z00_4896;
																					BgL_wide1171z00_4896 =
																						((BgL_prezd2clozd2envz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_prezd2clozd2envz00_bgl))));
																					{	/* Cfa/procedure.scm 113 */
																						obj_t BgL_auxz00_6059;
																						BgL_objectz00_bglt BgL_tmpz00_6055;

																						BgL_auxz00_6059 =
																							((obj_t) BgL_wide1171z00_4896);
																						BgL_tmpz00_6055 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								((BgL_svarz00_bglt)
																									BgL_vcloz00_4880)));
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_6055,
																							BgL_auxz00_6059);
																					}
																					((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							((BgL_svarz00_bglt)
																								BgL_vcloz00_4880)));
																					{	/* Cfa/procedure.scm 113 */
																						long BgL_arg1638z00_4897;

																						BgL_arg1638z00_4897 =
																							BGL_CLASS_NUM
																							(BGl_prezd2clozd2envz00zzcfa_infoz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt) (
																									(BgL_svarz00_bglt) (
																										(BgL_svarz00_bglt)
																										BgL_vcloz00_4880))),
																							BgL_arg1638z00_4897);
																					}
																					((BgL_svarz00_bglt)
																						((BgL_svarz00_bglt)
																							((BgL_svarz00_bglt)
																								BgL_vcloz00_4880)));
																				}
																				return
																					((obj_t)
																					((BgL_svarz00_bglt)
																						((BgL_svarz00_bglt)
																							BgL_vcloz00_4880)));
																			}
																	}
																}
															}
														}
													}
												}
											}
										else
											{	/* Cfa/procedure.scm 86 */
												{	/* Cfa/procedure.scm 62 */
													obj_t BgL_nextzd2method1529zd2_4815;

													BgL_nextzd2method1529zd2_4815 =
														BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
														((BgL_objectz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_4611)),
														BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
														BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
													return
														BGL_PROCEDURE_CALL1(BgL_nextzd2method1529zd2_4815,
														((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4611)));
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00(void)
	{
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(471177480L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(168272122L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(131412063L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(188963689L,
				BSTRING_TO_STRING(BGl_string2131z00zzcfa_procedurez00));
		}

	}

#ifdef __cplusplus
}
#endif
