/*===========================================================================*/
/*   (Cfa/setup.scm)                                                         */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/setup.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_SETUP_TYPE_DEFINITIONS
#define BGL_CFA_SETUP_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_patchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
		struct BgL_varz00_bgl *BgL_refz00;
		long BgL_indexz00;
		obj_t BgL_patchidz00;
	}               *BgL_patchz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_genpatchidz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		long BgL_indexz00;
		long BgL_rindexz00;
	}                    *BgL_genpatchidz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_literalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                         *BgL_literalzf2cinfozf2_bglt;

	typedef struct BgL_genpatchidzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_genpatchidzf2cinfozf2_bglt;

	typedef struct BgL_patchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_patchzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_switchzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_switchzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_instanceofzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_instanceofzf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;


#endif													// BGL_CFA_SETUP_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62nodezd2setupz12zd2cast1811z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_newzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2setq1813z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1764z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2getfield1801z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmazf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1775z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62variablezd2valuezd2setup1777z62zzcfa_setupz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2kwote1756z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_sexitz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2literal1752z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2setfield1803z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_setupz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2patch1754z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_genpatchidzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2sync1783z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_reshapedzd2localzd2zzcfa_infoz00;
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2var1760z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_switchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_literalzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1825z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2conditio1815z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2closure1779z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_failzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_setqzf2Cinfozf2zzcfa_infoz00;
	static bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2setupz12zd2castzd2nul1809za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00(void);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	extern obj_t BGl_instanceofzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2sequence1781z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2letzd2fun1821za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62funzd2setupz12zd2sfun1789z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1758z82zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2new1805z70zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_cvarz00zzast_varz00;
	extern obj_t BGl_patchz00zzast_nodez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2switch1819z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_getfieldzf2Cinfozf2zzcfa_info3z00;
	BGL_EXPORTED_DECL obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_patchzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2appzd2ly1793za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62nodezd2setupz12zd2fail1817z70zzcfa_setupz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t, obj_t);
	extern bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00(void);
	static obj_t BGl_toplevelzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_setupz00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2letzd2var1823za2zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz12zd2genpatch1799z70zzcfa_setupz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t);
	extern obj_t BGl_reshapedzd2globalzd2zzcfa_infoz00;
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	static obj_t BGl_z62nodezd2setupz12zd2funcall1795z70zzcfa_setupz00(obj_t,
		obj_t);
	static obj_t BGl_z62funzd2setupz12zd2cfun1791z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2instance1807z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21827z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62nodezd2setupz121749za2zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2app1785z70zzcfa_setupz00(obj_t, obj_t);
	static obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12zd2pragma1797z70zzcfa_setupz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_setupz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00(void);
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t
		BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genpatchidz00zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	static obj_t BGl_z62funzd2setupz121786za2zzcfa_setupz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern obj_t BGl_setfieldzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00;
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2315z00zzcfa_setupz00,
		BgL_bgl_string2315za700za7za7c2365za7, "node-setup!1749", 15);
	      DEFINE_STRING(BGl_string2317z00zzcfa_setupz00,
		BgL_bgl_string2317za700za7za7c2366za7, "variable-value-setup1761", 24);
	      DEFINE_STRING(BGl_string2319z00zzcfa_setupz00,
		BgL_bgl_string2319za700za7za7c2367za7, "fun-setup!1786", 14);
	      DEFINE_STRING(BGl_string2320z00zzcfa_setupz00,
		BgL_bgl_string2320za700za7za7c2368za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2322z00zzcfa_setupz00,
		BgL_bgl_string2322za700za7za7c2369za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2328z00zzcfa_setupz00,
		BgL_bgl_string2328za700za7za7c2370za7, "variable-value-setup!", 21);
	      DEFINE_STRING(BGl_string2340z00zzcfa_setupz00,
		BgL_bgl_string2340za700za7za7c2371za7, "fun-setup!", 10);
	      DEFINE_STRING(BGl_string2360z00zzcfa_setupz00,
		BgL_bgl_string2360za700za7za7c2372za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2361z00zzcfa_setupz00,
		BgL_bgl_string2361za700za7za7c2373za7, "cfa_setup", 9);
	      DEFINE_STRING(BGl_string2362z00zzcfa_setupz00,
		BgL_bgl_string2362za700za7za7c2374za7,
		"static already-done (sfun sgfun) import read node-setup!1749 variable-value-setup1761 ",
		86);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2375z00,
		BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72376za7,
		BGl_z62nodezd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72377za7,
		BGl_z62nodezd2setupz121749za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2378z00,
		BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712379za7,
		BGl_z62funzd2setupz121786za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72380za7,
		BGl_z62nodezd2setupz12zd2literal1752z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72381za7,
		BGl_z62nodezd2setupz12zd2patch1754z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72382za7,
		BGl_z62nodezd2setupz12zd2kwote1756z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72383za7,
		BGl_z62nodezd2setupz12zd2kwotezf2no1758z82zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72384za7,
		BGl_z62nodezd2setupz12zd2var1760z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2385z00,
		BGl_z62variablezd2valuezd2setup1764z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2386z00,
		BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2387z00,
		BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2388z00,
		BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2389z00,
		BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2390z00,
		BGl_z62variablezd2valuezd2setup1775z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_setupz00,
		BgL_bgl_za762variableza7d2va2391z00,
		BGl_z62variablezd2valuezd2setup1777z62zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72392za7,
		BGl_z62nodezd2setupz12zd2closure1779z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72393za7,
		BGl_z62nodezd2setupz12zd2sequence1781z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72394za7,
		BGl_z62nodezd2setupz12zd2sync1783z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72395za7,
		BGl_z62nodezd2setupz12zd2app1785z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712396za7,
		BGl_z62funzd2setupz12zd2sfun1789z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712397za7,
		BGl_z62funzd2setupz12zd2cfun1791z70zzcfa_setupz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72398za7,
		BGl_z62nodezd2setupz12zd2appzd2ly1793za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72399za7,
		BGl_z62nodezd2setupz12zd2funcall1795z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72400za7,
		BGl_z62nodezd2setupz12zd2pragma1797z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72401za7,
		BGl_z62nodezd2setupz12zd2genpatch1799z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72402za7,
		BGl_z62nodezd2setupz12zd2getfield1801z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72403za7,
		BGl_z62nodezd2setupz12zd2setfield1803z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72404za7,
		BGl_z62nodezd2setupz12zd2new1805z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72405za7,
		BGl_z62nodezd2setupz12zd2instance1807z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72406za7,
		BGl_z62nodezd2setupz12zd2castzd2nul1809za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72407za7,
		BGl_z62nodezd2setupz12zd2cast1811z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72408za7,
		BGl_z62nodezd2setupz12zd2setq1813z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72409za7,
		BGl_z62nodezd2setupz12zd2conditio1815z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72410za7,
		BGl_z62nodezd2setupz12zd2fail1817z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72411za7,
		BGl_z62nodezd2setupz12zd2switch1819z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72412za7,
		BGl_z62nodezd2setupz12zd2letzd2fun1821za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72413za7,
		BGl_z62nodezd2setupz12zd2letzd2var1823za2zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72414za7,
		BGl_z62nodezd2setupz12zd2setzd2exzd2i1825z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72415za7,
		BGl_z62nodezd2setupz12zd2jumpzd2exzd21827z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
		BgL_bgl_za762funza7d2setupza712416za7,
		BGl_z62funzd2setupz12za2zzcfa_setupz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2initialzd2approxz12zd2envzc0zzcfa_setupz00,
		BgL_bgl_za762setza7d2initial2417z00,
		BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2setupza2z12zd2envzb0zzcfa_setupz00,
		BgL_bgl_za762nodeza7d2setupza72418za7,
		BGl_z62nodezd2setupza2z12z00zzcfa_setupz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_setupz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long
		BgL_checksumz00_6228, char *BgL_fromz00_6229)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_setupz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_setupz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_setupz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_setupz00();
					BGl_cnstzd2initzd2zzcfa_setupz00();
					BGl_importedzd2moduleszd2initz00zzcfa_setupz00();
					BGl_genericzd2initzd2zzcfa_setupz00();
					BGl_methodzd2initzd2zzcfa_setupz00();
					return BGl_toplevelzd2initzd2zzcfa_setupz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_setup");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_setup");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			{	/* Cfa/setup.scm 15 */
				obj_t BgL_cportz00_5806;

				{	/* Cfa/setup.scm 15 */
					obj_t BgL_stringz00_5813;

					BgL_stringz00_5813 = BGl_string2362z00zzcfa_setupz00;
					{	/* Cfa/setup.scm 15 */
						obj_t BgL_startz00_5814;

						BgL_startz00_5814 = BINT(0L);
						{	/* Cfa/setup.scm 15 */
							obj_t BgL_endz00_5815;

							BgL_endz00_5815 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5813)));
							{	/* Cfa/setup.scm 15 */

								BgL_cportz00_5806 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5813, BgL_startz00_5814, BgL_endz00_5815);
				}}}}
				{
					long BgL_iz00_5807;

					BgL_iz00_5807 = 6L;
				BgL_loopz00_5808:
					if ((BgL_iz00_5807 == (-1L)))
						{	/* Cfa/setup.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/setup.scm 15 */
							{	/* Cfa/setup.scm 15 */
								obj_t BgL_arg2364z00_5809;

								{	/* Cfa/setup.scm 15 */

									{	/* Cfa/setup.scm 15 */
										obj_t BgL_locationz00_5811;

										BgL_locationz00_5811 = BBOOL(((bool_t) 0));
										{	/* Cfa/setup.scm 15 */

											BgL_arg2364z00_5809 =
												BGl_readz00zz__readerz00(BgL_cportz00_5806,
												BgL_locationz00_5811);
										}
									}
								}
								{	/* Cfa/setup.scm 15 */
									int BgL_tmpz00_6259;

									BgL_tmpz00_6259 = (int) (BgL_iz00_5807);
									CNST_TABLE_SET(BgL_tmpz00_6259, BgL_arg2364z00_5809);
							}}
							{	/* Cfa/setup.scm 15 */
								int BgL_auxz00_5812;

								BgL_auxz00_5812 = (int) ((BgL_iz00_5807 - 1L));
								{
									long BgL_iz00_6264;

									BgL_iz00_6264 = (long) (BgL_auxz00_5812);
									BgL_iz00_5807 = BgL_iz00_6264;
									goto BgL_loopz00_5808;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* set-initial-approx! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/setup.scm 38 */
			{
				obj_t BgL_l1733z00_3480;

				{	/* Cfa/setup.scm 40 */
					bool_t BgL_tmpz00_6267;

					BgL_l1733z00_3480 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31843ze3z87_3481:
					if (PAIRP(BgL_l1733z00_3480))
						{	/* Cfa/setup.scm 40 */
							{	/* Cfa/setup.scm 42 */
								obj_t BgL_globalz00_3483;

								BgL_globalz00_3483 = CAR(BgL_l1733z00_3480);
								{	/* Cfa/setup.scm 43 */
									BgL_valuez00_bglt BgL_funz00_3484;

									BgL_funz00_3484 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_globalz00_3483))))->
										BgL_valuez00);
									BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
											BgL_funz00_3484), BgL_globalz00_3483);
									{	/* Cfa/setup.scm 45 */
										obj_t BgL_g1732z00_3485;

										BgL_g1732z00_3485 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3484)))->BgL_argsz00);
										{
											obj_t BgL_l1730z00_3487;

											BgL_l1730z00_3487 = BgL_g1732z00_3485;
										BgL_zc3z04anonymousza31845ze3z87_3488:
											if (PAIRP(BgL_l1730z00_3487))
												{	/* Cfa/setup.scm 49 */
													{	/* Cfa/setup.scm 46 */
														obj_t BgL_localz00_3490;

														BgL_localz00_3490 = CAR(BgL_l1730z00_3487);
														{	/* Cfa/setup.scm 46 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1175z00_3493;

															BgL_wide1175z00_3493 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 46 */
																obj_t BgL_auxz00_6286;
																BgL_objectz00_bglt BgL_tmpz00_6282;

																BgL_auxz00_6286 =
																	((obj_t) BgL_wide1175z00_3493);
																BgL_tmpz00_6282 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_3490)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6282,
																	BgL_auxz00_6286);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3490)));
															{	/* Cfa/setup.scm 46 */
																long BgL_arg1847z00_3494;

																BgL_arg1847z00_3494 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_3490))),
																	BgL_arg1847z00_3494);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_3490)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6300;

															{
																obj_t BgL_auxz00_6301;

																{	/* Cfa/setup.scm 46 */
																	BgL_objectz00_bglt BgL_tmpz00_6302;

																	BgL_tmpz00_6302 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_3490)));
																	BgL_auxz00_6301 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6302);
																}
																BgL_auxz00_6300 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6301);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6300))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_3490));
														{	/* Cfa/setup.scm 47 */
															BgL_valuez00_bglt BgL_arg1848z00_3496;

															BgL_arg1848z00_3496 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_3490))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg1848z00_3496,
																((BgL_variablez00_bglt) BgL_localz00_3490));
													}}
													{
														obj_t BgL_l1730z00_6316;

														BgL_l1730z00_6316 = CDR(BgL_l1730z00_3487);
														BgL_l1730z00_3487 = BgL_l1730z00_6316;
														goto BgL_zc3z04anonymousza31845ze3z87_3488;
													}
												}
											else
												{	/* Cfa/setup.scm 49 */
													((bool_t) 1);
												}
										}
									}
								}
								{	/* Cfa/setup.scm 50 */
									obj_t BgL_arg1852z00_3499;

									BgL_arg1852z00_3499 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_3483))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_nodezd2setupz12zc0zzcfa_setupz00(((BgL_nodez00_bglt)
											BgL_arg1852z00_3499));
								}
							}
							{
								obj_t BgL_l1733z00_6325;

								BgL_l1733z00_6325 = CDR(BgL_l1733z00_3480);
								BgL_l1733z00_3480 = BgL_l1733z00_6325;
								goto BgL_zc3z04anonymousza31843ze3z87_3481;
							}
						}
					else
						{	/* Cfa/setup.scm 40 */
							BgL_tmpz00_6267 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6267);
				}
			}
		}

	}



/* &set-initial-approx! */
	obj_t BGl_z62setzd2initialzd2approxz12z70zzcfa_setupz00(obj_t BgL_envz00_5666,
		obj_t BgL_globalsz00_5667)
	{
		{	/* Cfa/setup.scm 38 */
			return
				BGl_setzd2initialzd2approxz12z12zzcfa_setupz00(BgL_globalsz00_5667);
		}

	}



/* alloc-type? */
	bool_t BGl_alloczd2typezf3z21zzcfa_setupz00(obj_t BgL_typez00_10)
	{
		{	/* Cfa/setup.scm 111 */
			if ((BgL_typez00_10 == BGl_za2vectorza2z00zztype_cachez00))
				{	/* Cfa/setup.scm 113 */
					return ((bool_t) 1);
				}
			else
				{	/* Cfa/setup.scm 113 */
					if ((BgL_typez00_10 == BGl_za2procedureza2z00zztype_cachez00))
						{	/* Cfa/setup.scm 114 */
							return ((bool_t) 1);
						}
					else
						{	/* Cfa/setup.scm 114 */
							if ((BgL_typez00_10 == BGl_za2structza2z00zztype_cachez00))
								{	/* Cfa/setup.scm 115 */
									return ((bool_t) 1);
								}
							else
								{	/* Cfa/setup.scm 115 */
									if ((BgL_typez00_10 == BGl_za2pairza2z00zztype_cachez00))
										{	/* Cfa/setup.scm 116 */
											return BGl_pairzd2optimzf3z21zzcfa_pairz00();
										}
									else
										{	/* Cfa/setup.scm 116 */
											return ((bool_t) 0);
										}
								}
						}
				}
		}

	}



/* node-setup*! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t
		BgL_nodeza2za2_55)
	{
		{	/* Cfa/setup.scm 487 */
			{
				obj_t BgL_l1747z00_3504;

				{	/* Cfa/setup.scm 488 */
					bool_t BgL_tmpz00_6338;

					BgL_l1747z00_3504 = BgL_nodeza2za2_55;
				BgL_zc3z04anonymousza31858ze3z87_3505:
					if (PAIRP(BgL_l1747z00_3504))
						{	/* Cfa/setup.scm 488 */
							{	/* Cfa/setup.scm 488 */
								obj_t BgL_arg1865z00_3507;

								BgL_arg1865z00_3507 = CAR(BgL_l1747z00_3504);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_arg1865z00_3507));
							}
							{
								obj_t BgL_l1747z00_6344;

								BgL_l1747z00_6344 = CDR(BgL_l1747z00_3504);
								BgL_l1747z00_3504 = BgL_l1747z00_6344;
								goto BgL_zc3z04anonymousza31858ze3z87_3505;
							}
						}
					else
						{	/* Cfa/setup.scm 488 */
							BgL_tmpz00_6338 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_6338);
				}
			}
		}

	}



/* &node-setup*! */
	obj_t BGl_z62nodezd2setupza2z12z00zzcfa_setupz00(obj_t BgL_envz00_5668,
		obj_t BgL_nodeza2za2_5669)
	{
		{	/* Cfa/setup.scm 487 */
			return BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_nodeza2za2_5669);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2314z00zzcfa_setupz00, BGl_nodez00zzast_nodez00,
				BGl_string2315z00zzcfa_setupz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_proc2316z00zzcfa_setupz00, BGl_valuez00zzast_varz00,
				BGl_string2317z00zzcfa_setupz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
				BGl_proc2318z00zzcfa_setupz00, BGl_funz00zzast_varz00,
				BGl_string2319z00zzcfa_setupz00);
		}

	}



/* &fun-setup!1786 */
	obj_t BGl_z62funzd2setupz121786za2zzcfa_setupz00(obj_t BgL_envz00_5673,
		obj_t BgL_funz00_5674, obj_t BgL_varz00_5675)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 233 */
				bool_t BgL_test2428z00_6351;

				{	/* Cfa/setup.scm 233 */
					bool_t BgL_test2429z00_6352;

					{	/* Cfa/setup.scm 233 */
						obj_t BgL_classz00_5818;

						BgL_classz00_5818 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_varz00_5675))
							{	/* Cfa/setup.scm 233 */
								BgL_objectz00_bglt BgL_arg1858z00_5819;

								BgL_arg1858z00_5819 = (BgL_objectz00_bglt) (BgL_varz00_5675);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 233 */
										long BgL_idxz00_5820;

										BgL_idxz00_5820 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5819);
										BgL_test2429z00_6352 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5820 + 2L)) == BgL_classz00_5818);
									}
								else
									{	/* Cfa/setup.scm 233 */
										bool_t BgL_res2281z00_5823;

										{	/* Cfa/setup.scm 233 */
											obj_t BgL_oclassz00_5824;

											{	/* Cfa/setup.scm 233 */
												obj_t BgL_arg1866z00_5825;
												long BgL_arg1867z00_5826;

												BgL_arg1866z00_5825 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/setup.scm 233 */
													long BgL_arg1869z00_5827;

													BgL_arg1869z00_5827 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5819);
													BgL_arg1867z00_5826 =
														(BgL_arg1869z00_5827 - OBJECT_TYPE);
												}
												BgL_oclassz00_5824 =
													VECTOR_REF(BgL_arg1866z00_5825, BgL_arg1867z00_5826);
											}
											{	/* Cfa/setup.scm 233 */
												bool_t BgL__ortest_1115z00_5828;

												BgL__ortest_1115z00_5828 =
													(BgL_classz00_5818 == BgL_oclassz00_5824);
												if (BgL__ortest_1115z00_5828)
													{	/* Cfa/setup.scm 233 */
														BgL_res2281z00_5823 = BgL__ortest_1115z00_5828;
													}
												else
													{	/* Cfa/setup.scm 233 */
														long BgL_odepthz00_5829;

														{	/* Cfa/setup.scm 233 */
															obj_t BgL_arg1855z00_5830;

															BgL_arg1855z00_5830 = (BgL_oclassz00_5824);
															BgL_odepthz00_5829 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5830);
														}
														if ((2L < BgL_odepthz00_5829))
															{	/* Cfa/setup.scm 233 */
																obj_t BgL_arg1853z00_5831;

																{	/* Cfa/setup.scm 233 */
																	obj_t BgL_arg1854z00_5832;

																	BgL_arg1854z00_5832 = (BgL_oclassz00_5824);
																	BgL_arg1853z00_5831 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5832,
																		2L);
																}
																BgL_res2281z00_5823 =
																	(BgL_arg1853z00_5831 == BgL_classz00_5818);
															}
														else
															{	/* Cfa/setup.scm 233 */
																BgL_res2281z00_5823 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2429z00_6352 = BgL_res2281z00_5823;
									}
							}
						else
							{	/* Cfa/setup.scm 233 */
								BgL_test2429z00_6352 = ((bool_t) 0);
							}
					}
					if (BgL_test2429z00_6352)
						{	/* Cfa/setup.scm 233 */
							bool_t BgL_test2434z00_6375;

							{	/* Cfa/setup.scm 233 */
								obj_t BgL_classz00_5833;

								BgL_classz00_5833 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_varz00_5675))
									{	/* Cfa/setup.scm 233 */
										BgL_objectz00_bglt BgL_arg1858z00_5834;

										BgL_arg1858z00_5834 =
											(BgL_objectz00_bglt) (BgL_varz00_5675);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 233 */
												long BgL_idxz00_5835;

												BgL_idxz00_5835 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5834);
												BgL_test2434z00_6375 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5835 + 3L)) == BgL_classz00_5833);
											}
										else
											{	/* Cfa/setup.scm 233 */
												bool_t BgL_res2282z00_5838;

												{	/* Cfa/setup.scm 233 */
													obj_t BgL_oclassz00_5839;

													{	/* Cfa/setup.scm 233 */
														obj_t BgL_arg1866z00_5840;
														long BgL_arg1867z00_5841;

														BgL_arg1866z00_5840 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/setup.scm 233 */
															long BgL_arg1869z00_5842;

															BgL_arg1869z00_5842 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5834);
															BgL_arg1867z00_5841 =
																(BgL_arg1869z00_5842 - OBJECT_TYPE);
														}
														BgL_oclassz00_5839 =
															VECTOR_REF(BgL_arg1866z00_5840,
															BgL_arg1867z00_5841);
													}
													{	/* Cfa/setup.scm 233 */
														bool_t BgL__ortest_1115z00_5843;

														BgL__ortest_1115z00_5843 =
															(BgL_classz00_5833 == BgL_oclassz00_5839);
														if (BgL__ortest_1115z00_5843)
															{	/* Cfa/setup.scm 233 */
																BgL_res2282z00_5838 = BgL__ortest_1115z00_5843;
															}
														else
															{	/* Cfa/setup.scm 233 */
																long BgL_odepthz00_5844;

																{	/* Cfa/setup.scm 233 */
																	obj_t BgL_arg1855z00_5845;

																	BgL_arg1855z00_5845 = (BgL_oclassz00_5839);
																	BgL_odepthz00_5844 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5845);
																}
																if ((3L < BgL_odepthz00_5844))
																	{	/* Cfa/setup.scm 233 */
																		obj_t BgL_arg1853z00_5846;

																		{	/* Cfa/setup.scm 233 */
																			obj_t BgL_arg1854z00_5847;

																			BgL_arg1854z00_5847 =
																				(BgL_oclassz00_5839);
																			BgL_arg1853z00_5846 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5847, 3L);
																		}
																		BgL_res2282z00_5838 =
																			(BgL_arg1853z00_5846 ==
																			BgL_classz00_5833);
																	}
																else
																	{	/* Cfa/setup.scm 233 */
																		BgL_res2282z00_5838 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2434z00_6375 = BgL_res2282z00_5838;
											}
									}
								else
									{	/* Cfa/setup.scm 233 */
										BgL_test2434z00_6375 = ((bool_t) 0);
									}
							}
							if (BgL_test2434z00_6375)
								{	/* Cfa/setup.scm 233 */
									BgL_test2428z00_6351 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 233 */
									BgL_test2428z00_6351 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 233 */
							BgL_test2428z00_6351 = ((bool_t) 0);
						}
				}
				if (BgL_test2428z00_6351)
					{	/* Cfa/setup.scm 233 */
						{	/* Cfa/setup.scm 234 */
							BgL_reshapedzd2globalzd2_bglt BgL_wide1235z00_5848;

							BgL_wide1235z00_5848 =
								((BgL_reshapedzd2globalzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2globalzd2_bgl))));
							{	/* Cfa/setup.scm 234 */
								obj_t BgL_auxz00_6403;
								BgL_objectz00_bglt BgL_tmpz00_6399;

								BgL_auxz00_6403 = ((obj_t) BgL_wide1235z00_5848);
								BgL_tmpz00_6399 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5675)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6399, BgL_auxz00_6403);
							}
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5675)));
							{	/* Cfa/setup.scm 234 */
								long BgL_arg1882z00_5849;

								BgL_arg1882z00_5849 =
									BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5675))),
									BgL_arg1882z00_5849);
							}
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5675)));
						}
						((obj_t)
							((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5675)));
					}
				else
					{	/* Cfa/setup.scm 233 */
						BFALSE;
					}
			}
			return BUNSPEC;
		}

	}



/* &variable-value-setup1761 */
	obj_t BGl_z62variablezd2valuezd2setup1761z62zzcfa_setupz00(obj_t
		BgL_envz00_5676, obj_t BgL_valuez00_5677, obj_t BgL_variablez00_5678)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string2320z00zzcfa_setupz00,
				((obj_t) ((BgL_valuez00_bglt) BgL_valuez00_5677)));
		}

	}



/* &node-setup!1749 */
	obj_t BGl_z62nodezd2setupz121749za2zzcfa_setupz00(obj_t BgL_envz00_5679,
		obj_t BgL_nodez00_5680)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(1)), BGl_string2320z00zzcfa_setupz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_5680)));
		}

	}



/* node-setup! */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt
		BgL_nodez00_4)
	{
		{	/* Cfa/setup.scm 56 */
			{	/* Cfa/setup.scm 56 */
				obj_t BgL_method1750z00_3534;

				{	/* Cfa/setup.scm 56 */
					obj_t BgL_res2287z00_4761;

					{	/* Cfa/setup.scm 56 */
						long BgL_objzd2classzd2numz00_4732;

						BgL_objzd2classzd2numz00_4732 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_4));
						{	/* Cfa/setup.scm 56 */
							obj_t BgL_arg1862z00_4733;

							BgL_arg1862z00_4733 =
								PROCEDURE_REF(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
								(int) (1L));
							{	/* Cfa/setup.scm 56 */
								int BgL_offsetz00_4736;

								BgL_offsetz00_4736 = (int) (BgL_objzd2classzd2numz00_4732);
								{	/* Cfa/setup.scm 56 */
									long BgL_offsetz00_4737;

									BgL_offsetz00_4737 =
										((long) (BgL_offsetz00_4736) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 56 */
										long BgL_modz00_4738;

										BgL_modz00_4738 =
											(BgL_offsetz00_4737 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/setup.scm 56 */
											long BgL_restz00_4740;

											BgL_restz00_4740 =
												(BgL_offsetz00_4737 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/setup.scm 56 */

												{	/* Cfa/setup.scm 56 */
													obj_t BgL_bucketz00_4742;

													BgL_bucketz00_4742 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4733), BgL_modz00_4738);
													BgL_res2287z00_4761 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4742), BgL_restz00_4740);
					}}}}}}}}
					BgL_method1750z00_3534 = BgL_res2287z00_4761;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1750z00_3534, ((obj_t) BgL_nodez00_4));
			}
		}

	}



/* &node-setup! */
	obj_t BGl_z62nodezd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5681,
		obj_t BgL_nodez00_5682)
	{
		{	/* Cfa/setup.scm 56 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				((BgL_nodez00_bglt) BgL_nodez00_5682));
		}

	}



/* variable-value-setup! */
	obj_t BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(BgL_valuez00_bglt
		BgL_valuez00_11, BgL_variablez00_bglt BgL_variablez00_12)
	{
		{	/* Cfa/setup.scm 122 */
			{	/* Cfa/setup.scm 122 */
				obj_t BgL_method1762z00_3535;

				{	/* Cfa/setup.scm 122 */
					obj_t BgL_res2292z00_4792;

					{	/* Cfa/setup.scm 122 */
						long BgL_objzd2classzd2numz00_4763;

						BgL_objzd2classzd2numz00_4763 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_11));
						{	/* Cfa/setup.scm 122 */
							obj_t BgL_arg1862z00_4764;

							BgL_arg1862z00_4764 =
								PROCEDURE_REF
								(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
								(int) (1L));
							{	/* Cfa/setup.scm 122 */
								int BgL_offsetz00_4767;

								BgL_offsetz00_4767 = (int) (BgL_objzd2classzd2numz00_4763);
								{	/* Cfa/setup.scm 122 */
									long BgL_offsetz00_4768;

									BgL_offsetz00_4768 =
										((long) (BgL_offsetz00_4767) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 122 */
										long BgL_modz00_4769;

										BgL_modz00_4769 =
											(BgL_offsetz00_4768 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/setup.scm 122 */
											long BgL_restz00_4771;

											BgL_restz00_4771 =
												(BgL_offsetz00_4768 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/setup.scm 122 */

												{	/* Cfa/setup.scm 122 */
													obj_t BgL_bucketz00_4773;

													BgL_bucketz00_4773 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4764), BgL_modz00_4769);
													BgL_res2292z00_4792 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4773), BgL_restz00_4771);
					}}}}}}}}
					BgL_method1762z00_3535 = BgL_res2292z00_4792;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1762z00_3535,
					((obj_t) BgL_valuez00_11), ((obj_t) BgL_variablez00_12));
			}
		}

	}



/* &variable-value-setup! */
	obj_t BGl_z62variablezd2valuezd2setupz12z70zzcfa_setupz00(obj_t
		BgL_envz00_5683, obj_t BgL_valuez00_5684, obj_t BgL_variablez00_5685)
	{
		{	/* Cfa/setup.scm 122 */
			return
				BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				((BgL_valuez00_bglt) BgL_valuez00_5684),
				((BgL_variablez00_bglt) BgL_variablez00_5685));
		}

	}



/* fun-setup! */
	obj_t BGl_funzd2setupz12zc0zzcfa_setupz00(BgL_funz00_bglt BgL_funz00_31,
		obj_t BgL_varz00_32)
	{
		{	/* Cfa/setup.scm 232 */
			{	/* Cfa/setup.scm 232 */
				obj_t BgL_method1787z00_3536;

				{	/* Cfa/setup.scm 232 */
					obj_t BgL_res2297z00_4823;

					{	/* Cfa/setup.scm 232 */
						long BgL_objzd2classzd2numz00_4794;

						BgL_objzd2classzd2numz00_4794 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_31));
						{	/* Cfa/setup.scm 232 */
							obj_t BgL_arg1862z00_4795;

							BgL_arg1862z00_4795 =
								PROCEDURE_REF(BGl_funzd2setupz12zd2envz12zzcfa_setupz00,
								(int) (1L));
							{	/* Cfa/setup.scm 232 */
								int BgL_offsetz00_4798;

								BgL_offsetz00_4798 = (int) (BgL_objzd2classzd2numz00_4794);
								{	/* Cfa/setup.scm 232 */
									long BgL_offsetz00_4799;

									BgL_offsetz00_4799 =
										((long) (BgL_offsetz00_4798) - OBJECT_TYPE);
									{	/* Cfa/setup.scm 232 */
										long BgL_modz00_4800;

										BgL_modz00_4800 =
											(BgL_offsetz00_4799 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/setup.scm 232 */
											long BgL_restz00_4802;

											BgL_restz00_4802 =
												(BgL_offsetz00_4799 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/setup.scm 232 */

												{	/* Cfa/setup.scm 232 */
													obj_t BgL_bucketz00_4804;

													BgL_bucketz00_4804 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_4795), BgL_modz00_4800);
													BgL_res2297z00_4823 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4804), BgL_restz00_4802);
					}}}}}}}}
					BgL_method1787z00_3536 = BgL_res2297z00_4823;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1787z00_3536,
					((obj_t) BgL_funz00_31), BgL_varz00_32);
			}
		}

	}



/* &fun-setup! */
	obj_t BGl_z62funzd2setupz12za2zzcfa_setupz00(obj_t BgL_envz00_5686,
		obj_t BgL_funz00_5687, obj_t BgL_varz00_5688)
	{
		{	/* Cfa/setup.scm 232 */
			return
				BGl_funzd2setupz12zc0zzcfa_setupz00(
				((BgL_funz00_bglt) BgL_funz00_5687), BgL_varz00_5688);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_literalz00zzast_nodez00, BGl_proc2321z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_patchz00zzast_nodez00,
				BGl_proc2323z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2324z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2325z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_varz00zzast_nodez00,
				BGl_proc2326z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sfunz00zzast_varz00, BGl_proc2327z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_svarz00zzast_varz00, BGl_proc2329z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_prezd2clozd2envz00zzcfa_infoz00, BGl_proc2330z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_sexitz00zzast_varz00, BGl_proc2331z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2332z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_scnstz00zzast_varz00, BGl_proc2333z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
				BGl_cvarz00zzast_varz00, BGl_proc2334z00zzcfa_setupz00,
				BGl_string2328z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_closurez00zzast_nodez00, BGl_proc2335z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2336z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_syncz00zzast_nodez00,
				BGl_proc2337z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_appz00zzast_nodez00,
				BGl_proc2338z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_sfunz00zzast_varz00,
				BGl_proc2339z00zzcfa_setupz00, BGl_string2340z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_funzd2setupz12zd2envz12zzcfa_setupz00, BGl_cfunz00zzast_varz00,
				BGl_proc2341z00zzcfa_setupz00, BGl_string2340z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2342z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2343z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2344z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_genpatchidz00zzast_nodez00, BGl_proc2345z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2346z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2347z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_newz00zzast_nodez00,
				BGl_proc2348z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2349z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2350z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_castz00zzast_nodez00,
				BGl_proc2351z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_setqz00zzast_nodez00,
				BGl_proc2352z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2353z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_failz00zzast_nodez00,
				BGl_proc2354z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_switchz00zzast_nodez00,
				BGl_proc2355z00zzcfa_setupz00, BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2356z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2357z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2358z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2359z00zzcfa_setupz00,
				BGl_string2322z00zzcfa_setupz00);
		}

	}



/* &node-setup!-jump-ex-1827 */
	obj_t BGl_z62nodezd2setupz12zd2jumpzd2exzd21827z70zzcfa_setupz00(obj_t
		BgL_envz00_5725, obj_t BgL_nodez00_5726)
	{
		{	/* Cfa/setup.scm 476 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)))->BgL_exitz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)))->BgL_valuez00));
			{	/* Cfa/setup.scm 480 */
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_wide1360z00_5854;

				BgL_wide1360z00_5854 =
					((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 480 */
					obj_t BgL_auxz00_6577;
					BgL_objectz00_bglt BgL_tmpz00_6573;

					BgL_auxz00_6577 = ((obj_t) BgL_wide1360z00_5854);
					BgL_tmpz00_6573 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6573, BgL_auxz00_6577);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)));
				{	/* Cfa/setup.scm 480 */
					long BgL_arg2090z00_5855;

					BgL_arg2090z00_5855 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726))),
						BgL_arg2090z00_5855);
				}
				((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)));
			}
			{
				BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6591;

				{
					obj_t BgL_auxz00_6592;

					{	/* Cfa/setup.scm 481 */
						BgL_objectz00_bglt BgL_tmpz00_6593;

						BgL_tmpz00_6593 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)));
						BgL_auxz00_6592 = BGL_OBJECT_WIDENING(BgL_tmpz00_6593);
					}
					BgL_auxz00_6591 =
						((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6592);
				}
				((((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6591))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726));
			{	/* Cfa/setup.scm 482 */
				BgL_approxz00_bglt BgL_arg2091z00_5856;

				{
					BgL_jumpzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6604;

					{
						obj_t BgL_auxz00_6605;

						{	/* Cfa/setup.scm 482 */
							BgL_objectz00_bglt BgL_tmpz00_6606;

							BgL_tmpz00_6606 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5726)));
							BgL_auxz00_6605 = BGL_OBJECT_WIDENING(BgL_tmpz00_6606);
						}
						BgL_auxz00_6604 =
							((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6605);
					}
					BgL_arg2091z00_5856 =
						(((BgL_jumpzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6604))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2091z00_5856);
			}
		}

	}



/* &node-setup!-set-ex-i1825 */
	obj_t BGl_z62nodezd2setupz12zd2setzd2exzd2i1825z70zzcfa_setupz00(obj_t
		BgL_envz00_5727, obj_t BgL_nodez00_5728)
	{
		{	/* Cfa/setup.scm 463 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)))->BgL_bodyz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)))->BgL_onexitz00));
			{	/* Cfa/setup.scm 467 */
				BgL_varz00_bglt BgL_arg2083z00_5858;

				BgL_arg2083z00_5858 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2083z00_5858));
			}
			{	/* Cfa/setup.scm 468 */
				BgL_localz00_bglt BgL_tmp1349z00_5859;

				BgL_tmp1349z00_5859 =
					((BgL_localz00_bglt)
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)))->
									BgL_varz00)))->BgL_variablez00));
				{	/* Cfa/setup.scm 468 */
					BgL_reshapedzd2localzd2_bglt BgL_wide1351z00_5860;

					BgL_wide1351z00_5860 =
						((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_reshapedzd2localzd2_bgl))));
					{	/* Cfa/setup.scm 468 */
						obj_t BgL_auxz00_6632;
						BgL_objectz00_bglt BgL_tmpz00_6629;

						BgL_auxz00_6632 = ((obj_t) BgL_wide1351z00_5860);
						BgL_tmpz00_6629 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1349z00_5859));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6629, BgL_auxz00_6632);
					}
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1349z00_5859));
					{	/* Cfa/setup.scm 468 */
						long BgL_arg2084z00_5861;

						BgL_arg2084z00_5861 =
							BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1349z00_5859)),
							BgL_arg2084z00_5861);
					}
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1349z00_5859));
				}
				{
					BgL_reshapedzd2localzd2_bglt BgL_auxz00_6643;

					{
						obj_t BgL_auxz00_6644;

						{	/* Cfa/setup.scm 468 */
							BgL_objectz00_bglt BgL_tmpz00_6645;

							BgL_tmpz00_6645 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_tmp1349z00_5859));
							BgL_auxz00_6644 = BGL_OBJECT_WIDENING(BgL_tmpz00_6645);
						}
						BgL_auxz00_6643 = ((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6644);
					}
					((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6643))->
							BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				((BgL_localz00_bglt) BgL_tmp1349z00_5859);
			}
			{	/* Cfa/setup.scm 469 */
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_wide1355z00_5862;

				BgL_wide1355z00_5862 =
					((BgL_setzd2exzd2itzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 469 */
					obj_t BgL_auxz00_6657;
					BgL_objectz00_bglt BgL_tmpz00_6653;

					BgL_auxz00_6657 = ((obj_t) BgL_wide1355z00_5862);
					BgL_tmpz00_6653 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6653, BgL_auxz00_6657);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)));
				{	/* Cfa/setup.scm 469 */
					long BgL_arg2086z00_5863;

					BgL_arg2086z00_5863 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728))),
						BgL_arg2086z00_5863);
				}
				((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)));
			}
			{
				BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6671;

				{
					obj_t BgL_auxz00_6672;

					{	/* Cfa/setup.scm 470 */
						BgL_objectz00_bglt BgL_tmpz00_6673;

						BgL_tmpz00_6673 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)));
						BgL_auxz00_6672 = BGL_OBJECT_WIDENING(BgL_tmpz00_6673);
					}
					BgL_auxz00_6671 =
						((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6672);
				}
				((((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6671))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728));
			{	/* Cfa/setup.scm 471 */
				BgL_approxz00_bglt BgL_arg2087z00_5864;

				{
					BgL_setzd2exzd2itzf2cinfozf2_bglt BgL_auxz00_6684;

					{
						obj_t BgL_auxz00_6685;

						{	/* Cfa/setup.scm 471 */
							BgL_objectz00_bglt BgL_tmpz00_6686;

							BgL_tmpz00_6686 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5728)));
							BgL_auxz00_6685 = BGL_OBJECT_WIDENING(BgL_tmpz00_6686);
						}
						BgL_auxz00_6684 =
							((BgL_setzd2exzd2itzf2cinfozf2_bglt) BgL_auxz00_6685);
					}
					BgL_arg2087z00_5864 =
						(((BgL_setzd2exzd2itzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6684))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2087z00_5864);
			}
		}

	}



/* &node-setup!-let-var1823 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2var1823za2zzcfa_setupz00(obj_t
		BgL_envz00_5729, obj_t BgL_nodez00_5730)
	{
		{	/* Cfa/setup.scm 436 */
			{	/* Cfa/setup.scm 439 */
				obj_t BgL_g1746z00_5866;

				BgL_g1746z00_5866 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5730)))->BgL_bindingsz00);
				{
					obj_t BgL_l1744z00_5868;

					BgL_l1744z00_5868 = BgL_g1746z00_5866;
				BgL_zc3z04anonymousza32072ze3z87_5867:
					if (PAIRP(BgL_l1744z00_5868))
						{	/* Cfa/setup.scm 439 */
							{	/* Cfa/setup.scm 440 */
								obj_t BgL_bindingz00_5869;

								BgL_bindingz00_5869 = CAR(BgL_l1744z00_5868);
								{	/* Cfa/setup.scm 440 */
									obj_t BgL_varz00_5870;
									obj_t BgL_valz00_5871;

									BgL_varz00_5870 = CAR(((obj_t) BgL_bindingz00_5869));
									BgL_valz00_5871 = CDR(((obj_t) BgL_bindingz00_5869));
									{	/* Cfa/setup.scm 442 */
										BgL_valuez00_bglt BgL_arg2074z00_5872;

										BgL_arg2074z00_5872 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5870))))->
											BgL_valuez00);
										BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
											(BgL_arg2074z00_5872,
											((BgL_variablez00_bglt) BgL_varz00_5870));
									}
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_valz00_5871));
									{	/* Cfa/setup.scm 447 */
										BgL_reshapedzd2localzd2_bglt BgL_wide1346z00_5873;

										BgL_wide1346z00_5873 =
											((BgL_reshapedzd2localzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_reshapedzd2localzd2_bgl))));
										{	/* Cfa/setup.scm 447 */
											obj_t BgL_auxz00_6715;
											BgL_objectz00_bglt BgL_tmpz00_6711;

											BgL_auxz00_6715 = ((obj_t) BgL_wide1346z00_5873);
											BgL_tmpz00_6711 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_varz00_5870)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6711, BgL_auxz00_6715);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5870)));
										{	/* Cfa/setup.scm 447 */
											long BgL_arg2075z00_5874;

											BgL_arg2075z00_5874 =
												BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5870))),
												BgL_arg2075z00_5874);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_varz00_5870)));
									}
									{
										obj_t BgL_auxz00_6737;
										BgL_reshapedzd2localzd2_bglt BgL_auxz00_6729;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5870))))->
													BgL_accessz00) == ((obj_t) CNST_TABLE_REF(2))))
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6737 = BgL_valz00_5871;
											}
										else
											{	/* Cfa/setup.scm 448 */
												BgL_auxz00_6737 = BFALSE;
											}
										{
											obj_t BgL_auxz00_6730;

											{	/* Cfa/setup.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_6731;

												BgL_tmpz00_6731 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5870)));
												BgL_auxz00_6730 = BGL_OBJECT_WIDENING(BgL_tmpz00_6731);
											}
											BgL_auxz00_6729 =
												((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6730);
										}
										((((BgL_reshapedzd2localzd2_bglt)
													COBJECT(BgL_auxz00_6729))->BgL_bindingzd2valuezd2) =
											((obj_t) BgL_auxz00_6737), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_5870));
									BNIL;
								}
							}
							{
								obj_t BgL_l1744z00_6748;

								BgL_l1744z00_6748 = CDR(BgL_l1744z00_5868);
								BgL_l1744z00_5868 = BgL_l1744z00_6748;
								goto BgL_zc3z04anonymousza32072ze3z87_5867;
							}
						}
					else
						{	/* Cfa/setup.scm 439 */
							((bool_t) 1);
						}
				}
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_5730)))->BgL_bodyz00));
			return BNIL;
		}

	}



/* &node-setup!-let-fun1821 */
	obj_t BGl_z62nodezd2setupz12zd2letzd2fun1821za2zzcfa_setupz00(obj_t
		BgL_envz00_5731, obj_t BgL_nodez00_5732)
	{
		{	/* Cfa/setup.scm 419 */
			{	/* Cfa/setup.scm 421 */
				obj_t BgL_g1743z00_5876;

				BgL_g1743z00_5876 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5732)))->BgL_localsz00);
				{
					obj_t BgL_l1741z00_5878;

					BgL_l1741z00_5878 = BgL_g1743z00_5876;
				BgL_zc3z04anonymousza32060ze3z87_5877:
					if (PAIRP(BgL_l1741z00_5878))
						{	/* Cfa/setup.scm 421 */
							{	/* Cfa/setup.scm 422 */
								obj_t BgL_lz00_5879;

								BgL_lz00_5879 = CAR(BgL_l1741z00_5878);
								{	/* Cfa/setup.scm 422 */
									BgL_reshapedzd2localzd2_bglt BgL_wide1337z00_5880;

									BgL_wide1337z00_5880 =
										((BgL_reshapedzd2localzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2localzd2_bgl))));
									{	/* Cfa/setup.scm 422 */
										obj_t BgL_auxz00_6763;
										BgL_objectz00_bglt BgL_tmpz00_6759;

										BgL_auxz00_6763 = ((obj_t) BgL_wide1337z00_5880);
										BgL_tmpz00_6759 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_lz00_5879)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6759, BgL_auxz00_6763);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5879)));
									{	/* Cfa/setup.scm 422 */
										long BgL_arg2063z00_5881;

										BgL_arg2063z00_5881 =
											BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5879))),
											BgL_arg2063z00_5881);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5879)));
								}
								{
									BgL_reshapedzd2localzd2_bglt BgL_auxz00_6777;

									{
										obj_t BgL_auxz00_6778;

										{	/* Cfa/setup.scm 422 */
											BgL_objectz00_bglt BgL_tmpz00_6779;

											BgL_tmpz00_6779 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5879)));
											BgL_auxz00_6778 = BGL_OBJECT_WIDENING(BgL_tmpz00_6779);
										}
										BgL_auxz00_6777 =
											((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_6778);
									}
									((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_6777))->
											BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_lz00_5879));
								{	/* Cfa/setup.scm 423 */
									BgL_valuez00_bglt BgL_funz00_5882;

									BgL_funz00_5882 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_5879))))->BgL_valuez00);
									{	/* Cfa/setup.scm 424 */
										obj_t BgL_g1740z00_5883;

										BgL_g1740z00_5883 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5882)))->BgL_argsz00);
										{
											obj_t BgL_l1738z00_5885;

											BgL_l1738z00_5885 = BgL_g1740z00_5883;
										BgL_zc3z04anonymousza32064ze3z87_5884:
											if (PAIRP(BgL_l1738z00_5885))
												{	/* Cfa/setup.scm 428 */
													{	/* Cfa/setup.scm 425 */
														obj_t BgL_localz00_5886;

														BgL_localz00_5886 = CAR(BgL_l1738z00_5885);
														{	/* Cfa/setup.scm 425 */
															BgL_reshapedzd2localzd2_bglt BgL_wide1341z00_5887;

															BgL_wide1341z00_5887 =
																((BgL_reshapedzd2localzd2_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_reshapedzd2localzd2_bgl))));
															{	/* Cfa/setup.scm 425 */
																obj_t BgL_auxz00_6801;
																BgL_objectz00_bglt BgL_tmpz00_6797;

																BgL_auxz00_6801 =
																	((obj_t) BgL_wide1341z00_5887);
																BgL_tmpz00_6797 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_5886)));
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6797,
																	BgL_auxz00_6801);
															}
															((BgL_objectz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5886)));
															{	/* Cfa/setup.scm 425 */
																long BgL_arg2066z00_5888;

																BgL_arg2066z00_5888 =
																	BGL_CLASS_NUM
																	(BGl_reshapedzd2localzd2zzcfa_infoz00);
																BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																			(BgL_localz00_bglt) ((BgL_localz00_bglt)
																				BgL_localz00_5886))),
																	BgL_arg2066z00_5888);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt) BgL_localz00_5886)));
														}
														{
															BgL_reshapedzd2localzd2_bglt BgL_auxz00_6815;

															{
																obj_t BgL_auxz00_6816;

																{	/* Cfa/setup.scm 425 */
																	BgL_objectz00_bglt BgL_tmpz00_6817;

																	BgL_tmpz00_6817 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_localz00_5886)));
																	BgL_auxz00_6816 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_6817);
																}
																BgL_auxz00_6815 =
																	((BgL_reshapedzd2localzd2_bglt)
																	BgL_auxz00_6816);
															}
															((((BgL_reshapedzd2localzd2_bglt)
																		COBJECT(BgL_auxz00_6815))->
																	BgL_bindingzd2valuezd2) =
																((obj_t) BFALSE), BUNSPEC);
														}
														((BgL_localz00_bglt)
															((BgL_localz00_bglt) BgL_localz00_5886));
														{	/* Cfa/setup.scm 426 */
															BgL_valuez00_bglt BgL_arg2067z00_5889;

															BgL_arg2067z00_5889 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_localz00_5886))))->BgL_valuez00);
															BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00
																(BgL_arg2067z00_5889,
																((BgL_variablez00_bglt) BgL_localz00_5886));
													}}
													{
														obj_t BgL_l1738z00_6831;

														BgL_l1738z00_6831 = CDR(BgL_l1738z00_5885);
														BgL_l1738z00_5885 = BgL_l1738z00_6831;
														goto BgL_zc3z04anonymousza32064ze3z87_5884;
													}
												}
											else
												{	/* Cfa/setup.scm 428 */
													((bool_t) 1);
												}
										}
									}
									{	/* Cfa/setup.scm 429 */
										obj_t BgL_arg2069z00_5890;

										BgL_arg2069z00_5890 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_5882)))->BgL_bodyz00);
										BGl_nodezd2setupz12zc0zzcfa_setupz00(
											((BgL_nodez00_bglt) BgL_arg2069z00_5890));
									}
								}
							}
							{
								obj_t BgL_l1741z00_6837;

								BgL_l1741z00_6837 = CDR(BgL_l1741z00_5878);
								BgL_l1741z00_5878 = BgL_l1741z00_6837;
								goto BgL_zc3z04anonymousza32060ze3z87_5877;
							}
						}
					else
						{	/* Cfa/setup.scm 421 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5732)))->BgL_bodyz00));
		}

	}



/* &node-setup!-switch1819 */
	obj_t BGl_z62nodezd2setupz12zd2switch1819z70zzcfa_setupz00(obj_t
		BgL_envz00_5733, obj_t BgL_nodez00_5734)
	{
		{	/* Cfa/setup.scm 407 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5734)))->BgL_testz00));
			{	/* Cfa/setup.scm 410 */
				obj_t BgL_g1737z00_5892;

				BgL_g1737z00_5892 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5734)))->BgL_clausesz00);
				{
					obj_t BgL_l1735z00_5894;

					BgL_l1735z00_5894 = BgL_g1737z00_5892;
				BgL_zc3z04anonymousza32054ze3z87_5893:
					if (PAIRP(BgL_l1735z00_5894))
						{	/* Cfa/setup.scm 410 */
							{	/* Cfa/setup.scm 411 */
								obj_t BgL_clausez00_5895;

								BgL_clausez00_5895 = CAR(BgL_l1735z00_5894);
								{	/* Cfa/setup.scm 411 */
									obj_t BgL_arg2056z00_5896;

									BgL_arg2056z00_5896 = CDR(((obj_t) BgL_clausez00_5895));
									BGl_nodezd2setupz12zc0zzcfa_setupz00(
										((BgL_nodez00_bglt) BgL_arg2056z00_5896));
								}
							}
							{
								obj_t BgL_l1735z00_6854;

								BgL_l1735z00_6854 = CDR(BgL_l1735z00_5894);
								BgL_l1735z00_5894 = BgL_l1735z00_6854;
								goto BgL_zc3z04anonymousza32054ze3z87_5893;
							}
						}
					else
						{	/* Cfa/setup.scm 410 */
							((bool_t) 1);
						}
				}
			}
			{	/* Cfa/setup.scm 413 */
				BgL_switchzf2cinfozf2_bglt BgL_wide1332z00_5897;

				BgL_wide1332z00_5897 =
					((BgL_switchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 413 */
					obj_t BgL_auxz00_6861;
					BgL_objectz00_bglt BgL_tmpz00_6857;

					BgL_auxz00_6861 = ((obj_t) BgL_wide1332z00_5897);
					BgL_tmpz00_6857 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5734)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6857, BgL_auxz00_6861);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5734)));
				{	/* Cfa/setup.scm 413 */
					long BgL_arg2059z00_5898;

					BgL_arg2059z00_5898 =
						BGL_CLASS_NUM(BGl_switchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_5734))), BgL_arg2059z00_5898);
				}
				((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5734)));
			}
			{
				BgL_switchzf2cinfozf2_bglt BgL_auxz00_6875;

				{
					obj_t BgL_auxz00_6876;

					{	/* Cfa/setup.scm 414 */
						BgL_objectz00_bglt BgL_tmpz00_6877;

						BgL_tmpz00_6877 =
							((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5734)));
						BgL_auxz00_6876 = BGL_OBJECT_WIDENING(BgL_tmpz00_6877);
					}
					BgL_auxz00_6875 = ((BgL_switchzf2cinfozf2_bglt) BgL_auxz00_6876);
				}
				((((BgL_switchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6875))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5734)));
		}

	}



/* &node-setup!-fail1817 */
	obj_t BGl_z62nodezd2setupz12zd2fail1817z70zzcfa_setupz00(obj_t
		BgL_envz00_5735, obj_t BgL_nodez00_5736)
	{
		{	/* Cfa/setup.scm 396 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5736)))->BgL_procz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5736)))->BgL_msgz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_5736)))->BgL_objz00));
			{	/* Cfa/setup.scm 401 */
				BgL_failzf2cinfozf2_bglt BgL_wide1327z00_5900;

				BgL_wide1327z00_5900 =
					((BgL_failzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 401 */
					obj_t BgL_auxz00_6902;
					BgL_objectz00_bglt BgL_tmpz00_6898;

					BgL_auxz00_6902 = ((obj_t) BgL_wide1327z00_5900);
					BgL_tmpz00_6898 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5736)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6898, BgL_auxz00_6902);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5736)));
				{	/* Cfa/setup.scm 401 */
					long BgL_arg2052z00_5901;

					BgL_arg2052z00_5901 = BGL_CLASS_NUM(BGl_failzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_nodez00_5736))), BgL_arg2052z00_5901);
				}
				((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5736)));
			}
			{
				BgL_failzf2cinfozf2_bglt BgL_auxz00_6916;

				{
					obj_t BgL_auxz00_6917;

					{	/* Cfa/setup.scm 402 */
						BgL_objectz00_bglt BgL_tmpz00_6918;

						BgL_tmpz00_6918 =
							((BgL_objectz00_bglt)
							((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5736)));
						BgL_auxz00_6917 = BGL_OBJECT_WIDENING(BgL_tmpz00_6918);
					}
					BgL_auxz00_6916 = ((BgL_failzf2cinfozf2_bglt) BgL_auxz00_6917);
				}
				((((BgL_failzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6916))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5736)));
		}

	}



/* &node-setup!-conditio1815 */
	obj_t BGl_z62nodezd2setupz12zd2conditio1815z70zzcfa_setupz00(obj_t
		BgL_envz00_5737, obj_t BgL_nodez00_5738)
	{
		{	/* Cfa/setup.scm 385 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5738)))->BgL_testz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5738)))->BgL_truez00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_5738)))->BgL_falsez00));
			{	/* Cfa/setup.scm 390 */
				BgL_conditionalzf2cinfozf2_bglt BgL_wide1322z00_5903;

				BgL_wide1322z00_5903 =
					((BgL_conditionalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 390 */
					obj_t BgL_auxz00_6944;
					BgL_objectz00_bglt BgL_tmpz00_6940;

					BgL_auxz00_6944 = ((obj_t) BgL_wide1322z00_5903);
					BgL_tmpz00_6940 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_5738)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6940, BgL_auxz00_6944);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5738)));
				{	/* Cfa/setup.scm 390 */
					long BgL_arg2047z00_5904;

					BgL_arg2047z00_5904 =
						BGL_CLASS_NUM(BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5738))),
						BgL_arg2047z00_5904);
				}
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_nodez00_5738)));
			}
			{
				BgL_conditionalzf2cinfozf2_bglt BgL_auxz00_6958;

				{
					obj_t BgL_auxz00_6959;

					{	/* Cfa/setup.scm 391 */
						BgL_objectz00_bglt BgL_tmpz00_6960;

						BgL_tmpz00_6960 =
							((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5738)));
						BgL_auxz00_6959 = BGL_OBJECT_WIDENING(BgL_tmpz00_6960);
					}
					BgL_auxz00_6958 = ((BgL_conditionalzf2cinfozf2_bglt) BgL_auxz00_6959);
				}
				((((BgL_conditionalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6958))->
						BgL_approxz00) =
					((BgL_approxz00_bglt) BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
					BUNSPEC);
			}
			return
				((obj_t)
				((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt) BgL_nodez00_5738)));
		}

	}



/* &node-setup!-setq1813 */
	obj_t BGl_z62nodezd2setupz12zd2setq1813z70zzcfa_setupz00(obj_t
		BgL_envz00_5739, obj_t BgL_nodez00_5740)
	{
		{	/* Cfa/setup.scm 374 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5740)))->BgL_valuez00));
			{	/* Tools/trace.sch 53 */
				BgL_varz00_bglt BgL_arg2042z00_5906;

				BgL_arg2042z00_5906 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_5740)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg2042z00_5906));
			}
			{	/* Tools/trace.sch 53 */
				BgL_setqzf2cinfozf2_bglt BgL_wide1317z00_5907;

				BgL_wide1317z00_5907 =
					((BgL_setqzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2cinfozf2_bgl))));
				{	/* Tools/trace.sch 53 */
					obj_t BgL_auxz00_6983;
					BgL_objectz00_bglt BgL_tmpz00_6979;

					BgL_auxz00_6983 = ((obj_t) BgL_wide1317z00_5907);
					BgL_tmpz00_6979 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5740)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6979, BgL_auxz00_6983);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5740)));
				{	/* Tools/trace.sch 53 */
					long BgL_arg2043z00_5908;

					BgL_arg2043z00_5908 = BGL_CLASS_NUM(BGl_setqzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_nodez00_5740))), BgL_arg2043z00_5908);
				}
				((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5740)));
			}
			{
				BgL_setqzf2cinfozf2_bglt BgL_auxz00_6997;

				{
					obj_t BgL_auxz00_6998;

					{	/* Tools/trace.sch 53 */
						BgL_objectz00_bglt BgL_tmpz00_6999;

						BgL_tmpz00_6999 =
							((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5740)));
						BgL_auxz00_6998 = BGL_OBJECT_WIDENING(BgL_tmpz00_6999);
					}
					BgL_auxz00_6997 = ((BgL_setqzf2cinfozf2_bglt) BgL_auxz00_6998);
				}
				((((BgL_setqzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6997))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t) ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5740)));
		}

	}



/* &node-setup!-cast1811 */
	obj_t BGl_z62nodezd2setupz12zd2cast1811z70zzcfa_setupz00(obj_t
		BgL_envz00_5741, obj_t BgL_nodez00_5742)
	{
		{	/* Cfa/setup.scm 367 */
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_5742)))->BgL_argz00));
		}

	}



/* &node-setup!-cast-nul1809 */
	obj_t BGl_z62nodezd2setupz12zd2castzd2nul1809za2zzcfa_setupz00(obj_t
		BgL_envz00_5743, obj_t BgL_nodez00_5744)
	{
		{	/* Cfa/setup.scm 359 */
			{	/* Cfa/setup.scm 361 */
				BgL_castzd2nullzf2cinfoz20_bglt BgL_wide1310z00_5911;

				BgL_wide1310z00_5911 =
					((BgL_castzd2nullzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2cinfoz20_bgl))));
				{	/* Cfa/setup.scm 361 */
					obj_t BgL_auxz00_7019;
					BgL_objectz00_bglt BgL_tmpz00_7015;

					BgL_auxz00_7019 = ((obj_t) BgL_wide1310z00_5911);
					BgL_tmpz00_7015 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7015, BgL_auxz00_7019);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744)));
				{	/* Cfa/setup.scm 361 */
					long BgL_arg2038z00_5912;

					BgL_arg2038z00_5912 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2Cinfoz20zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744))),
						BgL_arg2038z00_5912);
				}
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7041;
				BgL_castzd2nullzf2cinfoz20_bglt BgL_auxz00_7033;

				{	/* Cfa/setup.scm 362 */
					BgL_typez00_bglt BgL_arg2039z00_5913;

					BgL_arg2039z00_5913 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744))))->BgL_typez00);
					BgL_auxz00_7041 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2039z00_5913);
				}
				{
					obj_t BgL_auxz00_7034;

					{	/* Cfa/setup.scm 362 */
						BgL_objectz00_bglt BgL_tmpz00_7035;

						BgL_tmpz00_7035 =
							((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744)));
						BgL_auxz00_7034 = BGL_OBJECT_WIDENING(BgL_tmpz00_7035);
					}
					BgL_auxz00_7033 = ((BgL_castzd2nullzf2cinfoz20_bglt) BgL_auxz00_7034);
				}
				((((BgL_castzd2nullzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7033))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7041), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt) BgL_nodez00_5744)));
		}

	}



/* &node-setup!-instance1807 */
	obj_t BGl_z62nodezd2setupz12zd2instance1807z70zzcfa_setupz00(obj_t
		BgL_envz00_5745, obj_t BgL_nodez00_5746)
	{
		{	/* Cfa/setup.scm 349 */
			{	/* Cfa/setup.scm 351 */
				obj_t BgL_arg2033z00_5915;

				BgL_arg2033z00_5915 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5746))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2033z00_5915);
			}
			{	/* Cfa/setup.scm 352 */
				BgL_instanceofzf2cinfozf2_bglt BgL_wide1304z00_5916;

				BgL_wide1304z00_5916 =
					((BgL_instanceofzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 352 */
					obj_t BgL_auxz00_7059;
					BgL_objectz00_bglt BgL_tmpz00_7055;

					BgL_auxz00_7059 = ((obj_t) BgL_wide1304z00_5916);
					BgL_tmpz00_7055 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_5746)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7055, BgL_auxz00_7059);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5746)));
				{	/* Cfa/setup.scm 352 */
					long BgL_arg2034z00_5917;

					BgL_arg2034z00_5917 =
						BGL_CLASS_NUM(BGl_instanceofzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5746))),
						BgL_arg2034z00_5917);
				}
				((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_nodez00_5746)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7081;
				BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_7073;

				{	/* Cfa/setup.scm 353 */
					BgL_typez00_bglt BgL_arg2035z00_5918;

					BgL_arg2035z00_5918 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5746))))->BgL_typez00);
					BgL_auxz00_7081 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2035z00_5918);
				}
				{
					obj_t BgL_auxz00_7074;

					{	/* Cfa/setup.scm 353 */
						BgL_objectz00_bglt BgL_tmpz00_7075;

						BgL_tmpz00_7075 =
							((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_nodez00_5746)));
						BgL_auxz00_7074 = BGL_OBJECT_WIDENING(BgL_tmpz00_7075);
					}
					BgL_auxz00_7073 = ((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_7074);
				}
				((((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7073))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7081), BUNSPEC);
			}
			((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_nodez00_5746));
			{	/* Cfa/setup.scm 354 */
				BgL_approxz00_bglt BgL_arg2036z00_5919;

				{
					BgL_instanceofzf2cinfozf2_bglt BgL_auxz00_7089;

					{
						obj_t BgL_auxz00_7090;

						{	/* Cfa/setup.scm 354 */
							BgL_objectz00_bglt BgL_tmpz00_7091;

							BgL_tmpz00_7091 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt)
									((BgL_instanceofz00_bglt) BgL_nodez00_5746)));
							BgL_auxz00_7090 = BGL_OBJECT_WIDENING(BgL_tmpz00_7091);
						}
						BgL_auxz00_7089 =
							((BgL_instanceofzf2cinfozf2_bglt) BgL_auxz00_7090);
					}
					BgL_arg2036z00_5919 =
						(((BgL_instanceofzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7089))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2036z00_5919);
			}
		}

	}



/* &node-setup!-new1805 */
	obj_t BGl_z62nodezd2setupz12zd2new1805z70zzcfa_setupz00(obj_t BgL_envz00_5747,
		obj_t BgL_nodez00_5748)
	{
		{	/* Cfa/setup.scm 339 */
			{	/* Cfa/setup.scm 341 */
				obj_t BgL_arg2028z00_5921;

				BgL_arg2028z00_5921 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5748))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2028z00_5921);
			}
			{	/* Cfa/setup.scm 342 */
				BgL_newzf2cinfozf2_bglt BgL_wide1299z00_5922;

				BgL_wide1299z00_5922 =
					((BgL_newzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 342 */
					obj_t BgL_auxz00_7108;
					BgL_objectz00_bglt BgL_tmpz00_7104;

					BgL_auxz00_7108 = ((obj_t) BgL_wide1299z00_5922);
					BgL_tmpz00_7104 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7104, BgL_auxz00_7108);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748)));
				{	/* Cfa/setup.scm 342 */
					long BgL_arg2030z00_5923;

					BgL_arg2030z00_5923 = BGL_CLASS_NUM(BGl_newzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_nodez00_5748))), BgL_arg2030z00_5923);
				}
				((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7130;
				BgL_newzf2cinfozf2_bglt BgL_auxz00_7122;

				{	/* Cfa/setup.scm 343 */
					BgL_typez00_bglt BgL_arg2031z00_5924;

					BgL_arg2031z00_5924 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_nodez00_5748))))->BgL_typez00);
					BgL_auxz00_7130 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2031z00_5924);
				}
				{
					obj_t BgL_auxz00_7123;

					{	/* Cfa/setup.scm 343 */
						BgL_objectz00_bglt BgL_tmpz00_7124;

						BgL_tmpz00_7124 =
							((BgL_objectz00_bglt)
							((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748)));
						BgL_auxz00_7123 = BGL_OBJECT_WIDENING(BgL_tmpz00_7124);
					}
					BgL_auxz00_7122 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_7123);
				}
				((((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7122))->BgL_approxz00) =
					((BgL_approxz00_bglt) BgL_auxz00_7130), BUNSPEC);
			}
			((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748));
			{	/* Cfa/setup.scm 344 */
				BgL_approxz00_bglt BgL_arg2032z00_5925;

				{
					BgL_newzf2cinfozf2_bglt BgL_auxz00_7138;

					{
						obj_t BgL_auxz00_7139;

						{	/* Cfa/setup.scm 344 */
							BgL_objectz00_bglt BgL_tmpz00_7140;

							BgL_tmpz00_7140 =
								((BgL_objectz00_bglt)
								((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_nodez00_5748)));
							BgL_auxz00_7139 = BGL_OBJECT_WIDENING(BgL_tmpz00_7140);
						}
						BgL_auxz00_7138 = ((BgL_newzf2cinfozf2_bglt) BgL_auxz00_7139);
					}
					BgL_arg2032z00_5925 =
						(((BgL_newzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7138))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2032z00_5925);
			}
		}

	}



/* &node-setup!-setfield1803 */
	obj_t BGl_z62nodezd2setupz12zd2setfield1803z70zzcfa_setupz00(obj_t
		BgL_envz00_5749, obj_t BgL_nodez00_5750)
	{
		{	/* Cfa/setup.scm 329 */
			{	/* Cfa/setup.scm 331 */
				obj_t BgL_arg2024z00_5927;

				BgL_arg2024z00_5927 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5750))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2024z00_5927);
			}
			{	/* Cfa/setup.scm 332 */
				BgL_setfieldzf2cinfozf2_bglt BgL_wide1294z00_5928;

				BgL_wide1294z00_5928 =
					((BgL_setfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 332 */
					obj_t BgL_auxz00_7157;
					BgL_objectz00_bglt BgL_tmpz00_7153;

					BgL_auxz00_7157 = ((obj_t) BgL_wide1294z00_5928);
					BgL_tmpz00_7153 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5750)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7153, BgL_auxz00_7157);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5750)));
				{	/* Cfa/setup.scm 332 */
					long BgL_arg2025z00_5929;

					BgL_arg2025z00_5929 =
						BGL_CLASS_NUM(BGl_setfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5750))),
						BgL_arg2025z00_5929);
				}
				((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5750)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7179;
				BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7171;

				{	/* Cfa/setup.scm 333 */
					BgL_typez00_bglt BgL_arg2026z00_5930;

					BgL_arg2026z00_5930 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5750))))->BgL_typez00);
					BgL_auxz00_7179 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2026z00_5930);
				}
				{
					obj_t BgL_auxz00_7172;

					{	/* Cfa/setup.scm 333 */
						BgL_objectz00_bglt BgL_tmpz00_7173;

						BgL_tmpz00_7173 =
							((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_nodez00_5750)));
						BgL_auxz00_7172 = BGL_OBJECT_WIDENING(BgL_tmpz00_7173);
					}
					BgL_auxz00_7171 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7172);
				}
				((((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7171))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7179), BUNSPEC);
			}
			((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_nodez00_5750));
			{	/* Cfa/setup.scm 334 */
				BgL_approxz00_bglt BgL_arg2027z00_5931;

				{
					BgL_setfieldzf2cinfozf2_bglt BgL_auxz00_7187;

					{
						obj_t BgL_auxz00_7188;

						{	/* Cfa/setup.scm 334 */
							BgL_objectz00_bglt BgL_tmpz00_7189;

							BgL_tmpz00_7189 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt)
									((BgL_setfieldz00_bglt) BgL_nodez00_5750)));
							BgL_auxz00_7188 = BGL_OBJECT_WIDENING(BgL_tmpz00_7189);
						}
						BgL_auxz00_7187 = ((BgL_setfieldzf2cinfozf2_bglt) BgL_auxz00_7188);
					}
					BgL_arg2027z00_5931 =
						(((BgL_setfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7187))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2027z00_5931);
			}
		}

	}



/* &node-setup!-getfield1801 */
	obj_t BGl_z62nodezd2setupz12zd2getfield1801z70zzcfa_setupz00(obj_t
		BgL_envz00_5751, obj_t BgL_nodez00_5752)
	{
		{	/* Cfa/setup.scm 319 */
			{	/* Cfa/setup.scm 321 */
				obj_t BgL_arg2019z00_5933;

				BgL_arg2019z00_5933 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5752))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2019z00_5933);
			}
			{	/* Cfa/setup.scm 322 */
				BgL_getfieldzf2cinfozf2_bglt BgL_wide1289z00_5934;

				BgL_wide1289z00_5934 =
					((BgL_getfieldzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 322 */
					obj_t BgL_auxz00_7206;
					BgL_objectz00_bglt BgL_tmpz00_7202;

					BgL_auxz00_7206 = ((obj_t) BgL_wide1289z00_5934);
					BgL_tmpz00_7202 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5752)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7202, BgL_auxz00_7206);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5752)));
				{	/* Cfa/setup.scm 322 */
					long BgL_arg2021z00_5935;

					BgL_arg2021z00_5935 =
						BGL_CLASS_NUM(BGl_getfieldzf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5752))),
						BgL_arg2021z00_5935);
				}
				((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5752)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7228;
				BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7220;

				{	/* Cfa/setup.scm 323 */
					BgL_typez00_bglt BgL_arg2022z00_5936;

					BgL_arg2022z00_5936 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5752))))->BgL_typez00);
					BgL_auxz00_7228 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2022z00_5936);
				}
				{
					obj_t BgL_auxz00_7221;

					{	/* Cfa/setup.scm 323 */
						BgL_objectz00_bglt BgL_tmpz00_7222;

						BgL_tmpz00_7222 =
							((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_nodez00_5752)));
						BgL_auxz00_7221 = BGL_OBJECT_WIDENING(BgL_tmpz00_7222);
					}
					BgL_auxz00_7220 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7221);
				}
				((((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7220))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7228), BUNSPEC);
			}
			((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_nodez00_5752));
			{	/* Cfa/setup.scm 324 */
				BgL_approxz00_bglt BgL_arg2023z00_5937;

				{
					BgL_getfieldzf2cinfozf2_bglt BgL_auxz00_7236;

					{
						obj_t BgL_auxz00_7237;

						{	/* Cfa/setup.scm 324 */
							BgL_objectz00_bglt BgL_tmpz00_7238;

							BgL_tmpz00_7238 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt)
									((BgL_getfieldz00_bglt) BgL_nodez00_5752)));
							BgL_auxz00_7237 = BGL_OBJECT_WIDENING(BgL_tmpz00_7238);
						}
						BgL_auxz00_7236 = ((BgL_getfieldzf2cinfozf2_bglt) BgL_auxz00_7237);
					}
					BgL_arg2023z00_5937 =
						(((BgL_getfieldzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7236))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2023z00_5937);
			}
		}

	}



/* &node-setup!-genpatch1799 */
	obj_t BGl_z62nodezd2setupz12zd2genpatch1799z70zzcfa_setupz00(obj_t
		BgL_envz00_5753, obj_t BgL_nodez00_5754)
	{
		{	/* Cfa/setup.scm 310 */
			{	/* Cfa/setup.scm 312 */
				obj_t BgL_arg2017z00_5939;

				BgL_arg2017z00_5939 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5754))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2017z00_5939);
			}
			{	/* Cfa/setup.scm 313 */
				BgL_genpatchidzf2cinfozf2_bglt BgL_wide1283z00_5940;

				BgL_wide1283z00_5940 =
					((BgL_genpatchidzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_genpatchidzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 313 */
					obj_t BgL_auxz00_7255;
					BgL_objectz00_bglt BgL_tmpz00_7251;

					BgL_auxz00_7255 = ((obj_t) BgL_wide1283z00_5940);
					BgL_tmpz00_7251 =
						((BgL_objectz00_bglt)
						((BgL_genpatchidz00_bglt)
							((BgL_genpatchidz00_bglt) BgL_nodez00_5754)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7251, BgL_auxz00_7255);
				}
				((BgL_objectz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5754)));
				{	/* Cfa/setup.scm 313 */
					long BgL_arg2018z00_5941;

					BgL_arg2018z00_5941 =
						BGL_CLASS_NUM(BGl_genpatchidzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5754))),
						BgL_arg2018z00_5941);
				}
				((BgL_genpatchidz00_bglt)
					((BgL_genpatchidz00_bglt)
						((BgL_genpatchidz00_bglt) BgL_nodez00_5754)));
			}
			{
				BgL_genpatchidzf2cinfozf2_bglt BgL_auxz00_7269;

				{
					obj_t BgL_auxz00_7270;

					{	/* Cfa/setup.scm 314 */
						BgL_objectz00_bglt BgL_tmpz00_7271;

						BgL_tmpz00_7271 =
							((BgL_objectz00_bglt)
							((BgL_genpatchidz00_bglt)
								((BgL_genpatchidz00_bglt) BgL_nodez00_5754)));
						BgL_auxz00_7270 = BGL_OBJECT_WIDENING(BgL_tmpz00_7271);
					}
					BgL_auxz00_7269 = ((BgL_genpatchidzf2cinfozf2_bglt) BgL_auxz00_7270);
				}
				((((BgL_genpatchidzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7269))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2longza2z00zztype_cachez00))), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_genpatchidz00_bglt) ((BgL_genpatchidz00_bglt) BgL_nodez00_5754)));
		}

	}



/* &node-setup!-pragma1797 */
	obj_t BGl_z62nodezd2setupz12zd2pragma1797z70zzcfa_setupz00(obj_t
		BgL_envz00_5755, obj_t BgL_nodez00_5756)
	{
		{	/* Cfa/setup.scm 300 */
			{	/* Cfa/setup.scm 302 */
				obj_t BgL_arg2013z00_5943;

				BgL_arg2013z00_5943 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5756))))->BgL_exprza2za2);
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2013z00_5943);
			}
			{	/* Cfa/setup.scm 303 */
				BgL_pragmazf2cinfozf2_bglt BgL_wide1278z00_5944;

				BgL_wide1278z00_5944 =
					((BgL_pragmazf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 303 */
					obj_t BgL_auxz00_7292;
					BgL_objectz00_bglt BgL_tmpz00_7288;

					BgL_auxz00_7292 = ((obj_t) BgL_wide1278z00_5944);
					BgL_tmpz00_7288 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7288, BgL_auxz00_7292);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756)));
				{	/* Cfa/setup.scm 303 */
					long BgL_arg2014z00_5945;

					BgL_arg2014z00_5945 =
						BGL_CLASS_NUM(BGl_pragmazf2Cinfozf2zzcfa_info3z00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_nodez00_5756))), BgL_arg2014z00_5945);
				}
				((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7314;
				BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7306;

				{	/* Cfa/setup.scm 304 */
					BgL_typez00_bglt BgL_arg2015z00_5946;

					BgL_arg2015z00_5946 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_nodez00_5756))))->BgL_typez00);
					BgL_auxz00_7314 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg2015z00_5946);
				}
				{
					obj_t BgL_auxz00_7307;

					{	/* Cfa/setup.scm 304 */
						BgL_objectz00_bglt BgL_tmpz00_7308;

						BgL_tmpz00_7308 =
							((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756)));
						BgL_auxz00_7307 = BGL_OBJECT_WIDENING(BgL_tmpz00_7308);
					}
					BgL_auxz00_7306 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7307);
				}
				((((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7306))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7314), BUNSPEC);
			}
			((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756));
			{	/* Cfa/setup.scm 305 */
				BgL_approxz00_bglt BgL_arg2016z00_5947;

				{
					BgL_pragmazf2cinfozf2_bglt BgL_auxz00_7322;

					{
						obj_t BgL_auxz00_7323;

						{	/* Cfa/setup.scm 305 */
							BgL_objectz00_bglt BgL_tmpz00_7324;

							BgL_tmpz00_7324 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_nodez00_5756)));
							BgL_auxz00_7323 = BGL_OBJECT_WIDENING(BgL_tmpz00_7324);
						}
						BgL_auxz00_7322 = ((BgL_pragmazf2cinfozf2_bglt) BgL_auxz00_7323);
					}
					BgL_arg2016z00_5947 =
						(((BgL_pragmazf2cinfozf2_bglt) COBJECT(BgL_auxz00_7322))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2016z00_5947);
			}
		}

	}



/* &node-setup!-funcall1795 */
	obj_t BGl_z62nodezd2setupz12zd2funcall1795z70zzcfa_setupz00(obj_t
		BgL_envz00_5757, obj_t BgL_nodez00_5758)
	{
		{	/* Cfa/setup.scm 283 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5758)))->BgL_funz00));
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5758)))->BgL_argsz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 288 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1269z00_5949;

						BgL_wide1269z00_5949 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 288 */
							obj_t BgL_auxz00_7345;
							BgL_objectz00_bglt BgL_tmpz00_7341;

							BgL_auxz00_7345 = ((obj_t) BgL_wide1269z00_5949);
							BgL_tmpz00_7341 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5758)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7341, BgL_auxz00_7345);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758)));
						{	/* Cfa/setup.scm 288 */
							long BgL_arg2002z00_5950;

							BgL_arg2002z00_5950 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758))),
								BgL_arg2002z00_5950);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7359;

						{
							obj_t BgL_auxz00_7360;

							{	/* Cfa/setup.scm 289 */
								BgL_objectz00_bglt BgL_tmpz00_7361;

								BgL_tmpz00_7361 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7360 = BGL_OBJECT_WIDENING(BgL_tmpz00_7361);
							}
							BgL_auxz00_7359 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7360);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7359))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7369;

						{
							obj_t BgL_auxz00_7370;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7371;

								BgL_tmpz00_7371 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7370 = BGL_OBJECT_WIDENING(BgL_tmpz00_7371);
							}
							BgL_auxz00_7369 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7370);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7369))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7387;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7379;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg2003z00_5951;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg2004z00_5952;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5953;

									BgL_classz00_5953 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg2004z00_5952 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5953);
								}
								BgL_arg2003z00_5951 = VECTOR_REF(BgL_arg2004z00_5952, 8L);
							}
							BgL_auxz00_7387 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg2003z00_5951));
						}
						{
							obj_t BgL_auxz00_7380;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7381;

								BgL_tmpz00_7381 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7380 = BGL_OBJECT_WIDENING(BgL_tmpz00_7381);
							}
							BgL_auxz00_7379 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7380);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7379))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7387), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7401;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7393;

						{	/* Cfa/setup.scm 290 */
							obj_t BgL_arg2005z00_5954;

							{	/* Cfa/setup.scm 290 */
								obj_t BgL_arg2006z00_5955;

								{	/* Cfa/setup.scm 290 */
									obj_t BgL_classz00_5956;

									BgL_classz00_5956 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg2006z00_5955 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5956);
								}
								BgL_arg2005z00_5954 = VECTOR_REF(BgL_arg2006z00_5955, 9L);
							}
							BgL_auxz00_7401 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg2005z00_5954));
						}
						{
							obj_t BgL_auxz00_7394;

							{	/* Cfa/setup.scm 290 */
								BgL_objectz00_bglt BgL_tmpz00_7395;

								BgL_tmpz00_7395 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7394 = BGL_OBJECT_WIDENING(BgL_tmpz00_7395);
							}
							BgL_auxz00_7393 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7394);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7393))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7401), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758)));
				}
			else
				{	/* Cfa/setup.scm 287 */
					{	/* Cfa/setup.scm 292 */
						BgL_funcallzf2cinfozf2_bglt BgL_wide1273z00_5957;

						BgL_wide1273z00_5957 =
							((BgL_funcallzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_funcallzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 292 */
							obj_t BgL_auxz00_7415;
							BgL_objectz00_bglt BgL_tmpz00_7411;

							BgL_auxz00_7415 = ((obj_t) BgL_wide1273z00_5957);
							BgL_tmpz00_7411 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5758)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7411, BgL_auxz00_7415);
						}
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758)));
						{	/* Cfa/setup.scm 292 */
							long BgL_arg2007z00_5958;

							BgL_arg2007z00_5958 =
								BGL_CLASS_NUM(BGl_funcallzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758))),
								BgL_arg2007z00_5958);
						}
						((BgL_funcallz00_bglt)
							((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758)));
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7429;

						{
							obj_t BgL_auxz00_7430;

							{	/* Cfa/setup.scm 293 */
								BgL_objectz00_bglt BgL_tmpz00_7431;

								BgL_tmpz00_7431 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7430 = BGL_OBJECT_WIDENING(BgL_tmpz00_7431);
							}
							BgL_auxz00_7429 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7430);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7429))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7440;

						{
							obj_t BgL_auxz00_7441;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7442;

								BgL_tmpz00_7442 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7441 = BGL_OBJECT_WIDENING(BgL_tmpz00_7442);
							}
							BgL_auxz00_7440 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7441);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7440))->
								BgL_vazd2approxzd2) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7459;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7451;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg2008z00_5959;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg2009z00_5960;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5961;

									BgL_classz00_5961 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg2009z00_5960 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5961);
								}
								BgL_arg2008z00_5959 = VECTOR_REF(BgL_arg2009z00_5960, 8L);
							}
							BgL_auxz00_7459 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg2008z00_5959));
						}
						{
							obj_t BgL_auxz00_7452;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7453;

								BgL_tmpz00_7453 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7452 = BGL_OBJECT_WIDENING(BgL_tmpz00_7453);
							}
							BgL_auxz00_7451 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7452);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7451))->
								BgL_arityzd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7459), BUNSPEC);
					}
					{
						bool_t BgL_auxz00_7473;
						BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7465;

						{	/* Cfa/setup.scm 294 */
							obj_t BgL_arg2010z00_5962;

							{	/* Cfa/setup.scm 294 */
								obj_t BgL_arg2011z00_5963;

								{	/* Cfa/setup.scm 294 */
									obj_t BgL_classz00_5964;

									BgL_classz00_5964 = BGl_funcallzf2Cinfozf2zzcfa_infoz00;
									BgL_arg2011z00_5963 = BGL_CLASS_ALL_FIELDS(BgL_classz00_5964);
								}
								BgL_arg2010z00_5962 = VECTOR_REF(BgL_arg2011z00_5963, 9L);
							}
							BgL_auxz00_7473 =
								CBOOL(BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
								(BgL_arg2010z00_5962));
						}
						{
							obj_t BgL_auxz00_7466;

							{	/* Cfa/setup.scm 294 */
								BgL_objectz00_bglt BgL_tmpz00_7467;

								BgL_tmpz00_7467 =
									((BgL_objectz00_bglt)
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5758)));
								BgL_auxz00_7466 = BGL_OBJECT_WIDENING(BgL_tmpz00_7467);
							}
							BgL_auxz00_7465 = ((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7466);
						}
						((((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7465))->
								BgL_typezd2errorzd2noticedzf3zf3) =
							((bool_t) BgL_auxz00_7473), BUNSPEC);
					}
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5758));
					{	/* Cfa/setup.scm 295 */
						BgL_approxz00_bglt BgL_arg2012z00_5965;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7481;

							{
								obj_t BgL_auxz00_7482;

								{	/* Cfa/setup.scm 295 */
									BgL_objectz00_bglt BgL_tmpz00_7483;

									BgL_tmpz00_7483 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt)
											((BgL_funcallz00_bglt) BgL_nodez00_5758)));
									BgL_auxz00_7482 = BGL_OBJECT_WIDENING(BgL_tmpz00_7483);
								}
								BgL_auxz00_7481 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7482);
							}
							BgL_arg2012z00_5965 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7481))->
								BgL_vazd2approxzd2);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg2012z00_5965);
					}
				}
		}

	}



/* &node-setup!-app-ly1793 */
	obj_t BGl_z62nodezd2setupz12zd2appzd2ly1793za2zzcfa_setupz00(obj_t
		BgL_envz00_5759, obj_t BgL_nodez00_5760)
	{
		{	/* Cfa/setup.scm 268 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)))->BgL_funz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)))->BgL_argz00));
			if (CBOOL
				(BGl_za2optimzd2cfazd2applyzd2trackingzf3za2z21zzengine_paramz00))
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 273 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1260z00_5967;

						BgL_wide1260z00_5967 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 273 */
							obj_t BgL_auxz00_7504;
							BgL_objectz00_bglt BgL_tmpz00_7500;

							BgL_auxz00_7504 = ((obj_t) BgL_wide1260z00_5967);
							BgL_tmpz00_7500 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7500, BgL_auxz00_7504);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
						{	/* Cfa/setup.scm 273 */
							long BgL_arg1995z00_5968;

							BgL_arg1995z00_5968 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760))),
								BgL_arg1995z00_5968);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7518;

						{
							obj_t BgL_auxz00_7519;

							{	/* Cfa/setup.scm 274 */
								BgL_objectz00_bglt BgL_tmpz00_7520;

								BgL_tmpz00_7520 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
								BgL_auxz00_7519 = BGL_OBJECT_WIDENING(BgL_tmpz00_7520);
							}
							BgL_auxz00_7518 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7519);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7518))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
				}
			else
				{	/* Cfa/setup.scm 272 */
					{	/* Cfa/setup.scm 276 */
						BgL_appzd2lyzf2cinfoz20_bglt BgL_wide1264z00_5969;

						BgL_wide1264z00_5969 =
							((BgL_appzd2lyzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzd2lyzf2cinfoz20_bgl))));
						{	/* Cfa/setup.scm 276 */
							obj_t BgL_auxz00_7536;
							BgL_objectz00_bglt BgL_tmpz00_7532;

							BgL_auxz00_7536 = ((obj_t) BgL_wide1264z00_5969);
							BgL_tmpz00_7532 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7532, BgL_auxz00_7536);
						}
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
						{	/* Cfa/setup.scm 276 */
							long BgL_arg1998z00_5970;

							BgL_arg1998z00_5970 =
								BGL_CLASS_NUM(BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760))),
								BgL_arg1998z00_5970);
						}
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
					}
					{
						BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7550;

						{
							obj_t BgL_auxz00_7551;

							{	/* Cfa/setup.scm 277 */
								BgL_objectz00_bglt BgL_tmpz00_7552;

								BgL_tmpz00_7552 =
									((BgL_objectz00_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
								BgL_auxz00_7551 = BGL_OBJECT_WIDENING(BgL_tmpz00_7552);
							}
							BgL_auxz00_7550 =
								((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7551);
						}
						((((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7550))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760));
					{	/* Cfa/setup.scm 278 */
						BgL_approxz00_bglt BgL_arg1999z00_5971;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7563;

							{
								obj_t BgL_auxz00_7564;

								{	/* Cfa/setup.scm 278 */
									BgL_objectz00_bglt BgL_tmpz00_7565;

									BgL_tmpz00_7565 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt)
											((BgL_appzd2lyzd2_bglt) BgL_nodez00_5760)));
									BgL_auxz00_7564 = BGL_OBJECT_WIDENING(BgL_tmpz00_7565);
								}
								BgL_auxz00_7563 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7564);
							}
							BgL_arg1999z00_5971 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_7563))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1999z00_5971);
					}
				}
		}

	}



/* &fun-setup!-cfun1791 */
	obj_t BGl_z62funzd2setupz12zd2cfun1791z70zzcfa_setupz00(obj_t BgL_envz00_5761,
		obj_t BgL_funz00_5762, obj_t BgL_varz00_5763)
	{
		{	/* Cfa/setup.scm 257 */
			{
				BgL_cfunz00_bglt BgL_auxz00_7573;

				{	/* Cfa/setup.scm 258 */
					bool_t BgL_test2446z00_7574;

					{	/* Cfa/setup.scm 258 */
						obj_t BgL_classz00_5973;

						BgL_classz00_5973 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_varz00_5763))
							{	/* Cfa/setup.scm 258 */
								BgL_objectz00_bglt BgL_arg1858z00_5974;

								BgL_arg1858z00_5974 = (BgL_objectz00_bglt) (BgL_varz00_5763);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 258 */
										long BgL_idxz00_5975;

										BgL_idxz00_5975 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5974);
										BgL_test2446z00_7574 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5975 + 3L)) == BgL_classz00_5973);
									}
								else
									{	/* Cfa/setup.scm 258 */
										bool_t BgL_res2308z00_5978;

										{	/* Cfa/setup.scm 258 */
											obj_t BgL_oclassz00_5979;

											{	/* Cfa/setup.scm 258 */
												obj_t BgL_arg1866z00_5980;
												long BgL_arg1867z00_5981;

												BgL_arg1866z00_5980 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/setup.scm 258 */
													long BgL_arg1869z00_5982;

													BgL_arg1869z00_5982 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5974);
													BgL_arg1867z00_5981 =
														(BgL_arg1869z00_5982 - OBJECT_TYPE);
												}
												BgL_oclassz00_5979 =
													VECTOR_REF(BgL_arg1866z00_5980, BgL_arg1867z00_5981);
											}
											{	/* Cfa/setup.scm 258 */
												bool_t BgL__ortest_1115z00_5983;

												BgL__ortest_1115z00_5983 =
													(BgL_classz00_5973 == BgL_oclassz00_5979);
												if (BgL__ortest_1115z00_5983)
													{	/* Cfa/setup.scm 258 */
														BgL_res2308z00_5978 = BgL__ortest_1115z00_5983;
													}
												else
													{	/* Cfa/setup.scm 258 */
														long BgL_odepthz00_5984;

														{	/* Cfa/setup.scm 258 */
															obj_t BgL_arg1855z00_5985;

															BgL_arg1855z00_5985 = (BgL_oclassz00_5979);
															BgL_odepthz00_5984 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_5985);
														}
														if ((3L < BgL_odepthz00_5984))
															{	/* Cfa/setup.scm 258 */
																obj_t BgL_arg1853z00_5986;

																{	/* Cfa/setup.scm 258 */
																	obj_t BgL_arg1854z00_5987;

																	BgL_arg1854z00_5987 = (BgL_oclassz00_5979);
																	BgL_arg1853z00_5986 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_5987,
																		3L);
																}
																BgL_res2308z00_5978 =
																	(BgL_arg1853z00_5986 == BgL_classz00_5973);
															}
														else
															{	/* Cfa/setup.scm 258 */
																BgL_res2308z00_5978 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2446z00_7574 = BgL_res2308z00_5978;
									}
							}
						else
							{	/* Cfa/setup.scm 258 */
								BgL_test2446z00_7574 = ((bool_t) 0);
							}
					}
					if (BgL_test2446z00_7574)
						{	/* Cfa/setup.scm 258 */
							BFALSE;
						}
					else
						{	/* Cfa/setup.scm 258 */
							{	/* Cfa/setup.scm 259 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1251z00_5988;

								BgL_wide1251z00_5988 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 259 */
									obj_t BgL_auxz00_7602;
									BgL_objectz00_bglt BgL_tmpz00_7598;

									BgL_auxz00_7602 = ((obj_t) BgL_wide1251z00_5988);
									BgL_tmpz00_7598 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5763)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7598, BgL_auxz00_7602);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5763)));
								{	/* Cfa/setup.scm 259 */
									long BgL_arg1988z00_5989;

									BgL_arg1988z00_5989 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5763))),
										BgL_arg1988z00_5989);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5763)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5763)));
				}}
				{	/* Cfa/setup.scm 260 */
					BgL_approxz00_bglt BgL_approxz00_5990;

					{	/* Cfa/setup.scm 260 */
						BgL_typez00_bglt BgL_arg1990z00_5991;

						BgL_arg1990z00_5991 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5763))))->BgL_typez00);
						BgL_approxz00_5990 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1990z00_5991);
					}
					BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_5990);
					{	/* Cfa/setup.scm 262 */
						BgL_cfunzf2cinfozf2_bglt BgL_wide1255z00_5992;

						BgL_wide1255z00_5992 =
							((BgL_cfunzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_cfunzf2cinfozf2_bgl))));
						{	/* Cfa/setup.scm 262 */
							obj_t BgL_auxz00_7629;
							BgL_objectz00_bglt BgL_tmpz00_7625;

							BgL_auxz00_7629 = ((obj_t) BgL_wide1255z00_5992);
							BgL_tmpz00_7625 =
								((BgL_objectz00_bglt)
								((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5762)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7625, BgL_auxz00_7629);
						}
						((BgL_objectz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5762)));
						{	/* Cfa/setup.scm 262 */
							long BgL_arg1989z00_5993;

							BgL_arg1989z00_5993 =
								BGL_CLASS_NUM(BGl_cfunzf2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt)
										((BgL_cfunz00_bglt) BgL_funz00_5762))),
								BgL_arg1989z00_5993);
						}
						((BgL_cfunz00_bglt)
							((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5762)));
					}
					{
						BgL_cfunzf2cinfozf2_bglt BgL_auxz00_7643;

						{
							obj_t BgL_auxz00_7644;

							{	/* Cfa/setup.scm 263 */
								BgL_objectz00_bglt BgL_tmpz00_7645;

								BgL_tmpz00_7645 =
									((BgL_objectz00_bglt)
									((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5762)));
								BgL_auxz00_7644 = BGL_OBJECT_WIDENING(BgL_tmpz00_7645);
							}
							BgL_auxz00_7643 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_7644);
						}
						((((BgL_cfunzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7643))->
								BgL_approxz00) =
							((BgL_approxz00_bglt) BgL_approxz00_5990), BUNSPEC);
					}
					BgL_auxz00_7573 =
						((BgL_cfunz00_bglt) ((BgL_cfunz00_bglt) BgL_funz00_5762));
				}
				return ((obj_t) BgL_auxz00_7573);
			}
		}

	}



/* &fun-setup!-sfun1789 */
	obj_t BGl_z62funzd2setupz12zd2sfun1789z70zzcfa_setupz00(obj_t BgL_envz00_5764,
		obj_t BgL_funz00_5765, obj_t BgL_varz00_5766)
	{
		{	/* Cfa/setup.scm 240 */
			{
				BgL_sfunz00_bglt BgL_auxz00_7655;

				{	/* Cfa/setup.scm 241 */
					bool_t BgL_test2451z00_7656;

					{	/* Cfa/setup.scm 241 */
						bool_t BgL_test2452z00_7657;

						{	/* Cfa/setup.scm 241 */
							obj_t BgL_classz00_5995;

							BgL_classz00_5995 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5766))
								{	/* Cfa/setup.scm 241 */
									BgL_objectz00_bglt BgL_arg1858z00_5996;

									BgL_arg1858z00_5996 = (BgL_objectz00_bglt) (BgL_varz00_5766);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/setup.scm 241 */
											long BgL_idxz00_5997;

											BgL_idxz00_5997 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5996);
											BgL_test2452z00_7657 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5997 + 2L)) == BgL_classz00_5995);
										}
									else
										{	/* Cfa/setup.scm 241 */
											bool_t BgL_res2305z00_6000;

											{	/* Cfa/setup.scm 241 */
												obj_t BgL_oclassz00_6001;

												{	/* Cfa/setup.scm 241 */
													obj_t BgL_arg1866z00_6002;
													long BgL_arg1867z00_6003;

													BgL_arg1866z00_6002 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/setup.scm 241 */
														long BgL_arg1869z00_6004;

														BgL_arg1869z00_6004 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5996);
														BgL_arg1867z00_6003 =
															(BgL_arg1869z00_6004 - OBJECT_TYPE);
													}
													BgL_oclassz00_6001 =
														VECTOR_REF(BgL_arg1866z00_6002,
														BgL_arg1867z00_6003);
												}
												{	/* Cfa/setup.scm 241 */
													bool_t BgL__ortest_1115z00_6005;

													BgL__ortest_1115z00_6005 =
														(BgL_classz00_5995 == BgL_oclassz00_6001);
													if (BgL__ortest_1115z00_6005)
														{	/* Cfa/setup.scm 241 */
															BgL_res2305z00_6000 = BgL__ortest_1115z00_6005;
														}
													else
														{	/* Cfa/setup.scm 241 */
															long BgL_odepthz00_6006;

															{	/* Cfa/setup.scm 241 */
																obj_t BgL_arg1855z00_6007;

																BgL_arg1855z00_6007 = (BgL_oclassz00_6001);
																BgL_odepthz00_6006 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6007);
															}
															if ((2L < BgL_odepthz00_6006))
																{	/* Cfa/setup.scm 241 */
																	obj_t BgL_arg1853z00_6008;

																	{	/* Cfa/setup.scm 241 */
																		obj_t BgL_arg1854z00_6009;

																		BgL_arg1854z00_6009 = (BgL_oclassz00_6001);
																		BgL_arg1853z00_6008 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6009, 2L);
																	}
																	BgL_res2305z00_6000 =
																		(BgL_arg1853z00_6008 == BgL_classz00_5995);
																}
															else
																{	/* Cfa/setup.scm 241 */
																	BgL_res2305z00_6000 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2452z00_7657 = BgL_res2305z00_6000;
										}
								}
							else
								{	/* Cfa/setup.scm 241 */
									BgL_test2452z00_7657 = ((bool_t) 0);
								}
						}
						if (BgL_test2452z00_7657)
							{	/* Cfa/setup.scm 241 */
								bool_t BgL_test2457z00_7680;

								{	/* Cfa/setup.scm 241 */
									obj_t BgL_classz00_6010;

									BgL_classz00_6010 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
									if (BGL_OBJECTP(BgL_varz00_5766))
										{	/* Cfa/setup.scm 241 */
											BgL_objectz00_bglt BgL_arg1858z00_6011;

											BgL_arg1858z00_6011 =
												(BgL_objectz00_bglt) (BgL_varz00_5766);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/setup.scm 241 */
													long BgL_idxz00_6012;

													BgL_idxz00_6012 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6011);
													BgL_test2457z00_7680 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6012 + 3L)) == BgL_classz00_6010);
												}
											else
												{	/* Cfa/setup.scm 241 */
													bool_t BgL_res2306z00_6015;

													{	/* Cfa/setup.scm 241 */
														obj_t BgL_oclassz00_6016;

														{	/* Cfa/setup.scm 241 */
															obj_t BgL_arg1866z00_6017;
															long BgL_arg1867z00_6018;

															BgL_arg1866z00_6017 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/setup.scm 241 */
																long BgL_arg1869z00_6019;

																BgL_arg1869z00_6019 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6011);
																BgL_arg1867z00_6018 =
																	(BgL_arg1869z00_6019 - OBJECT_TYPE);
															}
															BgL_oclassz00_6016 =
																VECTOR_REF(BgL_arg1866z00_6017,
																BgL_arg1867z00_6018);
														}
														{	/* Cfa/setup.scm 241 */
															bool_t BgL__ortest_1115z00_6020;

															BgL__ortest_1115z00_6020 =
																(BgL_classz00_6010 == BgL_oclassz00_6016);
															if (BgL__ortest_1115z00_6020)
																{	/* Cfa/setup.scm 241 */
																	BgL_res2306z00_6015 =
																		BgL__ortest_1115z00_6020;
																}
															else
																{	/* Cfa/setup.scm 241 */
																	long BgL_odepthz00_6021;

																	{	/* Cfa/setup.scm 241 */
																		obj_t BgL_arg1855z00_6022;

																		BgL_arg1855z00_6022 = (BgL_oclassz00_6016);
																		BgL_odepthz00_6021 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6022);
																	}
																	if ((3L < BgL_odepthz00_6021))
																		{	/* Cfa/setup.scm 241 */
																			obj_t BgL_arg1853z00_6023;

																			{	/* Cfa/setup.scm 241 */
																				obj_t BgL_arg1854z00_6024;

																				BgL_arg1854z00_6024 =
																					(BgL_oclassz00_6016);
																				BgL_arg1853z00_6023 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6024, 3L);
																			}
																			BgL_res2306z00_6015 =
																				(BgL_arg1853z00_6023 ==
																				BgL_classz00_6010);
																		}
																	else
																		{	/* Cfa/setup.scm 241 */
																			BgL_res2306z00_6015 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2457z00_7680 = BgL_res2306z00_6015;
												}
										}
									else
										{	/* Cfa/setup.scm 241 */
											BgL_test2457z00_7680 = ((bool_t) 0);
										}
								}
								if (BgL_test2457z00_7680)
									{	/* Cfa/setup.scm 241 */
										BgL_test2451z00_7656 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 241 */
										BgL_test2451z00_7656 = ((bool_t) 1);
									}
							}
						else
							{	/* Cfa/setup.scm 241 */
								BgL_test2451z00_7656 = ((bool_t) 0);
							}
					}
					if (BgL_test2451z00_7656)
						{	/* Cfa/setup.scm 241 */
							{	/* Cfa/setup.scm 242 */
								BgL_reshapedzd2globalzd2_bglt BgL_wide1239z00_6025;

								BgL_wide1239z00_6025 =
									((BgL_reshapedzd2globalzd2_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_reshapedzd2globalzd2_bgl))));
								{	/* Cfa/setup.scm 242 */
									obj_t BgL_auxz00_7708;
									BgL_objectz00_bglt BgL_tmpz00_7704;

									BgL_auxz00_7708 = ((obj_t) BgL_wide1239z00_6025);
									BgL_tmpz00_7704 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_varz00_5766)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7704, BgL_auxz00_7708);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5766)));
								{	/* Cfa/setup.scm 242 */
									long BgL_arg1978z00_6026;

									BgL_arg1978z00_6026 =
										BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5766))),
										BgL_arg1978z00_6026);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_varz00_5766)));
							}
							((obj_t)
								((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_varz00_5766)));
						}
					else
						{	/* Cfa/setup.scm 241 */
							BFALSE;
						}
				}
				{	/* Cfa/setup.scm 243 */
					bool_t BgL_test2462z00_7725;

					{	/* Cfa/setup.scm 243 */
						bool_t BgL_test2463z00_7726;

						{	/* Cfa/setup.scm 243 */
							obj_t BgL_classz00_6027;

							BgL_classz00_6027 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_varz00_5766))
								{	/* Cfa/setup.scm 243 */
									BgL_objectz00_bglt BgL_arg1858z00_6028;

									BgL_arg1858z00_6028 = (BgL_objectz00_bglt) (BgL_varz00_5766);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Cfa/setup.scm 243 */
											long BgL_idxz00_6029;

											BgL_idxz00_6029 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6028);
											BgL_test2463z00_7726 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_6029 + 2L)) == BgL_classz00_6027);
										}
									else
										{	/* Cfa/setup.scm 243 */
											bool_t BgL_res2307z00_6032;

											{	/* Cfa/setup.scm 243 */
												obj_t BgL_oclassz00_6033;

												{	/* Cfa/setup.scm 243 */
													obj_t BgL_arg1866z00_6034;
													long BgL_arg1867z00_6035;

													BgL_arg1866z00_6034 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Cfa/setup.scm 243 */
														long BgL_arg1869z00_6036;

														BgL_arg1869z00_6036 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6028);
														BgL_arg1867z00_6035 =
															(BgL_arg1869z00_6036 - OBJECT_TYPE);
													}
													BgL_oclassz00_6033 =
														VECTOR_REF(BgL_arg1866z00_6034,
														BgL_arg1867z00_6035);
												}
												{	/* Cfa/setup.scm 243 */
													bool_t BgL__ortest_1115z00_6037;

													BgL__ortest_1115z00_6037 =
														(BgL_classz00_6027 == BgL_oclassz00_6033);
													if (BgL__ortest_1115z00_6037)
														{	/* Cfa/setup.scm 243 */
															BgL_res2307z00_6032 = BgL__ortest_1115z00_6037;
														}
													else
														{	/* Cfa/setup.scm 243 */
															long BgL_odepthz00_6038;

															{	/* Cfa/setup.scm 243 */
																obj_t BgL_arg1855z00_6039;

																BgL_arg1855z00_6039 = (BgL_oclassz00_6033);
																BgL_odepthz00_6038 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_6039);
															}
															if ((2L < BgL_odepthz00_6038))
																{	/* Cfa/setup.scm 243 */
																	obj_t BgL_arg1853z00_6040;

																	{	/* Cfa/setup.scm 243 */
																		obj_t BgL_arg1854z00_6041;

																		BgL_arg1854z00_6041 = (BgL_oclassz00_6033);
																		BgL_arg1853z00_6040 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_6041, 2L);
																	}
																	BgL_res2307z00_6032 =
																		(BgL_arg1853z00_6040 == BgL_classz00_6027);
																}
															else
																{	/* Cfa/setup.scm 243 */
																	BgL_res2307z00_6032 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2463z00_7726 = BgL_res2307z00_6032;
										}
								}
							else
								{	/* Cfa/setup.scm 243 */
									BgL_test2463z00_7726 = ((bool_t) 0);
								}
						}
						if (BgL_test2463z00_7726)
							{	/* Cfa/setup.scm 243 */
								BgL_test2462z00_7725 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_varz00_5766)))->
										BgL_importz00) == ((obj_t) CNST_TABLE_REF(3)));
							}
						else
							{	/* Cfa/setup.scm 243 */
								BgL_test2462z00_7725 = ((bool_t) 0);
							}
					}
					if (BgL_test2462z00_7725)
						{	/* Cfa/setup.scm 244 */
							BgL_approxz00_bglt BgL_approxz00_6042;

							{	/* Cfa/setup.scm 244 */
								BgL_typez00_bglt BgL_arg1983z00_6043;

								BgL_arg1983z00_6043 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_varz00_5766))))->BgL_typez00);
								BgL_approxz00_6042 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1983z00_6043);
							}
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_6042);
							{	/* Cfa/setup.scm 246 */
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_wide1243z00_6044;

								BgL_wide1243z00_6044 =
									((BgL_externzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_externzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 246 */
									obj_t BgL_auxz00_7764;
									BgL_objectz00_bglt BgL_tmpz00_7760;

									BgL_auxz00_7764 = ((obj_t) BgL_wide1243z00_6044);
									BgL_tmpz00_7760 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7760, BgL_auxz00_7764);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
								{	/* Cfa/setup.scm 246 */
									long BgL_arg1982z00_6045;

									BgL_arg1982z00_6045 =
										BGL_CLASS_NUM(BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765))),
										BgL_arg1982z00_6045);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7778;

								{
									obj_t BgL_auxz00_7779;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7780;

										BgL_tmpz00_7780 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765)));
										BgL_auxz00_7779 = BGL_OBJECT_WIDENING(BgL_tmpz00_7780);
									}
									BgL_auxz00_7778 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7779);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7778))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_7787;

								{
									obj_t BgL_auxz00_7788;

									{	/* Cfa/setup.scm 247 */
										BgL_objectz00_bglt BgL_tmpz00_7789;

										BgL_tmpz00_7789 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765)));
										BgL_auxz00_7788 = BGL_OBJECT_WIDENING(BgL_tmpz00_7789);
									}
									BgL_auxz00_7787 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7788);
								}
								((((BgL_externzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7787))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_6042), BUNSPEC);
							}
							BgL_auxz00_7655 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
						}
					else
						{	/* Cfa/setup.scm 248 */
							BgL_approxz00_bglt BgL_approxz00_6046;

							{	/* Cfa/setup.scm 248 */
								BgL_typez00_bglt BgL_arg1985z00_6047;

								BgL_arg1985z00_6047 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5766)))->BgL_typez00);
								BgL_approxz00_6046 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1985z00_6047);
							}
							if (CBOOL
								(BGl_za2optimzd2cfazd2forcezd2loosezd2localzd2functionzf3za2z21zzengine_paramz00))
								{	/* Cfa/setup.scm 249 */
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_approxz00_6046);
								}
							else
								{	/* Cfa/setup.scm 249 */
									BFALSE;
								}
							{	/* Cfa/setup.scm 251 */
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_wide1247z00_6048;

								BgL_wide1247z00_6048 =
									((BgL_internzd2sfunzf2cinfoz20_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_internzd2sfunzf2cinfoz20_bgl))));
								{	/* Cfa/setup.scm 251 */
									obj_t BgL_auxz00_7810;
									BgL_objectz00_bglt BgL_tmpz00_7806;

									BgL_auxz00_7810 = ((obj_t) BgL_wide1247z00_6048);
									BgL_tmpz00_7806 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7806, BgL_auxz00_7810);
								}
								((BgL_objectz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
								{	/* Cfa/setup.scm 251 */
									long BgL_arg1984z00_6049;

									BgL_arg1984z00_6049 =
										BGL_CLASS_NUM(BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765))),
										BgL_arg1984z00_6049);
								}
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7824;

								{
									obj_t BgL_auxz00_7825;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7826;

										BgL_tmpz00_7826 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765)));
										BgL_auxz00_7825 = BGL_OBJECT_WIDENING(BgL_tmpz00_7826);
									}
									BgL_auxz00_7824 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7825);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7824))->BgL_polymorphiczf3zf3) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7833;

								{
									obj_t BgL_auxz00_7834;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7835;

										BgL_tmpz00_7835 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765)));
										BgL_auxz00_7834 = BGL_OBJECT_WIDENING(BgL_tmpz00_7835);
									}
									BgL_auxz00_7833 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7834);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7833))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_approxz00_6046), BUNSPEC);
							}
							{
								BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_7842;

								{
									obj_t BgL_auxz00_7843;

									{	/* Cfa/setup.scm 252 */
										BgL_objectz00_bglt BgL_tmpz00_7844;

										BgL_tmpz00_7844 =
											((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_5765)));
										BgL_auxz00_7843 = BGL_OBJECT_WIDENING(BgL_tmpz00_7844);
									}
									BgL_auxz00_7842 =
										((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_7843);
								}
								((((BgL_internzd2sfunzf2cinfoz20_bglt)
											COBJECT(BgL_auxz00_7842))->BgL_stampz00) =
									((long) (-1L)), BUNSPEC);
							}
							BgL_auxz00_7655 =
								((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_5765)));
				}}
				return ((obj_t) BgL_auxz00_7655);
			}
		}

	}



/* &node-setup!-app1785 */
	obj_t BGl_z62nodezd2setupz12zd2app1785z70zzcfa_setupz00(obj_t BgL_envz00_5767,
		obj_t BgL_nodez00_5768)
	{
		{	/* Cfa/setup.scm 222 */
			BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5768)))->BgL_argsz00));
			{	/* Tools/trace.sch 53 */
				BgL_variablez00_bglt BgL_variablez00_6051;

				BgL_variablez00_6051 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_5768)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Tools/trace.sch 53 */
					BgL_valuez00_bglt BgL_arg1972z00_6052;

					BgL_arg1972z00_6052 =
						(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_6051))->
						BgL_valuez00);
					return BGl_funzd2setupz12zc0zzcfa_setupz00(((BgL_funz00_bglt)
							BgL_arg1972z00_6052), ((obj_t) BgL_variablez00_6051));
				}
			}
		}

	}



/* &node-setup!-sync1783 */
	obj_t BGl_z62nodezd2setupz12zd2sync1783z70zzcfa_setupz00(obj_t
		BgL_envz00_5769, obj_t BgL_nodez00_5770)
	{
		{	/* Cfa/setup.scm 213 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5770)))->BgL_mutexz00));
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5770)))->BgL_prelockz00));
			return
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_5770)))->BgL_bodyz00));
		}

	}



/* &node-setup!-sequence1781 */
	obj_t BGl_z62nodezd2setupz12zd2sequence1781z70zzcfa_setupz00(obj_t
		BgL_envz00_5771, obj_t BgL_nodez00_5772)
	{
		{	/* Cfa/setup.scm 206 */
			return
				BGl_nodezd2setupza2z12z62zzcfa_setupz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_5772)))->BgL_nodesz00));
		}

	}



/* &node-setup!-closure1779 */
	obj_t BGl_z62nodezd2setupz12zd2closure1779z70zzcfa_setupz00(obj_t
		BgL_envz00_5773, obj_t BgL_nodez00_5774)
	{
		{	/* Cfa/setup.scm 200 */
			{	/* Cfa/setup.scm 201 */
				obj_t BgL_arg1966z00_6056;

				BgL_arg1966z00_6056 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_5774)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2322z00zzcfa_setupz00, BGl_string2360z00zzcfa_setupz00,
					BgL_arg1966z00_6056);
			}
		}

	}



/* &variable-value-setup1777 */
	obj_t BGl_z62variablezd2valuezd2setup1777z62zzcfa_setupz00(obj_t
		BgL_envz00_5775, obj_t BgL_valuez00_5776, obj_t BgL_varz00_5777)
	{
		{	/* Cfa/setup.scm 191 */
			{	/* Cfa/setup.scm 192 */
				BgL_cvarzf2cinfozf2_bglt BgL_wide1228z00_6058;

				BgL_wide1228z00_6058 =
					((BgL_cvarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_cvarzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 192 */
					obj_t BgL_auxz00_7886;
					BgL_objectz00_bglt BgL_tmpz00_7882;

					BgL_auxz00_7886 = ((obj_t) BgL_wide1228z00_6058);
					BgL_tmpz00_7882 =
						((BgL_objectz00_bglt)
						((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5776)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7882, BgL_auxz00_7886);
				}
				((BgL_objectz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5776)));
				{	/* Cfa/setup.scm 192 */
					long BgL_arg1957z00_6059;

					BgL_arg1957z00_6059 = BGL_CLASS_NUM(BGl_cvarzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt)
								((BgL_cvarz00_bglt) BgL_valuez00_5776))), BgL_arg1957z00_6059);
				}
				((BgL_cvarz00_bglt)
					((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5776)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_7908;
				BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7900;

				{	/* Cfa/setup.scm 193 */
					BgL_typez00_bglt BgL_arg1960z00_6060;

					BgL_arg1960z00_6060 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5777)))->BgL_typez00);
					BgL_auxz00_7908 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1960z00_6060);
				}
				{
					obj_t BgL_auxz00_7901;

					{	/* Cfa/setup.scm 193 */
						BgL_objectz00_bglt BgL_tmpz00_7902;

						BgL_tmpz00_7902 =
							((BgL_objectz00_bglt)
							((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5776)));
						BgL_auxz00_7901 = BGL_OBJECT_WIDENING(BgL_tmpz00_7902);
					}
					BgL_auxz00_7900 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7901);
				}
				((((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7900))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_7908), BUNSPEC);
			}
			((BgL_cvarz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5776));
			{	/* Cfa/setup.scm 194 */
				bool_t BgL_test2469z00_7915;

				{	/* Cfa/setup.scm 194 */
					BgL_typez00_bglt BgL_arg1965z00_6061;

					BgL_arg1965z00_6061 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_varz00_5777)))->BgL_typez00);
					BgL_test2469z00_7915 =
						BGl_alloczd2typezf3z21zzcfa_setupz00(((obj_t) BgL_arg1965z00_6061));
				}
				if (BgL_test2469z00_7915)
					{	/* Cfa/setup.scm 195 */
						BgL_approxz00_bglt BgL_arg1963z00_6062;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7920;

							{
								obj_t BgL_auxz00_7921;

								{	/* Cfa/setup.scm 195 */
									BgL_objectz00_bglt BgL_tmpz00_7922;

									BgL_tmpz00_7922 =
										((BgL_objectz00_bglt)
										((BgL_cvarz00_bglt)
											((BgL_cvarz00_bglt) BgL_valuez00_5776)));
									BgL_auxz00_7921 = BGL_OBJECT_WIDENING(BgL_tmpz00_7922);
								}
								BgL_auxz00_7920 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7921);
							}
							BgL_arg1963z00_6062 =
								(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7920))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1963z00_6062);
					}
				else
					{	/* Cfa/setup.scm 194 */
						return BFALSE;
					}
			}
		}

	}



/* &variable-value-setup1775 */
	obj_t BGl_z62variablezd2valuezd2setup1775z62zzcfa_setupz00(obj_t
		BgL_envz00_5778, obj_t BgL_valuez00_5779, obj_t BgL_varz00_5780)
	{
		{	/* Cfa/setup.scm 169 */
			{	/* Tools/trace.sch 53 */
				bool_t BgL_test2470z00_7930;

				{	/* Tools/trace.sch 53 */
					obj_t BgL_classz00_6064;

					BgL_classz00_6064 = BGl_globalz00zzast_varz00;
					if (BGL_OBJECTP(BgL_varz00_5780))
						{	/* Tools/trace.sch 53 */
							BgL_objectz00_bglt BgL_arg1858z00_6065;

							BgL_arg1858z00_6065 = (BgL_objectz00_bglt) (BgL_varz00_5780);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Tools/trace.sch 53 */
									long BgL_idxz00_6066;

									BgL_idxz00_6066 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6065);
									BgL_test2470z00_7930 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6066 + 2L)) == BgL_classz00_6064);
								}
							else
								{	/* Tools/trace.sch 53 */
									bool_t BgL_res2303z00_6069;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_oclassz00_6070;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1866z00_6071;
											long BgL_arg1867z00_6072;

											BgL_arg1866z00_6071 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Tools/trace.sch 53 */
												long BgL_arg1869z00_6073;

												BgL_arg1869z00_6073 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6065);
												BgL_arg1867z00_6072 =
													(BgL_arg1869z00_6073 - OBJECT_TYPE);
											}
											BgL_oclassz00_6070 =
												VECTOR_REF(BgL_arg1866z00_6071, BgL_arg1867z00_6072);
										}
										{	/* Tools/trace.sch 53 */
											bool_t BgL__ortest_1115z00_6074;

											BgL__ortest_1115z00_6074 =
												(BgL_classz00_6064 == BgL_oclassz00_6070);
											if (BgL__ortest_1115z00_6074)
												{	/* Tools/trace.sch 53 */
													BgL_res2303z00_6069 = BgL__ortest_1115z00_6074;
												}
											else
												{	/* Tools/trace.sch 53 */
													long BgL_odepthz00_6075;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1855z00_6076;

														BgL_arg1855z00_6076 = (BgL_oclassz00_6070);
														BgL_odepthz00_6075 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6076);
													}
													if ((2L < BgL_odepthz00_6075))
														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1853z00_6077;

															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1854z00_6078;

																BgL_arg1854z00_6078 = (BgL_oclassz00_6070);
																BgL_arg1853z00_6077 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6078,
																	2L);
															}
															BgL_res2303z00_6069 =
																(BgL_arg1853z00_6077 == BgL_classz00_6064);
														}
													else
														{	/* Tools/trace.sch 53 */
															BgL_res2303z00_6069 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2470z00_7930 = BgL_res2303z00_6069;
								}
						}
					else
						{	/* Tools/trace.sch 53 */
							BgL_test2470z00_7930 = ((bool_t) 0);
						}
				}
				if (BgL_test2470z00_7930)
					{	/* Tools/trace.sch 53 */
						bool_t BgL_test2475z00_7953;

						{	/* Tools/trace.sch 53 */
							bool_t BgL_test2476z00_7954;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1954z00_6079;

								BgL_arg1954z00_6079 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_varz00_5780)))->BgL_modulez00);
								BgL_test2476z00_7954 =
									(BgL_arg1954z00_6079 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2476z00_7954)
								{	/* Tools/trace.sch 53 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_scnstz00_bglt) COBJECT(
															((BgL_scnstz00_bglt) BgL_valuez00_5779)))->
													BgL_classz00), ((obj_t) CNST_TABLE_REF(4)))))
										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1950z00_6080;

											BgL_arg1950z00_6080 =
												(((BgL_scnstz00_bglt) COBJECT(
														((BgL_scnstz00_bglt) BgL_valuez00_5779)))->
												BgL_nodez00);
											{	/* Tools/trace.sch 53 */
												obj_t BgL_classz00_6081;

												BgL_classz00_6081 =
													BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
												if (BGL_OBJECTP(BgL_arg1950z00_6080))
													{	/* Tools/trace.sch 53 */
														BgL_objectz00_bglt BgL_arg1858z00_6082;

														BgL_arg1858z00_6082 =
															(BgL_objectz00_bglt) (BgL_arg1950z00_6080);
														if (BGL_CONDEXPAND_ISA_ARCH64())
															{	/* Tools/trace.sch 53 */
																long BgL_idxz00_6083;

																BgL_idxz00_6083 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1858z00_6082);
																BgL_test2475z00_7953 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_6083 + 4L)) ==
																	BgL_classz00_6081);
															}
														else
															{	/* Tools/trace.sch 53 */
																bool_t BgL_res2304z00_6086;

																{	/* Tools/trace.sch 53 */
																	obj_t BgL_oclassz00_6087;

																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_arg1866z00_6088;
																		long BgL_arg1867z00_6089;

																		BgL_arg1866z00_6088 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Tools/trace.sch 53 */
																			long BgL_arg1869z00_6090;

																			BgL_arg1869z00_6090 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1858z00_6082);
																			BgL_arg1867z00_6089 =
																				(BgL_arg1869z00_6090 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_6087 =
																			VECTOR_REF(BgL_arg1866z00_6088,
																			BgL_arg1867z00_6089);
																	}
																	{	/* Tools/trace.sch 53 */
																		bool_t BgL__ortest_1115z00_6091;

																		BgL__ortest_1115z00_6091 =
																			(BgL_classz00_6081 == BgL_oclassz00_6087);
																		if (BgL__ortest_1115z00_6091)
																			{	/* Tools/trace.sch 53 */
																				BgL_res2304z00_6086 =
																					BgL__ortest_1115z00_6091;
																			}
																		else
																			{	/* Tools/trace.sch 53 */
																				long BgL_odepthz00_6092;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1855z00_6093;

																					BgL_arg1855z00_6093 =
																						(BgL_oclassz00_6087);
																					BgL_odepthz00_6092 =
																						BGL_CLASS_DEPTH
																						(BgL_arg1855z00_6093);
																				}
																				if ((4L < BgL_odepthz00_6092))
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1853z00_6094;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1854z00_6095;

																							BgL_arg1854z00_6095 =
																								(BgL_oclassz00_6087);
																							BgL_arg1853z00_6094 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_arg1854z00_6095, 4L);
																						}
																						BgL_res2304z00_6086 =
																							(BgL_arg1853z00_6094 ==
																							BgL_classz00_6081);
																					}
																				else
																					{	/* Tools/trace.sch 53 */
																						BgL_res2304z00_6086 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_test2475z00_7953 = BgL_res2304z00_6086;
															}
													}
												else
													{	/* Tools/trace.sch 53 */
														BgL_test2475z00_7953 = ((bool_t) 0);
													}
											}
										}
									else
										{	/* Tools/trace.sch 53 */
											BgL_test2475z00_7953 = ((bool_t) 0);
										}
								}
							else
								{	/* Tools/trace.sch 53 */
									BgL_test2475z00_7953 = ((bool_t) 0);
								}
						}
						if (BgL_test2475z00_7953)
							{	/* Tools/trace.sch 53 */
								obj_t BgL_nodez00_6096;

								BgL_nodez00_6096 =
									(((BgL_scnstz00_bglt) COBJECT(
											((BgL_scnstz00_bglt) BgL_valuez00_5779)))->BgL_nodez00);
								BGl_nodezd2setupz12zc0zzcfa_setupz00(
									((BgL_nodez00_bglt) BgL_nodez00_6096));
								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1216z00_6097;

									BgL_wide1216z00_6097 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_7998;
										BgL_objectz00_bglt BgL_tmpz00_7994;

										BgL_auxz00_7998 = ((obj_t) BgL_wide1216z00_6097);
										BgL_tmpz00_7994 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5779)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7994, BgL_auxz00_7998);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1945z00_6098;

										BgL_arg1945z00_6098 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5779))),
											BgL_arg1945z00_6098);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_8020;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_8012;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_8021;

										{
											obj_t BgL_auxz00_8022;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_8023;

												BgL_tmpz00_8023 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6096));
												BgL_auxz00_8022 = BGL_OBJECT_WIDENING(BgL_tmpz00_8023);
											}
											BgL_auxz00_8021 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_8022);
										}
										BgL_auxz00_8020 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												COBJECT(BgL_auxz00_8021))->BgL_approxz00);
									}
									{
										obj_t BgL_auxz00_8013;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_8014;

											BgL_tmpz00_8014 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5779)));
											BgL_auxz00_8013 = BGL_OBJECT_WIDENING(BgL_tmpz00_8014);
										}
										BgL_auxz00_8012 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_8013);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8012))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_8020), BUNSPEC);
								}
								return
									((obj_t)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5779)));
							}
						else
							{	/* Tools/trace.sch 53 */
								BgL_scnstz00_bglt BgL_valuez00_6099;

								{	/* Tools/trace.sch 53 */
									BgL_scnstzf2cinfozf2_bglt BgL_wide1220z00_6100;

									BgL_wide1220z00_6100 =
										((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_scnstzf2cinfozf2_bgl))));
									{	/* Tools/trace.sch 53 */
										obj_t BgL_auxz00_8038;
										BgL_objectz00_bglt BgL_tmpz00_8034;

										BgL_auxz00_8038 = ((obj_t) BgL_wide1220z00_6100);
										BgL_tmpz00_8034 =
											((BgL_objectz00_bglt)
											((BgL_scnstz00_bglt)
												((BgL_scnstz00_bglt) BgL_valuez00_5779)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8034, BgL_auxz00_8038);
									}
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779)));
									{	/* Tools/trace.sch 53 */
										long BgL_arg1947z00_6101;

										BgL_arg1947z00_6101 =
											BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5779))),
											BgL_arg1947z00_6101);
									}
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779)));
								}
								{
									BgL_approxz00_bglt BgL_auxz00_8060;
									BgL_scnstzf2cinfozf2_bglt BgL_auxz00_8052;

									{	/* Tools/trace.sch 53 */
										BgL_typez00_bglt BgL_arg1948z00_6102;

										BgL_arg1948z00_6102 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_varz00_5780)))->
											BgL_typez00);
										BgL_auxz00_8060 =
											BGl_makezd2typezd2approxz00zzcfa_approxz00
											(BgL_arg1948z00_6102);
									}
									{
										obj_t BgL_auxz00_8053;

										{	/* Tools/trace.sch 53 */
											BgL_objectz00_bglt BgL_tmpz00_8054;

											BgL_tmpz00_8054 =
												((BgL_objectz00_bglt)
												((BgL_scnstz00_bglt)
													((BgL_scnstz00_bglt) BgL_valuez00_5779)));
											BgL_auxz00_8053 = BGL_OBJECT_WIDENING(BgL_tmpz00_8054);
										}
										BgL_auxz00_8052 =
											((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_8053);
									}
									((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8052))->
											BgL_approxz00) =
										((BgL_approxz00_bglt) BgL_auxz00_8060), BUNSPEC);
								}
								BgL_valuez00_6099 =
									((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5779));
								{	/* Tools/trace.sch 53 */
									BgL_approxz00_bglt BgL_arg1946z00_6103;

									{
										BgL_scnstzf2cinfozf2_bglt BgL_auxz00_8067;

										{
											obj_t BgL_auxz00_8068;

											{	/* Tools/trace.sch 53 */
												BgL_objectz00_bglt BgL_tmpz00_8069;

												BgL_tmpz00_8069 =
													((BgL_objectz00_bglt) BgL_valuez00_6099);
												BgL_auxz00_8068 = BGL_OBJECT_WIDENING(BgL_tmpz00_8069);
											}
											BgL_auxz00_8067 =
												((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_8068);
										}
										BgL_arg1946z00_6103 =
											(((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8067))->
											BgL_approxz00);
									}
									return
										BGl_approxzd2setzd2topz12z12zzcfa_approxz00
										(BgL_arg1946z00_6103);
								}
							}
					}
				else
					{	/* Tools/trace.sch 53 */
						{	/* Tools/trace.sch 53 */
							BgL_scnstzf2cinfozf2_bglt BgL_wide1224z00_6104;

							BgL_wide1224z00_6104 =
								((BgL_scnstzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_scnstzf2cinfozf2_bgl))));
							{	/* Tools/trace.sch 53 */
								obj_t BgL_auxz00_8080;
								BgL_objectz00_bglt BgL_tmpz00_8076;

								BgL_auxz00_8080 = ((obj_t) BgL_wide1224z00_6104);
								BgL_tmpz00_8076 =
									((BgL_objectz00_bglt)
									((BgL_scnstz00_bglt)
										((BgL_scnstz00_bglt) BgL_valuez00_5779)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8076, BgL_auxz00_8080);
							}
							((BgL_objectz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5779)));
							{	/* Tools/trace.sch 53 */
								long BgL_arg1955z00_6105;

								BgL_arg1955z00_6105 =
									BGL_CLASS_NUM(BGl_scnstzf2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779))),
									BgL_arg1955z00_6105);
							}
							((BgL_scnstz00_bglt)
								((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5779)));
						}
						{
							BgL_approxz00_bglt BgL_auxz00_8102;
							BgL_scnstzf2cinfozf2_bglt BgL_auxz00_8094;

							{	/* Tools/trace.sch 53 */
								BgL_typez00_bglt BgL_arg1956z00_6106;

								BgL_arg1956z00_6106 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_varz00_5780)))->BgL_typez00);
								BgL_auxz00_8102 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00
									(BgL_arg1956z00_6106);
							}
							{
								obj_t BgL_auxz00_8095;

								{	/* Tools/trace.sch 53 */
									BgL_objectz00_bglt BgL_tmpz00_8096;

									BgL_tmpz00_8096 =
										((BgL_objectz00_bglt)
										((BgL_scnstz00_bglt)
											((BgL_scnstz00_bglt) BgL_valuez00_5779)));
									BgL_auxz00_8095 = BGL_OBJECT_WIDENING(BgL_tmpz00_8096);
								}
								BgL_auxz00_8094 = ((BgL_scnstzf2cinfozf2_bglt) BgL_auxz00_8095);
							}
							((((BgL_scnstzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8094))->
									BgL_approxz00) =
								((BgL_approxz00_bglt) BgL_auxz00_8102), BUNSPEC);
						}
						return
							((obj_t)
							((BgL_scnstz00_bglt) ((BgL_scnstz00_bglt) BgL_valuez00_5779)));
					}
			}
		}

	}



/* &variable-value-setup1773 */
	obj_t BGl_z62variablezd2valuezd2setup1773z62zzcfa_setupz00(obj_t
		BgL_envz00_5781, obj_t BgL_valuez00_5782, obj_t BgL_varz00_5783)
	{
		{	/* Cfa/setup.scm 163 */
			return ((obj_t) CNST_TABLE_REF(5));
		}

	}



/* &variable-value-setup1771 */
	obj_t BGl_z62variablezd2valuezd2setup1771z62zzcfa_setupz00(obj_t
		BgL_envz00_5784, obj_t BgL_valuez00_5785, obj_t BgL_varz00_5786)
	{
		{	/* Cfa/setup.scm 156 */
			{
				BgL_sexitz00_bglt BgL_auxz00_8112;

				{	/* Cfa/setup.scm 157 */
					BgL_sexitzf2cinfozf2_bglt BgL_wide1212z00_6109;

					BgL_wide1212z00_6109 =
						((BgL_sexitzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 157 */
						obj_t BgL_auxz00_8118;
						BgL_objectz00_bglt BgL_tmpz00_8114;

						BgL_auxz00_8118 = ((obj_t) BgL_wide1212z00_6109);
						BgL_tmpz00_8114 =
							((BgL_objectz00_bglt)
							((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5785)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8114, BgL_auxz00_8118);
					}
					((BgL_objectz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5785)));
					{	/* Cfa/setup.scm 157 */
						long BgL_arg1932z00_6110;

						BgL_arg1932z00_6110 =
							BGL_CLASS_NUM(BGl_sexitzf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt)
									((BgL_sexitz00_bglt) BgL_valuez00_5785))),
							BgL_arg1932z00_6110);
					}
					((BgL_sexitz00_bglt)
						((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5785)));
				}
				{
					BgL_approxz00_bglt BgL_auxz00_8140;
					BgL_sexitzf2cinfozf2_bglt BgL_auxz00_8132;

					{	/* Cfa/setup.scm 158 */
						BgL_typez00_bglt BgL_arg1933z00_6111;

						BgL_arg1933z00_6111 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_5786)))->BgL_typez00);
						BgL_auxz00_8140 =
							BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1933z00_6111);
					}
					{
						obj_t BgL_auxz00_8133;

						{	/* Cfa/setup.scm 158 */
							BgL_objectz00_bglt BgL_tmpz00_8134;

							BgL_tmpz00_8134 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5785)));
							BgL_auxz00_8133 = BGL_OBJECT_WIDENING(BgL_tmpz00_8134);
						}
						BgL_auxz00_8132 = ((BgL_sexitzf2cinfozf2_bglt) BgL_auxz00_8133);
					}
					((((BgL_sexitzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8132))->
							BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8140), BUNSPEC);
				}
				BgL_auxz00_8112 =
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_valuez00_5785));
				return ((obj_t) BgL_auxz00_8112);
			}
		}

	}



/* &variable-value-setup1769 */
	obj_t BGl_z62variablezd2valuezd2setup1769z62zzcfa_setupz00(obj_t
		BgL_envz00_5787, obj_t BgL_valuez00_5788, obj_t BgL_varz00_5789)
	{
		{	/* Cfa/setup.scm 148 */
			{

				{	/* Cfa/setup.scm 148 */
					obj_t BgL_nextzd2method1768zd2_6114;

					BgL_nextzd2method1768zd2_6114 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_svarz00_bglt) BgL_valuez00_5788)),
						BGl_variablezd2valuezd2setupz12zd2envzc0zzcfa_setupz00,
						BGl_prezd2clozd2envz00zzcfa_infoz00);
					BGL_PROCEDURE_CALL2(BgL_nextzd2method1768zd2_6114,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_5788)), BgL_varz00_5789);
				}
				{	/* Cfa/setup.scm 151 */
					BgL_valuez00_bglt BgL_arg1930z00_6115;

					BgL_arg1930z00_6115 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_varz00_5789))))->BgL_valuez00);
					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_8161;

						{
							obj_t BgL_auxz00_8162;

							{	/* Cfa/setup.scm 151 */
								BgL_objectz00_bglt BgL_tmpz00_8163;

								BgL_tmpz00_8163 =
									((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) BgL_arg1930z00_6115));
								BgL_auxz00_8162 = BGL_OBJECT_WIDENING(BgL_tmpz00_8163);
							}
							BgL_auxz00_8161 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8162);
						}
						return
							((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8161))->
								BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 1)), BUNSPEC);
					}
				}
			}
		}

	}



/* &variable-value-setup1767 */
	obj_t BGl_z62variablezd2valuezd2setup1767z62zzcfa_setupz00(obj_t
		BgL_envz00_5790, obj_t BgL_valuez00_5791, obj_t BgL_varz00_5792)
	{
		{	/* Cfa/setup.scm 135 */
			{	/* Cfa/setup.scm 136 */
				BgL_typez00_bglt BgL_typz00_6118;

				BgL_typz00_6118 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_5792)))->BgL_typez00);
				{	/* Cfa/setup.scm 137 */
					bool_t BgL_test2482z00_8171;

					{	/* Cfa/setup.scm 137 */
						obj_t BgL_classz00_6119;

						BgL_classz00_6119 = BGl_globalz00zzast_varz00;
						{	/* Cfa/setup.scm 137 */
							BgL_objectz00_bglt BgL_arg1858z00_6120;

							{	/* Cfa/setup.scm 137 */
								obj_t BgL_tmpz00_8172;

								BgL_tmpz00_8172 =
									((obj_t) ((BgL_variablez00_bglt) BgL_varz00_5792));
								BgL_arg1858z00_6120 = (BgL_objectz00_bglt) (BgL_tmpz00_8172);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Cfa/setup.scm 137 */
									long BgL_idxz00_6121;

									BgL_idxz00_6121 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6120);
									BgL_test2482z00_8171 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6121 + 2L)) == BgL_classz00_6119);
								}
							else
								{	/* Cfa/setup.scm 137 */
									bool_t BgL_res2302z00_6124;

									{	/* Cfa/setup.scm 137 */
										obj_t BgL_oclassz00_6125;

										{	/* Cfa/setup.scm 137 */
											obj_t BgL_arg1866z00_6126;
											long BgL_arg1867z00_6127;

											BgL_arg1866z00_6126 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/setup.scm 137 */
												long BgL_arg1869z00_6128;

												BgL_arg1869z00_6128 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6120);
												BgL_arg1867z00_6127 =
													(BgL_arg1869z00_6128 - OBJECT_TYPE);
											}
											BgL_oclassz00_6125 =
												VECTOR_REF(BgL_arg1866z00_6126, BgL_arg1867z00_6127);
										}
										{	/* Cfa/setup.scm 137 */
											bool_t BgL__ortest_1115z00_6129;

											BgL__ortest_1115z00_6129 =
												(BgL_classz00_6119 == BgL_oclassz00_6125);
											if (BgL__ortest_1115z00_6129)
												{	/* Cfa/setup.scm 137 */
													BgL_res2302z00_6124 = BgL__ortest_1115z00_6129;
												}
											else
												{	/* Cfa/setup.scm 137 */
													long BgL_odepthz00_6130;

													{	/* Cfa/setup.scm 137 */
														obj_t BgL_arg1855z00_6131;

														BgL_arg1855z00_6131 = (BgL_oclassz00_6125);
														BgL_odepthz00_6130 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_6131);
													}
													if ((2L < BgL_odepthz00_6130))
														{	/* Cfa/setup.scm 137 */
															obj_t BgL_arg1853z00_6132;

															{	/* Cfa/setup.scm 137 */
																obj_t BgL_arg1854z00_6133;

																BgL_arg1854z00_6133 = (BgL_oclassz00_6125);
																BgL_arg1853z00_6132 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6133,
																	2L);
															}
															BgL_res2302z00_6124 =
																(BgL_arg1853z00_6132 == BgL_classz00_6119);
														}
													else
														{	/* Cfa/setup.scm 137 */
															BgL_res2302z00_6124 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2482z00_8171 = BgL_res2302z00_6124;
								}
						}
					}
					if (BgL_test2482z00_8171)
						{	/* Cfa/setup.scm 138 */
							BgL_svarz00_bglt BgL_valuez00_6134;

							{	/* Cfa/setup.scm 138 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1204z00_6135;

								BgL_wide1204z00_6135 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 138 */
									obj_t BgL_auxz00_8200;
									BgL_objectz00_bglt BgL_tmpz00_8196;

									BgL_auxz00_8200 = ((obj_t) BgL_wide1204z00_6135);
									BgL_tmpz00_8196 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5791)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8196, BgL_auxz00_8200);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791)));
								{	/* Cfa/setup.scm 138 */
									long BgL_arg1928z00_6136;

									BgL_arg1928z00_6136 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791))),
										BgL_arg1928z00_6136);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8214;

								{
									obj_t BgL_auxz00_8215;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8216;

										BgL_tmpz00_8216 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8215 = BGL_OBJECT_WIDENING(BgL_tmpz00_8216);
									}
									BgL_auxz00_8214 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8215);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8214))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_6118)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8224;

								{
									obj_t BgL_auxz00_8225;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8226;

										BgL_tmpz00_8226 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8225 = BGL_OBJECT_WIDENING(BgL_tmpz00_8226);
									}
									BgL_auxz00_8224 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8225);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8224))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8233;

								{
									obj_t BgL_auxz00_8234;

									{	/* Cfa/setup.scm 139 */
										BgL_objectz00_bglt BgL_tmpz00_8235;

										BgL_tmpz00_8235 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8234 = BGL_OBJECT_WIDENING(BgL_tmpz00_8235);
									}
									BgL_auxz00_8233 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8234);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8233))->
										BgL_stampz00) = ((long) (-1L)), BUNSPEC);
							}
							BgL_valuez00_6134 =
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791));
							{	/* Cfa/setup.scm 140 */
								bool_t BgL_test2486z00_8244;

								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt)
														((BgL_variablez00_bglt) BgL_varz00_5792))))->
											BgL_importz00) == ((obj_t) CNST_TABLE_REF(6))))
									{	/* Cfa/setup.scm 140 */
										BgL_test2486z00_8244 = ((bool_t) 0);
									}
								else
									{	/* Cfa/setup.scm 140 */
										BgL_test2486z00_8244 =
											BGl_alloczd2typezf3z21zzcfa_setupz00(
											((obj_t) BgL_typz00_6118));
									}
								if (BgL_test2486z00_8244)
									{	/* Cfa/setup.scm 141 */
										BgL_approxz00_bglt BgL_arg1926z00_6137;

										{
											BgL_svarzf2cinfozf2_bglt BgL_auxz00_8254;

											{
												obj_t BgL_auxz00_8255;

												{	/* Cfa/setup.scm 141 */
													BgL_objectz00_bglt BgL_tmpz00_8256;

													BgL_tmpz00_8256 =
														((BgL_objectz00_bglt) BgL_valuez00_6134);
													BgL_auxz00_8255 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8256);
												}
												BgL_auxz00_8254 =
													((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8255);
											}
											BgL_arg1926z00_6137 =
												(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8254))->
												BgL_approxz00);
										}
										return
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
											(BgL_arg1926z00_6137);
									}
								else
									{	/* Cfa/setup.scm 140 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/setup.scm 137 */
							{	/* Cfa/setup.scm 142 */
								BgL_svarzf2cinfozf2_bglt BgL_wide1208z00_6138;

								BgL_wide1208z00_6138 =
									((BgL_svarzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_svarzf2cinfozf2_bgl))));
								{	/* Cfa/setup.scm 142 */
									obj_t BgL_auxz00_8267;
									BgL_objectz00_bglt BgL_tmpz00_8263;

									BgL_auxz00_8267 = ((obj_t) BgL_wide1208z00_6138);
									BgL_tmpz00_8263 =
										((BgL_objectz00_bglt)
										((BgL_svarz00_bglt)
											((BgL_svarz00_bglt) BgL_valuez00_5791)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8263, BgL_auxz00_8267);
								}
								((BgL_objectz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791)));
								{	/* Cfa/setup.scm 142 */
									long BgL_arg1929z00_6139;

									BgL_arg1929z00_6139 =
										BGL_CLASS_NUM(BGl_svarzf2Cinfozf2zzcfa_infoz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791))),
										BgL_arg1929z00_6139);
								}
								((BgL_svarz00_bglt)
									((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791)));
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8281;

								{
									obj_t BgL_auxz00_8282;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8283;

										BgL_tmpz00_8283 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8282 = BGL_OBJECT_WIDENING(BgL_tmpz00_8283);
									}
									BgL_auxz00_8281 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8282);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8281))->
										BgL_approxz00) =
									((BgL_approxz00_bglt)
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_typz00_6118)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8291;

								{
									obj_t BgL_auxz00_8292;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8293;

										BgL_tmpz00_8293 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8292 = BGL_OBJECT_WIDENING(BgL_tmpz00_8293);
									}
									BgL_auxz00_8291 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8292);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8291))->
										BgL_clozd2envzf3z21) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_svarzf2cinfozf2_bglt BgL_auxz00_8300;

								{
									obj_t BgL_auxz00_8301;

									{	/* Cfa/setup.scm 143 */
										BgL_objectz00_bglt BgL_tmpz00_8302;

										BgL_tmpz00_8302 =
											((BgL_objectz00_bglt)
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_valuez00_5791)));
										BgL_auxz00_8301 = BGL_OBJECT_WIDENING(BgL_tmpz00_8302);
									}
									BgL_auxz00_8300 =
										((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_8301);
								}
								((((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8300))->
										BgL_stampz00) = ((long) (-1L)), BUNSPEC);
							}
							return
								((obj_t)
								((BgL_svarz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5791)));
						}
				}
			}
		}

	}



/* &variable-value-setup1764 */
	obj_t BGl_z62variablezd2valuezd2setup1764z62zzcfa_setupz00(obj_t
		BgL_envz00_5793, obj_t BgL_valuez00_5794, obj_t BgL_varz00_5795)
	{
		{	/* Cfa/setup.scm 127 */
			return BUNSPEC;
		}

	}



/* &node-setup!-var1760 */
	obj_t BGl_z62nodezd2setupz12zd2var1760z70zzcfa_setupz00(obj_t BgL_envz00_5796,
		obj_t BgL_nodez00_5797)
	{
		{	/* Cfa/setup.scm 95 */
			BGl_variablezd2valuezd2setupz12z12zzcfa_setupz00(
				(((BgL_variablez00_bglt) COBJECT(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5797)))->BgL_variablez00)))->
					BgL_valuez00),
				(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_nodez00_5797)))->
					BgL_variablez00));
			{	/* Cfa/setup.scm 100 */
				bool_t BgL_test2488z00_8318;

				{	/* Cfa/setup.scm 100 */
					bool_t BgL_test2489z00_8319;

					{	/* Cfa/setup.scm 100 */
						BgL_variablez00_bglt BgL_arg1918z00_6142;

						BgL_arg1918z00_6142 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_5797)))->BgL_variablez00);
						{	/* Cfa/setup.scm 100 */
							obj_t BgL_classz00_6143;

							BgL_classz00_6143 = BGl_localz00zzast_varz00;
							{	/* Cfa/setup.scm 100 */
								BgL_objectz00_bglt BgL_arg1858z00_6144;

								{	/* Cfa/setup.scm 100 */
									obj_t BgL_tmpz00_8322;

									BgL_tmpz00_8322 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1918z00_6142));
									BgL_arg1858z00_6144 = (BgL_objectz00_bglt) (BgL_tmpz00_8322);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/setup.scm 100 */
										long BgL_idxz00_6145;

										BgL_idxz00_6145 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6144);
										BgL_test2489z00_8319 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6145 + 2L)) == BgL_classz00_6143);
									}
								else
									{	/* Cfa/setup.scm 100 */
										bool_t BgL_res2298z00_6148;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_oclassz00_6149;

											{	/* Cfa/setup.scm 100 */
												obj_t BgL_arg1866z00_6150;
												long BgL_arg1867z00_6151;

												BgL_arg1866z00_6150 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/setup.scm 100 */
													long BgL_arg1869z00_6152;

													BgL_arg1869z00_6152 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6144);
													BgL_arg1867z00_6151 =
														(BgL_arg1869z00_6152 - OBJECT_TYPE);
												}
												BgL_oclassz00_6149 =
													VECTOR_REF(BgL_arg1866z00_6150, BgL_arg1867z00_6151);
											}
											{	/* Cfa/setup.scm 100 */
												bool_t BgL__ortest_1115z00_6153;

												BgL__ortest_1115z00_6153 =
													(BgL_classz00_6143 == BgL_oclassz00_6149);
												if (BgL__ortest_1115z00_6153)
													{	/* Cfa/setup.scm 100 */
														BgL_res2298z00_6148 = BgL__ortest_1115z00_6153;
													}
												else
													{	/* Cfa/setup.scm 100 */
														long BgL_odepthz00_6154;

														{	/* Cfa/setup.scm 100 */
															obj_t BgL_arg1855z00_6155;

															BgL_arg1855z00_6155 = (BgL_oclassz00_6149);
															BgL_odepthz00_6154 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6155);
														}
														if ((2L < BgL_odepthz00_6154))
															{	/* Cfa/setup.scm 100 */
																obj_t BgL_arg1853z00_6156;

																{	/* Cfa/setup.scm 100 */
																	obj_t BgL_arg1854z00_6157;

																	BgL_arg1854z00_6157 = (BgL_oclassz00_6149);
																	BgL_arg1853z00_6156 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6157,
																		2L);
																}
																BgL_res2298z00_6148 =
																	(BgL_arg1853z00_6156 == BgL_classz00_6143);
															}
														else
															{	/* Cfa/setup.scm 100 */
																BgL_res2298z00_6148 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2489z00_8319 = BgL_res2298z00_6148;
									}
							}
						}
					}
					if (BgL_test2489z00_8319)
						{	/* Cfa/setup.scm 100 */
							bool_t BgL_test2493z00_8345;

							{	/* Cfa/setup.scm 100 */
								BgL_variablez00_bglt BgL_arg1917z00_6158;

								BgL_arg1917z00_6158 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5797)))->BgL_variablez00);
								{	/* Cfa/setup.scm 100 */
									obj_t BgL_classz00_6159;

									BgL_classz00_6159 = BGl_reshapedzd2localzd2zzcfa_infoz00;
									{	/* Cfa/setup.scm 100 */
										BgL_objectz00_bglt BgL_arg1858z00_6160;

										{	/* Cfa/setup.scm 100 */
											obj_t BgL_tmpz00_8348;

											BgL_tmpz00_8348 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1917z00_6158));
											BgL_arg1858z00_6160 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8348);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 100 */
												long BgL_idxz00_6161;

												BgL_idxz00_6161 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6160);
												BgL_test2493z00_8345 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6161 + 3L)) == BgL_classz00_6159);
											}
										else
											{	/* Cfa/setup.scm 100 */
												bool_t BgL_res2299z00_6164;

												{	/* Cfa/setup.scm 100 */
													obj_t BgL_oclassz00_6165;

													{	/* Cfa/setup.scm 100 */
														obj_t BgL_arg1866z00_6166;
														long BgL_arg1867z00_6167;

														BgL_arg1866z00_6166 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/setup.scm 100 */
															long BgL_arg1869z00_6168;

															BgL_arg1869z00_6168 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6160);
															BgL_arg1867z00_6167 =
																(BgL_arg1869z00_6168 - OBJECT_TYPE);
														}
														BgL_oclassz00_6165 =
															VECTOR_REF(BgL_arg1866z00_6166,
															BgL_arg1867z00_6167);
													}
													{	/* Cfa/setup.scm 100 */
														bool_t BgL__ortest_1115z00_6169;

														BgL__ortest_1115z00_6169 =
															(BgL_classz00_6159 == BgL_oclassz00_6165);
														if (BgL__ortest_1115z00_6169)
															{	/* Cfa/setup.scm 100 */
																BgL_res2299z00_6164 = BgL__ortest_1115z00_6169;
															}
														else
															{	/* Cfa/setup.scm 100 */
																long BgL_odepthz00_6170;

																{	/* Cfa/setup.scm 100 */
																	obj_t BgL_arg1855z00_6171;

																	BgL_arg1855z00_6171 = (BgL_oclassz00_6165);
																	BgL_odepthz00_6170 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6171);
																}
																if ((3L < BgL_odepthz00_6170))
																	{	/* Cfa/setup.scm 100 */
																		obj_t BgL_arg1853z00_6172;

																		{	/* Cfa/setup.scm 100 */
																			obj_t BgL_arg1854z00_6173;

																			BgL_arg1854z00_6173 =
																				(BgL_oclassz00_6165);
																			BgL_arg1853z00_6172 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6173, 3L);
																		}
																		BgL_res2299z00_6164 =
																			(BgL_arg1853z00_6172 ==
																			BgL_classz00_6159);
																	}
																else
																	{	/* Cfa/setup.scm 100 */
																		BgL_res2299z00_6164 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2493z00_8345 = BgL_res2299z00_6164;
											}
									}
								}
							}
							if (BgL_test2493z00_8345)
								{	/* Cfa/setup.scm 100 */
									BgL_test2488z00_8318 = ((bool_t) 0);
								}
							else
								{	/* Cfa/setup.scm 100 */
									BgL_test2488z00_8318 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/setup.scm 100 */
							BgL_test2488z00_8318 = ((bool_t) 0);
						}
				}
				if (BgL_test2488z00_8318)
					{	/* Cfa/setup.scm 101 */
						BgL_localz00_bglt BgL_tmp1194z00_6174;

						BgL_tmp1194z00_6174 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5797)))->BgL_variablez00));
						{	/* Cfa/setup.scm 101 */
							BgL_reshapedzd2localzd2_bglt BgL_wide1196z00_6175;

							BgL_wide1196z00_6175 =
								((BgL_reshapedzd2localzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_reshapedzd2localzd2_bgl))));
							{	/* Cfa/setup.scm 101 */
								obj_t BgL_auxz00_8378;
								BgL_objectz00_bglt BgL_tmpz00_8375;

								BgL_auxz00_8378 = ((obj_t) BgL_wide1196z00_6175);
								BgL_tmpz00_8375 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1194z00_6174));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8375, BgL_auxz00_8378);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1194z00_6174));
							{	/* Cfa/setup.scm 101 */
								long BgL_arg1905z00_6176;

								BgL_arg1905z00_6176 =
									BGL_CLASS_NUM(BGl_reshapedzd2localzd2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1194z00_6174)),
									BgL_arg1905z00_6176);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1194z00_6174));
						}
						{
							BgL_reshapedzd2localzd2_bglt BgL_auxz00_8389;

							{
								obj_t BgL_auxz00_8390;

								{	/* Cfa/setup.scm 101 */
									BgL_objectz00_bglt BgL_tmpz00_8391;

									BgL_tmpz00_8391 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1194z00_6174));
									BgL_auxz00_8390 = BGL_OBJECT_WIDENING(BgL_tmpz00_8391);
								}
								BgL_auxz00_8389 =
									((BgL_reshapedzd2localzd2_bglt) BgL_auxz00_8390);
							}
							((((BgL_reshapedzd2localzd2_bglt) COBJECT(BgL_auxz00_8389))->
									BgL_bindingzd2valuezd2) = ((obj_t) BFALSE), BUNSPEC);
						}
						return ((obj_t) ((BgL_localz00_bglt) BgL_tmp1194z00_6174));
					}
				else
					{	/* Cfa/setup.scm 102 */
						bool_t BgL_test2497z00_8399;

						{	/* Cfa/setup.scm 102 */
							bool_t BgL_test2498z00_8400;

							{	/* Cfa/setup.scm 102 */
								BgL_variablez00_bglt BgL_arg1916z00_6177;

								BgL_arg1916z00_6177 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_5797)))->BgL_variablez00);
								{	/* Cfa/setup.scm 102 */
									obj_t BgL_classz00_6178;

									BgL_classz00_6178 = BGl_globalz00zzast_varz00;
									{	/* Cfa/setup.scm 102 */
										BgL_objectz00_bglt BgL_arg1858z00_6179;

										{	/* Cfa/setup.scm 102 */
											obj_t BgL_tmpz00_8403;

											BgL_tmpz00_8403 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg1916z00_6177));
											BgL_arg1858z00_6179 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8403);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/setup.scm 102 */
												long BgL_idxz00_6180;

												BgL_idxz00_6180 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6179);
												BgL_test2498z00_8400 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_6180 + 2L)) == BgL_classz00_6178);
											}
										else
											{	/* Cfa/setup.scm 102 */
												bool_t BgL_res2300z00_6183;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_oclassz00_6184;

													{	/* Cfa/setup.scm 102 */
														obj_t BgL_arg1866z00_6185;
														long BgL_arg1867z00_6186;

														BgL_arg1866z00_6185 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/setup.scm 102 */
															long BgL_arg1869z00_6187;

															BgL_arg1869z00_6187 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6179);
															BgL_arg1867z00_6186 =
																(BgL_arg1869z00_6187 - OBJECT_TYPE);
														}
														BgL_oclassz00_6184 =
															VECTOR_REF(BgL_arg1866z00_6185,
															BgL_arg1867z00_6186);
													}
													{	/* Cfa/setup.scm 102 */
														bool_t BgL__ortest_1115z00_6188;

														BgL__ortest_1115z00_6188 =
															(BgL_classz00_6178 == BgL_oclassz00_6184);
														if (BgL__ortest_1115z00_6188)
															{	/* Cfa/setup.scm 102 */
																BgL_res2300z00_6183 = BgL__ortest_1115z00_6188;
															}
														else
															{	/* Cfa/setup.scm 102 */
																long BgL_odepthz00_6189;

																{	/* Cfa/setup.scm 102 */
																	obj_t BgL_arg1855z00_6190;

																	BgL_arg1855z00_6190 = (BgL_oclassz00_6184);
																	BgL_odepthz00_6189 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_6190);
																}
																if ((2L < BgL_odepthz00_6189))
																	{	/* Cfa/setup.scm 102 */
																		obj_t BgL_arg1853z00_6191;

																		{	/* Cfa/setup.scm 102 */
																			obj_t BgL_arg1854z00_6192;

																			BgL_arg1854z00_6192 =
																				(BgL_oclassz00_6184);
																			BgL_arg1853z00_6191 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_6192, 2L);
																		}
																		BgL_res2300z00_6183 =
																			(BgL_arg1853z00_6191 ==
																			BgL_classz00_6178);
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2300z00_6183 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2498z00_8400 = BgL_res2300z00_6183;
											}
									}
								}
							}
							if (BgL_test2498z00_8400)
								{	/* Cfa/setup.scm 102 */
									bool_t BgL_test2502z00_8426;

									{	/* Cfa/setup.scm 102 */
										BgL_variablez00_bglt BgL_arg1915z00_6193;

										BgL_arg1915z00_6193 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_nodez00_5797)))->
											BgL_variablez00);
										{	/* Cfa/setup.scm 102 */
											obj_t BgL_classz00_6194;

											BgL_classz00_6194 = BGl_reshapedzd2globalzd2zzcfa_infoz00;
											{	/* Cfa/setup.scm 102 */
												BgL_objectz00_bglt BgL_arg1858z00_6195;

												{	/* Cfa/setup.scm 102 */
													obj_t BgL_tmpz00_8429;

													BgL_tmpz00_8429 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg1915z00_6193));
													BgL_arg1858z00_6195 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8429);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/setup.scm 102 */
														long BgL_idxz00_6196;

														BgL_idxz00_6196 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6195);
														BgL_test2502z00_8426 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6196 + 3L)) == BgL_classz00_6194);
													}
												else
													{	/* Cfa/setup.scm 102 */
														bool_t BgL_res2301z00_6199;

														{	/* Cfa/setup.scm 102 */
															obj_t BgL_oclassz00_6200;

															{	/* Cfa/setup.scm 102 */
																obj_t BgL_arg1866z00_6201;
																long BgL_arg1867z00_6202;

																BgL_arg1866z00_6201 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/setup.scm 102 */
																	long BgL_arg1869z00_6203;

																	BgL_arg1869z00_6203 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6195);
																	BgL_arg1867z00_6202 =
																		(BgL_arg1869z00_6203 - OBJECT_TYPE);
																}
																BgL_oclassz00_6200 =
																	VECTOR_REF(BgL_arg1866z00_6201,
																	BgL_arg1867z00_6202);
															}
															{	/* Cfa/setup.scm 102 */
																bool_t BgL__ortest_1115z00_6204;

																BgL__ortest_1115z00_6204 =
																	(BgL_classz00_6194 == BgL_oclassz00_6200);
																if (BgL__ortest_1115z00_6204)
																	{	/* Cfa/setup.scm 102 */
																		BgL_res2301z00_6199 =
																			BgL__ortest_1115z00_6204;
																	}
																else
																	{	/* Cfa/setup.scm 102 */
																		long BgL_odepthz00_6205;

																		{	/* Cfa/setup.scm 102 */
																			obj_t BgL_arg1855z00_6206;

																			BgL_arg1855z00_6206 =
																				(BgL_oclassz00_6200);
																			BgL_odepthz00_6205 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6206);
																		}
																		if ((3L < BgL_odepthz00_6205))
																			{	/* Cfa/setup.scm 102 */
																				obj_t BgL_arg1853z00_6207;

																				{	/* Cfa/setup.scm 102 */
																					obj_t BgL_arg1854z00_6208;

																					BgL_arg1854z00_6208 =
																						(BgL_oclassz00_6200);
																					BgL_arg1853z00_6207 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6208, 3L);
																				}
																				BgL_res2301z00_6199 =
																					(BgL_arg1853z00_6207 ==
																					BgL_classz00_6194);
																			}
																		else
																			{	/* Cfa/setup.scm 102 */
																				BgL_res2301z00_6199 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2502z00_8426 = BgL_res2301z00_6199;
													}
											}
										}
									}
									if (BgL_test2502z00_8426)
										{	/* Cfa/setup.scm 102 */
											BgL_test2497z00_8399 = ((bool_t) 0);
										}
									else
										{	/* Cfa/setup.scm 102 */
											BgL_test2497z00_8399 = ((bool_t) 1);
										}
								}
							else
								{	/* Cfa/setup.scm 102 */
									BgL_test2497z00_8399 = ((bool_t) 0);
								}
						}
						if (BgL_test2497z00_8399)
							{	/* Cfa/setup.scm 103 */
								BgL_globalz00_bglt BgL_tmp1198z00_6209;

								BgL_tmp1198z00_6209 =
									((BgL_globalz00_bglt)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_5797)))->
										BgL_variablez00));
								{	/* Cfa/setup.scm 103 */
									BgL_reshapedzd2globalzd2_bglt BgL_wide1200z00_6210;

									BgL_wide1200z00_6210 =
										((BgL_reshapedzd2globalzd2_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_reshapedzd2globalzd2_bgl))));
									{	/* Cfa/setup.scm 103 */
										obj_t BgL_auxz00_8459;
										BgL_objectz00_bglt BgL_tmpz00_8456;

										BgL_auxz00_8459 = ((obj_t) BgL_wide1200z00_6210);
										BgL_tmpz00_8456 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_tmp1198z00_6209));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8456, BgL_auxz00_8459);
									}
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1198z00_6209));
									{	/* Cfa/setup.scm 103 */
										long BgL_arg1913z00_6211;

										BgL_arg1913z00_6211 =
											BGL_CLASS_NUM(BGl_reshapedzd2globalzd2zzcfa_infoz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_tmp1198z00_6209)),
											BgL_arg1913z00_6211);
									}
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_tmp1198z00_6209));
								}
								return ((obj_t) ((BgL_globalz00_bglt) BgL_tmp1198z00_6209));
							}
						else
							{	/* Cfa/setup.scm 102 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &node-setup!-kwote/no1758 */
	obj_t BGl_z62nodezd2setupz12zd2kwotezf2no1758z82zzcfa_setupz00(obj_t
		BgL_envz00_5798, obj_t BgL_kwotez00_5799)
	{
		{	/* Cfa/setup.scm 88 */
			{	/* Cfa/setup.scm 90 */
				BgL_nodez00_bglt BgL_arg1894z00_6213;

				{
					BgL_kwotezf2nodezf2_bglt BgL_auxz00_8472;

					{
						obj_t BgL_auxz00_8473;

						{	/* Cfa/setup.scm 90 */
							BgL_objectz00_bglt BgL_tmpz00_8474;

							BgL_tmpz00_8474 =
								((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_kwotez00_5799));
							BgL_auxz00_8473 = BGL_OBJECT_WIDENING(BgL_tmpz00_8474);
						}
						BgL_auxz00_8472 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_8473);
					}
					BgL_arg1894z00_6213 =
						(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_8472))->
						BgL_nodez00);
				}
				return BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1894z00_6213);
			}
		}

	}



/* &node-setup!-kwote1756 */
	obj_t BGl_z62nodezd2setupz12zd2kwote1756z70zzcfa_setupz00(obj_t
		BgL_envz00_5800, obj_t BgL_nodez00_5801)
	{
		{	/* Cfa/setup.scm 78 */
			{	/* Cfa/setup.scm 80 */
				BgL_approxz00_bglt BgL_approxz00_6215;

				BgL_approxz00_6215 =
					BGl_makezd2typezd2approxz00zzcfa_approxz00
					(BGl_getzd2typezd2kwotez00zztype_typeofz00((((BgL_kwotez00_bglt)
								COBJECT(((BgL_kwotez00_bglt) BgL_nodez00_5801)))->
							BgL_valuez00)));
				((((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6215))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 1)), BUNSPEC);
				{	/* Cfa/setup.scm 82 */
					BgL_kwotezf2cinfozf2_bglt BgL_wide1190z00_6216;

					BgL_wide1190z00_6216 =
						((BgL_kwotezf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2cinfozf2_bgl))));
					{	/* Cfa/setup.scm 82 */
						obj_t BgL_auxz00_8491;
						BgL_objectz00_bglt BgL_tmpz00_8487;

						BgL_auxz00_8491 = ((obj_t) BgL_wide1190z00_6216);
						BgL_tmpz00_8487 =
							((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5801)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8487, BgL_auxz00_8491);
					}
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5801)));
					{	/* Cfa/setup.scm 82 */
						long BgL_arg1891z00_6217;

						BgL_arg1891z00_6217 =
							BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_5801))),
							BgL_arg1891z00_6217);
					}
					((BgL_kwotez00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5801)));
				}
				{
					BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8505;

					{
						obj_t BgL_auxz00_8506;

						{	/* Cfa/setup.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_8507;

							BgL_tmpz00_8507 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5801)));
							BgL_auxz00_8506 = BGL_OBJECT_WIDENING(BgL_tmpz00_8507);
						}
						BgL_auxz00_8505 = ((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8506);
					}
					((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_8505))->
							BgL_approxz00) =
						((BgL_approxz00_bglt) BgL_approxz00_6215), BUNSPEC);
				}
				return
					((obj_t)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5801)));
			}
		}

	}



/* &node-setup!-patch1754 */
	obj_t BGl_z62nodezd2setupz12zd2patch1754z70zzcfa_setupz00(obj_t
		BgL_envz00_5802, obj_t BgL_nodez00_5803)
	{
		{	/* Cfa/setup.scm 69 */
			{	/* Cfa/setup.scm 71 */
				obj_t BgL_arg1887z00_6219;

				BgL_arg1887z00_6219 =
					(((BgL_atomz00_bglt) COBJECT(
							((BgL_atomz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5803))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1887z00_6219));
			}
			{	/* Cfa/setup.scm 72 */
				BgL_patchzf2cinfozf2_bglt BgL_wide1185z00_6220;

				BgL_wide1185z00_6220 =
					((BgL_patchzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_patchzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 72 */
					obj_t BgL_auxz00_8527;
					BgL_objectz00_bglt BgL_tmpz00_8523;

					BgL_auxz00_8527 = ((obj_t) BgL_wide1185z00_6220);
					BgL_tmpz00_8523 =
						((BgL_objectz00_bglt)
						((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5803)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8523, BgL_auxz00_8527);
				}
				((BgL_objectz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5803)));
				{	/* Cfa/setup.scm 72 */
					long BgL_arg1889z00_6221;

					BgL_arg1889z00_6221 =
						BGL_CLASS_NUM(BGl_patchzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_patchz00_bglt)
								((BgL_patchz00_bglt) BgL_nodez00_5803))), BgL_arg1889z00_6221);
				}
				((BgL_patchz00_bglt)
					((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5803)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8549;
				BgL_patchzf2cinfozf2_bglt BgL_auxz00_8541;

				{	/* Cfa/setup.scm 73 */
					BgL_typez00_bglt BgL_arg1890z00_6222;

					BgL_arg1890z00_6222 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_patchz00_bglt) BgL_nodez00_5803))))->BgL_typez00);
					BgL_auxz00_8549 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1890z00_6222);
				}
				{
					obj_t BgL_auxz00_8542;

					{	/* Cfa/setup.scm 73 */
						BgL_objectz00_bglt BgL_tmpz00_8543;

						BgL_tmpz00_8543 =
							((BgL_objectz00_bglt)
							((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5803)));
						BgL_auxz00_8542 = BGL_OBJECT_WIDENING(BgL_tmpz00_8543);
					}
					BgL_auxz00_8541 = ((BgL_patchzf2cinfozf2_bglt) BgL_auxz00_8542);
				}
				((((BgL_patchzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8541))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8549), BUNSPEC);
			}
			return
				((obj_t) ((BgL_patchz00_bglt) ((BgL_patchz00_bglt) BgL_nodez00_5803)));
		}

	}



/* &node-setup!-literal1752 */
	obj_t BGl_z62nodezd2setupz12zd2literal1752z70zzcfa_setupz00(obj_t
		BgL_envz00_5804, obj_t BgL_nodez00_5805)
	{
		{	/* Cfa/setup.scm 61 */
			{	/* Cfa/setup.scm 63 */
				BgL_literalzf2cinfozf2_bglt BgL_wide1180z00_6224;

				BgL_wide1180z00_6224 =
					((BgL_literalzf2cinfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2cinfozf2_bgl))));
				{	/* Cfa/setup.scm 63 */
					obj_t BgL_auxz00_8563;
					BgL_objectz00_bglt BgL_tmpz00_8559;

					BgL_auxz00_8563 = ((obj_t) BgL_wide1180z00_6224);
					BgL_tmpz00_8559 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5805)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8559, BgL_auxz00_8563);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5805)));
				{	/* Cfa/setup.scm 63 */
					long BgL_arg1884z00_6225;

					BgL_arg1884z00_6225 =
						BGL_CLASS_NUM(BGl_literalzf2Cinfozf2zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_nodez00_5805))),
						BgL_arg1884z00_6225);
				}
				((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5805)));
			}
			{
				BgL_approxz00_bglt BgL_auxz00_8585;
				BgL_literalzf2cinfozf2_bglt BgL_auxz00_8577;

				{	/* Cfa/setup.scm 64 */
					BgL_typez00_bglt BgL_arg1885z00_6226;

					{	/* Cfa/setup.scm 64 */
						obj_t BgL_arg1886z00_6227;

						BgL_arg1886z00_6227 =
							(((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt)
										((BgL_literalz00_bglt) BgL_nodez00_5805))))->BgL_valuez00);
						BgL_arg1885z00_6226 =
							BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_arg1886z00_6227);
					}
					BgL_auxz00_8585 =
						BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg1885z00_6226);
				}
				{
					obj_t BgL_auxz00_8578;

					{	/* Cfa/setup.scm 64 */
						BgL_objectz00_bglt BgL_tmpz00_8579;

						BgL_tmpz00_8579 =
							((BgL_objectz00_bglt)
							((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5805)));
						BgL_auxz00_8578 = BGL_OBJECT_WIDENING(BgL_tmpz00_8579);
					}
					BgL_auxz00_8577 = ((BgL_literalzf2cinfozf2_bglt) BgL_auxz00_8578);
				}
				((((BgL_literalzf2cinfozf2_bglt) COBJECT(BgL_auxz00_8577))->
						BgL_approxz00) = ((BgL_approxz00_bglt) BgL_auxz00_8585), BUNSPEC);
			}
			return
				((obj_t)
				((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_nodez00_5805)));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_setupz00(void)
	{
		{	/* Cfa/setup.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_pairz00(37668556L,
				BSTRING_TO_STRING(BGl_string2361z00zzcfa_setupz00));
		}

	}

#ifdef __cplusplus
}
#endif
