/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/specialize.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_SPECIALIZE_TYPE_DEFINITIONS
#define BGL_CFA_SPECIALIZE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


#endif													// BGL_CFA_SPECIALIZE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_z62patchz121320z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2atom1325za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62patchz12zd2appzd2ly1337z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_globalz00_bglt BGl_z62lambda1891z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1894z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1897z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2conditional1347za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62patchz12zd2extern1341za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static obj_t BGl_z62patchz12zd2var1329za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62patchz12zd2switch1351za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7(void);
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7(void);
	static obj_t
		BGl_z62patchz12zd2jumpzd2exzd2it1359za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7(void);
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7(void);
	static obj_t BGl_z62patchz12zd2boxzd2setz121363z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1361z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2fun1353z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62patchz12zd2cast1343za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_z62patchz12zd2setq1345za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1367za2zzcfa_specializa7eza7(obj_t, obj_t);
	static bool_t
		BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7(void);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62patchz12zd2sync1335za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2fail1349za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2sequence1333za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62patchz12zd2setzd2exzd2it1357za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7(void);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12zd2funcall1339za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2var1355z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	static obj_t BGl_z62patchz12zd2kwote1327za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	static obj_t BGl_z62patchz12zd2closure1331za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1904z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1905z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2boxzd2ref1365z70zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22110z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2061z00zzcfa_specializa7eza7,
		BgL_bgl_string2061za700za7za7c2111za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2062z00zzcfa_specializa7eza7,
		BgL_bgl_string2062za700za7za7c2112za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2063z00zzcfa_specializa7eza7,
		BgL_bgl_string2063za700za7za7c2113za7, ": ", 2);
	      DEFINE_STRING(BGl_string2064z00zzcfa_specializa7eza7,
		BgL_bgl_string2064za700za7za7c2114za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2065z00zzcfa_specializa7eza7,
		BgL_bgl_string2065za700za7za7c2115za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2066z00zzcfa_specializa7eza7,
		BgL_bgl_string2066za700za7za7c2116za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2067z00zzcfa_specializa7eza7,
		BgL_bgl_string2067za700za7za7c2117za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2068z00zzcfa_specializa7eza7,
		BgL_bgl_string2068za700za7za7c2118za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2069z00zzcfa_specializa7eza7,
		BgL_bgl_string2069za700za7za7c2119za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2070z00zzcfa_specializa7eza7,
		BgL_bgl_string2070za700za7za7c2120za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2071z00zzcfa_specializa7eza7,
		BgL_bgl_string2071za700za7za7c2121za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2072z00zzcfa_specializa7eza7,
		BgL_bgl_string2072za700za7za7c2122za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2079z00zzcfa_specializa7eza7,
		BgL_bgl_string2079za700za7za7c2123za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1905za7622124z00,
		BGl_z62lambda1905z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1904za7622125z00,
		BGl_z62lambda1904z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2081z00zzcfa_specializa7eza7,
		BgL_bgl_string2081za700za7za7c2126za7, "patch!1320", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1897za7622127z00,
		BGl_z62lambda1897z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2082z00zzcfa_specializa7eza7,
		BgL_bgl_string2082za700za7za7c2128za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3za704anonymo2129za7,
		BGl_z62zc3z04anonymousza31896ze3ze5zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1894za7622130z00,
		BGl_z62lambda1894z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2084z00zzcfa_specializa7eza7,
		BgL_bgl_string2084za700za7za7c2131za7, "patch!", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda1891za7622132z00,
		BGl_z62lambda1891z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121320za72133za7,
		BGl_z62patchz121320z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2134za7,
		BGl_z62patchz12zd2atom1325za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2135za7,
		BGl_z62patchz12zd2kwote1327za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2136za7,
		BGl_z62patchz12zd2var1329za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2137za7,
		BGl_z62patchz12zd2closure1331za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2138za7,
		BGl_z62patchz12zd2sequence1333za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2139za7,
		BGl_z62patchz12zd2sync1335za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2140za7,
		BGl_z62patchz12zd2appzd2ly1337z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2141za7,
		BGl_z62patchz12zd2funcall1339za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2142za7,
		BGl_z62patchz12zd2extern1341za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2143za7,
		BGl_z62patchz12zd2cast1343za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2144za7,
		BGl_z62patchz12zd2setq1345za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2145za7,
		BGl_z62patchz12zd2conditional1347za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2146za7,
		BGl_z62patchz12zd2fail1349za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sw2147za7,
		BGl_z62patchz12zd2switch1351za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2148za7,
		BGl_z62patchz12zd2letzd2fun1353z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2149za7,
		BGl_z62patchz12zd2letzd2var1355z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22150z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72151za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72152za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string2106z00zzcfa_specializa7eza7,
		BgL_bgl_string2106za700za7za7c2153za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2107z00zzcfa_specializa7eza7,
		BgL_bgl_string2107za700za7za7c2154za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2108z00zzcfa_specializa7eza7,
		BgL_bgl_string2108za700za7za7c2155za7,
		"patch!1320 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((|2+| (|2+| __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (|2-| (|2-| __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) ("
		"<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numb"
		"ers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2220);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2156za7,
		BGl_z62patchz12zd2setzd2exzd2it1357za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2157za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1359za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2158za7,
		BGl_z62patchz12zd2makezd2box1361z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2159za7,
		BGl_z62patchz12zd2boxzd2setz121363z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2160za7,
		BGl_z62patchz12zd2boxzd2ref1365z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2161za7,
		BGl_z62patchz12zd2app1367za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2specializa7eza2za7zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
		     ADD_ROOT((void *) (&BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7));
		   
			 ADD_ROOT((void
				*) (&BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*)
			(&BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_specializa7edzd2globalz75zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7));
		     ADD_ROOT((void
				*) (&BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3245, char *BgL_fromz00_3246)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_specializa7eza7();
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					return BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_specialize");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3124;

				{	/* Cfa/specialize.scm 19 */
					obj_t BgL_stringz00_3131;

					BgL_stringz00_3131 = BGl_string2108z00zzcfa_specializa7eza7;
					{	/* Cfa/specialize.scm 19 */
						obj_t BgL_startz00_3132;

						BgL_startz00_3132 = BINT(0L);
						{	/* Cfa/specialize.scm 19 */
							obj_t BgL_endz00_3133;

							BgL_endz00_3133 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3131)));
							{	/* Cfa/specialize.scm 19 */

								BgL_cportz00_3124 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3131, BgL_startz00_3132, BgL_endz00_3133);
				}}}}
				{
					long BgL_iz00_3125;

					BgL_iz00_3125 = 13L;
				BgL_loopz00_3126:
					if ((BgL_iz00_3125 == (-1L)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2109z00_3127;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3129;

										BgL_locationz00_3129 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2109z00_3127 =
												BGl_readz00zz__readerz00(BgL_cportz00_3124,
												BgL_locationz00_3129);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_tmpz00_3278;

									BgL_tmpz00_3278 = (int) (BgL_iz00_3125);
									CNST_TABLE_SET(BgL_tmpz00_3278, BgL_arg2109z00_3127);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3130;

								BgL_auxz00_3130 = (int) ((BgL_iz00_3125 - 1L));
								{
									long BgL_iz00_3283;

									BgL_iz00_3283 = (long) (BgL_auxz00_3130);
									BgL_iz00_3125 = BgL_iz00_3283;
									goto BgL_loopz00_3126;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				((obj_t) CNST_TABLE_REF(0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				((obj_t) CNST_TABLE_REF(1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1648;

					BgL_headz00_1648 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1649;
						obj_t BgL_tailz00_1650;

						BgL_prevz00_1649 = BgL_headz00_1648;
						BgL_tailz00_1650 = BgL_l1z00_1;
					BgL_loopz00_1651:
						if (PAIRP(BgL_tailz00_1650))
							{
								obj_t BgL_newzd2prevzd2_1653;

								BgL_newzd2prevzd2_1653 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1650), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1649, BgL_newzd2prevzd2_1653);
								{
									obj_t BgL_tailz00_3299;
									obj_t BgL_prevz00_3298;

									BgL_prevz00_3298 = BgL_newzd2prevzd2_1653;
									BgL_tailz00_3299 = CDR(BgL_tailz00_1650);
									BgL_tailz00_1650 = BgL_tailz00_3299;
									BgL_prevz00_1649 = BgL_prevz00_3298;
									goto BgL_loopz00_1651;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1648);
					}
				}
		}

	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_88)
	{
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1300z00_1663;

						BgL_g1300z00_1663 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1298z00_1665;

							BgL_l1298z00_1665 = BgL_g1300z00_1663;
						BgL_zc3z04anonymousza31382ze3z87_1666:
							if (PAIRP(BgL_l1298z00_1665))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1298z00_1665));
									{
										obj_t BgL_l1298z00_3309;

										BgL_l1298z00_3309 = CDR(BgL_l1298z00_1665);
										BgL_l1298z00_1665 = BgL_l1298z00_3309;
										goto BgL_zc3z04anonymousza31382ze3z87_1666;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_88);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_88;
		}

	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3008,
		obj_t BgL_globalsz00_3009)
	{
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3009);
		}

	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_89)
	{
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1672;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg1400z00_1677;
					obj_t BgL_arg1401z00_1678;

					BgL_arg1400z00_1677 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_89)))->BgL_idz00);
					BgL_arg1401z00_1678 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1672 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1400z00_1677,
						BgL_arg1401z00_1678);
				}
				if (PAIRP(BgL_cellz00_1672))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_tmpz00_3321;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_tmpz00_3322;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2360;

								BgL_pairz00_2360 = CAR(CDR(BgL_cellz00_1672));
								BgL_tmpz00_3322 = CAR(CDR(BgL_pairz00_2360));
							}
							BgL_tmpz00_3321 =
								(BgL_tmpz00_3322 ==
								(((BgL_globalz00_bglt) COBJECT(BgL_globalz00_89))->
									BgL_modulez00));
						}
						return BBOOL(BgL_tmpz00_3321);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}

	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3010, obj_t BgL_globalz00_3011)
	{
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3011));
		}

	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_90)
	{
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1680;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg1513z00_1705;
					obj_t BgL_arg1515z00_1706;

					BgL_arg1513z00_1705 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_90)))->BgL_idz00);
					BgL_arg1515z00_1706 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1680 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1513z00_1705,
						BgL_arg1515z00_1706);
				}
				if (PAIRP(BgL_cellz00_1680))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1142z00_1682;

						BgL_g1142z00_1682 = CDR(CDR(BgL_cellz00_1680));
						{
							obj_t BgL_specz00_1685;
							obj_t BgL_typesz00_1686;

							BgL_specz00_1685 = BgL_g1142z00_1682;
							BgL_typesz00_1686 = BNIL;
						BgL_zc3z04anonymousza31405ze3z87_1687:
							if (NULLP(BgL_specz00_1685))
								{	/* Cfa/specialize.scm 75 */
									return BgL_typesz00_1686;
								}
							else
								{	/* Cfa/specialize.scm 77 */
									bool_t BgL_test2171z00_3342;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 78 */
											obj_t BgL_tmpz00_3345;

											{	/* Cfa/specialize.scm 78 */
												obj_t BgL_pairz00_2369;

												BgL_pairz00_2369 = CAR(((obj_t) BgL_specz00_1685));
												BgL_tmpz00_3345 = CAR(CDR(BgL_pairz00_2369));
											}
											BgL_test2171z00_3342 =
												(BgL_tmpz00_3345 == ((obj_t) CNST_TABLE_REF(2)));
										}
									else
										{	/* Cfa/specialize.scm 77 */
											BgL_test2171z00_3342 = ((bool_t) 0);
										}
									if (BgL_test2171z00_3342)
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg1446z00_1692;
											obj_t BgL_arg1457z00_1693;

											BgL_arg1446z00_1692 = CDR(((obj_t) BgL_specz00_1685));
											BgL_arg1457z00_1693 =
												MAKE_YOUNG_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1686);
											{
												obj_t BgL_typesz00_3357;
												obj_t BgL_specz00_3356;

												BgL_specz00_3356 = BgL_arg1446z00_1692;
												BgL_typesz00_3357 = BgL_arg1457z00_1693;
												BgL_typesz00_1686 = BgL_typesz00_3357;
												BgL_specz00_1685 = BgL_specz00_3356;
												goto BgL_zc3z04anonymousza31405ze3z87_1687;
											}
										}
									else
										{	/* Cfa/specialize.scm 80 */
											bool_t BgL_test2173z00_3358;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 81 */
													obj_t BgL_tmpz00_3361;

													{	/* Cfa/specialize.scm 81 */
														obj_t BgL_pairz00_2375;

														BgL_pairz00_2375 = CAR(((obj_t) BgL_specz00_1685));
														BgL_tmpz00_3361 = CAR(CDR(BgL_pairz00_2375));
													}
													BgL_test2173z00_3358 =
														(BgL_tmpz00_3361 == ((obj_t) CNST_TABLE_REF(3)));
												}
											else
												{	/* Cfa/specialize.scm 80 */
													BgL_test2173z00_3358 = ((bool_t) 0);
												}
											if (BgL_test2173z00_3358)
												{	/* Cfa/specialize.scm 82 */
													obj_t BgL_arg1484z00_1697;
													obj_t BgL_arg1487z00_1698;

													BgL_arg1484z00_1697 = CDR(((obj_t) BgL_specz00_1685));
													BgL_arg1487z00_1698 =
														MAKE_YOUNG_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1686);
													{
														obj_t BgL_typesz00_3373;
														obj_t BgL_specz00_3372;

														BgL_specz00_3372 = BgL_arg1484z00_1697;
														BgL_typesz00_3373 = BgL_arg1487z00_1698;
														BgL_typesz00_1686 = BgL_typesz00_3373;
														BgL_specz00_1685 = BgL_specz00_3372;
														goto BgL_zc3z04anonymousza31405ze3z87_1687;
													}
												}
											else
												{	/* Cfa/specialize.scm 84 */
													obj_t BgL_arg1489z00_1699;

													BgL_arg1489z00_1699 = CDR(((obj_t) BgL_specz00_1685));
													{
														obj_t BgL_specz00_3376;

														BgL_specz00_3376 = BgL_arg1489z00_1699;
														BgL_specz00_1685 = BgL_specz00_3376;
														goto BgL_zc3z04anonymousza31405ze3z87_1687;
													}
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}

	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3012, obj_t BgL_globalz00_3013)
	{
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3013));
		}

	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 89 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 91 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 91 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								((obj_t) CNST_TABLE_REF(0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 94 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(
								((obj_t) CNST_TABLE_REF(1)), ((obj_t) CNST_TABLE_REF(0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}

	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 188 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 1L))
				{	/* Cfa/specialize.scm 189 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 189 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 189 */
					return ((bool_t) 0);
				}
		}

	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 194 */
			{	/* Cfa/specialize.scm 195 */
				obj_t BgL_list1516z00_1708;

				{	/* Cfa/specialize.scm 195 */
					obj_t BgL_arg1530z00_1709;

					BgL_arg1530z00_1709 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1516z00_1708 =
						MAKE_YOUNG_PAIR(BGl_string2061z00zzcfa_specializa7eza7,
						BgL_arg1530z00_1709);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1516z00_1708);
			}
			{
				obj_t BgL_l1301z00_1711;

				BgL_l1301z00_1711 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31531ze3z87_1712:
				if (PAIRP(BgL_l1301z00_1711))
					{	/* Cfa/specialize.scm 196 */
						{	/* Cfa/specialize.scm 197 */
							obj_t BgL_typezd2numzd2_1714;

							BgL_typezd2numzd2_1714 = CAR(BgL_l1301z00_1711);
							if (((long) CINT(CDR(((obj_t) BgL_typezd2numzd2_1714))) > 0L))
								{	/* Cfa/specialize.scm 198 */
									obj_t BgL_arg1543z00_1717;
									obj_t BgL_arg1545z00_1718;

									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_arg1574z00_1724;

										BgL_arg1574z00_1724 = CAR(((obj_t) BgL_typezd2numzd2_1714));
										BgL_arg1543z00_1717 =
											BGl_shapez00zztools_shapez00(BgL_arg1574z00_1724);
									}
									BgL_arg1545z00_1718 = CDR(((obj_t) BgL_typezd2numzd2_1714));
									{	/* Cfa/specialize.scm 198 */
										obj_t BgL_list1546z00_1719;

										{	/* Cfa/specialize.scm 198 */
											obj_t BgL_arg1553z00_1720;

											{	/* Cfa/specialize.scm 198 */
												obj_t BgL_arg1554z00_1721;

												{	/* Cfa/specialize.scm 198 */
													obj_t BgL_arg1558z00_1722;

													{	/* Cfa/specialize.scm 198 */
														obj_t BgL_arg1560z00_1723;

														BgL_arg1560z00_1723 =
															MAKE_YOUNG_PAIR
															(BGl_string2062z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1558z00_1722 =
															MAKE_YOUNG_PAIR(BgL_arg1545z00_1718,
															BgL_arg1560z00_1723);
													}
													BgL_arg1554z00_1721 =
														MAKE_YOUNG_PAIR
														(BGl_string2063z00zzcfa_specializa7eza7,
														BgL_arg1558z00_1722);
												}
												BgL_arg1553z00_1720 =
													MAKE_YOUNG_PAIR(BgL_arg1543z00_1717,
													BgL_arg1554z00_1721);
											}
											BgL_list1546z00_1719 =
												MAKE_YOUNG_PAIR(BGl_string2064z00zzcfa_specializa7eza7,
												BgL_arg1553z00_1720);
										}
										BGl_verbosez00zztools_speekz00(BINT(2L),
											BgL_list1546z00_1719);
								}}
							else
								{	/* Cfa/specialize.scm 197 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1301z00_3420;

							BgL_l1301z00_3420 = CDR(BgL_l1301z00_1711);
							BgL_l1301z00_1711 = BgL_l1301z00_3420;
							goto BgL_zc3z04anonymousza31531ze3z87_1712;
						}
					}
				else
					{	/* Cfa/specialize.scm 196 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1303z00_1729;

				BgL_l1303z00_1729 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31579ze3z87_1730:
				if (PAIRP(BgL_l1303z00_1729))
					{	/* Cfa/specialize.scm 201 */
						{	/* Cfa/specialize.scm 202 */
							obj_t BgL_typezd2numzd2_1732;

							BgL_typezd2numzd2_1732 = CAR(BgL_l1303z00_1729);
							if (((long) CINT(CDR(((obj_t) BgL_typezd2numzd2_1732))) > 0L))
								{	/* Cfa/specialize.scm 203 */
									obj_t BgL_arg1587z00_1735;
									obj_t BgL_arg1588z00_1736;

									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_arg1605z00_1742;

										BgL_arg1605z00_1742 = CAR(((obj_t) BgL_typezd2numzd2_1732));
										BgL_arg1587z00_1735 =
											BGl_shapez00zztools_shapez00(BgL_arg1605z00_1742);
									}
									BgL_arg1588z00_1736 = CDR(((obj_t) BgL_typezd2numzd2_1732));
									{	/* Cfa/specialize.scm 203 */
										obj_t BgL_list1589z00_1737;

										{	/* Cfa/specialize.scm 203 */
											obj_t BgL_arg1590z00_1738;

											{	/* Cfa/specialize.scm 203 */
												obj_t BgL_arg1592z00_1739;

												{	/* Cfa/specialize.scm 203 */
													obj_t BgL_arg1593z00_1740;

													{	/* Cfa/specialize.scm 203 */
														obj_t BgL_arg1597z00_1741;

														BgL_arg1597z00_1741 =
															MAKE_YOUNG_PAIR
															(BGl_string2062z00zzcfa_specializa7eza7, BNIL);
														BgL_arg1593z00_1740 =
															MAKE_YOUNG_PAIR(BgL_arg1588z00_1736,
															BgL_arg1597z00_1741);
													}
													BgL_arg1592z00_1739 =
														MAKE_YOUNG_PAIR
														(BGl_string2063z00zzcfa_specializa7eza7,
														BgL_arg1593z00_1740);
												}
												BgL_arg1590z00_1738 =
													MAKE_YOUNG_PAIR(BgL_arg1587z00_1735,
													BgL_arg1592z00_1739);
											}
											BgL_list1589z00_1737 =
												MAKE_YOUNG_PAIR(BGl_string2065z00zzcfa_specializa7eza7,
												BgL_arg1590z00_1738);
										}
										BGl_verbosez00zztools_speekz00(BINT(2L),
											BgL_list1589z00_1737);
								}}
							else
								{	/* Cfa/specialize.scm 202 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1303z00_3442;

							BgL_l1303z00_3442 = CDR(BgL_l1303z00_1729);
							BgL_l1303z00_1729 = BgL_l1303z00_3442;
							goto BgL_zc3z04anonymousza31579ze3z87_1730;
						}
					}
				else
					{	/* Cfa/specialize.scm 201 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_91)
	{
		{	/* Cfa/specialize.scm 218 */
			{	/* Cfa/specialize.scm 219 */
				bool_t BgL_test2183z00_3444;

				{	/* Cfa/specialize.scm 219 */
					obj_t BgL_tmpz00_3445;

					BgL_tmpz00_3445 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_91,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_test2183z00_3444 = PAIRP(BgL_tmpz00_3445);
				}
				if (BgL_test2183z00_3444)
					{	/* Cfa/specialize.scm 219 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 219 */
						{	/* Cfa/specialize.scm 220 */
							obj_t BgL_arg1631z00_1748;

							BgL_arg1631z00_1748 = MAKE_YOUNG_PAIR(BgL_typez00_91, BINT(0L));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_YOUNG_PAIR(BgL_arg1631z00_1748,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 221 */
							obj_t BgL_list1632z00_1749;

							BgL_list1632z00_1749 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(
								((obj_t) CNST_TABLE_REF(5)), BgL_list1632z00_1749);
						}
						{	/* Cfa/specialize.scm 222 */
							obj_t BgL_list1633z00_1750;

							BgL_list1633z00_1750 =
								MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(
									((obj_t) CNST_TABLE_REF(6)), BgL_list1633z00_1750), BUNSPEC);
						}
					}
			}
		}

	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_92)
	{
		{	/* Cfa/specialize.scm 227 */
			{	/* Cfa/specialize.scm 228 */
				obj_t BgL_cellz00_1752;

				BgL_cellz00_1752 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_92,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1752))
					{	/* Cfa/specialize.scm 232 */
						long BgL_arg1638z00_1754;

						BgL_arg1638z00_1754 = (1L + (long) CINT(CDR(BgL_cellz00_1752)));
						{	/* Cfa/specialize.scm 232 */
							obj_t BgL_tmpz00_3469;

							BgL_tmpz00_3469 = BINT(BgL_arg1638z00_1754);
							return SET_CDR(BgL_cellz00_1752, BgL_tmpz00_3469);
						}
					}
				else
					{	/* Cfa/specialize.scm 229 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2066z00zzcfa_specializa7eza7,
							BGl_string2067z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_92));
					}
			}
		}

	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_93)
	{
		{	/* Cfa/specialize.scm 237 */
			{	/* Cfa/specialize.scm 238 */
				obj_t BgL_cellz00_1757;

				BgL_cellz00_1757 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_93,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1757))
					{	/* Cfa/specialize.scm 242 */
						long BgL_arg1648z00_1759;

						BgL_arg1648z00_1759 = (1L + (long) CINT(CDR(BgL_cellz00_1757)));
						{	/* Cfa/specialize.scm 242 */
							obj_t BgL_tmpz00_3480;

							BgL_tmpz00_3480 = BINT(BgL_arg1648z00_1759);
							return SET_CDR(BgL_cellz00_1757, BgL_tmpz00_3480);
						}
					}
				else
					{	/* Cfa/specialize.scm 241 */
						obj_t BgL_arg1650z00_1761;

						BgL_arg1650z00_1761 = MAKE_YOUNG_PAIR(BgL_typez00_93, BINT(1L));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_YOUNG_PAIR(BgL_arg1650z00_1761,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}

	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_94)
	{
		{	/* Cfa/specialize.scm 247 */
			{	/* Cfa/specialize.scm 248 */
				obj_t BgL_genz00_1762;

				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_pairz00_2403;

					BgL_pairz00_2403 = CDR(((obj_t) BgL_specz00_94));
					BgL_genz00_1762 = CAR(BgL_pairz00_2403);
				}
				{	/* Cfa/specialize.scm 248 */
					obj_t BgL_fixesz00_1763;

					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_pairz00_2407;

						BgL_pairz00_2407 = CDR(((obj_t) BgL_specz00_94));
						BgL_fixesz00_1763 = CDR(BgL_pairz00_2407);
					}
					{	/* Cfa/specialize.scm 249 */
						obj_t BgL_genzd2idzd2_1764;

						BgL_genzd2idzd2_1764 = CAR(((obj_t) BgL_genz00_1762));
						{	/* Cfa/specialize.scm 250 */
							obj_t BgL_genzd2modzd2_1765;

							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_pairz00_2412;

								BgL_pairz00_2412 = CDR(((obj_t) BgL_genz00_1762));
								BgL_genzd2modzd2_1765 = CAR(BgL_pairz00_2412);
							}
							{	/* Cfa/specialize.scm 251 */
								obj_t BgL_genericz00_1766;

								BgL_genericz00_1766 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1764, BgL_genzd2modzd2_1765);
								{	/* Cfa/specialize.scm 252 */

									{	/* Cfa/specialize.scm 253 */
										bool_t BgL_test2186z00_3498;

										{	/* Cfa/specialize.scm 253 */
											obj_t BgL_classz00_2413;

											BgL_classz00_2413 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_genericz00_1766))
												{	/* Cfa/specialize.scm 253 */
													BgL_objectz00_bglt BgL_arg1858z00_2415;

													BgL_arg1858z00_2415 =
														(BgL_objectz00_bglt) (BgL_genericz00_1766);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/specialize.scm 253 */
															long BgL_idxz00_2421;

															BgL_idxz00_2421 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2415);
															BgL_test2186z00_3498 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2421 + 2L)) == BgL_classz00_2413);
														}
													else
														{	/* Cfa/specialize.scm 253 */
															bool_t BgL_res2041z00_2446;

															{	/* Cfa/specialize.scm 253 */
																obj_t BgL_oclassz00_2429;

																{	/* Cfa/specialize.scm 253 */
																	obj_t BgL_arg1866z00_2437;
																	long BgL_arg1867z00_2438;

																	BgL_arg1866z00_2437 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/specialize.scm 253 */
																		long BgL_arg1869z00_2439;

																		BgL_arg1869z00_2439 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2415);
																		BgL_arg1867z00_2438 =
																			(BgL_arg1869z00_2439 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2429 =
																		VECTOR_REF(BgL_arg1866z00_2437,
																		BgL_arg1867z00_2438);
																}
																{	/* Cfa/specialize.scm 253 */
																	bool_t BgL__ortest_1115z00_2430;

																	BgL__ortest_1115z00_2430 =
																		(BgL_classz00_2413 == BgL_oclassz00_2429);
																	if (BgL__ortest_1115z00_2430)
																		{	/* Cfa/specialize.scm 253 */
																			BgL_res2041z00_2446 =
																				BgL__ortest_1115z00_2430;
																		}
																	else
																		{	/* Cfa/specialize.scm 253 */
																			long BgL_odepthz00_2431;

																			{	/* Cfa/specialize.scm 253 */
																				obj_t BgL_arg1855z00_2432;

																				BgL_arg1855z00_2432 =
																					(BgL_oclassz00_2429);
																				BgL_odepthz00_2431 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2432);
																			}
																			if ((2L < BgL_odepthz00_2431))
																				{	/* Cfa/specialize.scm 253 */
																					obj_t BgL_arg1853z00_2434;

																					{	/* Cfa/specialize.scm 253 */
																						obj_t BgL_arg1854z00_2435;

																						BgL_arg1854z00_2435 =
																							(BgL_oclassz00_2429);
																						BgL_arg1853z00_2434 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2435, 2L);
																					}
																					BgL_res2041z00_2446 =
																						(BgL_arg1853z00_2434 ==
																						BgL_classz00_2413);
																				}
																			else
																				{	/* Cfa/specialize.scm 253 */
																					BgL_res2041z00_2446 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2186z00_3498 = BgL_res2041z00_2446;
														}
												}
											else
												{	/* Cfa/specialize.scm 253 */
													BgL_test2186z00_3498 = ((bool_t) 0);
												}
										}
										if (BgL_test2186z00_3498)
											{
												obj_t BgL_fixesz00_1770;
												obj_t BgL_resz00_1771;

												BgL_fixesz00_1770 = BgL_fixesz00_1763;
												BgL_resz00_1771 = BNIL;
											BgL_zc3z04anonymousza31652ze3z87_1772:
												if (NULLP(BgL_fixesz00_1770))
													{	/* Cfa/specialize.scm 257 */
														bool_t BgL_test2192z00_3523;

														{	/* Cfa/specialize.scm 257 */
															obj_t BgL_classz00_2447;

															BgL_classz00_2447 =
																BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
															if (BGL_OBJECTP(BgL_genericz00_1766))
																{	/* Cfa/specialize.scm 257 */
																	obj_t BgL_oclassz00_2449;

																	{	/* Cfa/specialize.scm 257 */
																		obj_t BgL_arg1866z00_2451;
																		long BgL_arg1867z00_2452;

																		BgL_arg1866z00_2451 =
																			(BGl_za2classesza2z00zz__objectz00);
																		{	/* Cfa/specialize.scm 257 */
																			long BgL_arg1869z00_2453;

																			BgL_arg1869z00_2453 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt)
																					BgL_genericz00_1766));
																			BgL_arg1867z00_2452 =
																				(BgL_arg1869z00_2453 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_2449 =
																			VECTOR_REF(BgL_arg1866z00_2451,
																			BgL_arg1867z00_2452);
																	}
																	BgL_test2192z00_3523 =
																		(BgL_oclassz00_2449 == BgL_classz00_2447);
																}
															else
																{	/* Cfa/specialize.scm 257 */
																	BgL_test2192z00_3523 = ((bool_t) 0);
																}
														}
														if (BgL_test2192z00_3523)
															{
																obj_t BgL_auxz00_3539;
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3532;
																{	/* Cfa/specialize.scm 259 */
																	obj_t BgL_arg1656z00_1776;

																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3540;
																		{
																			obj_t BgL_auxz00_3541;

																			{	/* Cfa/specialize.scm 259 */
																				BgL_objectz00_bglt BgL_tmpz00_3542;

																				BgL_tmpz00_3542 =
																					((BgL_objectz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_genericz00_1766));
																				BgL_auxz00_3541 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_3542);
																			}
																			BgL_auxz00_3540 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3541);
																		}
																		BgL_arg1656z00_1776 =
																			(((BgL_specializa7edzd2globalz75_bglt)
																				COBJECT(BgL_auxz00_3540))->BgL_fixz00);
																	}
																	BgL_auxz00_3539 =
																		BGl_appendzd221011zd2zzcfa_specializa7eza7
																		(BgL_arg1656z00_1776, BgL_resz00_1771);
																}
																{
																	obj_t BgL_auxz00_3533;

																	{	/* Cfa/specialize.scm 259 */
																		BgL_objectz00_bglt BgL_tmpz00_3534;

																		BgL_tmpz00_3534 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1766));
																		BgL_auxz00_3533 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3534);
																	}
																	BgL_auxz00_3532 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3533);
																}
																return
																	((((BgL_specializa7edzd2globalz75_bglt)
																			COBJECT(BgL_auxz00_3532))->BgL_fixz00) =
																	((obj_t) BgL_auxz00_3539), BUNSPEC);
															}
														else
															{	/* Cfa/specialize.scm 257 */
																{	/* Cfa/specialize.scm 261 */
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_wide1149z00_1779;
																	BgL_wide1149z00_1779 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_specializa7edzd2globalz75_bgl))));
																	{	/* Cfa/specialize.scm 261 */
																		obj_t BgL_auxz00_3555;
																		BgL_objectz00_bglt BgL_tmpz00_3551;

																		BgL_auxz00_3555 =
																			((obj_t) BgL_wide1149z00_1779);
																		BgL_tmpz00_3551 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_genericz00_1766)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3551,
																			BgL_auxz00_3555);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1766)));
																	{	/* Cfa/specialize.scm 261 */
																		long BgL_arg1657z00_1780;

																		BgL_arg1657z00_1780 =
																			BGL_CLASS_NUM
																			(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_globalz00_bglt) (
																						(BgL_globalz00_bglt)
																						BgL_genericz00_1766))),
																			BgL_arg1657z00_1780);
																	}
																	((BgL_globalz00_bglt)
																		((BgL_globalz00_bglt)
																			((BgL_globalz00_bglt)
																				BgL_genericz00_1766)));
																}
																{
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_auxz00_3569;
																	{
																		obj_t BgL_auxz00_3570;

																		{	/* Cfa/specialize.scm 262 */
																			BgL_objectz00_bglt BgL_tmpz00_3571;

																			BgL_tmpz00_3571 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_genericz00_1766)));
																			BgL_auxz00_3570 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_3571);
																		}
																		BgL_auxz00_3569 =
																			((BgL_specializa7edzd2globalz75_bglt)
																			BgL_auxz00_3570);
																	}
																	((((BgL_specializa7edzd2globalz75_bglt)
																				COBJECT(BgL_auxz00_3569))->BgL_fixz00) =
																		((obj_t) BgL_resz00_1771), BUNSPEC);
																}
																((BgL_globalz00_bglt)
																	((BgL_globalz00_bglt) BgL_genericz00_1766));
																return
																	(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																	=
																	MAKE_YOUNG_PAIR(BgL_genericz00_1766,
																		BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																	BUNSPEC);
															}
													}
												else
													{	/* Cfa/specialize.scm 264 */
														obj_t BgL_fixz00_1782;

														BgL_fixz00_1782 = CAR(((obj_t) BgL_fixesz00_1770));
														{	/* Cfa/specialize.scm 264 */
															obj_t BgL_idz00_1783;

															BgL_idz00_1783 = CAR(((obj_t) BgL_fixz00_1782));
															{	/* Cfa/specialize.scm 265 */
																obj_t BgL_modz00_1784;

																{	/* Cfa/specialize.scm 266 */
																	obj_t BgL_pairz00_2471;

																	BgL_pairz00_2471 =
																		CDR(((obj_t) BgL_fixz00_1782));
																	BgL_modz00_1784 = CAR(BgL_pairz00_2471);
																}
																{	/* Cfa/specialize.scm 266 */
																	obj_t BgL_globalz00_1785;

																	BgL_globalz00_1785 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_idz00_1783, BgL_modz00_1784);
																	{	/* Cfa/specialize.scm 267 */

																		{	/* Cfa/specialize.scm 268 */
																			bool_t BgL_test2194z00_3589;

																			{	/* Cfa/specialize.scm 268 */
																				obj_t BgL_classz00_2472;

																				BgL_classz00_2472 =
																					BGl_globalz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_globalz00_1785))
																					{	/* Cfa/specialize.scm 268 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_2474;
																						BgL_arg1858z00_2474 =
																							(BgL_objectz00_bglt)
																							(BgL_globalz00_1785);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Cfa/specialize.scm 268 */
																								long BgL_idxz00_2480;

																								BgL_idxz00_2480 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_2474);
																								BgL_test2194z00_3589 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2480 + 2L)) ==
																									BgL_classz00_2472);
																							}
																						else
																							{	/* Cfa/specialize.scm 268 */
																								bool_t BgL_res2042z00_2505;

																								{	/* Cfa/specialize.scm 268 */
																									obj_t BgL_oclassz00_2488;

																									{	/* Cfa/specialize.scm 268 */
																										obj_t BgL_arg1866z00_2496;
																										long BgL_arg1867z00_2497;

																										BgL_arg1866z00_2496 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Cfa/specialize.scm 268 */
																											long BgL_arg1869z00_2498;

																											BgL_arg1869z00_2498 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_2474);
																											BgL_arg1867z00_2497 =
																												(BgL_arg1869z00_2498 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2488 =
																											VECTOR_REF
																											(BgL_arg1866z00_2496,
																											BgL_arg1867z00_2497);
																									}
																									{	/* Cfa/specialize.scm 268 */
																										bool_t
																											BgL__ortest_1115z00_2489;
																										BgL__ortest_1115z00_2489 =
																											(BgL_classz00_2472 ==
																											BgL_oclassz00_2488);
																										if (BgL__ortest_1115z00_2489)
																											{	/* Cfa/specialize.scm 268 */
																												BgL_res2042z00_2505 =
																													BgL__ortest_1115z00_2489;
																											}
																										else
																											{	/* Cfa/specialize.scm 268 */
																												long BgL_odepthz00_2490;

																												{	/* Cfa/specialize.scm 268 */
																													obj_t
																														BgL_arg1855z00_2491;
																													BgL_arg1855z00_2491 =
																														(BgL_oclassz00_2488);
																													BgL_odepthz00_2490 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_2491);
																												}
																												if (
																													(2L <
																														BgL_odepthz00_2490))
																													{	/* Cfa/specialize.scm 268 */
																														obj_t
																															BgL_arg1853z00_2493;
																														{	/* Cfa/specialize.scm 268 */
																															obj_t
																																BgL_arg1854z00_2494;
																															BgL_arg1854z00_2494
																																=
																																(BgL_oclassz00_2488);
																															BgL_arg1853z00_2493
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_2494,
																																2L);
																														}
																														BgL_res2042z00_2505
																															=
																															(BgL_arg1853z00_2493
																															==
																															BgL_classz00_2472);
																													}
																												else
																													{	/* Cfa/specialize.scm 268 */
																														BgL_res2042z00_2505
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2194z00_3589 =
																									BgL_res2042z00_2505;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 268 */
																						BgL_test2194z00_3589 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2194z00_3589)
																				{	/* Cfa/specialize.scm 269 */
																					BgL_valuez00_bglt BgL_valz00_1787;

																					BgL_valz00_1787 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_globalz00_1785))))->
																						BgL_valuez00);
																					{	/* Cfa/specialize.scm 271 */
																						bool_t BgL_test2199z00_3615;

																						{	/* Cfa/specialize.scm 271 */
																							bool_t BgL_test2200z00_3616;

																							{	/* Cfa/specialize.scm 271 */
																								obj_t BgL_classz00_2507;

																								BgL_classz00_2507 =
																									BGl_sfunz00zzast_varz00;
																								{	/* Cfa/specialize.scm 271 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_2509;
																									{	/* Cfa/specialize.scm 271 */
																										obj_t BgL_tmpz00_3617;

																										BgL_tmpz00_3617 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_valz00_1787));
																										BgL_arg1858z00_2509 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3617);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Cfa/specialize.scm 271 */
																											long BgL_idxz00_2515;

																											BgL_idxz00_2515 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_2509);
																											BgL_test2200z00_3616 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_2515 +
																														3L)) ==
																												BgL_classz00_2507);
																										}
																									else
																										{	/* Cfa/specialize.scm 271 */
																											bool_t
																												BgL_res2043z00_2540;
																											{	/* Cfa/specialize.scm 271 */
																												obj_t
																													BgL_oclassz00_2523;
																												{	/* Cfa/specialize.scm 271 */
																													obj_t
																														BgL_arg1866z00_2531;
																													long
																														BgL_arg1867z00_2532;
																													BgL_arg1866z00_2531 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Cfa/specialize.scm 271 */
																														long
																															BgL_arg1869z00_2533;
																														BgL_arg1869z00_2533
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_2509);
																														BgL_arg1867z00_2532
																															=
																															(BgL_arg1869z00_2533
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_2523 =
																														VECTOR_REF
																														(BgL_arg1866z00_2531,
																														BgL_arg1867z00_2532);
																												}
																												{	/* Cfa/specialize.scm 271 */
																													bool_t
																														BgL__ortest_1115z00_2524;
																													BgL__ortest_1115z00_2524
																														=
																														(BgL_classz00_2507
																														==
																														BgL_oclassz00_2523);
																													if (BgL__ortest_1115z00_2524)
																														{	/* Cfa/specialize.scm 271 */
																															BgL_res2043z00_2540
																																=
																																BgL__ortest_1115z00_2524;
																														}
																													else
																														{	/* Cfa/specialize.scm 271 */
																															long
																																BgL_odepthz00_2525;
																															{	/* Cfa/specialize.scm 271 */
																																obj_t
																																	BgL_arg1855z00_2526;
																																BgL_arg1855z00_2526
																																	=
																																	(BgL_oclassz00_2523);
																																BgL_odepthz00_2525
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_2526);
																															}
																															if (
																																(3L <
																																	BgL_odepthz00_2525))
																																{	/* Cfa/specialize.scm 271 */
																																	obj_t
																																		BgL_arg1853z00_2528;
																																	{	/* Cfa/specialize.scm 271 */
																																		obj_t
																																			BgL_arg1854z00_2529;
																																		BgL_arg1854z00_2529
																																			=
																																			(BgL_oclassz00_2523);
																																		BgL_arg1853z00_2528
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_2529,
																																			3L);
																																	}
																																	BgL_res2043z00_2540
																																		=
																																		(BgL_arg1853z00_2528
																																		==
																																		BgL_classz00_2507);
																																}
																															else
																																{	/* Cfa/specialize.scm 271 */
																																	BgL_res2043z00_2540
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2200z00_3616 =
																												BgL_res2043z00_2540;
																										}
																								}
																							}
																							if (BgL_test2200z00_3616)
																								{	/* Cfa/specialize.scm 271 */
																									obj_t BgL_tmpz00_3640;

																									BgL_tmpz00_3640 =
																										(((BgL_sfunz00_bglt)
																											COBJECT((
																													(BgL_sfunz00_bglt)
																													BgL_valz00_1787)))->
																										BgL_argsz00);
																									BgL_test2199z00_3615 =
																										PAIRP(BgL_tmpz00_3640);
																								}
																							else
																								{	/* Cfa/specialize.scm 271 */
																									BgL_test2199z00_3615 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2199z00_3615)
																							{	/* Cfa/specialize.scm 272 */
																								obj_t BgL_typez00_1791;

																								{	/* Cfa/specialize.scm 272 */
																									obj_t BgL_vz00_1795;

																									{	/* Cfa/specialize.scm 272 */
																										obj_t BgL_pairz00_2543;

																										BgL_pairz00_2543 =
																											(((BgL_sfunz00_bglt)
																												COBJECT((
																														(BgL_sfunz00_bglt)
																														BgL_valz00_1787)))->
																											BgL_argsz00);
																										BgL_vz00_1795 =
																											CAR(BgL_pairz00_2543);
																									}
																									{	/* Cfa/specialize.scm 274 */
																										bool_t BgL_test2204z00_3647;

																										{	/* Cfa/specialize.scm 274 */
																											obj_t BgL_classz00_2544;

																											BgL_classz00_2544 =
																												BGl_typez00zztype_typez00;
																											if (BGL_OBJECTP
																												(BgL_vz00_1795))
																												{	/* Cfa/specialize.scm 274 */
																													BgL_objectz00_bglt
																														BgL_arg1858z00_2546;
																													BgL_arg1858z00_2546 =
																														(BgL_objectz00_bglt)
																														(BgL_vz00_1795);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Cfa/specialize.scm 274 */
																															long
																																BgL_idxz00_2552;
																															BgL_idxz00_2552 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1858z00_2546);
																															BgL_test2204z00_3647
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_2552
																																		+ 1L)) ==
																																BgL_classz00_2544);
																														}
																													else
																														{	/* Cfa/specialize.scm 274 */
																															bool_t
																																BgL_res2044z00_2577;
																															{	/* Cfa/specialize.scm 274 */
																																obj_t
																																	BgL_oclassz00_2560;
																																{	/* Cfa/specialize.scm 274 */
																																	obj_t
																																		BgL_arg1866z00_2568;
																																	long
																																		BgL_arg1867z00_2569;
																																	BgL_arg1866z00_2568
																																		=
																																		(BGl_za2classesza2z00zz__objectz00);
																																	{	/* Cfa/specialize.scm 274 */
																																		long
																																			BgL_arg1869z00_2570;
																																		BgL_arg1869z00_2570
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1858z00_2546);
																																		BgL_arg1867z00_2569
																																			=
																																			(BgL_arg1869z00_2570
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_2560
																																		=
																																		VECTOR_REF
																																		(BgL_arg1866z00_2568,
																																		BgL_arg1867z00_2569);
																																}
																																{	/* Cfa/specialize.scm 274 */
																																	bool_t
																																		BgL__ortest_1115z00_2561;
																																	BgL__ortest_1115z00_2561
																																		=
																																		(BgL_classz00_2544
																																		==
																																		BgL_oclassz00_2560);
																																	if (BgL__ortest_1115z00_2561)
																																		{	/* Cfa/specialize.scm 274 */
																																			BgL_res2044z00_2577
																																				=
																																				BgL__ortest_1115z00_2561;
																																		}
																																	else
																																		{	/* Cfa/specialize.scm 274 */
																																			long
																																				BgL_odepthz00_2562;
																																			{	/* Cfa/specialize.scm 274 */
																																				obj_t
																																					BgL_arg1855z00_2563;
																																				BgL_arg1855z00_2563
																																					=
																																					(BgL_oclassz00_2560);
																																				BgL_odepthz00_2562
																																					=
																																					BGL_CLASS_DEPTH
																																					(BgL_arg1855z00_2563);
																																			}
																																			if (
																																				(1L <
																																					BgL_odepthz00_2562))
																																				{	/* Cfa/specialize.scm 274 */
																																					obj_t
																																						BgL_arg1853z00_2565;
																																					{	/* Cfa/specialize.scm 274 */
																																						obj_t
																																							BgL_arg1854z00_2566;
																																						BgL_arg1854z00_2566
																																							=
																																							(BgL_oclassz00_2560);
																																						BgL_arg1853z00_2565
																																							=
																																							BGL_CLASS_ANCESTORS_REF
																																							(BgL_arg1854z00_2566,
																																							1L);
																																					}
																																					BgL_res2044z00_2577
																																						=
																																						(BgL_arg1853z00_2565
																																						==
																																						BgL_classz00_2544);
																																				}
																																			else
																																				{	/* Cfa/specialize.scm 274 */
																																					BgL_res2044z00_2577
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2204z00_3647
																																=
																																BgL_res2044z00_2577;
																														}
																												}
																											else
																												{	/* Cfa/specialize.scm 274 */
																													BgL_test2204z00_3647 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2204z00_3647)
																											{	/* Cfa/specialize.scm 274 */
																												BgL_typez00_1791 =
																													BgL_vz00_1795;
																											}
																										else
																											{	/* Cfa/specialize.scm 276 */
																												bool_t
																													BgL_test2209z00_3670;
																												{	/* Cfa/specialize.scm 276 */
																													obj_t
																														BgL_classz00_2578;
																													BgL_classz00_2578 =
																														BGl_localz00zzast_varz00;
																													if (BGL_OBJECTP
																														(BgL_vz00_1795))
																														{	/* Cfa/specialize.scm 276 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_2580;
																															BgL_arg1858z00_2580
																																=
																																(BgL_objectz00_bglt)
																																(BgL_vz00_1795);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Cfa/specialize.scm 276 */
																																	long
																																		BgL_idxz00_2586;
																																	BgL_idxz00_2586
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_2580);
																																	BgL_test2209z00_3670
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2586
																																				+
																																				2L)) ==
																																		BgL_classz00_2578);
																																}
																															else
																																{	/* Cfa/specialize.scm 276 */
																																	bool_t
																																		BgL_res2045z00_2611;
																																	{	/* Cfa/specialize.scm 276 */
																																		obj_t
																																			BgL_oclassz00_2594;
																																		{	/* Cfa/specialize.scm 276 */
																																			obj_t
																																				BgL_arg1866z00_2602;
																																			long
																																				BgL_arg1867z00_2603;
																																			BgL_arg1866z00_2602
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Cfa/specialize.scm 276 */
																																				long
																																					BgL_arg1869z00_2604;
																																				BgL_arg1869z00_2604
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_2580);
																																				BgL_arg1867z00_2603
																																					=
																																					(BgL_arg1869z00_2604
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2594
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_2602,
																																				BgL_arg1867z00_2603);
																																		}
																																		{	/* Cfa/specialize.scm 276 */
																																			bool_t
																																				BgL__ortest_1115z00_2595;
																																			BgL__ortest_1115z00_2595
																																				=
																																				(BgL_classz00_2578
																																				==
																																				BgL_oclassz00_2594);
																																			if (BgL__ortest_1115z00_2595)
																																				{	/* Cfa/specialize.scm 276 */
																																					BgL_res2045z00_2611
																																						=
																																						BgL__ortest_1115z00_2595;
																																				}
																																			else
																																				{	/* Cfa/specialize.scm 276 */
																																					long
																																						BgL_odepthz00_2596;
																																					{	/* Cfa/specialize.scm 276 */
																																						obj_t
																																							BgL_arg1855z00_2597;
																																						BgL_arg1855z00_2597
																																							=
																																							(BgL_oclassz00_2594);
																																						BgL_odepthz00_2596
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_2597);
																																					}
																																					if (
																																						(2L
																																							<
																																							BgL_odepthz00_2596))
																																						{	/* Cfa/specialize.scm 276 */
																																							obj_t
																																								BgL_arg1853z00_2599;
																																							{	/* Cfa/specialize.scm 276 */
																																								obj_t
																																									BgL_arg1854z00_2600;
																																								BgL_arg1854z00_2600
																																									=
																																									(BgL_oclassz00_2594);
																																								BgL_arg1853z00_2599
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_2600,
																																									2L);
																																							}
																																							BgL_res2045z00_2611
																																								=
																																								(BgL_arg1853z00_2599
																																								==
																																								BgL_classz00_2578);
																																						}
																																					else
																																						{	/* Cfa/specialize.scm 276 */
																																							BgL_res2045z00_2611
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2209z00_3670
																																		=
																																		BgL_res2045z00_2611;
																																}
																														}
																													else
																														{	/* Cfa/specialize.scm 276 */
																															BgL_test2209z00_3670
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2209z00_3670)
																													{	/* Cfa/specialize.scm 276 */
																														BgL_typez00_1791 =
																															((obj_t)
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt) BgL_vz00_1795))))->BgL_typez00));
																													}
																												else
																													{	/* Cfa/specialize.scm 282 */
																														obj_t
																															BgL_arg1677z00_1798;
																														BgL_arg1677z00_1798
																															=
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_globalz00_1785))))->BgL_idz00);
																														BgL_typez00_1791 =
																															BGl_internalzd2errorzd2zztools_errorz00
																															(BGl_string2068z00zzcfa_specializa7eza7,
																															BGl_string2069z00zzcfa_specializa7eza7,
																															BgL_arg1677z00_1798);
																													}
																											}
																									}
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1791);
																								{	/* Cfa/specialize.scm 284 */
																									obj_t BgL_arg1663z00_1792;
																									obj_t BgL_arg1664z00_1793;

																									BgL_arg1663z00_1792 =
																										CDR(
																										((obj_t)
																											BgL_fixesz00_1770));
																									{	/* Cfa/specialize.scm 285 */
																										obj_t BgL_arg1673z00_1794;

																										BgL_arg1673z00_1794 =
																											MAKE_YOUNG_PAIR
																											(BgL_typez00_1791,
																											BgL_globalz00_1785);
																										BgL_arg1664z00_1793 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1673z00_1794,
																											BgL_resz00_1771);
																									}
																									{
																										obj_t BgL_resz00_3707;
																										obj_t BgL_fixesz00_3706;

																										BgL_fixesz00_3706 =
																											BgL_arg1663z00_1792;
																										BgL_resz00_3707 =
																											BgL_arg1664z00_1793;
																										BgL_resz00_1771 =
																											BgL_resz00_3707;
																										BgL_fixesz00_1770 =
																											BgL_fixesz00_3706;
																										goto
																											BgL_zc3z04anonymousza31652ze3z87_1772;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 286 */
																								bool_t BgL_test2214z00_3708;

																								{	/* Cfa/specialize.scm 286 */
																									bool_t BgL_test2215z00_3709;

																									{	/* Cfa/specialize.scm 286 */
																										obj_t BgL_classz00_2615;

																										BgL_classz00_2615 =
																											BGl_cfunz00zzast_varz00;
																										{	/* Cfa/specialize.scm 286 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2617;
																											{	/* Cfa/specialize.scm 286 */
																												obj_t BgL_tmpz00_3710;

																												BgL_tmpz00_3710 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_valz00_1787));
																												BgL_arg1858z00_2617 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3710);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Cfa/specialize.scm 286 */
																													long BgL_idxz00_2623;

																													BgL_idxz00_2623 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2617);
																													BgL_test2215z00_3709 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2623 +
																																3L)) ==
																														BgL_classz00_2615);
																												}
																											else
																												{	/* Cfa/specialize.scm 286 */
																													bool_t
																														BgL_res2046z00_2648;
																													{	/* Cfa/specialize.scm 286 */
																														obj_t
																															BgL_oclassz00_2631;
																														{	/* Cfa/specialize.scm 286 */
																															obj_t
																																BgL_arg1866z00_2639;
																															long
																																BgL_arg1867z00_2640;
																															BgL_arg1866z00_2639
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Cfa/specialize.scm 286 */
																																long
																																	BgL_arg1869z00_2641;
																																BgL_arg1869z00_2641
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2617);
																																BgL_arg1867z00_2640
																																	=
																																	(BgL_arg1869z00_2641
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2631
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2639,
																																BgL_arg1867z00_2640);
																														}
																														{	/* Cfa/specialize.scm 286 */
																															bool_t
																																BgL__ortest_1115z00_2632;
																															BgL__ortest_1115z00_2632
																																=
																																(BgL_classz00_2615
																																==
																																BgL_oclassz00_2631);
																															if (BgL__ortest_1115z00_2632)
																																{	/* Cfa/specialize.scm 286 */
																																	BgL_res2046z00_2648
																																		=
																																		BgL__ortest_1115z00_2632;
																																}
																															else
																																{	/* Cfa/specialize.scm 286 */
																																	long
																																		BgL_odepthz00_2633;
																																	{	/* Cfa/specialize.scm 286 */
																																		obj_t
																																			BgL_arg1855z00_2634;
																																		BgL_arg1855z00_2634
																																			=
																																			(BgL_oclassz00_2631);
																																		BgL_odepthz00_2633
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2634);
																																	}
																																	if (
																																		(3L <
																																			BgL_odepthz00_2633))
																																		{	/* Cfa/specialize.scm 286 */
																																			obj_t
																																				BgL_arg1853z00_2636;
																																			{	/* Cfa/specialize.scm 286 */
																																				obj_t
																																					BgL_arg1854z00_2637;
																																				BgL_arg1854z00_2637
																																					=
																																					(BgL_oclassz00_2631);
																																				BgL_arg1853z00_2636
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2637,
																																					3L);
																																			}
																																			BgL_res2046z00_2648
																																				=
																																				(BgL_arg1853z00_2636
																																				==
																																				BgL_classz00_2615);
																																		}
																																	else
																																		{	/* Cfa/specialize.scm 286 */
																																			BgL_res2046z00_2648
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2215z00_3709 =
																														BgL_res2046z00_2648;
																												}
																										}
																									}
																									if (BgL_test2215z00_3709)
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_tmpz00_3733;

																											BgL_tmpz00_3733 =
																												(((BgL_cfunz00_bglt)
																													COBJECT((
																															(BgL_cfunz00_bglt)
																															BgL_valz00_1787)))->
																												BgL_argszd2typezd2);
																											BgL_test2214z00_3708 =
																												PAIRP(BgL_tmpz00_3733);
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											BgL_test2214z00_3708 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2214z00_3708)
																									{	/* Cfa/specialize.scm 287 */
																										obj_t BgL_typez00_1803;

																										{	/* Cfa/specialize.scm 287 */
																											obj_t BgL_pairz00_2651;

																											BgL_pairz00_2651 =
																												(((BgL_cfunz00_bglt)
																													COBJECT((
																															(BgL_cfunz00_bglt)
																															BgL_valz00_1787)))->
																												BgL_argszd2typezd2);
																											BgL_typez00_1803 =
																												CAR(BgL_pairz00_2651);
																										}
																										BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																											(BgL_typez00_1803);
																										{	/* Cfa/specialize.scm 289 */
																											obj_t BgL_arg1691z00_1804;
																											obj_t BgL_arg1692z00_1805;

																											BgL_arg1691z00_1804 =
																												CDR(
																												((obj_t)
																													BgL_fixesz00_1770));
																											{	/* Cfa/specialize.scm 290 */
																												obj_t
																													BgL_arg1693z00_1806;
																												BgL_arg1693z00_1806 =
																													MAKE_YOUNG_PAIR
																													(BgL_typez00_1803,
																													BgL_globalz00_1785);
																												BgL_arg1692z00_1805 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1693z00_1806,
																													BgL_resz00_1771);
																											}
																											{
																												obj_t BgL_resz00_3746;
																												obj_t BgL_fixesz00_3745;

																												BgL_fixesz00_3745 =
																													BgL_arg1691z00_1804;
																												BgL_resz00_3746 =
																													BgL_arg1692z00_1805;
																												BgL_resz00_1771 =
																													BgL_resz00_3746;
																												BgL_fixesz00_1770 =
																													BgL_fixesz00_3745;
																												goto
																													BgL_zc3z04anonymousza31652ze3z87_1772;
																											}
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 286 */
																										return BFALSE;
																									}
																							}
																					}
																				}
																			else
																				{	/* Cfa/specialize.scm 268 */
																					{	/* Cfa/specialize.scm 295 */
																						obj_t BgL_arg1703z00_1812;

																						BgL_arg1703z00_1812 =
																							MAKE_YOUNG_PAIR(BgL_idz00_1783,
																							BgL_modz00_1784);
																						{	/* Cfa/specialize.scm 292 */
																							obj_t BgL_list1704z00_1813;

																							{	/* Cfa/specialize.scm 292 */
																								obj_t BgL_arg1715z00_1814;

																								{	/* Cfa/specialize.scm 292 */
																									obj_t BgL_arg1716z00_1815;

																									{	/* Cfa/specialize.scm 292 */
																										obj_t BgL_arg1717z00_1816;

																										BgL_arg1717z00_1816 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1703z00_1812,
																											BNIL);
																										BgL_arg1716z00_1815 =
																											MAKE_YOUNG_PAIR
																											(BGl_string2070z00zzcfa_specializa7eza7,
																											BgL_arg1717z00_1816);
																									}
																									BgL_arg1715z00_1814 =
																										MAKE_YOUNG_PAIR
																										(BGl_string2071z00zzcfa_specializa7eza7,
																										BgL_arg1716z00_1815);
																								}
																								BgL_list1704z00_1813 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2072z00zzcfa_specializa7eza7,
																									BgL_arg1715z00_1814);
																							}
																							BGl_warningz00zz__errorz00
																								(BgL_list1704z00_1813);
																						}
																					}
																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg1720z00_1817;

																						BgL_arg1720z00_1817 =
																							CDR(((obj_t) BgL_fixesz00_1770));
																						{
																							obj_t BgL_fixesz00_3755;

																							BgL_fixesz00_3755 =
																								BgL_arg1720z00_1817;
																							BgL_fixesz00_1770 =
																								BgL_fixesz00_3755;
																							goto
																								BgL_zc3z04anonymousza31652ze3z87_1772;
																						}
																					}
																				}
																		}
																	}
																}
															}
														}
													}
											}
										else
											{	/* Cfa/specialize.scm 300 */
												obj_t BgL_arg1724z00_1819;

												BgL_arg1724z00_1819 =
													MAKE_YOUNG_PAIR(BgL_genzd2idzd2_1764,
													BgL_genzd2modzd2_1765);
												{	/* Cfa/specialize.scm 297 */
													obj_t BgL_list1725z00_1820;

													{	/* Cfa/specialize.scm 297 */
														obj_t BgL_arg1729z00_1821;

														{	/* Cfa/specialize.scm 297 */
															obj_t BgL_arg1730z00_1822;

															{	/* Cfa/specialize.scm 297 */
																obj_t BgL_arg1746z00_1823;

																BgL_arg1746z00_1823 =
																	MAKE_YOUNG_PAIR(BgL_arg1724z00_1819, BNIL);
																BgL_arg1730z00_1822 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2070z00zzcfa_specializa7eza7,
																	BgL_arg1746z00_1823);
															}
															BgL_arg1729z00_1821 =
																MAKE_YOUNG_PAIR
																(BGl_string2071z00zzcfa_specializa7eza7,
																BgL_arg1730z00_1822);
														}
														BgL_list1725z00_1820 =
															MAKE_YOUNG_PAIR
															(BGl_string2072z00zzcfa_specializa7eza7,
															BgL_arg1729z00_1821);
													}
													BGL_TAIL return
														BGl_warningz00zz__errorz00(BgL_list1725z00_1820);
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 305 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1305z00_1825;

				BgL_l1305z00_1825 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3z04anonymousza31747ze3z87_1826:
				if (PAIRP(BgL_l1305z00_1825))
					{	/* Cfa/specialize.scm 307 */
						{	/* Cfa/specialize.scm 307 */
							obj_t BgL_oz00_1828;

							BgL_oz00_1828 = CAR(BgL_l1305z00_1825);
							{	/* Cfa/specialize.scm 307 */
								long BgL_arg1755z00_1830;

								{	/* Cfa/specialize.scm 307 */
									obj_t BgL_arg1756z00_1831;

									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_arg1757z00_1832;

										{	/* Cfa/specialize.scm 307 */
											obj_t BgL_arg1866z00_2656;
											long BgL_arg1867z00_2657;

											BgL_arg1866z00_2656 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Cfa/specialize.scm 307 */
												long BgL_arg1869z00_2658;

												BgL_arg1869z00_2658 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_oz00_1828));
												BgL_arg1867z00_2657 =
													(BgL_arg1869z00_2658 - OBJECT_TYPE);
											}
											BgL_arg1757z00_1832 =
												VECTOR_REF(BgL_arg1866z00_2656, BgL_arg1867z00_2657);
										}
										BgL_arg1756z00_1831 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1757z00_1832);
									}
									{	/* Cfa/specialize.scm 307 */
										obj_t BgL_tmpz00_3771;

										BgL_tmpz00_3771 = ((obj_t) BgL_arg1756z00_1831);
										BgL_arg1755z00_1830 = BGL_CLASS_NUM(BgL_tmpz00_3771);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_oz00_1828), BgL_arg1755z00_1830);
							}
							{	/* Cfa/specialize.scm 307 */
								BgL_objectz00_bglt BgL_tmpz00_3776;

								BgL_tmpz00_3776 = ((BgL_objectz00_bglt) BgL_oz00_1828);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3776, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_oz00_1828);
							BgL_oz00_1828;
						}
						{
							obj_t BgL_l1305z00_3780;

							BgL_l1305z00_3780 = CDR(BgL_l1305z00_1825);
							BgL_l1305z00_1825 = BgL_l1305z00_3780;
							goto BgL_zc3z04anonymousza31747ze3z87_1826;
						}
					}
				else
					{	/* Cfa/specialize.scm 307 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_95)
	{
		{	/* Cfa/specialize.scm 313 */
			{
				obj_t BgL_l1307z00_1836;

				BgL_l1307z00_1836 = BgL_globalsz00_95;
			BgL_zc3z04anonymousza31764ze3z87_1837:
				if (PAIRP(BgL_l1307z00_1836))
					{	/* Cfa/specialize.scm 314 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1307z00_1836));
						{
							obj_t BgL_l1307z00_3786;

							BgL_l1307z00_3786 = CDR(BgL_l1307z00_1836);
							BgL_l1307z00_1836 = BgL_l1307z00_3786;
							goto BgL_zc3z04anonymousza31764ze3z87_1837;
						}
					}
				else
					{	/* Cfa/specialize.scm 314 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_96)
	{
		{	/* Cfa/specialize.scm 319 */
			{	/* Cfa/specialize.scm 320 */
				BgL_valuez00_bglt BgL_funz00_1842;

				BgL_funz00_1842 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_96)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 321 */
					obj_t BgL_arg1772z00_1843;

					{	/* Cfa/specialize.scm 321 */
						obj_t BgL_arg1776z00_1844;

						BgL_arg1776z00_1844 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1842)))->BgL_bodyz00);
						BgL_arg1772z00_1843 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg1776z00_1844));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_1842)))->BgL_bodyz00) =
						((obj_t) BgL_arg1772z00_1843), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_119)
	{
		{	/* Cfa/specialize.scm 527 */
			{
				obj_t BgL_nodeza2za2_1846;

				BgL_nodeza2za2_1846 = BgL_nodeza2za2_119;
			BgL_zc3z04anonymousza31777ze3z87_1847:
				if (NULLP(BgL_nodeza2za2_1846))
					{	/* Cfa/specialize.scm 529 */
						return ((obj_t) CNST_TABLE_REF(7));
					}
				else
					{	/* Cfa/specialize.scm 529 */
						{	/* Cfa/specialize.scm 532 */
							obj_t BgL_arg1782z00_1849;

							{	/* Cfa/specialize.scm 532 */
								obj_t BgL_arg1783z00_1850;

								BgL_arg1783z00_1850 = CAR(((obj_t) BgL_nodeza2za2_1846));
								BgL_arg1782z00_1849 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg1783z00_1850));
							}
							{	/* Cfa/specialize.scm 532 */
								obj_t BgL_tmpz00_3804;

								BgL_tmpz00_3804 = ((obj_t) BgL_nodeza2za2_1846);
								SET_CAR(BgL_tmpz00_3804, BgL_arg1782z00_1849);
							}
						}
						{	/* Cfa/specialize.scm 533 */
							obj_t BgL_arg1784z00_1851;

							BgL_arg1784z00_1851 = CDR(((obj_t) BgL_nodeza2za2_1846));
							{
								obj_t BgL_nodeza2za2_3809;

								BgL_nodeza2za2_3809 = BgL_arg1784z00_1851;
								BgL_nodeza2za2_1846 = BgL_nodeza2za2_3809;
								goto BgL_zc3z04anonymousza31777ze3z87_1847;
							}
						}
					}
			}
		}

	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_121)
	{
		{	/* Cfa/specialize.scm 552 */
			if (NULLP((((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 561 */
					return BgL_nodez00_121;
				}
			else
				{	/* Cfa/specialize.scm 565 */
					obj_t BgL_typez00_1857;

					BgL_typez00_1857 =
						BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 565 */
						BgL_variablez00_bglt BgL_gloz00_1858;

						BgL_gloz00_1858 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 566 */
							obj_t BgL_specz00_1859;

							{	/* Cfa/specialize.scm 567 */
								obj_t BgL_arg1818z00_1880;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3818;

									{
										obj_t BgL_auxz00_3819;

										{	/* Cfa/specialize.scm 567 */
											BgL_objectz00_bglt BgL_tmpz00_3820;

											BgL_tmpz00_3820 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1858));
											BgL_auxz00_3819 = BGL_OBJECT_WIDENING(BgL_tmpz00_3820);
										}
										BgL_auxz00_3818 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3819);
									}
									BgL_arg1818z00_1880 =
										(((BgL_specializa7edzd2globalz75_bglt)
											COBJECT(BgL_auxz00_3818))->BgL_fixz00);
								}
								BgL_specz00_1859 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1857,
									BgL_arg1818z00_1880);
							}
							{	/* Cfa/specialize.scm 567 */

								if (PAIRP(BgL_specz00_1859))
									{	/* Cfa/specialize.scm 569 */
										obj_t BgL_g1171z00_1861;

										BgL_g1171z00_1861 =
											CDR(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
												BgL_argsz00));
										{
											obj_t BgL_argsz00_1863;

											BgL_argsz00_1863 = BgL_g1171z00_1861;
										BgL_zc3z04anonymousza31788ze3z87_1864:
											if (NULLP(BgL_argsz00_1863))
												{	/* Cfa/specialize.scm 571 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1857);
													{	/* Cfa/specialize.scm 573 */
														BgL_varz00_bglt BgL_arg1790z00_1866;
														obj_t BgL_arg1796z00_1867;

														BgL_arg1790z00_1866 =
															(((BgL_appz00_bglt) COBJECT(BgL_nodez00_121))->
															BgL_funz00);
														BgL_arg1796z00_1867 =
															CDR(((obj_t) BgL_specz00_1859));
														((((BgL_varz00_bglt) COBJECT(BgL_arg1790z00_1866))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_arg1796z00_1867)), BUNSPEC);
													}
													{	/* Cfa/specialize.scm 574 */
														BgL_typez00_bglt BgL_ntz00_1868;

														BgL_ntz00_1868 =
															(((BgL_variablez00_bglt) COBJECT(
																	(((BgL_varz00_bglt) COBJECT(
																				(((BgL_appz00_bglt)
																						COBJECT(BgL_nodez00_121))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 575 */
															BgL_typez00_bglt BgL_arg1797z00_1869;

															BgL_arg1797z00_1869 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1868,
																((BgL_typez00_bglt) BgL_typez00_1857));
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_nodez00_121)))->BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg1797z00_1869),
																BUNSPEC);
														}
													}
													return BgL_nodez00_121;
												}
											else
												{	/* Cfa/specialize.scm 577 */
													bool_t BgL_test2225z00_3846;

													{	/* Cfa/specialize.scm 577 */
														obj_t BgL_arg1810z00_1876;

														{	/* Cfa/specialize.scm 577 */
															obj_t BgL_arg1811z00_1877;

															BgL_arg1811z00_1877 =
																CAR(((obj_t) BgL_argsz00_1863));
															BgL_arg1810z00_1876 =
																BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7
																(BgL_arg1811z00_1877);
														}
														BgL_test2225z00_3846 =
															(BgL_arg1810z00_1876 == BgL_typez00_1857);
													}
													if (BgL_test2225z00_3846)
														{	/* Cfa/specialize.scm 578 */
															obj_t BgL_arg1804z00_1875;

															BgL_arg1804z00_1875 =
																CDR(((obj_t) BgL_argsz00_1863));
															{
																obj_t BgL_argsz00_3853;

																BgL_argsz00_3853 = BgL_arg1804z00_1875;
																BgL_argsz00_1863 = BgL_argsz00_3853;
																goto BgL_zc3z04anonymousza31788ze3z87_1864;
															}
														}
													else
														{	/* Cfa/specialize.scm 577 */
															BGL_TAIL return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_121);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 568 */
										BGL_TAIL return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_121);
									}
							}
						}
					}
				}
		}

	}



/* normalize-get-type~0 */
	obj_t BGl_normaliza7ezd2getzd2typeze70z40zzcfa_specializa7eza7(obj_t
		BgL_valz00_1885)
	{
		{	/* Cfa/specialize.scm 558 */
			{	/* Cfa/specialize.scm 555 */
				obj_t BgL_tyz00_1887;

				BgL_tyz00_1887 =
					((obj_t)
					BGl_getzd2typezd2zztype_typeofz00(
						((BgL_nodez00_bglt) BgL_valz00_1885), ((bool_t) 0)));
				if ((BgL_tyz00_1887 == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 556 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 556 */
						return BgL_tyz00_1887;
					}
			}
		}

	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_122)
	{
		{	/* Cfa/specialize.scm 591 */
			{
				BgL_appz00_bglt BgL_nodez00_1913;
				obj_t BgL_typez00_1914;

				{	/* Cfa/specialize.scm 598 */
					bool_t BgL_test2227z00_3861;

					{	/* Cfa/specialize.scm 598 */
						bool_t BgL_test2228z00_3862;

						{	/* Cfa/specialize.scm 598 */
							obj_t BgL_arg1876z00_1911;

							BgL_arg1876z00_1911 =
								((obj_t)
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->
												BgL_funz00)))->BgL_variablez00));
							BgL_test2228z00_3862 =
								(BgL_arg1876z00_1911 ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_test2228z00_3862)
							{	/* Cfa/specialize.scm 599 */
								obj_t BgL_arg1873z00_1910;

								BgL_arg1873z00_1910 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2227z00_3861 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1873z00_1910)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 598 */
								BgL_test2227z00_3861 = ((bool_t) 0);
							}
					}
					if (BgL_test2227z00_3861)
						{	/* Cfa/specialize.scm 601 */
							obj_t BgL_t1z00_1898;
							obj_t BgL_t2z00_1899;

							{	/* Cfa/specialize.scm 601 */
								obj_t BgL_arg1857z00_1905;

								BgL_arg1857z00_1905 =
									CAR(
									(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00));
								BgL_t1z00_1898 =
									((obj_t)
									BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_arg1857z00_1905), ((bool_t) 0)));
							}
							{	/* Cfa/specialize.scm 602 */
								obj_t BgL_arg1865z00_1907;

								{	/* Cfa/specialize.scm 602 */
									obj_t BgL_pairz00_2731;

									BgL_pairz00_2731 =
										(((BgL_appz00_bglt) COBJECT(BgL_nodez00_122))->BgL_argsz00);
									BgL_arg1865z00_1907 = CAR(CDR(BgL_pairz00_2731));
								}
								BgL_t2z00_1899 =
									((obj_t)
									BGl_getzd2typezd2zztype_typeofz00(
										((BgL_nodez00_bglt) BgL_arg1865z00_1907), ((bool_t) 0)));
							}
							{	/* Cfa/specialize.scm 604 */
								bool_t BgL_test2229z00_3881;

								if ((BgL_t1z00_1898 == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 604 */
										BgL_test2229z00_3881 =
											(BgL_t2z00_1899 == BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 604 */
										BgL_test2229z00_3881 = ((bool_t) 0);
									}
								if (BgL_test2229z00_3881)
									{	/* Cfa/specialize.scm 604 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 604 */
										if ((BgL_t1z00_1898 == BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 606 */
												if (
													(BgL_t2z00_1899 == BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 607 */
														BgL_nodez00_1913 = BgL_nodez00_122;
														BgL_typez00_1914 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3z04anonymousza31879ze3z87_1915:
														{	/* Cfa/specialize.scm 594 */
															bool_t BgL_test2233z00_3889;

															{	/* Cfa/specialize.scm 594 */
																obj_t BgL_objz00_2691;

																BgL_objz00_2691 =
																	BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																{	/* Cfa/specialize.scm 594 */
																	obj_t BgL_classz00_2692;

																	BgL_classz00_2692 = BGl_globalz00zzast_varz00;
																	if (BGL_OBJECTP(BgL_objz00_2691))
																		{	/* Cfa/specialize.scm 594 */
																			BgL_objectz00_bglt BgL_arg1858z00_2694;

																			BgL_arg1858z00_2694 =
																				(BgL_objectz00_bglt) (BgL_objz00_2691);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Cfa/specialize.scm 594 */
																					long BgL_idxz00_2700;

																					BgL_idxz00_2700 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2694);
																					BgL_test2233z00_3889 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2700 + 2L)) ==
																						BgL_classz00_2692);
																				}
																			else
																				{	/* Cfa/specialize.scm 594 */
																					bool_t BgL_res2047z00_2725;

																					{	/* Cfa/specialize.scm 594 */
																						obj_t BgL_oclassz00_2708;

																						{	/* Cfa/specialize.scm 594 */
																							obj_t BgL_arg1866z00_2716;
																							long BgL_arg1867z00_2717;

																							BgL_arg1866z00_2716 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Cfa/specialize.scm 594 */
																								long BgL_arg1869z00_2718;

																								BgL_arg1869z00_2718 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2694);
																								BgL_arg1867z00_2717 =
																									(BgL_arg1869z00_2718 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2708 =
																								VECTOR_REF(BgL_arg1866z00_2716,
																								BgL_arg1867z00_2717);
																						}
																						{	/* Cfa/specialize.scm 594 */
																							bool_t BgL__ortest_1115z00_2709;

																							BgL__ortest_1115z00_2709 =
																								(BgL_classz00_2692 ==
																								BgL_oclassz00_2708);
																							if (BgL__ortest_1115z00_2709)
																								{	/* Cfa/specialize.scm 594 */
																									BgL_res2047z00_2725 =
																										BgL__ortest_1115z00_2709;
																								}
																							else
																								{	/* Cfa/specialize.scm 594 */
																									long BgL_odepthz00_2710;

																									{	/* Cfa/specialize.scm 594 */
																										obj_t BgL_arg1855z00_2711;

																										BgL_arg1855z00_2711 =
																											(BgL_oclassz00_2708);
																										BgL_odepthz00_2710 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2711);
																									}
																									if ((2L < BgL_odepthz00_2710))
																										{	/* Cfa/specialize.scm 594 */
																											obj_t BgL_arg1853z00_2713;

																											{	/* Cfa/specialize.scm 594 */
																												obj_t
																													BgL_arg1854z00_2714;
																												BgL_arg1854z00_2714 =
																													(BgL_oclassz00_2708);
																												BgL_arg1853z00_2713 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2714,
																													2L);
																											}
																											BgL_res2047z00_2725 =
																												(BgL_arg1853z00_2713 ==
																												BgL_classz00_2692);
																										}
																									else
																										{	/* Cfa/specialize.scm 594 */
																											BgL_res2047z00_2725 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2233z00_3889 =
																						BgL_res2047z00_2725;
																				}
																		}
																	else
																		{	/* Cfa/specialize.scm 594 */
																			BgL_test2233z00_3889 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test2233z00_3889)
																{	/* Cfa/specialize.scm 594 */
																	{	/* Cfa/specialize.scm 595 */
																		BgL_varz00_bglt BgL_arg1882z00_1917;

																		BgL_arg1882z00_1917 =
																			(((BgL_appz00_bglt)
																				COBJECT(BgL_nodez00_122))->BgL_funz00);
																		{	/* Cfa/specialize.scm 595 */
																			BgL_variablez00_bglt BgL_vz00_2727;

																			BgL_vz00_2727 =
																				((BgL_variablez00_bglt)
																				BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7);
																			((((BgL_varz00_bglt)
																						COBJECT(BgL_arg1882z00_1917))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2727),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1914);
																}
															else
																{	/* Cfa/specialize.scm 594 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 607 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 606 */
												if (
													(BgL_t2z00_1899 == BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 610 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 610 */
														if (
															(BgL_t1z00_1898 ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 612 */
																if (
																	(BgL_t2z00_1899 ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3923;
																		BgL_appz00_bglt BgL_nodez00_3922;

																		BgL_nodez00_3922 = BgL_nodez00_122;
																		BgL_typez00_3923 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1914 = BgL_typez00_3923;
																		BgL_nodez00_1913 = BgL_nodez00_3922;
																		goto BgL_zc3z04anonymousza31879ze3z87_1915;
																	}
																else
																	{	/* Cfa/specialize.scm 613 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 612 */
																if (
																	(BgL_t2z00_1899 ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 616 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 616 */
																		if (
																			(BgL_t2z00_1899 ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 618 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 618 */
																				if (
																					(BgL_t1z00_1898 ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 620 */
																						if (
																							(BgL_t2z00_1899 ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3933;
																								BgL_appz00_bglt
																									BgL_nodez00_3932;
																								BgL_nodez00_3932 =
																									BgL_nodez00_122;
																								BgL_typez00_3933 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1914 =
																									BgL_typez00_3933;
																								BgL_nodez00_1913 =
																									BgL_nodez00_3932;
																								goto
																									BgL_zc3z04anonymousza31879ze3z87_1915;
																							}
																						else
																							{	/* Cfa/specialize.scm 621 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 620 */
																						if (
																							(BgL_t2z00_1899 ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 624 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 626 */
																								bool_t BgL_test2246z00_3936;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_t1z00_1898)))
																									{	/* Cfa/specialize.scm 626 */
																										BgL_test2246z00_3936 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(((BgL_typez00_bglt)
																												BgL_t2z00_1899));
																									}
																								else
																									{	/* Cfa/specialize.scm 626 */
																										BgL_test2246z00_3936 =
																											((bool_t) 0);
																									}
																								if (BgL_test2246z00_3936)
																									{	/* Cfa/specialize.scm 628 */
																										obj_t BgL_arg1856z00_1903;

																										if (
																											(BgL_t1z00_1898 ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 628 */
																												BgL_arg1856z00_1903 =
																													BgL_t2z00_1899;
																											}
																										else
																											{	/* Cfa/specialize.scm 628 */
																												BgL_arg1856z00_1903 =
																													BgL_t1z00_1898;
																											}
																										{
																											obj_t BgL_typez00_3945;
																											BgL_appz00_bglt
																												BgL_nodez00_3944;
																											BgL_nodez00_3944 =
																												BgL_nodez00_122;
																											BgL_typez00_3945 =
																												BgL_arg1856z00_1903;
																											BgL_typez00_1914 =
																												BgL_typez00_3945;
																											BgL_nodez00_1913 =
																												BgL_nodez00_3944;
																											goto
																												BgL_zc3z04anonymousza31879ze3z87_1915;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 626 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_122;
						}
					else
						{	/* Cfa/specialize.scm 598 */
							return BgL_nodez00_122;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg1889z00_1923;
				obj_t BgL_arg1890z00_1924;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1318z00_1966;

					BgL_v1318z00_1966 = create_vector(1L);
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1901z00_1967;

						BgL_arg1901z00_1967 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc2074z00zzcfa_specializa7eza7,
							BGl_proc2073z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(9)));
						VECTOR_SET(BgL_v1318z00_1966, 0L, BgL_arg1901z00_1967);
					}
					BgL_arg1889z00_1923 = BgL_v1318z00_1966;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1319z00_1977;

					BgL_v1319z00_1977 = create_vector(0L);
					BgL_arg1890z00_1924 = BgL_v1319z00_1977;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(10)),
						((obj_t)
							CNST_TABLE_REF(11)), BGl_globalz00zzast_varz00, 16878L,
						BGl_proc2078z00zzcfa_specializa7eza7,
						BGl_proc2077z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2076z00zzcfa_specializa7eza7,
						BGl_proc2075z00zzcfa_specializa7eza7, BgL_arg1889z00_1923,
						BgL_arg1890z00_1924), BUNSPEC);
			}
		}

	}



/* &lambda1897 */
	BgL_globalz00_bglt BGl_z62lambda1897z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3020, obj_t BgL_o1130z00_3021)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_arg1898z00_3136;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_arg1899z00_3137;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg1900z00_3138;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg1866z00_3139;
							long BgL_arg1867z00_3140;

							BgL_arg1866z00_3139 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Cfa/specialize.scm 35 */
								long BgL_arg1869z00_3141;

								BgL_arg1869z00_3141 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1130z00_3021)));
								BgL_arg1867z00_3140 = (BgL_arg1869z00_3141 - OBJECT_TYPE);
							}
							BgL_arg1900z00_3138 =
								VECTOR_REF(BgL_arg1866z00_3139, BgL_arg1867z00_3140);
						}
						BgL_arg1899z00_3137 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1900z00_3138);
					}
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_tmpz00_3966;

						BgL_tmpz00_3966 = ((obj_t) BgL_arg1899z00_3137);
						BgL_arg1898z00_3136 = BGL_CLASS_NUM(BgL_tmpz00_3966);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1130z00_3021)), BgL_arg1898z00_3136);
			}
			{	/* Cfa/specialize.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_3972;

				BgL_tmpz00_3972 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3021));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3972, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3021));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1130z00_3021));
		}

	}



/* &<@anonymous:1896> */
	obj_t BGl_z62zc3z04anonymousza31896ze3ze5zzcfa_specializa7eza7(obj_t
		BgL_envz00_3022, obj_t BgL_new1129z00_3023)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_auxz00_3980;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_3023))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(12))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3989;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3143;

						BgL_classz00_3143 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1117z00_3144;

							BgL__ortest_1117z00_3144 = BGL_CLASS_NIL(BgL_classz00_3143);
							if (CBOOL(BgL__ortest_1117z00_3144))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3989 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3144);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3989 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3143));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_3023))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3989), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3999;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3145;

						BgL_classz00_3145 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1117z00_3146;

							BgL__ortest_1117z00_3146 = BGL_CLASS_NIL(BgL_classz00_3145);
							if (CBOOL(BgL__ortest_1117z00_3146))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3999 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_3146);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3999 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3145));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1129z00_3023))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3999), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1129z00_3023))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(12))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string2079z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1129z00_3023))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4059;

					{
						obj_t BgL_auxz00_4060;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_4061;

							BgL_tmpz00_4061 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1129z00_3023));
							BgL_auxz00_4060 = BGL_OBJECT_WIDENING(BgL_tmpz00_4061);
						}
						BgL_auxz00_4059 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4060);
					}
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4059))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3980 = ((BgL_globalz00_bglt) BgL_new1129z00_3023);
				return ((obj_t) BgL_auxz00_3980);
			}
		}

	}



/* &lambda1894 */
	BgL_globalz00_bglt BGl_z62lambda1894z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3024, obj_t BgL_o1126z00_3025)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				BgL_specializa7edzd2globalz75_bglt BgL_wide1128z00_3148;

				BgL_wide1128z00_3148 =
					((BgL_specializa7edzd2globalz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_specializa7edzd2globalz75_bgl))));
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_auxz00_4074;
					BgL_objectz00_bglt BgL_tmpz00_4070;

					BgL_auxz00_4074 = ((obj_t) BgL_wide1128z00_3148);
					BgL_tmpz00_4070 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1126z00_3025)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4070, BgL_auxz00_4074);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1126z00_3025)));
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg1895z00_3149;

					BgL_arg1895z00_3149 =
						BGL_CLASS_NUM(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1126z00_3025))),
						BgL_arg1895z00_3149);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1126z00_3025)));
			}
		}

	}



/* &lambda1891 */
	BgL_globalz00_bglt BGl_z62lambda1891z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3026, obj_t BgL_id1105z00_3027, obj_t BgL_name1106z00_3028,
		obj_t BgL_type1107z00_3029, obj_t BgL_value1108z00_3030,
		obj_t BgL_access1109z00_3031, obj_t BgL_fastzd2alpha1110zd2_3032,
		obj_t BgL_removable1111z00_3033, obj_t BgL_occurrence1112z00_3034,
		obj_t BgL_occurrencew1113z00_3035, obj_t BgL_userzf31114zf3_3036,
		obj_t BgL_module1115z00_3037, obj_t BgL_import1116z00_3038,
		obj_t BgL_evaluablezf31117zf3_3039, obj_t BgL_evalzf31118zf3_3040,
		obj_t BgL_library1119z00_3041, obj_t BgL_pragma1120z00_3042,
		obj_t BgL_src1121z00_3043, obj_t BgL_qualifiedzd2typezd2name1122z00_3044,
		obj_t BgL_init1123z00_3045, obj_t BgL_alias1124z00_3046,
		obj_t BgL_fix1125z00_3047)
	{
		{	/* Cfa/specialize.scm 35 */
			{	/* Cfa/specialize.scm 35 */
				long BgL_occurrence1112z00_3153;
				long BgL_occurrencew1113z00_3154;
				bool_t BgL_userzf31114zf3_3155;
				bool_t BgL_evaluablezf31117zf3_3157;
				bool_t BgL_evalzf31118zf3_3158;

				BgL_occurrence1112z00_3153 = (long) CINT(BgL_occurrence1112z00_3034);
				BgL_occurrencew1113z00_3154 = (long) CINT(BgL_occurrencew1113z00_3035);
				BgL_userzf31114zf3_3155 = CBOOL(BgL_userzf31114zf3_3036);
				BgL_evaluablezf31117zf3_3157 = CBOOL(BgL_evaluablezf31117zf3_3039);
				BgL_evalzf31118zf3_3158 = CBOOL(BgL_evalzf31118zf3_3040);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1176z00_3160;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1174z00_3161;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1175z00_3162;

						{
							BgL_globalz00_bglt BgL_auxz00_4093;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1173z00_3163;

								BgL_new1173z00_3163 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1893z00_3164;

									BgL_arg1893z00_3164 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1173z00_3163),
										BgL_arg1893z00_3164);
								}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_tmpz00_4098;

									BgL_tmpz00_4098 = ((BgL_objectz00_bglt) BgL_new1173z00_3163);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4098, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1173z00_3163);
								BgL_auxz00_4093 = BgL_new1173z00_3163;
							}
							BgL_tmp1174z00_3161 = ((BgL_globalz00_bglt) BgL_auxz00_4093);
						}
						BgL_wide1175z00_3162 =
							((BgL_specializa7edzd2globalz75_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_4106;
							BgL_objectz00_bglt BgL_tmpz00_4104;

							BgL_auxz00_4106 = ((obj_t) BgL_wide1175z00_3162);
							BgL_tmpz00_4104 = ((BgL_objectz00_bglt) BgL_tmp1174z00_3161);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4104, BgL_auxz00_4106);
						}
						((BgL_objectz00_bglt) BgL_tmp1174z00_3161);
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg1892z00_3165;

							BgL_arg1892z00_3165 =
								BGL_CLASS_NUM
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
									BgL_tmp1174z00_3161), BgL_arg1892z00_3165);
						}
						BgL_new1176z00_3160 = ((BgL_globalz00_bglt) BgL_tmp1174z00_3161);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1176z00_3160)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1105z00_3027)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_namez00) =
						((obj_t) BgL_name1106z00_3028), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1107z00_3029)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1108z00_3030)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_accessz00) =
						((obj_t) BgL_access1109z00_3031), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1110zd2_3032), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_removablez00) =
						((obj_t) BgL_removable1111z00_3033), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_occurrencez00) =
						((long) BgL_occurrence1112z00_3153), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1113z00_3154), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1176z00_3160)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31114zf3_3155), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1115z00_3037)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_importz00) =
						((obj_t) BgL_import1116z00_3038), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31117zf3_3157), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31118zf3_3158), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_libraryz00) =
						((obj_t) BgL_library1119z00_3041), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1120z00_3042), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_srcz00) =
						((obj_t) BgL_src1121z00_3043), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1122z00_3044)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_initz00) =
						((obj_t) BgL_init1123z00_3045), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1176z00_3160)))->BgL_aliasz00) =
						((obj_t) BgL_alias1124z00_3046), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4159;

						{
							obj_t BgL_auxz00_4160;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_4161;

								BgL_tmpz00_4161 = ((BgL_objectz00_bglt) BgL_new1176z00_3160);
								BgL_auxz00_4160 = BGL_OBJECT_WIDENING(BgL_tmpz00_4161);
							}
							BgL_auxz00_4159 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4160);
						}
						((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4159))->
								BgL_fixz00) = ((obj_t) BgL_fix1125z00_3047), BUNSPEC);
					}
					return BgL_new1176z00_3160;
				}
			}
		}

	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zzcfa_specializa7eza7(obj_t BgL_envz00_3048,
		obj_t BgL_oz00_3049, obj_t BgL_vz00_3050)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4166;

				{
					obj_t BgL_auxz00_4167;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_4168;

						BgL_tmpz00_4168 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3049));
						BgL_auxz00_4167 = BGL_OBJECT_WIDENING(BgL_tmpz00_4168);
					}
					BgL_auxz00_4166 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4167);
				}
				return
					((((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4166))->
						BgL_fixz00) = ((obj_t) BgL_vz00_3050), BUNSPEC);
			}
		}

	}



/* &lambda1904 */
	obj_t BGl_z62lambda1904z62zzcfa_specializa7eza7(obj_t BgL_envz00_3051,
		obj_t BgL_oz00_3052)
	{
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_specializa7edzd2globalz75_bglt BgL_auxz00_4174;

				{
					obj_t BgL_auxz00_4175;

					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_4176;

						BgL_tmpz00_4176 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_3052));
						BgL_auxz00_4175 = BGL_OBJECT_WIDENING(BgL_tmpz00_4176);
					}
					BgL_auxz00_4174 =
						((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_4175);
				}
				return
					(((BgL_specializa7edzd2globalz75_bglt) COBJECT(BgL_auxz00_4174))->
					BgL_fixz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2080z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2081z00zzcfa_specializa7eza7);
		}

	}



/* &patch!1320 */
	obj_t BGl_z62patchz121320z70zzcfa_specializa7eza7(obj_t BgL_envz00_3054,
		obj_t BgL_nodez00_3055)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(13)), BGl_string2082z00zzcfa_specializa7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3055)));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_97)
	{
		{	/* Cfa/specialize.scm 326 */
			{	/* Cfa/specialize.scm 326 */
				obj_t BgL_method1323z00_1986;

				{	/* Cfa/specialize.scm 326 */
					obj_t BgL_res2052z00_2805;

					{	/* Cfa/specialize.scm 326 */
						long BgL_objzd2classzd2numz00_2776;

						BgL_objzd2classzd2numz00_2776 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_97));
						{	/* Cfa/specialize.scm 326 */
							obj_t BgL_arg1862z00_2777;

							BgL_arg1862z00_2777 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
								(int) (1L));
							{	/* Cfa/specialize.scm 326 */
								int BgL_offsetz00_2780;

								BgL_offsetz00_2780 = (int) (BgL_objzd2classzd2numz00_2776);
								{	/* Cfa/specialize.scm 326 */
									long BgL_offsetz00_2781;

									BgL_offsetz00_2781 =
										((long) (BgL_offsetz00_2780) - OBJECT_TYPE);
									{	/* Cfa/specialize.scm 326 */
										long BgL_modz00_2782;

										BgL_modz00_2782 =
											(BgL_offsetz00_2781 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/specialize.scm 326 */
											long BgL_restz00_2784;

											BgL_restz00_2784 =
												(BgL_offsetz00_2781 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/specialize.scm 326 */

												{	/* Cfa/specialize.scm 326 */
													obj_t BgL_bucketz00_2786;

													BgL_bucketz00_2786 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2777), BgL_modz00_2782);
													BgL_res2052z00_2805 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2786), BgL_restz00_2784);
					}}}}}}}}
					BgL_method1323z00_1986 = BgL_res2052z00_2805;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1323z00_1986, ((obj_t) BgL_nodez00_97));
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3056,
		obj_t BgL_nodez00_3057)
	{
		{	/* Cfa/specialize.scm 326 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3057));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2083z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2085z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2086z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2087z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2088z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2089z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2090z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2091z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2092z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2093z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2094z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2095z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2096z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_switchz00zzast_nodez00,
				BGl_proc2097z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2098z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2099z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2100z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2101z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2102z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2103z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2104z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2105z00zzcfa_specializa7eza7,
				BGl_string2084z00zzcfa_specializa7eza7);
		}

	}



/* &patch!-app1367 */
	obj_t BGl_z62patchz12zd2app1367za2zzcfa_specializa7eza7(obj_t BgL_envz00_3080,
		obj_t BgL_nodez00_3081)
	{
		{	/* Cfa/specialize.scm 538 */
			{
				BgL_appz00_bglt BgL_auxz00_4242;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3081)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_4246;

					{	/* Cfa/specialize.scm 541 */
						BgL_varz00_bglt BgL_arg1976z00_3170;

						BgL_arg1976z00_3170 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3081)))->BgL_funz00);
						BgL_auxz00_4246 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1976z00_3170)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_3081)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_4246), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 542 */
					BgL_variablez00_bglt BgL_vz00_3171;

					BgL_vz00_3171 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3081)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 544 */
						bool_t BgL_test2251z00_4257;

						{	/* Cfa/specialize.scm 544 */
							obj_t BgL_classz00_3172;

							BgL_classz00_3172 =
								BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
							{	/* Cfa/specialize.scm 544 */
								obj_t BgL_oclassz00_3173;

								{	/* Cfa/specialize.scm 544 */
									obj_t BgL_arg1866z00_3174;
									long BgL_arg1867z00_3175;

									BgL_arg1866z00_3174 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Cfa/specialize.scm 544 */
										long BgL_arg1869z00_3176;

										BgL_arg1869z00_3176 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_vz00_3171));
										BgL_arg1867z00_3175 = (BgL_arg1869z00_3176 - OBJECT_TYPE);
									}
									BgL_oclassz00_3173 =
										VECTOR_REF(BgL_arg1866z00_3174, BgL_arg1867z00_3175);
								}
								BgL_test2251z00_4257 =
									(BgL_oclassz00_3173 == BgL_classz00_3172);
						}}
						if (BgL_test2251z00_4257)
							{	/* Cfa/specialize.scm 544 */
								BgL_auxz00_4242 =
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(
									((BgL_appz00_bglt) BgL_nodez00_3081));
							}
						else
							{	/* Cfa/specialize.scm 544 */
								BgL_auxz00_4242 = ((BgL_appz00_bglt) BgL_nodez00_3081);
							}
					}
				}
				return ((obj_t) BgL_auxz00_4242);
			}
		}

	}



/* &patch!-box-ref1365 */
	obj_t BGl_z62patchz12zd2boxzd2ref1365z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3082, obj_t BgL_nodez00_3083)
	{
		{	/* Cfa/specialize.scm 519 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_4268;

				{
					BgL_varz00_bglt BgL_auxz00_4269;

					{	/* Cfa/specialize.scm 521 */
						BgL_varz00_bglt BgL_arg1974z00_3178;

						BgL_arg1974z00_3178 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3083)))->BgL_varz00);
						BgL_auxz00_4269 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1974z00_3178)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3083)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4269), BUNSPEC);
				}
				BgL_auxz00_4268 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3083);
				return ((obj_t) BgL_auxz00_4268);
			}
		}

	}



/* &patch!-box-set!1363 */
	obj_t BGl_z62patchz12zd2boxzd2setz121363z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3084, obj_t BgL_nodez00_3085)
	{
		{	/* Cfa/specialize.scm 510 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_4279;

				{
					BgL_varz00_bglt BgL_auxz00_4280;

					{	/* Cfa/specialize.scm 512 */
						BgL_varz00_bglt BgL_arg1972z00_3180;

						BgL_arg1972z00_3180 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3085)))->BgL_varz00);
						BgL_auxz00_4280 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1972z00_3180)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3085)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4280), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4288;

					{	/* Cfa/specialize.scm 513 */
						BgL_nodez00_bglt BgL_arg1973z00_3181;

						BgL_arg1973z00_3181 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3085)))->
							BgL_valuez00);
						BgL_auxz00_4288 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1973z00_3181));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3085)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4288), BUNSPEC);
				}
				BgL_auxz00_4279 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3085);
				return ((obj_t) BgL_auxz00_4279);
			}
		}

	}



/* &patch!-make-box1361 */
	obj_t BGl_z62patchz12zd2makezd2box1361z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3086, obj_t BgL_nodez00_3087)
	{
		{	/* Cfa/specialize.scm 502 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_4297;

				{
					BgL_nodez00_bglt BgL_auxz00_4298;

					{	/* Cfa/specialize.scm 504 */
						BgL_nodez00_bglt BgL_arg1971z00_3183;

						BgL_arg1971z00_3183 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3087)))->BgL_valuez00);
						BgL_auxz00_4298 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1971z00_3183));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3087)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4298), BUNSPEC);
				}
				BgL_auxz00_4297 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3087);
				return ((obj_t) BgL_auxz00_4297);
			}
		}

	}



/* &patch!-jump-ex-it1359 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1359za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3088, obj_t BgL_nodez00_3089)
	{
		{	/* Cfa/specialize.scm 493 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4307;

				{
					BgL_nodez00_bglt BgL_auxz00_4308;

					{	/* Cfa/specialize.scm 495 */
						BgL_nodez00_bglt BgL_arg1969z00_3185;

						BgL_arg1969z00_3185 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3089)))->
							BgL_exitz00);
						BgL_auxz00_4308 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1969z00_3185));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3089)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4308), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4315;

					{	/* Cfa/specialize.scm 496 */
						BgL_nodez00_bglt BgL_arg1970z00_3186;

						BgL_arg1970z00_3186 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3089)))->
							BgL_valuez00);
						BgL_auxz00_4315 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1970z00_3186));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3089)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4315), BUNSPEC);
				}
				BgL_auxz00_4307 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3089);
				return ((obj_t) BgL_auxz00_4307);
			}
		}

	}



/* &patch!-set-ex-it1357 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1357za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3090, obj_t BgL_nodez00_3091)
	{
		{	/* Cfa/specialize.scm 483 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_4324;

				{
					BgL_nodez00_bglt BgL_auxz00_4325;

					{	/* Cfa/specialize.scm 485 */
						BgL_nodez00_bglt BgL_arg1966z00_3188;

						BgL_arg1966z00_3188 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091)))->
							BgL_bodyz00);
						BgL_auxz00_4325 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1966z00_3188));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_4325), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4332;

					{	/* Cfa/specialize.scm 486 */
						BgL_nodez00_bglt BgL_arg1967z00_3189;

						BgL_arg1967z00_3189 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091)))->
							BgL_onexitz00);
						BgL_auxz00_4332 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1967z00_3189));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4332), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 487 */
					BgL_varz00_bglt BgL_arg1968z00_3190;

					BgL_arg1968z00_3190 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091)))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg1968z00_3190));
				}
				BgL_auxz00_4324 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3091);
				return ((obj_t) BgL_auxz00_4324);
			}
		}

	}



/* &patch!-let-var1355 */
	obj_t BGl_z62patchz12zd2letzd2var1355z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3092, obj_t BgL_nodez00_3093)
	{
		{	/* Cfa/specialize.scm 468 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_4345;

				{	/* Cfa/specialize.scm 470 */
					obj_t BgL_g1317z00_3192;

					BgL_g1317z00_3192 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3093)))->BgL_bindingsz00);
					{
						obj_t BgL_l1315z00_3194;

						BgL_l1315z00_3194 = BgL_g1317z00_3192;
					BgL_zc3z04anonymousza31957ze3z87_3193:
						if (PAIRP(BgL_l1315z00_3194))
							{	/* Cfa/specialize.scm 470 */
								{	/* Cfa/specialize.scm 471 */
									obj_t BgL_bindingz00_3195;

									BgL_bindingz00_3195 = CAR(BgL_l1315z00_3194);
									{	/* Cfa/specialize.scm 471 */
										obj_t BgL_valz00_3196;

										BgL_valz00_3196 = CDR(((obj_t) BgL_bindingz00_3195));
										{	/* Cfa/specialize.scm 472 */
											obj_t BgL_arg1960z00_3197;

											BgL_arg1960z00_3197 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_3196));
											{	/* Cfa/specialize.scm 472 */
												obj_t BgL_tmpz00_4355;

												BgL_tmpz00_4355 = ((obj_t) BgL_bindingz00_3195);
												SET_CDR(BgL_tmpz00_4355, BgL_arg1960z00_3197);
											}
										}
									}
								}
								{
									obj_t BgL_l1315z00_4358;

									BgL_l1315z00_4358 = CDR(BgL_l1315z00_3194);
									BgL_l1315z00_3194 = BgL_l1315z00_4358;
									goto BgL_zc3z04anonymousza31957ze3z87_3193;
								}
							}
						else
							{	/* Cfa/specialize.scm 470 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4360;

					{	/* Cfa/specialize.scm 474 */
						BgL_nodez00_bglt BgL_arg1962z00_3198;

						BgL_arg1962z00_3198 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3093)))->BgL_bodyz00);
						BgL_auxz00_4360 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1962z00_3198));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3093)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4360), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 475 */
					bool_t BgL_test2253z00_4367;

					{	/* Cfa/specialize.scm 475 */
						obj_t BgL_arg1965z00_3199;

						BgL_arg1965z00_3199 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3093))))->
								BgL_typez00));
						BgL_test2253z00_4367 =
							(BgL_arg1965z00_3199 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2253z00_4367)
						{	/* Cfa/specialize.scm 475 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3093))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
													BgL_nodez00_3093))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2varzd2_bglt) BgL_nodez00_3093)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 475 */
							BFALSE;
						}
				}
				BgL_auxz00_4345 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3093);
				return ((obj_t) BgL_auxz00_4345);
			}
		}

	}



/* &patch!-let-fun1353 */
	obj_t BGl_z62patchz12zd2letzd2fun1353z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3094, obj_t BgL_nodez00_3095)
	{
		{	/* Cfa/specialize.scm 456 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_4385;

				{	/* Cfa/specialize.scm 458 */
					obj_t BgL_g1314z00_3201;

					BgL_g1314z00_3201 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3095)))->BgL_localsz00);
					{
						obj_t BgL_l1312z00_3203;

						BgL_l1312z00_3203 = BgL_g1314z00_3201;
					BgL_zc3z04anonymousza31946ze3z87_3202:
						if (PAIRP(BgL_l1312z00_3203))
							{	/* Cfa/specialize.scm 458 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1312z00_3203));
								{
									obj_t BgL_l1312z00_4392;

									BgL_l1312z00_4392 = CDR(BgL_l1312z00_3203);
									BgL_l1312z00_3203 = BgL_l1312z00_4392;
									goto BgL_zc3z04anonymousza31946ze3z87_3202;
								}
							}
						else
							{	/* Cfa/specialize.scm 458 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4394;

					{	/* Cfa/specialize.scm 459 */
						BgL_nodez00_bglt BgL_arg1953z00_3204;

						BgL_arg1953z00_3204 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3095)))->BgL_bodyz00);
						BgL_auxz00_4394 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1953z00_3204));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3095)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4394), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 460 */
					bool_t BgL_test2255z00_4401;

					{	/* Cfa/specialize.scm 460 */
						obj_t BgL_arg1956z00_3205;

						BgL_arg1956z00_3205 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3095))))->
								BgL_typez00));
						BgL_test2255z00_4401 =
							(BgL_arg1956z00_3205 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2255z00_4401)
						{	/* Cfa/specialize.scm 460 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_3095))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
													BgL_nodez00_3095))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_letzd2funzd2_bglt) BgL_nodez00_3095)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 460 */
							BFALSE;
						}
				}
				BgL_auxz00_4385 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3095);
				return ((obj_t) BgL_auxz00_4385);
			}
		}

	}



/* &patch!-switch1351 */
	obj_t BGl_z62patchz12zd2switch1351za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3096, obj_t BgL_nodez00_3097)
	{
		{	/* Cfa/specialize.scm 445 */
			{
				BgL_switchz00_bglt BgL_auxz00_4419;

				{
					BgL_nodez00_bglt BgL_auxz00_4420;

					{	/* Cfa/specialize.scm 447 */
						BgL_nodez00_bglt BgL_arg1940z00_3207;

						BgL_arg1940z00_3207 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_3097)))->BgL_testz00);
						BgL_auxz00_4420 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1940z00_3207));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_3097)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4420), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 448 */
					obj_t BgL_g1311z00_3208;

					BgL_g1311z00_3208 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3097)))->BgL_clausesz00);
					{
						obj_t BgL_l1309z00_3210;

						BgL_l1309z00_3210 = BgL_g1311z00_3208;
					BgL_zc3z04anonymousza31941ze3z87_3209:
						if (PAIRP(BgL_l1309z00_3210))
							{	/* Cfa/specialize.scm 448 */
								{	/* Cfa/specialize.scm 449 */
									obj_t BgL_clausez00_3211;

									BgL_clausez00_3211 = CAR(BgL_l1309z00_3210);
									{	/* Cfa/specialize.scm 449 */
										obj_t BgL_arg1943z00_3212;

										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_arg1944z00_3213;

											BgL_arg1944z00_3213 = CDR(((obj_t) BgL_clausez00_3211));
											BgL_arg1943z00_3212 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg1944z00_3213));
										}
										{	/* Cfa/specialize.scm 449 */
											obj_t BgL_tmpz00_4436;

											BgL_tmpz00_4436 = ((obj_t) BgL_clausez00_3211);
											SET_CDR(BgL_tmpz00_4436, BgL_arg1943z00_3212);
										}
									}
								}
								{
									obj_t BgL_l1309z00_4439;

									BgL_l1309z00_4439 = CDR(BgL_l1309z00_3210);
									BgL_l1309z00_3210 = BgL_l1309z00_4439;
									goto BgL_zc3z04anonymousza31941ze3z87_3209;
								}
							}
						else
							{	/* Cfa/specialize.scm 448 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_4419 = ((BgL_switchz00_bglt) BgL_nodez00_3097);
				return ((obj_t) BgL_auxz00_4419);
			}
		}

	}



/* &patch!-fail1349 */
	obj_t BGl_z62patchz12zd2fail1349za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3098, obj_t BgL_nodez00_3099)
	{
		{	/* Cfa/specialize.scm 435 */
			{
				BgL_failz00_bglt BgL_auxz00_4443;

				{
					BgL_nodez00_bglt BgL_auxz00_4444;

					{	/* Cfa/specialize.scm 437 */
						BgL_nodez00_bglt BgL_arg1936z00_3215;

						BgL_arg1936z00_3215 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_procz00);
						BgL_auxz00_4444 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1936z00_3215));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4444), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4451;

					{	/* Cfa/specialize.scm 438 */
						BgL_nodez00_bglt BgL_arg1938z00_3216;

						BgL_arg1938z00_3216 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_msgz00);
						BgL_auxz00_4451 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1938z00_3216));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4451), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4458;

					{	/* Cfa/specialize.scm 439 */
						BgL_nodez00_bglt BgL_arg1939z00_3217;

						BgL_arg1939z00_3217 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_objz00);
						BgL_auxz00_4458 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1939z00_3217));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_3099)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4458), BUNSPEC);
				}
				BgL_auxz00_4443 = ((BgL_failz00_bglt) BgL_nodez00_3099);
				return ((obj_t) BgL_auxz00_4443);
			}
		}

	}



/* &patch!-conditional1347 */
	obj_t BGl_z62patchz12zd2conditional1347za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3100, obj_t BgL_nodez00_3101)
	{
		{	/* Cfa/specialize.scm 422 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_4467;

				{
					BgL_nodez00_bglt BgL_auxz00_4468;

					{	/* Cfa/specialize.scm 424 */
						BgL_nodez00_bglt BgL_arg1929z00_3219;

						BgL_arg1929z00_3219 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->BgL_testz00);
						BgL_auxz00_4468 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1929z00_3219));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4468), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4475;

					{	/* Cfa/specialize.scm 425 */
						BgL_nodez00_bglt BgL_arg1930z00_3220;

						BgL_arg1930z00_3220 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->BgL_truez00);
						BgL_auxz00_4475 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1930z00_3220));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4475), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4482;

					{	/* Cfa/specialize.scm 426 */
						BgL_nodez00_bglt BgL_arg1932z00_3221;

						BgL_arg1932z00_3221 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->BgL_falsez00);
						BgL_auxz00_4482 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1932z00_3221));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_3101)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_4482), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 427 */
					bool_t BgL_test2257z00_4489;

					{	/* Cfa/specialize.scm 427 */
						obj_t BgL_arg1935z00_3222;

						BgL_arg1935z00_3222 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_conditionalz00_bglt) BgL_nodez00_3101))))->
								BgL_typez00));
						BgL_test2257z00_4489 =
							(BgL_arg1935z00_3222 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2257z00_4489)
						{	/* Cfa/specialize.scm 427 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_conditionalz00_bglt) BgL_nodez00_3101))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt)
													BgL_nodez00_3101))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_conditionalz00_bglt) BgL_nodez00_3101)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 427 */
							BFALSE;
						}
				}
				BgL_auxz00_4467 = ((BgL_conditionalz00_bglt) BgL_nodez00_3101);
				return ((obj_t) BgL_auxz00_4467);
			}
		}

	}



/* &patch!-setq1345 */
	obj_t BGl_z62patchz12zd2setq1345za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3102, obj_t BgL_nodez00_3103)
	{
		{	/* Cfa/specialize.scm 413 */
			{
				BgL_setqz00_bglt BgL_auxz00_4507;

				{
					BgL_nodez00_bglt BgL_auxz00_4508;

					{	/* Cfa/specialize.scm 415 */
						BgL_nodez00_bglt BgL_arg1927z00_3224;

						BgL_arg1927z00_3224 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3103)))->BgL_valuez00);
						BgL_auxz00_4508 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1927z00_3224));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3103)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4508), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4515;

					{	/* Cfa/specialize.scm 416 */
						BgL_varz00_bglt BgL_arg1928z00_3225;

						BgL_arg1928z00_3225 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3103)))->BgL_varz00);
						BgL_auxz00_4515 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg1928z00_3225)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_3103)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4515), BUNSPEC);
				}
				BgL_auxz00_4507 = ((BgL_setqz00_bglt) BgL_nodez00_3103);
				return ((obj_t) BgL_auxz00_4507);
			}
		}

	}



/* &patch!-cast1343 */
	obj_t BGl_z62patchz12zd2cast1343za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3104, obj_t BgL_nodez00_3105)
	{
		{	/* Cfa/specialize.scm 405 */
			{
				BgL_castz00_bglt BgL_auxz00_4525;

				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_3105)))->BgL_argz00));
				BgL_auxz00_4525 = ((BgL_castz00_bglt) BgL_nodez00_3105);
				return ((obj_t) BgL_auxz00_4525);
			}
		}

	}



/* &patch!-extern1341 */
	obj_t BGl_z62patchz12zd2extern1341za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3106, obj_t BgL_nodez00_3107)
	{
		{	/* Cfa/specialize.scm 397 */
			{
				BgL_externz00_bglt BgL_auxz00_4531;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3107)))->BgL_exprza2za2));
				BgL_auxz00_4531 = ((BgL_externz00_bglt) BgL_nodez00_3107);
				return ((obj_t) BgL_auxz00_4531);
			}
		}

	}



/* &patch!-funcall1339 */
	obj_t BGl_z62patchz12zd2funcall1339za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3108, obj_t BgL_nodez00_3109)
	{
		{	/* Cfa/specialize.scm 388 */
			{
				BgL_funcallz00_bglt BgL_auxz00_4537;

				{
					BgL_nodez00_bglt BgL_auxz00_4538;

					{	/* Cfa/specialize.scm 390 */
						BgL_nodez00_bglt BgL_arg1922z00_3229;

						BgL_arg1922z00_3229 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3109)))->BgL_funz00);
						BgL_auxz00_4538 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1922z00_3229));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_3109)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4538), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3109)))->BgL_argsz00));
				BgL_auxz00_4537 = ((BgL_funcallz00_bglt) BgL_nodez00_3109);
				return ((obj_t) BgL_auxz00_4537);
			}
		}

	}



/* &patch!-app-ly1337 */
	obj_t BGl_z62patchz12zd2appzd2ly1337z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3110, obj_t BgL_nodez00_3111)
	{
		{	/* Cfa/specialize.scm 379 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_4550;

				{
					BgL_nodez00_bglt BgL_auxz00_4551;

					{	/* Cfa/specialize.scm 381 */
						BgL_nodez00_bglt BgL_arg1919z00_3231;

						BgL_arg1919z00_3231 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3111)))->BgL_funz00);
						BgL_auxz00_4551 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1919z00_3231));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3111)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4551), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4558;

					{	/* Cfa/specialize.scm 382 */
						BgL_nodez00_bglt BgL_arg1921z00_3232;

						BgL_arg1921z00_3232 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3111)))->BgL_argz00);
						BgL_auxz00_4558 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1921z00_3232));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3111)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4558), BUNSPEC);
				}
				BgL_auxz00_4550 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3111);
				return ((obj_t) BgL_auxz00_4550);
			}
		}

	}



/* &patch!-sync1335 */
	obj_t BGl_z62patchz12zd2sync1335za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3112, obj_t BgL_nodez00_3113)
	{
		{	/* Cfa/specialize.scm 366 */
			{
				BgL_syncz00_bglt BgL_auxz00_4567;

				{
					BgL_nodez00_bglt BgL_auxz00_4568;

					{	/* Cfa/specialize.scm 368 */
						BgL_nodez00_bglt BgL_arg1912z00_3234;

						BgL_arg1912z00_3234 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_mutexz00);
						BgL_auxz00_4568 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1912z00_3234));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4568), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4575;

					{	/* Cfa/specialize.scm 369 */
						BgL_nodez00_bglt BgL_arg1913z00_3235;

						BgL_arg1913z00_3235 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_prelockz00);
						BgL_auxz00_4575 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1913z00_3235));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4575), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4582;

					{	/* Cfa/specialize.scm 370 */
						BgL_nodez00_bglt BgL_arg1915z00_3236;

						BgL_arg1915z00_3236 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_bodyz00);
						BgL_auxz00_4582 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg1915z00_3236));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_3113)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4582), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 371 */
					bool_t BgL_test2258z00_4589;

					{	/* Cfa/specialize.scm 371 */
						obj_t BgL_arg1918z00_3237;

						BgL_arg1918z00_3237 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_3113))))->BgL_typez00));
						BgL_test2258z00_4589 =
							(BgL_arg1918z00_3237 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2258z00_4589)
						{	/* Cfa/specialize.scm 371 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_syncz00_bglt) BgL_nodez00_3113))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_syncz00_bglt)
													BgL_nodez00_3113))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_syncz00_bglt) BgL_nodez00_3113)), ((bool_t) 0))),
								BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 371 */
							BFALSE;
						}
				}
				BgL_auxz00_4567 = ((BgL_syncz00_bglt) BgL_nodez00_3113);
				return ((obj_t) BgL_auxz00_4567);
			}
		}

	}



/* &patch!-sequence1333 */
	obj_t BGl_z62patchz12zd2sequence1333za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3114, obj_t BgL_nodez00_3115)
	{
		{	/* Cfa/specialize.scm 355 */
			{
				BgL_sequencez00_bglt BgL_auxz00_4607;

				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3115)))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 358 */
					bool_t BgL_test2259z00_4611;

					{	/* Cfa/specialize.scm 358 */
						obj_t BgL_arg1911z00_3239;

						BgL_arg1911z00_3239 =
							((obj_t)
							(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_3115))))->
								BgL_typez00));
						BgL_test2259z00_4611 =
							(BgL_arg1911z00_3239 == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_test2259z00_4611)
						{	/* Cfa/specialize.scm 358 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_3115))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) ((BgL_sequencez00_bglt)
													BgL_nodez00_3115))))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
												(BgL_sequencez00_bglt) BgL_nodez00_3115)),
										((bool_t) 0))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 358 */
							BFALSE;
						}
				}
				BgL_auxz00_4607 = ((BgL_sequencez00_bglt) BgL_nodez00_3115);
				return ((obj_t) BgL_auxz00_4607);
			}
		}

	}



/* &patch!-closure1331 */
	obj_t BGl_z62patchz12zd2closure1331za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3116, obj_t BgL_nodez00_3117)
	{
		{	/* Cfa/specialize.scm 349 */
			{	/* Cfa/specialize.scm 350 */
				obj_t BgL_arg1907z00_3241;

				BgL_arg1907z00_3241 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_3117)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2084z00zzcfa_specializa7eza7,
					BGl_string2106z00zzcfa_specializa7eza7, BgL_arg1907z00_3241);
			}
		}

	}



/* &patch!-var1329 */
	obj_t BGl_z62patchz12zd2var1329za2zzcfa_specializa7eza7(obj_t BgL_envz00_3118,
		obj_t BgL_nodez00_3119)
	{
		{	/* Cfa/specialize.scm 343 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_3119));
		}

	}



/* &patch!-kwote1327 */
	obj_t BGl_z62patchz12zd2kwote1327za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3120, obj_t BgL_nodez00_3121)
	{
		{	/* Cfa/specialize.scm 337 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_3121));
		}

	}



/* &patch!-atom1325 */
	obj_t BGl_z62patchz12zd2atom1325za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3122, obj_t BgL_nodez00_3123)
	{
		{	/* Cfa/specialize.scm 331 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_3123));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7(void)
	{
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(385476819L,
				BSTRING_TO_STRING(BGl_string2107z00zzcfa_specializa7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
