/*===========================================================================*/
/*   (Cfa/tvector.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cfa/tvector.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CFA_TVECTOR_TYPE_DEFINITIONS
#define BGL_CFA_TVECTOR_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
		bool_t BgL_tvectorzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


#endif													// BGL_CFA_TVECTOR_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62patchz12zd2letzd2var1682z70zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	static obj_t BGl_z62patchz12zd2closure1658za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2vrefzf2Cinfo1702z50zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_tvectorz00(void);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62patchz121647z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
	static obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static obj_t BGl_z62patchz12zd2atom1650za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_tvectorz00(void);
	static obj_t BGl_z62patchz12zd2makezd2vectorzd2a1698za2zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2appzd2ly1664z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2conditional1674za2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2kwotezf2node1654z50zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62patchz12zd2extern1668za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	static obj_t BGl_z62patchz12zd2valloczf2Cinfozb21700ze2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2var1656za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00(void);
	static obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1704z42zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00(void);
	static obj_t BGl_z62patchz12zd2vlength1696za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00(void);
	static obj_t BGl_z62getzd2vectorzd2itemzd2type1640zb0zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1644zb0zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1646zb0zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sync1662za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2fail1676za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2sequence1660za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_getzd2tvectorzd2lengthzd2typezd2zzcfa_tvectorz00(void);
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2funcall1666za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00(void);
	static obj_t BGl_z62patchz12zd2kwote1652za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcfa_tvectorz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00(void);
	static obj_t BGl_z62patchz12zd2boxzd2ref1692z70zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BUNSPEC;
	static obj_t BGl_z62patchz12zd2switch1678za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2jumpzd2exzd2it1686za2zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1688z70zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2boxzd2setz121690z62zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_tvectorzd2finaliza7erz75zzmodule_typez00(void);
	static obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00(void);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static obj_t BGl_z62patchz12zd2letzd2fun1680z70zzcfa_tvectorz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2cast1670za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(void);
	static obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2setq1672za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1694za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2tvectorzd2clausez00zzmodule_typez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2setzd2exzd2it1684za2zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t __cnst[25];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza7d2vecto2425z00,
		BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2426za7,
		BGl_z62patchz12zd2appzd2ly1664z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fu2427za7,
		BGl_z62patchz12zd2funcall1666za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ex2428za7,
		BGl_z62patchz12zd2extern1668za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ca2429za7,
		BGl_z62patchz12zd2cast1670za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2430za7,
		BGl_z62patchz12zd2setq1672za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2co2431za7,
		BGl_z62patchz12zd2conditional1674za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fa2432za7,
		BGl_z62patchz12zd2fail1676za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2407z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sw2433za7,
		BGl_z62patchz12zd2switch1678za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2434za7,
		BGl_z62patchz12zd2letzd2fun1680z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2435za7,
		BGl_z62patchz12zd2letzd2var1682z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2436za7,
		BGl_z62patchz12zd2setzd2exzd2it1684za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ju2437za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1686za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2ze3tvectorz12zd2envzf1zzcfa_tvectorz00,
		BgL_bgl_za762vectorza7d2za7e3t2438za7,
		BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2439za7,
		BGl_z62patchz12zd2makezd2box1688z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2440za7,
		BGl_z62patchz12zd2boxzd2setz121690z62zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2441za7,
		BGl_z62patchz12zd2boxzd2ref1692z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2442za7,
		BGl_z62patchz12zd2app1694za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vl2443za7,
		BGl_z62patchz12zd2vlength1696za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2444za7,
		BGl_z62patchz12zd2makezd2vectorzd2a1698za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2445za7,
		BGl_z62patchz12zd2valloczf2Cinfozb21700ze2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vr2446za7,
		BGl_z62patchz12zd2vrefzf2Cinfo1702z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vs2447za7,
		BGl_z62patchz12zd2vsetz12zf2Cinfo1704z42zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2381z00zzcfa_tvectorz00,
		BgL_bgl_string2381za700za7za7c2448za7, "   . Vector -> Tvector", 22);
	      DEFINE_STRING(BGl_string2382z00zzcfa_tvectorz00,
		BgL_bgl_string2382za700za7za7c2449za7, " -> vector of ", 14);
	      DEFINE_STRING(BGl_string2383z00zzcfa_tvectorz00,
		BgL_bgl_string2383za700za7za7c2450za7, "        vector of ", 18);
	      DEFINE_STRING(BGl_string2385z00zzcfa_tvectorz00,
		BgL_bgl_string2385za700za7za7c2451za7, "get-vector-item-type1640", 24);
	      DEFINE_STRING(BGl_string2387z00zzcfa_tvectorz00,
		BgL_bgl_string2387za700za7za7c2452za7, "patch!1647", 10);
	      DEFINE_STRING(BGl_string2388z00zzcfa_tvectorz00,
		BgL_bgl_string2388za700za7za7c2453za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2390z00zzcfa_tvectorz00,
		BgL_bgl_string2390za700za7za7c2454za7, "get-vector-item-type", 20);
	      DEFINE_STRING(BGl_string2393z00zzcfa_tvectorz00,
		BgL_bgl_string2393za700za7za7c2455za7, "patch!", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tvectorzd2optimiza7ationzf3zd2envz54zzcfa_tvectorz00,
		BgL_bgl_za762tvectorza7d2opt2456z00,
		BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2vectorz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762addza7d2makeza7d22457za7,
		BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762unpatchza7d2vec2458z00,
		BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2421z00zzcfa_tvectorz00,
		BgL_bgl_string2421za700za7za7c2459za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2422z00zzcfa_tvectorz00,
		BgL_bgl_string2422za700za7za7c2460za7, "cfa_tvector", 11);
	      DEFINE_STRING(BGl_string2423z00zzcfa_tvectorz00,
		BgL_bgl_string2423za700za7za7c2461za7,
		"a-tvector __r4_vectors_6_8 vector->list -length make- allocate- -ref -set! get-vector-item-type1640 patch!1647 value ->list foreign $tvector-length done no-remove unit cfa tv-of- (vector-set! c-vector-set! vector-set-ur!) vector? $vector? c-vector? (vector-set! vector-set-ur! c-vector-set! $vector-set! $vector-set-ur!) all ",
		325);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72462za7,
		BGl_z62getzd2vectorzd2itemzd2type1640zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza7121647za72463za7,
		BGl_z62patchz121647z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72464za7,
		BGl_z62getzd2vectorzd2itemzd2type1644zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72465za7,
		BGl_z62getzd2vectorzd2itemzd2type1646zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2at2466za7,
		BGl_z62patchz12zd2atom1650za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2467za7,
		BGl_z62patchz12zd2kwote1652za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2468za7,
		BGl_z62patchz12zd2kwotezf2node1654z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2469za7,
		BGl_z62patchz12zd2var1656za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2cl2470za7,
		BGl_z62patchz12zd2closure1658za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2471za7,
		BGl_z62patchz12zd2sequence1660za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sy2472za7,
		BGl_z62patchz12zd2sync1662za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72473za7,
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za770za7za72474za7,
		BGl_z62patchz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00));
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_tvectorz00));
		   
			 ADD_ROOT((void *) (&BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long
		BgL_checksumz00_6543, char *BgL_fromz00_6544)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_tvectorz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_cnstzd2initzd2zzcfa_tvectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_genericzd2initzd2zzcfa_tvectorz00();
					BGl_methodzd2initzd2zzcfa_tvectorz00();
					return BGl_toplevelzd2initzd2zzcfa_tvectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cfa_tvector");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			{	/* Cfa/tvector.scm 15 */
				obj_t BgL_cportz00_6209;

				{	/* Cfa/tvector.scm 15 */
					obj_t BgL_stringz00_6216;

					BgL_stringz00_6216 = BGl_string2423z00zzcfa_tvectorz00;
					{	/* Cfa/tvector.scm 15 */
						obj_t BgL_startz00_6217;

						BgL_startz00_6217 = BINT(0L);
						{	/* Cfa/tvector.scm 15 */
							obj_t BgL_endz00_6218;

							BgL_endz00_6218 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_6216)));
							{	/* Cfa/tvector.scm 15 */

								BgL_cportz00_6209 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_6216, BgL_startz00_6217, BgL_endz00_6218);
				}}}}
				{
					long BgL_iz00_6210;

					BgL_iz00_6210 = 24L;
				BgL_loopz00_6211:
					if ((BgL_iz00_6210 == (-1L)))
						{	/* Cfa/tvector.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/tvector.scm 15 */
							{	/* Cfa/tvector.scm 15 */
								obj_t BgL_arg2424z00_6212;

								{	/* Cfa/tvector.scm 15 */

									{	/* Cfa/tvector.scm 15 */
										obj_t BgL_locationz00_6214;

										BgL_locationz00_6214 = BBOOL(((bool_t) 0));
										{	/* Cfa/tvector.scm 15 */

											BgL_arg2424z00_6212 =
												BGl_readz00zz__readerz00(BgL_cportz00_6209,
												BgL_locationz00_6214);
										}
									}
								}
								{	/* Cfa/tvector.scm 15 */
									int BgL_tmpz00_6578;

									BgL_tmpz00_6578 = (int) (BgL_iz00_6210);
									CNST_TABLE_SET(BgL_tmpz00_6578, BgL_arg2424z00_6212);
							}}
							{	/* Cfa/tvector.scm 15 */
								int BgL_auxz00_6215;

								BgL_auxz00_6215 = (int) ((BgL_iz00_6210 - 1L));
								{
									long BgL_iz00_6583;

									BgL_iz00_6583 = (long) (BgL_auxz00_6215);
									BgL_iz00_6210 = BgL_iz00_6583;
									goto BgL_loopz00_6211;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BNIL;
			BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* tvector-optimization? */
	BGL_EXPORTED_DEF obj_t
		BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 63 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= 3L))
				{	/* Cfa/tvector.scm 64 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/tvector.scm 64 */
							return BFALSE;
						}
					else
						{	/* Cfa/tvector.scm 64 */
							return BTRUE;
						}
				}
			else
				{	/* Cfa/tvector.scm 64 */
					return BFALSE;
				}
		}

	}



/* &tvector-optimization? */
	obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t
		BgL_envz00_6098)
	{
		{	/* Cfa/tvector.scm 63 */
			return BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
		}

	}



/* vector->tvector! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t
		BgL_globalsz00_55)
	{
		{	/* Cfa/tvector.scm 69 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 70 */
					BGl_inlinezd2setupz12zc0zzinline_walkz00(((obj_t) CNST_TABLE_REF(0)));
					{	/* Cfa/tvector.scm 79 */
						obj_t BgL_vectorsz00_3701;

						BgL_vectorsz00_3701 = BGl_getzd2tvectorszd2zzcfa_tvectorz00();
						{	/* Cfa/tvector.scm 80 */
							obj_t BgL_tvectorsz00_3702;

							{	/* Cfa/tvector.scm 84 */
								obj_t BgL_tmpz00_4845;

								{	/* Cfa/tvector.scm 84 */
									int BgL_tmpz00_6599;

									BgL_tmpz00_6599 = (int) (1L);
									BgL_tmpz00_4845 = BGL_MVALUES_VAL(BgL_tmpz00_6599);
								}
								{	/* Cfa/tvector.scm 84 */
									int BgL_tmpz00_6602;

									BgL_tmpz00_6602 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6602, BUNSPEC);
								}
								BgL_tvectorsz00_3702 = BgL_tmpz00_4845;
							}
							{
								obj_t BgL_l1615z00_3704;

								BgL_l1615z00_3704 = BgL_vectorsz00_3701;
							BgL_zc3z04anonymousza31801ze3z87_3705:
								if (PAIRP(BgL_l1615z00_3704))
									{	/* Cfa/tvector.scm 81 */
										{	/* Cfa/tvector.scm 82 */
											obj_t BgL_vz00_3707;

											BgL_vz00_3707 = CAR(BgL_l1615z00_3704);
											{	/* Cfa/tvector.scm 82 */
												bool_t BgL_test2481z00_6608;

												{	/* Cfa/tvector.scm 82 */
													obj_t BgL_arg1810z00_3710;

													BgL_arg1810z00_3710 =
														((obj_t)
														(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_vz00_3707)))->
															BgL_typez00));
													BgL_test2481z00_6608 =
														(BgL_arg1810z00_3710 ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_test2481z00_6608)
													{	/* Cfa/tvector.scm 83 */
														BgL_typez00_bglt BgL_vz00_4849;

														BgL_vz00_4849 =
															((BgL_typez00_bglt)
															BGl_za2vectorza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_vz00_3707)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4849), BUNSPEC);
													}
												else
													{	/* Cfa/tvector.scm 82 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1615z00_6616;

											BgL_l1615z00_6616 = CDR(BgL_l1615z00_3704);
											BgL_l1615z00_3704 = BgL_l1615z00_6616;
											goto BgL_zc3z04anonymousza31801ze3z87_3705;
										}
									}
								else
									{	/* Cfa/tvector.scm 81 */
										((bool_t) 1);
									}
							}
							BGl_showzd2tvectorzd2zzcfa_tvectorz00(BgL_tvectorsz00_3702);
							if (PAIRP(BgL_tvectorsz00_3702))
								{	/* Cfa/tvector.scm 88 */
									obj_t BgL_addzd2treezd2_3714;

									BgL_addzd2treezd2_3714 =
										BGl_declarezd2tvectorszd2zzcfa_tvectorz00
										(BgL_tvectorsz00_3702);
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_55);
									BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_addzd2treezd2_3714);
									return BgL_addzd2treezd2_3714;
								}
							else
								{	/* Cfa/tvector.scm 87 */
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_55);
									return BNIL;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 70 */
					return BNIL;
				}
		}

	}



/* &vector->tvector! */
	obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t BgL_envz00_6099,
		obj_t BgL_globalsz00_6100)
	{
		{	/* Cfa/tvector.scm 69 */
			return BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(BgL_globalsz00_6100);
		}

	}



/* patch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 105 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 106 */
					{	/* Cfa/tvector.scm 107 */
						obj_t BgL_g1619z00_3716;

						BgL_g1619z00_3716 = ((obj_t) CNST_TABLE_REF(1));
						{
							obj_t BgL_l1617z00_3718;

							BgL_l1617z00_3718 = BgL_g1619z00_3716;
						BgL_zc3z04anonymousza31814ze3z87_3719:
							if (PAIRP(BgL_l1617z00_3718))
								{	/* Cfa/tvector.scm 118 */
									{	/* Cfa/tvector.scm 108 */
										obj_t BgL_setz00_3721;

										BgL_setz00_3721 = CAR(BgL_l1617z00_3718);
										{	/* Cfa/tvector.scm 108 */
											obj_t BgL_gz00_3722;

											BgL_gz00_3722 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3721, BNIL);
											{	/* Cfa/tvector.scm 109 */
												bool_t BgL_test2485z00_6635;

												{	/* Cfa/tvector.scm 109 */
													obj_t BgL_classz00_4852;

													BgL_classz00_4852 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_gz00_3722))
														{	/* Cfa/tvector.scm 109 */
															BgL_objectz00_bglt BgL_arg1858z00_4854;

															BgL_arg1858z00_4854 =
																(BgL_objectz00_bglt) (BgL_gz00_3722);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Cfa/tvector.scm 109 */
																	long BgL_idxz00_4860;

																	BgL_idxz00_4860 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_4854);
																	BgL_test2485z00_6635 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4860 + 2L)) ==
																		BgL_classz00_4852);
																}
															else
																{	/* Cfa/tvector.scm 109 */
																	bool_t BgL_res2341z00_4885;

																	{	/* Cfa/tvector.scm 109 */
																		obj_t BgL_oclassz00_4868;

																		{	/* Cfa/tvector.scm 109 */
																			obj_t BgL_arg1866z00_4876;
																			long BgL_arg1867z00_4877;

																			BgL_arg1866z00_4876 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Cfa/tvector.scm 109 */
																				long BgL_arg1869z00_4878;

																				BgL_arg1869z00_4878 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_4854);
																				BgL_arg1867z00_4877 =
																					(BgL_arg1869z00_4878 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4868 =
																				VECTOR_REF(BgL_arg1866z00_4876,
																				BgL_arg1867z00_4877);
																		}
																		{	/* Cfa/tvector.scm 109 */
																			bool_t BgL__ortest_1115z00_4869;

																			BgL__ortest_1115z00_4869 =
																				(BgL_classz00_4852 ==
																				BgL_oclassz00_4868);
																			if (BgL__ortest_1115z00_4869)
																				{	/* Cfa/tvector.scm 109 */
																					BgL_res2341z00_4885 =
																						BgL__ortest_1115z00_4869;
																				}
																			else
																				{	/* Cfa/tvector.scm 109 */
																					long BgL_odepthz00_4870;

																					{	/* Cfa/tvector.scm 109 */
																						obj_t BgL_arg1855z00_4871;

																						BgL_arg1855z00_4871 =
																							(BgL_oclassz00_4868);
																						BgL_odepthz00_4870 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_4871);
																					}
																					if ((2L < BgL_odepthz00_4870))
																						{	/* Cfa/tvector.scm 109 */
																							obj_t BgL_arg1853z00_4873;

																							{	/* Cfa/tvector.scm 109 */
																								obj_t BgL_arg1854z00_4874;

																								BgL_arg1854z00_4874 =
																									(BgL_oclassz00_4868);
																								BgL_arg1853z00_4873 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_4874, 2L);
																							}
																							BgL_res2341z00_4885 =
																								(BgL_arg1853z00_4873 ==
																								BgL_classz00_4852);
																						}
																					else
																						{	/* Cfa/tvector.scm 109 */
																							BgL_res2341z00_4885 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2485z00_6635 = BgL_res2341z00_4885;
																}
														}
													else
														{	/* Cfa/tvector.scm 109 */
															BgL_test2485z00_6635 = ((bool_t) 0);
														}
												}
												if (BgL_test2485z00_6635)
													{	/* Cfa/tvector.scm 110 */
														BgL_valuez00_bglt BgL_funz00_3724;

														BgL_funz00_3724 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_3722))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 112 */
															bool_t BgL_test2490z00_6661;

															{	/* Cfa/tvector.scm 112 */
																obj_t BgL_classz00_4887;

																BgL_classz00_4887 = BGl_cfunz00zzast_varz00;
																{	/* Cfa/tvector.scm 112 */
																	BgL_objectz00_bglt BgL_arg1858z00_4889;

																	{	/* Cfa/tvector.scm 112 */
																		obj_t BgL_tmpz00_6662;

																		BgL_tmpz00_6662 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_funz00_3724));
																		BgL_arg1858z00_4889 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_6662);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Cfa/tvector.scm 112 */
																			long BgL_idxz00_4895;

																			BgL_idxz00_4895 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_4889);
																			BgL_test2490z00_6661 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4895 + 3L)) ==
																				BgL_classz00_4887);
																		}
																	else
																		{	/* Cfa/tvector.scm 112 */
																			bool_t BgL_res2342z00_4920;

																			{	/* Cfa/tvector.scm 112 */
																				obj_t BgL_oclassz00_4903;

																				{	/* Cfa/tvector.scm 112 */
																					obj_t BgL_arg1866z00_4911;
																					long BgL_arg1867z00_4912;

																					BgL_arg1866z00_4911 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Cfa/tvector.scm 112 */
																						long BgL_arg1869z00_4913;

																						BgL_arg1869z00_4913 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_4889);
																						BgL_arg1867z00_4912 =
																							(BgL_arg1869z00_4913 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4903 =
																						VECTOR_REF(BgL_arg1866z00_4911,
																						BgL_arg1867z00_4912);
																				}
																				{	/* Cfa/tvector.scm 112 */
																					bool_t BgL__ortest_1115z00_4904;

																					BgL__ortest_1115z00_4904 =
																						(BgL_classz00_4887 ==
																						BgL_oclassz00_4903);
																					if (BgL__ortest_1115z00_4904)
																						{	/* Cfa/tvector.scm 112 */
																							BgL_res2342z00_4920 =
																								BgL__ortest_1115z00_4904;
																						}
																					else
																						{	/* Cfa/tvector.scm 112 */
																							long BgL_odepthz00_4905;

																							{	/* Cfa/tvector.scm 112 */
																								obj_t BgL_arg1855z00_4906;

																								BgL_arg1855z00_4906 =
																									(BgL_oclassz00_4903);
																								BgL_odepthz00_4905 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_4906);
																							}
																							if ((3L < BgL_odepthz00_4905))
																								{	/* Cfa/tvector.scm 112 */
																									obj_t BgL_arg1853z00_4908;

																									{	/* Cfa/tvector.scm 112 */
																										obj_t BgL_arg1854z00_4909;

																										BgL_arg1854z00_4909 =
																											(BgL_oclassz00_4903);
																										BgL_arg1853z00_4908 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_4909, 3L);
																									}
																									BgL_res2342z00_4920 =
																										(BgL_arg1853z00_4908 ==
																										BgL_classz00_4887);
																								}
																							else
																								{	/* Cfa/tvector.scm 112 */
																									BgL_res2342z00_4920 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2490z00_6661 =
																				BgL_res2342z00_4920;
																		}
																}
															}
															if (BgL_test2490z00_6661)
																{	/* Cfa/tvector.scm 113 */
																	obj_t BgL_arg1818z00_3726;
																	BgL_typez00_bglt BgL_arg1821z00_3727;

																	{	/* Cfa/tvector.scm 113 */
																		obj_t BgL_pairz00_4922;

																		BgL_pairz00_4922 =
																			(((BgL_cfunz00_bglt) COBJECT(
																					((BgL_cfunz00_bglt)
																						BgL_funz00_3724)))->
																			BgL_argszd2typezd2);
																		BgL_arg1818z00_3726 =
																			CDR(CDR(BgL_pairz00_4922));
																	}
																	BgL_arg1821z00_3727 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/tvector.scm 113 */
																		obj_t BgL_auxz00_6692;
																		obj_t BgL_tmpz00_6690;

																		BgL_auxz00_6692 =
																			((obj_t) BgL_arg1821z00_3727);
																		BgL_tmpz00_6690 =
																			((obj_t) BgL_arg1818z00_3726);
																		SET_CAR(BgL_tmpz00_6690, BgL_auxz00_6692);
																	}
																}
															else
																{	/* Cfa/tvector.scm 115 */
																	bool_t BgL_test2494z00_6695;

																	{	/* Cfa/tvector.scm 115 */
																		obj_t BgL_classz00_4927;

																		BgL_classz00_4927 = BGl_sfunz00zzast_varz00;
																		{	/* Cfa/tvector.scm 115 */
																			BgL_objectz00_bglt BgL_arg1858z00_4929;

																			{	/* Cfa/tvector.scm 115 */
																				obj_t BgL_tmpz00_6696;

																				BgL_tmpz00_6696 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_funz00_3724));
																				BgL_arg1858z00_4929 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_6696);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Cfa/tvector.scm 115 */
																					long BgL_idxz00_4935;

																					BgL_idxz00_4935 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_4929);
																					BgL_test2494z00_6695 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4935 + 3L)) ==
																						BgL_classz00_4927);
																				}
																			else
																				{	/* Cfa/tvector.scm 115 */
																					bool_t BgL_res2343z00_4960;

																					{	/* Cfa/tvector.scm 115 */
																						obj_t BgL_oclassz00_4943;

																						{	/* Cfa/tvector.scm 115 */
																							obj_t BgL_arg1866z00_4951;
																							long BgL_arg1867z00_4952;

																							BgL_arg1866z00_4951 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Cfa/tvector.scm 115 */
																								long BgL_arg1869z00_4953;

																								BgL_arg1869z00_4953 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_4929);
																								BgL_arg1867z00_4952 =
																									(BgL_arg1869z00_4953 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4943 =
																								VECTOR_REF(BgL_arg1866z00_4951,
																								BgL_arg1867z00_4952);
																						}
																						{	/* Cfa/tvector.scm 115 */
																							bool_t BgL__ortest_1115z00_4944;

																							BgL__ortest_1115z00_4944 =
																								(BgL_classz00_4927 ==
																								BgL_oclassz00_4943);
																							if (BgL__ortest_1115z00_4944)
																								{	/* Cfa/tvector.scm 115 */
																									BgL_res2343z00_4960 =
																										BgL__ortest_1115z00_4944;
																								}
																							else
																								{	/* Cfa/tvector.scm 115 */
																									long BgL_odepthz00_4945;

																									{	/* Cfa/tvector.scm 115 */
																										obj_t BgL_arg1855z00_4946;

																										BgL_arg1855z00_4946 =
																											(BgL_oclassz00_4943);
																										BgL_odepthz00_4945 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_4946);
																									}
																									if ((3L < BgL_odepthz00_4945))
																										{	/* Cfa/tvector.scm 115 */
																											obj_t BgL_arg1853z00_4948;

																											{	/* Cfa/tvector.scm 115 */
																												obj_t
																													BgL_arg1854z00_4949;
																												BgL_arg1854z00_4949 =
																													(BgL_oclassz00_4943);
																												BgL_arg1853z00_4948 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_4949,
																													3L);
																											}
																											BgL_res2343z00_4960 =
																												(BgL_arg1853z00_4948 ==
																												BgL_classz00_4927);
																										}
																									else
																										{	/* Cfa/tvector.scm 115 */
																											BgL_res2343z00_4960 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2494z00_6695 =
																						BgL_res2343z00_4960;
																				}
																		}
																	}
																	if (BgL_test2494z00_6695)
																		{	/* Cfa/tvector.scm 116 */
																			obj_t BgL_arg1825z00_3730;
																			BgL_typez00_bglt BgL_arg1829z00_3731;

																			{	/* Cfa/tvector.scm 116 */
																				obj_t BgL_pairz00_4962;

																				BgL_pairz00_4962 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_funz00_3724)))->
																					BgL_argsz00);
																				BgL_arg1825z00_3730 =
																					CAR(CDR(CDR(BgL_pairz00_4962)));
																			}
																			BgL_arg1829z00_3731 =
																				BGl_getzd2defaultzd2typez00zztype_cachez00
																				();
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1825z00_3730))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt)
																					BgL_arg1829z00_3731), BUNSPEC);
																		}
																	else
																		{	/* Cfa/tvector.scm 115 */
																			BFALSE;
																		}
																}
														}
													}
												else
													{	/* Cfa/tvector.scm 109 */
														BFALSE;
													}
											}
										}
									}
									{
										obj_t BgL_l1617z00_6728;

										BgL_l1617z00_6728 = CDR(BgL_l1617z00_3718);
										BgL_l1617z00_3718 = BgL_l1617z00_6728;
										goto BgL_zc3z04anonymousza31814ze3z87_3719;
									}
								}
							else
								{	/* Cfa/tvector.scm 118 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 120 */
						obj_t BgL_gz00_3736;

						BgL_gz00_3736 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(2)), BNIL);
						{	/* Cfa/tvector.scm 121 */
							bool_t BgL_test2498z00_6733;

							{	/* Cfa/tvector.scm 121 */
								obj_t BgL_classz00_4971;

								BgL_classz00_4971 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3736))
									{	/* Cfa/tvector.scm 121 */
										BgL_objectz00_bglt BgL_arg1858z00_4973;

										BgL_arg1858z00_4973 = (BgL_objectz00_bglt) (BgL_gz00_3736);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 121 */
												long BgL_idxz00_4979;

												BgL_idxz00_4979 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_4973);
												BgL_test2498z00_6733 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4979 + 2L)) == BgL_classz00_4971);
											}
										else
											{	/* Cfa/tvector.scm 121 */
												bool_t BgL_res2344z00_5004;

												{	/* Cfa/tvector.scm 121 */
													obj_t BgL_oclassz00_4987;

													{	/* Cfa/tvector.scm 121 */
														obj_t BgL_arg1866z00_4995;
														long BgL_arg1867z00_4996;

														BgL_arg1866z00_4995 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 121 */
															long BgL_arg1869z00_4997;

															BgL_arg1869z00_4997 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_4973);
															BgL_arg1867z00_4996 =
																(BgL_arg1869z00_4997 - OBJECT_TYPE);
														}
														BgL_oclassz00_4987 =
															VECTOR_REF(BgL_arg1866z00_4995,
															BgL_arg1867z00_4996);
													}
													{	/* Cfa/tvector.scm 121 */
														bool_t BgL__ortest_1115z00_4988;

														BgL__ortest_1115z00_4988 =
															(BgL_classz00_4971 == BgL_oclassz00_4987);
														if (BgL__ortest_1115z00_4988)
															{	/* Cfa/tvector.scm 121 */
																BgL_res2344z00_5004 = BgL__ortest_1115z00_4988;
															}
														else
															{	/* Cfa/tvector.scm 121 */
																long BgL_odepthz00_4989;

																{	/* Cfa/tvector.scm 121 */
																	obj_t BgL_arg1855z00_4990;

																	BgL_arg1855z00_4990 = (BgL_oclassz00_4987);
																	BgL_odepthz00_4989 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_4990);
																}
																if ((2L < BgL_odepthz00_4989))
																	{	/* Cfa/tvector.scm 121 */
																		obj_t BgL_arg1853z00_4992;

																		{	/* Cfa/tvector.scm 121 */
																			obj_t BgL_arg1854z00_4993;

																			BgL_arg1854z00_4993 =
																				(BgL_oclassz00_4987);
																			BgL_arg1853z00_4992 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_4993, 2L);
																		}
																		BgL_res2344z00_5004 =
																			(BgL_arg1853z00_4992 ==
																			BgL_classz00_4971);
																	}
																else
																	{	/* Cfa/tvector.scm 121 */
																		BgL_res2344z00_5004 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2498z00_6733 = BgL_res2344z00_5004;
											}
									}
								else
									{	/* Cfa/tvector.scm 121 */
										BgL_test2498z00_6733 = ((bool_t) 0);
									}
							}
							if (BgL_test2498z00_6733)
								{	/* Cfa/tvector.scm 122 */
									BgL_valuez00_bglt BgL_fz00_3738;

									BgL_fz00_3738 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3736))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 123 */
										obj_t BgL_arg1845z00_3739;
										BgL_typez00_bglt BgL_arg1847z00_3740;

										BgL_arg1845z00_3739 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3738)))->
											BgL_argszd2typezd2);
										BgL_arg1847z00_3740 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										{	/* Cfa/tvector.scm 123 */
											obj_t BgL_auxz00_6764;
											obj_t BgL_tmpz00_6762;

											BgL_auxz00_6764 = ((obj_t) BgL_arg1847z00_3740);
											BgL_tmpz00_6762 = ((obj_t) BgL_arg1845z00_3739);
											SET_CAR(BgL_tmpz00_6762, BgL_auxz00_6764);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 121 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 124 */
						obj_t BgL_gz00_3742;

						BgL_gz00_3742 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(3)), BNIL);
						{	/* Cfa/tvector.scm 125 */
							bool_t BgL_test2503z00_6770;

							{	/* Cfa/tvector.scm 125 */
								obj_t BgL_classz00_5008;

								BgL_classz00_5008 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3742))
									{	/* Cfa/tvector.scm 125 */
										BgL_objectz00_bglt BgL_arg1858z00_5010;

										BgL_arg1858z00_5010 = (BgL_objectz00_bglt) (BgL_gz00_3742);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 125 */
												long BgL_idxz00_5016;

												BgL_idxz00_5016 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5010);
												BgL_test2503z00_6770 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5016 + 2L)) == BgL_classz00_5008);
											}
										else
											{	/* Cfa/tvector.scm 125 */
												bool_t BgL_res2345z00_5041;

												{	/* Cfa/tvector.scm 125 */
													obj_t BgL_oclassz00_5024;

													{	/* Cfa/tvector.scm 125 */
														obj_t BgL_arg1866z00_5032;
														long BgL_arg1867z00_5033;

														BgL_arg1866z00_5032 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 125 */
															long BgL_arg1869z00_5034;

															BgL_arg1869z00_5034 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5010);
															BgL_arg1867z00_5033 =
																(BgL_arg1869z00_5034 - OBJECT_TYPE);
														}
														BgL_oclassz00_5024 =
															VECTOR_REF(BgL_arg1866z00_5032,
															BgL_arg1867z00_5033);
													}
													{	/* Cfa/tvector.scm 125 */
														bool_t BgL__ortest_1115z00_5025;

														BgL__ortest_1115z00_5025 =
															(BgL_classz00_5008 == BgL_oclassz00_5024);
														if (BgL__ortest_1115z00_5025)
															{	/* Cfa/tvector.scm 125 */
																BgL_res2345z00_5041 = BgL__ortest_1115z00_5025;
															}
														else
															{	/* Cfa/tvector.scm 125 */
																long BgL_odepthz00_5026;

																{	/* Cfa/tvector.scm 125 */
																	obj_t BgL_arg1855z00_5027;

																	BgL_arg1855z00_5027 = (BgL_oclassz00_5024);
																	BgL_odepthz00_5026 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5027);
																}
																if ((2L < BgL_odepthz00_5026))
																	{	/* Cfa/tvector.scm 125 */
																		obj_t BgL_arg1853z00_5029;

																		{	/* Cfa/tvector.scm 125 */
																			obj_t BgL_arg1854z00_5030;

																			BgL_arg1854z00_5030 =
																				(BgL_oclassz00_5024);
																			BgL_arg1853z00_5029 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5030, 2L);
																		}
																		BgL_res2345z00_5041 =
																			(BgL_arg1853z00_5029 ==
																			BgL_classz00_5008);
																	}
																else
																	{	/* Cfa/tvector.scm 125 */
																		BgL_res2345z00_5041 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2503z00_6770 = BgL_res2345z00_5041;
											}
									}
								else
									{	/* Cfa/tvector.scm 125 */
										BgL_test2503z00_6770 = ((bool_t) 0);
									}
							}
							if (BgL_test2503z00_6770)
								{	/* Cfa/tvector.scm 126 */
									BgL_valuez00_bglt BgL_fz00_3744;

									BgL_fz00_3744 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3742))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 127 */
										obj_t BgL_arg1851z00_3745;
										BgL_typez00_bglt BgL_arg1852z00_3746;

										BgL_arg1851z00_3745 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3744)))->
											BgL_argszd2typezd2);
										BgL_arg1852z00_3746 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										{	/* Cfa/tvector.scm 127 */
											obj_t BgL_auxz00_6801;
											obj_t BgL_tmpz00_6799;

											BgL_auxz00_6801 = ((obj_t) BgL_arg1852z00_3746);
											BgL_tmpz00_6799 = ((obj_t) BgL_arg1851z00_3745);
											SET_CAR(BgL_tmpz00_6799, BgL_auxz00_6801);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 125 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 128 */
						obj_t BgL_gz00_3748;

						BgL_gz00_3748 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(4)), BNIL);
						{	/* Cfa/tvector.scm 129 */
							bool_t BgL_test2508z00_6807;

							{	/* Cfa/tvector.scm 129 */
								obj_t BgL_classz00_5045;

								BgL_classz00_5045 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3748))
									{	/* Cfa/tvector.scm 129 */
										BgL_objectz00_bglt BgL_arg1858z00_5047;

										BgL_arg1858z00_5047 = (BgL_objectz00_bglt) (BgL_gz00_3748);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 129 */
												long BgL_idxz00_5053;

												BgL_idxz00_5053 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5047);
												BgL_test2508z00_6807 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5053 + 2L)) == BgL_classz00_5045);
											}
										else
											{	/* Cfa/tvector.scm 129 */
												bool_t BgL_res2346z00_5078;

												{	/* Cfa/tvector.scm 129 */
													obj_t BgL_oclassz00_5061;

													{	/* Cfa/tvector.scm 129 */
														obj_t BgL_arg1866z00_5069;
														long BgL_arg1867z00_5070;

														BgL_arg1866z00_5069 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 129 */
															long BgL_arg1869z00_5071;

															BgL_arg1869z00_5071 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5047);
															BgL_arg1867z00_5070 =
																(BgL_arg1869z00_5071 - OBJECT_TYPE);
														}
														BgL_oclassz00_5061 =
															VECTOR_REF(BgL_arg1866z00_5069,
															BgL_arg1867z00_5070);
													}
													{	/* Cfa/tvector.scm 129 */
														bool_t BgL__ortest_1115z00_5062;

														BgL__ortest_1115z00_5062 =
															(BgL_classz00_5045 == BgL_oclassz00_5061);
														if (BgL__ortest_1115z00_5062)
															{	/* Cfa/tvector.scm 129 */
																BgL_res2346z00_5078 = BgL__ortest_1115z00_5062;
															}
														else
															{	/* Cfa/tvector.scm 129 */
																long BgL_odepthz00_5063;

																{	/* Cfa/tvector.scm 129 */
																	obj_t BgL_arg1855z00_5064;

																	BgL_arg1855z00_5064 = (BgL_oclassz00_5061);
																	BgL_odepthz00_5063 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5064);
																}
																if ((2L < BgL_odepthz00_5063))
																	{	/* Cfa/tvector.scm 129 */
																		obj_t BgL_arg1853z00_5066;

																		{	/* Cfa/tvector.scm 129 */
																			obj_t BgL_arg1854z00_5067;

																			BgL_arg1854z00_5067 =
																				(BgL_oclassz00_5061);
																			BgL_arg1853z00_5066 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5067, 2L);
																		}
																		BgL_res2346z00_5078 =
																			(BgL_arg1853z00_5066 ==
																			BgL_classz00_5045);
																	}
																else
																	{	/* Cfa/tvector.scm 129 */
																		BgL_res2346z00_5078 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2508z00_6807 = BgL_res2346z00_5078;
											}
									}
								else
									{	/* Cfa/tvector.scm 129 */
										BgL_test2508z00_6807 = ((bool_t) 0);
									}
							}
							if (BgL_test2508z00_6807)
								{	/* Cfa/tvector.scm 130 */
									BgL_valuez00_bglt BgL_fz00_3750;

									BgL_fz00_3750 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3748))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 131 */
										obj_t BgL_arg1856z00_3751;
										BgL_typez00_bglt BgL_arg1857z00_3752;

										{	/* Cfa/tvector.scm 131 */
											obj_t BgL_pairz00_5081;

											BgL_pairz00_5081 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_3750)))->BgL_argsz00);
											BgL_arg1856z00_3751 = CAR(BgL_pairz00_5081);
										}
										BgL_arg1857z00_3752 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										return
											((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_arg1856z00_3751))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_arg1857z00_3752), BUNSPEC);
									}
								}
							else
								{	/* Cfa/tvector.scm 129 */
									return BFALSE;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 106 */
					return BFALSE;
				}
		}

	}



/* &patch-vector-set! */
	obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t BgL_envz00_6101)
	{
		{	/* Cfa/tvector.scm 105 */
			return BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* unpatch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 136 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 137 */
					{	/* Cfa/tvector.scm 138 */
						obj_t BgL_g1622z00_3756;

						BgL_g1622z00_3756 = ((obj_t) CNST_TABLE_REF(5));
						{
							obj_t BgL_l1620z00_3758;

							BgL_l1620z00_3758 = BgL_g1622z00_3756;
						BgL_zc3z04anonymousza31862ze3z87_3759:
							if (PAIRP(BgL_l1620z00_3758))
								{	/* Cfa/tvector.scm 149 */
									{	/* Cfa/tvector.scm 139 */
										obj_t BgL_setz00_3761;

										BgL_setz00_3761 = CAR(BgL_l1620z00_3758);
										{	/* Cfa/tvector.scm 139 */
											obj_t BgL_gz00_3762;

											BgL_gz00_3762 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3761, BNIL);
											{	/* Cfa/tvector.scm 140 */
												bool_t BgL_test2515z00_6850;

												{	/* Cfa/tvector.scm 140 */
													obj_t BgL_classz00_5085;

													BgL_classz00_5085 = BGl_globalz00zzast_varz00;
													if (BGL_OBJECTP(BgL_gz00_3762))
														{	/* Cfa/tvector.scm 140 */
															BgL_objectz00_bglt BgL_arg1858z00_5087;

															BgL_arg1858z00_5087 =
																(BgL_objectz00_bglt) (BgL_gz00_3762);
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Cfa/tvector.scm 140 */
																	long BgL_idxz00_5093;

																	BgL_idxz00_5093 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1858z00_5087);
																	BgL_test2515z00_6850 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5093 + 2L)) ==
																		BgL_classz00_5085);
																}
															else
																{	/* Cfa/tvector.scm 140 */
																	bool_t BgL_res2347z00_5118;

																	{	/* Cfa/tvector.scm 140 */
																		obj_t BgL_oclassz00_5101;

																		{	/* Cfa/tvector.scm 140 */
																			obj_t BgL_arg1866z00_5109;
																			long BgL_arg1867z00_5110;

																			BgL_arg1866z00_5109 =
																				(BGl_za2classesza2z00zz__objectz00);
																			{	/* Cfa/tvector.scm 140 */
																				long BgL_arg1869z00_5111;

																				BgL_arg1869z00_5111 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1858z00_5087);
																				BgL_arg1867z00_5110 =
																					(BgL_arg1869z00_5111 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5101 =
																				VECTOR_REF(BgL_arg1866z00_5109,
																				BgL_arg1867z00_5110);
																		}
																		{	/* Cfa/tvector.scm 140 */
																			bool_t BgL__ortest_1115z00_5102;

																			BgL__ortest_1115z00_5102 =
																				(BgL_classz00_5085 ==
																				BgL_oclassz00_5101);
																			if (BgL__ortest_1115z00_5102)
																				{	/* Cfa/tvector.scm 140 */
																					BgL_res2347z00_5118 =
																						BgL__ortest_1115z00_5102;
																				}
																			else
																				{	/* Cfa/tvector.scm 140 */
																					long BgL_odepthz00_5103;

																					{	/* Cfa/tvector.scm 140 */
																						obj_t BgL_arg1855z00_5104;

																						BgL_arg1855z00_5104 =
																							(BgL_oclassz00_5101);
																						BgL_odepthz00_5103 =
																							BGL_CLASS_DEPTH
																							(BgL_arg1855z00_5104);
																					}
																					if ((2L < BgL_odepthz00_5103))
																						{	/* Cfa/tvector.scm 140 */
																							obj_t BgL_arg1853z00_5106;

																							{	/* Cfa/tvector.scm 140 */
																								obj_t BgL_arg1854z00_5107;

																								BgL_arg1854z00_5107 =
																									(BgL_oclassz00_5101);
																								BgL_arg1853z00_5106 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_arg1854z00_5107, 2L);
																							}
																							BgL_res2347z00_5118 =
																								(BgL_arg1853z00_5106 ==
																								BgL_classz00_5085);
																						}
																					else
																						{	/* Cfa/tvector.scm 140 */
																							BgL_res2347z00_5118 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2515z00_6850 = BgL_res2347z00_5118;
																}
														}
													else
														{	/* Cfa/tvector.scm 140 */
															BgL_test2515z00_6850 = ((bool_t) 0);
														}
												}
												if (BgL_test2515z00_6850)
													{	/* Cfa/tvector.scm 141 */
														BgL_valuez00_bglt BgL_funz00_3764;

														BgL_funz00_3764 =
															(((BgL_variablez00_bglt) COBJECT(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_3762))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 143 */
															bool_t BgL_test2520z00_6876;

															{	/* Cfa/tvector.scm 143 */
																obj_t BgL_classz00_5120;

																BgL_classz00_5120 = BGl_cfunz00zzast_varz00;
																{	/* Cfa/tvector.scm 143 */
																	BgL_objectz00_bglt BgL_arg1858z00_5122;

																	{	/* Cfa/tvector.scm 143 */
																		obj_t BgL_tmpz00_6877;

																		BgL_tmpz00_6877 =
																			((obj_t)
																			((BgL_objectz00_bglt) BgL_funz00_3764));
																		BgL_arg1858z00_5122 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_6877);
																	}
																	if (BGL_CONDEXPAND_ISA_ARCH64())
																		{	/* Cfa/tvector.scm 143 */
																			long BgL_idxz00_5128;

																			BgL_idxz00_5128 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1858z00_5122);
																			BgL_test2520z00_6876 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_5128 + 3L)) ==
																				BgL_classz00_5120);
																		}
																	else
																		{	/* Cfa/tvector.scm 143 */
																			bool_t BgL_res2348z00_5153;

																			{	/* Cfa/tvector.scm 143 */
																				obj_t BgL_oclassz00_5136;

																				{	/* Cfa/tvector.scm 143 */
																					obj_t BgL_arg1866z00_5144;
																					long BgL_arg1867z00_5145;

																					BgL_arg1866z00_5144 =
																						(BGl_za2classesza2z00zz__objectz00);
																					{	/* Cfa/tvector.scm 143 */
																						long BgL_arg1869z00_5146;

																						BgL_arg1869z00_5146 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1858z00_5122);
																						BgL_arg1867z00_5145 =
																							(BgL_arg1869z00_5146 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_5136 =
																						VECTOR_REF(BgL_arg1866z00_5144,
																						BgL_arg1867z00_5145);
																				}
																				{	/* Cfa/tvector.scm 143 */
																					bool_t BgL__ortest_1115z00_5137;

																					BgL__ortest_1115z00_5137 =
																						(BgL_classz00_5120 ==
																						BgL_oclassz00_5136);
																					if (BgL__ortest_1115z00_5137)
																						{	/* Cfa/tvector.scm 143 */
																							BgL_res2348z00_5153 =
																								BgL__ortest_1115z00_5137;
																						}
																					else
																						{	/* Cfa/tvector.scm 143 */
																							long BgL_odepthz00_5138;

																							{	/* Cfa/tvector.scm 143 */
																								obj_t BgL_arg1855z00_5139;

																								BgL_arg1855z00_5139 =
																									(BgL_oclassz00_5136);
																								BgL_odepthz00_5138 =
																									BGL_CLASS_DEPTH
																									(BgL_arg1855z00_5139);
																							}
																							if ((3L < BgL_odepthz00_5138))
																								{	/* Cfa/tvector.scm 143 */
																									obj_t BgL_arg1853z00_5141;

																									{	/* Cfa/tvector.scm 143 */
																										obj_t BgL_arg1854z00_5142;

																										BgL_arg1854z00_5142 =
																											(BgL_oclassz00_5136);
																										BgL_arg1853z00_5141 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_arg1854z00_5142, 3L);
																									}
																									BgL_res2348z00_5153 =
																										(BgL_arg1853z00_5141 ==
																										BgL_classz00_5120);
																								}
																							else
																								{	/* Cfa/tvector.scm 143 */
																									BgL_res2348z00_5153 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_test2520z00_6876 =
																				BgL_res2348z00_5153;
																		}
																}
															}
															if (BgL_test2520z00_6876)
																{	/* Cfa/tvector.scm 144 */
																	obj_t BgL_arg1872z00_3766;

																	{	/* Cfa/tvector.scm 144 */
																		obj_t BgL_pairz00_5155;

																		BgL_pairz00_5155 =
																			(((BgL_cfunz00_bglt) COBJECT(
																					((BgL_cfunz00_bglt)
																						BgL_funz00_3764)))->
																			BgL_argszd2typezd2);
																		BgL_arg1872z00_3766 =
																			CDR(CDR(BgL_pairz00_5155));
																	}
																	{	/* Cfa/tvector.scm 144 */
																		obj_t BgL_objz00_5160;

																		BgL_objz00_5160 =
																			BGl_za2objza2z00zztype_cachez00;
																		{	/* Cfa/tvector.scm 144 */
																			obj_t BgL_tmpz00_6904;

																			BgL_tmpz00_6904 =
																				((obj_t) BgL_arg1872z00_3766);
																			SET_CAR(BgL_tmpz00_6904, BgL_objz00_5160);
																		}
																	}
																}
															else
																{	/* Cfa/tvector.scm 146 */
																	bool_t BgL_test2524z00_6907;

																	{	/* Cfa/tvector.scm 146 */
																		obj_t BgL_classz00_5161;

																		BgL_classz00_5161 = BGl_sfunz00zzast_varz00;
																		{	/* Cfa/tvector.scm 146 */
																			BgL_objectz00_bglt BgL_arg1858z00_5163;

																			{	/* Cfa/tvector.scm 146 */
																				obj_t BgL_tmpz00_6908;

																				BgL_tmpz00_6908 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_funz00_3764));
																				BgL_arg1858z00_5163 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_6908);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Cfa/tvector.scm 146 */
																					long BgL_idxz00_5169;

																					BgL_idxz00_5169 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_5163);
																					BgL_test2524z00_6907 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_5169 + 3L)) ==
																						BgL_classz00_5161);
																				}
																			else
																				{	/* Cfa/tvector.scm 146 */
																					bool_t BgL_res2349z00_5194;

																					{	/* Cfa/tvector.scm 146 */
																						obj_t BgL_oclassz00_5177;

																						{	/* Cfa/tvector.scm 146 */
																							obj_t BgL_arg1866z00_5185;
																							long BgL_arg1867z00_5186;

																							BgL_arg1866z00_5185 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Cfa/tvector.scm 146 */
																								long BgL_arg1869z00_5187;

																								BgL_arg1869z00_5187 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_5163);
																								BgL_arg1867z00_5186 =
																									(BgL_arg1869z00_5187 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_5177 =
																								VECTOR_REF(BgL_arg1866z00_5185,
																								BgL_arg1867z00_5186);
																						}
																						{	/* Cfa/tvector.scm 146 */
																							bool_t BgL__ortest_1115z00_5178;

																							BgL__ortest_1115z00_5178 =
																								(BgL_classz00_5161 ==
																								BgL_oclassz00_5177);
																							if (BgL__ortest_1115z00_5178)
																								{	/* Cfa/tvector.scm 146 */
																									BgL_res2349z00_5194 =
																										BgL__ortest_1115z00_5178;
																								}
																							else
																								{	/* Cfa/tvector.scm 146 */
																									long BgL_odepthz00_5179;

																									{	/* Cfa/tvector.scm 146 */
																										obj_t BgL_arg1855z00_5180;

																										BgL_arg1855z00_5180 =
																											(BgL_oclassz00_5177);
																										BgL_odepthz00_5179 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_5180);
																									}
																									if ((3L < BgL_odepthz00_5179))
																										{	/* Cfa/tvector.scm 146 */
																											obj_t BgL_arg1853z00_5182;

																											{	/* Cfa/tvector.scm 146 */
																												obj_t
																													BgL_arg1854z00_5183;
																												BgL_arg1854z00_5183 =
																													(BgL_oclassz00_5177);
																												BgL_arg1853z00_5182 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_5183,
																													3L);
																											}
																											BgL_res2349z00_5194 =
																												(BgL_arg1853z00_5182 ==
																												BgL_classz00_5161);
																										}
																									else
																										{	/* Cfa/tvector.scm 146 */
																											BgL_res2349z00_5194 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2524z00_6907 =
																						BgL_res2349z00_5194;
																				}
																		}
																	}
																	if (BgL_test2524z00_6907)
																		{	/* Cfa/tvector.scm 147 */
																			obj_t BgL_arg1876z00_3769;

																			{	/* Cfa/tvector.scm 147 */
																				obj_t BgL_pairz00_5196;

																				BgL_pairz00_5196 =
																					(((BgL_sfunz00_bglt) COBJECT(
																							((BgL_sfunz00_bglt)
																								BgL_funz00_3764)))->
																					BgL_argsz00);
																				BgL_arg1876z00_3769 =
																					CAR(CDR(CDR(BgL_pairz00_5196)));
																			}
																			{	/* Cfa/tvector.scm 147 */
																				BgL_typez00_bglt BgL_vz00_5203;

																				BgL_vz00_5203 =
																					((BgL_typez00_bglt)
																					BGl_za2objza2z00zztype_cachez00);
																				((((BgL_variablez00_bglt)
																							COBJECT(((BgL_variablez00_bglt) (
																										(BgL_localz00_bglt)
																										BgL_arg1876z00_3769))))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_vz00_5203),
																					BUNSPEC);
																			}
																		}
																	else
																		{	/* Cfa/tvector.scm 146 */
																			BFALSE;
																		}
																}
														}
													}
												else
													{	/* Cfa/tvector.scm 140 */
														BFALSE;
													}
											}
										}
									}
									{
										obj_t BgL_l1620z00_6940;

										BgL_l1620z00_6940 = CDR(BgL_l1620z00_3758);
										BgL_l1620z00_3758 = BgL_l1620z00_6940;
										goto BgL_zc3z04anonymousza31862ze3z87_3759;
									}
								}
							else
								{	/* Cfa/tvector.scm 149 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 150 */
						obj_t BgL_gz00_3774;

						BgL_gz00_3774 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(2)), BNIL);
						{	/* Cfa/tvector.scm 151 */
							bool_t BgL_test2528z00_6945;

							{	/* Cfa/tvector.scm 151 */
								obj_t BgL_classz00_5205;

								BgL_classz00_5205 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3774))
									{	/* Cfa/tvector.scm 151 */
										BgL_objectz00_bglt BgL_arg1858z00_5207;

										BgL_arg1858z00_5207 = (BgL_objectz00_bglt) (BgL_gz00_3774);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 151 */
												long BgL_idxz00_5213;

												BgL_idxz00_5213 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5207);
												BgL_test2528z00_6945 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5213 + 2L)) == BgL_classz00_5205);
											}
										else
											{	/* Cfa/tvector.scm 151 */
												bool_t BgL_res2350z00_5238;

												{	/* Cfa/tvector.scm 151 */
													obj_t BgL_oclassz00_5221;

													{	/* Cfa/tvector.scm 151 */
														obj_t BgL_arg1866z00_5229;
														long BgL_arg1867z00_5230;

														BgL_arg1866z00_5229 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 151 */
															long BgL_arg1869z00_5231;

															BgL_arg1869z00_5231 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5207);
															BgL_arg1867z00_5230 =
																(BgL_arg1869z00_5231 - OBJECT_TYPE);
														}
														BgL_oclassz00_5221 =
															VECTOR_REF(BgL_arg1866z00_5229,
															BgL_arg1867z00_5230);
													}
													{	/* Cfa/tvector.scm 151 */
														bool_t BgL__ortest_1115z00_5222;

														BgL__ortest_1115z00_5222 =
															(BgL_classz00_5205 == BgL_oclassz00_5221);
														if (BgL__ortest_1115z00_5222)
															{	/* Cfa/tvector.scm 151 */
																BgL_res2350z00_5238 = BgL__ortest_1115z00_5222;
															}
														else
															{	/* Cfa/tvector.scm 151 */
																long BgL_odepthz00_5223;

																{	/* Cfa/tvector.scm 151 */
																	obj_t BgL_arg1855z00_5224;

																	BgL_arg1855z00_5224 = (BgL_oclassz00_5221);
																	BgL_odepthz00_5223 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5224);
																}
																if ((2L < BgL_odepthz00_5223))
																	{	/* Cfa/tvector.scm 151 */
																		obj_t BgL_arg1853z00_5226;

																		{	/* Cfa/tvector.scm 151 */
																			obj_t BgL_arg1854z00_5227;

																			BgL_arg1854z00_5227 =
																				(BgL_oclassz00_5221);
																			BgL_arg1853z00_5226 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5227, 2L);
																		}
																		BgL_res2350z00_5238 =
																			(BgL_arg1853z00_5226 ==
																			BgL_classz00_5205);
																	}
																else
																	{	/* Cfa/tvector.scm 151 */
																		BgL_res2350z00_5238 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2528z00_6945 = BgL_res2350z00_5238;
											}
									}
								else
									{	/* Cfa/tvector.scm 151 */
										BgL_test2528z00_6945 = ((bool_t) 0);
									}
							}
							if (BgL_test2528z00_6945)
								{	/* Cfa/tvector.scm 152 */
									BgL_valuez00_bglt BgL_fz00_3776;

									BgL_fz00_3776 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3774))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 153 */
										obj_t BgL_arg1884z00_3777;

										BgL_arg1884z00_3777 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3776)))->
											BgL_argszd2typezd2);
										{	/* Cfa/tvector.scm 153 */
											obj_t BgL_objz00_5242;

											BgL_objz00_5242 = BGl_za2objza2z00zztype_cachez00;
											{	/* Cfa/tvector.scm 153 */
												obj_t BgL_tmpz00_6973;

												BgL_tmpz00_6973 = ((obj_t) BgL_arg1884z00_3777);
												SET_CAR(BgL_tmpz00_6973, BgL_objz00_5242);
											}
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 151 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 154 */
						obj_t BgL_gz00_3779;

						BgL_gz00_3779 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(3)), BNIL);
						{	/* Cfa/tvector.scm 155 */
							bool_t BgL_test2533z00_6979;

							{	/* Cfa/tvector.scm 155 */
								obj_t BgL_classz00_5243;

								BgL_classz00_5243 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3779))
									{	/* Cfa/tvector.scm 155 */
										BgL_objectz00_bglt BgL_arg1858z00_5245;

										BgL_arg1858z00_5245 = (BgL_objectz00_bglt) (BgL_gz00_3779);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 155 */
												long BgL_idxz00_5251;

												BgL_idxz00_5251 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5245);
												BgL_test2533z00_6979 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5251 + 2L)) == BgL_classz00_5243);
											}
										else
											{	/* Cfa/tvector.scm 155 */
												bool_t BgL_res2351z00_5276;

												{	/* Cfa/tvector.scm 155 */
													obj_t BgL_oclassz00_5259;

													{	/* Cfa/tvector.scm 155 */
														obj_t BgL_arg1866z00_5267;
														long BgL_arg1867z00_5268;

														BgL_arg1866z00_5267 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 155 */
															long BgL_arg1869z00_5269;

															BgL_arg1869z00_5269 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5245);
															BgL_arg1867z00_5268 =
																(BgL_arg1869z00_5269 - OBJECT_TYPE);
														}
														BgL_oclassz00_5259 =
															VECTOR_REF(BgL_arg1866z00_5267,
															BgL_arg1867z00_5268);
													}
													{	/* Cfa/tvector.scm 155 */
														bool_t BgL__ortest_1115z00_5260;

														BgL__ortest_1115z00_5260 =
															(BgL_classz00_5243 == BgL_oclassz00_5259);
														if (BgL__ortest_1115z00_5260)
															{	/* Cfa/tvector.scm 155 */
																BgL_res2351z00_5276 = BgL__ortest_1115z00_5260;
															}
														else
															{	/* Cfa/tvector.scm 155 */
																long BgL_odepthz00_5261;

																{	/* Cfa/tvector.scm 155 */
																	obj_t BgL_arg1855z00_5262;

																	BgL_arg1855z00_5262 = (BgL_oclassz00_5259);
																	BgL_odepthz00_5261 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5262);
																}
																if ((2L < BgL_odepthz00_5261))
																	{	/* Cfa/tvector.scm 155 */
																		obj_t BgL_arg1853z00_5264;

																		{	/* Cfa/tvector.scm 155 */
																			obj_t BgL_arg1854z00_5265;

																			BgL_arg1854z00_5265 =
																				(BgL_oclassz00_5259);
																			BgL_arg1853z00_5264 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5265, 2L);
																		}
																		BgL_res2351z00_5276 =
																			(BgL_arg1853z00_5264 ==
																			BgL_classz00_5243);
																	}
																else
																	{	/* Cfa/tvector.scm 155 */
																		BgL_res2351z00_5276 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2533z00_6979 = BgL_res2351z00_5276;
											}
									}
								else
									{	/* Cfa/tvector.scm 155 */
										BgL_test2533z00_6979 = ((bool_t) 0);
									}
							}
							if (BgL_test2533z00_6979)
								{	/* Cfa/tvector.scm 156 */
									BgL_valuez00_bglt BgL_fz00_3781;

									BgL_fz00_3781 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3779))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 157 */
										obj_t BgL_arg1887z00_3782;

										BgL_arg1887z00_3782 =
											(((BgL_cfunz00_bglt) COBJECT(
													((BgL_cfunz00_bglt) BgL_fz00_3781)))->
											BgL_argszd2typezd2);
										{	/* Cfa/tvector.scm 157 */
											obj_t BgL_objz00_5280;

											BgL_objz00_5280 = BGl_za2objza2z00zztype_cachez00;
											{	/* Cfa/tvector.scm 157 */
												obj_t BgL_tmpz00_7007;

												BgL_tmpz00_7007 = ((obj_t) BgL_arg1887z00_3782);
												SET_CAR(BgL_tmpz00_7007, BgL_objz00_5280);
											}
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 155 */
									BFALSE;
								}
						}
					}
					{	/* Cfa/tvector.scm 158 */
						obj_t BgL_gz00_3784;

						BgL_gz00_3784 =
							BGl_findzd2globalzd2zzast_envz00(
							((obj_t) CNST_TABLE_REF(4)), BNIL);
						{	/* Cfa/tvector.scm 159 */
							bool_t BgL_test2538z00_7013;

							{	/* Cfa/tvector.scm 159 */
								obj_t BgL_classz00_5281;

								BgL_classz00_5281 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gz00_3784))
									{	/* Cfa/tvector.scm 159 */
										BgL_objectz00_bglt BgL_arg1858z00_5283;

										BgL_arg1858z00_5283 = (BgL_objectz00_bglt) (BgL_gz00_3784);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 159 */
												long BgL_idxz00_5289;

												BgL_idxz00_5289 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5283);
												BgL_test2538z00_7013 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5289 + 2L)) == BgL_classz00_5281);
											}
										else
											{	/* Cfa/tvector.scm 159 */
												bool_t BgL_res2352z00_5314;

												{	/* Cfa/tvector.scm 159 */
													obj_t BgL_oclassz00_5297;

													{	/* Cfa/tvector.scm 159 */
														obj_t BgL_arg1866z00_5305;
														long BgL_arg1867z00_5306;

														BgL_arg1866z00_5305 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 159 */
															long BgL_arg1869z00_5307;

															BgL_arg1869z00_5307 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5283);
															BgL_arg1867z00_5306 =
																(BgL_arg1869z00_5307 - OBJECT_TYPE);
														}
														BgL_oclassz00_5297 =
															VECTOR_REF(BgL_arg1866z00_5305,
															BgL_arg1867z00_5306);
													}
													{	/* Cfa/tvector.scm 159 */
														bool_t BgL__ortest_1115z00_5298;

														BgL__ortest_1115z00_5298 =
															(BgL_classz00_5281 == BgL_oclassz00_5297);
														if (BgL__ortest_1115z00_5298)
															{	/* Cfa/tvector.scm 159 */
																BgL_res2352z00_5314 = BgL__ortest_1115z00_5298;
															}
														else
															{	/* Cfa/tvector.scm 159 */
																long BgL_odepthz00_5299;

																{	/* Cfa/tvector.scm 159 */
																	obj_t BgL_arg1855z00_5300;

																	BgL_arg1855z00_5300 = (BgL_oclassz00_5297);
																	BgL_odepthz00_5299 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5300);
																}
																if ((2L < BgL_odepthz00_5299))
																	{	/* Cfa/tvector.scm 159 */
																		obj_t BgL_arg1853z00_5302;

																		{	/* Cfa/tvector.scm 159 */
																			obj_t BgL_arg1854z00_5303;

																			BgL_arg1854z00_5303 =
																				(BgL_oclassz00_5297);
																			BgL_arg1853z00_5302 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5303, 2L);
																		}
																		BgL_res2352z00_5314 =
																			(BgL_arg1853z00_5302 ==
																			BgL_classz00_5281);
																	}
																else
																	{	/* Cfa/tvector.scm 159 */
																		BgL_res2352z00_5314 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2538z00_7013 = BgL_res2352z00_5314;
											}
									}
								else
									{	/* Cfa/tvector.scm 159 */
										BgL_test2538z00_7013 = ((bool_t) 0);
									}
							}
							if (BgL_test2538z00_7013)
								{	/* Cfa/tvector.scm 160 */
									BgL_valuez00_bglt BgL_fz00_3786;

									BgL_fz00_3786 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_3784))))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 161 */
										obj_t BgL_arg1890z00_3787;

										{	/* Cfa/tvector.scm 161 */
											obj_t BgL_pairz00_5317;

											BgL_pairz00_5317 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_3786)))->BgL_argsz00);
											BgL_arg1890z00_3787 = CAR(BgL_pairz00_5317);
										}
										{	/* Cfa/tvector.scm 161 */
											BgL_typez00_bglt BgL_vz00_5319;

											BgL_vz00_5319 =
												((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_localz00_bglt) BgL_arg1890z00_3787))))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_5319), BUNSPEC);
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 159 */
									BFALSE;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 137 */
					BFALSE;
				}
			return BUNSPEC;
		}

	}



/* &unpatch-vector-set! */
	obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t
		BgL_envz00_6102)
	{
		{	/* Cfa/tvector.scm 136 */
			return BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* add-make-vector! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_56)
	{
		{	/* Cfa/tvector.scm 172 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 173 */
					return (BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_nodez00_56),
							BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00), BUNSPEC);
				}
			else
				{	/* Cfa/tvector.scm 173 */
					return BFALSE;
				}
		}

	}



/* &add-make-vector! */
	obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t BgL_envz00_6103,
		obj_t BgL_nodez00_6104)
	{
		{	/* Cfa/tvector.scm 172 */
			return
				BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_6104));
		}

	}



/* get-tvectors */
	obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 182 */
			{
				obj_t BgL_appsz00_3794;
				obj_t BgL_vectorsz00_3795;
				obj_t BgL_tvectorsz00_3796;

				BgL_appsz00_3794 = BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00;
				BgL_vectorsz00_3795 = BNIL;
				BgL_tvectorsz00_3796 = BNIL;
			BgL_zc3z04anonymousza31894ze3z87_3797:
				if (NULLP(BgL_appsz00_3794))
					{	/* Cfa/tvector.scm 186 */
						{	/* Cfa/tvector.scm 187 */
							int BgL_tmpz00_7056;

							BgL_tmpz00_7056 = (int) (2L);
							BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7056);
						}
						{	/* Cfa/tvector.scm 187 */
							int BgL_tmpz00_7059;

							BgL_tmpz00_7059 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_7059, BgL_tvectorsz00_3796);
						}
						return BgL_vectorsz00_3795;
					}
				else
					{	/* Cfa/tvector.scm 188 */
						obj_t BgL_appz00_3801;

						BgL_appz00_3801 = CAR(((obj_t) BgL_appsz00_3794));
						{	/* Cfa/tvector.scm 188 */
							obj_t BgL_typez00_3802;

							BgL_typez00_3802 =
								((obj_t)
								BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_appz00_3801)));
							{	/* Cfa/tvector.scm 189 */

								{	/* Cfa/tvector.scm 193 */
									bool_t BgL_test2545z00_7067;

									if ((BgL_typez00_3802 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/tvector.scm 193 */
											BgL_test2545z00_7067 = ((bool_t) 0);
										}
									else
										{	/* Cfa/tvector.scm 193 */
											if (BGl_subzd2typezf3z21zztype_envz00(
													((BgL_typez00_bglt) BgL_typez00_3802),
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00)))
												{	/* Cfa/tvector.scm 194 */
													BgL_test2545z00_7067 = ((bool_t) 0);
												}
											else
												{	/* Cfa/tvector.scm 194 */
													BgL_test2545z00_7067 = ((bool_t) 1);
												}
										}
									if (BgL_test2545z00_7067)
										{	/* Cfa/tvector.scm 195 */
											obj_t BgL_arg1898z00_3805;
											obj_t BgL_arg1899z00_3806;

											BgL_arg1898z00_3805 = CDR(((obj_t) BgL_appsz00_3794));
											BgL_arg1899z00_3806 =
												MAKE_YOUNG_PAIR(BgL_appz00_3801, BgL_tvectorsz00_3796);
											{
												obj_t BgL_tvectorsz00_7078;
												obj_t BgL_appsz00_7077;

												BgL_appsz00_7077 = BgL_arg1898z00_3805;
												BgL_tvectorsz00_7078 = BgL_arg1899z00_3806;
												BgL_tvectorsz00_3796 = BgL_tvectorsz00_7078;
												BgL_appsz00_3794 = BgL_appsz00_7077;
												goto BgL_zc3z04anonymousza31894ze3z87_3797;
											}
										}
									else
										{	/* Cfa/tvector.scm 196 */
											obj_t BgL_arg1900z00_3807;
											obj_t BgL_arg1901z00_3808;

											BgL_arg1900z00_3807 = CDR(((obj_t) BgL_appsz00_3794));
											BgL_arg1901z00_3808 =
												MAKE_YOUNG_PAIR(BgL_appz00_3801, BgL_vectorsz00_3795);
											{
												obj_t BgL_vectorsz00_7083;
												obj_t BgL_appsz00_7082;

												BgL_appsz00_7082 = BgL_arg1900z00_3807;
												BgL_vectorsz00_7083 = BgL_arg1901z00_3808;
												BgL_vectorsz00_3795 = BgL_vectorsz00_7083;
												BgL_appsz00_3794 = BgL_appsz00_7082;
												goto BgL_zc3z04anonymousza31894ze3z87_3797;
											}
										}
								}
							}
						}
					}
			}
		}

	}



/* show-tvector */
	bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_60)
	{
		{	/* Cfa/tvector.scm 224 */
			{	/* Cfa/tvector.scm 225 */
				obj_t BgL_list1902z00_3811;

				{	/* Cfa/tvector.scm 225 */
					obj_t BgL_arg1903z00_3812;

					BgL_arg1903z00_3812 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1902z00_3811 =
						MAKE_YOUNG_PAIR(BGl_string2381z00zzcfa_tvectorz00,
						BgL_arg1903z00_3812);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1902z00_3811);
			}
			{
				obj_t BgL_l1625z00_3814;

				BgL_l1625z00_3814 = BgL_tvectorz00_60;
			BgL_zc3z04anonymousza31904ze3z87_3815:
				if (PAIRP(BgL_l1625z00_3814))
					{	/* Cfa/tvector.scm 226 */
						{	/* Cfa/tvector.scm 227 */
							obj_t BgL_appz00_3817;

							BgL_appz00_3817 = CAR(BgL_l1625z00_3814);
							{	/* Cfa/tvector.scm 228 */
								obj_t BgL_arg1906z00_3818;
								obj_t BgL_arg1907z00_3819;

								BgL_arg1906z00_3818 =
									BGl_shapez00zztools_shapez00(BGl_za2objza2z00zztype_cachez00);
								{	/* Cfa/tvector.scm 230 */
									BgL_typez00_bglt BgL_arg1913z00_3825;

									BgL_arg1913z00_3825 =
										BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
										((BgL_nodez00_bglt) BgL_appz00_3817));
									BgL_arg1907z00_3819 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1913z00_3825));
								}
								{	/* Cfa/tvector.scm 227 */
									obj_t BgL_list1908z00_3820;

									{	/* Cfa/tvector.scm 227 */
										obj_t BgL_arg1909z00_3821;

										{	/* Cfa/tvector.scm 227 */
											obj_t BgL_arg1910z00_3822;

											{	/* Cfa/tvector.scm 227 */
												obj_t BgL_arg1911z00_3823;

												{	/* Cfa/tvector.scm 227 */
													obj_t BgL_arg1912z00_3824;

													BgL_arg1912z00_3824 =
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
													BgL_arg1911z00_3823 =
														MAKE_YOUNG_PAIR(BgL_arg1907z00_3819,
														BgL_arg1912z00_3824);
												}
												BgL_arg1910z00_3822 =
													MAKE_YOUNG_PAIR(BGl_string2382z00zzcfa_tvectorz00,
													BgL_arg1911z00_3823);
											}
											BgL_arg1909z00_3821 =
												MAKE_YOUNG_PAIR(BgL_arg1906z00_3818,
												BgL_arg1910z00_3822);
										}
										BgL_list1908z00_3820 =
											MAKE_YOUNG_PAIR(BGl_string2383z00zzcfa_tvectorz00,
											BgL_arg1909z00_3821);
									}
									BGl_verbosez00zztools_speekz00(BINT(2L),
										BgL_list1908z00_3820);
						}}}
						{
							obj_t BgL_l1625z00_7105;

							BgL_l1625z00_7105 = CDR(BgL_l1625z00_3814);
							BgL_l1625z00_3814 = BgL_l1625z00_7105;
							goto BgL_zc3z04anonymousza31904ze3z87_3815;
						}
					}
				else
					{	/* Cfa/tvector.scm 226 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* declare-tvectors */
	obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_61)
	{
		{	/* Cfa/tvector.scm 237 */
			{
				obj_t BgL_l1627z00_3829;

				BgL_l1627z00_3829 = BgL_tvectorz00_61;
			BgL_zc3z04anonymousza31916ze3z87_3830:
				if (PAIRP(BgL_l1627z00_3829))
					{	/* Cfa/tvector.scm 239 */
						{	/* Cfa/tvector.scm 240 */
							obj_t BgL_appz00_3832;

							BgL_appz00_3832 = CAR(BgL_l1627z00_3829);
							{	/* Cfa/tvector.scm 240 */
								BgL_typez00_bglt BgL_typez00_3833;

								BgL_typez00_3833 =
									BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_appz00_3832));
								{	/* Cfa/tvector.scm 242 */
									bool_t BgL_test2550z00_7112;

									{	/* Cfa/tvector.scm 242 */
										obj_t BgL_arg1927z00_3843;

										BgL_arg1927z00_3843 =
											(((BgL_typez00_bglt) COBJECT(BgL_typez00_3833))->
											BgL_tvectorz00);
										{	/* Cfa/tvector.scm 242 */
											obj_t BgL_classz00_5326;

											BgL_classz00_5326 = BGl_typez00zztype_typez00;
											if (BGL_OBJECTP(BgL_arg1927z00_3843))
												{	/* Cfa/tvector.scm 242 */
													BgL_objectz00_bglt BgL_arg1858z00_5328;

													BgL_arg1858z00_5328 =
														(BgL_objectz00_bglt) (BgL_arg1927z00_3843);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/tvector.scm 242 */
															long BgL_idxz00_5334;

															BgL_idxz00_5334 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5328);
															BgL_test2550z00_7112 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5334 + 1L)) == BgL_classz00_5326);
														}
													else
														{	/* Cfa/tvector.scm 242 */
															bool_t BgL_res2353z00_5359;

															{	/* Cfa/tvector.scm 242 */
																obj_t BgL_oclassz00_5342;

																{	/* Cfa/tvector.scm 242 */
																	obj_t BgL_arg1866z00_5350;
																	long BgL_arg1867z00_5351;

																	BgL_arg1866z00_5350 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/tvector.scm 242 */
																		long BgL_arg1869z00_5352;

																		BgL_arg1869z00_5352 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5328);
																		BgL_arg1867z00_5351 =
																			(BgL_arg1869z00_5352 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5342 =
																		VECTOR_REF(BgL_arg1866z00_5350,
																		BgL_arg1867z00_5351);
																}
																{	/* Cfa/tvector.scm 242 */
																	bool_t BgL__ortest_1115z00_5343;

																	BgL__ortest_1115z00_5343 =
																		(BgL_classz00_5326 == BgL_oclassz00_5342);
																	if (BgL__ortest_1115z00_5343)
																		{	/* Cfa/tvector.scm 242 */
																			BgL_res2353z00_5359 =
																				BgL__ortest_1115z00_5343;
																		}
																	else
																		{	/* Cfa/tvector.scm 242 */
																			long BgL_odepthz00_5344;

																			{	/* Cfa/tvector.scm 242 */
																				obj_t BgL_arg1855z00_5345;

																				BgL_arg1855z00_5345 =
																					(BgL_oclassz00_5342);
																				BgL_odepthz00_5344 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_5345);
																			}
																			if ((1L < BgL_odepthz00_5344))
																				{	/* Cfa/tvector.scm 242 */
																					obj_t BgL_arg1853z00_5347;

																					{	/* Cfa/tvector.scm 242 */
																						obj_t BgL_arg1854z00_5348;

																						BgL_arg1854z00_5348 =
																							(BgL_oclassz00_5342);
																						BgL_arg1853z00_5347 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_5348, 1L);
																					}
																					BgL_res2353z00_5359 =
																						(BgL_arg1853z00_5347 ==
																						BgL_classz00_5326);
																				}
																			else
																				{	/* Cfa/tvector.scm 242 */
																					BgL_res2353z00_5359 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2550z00_7112 = BgL_res2353z00_5359;
														}
												}
											else
												{	/* Cfa/tvector.scm 242 */
													BgL_test2550z00_7112 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2550z00_7112)
										{	/* Cfa/tvector.scm 242 */
											BFALSE;
										}
									else
										{	/* Cfa/tvector.scm 243 */
											obj_t BgL_tvzd2idzd2_3837;

											{	/* Cfa/tvector.scm 243 */
												obj_t BgL_arg1922z00_3839;

												{	/* Cfa/tvector.scm 243 */
													obj_t BgL_arg1923z00_3840;
													obj_t BgL_arg1924z00_3841;

													{	/* Cfa/tvector.scm 243 */
														obj_t BgL_symbolz00_5360;

														BgL_symbolz00_5360 = ((obj_t) CNST_TABLE_REF(6));
														{	/* Cfa/tvector.scm 243 */
															obj_t BgL_arg1486z00_5361;

															BgL_arg1486z00_5361 =
																SYMBOL_TO_STRING(BgL_symbolz00_5360);
															BgL_arg1923z00_3840 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_5361);
														}
													}
													{	/* Cfa/tvector.scm 243 */
														obj_t BgL_arg1926z00_3842;

														BgL_arg1926z00_3842 =
															(((BgL_typez00_bglt) COBJECT(BgL_typez00_3833))->
															BgL_idz00);
														{	/* Cfa/tvector.scm 243 */
															obj_t BgL_arg1486z00_5363;

															BgL_arg1486z00_5363 =
																SYMBOL_TO_STRING(BgL_arg1926z00_3842);
															BgL_arg1924z00_3841 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_5363);
														}
													}
													BgL_arg1922z00_3839 =
														string_append(BgL_arg1923z00_3840,
														BgL_arg1924z00_3841);
												}
												BgL_tvzd2idzd2_3837 =
													bstring_to_symbol(BgL_arg1922z00_3839);
											}
											{
												obj_t BgL_auxz00_7145;

												{	/* Cfa/tvector.scm 245 */
													obj_t BgL_arg1921z00_3838;

													BgL_arg1921z00_3838 =
														(((BgL_typez00_bglt) COBJECT(BgL_typez00_3833))->
														BgL_idz00);
													BgL_auxz00_7145 =
														BGl_modulezd2tvectorzd2clausez00zzmodule_typez00
														(BgL_tvzd2idzd2_3837, BgL_arg1921z00_3838,
														((obj_t) CNST_TABLE_REF(7)), BFALSE);
												}
												((((BgL_typez00_bglt) COBJECT(BgL_typez00_3833))->
														BgL_tvectorz00) =
													((obj_t) BgL_auxz00_7145), BUNSPEC);
											}
										}
								}
							}
						}
						{
							obj_t BgL_l1627z00_7151;

							BgL_l1627z00_7151 = CDR(BgL_l1627z00_3829);
							BgL_l1627z00_3829 = BgL_l1627z00_7151;
							goto BgL_zc3z04anonymousza31916ze3z87_3830;
						}
					}
				else
					{	/* Cfa/tvector.scm 239 */
						((bool_t) 1);
					}
			}
			{	/* Cfa/tvector.scm 248 */
				BgL_typez00_bglt BgL_oldzd2defaultzd2typez00_3846;

				BgL_oldzd2defaultzd2typez00_3846 =
					BGl_getzd2defaultzd2typez00zztype_cachez00();
				BGl_setzd2defaultzd2typez12z12zztype_cachez00(
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
				{	/* Cfa/tvector.scm 250 */
					obj_t BgL_tvectorzd2unitzd2_3847;

					BgL_tvectorzd2unitzd2_3847 =
						BGl_tvectorzd2finaliza7erz75zzmodule_typez00();
					BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
					{	/* Cfa/tvector.scm 252 */
						obj_t BgL_resz00_3848;

						{	/* Cfa/tvector.scm 252 */
							bool_t BgL_test2555z00_7158;

							if (STRUCTP(BgL_tvectorzd2unitzd2_3847))
								{	/* Cfa/tvector.scm 252 */
									BgL_test2555z00_7158 =
										(STRUCT_KEY(BgL_tvectorzd2unitzd2_3847) ==
										((obj_t) CNST_TABLE_REF(8)));
								}
							else
								{	/* Cfa/tvector.scm 252 */
									BgL_test2555z00_7158 = ((bool_t) 0);
								}
							if (BgL_test2555z00_7158)
								{	/* Cfa/tvector.scm 253 */
									obj_t BgL_astz00_3850;

									{	/* Cfa/tvector.scm 253 */
										obj_t BgL_arg1930z00_3851;

										{	/* Cfa/tvector.scm 253 */
											obj_t BgL_list1931z00_3852;

											BgL_list1931z00_3852 =
												MAKE_YOUNG_PAIR(BgL_tvectorzd2unitzd2_3847, BNIL);
											BgL_arg1930z00_3851 = BgL_list1931z00_3852;
										}
										BgL_astz00_3850 =
											BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00
											(BgL_arg1930z00_3851);
									}
									BgL_resz00_3848 =
										BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7
										(BgL_astz00_3850, ((obj_t) CNST_TABLE_REF(9)));
								}
							else
								{	/* Cfa/tvector.scm 252 */
									BgL_resz00_3848 = BNIL;
								}
						}
						BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_resz00_3848);
						BGl_setzd2defaultzd2typez12z12zztype_cachez00
							(BgL_oldzd2defaultzd2typez00_3846);
						return BgL_resz00_3848;
					}
				}
			}
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t BgL_globalsz00_62)
	{
		{	/* Cfa/tvector.scm 267 */
			{
				obj_t BgL_l1629z00_3854;

				BgL_l1629z00_3854 = BgL_globalsz00_62;
			BgL_zc3z04anonymousza31932ze3z87_3855:
				if (PAIRP(BgL_l1629z00_3854))
					{	/* Cfa/tvector.scm 268 */
						BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1629z00_3854));
						{
							obj_t BgL_l1629z00_7176;

							BgL_l1629z00_7176 = CDR(BgL_l1629z00_3854);
							BgL_l1629z00_3854 = BgL_l1629z00_7176;
							goto BgL_zc3z04anonymousza31932ze3z87_3855;
						}
					}
				else
					{	/* Cfa/tvector.scm 268 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t BgL_variablez00_63)
	{
		{	/* Cfa/tvector.scm 273 */
			{	/* Cfa/tvector.scm 274 */
				BgL_valuez00_bglt BgL_funz00_3860;

				BgL_funz00_3860 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_63)))->BgL_valuez00);
				{	/* Cfa/tvector.scm 277 */
					obj_t BgL_arg1936z00_3861;

					{	/* Cfa/tvector.scm 277 */
						obj_t BgL_arg1938z00_3862;

						BgL_arg1938z00_3862 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3860)))->BgL_bodyz00);
						BgL_arg1936z00_3861 =
							BGl_patchz12z12zzcfa_tvectorz00(
							((BgL_nodez00_bglt) BgL_arg1938z00_3862));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3860)))->BgL_bodyz00) =
						((obj_t) BgL_arg1936z00_3861), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t BgL_nodeza2za2_87)
	{
		{	/* Cfa/tvector.scm 485 */
			{
				obj_t BgL_nodeza2za2_3864;

				BgL_nodeza2za2_3864 = BgL_nodeza2za2_87;
			BgL_zc3z04anonymousza31939ze3z87_3865:
				if (NULLP(BgL_nodeza2za2_3864))
					{	/* Cfa/tvector.scm 487 */
						return ((obj_t) CNST_TABLE_REF(10));
					}
				else
					{	/* Cfa/tvector.scm 487 */
						{	/* Cfa/tvector.scm 490 */
							obj_t BgL_arg1942z00_3867;

							{	/* Cfa/tvector.scm 490 */
								obj_t BgL_arg1943z00_3868;

								BgL_arg1943z00_3868 = CAR(((obj_t) BgL_nodeza2za2_3864));
								BgL_arg1942z00_3867 =
									BGl_patchz12z12zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_arg1943z00_3868));
							}
							{	/* Cfa/tvector.scm 490 */
								obj_t BgL_tmpz00_7194;

								BgL_tmpz00_7194 = ((obj_t) BgL_nodeza2za2_3864);
								SET_CAR(BgL_tmpz00_7194, BgL_arg1942z00_3867);
							}
						}
						{	/* Cfa/tvector.scm 491 */
							obj_t BgL_arg1944z00_3869;

							BgL_arg1944z00_3869 = CDR(((obj_t) BgL_nodeza2za2_3864));
							{
								obj_t BgL_nodeza2za2_7199;

								BgL_nodeza2za2_7199 = BgL_arg1944z00_3869;
								BgL_nodeza2za2_3864 = BgL_nodeza2za2_7199;
								goto BgL_zc3z04anonymousza31939ze3z87_3865;
							}
						}
					}
			}
		}

	}



/* get-tvector-length-type */
	BgL_typez00_bglt BGl_getzd2tvectorzd2lengthzd2typezd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 534 */
			if (CBOOL(BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00))
				{	/* Cfa/tvector.scm 535 */
					BFALSE;
				}
			else
				{	/* Cfa/tvector.scm 535 */
					BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(
						((obj_t) CNST_TABLE_REF(11)), ((obj_t) CNST_TABLE_REF(12)));
				}
			{	/* Cfa/tvector.scm 537 */
				BgL_globalz00_bglt BgL_oz00_5379;

				BgL_oz00_5379 =
					((BgL_globalz00_bglt) BGl_za2tvectorzd2lengthza2zd2zzcfa_tvectorz00);
				return
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_5379)))->BgL_typez00);
			}
		}

	}



/* patch-vector?! */
	BgL_nodez00_bglt BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_90)
	{
		{	/* Cfa/tvector.scm 547 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_90))->BgL_argsz00));
			{	/* Cfa/tvector.scm 550 */
				BgL_approxz00_bglt BgL_approxz00_3873;

				{	/* Cfa/tvector.scm 550 */
					obj_t BgL_arg1954z00_3882;

					BgL_arg1954z00_3882 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_90))->BgL_argsz00));
					BgL_approxz00_3873 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1954z00_3882));
				}
				{	/* Cfa/tvector.scm 550 */
					obj_t BgL_tyz00_3874;

					BgL_tyz00_3874 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_3873,
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_90))->BgL_argsz00)));
					{	/* Cfa/tvector.scm 551 */

						{	/* Cfa/tvector.scm 552 */
							bool_t BgL_test2560z00_7219;

							if ((BgL_tyz00_3874 == BGl_za2vectorza2z00zztype_cachez00))
								{	/* Cfa/tvector.scm 552 */
									BgL_test2560z00_7219 = ((bool_t) 1);
								}
							else
								{	/* Cfa/tvector.scm 552 */
									obj_t BgL_classz00_5382;

									BgL_classz00_5382 = BGl_tvecz00zztvector_tvectorz00;
									if (BGL_OBJECTP(BgL_tyz00_3874))
										{	/* Cfa/tvector.scm 552 */
											BgL_objectz00_bglt BgL_arg1858z00_5384;

											BgL_arg1858z00_5384 =
												(BgL_objectz00_bglt) (BgL_tyz00_3874);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/tvector.scm 552 */
													long BgL_idxz00_5390;

													BgL_idxz00_5390 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5384);
													BgL_test2560z00_7219 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5390 + 2L)) == BgL_classz00_5382);
												}
											else
												{	/* Cfa/tvector.scm 552 */
													bool_t BgL_res2356z00_5415;

													{	/* Cfa/tvector.scm 552 */
														obj_t BgL_oclassz00_5398;

														{	/* Cfa/tvector.scm 552 */
															obj_t BgL_arg1866z00_5406;
															long BgL_arg1867z00_5407;

															BgL_arg1866z00_5406 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/tvector.scm 552 */
																long BgL_arg1869z00_5408;

																BgL_arg1869z00_5408 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5384);
																BgL_arg1867z00_5407 =
																	(BgL_arg1869z00_5408 - OBJECT_TYPE);
															}
															BgL_oclassz00_5398 =
																VECTOR_REF(BgL_arg1866z00_5406,
																BgL_arg1867z00_5407);
														}
														{	/* Cfa/tvector.scm 552 */
															bool_t BgL__ortest_1115z00_5399;

															BgL__ortest_1115z00_5399 =
																(BgL_classz00_5382 == BgL_oclassz00_5398);
															if (BgL__ortest_1115z00_5399)
																{	/* Cfa/tvector.scm 552 */
																	BgL_res2356z00_5415 =
																		BgL__ortest_1115z00_5399;
																}
															else
																{	/* Cfa/tvector.scm 552 */
																	long BgL_odepthz00_5400;

																	{	/* Cfa/tvector.scm 552 */
																		obj_t BgL_arg1855z00_5401;

																		BgL_arg1855z00_5401 = (BgL_oclassz00_5398);
																		BgL_odepthz00_5400 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_5401);
																	}
																	if ((2L < BgL_odepthz00_5400))
																		{	/* Cfa/tvector.scm 552 */
																			obj_t BgL_arg1853z00_5403;

																			{	/* Cfa/tvector.scm 552 */
																				obj_t BgL_arg1854z00_5404;

																				BgL_arg1854z00_5404 =
																					(BgL_oclassz00_5398);
																				BgL_arg1853z00_5403 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_5404, 2L);
																			}
																			BgL_res2356z00_5415 =
																				(BgL_arg1853z00_5403 ==
																				BgL_classz00_5382);
																		}
																	else
																		{	/* Cfa/tvector.scm 552 */
																			BgL_res2356z00_5415 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2560z00_7219 = BgL_res2356z00_5415;
												}
										}
									else
										{	/* Cfa/tvector.scm 552 */
											BgL_test2560z00_7219 = ((bool_t) 0);
										}
								}
							if (BgL_test2560z00_7219)
								{	/* Cfa/tvector.scm 553 */
									BgL_literalz00_bglt BgL_new1227z00_3876;

									{	/* Cfa/tvector.scm 554 */
										BgL_literalz00_bglt BgL_new1226z00_3878;

										BgL_new1226z00_3878 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Cfa/tvector.scm 554 */
											long BgL_arg1948z00_3879;

											BgL_arg1948z00_3879 =
												BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1226z00_3878),
												BgL_arg1948z00_3879);
										}
										{	/* Cfa/tvector.scm 554 */
											BgL_objectz00_bglt BgL_tmpz00_7248;

											BgL_tmpz00_7248 =
												((BgL_objectz00_bglt) BgL_new1226z00_3878);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7248, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1226z00_3878);
										BgL_new1227z00_3876 = BgL_new1226z00_3878;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1227z00_3876)))->
											BgL_locz00) =
										((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_90)))->BgL_locz00)), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_7256;

										{	/* Cfa/tvector.scm 555 */
											BgL_typez00_bglt BgL_arg1947z00_3877;

											BgL_arg1947z00_3877 =
												BGl_getzd2typezd2atomz00zztype_typeofz00(BTRUE);
											BgL_auxz00_7256 =
												BGl_strictzd2nodezd2typez00zzast_nodez00
												(BgL_arg1947z00_3877,
												((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00));
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1227z00_3876)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_7256), BUNSPEC);
									}
									((((BgL_atomz00_bglt) COBJECT(
													((BgL_atomz00_bglt) BgL_new1227z00_3876)))->
											BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1227z00_3876);
								}
							else
								{	/* Cfa/tvector.scm 552 */
									return ((BgL_nodez00_bglt) BgL_nodez00_90);
								}
						}
					}
				}
			}
		}

	}



/* patch-vector->list! */
	BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_91)
	{
		{	/* Cfa/tvector.scm 562 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->BgL_argsz00));
			{	/* Cfa/tvector.scm 565 */
				BgL_approxz00_bglt BgL_approxz00_3886;

				{	/* Cfa/tvector.scm 565 */
					obj_t BgL_arg1969z00_3899;

					BgL_arg1969z00_3899 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->BgL_argsz00));
					BgL_approxz00_3886 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1969z00_3899));
				}
				{	/* Cfa/tvector.scm 565 */
					obj_t BgL_tvz00_3887;

					BgL_tvz00_3887 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_3886,
						((obj_t) BgL_nodez00_91));
					{	/* Cfa/tvector.scm 566 */

						{	/* Cfa/tvector.scm 567 */
							bool_t BgL_test2566z00_7274;

							{	/* Cfa/tvector.scm 567 */
								obj_t BgL_classz00_5421;

								BgL_classz00_5421 = BGl_tvecz00zztvector_tvectorz00;
								if (BGL_OBJECTP(BgL_tvz00_3887))
									{	/* Cfa/tvector.scm 567 */
										BgL_objectz00_bglt BgL_arg1858z00_5423;

										BgL_arg1858z00_5423 = (BgL_objectz00_bglt) (BgL_tvz00_3887);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/tvector.scm 567 */
												long BgL_idxz00_5429;

												BgL_idxz00_5429 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_5423);
												BgL_test2566z00_7274 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5429 + 2L)) == BgL_classz00_5421);
											}
										else
											{	/* Cfa/tvector.scm 567 */
												bool_t BgL_res2357z00_5454;

												{	/* Cfa/tvector.scm 567 */
													obj_t BgL_oclassz00_5437;

													{	/* Cfa/tvector.scm 567 */
														obj_t BgL_arg1866z00_5445;
														long BgL_arg1867z00_5446;

														BgL_arg1866z00_5445 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 567 */
															long BgL_arg1869z00_5447;

															BgL_arg1869z00_5447 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_5423);
															BgL_arg1867z00_5446 =
																(BgL_arg1869z00_5447 - OBJECT_TYPE);
														}
														BgL_oclassz00_5437 =
															VECTOR_REF(BgL_arg1866z00_5445,
															BgL_arg1867z00_5446);
													}
													{	/* Cfa/tvector.scm 567 */
														bool_t BgL__ortest_1115z00_5438;

														BgL__ortest_1115z00_5438 =
															(BgL_classz00_5421 == BgL_oclassz00_5437);
														if (BgL__ortest_1115z00_5438)
															{	/* Cfa/tvector.scm 567 */
																BgL_res2357z00_5454 = BgL__ortest_1115z00_5438;
															}
														else
															{	/* Cfa/tvector.scm 567 */
																long BgL_odepthz00_5439;

																{	/* Cfa/tvector.scm 567 */
																	obj_t BgL_arg1855z00_5440;

																	BgL_arg1855z00_5440 = (BgL_oclassz00_5437);
																	BgL_odepthz00_5439 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_5440);
																}
																if ((2L < BgL_odepthz00_5439))
																	{	/* Cfa/tvector.scm 567 */
																		obj_t BgL_arg1853z00_5442;

																		{	/* Cfa/tvector.scm 567 */
																			obj_t BgL_arg1854z00_5443;

																			BgL_arg1854z00_5443 =
																				(BgL_oclassz00_5437);
																			BgL_arg1853z00_5442 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_5443, 2L);
																		}
																		BgL_res2357z00_5454 =
																			(BgL_arg1853z00_5442 ==
																			BgL_classz00_5421);
																	}
																else
																	{	/* Cfa/tvector.scm 567 */
																		BgL_res2357z00_5454 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2566z00_7274 = BgL_res2357z00_5454;
											}
									}
								else
									{	/* Cfa/tvector.scm 567 */
										BgL_test2566z00_7274 = ((bool_t) 0);
									}
							}
							if (BgL_test2566z00_7274)
								{	/* Cfa/tvector.scm 568 */
									obj_t BgL_tvzd2ze3listz31_3889;

									{	/* Cfa/tvector.scm 568 */
										obj_t BgL_arg1965z00_3895;

										{	/* Cfa/tvector.scm 568 */
											obj_t BgL_arg1966z00_3896;
											obj_t BgL_arg1967z00_3897;

											{	/* Cfa/tvector.scm 568 */
												obj_t BgL_arg1968z00_3898;

												BgL_arg1968z00_3898 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tvz00_3887)))->BgL_idz00);
												{	/* Cfa/tvector.scm 568 */
													obj_t BgL_arg1486z00_5457;

													BgL_arg1486z00_5457 =
														SYMBOL_TO_STRING(BgL_arg1968z00_3898);
													BgL_arg1966z00_3896 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_5457);
												}
											}
											{	/* Cfa/tvector.scm 568 */
												obj_t BgL_symbolz00_5458;

												BgL_symbolz00_5458 = ((obj_t) CNST_TABLE_REF(13));
												{	/* Cfa/tvector.scm 568 */
													obj_t BgL_arg1486z00_5459;

													BgL_arg1486z00_5459 =
														SYMBOL_TO_STRING(BgL_symbolz00_5458);
													BgL_arg1967z00_3897 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1486z00_5459);
												}
											}
											BgL_arg1965z00_3895 =
												string_append(BgL_arg1966z00_3896, BgL_arg1967z00_3897);
										}
										BgL_tvzd2ze3listz31_3889 =
											bstring_to_symbol(BgL_arg1965z00_3895);
									}
									{	/* Cfa/tvector.scm 568 */
										BgL_nodez00_bglt BgL_newzd2nodezd2_3890;

										{	/* Cfa/tvector.scm 569 */
											obj_t BgL_arg1961z00_3892;
											obj_t BgL_arg1962z00_3893;

											BgL_arg1961z00_3892 =
												MAKE_YOUNG_PAIR(BgL_tvzd2ze3listz31_3889,
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_91))->
													BgL_argsz00));
											BgL_arg1962z00_3893 =
												(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_nodez00_91)))->BgL_locz00);
											BgL_newzd2nodezd2_3890 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1961z00_3892,
												BNIL, BgL_arg1962z00_3893,
												((obj_t) CNST_TABLE_REF(14)));
										}
										{	/* Cfa/tvector.scm 569 */

											{	/* Cfa/tvector.scm 573 */
												BgL_typez00_bglt BgL_arg1960z00_3891;

												BgL_arg1960z00_3891 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_91)))->
													BgL_typez00);
												((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_3890))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_arg1960z00_3891), BUNSPEC);
											}
											return BgL_newzd2nodezd2_3890;
										}
									}
								}
							else
								{	/* Cfa/tvector.scm 567 */
									return ((BgL_nodez00_bglt) BgL_nodez00_91);
								}
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_proc2384z00zzcfa_tvectorz00, BGl_nodez00zzast_nodez00,
				BGl_string2385z00zzcfa_tvectorz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_proc2386z00zzcfa_tvectorz00,
				BGl_nodez00zzast_nodez00, BGl_string2387z00zzcfa_tvectorz00);
		}

	}



/* &patch!1647 */
	obj_t BGl_z62patchz121647z70zzcfa_tvectorz00(obj_t BgL_envz00_6107,
		obj_t BgL_nodez00_6108)
	{
		{	/* Cfa/tvector.scm 282 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(15)), BGl_string2388z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_6108)));
		}

	}



/* &get-vector-item-type1640 */
	obj_t BGl_z62getzd2vectorzd2itemzd2type1640zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6109, obj_t BgL_nodez00_6110)
	{
		{	/* Cfa/tvector.scm 201 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(16)), BGl_string2388z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_6110)));
		}

	}



/* get-vector-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_57)
	{
		{	/* Cfa/tvector.scm 201 */
			{	/* Cfa/tvector.scm 201 */
				obj_t BgL_method1642z00_3909;

				{	/* Cfa/tvector.scm 201 */
					obj_t BgL_res2362z00_5494;

					{	/* Cfa/tvector.scm 201 */
						long BgL_objzd2classzd2numz00_5465;

						BgL_objzd2classzd2numz00_5465 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_57));
						{	/* Cfa/tvector.scm 201 */
							obj_t BgL_arg1862z00_5466;

							BgL_arg1862z00_5466 =
								PROCEDURE_REF
								(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
								(int) (1L));
							{	/* Cfa/tvector.scm 201 */
								int BgL_offsetz00_5469;

								BgL_offsetz00_5469 = (int) (BgL_objzd2classzd2numz00_5465);
								{	/* Cfa/tvector.scm 201 */
									long BgL_offsetz00_5470;

									BgL_offsetz00_5470 =
										((long) (BgL_offsetz00_5469) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 201 */
										long BgL_modz00_5471;

										BgL_modz00_5471 =
											(BgL_offsetz00_5470 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/tvector.scm 201 */
											long BgL_restz00_5473;

											BgL_restz00_5473 =
												(BgL_offsetz00_5470 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/tvector.scm 201 */

												{	/* Cfa/tvector.scm 201 */
													obj_t BgL_bucketz00_5475;

													BgL_bucketz00_5475 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5466), BgL_modz00_5471);
													BgL_res2362z00_5494 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5475), BgL_restz00_5473);
					}}}}}}}}
					BgL_method1642z00_3909 = BgL_res2362z00_5494;
				}
				return
					((BgL_typez00_bglt)
					BGL_PROCEDURE_CALL1(BgL_method1642z00_3909,
						((obj_t) BgL_nodez00_57)));
			}
		}

	}



/* &get-vector-item-type */
	BgL_typez00_bglt BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6111, obj_t BgL_nodez00_6112)
	{
		{	/* Cfa/tvector.scm 201 */
			return
				BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_6112));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt BgL_nodez00_64)
	{
		{	/* Cfa/tvector.scm 282 */
			{	/* Cfa/tvector.scm 282 */
				obj_t BgL_method1648z00_3910;

				{	/* Cfa/tvector.scm 282 */
					obj_t BgL_res2367z00_5525;

					{	/* Cfa/tvector.scm 282 */
						long BgL_objzd2classzd2numz00_5496;

						BgL_objzd2classzd2numz00_5496 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_64));
						{	/* Cfa/tvector.scm 282 */
							obj_t BgL_arg1862z00_5497;

							BgL_arg1862z00_5497 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
								(int) (1L));
							{	/* Cfa/tvector.scm 282 */
								int BgL_offsetz00_5500;

								BgL_offsetz00_5500 = (int) (BgL_objzd2classzd2numz00_5496);
								{	/* Cfa/tvector.scm 282 */
									long BgL_offsetz00_5501;

									BgL_offsetz00_5501 =
										((long) (BgL_offsetz00_5500) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 282 */
										long BgL_modz00_5502;

										BgL_modz00_5502 =
											(BgL_offsetz00_5501 >> (int) ((long) ((int) (4L))));
										{	/* Cfa/tvector.scm 282 */
											long BgL_restz00_5504;

											BgL_restz00_5504 =
												(BgL_offsetz00_5501 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Cfa/tvector.scm 282 */

												{	/* Cfa/tvector.scm 282 */
													obj_t BgL_bucketz00_5506;

													BgL_bucketz00_5506 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_5497), BgL_modz00_5502);
													BgL_res2367z00_5525 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5506), BgL_restz00_5504);
					}}}}}}}}
					BgL_method1648z00_3910 = BgL_res2367z00_5525;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1648z00_3910, ((obj_t) BgL_nodez00_64));
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t BgL_envz00_6113,
		obj_t BgL_nodez00_6114)
	{
		{	/* Cfa/tvector.scm 282 */
			return
				BGl_patchz12z12zzcfa_tvectorz00(((BgL_nodez00_bglt) BgL_nodez00_6114));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2389z00zzcfa_tvectorz00, BGl_string2390z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2391z00zzcfa_tvectorz00, BGl_string2390z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_atomz00zzast_nodez00,
				BGl_proc2392z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2394z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2395z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_varz00zzast_nodez00,
				BGl_proc2396z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_closurez00zzast_nodez00,
				BGl_proc2397z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2398z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_syncz00zzast_nodez00,
				BGl_proc2399z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2400z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2401z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_externz00zzast_nodez00,
				BGl_proc2402z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_castz00zzast_nodez00,
				BGl_proc2403z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_setqz00zzast_nodez00,
				BGl_proc2404z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2405z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_failz00zzast_nodez00,
				BGl_proc2406z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_switchz00zzast_nodez00,
				BGl_proc2407z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2408z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2409z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2410z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2411z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2412z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2413z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2414z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appz00zzast_nodez00,
				BGl_proc2415z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2416z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2417z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2418z00zzcfa_tvectorz00, BGl_string2393z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vrefzf2Cinfozf2zzcfa_info3z00, BGl_proc2419z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vsetz12zf2Cinfoze0zzcfa_info3z00, BGl_proc2420z00zzcfa_tvectorz00,
				BGl_string2393z00zzcfa_tvectorz00);
		}

	}



/* &patch!-vset!/Cinfo1704 */
	obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1704z42zzcfa_tvectorz00(obj_t
		BgL_envz00_6145, obj_t BgL_nodez00_6146)
	{
		{	/* Cfa/tvector.scm 642 */
			{
				BgL_nodez00_bglt BgL_auxz00_7425;

				{	/* Cfa/tvector.scm 644 */
					obj_t BgL_arg2115z00_6223;

					BgL_arg2115z00_6223 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_6146))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2115z00_6223);
				}
				{	/* Cfa/tvector.scm 645 */
					bool_t BgL_test2571z00_7430;

					{
						BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_7431;

						{
							obj_t BgL_auxz00_7432;

							{	/* Cfa/tvector.scm 645 */
								BgL_objectz00_bglt BgL_tmpz00_7433;

								BgL_tmpz00_7433 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_6146));
								BgL_auxz00_7432 = BGL_OBJECT_WIDENING(BgL_tmpz00_7433);
							}
							BgL_auxz00_7431 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_7432);
						}
						BgL_test2571z00_7430 =
							(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_7431))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2571z00_7430)
						{	/* Cfa/tvector.scm 645 */
							BgL_auxz00_7425 =
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_6146));
						}
					else
						{	/* Cfa/tvector.scm 647 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_6224;

							{	/* Cfa/tvector.scm 647 */
								obj_t BgL_arg2125z00_6225;

								{	/* Cfa/tvector.scm 647 */
									obj_t BgL_pairz00_6226;

									BgL_pairz00_6226 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vsetz12z12_bglt) BgL_nodez00_6146))))->
										BgL_exprza2za2);
									BgL_arg2125z00_6225 = CAR(BgL_pairz00_6226);
								}
								BgL_veczd2approxzd2_6224 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2125z00_6225));
							}
							{	/* Cfa/tvector.scm 647 */
								obj_t BgL_tvz00_6227;

								BgL_tvz00_6227 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_6224,
									((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_6146)));
								{	/* Cfa/tvector.scm 648 */

									{	/* Cfa/tvector.scm 649 */
										bool_t BgL_test2572z00_7450;

										{	/* Cfa/tvector.scm 649 */
											obj_t BgL_classz00_6228;

											BgL_classz00_6228 = BGl_tvecz00zztvector_tvectorz00;
											if (BGL_OBJECTP(BgL_tvz00_6227))
												{	/* Cfa/tvector.scm 649 */
													BgL_objectz00_bglt BgL_arg1858z00_6229;

													BgL_arg1858z00_6229 =
														(BgL_objectz00_bglt) (BgL_tvz00_6227);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/tvector.scm 649 */
															long BgL_idxz00_6230;

															BgL_idxz00_6230 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6229);
															BgL_test2572z00_7450 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6230 + 2L)) == BgL_classz00_6228);
														}
													else
														{	/* Cfa/tvector.scm 649 */
															bool_t BgL_res2375z00_6233;

															{	/* Cfa/tvector.scm 649 */
																obj_t BgL_oclassz00_6234;

																{	/* Cfa/tvector.scm 649 */
																	obj_t BgL_arg1866z00_6235;
																	long BgL_arg1867z00_6236;

																	BgL_arg1866z00_6235 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/tvector.scm 649 */
																		long BgL_arg1869z00_6237;

																		BgL_arg1869z00_6237 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6229);
																		BgL_arg1867z00_6236 =
																			(BgL_arg1869z00_6237 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6234 =
																		VECTOR_REF(BgL_arg1866z00_6235,
																		BgL_arg1867z00_6236);
																}
																{	/* Cfa/tvector.scm 649 */
																	bool_t BgL__ortest_1115z00_6238;

																	BgL__ortest_1115z00_6238 =
																		(BgL_classz00_6228 == BgL_oclassz00_6234);
																	if (BgL__ortest_1115z00_6238)
																		{	/* Cfa/tvector.scm 649 */
																			BgL_res2375z00_6233 =
																				BgL__ortest_1115z00_6238;
																		}
																	else
																		{	/* Cfa/tvector.scm 649 */
																			long BgL_odepthz00_6239;

																			{	/* Cfa/tvector.scm 649 */
																				obj_t BgL_arg1855z00_6240;

																				BgL_arg1855z00_6240 =
																					(BgL_oclassz00_6234);
																				BgL_odepthz00_6239 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_6240);
																			}
																			if ((2L < BgL_odepthz00_6239))
																				{	/* Cfa/tvector.scm 649 */
																					obj_t BgL_arg1853z00_6241;

																					{	/* Cfa/tvector.scm 649 */
																						obj_t BgL_arg1854z00_6242;

																						BgL_arg1854z00_6242 =
																							(BgL_oclassz00_6234);
																						BgL_arg1853z00_6241 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_6242, 2L);
																					}
																					BgL_res2375z00_6233 =
																						(BgL_arg1853z00_6241 ==
																						BgL_classz00_6228);
																				}
																			else
																				{	/* Cfa/tvector.scm 649 */
																					BgL_res2375z00_6233 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2572z00_7450 = BgL_res2375z00_6233;
														}
												}
											else
												{	/* Cfa/tvector.scm 649 */
													BgL_test2572z00_7450 = ((bool_t) 0);
												}
										}
										if (BgL_test2572z00_7450)
											{	/* Cfa/tvector.scm 651 */
												obj_t BgL_tvzd2setz12zc0_6243;

												{	/* Cfa/tvector.scm 651 */
													obj_t BgL_arg2121z00_6244;

													{	/* Cfa/tvector.scm 651 */
														obj_t BgL_arg2122z00_6245;
														obj_t BgL_arg2123z00_6246;

														{	/* Cfa/tvector.scm 651 */
															obj_t BgL_arg2124z00_6247;

															BgL_arg2124z00_6247 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_tvz00_6227)))->
																BgL_idz00);
															{	/* Cfa/tvector.scm 651 */
																obj_t BgL_arg1486z00_6248;

																BgL_arg1486z00_6248 =
																	SYMBOL_TO_STRING(BgL_arg2124z00_6247);
																BgL_arg2122z00_6245 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_6248);
															}
														}
														{	/* Cfa/tvector.scm 651 */
															obj_t BgL_symbolz00_6249;

															BgL_symbolz00_6249 = ((obj_t) CNST_TABLE_REF(17));
															{	/* Cfa/tvector.scm 651 */
																obj_t BgL_arg1486z00_6250;

																BgL_arg1486z00_6250 =
																	SYMBOL_TO_STRING(BgL_symbolz00_6249);
																BgL_arg2123z00_6246 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1486z00_6250);
															}
														}
														BgL_arg2121z00_6244 =
															string_append(BgL_arg2122z00_6245,
															BgL_arg2123z00_6246);
													}
													BgL_tvzd2setz12zc0_6243 =
														bstring_to_symbol(BgL_arg2121z00_6244);
												}
												{	/* Cfa/tvector.scm 651 */
													BgL_nodez00_bglt BgL_newzd2nodezd2_6251;

													{	/* Cfa/tvector.scm 652 */
														obj_t BgL_arg2118z00_6252;
														obj_t BgL_arg2119z00_6253;

														{	/* Cfa/tvector.scm 652 */
															obj_t BgL_arg2120z00_6254;

															BgL_arg2120z00_6254 =
																(((BgL_externz00_bglt) COBJECT(
																		((BgL_externz00_bglt)
																			((BgL_vsetz12z12_bglt)
																				BgL_nodez00_6146))))->BgL_exprza2za2);
															BgL_arg2118z00_6252 =
																MAKE_YOUNG_PAIR(BgL_tvzd2setz12zc0_6243,
																BgL_arg2120z00_6254);
														}
														BgL_arg2119z00_6253 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt)
																		((BgL_vsetz12z12_bglt)
																			BgL_nodez00_6146))))->BgL_locz00);
														BgL_newzd2nodezd2_6251 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_arg2118z00_6252, BNIL, BgL_arg2119z00_6253,
															((obj_t) CNST_TABLE_REF(14)));
													}
													{	/* Cfa/tvector.scm 652 */

														BgL_auxz00_7425 =
															BGl_inlinezd2nodezd2zzinline_inlinez00
															(BgL_newzd2nodezd2_6251, 1L, BNIL);
													}
												}
											}
										else
											{	/* Cfa/tvector.scm 649 */
												BgL_auxz00_7425 =
													((BgL_nodez00_bglt)
													((BgL_vsetz12z12_bglt) BgL_nodez00_6146));
											}
									}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_7425);
			}
		}

	}



/* &patch!-vref/Cinfo1702 */
	obj_t BGl_z62patchz12zd2vrefzf2Cinfo1702z50zzcfa_tvectorz00(obj_t
		BgL_envz00_6147, obj_t BgL_nodez00_6148)
	{
		{	/* Cfa/tvector.scm 619 */
			{
				BgL_nodez00_bglt BgL_auxz00_7497;

				{	/* Cfa/tvector.scm 621 */
					obj_t BgL_arg2100z00_6256;

					BgL_arg2100z00_6256 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_6148))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2100z00_6256);
				}
				{	/* Cfa/tvector.scm 622 */
					bool_t BgL_test2577z00_7502;

					{
						BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7503;

						{
							obj_t BgL_auxz00_7504;

							{	/* Cfa/tvector.scm 622 */
								BgL_objectz00_bglt BgL_tmpz00_7505;

								BgL_tmpz00_7505 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_6148));
								BgL_auxz00_7504 = BGL_OBJECT_WIDENING(BgL_tmpz00_7505);
							}
							BgL_auxz00_7503 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7504);
						}
						BgL_test2577z00_7502 =
							(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_7503))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2577z00_7502)
						{	/* Cfa/tvector.scm 623 */
							BgL_typez00_bglt BgL_tyz00_6257;

							BgL_tyz00_6257 =
								(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_6148))))->BgL_ftypez00);
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vrefz00_bglt) BgL_nodez00_6148))))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_tyz00_6257), BUNSPEC);
							BgL_auxz00_7497 =
								((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_6148));
						}
					else
						{	/* Cfa/tvector.scm 626 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_6258;

							{	/* Cfa/tvector.scm 626 */
								obj_t BgL_arg2113z00_6259;

								{	/* Cfa/tvector.scm 626 */
									obj_t BgL_pairz00_6260;

									BgL_pairz00_6260 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_nodez00_6148))))->
										BgL_exprza2za2);
									BgL_arg2113z00_6259 = CAR(BgL_pairz00_6260);
								}
								BgL_veczd2approxzd2_6258 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2113z00_6259));
							}
							{	/* Cfa/tvector.scm 626 */
								obj_t BgL_tvz00_6261;

								BgL_tvz00_6261 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_6258,
									((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_6148)));
								{	/* Cfa/tvector.scm 627 */

									{	/* Cfa/tvector.scm 628 */
										bool_t BgL_test2578z00_7528;

										{	/* Cfa/tvector.scm 628 */
											obj_t BgL_classz00_6262;

											BgL_classz00_6262 = BGl_tvecz00zztvector_tvectorz00;
											if (BGL_OBJECTP(BgL_tvz00_6261))
												{	/* Cfa/tvector.scm 628 */
													BgL_objectz00_bglt BgL_arg1858z00_6263;

													BgL_arg1858z00_6263 =
														(BgL_objectz00_bglt) (BgL_tvz00_6261);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Cfa/tvector.scm 628 */
															long BgL_idxz00_6264;

															BgL_idxz00_6264 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6263);
															BgL_test2578z00_7528 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_6264 + 2L)) == BgL_classz00_6262);
														}
													else
														{	/* Cfa/tvector.scm 628 */
															bool_t BgL_res2374z00_6267;

															{	/* Cfa/tvector.scm 628 */
																obj_t BgL_oclassz00_6268;

																{	/* Cfa/tvector.scm 628 */
																	obj_t BgL_arg1866z00_6269;
																	long BgL_arg1867z00_6270;

																	BgL_arg1866z00_6269 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Cfa/tvector.scm 628 */
																		long BgL_arg1869z00_6271;

																		BgL_arg1869z00_6271 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6263);
																		BgL_arg1867z00_6270 =
																			(BgL_arg1869z00_6271 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_6268 =
																		VECTOR_REF(BgL_arg1866z00_6269,
																		BgL_arg1867z00_6270);
																}
																{	/* Cfa/tvector.scm 628 */
																	bool_t BgL__ortest_1115z00_6272;

																	BgL__ortest_1115z00_6272 =
																		(BgL_classz00_6262 == BgL_oclassz00_6268);
																	if (BgL__ortest_1115z00_6272)
																		{	/* Cfa/tvector.scm 628 */
																			BgL_res2374z00_6267 =
																				BgL__ortest_1115z00_6272;
																		}
																	else
																		{	/* Cfa/tvector.scm 628 */
																			long BgL_odepthz00_6273;

																			{	/* Cfa/tvector.scm 628 */
																				obj_t BgL_arg1855z00_6274;

																				BgL_arg1855z00_6274 =
																					(BgL_oclassz00_6268);
																				BgL_odepthz00_6273 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_6274);
																			}
																			if ((2L < BgL_odepthz00_6273))
																				{	/* Cfa/tvector.scm 628 */
																					obj_t BgL_arg1853z00_6275;

																					{	/* Cfa/tvector.scm 628 */
																						obj_t BgL_arg1854z00_6276;

																						BgL_arg1854z00_6276 =
																							(BgL_oclassz00_6268);
																						BgL_arg1853z00_6275 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_6276, 2L);
																					}
																					BgL_res2374z00_6267 =
																						(BgL_arg1853z00_6275 ==
																						BgL_classz00_6262);
																				}
																			else
																				{	/* Cfa/tvector.scm 628 */
																					BgL_res2374z00_6267 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2578z00_7528 = BgL_res2374z00_6267;
														}
												}
											else
												{	/* Cfa/tvector.scm 628 */
													BgL_test2578z00_7528 = ((bool_t) 0);
												}
										}
										if (BgL_test2578z00_7528)
											{	/* Cfa/tvector.scm 633 */
												obj_t BgL_tyz00_6277;

												{	/* Cfa/tvector.scm 633 */
													BgL_approxz00_bglt BgL_arg2111z00_6278;

													{
														BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7551;

														{
															obj_t BgL_auxz00_7552;

															{	/* Cfa/tvector.scm 633 */
																BgL_objectz00_bglt BgL_tmpz00_7553;

																BgL_tmpz00_7553 =
																	((BgL_objectz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_6148));
																BgL_auxz00_7552 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7553);
															}
															BgL_auxz00_7551 =
																((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7552);
														}
														BgL_arg2111z00_6278 =
															(((BgL_vrefzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_7551))->BgL_approxz00);
													}
													BgL_tyz00_6277 =
														BGl_getzd2approxzd2typez00zzcfa_typez00
														(BgL_arg2111z00_6278,
														((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_6148)));
												}
												{	/* Cfa/tvector.scm 633 */
													obj_t BgL_tvzd2refzd2_6279;

													{	/* Cfa/tvector.scm 634 */
														obj_t BgL_arg2107z00_6280;

														{	/* Cfa/tvector.scm 634 */
															obj_t BgL_arg2108z00_6281;
															obj_t BgL_arg2109z00_6282;

															{	/* Cfa/tvector.scm 634 */
																obj_t BgL_arg2110z00_6283;

																BgL_arg2110z00_6283 =
																	(((BgL_typez00_bglt) COBJECT(
																			((BgL_typez00_bglt) BgL_tvz00_6261)))->
																	BgL_idz00);
																{	/* Cfa/tvector.scm 634 */
																	obj_t BgL_arg1486z00_6284;

																	BgL_arg1486z00_6284 =
																		SYMBOL_TO_STRING(BgL_arg2110z00_6283);
																	BgL_arg2108z00_6281 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_6284);
																}
															}
															{	/* Cfa/tvector.scm 634 */
																obj_t BgL_symbolz00_6285;

																BgL_symbolz00_6285 =
																	((obj_t) CNST_TABLE_REF(18));
																{	/* Cfa/tvector.scm 634 */
																	obj_t BgL_arg1486z00_6286;

																	BgL_arg1486z00_6286 =
																		SYMBOL_TO_STRING(BgL_symbolz00_6285);
																	BgL_arg2109z00_6282 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1486z00_6286);
																}
															}
															BgL_arg2107z00_6280 =
																string_append(BgL_arg2108z00_6281,
																BgL_arg2109z00_6282);
														}
														BgL_tvzd2refzd2_6279 =
															bstring_to_symbol(BgL_arg2107z00_6280);
													}
													{	/* Cfa/tvector.scm 634 */
														BgL_nodez00_bglt BgL_newzd2nodezd2_6287;

														{	/* Cfa/tvector.scm 635 */
															obj_t BgL_arg2104z00_6288;
															obj_t BgL_arg2105z00_6289;

															{	/* Cfa/tvector.scm 635 */
																obj_t BgL_arg2106z00_6290;

																BgL_arg2106z00_6290 =
																	(((BgL_externz00_bglt) COBJECT(
																			((BgL_externz00_bglt)
																				((BgL_vrefz00_bglt)
																					BgL_nodez00_6148))))->BgL_exprza2za2);
																BgL_arg2104z00_6288 =
																	MAKE_YOUNG_PAIR(BgL_tvzd2refzd2_6279,
																	BgL_arg2106z00_6290);
															}
															BgL_arg2105z00_6289 =
																(((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt)
																			((BgL_vrefz00_bglt) BgL_nodez00_6148))))->
																BgL_locz00);
															BgL_newzd2nodezd2_6287 =
																BGl_sexpzd2ze3nodez31zzast_sexpz00
																(BgL_arg2104z00_6288, BNIL, BgL_arg2105z00_6289,
																((obj_t) CNST_TABLE_REF(14)));
														}
														{	/* Cfa/tvector.scm 635 */

															{	/* Cfa/tvector.scm 636 */
																BgL_typez00_bglt BgL_arg2103z00_6291;

																BgL_arg2103z00_6291 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt) BgL_tvz00_6261),
																	((BgL_typez00_bglt) BgL_tyz00_6277));
																((((BgL_nodez00_bglt)
																			COBJECT(BgL_newzd2nodezd2_6287))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2103z00_6291),
																	BUNSPEC);
															}
															BgL_auxz00_7497 =
																BGl_inlinezd2nodezd2zzinline_inlinez00
																(BgL_newzd2nodezd2_6287, 1L, BNIL);
														}
													}
												}
											}
										else
											{	/* Cfa/tvector.scm 629 */
												obj_t BgL_tyz00_6292;

												{	/* Cfa/tvector.scm 629 */
													BgL_approxz00_bglt BgL_arg2112z00_6293;

													{
														BgL_vrefzf2cinfozf2_bglt BgL_auxz00_7587;

														{
															obj_t BgL_auxz00_7588;

															{	/* Cfa/tvector.scm 629 */
																BgL_objectz00_bglt BgL_tmpz00_7589;

																BgL_tmpz00_7589 =
																	((BgL_objectz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_6148));
																BgL_auxz00_7588 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7589);
															}
															BgL_auxz00_7587 =
																((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_7588);
														}
														BgL_arg2112z00_6293 =
															(((BgL_vrefzf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_7587))->BgL_approxz00);
													}
													BgL_tyz00_6292 =
														BGl_getzd2approxzd2typez00zzcfa_typez00
														(BgL_arg2112z00_6293,
														((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_6148)));
												}
												((((BgL_vrefz00_bglt) COBJECT(
																((BgL_vrefz00_bglt)
																	((BgL_vrefz00_bglt) BgL_nodez00_6148))))->
														BgL_ftypez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tyz00_6292)), BUNSPEC);
												((((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
																		BgL_nodez00_6148))))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tyz00_6292)), BUNSPEC);
												BgL_auxz00_7497 =
													((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
														BgL_nodez00_6148));
											}
									}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_7497);
			}
		}

	}



/* &patch!-valloc/Cinfo+1700 */
	obj_t BGl_z62patchz12zd2valloczf2Cinfozb21700ze2zzcfa_tvectorz00(obj_t
		BgL_envz00_6149, obj_t BgL_nodez00_6150)
	{
		{	/* Cfa/tvector.scm 598 */
			{
				BgL_nodez00_bglt BgL_auxz00_7609;

				{	/* Cfa/tvector.scm 600 */
					obj_t BgL_arg2086z00_6295;

					BgL_arg2086z00_6295 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_6150))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2086z00_6295);
				}
				{	/* Cfa/tvector.scm 601 */
					BgL_typez00_bglt BgL_typez00_6296;

					{	/* Cfa/tvector.scm 601 */
						BgL_approxz00_bglt BgL_arg2099z00_6297;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_7614;

							{
								obj_t BgL_auxz00_7615;

								{	/* Cfa/tvector.scm 601 */
									BgL_objectz00_bglt BgL_tmpz00_7616;

									BgL_tmpz00_7616 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6150));
									BgL_auxz00_7615 = BGL_OBJECT_WIDENING(BgL_tmpz00_7616);
								}
								BgL_auxz00_7614 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_7615);
							}
							BgL_arg2099z00_6297 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_7614))->BgL_valuezd2approxzd2);
						}
						BgL_typez00_6296 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg2099z00_6297))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 601 */
						obj_t BgL_tvz00_6298;

						BgL_tvz00_6298 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_6296))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 602 */

							{	/* Cfa/tvector.scm 603 */
								bool_t BgL_test2583z00_7624;

								{	/* Cfa/tvector.scm 603 */
									bool_t BgL_test2584z00_7625;

									{	/* Cfa/tvector.scm 603 */
										obj_t BgL_classz00_6299;

										BgL_classz00_6299 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_tvz00_6298))
											{	/* Cfa/tvector.scm 603 */
												BgL_objectz00_bglt BgL_arg1858z00_6300;

												BgL_arg1858z00_6300 =
													(BgL_objectz00_bglt) (BgL_tvz00_6298);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/tvector.scm 603 */
														long BgL_idxz00_6301;

														BgL_idxz00_6301 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6300);
														BgL_test2584z00_7625 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6301 + 1L)) == BgL_classz00_6299);
													}
												else
													{	/* Cfa/tvector.scm 603 */
														bool_t BgL_res2373z00_6304;

														{	/* Cfa/tvector.scm 603 */
															obj_t BgL_oclassz00_6305;

															{	/* Cfa/tvector.scm 603 */
																obj_t BgL_arg1866z00_6306;
																long BgL_arg1867z00_6307;

																BgL_arg1866z00_6306 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/tvector.scm 603 */
																	long BgL_arg1869z00_6308;

																	BgL_arg1869z00_6308 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6300);
																	BgL_arg1867z00_6307 =
																		(BgL_arg1869z00_6308 - OBJECT_TYPE);
																}
																BgL_oclassz00_6305 =
																	VECTOR_REF(BgL_arg1866z00_6306,
																	BgL_arg1867z00_6307);
															}
															{	/* Cfa/tvector.scm 603 */
																bool_t BgL__ortest_1115z00_6309;

																BgL__ortest_1115z00_6309 =
																	(BgL_classz00_6299 == BgL_oclassz00_6305);
																if (BgL__ortest_1115z00_6309)
																	{	/* Cfa/tvector.scm 603 */
																		BgL_res2373z00_6304 =
																			BgL__ortest_1115z00_6309;
																	}
																else
																	{	/* Cfa/tvector.scm 603 */
																		long BgL_odepthz00_6310;

																		{	/* Cfa/tvector.scm 603 */
																			obj_t BgL_arg1855z00_6311;

																			BgL_arg1855z00_6311 =
																				(BgL_oclassz00_6305);
																			BgL_odepthz00_6310 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6311);
																		}
																		if ((1L < BgL_odepthz00_6310))
																			{	/* Cfa/tvector.scm 603 */
																				obj_t BgL_arg1853z00_6312;

																				{	/* Cfa/tvector.scm 603 */
																					obj_t BgL_arg1854z00_6313;

																					BgL_arg1854z00_6313 =
																						(BgL_oclassz00_6305);
																					BgL_arg1853z00_6312 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6313, 1L);
																				}
																				BgL_res2373z00_6304 =
																					(BgL_arg1853z00_6312 ==
																					BgL_classz00_6299);
																			}
																		else
																			{	/* Cfa/tvector.scm 603 */
																				BgL_res2373z00_6304 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2584z00_7625 = BgL_res2373z00_6304;
													}
											}
										else
											{	/* Cfa/tvector.scm 603 */
												BgL_test2584z00_7625 = ((bool_t) 0);
											}
									}
									if (BgL_test2584z00_7625)
										{	/* Cfa/tvector.scm 603 */
											obj_t BgL_arg2098z00_6314;

											BgL_arg2098z00_6314 =
												((obj_t)
												(((BgL_vallocz00_bglt) COBJECT(
															((BgL_vallocz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_6150))))->
													BgL_ftypez00));
											BgL_test2583z00_7624 =
												(BgL_arg2098z00_6314 == BGl_za2_za2z00zztype_cachez00);
										}
									else
										{	/* Cfa/tvector.scm 603 */
											BgL_test2583z00_7624 = ((bool_t) 0);
										}
								}
								if (BgL_test2583z00_7624)
									{	/* Cfa/tvector.scm 604 */
										obj_t BgL_createzd2tvzd2_6315;

										{	/* Cfa/tvector.scm 604 */
											obj_t BgL_arg2093z00_6316;

											{	/* Cfa/tvector.scm 604 */
												obj_t BgL_arg2094z00_6317;
												obj_t BgL_arg2095z00_6318;

												{	/* Cfa/tvector.scm 604 */
													obj_t BgL_symbolz00_6319;

													BgL_symbolz00_6319 = ((obj_t) CNST_TABLE_REF(19));
													{	/* Cfa/tvector.scm 604 */
														obj_t BgL_arg1486z00_6320;

														BgL_arg1486z00_6320 =
															SYMBOL_TO_STRING(BgL_symbolz00_6319);
														BgL_arg2094z00_6317 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6320);
													}
												}
												{	/* Cfa/tvector.scm 604 */
													obj_t BgL_arg2096z00_6321;

													BgL_arg2096z00_6321 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6298)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 604 */
														obj_t BgL_arg1486z00_6322;

														BgL_arg1486z00_6322 =
															SYMBOL_TO_STRING(BgL_arg2096z00_6321);
														BgL_arg2095z00_6318 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6322);
													}
												}
												BgL_arg2093z00_6316 =
													string_append(BgL_arg2094z00_6317,
													BgL_arg2095z00_6318);
											}
											BgL_createzd2tvzd2_6315 =
												bstring_to_symbol(BgL_arg2093z00_6316);
										}
										{	/* Cfa/tvector.scm 604 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6323;

											{	/* Cfa/tvector.scm 605 */
												obj_t BgL_arg2090z00_6324;
												obj_t BgL_arg2091z00_6325;

												{	/* Cfa/tvector.scm 605 */
													obj_t BgL_arg2092z00_6326;

													BgL_arg2092z00_6326 =
														(((BgL_externz00_bglt) COBJECT(
																((BgL_externz00_bglt)
																	((BgL_vallocz00_bglt) BgL_nodez00_6150))))->
														BgL_exprza2za2);
													BgL_arg2090z00_6324 =
														MAKE_YOUNG_PAIR(BgL_createzd2tvzd2_6315,
														BgL_arg2092z00_6326);
												}
												BgL_arg2091z00_6325 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_6150))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6323 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2090z00_6324, BNIL, BgL_arg2091z00_6325,
													((obj_t) CNST_TABLE_REF(14)));
											}
											{	/* Cfa/tvector.scm 605 */

												{	/* Cfa/tvector.scm 609 */
													BgL_nodez00_bglt BgL_nz00_6327;

													BgL_nz00_6327 =
														BGl_inlinezd2nodezd2zzinline_inlinez00
														(BgL_newzd2nodezd2_6323, 1L, BNIL);
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_6327);
													BgL_auxz00_7609 = BgL_nz00_6327;
												}
											}
										}
									}
								else
									{	/* Cfa/tvector.scm 603 */
										{
											BgL_typez00_bglt BgL_auxz00_7675;

											{	/* Cfa/tvector.scm 613 */
												BgL_approxz00_bglt BgL_arg2097z00_6328;

												{
													BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_7678;

													{
														obj_t BgL_auxz00_7679;

														{	/* Cfa/tvector.scm 613 */
															BgL_objectz00_bglt BgL_tmpz00_7680;

															BgL_tmpz00_7680 =
																((BgL_objectz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_6150));
															BgL_auxz00_7679 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7680);
														}
														BgL_auxz00_7678 =
															((BgL_valloczf2cinfozb2optimz40_bglt)
															BgL_auxz00_7679);
													}
													BgL_arg2097z00_6328 =
														(((BgL_valloczf2cinfozb2optimz40_bglt)
															COBJECT(BgL_auxz00_7678))->BgL_valuezd2approxzd2);
												}
												BgL_auxz00_7675 =
													((BgL_typez00_bglt)
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg2097z00_6328,
														((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_6150))));
											}
											((((BgL_vallocz00_bglt) COBJECT(
															((BgL_vallocz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_6150))))->
													BgL_ftypez00) =
												((BgL_typez00_bglt) BgL_auxz00_7675), BUNSPEC);
										}
										BgL_auxz00_7609 =
											((BgL_nodez00_bglt)
											((BgL_vallocz00_bglt) BgL_nodez00_6150));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7609);
			}
		}

	}



/* &patch!-make-vector-a1698 */
	obj_t BGl_z62patchz12zd2makezd2vectorzd2a1698za2zzcfa_tvectorz00(obj_t
		BgL_envz00_6151, obj_t BgL_nodez00_6152)
	{
		{	/* Cfa/tvector.scm 580 */
			{
				BgL_nodez00_bglt BgL_auxz00_7694;

				{	/* Cfa/tvector.scm 582 */
					obj_t BgL_arg2075z00_6330;

					BgL_arg2075z00_6330 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_6152))))->BgL_argsz00);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2075z00_6330);
				}
				{	/* Cfa/tvector.scm 583 */
					BgL_typez00_bglt BgL_typez00_6331;

					{	/* Cfa/tvector.scm 583 */
						BgL_approxz00_bglt BgL_arg2085z00_6332;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_7699;

							{
								obj_t BgL_auxz00_7700;

								{	/* Cfa/tvector.scm 583 */
									BgL_objectz00_bglt BgL_tmpz00_7701;

									BgL_tmpz00_7701 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6152));
									BgL_auxz00_7700 = BGL_OBJECT_WIDENING(BgL_tmpz00_7701);
								}
								BgL_auxz00_7699 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_7700);
							}
							BgL_arg2085z00_6332 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_7699))->
								BgL_valuezd2approxzd2);
						}
						BgL_typez00_6331 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg2085z00_6332))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 583 */
						obj_t BgL_tvz00_6333;

						BgL_tvz00_6333 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_6331))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 584 */

							{	/* Cfa/tvector.scm 585 */
								bool_t BgL_test2589z00_7709;

								{	/* Cfa/tvector.scm 585 */
									bool_t BgL_test2590z00_7710;

									{	/* Cfa/tvector.scm 585 */
										obj_t BgL_classz00_6334;

										BgL_classz00_6334 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_tvz00_6333))
											{	/* Cfa/tvector.scm 585 */
												BgL_objectz00_bglt BgL_arg1858z00_6335;

												BgL_arg1858z00_6335 =
													(BgL_objectz00_bglt) (BgL_tvz00_6333);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/tvector.scm 585 */
														long BgL_idxz00_6336;

														BgL_idxz00_6336 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6335);
														BgL_test2590z00_7710 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6336 + 1L)) == BgL_classz00_6334);
													}
												else
													{	/* Cfa/tvector.scm 585 */
														bool_t BgL_res2372z00_6339;

														{	/* Cfa/tvector.scm 585 */
															obj_t BgL_oclassz00_6340;

															{	/* Cfa/tvector.scm 585 */
																obj_t BgL_arg1866z00_6341;
																long BgL_arg1867z00_6342;

																BgL_arg1866z00_6341 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/tvector.scm 585 */
																	long BgL_arg1869z00_6343;

																	BgL_arg1869z00_6343 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6335);
																	BgL_arg1867z00_6342 =
																		(BgL_arg1869z00_6343 - OBJECT_TYPE);
																}
																BgL_oclassz00_6340 =
																	VECTOR_REF(BgL_arg1866z00_6341,
																	BgL_arg1867z00_6342);
															}
															{	/* Cfa/tvector.scm 585 */
																bool_t BgL__ortest_1115z00_6344;

																BgL__ortest_1115z00_6344 =
																	(BgL_classz00_6334 == BgL_oclassz00_6340);
																if (BgL__ortest_1115z00_6344)
																	{	/* Cfa/tvector.scm 585 */
																		BgL_res2372z00_6339 =
																			BgL__ortest_1115z00_6344;
																	}
																else
																	{	/* Cfa/tvector.scm 585 */
																		long BgL_odepthz00_6345;

																		{	/* Cfa/tvector.scm 585 */
																			obj_t BgL_arg1855z00_6346;

																			BgL_arg1855z00_6346 =
																				(BgL_oclassz00_6340);
																			BgL_odepthz00_6345 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6346);
																		}
																		if ((1L < BgL_odepthz00_6345))
																			{	/* Cfa/tvector.scm 585 */
																				obj_t BgL_arg1853z00_6347;

																				{	/* Cfa/tvector.scm 585 */
																					obj_t BgL_arg1854z00_6348;

																					BgL_arg1854z00_6348 =
																						(BgL_oclassz00_6340);
																					BgL_arg1853z00_6347 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6348, 1L);
																				}
																				BgL_res2372z00_6339 =
																					(BgL_arg1853z00_6347 ==
																					BgL_classz00_6334);
																			}
																		else
																			{	/* Cfa/tvector.scm 585 */
																				BgL_res2372z00_6339 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2590z00_7710 = BgL_res2372z00_6339;
													}
											}
										else
											{	/* Cfa/tvector.scm 585 */
												BgL_test2590z00_7710 = ((bool_t) 0);
											}
									}
									if (BgL_test2590z00_7710)
										{
											BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_7733;

											{
												obj_t BgL_auxz00_7734;

												{	/* Cfa/tvector.scm 585 */
													BgL_objectz00_bglt BgL_tmpz00_7735;

													BgL_tmpz00_7735 =
														((BgL_objectz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_6152));
													BgL_auxz00_7734 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7735);
												}
												BgL_auxz00_7733 =
													((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_7734);
											}
											BgL_test2589z00_7709 =
												(((BgL_makezd2vectorzd2appz00_bglt)
													COBJECT(BgL_auxz00_7733))->BgL_tvectorzf3zf3);
										}
									else
										{	/* Cfa/tvector.scm 585 */
											BgL_test2589z00_7709 = ((bool_t) 0);
										}
								}
								if (BgL_test2589z00_7709)
									{	/* Cfa/tvector.scm 586 */
										obj_t BgL_makezd2tvzd2_6349;

										{	/* Cfa/tvector.scm 586 */
											obj_t BgL_arg2081z00_6350;

											{	/* Cfa/tvector.scm 586 */
												obj_t BgL_arg2082z00_6351;
												obj_t BgL_arg2083z00_6352;

												{	/* Cfa/tvector.scm 586 */
													obj_t BgL_symbolz00_6353;

													BgL_symbolz00_6353 = ((obj_t) CNST_TABLE_REF(20));
													{	/* Cfa/tvector.scm 586 */
														obj_t BgL_arg1486z00_6354;

														BgL_arg1486z00_6354 =
															SYMBOL_TO_STRING(BgL_symbolz00_6353);
														BgL_arg2082z00_6351 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6354);
													}
												}
												{	/* Cfa/tvector.scm 586 */
													obj_t BgL_arg2084z00_6355;

													BgL_arg2084z00_6355 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6333)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 586 */
														obj_t BgL_arg1486z00_6356;

														BgL_arg1486z00_6356 =
															SYMBOL_TO_STRING(BgL_arg2084z00_6355);
														BgL_arg2083z00_6352 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6356);
													}
												}
												BgL_arg2081z00_6350 =
													string_append(BgL_arg2082z00_6351,
													BgL_arg2083z00_6352);
											}
											BgL_makezd2tvzd2_6349 =
												bstring_to_symbol(BgL_arg2081z00_6350);
										}
										{	/* Cfa/tvector.scm 586 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6357;

											{	/* Cfa/tvector.scm 587 */
												obj_t BgL_arg2078z00_6358;
												obj_t BgL_arg2079z00_6359;

												{	/* Cfa/tvector.scm 587 */
													obj_t BgL_arg2080z00_6360;

													BgL_arg2080z00_6360 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_6152))))->
														BgL_argsz00);
													BgL_arg2078z00_6358 =
														MAKE_YOUNG_PAIR(BgL_makezd2tvzd2_6349,
														BgL_arg2080z00_6360);
												}
												BgL_arg2079z00_6359 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_6152))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6357 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2078z00_6358, BNIL, BgL_arg2079z00_6359,
													((obj_t) CNST_TABLE_REF(14)));
											}
											{	/* Cfa/tvector.scm 587 */

												((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_6357))->
														BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BgL_tvz00_6333)), BUNSPEC);
												BgL_auxz00_7694 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_newzd2nodezd2_6357, 1L, BNIL);
											}
										}
									}
								else
									{	/* Cfa/tvector.scm 585 */
										BgL_auxz00_7694 =
											((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6152));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7694);
			}
		}

	}



/* &patch!-vlength1696 */
	obj_t BGl_z62patchz12zd2vlength1696za2zzcfa_tvectorz00(obj_t BgL_envz00_6153,
		obj_t BgL_nodez00_6154)
	{
		{	/* Cfa/tvector.scm 516 */
			{
				BgL_nodez00_bglt BgL_auxz00_7767;

				{	/* Cfa/tvector.scm 518 */
					obj_t BgL_arg2059z00_6362;

					BgL_arg2059z00_6362 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_6154)))))->
						BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2059z00_6362);
				}
				{	/* Cfa/tvector.scm 519 */
					BgL_approxz00_bglt BgL_approxz00_6363;

					{	/* Cfa/tvector.scm 519 */
						obj_t BgL_arg2073z00_6364;

						{	/* Cfa/tvector.scm 519 */
							obj_t BgL_pairz00_6365;

							BgL_pairz00_6365 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vlengthz00_bglt)
												((BgL_vlengthz00_bglt) BgL_nodez00_6154)))))->
								BgL_exprza2za2);
							BgL_arg2073z00_6364 = CAR(BgL_pairz00_6365);
						}
						BgL_approxz00_6363 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg2073z00_6364));
					}
					{	/* Cfa/tvector.scm 519 */
						obj_t BgL_tvz00_6366;

						BgL_tvz00_6366 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_6363,
							((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_6154)));
						{	/* Cfa/tvector.scm 520 */

							{	/* Cfa/tvector.scm 521 */
								bool_t BgL_test2595z00_7783;

								{	/* Cfa/tvector.scm 521 */
									bool_t BgL_test2596z00_7784;

									{	/* Cfa/tvector.scm 521 */
										obj_t BgL_classz00_6367;

										BgL_classz00_6367 = BGl_tvecz00zztvector_tvectorz00;
										if (BGL_OBJECTP(BgL_tvz00_6366))
											{	/* Cfa/tvector.scm 521 */
												BgL_objectz00_bglt BgL_arg1858z00_6368;

												BgL_arg1858z00_6368 =
													(BgL_objectz00_bglt) (BgL_tvz00_6366);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cfa/tvector.scm 521 */
														long BgL_idxz00_6369;

														BgL_idxz00_6369 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6368);
														BgL_test2596z00_7784 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_6369 + 2L)) == BgL_classz00_6367);
													}
												else
													{	/* Cfa/tvector.scm 521 */
														bool_t BgL_res2371z00_6372;

														{	/* Cfa/tvector.scm 521 */
															obj_t BgL_oclassz00_6373;

															{	/* Cfa/tvector.scm 521 */
																obj_t BgL_arg1866z00_6374;
																long BgL_arg1867z00_6375;

																BgL_arg1866z00_6374 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cfa/tvector.scm 521 */
																	long BgL_arg1869z00_6376;

																	BgL_arg1869z00_6376 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6368);
																	BgL_arg1867z00_6375 =
																		(BgL_arg1869z00_6376 - OBJECT_TYPE);
																}
																BgL_oclassz00_6373 =
																	VECTOR_REF(BgL_arg1866z00_6374,
																	BgL_arg1867z00_6375);
															}
															{	/* Cfa/tvector.scm 521 */
																bool_t BgL__ortest_1115z00_6377;

																BgL__ortest_1115z00_6377 =
																	(BgL_classz00_6367 == BgL_oclassz00_6373);
																if (BgL__ortest_1115z00_6377)
																	{	/* Cfa/tvector.scm 521 */
																		BgL_res2371z00_6372 =
																			BgL__ortest_1115z00_6377;
																	}
																else
																	{	/* Cfa/tvector.scm 521 */
																		long BgL_odepthz00_6378;

																		{	/* Cfa/tvector.scm 521 */
																			obj_t BgL_arg1855z00_6379;

																			BgL_arg1855z00_6379 =
																				(BgL_oclassz00_6373);
																			BgL_odepthz00_6378 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_6379);
																		}
																		if ((2L < BgL_odepthz00_6378))
																			{	/* Cfa/tvector.scm 521 */
																				obj_t BgL_arg1853z00_6380;

																				{	/* Cfa/tvector.scm 521 */
																					obj_t BgL_arg1854z00_6381;

																					BgL_arg1854z00_6381 =
																						(BgL_oclassz00_6373);
																					BgL_arg1853z00_6380 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_6381, 2L);
																				}
																				BgL_res2371z00_6372 =
																					(BgL_arg1853z00_6380 ==
																					BgL_classz00_6367);
																			}
																		else
																			{	/* Cfa/tvector.scm 521 */
																				BgL_res2371z00_6372 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2596z00_7784 = BgL_res2371z00_6372;
													}
											}
										else
											{	/* Cfa/tvector.scm 521 */
												BgL_test2596z00_7784 = ((bool_t) 0);
											}
									}
									if (BgL_test2596z00_7784)
										{	/* Cfa/tvector.scm 521 */
											bool_t BgL_test2601z00_7807;

											{
												BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_7808;

												{
													obj_t BgL_auxz00_7809;

													{	/* Cfa/tvector.scm 521 */
														BgL_objectz00_bglt BgL_tmpz00_7810;

														BgL_tmpz00_7810 =
															((BgL_objectz00_bglt)
															((BgL_vlengthz00_bglt)
																((BgL_vlengthz00_bglt) BgL_nodez00_6154)));
														BgL_auxz00_7809 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7810);
													}
													BgL_auxz00_7808 =
														((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_7809);
												}
												BgL_test2601z00_7807 =
													(((BgL_vlengthzf2cinfozf2_bglt)
														COBJECT(BgL_auxz00_7808))->BgL_tvectorzf3zf3);
											}
											if (BgL_test2601z00_7807)
												{	/* Cfa/tvector.scm 521 */
													BgL_test2595z00_7783 = ((bool_t) 0);
												}
											else
												{	/* Cfa/tvector.scm 521 */
													BgL_test2595z00_7783 = ((bool_t) 1);
												}
										}
									else
										{	/* Cfa/tvector.scm 521 */
											BgL_test2595z00_7783 = ((bool_t) 0);
										}
								}
								if (BgL_test2595z00_7783)
									{	/* Cfa/tvector.scm 522 */
										obj_t BgL_lengthzd2tvzd2_6382;

										{	/* Cfa/tvector.scm 522 */
											obj_t BgL_arg2069z00_6383;

											{	/* Cfa/tvector.scm 522 */
												obj_t BgL_arg2070z00_6384;
												obj_t BgL_arg2071z00_6385;

												{	/* Cfa/tvector.scm 522 */
													obj_t BgL_arg2072z00_6386;

													BgL_arg2072z00_6386 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_6366)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 522 */
														obj_t BgL_arg1486z00_6387;

														BgL_arg1486z00_6387 =
															SYMBOL_TO_STRING(BgL_arg2072z00_6386);
														BgL_arg2070z00_6384 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6387);
													}
												}
												{	/* Cfa/tvector.scm 522 */
													obj_t BgL_symbolz00_6388;

													BgL_symbolz00_6388 = ((obj_t) CNST_TABLE_REF(21));
													{	/* Cfa/tvector.scm 522 */
														obj_t BgL_arg1486z00_6389;

														BgL_arg1486z00_6389 =
															SYMBOL_TO_STRING(BgL_symbolz00_6388);
														BgL_arg2071z00_6385 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1486z00_6389);
													}
												}
												BgL_arg2069z00_6383 =
													string_append(BgL_arg2070z00_6384,
													BgL_arg2071z00_6385);
											}
											BgL_lengthzd2tvzd2_6382 =
												bstring_to_symbol(BgL_arg2069z00_6383);
										}
										{	/* Cfa/tvector.scm 522 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_6390;

											{	/* Cfa/tvector.scm 523 */
												obj_t BgL_arg2064z00_6391;
												obj_t BgL_arg2065z00_6392;

												{	/* Cfa/tvector.scm 523 */
													obj_t BgL_arg2066z00_6393;

													{	/* Cfa/tvector.scm 523 */
														obj_t BgL_arg2067z00_6394;

														{	/* Cfa/tvector.scm 523 */
															obj_t BgL_pairz00_6395;

															BgL_pairz00_6395 =
																(((BgL_externz00_bglt) COBJECT(
																		((BgL_externz00_bglt)
																			((BgL_vlengthz00_bglt)
																				((BgL_vlengthz00_bglt)
																					BgL_nodez00_6154)))))->
																BgL_exprza2za2);
															BgL_arg2067z00_6394 = CAR(BgL_pairz00_6395);
														}
														BgL_arg2066z00_6393 =
															MAKE_YOUNG_PAIR(BgL_arg2067z00_6394, BNIL);
													}
													BgL_arg2064z00_6391 =
														MAKE_YOUNG_PAIR(BgL_lengthzd2tvzd2_6382,
														BgL_arg2066z00_6393);
												}
												BgL_arg2065z00_6392 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vlengthz00_bglt)
																	((BgL_vlengthz00_bglt) BgL_nodez00_6154)))))->
													BgL_locz00);
												BgL_newzd2nodezd2_6390 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg2064z00_6391, BNIL, BgL_arg2065z00_6392,
													((obj_t) CNST_TABLE_REF(14)));
											}
											{	/* Cfa/tvector.scm 523 */

												((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_6390))->
														BgL_typez00) =
													((BgL_typez00_bglt)
														BGl_getzd2tvectorzd2lengthzd2typezd2zzcfa_tvectorz00
														()), BUNSPEC);
												BgL_auxz00_7767 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_newzd2nodezd2_6390, 1L, BNIL);
											}
										}
									}
								else
									{	/* Cfa/tvector.scm 521 */
										BgL_auxz00_7767 =
											((BgL_nodez00_bglt)
											((BgL_vlengthz00_bglt) BgL_nodez00_6154));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_7767);
			}
		}

	}



/* &patch!-app1694 */
	obj_t BGl_z62patchz12zd2app1694za2zzcfa_tvectorz00(obj_t BgL_envz00_6155,
		obj_t BgL_nodez00_6156)
	{
		{	/* Cfa/tvector.scm 496 */
			{
				BgL_nodez00_bglt BgL_auxz00_7847;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_6156)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_7851;

					{	/* Cfa/tvector.scm 499 */
						BgL_varz00_bglt BgL_arg2042z00_6397;

						BgL_arg2042z00_6397 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_6156)))->BgL_funz00);
						BgL_auxz00_7851 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2042z00_6397)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_6156)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_7851), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 500 */
					BgL_variablez00_bglt BgL_vz00_6398;

					BgL_vz00_6398 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_6156)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/tvector.scm 501 */
						bool_t BgL_test2602z00_7862;

						{	/* Cfa/tvector.scm 501 */
							obj_t BgL_classz00_6399;

							BgL_classz00_6399 = BGl_globalz00zzast_varz00;
							{	/* Cfa/tvector.scm 501 */
								BgL_objectz00_bglt BgL_arg1858z00_6400;

								{	/* Cfa/tvector.scm 501 */
									obj_t BgL_tmpz00_7863;

									BgL_tmpz00_7863 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_6398));
									BgL_arg1858z00_6400 = (BgL_objectz00_bglt) (BgL_tmpz00_7863);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/tvector.scm 501 */
										long BgL_idxz00_6401;

										BgL_idxz00_6401 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6400);
										BgL_test2602z00_7862 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_6401 + 2L)) == BgL_classz00_6399);
									}
								else
									{	/* Cfa/tvector.scm 501 */
										bool_t BgL_res2369z00_6404;

										{	/* Cfa/tvector.scm 501 */
											obj_t BgL_oclassz00_6405;

											{	/* Cfa/tvector.scm 501 */
												obj_t BgL_arg1866z00_6406;
												long BgL_arg1867z00_6407;

												BgL_arg1866z00_6406 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Cfa/tvector.scm 501 */
													long BgL_arg1869z00_6408;

													BgL_arg1869z00_6408 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6400);
													BgL_arg1867z00_6407 =
														(BgL_arg1869z00_6408 - OBJECT_TYPE);
												}
												BgL_oclassz00_6405 =
													VECTOR_REF(BgL_arg1866z00_6406, BgL_arg1867z00_6407);
											}
											{	/* Cfa/tvector.scm 501 */
												bool_t BgL__ortest_1115z00_6409;

												BgL__ortest_1115z00_6409 =
													(BgL_classz00_6399 == BgL_oclassz00_6405);
												if (BgL__ortest_1115z00_6409)
													{	/* Cfa/tvector.scm 501 */
														BgL_res2369z00_6404 = BgL__ortest_1115z00_6409;
													}
												else
													{	/* Cfa/tvector.scm 501 */
														long BgL_odepthz00_6410;

														{	/* Cfa/tvector.scm 501 */
															obj_t BgL_arg1855z00_6411;

															BgL_arg1855z00_6411 = (BgL_oclassz00_6405);
															BgL_odepthz00_6410 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_6411);
														}
														if ((2L < BgL_odepthz00_6410))
															{	/* Cfa/tvector.scm 501 */
																obj_t BgL_arg1853z00_6412;

																{	/* Cfa/tvector.scm 501 */
																	obj_t BgL_arg1854z00_6413;

																	BgL_arg1854z00_6413 = (BgL_oclassz00_6405);
																	BgL_arg1853z00_6412 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_6413,
																		2L);
																}
																BgL_res2369z00_6404 =
																	(BgL_arg1853z00_6412 == BgL_classz00_6399);
															}
														else
															{	/* Cfa/tvector.scm 501 */
																BgL_res2369z00_6404 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2602z00_7862 = BgL_res2369z00_6404;
									}
							}
						}
						if (BgL_test2602z00_7862)
							{	/* Cfa/tvector.scm 502 */
								bool_t BgL_test2606z00_7886;

								{	/* Cfa/tvector.scm 502 */
									BgL_valuez00_bglt BgL_arg2056z00_6414;

									BgL_arg2056z00_6414 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_6398))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 502 */
										obj_t BgL_classz00_6415;

										BgL_classz00_6415 = BGl_cfunz00zzast_varz00;
										{	/* Cfa/tvector.scm 502 */
											BgL_objectz00_bglt BgL_arg1858z00_6416;

											{	/* Cfa/tvector.scm 502 */
												obj_t BgL_tmpz00_7888;

												BgL_tmpz00_7888 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2056z00_6414));
												BgL_arg1858z00_6416 =
													(BgL_objectz00_bglt) (BgL_tmpz00_7888);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/tvector.scm 502 */
													long BgL_idxz00_6417;

													BgL_idxz00_6417 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6416);
													BgL_test2606z00_7886 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6417 + 3L)) == BgL_classz00_6415);
												}
											else
												{	/* Cfa/tvector.scm 502 */
													bool_t BgL_res2370z00_6420;

													{	/* Cfa/tvector.scm 502 */
														obj_t BgL_oclassz00_6421;

														{	/* Cfa/tvector.scm 502 */
															obj_t BgL_arg1866z00_6422;
															long BgL_arg1867z00_6423;

															BgL_arg1866z00_6422 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/tvector.scm 502 */
																long BgL_arg1869z00_6424;

																BgL_arg1869z00_6424 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6416);
																BgL_arg1867z00_6423 =
																	(BgL_arg1869z00_6424 - OBJECT_TYPE);
															}
															BgL_oclassz00_6421 =
																VECTOR_REF(BgL_arg1866z00_6422,
																BgL_arg1867z00_6423);
														}
														{	/* Cfa/tvector.scm 502 */
															bool_t BgL__ortest_1115z00_6425;

															BgL__ortest_1115z00_6425 =
																(BgL_classz00_6415 == BgL_oclassz00_6421);
															if (BgL__ortest_1115z00_6425)
																{	/* Cfa/tvector.scm 502 */
																	BgL_res2370z00_6420 =
																		BgL__ortest_1115z00_6425;
																}
															else
																{	/* Cfa/tvector.scm 502 */
																	long BgL_odepthz00_6426;

																	{	/* Cfa/tvector.scm 502 */
																		obj_t BgL_arg1855z00_6427;

																		BgL_arg1855z00_6427 = (BgL_oclassz00_6421);
																		BgL_odepthz00_6426 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6427);
																	}
																	if ((3L < BgL_odepthz00_6426))
																		{	/* Cfa/tvector.scm 502 */
																			obj_t BgL_arg1853z00_6428;

																			{	/* Cfa/tvector.scm 502 */
																				obj_t BgL_arg1854z00_6429;

																				BgL_arg1854z00_6429 =
																					(BgL_oclassz00_6421);
																				BgL_arg1853z00_6428 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6429, 3L);
																			}
																			BgL_res2370z00_6420 =
																				(BgL_arg1853z00_6428 ==
																				BgL_classz00_6415);
																		}
																	else
																		{	/* Cfa/tvector.scm 502 */
																			BgL_res2370z00_6420 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2606z00_7886 = BgL_res2370z00_6420;
												}
										}
									}
								}
								if (BgL_test2606z00_7886)
									{	/* Cfa/tvector.scm 503 */
										obj_t BgL_casezd2valuezd2_6430;

										BgL_casezd2valuezd2_6430 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_6398))))->BgL_idz00);
										if (
											(BgL_casezd2valuezd2_6430 == ((obj_t) CNST_TABLE_REF(2))))
											{	/* Cfa/tvector.scm 503 */
												BgL_auxz00_7847 =
													BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_6156));
											}
										else
											{	/* Cfa/tvector.scm 503 */
												if (
													(BgL_casezd2valuezd2_6430 ==
														((obj_t) CNST_TABLE_REF(3))))
													{	/* Cfa/tvector.scm 503 */
														BgL_auxz00_7847 =
															BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
															((BgL_appz00_bglt) BgL_nodez00_6156));
													}
												else
													{	/* Cfa/tvector.scm 503 */
														BgL_auxz00_7847 =
															((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_6156));
													}
											}
									}
								else
									{	/* Cfa/tvector.scm 507 */
										bool_t BgL_test2612z00_7928;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_6398))))->
													BgL_idz00) == ((obj_t) CNST_TABLE_REF(22))))
											{	/* Cfa/tvector.scm 507 */
												BgL_test2612z00_7928 =
													(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_6398)))->
														BgL_modulez00) == ((obj_t) CNST_TABLE_REF(23)));
											}
										else
											{	/* Cfa/tvector.scm 507 */
												BgL_test2612z00_7928 = ((bool_t) 0);
											}
										if (BgL_test2612z00_7928)
											{	/* Cfa/tvector.scm 507 */
												BgL_auxz00_7847 =
													BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_6156));
											}
										else
											{	/* Cfa/tvector.scm 507 */
												BgL_auxz00_7847 =
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_6156));
											}
									}
							}
						else
							{	/* Cfa/tvector.scm 501 */
								BgL_auxz00_7847 =
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_6156));
							}
					}
				}
				return ((obj_t) BgL_auxz00_7847);
			}
		}

	}



/* &patch!-box-ref1692 */
	obj_t BGl_z62patchz12zd2boxzd2ref1692z70zzcfa_tvectorz00(obj_t
		BgL_envz00_6157, obj_t BgL_nodez00_6158)
	{
		{	/* Cfa/tvector.scm 477 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_7948;

				{
					BgL_varz00_bglt BgL_auxz00_7949;

					{	/* Cfa/tvector.scm 479 */
						BgL_varz00_bglt BgL_arg2040z00_6432;

						BgL_arg2040z00_6432 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_6158)))->BgL_varz00);
						BgL_auxz00_7949 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2040z00_6432)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_6158)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7949), BUNSPEC);
				}
				BgL_auxz00_7948 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6158);
				return ((obj_t) BgL_auxz00_7948);
			}
		}

	}



/* &patch!-box-set!1690 */
	obj_t BGl_z62patchz12zd2boxzd2setz121690z62zzcfa_tvectorz00(obj_t
		BgL_envz00_6159, obj_t BgL_nodez00_6160)
	{
		{	/* Cfa/tvector.scm 468 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_7959;

				{
					BgL_varz00_bglt BgL_auxz00_7960;

					{	/* Cfa/tvector.scm 470 */
						BgL_varz00_bglt BgL_arg2038z00_6434;

						BgL_arg2038z00_6434 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6160)))->BgL_varz00);
						BgL_auxz00_7960 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2038z00_6434)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6160)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_7960), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7968;

					{	/* Cfa/tvector.scm 471 */
						BgL_nodez00_bglt BgL_arg2039z00_6435;

						BgL_arg2039z00_6435 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6160)))->
							BgL_valuez00);
						BgL_auxz00_7968 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2039z00_6435));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6160)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_7968), BUNSPEC);
				}
				BgL_auxz00_7959 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6160);
				return ((obj_t) BgL_auxz00_7959);
			}
		}

	}



/* &patch!-make-box1688 */
	obj_t BGl_z62patchz12zd2makezd2box1688z70zzcfa_tvectorz00(obj_t
		BgL_envz00_6161, obj_t BgL_nodez00_6162)
	{
		{	/* Cfa/tvector.scm 460 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_7977;

				{
					BgL_nodez00_bglt BgL_auxz00_7978;

					{	/* Cfa/tvector.scm 462 */
						BgL_nodez00_bglt BgL_arg2036z00_6437;

						BgL_arg2036z00_6437 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_6162)))->BgL_valuez00);
						BgL_auxz00_7978 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2036z00_6437));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_6162)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_7978), BUNSPEC);
				}
				BgL_auxz00_7977 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6162);
				return ((obj_t) BgL_auxz00_7977);
			}
		}

	}



/* &patch!-jump-ex-it1686 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1686za2zzcfa_tvectorz00(obj_t
		BgL_envz00_6163, obj_t BgL_nodez00_6164)
	{
		{	/* Cfa/tvector.scm 451 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_7987;

				{
					BgL_nodez00_bglt BgL_auxz00_7988;

					{	/* Cfa/tvector.scm 453 */
						BgL_nodez00_bglt BgL_arg2034z00_6439;

						BgL_arg2034z00_6439 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6164)))->
							BgL_exitz00);
						BgL_auxz00_7988 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2034z00_6439));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6164)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_7988), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7995;

					{	/* Cfa/tvector.scm 454 */
						BgL_nodez00_bglt BgL_arg2035z00_6440;

						BgL_arg2035z00_6440 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6164)))->
							BgL_valuez00);
						BgL_auxz00_7995 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2035z00_6440));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6164)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_7995), BUNSPEC);
				}
				BgL_auxz00_7987 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6164);
				return ((obj_t) BgL_auxz00_7987);
			}
		}

	}



/* &patch!-set-ex-it1684 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1684za2zzcfa_tvectorz00(obj_t
		BgL_envz00_6165, obj_t BgL_nodez00_6166)
	{
		{	/* Cfa/tvector.scm 441 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_8004;

				{
					BgL_nodez00_bglt BgL_auxz00_8005;

					{	/* Cfa/tvector.scm 443 */
						BgL_nodez00_bglt BgL_arg2031z00_6442;

						BgL_arg2031z00_6442 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166)))->
							BgL_bodyz00);
						BgL_auxz00_8005 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2031z00_6442));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_8005), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8012;

					{	/* Cfa/tvector.scm 444 */
						BgL_nodez00_bglt BgL_arg2032z00_6443;

						BgL_arg2032z00_6443 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166)))->
							BgL_onexitz00);
						BgL_auxz00_8012 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2032z00_6443));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166)))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_8012), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 445 */
					BgL_varz00_bglt BgL_arg2033z00_6444;

					BgL_arg2033z00_6444 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166)))->BgL_varz00);
					BGl_patchz12z12zzcfa_tvectorz00(
						((BgL_nodez00_bglt) BgL_arg2033z00_6444));
				}
				BgL_auxz00_8004 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6166);
				return ((obj_t) BgL_auxz00_8004);
			}
		}

	}



/* &patch!-let-var1682 */
	obj_t BGl_z62patchz12zd2letzd2var1682z70zzcfa_tvectorz00(obj_t
		BgL_envz00_6167, obj_t BgL_nodez00_6168)
	{
		{	/* Cfa/tvector.scm 429 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_8025;

				{	/* Cfa/tvector.scm 431 */
					obj_t BgL_g1639z00_6446;

					BgL_g1639z00_6446 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_6168)))->BgL_bindingsz00);
					{
						obj_t BgL_l1637z00_6448;

						BgL_l1637z00_6448 = BgL_g1639z00_6446;
					BgL_zc3z04anonymousza32025ze3z87_6447:
						if (PAIRP(BgL_l1637z00_6448))
							{	/* Cfa/tvector.scm 431 */
								{	/* Cfa/tvector.scm 432 */
									obj_t BgL_bindingz00_6449;

									BgL_bindingz00_6449 = CAR(BgL_l1637z00_6448);
									{	/* Cfa/tvector.scm 432 */
										obj_t BgL_valz00_6450;

										BgL_valz00_6450 = CDR(((obj_t) BgL_bindingz00_6449));
										{	/* Cfa/tvector.scm 433 */
											obj_t BgL_arg2027z00_6451;

											BgL_arg2027z00_6451 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_valz00_6450));
											{	/* Cfa/tvector.scm 433 */
												obj_t BgL_tmpz00_8035;

												BgL_tmpz00_8035 = ((obj_t) BgL_bindingz00_6449);
												SET_CDR(BgL_tmpz00_8035, BgL_arg2027z00_6451);
											}
										}
									}
								}
								{
									obj_t BgL_l1637z00_8038;

									BgL_l1637z00_8038 = CDR(BgL_l1637z00_6448);
									BgL_l1637z00_6448 = BgL_l1637z00_8038;
									goto BgL_zc3z04anonymousza32025ze3z87_6447;
								}
							}
						else
							{	/* Cfa/tvector.scm 431 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8040;

					{	/* Cfa/tvector.scm 435 */
						BgL_nodez00_bglt BgL_arg2030z00_6452;

						BgL_arg2030z00_6452 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_6168)))->BgL_bodyz00);
						BgL_auxz00_8040 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2030z00_6452));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_6168)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8040), BUNSPEC);
				}
				BgL_auxz00_8025 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_6168);
				return ((obj_t) BgL_auxz00_8025);
			}
		}

	}



/* &patch!-let-fun1680 */
	obj_t BGl_z62patchz12zd2letzd2fun1680z70zzcfa_tvectorz00(obj_t
		BgL_envz00_6169, obj_t BgL_nodez00_6170)
	{
		{	/* Cfa/tvector.scm 420 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_8049;

				{	/* Cfa/tvector.scm 422 */
					obj_t BgL_g1636z00_6454;

					BgL_g1636z00_6454 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_6170)))->BgL_localsz00);
					{
						obj_t BgL_l1634z00_6456;

						BgL_l1634z00_6456 = BgL_g1636z00_6454;
					BgL_zc3z04anonymousza32020ze3z87_6455:
						if (PAIRP(BgL_l1634z00_6456))
							{	/* Cfa/tvector.scm 422 */
								BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1634z00_6456));
								{
									obj_t BgL_l1634z00_8056;

									BgL_l1634z00_8056 = CDR(BgL_l1634z00_6456);
									BgL_l1634z00_6456 = BgL_l1634z00_8056;
									goto BgL_zc3z04anonymousza32020ze3z87_6455;
								}
							}
						else
							{	/* Cfa/tvector.scm 422 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8058;

					{	/* Cfa/tvector.scm 423 */
						BgL_nodez00_bglt BgL_arg2024z00_6457;

						BgL_arg2024z00_6457 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_6170)))->BgL_bodyz00);
						BgL_auxz00_8058 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2024z00_6457));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_6170)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8058), BUNSPEC);
				}
				BgL_auxz00_8049 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_6170);
				return ((obj_t) BgL_auxz00_8049);
			}
		}

	}



/* &patch!-switch1678 */
	obj_t BGl_z62patchz12zd2switch1678za2zzcfa_tvectorz00(obj_t BgL_envz00_6171,
		obj_t BgL_nodez00_6172)
	{
		{	/* Cfa/tvector.scm 409 */
			{
				BgL_switchz00_bglt BgL_auxz00_8067;

				{
					BgL_nodez00_bglt BgL_auxz00_8068;

					{	/* Cfa/tvector.scm 411 */
						BgL_nodez00_bglt BgL_arg2014z00_6459;

						BgL_arg2014z00_6459 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_6172)))->BgL_testz00);
						BgL_auxz00_8068 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2014z00_6459));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_6172)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8068), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 412 */
					obj_t BgL_g1633z00_6460;

					BgL_g1633z00_6460 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_6172)))->BgL_clausesz00);
					{
						obj_t BgL_l1631z00_6462;

						BgL_l1631z00_6462 = BgL_g1633z00_6460;
					BgL_zc3z04anonymousza32015ze3z87_6461:
						if (PAIRP(BgL_l1631z00_6462))
							{	/* Cfa/tvector.scm 412 */
								{	/* Cfa/tvector.scm 413 */
									obj_t BgL_clausez00_6463;

									BgL_clausez00_6463 = CAR(BgL_l1631z00_6462);
									{	/* Cfa/tvector.scm 413 */
										obj_t BgL_arg2017z00_6464;

										{	/* Cfa/tvector.scm 413 */
											obj_t BgL_arg2018z00_6465;

											BgL_arg2018z00_6465 = CDR(((obj_t) BgL_clausez00_6463));
											BgL_arg2017z00_6464 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_arg2018z00_6465));
										}
										{	/* Cfa/tvector.scm 413 */
											obj_t BgL_tmpz00_8084;

											BgL_tmpz00_8084 = ((obj_t) BgL_clausez00_6463);
											SET_CDR(BgL_tmpz00_8084, BgL_arg2017z00_6464);
										}
									}
								}
								{
									obj_t BgL_l1631z00_8087;

									BgL_l1631z00_8087 = CDR(BgL_l1631z00_6462);
									BgL_l1631z00_6462 = BgL_l1631z00_8087;
									goto BgL_zc3z04anonymousza32015ze3z87_6461;
								}
							}
						else
							{	/* Cfa/tvector.scm 412 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_8067 = ((BgL_switchz00_bglt) BgL_nodez00_6172);
				return ((obj_t) BgL_auxz00_8067);
			}
		}

	}



/* &patch!-fail1676 */
	obj_t BGl_z62patchz12zd2fail1676za2zzcfa_tvectorz00(obj_t BgL_envz00_6173,
		obj_t BgL_nodez00_6174)
	{
		{	/* Cfa/tvector.scm 399 */
			{
				BgL_failz00_bglt BgL_auxz00_8091;

				{
					BgL_nodez00_bglt BgL_auxz00_8092;

					{	/* Cfa/tvector.scm 401 */
						BgL_nodez00_bglt BgL_arg2011z00_6467;

						BgL_arg2011z00_6467 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_procz00);
						BgL_auxz00_8092 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2011z00_6467));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8092), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8099;

					{	/* Cfa/tvector.scm 402 */
						BgL_nodez00_bglt BgL_arg2012z00_6468;

						BgL_arg2012z00_6468 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_msgz00);
						BgL_auxz00_8099 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2012z00_6468));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8099), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8106;

					{	/* Cfa/tvector.scm 403 */
						BgL_nodez00_bglt BgL_arg2013z00_6469;

						BgL_arg2013z00_6469 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_objz00);
						BgL_auxz00_8106 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2013z00_6469));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_6174)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8106), BUNSPEC);
				}
				BgL_auxz00_8091 = ((BgL_failz00_bglt) BgL_nodez00_6174);
				return ((obj_t) BgL_auxz00_8091);
			}
		}

	}



/* &patch!-conditional1674 */
	obj_t BGl_z62patchz12zd2conditional1674za2zzcfa_tvectorz00(obj_t
		BgL_envz00_6175, obj_t BgL_nodez00_6176)
	{
		{	/* Cfa/tvector.scm 389 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_8115;

				{
					BgL_nodez00_bglt BgL_auxz00_8116;

					{	/* Cfa/tvector.scm 391 */
						BgL_nodez00_bglt BgL_arg2008z00_6471;

						BgL_arg2008z00_6471 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->BgL_testz00);
						BgL_auxz00_8116 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2008z00_6471));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8116), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8123;

					{	/* Cfa/tvector.scm 392 */
						BgL_nodez00_bglt BgL_arg2009z00_6472;

						BgL_arg2009z00_6472 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->BgL_truez00);
						BgL_auxz00_8123 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2009z00_6472));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_8123), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8130;

					{	/* Cfa/tvector.scm 393 */
						BgL_nodez00_bglt BgL_arg2010z00_6473;

						BgL_arg2010z00_6473 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->BgL_falsez00);
						BgL_auxz00_8130 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2010z00_6473));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_6176)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_8130), BUNSPEC);
				}
				BgL_auxz00_8115 = ((BgL_conditionalz00_bglt) BgL_nodez00_6176);
				return ((obj_t) BgL_auxz00_8115);
			}
		}

	}



/* &patch!-setq1672 */
	obj_t BGl_z62patchz12zd2setq1672za2zzcfa_tvectorz00(obj_t BgL_envz00_6177,
		obj_t BgL_nodez00_6178)
	{
		{	/* Cfa/tvector.scm 380 */
			{
				BgL_setqz00_bglt BgL_auxz00_8139;

				{
					BgL_nodez00_bglt BgL_auxz00_8140;

					{	/* Cfa/tvector.scm 382 */
						BgL_nodez00_bglt BgL_arg2006z00_6475;

						BgL_arg2006z00_6475 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_6178)))->BgL_valuez00);
						BgL_auxz00_8140 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2006z00_6475));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_6178)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_8140), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_8147;

					{	/* Cfa/tvector.scm 383 */
						BgL_varz00_bglt BgL_arg2007z00_6476;

						BgL_arg2007z00_6476 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_6178)))->BgL_varz00);
						BgL_auxz00_8147 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg2007z00_6476)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_6178)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_8147), BUNSPEC);
				}
				BgL_auxz00_8139 = ((BgL_setqz00_bglt) BgL_nodez00_6178);
				return ((obj_t) BgL_auxz00_8139);
			}
		}

	}



/* &patch!-cast1670 */
	obj_t BGl_z62patchz12zd2cast1670za2zzcfa_tvectorz00(obj_t BgL_envz00_6179,
		obj_t BgL_nodez00_6180)
	{
		{	/* Cfa/tvector.scm 372 */
			{
				BgL_castz00_bglt BgL_auxz00_8157;

				BGl_patchz12z12zzcfa_tvectorz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_6180)))->BgL_argz00));
				BgL_auxz00_8157 = ((BgL_castz00_bglt) BgL_nodez00_6180);
				return ((obj_t) BgL_auxz00_8157);
			}
		}

	}



/* &patch!-extern1668 */
	obj_t BGl_z62patchz12zd2extern1668za2zzcfa_tvectorz00(obj_t BgL_envz00_6181,
		obj_t BgL_nodez00_6182)
	{
		{	/* Cfa/tvector.scm 364 */
			{
				BgL_externz00_bglt BgL_auxz00_8163;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_6182)))->BgL_exprza2za2));
				BgL_auxz00_8163 = ((BgL_externz00_bglt) BgL_nodez00_6182);
				return ((obj_t) BgL_auxz00_8163);
			}
		}

	}



/* &patch!-funcall1666 */
	obj_t BGl_z62patchz12zd2funcall1666za2zzcfa_tvectorz00(obj_t BgL_envz00_6183,
		obj_t BgL_nodez00_6184)
	{
		{	/* Cfa/tvector.scm 355 */
			{
				BgL_funcallz00_bglt BgL_auxz00_8169;

				{
					BgL_nodez00_bglt BgL_auxz00_8170;

					{	/* Cfa/tvector.scm 357 */
						BgL_nodez00_bglt BgL_arg2002z00_6480;

						BgL_arg2002z00_6480 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_6184)))->BgL_funz00);
						BgL_auxz00_8170 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2002z00_6480));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_6184)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8170), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_6184)))->BgL_argsz00));
				BgL_auxz00_8169 = ((BgL_funcallz00_bglt) BgL_nodez00_6184);
				return ((obj_t) BgL_auxz00_8169);
			}
		}

	}



/* &patch!-app-ly1664 */
	obj_t BGl_z62patchz12zd2appzd2ly1664z70zzcfa_tvectorz00(obj_t BgL_envz00_6185,
		obj_t BgL_nodez00_6186)
	{
		{	/* Cfa/tvector.scm 346 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_8182;

				{
					BgL_nodez00_bglt BgL_auxz00_8183;

					{	/* Cfa/tvector.scm 348 */
						BgL_nodez00_bglt BgL_arg2000z00_6482;

						BgL_arg2000z00_6482 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6186)))->BgL_funz00);
						BgL_auxz00_8183 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2000z00_6482));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6186)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8183), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8190;

					{	/* Cfa/tvector.scm 349 */
						BgL_nodez00_bglt BgL_arg2001z00_6483;

						BgL_arg2001z00_6483 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6186)))->BgL_argz00);
						BgL_auxz00_8190 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg2001z00_6483));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_6186)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8190), BUNSPEC);
				}
				BgL_auxz00_8182 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6186);
				return ((obj_t) BgL_auxz00_8182);
			}
		}

	}



/* &patch!-sync1662 */
	obj_t BGl_z62patchz12zd2sync1662za2zzcfa_tvectorz00(obj_t BgL_envz00_6187,
		obj_t BgL_nodez00_6188)
	{
		{	/* Cfa/tvector.scm 336 */
			{
				BgL_syncz00_bglt BgL_auxz00_8199;

				{
					BgL_nodez00_bglt BgL_auxz00_8200;

					{	/* Cfa/tvector.scm 338 */
						BgL_nodez00_bglt BgL_arg1995z00_6485;

						BgL_arg1995z00_6485 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_mutexz00);
						BgL_auxz00_8200 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1995z00_6485));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8200), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8207;

					{	/* Cfa/tvector.scm 339 */
						BgL_nodez00_bglt BgL_arg1998z00_6486;

						BgL_arg1998z00_6486 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_prelockz00);
						BgL_auxz00_8207 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1998z00_6486));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8207), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_8214;

					{	/* Cfa/tvector.scm 340 */
						BgL_nodez00_bglt BgL_arg1999z00_6487;

						BgL_arg1999z00_6487 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_bodyz00);
						BgL_auxz00_8214 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1999z00_6487));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_6188)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_8214), BUNSPEC);
				}
				BgL_auxz00_8199 = ((BgL_syncz00_bglt) BgL_nodez00_6188);
				return ((obj_t) BgL_auxz00_8199);
			}
		}

	}



/* &patch!-sequence1660 */
	obj_t BGl_z62patchz12zd2sequence1660za2zzcfa_tvectorz00(obj_t BgL_envz00_6189,
		obj_t BgL_nodez00_6190)
	{
		{	/* Cfa/tvector.scm 328 */
			{
				BgL_sequencez00_bglt BgL_auxz00_8223;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_6190)))->BgL_nodesz00));
				BgL_auxz00_8223 = ((BgL_sequencez00_bglt) BgL_nodez00_6190);
				return ((obj_t) BgL_auxz00_8223);
			}
		}

	}



/* &patch!-closure1658 */
	obj_t BGl_z62patchz12zd2closure1658za2zzcfa_tvectorz00(obj_t BgL_envz00_6191,
		obj_t BgL_nodez00_6192)
	{
		{	/* Cfa/tvector.scm 322 */
			{	/* Cfa/tvector.scm 323 */
				obj_t BgL_arg1991z00_6490;

				BgL_arg1991z00_6490 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_6192)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2393z00zzcfa_tvectorz00, BGl_string2421z00zzcfa_tvectorz00,
					BgL_arg1991z00_6490);
			}
		}

	}



/* &patch!-var1656 */
	obj_t BGl_z62patchz12zd2var1656za2zzcfa_tvectorz00(obj_t BgL_envz00_6193,
		obj_t BgL_nodez00_6194)
	{
		{	/* Cfa/tvector.scm 316 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_6194));
		}

	}



/* &patch!-kwote/node1654 */
	obj_t BGl_z62patchz12zd2kwotezf2node1654z50zzcfa_tvectorz00(obj_t
		BgL_envz00_6195, obj_t BgL_knodez00_6196)
	{
		{	/* Cfa/tvector.scm 299 */
			{
				BgL_kwotez00_bglt BgL_auxz00_8235;

				{	/* Cfa/tvector.scm 301 */
					BgL_approxz00_bglt BgL_approxz00_6493;

					{	/* Cfa/tvector.scm 301 */
						BgL_nodez00_bglt BgL_arg1990z00_6494;

						{
							BgL_kwotezf2nodezf2_bglt BgL_auxz00_8236;

							{
								obj_t BgL_auxz00_8237;

								{	/* Cfa/tvector.scm 301 */
									BgL_objectz00_bglt BgL_tmpz00_8238;

									BgL_tmpz00_8238 =
										((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_6196));
									BgL_auxz00_8237 = BGL_OBJECT_WIDENING(BgL_tmpz00_8238);
								}
								BgL_auxz00_8236 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_8237);
							}
							BgL_arg1990z00_6494 =
								(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_8236))->
								BgL_nodez00);
						}
						BgL_approxz00_6493 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1990z00_6494);
					}
					{	/* Cfa/tvector.scm 301 */
						obj_t BgL_tvz00_6495;

						{	/* Cfa/tvector.scm 302 */
							BgL_nodez00_bglt BgL_arg1989z00_6496;

							{
								BgL_kwotezf2nodezf2_bglt BgL_auxz00_8245;

								{
									obj_t BgL_auxz00_8246;

									{	/* Cfa/tvector.scm 302 */
										BgL_objectz00_bglt BgL_tmpz00_8247;

										BgL_tmpz00_8247 =
											((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6196));
										BgL_auxz00_8246 = BGL_OBJECT_WIDENING(BgL_tmpz00_8247);
									}
									BgL_auxz00_8245 =
										((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_8246);
								}
								BgL_arg1989z00_6496 =
									(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_8245))->
									BgL_nodez00);
							}
							BgL_tvz00_6495 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_6493,
								((obj_t) BgL_arg1989z00_6496));
						}
						{	/* Cfa/tvector.scm 302 */

							{	/* Cfa/tvector.scm 303 */
								bool_t BgL_test2617z00_8255;

								{	/* Cfa/tvector.scm 303 */
									obj_t BgL_classz00_6497;

									BgL_classz00_6497 = BGl_tvecz00zztvector_tvectorz00;
									if (BGL_OBJECTP(BgL_tvz00_6495))
										{	/* Cfa/tvector.scm 303 */
											BgL_objectz00_bglt BgL_arg1858z00_6498;

											BgL_arg1858z00_6498 =
												(BgL_objectz00_bglt) (BgL_tvz00_6495);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cfa/tvector.scm 303 */
													long BgL_idxz00_6499;

													BgL_idxz00_6499 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_6498);
													BgL_test2617z00_8255 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_6499 + 2L)) == BgL_classz00_6497);
												}
											else
												{	/* Cfa/tvector.scm 303 */
													bool_t BgL_res2368z00_6502;

													{	/* Cfa/tvector.scm 303 */
														obj_t BgL_oclassz00_6503;

														{	/* Cfa/tvector.scm 303 */
															obj_t BgL_arg1866z00_6504;
															long BgL_arg1867z00_6505;

															BgL_arg1866z00_6504 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cfa/tvector.scm 303 */
																long BgL_arg1869z00_6506;

																BgL_arg1869z00_6506 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_6498);
																BgL_arg1867z00_6505 =
																	(BgL_arg1869z00_6506 - OBJECT_TYPE);
															}
															BgL_oclassz00_6503 =
																VECTOR_REF(BgL_arg1866z00_6504,
																BgL_arg1867z00_6505);
														}
														{	/* Cfa/tvector.scm 303 */
															bool_t BgL__ortest_1115z00_6507;

															BgL__ortest_1115z00_6507 =
																(BgL_classz00_6497 == BgL_oclassz00_6503);
															if (BgL__ortest_1115z00_6507)
																{	/* Cfa/tvector.scm 303 */
																	BgL_res2368z00_6502 =
																		BgL__ortest_1115z00_6507;
																}
															else
																{	/* Cfa/tvector.scm 303 */
																	long BgL_odepthz00_6508;

																	{	/* Cfa/tvector.scm 303 */
																		obj_t BgL_arg1855z00_6509;

																		BgL_arg1855z00_6509 = (BgL_oclassz00_6503);
																		BgL_odepthz00_6508 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_6509);
																	}
																	if ((2L < BgL_odepthz00_6508))
																		{	/* Cfa/tvector.scm 303 */
																			obj_t BgL_arg1853z00_6510;

																			{	/* Cfa/tvector.scm 303 */
																				obj_t BgL_arg1854z00_6511;

																				BgL_arg1854z00_6511 =
																					(BgL_oclassz00_6503);
																				BgL_arg1853z00_6510 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_6511, 2L);
																			}
																			BgL_res2368z00_6502 =
																				(BgL_arg1853z00_6510 ==
																				BgL_classz00_6497);
																		}
																	else
																		{	/* Cfa/tvector.scm 303 */
																			BgL_res2368z00_6502 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2617z00_8255 = BgL_res2368z00_6502;
												}
										}
									else
										{	/* Cfa/tvector.scm 303 */
											BgL_test2617z00_8255 = ((bool_t) 0);
										}
								}
								if (BgL_test2617z00_8255)
									{	/* Cfa/tvector.scm 304 */
										BgL_kwotez00_bglt BgL_knodez00_6512;

										{	/* Cfa/tvector.scm 304 */
											long BgL_arg1982z00_6513;

											{	/* Cfa/tvector.scm 304 */
												obj_t BgL_arg1983z00_6514;

												{	/* Cfa/tvector.scm 304 */
													obj_t BgL_arg1984z00_6515;

													{	/* Cfa/tvector.scm 304 */
														obj_t BgL_arg1866z00_6516;
														long BgL_arg1867z00_6517;

														BgL_arg1866z00_6516 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 304 */
															long BgL_arg1869z00_6518;

															BgL_arg1869z00_6518 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_6196)));
															BgL_arg1867z00_6517 =
																(BgL_arg1869z00_6518 - OBJECT_TYPE);
														}
														BgL_arg1984z00_6515 =
															VECTOR_REF(BgL_arg1866z00_6516,
															BgL_arg1867z00_6517);
													}
													BgL_arg1983z00_6514 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg1984z00_6515);
												}
												{	/* Cfa/tvector.scm 304 */
													obj_t BgL_tmpz00_8285;

													BgL_tmpz00_8285 = ((obj_t) BgL_arg1983z00_6514);
													BgL_arg1982z00_6513 = BGL_CLASS_NUM(BgL_tmpz00_8285);
											}}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_knodez00_6196)),
												BgL_arg1982z00_6513);
										}
										{	/* Cfa/tvector.scm 304 */
											BgL_objectz00_bglt BgL_tmpz00_8291;

											BgL_tmpz00_8291 =
												((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_6196));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8291, BFALSE);
										}
										((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6196));
										BgL_knodez00_6512 = ((BgL_kwotez00_bglt) BgL_knodez00_6196);
										{	/* Cfa/tvector.scm 304 */
											BgL_kwotez00_bglt BgL_nz00_6519;

											{	/* Cfa/tvector.scm 305 */
												BgL_kwotez00_bglt BgL_new1193z00_6520;

												{	/* Cfa/tvector.scm 305 */
													BgL_kwotez00_bglt BgL_new1196z00_6521;

													BgL_new1196z00_6521 =
														((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_kwotez00_bgl))));
													{	/* Cfa/tvector.scm 305 */
														long BgL_arg1981z00_6522;

														BgL_arg1981z00_6522 =
															BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1196z00_6521),
															BgL_arg1981z00_6522);
													}
													{	/* Cfa/tvector.scm 305 */
														BgL_objectz00_bglt BgL_tmpz00_8302;

														BgL_tmpz00_8302 =
															((BgL_objectz00_bglt) BgL_new1196z00_6521);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8302, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1196z00_6521);
													BgL_new1193z00_6520 = BgL_new1196z00_6521;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1193z00_6520)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_knodez00_6512)))->BgL_locz00)),
													BUNSPEC);
												{
													BgL_typez00_bglt BgL_auxz00_8310;

													{	/* Cfa/tvector.scm 306 */
														BgL_typez00_bglt BgL_arg1979z00_6523;

														BgL_arg1979z00_6523 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_knodez00_6512)))->
															BgL_typez00);
														BgL_auxz00_8310 =
															BGl_strictzd2nodezd2typez00zzast_nodez00((
																(BgL_typez00_bglt) BgL_tvz00_6495),
															BgL_arg1979z00_6523);
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1193z00_6520)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_auxz00_8310), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_8317;

													{	/* Cfa/tvector.scm 307 */
														obj_t BgL_arg1980z00_6524;

														BgL_arg1980z00_6524 =
															(((BgL_kwotez00_bglt) COBJECT(
																	((BgL_kwotez00_bglt)
																		((BgL_kwotez00_bglt) BgL_knodez00_6196))))->
															BgL_valuez00);
														{	/* Cfa/tvector.scm 307 */
															obj_t BgL_newz00_6525;

															BgL_newz00_6525 =
																create_struct(
																((obj_t) CNST_TABLE_REF(24)), (int) (2L));
															{	/* Cfa/tvector.scm 307 */
																int BgL_tmpz00_8325;

																BgL_tmpz00_8325 = (int) (1L);
																STRUCT_SET(BgL_newz00_6525, BgL_tmpz00_8325,
																	BgL_arg1980z00_6524);
															}
															{	/* Cfa/tvector.scm 307 */
																int BgL_tmpz00_8328;

																BgL_tmpz00_8328 = (int) (0L);
																STRUCT_SET(BgL_newz00_6525, BgL_tmpz00_8328,
																	BgL_tvz00_6495);
															}
															BgL_auxz00_8317 = BgL_newz00_6525;
													}}
													((((BgL_kwotez00_bglt) COBJECT(BgL_new1193z00_6520))->
															BgL_valuez00) =
														((obj_t) BgL_auxz00_8317), BUNSPEC);
												}
												BgL_nz00_6519 = BgL_new1193z00_6520;
											}
											{	/* Cfa/tvector.scm 305 */

												{	/* Cfa/tvector.scm 308 */
													BgL_kwotezf2cinfozf2_bglt BgL_wide1199z00_6526;

													BgL_wide1199z00_6526 =
														((BgL_kwotezf2cinfozf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_kwotezf2cinfozf2_bgl))));
													{	/* Cfa/tvector.scm 308 */
														obj_t BgL_auxz00_8336;
														BgL_objectz00_bglt BgL_tmpz00_8333;

														BgL_auxz00_8336 = ((obj_t) BgL_wide1199z00_6526);
														BgL_tmpz00_8333 =
															((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt) BgL_nz00_6519));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8333,
															BgL_auxz00_8336);
													}
													((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_nz00_6519));
													{	/* Cfa/tvector.scm 308 */
														long BgL_arg1978z00_6527;

														BgL_arg1978z00_6527 =
															BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt) BgL_nz00_6519)),
															BgL_arg1978z00_6527);
													}
													((BgL_kwotez00_bglt)
														((BgL_kwotez00_bglt) BgL_nz00_6519));
												}
												{
													BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8347;

													{
														obj_t BgL_auxz00_8348;

														{	/* Cfa/tvector.scm 309 */
															BgL_objectz00_bglt BgL_tmpz00_8349;

															BgL_tmpz00_8349 =
																((BgL_objectz00_bglt)
																((BgL_kwotez00_bglt) BgL_nz00_6519));
															BgL_auxz00_8348 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_8349);
														}
														BgL_auxz00_8347 =
															((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8348);
													}
													((((BgL_kwotezf2cinfozf2_bglt)
																COBJECT(BgL_auxz00_8347))->BgL_approxz00) =
														((BgL_approxz00_bglt) BgL_approxz00_6493), BUNSPEC);
												}
												BgL_auxz00_8235 = ((BgL_kwotez00_bglt) BgL_nz00_6519);
									}}}
								else
									{	/* Cfa/tvector.scm 310 */
										BgL_kwotez00_bglt BgL_tmp1201z00_6528;

										{	/* Cfa/tvector.scm 310 */
											long BgL_arg1986z00_6529;

											{	/* Cfa/tvector.scm 310 */
												obj_t BgL_arg1987z00_6530;

												{	/* Cfa/tvector.scm 310 */
													obj_t BgL_arg1988z00_6531;

													{	/* Cfa/tvector.scm 310 */
														obj_t BgL_arg1866z00_6532;
														long BgL_arg1867z00_6533;

														BgL_arg1866z00_6532 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Cfa/tvector.scm 310 */
															long BgL_arg1869z00_6534;

															BgL_arg1869z00_6534 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_6196)));
															BgL_arg1867z00_6533 =
																(BgL_arg1869z00_6534 - OBJECT_TYPE);
														}
														BgL_arg1988z00_6531 =
															VECTOR_REF(BgL_arg1866z00_6532,
															BgL_arg1867z00_6533);
													}
													BgL_arg1987z00_6530 =
														BGl_classzd2superzd2zz__objectz00
														(BgL_arg1988z00_6531);
												}
												{	/* Cfa/tvector.scm 310 */
													obj_t BgL_tmpz00_8363;

													BgL_tmpz00_8363 = ((obj_t) BgL_arg1987z00_6530);
													BgL_arg1986z00_6529 = BGL_CLASS_NUM(BgL_tmpz00_8363);
											}}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_knodez00_6196)),
												BgL_arg1986z00_6529);
										}
										{	/* Cfa/tvector.scm 310 */
											BgL_objectz00_bglt BgL_tmpz00_8369;

											BgL_tmpz00_8369 =
												((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_6196));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8369, BFALSE);
										}
										((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6196));
										BgL_tmp1201z00_6528 =
											((BgL_kwotez00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_6196));
										{	/* Cfa/tvector.scm 310 */
											BgL_kwotezf2cinfozf2_bglt BgL_wide1203z00_6535;

											BgL_wide1203z00_6535 =
												((BgL_kwotezf2cinfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_kwotezf2cinfozf2_bgl))));
											{	/* Cfa/tvector.scm 310 */
												obj_t BgL_auxz00_8381;
												BgL_objectz00_bglt BgL_tmpz00_8378;

												BgL_auxz00_8381 = ((obj_t) BgL_wide1203z00_6535);
												BgL_tmpz00_8378 =
													((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_tmp1201z00_6528));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8378,
													BgL_auxz00_8381);
											}
											((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_tmp1201z00_6528));
											{	/* Cfa/tvector.scm 310 */
												long BgL_arg1985z00_6536;

												BgL_arg1985z00_6536 =
													BGL_CLASS_NUM(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_tmp1201z00_6528)),
													BgL_arg1985z00_6536);
											}
											((BgL_kwotez00_bglt)
												((BgL_kwotez00_bglt) BgL_tmp1201z00_6528));
										}
										{
											BgL_kwotezf2cinfozf2_bglt BgL_auxz00_8392;

											{
												obj_t BgL_auxz00_8393;

												{	/* Cfa/tvector.scm 311 */
													BgL_objectz00_bglt BgL_tmpz00_8394;

													BgL_tmpz00_8394 =
														((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_tmp1201z00_6528));
													BgL_auxz00_8393 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8394);
												}
												BgL_auxz00_8392 =
													((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_8393);
											}
											((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_8392))->
													BgL_approxz00) =
												((BgL_approxz00_bglt) BgL_approxz00_6493), BUNSPEC);
										}
										BgL_auxz00_8235 = ((BgL_kwotez00_bglt) BgL_tmp1201z00_6528);
				}}}}}
				return ((obj_t) BgL_auxz00_8235);
			}
		}

	}



/* &patch!-kwote1652 */
	obj_t BGl_z62patchz12zd2kwote1652za2zzcfa_tvectorz00(obj_t BgL_envz00_6197,
		obj_t BgL_nodez00_6198)
	{
		{	/* Cfa/tvector.scm 293 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_6198));
		}

	}



/* &patch!-atom1650 */
	obj_t BGl_z62patchz12zd2atom1650za2zzcfa_tvectorz00(obj_t BgL_envz00_6199,
		obj_t BgL_nodez00_6200)
	{
		{	/* Cfa/tvector.scm 287 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_6200));
		}

	}



/* &get-vector-item-type1646 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1646zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6201, obj_t BgL_nodez00_6202)
	{
		{	/* Cfa/tvector.scm 215 */
			{	/* Cfa/tvector.scm 217 */
				bool_t BgL_test2622z00_8406;

				{
					BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_8407;

					{
						obj_t BgL_auxz00_8408;

						{	/* Cfa/tvector.scm 217 */
							BgL_objectz00_bglt BgL_tmpz00_8409;

							BgL_tmpz00_8409 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_6202));
							BgL_auxz00_8408 = BGL_OBJECT_WIDENING(BgL_tmpz00_8409);
						}
						BgL_auxz00_8407 =
							((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_8408);
					}
					BgL_test2622z00_8406 =
						(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_8407))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2622z00_8406)
					{	/* Cfa/tvector.scm 219 */
						BgL_approxz00_bglt BgL_arg1976z00_6540;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_8415;

							{
								obj_t BgL_auxz00_8416;

								{	/* Cfa/tvector.scm 219 */
									BgL_objectz00_bglt BgL_tmpz00_8417;

									BgL_tmpz00_8417 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_6202));
									BgL_auxz00_8416 = BGL_OBJECT_WIDENING(BgL_tmpz00_8417);
								}
								BgL_auxz00_8415 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_8416);
							}
							BgL_arg1976z00_6540 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_8415))->BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1976z00_6540))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 217 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* &get-vector-item-type1644 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1644zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_6203, obj_t BgL_appz00_6204)
	{
		{	/* Cfa/tvector.scm 206 */
			{	/* Cfa/tvector.scm 208 */
				bool_t BgL_test2623z00_8425;

				{
					BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_8426;

					{
						obj_t BgL_auxz00_8427;

						{	/* Cfa/tvector.scm 208 */
							BgL_objectz00_bglt BgL_tmpz00_8428;

							BgL_tmpz00_8428 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_6204));
							BgL_auxz00_8427 = BGL_OBJECT_WIDENING(BgL_tmpz00_8428);
						}
						BgL_auxz00_8426 =
							((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_8427);
					}
					BgL_test2623z00_8425 =
						(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_8426))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2623z00_8425)
					{	/* Cfa/tvector.scm 210 */
						BgL_approxz00_bglt BgL_arg1974z00_6542;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_8434;

							{
								obj_t BgL_auxz00_8435;

								{	/* Cfa/tvector.scm 210 */
									BgL_objectz00_bglt BgL_tmpz00_8436;

									BgL_tmpz00_8436 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_6204));
									BgL_auxz00_8435 = BGL_OBJECT_WIDENING(BgL_tmpz00_8436);
								}
								BgL_auxz00_8434 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_8435);
							}
							BgL_arg1974z00_6542 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_8434))->
								BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1974z00_6542))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 208 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00(void)
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(410405073L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(433305536L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(428035925L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(3788352L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(0L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(0L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(400853817L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(285971837L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(5932721L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_typez00(93933605L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(69163963L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(385476819L,
				BSTRING_TO_STRING(BGl_string2422z00zzcfa_tvectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
