/*===========================================================================*/
/*   (Cnst/alloc.scm)                                                        */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Cnst/alloc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_CNST_ALLOC_TYPE_DEFINITIONS
#define BGL_CNST_ALLOC_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;


#endif													// BGL_CNST_ALLOC_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_IMPORT obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static long BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 0L;
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BGL_LONGLONG_T, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_za2llongzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_za2elongzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcnst_allocz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_za2structza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t ucs2_strcmp(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzcnst_allocz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	BGL_EXPORTED_DECL obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00(void);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(long, obj_t);
	static obj_t BGl_objectzd2initzd2zzcnst_allocz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t, obj_t);
	static obj_t BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(int32_t, obj_t);
	extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2int64zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static obj_t BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00;
	static obj_t BGl_methodzd2initzd2zzcnst_allocz00(void);
	BGL_EXPORTED_DECL obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(int64_t, obj_t);
	extern obj_t BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00(obj_t);
	static obj_t BGl_za2int32zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2integerz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_za2uint64zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00(void);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2listzd2ze3structza2z31zzcnst_cachez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_za2integerzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_globalz00_bglt
		BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2consza2z00zzcnst_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_za2uint32zd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(void);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00(obj_t);
	BGL_IMPORT obj_t BGl_bignumzd2ze3stringz31zz__bignumz00(obj_t, long);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__datez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__unicodez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_IMPORT obj_t ucs2_string_to_utf8_string(obj_t);
	static obj_t
		BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00
		(void);
	static obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00(void);
	static obj_t BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00(obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2ucs2stringza2z00zztype_cachez00;
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	extern obj_t BGl_kwotez00zzast_nodez00;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_za2structzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcnst_allocz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00(void);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzcnst_allocz00(void);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(uint32_t, obj_t);
	BGL_IMPORT obj_t BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00(void);
	extern obj_t BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00;
	static obj_t BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00(void);
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static bool_t BGl_cnstzd2equalzf3z21zzcnst_allocz00(obj_t, obj_t);
	static obj_t BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	static obj_t BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(uint64_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00;
	static obj_t BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00(obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2structz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2integerz00zzcnst_allocz00(long, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(obj_t,
		obj_t);
	static BgL_castz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2cnstzd2setz62zzcnst_allocz00(obj_t);
	static BgL_nodez00_bglt BGl_loopze70ze7zzcnst_allocz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_structzd2ze3listz31zz__structurez00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	static obj_t BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[73];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2tablezd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22520za7,
		BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2alloczd2realzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72521za7,
		BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2tablezd2idzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2tableza72522za7,
		BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2structzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72523za7,
		BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2setzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22524za7,
		BGl_z62getzd2cnstzd2setz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2llongzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72525za7,
		BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
		BgL_bgl_za762stopza7d2cnstza7d2526za7,
		BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2integerzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72527za7,
		BGl_z62cnstzd2alloczd2integerz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2512z00zzcnst_allocz00,
		BgL_bgl_string2512za700za7za7c2528za7, "string:~a", 9);
	      DEFINE_STRING(BGl_string2513z00zzcnst_allocz00,
		BgL_bgl_string2513za700za7za7c2529za7,
		"old should be either #f or cnst-info", 36);
	      DEFINE_STRING(BGl_string2514z00zzcnst_allocz00,
		BgL_bgl_string2514za700za7za7c2530za7, "read-alloc-tvector", 18);
	      DEFINE_STRING(BGl_string2515z00zzcnst_allocz00,
		BgL_bgl_string2515za700za7za7c2531za7, "Unimplementable until bootstrap",
		31);
	      DEFINE_STRING(BGl_string2516z00zzcnst_allocz00,
		BgL_bgl_string2516za700za7za7c2532za7, "cnst_alloc", 10);
	      DEFINE_STRING(BGl_string2517z00zzcnst_allocz00,
		BgL_bgl_string2517za700za7za7c2533za7,
		"cnst-struct struct $tvector-descr-set! get-tvector-descriptor stvector tvector tvec make-s8vector hvector f64 f32 u64 s64 u32 s32 u16 s16 u8 s8 list-> vector var cnst-list pair list suint64 buint64 uint64 sint64 bint64 int64 suint32 buint32 uint32 sint32 bint32 int32 sllong bllong llong selong belong elong sreal real sinteger bint integer slfun sfun procedure proc cnst-alloc-bignum a-keyword keyword cnst-alloc-symbol a-symbol symbol lib an-ucs2-string ucs2string set! @ cnst-info sstring bstring string static bdb now cnst-vector cnst* __cnsts_table ",
		554);
	BGL_IMPORT obj_t BGl_s64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2keywordzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72534za7,
		BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2vectorzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72535za7,
		BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2alloczd2listzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72536za7,
		BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_f32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2lzd2procedurezd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72537za7,
		BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_u64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2ucs2zd2stringzd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72538za7,
		BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2elongzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72539za7,
		BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2symbolzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72540za7,
		BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2procedurezd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72541za7,
		BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2int64zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72542za7,
		BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_s16vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2offsetzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22543za7,
		BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2uint64zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72544za7,
		BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_s32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2bignumzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72545za7,
		BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2tvectorzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72546za7,
		BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_u16vectorzd2ze3listzd2envze3zz__srfi4z00;
	BGL_IMPORT obj_t BGl_s8vectorzd2ze3listzd2envze3zz__srfi4z00;
	BGL_IMPORT obj_t BGl_u32vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2homogenouszd2vectorzd2envz00zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72547za7,
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
		BgL_bgl_za762startza7d2cnstza72548za7,
		BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_u8vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2int32zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72549za7,
		BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2stringzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72550za7,
		BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cnstzd2alloczd2uint32zd2envzd2zzcnst_allocz00,
		BgL_bgl_za762cnstza7d2allocza72551za7,
		BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_f64vectorzd2ze3listzd2envze3zz__srfi4z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2cnstzd2sexpzd2envzd2zzcnst_allocz00,
		BgL_bgl_za762getza7d2cnstza7d22552za7,
		BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2stringzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2llongzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2elongzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2bignumzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2int64zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2keywordzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2vectorzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2int32zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2cnstzd2tableza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2globalzd2sexpza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2uint64zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2integerzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2oldzd2debugza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2uint32zd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2symbolzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2structzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2globalzd2setza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2realzd2envza2zd2zzcnst_allocz00));
		     ADD_ROOT((void *) (&BGl_za2listzd2envza2zd2zzcnst_allocz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long
		BgL_checksumz00_3655, char *BgL_fromz00_3656)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_allocz00))
				{
					BGl_requirezd2initializa7ationz75zzcnst_allocz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcnst_allocz00();
					BGl_libraryzd2moduleszd2initz00zzcnst_allocz00();
					BGl_cnstzd2initzd2zzcnst_allocz00();
					BGl_importedzd2moduleszd2initz00zzcnst_allocz00();
					return BGl_toplevelzd2initzd2zzcnst_allocz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__datez00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__ucs2z00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__unicodez00(0L, "cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"cnst_alloc");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "cnst_alloc");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			{	/* Cnst/alloc.scm 15 */
				obj_t BgL_cportz00_3643;

				{	/* Cnst/alloc.scm 15 */
					obj_t BgL_stringz00_3650;

					BgL_stringz00_3650 = BGl_string2517z00zzcnst_allocz00;
					{	/* Cnst/alloc.scm 15 */
						obj_t BgL_startz00_3651;

						BgL_startz00_3651 = BINT(0L);
						{	/* Cnst/alloc.scm 15 */
							obj_t BgL_endz00_3652;

							BgL_endz00_3652 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3650)));
							{	/* Cnst/alloc.scm 15 */

								BgL_cportz00_3643 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3650, BgL_startz00_3651, BgL_endz00_3652);
				}}}}
				{
					long BgL_iz00_3644;

					BgL_iz00_3644 = 72L;
				BgL_loopz00_3645:
					if ((BgL_iz00_3644 == (-1L)))
						{	/* Cnst/alloc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/alloc.scm 15 */
							{	/* Cnst/alloc.scm 15 */
								obj_t BgL_arg2519z00_3646;

								{	/* Cnst/alloc.scm 15 */

									{	/* Cnst/alloc.scm 15 */
										obj_t BgL_locationz00_3648;

										BgL_locationz00_3648 = BBOOL(((bool_t) 0));
										{	/* Cnst/alloc.scm 15 */

											BgL_arg2519z00_3646 =
												BGl_readz00zz__readerz00(BgL_cportz00_3643,
												BgL_locationz00_3648);
										}
									}
								}
								{	/* Cnst/alloc.scm 15 */
									int BgL_tmpz00_3696;

									BgL_tmpz00_3696 = (int) (BgL_iz00_3644);
									CNST_TABLE_SET(BgL_tmpz00_3696, BgL_arg2519z00_3646);
							}}
							{	/* Cnst/alloc.scm 15 */
								int BgL_auxz00_3649;

								BgL_auxz00_3649 = (int) ((BgL_iz00_3644 - 1L));
								{
									long BgL_iz00_3701;

									BgL_iz00_3701 = (long) (BgL_auxz00_3649);
									BgL_iz00_3644 = BgL_iz00_3701;
									goto BgL_loopz00_3645;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = (-1L);
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2integerzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2elongzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2llongzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2int32zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2uint32zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2int64zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2uint64zd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2listzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2structzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2globalzd2setza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 = BNIL;
			return (BGl_za2oldzd2debugza2zd2zzcnst_allocz00 = BUNSPEC, BUNSPEC);
		}

	}



/* get-cnst-offset */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 82 */
			return BINT(BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
		}

	}



/* &get-cnst-offset */
	obj_t BGl_z62getzd2cnstzd2offsetz62zzcnst_allocz00(obj_t BgL_envz00_3551)
	{
		{	/* Cnst/alloc.scm 82 */
			return BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
		}

	}



/* get-cnst-set */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 88 */
			return BGl_za2globalzd2setza2zd2zzcnst_allocz00;
		}

	}



/* &get-cnst-set */
	obj_t BGl_z62getzd2cnstzd2setz62zzcnst_allocz00(obj_t BgL_envz00_3552)
	{
		{	/* Cnst/alloc.scm 88 */
			return BGl_getzd2cnstzd2setz00zzcnst_allocz00();
		}

	}



/* get-cnst-table */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 94 */
			return BGl_za2cnstzd2tableza2zd2zzcnst_allocz00;
		}

	}



/* &get-cnst-table */
	obj_t BGl_z62getzd2cnstzd2tablez62zzcnst_allocz00(obj_t BgL_envz00_3553)
	{
		{	/* Cnst/alloc.scm 94 */
			return BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
		}

	}



/* get-cnst-sexp */
	BGL_EXPORTED_DEF obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 100 */
			return bgl_reverse_bang(BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
		}

	}



/* &get-cnst-sexp */
	obj_t BGl_z62getzd2cnstzd2sexpz62zzcnst_allocz00(obj_t BgL_envz00_3554)
	{
		{	/* Cnst/alloc.scm 100 */
			return BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
		}

	}



/* cnst-table-id */
	BGL_EXPORTED_DEF obj_t BGl_cnstzd2tablezd2idz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 147 */
			return ((obj_t) CNST_TABLE_REF(0));
		}

	}



/* &cnst-table-id */
	obj_t BGl_z62cnstzd2tablezd2idz62zzcnst_allocz00(obj_t BgL_envz00_3555)
	{
		{	/* Cnst/alloc.scm 147 */
			return BGl_cnstzd2tablezd2idz00zzcnst_allocz00();
		}

	}



/* typed-cnst-table-id */
	obj_t BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 153 */
			{	/* Cnst/alloc.scm 154 */
				obj_t BgL_arg1535z00_1639;

				BgL_arg1535z00_1639 = ((obj_t) CNST_TABLE_REF(0));
				return
					BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1535z00_1639,
					((obj_t) CNST_TABLE_REF(1)));
			}
		}

	}



/* start-cnst-alloc! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 159 */
			BGl_za2oldzd2debugza2zd2zzcnst_allocz00 =
				BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
			BGl_za2compilerzd2debugza2zd2zzengine_paramz00 = BINT(0L);
			{	/* Cnst/alloc.scm 165 */
				obj_t BgL_arg1543z00_1640;

				BgL_arg1543z00_1640 = BGl_typedzd2cnstzd2tablezd2idzd2zzcnst_allocz00();
				BGl_za2cnstzd2tableza2zd2zzcnst_allocz00 =
					((obj_t)
					BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2(BgL_arg1543z00_1640,
						BGl_za2moduleza2z00zzmodule_modulez00, ((obj_t) CNST_TABLE_REF(2)),
						((obj_t) CNST_TABLE_REF(3))));
			}
			{	/* Cnst/alloc.scm 172 */
				bool_t BgL_test2555z00_3726;

				if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >= 3L))
					{	/* Cnst/alloc.scm 173 */
						obj_t BgL_arg1558z00_1646;

						{	/* Cnst/alloc.scm 173 */
							obj_t BgL_arg1560z00_1647;

							BgL_arg1560z00_1647 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_arg1558z00_1646 =
								(((BgL_backendz00_bglt) COBJECT(
										((BgL_backendz00_bglt) BgL_arg1560z00_1647)))->
								BgL_debugzd2supportzd2);
						}
						BgL_test2555z00_3726 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) CNST_TABLE_REF(4)), BgL_arg1558z00_1646));
					}
				else
					{	/* Cnst/alloc.scm 172 */
						BgL_test2555z00_3726 = ((bool_t) 0);
					}
				if (BgL_test2555z00_3726)
					{	/* Cnst/alloc.scm 174 */
						BgL_globalz00_bglt BgL_oz00_2797;
						obj_t BgL_vz00_2798;

						BgL_oz00_2797 =
							((BgL_globalz00_bglt) BGl_za2cnstzd2tableza2zd2zzcnst_allocz00);
						BgL_vz00_2798 = ((obj_t) CNST_TABLE_REF(5));
						((((BgL_globalz00_bglt) COBJECT(BgL_oz00_2797))->BgL_importz00) =
							((obj_t) BgL_vz00_2798), BUNSPEC);
					}
				else
					{	/* Cnst/alloc.scm 172 */
						BFALSE;
					}
			}
			BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 = 0L;
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BNIL;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BNIL;
			return BTRUE;
		}

	}



/* &start-cnst-alloc! */
	obj_t BGl_z62startzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t BgL_envz00_3556)
	{
		{	/* Cnst/alloc.scm 159 */
			return BGl_startzd2cnstzd2allocz12z12zzcnst_allocz00();
		}

	}



/* stop-cnst-alloc! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 187 */
			BGl_za2compilerzd2debugza2zd2zzengine_paramz00 =
				BGl_za2oldzd2debugza2zd2zzcnst_allocz00;
			BGl_za2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2realzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2symbolzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2keywordzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2bignumzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2listzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2vectorzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			BGl_za2structzd2envza2zd2zzcnst_allocz00 = BUNSPEC;
			return BTRUE;
		}

	}



/* &stop-cnst-alloc! */
	obj_t BGl_z62stopzd2cnstzd2allocz12z70zzcnst_allocz00(obj_t BgL_envz00_3557)
	{
		{	/* Cnst/alloc.scm 187 */
			return BGl_stopzd2cnstzd2allocz12z12zzcnst_allocz00();
		}

	}



/* make-cnst-table-ref */
	BgL_castz00_bglt BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(obj_t
		BgL_offsetz00_35, obj_t BgL_typez00_36, obj_t BgL_locz00_37)
	{
		{	/* Cnst/alloc.scm 203 */
			{	/* Cnst/alloc.scm 204 */
				BgL_castz00_bglt BgL_new1106z00_1652;

				{	/* Cnst/alloc.scm 205 */
					BgL_castz00_bglt BgL_new1105z00_1667;

					BgL_new1105z00_1667 =
						((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castz00_bgl))));
					{	/* Cnst/alloc.scm 205 */
						long BgL_arg1593z00_1668;

						BgL_arg1593z00_1668 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1105z00_1667), BgL_arg1593z00_1668);
					}
					{	/* Cnst/alloc.scm 205 */
						BgL_objectz00_bglt BgL_tmpz00_3751;

						BgL_tmpz00_3751 = ((BgL_objectz00_bglt) BgL_new1105z00_1667);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3751, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1105z00_1667);
					BgL_new1106z00_1652 = BgL_new1105z00_1667;
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1106z00_1652)))->BgL_locz00) =
					((obj_t) BgL_locz00_37), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3757;

					{	/* Cnst/alloc.scm 206 */
						BgL_typez00_bglt BgL_arg1574z00_1653;

						BgL_arg1574z00_1653 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_auxz00_3757 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_typez00_36), BgL_arg1574z00_1653);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1106z00_1652)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3757), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3763;

					{	/* Cnst/alloc.scm 207 */
						BgL_appz00_bglt BgL_new1108z00_1654;

						{	/* Cnst/alloc.scm 208 */
							BgL_appz00_bglt BgL_new1107z00_1665;

							BgL_new1107z00_1665 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Cnst/alloc.scm 208 */
								long BgL_arg1592z00_1666;

								{	/* Cnst/alloc.scm 208 */
									obj_t BgL_classz00_2803;

									BgL_classz00_2803 = BGl_appz00zzast_nodez00;
									BgL_arg1592z00_1666 = BGL_CLASS_NUM(BgL_classz00_2803);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1107z00_1665),
									BgL_arg1592z00_1666);
							}
							{	/* Cnst/alloc.scm 208 */
								BgL_objectz00_bglt BgL_tmpz00_3768;

								BgL_tmpz00_3768 = ((BgL_objectz00_bglt) BgL_new1107z00_1665);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3768, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1107z00_1665);
							BgL_new1108z00_1654 = BgL_new1107z00_1665;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1108z00_1654)))->BgL_locz00) =
							((obj_t) BgL_locz00_37), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1108z00_1654)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1108z00_1654)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1108z00_1654)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							BgL_varz00_bglt BgL_auxz00_3782;

							{	/* Cnst/alloc.scm 210 */
								BgL_refz00_bglt BgL_new1110z00_1655;

								{	/* Cnst/alloc.scm 211 */
									BgL_refz00_bglt BgL_new1109z00_1658;

									BgL_new1109z00_1658 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Cnst/alloc.scm 211 */
										long BgL_arg1581z00_1659;

										{	/* Cnst/alloc.scm 211 */
											obj_t BgL_classz00_2807;

											BgL_classz00_2807 = BGl_refz00zzast_nodez00;
											BgL_arg1581z00_1659 = BGL_CLASS_NUM(BgL_classz00_2807);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1109z00_1658),
											BgL_arg1581z00_1659);
									}
									{	/* Cnst/alloc.scm 211 */
										BgL_objectz00_bglt BgL_tmpz00_3787;

										BgL_tmpz00_3787 =
											((BgL_objectz00_bglt) BgL_new1109z00_1658);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3787, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1109z00_1658);
									BgL_new1110z00_1655 = BgL_new1109z00_1658;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1110z00_1655)))->
										BgL_locz00) = ((obj_t) BgL_locz00_37), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_3793;

									{	/* Cnst/alloc.scm 212 */
										BgL_typez00_bglt BgL_arg1577z00_1656;
										BgL_typez00_bglt BgL_arg1578z00_1657;

										BgL_arg1577z00_1656 =
											BGl_getzd2defaultzd2typez00zztype_cachez00();
										{	/* Cnst/alloc.scm 212 */
											BgL_variablez00_bglt BgL_oz00_2811;

											BgL_oz00_2811 =
												((BgL_variablez00_bglt)
												BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00);
											BgL_arg1578z00_1657 =
												(((BgL_variablez00_bglt) COBJECT(BgL_oz00_2811))->
												BgL_typez00);
										}
										BgL_auxz00_3793 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg1577z00_1656, BgL_arg1578z00_1657);
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1110z00_1655)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_3793), BUNSPEC);
								}
								((((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_new1110z00_1655)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00)),
									BUNSPEC);
								BgL_auxz00_3782 = ((BgL_varz00_bglt) BgL_new1110z00_1655);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1108z00_1654))->BgL_funz00) =
								((BgL_varz00_bglt) BgL_auxz00_3782), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_3805;

							{	/* Cnst/alloc.scm 214 */
								BgL_literalz00_bglt BgL_arg1587z00_1660;

								{	/* Cnst/alloc.scm 214 */
									BgL_literalz00_bglt BgL_new1113z00_1662;

									{	/* Cnst/alloc.scm 215 */
										BgL_literalz00_bglt BgL_new1112z00_1663;

										BgL_new1112z00_1663 =
											((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_literalz00_bgl))));
										{	/* Cnst/alloc.scm 215 */
											long BgL_arg1590z00_1664;

											{	/* Cnst/alloc.scm 215 */
												obj_t BgL_classz00_2812;

												BgL_classz00_2812 = BGl_literalz00zzast_nodez00;
												BgL_arg1590z00_1664 = BGL_CLASS_NUM(BgL_classz00_2812);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1112z00_1663),
												BgL_arg1590z00_1664);
										}
										{	/* Cnst/alloc.scm 215 */
											BgL_objectz00_bglt BgL_tmpz00_3810;

											BgL_tmpz00_3810 =
												((BgL_objectz00_bglt) BgL_new1112z00_1663);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3810, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1112z00_1663);
										BgL_new1113z00_1662 = BgL_new1112z00_1663;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1113z00_1662)))->
											BgL_locz00) = ((obj_t) BgL_locz00_37), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1113z00_1662)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2intza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
														BgL_new1113z00_1662)))->BgL_valuez00) =
										((obj_t) BgL_offsetz00_35), BUNSPEC);
									BgL_arg1587z00_1660 = BgL_new1113z00_1662;
								}
								{	/* Cnst/alloc.scm 214 */
									obj_t BgL_list1589z00_1661;

									BgL_list1589z00_1661 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1587z00_1660), BNIL);
									BgL_auxz00_3805 = BgL_list1589z00_1661;
							}}
							((((BgL_appz00_bglt) COBJECT(BgL_new1108z00_1654))->BgL_argsz00) =
								((obj_t) BgL_auxz00_3805), BUNSPEC);
						}
						((((BgL_appz00_bglt) COBJECT(BgL_new1108z00_1654))->
								BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
						BgL_auxz00_3763 = ((BgL_nodez00_bglt) BgL_new1108z00_1654);
					}
					((((BgL_castz00_bglt) COBJECT(BgL_new1106z00_1652))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3763), BUNSPEC);
				}
				return BgL_new1106z00_1652;
			}
		}

	}



/* cnst-alloc-string */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t BgL_stringz00_38,
		obj_t BgL_locz00_39)
	{
		{	/* Cnst/alloc.scm 226 */
			{

				{	/* Cnst/alloc.scm 263 */
					obj_t BgL_oldz00_1671;

					{	/* Cnst/alloc.scm 263 */
						obj_t BgL__andtest_1121z00_1675;

						BgL__andtest_1121z00_1675 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1121z00_1675))
							{	/* Cnst/alloc.scm 263 */
								BgL_oldz00_1671 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_38);
							}
						else
							{	/* Cnst/alloc.scm 263 */
								BgL_oldz00_1671 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_1671))
						{	/* Cnst/alloc.scm 266 */
							BgL_refz00_bglt BgL_new1124z00_1672;

							{	/* Cnst/alloc.scm 267 */
								BgL_refz00_bglt BgL_new1123z00_1673;

								BgL_new1123z00_1673 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 267 */
									long BgL_arg1597z00_1674;

									BgL_arg1597z00_1674 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1123z00_1673),
										BgL_arg1597z00_1674);
								}
								{	/* Cnst/alloc.scm 267 */
									BgL_objectz00_bglt BgL_tmpz00_3836;

									BgL_tmpz00_3836 = ((BgL_objectz00_bglt) BgL_new1123z00_1673);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3836, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1123z00_1673);
								BgL_new1124z00_1672 = BgL_new1123z00_1673;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1124z00_1672)))->BgL_locz00) =
								((obj_t) BgL_locz00_39), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1124z00_1672)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2bstringza2z00zztype_cachez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1124z00_1672)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										STRUCT_REF(((obj_t) BgL_oldz00_1671), (int) (1L)))),
								BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1124z00_1672);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_3852;

							{	/* Cnst/alloc.scm 244 */
								BgL_refz00_bglt BgL_refz00_1685;

								{	/* Cnst/alloc.scm 230 */
									BgL_globalz00_bglt BgL_varz00_1677;

									{	/* Cnst/alloc.scm 231 */
										obj_t BgL_arg1612z00_1682;

										{	/* Cnst/alloc.scm 231 */
											obj_t BgL_arg1625z00_1683;

											BgL_arg1625z00_1683 =
												BGl_gensymz00zz__r4_symbols_6_4z00(
												((obj_t) CNST_TABLE_REF(6)));
											BgL_arg1612z00_1682 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_arg1625z00_1683, ((obj_t) CNST_TABLE_REF(7)));
										}
										BgL_varz00_1677 =
											BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
											(BgL_arg1612z00_1682,
											BGl_za2moduleza2z00zzmodule_modulez00, BgL_stringz00_38,
											((obj_t) CNST_TABLE_REF(8)), BgL_locz00_39);
									}
									if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
										{	/* Cnst/alloc.scm 237 */
											obj_t BgL_arg1605z00_1678;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_newz00_2817;

												BgL_newz00_2817 =
													create_struct(
													((obj_t) CNST_TABLE_REF(9)), (int) (2L));
												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_auxz00_3870;
													int BgL_tmpz00_3868;

													BgL_auxz00_3870 = ((obj_t) BgL_varz00_1677);
													BgL_tmpz00_3868 = (int) (1L);
													STRUCT_SET(BgL_newz00_2817, BgL_tmpz00_3868,
														BgL_auxz00_3870);
												}
												{	/* Cnst/alloc.scm 70 */
													int BgL_tmpz00_3873;

													BgL_tmpz00_3873 = (int) (0L);
													STRUCT_SET(BgL_newz00_2817, BgL_tmpz00_3873,
														BgL_stringz00_38);
												}
												BgL_arg1605z00_1678 = BgL_newz00_2817;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2stringzd2envza2zd2zzcnst_allocz00,
												BgL_stringz00_38, BgL_arg1605z00_1678);
										}
									else
										{	/* Cnst/alloc.scm 236 */
											BFALSE;
										}
									{	/* Cnst/alloc.scm 238 */
										BgL_refz00_bglt BgL_new1116z00_1679;

										{	/* Cnst/alloc.scm 239 */
											BgL_refz00_bglt BgL_new1115z00_1680;

											BgL_new1115z00_1680 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Cnst/alloc.scm 239 */
												long BgL_arg1611z00_1681;

												BgL_arg1611z00_1681 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1115z00_1680),
													BgL_arg1611z00_1681);
											}
											{	/* Cnst/alloc.scm 239 */
												BgL_objectz00_bglt BgL_tmpz00_3881;

												BgL_tmpz00_3881 =
													((BgL_objectz00_bglt) BgL_new1115z00_1680);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3881, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1115z00_1680);
											BgL_new1116z00_1679 = BgL_new1115z00_1680;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1116z00_1679)))->
												BgL_locz00) = ((obj_t) BgL_locz00_39), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1116z00_1679)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2bstringza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1116z00_1679)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_varz00_1677)), BUNSPEC);
										BgL_refz00_1685 = BgL_new1116z00_1679;
								}}
								{	/* Cnst/alloc.scm 245 */
									bool_t BgL_test2560z00_3893;

									{	/* Cnst/alloc.scm 245 */
										obj_t BgL_arg1675z00_1708;

										BgL_arg1675z00_1708 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_test2560z00_3893 =
											(((BgL_backendz00_bglt) COBJECT(
													((BgL_backendz00_bglt) BgL_arg1675z00_1708)))->
											BgL_stringzd2literalzd2supportz00);
									}
									if (BgL_test2560z00_3893)
										{	/* Cnst/alloc.scm 245 */
											BFALSE;
										}
									else
										{	/* Cnst/alloc.scm 252 */
											obj_t BgL_arg1633z00_1689;

											{	/* Cnst/alloc.scm 252 */
												obj_t BgL_arg1635z00_1690;

												{	/* Cnst/alloc.scm 252 */
													obj_t BgL_arg1638z00_1691;
													obj_t BgL_arg1642z00_1692;

													{	/* Cnst/alloc.scm 252 */
														obj_t BgL_arg1643z00_1693;

														{	/* Cnst/alloc.scm 252 */
															obj_t BgL_arg1648z00_1694;
															obj_t BgL_arg1649z00_1695;

															BgL_arg1648z00_1694 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_refz00_1685)))->
																					BgL_variablez00)))))->BgL_idz00);
															{	/* Cnst/alloc.scm 252 */
																obj_t BgL_arg1653z00_1697;

																BgL_arg1653z00_1697 =
																	(((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_refz00_1685)))->
																					BgL_variablez00))))->BgL_modulez00);
																BgL_arg1649z00_1695 =
																	MAKE_YOUNG_PAIR(BgL_arg1653z00_1697, BNIL);
															}
															BgL_arg1643z00_1693 =
																MAKE_YOUNG_PAIR(BgL_arg1648z00_1694,
																BgL_arg1649z00_1695);
														}
														BgL_arg1638z00_1691 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg1643z00_1693);
													}
													{	/* Cnst/alloc.scm 254 */
														BgL_nodez00_bglt BgL_arg1656z00_1699;

														{	/* Cnst/alloc.scm 254 */
															BgL_pragmaz00_bglt BgL_arg1657z00_1700;
															BgL_variablez00_bglt BgL_arg1660z00_1701;
															BgL_typez00_bglt BgL_arg1663z00_1702;

															{	/* Cnst/alloc.scm 254 */
																BgL_pragmaz00_bglt BgL_new1120z00_1703;

																{	/* Cnst/alloc.scm 256 */
																	BgL_pragmaz00_bglt BgL_new1118z00_1706;

																	BgL_new1118z00_1706 =
																		((BgL_pragmaz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_pragmaz00_bgl))));
																	{	/* Cnst/alloc.scm 256 */
																		long BgL_arg1674z00_1707;

																		BgL_arg1674z00_1707 =
																			BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1118z00_1706),
																			BgL_arg1674z00_1707);
																	}
																	{	/* Cnst/alloc.scm 256 */
																		BgL_objectz00_bglt BgL_tmpz00_3915;

																		BgL_tmpz00_3915 =
																			((BgL_objectz00_bglt)
																			BgL_new1118z00_1706);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3915,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1118z00_1706);
																	BgL_new1120z00_1703 = BgL_new1118z00_1706;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1120z00_1703)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1120z00_1703)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2bstringza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1120z00_1703)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1120z00_1703)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																((((BgL_externz00_bglt)
																			COBJECT(((BgL_externz00_bglt)
																					BgL_new1120z00_1703)))->
																		BgL_exprza2za2) = ((obj_t) BNIL), BUNSPEC);
																((((BgL_externz00_bglt)
																			COBJECT(((BgL_externz00_bglt)
																					BgL_new1120z00_1703)))->
																		BgL_effectz00) =
																	((obj_t) BUNSPEC), BUNSPEC);
																{
																	obj_t BgL_auxz00_3933;

																	{	/* Cnst/alloc.scm 257 */
																		obj_t BgL_list1664z00_1704;

																		BgL_list1664z00_1704 =
																			MAKE_YOUNG_PAIR(BgL_stringz00_38, BNIL);
																		BgL_auxz00_3933 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2512z00zzcnst_allocz00,
																			BgL_list1664z00_1704);
																	}
																	((((BgL_pragmaz00_bglt)
																				COBJECT(BgL_new1120z00_1703))->
																			BgL_formatz00) =
																		((obj_t) BgL_auxz00_3933), BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_3937;

																	{	/* Cnst/alloc.scm 256 */
																		obj_t BgL_arg1673z00_1705;

																		BgL_arg1673z00_1705 =
																			BGl_thezd2backendzd2zzbackend_backendz00
																			();
																		BgL_auxz00_3937 =
																			(((BgL_backendz00_bglt)
																				COBJECT(((BgL_backendz00_bglt)
																						BgL_arg1673z00_1705)))->
																			BgL_srfi0z00);
																	}
																	((((BgL_pragmaz00_bglt)
																				COBJECT(BgL_new1120z00_1703))->
																			BgL_srfi0z00) =
																		((obj_t) BgL_auxz00_3937), BUNSPEC);
																}
																BgL_arg1657z00_1700 = BgL_new1120z00_1703;
															}
															BgL_arg1660z00_1701 =
																(((BgL_varz00_bglt) COBJECT(
																		((BgL_varz00_bglt) BgL_refz00_1685)))->
																BgL_variablez00);
															BgL_arg1663z00_1702 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2bstringza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg1656z00_1699 =
																BGl_coercez12z12zzcoerce_coercez00((
																	(BgL_nodez00_bglt) BgL_arg1657z00_1700),
																((obj_t) BgL_arg1660z00_1701),
																BgL_arg1663z00_1702, ((bool_t) 0));
														}
														BgL_arg1642z00_1692 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1656z00_1699), BNIL);
													}
													BgL_arg1635z00_1690 =
														MAKE_YOUNG_PAIR(BgL_arg1638z00_1691,
														BgL_arg1642z00_1692);
												}
												BgL_arg1633z00_1689 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg1635z00_1690);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1633z00_1689,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
								}}
								BgL_auxz00_3852 = BgL_refz00_1685;
							}
							return ((BgL_nodez00_bglt) BgL_auxz00_3852);
						}
				}
			}
		}

	}



/* &cnst-alloc-string */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2stringz62zzcnst_allocz00(obj_t
		BgL_envz00_3558, obj_t BgL_stringz00_3559, obj_t BgL_locz00_3560)
	{
		{	/* Cnst/alloc.scm 226 */
			return
				BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(BgL_stringz00_3559,
				BgL_locz00_3560);
		}

	}



/* cnst-alloc-ucs2-string */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(obj_t BgL_stringz00_40,
		obj_t BgL_locz00_41)
	{
		{	/* Cnst/alloc.scm 276 */
			{
				obj_t BgL_bstringz00_1728;

				{	/* Cnst/alloc.scm 308 */
					obj_t BgL_oldz00_1713;
					obj_t BgL_stringzd2aszd2bstringz00_1714;

					BgL_oldz00_1713 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00, BgL_stringz00_40);
					BgL_stringzd2aszd2bstringz00_1714 =
						ucs2_string_to_utf8_string(BgL_stringz00_40);
					if (CBOOL(BgL_oldz00_1713))
						{	/* Cnst/alloc.scm 311 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 313 */
									BgL_refz00_bglt BgL_new1132z00_1715;

									{	/* Cnst/alloc.scm 314 */
										BgL_refz00_bglt BgL_new1131z00_1717;

										BgL_new1131z00_1717 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 314 */
											long BgL_arg1679z00_1718;

											BgL_arg1679z00_1718 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1131z00_1717),
												BgL_arg1679z00_1718);
										}
										{	/* Cnst/alloc.scm 314 */
											BgL_objectz00_bglt BgL_tmpz00_3971;

											BgL_tmpz00_3971 =
												((BgL_objectz00_bglt) BgL_new1131z00_1717);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3971, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1131z00_1717);
										BgL_new1132z00_1715 = BgL_new1131z00_1717;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1132z00_1715)))->
											BgL_locz00) = ((obj_t) BgL_locz00_41), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_3977;

										{	/* Cnst/alloc.scm 315 */
											BgL_typez00_bglt BgL_arg1677z00_1716;

											BgL_arg1677z00_1716 =
												BGl_getzd2defaultzd2typez00zztype_cachez00();
											BgL_auxz00_3977 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt)
													BGl_za2ucs2stringza2z00zztype_cachez00),
												BgL_arg1677z00_1716);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1132z00_1715)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_3977), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1132z00_1715)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_1713), (int) (1L)))),
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1132z00_1715);
								}
							else
								{	/* Cnst/alloc.scm 317 */
									obj_t BgL_arg1680z00_1719;

									BgL_arg1680z00_1719 =
										STRUCT_REF(((obj_t) BgL_oldz00_1713), (int) (1L));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg1680z00_1719,
											BGl_za2ucs2stringza2z00zztype_cachez00, BgL_locz00_41));
								}
						}
					else
						{	/* Cnst/alloc.scm 318 */
							bool_t BgL_test2563z00_3995;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 318 */
									BgL_test2563z00_3995 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 318 */
									if ((STRING_LENGTH(BgL_stringzd2aszd2bstringz00_1714) == 0L))
										{	/* Cnst/alloc.scm 319 */
											BgL_test2563z00_3995 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 319 */
											BgL_test2563z00_3995 =
												(STRING_REF(BgL_stringzd2aszd2bstringz00_1714,
													0L) == ((unsigned char) ';'));
								}}
							if (BgL_test2563z00_3995)
								{
									BgL_refz00_bglt BgL_auxz00_4005;

									BgL_bstringz00_1728 = BgL_stringzd2aszd2bstringz00_1714;
									{	/* Cnst/alloc.scm 278 */
										BgL_globalz00_bglt BgL_varz00_1730;
										BgL_nodez00_bglt BgL_vsz00_1731;

										{	/* Cnst/alloc.scm 279 */
											obj_t BgL_arg1768z00_1754;

											{	/* Cnst/alloc.scm 279 */
												obj_t BgL_arg1770z00_1755;

												BgL_arg1770z00_1755 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(12)));
												BgL_arg1768z00_1754 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg1770z00_1755, ((obj_t) CNST_TABLE_REF(12)));
											}
											BgL_varz00_1730 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg1768z00_1754,
												BGl_za2moduleza2z00zzmodule_modulez00,
												((obj_t) CNST_TABLE_REF(13)),
												((obj_t) CNST_TABLE_REF(3)));
										}
										BgL_vsz00_1731 =
											BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
											(BgL_bstringz00_1728, BgL_locz00_41);
										{	/* Cnst/alloc.scm 284 */
											obj_t BgL_arg1699z00_1732;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_newz00_2837;

												BgL_newz00_2837 =
													create_struct(
													((obj_t) CNST_TABLE_REF(9)), (int) (2L));
												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_auxz00_4024;
													int BgL_tmpz00_4022;

													BgL_auxz00_4024 = ((obj_t) BgL_varz00_1730);
													BgL_tmpz00_4022 = (int) (1L);
													STRUCT_SET(BgL_newz00_2837, BgL_tmpz00_4022,
														BgL_auxz00_4024);
												}
												{	/* Cnst/alloc.scm 70 */
													int BgL_tmpz00_4027;

													BgL_tmpz00_4027 = (int) (0L);
													STRUCT_SET(BgL_newz00_2837, BgL_tmpz00_4027,
														BgL_stringz00_40);
												}
												BgL_arg1699z00_1732 = BgL_newz00_2837;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00,
												BgL_stringz00_40, BgL_arg1699z00_1732);
										}
										{	/* Cnst/alloc.scm 285 */
											obj_t BgL_arg1703z00_1733;

											{	/* Cnst/alloc.scm 285 */
												obj_t BgL_arg1715z00_1734;

												{	/* Cnst/alloc.scm 285 */
													obj_t BgL_arg1716z00_1735;
													obj_t BgL_arg1717z00_1736;

													{	/* Cnst/alloc.scm 285 */
														obj_t BgL_arg1720z00_1737;

														{	/* Cnst/alloc.scm 285 */
															obj_t BgL_arg1724z00_1738;
															obj_t BgL_arg1729z00_1739;

															BgL_arg1724z00_1738 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_1730)))->
																BgL_idz00);
															BgL_arg1729z00_1739 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_1730))->BgL_modulez00),
																BNIL);
															BgL_arg1720z00_1737 =
																MAKE_YOUNG_PAIR(BgL_arg1724z00_1738,
																BgL_arg1729z00_1739);
														}
														BgL_arg1716z00_1735 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg1720z00_1737);
													}
													{	/* Cnst/alloc.scm 287 */
														BgL_nodez00_bglt BgL_arg1746z00_1741;

														{	/* Cnst/alloc.scm 287 */
															BgL_appz00_bglt BgL_arg1748z00_1742;
															BgL_typez00_bglt BgL_arg1755z00_1743;

															{	/* Cnst/alloc.scm 287 */
																BgL_appz00_bglt BgL_new1126z00_1744;

																{	/* Cnst/alloc.scm 294 */
																	BgL_appz00_bglt BgL_new1125z00_1749;

																	BgL_new1125z00_1749 =
																		((BgL_appz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_appz00_bgl))));
																	{	/* Cnst/alloc.scm 294 */
																		long BgL_arg1763z00_1750;

																		BgL_arg1763z00_1750 =
																			BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1125z00_1749),
																			BgL_arg1763z00_1750);
																	}
																	{	/* Cnst/alloc.scm 294 */
																		BgL_objectz00_bglt BgL_tmpz00_4043;

																		BgL_tmpz00_4043 =
																			((BgL_objectz00_bglt)
																			BgL_new1125z00_1749);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4043,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1125z00_1749);
																	BgL_new1126z00_1744 = BgL_new1125z00_1749;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1126z00_1744)))->BgL_locz00) =
																	((obj_t) BgL_locz00_41), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1126z00_1744)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2ucs2stringza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1126z00_1744)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1126z00_1744)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																{
																	BgL_varz00_bglt BgL_auxz00_4057;

																	{	/* Cnst/alloc.scm 290 */
																		BgL_refz00_bglt BgL_new1128z00_1745;

																		{	/* Cnst/alloc.scm 293 */
																			BgL_refz00_bglt BgL_new1127z00_1746;

																			BgL_new1127z00_1746 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Cnst/alloc.scm 293 */
																				long BgL_arg1756z00_1747;

																				{	/* Cnst/alloc.scm 293 */
																					obj_t BgL_classz00_2846;

																					BgL_classz00_2846 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1756z00_1747 =
																						BGL_CLASS_NUM(BgL_classz00_2846);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1127z00_1746),
																					BgL_arg1756z00_1747);
																			}
																			{	/* Cnst/alloc.scm 293 */
																				BgL_objectz00_bglt BgL_tmpz00_4062;

																				BgL_tmpz00_4062 =
																					((BgL_objectz00_bglt)
																					BgL_new1127z00_1746);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4062,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1127z00_1746);
																			BgL_new1128z00_1745 = BgL_new1127z00_1746;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1128z00_1745)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_41), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1128z00_1745)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2ucs2stringza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1128z00_1745)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00)),
																			BUNSPEC);
																		BgL_auxz00_4057 =
																			((BgL_varz00_bglt) BgL_new1128z00_1745);
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1126z00_1744))->
																			BgL_funz00) =
																		((BgL_varz00_bglt) BgL_auxz00_4057),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_4076;

																	{	/* Cnst/alloc.scm 294 */
																		obj_t BgL_list1757z00_1748;

																		BgL_list1757z00_1748 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_vsz00_1731), BNIL);
																		BgL_auxz00_4076 = BgL_list1757z00_1748;
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1126z00_1744))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_4076), BUNSPEC);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1126z00_1744))->
																		BgL_stackablez00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_arg1748z00_1742 = BgL_new1126z00_1744;
															}
															BgL_arg1755z00_1743 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt)
																	BGl_za2ucs2stringza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg1746z00_1741 =
																BGl_coercez12z12zzcoerce_coercez00((
																	(BgL_nodez00_bglt) BgL_arg1748z00_1742),
																((obj_t) BgL_varz00_1730), BgL_arg1755z00_1743,
																((bool_t) 0));
														}
														BgL_arg1717z00_1736 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1746z00_1741), BNIL);
													}
													BgL_arg1715z00_1734 =
														MAKE_YOUNG_PAIR(BgL_arg1716z00_1735,
														BgL_arg1717z00_1736);
												}
												BgL_arg1703z00_1733 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg1715z00_1734);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1703z00_1733,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 298 */
											BgL_refz00_bglt BgL_new1130z00_1751;

											{	/* Cnst/alloc.scm 299 */
												BgL_refz00_bglt BgL_new1129z00_1752;

												BgL_new1129z00_1752 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 299 */
													long BgL_arg1765z00_1753;

													BgL_arg1765z00_1753 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1129z00_1752),
														BgL_arg1765z00_1753);
												}
												{	/* Cnst/alloc.scm 299 */
													BgL_objectz00_bglt BgL_tmpz00_4098;

													BgL_tmpz00_4098 =
														((BgL_objectz00_bglt) BgL_new1129z00_1752);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4098, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1129z00_1752);
												BgL_new1130z00_1751 = BgL_new1129z00_1752;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1130z00_1751)))->
													BgL_locz00) = ((obj_t) BgL_locz00_41), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1130z00_1751)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_1730)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1130z00_1751)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1730)), BUNSPEC);
											BgL_auxz00_4005 = BgL_new1130z00_1751;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_4005);
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_4112;

									{	/* Cnst/alloc.scm 303 */
										long BgL_offsetz00_1757;

										BgL_offsetz00_1757 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_stringz00_40,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 306 */
											obj_t BgL_arg1772z00_1758;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_newz00_2857;

												BgL_newz00_2857 =
													create_struct(
													((obj_t) CNST_TABLE_REF(9)), (int) (2L));
												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_auxz00_4121;
													int BgL_tmpz00_4119;

													BgL_auxz00_4121 = BINT(BgL_offsetz00_1757);
													BgL_tmpz00_4119 = (int) (1L);
													STRUCT_SET(BgL_newz00_2857, BgL_tmpz00_4119,
														BgL_auxz00_4121);
												}
												{	/* Cnst/alloc.scm 70 */
													int BgL_tmpz00_4124;

													BgL_tmpz00_4124 = (int) (0L);
													STRUCT_SET(BgL_newz00_2857, BgL_tmpz00_4124,
														BgL_stringz00_40);
												}
												BgL_arg1772z00_1758 = BgL_newz00_2857;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2ucs2stringzd2envza2zd2zzcnst_allocz00,
												BgL_stringz00_40, BgL_arg1772z00_1758);
										}
										BgL_auxz00_4112 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1757),
											BGl_za2ucs2stringza2z00zztype_cachez00, BgL_locz00_41);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_4112);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-ucs2-string */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2ucs2zd2stringzb0zzcnst_allocz00(obj_t
		BgL_envz00_3561, obj_t BgL_stringz00_3562, obj_t BgL_locz00_3563)
	{
		{	/* Cnst/alloc.scm 276 */
			return
				BGl_cnstzd2alloczd2ucs2zd2stringzd2zzcnst_allocz00(BgL_stringz00_3562,
				BgL_locz00_3563);
		}

	}



/* cnst-alloc-symbol */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(obj_t BgL_symbolz00_42,
		obj_t BgL_locz00_43)
	{
		{	/* Cnst/alloc.scm 328 */
			{

				{	/* Cnst/alloc.scm 359 */
					obj_t BgL_oldz00_1763;
					obj_t BgL_symbolzd2aszd2stringz00_1764;

					BgL_oldz00_1763 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2symbolzd2envza2zd2zzcnst_allocz00, BgL_symbolz00_42);
					{	/* Cnst/alloc.scm 360 */
						obj_t BgL_arg1486z00_2898;

						BgL_arg1486z00_2898 = SYMBOL_TO_STRING(BgL_symbolz00_42);
						BgL_symbolzd2aszd2stringz00_1764 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2898);
					}
					{	/* Cnst/alloc.scm 362 */
						bool_t BgL_test2566z00_4135;

						if (STRUCTP(BgL_oldz00_1763))
							{	/* Cnst/alloc.scm 70 */
								BgL_test2566z00_4135 =
									(STRUCT_KEY(BgL_oldz00_1763) == ((obj_t) CNST_TABLE_REF(9)));
							}
						else
							{	/* Cnst/alloc.scm 70 */
								BgL_test2566z00_4135 = ((bool_t) 0);
							}
						if (BgL_test2566z00_4135)
							{	/* Cnst/alloc.scm 364 */
								bool_t BgL_test2568z00_4142;

								{	/* Cnst/alloc.scm 364 */
									obj_t BgL_arg1785z00_1775;

									BgL_arg1785z00_1775 = STRUCT_REF(BgL_oldz00_1763, (int) (1L));
									{	/* Cnst/alloc.scm 364 */
										obj_t BgL_classz00_2904;

										BgL_classz00_2904 = BGl_variablez00zzast_varz00;
										if (BGL_OBJECTP(BgL_arg1785z00_1775))
											{	/* Cnst/alloc.scm 364 */
												BgL_objectz00_bglt BgL_arg1858z00_2906;

												BgL_arg1858z00_2906 =
													(BgL_objectz00_bglt) (BgL_arg1785z00_1775);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Cnst/alloc.scm 364 */
														long BgL_idxz00_2912;

														BgL_idxz00_2912 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2906);
														BgL_test2568z00_4142 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2912 + 1L)) == BgL_classz00_2904);
													}
												else
													{	/* Cnst/alloc.scm 364 */
														bool_t BgL_res2489z00_2937;

														{	/* Cnst/alloc.scm 364 */
															obj_t BgL_oclassz00_2920;

															{	/* Cnst/alloc.scm 364 */
																obj_t BgL_arg1866z00_2928;
																long BgL_arg1867z00_2929;

																BgL_arg1866z00_2928 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Cnst/alloc.scm 364 */
																	long BgL_arg1869z00_2930;

																	BgL_arg1869z00_2930 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2906);
																	BgL_arg1867z00_2929 =
																		(BgL_arg1869z00_2930 - OBJECT_TYPE);
																}
																BgL_oclassz00_2920 =
																	VECTOR_REF(BgL_arg1866z00_2928,
																	BgL_arg1867z00_2929);
															}
															{	/* Cnst/alloc.scm 364 */
																bool_t BgL__ortest_1115z00_2921;

																BgL__ortest_1115z00_2921 =
																	(BgL_classz00_2904 == BgL_oclassz00_2920);
																if (BgL__ortest_1115z00_2921)
																	{	/* Cnst/alloc.scm 364 */
																		BgL_res2489z00_2937 =
																			BgL__ortest_1115z00_2921;
																	}
																else
																	{	/* Cnst/alloc.scm 364 */
																		long BgL_odepthz00_2922;

																		{	/* Cnst/alloc.scm 364 */
																			obj_t BgL_arg1855z00_2923;

																			BgL_arg1855z00_2923 =
																				(BgL_oclassz00_2920);
																			BgL_odepthz00_2922 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2923);
																		}
																		if ((1L < BgL_odepthz00_2922))
																			{	/* Cnst/alloc.scm 364 */
																				obj_t BgL_arg1853z00_2925;

																				{	/* Cnst/alloc.scm 364 */
																					obj_t BgL_arg1854z00_2926;

																					BgL_arg1854z00_2926 =
																						(BgL_oclassz00_2920);
																					BgL_arg1853z00_2925 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2926, 1L);
																				}
																				BgL_res2489z00_2937 =
																					(BgL_arg1853z00_2925 ==
																					BgL_classz00_2904);
																			}
																		else
																			{	/* Cnst/alloc.scm 364 */
																				BgL_res2489z00_2937 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2568z00_4142 = BgL_res2489z00_2937;
													}
											}
										else
											{	/* Cnst/alloc.scm 364 */
												BgL_test2568z00_4142 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2568z00_4142)
									{	/* Cnst/alloc.scm 365 */
										BgL_refz00_bglt BgL_new1141z00_1768;

										{	/* Cnst/alloc.scm 366 */
											BgL_refz00_bglt BgL_new1140z00_1769;

											BgL_new1140z00_1769 =
												((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_refz00_bgl))));
											{	/* Cnst/alloc.scm 366 */
												long BgL_arg1782z00_1770;

												BgL_arg1782z00_1770 =
													BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1140z00_1769),
													BgL_arg1782z00_1770);
											}
											{	/* Cnst/alloc.scm 366 */
												BgL_objectz00_bglt BgL_tmpz00_4171;

												BgL_tmpz00_4171 =
													((BgL_objectz00_bglt) BgL_new1140z00_1769);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4171, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1140z00_1769);
											BgL_new1141z00_1768 = BgL_new1140z00_1769;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1141z00_1768)))->
												BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1141z00_1768)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2symbolza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
															BgL_new1141z00_1768)))->BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													STRUCT_REF(BgL_oldz00_1763, (int) (1L)))), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1141z00_1768);
									}
								else
									{	/* Cnst/alloc.scm 364 */
										if (
											(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
												((obj_t) CNST_TABLE_REF(14))))
											{	/* Cnst/alloc.scm 370 */
												BgL_refz00_bglt BgL_new1143z00_1771;

												{	/* Cnst/alloc.scm 371 */
													BgL_refz00_bglt BgL_new1142z00_1772;

													BgL_new1142z00_1772 =
														((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_refz00_bgl))));
													{	/* Cnst/alloc.scm 371 */
														long BgL_arg1783z00_1773;

														BgL_arg1783z00_1773 =
															BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1142z00_1772),
															BgL_arg1783z00_1773);
													}
													{	/* Cnst/alloc.scm 371 */
														BgL_objectz00_bglt BgL_tmpz00_4194;

														BgL_tmpz00_4194 =
															((BgL_objectz00_bglt) BgL_new1142z00_1772);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4194, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1142z00_1772);
													BgL_new1143z00_1771 = BgL_new1142z00_1772;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1143z00_1771)))->
														BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1143z00_1771)))->BgL_typez00) =
													((BgL_typez00_bglt) ((BgL_typez00_bglt)
															BGl_za2symbolza2z00zztype_cachez00)), BUNSPEC);
												((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_new1143z00_1771)))->BgL_variablez00) =
													((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
															STRUCT_REF(BgL_oldz00_1763, (int) (1L)))),
													BUNSPEC);
												return ((BgL_nodez00_bglt) BgL_new1143z00_1771);
											}
										else
											{	/* Cnst/alloc.scm 375 */
												obj_t BgL_arg1784z00_1774;

												BgL_arg1784z00_1774 =
													STRUCT_REF(BgL_oldz00_1763, (int) (1L));
												return
													((BgL_nodez00_bglt)
													BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
													(BgL_arg1784z00_1774,
														BGl_za2symbolza2z00zztype_cachez00, BgL_locz00_43));
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 362 */
								if (CBOOL(BgL_oldz00_1763))
									{	/* Cnst/alloc.scm 379 */
										obj_t BgL_arg1786z00_1776;

										BgL_arg1786z00_1776 =
											BGl_shapez00zztools_shapez00(BgL_oldz00_1763);
										return
											((BgL_nodez00_bglt)
											BGl_internalzd2errorzd2zztools_errorz00(
												((obj_t)
													CNST_TABLE_REF(17)), BGl_string2513z00zzcnst_allocz00,
												BgL_arg1786z00_1776));
									}
								else
									{	/* Cnst/alloc.scm 380 */
										bool_t BgL_test2575z00_4220;

										if (
											(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
												((obj_t) CNST_TABLE_REF(14))))
											{	/* Cnst/alloc.scm 380 */
												BgL_test2575z00_4220 = ((bool_t) 1);
											}
										else
											{	/* Cnst/alloc.scm 380 */
												if (
													(STRING_LENGTH(BgL_symbolzd2aszd2stringz00_1764) ==
														0L))
													{	/* Cnst/alloc.scm 381 */
														BgL_test2575z00_4220 = ((bool_t) 1);
													}
												else
													{	/* Cnst/alloc.scm 381 */
														BgL_test2575z00_4220 =
															(STRING_REF(BgL_symbolzd2aszd2stringz00_1764,
																0L) == ((unsigned char) ';'));
											}}
										if (BgL_test2575z00_4220)
											{
												BgL_refz00_bglt BgL_auxz00_4230;

												{	/* Cnst/alloc.scm 330 */
													BgL_globalz00_bglt BgL_varz00_1786;
													BgL_nodez00_bglt BgL_vsz00_1787;

													{	/* Cnst/alloc.scm 330 */
														obj_t BgL_arg1848z00_1810;

														{	/* Cnst/alloc.scm 330 */
															obj_t BgL_arg1851z00_1811;

															BgL_arg1851z00_1811 =
																BGl_gensymz00zz__r4_symbols_6_4z00(
																((obj_t) CNST_TABLE_REF(15)));
															BgL_arg1848z00_1810 =
																BGl_makezd2typedzd2identz00zzast_identz00
																(BgL_arg1851z00_1811,
																((obj_t) CNST_TABLE_REF(15)));
														}
														BgL_varz00_1786 =
															BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
															(BgL_arg1848z00_1810,
															BGl_za2moduleza2z00zzmodule_modulez00,
															((obj_t) CNST_TABLE_REF(16)),
															((obj_t) CNST_TABLE_REF(3)));
													}
													{	/* Cnst/alloc.scm 334 */
														obj_t BgL_arg1852z00_1812;

														{	/* Cnst/alloc.scm 334 */
															obj_t BgL_arg1486z00_2873;

															BgL_arg1486z00_2873 =
																SYMBOL_TO_STRING(BgL_symbolz00_42);
															BgL_arg1852z00_1812 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1486z00_2873);
														}
														BgL_vsz00_1787 =
															BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
															(BgL_arg1852z00_1812, BgL_locz00_43);
													}
													{	/* Cnst/alloc.scm 335 */
														obj_t BgL_arg1802z00_1788;

														{	/* Cnst/alloc.scm 70 */
															obj_t BgL_newz00_2874;

															BgL_newz00_2874 =
																create_struct(
																((obj_t) CNST_TABLE_REF(9)), (int) (2L));
															{	/* Cnst/alloc.scm 70 */
																obj_t BgL_auxz00_4251;
																int BgL_tmpz00_4249;

																BgL_auxz00_4251 = ((obj_t) BgL_varz00_1786);
																BgL_tmpz00_4249 = (int) (1L);
																STRUCT_SET(BgL_newz00_2874, BgL_tmpz00_4249,
																	BgL_auxz00_4251);
															}
															{	/* Cnst/alloc.scm 70 */
																int BgL_tmpz00_4254;

																BgL_tmpz00_4254 = (int) (0L);
																STRUCT_SET(BgL_newz00_2874, BgL_tmpz00_4254,
																	BgL_symbolz00_42);
															}
															BgL_arg1802z00_1788 = BgL_newz00_2874;
														}
														BGl_hashtablezd2putz12zc0zz__hashz00
															(BGl_za2symbolzd2envza2zd2zzcnst_allocz00,
															BgL_symbolz00_42, BgL_arg1802z00_1788);
													}
													{	/* Cnst/alloc.scm 336 */
														obj_t BgL_arg1803z00_1789;

														{	/* Cnst/alloc.scm 336 */
															obj_t BgL_arg1804z00_1790;

															{	/* Cnst/alloc.scm 336 */
																obj_t BgL_arg1810z00_1791;
																obj_t BgL_arg1811z00_1792;

																{	/* Cnst/alloc.scm 336 */
																	obj_t BgL_arg1814z00_1793;

																	{	/* Cnst/alloc.scm 336 */
																		obj_t BgL_arg1818z00_1794;
																		obj_t BgL_arg1821z00_1795;

																		BgL_arg1818z00_1794 =
																			(((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						BgL_varz00_1786)))->BgL_idz00);
																		BgL_arg1821z00_1795 =
																			MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																					COBJECT(BgL_varz00_1786))->
																				BgL_modulez00), BNIL);
																		BgL_arg1814z00_1793 =
																			MAKE_YOUNG_PAIR(BgL_arg1818z00_1794,
																			BgL_arg1821z00_1795);
																	}
																	BgL_arg1810z00_1791 =
																		MAKE_YOUNG_PAIR(
																		((obj_t)
																			CNST_TABLE_REF(10)), BgL_arg1814z00_1793);
																}
																{	/* Cnst/alloc.scm 338 */
																	BgL_nodez00_bglt BgL_arg1825z00_1797;

																	{	/* Cnst/alloc.scm 338 */
																		BgL_appz00_bglt BgL_arg1829z00_1798;
																		BgL_typez00_bglt BgL_arg1834z00_1799;

																		{	/* Cnst/alloc.scm 338 */
																			BgL_appz00_bglt BgL_new1135z00_1800;

																			{	/* Cnst/alloc.scm 345 */
																				BgL_appz00_bglt BgL_new1133z00_1805;

																				BgL_new1133z00_1805 =
																					((BgL_appz00_bglt)
																					BOBJECT(GC_MALLOC(sizeof(struct
																								BgL_appz00_bgl))));
																				{	/* Cnst/alloc.scm 345 */
																					long BgL_arg1845z00_1806;

																					BgL_arg1845z00_1806 =
																						BGL_CLASS_NUM
																						(BGl_appz00zzast_nodez00);
																					BGL_OBJECT_CLASS_NUM_SET((
																							(BgL_objectz00_bglt)
																							BgL_new1133z00_1805),
																						BgL_arg1845z00_1806);
																				}
																				{	/* Cnst/alloc.scm 345 */
																					BgL_objectz00_bglt BgL_tmpz00_4270;

																					BgL_tmpz00_4270 =
																						((BgL_objectz00_bglt)
																						BgL_new1133z00_1805);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_tmpz00_4270, BFALSE);
																				}
																				((BgL_objectz00_bglt)
																					BgL_new1133z00_1805);
																				BgL_new1135z00_1800 =
																					BgL_new1133z00_1805;
																			}
																			((((BgL_nodez00_bglt) COBJECT(
																							((BgL_nodez00_bglt)
																								BgL_new1135z00_1800)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_43), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						COBJECT(((BgL_nodez00_bglt)
																								BgL_new1135z00_1800)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2symbolza2z00zztype_cachez00)),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1135z00_1800)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						COBJECT(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1135z00_1800)))->
																					BgL_keyz00) =
																				((obj_t) BINT((-1L))), BUNSPEC);
																			{
																				BgL_varz00_bglt BgL_auxz00_4284;

																				{	/* Cnst/alloc.scm 341 */
																					BgL_refz00_bglt BgL_new1137z00_1801;

																					{	/* Cnst/alloc.scm 344 */
																						BgL_refz00_bglt BgL_new1136z00_1802;

																						BgL_new1136z00_1802 =
																							((BgL_refz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_refz00_bgl))));
																						{	/* Cnst/alloc.scm 344 */
																							long BgL_arg1842z00_1803;

																							{	/* Cnst/alloc.scm 344 */
																								obj_t BgL_classz00_2883;

																								BgL_classz00_2883 =
																									BGl_refz00zzast_nodez00;
																								BgL_arg1842z00_1803 =
																									BGL_CLASS_NUM
																									(BgL_classz00_2883);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1136z00_1802),
																								BgL_arg1842z00_1803);
																						}
																						{	/* Cnst/alloc.scm 344 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_4289;
																							BgL_tmpz00_4289 =
																								((BgL_objectz00_bglt)
																								BgL_new1136z00_1802);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_4289, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1136z00_1802);
																						BgL_new1137z00_1801 =
																							BgL_new1136z00_1802;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1137z00_1801)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_43), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1137z00_1801)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) (
																								(BgL_typez00_bglt)
																								BGl_za2symbolza2z00zztype_cachez00)),
																						BUNSPEC);
																					((((BgL_varz00_bglt)
																								COBJECT(((BgL_varz00_bglt)
																										BgL_new1137z00_1801)))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00)),
																						BUNSPEC);
																					BgL_auxz00_4284 =
																						((BgL_varz00_bglt)
																						BgL_new1137z00_1801);
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1135z00_1800))->
																						BgL_funz00) =
																					((BgL_varz00_bglt) BgL_auxz00_4284),
																					BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_4303;

																				{	/* Cnst/alloc.scm 345 */
																					obj_t BgL_list1843z00_1804;

																					BgL_list1843z00_1804 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_vsz00_1787), BNIL);
																					BgL_auxz00_4303 =
																						BgL_list1843z00_1804;
																				}
																				((((BgL_appz00_bglt)
																							COBJECT(BgL_new1135z00_1800))->
																						BgL_argsz00) =
																					((obj_t) BgL_auxz00_4303), BUNSPEC);
																			}
																			((((BgL_appz00_bglt)
																						COBJECT(BgL_new1135z00_1800))->
																					BgL_stackablez00) =
																				((obj_t) BFALSE), BUNSPEC);
																			BgL_arg1829z00_1798 = BgL_new1135z00_1800;
																		}
																		BgL_arg1834z00_1799 =
																			BGl_strictzd2nodezd2typez00zzast_nodez00(
																			((BgL_typez00_bglt)
																				BGl_za2symbolza2z00zztype_cachez00),
																			((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00));
																		BgL_arg1825z00_1797 =
																			BGl_coercez12z12zzcoerce_coercez00((
																				(BgL_nodez00_bglt) BgL_arg1829z00_1798),
																			((obj_t) BgL_varz00_1786),
																			BgL_arg1834z00_1799, ((bool_t) 0));
																	}
																	BgL_arg1811z00_1792 =
																		MAKE_YOUNG_PAIR(
																		((obj_t) BgL_arg1825z00_1797), BNIL);
																}
																BgL_arg1804z00_1790 =
																	MAKE_YOUNG_PAIR(BgL_arg1810z00_1791,
																	BgL_arg1811z00_1792);
															}
															BgL_arg1803z00_1789 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(11)), BgL_arg1804z00_1790);
														}
														BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
															MAKE_YOUNG_PAIR(BgL_arg1803z00_1789,
															BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
													}
													{	/* Cnst/alloc.scm 349 */
														BgL_refz00_bglt BgL_new1139z00_1807;

														{	/* Cnst/alloc.scm 350 */
															BgL_refz00_bglt BgL_new1138z00_1808;

															BgL_new1138z00_1808 =
																((BgL_refz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_refz00_bgl))));
															{	/* Cnst/alloc.scm 350 */
																long BgL_arg1847z00_1809;

																BgL_arg1847z00_1809 =
																	BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1138z00_1808),
																	BgL_arg1847z00_1809);
															}
															{	/* Cnst/alloc.scm 350 */
																BgL_objectz00_bglt BgL_tmpz00_4325;

																BgL_tmpz00_4325 =
																	((BgL_objectz00_bglt) BgL_new1138z00_1808);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4325,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1138z00_1808);
															BgL_new1139z00_1807 = BgL_new1138z00_1808;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1139z00_1807)))->
																BgL_locz00) = ((obj_t) BgL_locz00_43), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1139z00_1807)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_variablez00_bglt)
																		COBJECT(((BgL_variablez00_bglt)
																				BgL_varz00_1786)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																			BgL_new1139z00_1807)))->BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1786)), BUNSPEC);
														BgL_auxz00_4230 = BgL_new1139z00_1807;
												}}
												return ((BgL_nodez00_bglt) BgL_auxz00_4230);
											}
										else
											{
												BgL_castz00_bglt BgL_auxz00_4339;

												{	/* Cnst/alloc.scm 354 */
													long BgL_offsetz00_1814;

													BgL_offsetz00_1814 =
														BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
													BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
														(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
													BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
														MAKE_YOUNG_PAIR(BgL_symbolz00_42,
														BGl_za2globalzd2setza2zd2zzcnst_allocz00);
													{	/* Cnst/alloc.scm 357 */
														obj_t BgL_arg1856z00_1815;

														{	/* Cnst/alloc.scm 70 */
															obj_t BgL_newz00_2894;

															BgL_newz00_2894 =
																create_struct(
																((obj_t) CNST_TABLE_REF(9)), (int) (2L));
															{	/* Cnst/alloc.scm 70 */
																obj_t BgL_auxz00_4348;
																int BgL_tmpz00_4346;

																BgL_auxz00_4348 = BINT(BgL_offsetz00_1814);
																BgL_tmpz00_4346 = (int) (1L);
																STRUCT_SET(BgL_newz00_2894, BgL_tmpz00_4346,
																	BgL_auxz00_4348);
															}
															{	/* Cnst/alloc.scm 70 */
																int BgL_tmpz00_4351;

																BgL_tmpz00_4351 = (int) (0L);
																STRUCT_SET(BgL_newz00_2894, BgL_tmpz00_4351,
																	BgL_symbolz00_42);
															}
															BgL_arg1856z00_1815 = BgL_newz00_2894;
														}
														BGl_hashtablezd2putz12zc0zz__hashz00
															(BGl_za2symbolzd2envza2zd2zzcnst_allocz00,
															BgL_symbolz00_42, BgL_arg1856z00_1815);
													}
													BgL_auxz00_4339 =
														BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
														(BgL_offsetz00_1814),
														BGl_za2symbolza2z00zztype_cachez00, BgL_locz00_43);
												}
												return ((BgL_nodez00_bglt) BgL_auxz00_4339);
											}
									}
							}
					}
				}
			}
		}

	}



/* &cnst-alloc-symbol */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2symbolz62zzcnst_allocz00(obj_t
		BgL_envz00_3564, obj_t BgL_symbolz00_3565, obj_t BgL_locz00_3566)
	{
		{	/* Cnst/alloc.scm 328 */
			return
				BGl_cnstzd2alloczd2symbolz00zzcnst_allocz00(BgL_symbolz00_3565,
				BgL_locz00_3566);
		}

	}



/* cnst-alloc-keyword */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(obj_t BgL_keywordz00_44,
		obj_t BgL_locz00_45)
	{
		{	/* Cnst/alloc.scm 390 */
			{

				{	/* Cnst/alloc.scm 422 */
					obj_t BgL_oldz00_1820;
					obj_t BgL_keywordzd2aszd2stringz00_1821;

					BgL_oldz00_1820 =
						BGl_hashtablezd2getzd2zz__hashz00
						(BGl_za2keywordzd2envza2zd2zzcnst_allocz00, BgL_keywordz00_44);
					{	/* Cnst/alloc.scm 423 */
						obj_t BgL_arg1483z00_2980;

						BgL_arg1483z00_2980 = KEYWORD_TO_STRING(BgL_keywordz00_44);
						BgL_keywordzd2aszd2stringz00_1821 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1483z00_2980);
					}
					if (CBOOL(BgL_oldz00_1820))
						{	/* Cnst/alloc.scm 425 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 427 */
									BgL_refz00_bglt BgL_new1151z00_1822;

									{	/* Cnst/alloc.scm 428 */
										BgL_refz00_bglt BgL_new1150z00_1823;

										BgL_new1150z00_1823 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 428 */
											long BgL_arg1857z00_1824;

											BgL_arg1857z00_1824 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1150z00_1823),
												BgL_arg1857z00_1824);
										}
										{	/* Cnst/alloc.scm 428 */
											BgL_objectz00_bglt BgL_tmpz00_4372;

											BgL_tmpz00_4372 =
												((BgL_objectz00_bglt) BgL_new1150z00_1823);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4372, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1150z00_1823);
										BgL_new1151z00_1822 = BgL_new1150z00_1823;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1151z00_1822)))->
											BgL_locz00) = ((obj_t) BgL_locz00_45), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1151z00_1822)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2keywordza2z00zztype_cachez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1151z00_1822)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_1820), (int) (1L)))),
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1151z00_1822);
								}
							else
								{	/* Cnst/alloc.scm 431 */
									obj_t BgL_arg1859z00_1825;

									BgL_arg1859z00_1825 =
										STRUCT_REF(((obj_t) BgL_oldz00_1820), (int) (1L));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg1859z00_1825, BGl_za2keywordza2z00zztype_cachez00,
											BgL_locz00_45));
								}
						}
					else
						{	/* Cnst/alloc.scm 432 */
							bool_t BgL_test2580z00_4393;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 432 */
									BgL_test2580z00_4393 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 432 */
									if ((STRING_LENGTH(BgL_keywordzd2aszd2stringz00_1821) == 0L))
										{	/* Cnst/alloc.scm 433 */
											BgL_test2580z00_4393 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 433 */
											BgL_test2580z00_4393 =
												(STRING_REF(BgL_keywordzd2aszd2stringz00_1821,
													0L) == ((unsigned char) ';'));
								}}
							if (BgL_test2580z00_4393)
								{
									BgL_refz00_bglt BgL_auxz00_4403;

									{	/* Cnst/alloc.scm 392 */
										BgL_globalz00_bglt BgL_varz00_1835;
										BgL_nodez00_bglt BgL_vsz00_1836;

										{	/* Cnst/alloc.scm 392 */
											obj_t BgL_arg1900z00_1859;

											{	/* Cnst/alloc.scm 392 */
												obj_t BgL_arg1901z00_1860;

												BgL_arg1901z00_1860 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(18)));
												BgL_arg1900z00_1859 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg1901z00_1860, ((obj_t) CNST_TABLE_REF(18)));
											}
											BgL_varz00_1835 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg1900z00_1859,
												BGl_za2moduleza2z00zzmodule_modulez00,
												((obj_t) CNST_TABLE_REF(19)),
												((obj_t) CNST_TABLE_REF(3)));
										}
										{	/* Cnst/alloc.scm 397 */
											obj_t BgL_arg1902z00_1861;

											{	/* Cnst/alloc.scm 397 */
												obj_t BgL_arg1483z00_2955;

												BgL_arg1483z00_2955 =
													KEYWORD_TO_STRING(BgL_keywordz00_44);
												BgL_arg1902z00_1861 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1483z00_2955);
											}
											BgL_vsz00_1836 =
												BGl_cnstzd2alloczd2stringz00zzcnst_allocz00
												(BgL_arg1902z00_1861, BgL_locz00_45);
										}
										{	/* Cnst/alloc.scm 398 */
											obj_t BgL_arg1882z00_1837;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_newz00_2956;

												BgL_newz00_2956 =
													create_struct(
													((obj_t) CNST_TABLE_REF(9)), (int) (2L));
												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_auxz00_4424;
													int BgL_tmpz00_4422;

													BgL_auxz00_4424 = ((obj_t) BgL_varz00_1835);
													BgL_tmpz00_4422 = (int) (1L);
													STRUCT_SET(BgL_newz00_2956, BgL_tmpz00_4422,
														BgL_auxz00_4424);
												}
												{	/* Cnst/alloc.scm 70 */
													int BgL_tmpz00_4427;

													BgL_tmpz00_4427 = (int) (0L);
													STRUCT_SET(BgL_newz00_2956, BgL_tmpz00_4427,
														BgL_keywordz00_44);
												}
												BgL_arg1882z00_1837 = BgL_newz00_2956;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2keywordzd2envza2zd2zzcnst_allocz00,
												BgL_keywordz00_44, BgL_arg1882z00_1837);
										}
										{	/* Cnst/alloc.scm 399 */
											obj_t BgL_arg1884z00_1838;

											{	/* Cnst/alloc.scm 399 */
												obj_t BgL_arg1885z00_1839;

												{	/* Cnst/alloc.scm 399 */
													obj_t BgL_arg1886z00_1840;
													obj_t BgL_arg1887z00_1841;

													{	/* Cnst/alloc.scm 399 */
														obj_t BgL_arg1889z00_1842;

														{	/* Cnst/alloc.scm 399 */
															obj_t BgL_arg1890z00_1843;
															obj_t BgL_arg1891z00_1844;

															BgL_arg1890z00_1843 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_1835)))->
																BgL_idz00);
															BgL_arg1891z00_1844 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_1835))->BgL_modulez00),
																BNIL);
															BgL_arg1889z00_1842 =
																MAKE_YOUNG_PAIR(BgL_arg1890z00_1843,
																BgL_arg1891z00_1844);
														}
														BgL_arg1886z00_1840 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg1889z00_1842);
													}
													{	/* Cnst/alloc.scm 401 */
														BgL_nodez00_bglt BgL_arg1893z00_1846;

														{	/* Cnst/alloc.scm 401 */
															BgL_appz00_bglt BgL_arg1894z00_1847;
															BgL_typez00_bglt BgL_arg1895z00_1848;

															{	/* Cnst/alloc.scm 401 */
																BgL_appz00_bglt BgL_new1145z00_1849;

																{	/* Cnst/alloc.scm 408 */
																	BgL_appz00_bglt BgL_new1144z00_1854;

																	BgL_new1144z00_1854 =
																		((BgL_appz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_appz00_bgl))));
																	{	/* Cnst/alloc.scm 408 */
																		long BgL_arg1898z00_1855;

																		BgL_arg1898z00_1855 =
																			BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1144z00_1854),
																			BgL_arg1898z00_1855);
																	}
																	{	/* Cnst/alloc.scm 408 */
																		BgL_objectz00_bglt BgL_tmpz00_4443;

																		BgL_tmpz00_4443 =
																			((BgL_objectz00_bglt)
																			BgL_new1144z00_1854);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4443,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1144z00_1854);
																	BgL_new1145z00_1849 = BgL_new1144z00_1854;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1145z00_1849)))->BgL_locz00) =
																	((obj_t) BgL_locz00_45), BUNSPEC);
																((((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt)
																					BgL_new1145z00_1849)))->BgL_typez00) =
																	((BgL_typez00_bglt) ((BgL_typez00_bglt)
																			BGl_za2keywordza2z00zztype_cachez00)),
																	BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1145z00_1849)))->
																		BgL_sidezd2effectzd2) =
																	((obj_t) BUNSPEC), BUNSPEC);
																((((BgL_nodezf2effectzf2_bglt)
																			COBJECT(((BgL_nodezf2effectzf2_bglt)
																					BgL_new1145z00_1849)))->BgL_keyz00) =
																	((obj_t) BINT((-1L))), BUNSPEC);
																{
																	BgL_varz00_bglt BgL_auxz00_4457;

																	{	/* Cnst/alloc.scm 404 */
																		BgL_refz00_bglt BgL_new1147z00_1850;

																		{	/* Cnst/alloc.scm 407 */
																			BgL_refz00_bglt BgL_new1146z00_1851;

																			BgL_new1146z00_1851 =
																				((BgL_refz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_refz00_bgl))));
																			{	/* Cnst/alloc.scm 407 */
																				long BgL_arg1896z00_1852;

																				{	/* Cnst/alloc.scm 407 */
																					obj_t BgL_classz00_2965;

																					BgL_classz00_2965 =
																						BGl_refz00zzast_nodez00;
																					BgL_arg1896z00_1852 =
																						BGL_CLASS_NUM(BgL_classz00_2965);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1146z00_1851),
																					BgL_arg1896z00_1852);
																			}
																			{	/* Cnst/alloc.scm 407 */
																				BgL_objectz00_bglt BgL_tmpz00_4462;

																				BgL_tmpz00_4462 =
																					((BgL_objectz00_bglt)
																					BgL_new1146z00_1851);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4462,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1146z00_1851);
																			BgL_new1147z00_1850 = BgL_new1146z00_1851;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1147z00_1850)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_45), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1147z00_1850)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) ((BgL_typez00_bglt)
																					BGl_za2keywordza2z00zztype_cachez00)),
																			BUNSPEC);
																		((((BgL_varz00_bglt)
																					COBJECT(((BgL_varz00_bglt)
																							BgL_new1147z00_1850)))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00)),
																			BUNSPEC);
																		BgL_auxz00_4457 =
																			((BgL_varz00_bglt) BgL_new1147z00_1850);
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1145z00_1849))->
																			BgL_funz00) =
																		((BgL_varz00_bglt) BgL_auxz00_4457),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_4476;

																	{	/* Cnst/alloc.scm 408 */
																		obj_t BgL_list1897z00_1853;

																		BgL_list1897z00_1853 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_vsz00_1836), BNIL);
																		BgL_auxz00_4476 = BgL_list1897z00_1853;
																	}
																	((((BgL_appz00_bglt)
																				COBJECT(BgL_new1145z00_1849))->
																			BgL_argsz00) =
																		((obj_t) BgL_auxz00_4476), BUNSPEC);
																}
																((((BgL_appz00_bglt)
																			COBJECT(BgL_new1145z00_1849))->
																		BgL_stackablez00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_arg1894z00_1847 = BgL_new1145z00_1849;
															}
															BgL_arg1895z00_1848 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt)
																	BGl_za2keywordza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg1893z00_1846 =
																BGl_coercez12z12zzcoerce_coercez00((
																	(BgL_nodez00_bglt) BgL_arg1894z00_1847),
																((obj_t) BgL_varz00_1835), BgL_arg1895z00_1848,
																((bool_t) 0));
														}
														BgL_arg1887z00_1841 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1893z00_1846), BNIL);
													}
													BgL_arg1885z00_1839 =
														MAKE_YOUNG_PAIR(BgL_arg1886z00_1840,
														BgL_arg1887z00_1841);
												}
												BgL_arg1884z00_1838 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg1885z00_1839);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1884z00_1838,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 412 */
											BgL_refz00_bglt BgL_new1149z00_1856;

											{	/* Cnst/alloc.scm 413 */
												BgL_refz00_bglt BgL_new1148z00_1857;

												BgL_new1148z00_1857 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 413 */
													long BgL_arg1899z00_1858;

													BgL_arg1899z00_1858 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1148z00_1857),
														BgL_arg1899z00_1858);
												}
												{	/* Cnst/alloc.scm 413 */
													BgL_objectz00_bglt BgL_tmpz00_4498;

													BgL_tmpz00_4498 =
														((BgL_objectz00_bglt) BgL_new1148z00_1857);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4498, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1148z00_1857);
												BgL_new1149z00_1856 = BgL_new1148z00_1857;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1149z00_1856)))->
													BgL_locz00) = ((obj_t) BgL_locz00_45), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1149z00_1856)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_1835)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1149z00_1856)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1835)), BUNSPEC);
											BgL_auxz00_4403 = BgL_new1149z00_1856;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_4403);
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_4512;

									{	/* Cnst/alloc.scm 417 */
										long BgL_offsetz00_1863;

										BgL_offsetz00_1863 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_keywordz00_44,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 420 */
											obj_t BgL_arg1904z00_1864;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_newz00_2976;

												BgL_newz00_2976 =
													create_struct(
													((obj_t) CNST_TABLE_REF(9)), (int) (2L));
												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_auxz00_4521;
													int BgL_tmpz00_4519;

													BgL_auxz00_4521 = BINT(BgL_offsetz00_1863);
													BgL_tmpz00_4519 = (int) (1L);
													STRUCT_SET(BgL_newz00_2976, BgL_tmpz00_4519,
														BgL_auxz00_4521);
												}
												{	/* Cnst/alloc.scm 70 */
													int BgL_tmpz00_4524;

													BgL_tmpz00_4524 = (int) (0L);
													STRUCT_SET(BgL_newz00_2976, BgL_tmpz00_4524,
														BgL_keywordz00_44);
												}
												BgL_arg1904z00_1864 = BgL_newz00_2976;
											}
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2keywordzd2envza2zd2zzcnst_allocz00,
												BgL_keywordz00_44, BgL_arg1904z00_1864);
										}
										BgL_auxz00_4512 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1863), BGl_za2keywordza2z00zztype_cachez00,
											BgL_locz00_45);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_4512);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-keyword */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2keywordz62zzcnst_allocz00(obj_t
		BgL_envz00_3567, obj_t BgL_keywordz00_3568, obj_t BgL_locz00_3569)
	{
		{	/* Cnst/alloc.scm 390 */
			return
				BGl_cnstzd2alloczd2keywordz00zzcnst_allocz00(BgL_keywordz00_3568,
				BgL_locz00_3569);
		}

	}



/* cnst-alloc-bignum */
	BGL_EXPORTED_DEF obj_t BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(obj_t
		BgL_bignumz00_46, obj_t BgL_locz00_47)
	{
		{	/* Cnst/alloc.scm 442 */
			{

				{	/* Cnst/alloc.scm 454 */
					obj_t BgL_oldz00_1869;
					obj_t BgL_bignumzd2aszd2stringz00_1870;

					BgL_oldz00_1869 =
						BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_bignumz00_46,
						BGl_za2bignumzd2envza2zd2zzcnst_allocz00);
					{	/* Cnst/alloc.scm 455 */

						BgL_bignumzd2aszd2stringz00_1870 =
							BGl_bignumzd2ze3stringz31zz__bignumz00(BgL_bignumz00_46, 10L);
					}
					if (PAIRP(BgL_oldz00_1869))
						{	/* Cnst/alloc.scm 459 */
							bool_t BgL_test2584z00_4536;

							{	/* Cnst/alloc.scm 459 */
								obj_t BgL_arg1923z00_1891;

								BgL_arg1923z00_1891 =
									STRUCT_REF(CDR(BgL_oldz00_1869), (int) (1L));
								{	/* Cnst/alloc.scm 459 */
									obj_t BgL_classz00_2998;

									BgL_classz00_2998 = BGl_variablez00zzast_varz00;
									if (BGL_OBJECTP(BgL_arg1923z00_1891))
										{	/* Cnst/alloc.scm 459 */
											BgL_objectz00_bglt BgL_arg1858z00_3000;

											BgL_arg1858z00_3000 =
												(BgL_objectz00_bglt) (BgL_arg1923z00_1891);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Cnst/alloc.scm 459 */
													long BgL_idxz00_3006;

													BgL_idxz00_3006 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3000);
													BgL_test2584z00_4536 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3006 + 1L)) == BgL_classz00_2998);
												}
											else
												{	/* Cnst/alloc.scm 459 */
													bool_t BgL_res2491z00_3031;

													{	/* Cnst/alloc.scm 459 */
														obj_t BgL_oclassz00_3014;

														{	/* Cnst/alloc.scm 459 */
															obj_t BgL_arg1866z00_3022;
															long BgL_arg1867z00_3023;

															BgL_arg1866z00_3022 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Cnst/alloc.scm 459 */
																long BgL_arg1869z00_3024;

																BgL_arg1869z00_3024 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3000);
																BgL_arg1867z00_3023 =
																	(BgL_arg1869z00_3024 - OBJECT_TYPE);
															}
															BgL_oclassz00_3014 =
																VECTOR_REF(BgL_arg1866z00_3022,
																BgL_arg1867z00_3023);
														}
														{	/* Cnst/alloc.scm 459 */
															bool_t BgL__ortest_1115z00_3015;

															BgL__ortest_1115z00_3015 =
																(BgL_classz00_2998 == BgL_oclassz00_3014);
															if (BgL__ortest_1115z00_3015)
																{	/* Cnst/alloc.scm 459 */
																	BgL_res2491z00_3031 =
																		BgL__ortest_1115z00_3015;
																}
															else
																{	/* Cnst/alloc.scm 459 */
																	long BgL_odepthz00_3016;

																	{	/* Cnst/alloc.scm 459 */
																		obj_t BgL_arg1855z00_3017;

																		BgL_arg1855z00_3017 = (BgL_oclassz00_3014);
																		BgL_odepthz00_3016 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_3017);
																	}
																	if ((1L < BgL_odepthz00_3016))
																		{	/* Cnst/alloc.scm 459 */
																			obj_t BgL_arg1853z00_3019;

																			{	/* Cnst/alloc.scm 459 */
																				obj_t BgL_arg1854z00_3020;

																				BgL_arg1854z00_3020 =
																					(BgL_oclassz00_3014);
																				BgL_arg1853z00_3019 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_3020, 1L);
																			}
																			BgL_res2491z00_3031 =
																				(BgL_arg1853z00_3019 ==
																				BgL_classz00_2998);
																		}
																	else
																		{	/* Cnst/alloc.scm 459 */
																			BgL_res2491z00_3031 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2584z00_4536 = BgL_res2491z00_3031;
												}
										}
									else
										{	/* Cnst/alloc.scm 459 */
											BgL_test2584z00_4536 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2584z00_4536)
								{	/* Cnst/alloc.scm 460 */
									BgL_refz00_bglt BgL_new1153z00_1875;

									{	/* Cnst/alloc.scm 461 */
										BgL_refz00_bglt BgL_new1152z00_1880;

										BgL_new1152z00_1880 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 461 */
											long BgL_arg1913z00_1881;

											BgL_arg1913z00_1881 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1152z00_1880),
												BgL_arg1913z00_1881);
										}
										{	/* Cnst/alloc.scm 461 */
											BgL_objectz00_bglt BgL_tmpz00_4566;

											BgL_tmpz00_4566 =
												((BgL_objectz00_bglt) BgL_new1152z00_1880);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4566, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1152z00_1880);
										BgL_new1153z00_1875 = BgL_new1152z00_1880;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1153z00_1875)))->
											BgL_locz00) = ((obj_t) BgL_locz00_47), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_4572;

										{	/* Cnst/alloc.scm 463 */
											BgL_typez00_bglt BgL_arg1909z00_1876;

											{
												BgL_variablez00_bglt BgL_auxz00_4574;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_sz00_3037;

													BgL_sz00_3037 = CDR(BgL_oldz00_1869);
													BgL_auxz00_4574 =
														((BgL_variablez00_bglt)
														STRUCT_REF(BgL_sz00_3037, (int) (1L)));
												}
												BgL_arg1909z00_1876 =
													(((BgL_variablez00_bglt) COBJECT(BgL_auxz00_4574))->
													BgL_typez00);
											}
											BgL_auxz00_4572 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2bignumza2z00zztype_cachez00),
												BgL_arg1909z00_1876);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1153z00_1875)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_4572), BUNSPEC);
									}
									{
										BgL_variablez00_bglt BgL_auxz00_4583;

										{	/* Cnst/alloc.scm 70 */
											obj_t BgL_sz00_3040;

											BgL_sz00_3040 = CDR(BgL_oldz00_1869);
											BgL_auxz00_4583 =
												((BgL_variablez00_bglt)
												STRUCT_REF(BgL_sz00_3040, (int) (1L)));
										}
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_new1153z00_1875)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) BgL_auxz00_4583), BUNSPEC);
									}
									return ((obj_t) BgL_new1153z00_1875);
								}
							else
								{	/* Cnst/alloc.scm 459 */
									if (
										(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
											((obj_t) CNST_TABLE_REF(14))))
										{	/* Cnst/alloc.scm 466 */
											BgL_refz00_bglt BgL_new1155z00_1882;

											{	/* Cnst/alloc.scm 467 */
												BgL_refz00_bglt BgL_new1154z00_1887;

												BgL_new1154z00_1887 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 467 */
													long BgL_arg1919z00_1888;

													BgL_arg1919z00_1888 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1154z00_1887),
														BgL_arg1919z00_1888);
												}
												{	/* Cnst/alloc.scm 467 */
													BgL_objectz00_bglt BgL_tmpz00_4599;

													BgL_tmpz00_4599 =
														((BgL_objectz00_bglt) BgL_new1154z00_1887);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4599, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1154z00_1887);
												BgL_new1155z00_1882 = BgL_new1154z00_1887;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1155z00_1882)))->
													BgL_locz00) = ((obj_t) BgL_locz00_47), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_4605;

												{	/* Cnst/alloc.scm 469 */
													BgL_typez00_bglt BgL_arg1915z00_1883;

													{
														BgL_variablez00_bglt BgL_auxz00_4607;

														{	/* Cnst/alloc.scm 70 */
															obj_t BgL_sz00_3046;

															BgL_sz00_3046 = CDR(BgL_oldz00_1869);
															BgL_auxz00_4607 =
																((BgL_variablez00_bglt)
																STRUCT_REF(BgL_sz00_3046, (int) (1L)));
														}
														BgL_arg1915z00_1883 =
															(((BgL_variablez00_bglt)
																COBJECT(BgL_auxz00_4607))->BgL_typez00);
													}
													BgL_auxz00_4605 =
														BGl_strictzd2nodezd2typez00zzast_nodez00(
														((BgL_typez00_bglt)
															BGl_za2bignumza2z00zztype_cachez00),
														BgL_arg1915z00_1883);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1155z00_1882)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_4605), BUNSPEC);
											}
											{
												BgL_variablez00_bglt BgL_auxz00_4616;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_sz00_3049;

													BgL_sz00_3049 = CDR(BgL_oldz00_1869);
													BgL_auxz00_4616 =
														((BgL_variablez00_bglt)
														STRUCT_REF(BgL_sz00_3049, (int) (1L)));
												}
												((((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_new1155z00_1882)))->
														BgL_variablez00) =
													((BgL_variablez00_bglt) BgL_auxz00_4616), BUNSPEC);
											}
											return ((obj_t) BgL_new1155z00_1882);
										}
									else
										{	/* Cnst/alloc.scm 472 */
											obj_t BgL_arg1921z00_1889;

											BgL_arg1921z00_1889 =
												STRUCT_REF(CDR(BgL_oldz00_1869), (int) (1L));
											return
												((obj_t)
												BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
												(BgL_arg1921z00_1889,
													BGl_za2bignumza2z00zztype_cachez00, BgL_locz00_47));
										}
								}
						}
					else
						{	/* Cnst/alloc.scm 477 */
							bool_t BgL_test2590z00_4629;

							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 477 */
									BgL_test2590z00_4629 = ((bool_t) 1);
								}
							else
								{	/* Cnst/alloc.scm 477 */
									if ((STRING_LENGTH(BgL_bignumzd2aszd2stringz00_1870) == 0L))
										{	/* Cnst/alloc.scm 478 */
											BgL_test2590z00_4629 = ((bool_t) 1);
										}
									else
										{	/* Cnst/alloc.scm 478 */
											BgL_test2590z00_4629 =
												(STRING_REF(BgL_bignumzd2aszd2stringz00_1870,
													0L) == ((unsigned char) ';'));
								}}
							if (BgL_test2590z00_4629)
								{	/* Cnst/alloc.scm 477 */
									return BFALSE;
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_4639;

									{	/* Cnst/alloc.scm 448 */
										long BgL_offsetz00_1909;

										BgL_offsetz00_1909 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_bignumz00_46,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										{	/* Cnst/alloc.scm 451 */
											obj_t BgL_arg1938z00_1910;

											{	/* Cnst/alloc.scm 451 */
												obj_t BgL_arg1939z00_1911;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_2993;

													BgL_newz00_2993 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_4648;
														int BgL_tmpz00_4646;

														BgL_auxz00_4648 = BINT(BgL_offsetz00_1909);
														BgL_tmpz00_4646 = (int) (1L);
														STRUCT_SET(BgL_newz00_2993, BgL_tmpz00_4646,
															BgL_auxz00_4648);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_4651;

														BgL_tmpz00_4651 = (int) (0L);
														STRUCT_SET(BgL_newz00_2993, BgL_tmpz00_4651,
															BgL_bignumz00_46);
													}
													BgL_arg1939z00_1911 = BgL_newz00_2993;
												}
												BgL_arg1938z00_1910 =
													MAKE_YOUNG_PAIR(BgL_bignumz00_46,
													BgL_arg1939z00_1911);
											}
											BGl_za2bignumzd2envza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg1938z00_1910,
												BGl_za2bignumzd2envza2zd2zzcnst_allocz00);
										}
										BgL_auxz00_4639 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_1909), BGl_za2bignumza2z00zztype_cachez00,
											BgL_locz00_47);
									}
									return ((obj_t) BgL_auxz00_4639);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-bignum */
	obj_t BGl_z62cnstzd2alloczd2bignumz62zzcnst_allocz00(obj_t BgL_envz00_3570,
		obj_t BgL_bignumz00_3571, obj_t BgL_locz00_3572)
	{
		{	/* Cnst/alloc.scm 442 */
			return
				BGl_cnstzd2alloczd2bignumz00zzcnst_allocz00(BgL_bignumz00_3571,
				BgL_locz00_3572);
		}

	}



/* cnst-alloc-procedure */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(BgL_nodez00_bglt
		BgL_procedurez00_48, obj_t BgL_locz00_49)
	{
		{	/* Cnst/alloc.scm 487 */
			{	/* Cnst/alloc.scm 488 */
				BgL_globalz00_bglt BgL_varz00_1914;

				{	/* Cnst/alloc.scm 488 */
					obj_t BgL_arg1942z00_1918;

					{	/* Cnst/alloc.scm 488 */
						obj_t BgL_arg1943z00_1919;

						BgL_arg1943z00_1919 =
							BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(21)));
						BgL_arg1942z00_1918 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1943z00_1919,
							((obj_t) CNST_TABLE_REF(22)));
					}
					BgL_varz00_1914 =
						BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
						(BgL_arg1942z00_1918, BGl_za2moduleza2z00zzmodule_modulez00,
						((obj_t) BgL_procedurez00_48), ((obj_t) CNST_TABLE_REF(23)),
						BgL_locz00_49);
				}
				{	/* Cnst/alloc.scm 493 */
					BgL_refz00_bglt BgL_new1157z00_1915;

					{	/* Cnst/alloc.scm 494 */
						BgL_refz00_bglt BgL_new1156z00_1916;

						BgL_new1156z00_1916 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Cnst/alloc.scm 494 */
							long BgL_arg1940z00_1917;

							BgL_arg1940z00_1917 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1156z00_1916),
								BgL_arg1940z00_1917);
						}
						{	/* Cnst/alloc.scm 494 */
							BgL_objectz00_bglt BgL_tmpz00_4674;

							BgL_tmpz00_4674 = ((BgL_objectz00_bglt) BgL_new1156z00_1916);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4674, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1156z00_1916);
						BgL_new1157z00_1915 = BgL_new1156z00_1916;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1157z00_1915)))->BgL_locz00) =
						((obj_t) BgL_locz00_49), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1157z00_1915)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) BgL_varz00_1914)))->
								BgL_typez00)), BUNSPEC);
					((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_new1157z00_1915)))->BgL_variablez00) =
						((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_1914)),
						BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1157z00_1915);
				}
			}
		}

	}



/* &cnst-alloc-procedure */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2procedurez62zzcnst_allocz00(obj_t
		BgL_envz00_3573, obj_t BgL_procedurez00_3574, obj_t BgL_locz00_3575)
	{
		{	/* Cnst/alloc.scm 487 */
			return
				BGl_cnstzd2alloczd2procedurez00zzcnst_allocz00(
				((BgL_nodez00_bglt) BgL_procedurez00_3574), BgL_locz00_3575);
		}

	}



/* cnst-alloc-l-procedure */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(BgL_nodez00_bglt
		BgL_procedurez00_50, obj_t BgL_locz00_51)
	{
		{	/* Cnst/alloc.scm 501 */
			{	/* Cnst/alloc.scm 502 */
				BgL_globalz00_bglt BgL_varz00_1920;

				{	/* Cnst/alloc.scm 502 */
					obj_t BgL_arg1945z00_1924;

					{	/* Cnst/alloc.scm 502 */
						obj_t BgL_arg1946z00_1925;

						BgL_arg1946z00_1925 =
							BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t) CNST_TABLE_REF(21)));
						BgL_arg1945z00_1924 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_arg1946z00_1925,
							((obj_t) CNST_TABLE_REF(22)));
					}
					BgL_varz00_1920 =
						BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
						(BgL_arg1945z00_1924, BGl_za2moduleza2z00zzmodule_modulez00,
						((obj_t) BgL_procedurez00_50), ((obj_t) CNST_TABLE_REF(24)),
						BgL_locz00_51);
				}
				{	/* Cnst/alloc.scm 507 */
					BgL_refz00_bglt BgL_new1159z00_1921;

					{	/* Cnst/alloc.scm 508 */
						BgL_refz00_bglt BgL_new1158z00_1922;

						BgL_new1158z00_1922 =
							((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_refz00_bgl))));
						{	/* Cnst/alloc.scm 508 */
							long BgL_arg1944z00_1923;

							BgL_arg1944z00_1923 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1158z00_1922),
								BgL_arg1944z00_1923);
						}
						{	/* Cnst/alloc.scm 508 */
							BgL_objectz00_bglt BgL_tmpz00_4704;

							BgL_tmpz00_4704 = ((BgL_objectz00_bglt) BgL_new1158z00_1922);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4704, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1158z00_1922);
						BgL_new1159z00_1921 = BgL_new1158z00_1922;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1159z00_1921)))->BgL_locz00) =
						((obj_t) BgL_locz00_51), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1159z00_1921)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_variablez00_bglt)
									COBJECT(((BgL_variablez00_bglt) BgL_varz00_1920)))->
								BgL_typez00)), BUNSPEC);
					((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
										BgL_new1159z00_1921)))->BgL_variablez00) =
						((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_1920)),
						BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1159z00_1921);
				}
			}
		}

	}



/* &cnst-alloc-l-procedure */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2lzd2procedurezb0zzcnst_allocz00(obj_t
		BgL_envz00_3576, obj_t BgL_procedurez00_3577, obj_t BgL_locz00_3578)
	{
		{	/* Cnst/alloc.scm 501 */
			return
				BGl_cnstzd2alloczd2lzd2procedurezd2zzcnst_allocz00(
				((BgL_nodez00_bglt) BgL_procedurez00_3577), BgL_locz00_3578);
		}

	}



/* cnst-alloc-integer */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2integerz00zzcnst_allocz00(long BgL_integerz00_52,
		obj_t BgL_locz00_53)
	{
		{	/* Cnst/alloc.scm 515 */
			{

				{	/* Cnst/alloc.scm 539 */
					obj_t BgL_oldz00_1928;

					{
						obj_t BgL_listz00_1942;

						BgL_listz00_1942 = BGl_za2integerzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31957ze3z87_1943:
						if (NULLP(BgL_listz00_1942))
							{	/* Cnst/alloc.scm 532 */
								BgL_oldz00_1928 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 534 */
								bool_t BgL_test2594z00_4722;

								{	/* Cnst/alloc.scm 534 */
									long BgL_tmpz00_4723;

									{	/* Cnst/alloc.scm 534 */
										obj_t BgL_pairz00_3074;

										BgL_pairz00_3074 = CAR(((obj_t) BgL_listz00_1942));
										BgL_tmpz00_4723 = (long) CINT(CAR(BgL_pairz00_3074));
									}
									BgL_test2594z00_4722 = (BgL_tmpz00_4723 == BgL_integerz00_52);
								}
								if (BgL_test2594z00_4722)
									{	/* Cnst/alloc.scm 535 */
										obj_t BgL_pairz00_3078;

										BgL_pairz00_3078 = CAR(((obj_t) BgL_listz00_1942));
										BgL_oldz00_1928 = CDR(BgL_pairz00_3078);
									}
								else
									{
										obj_t BgL_listz00_4732;

										BgL_listz00_4732 = CDR(((obj_t) BgL_listz00_1942));
										BgL_listz00_1942 = BgL_listz00_4732;
										goto BgL_zc3z04anonymousza31957ze3z87_1943;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1928))
						{	/* Cnst/alloc.scm 542 */
							BgL_refz00_bglt BgL_new1163z00_1929;

							{	/* Cnst/alloc.scm 543 */
								BgL_refz00_bglt BgL_new1162z00_1930;

								BgL_new1162z00_1930 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 543 */
									long BgL_arg1947z00_1931;

									BgL_arg1947z00_1931 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1162z00_1930),
										BgL_arg1947z00_1931);
								}
								{	/* Cnst/alloc.scm 543 */
									BgL_objectz00_bglt BgL_tmpz00_4741;

									BgL_tmpz00_4741 = ((BgL_objectz00_bglt) BgL_new1162z00_1930);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4741, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1162z00_1930);
								BgL_new1163z00_1929 = BgL_new1162z00_1930;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1163z00_1929)))->BgL_locz00) =
								((obj_t) BgL_locz00_53), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1163z00_1929)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1928)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1163z00_1929)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1928)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1163z00_1929);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4755;

							{	/* Cnst/alloc.scm 518 */
								BgL_globalz00_bglt BgL_varz00_1933;

								{	/* Cnst/alloc.scm 518 */
									obj_t BgL_arg1954z00_1938;

									{	/* Cnst/alloc.scm 518 */
										obj_t BgL_arg1955z00_1939;

										BgL_arg1955z00_1939 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(25)));
										BgL_arg1954z00_1938 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1955z00_1939, ((obj_t) CNST_TABLE_REF(26)));
									}
									BgL_varz00_1933 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1954z00_1938, BGl_za2moduleza2z00zzmodule_modulez00,
										BINT(BgL_integerz00_52), ((obj_t) CNST_TABLE_REF(27)),
										BgL_locz00_53);
								}
								{	/* Cnst/alloc.scm 523 */
									obj_t BgL_arg1950z00_1934;

									BgL_arg1950z00_1934 =
										MAKE_YOUNG_PAIR(BINT(BgL_integerz00_52),
										((obj_t) BgL_varz00_1933));
									BGl_za2integerzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1950z00_1934,
										BGl_za2integerzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 524 */
									BgL_refz00_bglt BgL_new1161z00_1935;

									{	/* Cnst/alloc.scm 525 */
										BgL_refz00_bglt BgL_new1160z00_1936;

										BgL_new1160z00_1936 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 525 */
											long BgL_arg1953z00_1937;

											BgL_arg1953z00_1937 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1160z00_1936),
												BgL_arg1953z00_1937);
										}
										{	/* Cnst/alloc.scm 525 */
											BgL_objectz00_bglt BgL_tmpz00_4774;

											BgL_tmpz00_4774 =
												((BgL_objectz00_bglt) BgL_new1160z00_1936);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4774, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1160z00_1936);
										BgL_new1161z00_1935 = BgL_new1160z00_1936;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1161z00_1935)))->
											BgL_locz00) = ((obj_t) BgL_locz00_53), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1161z00_1935)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1933)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1161z00_1935)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1933)), BUNSPEC);
									BgL_auxz00_4755 = BgL_new1161z00_1935;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4755);
						}
				}
			}
		}

	}



/* &cnst-alloc-integer */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2integerz62zzcnst_allocz00(obj_t
		BgL_envz00_3579, obj_t BgL_integerz00_3580, obj_t BgL_locz00_3581)
	{
		{	/* Cnst/alloc.scm 515 */
			return
				BGl_cnstzd2alloczd2integerz00zzcnst_allocz00(
				(long) CINT(BgL_integerz00_3580), BgL_locz00_3581);
		}

	}



/* cnst-alloc-real */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2realz00zzcnst_allocz00(obj_t BgL_realz00_54,
		obj_t BgL_locz00_55)
	{
		{	/* Cnst/alloc.scm 552 */
			{

				{	/* Cnst/alloc.scm 577 */
					obj_t BgL_oldz00_1957;

					{
						obj_t BgL_listz00_1971;

						BgL_listz00_1971 = BGl_za2realzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza31975ze3z87_1972:
						if (NULLP(BgL_listz00_1971))
							{	/* Cnst/alloc.scm 569 */
								BgL_oldz00_1957 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 571 */
								bool_t BgL_test2597z00_4792;

								{	/* Cnst/alloc.scm 571 */
									bool_t BgL_test2598z00_4793;

									{	/* Cnst/alloc.scm 571 */
										double BgL_tmpz00_4794;

										{	/* Cnst/alloc.scm 571 */
											obj_t BgL_pairz00_3091;

											BgL_pairz00_3091 = CAR(((obj_t) BgL_listz00_1971));
											BgL_tmpz00_4794 = REAL_TO_DOUBLE(CAR(BgL_pairz00_3091));
										}
										BgL_test2598z00_4793 =
											(BgL_tmpz00_4794 == REAL_TO_DOUBLE(BgL_realz00_54));
									}
									if (BgL_test2598z00_4793)
										{	/* Cnst/alloc.scm 572 */
											long BgL_tmpz00_4801;

											{	/* Cnst/alloc.scm 572 */
												double BgL_tmpz00_4802;

												{	/* Cnst/alloc.scm 572 */
													obj_t BgL_pairz00_3095;

													BgL_pairz00_3095 = CAR(((obj_t) BgL_listz00_1971));
													BgL_tmpz00_4802 =
														REAL_TO_DOUBLE(CAR(BgL_pairz00_3095));
												}
												BgL_tmpz00_4801 = BGL_SIGNBIT(BgL_tmpz00_4802);
											}
											BgL_test2597z00_4792 =
												(BgL_tmpz00_4801 ==
												BGL_SIGNBIT(REAL_TO_DOUBLE(BgL_realz00_54)));
										}
									else
										{	/* Cnst/alloc.scm 571 */
											BgL_test2597z00_4792 = ((bool_t) 0);
										}
								}
								if (BgL_test2597z00_4792)
									{	/* Cnst/alloc.scm 573 */
										obj_t BgL_pairz00_3101;

										BgL_pairz00_3101 = CAR(((obj_t) BgL_listz00_1971));
										BgL_oldz00_1957 = CDR(BgL_pairz00_3101);
									}
								else
									{
										obj_t BgL_listz00_4814;

										BgL_listz00_4814 = CDR(((obj_t) BgL_listz00_1971));
										BgL_listz00_1971 = BgL_listz00_4814;
										goto BgL_zc3z04anonymousza31975ze3z87_1972;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1957))
						{	/* Cnst/alloc.scm 580 */
							BgL_refz00_bglt BgL_new1167z00_1958;

							{	/* Cnst/alloc.scm 581 */
								BgL_refz00_bglt BgL_new1166z00_1959;

								BgL_new1166z00_1959 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 581 */
									long BgL_arg1968z00_1960;

									BgL_arg1968z00_1960 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1166z00_1959),
										BgL_arg1968z00_1960);
								}
								{	/* Cnst/alloc.scm 581 */
									BgL_objectz00_bglt BgL_tmpz00_4823;

									BgL_tmpz00_4823 = ((BgL_objectz00_bglt) BgL_new1166z00_1959);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4823, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1166z00_1959);
								BgL_new1167z00_1958 = BgL_new1166z00_1959;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1167z00_1958)))->BgL_locz00) =
								((obj_t) BgL_locz00_55), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1167z00_1958)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1957)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1167z00_1958)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1957)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1167z00_1958);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4837;

							{	/* Cnst/alloc.scm 555 */
								BgL_globalz00_bglt BgL_varz00_1962;

								{	/* Cnst/alloc.scm 555 */
									obj_t BgL_arg1972z00_1967;

									{	/* Cnst/alloc.scm 555 */
										obj_t BgL_arg1973z00_1968;

										BgL_arg1973z00_1968 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(28)));
										BgL_arg1972z00_1967 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1973z00_1968, ((obj_t) CNST_TABLE_REF(28)));
									}
									BgL_varz00_1962 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg1972z00_1967, BGl_za2moduleza2z00zzmodule_modulez00,
										BgL_realz00_54, ((obj_t) CNST_TABLE_REF(29)),
										BgL_locz00_55);
								}
								{	/* Cnst/alloc.scm 560 */
									obj_t BgL_arg1970z00_1963;

									BgL_arg1970z00_1963 =
										MAKE_YOUNG_PAIR(BgL_realz00_54, ((obj_t) BgL_varz00_1962));
									BGl_za2realzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg1970z00_1963,
										BGl_za2realzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 561 */
									BgL_refz00_bglt BgL_new1165z00_1964;

									{	/* Cnst/alloc.scm 562 */
										BgL_refz00_bglt BgL_new1164z00_1965;

										BgL_new1164z00_1965 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 562 */
											long BgL_arg1971z00_1966;

											BgL_arg1971z00_1966 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1164z00_1965),
												BgL_arg1971z00_1966);
										}
										{	/* Cnst/alloc.scm 562 */
											BgL_objectz00_bglt BgL_tmpz00_4854;

											BgL_tmpz00_4854 =
												((BgL_objectz00_bglt) BgL_new1164z00_1965);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4854, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1164z00_1965);
										BgL_new1165z00_1964 = BgL_new1164z00_1965;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1165z00_1964)))->
											BgL_locz00) = ((obj_t) BgL_locz00_55), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1165z00_1964)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_1962)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1165z00_1964)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_1962)), BUNSPEC);
									BgL_auxz00_4837 = BgL_new1165z00_1964;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4837);
						}
				}
			}
		}

	}



/* &cnst-alloc-real */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2realz62zzcnst_allocz00(obj_t
		BgL_envz00_3582, obj_t BgL_realz00_3583, obj_t BgL_locz00_3584)
	{
		{	/* Cnst/alloc.scm 552 */
			return
				BGl_cnstzd2alloczd2realz00zzcnst_allocz00(BgL_realz00_3583,
				BgL_locz00_3584);
		}

	}



/* cnst-alloc-elong */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(long BgL_elongz00_56,
		obj_t BgL_locz00_57)
	{
		{	/* Cnst/alloc.scm 590 */
			{

				{	/* Cnst/alloc.scm 614 */
					obj_t BgL_oldz00_1998;

					{
						obj_t BgL_listz00_2012;

						BgL_listz00_2012 = BGl_za2elongzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32007ze3z87_2013:
						if (NULLP(BgL_listz00_2012))
							{	/* Cnst/alloc.scm 607 */
								BgL_oldz00_1998 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 609 */
								bool_t BgL_test2601z00_4871;

								{	/* Cnst/alloc.scm 609 */
									long BgL_n1z00_3115;

									{	/* Cnst/alloc.scm 609 */
										obj_t BgL_pairz00_3114;

										BgL_pairz00_3114 = CAR(((obj_t) BgL_listz00_2012));
										{	/* Cnst/alloc.scm 609 */
											obj_t BgL_tmpz00_4874;

											BgL_tmpz00_4874 = CAR(BgL_pairz00_3114);
											BgL_n1z00_3115 = BELONG_TO_LONG(BgL_tmpz00_4874);
									}}
									BgL_test2601z00_4871 = (BgL_n1z00_3115 == BgL_elongz00_56);
								}
								if (BgL_test2601z00_4871)
									{	/* Cnst/alloc.scm 610 */
										obj_t BgL_pairz00_3118;

										BgL_pairz00_3118 = CAR(((obj_t) BgL_listz00_2012));
										BgL_oldz00_1998 = CDR(BgL_pairz00_3118);
									}
								else
									{
										obj_t BgL_listz00_4881;

										BgL_listz00_4881 = CDR(((obj_t) BgL_listz00_2012));
										BgL_listz00_2012 = BgL_listz00_4881;
										goto BgL_zc3z04anonymousza32007ze3z87_2013;
									}
							}
					}
					if (CBOOL(BgL_oldz00_1998))
						{	/* Cnst/alloc.scm 617 */
							BgL_refz00_bglt BgL_new1171z00_1999;

							{	/* Cnst/alloc.scm 618 */
								BgL_refz00_bglt BgL_new1170z00_2000;

								BgL_new1170z00_2000 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 618 */
									long BgL_arg2000z00_2001;

									BgL_arg2000z00_2001 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1170z00_2000),
										BgL_arg2000z00_2001);
								}
								{	/* Cnst/alloc.scm 618 */
									BgL_objectz00_bglt BgL_tmpz00_4890;

									BgL_tmpz00_4890 = ((BgL_objectz00_bglt) BgL_new1170z00_2000);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4890, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1170z00_2000);
								BgL_new1171z00_1999 = BgL_new1170z00_2000;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1171z00_1999)))->BgL_locz00) =
								((obj_t) BgL_locz00_57), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1171z00_1999)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_1998)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1171z00_1999)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_1998)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1171z00_1999);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4904;

							{	/* Cnst/alloc.scm 593 */
								BgL_globalz00_bglt BgL_varz00_2003;

								{	/* Cnst/alloc.scm 593 */
									obj_t BgL_arg2004z00_2008;

									{	/* Cnst/alloc.scm 593 */
										obj_t BgL_arg2005z00_2009;

										BgL_arg2005z00_2009 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(30)));
										BgL_arg2004z00_2008 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2005z00_2009, ((obj_t) CNST_TABLE_REF(31)));
									}
									BgL_varz00_2003 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2004z00_2008, BGl_za2moduleza2z00zzmodule_modulez00,
										make_belong(BgL_elongz00_56), ((obj_t) CNST_TABLE_REF(32)),
										BgL_locz00_57);
								}
								{	/* Cnst/alloc.scm 598 */
									obj_t BgL_arg2002z00_2004;

									BgL_arg2002z00_2004 =
										MAKE_YOUNG_PAIR(make_belong(BgL_elongz00_56),
										((obj_t) BgL_varz00_2003));
									BGl_za2elongzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2002z00_2004,
										BGl_za2elongzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 599 */
									BgL_refz00_bglt BgL_new1169z00_2005;

									{	/* Cnst/alloc.scm 600 */
										BgL_refz00_bglt BgL_new1168z00_2006;

										BgL_new1168z00_2006 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 600 */
											long BgL_arg2003z00_2007;

											BgL_arg2003z00_2007 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1168z00_2006),
												BgL_arg2003z00_2007);
										}
										{	/* Cnst/alloc.scm 600 */
											BgL_objectz00_bglt BgL_tmpz00_4923;

											BgL_tmpz00_4923 =
												((BgL_objectz00_bglt) BgL_new1168z00_2006);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4923, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1168z00_2006);
										BgL_new1169z00_2005 = BgL_new1168z00_2006;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1169z00_2005)))->
											BgL_locz00) = ((obj_t) BgL_locz00_57), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1169z00_2005)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2003)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1169z00_2005)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2003)), BUNSPEC);
									BgL_auxz00_4904 = BgL_new1169z00_2005;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4904);
						}
				}
			}
		}

	}



/* &cnst-alloc-elong */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2elongz62zzcnst_allocz00(obj_t
		BgL_envz00_3585, obj_t BgL_elongz00_3586, obj_t BgL_locz00_3587)
	{
		{	/* Cnst/alloc.scm 590 */
			return
				BGl_cnstzd2alloczd2elongz00zzcnst_allocz00(BELONG_TO_LONG
				(BgL_elongz00_3586), BgL_locz00_3587);
		}

	}



/* cnst-alloc-llong */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BGL_LONGLONG_T BgL_llongz00_58,
		obj_t BgL_locz00_59)
	{
		{	/* Cnst/alloc.scm 627 */
			{

				{	/* Cnst/alloc.scm 651 */
					obj_t BgL_oldz00_2027;

					{
						obj_t BgL_listz00_2041;

						BgL_listz00_2041 = BGl_za2llongzd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32024ze3z87_2042:
						if (NULLP(BgL_listz00_2041))
							{	/* Cnst/alloc.scm 644 */
								BgL_oldz00_2027 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 646 */
								bool_t BgL_test2604z00_4941;

								{	/* Cnst/alloc.scm 646 */
									BGL_LONGLONG_T BgL_tmpz00_4942;

									{	/* Cnst/alloc.scm 646 */
										obj_t BgL_pairz00_3131;

										BgL_pairz00_3131 = CAR(((obj_t) BgL_listz00_2041));
										BgL_tmpz00_4942 = BLLONG_TO_LLONG(CAR(BgL_pairz00_3131));
									}
									BgL_test2604z00_4941 = (BgL_tmpz00_4942 == BgL_llongz00_58);
								}
								if (BgL_test2604z00_4941)
									{	/* Cnst/alloc.scm 647 */
										obj_t BgL_pairz00_3135;

										BgL_pairz00_3135 = CAR(((obj_t) BgL_listz00_2041));
										BgL_oldz00_2027 = CDR(BgL_pairz00_3135);
									}
								else
									{
										obj_t BgL_listz00_4951;

										BgL_listz00_4951 = CDR(((obj_t) BgL_listz00_2041));
										BgL_listz00_2041 = BgL_listz00_4951;
										goto BgL_zc3z04anonymousza32024ze3z87_2042;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2027))
						{	/* Cnst/alloc.scm 654 */
							BgL_refz00_bglt BgL_new1175z00_2028;

							{	/* Cnst/alloc.scm 655 */
								BgL_refz00_bglt BgL_new1174z00_2029;

								BgL_new1174z00_2029 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 655 */
									long BgL_arg2016z00_2030;

									BgL_arg2016z00_2030 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1174z00_2029),
										BgL_arg2016z00_2030);
								}
								{	/* Cnst/alloc.scm 655 */
									BgL_objectz00_bglt BgL_tmpz00_4960;

									BgL_tmpz00_4960 = ((BgL_objectz00_bglt) BgL_new1174z00_2029);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4960, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1174z00_2029);
								BgL_new1175z00_2028 = BgL_new1174z00_2029;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1175z00_2028)))->BgL_locz00) =
								((obj_t) BgL_locz00_59), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1175z00_2028)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2027)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1175z00_2028)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2027)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1175z00_2028);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_4974;

							{	/* Cnst/alloc.scm 630 */
								BgL_globalz00_bglt BgL_varz00_2032;

								{	/* Cnst/alloc.scm 630 */
									obj_t BgL_arg2021z00_2037;

									{	/* Cnst/alloc.scm 630 */
										obj_t BgL_arg2022z00_2038;

										BgL_arg2022z00_2038 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(33)));
										BgL_arg2021z00_2037 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2022z00_2038, ((obj_t) CNST_TABLE_REF(34)));
									}
									BgL_varz00_2032 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2021z00_2037, BGl_za2moduleza2z00zzmodule_modulez00,
										make_bllong(BgL_llongz00_58), ((obj_t) CNST_TABLE_REF(35)),
										BgL_locz00_59);
								}
								{	/* Cnst/alloc.scm 635 */
									obj_t BgL_arg2018z00_2033;

									BgL_arg2018z00_2033 =
										MAKE_YOUNG_PAIR(make_bllong(BgL_llongz00_58),
										((obj_t) BgL_varz00_2032));
									BGl_za2llongzd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2018z00_2033,
										BGl_za2llongzd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 636 */
									BgL_refz00_bglt BgL_new1173z00_2034;

									{	/* Cnst/alloc.scm 637 */
										BgL_refz00_bglt BgL_new1172z00_2035;

										BgL_new1172z00_2035 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 637 */
											long BgL_arg2019z00_2036;

											BgL_arg2019z00_2036 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1172z00_2035),
												BgL_arg2019z00_2036);
										}
										{	/* Cnst/alloc.scm 637 */
											BgL_objectz00_bglt BgL_tmpz00_4993;

											BgL_tmpz00_4993 =
												((BgL_objectz00_bglt) BgL_new1172z00_2035);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4993, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1172z00_2035);
										BgL_new1173z00_2034 = BgL_new1172z00_2035;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1173z00_2034)))->
											BgL_locz00) = ((obj_t) BgL_locz00_59), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1173z00_2034)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2032)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1173z00_2034)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2032)), BUNSPEC);
									BgL_auxz00_4974 = BgL_new1173z00_2034;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_4974);
						}
				}
			}
		}

	}



/* &cnst-alloc-llong */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2llongz62zzcnst_allocz00(obj_t
		BgL_envz00_3588, obj_t BgL_llongz00_3589, obj_t BgL_locz00_3590)
	{
		{	/* Cnst/alloc.scm 627 */
			return
				BGl_cnstzd2alloczd2llongz00zzcnst_allocz00(BLLONG_TO_LLONG
				(BgL_llongz00_3589), BgL_locz00_3590);
		}

	}



/* cnst-alloc-int32 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(int32_t BgL_int32z00_60,
		obj_t BgL_locz00_61)
	{
		{	/* Cnst/alloc.scm 664 */
			{

				{	/* Cnst/alloc.scm 688 */
					obj_t BgL_oldz00_2056;

					{
						obj_t BgL_listz00_2070;

						BgL_listz00_2070 = BGl_za2int32zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32042ze3z87_2071:
						if (NULLP(BgL_listz00_2070))
							{	/* Cnst/alloc.scm 681 */
								BgL_oldz00_2056 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 683 */
								bool_t BgL_test2607z00_5011;

								{	/* Cnst/alloc.scm 683 */
									obj_t BgL_arg2050z00_2078;

									{	/* Cnst/alloc.scm 683 */
										obj_t BgL_pairz00_3148;

										BgL_pairz00_3148 = CAR(((obj_t) BgL_listz00_2070));
										BgL_arg2050z00_2078 = CAR(BgL_pairz00_3148);
									}
									{	/* Cnst/alloc.scm 683 */
										int32_t BgL_n1z00_3149;

										BgL_n1z00_3149 = BGL_BINT32_TO_INT32(BgL_arg2050z00_2078);
										BgL_test2607z00_5011 = (BgL_n1z00_3149 == BgL_int32z00_60);
									}
								}
								if (BgL_test2607z00_5011)
									{	/* Cnst/alloc.scm 684 */
										obj_t BgL_pairz00_3152;

										BgL_pairz00_3152 = CAR(((obj_t) BgL_listz00_2070));
										BgL_oldz00_2056 = CDR(BgL_pairz00_3152);
									}
								else
									{
										obj_t BgL_listz00_5020;

										BgL_listz00_5020 = CDR(((obj_t) BgL_listz00_2070));
										BgL_listz00_2070 = BgL_listz00_5020;
										goto BgL_zc3z04anonymousza32042ze3z87_2071;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2056))
						{	/* Cnst/alloc.scm 691 */
							BgL_refz00_bglt BgL_new1180z00_2057;

							{	/* Cnst/alloc.scm 692 */
								BgL_refz00_bglt BgL_new1179z00_2058;

								BgL_new1179z00_2058 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 692 */
									long BgL_arg2034z00_2059;

									BgL_arg2034z00_2059 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1179z00_2058),
										BgL_arg2034z00_2059);
								}
								{	/* Cnst/alloc.scm 692 */
									BgL_objectz00_bglt BgL_tmpz00_5029;

									BgL_tmpz00_5029 = ((BgL_objectz00_bglt) BgL_new1179z00_2058);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5029, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1179z00_2058);
								BgL_new1180z00_2057 = BgL_new1179z00_2058;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1180z00_2057)))->BgL_locz00) =
								((obj_t) BgL_locz00_61), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1180z00_2057)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2056)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1180z00_2057)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2056)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1180z00_2057);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_5043;

							{	/* Cnst/alloc.scm 667 */
								BgL_globalz00_bglt BgL_varz00_2061;

								{	/* Cnst/alloc.scm 667 */
									obj_t BgL_arg2039z00_2066;

									{	/* Cnst/alloc.scm 667 */
										obj_t BgL_arg2040z00_2067;

										BgL_arg2040z00_2067 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(36)));
										BgL_arg2039z00_2066 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2040z00_2067, ((obj_t) CNST_TABLE_REF(37)));
									}
									BgL_varz00_2061 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2039z00_2066, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_INT32_TO_BINT32(BgL_int32z00_60),
										((obj_t) CNST_TABLE_REF(38)), BgL_locz00_61);
								}
								{	/* Cnst/alloc.scm 672 */
									obj_t BgL_arg2036z00_2062;

									BgL_arg2036z00_2062 =
										MAKE_YOUNG_PAIR(BGL_INT32_TO_BINT32(BgL_int32z00_60),
										((obj_t) BgL_varz00_2061));
									BGl_za2int32zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2036z00_2062,
										BGl_za2int32zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 673 */
									BgL_refz00_bglt BgL_new1178z00_2063;

									{	/* Cnst/alloc.scm 674 */
										BgL_refz00_bglt BgL_new1176z00_2064;

										BgL_new1176z00_2064 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 674 */
											long BgL_arg2038z00_2065;

											BgL_arg2038z00_2065 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1176z00_2064),
												BgL_arg2038z00_2065);
										}
										{	/* Cnst/alloc.scm 674 */
											BgL_objectz00_bglt BgL_tmpz00_5062;

											BgL_tmpz00_5062 =
												((BgL_objectz00_bglt) BgL_new1176z00_2064);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5062, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1176z00_2064);
										BgL_new1178z00_2063 = BgL_new1176z00_2064;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1178z00_2063)))->
											BgL_locz00) = ((obj_t) BgL_locz00_61), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1178z00_2063)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2061)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1178z00_2063)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2061)), BUNSPEC);
									BgL_auxz00_5043 = BgL_new1178z00_2063;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_5043);
						}
				}
			}
		}

	}



/* &cnst-alloc-int32 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int32z62zzcnst_allocz00(obj_t
		BgL_envz00_3591, obj_t BgL_int32z00_3592, obj_t BgL_locz00_3593)
	{
		{	/* Cnst/alloc.scm 664 */
			return
				BGl_cnstzd2alloczd2int32z00zzcnst_allocz00(BGL_BINT32_TO_INT32
				(BgL_int32z00_3592), BgL_locz00_3593);
		}

	}



/* cnst-alloc-uint32 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(uint32_t BgL_uint32z00_62,
		obj_t BgL_locz00_63)
	{
		{	/* Cnst/alloc.scm 701 */
			{

				{	/* Cnst/alloc.scm 725 */
					obj_t BgL_oldz00_2085;

					{
						obj_t BgL_listz00_2099;

						BgL_listz00_2099 = BGl_za2uint32zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32060ze3z87_2100:
						if (NULLP(BgL_listz00_2099))
							{	/* Cnst/alloc.scm 718 */
								BgL_oldz00_2085 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 720 */
								bool_t BgL_test2610z00_5080;

								{	/* Cnst/alloc.scm 720 */
									obj_t BgL_arg2068z00_2107;

									{	/* Cnst/alloc.scm 720 */
										obj_t BgL_pairz00_3165;

										BgL_pairz00_3165 = CAR(((obj_t) BgL_listz00_2099));
										BgL_arg2068z00_2107 = CAR(BgL_pairz00_3165);
									}
									{	/* Cnst/alloc.scm 720 */
										uint32_t BgL_n1z00_3166;

										BgL_n1z00_3166 = BGL_BUINT32_TO_UINT32(BgL_arg2068z00_2107);
										BgL_test2610z00_5080 = (BgL_n1z00_3166 == BgL_uint32z00_62);
									}
								}
								if (BgL_test2610z00_5080)
									{	/* Cnst/alloc.scm 721 */
										obj_t BgL_pairz00_3169;

										BgL_pairz00_3169 = CAR(((obj_t) BgL_listz00_2099));
										BgL_oldz00_2085 = CDR(BgL_pairz00_3169);
									}
								else
									{
										obj_t BgL_listz00_5089;

										BgL_listz00_5089 = CDR(((obj_t) BgL_listz00_2099));
										BgL_listz00_2099 = BgL_listz00_5089;
										goto BgL_zc3z04anonymousza32060ze3z87_2100;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2085))
						{	/* Cnst/alloc.scm 728 */
							BgL_refz00_bglt BgL_new1186z00_2086;

							{	/* Cnst/alloc.scm 729 */
								BgL_refz00_bglt BgL_new1183z00_2087;

								BgL_new1183z00_2087 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 729 */
									long BgL_arg2052z00_2088;

									BgL_arg2052z00_2088 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1183z00_2087),
										BgL_arg2052z00_2088);
								}
								{	/* Cnst/alloc.scm 729 */
									BgL_objectz00_bglt BgL_tmpz00_5098;

									BgL_tmpz00_5098 = ((BgL_objectz00_bglt) BgL_new1183z00_2087);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5098, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1183z00_2087);
								BgL_new1186z00_2086 = BgL_new1183z00_2087;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1186z00_2086)))->BgL_locz00) =
								((obj_t) BgL_locz00_63), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1186z00_2086)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2085)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1186z00_2086)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2085)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1186z00_2086);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_5112;

							{	/* Cnst/alloc.scm 704 */
								BgL_globalz00_bglt BgL_varz00_2090;

								{	/* Cnst/alloc.scm 704 */
									obj_t BgL_arg2056z00_2095;

									{	/* Cnst/alloc.scm 704 */
										obj_t BgL_arg2058z00_2096;

										BgL_arg2058z00_2096 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(39)));
										BgL_arg2056z00_2095 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2058z00_2096, ((obj_t) CNST_TABLE_REF(40)));
									}
									BgL_varz00_2090 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2056z00_2095, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_UINT32_TO_BUINT32(BgL_uint32z00_62),
										((obj_t) CNST_TABLE_REF(41)), BgL_locz00_63);
								}
								{	/* Cnst/alloc.scm 709 */
									obj_t BgL_arg2054z00_2091;

									BgL_arg2054z00_2091 =
										MAKE_YOUNG_PAIR(BGL_UINT32_TO_BUINT32(BgL_uint32z00_62),
										((obj_t) BgL_varz00_2090));
									BGl_za2uint32zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2054z00_2091,
										BGl_za2uint32zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 710 */
									BgL_refz00_bglt BgL_new1182z00_2092;

									{	/* Cnst/alloc.scm 711 */
										BgL_refz00_bglt BgL_new1181z00_2093;

										BgL_new1181z00_2093 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 711 */
											long BgL_arg2055z00_2094;

											BgL_arg2055z00_2094 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1181z00_2093),
												BgL_arg2055z00_2094);
										}
										{	/* Cnst/alloc.scm 711 */
											BgL_objectz00_bglt BgL_tmpz00_5131;

											BgL_tmpz00_5131 =
												((BgL_objectz00_bglt) BgL_new1181z00_2093);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5131, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1181z00_2093);
										BgL_new1182z00_2092 = BgL_new1181z00_2093;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1182z00_2092)))->
											BgL_locz00) = ((obj_t) BgL_locz00_63), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1182z00_2092)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2090)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1182z00_2092)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2090)), BUNSPEC);
									BgL_auxz00_5112 = BgL_new1182z00_2092;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_5112);
						}
				}
			}
		}

	}



/* &cnst-alloc-uint32 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint32z62zzcnst_allocz00(obj_t
		BgL_envz00_3594, obj_t BgL_uint32z00_3595, obj_t BgL_locz00_3596)
	{
		{	/* Cnst/alloc.scm 701 */
			return
				BGl_cnstzd2alloczd2uint32z00zzcnst_allocz00(BGL_BUINT32_TO_UINT32
				(BgL_uint32z00_3595), BgL_locz00_3596);
		}

	}



/* cnst-alloc-int64 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(int64_t BgL_int64z00_64,
		obj_t BgL_locz00_65)
	{
		{	/* Cnst/alloc.scm 738 */
			{

				{	/* Cnst/alloc.scm 762 */
					obj_t BgL_oldz00_2114;

					{
						obj_t BgL_listz00_2128;

						BgL_listz00_2128 = BGl_za2int64zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32077ze3z87_2129:
						if (NULLP(BgL_listz00_2128))
							{	/* Cnst/alloc.scm 755 */
								BgL_oldz00_2114 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 757 */
								bool_t BgL_test2613z00_5149;

								{	/* Cnst/alloc.scm 757 */
									obj_t BgL_arg2084z00_2136;

									{	/* Cnst/alloc.scm 757 */
										obj_t BgL_pairz00_3182;

										BgL_pairz00_3182 = CAR(((obj_t) BgL_listz00_2128));
										BgL_arg2084z00_2136 = CAR(BgL_pairz00_3182);
									}
									{	/* Cnst/alloc.scm 757 */
										int64_t BgL_n1z00_3183;

										BgL_n1z00_3183 = BGL_BINT64_TO_INT64(BgL_arg2084z00_2136);
										BgL_test2613z00_5149 = (BgL_n1z00_3183 == BgL_int64z00_64);
									}
								}
								if (BgL_test2613z00_5149)
									{	/* Cnst/alloc.scm 758 */
										obj_t BgL_pairz00_3186;

										BgL_pairz00_3186 = CAR(((obj_t) BgL_listz00_2128));
										BgL_oldz00_2114 = CDR(BgL_pairz00_3186);
									}
								else
									{
										obj_t BgL_listz00_5158;

										BgL_listz00_5158 = CDR(((obj_t) BgL_listz00_2128));
										BgL_listz00_2128 = BgL_listz00_5158;
										goto BgL_zc3z04anonymousza32077ze3z87_2129;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2114))
						{	/* Cnst/alloc.scm 765 */
							BgL_refz00_bglt BgL_new1191z00_2115;

							{	/* Cnst/alloc.scm 766 */
								BgL_refz00_bglt BgL_new1189z00_2116;

								BgL_new1189z00_2116 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 766 */
									long BgL_arg2070z00_2117;

									BgL_arg2070z00_2117 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1189z00_2116),
										BgL_arg2070z00_2117);
								}
								{	/* Cnst/alloc.scm 766 */
									BgL_objectz00_bglt BgL_tmpz00_5167;

									BgL_tmpz00_5167 = ((BgL_objectz00_bglt) BgL_new1189z00_2116);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5167, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1189z00_2116);
								BgL_new1191z00_2115 = BgL_new1189z00_2116;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1191z00_2115)))->BgL_locz00) =
								((obj_t) BgL_locz00_65), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1191z00_2115)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2114)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1191z00_2115)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2114)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1191z00_2115);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_5181;

							{	/* Cnst/alloc.scm 741 */
								BgL_globalz00_bglt BgL_varz00_2119;

								{	/* Cnst/alloc.scm 741 */
									obj_t BgL_arg2074z00_2124;

									{	/* Cnst/alloc.scm 741 */
										obj_t BgL_arg2075z00_2125;

										BgL_arg2075z00_2125 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(42)));
										BgL_arg2074z00_2124 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2075z00_2125, ((obj_t) CNST_TABLE_REF(43)));
									}
									BgL_varz00_2119 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2074z00_2124, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_INT64_TO_BINT64(BgL_int64z00_64),
										((obj_t) CNST_TABLE_REF(44)), BgL_locz00_65);
								}
								{	/* Cnst/alloc.scm 746 */
									obj_t BgL_arg2072z00_2120;

									BgL_arg2072z00_2120 =
										MAKE_YOUNG_PAIR(BGL_INT64_TO_BINT64(BgL_int64z00_64),
										((obj_t) BgL_varz00_2119));
									BGl_za2int64zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2072z00_2120,
										BGl_za2int64zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 747 */
									BgL_refz00_bglt BgL_new1188z00_2121;

									{	/* Cnst/alloc.scm 748 */
										BgL_refz00_bglt BgL_new1187z00_2122;

										BgL_new1187z00_2122 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 748 */
											long BgL_arg2073z00_2123;

											BgL_arg2073z00_2123 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1187z00_2122),
												BgL_arg2073z00_2123);
										}
										{	/* Cnst/alloc.scm 748 */
											BgL_objectz00_bglt BgL_tmpz00_5200;

											BgL_tmpz00_5200 =
												((BgL_objectz00_bglt) BgL_new1187z00_2122);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5200, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1187z00_2122);
										BgL_new1188z00_2121 = BgL_new1187z00_2122;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1188z00_2121)))->
											BgL_locz00) = ((obj_t) BgL_locz00_65), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1188z00_2121)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2119)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1188z00_2121)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2119)), BUNSPEC);
									BgL_auxz00_5181 = BgL_new1188z00_2121;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_5181);
						}
				}
			}
		}

	}



/* &cnst-alloc-int64 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2int64z62zzcnst_allocz00(obj_t
		BgL_envz00_3597, obj_t BgL_int64z00_3598, obj_t BgL_locz00_3599)
	{
		{	/* Cnst/alloc.scm 738 */
			return
				BGl_cnstzd2alloczd2int64z00zzcnst_allocz00(BGL_BINT64_TO_INT64
				(BgL_int64z00_3598), BgL_locz00_3599);
		}

	}



/* cnst-alloc-uint64 */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(uint64_t BgL_uint64z00_66,
		obj_t BgL_locz00_67)
	{
		{	/* Cnst/alloc.scm 775 */
			{

				{	/* Cnst/alloc.scm 799 */
					obj_t BgL_oldz00_2143;

					{
						obj_t BgL_listz00_2157;

						BgL_listz00_2157 = BGl_za2uint64zd2envza2zd2zzcnst_allocz00;
					BgL_zc3z04anonymousza32093ze3z87_2158:
						if (NULLP(BgL_listz00_2157))
							{	/* Cnst/alloc.scm 792 */
								BgL_oldz00_2143 = BFALSE;
							}
						else
							{	/* Cnst/alloc.scm 794 */
								bool_t BgL_test2616z00_5218;

								{	/* Cnst/alloc.scm 794 */
									obj_t BgL_arg2100z00_2165;

									{	/* Cnst/alloc.scm 794 */
										obj_t BgL_pairz00_3199;

										BgL_pairz00_3199 = CAR(((obj_t) BgL_listz00_2157));
										BgL_arg2100z00_2165 = CAR(BgL_pairz00_3199);
									}
									{	/* Cnst/alloc.scm 794 */
										uint64_t BgL_n1z00_3200;

										BgL_n1z00_3200 = BGL_BINT64_TO_INT64(BgL_arg2100z00_2165);
										BgL_test2616z00_5218 = (BgL_n1z00_3200 == BgL_uint64z00_66);
									}
								}
								if (BgL_test2616z00_5218)
									{	/* Cnst/alloc.scm 795 */
										obj_t BgL_pairz00_3203;

										BgL_pairz00_3203 = CAR(((obj_t) BgL_listz00_2157));
										BgL_oldz00_2143 = CDR(BgL_pairz00_3203);
									}
								else
									{
										obj_t BgL_listz00_5227;

										BgL_listz00_5227 = CDR(((obj_t) BgL_listz00_2157));
										BgL_listz00_2157 = BgL_listz00_5227;
										goto BgL_zc3z04anonymousza32093ze3z87_2158;
									}
							}
					}
					if (CBOOL(BgL_oldz00_2143))
						{	/* Cnst/alloc.scm 802 */
							BgL_refz00_bglt BgL_new1195z00_2144;

							{	/* Cnst/alloc.scm 803 */
								BgL_refz00_bglt BgL_new1194z00_2145;

								BgL_new1194z00_2145 =
									((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_refz00_bgl))));
								{	/* Cnst/alloc.scm 803 */
									long BgL_arg2086z00_2146;

									BgL_arg2086z00_2146 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1194z00_2145),
										BgL_arg2086z00_2146);
								}
								{	/* Cnst/alloc.scm 803 */
									BgL_objectz00_bglt BgL_tmpz00_5236;

									BgL_tmpz00_5236 = ((BgL_objectz00_bglt) BgL_new1194z00_2145);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5236, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1194z00_2145);
								BgL_new1195z00_2144 = BgL_new1194z00_2145;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1195z00_2144)))->BgL_locz00) =
								((obj_t) BgL_locz00_67), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1195z00_2144)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT(((BgL_variablez00_bglt) BgL_oldz00_2143)))->
										BgL_typez00)), BUNSPEC);
							((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
												BgL_new1195z00_2144)))->BgL_variablez00) =
								((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
										BgL_oldz00_2143)), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1195z00_2144);
						}
					else
						{
							BgL_refz00_bglt BgL_auxz00_5250;

							{	/* Cnst/alloc.scm 778 */
								BgL_globalz00_bglt BgL_varz00_2148;

								{	/* Cnst/alloc.scm 778 */
									obj_t BgL_arg2090z00_2153;

									{	/* Cnst/alloc.scm 778 */
										obj_t BgL_arg2091z00_2154;

										BgL_arg2091z00_2154 =
											BGl_gensymz00zz__r4_symbols_6_4z00(
											((obj_t) CNST_TABLE_REF(45)));
										BgL_arg2090z00_2153 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg2091z00_2154, ((obj_t) CNST_TABLE_REF(46)));
									}
									BgL_varz00_2148 =
										BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
										(BgL_arg2090z00_2153, BGl_za2moduleza2z00zzmodule_modulez00,
										BGL_UINT64_TO_BUINT64(BgL_uint64z00_66),
										((obj_t) CNST_TABLE_REF(47)), BgL_locz00_67);
								}
								{	/* Cnst/alloc.scm 783 */
									obj_t BgL_arg2088z00_2149;

									BgL_arg2088z00_2149 =
										MAKE_YOUNG_PAIR(BGL_UINT64_TO_BUINT64(BgL_uint64z00_66),
										((obj_t) BgL_varz00_2148));
									BGl_za2uint64zd2envza2zd2zzcnst_allocz00 =
										MAKE_YOUNG_PAIR(BgL_arg2088z00_2149,
										BGl_za2uint64zd2envza2zd2zzcnst_allocz00);
								}
								{	/* Cnst/alloc.scm 784 */
									BgL_refz00_bglt BgL_new1193z00_2150;

									{	/* Cnst/alloc.scm 785 */
										BgL_refz00_bglt BgL_new1192z00_2151;

										BgL_new1192z00_2151 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 785 */
											long BgL_arg2089z00_2152;

											BgL_arg2089z00_2152 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1192z00_2151),
												BgL_arg2089z00_2152);
										}
										{	/* Cnst/alloc.scm 785 */
											BgL_objectz00_bglt BgL_tmpz00_5269;

											BgL_tmpz00_5269 =
												((BgL_objectz00_bglt) BgL_new1192z00_2151);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5269, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1192z00_2151);
										BgL_new1193z00_2150 = BgL_new1192z00_2151;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1193z00_2150)))->
											BgL_locz00) = ((obj_t) BgL_locz00_67), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1193z00_2150)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) BgL_varz00_2148)))->
												BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1193z00_2150)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BgL_varz00_2148)), BUNSPEC);
									BgL_auxz00_5250 = BgL_new1193z00_2150;
							}}
							return ((BgL_nodez00_bglt) BgL_auxz00_5250);
						}
				}
			}
		}

	}



/* &cnst-alloc-uint64 */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2uint64z62zzcnst_allocz00(obj_t
		BgL_envz00_3600, obj_t BgL_uint64z00_3601, obj_t BgL_locz00_3602)
	{
		{	/* Cnst/alloc.scm 775 */
			return
				BGl_cnstzd2alloczd2uint64z00zzcnst_allocz00(BGL_BINT64_TO_INT64
				(BgL_uint64z00_3601), BgL_locz00_3602);
		}

	}



/* cnst-alloc-list */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2listz00zzcnst_allocz00(obj_t BgL_pairz00_68,
		obj_t BgL_locz00_69)
	{
		{	/* Cnst/alloc.scm 812 */
			{

				{	/* Cnst/alloc.scm 866 */
					obj_t BgL_oldz00_2173;

					{	/* Cnst/alloc.scm 866 */
						obj_t BgL__andtest_1208z00_2180;

						BgL__andtest_1208z00_2180 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1208z00_2180))
							{
								obj_t BgL_envz00_2182;

								BgL_envz00_2182 = BGl_za2listzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32106ze3z87_2183:
								if (NULLP(BgL_envz00_2182))
									{	/* Cnst/alloc.scm 869 */
										BgL_oldz00_2173 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 871 */
										bool_t BgL_test2620z00_5289;

										{	/* Cnst/alloc.scm 871 */
											obj_t BgL_arg2112z00_2189;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_sz00_3250;

												BgL_sz00_3250 = CAR(((obj_t) BgL_envz00_2182));
												BgL_arg2112z00_2189 =
													STRUCT_REF(BgL_sz00_3250, (int) (0L));
											}
											BgL_test2620z00_5289 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2112z00_2189, BgL_pairz00_68);
										}
										if (BgL_test2620z00_5289)
											{	/* Cnst/alloc.scm 871 */
												BgL_oldz00_2173 = CAR(((obj_t) BgL_envz00_2182));
											}
										else
											{	/* Cnst/alloc.scm 874 */
												obj_t BgL_arg2111z00_2188;

												BgL_arg2111z00_2188 = CDR(((obj_t) BgL_envz00_2182));
												{
													obj_t BgL_envz00_5299;

													BgL_envz00_5299 = BgL_arg2111z00_2188;
													BgL_envz00_2182 = BgL_envz00_5299;
													goto BgL_zc3z04anonymousza32106ze3z87_2183;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 866 */
								BgL_oldz00_2173 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2173))
						{	/* Cnst/alloc.scm 876 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 878 */
									BgL_refz00_bglt BgL_new1210z00_2174;

									{	/* Cnst/alloc.scm 879 */
										BgL_refz00_bglt BgL_new1209z00_2177;

										BgL_new1209z00_2177 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 879 */
											long BgL_arg2104z00_2178;

											BgL_arg2104z00_2178 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1209z00_2177),
												BgL_arg2104z00_2178);
										}
										{	/* Cnst/alloc.scm 879 */
											BgL_objectz00_bglt BgL_tmpz00_5310;

											BgL_tmpz00_5310 =
												((BgL_objectz00_bglt) BgL_new1209z00_2177);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5310, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1209z00_2177);
										BgL_new1210z00_2174 = BgL_new1209z00_2177;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1210z00_2174)))->
											BgL_locz00) = ((obj_t) BgL_locz00_69), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5316;

										{	/* Cnst/alloc.scm 881 */
											BgL_typez00_bglt BgL_arg2102z00_2175;

											BgL_arg2102z00_2175 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															STRUCT_REF(
																((obj_t) BgL_oldz00_2173),
																(int) (1L)))))->BgL_typez00);
											BgL_auxz00_5316 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00),
												BgL_arg2102z00_2175);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1210z00_2174)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5316), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1210z00_2174)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2173), (int) (1L)))),
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1210z00_2174);
								}
							else
								{	/* Cnst/alloc.scm 883 */
									obj_t BgL_arg2105z00_2179;

									BgL_arg2105z00_2179 =
										STRUCT_REF(((obj_t) BgL_oldz00_2173), (int) (1L));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2105z00_2179, BGl_za2pairza2z00zztype_cachez00,
											BgL_locz00_69));
								}
						}
					else
						{	/* Cnst/alloc.scm 876 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{
									BgL_refz00_bglt BgL_auxz00_5342;

									{	/* Cnst/alloc.scm 844 */
										BgL_globalz00_bglt BgL_varz00_2228;

										{	/* Cnst/alloc.scm 844 */
											obj_t BgL_arg2149z00_2244;

											{	/* Cnst/alloc.scm 844 */
												obj_t BgL_arg2150z00_2245;

												BgL_arg2150z00_2245 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(48)));
												BgL_arg2149z00_2244 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2150z00_2245, ((obj_t) CNST_TABLE_REF(49)));
											}
											BgL_varz00_2228 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2149z00_2244,
												BGl_za2moduleza2z00zzmodule_modulez00,
												((obj_t) CNST_TABLE_REF(50)),
												((obj_t) CNST_TABLE_REF(3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 849 */
												obj_t BgL_arg2136z00_2229;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3235;

													BgL_newz00_3235 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_5362;
														int BgL_tmpz00_5360;

														BgL_auxz00_5362 = ((obj_t) BgL_varz00_2228);
														BgL_tmpz00_5360 = (int) (1L);
														STRUCT_SET(BgL_newz00_3235, BgL_tmpz00_5360,
															BgL_auxz00_5362);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_5365;

														BgL_tmpz00_5365 = (int) (0L);
														STRUCT_SET(BgL_newz00_3235, BgL_tmpz00_5365,
															BgL_pairz00_68);
													}
													BgL_arg2136z00_2229 = BgL_newz00_3235;
												}
												BGl_za2listzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2136z00_2229,
													BGl_za2listzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 848 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 850 */
											obj_t BgL_arg2137z00_2230;

											{	/* Cnst/alloc.scm 850 */
												obj_t BgL_arg2138z00_2231;

												{	/* Cnst/alloc.scm 850 */
													obj_t BgL_arg2139z00_2232;
													obj_t BgL_arg2140z00_2233;

													{	/* Cnst/alloc.scm 850 */
														obj_t BgL_arg2141z00_2234;

														{	/* Cnst/alloc.scm 850 */
															obj_t BgL_arg2142z00_2235;
															obj_t BgL_arg2143z00_2236;

															BgL_arg2142z00_2235 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2228)))->
																BgL_idz00);
															BgL_arg2143z00_2236 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2228))->BgL_modulez00),
																BNIL);
															BgL_arg2141z00_2234 =
																MAKE_YOUNG_PAIR(BgL_arg2142z00_2235,
																BgL_arg2143z00_2236);
														}
														BgL_arg2139z00_2232 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg2141z00_2234);
													}
													{	/* Cnst/alloc.scm 851 */
														BgL_nodez00_bglt BgL_arg2145z00_2238;

														{	/* Cnst/alloc.scm 851 */
															BgL_nodez00_bglt BgL_arg2146z00_2239;
															BgL_typez00_bglt BgL_arg2147z00_2240;

															BgL_arg2146z00_2239 =
																BGl_loopze70ze7zzcnst_allocz00(BgL_locz00_69,
																BgL_pairz00_68);
															BgL_arg2147z00_2240 =
																BGl_strictzd2nodezd2typez00zzast_nodez00((
																	(BgL_typez00_bglt)
																	BGl_za2pairza2z00zztype_cachez00),
																((BgL_typez00_bglt)
																	BGl_za2objza2z00zztype_cachez00));
															BgL_arg2145z00_2238 =
																BGl_coercez12z12zzcoerce_coercez00
																(BgL_arg2146z00_2239, ((obj_t) BgL_varz00_2228),
																BgL_arg2147z00_2240, ((bool_t) 0));
														}
														BgL_arg2140z00_2233 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2145z00_2238), BNIL);
													}
													BgL_arg2138z00_2231 =
														MAKE_YOUNG_PAIR(BgL_arg2139z00_2232,
														BgL_arg2140z00_2233);
												}
												BgL_arg2137z00_2230 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg2138z00_2231);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2137z00_2230,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 853 */
											BgL_refz00_bglt BgL_new1207z00_2241;

											{	/* Cnst/alloc.scm 854 */
												BgL_refz00_bglt BgL_new1206z00_2242;

												BgL_new1206z00_2242 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 854 */
													long BgL_arg2148z00_2243;

													BgL_arg2148z00_2243 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1206z00_2242),
														BgL_arg2148z00_2243);
												}
												{	/* Cnst/alloc.scm 854 */
													BgL_objectz00_bglt BgL_tmpz00_5394;

													BgL_tmpz00_5394 =
														((BgL_objectz00_bglt) BgL_new1206z00_2242);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5394, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1206z00_2242);
												BgL_new1207z00_2241 = BgL_new1206z00_2242;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1207z00_2241)))->
													BgL_locz00) = ((obj_t) BgL_locz00_69), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1207z00_2241)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_2228)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1207z00_2241)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2228)), BUNSPEC);
											BgL_auxz00_5342 = BgL_new1207z00_2241;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_5342);
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_5408;

									{	/* Cnst/alloc.scm 859 */
										long BgL_offsetz00_2247;

										BgL_offsetz00_2247 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_pairz00_68,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 863 */
												obj_t BgL_arg2152z00_2248;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3246;

													BgL_newz00_3246 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_5419;
														int BgL_tmpz00_5417;

														BgL_auxz00_5419 = BINT(BgL_offsetz00_2247);
														BgL_tmpz00_5417 = (int) (1L);
														STRUCT_SET(BgL_newz00_3246, BgL_tmpz00_5417,
															BgL_auxz00_5419);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_5422;

														BgL_tmpz00_5422 = (int) (0L);
														STRUCT_SET(BgL_newz00_3246, BgL_tmpz00_5422,
															BgL_pairz00_68);
													}
													BgL_arg2152z00_2248 = BgL_newz00_3246;
												}
												BGl_za2listzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2152z00_2248,
													BGl_za2listzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 862 */
												BFALSE;
											}
										BgL_auxz00_5408 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2247), BGl_za2pairza2z00zztype_cachez00,
											BgL_locz00_69);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_5408);
								}
						}
				}
			}
		}

	}



/* loop~0 */
	BgL_nodez00_bglt BGl_loopze70ze7zzcnst_allocz00(obj_t BgL_locz00_3638,
		obj_t BgL_pairz00_2195)
	{
		{	/* Cnst/alloc.scm 815 */
			if (NULLP(BgL_pairz00_2195))
				{	/* Cnst/alloc.scm 818 */
					BgL_literalz00_bglt BgL_new1197z00_2198;

					{	/* Cnst/alloc.scm 819 */
						BgL_literalz00_bglt BgL_new1196z00_2200;

						BgL_new1196z00_2200 =
							((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_literalz00_bgl))));
						{	/* Cnst/alloc.scm 819 */
							long BgL_arg2118z00_2201;

							BgL_arg2118z00_2201 = BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1196z00_2200),
								BgL_arg2118z00_2201);
						}
						{	/* Cnst/alloc.scm 819 */
							BgL_objectz00_bglt BgL_tmpz00_5435;

							BgL_tmpz00_5435 = ((BgL_objectz00_bglt) BgL_new1196z00_2200);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5435, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1196z00_2200);
						BgL_new1197z00_2198 = BgL_new1196z00_2200;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1197z00_2198)))->BgL_locz00) =
						((obj_t) BgL_locz00_3638), BUNSPEC);
					{
						BgL_typez00_bglt BgL_auxz00_5441;

						{	/* Cnst/alloc.scm 820 */
							BgL_typez00_bglt BgL_arg2117z00_2199;

							BgL_arg2117z00_2199 =
								BGl_getzd2typezd2atomz00zztype_typeofz00(BNIL);
							BgL_auxz00_5441 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2117z00_2199,
								((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1197z00_2198)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_5441), BUNSPEC);
					}
					((((BgL_atomz00_bglt) COBJECT(
									((BgL_atomz00_bglt) BgL_new1197z00_2198)))->BgL_valuez00) =
						((obj_t) BNIL), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1197z00_2198);
				}
			else
				{	/* Cnst/alloc.scm 817 */
					if (PAIRP(BgL_pairz00_2195))
						{	/* Cnst/alloc.scm 828 */
							BgL_appz00_bglt BgL_new1201z00_2203;

							{	/* Cnst/alloc.scm 829 */
								BgL_appz00_bglt BgL_new1200z00_2219;

								BgL_new1200z00_2219 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Cnst/alloc.scm 829 */
									long BgL_arg2131z00_2220;

									BgL_arg2131z00_2220 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1200z00_2219),
										BgL_arg2131z00_2220);
								}
								{	/* Cnst/alloc.scm 829 */
									BgL_objectz00_bglt BgL_tmpz00_5456;

									BgL_tmpz00_5456 = ((BgL_objectz00_bglt) BgL_new1200z00_2219);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5456, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1200z00_2219);
								BgL_new1201z00_2203 = BgL_new1200z00_2219;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1201z00_2203)))->BgL_locz00) =
								((obj_t) BgL_locz00_3638), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1201z00_2203)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2pairza2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1201z00_2203)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1201z00_2203)))->BgL_keyz00) =
								((obj_t) BINT((-1L))), BUNSPEC);
							{
								BgL_varz00_bglt BgL_auxz00_5470;

								{	/* Cnst/alloc.scm 831 */
									BgL_refz00_bglt BgL_new1203z00_2204;

									{	/* Cnst/alloc.scm 832 */
										BgL_refz00_bglt BgL_new1202z00_2205;

										BgL_new1202z00_2205 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 832 */
											long BgL_arg2120z00_2206;

											{	/* Cnst/alloc.scm 832 */
												obj_t BgL_classz00_3218;

												BgL_classz00_3218 = BGl_refz00zzast_nodez00;
												BgL_arg2120z00_2206 = BGL_CLASS_NUM(BgL_classz00_3218);
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1202z00_2205),
												BgL_arg2120z00_2206);
										}
										{	/* Cnst/alloc.scm 832 */
											BgL_objectz00_bglt BgL_tmpz00_5475;

											BgL_tmpz00_5475 =
												((BgL_objectz00_bglt) BgL_new1202z00_2205);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5475, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1202z00_2205);
										BgL_new1203z00_2204 = BgL_new1202z00_2205;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1203z00_2204)))->
											BgL_locz00) = ((obj_t) BgL_locz00_3638), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5481;

										{	/* Cnst/alloc.scm 833 */
											BgL_variablez00_bglt BgL_oz00_3222;

											BgL_oz00_3222 =
												((BgL_variablez00_bglt)
												BGl_za2consza2z00zzcnst_cachez00);
											BgL_auxz00_5481 =
												(((BgL_variablez00_bglt) COBJECT(BgL_oz00_3222))->
												BgL_typez00);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1203z00_2204)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5481), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1203z00_2204)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												BGl_za2consza2z00zzcnst_cachez00)), BUNSPEC);
									BgL_auxz00_5470 = ((BgL_varz00_bglt) BgL_new1203z00_2204);
								}
								((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_2203))->
										BgL_funz00) = ((BgL_varz00_bglt) BgL_auxz00_5470), BUNSPEC);
							}
							{
								obj_t BgL_auxz00_5491;

								{	/* Cnst/alloc.scm 835 */
									BgL_nodez00_bglt BgL_arg2121z00_2207;
									BgL_nodez00_bglt BgL_arg2122z00_2208;

									{	/* Cnst/alloc.scm 835 */
										BgL_kwotez00_bglt BgL_arg2125z00_2211;

										{	/* Cnst/alloc.scm 835 */
											BgL_kwotez00_bglt BgL_new1205z00_2212;

											{	/* Cnst/alloc.scm 836 */
												BgL_kwotez00_bglt BgL_new1204z00_2216;

												BgL_new1204z00_2216 =
													((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotez00_bgl))));
												{	/* Cnst/alloc.scm 836 */
													long BgL_arg2129z00_2217;

													{	/* Cnst/alloc.scm 836 */
														obj_t BgL_classz00_3223;

														BgL_classz00_3223 = BGl_kwotez00zzast_nodez00;
														BgL_arg2129z00_2217 =
															BGL_CLASS_NUM(BgL_classz00_3223);
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1204z00_2216),
														BgL_arg2129z00_2217);
												}
												{	/* Cnst/alloc.scm 836 */
													BgL_objectz00_bglt BgL_tmpz00_5496;

													BgL_tmpz00_5496 =
														((BgL_objectz00_bglt) BgL_new1204z00_2216);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5496, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1204z00_2216);
												BgL_new1205z00_2212 = BgL_new1204z00_2216;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1205z00_2212)))->
													BgL_locz00) = ((obj_t) BgL_locz00_3638), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5502;

												{	/* Cnst/alloc.scm 838 */
													BgL_typez00_bglt BgL_arg2126z00_2213;
													BgL_typez00_bglt BgL_arg2127z00_2214;

													{	/* Cnst/alloc.scm 838 */
														obj_t BgL_arg2128z00_2215;

														BgL_arg2128z00_2215 = CAR(BgL_pairz00_2195);
														BgL_arg2126z00_2213 =
															BGl_getzd2typezd2kwotez00zztype_typeofz00
															(BgL_arg2128z00_2215);
													}
													BgL_arg2127z00_2214 =
														BGl_getzd2defaultzd2typez00zztype_cachez00();
													BgL_auxz00_5502 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2126z00_2213, BgL_arg2127z00_2214);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1205z00_2212)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5502), BUNSPEC);
											}
											((((BgL_kwotez00_bglt) COBJECT(BgL_new1205z00_2212))->
													BgL_valuez00) =
												((obj_t) CAR(BgL_pairz00_2195)), BUNSPEC);
											BgL_arg2125z00_2211 = BgL_new1205z00_2212;
										}
										BgL_arg2121z00_2207 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg2125z00_2211));
									}
									{	/* Cnst/alloc.scm 841 */
										obj_t BgL_arg2130z00_2218;

										BgL_arg2130z00_2218 = CDR(BgL_pairz00_2195);
										BgL_arg2122z00_2208 =
											BGl_loopze70ze7zzcnst_allocz00(BgL_locz00_3638,
											BgL_arg2130z00_2218);
									}
									{	/* Cnst/alloc.scm 835 */
										obj_t BgL_list2123z00_2209;

										{	/* Cnst/alloc.scm 835 */
											obj_t BgL_arg2124z00_2210;

											BgL_arg2124z00_2210 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2122z00_2208), BNIL);
											BgL_list2123z00_2209 =
												MAKE_YOUNG_PAIR(
												((obj_t) BgL_arg2121z00_2207), BgL_arg2124z00_2210);
										}
										BgL_auxz00_5491 = BgL_list2123z00_2209;
								}}
								((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_2203))->
										BgL_argsz00) = ((obj_t) BgL_auxz00_5491), BUNSPEC);
							}
							((((BgL_appz00_bglt) COBJECT(BgL_new1201z00_2203))->
									BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
							return ((BgL_nodez00_bglt) BgL_new1201z00_2203);
						}
					else
						{	/* Cnst/alloc.scm 823 */
							BgL_kwotez00_bglt BgL_arg2132z00_2221;

							{	/* Cnst/alloc.scm 823 */
								BgL_kwotez00_bglt BgL_new1199z00_2222;

								{	/* Cnst/alloc.scm 824 */
									BgL_kwotez00_bglt BgL_new1198z00_2224;

									BgL_new1198z00_2224 =
										((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_kwotez00_bgl))));
									{	/* Cnst/alloc.scm 824 */
										long BgL_arg2134z00_2225;

										BgL_arg2134z00_2225 =
											BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1198z00_2224),
											BgL_arg2134z00_2225);
									}
									{	/* Cnst/alloc.scm 824 */
										BgL_objectz00_bglt BgL_tmpz00_5526;

										BgL_tmpz00_5526 =
											((BgL_objectz00_bglt) BgL_new1198z00_2224);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5526, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1198z00_2224);
									BgL_new1199z00_2222 = BgL_new1198z00_2224;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1199z00_2222)))->
										BgL_locz00) = ((obj_t) BgL_locz00_3638), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_5532;

									{	/* Cnst/alloc.scm 825 */
										BgL_typez00_bglt BgL_arg2133z00_2223;

										BgL_arg2133z00_2223 =
											BGl_getzd2typezd2kwotez00zztype_typeofz00
											(BgL_pairz00_2195);
										BgL_auxz00_5532 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg2133z00_2223,
											((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00));
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1199z00_2222)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_5532), BUNSPEC);
								}
								((((BgL_kwotez00_bglt) COBJECT(BgL_new1199z00_2222))->
										BgL_valuez00) = ((obj_t) BgL_pairz00_2195), BUNSPEC);
								BgL_arg2132z00_2221 = BgL_new1199z00_2222;
							}
							return
								BGl_cnstz12z12zzcnst_nodez00(
								((BgL_nodez00_bglt) BgL_arg2132z00_2221));
						}
				}
		}

	}



/* &cnst-alloc-list */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2listz62zzcnst_allocz00(obj_t
		BgL_envz00_3603, obj_t BgL_pairz00_3604, obj_t BgL_locz00_3605)
	{
		{	/* Cnst/alloc.scm 812 */
			return
				BGl_cnstzd2alloczd2listz00zzcnst_allocz00(BgL_pairz00_3604,
				BgL_locz00_3605);
		}

	}



/* cnst-alloc-vector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(obj_t BgL_vecz00_70,
		obj_t BgL_locz00_71)
	{
		{	/* Cnst/alloc.scm 892 */
			{

				{	/* Cnst/alloc.scm 975 */
					obj_t BgL_oldz00_2255;

					{	/* Cnst/alloc.scm 975 */
						obj_t BgL__andtest_1235z00_2262;

						BgL__andtest_1235z00_2262 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1235z00_2262))
							{
								obj_t BgL_envz00_2264;

								BgL_envz00_2264 = BGl_za2vectorzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32157ze3z87_2265:
								if (NULLP(BgL_envz00_2264))
									{	/* Cnst/alloc.scm 978 */
										BgL_oldz00_2255 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 980 */
										bool_t BgL_test2630z00_5546;

										{	/* Cnst/alloc.scm 980 */
											obj_t BgL_arg2163z00_2271;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_sz00_3328;

												BgL_sz00_3328 = CAR(((obj_t) BgL_envz00_2264));
												BgL_arg2163z00_2271 =
													STRUCT_REF(BgL_sz00_3328, (int) (0L));
											}
											BgL_test2630z00_5546 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2163z00_2271, BgL_vecz00_70);
										}
										if (BgL_test2630z00_5546)
											{	/* Cnst/alloc.scm 980 */
												BgL_oldz00_2255 = CAR(((obj_t) BgL_envz00_2264));
											}
										else
											{	/* Cnst/alloc.scm 983 */
												obj_t BgL_arg2162z00_2270;

												BgL_arg2162z00_2270 = CDR(((obj_t) BgL_envz00_2264));
												{
													obj_t BgL_envz00_5556;

													BgL_envz00_5556 = BgL_arg2162z00_2270;
													BgL_envz00_2264 = BgL_envz00_5556;
													goto BgL_zc3z04anonymousza32157ze3z87_2265;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 975 */
								BgL_oldz00_2255 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2255))
						{	/* Cnst/alloc.scm 985 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 987 */
									BgL_refz00_bglt BgL_new1237z00_2256;

									{	/* Cnst/alloc.scm 988 */
										BgL_refz00_bglt BgL_new1236z00_2259;

										BgL_new1236z00_2259 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 988 */
											long BgL_arg2155z00_2260;

											BgL_arg2155z00_2260 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1236z00_2259),
												BgL_arg2155z00_2260);
										}
										{	/* Cnst/alloc.scm 988 */
											BgL_objectz00_bglt BgL_tmpz00_5567;

											BgL_tmpz00_5567 =
												((BgL_objectz00_bglt) BgL_new1236z00_2259);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5567, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1236z00_2259);
										BgL_new1237z00_2256 = BgL_new1236z00_2259;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1237z00_2256)))->
											BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
									{
										BgL_typez00_bglt BgL_auxz00_5573;

										{	/* Cnst/alloc.scm 990 */
											BgL_typez00_bglt BgL_arg2153z00_2257;

											BgL_arg2153z00_2257 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															STRUCT_REF(
																((obj_t) BgL_oldz00_2255),
																(int) (1L)))))->BgL_typez00);
											BgL_auxz00_5573 =
												BGl_strictzd2nodezd2typez00zzast_nodez00(
												((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00),
												BgL_arg2153z00_2257);
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1237z00_2256)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_auxz00_5573), BUNSPEC);
									}
									((((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_new1237z00_2256)))->
											BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2255), (int) (1L)))),
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1237z00_2256);
								}
							else
								{	/* Cnst/alloc.scm 992 */
									obj_t BgL_arg2156z00_2261;

									BgL_arg2156z00_2261 =
										STRUCT_REF(((obj_t) BgL_oldz00_2255), (int) (1L));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2156z00_2261, BGl_za2vectorza2z00zztype_cachez00,
											BgL_locz00_71));
								}
						}
					else
						{	/* Cnst/alloc.scm 985 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{
									BgL_refz00_bglt BgL_auxz00_5599;

									{	/* Cnst/alloc.scm 962 */
										BgL_globalz00_bglt BgL_varz00_2333;

										{	/* Cnst/alloc.scm 962 */
											obj_t BgL_arg2212z00_2348;

											{	/* Cnst/alloc.scm 962 */
												obj_t BgL_arg2213z00_2349;

												BgL_arg2213z00_2349 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(52)));
												BgL_arg2212z00_2348 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2213z00_2349, ((obj_t) CNST_TABLE_REF(52)));
											}
											BgL_varz00_2333 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2212z00_2348,
												BGl_za2moduleza2z00zzmodule_modulez00,
												((obj_t) CNST_TABLE_REF(2)),
												((obj_t) CNST_TABLE_REF(3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 967 */
												obj_t BgL_arg2200z00_2334;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3317;

													BgL_newz00_3317 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_5619;
														int BgL_tmpz00_5617;

														BgL_auxz00_5619 = ((obj_t) BgL_varz00_2333);
														BgL_tmpz00_5617 = (int) (1L);
														STRUCT_SET(BgL_newz00_3317, BgL_tmpz00_5617,
															BgL_auxz00_5619);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_5622;

														BgL_tmpz00_5622 = (int) (0L);
														STRUCT_SET(BgL_newz00_3317, BgL_tmpz00_5622,
															BgL_vecz00_70);
													}
													BgL_arg2200z00_2334 = BgL_newz00_3317;
												}
												BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2200z00_2334,
													BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 966 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 968 */
											obj_t BgL_arg2201z00_2335;

											{	/* Cnst/alloc.scm 968 */
												obj_t BgL_arg2202z00_2336;

												{	/* Cnst/alloc.scm 968 */
													obj_t BgL_arg2203z00_2337;
													obj_t BgL_arg2204z00_2338;

													{	/* Cnst/alloc.scm 968 */
														obj_t BgL_arg2205z00_2339;

														{	/* Cnst/alloc.scm 968 */
															obj_t BgL_arg2206z00_2340;
															obj_t BgL_arg2207z00_2341;

															BgL_arg2206z00_2340 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2333)))->
																BgL_idz00);
															BgL_arg2207z00_2341 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2333))->BgL_modulez00),
																BNIL);
															BgL_arg2205z00_2339 =
																MAKE_YOUNG_PAIR(BgL_arg2206z00_2340,
																BgL_arg2207z00_2341);
														}
														BgL_arg2203z00_2337 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg2205z00_2339);
													}
													{	/* Cnst/alloc.scm 969 */
														BgL_nodez00_bglt BgL_arg2209z00_2343;

														{	/* Cnst/alloc.scm 897 */
															BgL_nodez00_bglt BgL_arg2166z00_2275;

															{	/* Cnst/alloc.scm 897 */
																BgL_letzd2varzd2_bglt BgL_arg2167z00_2276;
																BgL_typez00_bglt BgL_arg2168z00_2277;

																{	/* Cnst/alloc.scm 897 */
																	BgL_localz00_bglt BgL_varz00_2278;
																	obj_t BgL_lz00_2279;

																	BgL_varz00_2278 =
																		BGl_makezd2localzd2svarz00zzast_localz00(
																		((obj_t)
																			CNST_TABLE_REF(51)),
																		((BgL_typez00_bglt)
																			BGl_za2vectorza2z00zztype_cachez00));
																	BgL_lz00_2279 =
																		BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
																		(BgL_vecz00_70);
																	{	/* Cnst/alloc.scm 899 */
																		BgL_letzd2varzd2_bglt BgL_new1212z00_2280;

																		{	/* Cnst/alloc.scm 900 */
																			BgL_letzd2varzd2_bglt BgL_new1211z00_2327;

																			BgL_new1211z00_2327 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Cnst/alloc.scm 900 */
																				long BgL_arg2196z00_2328;

																				BgL_arg2196z00_2328 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1211z00_2327),
																					BgL_arg2196z00_2328);
																			}
																			{	/* Cnst/alloc.scm 900 */
																				BgL_objectz00_bglt BgL_tmpz00_5643;

																				BgL_tmpz00_5643 =
																					((BgL_objectz00_bglt)
																					BgL_new1211z00_2327);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5643,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1211z00_2327);
																			BgL_new1212z00_2280 = BgL_new1211z00_2327;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1212z00_2280)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_71), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1212z00_2280)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt)
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																						BGl_za2vectorza2z00zztype_cachez00),
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00))),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1212z00_2280)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1212z00_2280)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_5659;

																			{	/* Cnst/alloc.scm 905 */
																				obj_t BgL_arg2169z00_2281;

																				{	/* Cnst/alloc.scm 905 */
																					BgL_appz00_bglt BgL_arg2171z00_2283;

																					{	/* Cnst/alloc.scm 905 */
																						BgL_appz00_bglt BgL_new1214z00_2284;

																						{	/* Cnst/alloc.scm 912 */
																							BgL_appz00_bglt
																								BgL_new1213z00_2294;
																							BgL_new1213z00_2294 =
																								((BgL_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_appz00_bgl))));
																							{	/* Cnst/alloc.scm 912 */
																								long BgL_arg2177z00_2295;

																								{	/* Cnst/alloc.scm 912 */
																									obj_t BgL_classz00_3265;

																									BgL_classz00_3265 =
																										BGl_appz00zzast_nodez00;
																									BgL_arg2177z00_2295 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3265);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1213z00_2294),
																									BgL_arg2177z00_2295);
																							}
																							{	/* Cnst/alloc.scm 912 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_5664;
																								BgL_tmpz00_5664 =
																									((BgL_objectz00_bglt)
																									BgL_new1213z00_2294);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_5664, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1213z00_2294);
																							BgL_new1214z00_2284 =
																								BgL_new1213z00_2294;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1214z00_2284)))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_71), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1214z00_2284)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BGl_za2vectorza2z00zztype_cachez00)),
																							BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1214z00_2284)))->
																								BgL_sidezd2effectzd2) =
																							((obj_t) BUNSPEC), BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1214z00_2284)))->
																								BgL_keyz00) =
																							((obj_t) BINT((-1L))), BUNSPEC);
																						{
																							BgL_varz00_bglt BgL_auxz00_5678;

																							{	/* Cnst/alloc.scm 908 */
																								BgL_refz00_bglt
																									BgL_new1216z00_2285;
																								{	/* Cnst/alloc.scm 911 */
																									BgL_refz00_bglt
																										BgL_new1215z00_2286;
																									BgL_new1215z00_2286 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Cnst/alloc.scm 911 */
																										long BgL_arg2172z00_2287;

																										{	/* Cnst/alloc.scm 911 */
																											obj_t BgL_classz00_3269;

																											BgL_classz00_3269 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg2172z00_2287 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3269);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1215z00_2286),
																											BgL_arg2172z00_2287);
																									}
																									{	/* Cnst/alloc.scm 911 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_5683;
																										BgL_tmpz00_5683 =
																											((BgL_objectz00_bglt)
																											BgL_new1215z00_2286);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_5683, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1215z00_2286);
																									BgL_new1216z00_2285 =
																										BgL_new1215z00_2286;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1216z00_2285)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_71),
																									BUNSPEC);
																								{
																									BgL_typez00_bglt
																										BgL_auxz00_5689;
																									{	/* Cnst/alloc.scm 910 */
																										BgL_variablez00_bglt
																											BgL_oz00_3273;
																										BgL_oz00_3273 =
																											((BgL_variablez00_bglt)
																											BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00);
																										BgL_auxz00_5689 =
																											(((BgL_variablez00_bglt)
																												COBJECT
																												(BgL_oz00_3273))->
																											BgL_typez00);
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1216z00_2285)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_auxz00_5689),
																										BUNSPEC);
																								}
																								((((BgL_varz00_bglt) COBJECT(
																												((BgL_varz00_bglt)
																													BgL_new1216z00_2285)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00)),
																									BUNSPEC);
																								BgL_auxz00_5678 =
																									((BgL_varz00_bglt)
																									BgL_new1216z00_2285);
																							}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1214z00_2284))->
																									BgL_funz00) =
																								((BgL_varz00_bglt)
																									BgL_auxz00_5678), BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_5699;

																							{	/* Cnst/alloc.scm 913 */
																								BgL_kwotez00_bglt
																									BgL_arg2173z00_2288;
																								{	/* Cnst/alloc.scm 913 */
																									BgL_kwotez00_bglt
																										BgL_new1219z00_2290;
																									{	/* Cnst/alloc.scm 917 */
																										BgL_kwotez00_bglt
																											BgL_new1217z00_2292;
																										BgL_new1217z00_2292 =
																											((BgL_kwotez00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_kwotez00_bgl))));
																										{	/* Cnst/alloc.scm 917 */
																											long BgL_arg2176z00_2293;

																											{	/* Cnst/alloc.scm 917 */
																												obj_t BgL_classz00_3274;

																												BgL_classz00_3274 =
																													BGl_kwotez00zzast_nodez00;
																												BgL_arg2176z00_2293 =
																													BGL_CLASS_NUM
																													(BgL_classz00_3274);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1217z00_2292),
																												BgL_arg2176z00_2293);
																										}
																										{	/* Cnst/alloc.scm 917 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5704;
																											BgL_tmpz00_5704 =
																												((BgL_objectz00_bglt)
																												BgL_new1217z00_2292);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_5704,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1217z00_2292);
																										BgL_new1219z00_2290 =
																											BgL_new1217z00_2292;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1219z00_2290)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_71),
																										BUNSPEC);
																									{
																										BgL_typez00_bglt
																											BgL_auxz00_5710;
																										{	/* Cnst/alloc.scm 916 */
																											BgL_typez00_bglt
																												BgL_arg2175z00_2291;
																											BgL_arg2175z00_2291 =
																												BGl_getzd2typezd2kwotez00zztype_typeofz00
																												(BgL_lz00_2279);
																											BgL_auxz00_5710 =
																												BGl_strictzd2nodezd2typez00zzast_nodez00
																												(BgL_arg2175z00_2291,
																												((BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00));
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1219z00_2290)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_auxz00_5710),
																											BUNSPEC);
																									}
																									((((BgL_kwotez00_bglt)
																												COBJECT
																												(BgL_new1219z00_2290))->
																											BgL_valuez00) =
																										((obj_t) BgL_lz00_2279),
																										BUNSPEC);
																									BgL_arg2173z00_2288 =
																										BgL_new1219z00_2290;
																								}
																								{	/* Cnst/alloc.scm 912 */
																									obj_t BgL_list2174z00_2289;

																									BgL_list2174z00_2289 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg2173z00_2288),
																										BNIL);
																									BgL_auxz00_5699 =
																										BgL_list2174z00_2289;
																							}}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1214z00_2284))->
																									BgL_argsz00) =
																								((obj_t) BgL_auxz00_5699),
																								BUNSPEC);
																						}
																						((((BgL_appz00_bglt)
																									COBJECT
																									(BgL_new1214z00_2284))->
																								BgL_stackablez00) =
																							((obj_t) BFALSE), BUNSPEC);
																						BgL_arg2171z00_2283 =
																							BgL_new1214z00_2284;
																					}
																					BgL_arg2169z00_2281 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_varz00_2278),
																						((obj_t) BgL_arg2171z00_2283));
																				}
																				{	/* Cnst/alloc.scm 903 */
																					obj_t BgL_list2170z00_2282;

																					BgL_list2170z00_2282 =
																						MAKE_YOUNG_PAIR(BgL_arg2169z00_2281,
																						BNIL);
																					BgL_auxz00_5659 =
																						BgL_list2170z00_2282;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1212z00_2280))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_5659), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_5726;

																			{	/* Cnst/alloc.scm 918 */
																				BgL_refz00_bglt BgL_varzd2bodyzd2_2296;

																				{	/* Cnst/alloc.scm 918 */
																					BgL_refz00_bglt BgL_new1221z00_2324;

																					{	/* Cnst/alloc.scm 919 */
																						BgL_refz00_bglt BgL_new1220z00_2325;

																						BgL_new1220z00_2325 =
																							((BgL_refz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_refz00_bgl))));
																						{	/* Cnst/alloc.scm 919 */
																							long BgL_arg2195z00_2326;

																							{	/* Cnst/alloc.scm 919 */
																								obj_t BgL_classz00_3280;

																								BgL_classz00_3280 =
																									BGl_refz00zzast_nodez00;
																								BgL_arg2195z00_2326 =
																									BGL_CLASS_NUM
																									(BgL_classz00_3280);
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1220z00_2325),
																								BgL_arg2195z00_2326);
																						}
																						{	/* Cnst/alloc.scm 919 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_5731;
																							BgL_tmpz00_5731 =
																								((BgL_objectz00_bglt)
																								BgL_new1220z00_2325);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_5731, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1220z00_2325);
																						BgL_new1221z00_2324 =
																							BgL_new1220z00_2325;
																					}
																					((((BgL_nodez00_bglt) COBJECT(
																									((BgL_nodez00_bglt)
																										BgL_new1221z00_2324)))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_71), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								COBJECT(((BgL_nodez00_bglt)
																										BgL_new1221z00_2324)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) ((
																									(BgL_variablez00_bglt)
																									COBJECT((
																											(BgL_variablez00_bglt)
																											BgL_varz00_2278)))->
																								BgL_typez00)), BUNSPEC);
																					((((BgL_varz00_bglt)
																								COBJECT(((BgL_varz00_bglt)
																										BgL_new1221z00_2324)))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BgL_varz00_2278)), BUNSPEC);
																					BgL_varzd2bodyzd2_2296 =
																						BgL_new1221z00_2324;
																				}
																				{	/* Cnst/alloc.scm 922 */
																					bool_t BgL_test2635z00_5744;

																					{	/* Cnst/alloc.scm 922 */
																						int BgL_arg2194z00_2323;

																						BgL_arg2194z00_2323 =
																							VECTOR_TAG(BgL_vecz00_70);
																						BgL_test2635z00_5744 =
																							(
																							(long) (BgL_arg2194z00_2323) >
																							0L);
																					}
																					if (BgL_test2635z00_5744)
																						{	/* Cnst/alloc.scm 923 */
																							BgL_sequencez00_bglt
																								BgL_new1223z00_2299;
																							{	/* Cnst/alloc.scm 924 */
																								BgL_sequencez00_bglt
																									BgL_new1222z00_2321;
																								BgL_new1222z00_2321 =
																									((BgL_sequencez00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_sequencez00_bgl))));
																								{	/* Cnst/alloc.scm 924 */
																									long BgL_arg2193z00_2322;

																									{	/* Cnst/alloc.scm 924 */
																										obj_t BgL_classz00_3287;

																										BgL_classz00_3287 =
																											BGl_sequencez00zzast_nodez00;
																										BgL_arg2193z00_2322 =
																											BGL_CLASS_NUM
																											(BgL_classz00_3287);
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1222z00_2321),
																										BgL_arg2193z00_2322);
																								}
																								{	/* Cnst/alloc.scm 924 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5752;
																									BgL_tmpz00_5752 =
																										((BgL_objectz00_bglt)
																										BgL_new1222z00_2321);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_tmpz00_5752, BFALSE);
																								}
																								((BgL_objectz00_bglt)
																									BgL_new1222z00_2321);
																								BgL_new1223z00_2299 =
																									BgL_new1222z00_2321;
																							}
																							((((BgL_nodez00_bglt) COBJECT(
																											((BgL_nodez00_bglt)
																												BgL_new1223z00_2299)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_71),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										COBJECT(((BgL_nodez00_bglt)
																												BgL_new1223z00_2299)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt) (
																										(BgL_typez00_bglt)
																										BGl_za2vectorza2z00zztype_cachez00)),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1223z00_2299)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										COBJECT((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1223z00_2299)))->
																									BgL_keyz00) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							{
																								obj_t BgL_auxz00_5766;

																								{	/* Cnst/alloc.scm 928 */
																									BgL_appz00_bglt
																										BgL_arg2180z00_2300;
																									{	/* Cnst/alloc.scm 928 */
																										BgL_appz00_bglt
																											BgL_new1225z00_2303;
																										{	/* Cnst/alloc.scm 929 */
																											BgL_appz00_bglt
																												BgL_new1224z00_2319;
																											BgL_new1224z00_2319 =
																												((BgL_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_appz00_bgl))));
																											{	/* Cnst/alloc.scm 929 */
																												long
																													BgL_arg2192z00_2320;
																												{	/* Cnst/alloc.scm 929 */
																													obj_t
																														BgL_classz00_3291;
																													BgL_classz00_3291 =
																														BGl_appz00zzast_nodez00;
																													BgL_arg2192z00_2320 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3291);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1224z00_2319),
																													BgL_arg2192z00_2320);
																											}
																											{	/* Cnst/alloc.scm 929 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_5771;
																												BgL_tmpz00_5771 =
																													((BgL_objectz00_bglt)
																													BgL_new1224z00_2319);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_5771,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1224z00_2319);
																											BgL_new1225z00_2303 =
																												BgL_new1224z00_2319;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1225z00_2303)))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_71),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1225z00_2303)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt) (
																													(BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00)),
																											BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1225z00_2303)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																										((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1225z00_2303)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																										{
																											BgL_varz00_bglt
																												BgL_auxz00_5785;
																											{	/* Cnst/alloc.scm 931 */
																												BgL_refz00_bglt
																													BgL_new1227z00_2304;
																												{	/* Cnst/alloc.scm 932 */
																													BgL_refz00_bglt
																														BgL_new1226z00_2305;
																													BgL_new1226z00_2305 =
																														((BgL_refz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_refz00_bgl))));
																													{	/* Cnst/alloc.scm 932 */
																														long
																															BgL_arg2183z00_2306;
																														{	/* Cnst/alloc.scm 932 */
																															obj_t
																																BgL_classz00_3295;
																															BgL_classz00_3295
																																=
																																BGl_refz00zzast_nodez00;
																															BgL_arg2183z00_2306
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_3295);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1226z00_2305), BgL_arg2183z00_2306);
																													}
																													{	/* Cnst/alloc.scm 932 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_5790;
																														BgL_tmpz00_5790 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1226z00_2305);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_5790,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1226z00_2305);
																													BgL_new1227z00_2304 =
																														BgL_new1226z00_2305;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1227z00_2304)))->
																														BgL_locz00) =
																													((obj_t)
																														BgL_locz00_71),
																													BUNSPEC);
																												{
																													BgL_typez00_bglt
																														BgL_auxz00_5796;
																													{	/* Cnst/alloc.scm 933 */
																														BgL_variablez00_bglt
																															BgL_oz00_3299;
																														BgL_oz00_3299 =
																															(
																															(BgL_variablez00_bglt)
																															BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00);
																														BgL_auxz00_5796 =
																															(((BgL_variablez00_bglt) COBJECT(BgL_oz00_3299))->BgL_typez00);
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1227z00_2304)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															BgL_auxz00_5796),
																														BUNSPEC);
																												}
																												((((BgL_varz00_bglt)
																															COBJECT((
																																	(BgL_varz00_bglt)
																																	BgL_new1227z00_2304)))->
																														BgL_variablez00) =
																													((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00)), BUNSPEC);
																												BgL_auxz00_5785 =
																													((BgL_varz00_bglt)
																													BgL_new1227z00_2304);
																											}
																											((((BgL_appz00_bglt)
																														COBJECT
																														(BgL_new1225z00_2303))->
																													BgL_funz00) =
																												((BgL_varz00_bglt)
																													BgL_auxz00_5785),
																												BUNSPEC);
																										}
																										{
																											obj_t BgL_auxz00_5806;

																											{	/* Cnst/alloc.scm 937 */
																												BgL_refz00_bglt
																													BgL_arg2184z00_2307;
																												BgL_literalz00_bglt
																													BgL_arg2185z00_2308;
																												{	/* Cnst/alloc.scm 937 */
																													BgL_refz00_bglt
																														BgL_new1230z00_2311;
																													{	/* Cnst/alloc.scm 938 */
																														BgL_refz00_bglt
																															BgL_new1229z00_2312;
																														BgL_new1229z00_2312
																															=
																															((BgL_refz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_refz00_bgl))));
																														{	/* Cnst/alloc.scm 938 */
																															long
																																BgL_arg2188z00_2313;
																															{	/* Cnst/alloc.scm 938 */
																																obj_t
																																	BgL_classz00_3300;
																																BgL_classz00_3300
																																	=
																																	BGl_refz00zzast_nodez00;
																																BgL_arg2188z00_2313
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_3300);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1229z00_2312), BgL_arg2188z00_2313);
																														}
																														{	/* Cnst/alloc.scm 938 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5811;
																															BgL_tmpz00_5811 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1229z00_2312);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_5811,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1229z00_2312);
																														BgL_new1230z00_2311
																															=
																															BgL_new1229z00_2312;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1230z00_2311)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_71),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1230z00_2311)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt) BgL_varz00_2278)))->BgL_typez00)), BUNSPEC);
																													((((BgL_varz00_bglt)
																																COBJECT((
																																		(BgL_varz00_bglt)
																																		BgL_new1230z00_2311)))->
																															BgL_variablez00) =
																														((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_varz00_2278)), BUNSPEC);
																													BgL_arg2184z00_2307 =
																														BgL_new1230z00_2311;
																												}
																												{	/* Cnst/alloc.scm 941 */
																													BgL_literalz00_bglt
																														BgL_new1232z00_2314;
																													{	/* Cnst/alloc.scm 942 */
																														BgL_literalz00_bglt
																															BgL_new1231z00_2317;
																														BgL_new1231z00_2317
																															=
																															(
																															(BgL_literalz00_bglt)
																															BOBJECT(GC_MALLOC
																																(sizeof(struct
																																		BgL_literalz00_bgl))));
																														{	/* Cnst/alloc.scm 942 */
																															long
																																BgL_arg2191z00_2318;
																															{	/* Cnst/alloc.scm 942 */
																																obj_t
																																	BgL_classz00_3305;
																																BgL_classz00_3305
																																	=
																																	BGl_literalz00zzast_nodez00;
																																BgL_arg2191z00_2318
																																	=
																																	BGL_CLASS_NUM
																																	(BgL_classz00_3305);
																															}
																															BGL_OBJECT_CLASS_NUM_SET
																																(((BgL_objectz00_bglt) BgL_new1231z00_2317), BgL_arg2191z00_2318);
																														}
																														{	/* Cnst/alloc.scm 942 */
																															BgL_objectz00_bglt
																																BgL_tmpz00_5828;
																															BgL_tmpz00_5828 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1231z00_2317);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_tmpz00_5828,
																																BFALSE);
																														}
																														((BgL_objectz00_bglt) BgL_new1231z00_2317);
																														BgL_new1232z00_2314
																															=
																															BgL_new1231z00_2317;
																													}
																													((((BgL_nodez00_bglt)
																																COBJECT((
																																		(BgL_nodez00_bglt)
																																		BgL_new1232z00_2314)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_71),
																														BUNSPEC);
																													{
																														BgL_typez00_bglt
																															BgL_auxz00_5834;
																														{	/* Cnst/alloc.scm 944 */
																															BgL_typez00_bglt
																																BgL_arg2189z00_2315;
																															{	/* Cnst/alloc.scm 944 */
																																int
																																	BgL_arg2190z00_2316;
																																BgL_arg2190z00_2316
																																	=
																																	VECTOR_TAG
																																	(BgL_vecz00_70);
																																BgL_arg2189z00_2315
																																	=
																																	BGl_getzd2typezd2atomz00zztype_typeofz00
																																	(BINT
																																	(BgL_arg2190z00_2316));
																															}
																															BgL_auxz00_5834 =
																																BGl_strictzd2nodezd2typez00zzast_nodez00
																																(BgL_arg2189z00_2315,
																																((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1232z00_2314)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5834), BUNSPEC);
																													}
																													((((BgL_atomz00_bglt)
																																COBJECT((
																																		(BgL_atomz00_bglt)
																																		BgL_new1232z00_2314)))->
																															BgL_valuez00) =
																														((obj_t)
																															BINT(VECTOR_TAG
																																(BgL_vecz00_70))),
																														BUNSPEC);
																													BgL_arg2185z00_2308 =
																														BgL_new1232z00_2314;
																												}
																												{	/* Cnst/alloc.scm 936 */
																													obj_t
																														BgL_list2186z00_2309;
																													{	/* Cnst/alloc.scm 936 */
																														obj_t
																															BgL_arg2187z00_2310;
																														BgL_arg2187z00_2310
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg2185z00_2308),
																															BNIL);
																														BgL_list2186z00_2309
																															=
																															MAKE_YOUNG_PAIR((
																																(obj_t)
																																BgL_arg2184z00_2307),
																															BgL_arg2187z00_2310);
																													}
																													BgL_auxz00_5806 =
																														BgL_list2186z00_2309;
																											}}
																											((((BgL_appz00_bglt)
																														COBJECT
																														(BgL_new1225z00_2303))->
																													BgL_argsz00) =
																												((obj_t)
																													BgL_auxz00_5806),
																												BUNSPEC);
																										}
																										((((BgL_appz00_bglt)
																													COBJECT
																													(BgL_new1225z00_2303))->
																												BgL_stackablez00) =
																											((obj_t) BFALSE),
																											BUNSPEC);
																										BgL_arg2180z00_2300 =
																											BgL_new1225z00_2303;
																									}
																									{	/* Cnst/alloc.scm 927 */
																										obj_t BgL_list2181z00_2301;

																										{	/* Cnst/alloc.scm 927 */
																											obj_t BgL_arg2182z00_2302;

																											BgL_arg2182z00_2302 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_varzd2bodyzd2_2296),
																												BNIL);
																											BgL_list2181z00_2301 =
																												MAKE_YOUNG_PAIR(((obj_t)
																													BgL_arg2180z00_2300),
																												BgL_arg2182z00_2302);
																										}
																										BgL_auxz00_5766 =
																											BgL_list2181z00_2301;
																								}}
																								((((BgL_sequencez00_bglt)
																											COBJECT
																											(BgL_new1223z00_2299))->
																										BgL_nodesz00) =
																									((obj_t) BgL_auxz00_5766),
																									BUNSPEC);
																							}
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1223z00_2299))->
																									BgL_unsafez00) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_sequencez00_bglt)
																										COBJECT
																										(BgL_new1223z00_2299))->
																									BgL_metaz00) =
																								((obj_t) BNIL), BUNSPEC);
																							BgL_auxz00_5726 =
																								((BgL_nodez00_bglt)
																								BgL_new1223z00_2299);
																						}
																					else
																						{	/* Cnst/alloc.scm 922 */
																							BgL_auxz00_5726 =
																								((BgL_nodez00_bglt)
																								BgL_varzd2bodyzd2_2296);
																						}
																				}
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1212z00_2280))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_5726),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1212z00_2280))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_arg2167z00_2276 = BgL_new1212z00_2280;
																	}
																}
																BgL_arg2168z00_2277 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt)
																		BGl_za2vectorza2z00zztype_cachez00),
																	((BgL_typez00_bglt)
																		BGl_za2objza2z00zztype_cachez00));
																BgL_arg2166z00_2275 =
																	BGl_coercez12z12zzcoerce_coercez00((
																		(BgL_nodez00_bglt) BgL_arg2167z00_2276),
																	BUNSPEC, BgL_arg2168z00_2277, ((bool_t) 0));
															}
															BgL_arg2209z00_2343 =
																BGl_cnstz12z12zzcnst_nodez00
																(BgL_arg2166z00_2275);
														}
														BgL_arg2204z00_2338 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2209z00_2343), BNIL);
													}
													BgL_arg2202z00_2336 =
														MAKE_YOUNG_PAIR(BgL_arg2203z00_2337,
														BgL_arg2204z00_2338);
												}
												BgL_arg2201z00_2335 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg2202z00_2336);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2201z00_2335,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 970 */
											BgL_refz00_bglt BgL_new1234z00_2344;

											{	/* Cnst/alloc.scm 971 */
												BgL_refz00_bglt BgL_new1233z00_2346;

												BgL_new1233z00_2346 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 971 */
													long BgL_arg2211z00_2347;

													BgL_arg2211z00_2347 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1233z00_2346),
														BgL_arg2211z00_2347);
												}
												{	/* Cnst/alloc.scm 971 */
													BgL_objectz00_bglt BgL_tmpz00_5880;

													BgL_tmpz00_5880 =
														((BgL_objectz00_bglt) BgL_new1233z00_2346);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5880, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1233z00_2346);
												BgL_new1234z00_2344 = BgL_new1233z00_2346;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1234z00_2344)))->
													BgL_locz00) = ((obj_t) BgL_locz00_71), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_5886;

												{	/* Cnst/alloc.scm 972 */
													BgL_typez00_bglt BgL_arg2210z00_2345;

													BgL_arg2210z00_2345 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt) BgL_varz00_2333)))->
														BgL_typez00);
													BgL_auxz00_5886 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt)
															BGl_za2vectorza2z00zztype_cachez00),
														BgL_arg2210z00_2345);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1234z00_2344)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_5886), BUNSPEC);
											}
											((((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_new1234z00_2344)))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2333)), BUNSPEC);
											BgL_auxz00_5599 = BgL_new1234z00_2344;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_5599);
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_5897;

									{	/* Cnst/alloc.scm 954 */
										long BgL_offsetz00_2330;

										BgL_offsetz00_2330 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_vecz00_70,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 958 */
												obj_t BgL_arg2198z00_2331;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3314;

													BgL_newz00_3314 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_5908;
														int BgL_tmpz00_5906;

														BgL_auxz00_5908 = BINT(BgL_offsetz00_2330);
														BgL_tmpz00_5906 = (int) (1L);
														STRUCT_SET(BgL_newz00_3314, BgL_tmpz00_5906,
															BgL_auxz00_5908);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_5911;

														BgL_tmpz00_5911 = (int) (0L);
														STRUCT_SET(BgL_newz00_3314, BgL_tmpz00_5911,
															BgL_vecz00_70);
													}
													BgL_arg2198z00_2331 = BgL_newz00_3314;
												}
												BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2198z00_2331,
													BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 957 */
												BFALSE;
											}
										BgL_auxz00_5897 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2330), BGl_za2vectorza2z00zztype_cachez00,
											BgL_locz00_71);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_5897);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-vector */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2vectorz62zzcnst_allocz00(obj_t
		BgL_envz00_3606, obj_t BgL_vecz00_3607, obj_t BgL_locz00_3608)
	{
		{	/* Cnst/alloc.scm 892 */
			return
				BGl_cnstzd2alloczd2vectorz00zzcnst_allocz00(BgL_vecz00_3607,
				BgL_locz00_3608);
		}

	}



/* cnst-alloc-homogenous-vector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00(obj_t
		BgL_vecz00_72, obj_t BgL_locz00_73)
	{
		{	/* Cnst/alloc.scm 1001 */
			{	/* Cnst/alloc.scm 1003 */
				obj_t BgL_veczd2tagzd2_2353;

				{	/* Cnst/alloc.scm 1003 */
					obj_t BgL_tagz00_2448;

					BgL_tagz00_2448 =
						BGl_homogeneouszd2vectorzd2infoz00zz__srfi4z00(BgL_vecz00_72);
					{	/* Cnst/alloc.scm 1004 */
						obj_t BgL__z00_2449;
						obj_t BgL__z00_2450;
						obj_t BgL__z00_2451;

						{	/* Cnst/alloc.scm 1004 */
							obj_t BgL_tmpz00_3339;

							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5920;

								BgL_tmpz00_5920 = (int) (1L);
								BgL_tmpz00_3339 = BGL_MVALUES_VAL(BgL_tmpz00_5920);
							}
							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5923;

								BgL_tmpz00_5923 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5923, BUNSPEC);
							}
							BgL__z00_2449 = BgL_tmpz00_3339;
						}
						{	/* Cnst/alloc.scm 1004 */
							obj_t BgL_tmpz00_3340;

							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5926;

								BgL_tmpz00_5926 = (int) (2L);
								BgL_tmpz00_3340 = BGL_MVALUES_VAL(BgL_tmpz00_5926);
							}
							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5929;

								BgL_tmpz00_5929 = (int) (2L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5929, BUNSPEC);
							}
							BgL__z00_2450 = BgL_tmpz00_3340;
						}
						{	/* Cnst/alloc.scm 1004 */
							obj_t BgL_tmpz00_3341;

							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5932;

								BgL_tmpz00_5932 = (int) (3L);
								BgL_tmpz00_3341 = BGL_MVALUES_VAL(BgL_tmpz00_5932);
							}
							{	/* Cnst/alloc.scm 1004 */
								int BgL_tmpz00_5935;

								BgL_tmpz00_5935 = (int) (3L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_5935, BUNSPEC);
							}
							BgL__z00_2451 = BgL_tmpz00_3341;
						}
						BgL_veczd2tagzd2_2353 = BgL_tagz00_2448;
				}}
				{	/* Cnst/alloc.scm 1003 */
					obj_t BgL_veczd2typezd2idz00_2354;

					{	/* Cnst/alloc.scm 1006 */
						obj_t BgL_arg2273z00_2445;

						{	/* Cnst/alloc.scm 1006 */
							obj_t BgL_arg2274z00_2446;
							obj_t BgL_arg2275z00_2447;

							{	/* Cnst/alloc.scm 1006 */
								obj_t BgL_arg1486z00_3343;

								BgL_arg1486z00_3343 =
									SYMBOL_TO_STRING(((obj_t) BgL_veczd2tagzd2_2353));
								BgL_arg2274z00_2446 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1486z00_3343);
							}
							{	/* Cnst/alloc.scm 1006 */
								obj_t BgL_symbolz00_3344;

								BgL_symbolz00_3344 = ((obj_t) CNST_TABLE_REF(52));
								{	/* Cnst/alloc.scm 1006 */
									obj_t BgL_arg1486z00_3345;

									BgL_arg1486z00_3345 = SYMBOL_TO_STRING(BgL_symbolz00_3344);
									BgL_arg2275z00_2447 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1486z00_3345);
							}}
							BgL_arg2273z00_2445 =
								string_append(BgL_arg2274z00_2446, BgL_arg2275z00_2447);
						}
						BgL_veczd2typezd2idz00_2354 =
							bstring_to_symbol(BgL_arg2273z00_2445);
					}
					{	/* Cnst/alloc.scm 1006 */
						BgL_typez00_bglt BgL_veczd2typezd2_2355;

						BgL_veczd2typezd2_2355 =
							BGl_findzd2typezd2zztype_envz00(BgL_veczd2typezd2idz00_2354);
						{	/* Cnst/alloc.scm 1007 */
							obj_t BgL_listzd2ze3vectorz31_2356;

							{	/* Cnst/alloc.scm 1008 */
								obj_t BgL_list2270z00_2442;

								{	/* Cnst/alloc.scm 1008 */
									obj_t BgL_arg2271z00_2443;

									{	/* Cnst/alloc.scm 1008 */
										obj_t BgL_arg2272z00_2444;

										BgL_arg2272z00_2444 =
											MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(52)), BNIL);
										BgL_arg2271z00_2443 =
											MAKE_YOUNG_PAIR(BgL_veczd2tagzd2_2353,
											BgL_arg2272z00_2444);
									}
									BgL_list2270z00_2442 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(53)), BgL_arg2271z00_2443);
								}
								BgL_listzd2ze3vectorz31_2356 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list2270z00_2442);
							}
							{	/* Cnst/alloc.scm 1008 */
								obj_t BgL_vectorzd2ze3listz31_2357;

								if ((BgL_veczd2tagzd2_2353 == ((obj_t) CNST_TABLE_REF(54))))
									{	/* Cnst/alloc.scm 1009 */
										BgL_vectorzd2ze3listz31_2357 =
											BGl_s8vectorzd2ze3listzd2envze3zz__srfi4z00;
									}
								else
									{	/* Cnst/alloc.scm 1009 */
										if ((BgL_veczd2tagzd2_2353 == ((obj_t) CNST_TABLE_REF(55))))
											{	/* Cnst/alloc.scm 1009 */
												BgL_vectorzd2ze3listz31_2357 =
													BGl_u8vectorzd2ze3listzd2envze3zz__srfi4z00;
											}
										else
											{	/* Cnst/alloc.scm 1009 */
												if (
													(BgL_veczd2tagzd2_2353 ==
														((obj_t) CNST_TABLE_REF(56))))
													{	/* Cnst/alloc.scm 1009 */
														BgL_vectorzd2ze3listz31_2357 =
															BGl_s16vectorzd2ze3listzd2envze3zz__srfi4z00;
													}
												else
													{	/* Cnst/alloc.scm 1009 */
														if (
															(BgL_veczd2tagzd2_2353 ==
																((obj_t) CNST_TABLE_REF(57))))
															{	/* Cnst/alloc.scm 1009 */
																BgL_vectorzd2ze3listz31_2357 =
																	BGl_u16vectorzd2ze3listzd2envze3zz__srfi4z00;
															}
														else
															{	/* Cnst/alloc.scm 1009 */
																if (
																	(BgL_veczd2tagzd2_2353 ==
																		((obj_t) CNST_TABLE_REF(58))))
																	{	/* Cnst/alloc.scm 1009 */
																		BgL_vectorzd2ze3listz31_2357 =
																			BGl_s32vectorzd2ze3listzd2envze3zz__srfi4z00;
																	}
																else
																	{	/* Cnst/alloc.scm 1009 */
																		if (
																			(BgL_veczd2tagzd2_2353 ==
																				((obj_t) CNST_TABLE_REF(59))))
																			{	/* Cnst/alloc.scm 1009 */
																				BgL_vectorzd2ze3listz31_2357 =
																					BGl_u32vectorzd2ze3listzd2envze3zz__srfi4z00;
																			}
																		else
																			{	/* Cnst/alloc.scm 1009 */
																				if (
																					(BgL_veczd2tagzd2_2353 ==
																						((obj_t) CNST_TABLE_REF(60))))
																					{	/* Cnst/alloc.scm 1009 */
																						BgL_vectorzd2ze3listz31_2357 =
																							BGl_s64vectorzd2ze3listzd2envze3zz__srfi4z00;
																					}
																				else
																					{	/* Cnst/alloc.scm 1009 */
																						if (
																							(BgL_veczd2tagzd2_2353 ==
																								((obj_t) CNST_TABLE_REF(61))))
																							{	/* Cnst/alloc.scm 1009 */
																								BgL_vectorzd2ze3listz31_2357 =
																									BGl_u64vectorzd2ze3listzd2envze3zz__srfi4z00;
																							}
																						else
																							{	/* Cnst/alloc.scm 1009 */
																								if (
																									(BgL_veczd2tagzd2_2353 ==
																										((obj_t)
																											CNST_TABLE_REF(62))))
																									{	/* Cnst/alloc.scm 1009 */
																										BgL_vectorzd2ze3listz31_2357
																											=
																											BGl_f32vectorzd2ze3listzd2envze3zz__srfi4z00;
																									}
																								else
																									{	/* Cnst/alloc.scm 1009 */
																										if (
																											(BgL_veczd2tagzd2_2353 ==
																												((obj_t)
																													CNST_TABLE_REF(63))))
																											{	/* Cnst/alloc.scm 1009 */
																												BgL_vectorzd2ze3listz31_2357
																													=
																													BGl_f64vectorzd2ze3listzd2envze3zz__srfi4z00;
																											}
																										else
																											{	/* Cnst/alloc.scm 1009 */
																												BgL_vectorzd2ze3listz31_2357
																													= BUNSPEC;
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								{	/* Cnst/alloc.scm 1009 */

									{

										{	/* Cnst/alloc.scm 1076 */
											obj_t BgL_oldz00_2361;

											{	/* Cnst/alloc.scm 1076 */
												obj_t BgL__andtest_1252z00_2368;

												BgL__andtest_1252z00_2368 =
													BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
												if (CBOOL(BgL__andtest_1252z00_2368))
													{
														obj_t BgL_envz00_2370;

														BgL_envz00_2370 =
															BGl_za2vectorzd2envza2zd2zzcnst_allocz00;
													BgL_zc3z04anonymousza32218ze3z87_2371:
														if (NULLP(BgL_envz00_2370))
															{	/* Cnst/alloc.scm 1079 */
																BgL_oldz00_2361 = BFALSE;
															}
														else
															{	/* Cnst/alloc.scm 1081 */
																bool_t BgL_test2649z00_6000;

																{	/* Cnst/alloc.scm 1081 */
																	obj_t BgL_arg2224z00_2377;

																	{	/* Cnst/alloc.scm 70 */
																		obj_t BgL_sz00_3393;

																		BgL_sz00_3393 =
																			CAR(((obj_t) BgL_envz00_2370));
																		BgL_arg2224z00_2377 =
																			STRUCT_REF(BgL_sz00_3393, (int) (0L));
																	}
																	BgL_test2649z00_6000 =
																		BGl_cnstzd2equalzf3z21zzcnst_allocz00
																		(BgL_arg2224z00_2377, BgL_vecz00_72);
																}
																if (BgL_test2649z00_6000)
																	{	/* Cnst/alloc.scm 1081 */
																		BgL_oldz00_2361 =
																			CAR(((obj_t) BgL_envz00_2370));
																	}
																else
																	{	/* Cnst/alloc.scm 1084 */
																		obj_t BgL_arg2223z00_2376;

																		BgL_arg2223z00_2376 =
																			CDR(((obj_t) BgL_envz00_2370));
																		{
																			obj_t BgL_envz00_6010;

																			BgL_envz00_6010 = BgL_arg2223z00_2376;
																			BgL_envz00_2370 = BgL_envz00_6010;
																			goto
																				BgL_zc3z04anonymousza32218ze3z87_2371;
																		}
																	}
															}
													}
												else
													{	/* Cnst/alloc.scm 1076 */
														BgL_oldz00_2361 = BFALSE;
													}
											}
											BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00
												();
											if (CBOOL(BgL_oldz00_2361))
												{	/* Cnst/alloc.scm 1087 */
													if (
														(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
															((obj_t) CNST_TABLE_REF(14))))
														{	/* Cnst/alloc.scm 1089 */
															BgL_refz00_bglt BgL_new1254z00_2362;

															{	/* Cnst/alloc.scm 1090 */
																BgL_refz00_bglt BgL_new1253z00_2365;

																BgL_new1253z00_2365 =
																	((BgL_refz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_refz00_bgl))));
																{	/* Cnst/alloc.scm 1090 */
																	long BgL_arg2216z00_2366;

																	BgL_arg2216z00_2366 =
																		BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1253z00_2365),
																		BgL_arg2216z00_2366);
																}
																{	/* Cnst/alloc.scm 1090 */
																	BgL_objectz00_bglt BgL_tmpz00_6022;

																	BgL_tmpz00_6022 =
																		((BgL_objectz00_bglt) BgL_new1253z00_2365);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6022,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1253z00_2365);
																BgL_new1254z00_2362 = BgL_new1253z00_2365;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1254z00_2362)))->BgL_locz00) =
																((obj_t) BgL_locz00_73), BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_6028;

																{	/* Cnst/alloc.scm 1092 */
																	BgL_typez00_bglt BgL_arg2214z00_2363;

																	BgL_arg2214z00_2363 =
																		(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					STRUCT_REF(
																						((obj_t) BgL_oldz00_2361),
																						(int) (1L)))))->BgL_typez00);
																	BgL_auxz00_6028 =
																		BGl_strictzd2nodezd2typez00zzast_nodez00
																		(BgL_veczd2typezd2_2355,
																		BgL_arg2214z00_2363);
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1254z00_2362)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_6028),
																	BUNSPEC);
															}
															((((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt)
																				BgL_new1254z00_2362)))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		STRUCT_REF(((obj_t) BgL_oldz00_2361),
																			(int) (1L)))), BUNSPEC);
															return ((BgL_nodez00_bglt) BgL_new1254z00_2362);
														}
													else
														{	/* Cnst/alloc.scm 1094 */
															obj_t BgL_arg2217z00_2367;

															BgL_arg2217z00_2367 =
																STRUCT_REF(
																((obj_t) BgL_oldz00_2361), (int) (1L));
															return
																((BgL_nodez00_bglt)
																BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
																(BgL_arg2217z00_2367,
																	((obj_t) BgL_veczd2typezd2_2355),
																	BgL_locz00_73));
														}
												}
											else
												{	/* Cnst/alloc.scm 1087 */
													if (
														(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
															((obj_t) CNST_TABLE_REF(14))))
														{
															BgL_refz00_bglt BgL_auxz00_6054;

															{	/* Cnst/alloc.scm 1062 */
																BgL_globalz00_bglt BgL_varz00_2412;

																{	/* Cnst/alloc.scm 1063 */
																	obj_t BgL_arg2258z00_2426;

																	BgL_arg2258z00_2426 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(BGl_gensymz00zz__r4_symbols_6_4z00(((obj_t)
																				CNST_TABLE_REF(64))),
																		BgL_veczd2typezd2idz00_2354);
																	BgL_varz00_2412 =
																		BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
																		(BgL_arg2258z00_2426,
																		BGl_za2moduleza2z00zzmodule_modulez00,
																		((obj_t) CNST_TABLE_REF(2)),
																		((obj_t) CNST_TABLE_REF(3)));
																}
																if (CBOOL
																	(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
																	{	/* Cnst/alloc.scm 1068 */
																		obj_t BgL_arg2246z00_2413;

																		{	/* Cnst/alloc.scm 70 */
																			obj_t BgL_newz00_3383;

																			BgL_newz00_3383 =
																				create_struct(
																				((obj_t)
																					CNST_TABLE_REF(9)), (int) (2L));
																			{	/* Cnst/alloc.scm 70 */
																				obj_t BgL_auxz00_6072;
																				int BgL_tmpz00_6070;

																				BgL_auxz00_6072 =
																					((obj_t) BgL_varz00_2412);
																				BgL_tmpz00_6070 = (int) (1L);
																				STRUCT_SET(BgL_newz00_3383,
																					BgL_tmpz00_6070, BgL_auxz00_6072);
																			}
																			{	/* Cnst/alloc.scm 70 */
																				int BgL_tmpz00_6075;

																				BgL_tmpz00_6075 = (int) (0L);
																				STRUCT_SET(BgL_newz00_3383,
																					BgL_tmpz00_6075, BgL_vecz00_72);
																			}
																			BgL_arg2246z00_2413 = BgL_newz00_3383;
																		}
																		BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
																			MAKE_YOUNG_PAIR(BgL_arg2246z00_2413,
																			BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
																	}
																else
																	{	/* Cnst/alloc.scm 1067 */
																		BFALSE;
																	}
																{	/* Cnst/alloc.scm 1069 */
																	obj_t BgL_arg2247z00_2414;

																	{	/* Cnst/alloc.scm 1069 */
																		obj_t BgL_arg2248z00_2415;

																		{	/* Cnst/alloc.scm 1069 */
																			obj_t BgL_arg2249z00_2416;
																			obj_t BgL_arg2250z00_2417;

																			{	/* Cnst/alloc.scm 1069 */
																				obj_t BgL_arg2252z00_2418;

																				{	/* Cnst/alloc.scm 1069 */
																					obj_t BgL_arg2253z00_2419;
																					obj_t BgL_arg2254z00_2420;

																					BgL_arg2253z00_2419 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									BgL_varz00_2412)))->
																						BgL_idz00);
																					BgL_arg2254z00_2420 =
																						MAKE_YOUNG_PAIR(((
																								(BgL_globalz00_bglt)
																								COBJECT(BgL_varz00_2412))->
																							BgL_modulez00), BNIL);
																					BgL_arg2252z00_2418 =
																						MAKE_YOUNG_PAIR(BgL_arg2253z00_2419,
																						BgL_arg2254z00_2420);
																				}
																				BgL_arg2249z00_2416 =
																					MAKE_YOUNG_PAIR(
																					((obj_t)
																						CNST_TABLE_REF(10)),
																					BgL_arg2252z00_2418);
																			}
																			{	/* Cnst/alloc.scm 1070 */
																				BgL_nodez00_bglt BgL_arg2256z00_2422;

																				{	/* Cnst/alloc.scm 1024 */
																					BgL_nodez00_bglt BgL_arg2227z00_2381;

																					{	/* Cnst/alloc.scm 1024 */
																						BgL_letzd2varzd2_bglt
																							BgL_arg2228z00_2382;
																						BgL_typez00_bglt
																							BgL_arg2230z00_2383;
																						{	/* Cnst/alloc.scm 1024 */
																							BgL_localz00_bglt BgL_varz00_2384;
																							obj_t BgL_lz00_2385;

																							BgL_varz00_2384 =
																								BGl_makezd2localzd2svarz00zzast_localz00
																								(((obj_t) CNST_TABLE_REF(51)),
																								BgL_veczd2typezd2_2355);
																							BgL_lz00_2385 =
																								BGL_PROCEDURE_CALL1
																								(BgL_vectorzd2ze3listz31_2357,
																								BgL_vecz00_72);
																							{	/* Cnst/alloc.scm 1026 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1239z00_2386;
																								{	/* Cnst/alloc.scm 1027 */
																									BgL_letzd2varzd2_bglt
																										BgL_new1238z00_2406;
																									BgL_new1238z00_2406 =
																										((BgL_letzd2varzd2_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_letzd2varzd2_bgl))));
																									{	/* Cnst/alloc.scm 1027 */
																										long BgL_arg2242z00_2407;

																										BgL_arg2242z00_2407 =
																											BGL_CLASS_NUM
																											(BGl_letzd2varzd2zzast_nodez00);
																										BGL_OBJECT_CLASS_NUM_SET((
																												(BgL_objectz00_bglt)
																												BgL_new1238z00_2406),
																											BgL_arg2242z00_2407);
																									}
																									{	/* Cnst/alloc.scm 1027 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_6098;
																										BgL_tmpz00_6098 =
																											((BgL_objectz00_bglt)
																											BgL_new1238z00_2406);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_6098, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1238z00_2406);
																									BgL_new1239z00_2386 =
																										BgL_new1238z00_2406;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1239z00_2386)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_73),
																									BUNSPEC);
																								((((BgL_nodez00_bglt)
																											COBJECT((
																													(BgL_nodez00_bglt)
																													BgL_new1239z00_2386)))->
																										BgL_typez00) =
																									((BgL_typez00_bglt)
																										BGl_strictzd2nodezd2typez00zzast_nodez00
																										(BgL_veczd2typezd2_2355,
																											((BgL_typez00_bglt)
																												BGl_za2objza2z00zztype_cachez00))),
																									BUNSPEC);
																								((((BgL_nodezf2effectzf2_bglt)
																											COBJECT((
																													(BgL_nodezf2effectzf2_bglt)
																													BgL_new1239z00_2386)))->
																										BgL_sidezd2effectzd2) =
																									((obj_t) BUNSPEC), BUNSPEC);
																								((((BgL_nodezf2effectzf2_bglt)
																											COBJECT((
																													(BgL_nodezf2effectzf2_bglt)
																													BgL_new1239z00_2386)))->
																										BgL_keyz00) =
																									((obj_t) BINT((-1L))),
																									BUNSPEC);
																								{
																									obj_t BgL_auxz00_6113;

																									{	/* Cnst/alloc.scm 1032 */
																										obj_t BgL_arg2231z00_2387;

																										{	/* Cnst/alloc.scm 1032 */
																											BgL_appz00_bglt
																												BgL_arg2233z00_2389;
																											{	/* Cnst/alloc.scm 1032 */
																												BgL_appz00_bglt
																													BgL_new1241z00_2390;
																												{	/* Cnst/alloc.scm 1039 */
																													BgL_appz00_bglt
																														BgL_new1240z00_2401;
																													BgL_new1240z00_2401 =
																														((BgL_appz00_bglt)
																														BOBJECT(GC_MALLOC
																															(sizeof(struct
																																	BgL_appz00_bgl))));
																													{	/* Cnst/alloc.scm 1039 */
																														long
																															BgL_arg2240z00_2402;
																														{	/* Cnst/alloc.scm 1039 */
																															obj_t
																																BgL_classz00_3361;
																															BgL_classz00_3361
																																=
																																BGl_appz00zzast_nodez00;
																															BgL_arg2240z00_2402
																																=
																																BGL_CLASS_NUM
																																(BgL_classz00_3361);
																														}
																														BGL_OBJECT_CLASS_NUM_SET
																															(((BgL_objectz00_bglt) BgL_new1240z00_2401), BgL_arg2240z00_2402);
																													}
																													{	/* Cnst/alloc.scm 1039 */
																														BgL_objectz00_bglt
																															BgL_tmpz00_6118;
																														BgL_tmpz00_6118 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1240z00_2401);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_tmpz00_6118,
																															BFALSE);
																													}
																													((BgL_objectz00_bglt)
																														BgL_new1240z00_2401);
																													BgL_new1241z00_2390 =
																														BgL_new1240z00_2401;
																												}
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1241z00_2390)))->
																														BgL_locz00) =
																													((obj_t)
																														BgL_locz00_73),
																													BUNSPEC);
																												((((BgL_nodez00_bglt)
																															COBJECT((
																																	(BgL_nodez00_bglt)
																																	BgL_new1241z00_2390)))->
																														BgL_typez00) =
																													((BgL_typez00_bglt)
																														BgL_veczd2typezd2_2355),
																													BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1241z00_2390)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																												((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1241z00_2390)))->BgL_keyz00) = ((obj_t) BINT((-1L))), BUNSPEC);
																												{
																													BgL_varz00_bglt
																														BgL_auxz00_6131;
																													{	/* Cnst/alloc.scm 1035 */
																														BgL_refz00_bglt
																															BgL_new1243z00_2391;
																														{	/* Cnst/alloc.scm 1038 */
																															BgL_refz00_bglt
																																BgL_new1242z00_2393;
																															BgL_new1242z00_2393
																																=
																																(
																																(BgL_refz00_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_refz00_bgl))));
																															{	/* Cnst/alloc.scm 1038 */
																																long
																																	BgL_arg2235z00_2394;
																																{	/* Cnst/alloc.scm 1038 */
																																	obj_t
																																		BgL_classz00_3365;
																																	BgL_classz00_3365
																																		=
																																		BGl_refz00zzast_nodez00;
																																	BgL_arg2235z00_2394
																																		=
																																		BGL_CLASS_NUM
																																		(BgL_classz00_3365);
																																}
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1242z00_2393), BgL_arg2235z00_2394);
																															}
																															{	/* Cnst/alloc.scm 1038 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_6136;
																																BgL_tmpz00_6136
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1242z00_2393);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_6136,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1242z00_2393);
																															BgL_new1243z00_2391
																																=
																																BgL_new1242z00_2393;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1243z00_2391)))->BgL_locz00) = ((obj_t) BgL_locz00_73), BUNSPEC);
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1243z00_2391)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_veczd2typezd2_2355), BUNSPEC);
																														((((BgL_varz00_bglt)
																																	COBJECT((
																																			(BgL_varz00_bglt)
																																			BgL_new1243z00_2391)))->
																																BgL_variablez00)
																															=
																															((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BGl_findzd2globalzd2zzast_envz00(BgL_listzd2ze3vectorz31_2356, BNIL))), BUNSPEC);
																														BgL_auxz00_6131 =
																															((BgL_varz00_bglt)
																															BgL_new1243z00_2391);
																													}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1241z00_2390))->
																															BgL_funz00) =
																														((BgL_varz00_bglt)
																															BgL_auxz00_6131),
																														BUNSPEC);
																												}
																												{
																													obj_t BgL_auxz00_6150;

																													{	/* Cnst/alloc.scm 1040 */
																														BgL_kwotez00_bglt
																															BgL_arg2236z00_2395;
																														{	/* Cnst/alloc.scm 1040 */
																															BgL_kwotez00_bglt
																																BgL_new1247z00_2397;
																															{	/* Cnst/alloc.scm 1044 */
																																BgL_kwotez00_bglt
																																	BgL_new1244z00_2399;
																																BgL_new1244z00_2399
																																	=
																																	(
																																	(BgL_kwotez00_bglt)
																																	BOBJECT
																																	(GC_MALLOC
																																		(sizeof
																																			(struct
																																				BgL_kwotez00_bgl))));
																																{	/* Cnst/alloc.scm 1044 */
																																	long
																																		BgL_arg2239z00_2400;
																																	{	/* Cnst/alloc.scm 1044 */
																																		obj_t
																																			BgL_classz00_3369;
																																		BgL_classz00_3369
																																			=
																																			BGl_kwotez00zzast_nodez00;
																																		BgL_arg2239z00_2400
																																			=
																																			BGL_CLASS_NUM
																																			(BgL_classz00_3369);
																																	}
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(((BgL_objectz00_bglt) BgL_new1244z00_2399), BgL_arg2239z00_2400);
																																}
																																{	/* Cnst/alloc.scm 1044 */
																																	BgL_objectz00_bglt
																																		BgL_tmpz00_6155;
																																	BgL_tmpz00_6155
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1244z00_2399);
																																	BGL_OBJECT_WIDENING_SET
																																		(BgL_tmpz00_6155,
																																		BFALSE);
																																}
																																((BgL_objectz00_bglt) BgL_new1244z00_2399);
																																BgL_new1247z00_2397
																																	=
																																	BgL_new1244z00_2399;
																															}
																															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1247z00_2397)))->BgL_locz00) = ((obj_t) BgL_locz00_73), BUNSPEC);
																															{
																																BgL_typez00_bglt
																																	BgL_auxz00_6161;
																																{	/* Cnst/alloc.scm 1043 */
																																	BgL_typez00_bglt
																																		BgL_arg2238z00_2398;
																																	BgL_arg2238z00_2398
																																		=
																																		BGl_getzd2typezd2kwotez00zztype_typeofz00
																																		(BgL_lz00_2385);
																																	BgL_auxz00_6161
																																		=
																																		BGl_strictzd2nodezd2typez00zzast_nodez00
																																		(BgL_arg2238z00_2398,
																																		((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
																																}
																																((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1247z00_2397)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6161), BUNSPEC);
																															}
																															((((BgL_kwotez00_bglt) COBJECT(BgL_new1247z00_2397))->BgL_valuez00) = ((obj_t) BgL_lz00_2385), BUNSPEC);
																															BgL_arg2236z00_2395
																																=
																																BgL_new1247z00_2397;
																														}
																														{	/* Cnst/alloc.scm 1039 */
																															obj_t
																																BgL_list2237z00_2396;
																															BgL_list2237z00_2396
																																=
																																MAKE_YOUNG_PAIR(
																																((obj_t)
																																	BgL_arg2236z00_2395),
																																BNIL);
																															BgL_auxz00_6150 =
																																BgL_list2237z00_2396;
																													}}
																													((((BgL_appz00_bglt)
																																COBJECT
																																(BgL_new1241z00_2390))->
																															BgL_argsz00) =
																														((obj_t)
																															BgL_auxz00_6150),
																														BUNSPEC);
																												}
																												((((BgL_appz00_bglt)
																															COBJECT
																															(BgL_new1241z00_2390))->
																														BgL_stackablez00) =
																													((obj_t) BFALSE),
																													BUNSPEC);
																												BgL_arg2233z00_2389 =
																													BgL_new1241z00_2390;
																											}
																											BgL_arg2231z00_2387 =
																												MAKE_YOUNG_PAIR(
																												((obj_t)
																													BgL_varz00_2384),
																												((obj_t)
																													BgL_arg2233z00_2389));
																										}
																										{	/* Cnst/alloc.scm 1030 */
																											obj_t
																												BgL_list2232z00_2388;
																											BgL_list2232z00_2388 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg2231z00_2387,
																												BNIL);
																											BgL_auxz00_6113 =
																												BgL_list2232z00_2388;
																									}}
																									((((BgL_letzd2varzd2_bglt)
																												COBJECT
																												(BgL_new1239z00_2386))->
																											BgL_bindingsz00) =
																										((obj_t) BgL_auxz00_6113),
																										BUNSPEC);
																								}
																								{
																									BgL_nodez00_bglt
																										BgL_auxz00_6177;
																									{	/* Cnst/alloc.scm 1045 */
																										BgL_refz00_bglt
																											BgL_new1249z00_2403;
																										{	/* Cnst/alloc.scm 1046 */
																											BgL_refz00_bglt
																												BgL_new1248z00_2404;
																											BgL_new1248z00_2404 =
																												((BgL_refz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_refz00_bgl))));
																											{	/* Cnst/alloc.scm 1046 */
																												long
																													BgL_arg2241z00_2405;
																												{	/* Cnst/alloc.scm 1046 */
																													obj_t
																														BgL_classz00_3375;
																													BgL_classz00_3375 =
																														BGl_refz00zzast_nodez00;
																													BgL_arg2241z00_2405 =
																														BGL_CLASS_NUM
																														(BgL_classz00_3375);
																												}
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1248z00_2404),
																													BgL_arg2241z00_2405);
																											}
																											{	/* Cnst/alloc.scm 1046 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_6182;
																												BgL_tmpz00_6182 =
																													((BgL_objectz00_bglt)
																													BgL_new1248z00_2404);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_tmpz00_6182,
																													BFALSE);
																											}
																											((BgL_objectz00_bglt)
																												BgL_new1248z00_2404);
																											BgL_new1249z00_2403 =
																												BgL_new1248z00_2404;
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1249z00_2403)))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_73),
																											BUNSPEC);
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1249z00_2403)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_veczd2typezd2_2355),
																											BUNSPEC);
																										((((BgL_varz00_bglt)
																													COBJECT((
																															(BgL_varz00_bglt)
																															BgL_new1249z00_2403)))->
																												BgL_variablez00) =
																											((BgL_variablez00_bglt) (
																													(BgL_variablez00_bglt)
																													BgL_varz00_2384)),
																											BUNSPEC);
																										BgL_auxz00_6177 =
																											((BgL_nodez00_bglt)
																											BgL_new1249z00_2403);
																									}
																									((((BgL_letzd2varzd2_bglt)
																												COBJECT
																												(BgL_new1239z00_2386))->
																											BgL_bodyz00) =
																										((BgL_nodez00_bglt)
																											BgL_auxz00_6177),
																										BUNSPEC);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											COBJECT
																											(BgL_new1239z00_2386))->
																										BgL_removablezf3zf3) =
																									((bool_t) ((bool_t) 1)),
																									BUNSPEC);
																								BgL_arg2228z00_2382 =
																									BgL_new1239z00_2386;
																						}}
																						BgL_arg2230z00_2383 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(BgL_veczd2typezd2_2355,
																							((BgL_typez00_bglt)
																								BGl_za2objza2z00zztype_cachez00));
																						BgL_arg2227z00_2381 =
																							BGl_coercez12z12zzcoerce_coercez00
																							(((BgL_nodez00_bglt)
																								BgL_arg2228z00_2382), BUNSPEC,
																							BgL_arg2230z00_2383,
																							((bool_t) 0));
																					}
																					BgL_arg2256z00_2422 =
																						BGl_cnstz12z12zzcnst_nodez00
																						(BgL_arg2227z00_2381);
																				}
																				BgL_arg2250z00_2417 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_arg2256z00_2422), BNIL);
																			}
																			BgL_arg2248z00_2415 =
																				MAKE_YOUNG_PAIR(BgL_arg2249z00_2416,
																				BgL_arg2250z00_2417);
																		}
																		BgL_arg2247z00_2414 =
																			MAKE_YOUNG_PAIR(
																			((obj_t)
																				CNST_TABLE_REF(11)),
																			BgL_arg2248z00_2415);
																	}
																	BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
																		MAKE_YOUNG_PAIR(BgL_arg2247z00_2414,
																		BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
																}
																{	/* Cnst/alloc.scm 1071 */
																	BgL_refz00_bglt BgL_new1251z00_2423;

																	{	/* Cnst/alloc.scm 1072 */
																		BgL_refz00_bglt BgL_new1250z00_2424;

																		BgL_new1250z00_2424 =
																			((BgL_refz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_refz00_bgl))));
																		{	/* Cnst/alloc.scm 1072 */
																			long BgL_arg2257z00_2425;

																			BgL_arg2257z00_2425 =
																				BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1250z00_2424),
																				BgL_arg2257z00_2425);
																		}
																		{	/* Cnst/alloc.scm 1072 */
																			BgL_objectz00_bglt BgL_tmpz00_6212;

																			BgL_tmpz00_6212 =
																				((BgL_objectz00_bglt)
																				BgL_new1250z00_2424);
																			BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6212,
																				BFALSE);
																		}
																		((BgL_objectz00_bglt) BgL_new1250z00_2424);
																		BgL_new1251z00_2423 = BgL_new1250z00_2424;
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1251z00_2423)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_73), BUNSPEC);
																	((((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt)
																						BgL_new1251z00_2423)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_veczd2typezd2_2355),
																		BUNSPEC);
																	((((BgL_varz00_bglt)
																				COBJECT(((BgL_varz00_bglt)
																						BgL_new1251z00_2423)))->
																			BgL_variablez00) =
																		((BgL_variablez00_bglt) (
																				(BgL_variablez00_bglt)
																				BgL_varz00_2412)), BUNSPEC);
																	BgL_auxz00_6054 = BgL_new1251z00_2423;
															}}
															return ((BgL_nodez00_bglt) BgL_auxz00_6054);
														}
													else
														{
															BgL_castz00_bglt BgL_auxz00_6224;

															{	/* Cnst/alloc.scm 1054 */
																long BgL_offsetz00_2409;

																BgL_offsetz00_2409 =
																	BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
																BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
																	(1L +
																	BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
																BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
																	MAKE_YOUNG_PAIR(BgL_vecz00_72,
																	BGl_za2globalzd2setza2zd2zzcnst_allocz00);
																if (CBOOL
																	(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
																	{	/* Cnst/alloc.scm 1058 */
																		obj_t BgL_arg2244z00_2410;

																		{	/* Cnst/alloc.scm 70 */
																			obj_t BgL_newz00_3380;

																			BgL_newz00_3380 =
																				create_struct(
																				((obj_t)
																					CNST_TABLE_REF(9)), (int) (2L));
																			{	/* Cnst/alloc.scm 70 */
																				obj_t BgL_auxz00_6235;
																				int BgL_tmpz00_6233;

																				BgL_auxz00_6235 =
																					BINT(BgL_offsetz00_2409);
																				BgL_tmpz00_6233 = (int) (1L);
																				STRUCT_SET(BgL_newz00_3380,
																					BgL_tmpz00_6233, BgL_auxz00_6235);
																			}
																			{	/* Cnst/alloc.scm 70 */
																				int BgL_tmpz00_6238;

																				BgL_tmpz00_6238 = (int) (0L);
																				STRUCT_SET(BgL_newz00_3380,
																					BgL_tmpz00_6238, BgL_vecz00_72);
																			}
																			BgL_arg2244z00_2410 = BgL_newz00_3380;
																		}
																		BGl_za2vectorzd2envza2zd2zzcnst_allocz00 =
																			MAKE_YOUNG_PAIR(BgL_arg2244z00_2410,
																			BGl_za2vectorzd2envza2zd2zzcnst_allocz00);
																	}
																else
																	{	/* Cnst/alloc.scm 1057 */
																		BFALSE;
																	}
																BgL_auxz00_6224 =
																	BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
																	(BINT(BgL_offsetz00_2409),
																	((obj_t) BgL_veczd2typezd2_2355),
																	BgL_locz00_73);
															}
															return ((BgL_nodez00_bglt) BgL_auxz00_6224);
														}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &cnst-alloc-homogenous-vector */
	BgL_nodez00_bglt
		BGl_z62cnstzd2alloczd2homogenouszd2vectorzb0zzcnst_allocz00(obj_t
		BgL_envz00_3609, obj_t BgL_vecz00_3610, obj_t BgL_locz00_3611)
	{
		{	/* Cnst/alloc.scm 1001 */
			return
				BGl_cnstzd2alloczd2homogenouszd2vectorzd2zzcnst_allocz00
				(BgL_vecz00_3610, BgL_locz00_3611);
		}

	}



/* force-initialize-srfi4-library-module! */
	obj_t
		BGl_forcezd2initializa7ezd2srfi4zd2libraryzd2modulez12zb5zzcnst_allocz00
		(void)
	{
		{	/* Cnst/alloc.scm 1103 */
			{	/* Cnst/alloc.scm 1106 */
				obj_t BgL_gz00_2452;

				BgL_gz00_2452 =
					BGl_findzd2globalzd2zzast_envz00(((obj_t) CNST_TABLE_REF(65)), BNIL);
				{	/* Cnst/alloc.scm 1108 */
					obj_t BgL_arg2276z00_2453;

					BgL_arg2276z00_2453 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_2452)))->BgL_modulez00);
					return
						BGl_withzd2libraryzd2modulez12z12zzmodule_libraryz00
						(BgL_arg2276z00_2453);
				}
			}
		}

	}



/* cnst-alloc-tvector */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(obj_t BgL_tvecz00_74,
		obj_t BgL_locz00_75)
	{
		{	/* Cnst/alloc.scm 1113 */
			{

				if (BGl_tvectorzd2Czd2staticzf3zf3zztvector_cnstz00(BgL_tvecz00_74))
					{
						BgL_refz00_bglt BgL_auxz00_6255;

						{	/* Cnst/alloc.scm 1115 */
							BgL_globalz00_bglt BgL_varz00_2459;

							{	/* Cnst/alloc.scm 1115 */
								obj_t BgL_arg2301z00_2482;

								{	/* Cnst/alloc.scm 1115 */
									obj_t BgL_arg2302z00_2483;

									BgL_arg2302z00_2483 =
										BGl_gensymz00zz__r4_symbols_6_4z00(
										((obj_t) CNST_TABLE_REF(66)));
									BgL_arg2301z00_2482 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_arg2302z00_2483, ((obj_t) CNST_TABLE_REF(67)));
								}
								BgL_varz00_2459 =
									BGl_defzd2globalzd2scnstz12z12zzast_glozd2defzd2
									(BgL_arg2301z00_2482, BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_tvecz00_74, ((obj_t) CNST_TABLE_REF(68)), BgL_locz00_75);
							}
							{	/* Cnst/alloc.scm 1120 */
								obj_t BgL_idz00_2460;

								BgL_idz00_2460 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt)
												STRUCT_REF(
													((obj_t) BgL_tvecz00_74), (int) (0L)))))->BgL_idz00);
								{	/* Cnst/alloc.scm 1120 */
									BgL_nodez00_bglt BgL_aidz00_2461;

									{	/* Cnst/alloc.scm 1121 */
										BgL_kwotez00_bglt BgL_arg2292z00_2472;

										{	/* Cnst/alloc.scm 1121 */
											BgL_kwotez00_bglt BgL_new1256z00_2473;

											{	/* Cnst/alloc.scm 1122 */
												BgL_kwotez00_bglt BgL_new1255z00_2476;

												BgL_new1255z00_2476 =
													((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotez00_bgl))));
												{	/* Cnst/alloc.scm 1122 */
													long BgL_arg2295z00_2477;

													BgL_arg2295z00_2477 =
														BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1255z00_2476),
														BgL_arg2295z00_2477);
												}
												{	/* Cnst/alloc.scm 1122 */
													BgL_objectz00_bglt BgL_tmpz00_6274;

													BgL_tmpz00_6274 =
														((BgL_objectz00_bglt) BgL_new1255z00_2476);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6274, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1255z00_2476);
												BgL_new1256z00_2473 = BgL_new1255z00_2476;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1256z00_2473)))->
													BgL_locz00) = ((obj_t) BgL_locz00_75), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_6280;

												{	/* Cnst/alloc.scm 1124 */
													BgL_typez00_bglt BgL_arg2293z00_2474;
													BgL_typez00_bglt BgL_arg2294z00_2475;

													BgL_arg2293z00_2474 =
														BGl_getzd2typezd2kwotez00zztype_typeofz00
														(BgL_idz00_2460);
													BgL_arg2294z00_2475 =
														BGl_getzd2defaultzd2typez00zztype_cachez00();
													BgL_auxz00_6280 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2293z00_2474, BgL_arg2294z00_2475);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1256z00_2473)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_6280), BUNSPEC);
											}
											((((BgL_kwotez00_bglt) COBJECT(BgL_new1256z00_2473))->
													BgL_valuez00) = ((obj_t) BgL_idz00_2460), BUNSPEC);
											BgL_arg2292z00_2472 = BgL_new1256z00_2473;
										}
										BgL_aidz00_2461 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg2292z00_2472));
									}
									{	/* Cnst/alloc.scm 1121 */

										{	/* Cnst/alloc.scm 1130 */
											obj_t BgL_arg2280z00_2462;

											{	/* Cnst/alloc.scm 1130 */
												obj_t BgL_arg2281z00_2463;

												{	/* Cnst/alloc.scm 1130 */
													obj_t BgL_arg2283z00_2464;
													obj_t BgL_arg2284z00_2465;

													{	/* Cnst/alloc.scm 1130 */
														obj_t BgL_arg2285z00_2466;

														{	/* Cnst/alloc.scm 1130 */
															obj_t BgL_arg2286z00_2467;
															obj_t BgL_arg2287z00_2468;

															BgL_arg2286z00_2467 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2459)))->
																BgL_idz00);
															BgL_arg2287z00_2468 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2459))->BgL_modulez00),
																BNIL);
															BgL_arg2285z00_2466 =
																MAKE_YOUNG_PAIR(BgL_arg2286z00_2467,
																BgL_arg2287z00_2468);
														}
														BgL_arg2283z00_2464 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg2285z00_2466);
													}
													{	/* Cnst/alloc.scm 1131 */
														obj_t BgL_arg2289z00_2470;

														{	/* Cnst/alloc.scm 1131 */
															obj_t BgL_arg2291z00_2471;

															BgL_arg2291z00_2471 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_aidz00_2461), BNIL);
															BgL_arg2289z00_2470 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(69)), BgL_arg2291z00_2471);
														}
														BgL_arg2284z00_2465 =
															MAKE_YOUNG_PAIR(BgL_arg2289z00_2470, BNIL);
													}
													BgL_arg2281z00_2463 =
														MAKE_YOUNG_PAIR(BgL_arg2283z00_2464,
														BgL_arg2284z00_2465);
												}
												BgL_arg2280z00_2462 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(70)), BgL_arg2281z00_2463);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2280z00_2462,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
							}}}}
							{	/* Cnst/alloc.scm 1132 */
								BgL_refz00_bglt BgL_new1258z00_2479;

								{	/* Cnst/alloc.scm 1133 */
									BgL_refz00_bglt BgL_new1257z00_2480;

									BgL_new1257z00_2480 =
										((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_refz00_bgl))));
									{	/* Cnst/alloc.scm 1133 */
										long BgL_arg2300z00_2481;

										BgL_arg2300z00_2481 =
											BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1257z00_2480),
											BgL_arg2300z00_2481);
									}
									{	/* Cnst/alloc.scm 1133 */
										BgL_objectz00_bglt BgL_tmpz00_6312;

										BgL_tmpz00_6312 =
											((BgL_objectz00_bglt) BgL_new1257z00_2480);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6312, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1257z00_2480);
									BgL_new1258z00_2479 = BgL_new1257z00_2480;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1258z00_2479)))->
										BgL_locz00) = ((obj_t) BgL_locz00_75), BUNSPEC);
								((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
													BgL_new1258z00_2479)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT(((BgL_variablez00_bglt) BgL_varz00_2459)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
													BgL_new1258z00_2479)))->BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
											BgL_varz00_2459)), BUNSPEC);
								BgL_auxz00_6255 = BgL_new1258z00_2479;
						}}
						return ((BgL_nodez00_bglt) BgL_auxz00_6255);
					}
				else
					{
						BgL_castz00_bglt BgL_auxz00_6326;

						BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2514z00zzcnst_allocz00,
							BGl_string2515z00zzcnst_allocz00, BgL_tvecz00_74);
						{	/* Cnst/alloc.scm 1140 */
							long BgL_offsetz00_2485;

							BgL_offsetz00_2485 = BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
							BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
								(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
							BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
								MAKE_YOUNG_PAIR(BgL_tvecz00_74,
								BGl_za2globalzd2setza2zd2zzcnst_allocz00);
							{	/* Cnst/alloc.scm 1143 */
								obj_t BgL_arg2305z00_2486;

								BgL_arg2305z00_2486 =
									STRUCT_REF(((obj_t) BgL_tvecz00_74), (int) (0L));
								BgL_auxz00_6326 =
									BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
									(BgL_offsetz00_2485), BgL_arg2305z00_2486, BgL_locz00_75);
						}}
						return ((BgL_nodez00_bglt) BgL_auxz00_6326);
					}
			}
		}

	}



/* &cnst-alloc-tvector */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2tvectorz62zzcnst_allocz00(obj_t
		BgL_envz00_3632, obj_t BgL_tvecz00_3633, obj_t BgL_locz00_3634)
	{
		{	/* Cnst/alloc.scm 1113 */
			return
				BGl_cnstzd2alloczd2tvectorz00zzcnst_allocz00(BgL_tvecz00_3633,
				BgL_locz00_3634);
		}

	}



/* cnst-alloc-struct */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_cnstzd2alloczd2structz00zzcnst_allocz00(obj_t BgL_structz00_76,
		obj_t BgL_locz00_77)
	{
		{	/* Cnst/alloc.scm 1151 */
			{

				{	/* Cnst/alloc.scm 1203 */
					obj_t BgL_oldz00_2492;

					{	/* Cnst/alloc.scm 1203 */
						obj_t BgL__andtest_1273z00_2498;

						BgL__andtest_1273z00_2498 =
							BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00;
						if (CBOOL(BgL__andtest_1273z00_2498))
							{
								obj_t BgL_envz00_2500;

								BgL_envz00_2500 = BGl_za2structzd2envza2zd2zzcnst_allocz00;
							BgL_zc3z04anonymousza32310ze3z87_2501:
								if (NULLP(BgL_envz00_2500))
									{	/* Cnst/alloc.scm 1206 */
										BgL_oldz00_2492 = BFALSE;
									}
								else
									{	/* Cnst/alloc.scm 1208 */
										bool_t BgL_test2658z00_6341;

										{	/* Cnst/alloc.scm 1208 */
											obj_t BgL_arg2318z00_2507;

											{	/* Cnst/alloc.scm 70 */
												obj_t BgL_sz00_3459;

												BgL_sz00_3459 = CAR(((obj_t) BgL_envz00_2500));
												BgL_arg2318z00_2507 =
													STRUCT_REF(BgL_sz00_3459, (int) (0L));
											}
											BgL_test2658z00_6341 =
												BGl_cnstzd2equalzf3z21zzcnst_allocz00
												(BgL_arg2318z00_2507, BgL_structz00_76);
										}
										if (BgL_test2658z00_6341)
											{	/* Cnst/alloc.scm 1208 */
												BgL_oldz00_2492 = CAR(((obj_t) BgL_envz00_2500));
											}
										else
											{	/* Cnst/alloc.scm 1211 */
												obj_t BgL_arg2316z00_2506;

												BgL_arg2316z00_2506 = CDR(((obj_t) BgL_envz00_2500));
												{
													obj_t BgL_envz00_6351;

													BgL_envz00_6351 = BgL_arg2316z00_2506;
													BgL_envz00_2500 = BgL_envz00_6351;
													goto BgL_zc3z04anonymousza32310ze3z87_2501;
												}
											}
									}
							}
						else
							{	/* Cnst/alloc.scm 1203 */
								BgL_oldz00_2492 = BFALSE;
							}
					}
					if (CBOOL(BgL_oldz00_2492))
						{	/* Cnst/alloc.scm 1213 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{	/* Cnst/alloc.scm 1215 */
									BgL_refz00_bglt BgL_new1275z00_2493;

									{	/* Cnst/alloc.scm 1216 */
										BgL_refz00_bglt BgL_new1274z00_2495;

										BgL_new1274z00_2495 =
											((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_refz00_bgl))));
										{	/* Cnst/alloc.scm 1216 */
											long BgL_arg2308z00_2496;

											BgL_arg2308z00_2496 =
												BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1274z00_2495),
												BgL_arg2308z00_2496);
										}
										{	/* Cnst/alloc.scm 1216 */
											BgL_objectz00_bglt BgL_tmpz00_6362;

											BgL_tmpz00_6362 =
												((BgL_objectz00_bglt) BgL_new1274z00_2495);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6362, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1274z00_2495);
										BgL_new1275z00_2493 = BgL_new1274z00_2495;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1275z00_2493)))->
											BgL_locz00) = ((obj_t) BgL_locz00_77), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1275z00_2493)))->BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_variablez00_bglt)
													COBJECT(((BgL_variablez00_bglt) STRUCT_REF(((obj_t)
																	BgL_oldz00_2492),
																(int) (1L)))))->BgL_typez00)), BUNSPEC);
									((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
														BgL_new1275z00_2493)))->BgL_variablez00) =
										((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
												STRUCT_REF(((obj_t) BgL_oldz00_2492), (int) (1L)))),
										BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1275z00_2493);
								}
							else
								{	/* Cnst/alloc.scm 1219 */
									obj_t BgL_arg2309z00_2497;

									BgL_arg2309z00_2497 =
										STRUCT_REF(((obj_t) BgL_oldz00_2492), (int) (1L));
									return
										((BgL_nodez00_bglt)
										BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00
										(BgL_arg2309z00_2497, BGl_za2structza2z00zztype_cachez00,
											BgL_locz00_77));
								}
						}
					else
						{	/* Cnst/alloc.scm 1213 */
							if (
								(BGl_za2initzd2modeza2zd2zzengine_paramz00 ==
									((obj_t) CNST_TABLE_REF(14))))
								{
									BgL_refz00_bglt BgL_auxz00_6391;

									{	/* Cnst/alloc.scm 1191 */
										BgL_globalz00_bglt BgL_varz00_2541;

										{	/* Cnst/alloc.scm 1191 */
											obj_t BgL_arg2356z00_2555;

											{	/* Cnst/alloc.scm 1191 */
												obj_t BgL_arg2358z00_2556;

												BgL_arg2358z00_2556 =
													BGl_gensymz00zz__r4_symbols_6_4z00(
													((obj_t) CNST_TABLE_REF(71)));
												BgL_arg2356z00_2555 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_arg2358z00_2556, ((obj_t) CNST_TABLE_REF(71)));
											}
											BgL_varz00_2541 =
												BGl_defzd2globalzd2svarz12z12zzast_glozd2defzd2
												(BgL_arg2356z00_2555,
												BGl_za2moduleza2z00zzmodule_modulez00,
												((obj_t) CNST_TABLE_REF(72)),
												((obj_t) CNST_TABLE_REF(3)));
										}
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 1196 */
												obj_t BgL_arg2342z00_2542;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3448;

													BgL_newz00_3448 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_6411;
														int BgL_tmpz00_6409;

														BgL_auxz00_6411 = ((obj_t) BgL_varz00_2541);
														BgL_tmpz00_6409 = (int) (1L);
														STRUCT_SET(BgL_newz00_3448, BgL_tmpz00_6409,
															BgL_auxz00_6411);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_6414;

														BgL_tmpz00_6414 = (int) (0L);
														STRUCT_SET(BgL_newz00_3448, BgL_tmpz00_6414,
															BgL_structz00_76);
													}
													BgL_arg2342z00_2542 = BgL_newz00_3448;
												}
												BGl_za2structzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2342z00_2542,
													BGl_za2structzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 1195 */
												BFALSE;
											}
										{	/* Cnst/alloc.scm 1197 */
											obj_t BgL_arg2343z00_2543;

											{	/* Cnst/alloc.scm 1197 */
												obj_t BgL_arg2345z00_2544;

												{	/* Cnst/alloc.scm 1197 */
													obj_t BgL_arg2346z00_2545;
													obj_t BgL_arg2348z00_2546;

													{	/* Cnst/alloc.scm 1197 */
														obj_t BgL_arg2349z00_2547;

														{	/* Cnst/alloc.scm 1197 */
															obj_t BgL_arg2350z00_2548;
															obj_t BgL_arg2351z00_2549;

															BgL_arg2350z00_2548 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt) BgL_varz00_2541)))->
																BgL_idz00);
															BgL_arg2351z00_2549 =
																MAKE_YOUNG_PAIR((((BgL_globalz00_bglt)
																		COBJECT(BgL_varz00_2541))->BgL_modulez00),
																BNIL);
															BgL_arg2349z00_2547 =
																MAKE_YOUNG_PAIR(BgL_arg2350z00_2548,
																BgL_arg2351z00_2549);
														}
														BgL_arg2346z00_2545 =
															MAKE_YOUNG_PAIR(
															((obj_t)
																CNST_TABLE_REF(10)), BgL_arg2349z00_2547);
													}
													{	/* Cnst/alloc.scm 1198 */
														BgL_nodez00_bglt BgL_arg2354z00_2551;

														{	/* Cnst/alloc.scm 1155 */
															BgL_nodez00_bglt BgL_arg2321z00_2511;

															{	/* Cnst/alloc.scm 1155 */
																BgL_letzd2varzd2_bglt BgL_arg2323z00_2512;
																BgL_typez00_bglt BgL_arg2324z00_2513;

																{	/* Cnst/alloc.scm 1155 */
																	BgL_localz00_bglt BgL_varz00_2514;
																	obj_t BgL_lz00_2515;

																	BgL_varz00_2514 =
																		BGl_makezd2localzd2svarz00zzast_localz00(
																		((obj_t)
																			CNST_TABLE_REF(51)),
																		((BgL_typez00_bglt)
																			BGl_za2structza2z00zztype_cachez00));
																	BgL_lz00_2515 =
																		BGl_structzd2ze3listz31zz__structurez00
																		(BgL_structz00_76);
																	{	/* Cnst/alloc.scm 1157 */
																		BgL_letzd2varzd2_bglt BgL_new1260z00_2516;

																		{	/* Cnst/alloc.scm 1158 */
																			BgL_letzd2varzd2_bglt BgL_new1259z00_2535;

																			BgL_new1259z00_2535 =
																				((BgL_letzd2varzd2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Cnst/alloc.scm 1158 */
																				long BgL_arg2337z00_2536;

																				BgL_arg2337z00_2536 =
																					BGL_CLASS_NUM
																					(BGl_letzd2varzd2zzast_nodez00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1259z00_2535),
																					BgL_arg2337z00_2536);
																			}
																			{	/* Cnst/alloc.scm 1158 */
																				BgL_objectz00_bglt BgL_tmpz00_6435;

																				BgL_tmpz00_6435 =
																					((BgL_objectz00_bglt)
																					BgL_new1259z00_2535);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6435,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt)
																				BgL_new1259z00_2535);
																			BgL_new1260z00_2516 = BgL_new1259z00_2535;
																		}
																		((((BgL_nodez00_bglt) COBJECT(
																						((BgL_nodez00_bglt)
																							BgL_new1260z00_2516)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_77), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					COBJECT(((BgL_nodez00_bglt)
																							BgL_new1260z00_2516)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt)
																				BGl_strictzd2nodezd2typez00zzast_nodez00
																				(((BgL_typez00_bglt)
																						BGl_za2structza2z00zztype_cachez00),
																					((BgL_typez00_bglt)
																						BGl_za2objza2z00zztype_cachez00))),
																			BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1260z00_2516)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					COBJECT(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1260z00_2516)))->
																				BgL_keyz00) =
																			((obj_t) BINT((-1L))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_6451;

																			{	/* Cnst/alloc.scm 1163 */
																				obj_t BgL_arg2325z00_2517;

																				{	/* Cnst/alloc.scm 1163 */
																					BgL_appz00_bglt BgL_arg2327z00_2519;

																					{	/* Cnst/alloc.scm 1163 */
																						BgL_appz00_bglt BgL_new1262z00_2520;

																						{	/* Cnst/alloc.scm 1170 */
																							BgL_appz00_bglt
																								BgL_new1261z00_2530;
																							BgL_new1261z00_2530 =
																								((BgL_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_appz00_bgl))));
																							{	/* Cnst/alloc.scm 1170 */
																								long BgL_arg2335z00_2531;

																								{	/* Cnst/alloc.scm 1170 */
																									obj_t BgL_classz00_3424;

																									BgL_classz00_3424 =
																										BGl_appz00zzast_nodez00;
																									BgL_arg2335z00_2531 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3424);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1261z00_2530),
																									BgL_arg2335z00_2531);
																							}
																							{	/* Cnst/alloc.scm 1170 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_6456;
																								BgL_tmpz00_6456 =
																									((BgL_objectz00_bglt)
																									BgL_new1261z00_2530);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_tmpz00_6456, BFALSE);
																							}
																							((BgL_objectz00_bglt)
																								BgL_new1261z00_2530);
																							BgL_new1262z00_2520 =
																								BgL_new1261z00_2530;
																						}
																						((((BgL_nodez00_bglt) COBJECT(
																										((BgL_nodez00_bglt)
																											BgL_new1262z00_2520)))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_77), BUNSPEC);
																						((((BgL_nodez00_bglt)
																									COBJECT(((BgL_nodez00_bglt)
																											BgL_new1262z00_2520)))->
																								BgL_typez00) =
																							((BgL_typez00_bglt) (
																									(BgL_typez00_bglt)
																									BGl_za2structza2z00zztype_cachez00)),
																							BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1262z00_2520)))->
																								BgL_sidezd2effectzd2) =
																							((obj_t) BUNSPEC), BUNSPEC);
																						((((BgL_nodezf2effectzf2_bglt)
																									COBJECT((
																											(BgL_nodezf2effectzf2_bglt)
																											BgL_new1262z00_2520)))->
																								BgL_keyz00) =
																							((obj_t) BINT((-1L))), BUNSPEC);
																						{
																							BgL_varz00_bglt BgL_auxz00_6470;

																							{	/* Cnst/alloc.scm 1166 */
																								BgL_refz00_bglt
																									BgL_new1265z00_2521;
																								{	/* Cnst/alloc.scm 1169 */
																									BgL_refz00_bglt
																										BgL_new1264z00_2522;
																									BgL_new1264z00_2522 =
																										((BgL_refz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_refz00_bgl))));
																									{	/* Cnst/alloc.scm 1169 */
																										long BgL_arg2328z00_2523;

																										{	/* Cnst/alloc.scm 1169 */
																											obj_t BgL_classz00_3428;

																											BgL_classz00_3428 =
																												BGl_refz00zzast_nodez00;
																											BgL_arg2328z00_2523 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3428);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1264z00_2522),
																											BgL_arg2328z00_2523);
																									}
																									{	/* Cnst/alloc.scm 1169 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_6475;
																										BgL_tmpz00_6475 =
																											((BgL_objectz00_bglt)
																											BgL_new1264z00_2522);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_tmpz00_6475, BFALSE);
																									}
																									((BgL_objectz00_bglt)
																										BgL_new1264z00_2522);
																									BgL_new1265z00_2521 =
																										BgL_new1264z00_2522;
																								}
																								((((BgL_nodez00_bglt) COBJECT(
																												((BgL_nodez00_bglt)
																													BgL_new1265z00_2521)))->
																										BgL_locz00) =
																									((obj_t) BgL_locz00_77),
																									BUNSPEC);
																								{
																									BgL_typez00_bglt
																										BgL_auxz00_6481;
																									{	/* Cnst/alloc.scm 1168 */
																										BgL_variablez00_bglt
																											BgL_oz00_3432;
																										BgL_oz00_3432 =
																											((BgL_variablez00_bglt)
																											BGl_za2listzd2ze3structza2z31zzcnst_cachez00);
																										BgL_auxz00_6481 =
																											(((BgL_variablez00_bglt)
																												COBJECT
																												(BgL_oz00_3432))->
																											BgL_typez00);
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1265z00_2521)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_auxz00_6481),
																										BUNSPEC);
																								}
																								((((BgL_varz00_bglt) COBJECT(
																												((BgL_varz00_bglt)
																													BgL_new1265z00_2521)))->
																										BgL_variablez00) =
																									((BgL_variablez00_bglt) (
																											(BgL_variablez00_bglt)
																											BGl_za2listzd2ze3structza2z31zzcnst_cachez00)),
																									BUNSPEC);
																								BgL_auxz00_6470 =
																									((BgL_varz00_bglt)
																									BgL_new1265z00_2521);
																							}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1262z00_2520))->
																									BgL_funz00) =
																								((BgL_varz00_bglt)
																									BgL_auxz00_6470), BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_6491;

																							{	/* Cnst/alloc.scm 1171 */
																								BgL_kwotez00_bglt
																									BgL_arg2329z00_2524;
																								{	/* Cnst/alloc.scm 1171 */
																									BgL_kwotez00_bglt
																										BgL_new1268z00_2526;
																									{	/* Cnst/alloc.scm 1175 */
																										BgL_kwotez00_bglt
																											BgL_new1266z00_2528;
																										BgL_new1266z00_2528 =
																											((BgL_kwotez00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_kwotez00_bgl))));
																										{	/* Cnst/alloc.scm 1175 */
																											long BgL_arg2334z00_2529;

																											{	/* Cnst/alloc.scm 1175 */
																												obj_t BgL_classz00_3433;

																												BgL_classz00_3433 =
																													BGl_kwotez00zzast_nodez00;
																												BgL_arg2334z00_2529 =
																													BGL_CLASS_NUM
																													(BgL_classz00_3433);
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1266z00_2528),
																												BgL_arg2334z00_2529);
																										}
																										{	/* Cnst/alloc.scm 1175 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_6496;
																											BgL_tmpz00_6496 =
																												((BgL_objectz00_bglt)
																												BgL_new1266z00_2528);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_tmpz00_6496,
																												BFALSE);
																										}
																										((BgL_objectz00_bglt)
																											BgL_new1266z00_2528);
																										BgL_new1268z00_2526 =
																											BgL_new1266z00_2528;
																									}
																									((((BgL_nodez00_bglt) COBJECT(
																													((BgL_nodez00_bglt)
																														BgL_new1268z00_2526)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_77),
																										BUNSPEC);
																									{
																										BgL_typez00_bglt
																											BgL_auxz00_6502;
																										{	/* Cnst/alloc.scm 1174 */
																											BgL_typez00_bglt
																												BgL_arg2331z00_2527;
																											BgL_arg2331z00_2527 =
																												BGl_getzd2typezd2kwotez00zztype_typeofz00
																												(BgL_lz00_2515);
																											BgL_auxz00_6502 =
																												BGl_strictzd2nodezd2typez00zzast_nodez00
																												(BgL_arg2331z00_2527,
																												((BgL_typez00_bglt)
																													BGl_za2objza2z00zztype_cachez00));
																										}
																										((((BgL_nodez00_bglt)
																													COBJECT((
																															(BgL_nodez00_bglt)
																															BgL_new1268z00_2526)))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_auxz00_6502),
																											BUNSPEC);
																									}
																									((((BgL_kwotez00_bglt)
																												COBJECT
																												(BgL_new1268z00_2526))->
																											BgL_valuez00) =
																										((obj_t) BgL_lz00_2515),
																										BUNSPEC);
																									BgL_arg2329z00_2524 =
																										BgL_new1268z00_2526;
																								}
																								{	/* Cnst/alloc.scm 1170 */
																									obj_t BgL_list2330z00_2525;

																									BgL_list2330z00_2525 =
																										MAKE_YOUNG_PAIR(
																										((obj_t)
																											BgL_arg2329z00_2524),
																										BNIL);
																									BgL_auxz00_6491 =
																										BgL_list2330z00_2525;
																							}}
																							((((BgL_appz00_bglt)
																										COBJECT
																										(BgL_new1262z00_2520))->
																									BgL_argsz00) =
																								((obj_t) BgL_auxz00_6491),
																								BUNSPEC);
																						}
																						((((BgL_appz00_bglt)
																									COBJECT
																									(BgL_new1262z00_2520))->
																								BgL_stackablez00) =
																							((obj_t) BFALSE), BUNSPEC);
																						BgL_arg2327z00_2519 =
																							BgL_new1262z00_2520;
																					}
																					BgL_arg2325z00_2517 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_varz00_2514),
																						((obj_t) BgL_arg2327z00_2519));
																				}
																				{	/* Cnst/alloc.scm 1161 */
																					obj_t BgL_list2326z00_2518;

																					BgL_list2326z00_2518 =
																						MAKE_YOUNG_PAIR(BgL_arg2325z00_2517,
																						BNIL);
																					BgL_auxz00_6451 =
																						BgL_list2326z00_2518;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1260z00_2516))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_6451), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_6518;

																			{	/* Cnst/alloc.scm 1176 */
																				BgL_refz00_bglt BgL_new1270z00_2532;

																				{	/* Cnst/alloc.scm 1177 */
																					BgL_refz00_bglt BgL_new1269z00_2533;

																					BgL_new1269z00_2533 =
																						((BgL_refz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_refz00_bgl))));
																					{	/* Cnst/alloc.scm 1177 */
																						long BgL_arg2336z00_2534;

																						{	/* Cnst/alloc.scm 1177 */
																							obj_t BgL_classz00_3439;

																							BgL_classz00_3439 =
																								BGl_refz00zzast_nodez00;
																							BgL_arg2336z00_2534 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3439);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1269z00_2533),
																							BgL_arg2336z00_2534);
																					}
																					{	/* Cnst/alloc.scm 1177 */
																						BgL_objectz00_bglt BgL_tmpz00_6523;

																						BgL_tmpz00_6523 =
																							((BgL_objectz00_bglt)
																							BgL_new1269z00_2533);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_6523, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1269z00_2533);
																					BgL_new1270z00_2532 =
																						BgL_new1269z00_2533;
																				}
																				((((BgL_nodez00_bglt) COBJECT(
																								((BgL_nodez00_bglt)
																									BgL_new1270z00_2532)))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_77), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							COBJECT(((BgL_nodez00_bglt)
																									BgL_new1270z00_2532)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_variablez00_bglt)
																								COBJECT(((BgL_variablez00_bglt)
																										BgL_varz00_2514)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_varz00_bglt)
																							COBJECT(((BgL_varz00_bglt)
																									BgL_new1270z00_2532)))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) (
																							(BgL_variablez00_bglt)
																							BgL_varz00_2514)), BUNSPEC);
																				BgL_auxz00_6518 =
																					((BgL_nodez00_bglt)
																					BgL_new1270z00_2532);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						COBJECT(BgL_new1260z00_2516))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_6518),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					COBJECT(BgL_new1260z00_2516))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_arg2323z00_2512 = BgL_new1260z00_2516;
																}}
																BgL_arg2324z00_2513 =
																	BGl_strictzd2nodezd2typez00zzast_nodez00(
																	((BgL_typez00_bglt)
																		BGl_za2structza2z00zztype_cachez00),
																	((BgL_typez00_bglt)
																		BGl_za2objza2z00zztype_cachez00));
																BgL_arg2321z00_2511 =
																	BGl_coercez12z12zzcoerce_coercez00((
																		(BgL_nodez00_bglt) BgL_arg2323z00_2512),
																	BUNSPEC, BgL_arg2324z00_2513, ((bool_t) 0));
															}
															BgL_arg2354z00_2551 =
																BGl_cnstz12z12zzcnst_nodez00
																(BgL_arg2321z00_2511);
														}
														BgL_arg2348z00_2546 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2354z00_2551), BNIL);
													}
													BgL_arg2345z00_2544 =
														MAKE_YOUNG_PAIR(BgL_arg2346z00_2545,
														BgL_arg2348z00_2546);
												}
												BgL_arg2343z00_2543 =
													MAKE_YOUNG_PAIR(
													((obj_t) CNST_TABLE_REF(11)), BgL_arg2345z00_2544);
											}
											BGl_za2globalzd2sexpza2zd2zzcnst_allocz00 =
												MAKE_YOUNG_PAIR(BgL_arg2343z00_2543,
												BGl_za2globalzd2sexpza2zd2zzcnst_allocz00);
										}
										{	/* Cnst/alloc.scm 1199 */
											BgL_refz00_bglt BgL_new1272z00_2552;

											{	/* Cnst/alloc.scm 1200 */
												BgL_refz00_bglt BgL_new1271z00_2553;

												BgL_new1271z00_2553 =
													((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_refz00_bgl))));
												{	/* Cnst/alloc.scm 1200 */
													long BgL_arg2355z00_2554;

													BgL_arg2355z00_2554 =
														BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1271z00_2553),
														BgL_arg2355z00_2554);
												}
												{	/* Cnst/alloc.scm 1200 */
													BgL_objectz00_bglt BgL_tmpz00_6556;

													BgL_tmpz00_6556 =
														((BgL_objectz00_bglt) BgL_new1271z00_2553);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6556, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1271z00_2553);
												BgL_new1272z00_2552 = BgL_new1271z00_2553;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1272z00_2552)))->
													BgL_locz00) = ((obj_t) BgL_locz00_77), BUNSPEC);
											((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																BgL_new1272z00_2552)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt)
																	BgL_varz00_2541)))->BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_new1272z00_2552)))->BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_2541)), BUNSPEC);
											BgL_auxz00_6391 = BgL_new1272z00_2552;
									}}
									return ((BgL_nodez00_bglt) BgL_auxz00_6391);
								}
							else
								{
									BgL_castz00_bglt BgL_auxz00_6570;

									{	/* Cnst/alloc.scm 1184 */
										long BgL_offsetz00_2538;

										BgL_offsetz00_2538 =
											BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00;
										BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00 =
											(1L + BGl_za2cnstzd2offsetza2zd2zzcnst_allocz00);
										BGl_za2globalzd2setza2zd2zzcnst_allocz00 =
											MAKE_YOUNG_PAIR(BgL_structz00_76,
											BGl_za2globalzd2setza2zd2zzcnst_allocz00);
										if (CBOOL(BGl_za2sharedzd2cnstzf3za2z21zzengine_paramz00))
											{	/* Cnst/alloc.scm 1188 */
												obj_t BgL_arg2340z00_2539;

												{	/* Cnst/alloc.scm 70 */
													obj_t BgL_newz00_3445;

													BgL_newz00_3445 =
														create_struct(
														((obj_t) CNST_TABLE_REF(9)), (int) (2L));
													{	/* Cnst/alloc.scm 70 */
														obj_t BgL_auxz00_6581;
														int BgL_tmpz00_6579;

														BgL_auxz00_6581 = BINT(BgL_offsetz00_2538);
														BgL_tmpz00_6579 = (int) (1L);
														STRUCT_SET(BgL_newz00_3445, BgL_tmpz00_6579,
															BgL_auxz00_6581);
													}
													{	/* Cnst/alloc.scm 70 */
														int BgL_tmpz00_6584;

														BgL_tmpz00_6584 = (int) (0L);
														STRUCT_SET(BgL_newz00_3445, BgL_tmpz00_6584,
															BgL_structz00_76);
													}
													BgL_arg2340z00_2539 = BgL_newz00_3445;
												}
												BGl_za2structzd2envza2zd2zzcnst_allocz00 =
													MAKE_YOUNG_PAIR(BgL_arg2340z00_2539,
													BGl_za2structzd2envza2zd2zzcnst_allocz00);
											}
										else
											{	/* Cnst/alloc.scm 1187 */
												BFALSE;
											}
										BgL_auxz00_6570 =
											BGl_makezd2cnstzd2tablezd2refzd2zzcnst_allocz00(BINT
											(BgL_offsetz00_2538), BGl_za2structza2z00zztype_cachez00,
											BgL_locz00_77);
									}
									return ((BgL_nodez00_bglt) BgL_auxz00_6570);
								}
						}
				}
			}
		}

	}



/* &cnst-alloc-struct */
	BgL_nodez00_bglt BGl_z62cnstzd2alloczd2structz62zzcnst_allocz00(obj_t
		BgL_envz00_3635, obj_t BgL_structz00_3636, obj_t BgL_locz00_3637)
	{
		{	/* Cnst/alloc.scm 1151 */
			return
				BGl_cnstzd2alloczd2structz00zzcnst_allocz00(BgL_structz00_3636,
				BgL_locz00_3637);
		}

	}



/* cnst-equal? */
	bool_t BGl_cnstzd2equalzf3z21zzcnst_allocz00(obj_t BgL_obj1z00_78,
		obj_t BgL_obj2z00_79)
	{
		{	/* Cnst/alloc.scm 1228 */
		BGl_cnstzd2equalzf3z21zzcnst_allocz00:
			if ((BgL_obj1z00_78 == BgL_obj2z00_79))
				{	/* Cnst/alloc.scm 1230 */
					return ((bool_t) 1);
				}
			else
				{	/* Cnst/alloc.scm 1230 */
					if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_obj1z00_78))
						{	/* Cnst/alloc.scm 1232 */
							return ((bool_t) 0);
						}
					else
						{	/* Cnst/alloc.scm 1232 */
							if (STRINGP(BgL_obj1z00_78))
								{	/* Cnst/alloc.scm 1234 */
									if (STRINGP(BgL_obj2z00_79))
										{	/* Cnst/alloc.scm 1235 */
											long BgL_l1z00_3472;

											BgL_l1z00_3472 = STRING_LENGTH(BgL_obj1z00_78);
											if ((BgL_l1z00_3472 == STRING_LENGTH(BgL_obj2z00_79)))
												{	/* Cnst/alloc.scm 1235 */
													int BgL_arg1343z00_3475;

													{	/* Cnst/alloc.scm 1235 */
														char *BgL_auxz00_6606;
														char *BgL_tmpz00_6604;

														BgL_auxz00_6606 = BSTRING_TO_STRING(BgL_obj2z00_79);
														BgL_tmpz00_6604 = BSTRING_TO_STRING(BgL_obj1z00_78);
														BgL_arg1343z00_3475 =
															memcmp(BgL_tmpz00_6604, BgL_auxz00_6606,
															BgL_l1z00_3472);
													}
													return ((long) (BgL_arg1343z00_3475) == 0L);
												}
											else
												{	/* Cnst/alloc.scm 1235 */
													return ((bool_t) 0);
												}
										}
									else
										{	/* Cnst/alloc.scm 1235 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Cnst/alloc.scm 1234 */
									if (SYMBOLP(BgL_obj1z00_78))
										{	/* Cnst/alloc.scm 1236 */
											return ((bool_t) 0);
										}
									else
										{	/* Cnst/alloc.scm 1236 */
											if (PAIRP(BgL_obj1z00_78))
												{	/* Cnst/alloc.scm 1238 */
													if (PAIRP(BgL_obj2z00_79))
														{	/* Cnst/alloc.scm 1239 */
															if (BGl_cnstzd2equalzf3z21zzcnst_allocz00(CAR
																	(BgL_obj1z00_78), CAR(BgL_obj2z00_79)))
																{
																	obj_t BgL_obj2z00_6623;
																	obj_t BgL_obj1z00_6621;

																	BgL_obj1z00_6621 = CDR(BgL_obj1z00_78);
																	BgL_obj2z00_6623 = CDR(BgL_obj2z00_79);
																	BgL_obj2z00_79 = BgL_obj2z00_6623;
																	BgL_obj1z00_78 = BgL_obj1z00_6621;
																	goto BGl_cnstzd2equalzf3z21zzcnst_allocz00;
																}
															else
																{	/* Cnst/alloc.scm 1240 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Cnst/alloc.scm 1239 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Cnst/alloc.scm 1238 */
													if (VECTORP(BgL_obj1z00_78))
														{	/* Cnst/alloc.scm 1242 */
															if (VECTORP(BgL_obj2z00_79))
																{	/* Cnst/alloc.scm 1244 */
																	if (
																		(VECTOR_LENGTH(BgL_obj2z00_79) ==
																			VECTOR_LENGTH(BgL_obj1z00_78)))
																		{	/* Cnst/alloc.scm 1246 */
																			bool_t BgL_test2676z00_6633;

																			{	/* Cnst/alloc.scm 1246 */
																				int BgL_arg2375z00_2585;
																				int BgL_arg2377z00_2586;

																				BgL_arg2375z00_2585 =
																					VECTOR_TAG(BgL_obj1z00_78);
																				BgL_arg2377z00_2586 =
																					VECTOR_TAG(BgL_obj2z00_79);
																				BgL_test2676z00_6633 =
																					(
																					(long) (BgL_arg2375z00_2585) ==
																					(long) (BgL_arg2377z00_2586));
																			}
																			if (BgL_test2676z00_6633)
																				{
																					long BgL_iz00_2577;

																					BgL_iz00_2577 = 0L;
																				BgL_zc3z04anonymousza32371ze3z87_2578:
																					{	/* Cnst/alloc.scm 1248 */
																						bool_t BgL__ortest_1282z00_2579;

																						BgL__ortest_1282z00_2579 =
																							(BgL_iz00_2577 ==
																							VECTOR_LENGTH(BgL_obj1z00_78));
																						if (BgL__ortest_1282z00_2579)
																							{	/* Cnst/alloc.scm 1248 */
																								return BgL__ortest_1282z00_2579;
																							}
																						else
																							{	/* Cnst/alloc.scm 1249 */
																								bool_t BgL_test2678z00_6642;

																								{	/* Cnst/alloc.scm 1249 */
																									obj_t BgL_arg2373z00_2582;
																									obj_t BgL_arg2374z00_2583;

																									BgL_arg2373z00_2582 =
																										VECTOR_REF(
																										((obj_t) BgL_obj1z00_78),
																										BgL_iz00_2577);
																									BgL_arg2374z00_2583 =
																										VECTOR_REF(((obj_t)
																											BgL_obj2z00_79),
																										BgL_iz00_2577);
																									BgL_test2678z00_6642 =
																										BGl_cnstzd2equalzf3z21zzcnst_allocz00
																										(BgL_arg2373z00_2582,
																										BgL_arg2374z00_2583);
																								}
																								if (BgL_test2678z00_6642)
																									{
																										long BgL_iz00_6648;

																										BgL_iz00_6648 =
																											(BgL_iz00_2577 + 1L);
																										BgL_iz00_2577 =
																											BgL_iz00_6648;
																										goto
																											BgL_zc3z04anonymousza32371ze3z87_2578;
																									}
																								else
																									{	/* Cnst/alloc.scm 1249 */
																										return ((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Cnst/alloc.scm 1246 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cnst/alloc.scm 1245 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Cnst/alloc.scm 1244 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Cnst/alloc.scm 1242 */
															if (BGL_HVECTORP(BgL_obj1z00_78))
																{	/* Cnst/alloc.scm 1252 */
																	BGL_TAIL return
																		BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																		(BgL_obj1z00_78, BgL_obj2z00_79);
																}
															else
																{	/* Cnst/alloc.scm 1252 */
																	if (STRUCTP(BgL_obj1z00_78))
																		{	/* Cnst/alloc.scm 1255 */
																			int BgL_lobj1z00_2590;

																			BgL_lobj1z00_2590 =
																				STRUCT_LENGTH(BgL_obj1z00_78);
																			if (STRUCTP(BgL_obj2z00_79))
																				{	/* Cnst/alloc.scm 1256 */
																					if (
																						((long) (STRUCT_LENGTH
																								(BgL_obj2z00_79)) ==
																							(long) (BgL_lobj1z00_2590)))
																						{
																							long BgL_iz00_2594;

																							BgL_iz00_2594 = 0L;
																						BgL_zc3z04anonymousza32382ze3z87_2595:
																							{	/* Cnst/alloc.scm 1259 */
																								bool_t BgL__ortest_1286z00_2596;

																								BgL__ortest_1286z00_2596 =
																									(BgL_iz00_2594 ==
																									(long) (BgL_lobj1z00_2590));
																								if (BgL__ortest_1286z00_2596)
																									{	/* Cnst/alloc.scm 1259 */
																										return
																											BgL__ortest_1286z00_2596;
																									}
																								else
																									{	/* Cnst/alloc.scm 1260 */
																										bool_t BgL_test2684z00_6666;

																										{	/* Cnst/alloc.scm 1260 */
																											obj_t BgL_arg2385z00_2599;
																											obj_t BgL_arg2387z00_2600;

																											BgL_arg2385z00_2599 =
																												STRUCT_REF(
																												((obj_t)
																													BgL_obj1z00_78),
																												(int) (BgL_iz00_2594));
																											BgL_arg2387z00_2600 =
																												STRUCT_REF(((obj_t)
																													BgL_obj2z00_79),
																												(int) (BgL_iz00_2594));
																											BgL_test2684z00_6666 =
																												BGl_cnstzd2equalzf3z21zzcnst_allocz00
																												(BgL_arg2385z00_2599,
																												BgL_arg2387z00_2600);
																										}
																										if (BgL_test2684z00_6666)
																											{
																												long BgL_iz00_6674;

																												BgL_iz00_6674 =
																													(BgL_iz00_2594 + 1L);
																												BgL_iz00_2594 =
																													BgL_iz00_6674;
																												goto
																													BgL_zc3z04anonymousza32382ze3z87_2595;
																											}
																										else
																											{	/* Cnst/alloc.scm 1260 */
																												return ((bool_t) 0);
																											}
																									}
																							}
																						}
																					else
																						{	/* Cnst/alloc.scm 1257 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cnst/alloc.scm 1256 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cnst/alloc.scm 1254 */
																			if (CELLP(BgL_obj1z00_78))
																				{	/* Cnst/alloc.scm 1262 */
																					if (CELLP(BgL_obj2z00_79))
																						{
																							obj_t BgL_obj2z00_6682;
																							obj_t BgL_obj1z00_6680;

																							BgL_obj1z00_6680 =
																								CELL_REF(BgL_obj1z00_78);
																							BgL_obj2z00_6682 =
																								CELL_REF(BgL_obj2z00_79);
																							BgL_obj2z00_79 = BgL_obj2z00_6682;
																							BgL_obj1z00_78 = BgL_obj1z00_6680;
																							goto
																								BGl_cnstzd2equalzf3z21zzcnst_allocz00;
																						}
																					else
																						{	/* Cnst/alloc.scm 1263 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Cnst/alloc.scm 1262 */
																					if (UCS2_STRINGP(BgL_obj1z00_78))
																						{	/* Cnst/alloc.scm 1264 */
																							if (UCS2_STRINGP(BgL_obj2z00_79))
																								{	/* Cnst/alloc.scm 1265 */
																									return
																										ucs2_strcmp(BgL_obj1z00_78,
																										BgL_obj2z00_79);
																								}
																							else
																								{	/* Cnst/alloc.scm 1265 */
																									return ((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cnst/alloc.scm 1264 */
																							if (UCS2P(BgL_obj1z00_78))
																								{	/* Cnst/alloc.scm 1266 */
																									if (UCS2P(BgL_obj2z00_79))
																										{	/* Cnst/alloc.scm 1267 */
																											return
																												(CUCS2(BgL_obj1z00_78)
																												==
																												CUCS2(BgL_obj2z00_79));
																										}
																									else
																										{	/* Cnst/alloc.scm 1267 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Cnst/alloc.scm 1266 */
																									if (BGL_DATEP(BgL_obj1z00_78))
																										{	/* Cnst/alloc.scm 1268 */
																											BGL_TAIL return
																												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																												(BgL_obj1z00_78,
																												BgL_obj2z00_79);
																										}
																									else
																										{	/* Cnst/alloc.scm 1268 */
																											return ((bool_t) 0);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_allocz00(void)
	{
		{	/* Cnst/alloc.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztvector_cnstz00(263487728L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(44601789L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(361167184L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcnst_cachez00(379900282L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(89013043L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_libraryz00(292140514L,
				BSTRING_TO_STRING(BGl_string2516z00zzcnst_allocz00));
		}

	}

#ifdef __cplusplus
}
#endif
