/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Effect/cgraph.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_EFFECT_CGRAPH_TYPE_DEFINITIONS
#define BGL_EFFECT_CGRAPH_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


#endif													// BGL_EFFECT_CGRAPH_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2qualifiedzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2volatilezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1359z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2conditio1349z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121367zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1363za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1339za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void);
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2funcall1341z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21361z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1357za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2extern1343z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2switch1353z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1365za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1373z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sequence1333z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valzd2noescapezd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2volatilezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2volatilez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00(void);
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2qualifiedzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1377z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2valzd2noescapez90zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2app1337z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62savezd2callz12zd2local1375z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2volatilez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62callzd2graphz121329za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1419z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1507z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1508z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00(void);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00(void);
	static obj_t BGl_z62zc3z04anonymousza31472ze3ze5zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2valzd2noescapezd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1531z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda1536z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1458z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00(void);
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62callzd2graphz12zd2cast1345z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda1545z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1355za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void);
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62savezd2callz12zd2global1371z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1473z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2setq1347z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2sync1335z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valzd2noescapezf2zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2fail1351z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t,
		bool_t, obj_t);
	static obj_t BGl_z62lambda1578z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1579z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62savezd2callz121368za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d21968za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71969za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71970za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1971z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71972za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71973za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71974za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1975z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71976za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1977z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1978z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1979z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71980za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1981z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1982z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1983z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71984za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2qualifiedzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1985z00,
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namez42zzeffect_cgraphz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1986z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1987z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1988z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1989z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1990z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1991z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71992za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71993za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza71994za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1995z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1996z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1997z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from1998z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global1999z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 21);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2000z00,
		BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2001z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72002za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2003z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2004z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1508za7622005z00, BGl_z62lambda1508z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1507za7622006z00, BGl_z62lambda1507z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1473za7622007z00, BGl_z62lambda1473z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo2008za7,
		BGl_z62zc3z04anonymousza31472ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1458za7622009z00, BGl_z62lambda1458z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1419za7622010z00, BGl_z62lambda1419z62zzeffect_cgraphz00,
		0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72011za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1935z00zzeffect_cgraphz00,
		BgL_bgl_string1935za700za7za7e2012za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1579za7622013z00, BGl_z62lambda1579z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1937z00zzeffect_cgraphz00,
		BgL_bgl_string1937za700za7za7e2014za7, "call-graph!1329", 15);
	      DEFINE_STRING(BGl_string1939z00zzeffect_cgraphz00,
		BgL_bgl_string1939za700za7za7e2015za7, "save-call!1368", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1578za7622016z00, BGl_z62lambda1578z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1545za7622017z00, BGl_z62lambda1545z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3za704anonymo2018za7,
		BGl_z62zc3z04anonymousza31544ze3ze5zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1536za7622019z00, BGl_z62lambda1536z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1940z00zzeffect_cgraphz00,
		BgL_bgl_string1940za700za7za7e2020za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda1531za7622021z00, BGl_z62lambda1531z62zzeffect_cgraphz00,
		0L, BUNSPEC, 21);
	      DEFINE_STRING(BGl_string1942z00zzeffect_cgraphz00,
		BgL_bgl_string1942za700za7za7e2022za7, "call-graph!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72023za7,
		BGl_z62callzd2graphz121329za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712024za7,
		BGl_z62savezd2callz121368za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2025z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72026za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72027za7,
		BGl_z62callzd2graphz12zd2sequence1333z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72028za7,
		BGl_z62callzd2graphz12zd2sync1335z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72029za7,
		BGl_z62callzd2graphz12zd2app1337z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72030za7,
		BGl_z62callzd2graphz12zd2appzd2ly1339za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72031za7,
		BGl_z62callzd2graphz12zd2funcall1341z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72032za7,
		BGl_z62callzd2graphz12zd2extern1343z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2033z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1948z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72034za7,
		BGl_z62callzd2graphz12zd2cast1345z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1949z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72035za7,
		BGl_z62callzd2graphz12zd2setq1347z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2036za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1950z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72037za7,
		BGl_z62callzd2graphz12zd2conditio1349z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1951z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72038za7,
		BGl_z62callzd2graphz12zd2fail1351z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1952z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72039za7,
		BGl_z62callzd2graphz12zd2switch1353z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2040z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1953z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72041za7,
		BGl_z62callzd2graphz12zd2letzd2fun1355za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1954z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72042za7,
		BGl_z62callzd2graphz12zd2letzd2var1357za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2043z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1961z00zzeffect_cgraphz00,
		BgL_bgl_string1961za700za7za7e2044za7, "save-call!", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1955z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72045za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1359z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1956z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72046za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21361z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1957z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72047za7,
		BGl_z62callzd2graphz12zd2makezd2box1363za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1958z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72048za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1365za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1965z00zzeffect_cgraphz00,
		BgL_bgl_string1965za700za7za7e2049za7, "effect_cgraph", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1959z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72050za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121367zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string1966z00zzeffect_cgraphz00,
		BgL_bgl_string1966za700za7za7e2051za7,
		"import done save-call!1368 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1960z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712052za7,
		BGl_z62savezd2callz12zd2global1371z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1962z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712053za7,
		BGl_z62savezd2callz12zd2globalzf2fr1373z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712054za7,
		BGl_z62savezd2callz12zd2local1375z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1964z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712055za7,
		BGl_z62savezd2callz12zd2localzf2fro1377z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72056za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72057za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2058za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2059z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2060z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valzd2noescapezd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72061za7,
		BGl_z62localzf2fromzd2valzd2noescapezd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2062z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2063z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2064z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72065za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72066za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712067za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2068z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2qualifiedzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2069z00,
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namezd2setz12z82zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2aliaszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2070z00,
		BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72071za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72072za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2073z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72074za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2075z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2076z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2077z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72078za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2079z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2080z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2volatilezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72081za7,
		BGl_z62localzf2fromzd2volatilezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72082za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2volatilezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72083za7,
		BGl_z62localzf2fromzd2volatilez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72084za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valzd2noescapezd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72085za7,
		BGl_z62localzf2fromzd2valzd2noescapez90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2086z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72087za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2088z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72089za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2090z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzeffect_cgraphz00));
		     ADD_ROOT((void
				*) (&BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_localzf2fromzf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_za2varzf2allza2zf2zzeffect_cgraphz00));
		     ADD_ROOT((void *) (&BGl_globalzf2fromzf2zzeffect_cgraphz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3292, char *BgL_fromz00_3293)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzeffect_cgraphz00();
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					return BGl_toplevelzd2initzd2zzeffect_cgraphz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"effect_cgraph");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3036;

				{	/* Effect/cgraph.scm 15 */
					obj_t BgL_stringz00_3043;

					BgL_stringz00_3043 = BGl_string1966z00zzeffect_cgraphz00;
					{	/* Effect/cgraph.scm 15 */
						obj_t BgL_startz00_3044;

						BgL_startz00_3044 = BINT(0L);
						{	/* Effect/cgraph.scm 15 */
							obj_t BgL_endz00_3045;

							BgL_endz00_3045 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3043)));
							{	/* Effect/cgraph.scm 15 */

								BgL_cportz00_3036 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3043, BgL_startz00_3044, BgL_endz00_3045);
				}}}}
				{
					long BgL_iz00_3037;

					BgL_iz00_3037 = 9L;
				BgL_loopz00_3038:
					if ((BgL_iz00_3037 == (-1L)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg1967z00_3039;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3041;

										BgL_locationz00_3041 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg1967z00_3039 =
												BGl_readz00zz__readerz00(BgL_cportz00_3036,
												BgL_locationz00_3041);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_tmpz00_3324;

									BgL_tmpz00_3324 = (int) (BgL_iz00_3037);
									CNST_TABLE_SET(BgL_tmpz00_3324, BgL_arg1967z00_3039);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3042;

								BgL_auxz00_3042 = (int) ((BgL_iz00_3037 - 1L));
								{
									long BgL_iz00_3329;

									BgL_iz00_3329 = (long) (BgL_auxz00_3042);
									BgL_iz00_3037 = BgL_iz00_3329;
									goto BgL_loopz00_3038;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1172z00_3,
		obj_t BgL_name1173z00_4, BgL_typez00_bglt BgL_type1174z00_5,
		BgL_valuez00_bglt BgL_value1175z00_6, obj_t BgL_access1176z00_7,
		obj_t BgL_fastzd2alpha1177zd2_8, obj_t BgL_removable1178z00_9,
		long BgL_occurrence1179z00_10, long BgL_occurrencew1180z00_11,
		bool_t BgL_userzf31181zf3_12, long BgL_key1182z00_13,
		obj_t BgL_valzd2noescape1183zd2_14, bool_t BgL_volatile1184z00_15,
		obj_t BgL_from1185z00_16)
	{
		{	/* Effect/cgraph.sch 95 */
			{	/* Effect/cgraph.sch 95 */
				BgL_localz00_bglt BgL_new1157z00_3047;

				{	/* Effect/cgraph.sch 95 */
					BgL_localz00_bglt BgL_tmp1155z00_3048;
					BgL_localzf2fromzf2_bglt BgL_wide1156z00_3049;

					{
						BgL_localz00_bglt BgL_auxz00_3332;

						{	/* Effect/cgraph.sch 95 */
							BgL_localz00_bglt BgL_new1154z00_3050;

							BgL_new1154z00_3050 =
								((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 95 */
								long BgL_arg1385z00_3051;

								BgL_arg1385z00_3051 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1154z00_3050),
									BgL_arg1385z00_3051);
							}
							{	/* Effect/cgraph.sch 95 */
								BgL_objectz00_bglt BgL_tmpz00_3337;

								BgL_tmpz00_3337 = ((BgL_objectz00_bglt) BgL_new1154z00_3050);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3337, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1154z00_3050);
							BgL_auxz00_3332 = BgL_new1154z00_3050;
						}
						BgL_tmp1155z00_3048 = ((BgL_localz00_bglt) BgL_auxz00_3332);
					}
					BgL_wide1156z00_3049 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 95 */
						obj_t BgL_auxz00_3345;
						BgL_objectz00_bglt BgL_tmpz00_3343;

						BgL_auxz00_3345 = ((obj_t) BgL_wide1156z00_3049);
						BgL_tmpz00_3343 = ((BgL_objectz00_bglt) BgL_tmp1155z00_3048);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3343, BgL_auxz00_3345);
					}
					((BgL_objectz00_bglt) BgL_tmp1155z00_3048);
					{	/* Effect/cgraph.sch 95 */
						long BgL_arg1383z00_3052;

						BgL_arg1383z00_3052 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1155z00_3048), BgL_arg1383z00_3052);
					}
					BgL_new1157z00_3047 = ((BgL_localz00_bglt) BgL_tmp1155z00_3048);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1157z00_3047)))->BgL_idz00) =
					((obj_t) BgL_id1172z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_namez00) =
					((obj_t) BgL_name1173z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1174z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1175z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_accessz00) =
					((obj_t) BgL_access1176z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1177zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_removablez00) =
					((obj_t) BgL_removable1178z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_occurrencez00) =
					((long) BgL_occurrence1179z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1180z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1157z00_3047)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31181zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1157z00_3047)))->BgL_keyz00) =
					((long) BgL_key1182z00_13), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1157z00_3047)))->BgL_valzd2noescapezd2) =
					((obj_t) BgL_valzd2noescape1183zd2_14), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
									BgL_new1157z00_3047)))->BgL_volatilez00) =
					((bool_t) BgL_volatile1184z00_15), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3379;

					{
						obj_t BgL_auxz00_3380;

						{	/* Effect/cgraph.sch 95 */
							BgL_objectz00_bglt BgL_tmpz00_3381;

							BgL_tmpz00_3381 = ((BgL_objectz00_bglt) BgL_new1157z00_3047);
							BgL_auxz00_3380 = BGL_OBJECT_WIDENING(BgL_tmpz00_3381);
						}
						BgL_auxz00_3379 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3380);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3379))->
							BgL_fromz00) = ((obj_t) BgL_from1185z00_16), BUNSPEC);
				}
				return BgL_new1157z00_3047;
			}
		}

	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2649, obj_t BgL_id1172z00_2650, obj_t BgL_name1173z00_2651,
		obj_t BgL_type1174z00_2652, obj_t BgL_value1175z00_2653,
		obj_t BgL_access1176z00_2654, obj_t BgL_fastzd2alpha1177zd2_2655,
		obj_t BgL_removable1178z00_2656, obj_t BgL_occurrence1179z00_2657,
		obj_t BgL_occurrencew1180z00_2658, obj_t BgL_userzf31181zf3_2659,
		obj_t BgL_key1182z00_2660, obj_t BgL_valzd2noescape1183zd2_2661,
		obj_t BgL_volatile1184z00_2662, obj_t BgL_from1185z00_2663)
	{
		{	/* Effect/cgraph.sch 95 */
			return
				BGl_makezd2localzf2fromz20zzeffect_cgraphz00(BgL_id1172z00_2650,
				BgL_name1173z00_2651, ((BgL_typez00_bglt) BgL_type1174z00_2652),
				((BgL_valuez00_bglt) BgL_value1175z00_2653), BgL_access1176z00_2654,
				BgL_fastzd2alpha1177zd2_2655, BgL_removable1178z00_2656,
				(long) CINT(BgL_occurrence1179z00_2657),
				(long) CINT(BgL_occurrencew1180z00_2658),
				CBOOL(BgL_userzf31181zf3_2659), (long) CINT(BgL_key1182z00_2660),
				BgL_valzd2noescape1183zd2_2661, CBOOL(BgL_volatile1184z00_2662),
				BgL_from1185z00_2663);
		}

	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_17)
	{
		{	/* Effect/cgraph.sch 96 */
			{	/* Effect/cgraph.sch 96 */
				obj_t BgL_classz00_3053;

				BgL_classz00_3053 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_17))
					{	/* Effect/cgraph.sch 96 */
						BgL_objectz00_bglt BgL_arg1858z00_3054;

						BgL_arg1858z00_3054 = (BgL_objectz00_bglt) (BgL_objz00_17);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Effect/cgraph.sch 96 */
								long BgL_idxz00_3055;

								BgL_idxz00_3055 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3054);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3055 + 3L)) == BgL_classz00_3053);
							}
						else
							{	/* Effect/cgraph.sch 96 */
								bool_t BgL_res1903z00_3058;

								{	/* Effect/cgraph.sch 96 */
									obj_t BgL_oclassz00_3059;

									{	/* Effect/cgraph.sch 96 */
										obj_t BgL_arg1866z00_3060;
										long BgL_arg1867z00_3061;

										BgL_arg1866z00_3060 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Effect/cgraph.sch 96 */
											long BgL_arg1869z00_3062;

											BgL_arg1869z00_3062 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3054);
											BgL_arg1867z00_3061 = (BgL_arg1869z00_3062 - OBJECT_TYPE);
										}
										BgL_oclassz00_3059 =
											VECTOR_REF(BgL_arg1866z00_3060, BgL_arg1867z00_3061);
									}
									{	/* Effect/cgraph.sch 96 */
										bool_t BgL__ortest_1115z00_3063;

										BgL__ortest_1115z00_3063 =
											(BgL_classz00_3053 == BgL_oclassz00_3059);
										if (BgL__ortest_1115z00_3063)
											{	/* Effect/cgraph.sch 96 */
												BgL_res1903z00_3058 = BgL__ortest_1115z00_3063;
											}
										else
											{	/* Effect/cgraph.sch 96 */
												long BgL_odepthz00_3064;

												{	/* Effect/cgraph.sch 96 */
													obj_t BgL_arg1855z00_3065;

													BgL_arg1855z00_3065 = (BgL_oclassz00_3059);
													BgL_odepthz00_3064 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3065);
												}
												if ((3L < BgL_odepthz00_3064))
													{	/* Effect/cgraph.sch 96 */
														obj_t BgL_arg1853z00_3066;

														{	/* Effect/cgraph.sch 96 */
															obj_t BgL_arg1854z00_3067;

															BgL_arg1854z00_3067 = (BgL_oclassz00_3059);
															BgL_arg1853z00_3066 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3067,
																3L);
														}
														BgL_res1903z00_3058 =
															(BgL_arg1853z00_3066 == BgL_classz00_3053);
													}
												else
													{	/* Effect/cgraph.sch 96 */
														BgL_res1903z00_3058 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1903z00_3058;
							}
					}
				else
					{	/* Effect/cgraph.sch 96 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2664,
		obj_t BgL_objz00_2665)
	{
		{	/* Effect/cgraph.sch 96 */
			return BBOOL(BGl_localzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2665));
		}

	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				obj_t BgL_classz00_2135;

				BgL_classz00_2135 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 97 */
					obj_t BgL__ortest_1117z00_2136;

					BgL__ortest_1117z00_2136 = BGL_CLASS_NIL(BgL_classz00_2135);
					if (CBOOL(BgL__ortest_1117z00_2136))
						{	/* Effect/cgraph.sch 97 */
							return ((BgL_localz00_bglt) BgL__ortest_1117z00_2136);
						}
					else
						{	/* Effect/cgraph.sch 97 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2135));
						}
				}
			}
		}

	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2666)
	{
		{	/* Effect/cgraph.sch 97 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_18)
	{
		{	/* Effect/cgraph.sch 98 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3425;

				{
					obj_t BgL_auxz00_3426;

					{	/* Effect/cgraph.sch 98 */
						BgL_objectz00_bglt BgL_tmpz00_3427;

						BgL_tmpz00_3427 = ((BgL_objectz00_bglt) BgL_oz00_18);
						BgL_auxz00_3426 = BGL_OBJECT_WIDENING(BgL_tmpz00_3427);
					}
					BgL_auxz00_3425 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3426);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3425))->BgL_fromz00);
			}
		}

	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2667,
		obj_t BgL_oz00_2668)
	{
		{	/* Effect/cgraph.sch 98 */
			return
				BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2668));
		}

	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_19, obj_t BgL_vz00_20)
	{
		{	/* Effect/cgraph.sch 99 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3434;

				{
					obj_t BgL_auxz00_3435;

					{	/* Effect/cgraph.sch 99 */
						BgL_objectz00_bglt BgL_tmpz00_3436;

						BgL_tmpz00_3436 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3435 = BGL_OBJECT_WIDENING(BgL_tmpz00_3436);
					}
					BgL_auxz00_3434 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3435);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_3434))->
						BgL_fromz00) = ((obj_t) BgL_vz00_20), BUNSPEC);
			}
		}

	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2669, obj_t BgL_oz00_2670, obj_t BgL_vz00_2671)
	{
		{	/* Effect/cgraph.sch 99 */
			return
				BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2670), BgL_vz00_2671);
		}

	}



/* local/from-volatile */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2volatilez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_21)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_21)))->BgL_volatilez00);
		}

	}



/* &local/from-volatile */
	obj_t BGl_z62localzf2fromzd2volatilez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2672, obj_t BgL_oz00_2673)
	{
		{	/* Effect/cgraph.sch 100 */
			return
				BBOOL(BGl_localzf2fromzd2volatilez20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2673)));
		}

	}



/* local/from-volatile-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2volatilezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22, bool_t BgL_vz00_23)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_22)))->BgL_volatilez00) =
				((bool_t) BgL_vz00_23), BUNSPEC);
		}

	}



/* &local/from-volatile-set! */
	obj_t BGl_z62localzf2fromzd2volatilezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2674, obj_t BgL_oz00_2675, obj_t BgL_vz00_2676)
	{
		{	/* Effect/cgraph.sch 101 */
			return
				BGl_localzf2fromzd2volatilezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2675), CBOOL(BgL_vz00_2676));
		}

	}



/* local/from-val-noescape */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valzd2noescapezf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_24)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_24)))->BgL_valzd2noescapezd2);
		}

	}



/* &local/from-val-noescape */
	obj_t BGl_z62localzf2fromzd2valzd2noescapez90zzeffect_cgraphz00(obj_t
		BgL_envz00_2677, obj_t BgL_oz00_2678)
	{
		{	/* Effect/cgraph.sch 102 */
			return
				BGl_localzf2fromzd2valzd2noescapezf2zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2678));
		}

	}



/* local/from-val-noescape-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valzd2noescapezd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_25, obj_t BgL_vz00_26)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_localz00_bglt) COBJECT(
							((BgL_localz00_bglt) BgL_oz00_25)))->BgL_valzd2noescapezd2) =
				((obj_t) BgL_vz00_26), BUNSPEC);
		}

	}



/* &local/from-val-noescape-set! */
	obj_t BGl_z62localzf2fromzd2valzd2noescapezd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2679, obj_t BgL_oz00_2680, obj_t BgL_vz00_2681)
	{
		{	/* Effect/cgraph.sch 103 */
			return
				BGl_localzf2fromzd2valzd2noescapezd2setz12z32zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2680), BgL_vz00_2681);
		}

	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_27)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_localz00_bglt) COBJECT(
						((BgL_localz00_bglt) BgL_oz00_27)))->BgL_keyz00);
		}

	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2682,
		obj_t BgL_oz00_2683)
	{
		{	/* Effect/cgraph.sch 104 */
			return
				BINT(BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2683)));
		}

	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_30)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_30)))->BgL_userzf3zf3);
		}

	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2684, obj_t BgL_oz00_2685)
	{
		{	/* Effect/cgraph.sch 106 */
			return
				BBOOL(BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2685)));
		}

	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31, bool_t BgL_vz00_32)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2686, obj_t BgL_oz00_2687, obj_t BgL_vz00_2688)
	{
		{	/* Effect/cgraph.sch 107 */
			return
				BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2687), CBOOL(BgL_vz00_2688));
		}

	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_33)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_33)))->BgL_occurrencewz00);
		}

	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2689, obj_t BgL_oz00_2690)
	{
		{	/* Effect/cgraph.sch 108 */
			return
				BINT(BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2690)));
		}

	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_34, long BgL_vz00_35)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_occurrencewz00) =
				((long) BgL_vz00_35), BUNSPEC);
		}

	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2691, obj_t BgL_oz00_2692, obj_t BgL_vz00_2693)
	{
		{	/* Effect/cgraph.sch 109 */
			return
				BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2692), (long) CINT(BgL_vz00_2693));
		}

	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_36)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_36)))->BgL_occurrencez00);
		}

	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2694, obj_t BgL_oz00_2695)
	{
		{	/* Effect/cgraph.sch 110 */
			return
				BINT(BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_localz00_bglt) BgL_oz00_2695)));
		}

	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_37, long BgL_vz00_38)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_occurrencez00) =
				((long) BgL_vz00_38), BUNSPEC);
		}

	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2696, obj_t BgL_oz00_2697, obj_t BgL_vz00_2698)
	{
		{	/* Effect/cgraph.sch 111 */
			return
				BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2697), (long) CINT(BgL_vz00_2698));
		}

	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_39)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_39)))->BgL_removablez00);
		}

	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2699, obj_t BgL_oz00_2700)
	{
		{	/* Effect/cgraph.sch 112 */
			return
				BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2700));
		}

	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_40, obj_t BgL_vz00_41)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_removablez00) =
				((obj_t) BgL_vz00_41), BUNSPEC);
		}

	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2701, obj_t BgL_oz00_2702, obj_t BgL_vz00_2703)
	{
		{	/* Effect/cgraph.sch 113 */
			return
				BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2702), BgL_vz00_2703);
		}

	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_42)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_42)))->BgL_fastzd2alphazd2);
		}

	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2704, obj_t BgL_oz00_2705)
	{
		{	/* Effect/cgraph.sch 114 */
			return
				BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2705));
		}

	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_43, obj_t BgL_vz00_44)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_44), BUNSPEC);
		}

	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2706, obj_t BgL_oz00_2707, obj_t BgL_vz00_2708)
	{
		{	/* Effect/cgraph.sch 115 */
			return
				BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2707), BgL_vz00_2708);
		}

	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_45)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_45)))->BgL_accessz00);
		}

	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2709,
		obj_t BgL_oz00_2710)
	{
		{	/* Effect/cgraph.sch 116 */
			return
				BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2710));
		}

	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		{	/* Effect/cgraph.sch 117 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_accessz00) =
				((obj_t) BgL_vz00_47), BUNSPEC);
		}

	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2711, obj_t BgL_oz00_2712, obj_t BgL_vz00_2713)
	{
		{	/* Effect/cgraph.sch 117 */
			return
				BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2712), BgL_vz00_2713);
		}

	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_48)
	{
		{	/* Effect/cgraph.sch 118 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_48)))->BgL_valuez00);
		}

	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2714, obj_t BgL_oz00_2715)
	{
		{	/* Effect/cgraph.sch 118 */
			return
				BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2715));
		}

	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_49, BgL_valuez00_bglt BgL_vz00_50)
	{
		{	/* Effect/cgraph.sch 119 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_50), BUNSPEC);
		}

	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2716, obj_t BgL_oz00_2717, obj_t BgL_vz00_2718)
	{
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2717),
				((BgL_valuez00_bglt) BgL_vz00_2718));
		}

	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_51)
	{
		{	/* Effect/cgraph.sch 120 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_51)))->BgL_typez00);
		}

	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2719, obj_t BgL_oz00_2720)
	{
		{	/* Effect/cgraph.sch 120 */
			return
				BGl_localzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2720));
		}

	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_52, BgL_typez00_bglt BgL_vz00_53)
	{
		{	/* Effect/cgraph.sch 121 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_52)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_53), BUNSPEC);
		}

	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2721, obj_t BgL_oz00_2722, obj_t BgL_vz00_2723)
	{
		{	/* Effect/cgraph.sch 121 */
			return
				BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2722),
				((BgL_typez00_bglt) BgL_vz00_2723));
		}

	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_54)
	{
		{	/* Effect/cgraph.sch 122 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_54)))->BgL_namez00);
		}

	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2724,
		obj_t BgL_oz00_2725)
	{
		{	/* Effect/cgraph.sch 122 */
			return
				BGl_localzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2725));
		}

	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_55, obj_t BgL_vz00_56)
	{
		{	/* Effect/cgraph.sch 123 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_55)))->BgL_namez00) =
				((obj_t) BgL_vz00_56), BUNSPEC);
		}

	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2726, obj_t BgL_oz00_2727, obj_t BgL_vz00_2728)
	{
		{	/* Effect/cgraph.sch 123 */
			return
				BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2727), BgL_vz00_2728);
		}

	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_57)
	{
		{	/* Effect/cgraph.sch 124 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_57)))->BgL_idz00);
		}

	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2729,
		obj_t BgL_oz00_2730)
	{
		{	/* Effect/cgraph.sch 124 */
			return
				BGl_localzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_localz00_bglt) BgL_oz00_2730));
		}

	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1150z00_60,
		obj_t BgL_name1151z00_61, BgL_typez00_bglt BgL_type1152z00_62,
		BgL_valuez00_bglt BgL_value1153z00_63, obj_t BgL_access1154z00_64,
		obj_t BgL_fastzd2alpha1155zd2_65, obj_t BgL_removable1156z00_66,
		long BgL_occurrence1157z00_67, long BgL_occurrencew1158z00_68,
		bool_t BgL_userzf31159zf3_69, obj_t BgL_module1160z00_70,
		obj_t BgL_import1161z00_71, bool_t BgL_evaluablezf31162zf3_72,
		bool_t BgL_evalzf31163zf3_73, obj_t BgL_library1164z00_74,
		obj_t BgL_pragma1165z00_75, obj_t BgL_src1166z00_76,
		obj_t BgL_qualifiedzd2typezd2name1167z00_77, obj_t BgL_init1168z00_78,
		obj_t BgL_alias1169z00_79, obj_t BgL_from1170z00_80)
	{
		{	/* Effect/cgraph.sch 128 */
			{	/* Effect/cgraph.sch 128 */
				BgL_globalz00_bglt BgL_new1161z00_3068;

				{	/* Effect/cgraph.sch 128 */
					BgL_globalz00_bglt BgL_tmp1159z00_3069;
					BgL_globalzf2fromzf2_bglt BgL_wide1160z00_3070;

					{
						BgL_globalz00_bglt BgL_auxz00_3550;

						{	/* Effect/cgraph.sch 128 */
							BgL_globalz00_bglt BgL_new1158z00_3071;

							BgL_new1158z00_3071 =
								((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 128 */
								long BgL_arg1388z00_3072;

								BgL_arg1388z00_3072 = BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1158z00_3071),
									BgL_arg1388z00_3072);
							}
							{	/* Effect/cgraph.sch 128 */
								BgL_objectz00_bglt BgL_tmpz00_3555;

								BgL_tmpz00_3555 = ((BgL_objectz00_bglt) BgL_new1158z00_3071);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3555, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1158z00_3071);
							BgL_auxz00_3550 = BgL_new1158z00_3071;
						}
						BgL_tmp1159z00_3069 = ((BgL_globalz00_bglt) BgL_auxz00_3550);
					}
					BgL_wide1160z00_3070 =
						((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 128 */
						obj_t BgL_auxz00_3563;
						BgL_objectz00_bglt BgL_tmpz00_3561;

						BgL_auxz00_3563 = ((obj_t) BgL_wide1160z00_3070);
						BgL_tmpz00_3561 = ((BgL_objectz00_bglt) BgL_tmp1159z00_3069);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3561, BgL_auxz00_3563);
					}
					((BgL_objectz00_bglt) BgL_tmp1159z00_3069);
					{	/* Effect/cgraph.sch 128 */
						long BgL_arg1386z00_3073;

						BgL_arg1386z00_3073 =
							BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1159z00_3069), BgL_arg1386z00_3073);
					}
					BgL_new1161z00_3068 = ((BgL_globalz00_bglt) BgL_tmp1159z00_3069);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_new1161z00_3068)))->BgL_idz00) =
					((obj_t) BgL_id1150z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_namez00) =
					((obj_t) BgL_name1151z00_61), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1152z00_62), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1153z00_63), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_accessz00) =
					((obj_t) BgL_access1154z00_64), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1155zd2_65), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_removablez00) =
					((obj_t) BgL_removable1156z00_66), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_occurrencez00) =
					((long) BgL_occurrence1157z00_67), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1158z00_68), BUNSPEC);
				((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
									BgL_new1161z00_3068)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31159zf3_69), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_modulez00) =
					((obj_t) BgL_module1160z00_70), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_importz00) =
					((obj_t) BgL_import1161z00_71), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31162zf3_72), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31163zf3_73), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_libraryz00) =
					((obj_t) BgL_library1164z00_74), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1165z00_75), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_srcz00) =
					((obj_t) BgL_src1166z00_76), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BgL_qualifiedzd2typezd2name1167z00_77), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_initz00) =
					((obj_t) BgL_init1168z00_78), BUNSPEC);
				((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
									BgL_new1161z00_3068)))->BgL_aliasz00) =
					((obj_t) BgL_alias1169z00_79), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3611;

					{
						obj_t BgL_auxz00_3612;

						{	/* Effect/cgraph.sch 128 */
							BgL_objectz00_bglt BgL_tmpz00_3613;

							BgL_tmpz00_3613 = ((BgL_objectz00_bglt) BgL_new1161z00_3068);
							BgL_auxz00_3612 = BGL_OBJECT_WIDENING(BgL_tmpz00_3613);
						}
						BgL_auxz00_3611 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3612);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3611))->
							BgL_fromz00) = ((obj_t) BgL_from1170z00_80), BUNSPEC);
				}
				return BgL_new1161z00_3068;
			}
		}

	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2731, obj_t BgL_id1150z00_2732, obj_t BgL_name1151z00_2733,
		obj_t BgL_type1152z00_2734, obj_t BgL_value1153z00_2735,
		obj_t BgL_access1154z00_2736, obj_t BgL_fastzd2alpha1155zd2_2737,
		obj_t BgL_removable1156z00_2738, obj_t BgL_occurrence1157z00_2739,
		obj_t BgL_occurrencew1158z00_2740, obj_t BgL_userzf31159zf3_2741,
		obj_t BgL_module1160z00_2742, obj_t BgL_import1161z00_2743,
		obj_t BgL_evaluablezf31162zf3_2744, obj_t BgL_evalzf31163zf3_2745,
		obj_t BgL_library1164z00_2746, obj_t BgL_pragma1165z00_2747,
		obj_t BgL_src1166z00_2748, obj_t BgL_qualifiedzd2typezd2name1167z00_2749,
		obj_t BgL_init1168z00_2750, obj_t BgL_alias1169z00_2751,
		obj_t BgL_from1170z00_2752)
	{
		{	/* Effect/cgraph.sch 128 */
			return
				BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(BgL_id1150z00_2732,
				BgL_name1151z00_2733, ((BgL_typez00_bglt) BgL_type1152z00_2734),
				((BgL_valuez00_bglt) BgL_value1153z00_2735), BgL_access1154z00_2736,
				BgL_fastzd2alpha1155zd2_2737, BgL_removable1156z00_2738,
				(long) CINT(BgL_occurrence1157z00_2739),
				(long) CINT(BgL_occurrencew1158z00_2740),
				CBOOL(BgL_userzf31159zf3_2741), BgL_module1160z00_2742,
				BgL_import1161z00_2743, CBOOL(BgL_evaluablezf31162zf3_2744),
				CBOOL(BgL_evalzf31163zf3_2745), BgL_library1164z00_2746,
				BgL_pragma1165z00_2747, BgL_src1166z00_2748,
				BgL_qualifiedzd2typezd2name1167z00_2749, BgL_init1168z00_2750,
				BgL_alias1169z00_2751, BgL_from1170z00_2752);
		}

	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_81)
	{
		{	/* Effect/cgraph.sch 129 */
			{	/* Effect/cgraph.sch 129 */
				obj_t BgL_classz00_3074;

				BgL_classz00_3074 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				if (BGL_OBJECTP(BgL_objz00_81))
					{	/* Effect/cgraph.sch 129 */
						BgL_objectz00_bglt BgL_arg1858z00_3075;

						BgL_arg1858z00_3075 = (BgL_objectz00_bglt) (BgL_objz00_81);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Effect/cgraph.sch 129 */
								long BgL_idxz00_3076;

								BgL_idxz00_3076 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3075);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3076 + 3L)) == BgL_classz00_3074);
							}
						else
							{	/* Effect/cgraph.sch 129 */
								bool_t BgL_res1904z00_3079;

								{	/* Effect/cgraph.sch 129 */
									obj_t BgL_oclassz00_3080;

									{	/* Effect/cgraph.sch 129 */
										obj_t BgL_arg1866z00_3081;
										long BgL_arg1867z00_3082;

										BgL_arg1866z00_3081 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Effect/cgraph.sch 129 */
											long BgL_arg1869z00_3083;

											BgL_arg1869z00_3083 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3075);
											BgL_arg1867z00_3082 = (BgL_arg1869z00_3083 - OBJECT_TYPE);
										}
										BgL_oclassz00_3080 =
											VECTOR_REF(BgL_arg1866z00_3081, BgL_arg1867z00_3082);
									}
									{	/* Effect/cgraph.sch 129 */
										bool_t BgL__ortest_1115z00_3084;

										BgL__ortest_1115z00_3084 =
											(BgL_classz00_3074 == BgL_oclassz00_3080);
										if (BgL__ortest_1115z00_3084)
											{	/* Effect/cgraph.sch 129 */
												BgL_res1904z00_3079 = BgL__ortest_1115z00_3084;
											}
										else
											{	/* Effect/cgraph.sch 129 */
												long BgL_odepthz00_3085;

												{	/* Effect/cgraph.sch 129 */
													obj_t BgL_arg1855z00_3086;

													BgL_arg1855z00_3086 = (BgL_oclassz00_3080);
													BgL_odepthz00_3085 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_3086);
												}
												if ((3L < BgL_odepthz00_3085))
													{	/* Effect/cgraph.sch 129 */
														obj_t BgL_arg1853z00_3087;

														{	/* Effect/cgraph.sch 129 */
															obj_t BgL_arg1854z00_3088;

															BgL_arg1854z00_3088 = (BgL_oclassz00_3080);
															BgL_arg1853z00_3087 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3088,
																3L);
														}
														BgL_res1904z00_3079 =
															(BgL_arg1853z00_3087 == BgL_classz00_3074);
													}
												else
													{	/* Effect/cgraph.sch 129 */
														BgL_res1904z00_3079 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1904z00_3079;
							}
					}
				else
					{	/* Effect/cgraph.sch 129 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2753,
		obj_t BgL_objz00_2754)
	{
		{	/* Effect/cgraph.sch 129 */
			return BBOOL(BGl_globalzf2fromzf3z01zzeffect_cgraphz00(BgL_objz00_2754));
		}

	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.sch 130 */
			{	/* Effect/cgraph.sch 130 */
				obj_t BgL_classz00_2188;

				BgL_classz00_2188 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 130 */
					obj_t BgL__ortest_1117z00_2189;

					BgL__ortest_1117z00_2189 = BGL_CLASS_NIL(BgL_classz00_2188);
					if (CBOOL(BgL__ortest_1117z00_2189))
						{	/* Effect/cgraph.sch 130 */
							return ((BgL_globalz00_bglt) BgL__ortest_1117z00_2189);
						}
					else
						{	/* Effect/cgraph.sch 130 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2188));
						}
				}
			}
		}

	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2755)
	{
		{	/* Effect/cgraph.sch 130 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}

	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_82)
	{
		{	/* Effect/cgraph.sch 131 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3657;

				{
					obj_t BgL_auxz00_3658;

					{	/* Effect/cgraph.sch 131 */
						BgL_objectz00_bglt BgL_tmpz00_3659;

						BgL_tmpz00_3659 = ((BgL_objectz00_bglt) BgL_oz00_82);
						BgL_auxz00_3658 = BGL_OBJECT_WIDENING(BgL_tmpz00_3659);
					}
					BgL_auxz00_3657 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3658);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3657))->BgL_fromz00);
			}
		}

	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2756,
		obj_t BgL_oz00_2757)
	{
		{	/* Effect/cgraph.sch 131 */
			return
				BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2757));
		}

	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* Effect/cgraph.sch 132 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3666;

				{
					obj_t BgL_auxz00_3667;

					{	/* Effect/cgraph.sch 132 */
						BgL_objectz00_bglt BgL_tmpz00_3668;

						BgL_tmpz00_3668 = ((BgL_objectz00_bglt) BgL_oz00_83);
						BgL_auxz00_3667 = BGL_OBJECT_WIDENING(BgL_tmpz00_3668);
					}
					BgL_auxz00_3666 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3667);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_3666))->
						BgL_fromz00) = ((obj_t) BgL_vz00_84), BUNSPEC);
			}
		}

	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2758, obj_t BgL_oz00_2759, obj_t BgL_vz00_2760)
	{
		{	/* Effect/cgraph.sch 132 */
			return
				BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2759), BgL_vz00_2760);
		}

	}



/* global/from-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_aliasz00);
		}

	}



/* &global/from-alias */
	obj_t BGl_z62globalzf2fromzd2aliasz42zzeffect_cgraphz00(obj_t BgL_envz00_2761,
		obj_t BgL_oz00_2762)
	{
		{	/* Effect/cgraph.sch 133 */
			return
				BGl_globalzf2fromzd2aliasz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2762));
		}

	}



/* global/from-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &global/from-alias-set! */
	obj_t BGl_z62globalzf2fromzd2aliaszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2763, obj_t BgL_oz00_2764, obj_t BgL_vz00_2765)
	{
		{	/* Effect/cgraph.sch 134 */
			return
				BGl_globalzf2fromzd2aliaszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2764), BgL_vz00_2765);
		}

	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_initz00);
		}

	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2766,
		obj_t BgL_oz00_2767)
	{
		{	/* Effect/cgraph.sch 135 */
			return
				BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2767));
		}

	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_initz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2768, obj_t BgL_oz00_2769, obj_t BgL_vz00_2770)
	{
		{	/* Effect/cgraph.sch 136 */
			return
				BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2769), BgL_vz00_2770);
		}

	}



/* global/from-qualified-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2qualifiedzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_91)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_91)))->
				BgL_qualifiedzd2typezd2namez00);
		}

	}



/* &global/from-qualified-type-name */
	obj_t
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2771, obj_t BgL_oz00_2772)
	{
		{	/* Effect/cgraph.sch 137 */
			return
				BGl_globalzf2fromzd2qualifiedzd2typezd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2772));
		}

	}



/* global/from-qualified-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2qualifiedzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_92, obj_t BgL_vz00_93)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_92)))->
					BgL_qualifiedzd2typezd2namez00) = ((obj_t) BgL_vz00_93), BUNSPEC);
		}

	}



/* &global/from-qualified-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2qualifiedzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t BgL_envz00_2773, obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
	{
		{	/* Effect/cgraph.sch 138 */
			return
				BGl_globalzf2fromzd2qualifiedzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
				(((BgL_globalz00_bglt) BgL_oz00_2774), BgL_vz00_2775);
		}

	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_94)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_srcz00);
		}

	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2776,
		obj_t BgL_oz00_2777)
	{
		{	/* Effect/cgraph.sch 139 */
			return
				BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2777));
		}

	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_srcz00) =
				((obj_t) BgL_vz00_96), BUNSPEC);
		}

	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2778, obj_t BgL_oz00_2779, obj_t BgL_vz00_2780)
	{
		{	/* Effect/cgraph.sch 140 */
			return
				BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2779), BgL_vz00_2780);
		}

	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_pragmaz00);
		}

	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2781, obj_t BgL_oz00_2782)
	{
		{	/* Effect/cgraph.sch 141 */
			return
				BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2782));
		}

	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}

	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2783, obj_t BgL_oz00_2784, obj_t BgL_vz00_2785)
	{
		{	/* Effect/cgraph.sch 142 */
			return
				BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2784), BgL_vz00_2785);
		}

	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_libraryz00);
		}

	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2786, obj_t BgL_oz00_2787)
	{
		{	/* Effect/cgraph.sch 143 */
			return
				BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2787));
		}

	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}

	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2788, obj_t BgL_oz00_2789, obj_t BgL_vz00_2790)
	{
		{	/* Effect/cgraph.sch 144 */
			return
				BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2789), BgL_vz00_2790);
		}

	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_103)))->BgL_evalzf3zf3);
		}

	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2791, obj_t BgL_oz00_2792)
	{
		{	/* Effect/cgraph.sch 145 */
			return
				BBOOL(BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2792)));
		}

	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_104)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2793, obj_t BgL_oz00_2794, obj_t BgL_vz00_2795)
	{
		{	/* Effect/cgraph.sch 146 */
			return
				BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2794), CBOOL(BgL_vz00_2795));
		}

	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_106)))->BgL_evaluablezf3zf3);
		}

	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2796, obj_t BgL_oz00_2797)
	{
		{	/* Effect/cgraph.sch 147 */
			return
				BBOOL(BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2797)));
		}

	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, bool_t BgL_vz00_108)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_107)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_108), BUNSPEC);
		}

	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2798, obj_t BgL_oz00_2799, obj_t BgL_vz00_2800)
	{
		{	/* Effect/cgraph.sch 148 */
			return
				BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2799), CBOOL(BgL_vz00_2800));
		}

	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_109)))->BgL_importz00);
		}

	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2801, obj_t BgL_oz00_2802)
	{
		{	/* Effect/cgraph.sch 149 */
			return
				BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2802));
		}

	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_110, obj_t BgL_vz00_111)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_110)))->BgL_importz00) =
				((obj_t) BgL_vz00_111), BUNSPEC);
		}

	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2803, obj_t BgL_oz00_2804, obj_t BgL_vz00_2805)
	{
		{	/* Effect/cgraph.sch 150 */
			return
				BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2804), BgL_vz00_2805);
		}

	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_globalz00_bglt) COBJECT(
						((BgL_globalz00_bglt) BgL_oz00_112)))->BgL_modulez00);
		}

	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2806, obj_t BgL_oz00_2807)
	{
		{	/* Effect/cgraph.sch 151 */
			return
				BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2807));
		}

	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_globalz00_bglt) COBJECT(
							((BgL_globalz00_bglt) BgL_oz00_113)))->BgL_modulez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2808, obj_t BgL_oz00_2809, obj_t BgL_vz00_2810)
	{
		{	/* Effect/cgraph.sch 152 */
			return
				BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2809), BgL_vz00_2810);
		}

	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_userzf3zf3);
		}

	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2811, obj_t BgL_oz00_2812)
	{
		{	/* Effect/cgraph.sch 153 */
			return
				BBOOL(BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2812)));
		}

	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_116, bool_t BgL_vz00_117)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_117), BUNSPEC);
		}

	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2813, obj_t BgL_oz00_2814, obj_t BgL_vz00_2815)
	{
		{	/* Effect/cgraph.sch 154 */
			return
				BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2814), CBOOL(BgL_vz00_2815));
		}

	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_occurrencewz00);
		}

	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2816, obj_t BgL_oz00_2817)
	{
		{	/* Effect/cgraph.sch 155 */
			return
				BINT(BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2817)));
		}

	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_119, long BgL_vz00_120)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_occurrencewz00) =
				((long) BgL_vz00_120), BUNSPEC);
		}

	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2818, obj_t BgL_oz00_2819, obj_t BgL_vz00_2820)
	{
		{	/* Effect/cgraph.sch 156 */
			return
				BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2819), (long) CINT(BgL_vz00_2820));
		}

	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_occurrencez00);
		}

	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822)
	{
		{	/* Effect/cgraph.sch 157 */
			return
				BINT(BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(
					((BgL_globalz00_bglt) BgL_oz00_2822)));
		}

	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_122, long BgL_vz00_123)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_occurrencez00) =
				((long) BgL_vz00_123), BUNSPEC);
		}

	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2823, obj_t BgL_oz00_2824, obj_t BgL_vz00_2825)
	{
		{	/* Effect/cgraph.sch 158 */
			return
				BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2824), (long) CINT(BgL_vz00_2825));
		}

	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_removablez00);
		}

	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2826, obj_t BgL_oz00_2827)
	{
		{	/* Effect/cgraph.sch 159 */
			return
				BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2827));
		}

	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_125, obj_t BgL_vz00_126)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_removablez00) =
				((obj_t) BgL_vz00_126), BUNSPEC);
		}

	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2828, obj_t BgL_oz00_2829, obj_t BgL_vz00_2830)
	{
		{	/* Effect/cgraph.sch 160 */
			return
				BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2829), BgL_vz00_2830);
		}

	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_fastzd2alphazd2);
		}

	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2831, obj_t BgL_oz00_2832)
	{
		{	/* Effect/cgraph.sch 161 */
			return
				BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2832));
		}

	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_128, obj_t BgL_vz00_129)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}

	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2833, obj_t BgL_oz00_2834, obj_t BgL_vz00_2835)
	{
		{	/* Effect/cgraph.sch 162 */
			return
				BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2834), BgL_vz00_2835);
		}

	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_130)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_accessz00);
		}

	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2836, obj_t BgL_oz00_2837)
	{
		{	/* Effect/cgraph.sch 163 */
			return
				BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2837));
		}

	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_131, obj_t BgL_vz00_132)
	{
		{	/* Effect/cgraph.sch 164 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_131)))->BgL_accessz00) =
				((obj_t) BgL_vz00_132), BUNSPEC);
		}

	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2838, obj_t BgL_oz00_2839, obj_t BgL_vz00_2840)
	{
		{	/* Effect/cgraph.sch 164 */
			return
				BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2839), BgL_vz00_2840);
		}

	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_133)
	{
		{	/* Effect/cgraph.sch 165 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_133)))->BgL_valuez00);
		}

	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2841, obj_t BgL_oz00_2842)
	{
		{	/* Effect/cgraph.sch 165 */
			return
				BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2842));
		}

	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_134, BgL_valuez00_bglt BgL_vz00_135)
	{
		{	/* Effect/cgraph.sch 166 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_134)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_135), BUNSPEC);
		}

	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
	{
		{	/* Effect/cgraph.sch 166 */
			return
				BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2844),
				((BgL_valuez00_bglt) BgL_vz00_2845));
		}

	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_136)
	{
		{	/* Effect/cgraph.sch 167 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_136)))->BgL_typez00);
		}

	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2846, obj_t BgL_oz00_2847)
	{
		{	/* Effect/cgraph.sch 167 */
			return
				BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2847));
		}

	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_137, BgL_typez00_bglt BgL_vz00_138)
	{
		{	/* Effect/cgraph.sch 168 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_137)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_138), BUNSPEC);
		}

	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
	{
		{	/* Effect/cgraph.sch 168 */
			return
				BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2849),
				((BgL_typez00_bglt) BgL_vz00_2850));
		}

	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_139)
	{
		{	/* Effect/cgraph.sch 169 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_139)))->BgL_namez00);
		}

	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2851,
		obj_t BgL_oz00_2852)
	{
		{	/* Effect/cgraph.sch 169 */
			return
				BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2852));
		}

	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_140, obj_t BgL_vz00_141)
	{
		{	/* Effect/cgraph.sch 170 */
			return
				((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_oz00_140)))->BgL_namez00) =
				((obj_t) BgL_vz00_141), BUNSPEC);
		}

	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2853, obj_t BgL_oz00_2854, obj_t BgL_vz00_2855)
	{
		{	/* Effect/cgraph.sch 170 */
			return
				BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2854), BgL_vz00_2855);
		}

	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_142)
	{
		{	/* Effect/cgraph.sch 171 */
			return
				(((BgL_variablez00_bglt) COBJECT(
						((BgL_variablez00_bglt) BgL_oz00_142)))->BgL_idz00);
		}

	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857)
	{
		{	/* Effect/cgraph.sch 171 */
			return
				BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(
				((BgL_globalz00_bglt) BgL_oz00_2857));
		}

	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_145)
	{
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_YOUNG_PAIR(
				((obj_t) BgL_variablez00_145),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg1390z00_1563;

				BgL_arg1390z00_1563 =
					(((BgL_sfunz00_bglt) COBJECT(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_145))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg1390z00_1563), BgL_variablez00_145);
			}
		}

	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_2858,
		obj_t BgL_variablez00_2859)
	{
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_2859));
		}

	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_184,
		obj_t BgL_ownerz00_185)
	{
		{	/* Effect/cgraph.scm 206 */
			{
				obj_t BgL_l1323z00_1566;

				BgL_l1323z00_1566 = BgL_nodeza2za2_184;
			BgL_zc3z04anonymousza31393ze3z87_1567:
				if (PAIRP(BgL_l1323z00_1566))
					{	/* Effect/cgraph.scm 207 */
						{	/* Effect/cgraph.scm 207 */
							obj_t BgL_nodez00_1569;

							BgL_nodez00_1569 = CAR(BgL_l1323z00_1566);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1569),
								((BgL_variablez00_bglt) BgL_ownerz00_185));
						}
						{
							obj_t BgL_l1323z00_3858;

							BgL_l1323z00_3858 = CDR(BgL_l1323z00_1566);
							BgL_l1323z00_1566 = BgL_l1323z00_3858;
							goto BgL_zc3z04anonymousza31393ze3z87_1567;
						}
					}
				else
					{	/* Effect/cgraph.scm 207 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}

	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2860)
	{
		{	/* Effect/cgraph.scm 251 */
			return BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
		}

	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}

	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_2861)
	{
		{	/* Effect/cgraph.scm 262 */
			return BGl_getzd2varzf2allz20zzeffect_cgraphz00();
		}

	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 273 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}

	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2862)
	{
		{	/* Effect/cgraph.scm 273 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}

	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_196)
	{
		{	/* Effect/cgraph.scm 280 */
			{	/* Effect/cgraph.scm 283 */
				BgL_valuez00_bglt BgL_funz00_1572;

				BgL_funz00_1572 =
					(((BgL_variablez00_bglt) COBJECT(BgL_vz00_196))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_funz00_1572)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 285 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_196),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 288 */
								return ((obj_t) CNST_TABLE_REF(0));
							}
						else
							{	/* Effect/cgraph.scm 288 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_YOUNG_PAIR(
										((obj_t) BgL_vz00_196),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 285 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_vz00_196),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						return ((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
											BgL_funz00_1572)))->BgL_sidezd2effectzd2) =
							((obj_t) BTRUE), BUNSPEC);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg1417z00_1579;
				obj_t BgL_arg1418z00_1580;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1325z00_1615;

					BgL_v1325z00_1615 = create_vector(1L);
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1489z00_1616;

						BgL_arg1489z00_1616 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc1924z00zzeffect_cgraphz00,
							BGl_proc1923z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1325z00_1615, 0L, BgL_arg1489z00_1616);
					}
					BgL_arg1417z00_1579 = BgL_v1325z00_1615;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1326z00_1626;

					BgL_v1326z00_1626 = create_vector(0L);
					BgL_arg1418z00_1580 = BgL_v1326z00_1626;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(3)),
					((obj_t)
						CNST_TABLE_REF(4)), BGl_localz00zzast_varz00, 19676L,
					BGl_proc1928z00zzeffect_cgraphz00, BGl_proc1927z00zzeffect_cgraphz00,
					BFALSE, BGl_proc1926z00zzeffect_cgraphz00,
					BGl_proc1925z00zzeffect_cgraphz00, BgL_arg1417z00_1579,
					BgL_arg1418z00_1580);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg1516z00_1635;
				obj_t BgL_arg1530z00_1636;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1327z00_1678;

					BgL_v1327z00_1678 = create_vector(1L);
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1560z00_1679;

						BgL_arg1560z00_1679 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(1)), BGl_proc1930z00zzeffect_cgraphz00,
							BGl_proc1929z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(2)));
						VECTOR_SET(BgL_v1327z00_1678, 0L, BgL_arg1560z00_1679);
					}
					BgL_arg1516z00_1635 = BgL_v1327z00_1678;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1328z00_1689;

					BgL_v1328z00_1689 = create_vector(0L);
					BgL_arg1530z00_1636 = BgL_v1328z00_1689;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(5)),
						((obj_t)
							CNST_TABLE_REF(4)), BGl_globalz00zzast_varz00, 6288L,
						BGl_proc1934z00zzeffect_cgraphz00,
						BGl_proc1933z00zzeffect_cgraphz00, BFALSE,
						BGl_proc1932z00zzeffect_cgraphz00,
						BGl_proc1931z00zzeffect_cgraphz00, BgL_arg1516z00_1635,
						BgL_arg1530z00_1636), BUNSPEC);
			}
		}

	}



/* &lambda1545 */
	BgL_globalz00_bglt BGl_z62lambda1545z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2875, obj_t BgL_o1148z00_2876)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_arg1553z00_3090;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_arg1554z00_3091;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg1558z00_3092;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg1866z00_3093;
							long BgL_arg1867z00_3094;

							BgL_arg1866z00_3093 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Effect/cgraph.scm 22 */
								long BgL_arg1869z00_3095;

								BgL_arg1869z00_3095 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_globalz00_bglt) BgL_o1148z00_2876)));
								BgL_arg1867z00_3094 = (BgL_arg1869z00_3095 - OBJECT_TYPE);
							}
							BgL_arg1558z00_3092 =
								VECTOR_REF(BgL_arg1866z00_3093, BgL_arg1867z00_3094);
						}
						BgL_arg1554z00_3091 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1558z00_3092);
					}
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_tmpz00_3913;

						BgL_tmpz00_3913 = ((obj_t) BgL_arg1554z00_3091);
						BgL_arg1553z00_3090 = BGL_CLASS_NUM(BgL_tmpz00_3913);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) BgL_o1148z00_2876)), BgL_arg1553z00_3090);
			}
			{	/* Effect/cgraph.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3919;

				BgL_tmpz00_3919 =
					((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2876));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3919, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2876));
			return ((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1148z00_2876));
		}

	}



/* &<@anonymous:1544> */
	obj_t BGl_z62zc3z04anonymousza31544ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2877, obj_t BgL_new1147z00_2878)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_auxz00_3927;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1147z00_2878))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3936;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3097;

						BgL_classz00_3097 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1117z00_3098;

							BgL__ortest_1117z00_3098 = BGL_CLASS_NIL(BgL_classz00_3097);
							if (CBOOL(BgL__ortest_1117z00_3098))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3936 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3098);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3936 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3097));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1147z00_2878))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3936), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3946;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_3099;

						BgL_classz00_3099 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1117z00_3100;

							BgL__ortest_1117z00_3100 = BGL_CLASS_NIL(BgL_classz00_3099);
							if (CBOOL(BgL__ortest_1117z00_3100))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3946 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_3100);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_3946 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3099));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_new1147z00_2878))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3946), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_new1147z00_2878))))->
						BgL_accessz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(6))), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_qualifiedzd2typezd2namez00) =
					((obj_t) BGl_string1935z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt)
							COBJECT(((BgL_globalz00_bglt) ((BgL_globalz00_bglt)
										BgL_new1147z00_2878))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4006;

					{
						obj_t BgL_auxz00_4007;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4008;

							BgL_tmpz00_4008 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt) BgL_new1147z00_2878));
							BgL_auxz00_4007 = BGL_OBJECT_WIDENING(BgL_tmpz00_4008);
						}
						BgL_auxz00_4006 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4007);
					}
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4006))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_3927 = ((BgL_globalz00_bglt) BgL_new1147z00_2878);
				return ((obj_t) BgL_auxz00_3927);
			}
		}

	}



/* &lambda1536 */
	BgL_globalz00_bglt BGl_z62lambda1536z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2879, obj_t BgL_o1144z00_2880)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				BgL_globalzf2fromzf2_bglt BgL_wide1146z00_3102;

				BgL_wide1146z00_3102 =
					((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_globalzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_auxz00_4021;
					BgL_objectz00_bglt BgL_tmpz00_4017;

					BgL_auxz00_4021 = ((obj_t) BgL_wide1146z00_3102);
					BgL_tmpz00_4017 =
						((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2880)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4017, BgL_auxz00_4021);
				}
				((BgL_objectz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2880)));
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg1543z00_3103;

					BgL_arg1543z00_3103 =
						BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_o1144z00_2880))),
						BgL_arg1543z00_3103);
				}
				return
					((BgL_globalz00_bglt)
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_o1144z00_2880)));
			}
		}

	}



/* &lambda1531 */
	BgL_globalz00_bglt BGl_z62lambda1531z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2881, obj_t BgL_id1123z00_2882, obj_t BgL_name1124z00_2883,
		obj_t BgL_type1125z00_2884, obj_t BgL_value1126z00_2885,
		obj_t BgL_access1127z00_2886, obj_t BgL_fastzd2alpha1128zd2_2887,
		obj_t BgL_removable1129z00_2888, obj_t BgL_occurrence1130z00_2889,
		obj_t BgL_occurrencew1131z00_2890, obj_t BgL_userzf31132zf3_2891,
		obj_t BgL_module1133z00_2892, obj_t BgL_import1134z00_2893,
		obj_t BgL_evaluablezf31135zf3_2894, obj_t BgL_evalzf31136zf3_2895,
		obj_t BgL_library1137z00_2896, obj_t BgL_pragma1138z00_2897,
		obj_t BgL_src1139z00_2898, obj_t BgL_qualifiedzd2typezd2name1140z00_2899,
		obj_t BgL_init1141z00_2900, obj_t BgL_alias1142z00_2901,
		obj_t BgL_from1143z00_2902)
	{
		{	/* Effect/cgraph.scm 22 */
			{	/* Effect/cgraph.scm 22 */
				long BgL_occurrence1130z00_3107;
				long BgL_occurrencew1131z00_3108;
				bool_t BgL_userzf31132zf3_3109;
				bool_t BgL_evaluablezf31135zf3_3111;
				bool_t BgL_evalzf31136zf3_3112;

				BgL_occurrence1130z00_3107 = (long) CINT(BgL_occurrence1130z00_2889);
				BgL_occurrencew1131z00_3108 = (long) CINT(BgL_occurrencew1131z00_2890);
				BgL_userzf31132zf3_3109 = CBOOL(BgL_userzf31132zf3_2891);
				BgL_evaluablezf31135zf3_3111 = CBOOL(BgL_evaluablezf31135zf3_2894);
				BgL_evalzf31136zf3_3112 = CBOOL(BgL_evalzf31136zf3_2895);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1196z00_3114;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1194z00_3115;
						BgL_globalzf2fromzf2_bglt BgL_wide1195z00_3116;

						{
							BgL_globalz00_bglt BgL_auxz00_4040;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1193z00_3117;

								BgL_new1193z00_3117 =
									((BgL_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1535z00_3118;

									BgL_arg1535z00_3118 =
										BGL_CLASS_NUM(BGl_globalz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1193z00_3117),
										BgL_arg1535z00_3118);
								}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_4045;

									BgL_tmpz00_4045 = ((BgL_objectz00_bglt) BgL_new1193z00_3117);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4045, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1193z00_3117);
								BgL_auxz00_4040 = BgL_new1193z00_3117;
							}
							BgL_tmp1194z00_3115 = ((BgL_globalz00_bglt) BgL_auxz00_4040);
						}
						BgL_wide1195z00_3116 =
							((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4053;
							BgL_objectz00_bglt BgL_tmpz00_4051;

							BgL_auxz00_4053 = ((obj_t) BgL_wide1195z00_3116);
							BgL_tmpz00_4051 = ((BgL_objectz00_bglt) BgL_tmp1194z00_3115);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4051, BgL_auxz00_4053);
						}
						((BgL_objectz00_bglt) BgL_tmp1194z00_3115);
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg1532z00_3119;

							BgL_arg1532z00_3119 =
								BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1194z00_3115),
								BgL_arg1532z00_3119);
						}
						BgL_new1196z00_3114 = ((BgL_globalz00_bglt) BgL_tmp1194z00_3115);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1196z00_3114)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1123z00_2882)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_namez00) =
						((obj_t) BgL_name1124z00_2883), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1125z00_2884)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1126z00_2885)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_accessz00) =
						((obj_t) BgL_access1127z00_2886), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1128zd2_2887), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_removablez00) =
						((obj_t) BgL_removable1129z00_2888), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_occurrencez00) =
						((long) BgL_occurrence1130z00_3107), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1131z00_3108), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1196z00_3114)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31132zf3_3109), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1133z00_2892)), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_importz00) =
						((obj_t) BgL_import1134z00_2893), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31135zf3_3111), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31136zf3_3112), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_libraryz00) =
						((obj_t) BgL_library1137z00_2896), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1138z00_2897), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_srcz00) =
						((obj_t) BgL_src1139z00_2898), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_qualifiedzd2typezd2namez00) =
						((obj_t) ((obj_t) BgL_qualifiedzd2typezd2name1140z00_2899)),
						BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_initz00) =
						((obj_t) BgL_init1141z00_2900), BUNSPEC);
					((((BgL_globalz00_bglt) COBJECT(((BgL_globalz00_bglt)
										BgL_new1196z00_3114)))->BgL_aliasz00) =
						((obj_t) BgL_alias1142z00_2901), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4106;

						{
							obj_t BgL_auxz00_4107;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_4108;

								BgL_tmpz00_4108 = ((BgL_objectz00_bglt) BgL_new1196z00_3114);
								BgL_auxz00_4107 = BGL_OBJECT_WIDENING(BgL_tmpz00_4108);
							}
							BgL_auxz00_4106 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4107);
						}
						((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4106))->
								BgL_fromz00) = ((obj_t) BgL_from1143z00_2902), BUNSPEC);
					}
					return BgL_new1196z00_3114;
				}
			}
		}

	}



/* &lambda1579 */
	obj_t BGl_z62lambda1579z62zzeffect_cgraphz00(obj_t BgL_envz00_2903,
		obj_t BgL_oz00_2904, obj_t BgL_vz00_2905)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_4113;

				{
					obj_t BgL_auxz00_4114;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4115;

						BgL_tmpz00_4115 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2904));
						BgL_auxz00_4114 = BGL_OBJECT_WIDENING(BgL_tmpz00_4115);
					}
					BgL_auxz00_4113 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4114);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4113))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2905), BUNSPEC);
			}
		}

	}



/* &lambda1578 */
	obj_t BGl_z62lambda1578z62zzeffect_cgraphz00(obj_t BgL_envz00_2906,
		obj_t BgL_oz00_2907)
	{
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_4121;

				{
					obj_t BgL_auxz00_4122;

					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_tmpz00_4123;

						BgL_tmpz00_4123 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2907));
						BgL_auxz00_4122 = BGL_OBJECT_WIDENING(BgL_tmpz00_4123);
					}
					BgL_auxz00_4121 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4122);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4121))->BgL_fromz00);
			}
		}

	}



/* &lambda1473 */
	BgL_localz00_bglt BGl_z62lambda1473z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2908, obj_t BgL_o1121z00_2909)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_arg1480z00_3123;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_arg1484z00_3124;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg1487z00_3125;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg1866z00_3126;
							long BgL_arg1867z00_3127;

							BgL_arg1866z00_3126 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Effect/cgraph.scm 21 */
								long BgL_arg1869z00_3128;

								BgL_arg1869z00_3128 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1121z00_2909)));
								BgL_arg1867z00_3127 = (BgL_arg1869z00_3128 - OBJECT_TYPE);
							}
							BgL_arg1487z00_3125 =
								VECTOR_REF(BgL_arg1866z00_3126, BgL_arg1867z00_3127);
						}
						BgL_arg1484z00_3124 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1487z00_3125);
					}
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_tmpz00_4136;

						BgL_tmpz00_4136 = ((obj_t) BgL_arg1484z00_3124);
						BgL_arg1480z00_3123 = BGL_CLASS_NUM(BgL_tmpz00_4136);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1121z00_2909)), BgL_arg1480z00_3123);
			}
			{	/* Effect/cgraph.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_4142;

				BgL_tmpz00_4142 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2909));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4142, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2909));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1121z00_2909));
		}

	}



/* &<@anonymous:1472> */
	obj_t BGl_z62zc3z04anonymousza31472ze3ze5zzeffect_cgraphz00(obj_t
		BgL_envz00_2910, obj_t BgL_new1120z00_2911)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_4150;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2911))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(6))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4159;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3130;

						BgL_classz00_3130 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1117z00_3131;

							BgL__ortest_1117z00_3131 = BGL_CLASS_NIL(BgL_classz00_3130);
							if (CBOOL(BgL__ortest_1117z00_3131))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4159 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3131);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4159 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3130));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2911))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4159), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4169;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_3132;

						BgL_classz00_3132 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1117z00_3133;

							BgL__ortest_1117z00_3133 = BGL_CLASS_NIL(BgL_classz00_3132);
							if (CBOOL(BgL__ortest_1117z00_3133))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4169 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_3133);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4169 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3132));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1120z00_2911))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4169), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1120z00_2911))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1120z00_2911))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4206;

					{
						obj_t BgL_auxz00_4207;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_4208;

							BgL_tmpz00_4208 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1120z00_2911));
							BgL_auxz00_4207 = BGL_OBJECT_WIDENING(BgL_tmpz00_4208);
						}
						BgL_auxz00_4206 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4207);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4206))->
							BgL_fromz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_4150 = ((BgL_localz00_bglt) BgL_new1120z00_2911);
				return ((obj_t) BgL_auxz00_4150);
			}
		}

	}



/* &lambda1458 */
	BgL_localz00_bglt BGl_z62lambda1458z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2912, obj_t BgL_o1117z00_2913)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				BgL_localzf2fromzf2_bglt BgL_wide1119z00_3135;

				BgL_wide1119z00_3135 =
					((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2fromzf2_bgl))));
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_auxz00_4221;
					BgL_objectz00_bglt BgL_tmpz00_4217;

					BgL_auxz00_4221 = ((obj_t) BgL_wide1119z00_3135);
					BgL_tmpz00_4217 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2913)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4217, BgL_auxz00_4221);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2913)));
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg1471z00_3136;

					BgL_arg1471z00_3136 =
						BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1117z00_2913))), BgL_arg1471z00_3136);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1117z00_2913)));
			}
		}

	}



/* &lambda1419 */
	BgL_localz00_bglt BGl_z62lambda1419z62zzeffect_cgraphz00(obj_t
		BgL_envz00_2914, obj_t BgL_id1103z00_2915, obj_t BgL_name1104z00_2916,
		obj_t BgL_type1105z00_2917, obj_t BgL_value1106z00_2918,
		obj_t BgL_access1107z00_2919, obj_t BgL_fastzd2alpha1108zd2_2920,
		obj_t BgL_removable1109z00_2921, obj_t BgL_occurrence1110z00_2922,
		obj_t BgL_occurrencew1111z00_2923, obj_t BgL_userzf31112zf3_2924,
		obj_t BgL_key1113z00_2925, obj_t BgL_valzd2noescape1114zd2_2926,
		obj_t BgL_volatile1115z00_2927, obj_t BgL_from1116z00_2928)
	{
		{	/* Effect/cgraph.scm 21 */
			{	/* Effect/cgraph.scm 21 */
				long BgL_occurrence1110z00_3140;
				long BgL_occurrencew1111z00_3141;
				bool_t BgL_userzf31112zf3_3142;
				long BgL_key1113z00_3143;
				bool_t BgL_volatile1115z00_3144;

				BgL_occurrence1110z00_3140 = (long) CINT(BgL_occurrence1110z00_2922);
				BgL_occurrencew1111z00_3141 = (long) CINT(BgL_occurrencew1111z00_2923);
				BgL_userzf31112zf3_3142 = CBOOL(BgL_userzf31112zf3_2924);
				BgL_key1113z00_3143 = (long) CINT(BgL_key1113z00_2925);
				BgL_volatile1115z00_3144 = CBOOL(BgL_volatile1115z00_2927);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1191z00_3145;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1189z00_3146;
						BgL_localzf2fromzf2_bglt BgL_wide1190z00_3147;

						{
							BgL_localz00_bglt BgL_auxz00_4240;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1188z00_3148;

								BgL_new1188z00_3148 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1457z00_3149;

									BgL_arg1457z00_3149 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1188z00_3148),
										BgL_arg1457z00_3149);
								}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_4245;

									BgL_tmpz00_4245 = ((BgL_objectz00_bglt) BgL_new1188z00_3148);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4245, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1188z00_3148);
								BgL_auxz00_4240 = BgL_new1188z00_3148;
							}
							BgL_tmp1189z00_3146 = ((BgL_localz00_bglt) BgL_auxz00_4240);
						}
						BgL_wide1190z00_3147 =
							((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4253;
							BgL_objectz00_bglt BgL_tmpz00_4251;

							BgL_auxz00_4253 = ((obj_t) BgL_wide1190z00_3147);
							BgL_tmpz00_4251 = ((BgL_objectz00_bglt) BgL_tmp1189z00_3146);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4251, BgL_auxz00_4253);
						}
						((BgL_objectz00_bglt) BgL_tmp1189z00_3146);
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg1446z00_3150;

							BgL_arg1446z00_3150 =
								BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1189z00_3146),
								BgL_arg1446z00_3150);
						}
						BgL_new1191z00_3145 = ((BgL_localz00_bglt) BgL_tmp1189z00_3146);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1191z00_3145)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1103z00_2915)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_2916), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1105z00_2917)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1106z00_2918)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_accessz00) =
						((obj_t) BgL_access1107z00_2919), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1108zd2_2920), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_removablez00) =
						((obj_t) BgL_removable1109z00_2921), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_occurrencez00) =
						((long) BgL_occurrence1110z00_3140), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1111z00_3141), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1191z00_3145)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31112zf3_3142), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3145)))->BgL_keyz00) =
						((long) BgL_key1113z00_3143), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3145)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1114zd2_2926), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1191z00_3145)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1115z00_3144), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4290;

						{
							obj_t BgL_auxz00_4291;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_4292;

								BgL_tmpz00_4292 = ((BgL_objectz00_bglt) BgL_new1191z00_3145);
								BgL_auxz00_4291 = BGL_OBJECT_WIDENING(BgL_tmpz00_4292);
							}
							BgL_auxz00_4290 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4291);
						}
						((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4290))->
								BgL_fromz00) = ((obj_t) BgL_from1116z00_2928), BUNSPEC);
					}
					return BgL_new1191z00_3145;
				}
			}
		}

	}



/* &lambda1508 */
	obj_t BGl_z62lambda1508z62zzeffect_cgraphz00(obj_t BgL_envz00_2929,
		obj_t BgL_oz00_2930, obj_t BgL_vz00_2931)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4297;

				{
					obj_t BgL_auxz00_4298;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4299;

						BgL_tmpz00_4299 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2930));
						BgL_auxz00_4298 = BGL_OBJECT_WIDENING(BgL_tmpz00_4299);
					}
					BgL_auxz00_4297 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4298);
				}
				return
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4297))->
						BgL_fromz00) = ((obj_t) BgL_vz00_2931), BUNSPEC);
			}
		}

	}



/* &lambda1507 */
	obj_t BGl_z62lambda1507z62zzeffect_cgraphz00(obj_t BgL_envz00_2932,
		obj_t BgL_oz00_2933)
	{
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_4305;

				{
					obj_t BgL_auxz00_4306;

					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_4307;

						BgL_tmpz00_4307 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2933));
						BgL_auxz00_4306 = BGL_OBJECT_WIDENING(BgL_tmpz00_4307);
					}
					BgL_auxz00_4305 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4306);
				}
				return
					(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4305))->BgL_fromz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1936z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string1937z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc1938z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string1939z00zzeffect_cgraphz00);
		}

	}



/* &save-call!1368 */
	obj_t BGl_z62savezd2callz121368za2zzeffect_cgraphz00(obj_t BgL_envz00_2936,
		obj_t BgL_calleez00_2937, obj_t BgL_ownerz00_2938)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(7)), BGl_string1940z00zzeffect_cgraphz00,
				((obj_t) ((BgL_variablez00_bglt) BgL_calleez00_2937)));
		}

	}



/* &call-graph!1329 */
	obj_t BGl_z62callzd2graphz121329za2zzeffect_cgraphz00(obj_t BgL_envz00_2939,
		obj_t BgL_nodez00_2940, obj_t BgL_ownerz00_2941)
	{
		{	/* Effect/cgraph.scm 38 */
			return ((obj_t) CNST_TABLE_REF(8));
		}

	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_146, BgL_variablez00_bglt BgL_ownerz00_147)
	{
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1330z00_1704;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res1909z00_2303;

					{	/* Effect/cgraph.scm 38 */
						long BgL_objzd2classzd2numz00_2274;

						BgL_objzd2classzd2numz00_2274 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_146));
						{	/* Effect/cgraph.scm 38 */
							obj_t BgL_arg1862z00_2275;

							BgL_arg1862z00_2275 =
								PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
								(int) (1L));
							{	/* Effect/cgraph.scm 38 */
								int BgL_offsetz00_2278;

								BgL_offsetz00_2278 = (int) (BgL_objzd2classzd2numz00_2274);
								{	/* Effect/cgraph.scm 38 */
									long BgL_offsetz00_2279;

									BgL_offsetz00_2279 =
										((long) (BgL_offsetz00_2278) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 38 */
										long BgL_modz00_2280;

										BgL_modz00_2280 =
											(BgL_offsetz00_2279 >> (int) ((long) ((int) (4L))));
										{	/* Effect/cgraph.scm 38 */
											long BgL_restz00_2282;

											BgL_restz00_2282 =
												(BgL_offsetz00_2279 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Effect/cgraph.scm 38 */

												{	/* Effect/cgraph.scm 38 */
													obj_t BgL_bucketz00_2284;

													BgL_bucketz00_2284 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2275), BgL_modz00_2280);
													BgL_res1909z00_2303 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2284), BgL_restz00_2282);
					}}}}}}}}
					BgL_method1330z00_1704 = BgL_res1909z00_2303;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1330z00_1704,
					((obj_t) BgL_nodez00_146), ((obj_t) BgL_ownerz00_147));
			}
		}

	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2942,
		obj_t BgL_nodez00_2943, obj_t BgL_ownerz00_2944)
	{
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_2943),
				((BgL_variablez00_bglt) BgL_ownerz00_2944));
		}

	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_186, BgL_variablez00_bglt BgL_ownerz00_187)
	{
		{	/* Effect/cgraph.scm 212 */
			{	/* Effect/cgraph.scm 212 */
				obj_t BgL_method1369z00_1705;

				{	/* Effect/cgraph.scm 212 */
					obj_t BgL_res1914z00_2334;

					{	/* Effect/cgraph.scm 212 */
						long BgL_objzd2classzd2numz00_2305;

						BgL_objzd2classzd2numz00_2305 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_calleez00_186));
						{	/* Effect/cgraph.scm 212 */
							obj_t BgL_arg1862z00_2306;

							BgL_arg1862z00_2306 =
								PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
								(int) (1L));
							{	/* Effect/cgraph.scm 212 */
								int BgL_offsetz00_2309;

								BgL_offsetz00_2309 = (int) (BgL_objzd2classzd2numz00_2305);
								{	/* Effect/cgraph.scm 212 */
									long BgL_offsetz00_2310;

									BgL_offsetz00_2310 =
										((long) (BgL_offsetz00_2309) - OBJECT_TYPE);
									{	/* Effect/cgraph.scm 212 */
										long BgL_modz00_2311;

										BgL_modz00_2311 =
											(BgL_offsetz00_2310 >> (int) ((long) ((int) (4L))));
										{	/* Effect/cgraph.scm 212 */
											long BgL_restz00_2313;

											BgL_restz00_2313 =
												(BgL_offsetz00_2310 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Effect/cgraph.scm 212 */

												{	/* Effect/cgraph.scm 212 */
													obj_t BgL_bucketz00_2315;

													BgL_bucketz00_2315 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2306), BgL_modz00_2311);
													BgL_res1914z00_2334 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2315), BgL_restz00_2313);
					}}}}}}}}
					BgL_method1369z00_1705 = BgL_res1914z00_2334;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1369z00_1705,
					((obj_t) BgL_calleez00_186), ((obj_t) BgL_ownerz00_187));
			}
		}

	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_2945,
		obj_t BgL_calleez00_2946, obj_t BgL_ownerz00_2947)
	{
		{	/* Effect/cgraph.scm 212 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_2946),
				((BgL_variablez00_bglt) BgL_ownerz00_2947));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1941z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc1943z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc1944z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1945z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1946z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc1947z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc1948z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc1949z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1950z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc1951z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_switchz00zzast_nodez00, BGl_proc1952z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1953z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1954z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1955z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1956z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1957z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1958z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1959z00zzeffect_cgraphz00,
				BGl_string1942z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc1960z00zzeffect_cgraphz00,
				BGl_string1961z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1962z00zzeffect_cgraphz00, BGl_string1961z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc1963z00zzeffect_cgraphz00,
				BGl_string1961z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc1964z00zzeffect_cgraphz00, BGl_string1961z00zzeffect_cgraphz00);
		}

	}



/* &save-call!-local/fro1377 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1377z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2970, obj_t BgL_calleez00_2971, obj_t BgL_ownerz00_2972)
	{
		{	/* Effect/cgraph.scm 243 */
			{	/* Effect/cgraph.scm 245 */
				bool_t BgL_test2110z00_4414;

				{	/* Effect/cgraph.scm 245 */
					obj_t BgL_arg1785z00_3158;

					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4415;

						{
							obj_t BgL_auxz00_4416;

							{	/* Effect/cgraph.scm 245 */
								BgL_objectz00_bglt BgL_tmpz00_4417;

								BgL_tmpz00_4417 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2971));
								BgL_auxz00_4416 = BGL_OBJECT_WIDENING(BgL_tmpz00_4417);
							}
							BgL_auxz00_4415 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4416);
						}
						BgL_arg1785z00_3158 =
							(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4415))->
							BgL_fromz00);
					}
					BgL_test2110z00_4414 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2972,
							BgL_arg1785z00_3158));
				}
				if (BgL_test2110z00_4414)
					{	/* Effect/cgraph.scm 245 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4432;
						BgL_localzf2fromzf2_bglt BgL_auxz00_4425;

						{	/* Effect/cgraph.scm 246 */
							obj_t BgL_arg1784z00_3159;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4433;

								{
									obj_t BgL_auxz00_4434;

									{	/* Effect/cgraph.scm 246 */
										BgL_objectz00_bglt BgL_tmpz00_4435;

										BgL_tmpz00_4435 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt) BgL_calleez00_2971));
										BgL_auxz00_4434 = BGL_OBJECT_WIDENING(BgL_tmpz00_4435);
									}
									BgL_auxz00_4433 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4434);
								}
								BgL_arg1784z00_3159 =
									(((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4433))->
									BgL_fromz00);
							}
							BgL_auxz00_4432 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2972, BgL_arg1784z00_3159);
						}
						{
							obj_t BgL_auxz00_4426;

							{	/* Effect/cgraph.scm 246 */
								BgL_objectz00_bglt BgL_tmpz00_4427;

								BgL_tmpz00_4427 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2971));
								BgL_auxz00_4426 = BGL_OBJECT_WIDENING(BgL_tmpz00_4427);
							}
							BgL_auxz00_4425 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4426);
						}
						return
							((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4425))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4432), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-local1375 */
	obj_t BGl_z62savezd2callz12zd2local1375z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2973, obj_t BgL_calleez00_2974, obj_t BgL_ownerz00_2975)
	{
		{	/* Effect/cgraph.scm 237 */
			{	/* Effect/cgraph.scm 238 */
				BgL_localz00_bglt BgL_arg1772z00_3161;

				{	/* Effect/cgraph.scm 238 */
					BgL_localzf2fromzf2_bglt BgL_wide1184z00_3162;

					BgL_wide1184z00_3162 =
						((BgL_localzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 238 */
						obj_t BgL_auxz00_4448;
						BgL_objectz00_bglt BgL_tmpz00_4444;

						BgL_auxz00_4448 = ((obj_t) BgL_wide1184z00_3162);
						BgL_tmpz00_4444 =
							((BgL_objectz00_bglt)
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2974)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4444, BgL_auxz00_4448);
					}
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2974)));
					{	/* Effect/cgraph.scm 238 */
						long BgL_arg1776z00_3163;

						BgL_arg1776z00_3163 =
							BGL_CLASS_NUM(BGl_localzf2fromzf2zzeffect_cgraphz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_calleez00_2974))),
							BgL_arg1776z00_3163);
					}
					((BgL_localz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2974)));
				}
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4462;

					{
						obj_t BgL_auxz00_4463;

						{	/* Effect/cgraph.scm 238 */
							BgL_objectz00_bglt BgL_tmpz00_4464;

							BgL_tmpz00_4464 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2974)));
							BgL_auxz00_4463 = BGL_OBJECT_WIDENING(BgL_tmpz00_4464);
						}
						BgL_auxz00_4462 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4463);
					}
					((((BgL_localzf2fromzf2_bglt) COBJECT(BgL_auxz00_4462))->
							BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_arg1772z00_3161 =
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_calleez00_2974));
				return
					BGl_savezd2callz12zc0zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_arg1772z00_3161),
					((BgL_variablez00_bglt) BgL_ownerz00_2975));
			}
		}

	}



/* &save-call!-global/fr1373 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1373z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2976, obj_t BgL_calleez00_2977, obj_t BgL_ownerz00_2978)
	{
		{	/* Effect/cgraph.scm 229 */
			{	/* Effect/cgraph.scm 231 */
				bool_t BgL_test2111z00_4476;

				{	/* Effect/cgraph.scm 231 */
					obj_t BgL_arg1770z00_3165;

					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4477;

						{
							obj_t BgL_auxz00_4478;

							{	/* Effect/cgraph.scm 231 */
								BgL_objectz00_bglt BgL_tmpz00_4479;

								BgL_tmpz00_4479 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2977));
								BgL_auxz00_4478 = BGL_OBJECT_WIDENING(BgL_tmpz00_4479);
							}
							BgL_auxz00_4477 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4478);
						}
						BgL_arg1770z00_3165 =
							(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4477))->
							BgL_fromz00);
					}
					BgL_test2111z00_4476 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_2978,
							BgL_arg1770z00_3165));
				}
				if (BgL_test2111z00_4476)
					{	/* Effect/cgraph.scm 231 */
						return BFALSE;
					}
				else
					{
						obj_t BgL_auxz00_4494;
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4487;

						{	/* Effect/cgraph.scm 232 */
							obj_t BgL_arg1768z00_3166;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4495;

								{
									obj_t BgL_auxz00_4496;

									{	/* Effect/cgraph.scm 232 */
										BgL_objectz00_bglt BgL_tmpz00_4497;

										BgL_tmpz00_4497 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2977));
										BgL_auxz00_4496 = BGL_OBJECT_WIDENING(BgL_tmpz00_4497);
									}
									BgL_auxz00_4495 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4496);
								}
								BgL_arg1768z00_3166 =
									(((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4495))->
									BgL_fromz00);
							}
							BgL_auxz00_4494 =
								MAKE_YOUNG_PAIR(BgL_ownerz00_2978, BgL_arg1768z00_3166);
						}
						{
							obj_t BgL_auxz00_4488;

							{	/* Effect/cgraph.scm 232 */
								BgL_objectz00_bglt BgL_tmpz00_4489;

								BgL_tmpz00_4489 =
									((BgL_objectz00_bglt)
									((BgL_globalz00_bglt) BgL_calleez00_2977));
								BgL_auxz00_4488 = BGL_OBJECT_WIDENING(BgL_tmpz00_4489);
							}
							BgL_auxz00_4487 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4488);
						}
						return
							((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4487))->
								BgL_fromz00) = ((obj_t) BgL_auxz00_4494), BUNSPEC);
					}
			}
		}

	}



/* &save-call!-global1371 */
	obj_t BGl_z62savezd2callz12zd2global1371z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2979, obj_t BgL_calleez00_2980, obj_t BgL_ownerz00_2981)
	{
		{	/* Effect/cgraph.scm 217 */
			{	/* Effect/cgraph.scm 218 */
				BgL_valuez00_bglt BgL_funz00_3168;

				BgL_funz00_3168 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2980))))->BgL_valuez00);
				{	/* Effect/cgraph.scm 219 */
					bool_t BgL_test2112z00_4508;

					{	/* Effect/cgraph.scm 219 */
						bool_t BgL_test2113z00_4509;

						{	/* Effect/cgraph.scm 219 */
							obj_t BgL_classz00_3169;

							BgL_classz00_3169 = BGl_cfunz00zzast_varz00;
							{	/* Effect/cgraph.scm 219 */
								BgL_objectz00_bglt BgL_arg1858z00_3170;

								{	/* Effect/cgraph.scm 219 */
									obj_t BgL_tmpz00_4510;

									BgL_tmpz00_4510 =
										((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3168));
									BgL_arg1858z00_3170 = (BgL_objectz00_bglt) (BgL_tmpz00_4510);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Effect/cgraph.scm 219 */
										long BgL_idxz00_3171;

										BgL_idxz00_3171 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3170);
										BgL_test2113z00_4509 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3171 + 3L)) == BgL_classz00_3169);
									}
								else
									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res1917z00_3174;

										{	/* Effect/cgraph.scm 219 */
											obj_t BgL_oclassz00_3175;

											{	/* Effect/cgraph.scm 219 */
												obj_t BgL_arg1866z00_3176;
												long BgL_arg1867z00_3177;

												BgL_arg1866z00_3176 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Effect/cgraph.scm 219 */
													long BgL_arg1869z00_3178;

													BgL_arg1869z00_3178 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3170);
													BgL_arg1867z00_3177 =
														(BgL_arg1869z00_3178 - OBJECT_TYPE);
												}
												BgL_oclassz00_3175 =
													VECTOR_REF(BgL_arg1866z00_3176, BgL_arg1867z00_3177);
											}
											{	/* Effect/cgraph.scm 219 */
												bool_t BgL__ortest_1115z00_3179;

												BgL__ortest_1115z00_3179 =
													(BgL_classz00_3169 == BgL_oclassz00_3175);
												if (BgL__ortest_1115z00_3179)
													{	/* Effect/cgraph.scm 219 */
														BgL_res1917z00_3174 = BgL__ortest_1115z00_3179;
													}
												else
													{	/* Effect/cgraph.scm 219 */
														long BgL_odepthz00_3180;

														{	/* Effect/cgraph.scm 219 */
															obj_t BgL_arg1855z00_3181;

															BgL_arg1855z00_3181 = (BgL_oclassz00_3175);
															BgL_odepthz00_3180 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3181);
														}
														if ((3L < BgL_odepthz00_3180))
															{	/* Effect/cgraph.scm 219 */
																obj_t BgL_arg1853z00_3182;

																{	/* Effect/cgraph.scm 219 */
																	obj_t BgL_arg1854z00_3183;

																	BgL_arg1854z00_3183 = (BgL_oclassz00_3175);
																	BgL_arg1853z00_3182 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3183,
																		3L);
																}
																BgL_res1917z00_3174 =
																	(BgL_arg1853z00_3182 == BgL_classz00_3169);
															}
														else
															{	/* Effect/cgraph.scm 219 */
																BgL_res1917z00_3174 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2113z00_4509 = BgL_res1917z00_3174;
									}
							}
						}
						if (BgL_test2113z00_4509)
							{	/* Effect/cgraph.scm 219 */
								BgL_test2112z00_4508 = ((bool_t) 1);
							}
						else
							{	/* Effect/cgraph.scm 220 */
								bool_t BgL_test2117z00_4533;

								{	/* Effect/cgraph.scm 220 */
									obj_t BgL_classz00_3184;

									BgL_classz00_3184 = BGl_sfunz00zzast_varz00;
									{	/* Effect/cgraph.scm 220 */
										BgL_objectz00_bglt BgL_arg1858z00_3185;

										{	/* Effect/cgraph.scm 220 */
											obj_t BgL_tmpz00_4534;

											BgL_tmpz00_4534 =
												((obj_t) ((BgL_objectz00_bglt) BgL_funz00_3168));
											BgL_arg1858z00_3185 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4534);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Effect/cgraph.scm 220 */
												long BgL_idxz00_3186;

												BgL_idxz00_3186 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3185);
												BgL_test2117z00_4533 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3186 + 3L)) == BgL_classz00_3184);
											}
										else
											{	/* Effect/cgraph.scm 220 */
												bool_t BgL_res1918z00_3189;

												{	/* Effect/cgraph.scm 220 */
													obj_t BgL_oclassz00_3190;

													{	/* Effect/cgraph.scm 220 */
														obj_t BgL_arg1866z00_3191;
														long BgL_arg1867z00_3192;

														BgL_arg1866z00_3191 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Effect/cgraph.scm 220 */
															long BgL_arg1869z00_3193;

															BgL_arg1869z00_3193 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3185);
															BgL_arg1867z00_3192 =
																(BgL_arg1869z00_3193 - OBJECT_TYPE);
														}
														BgL_oclassz00_3190 =
															VECTOR_REF(BgL_arg1866z00_3191,
															BgL_arg1867z00_3192);
													}
													{	/* Effect/cgraph.scm 220 */
														bool_t BgL__ortest_1115z00_3194;

														BgL__ortest_1115z00_3194 =
															(BgL_classz00_3184 == BgL_oclassz00_3190);
														if (BgL__ortest_1115z00_3194)
															{	/* Effect/cgraph.scm 220 */
																BgL_res1918z00_3189 = BgL__ortest_1115z00_3194;
															}
														else
															{	/* Effect/cgraph.scm 220 */
																long BgL_odepthz00_3195;

																{	/* Effect/cgraph.scm 220 */
																	obj_t BgL_arg1855z00_3196;

																	BgL_arg1855z00_3196 = (BgL_oclassz00_3190);
																	BgL_odepthz00_3195 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3196);
																}
																if ((3L < BgL_odepthz00_3195))
																	{	/* Effect/cgraph.scm 220 */
																		obj_t BgL_arg1853z00_3197;

																		{	/* Effect/cgraph.scm 220 */
																			obj_t BgL_arg1854z00_3198;

																			BgL_arg1854z00_3198 =
																				(BgL_oclassz00_3190);
																			BgL_arg1853z00_3197 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3198, 3L);
																		}
																		BgL_res1918z00_3189 =
																			(BgL_arg1853z00_3197 ==
																			BgL_classz00_3184);
																	}
																else
																	{	/* Effect/cgraph.scm 220 */
																		BgL_res1918z00_3189 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2117z00_4533 = BgL_res1918z00_3189;
											}
									}
								}
								if (BgL_test2117z00_4533)
									{	/* Effect/cgraph.scm 220 */
										BgL_test2112z00_4508 =
											(
											(((BgL_globalz00_bglt) COBJECT(
														((BgL_globalz00_bglt) BgL_calleez00_2980)))->
												BgL_importz00) == ((obj_t) CNST_TABLE_REF(9)));
									}
								else
									{	/* Effect/cgraph.scm 220 */
										BgL_test2112z00_4508 = ((bool_t) 0);
									}
							}
					}
					if (BgL_test2112z00_4508)
						{	/* Effect/cgraph.scm 219 */
							if (CBOOL(
									(((BgL_funz00_bglt) COBJECT(
												((BgL_funz00_bglt) BgL_funz00_3168)))->
										BgL_sidezd2effectzd2)))
								{	/* Effect/cgraph.scm 222 */
									return
										BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_ownerz00_2981));
								}
							else
								{	/* Effect/cgraph.scm 222 */
									return BFALSE;
								}
						}
					else
						{	/* Effect/cgraph.scm 224 */
							BgL_globalz00_bglt BgL_arg1755z00_3199;

							{	/* Effect/cgraph.scm 224 */
								BgL_globalzf2fromzf2_bglt BgL_wide1179z00_3200;

								BgL_wide1179z00_3200 =
									((BgL_globalzf2fromzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2fromzf2_bgl))));
								{	/* Effect/cgraph.scm 224 */
									obj_t BgL_auxz00_4573;
									BgL_objectz00_bglt BgL_tmpz00_4569;

									BgL_auxz00_4573 = ((obj_t) BgL_wide1179z00_3200);
									BgL_tmpz00_4569 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_calleez00_2980)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4569, BgL_auxz00_4573);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2980)));
								{	/* Effect/cgraph.scm 224 */
									long BgL_arg1756z00_3201;

									BgL_arg1756z00_3201 =
										BGL_CLASS_NUM(BGl_globalzf2fromzf2zzeffect_cgraphz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2980))),
										BgL_arg1756z00_3201);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_calleez00_2980)));
							}
							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4587;

								{
									obj_t BgL_auxz00_4588;

									{	/* Effect/cgraph.scm 224 */
										BgL_objectz00_bglt BgL_tmpz00_4589;

										BgL_tmpz00_4589 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_calleez00_2980)));
										BgL_auxz00_4588 = BGL_OBJECT_WIDENING(BgL_tmpz00_4589);
									}
									BgL_auxz00_4587 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4588);
								}
								((((BgL_globalzf2fromzf2_bglt) COBJECT(BgL_auxz00_4587))->
										BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
							}
							BgL_arg1755z00_3199 =
								((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_calleez00_2980));
							return
								BGl_savezd2callz12zc0zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_arg1755z00_3199),
								((BgL_variablez00_bglt) BgL_ownerz00_2981));
						}
				}
			}
		}

	}



/* &call-graph!-box-set!1367 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121367zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_2982, obj_t BgL_nodez00_2983, obj_t BgL_ownerz00_2984)
	{
		{	/* Effect/cgraph.scm 197 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2984));
			{	/* Effect/cgraph.scm 200 */
				BgL_varz00_bglt BgL_arg1724z00_3203;

				BgL_arg1724z00_3203 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2983)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1724z00_3203),
					((BgL_variablez00_bglt) BgL_ownerz00_2984));
			}
			{	/* Effect/cgraph.scm 201 */
				BgL_nodez00_bglt BgL_arg1729z00_3204;

				BgL_arg1729z00_3204 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2983)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1729z00_3204,
					((BgL_variablez00_bglt) BgL_ownerz00_2984));
			}
		}

	}



/* &call-graph!-box-ref1365 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1365za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2985, obj_t BgL_nodez00_2986, obj_t BgL_ownerz00_2987)
	{
		{	/* Effect/cgraph.scm 189 */
			{	/* Effect/cgraph.scm 190 */
				BgL_varz00_bglt BgL_arg1720z00_3206;

				BgL_arg1720z00_3206 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2986)))->BgL_varz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1720z00_3206),
					((BgL_variablez00_bglt) BgL_ownerz00_2987));
			}
		}

	}



/* &call-graph!-make-box1363 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1363za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2988, obj_t BgL_nodez00_2989, obj_t BgL_ownerz00_2990)
	{
		{	/* Effect/cgraph.scm 183 */
			{	/* Effect/cgraph.scm 184 */
				BgL_nodez00_bglt BgL_arg1717z00_3208;

				BgL_arg1717z00_3208 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2989)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1717z00_3208,
					((BgL_variablez00_bglt) BgL_ownerz00_2990));
			}
		}

	}



/* &call-graph!-jump-ex-1361 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21361z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2991, obj_t BgL_nodez00_2992, obj_t BgL_ownerz00_2993)
	{
		{	/* Effect/cgraph.scm 174 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2993));
			{	/* Effect/cgraph.scm 177 */
				BgL_nodez00_bglt BgL_arg1715z00_3210;

				BgL_arg1715z00_3210 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2992)))->BgL_exitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1715z00_3210,
					((BgL_variablez00_bglt) BgL_ownerz00_2993));
			}
			{	/* Effect/cgraph.scm 178 */
				BgL_nodez00_bglt BgL_arg1716z00_3211;

				BgL_arg1716z00_3211 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2992)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1716z00_3211,
					((BgL_variablez00_bglt) BgL_ownerz00_2993));
			}
		}

	}



/* &call-graph!-set-ex-i1359 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1359z70zzeffect_cgraphz00(obj_t
		BgL_envz00_2994, obj_t BgL_nodez00_2995, obj_t BgL_ownerz00_2996)
	{
		{	/* Effect/cgraph.scm 165 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_2996));
			{	/* Effect/cgraph.scm 168 */
				BgL_nodez00_bglt BgL_arg1699z00_3213;

				BgL_arg1699z00_3213 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2995)))->BgL_onexitz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1699z00_3213,
					((BgL_variablez00_bglt) BgL_ownerz00_2996));
			}
			{	/* Effect/cgraph.scm 169 */
				BgL_nodez00_bglt BgL_arg1703z00_3214;

				BgL_arg1703z00_3214 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2995)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1703z00_3214,
					((BgL_variablez00_bglt) BgL_ownerz00_2996));
			}
		}

	}



/* &call-graph!-let-var1357 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1357za2zzeffect_cgraphz00(obj_t
		BgL_envz00_2997, obj_t BgL_nodez00_2998, obj_t BgL_ownerz00_2999)
	{
		{	/* Effect/cgraph.scm 155 */
			{	/* Effect/cgraph.scm 156 */
				bool_t BgL_tmpz00_4641;

				{	/* Effect/cgraph.scm 157 */
					BgL_nodez00_bglt BgL_arg1692z00_3216;

					BgL_arg1692z00_3216 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2998)))->BgL_bodyz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1692z00_3216,
						((BgL_variablez00_bglt) BgL_ownerz00_2999));
				}
				{	/* Effect/cgraph.scm 158 */
					obj_t BgL_g1322z00_3217;

					BgL_g1322z00_3217 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2998)))->BgL_bindingsz00);
					{
						obj_t BgL_l1320z00_3219;

						BgL_l1320z00_3219 = BgL_g1322z00_3217;
					BgL_zc3z04anonymousza31693ze3z87_3218:
						if (PAIRP(BgL_l1320z00_3219))
							{	/* Effect/cgraph.scm 158 */
								{	/* Effect/cgraph.scm 159 */
									obj_t BgL_bindingz00_3220;

									BgL_bindingz00_3220 = CAR(BgL_l1320z00_3219);
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_arg1695z00_3221;

										BgL_arg1695z00_3221 = CDR(((obj_t) BgL_bindingz00_3220));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1695z00_3221),
											((BgL_variablez00_bglt) BgL_ownerz00_2999));
									}
								}
								{
									obj_t BgL_l1320z00_4656;

									BgL_l1320z00_4656 = CDR(BgL_l1320z00_3219);
									BgL_l1320z00_3219 = BgL_l1320z00_4656;
									goto BgL_zc3z04anonymousza31693ze3z87_3218;
								}
							}
						else
							{	/* Effect/cgraph.scm 158 */
								BgL_tmpz00_4641 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4641);
			}
		}

	}



/* &call-graph!-let-fun1355 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1355za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3000, obj_t BgL_nodez00_3001, obj_t BgL_ownerz00_3002)
	{
		{	/* Effect/cgraph.scm 145 */
			{	/* Effect/cgraph.scm 147 */
				obj_t BgL_g1319z00_3223;

				BgL_g1319z00_3223 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3001)))->BgL_localsz00);
				{
					obj_t BgL_l1317z00_3225;

					BgL_l1317z00_3225 = BgL_g1319z00_3223;
				BgL_zc3z04anonymousza31680ze3z87_3224:
					if (PAIRP(BgL_l1317z00_3225))
						{	/* Effect/cgraph.scm 147 */
							{	/* Effect/cgraph.scm 148 */
								obj_t BgL_localz00_3226;

								BgL_localz00_3226 = CAR(BgL_l1317z00_3225);
								BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_localz00_3226));
							}
							{
								obj_t BgL_l1317z00_4666;

								BgL_l1317z00_4666 = CDR(BgL_l1317z00_3225);
								BgL_l1317z00_3225 = BgL_l1317z00_4666;
								goto BgL_zc3z04anonymousza31680ze3z87_3224;
							}
						}
					else
						{	/* Effect/cgraph.scm 147 */
							((bool_t) 1);
						}
				}
			}
			{	/* Effect/cgraph.scm 150 */
				BgL_nodez00_bglt BgL_arg1691z00_3227;

				BgL_arg1691z00_3227 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3001)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1691z00_3227,
					((BgL_variablez00_bglt) BgL_ownerz00_3002));
			}
		}

	}



/* &call-graph!-switch1353 */
	obj_t BGl_z62callzd2graphz12zd2switch1353z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3003, obj_t BgL_nodez00_3004, obj_t BgL_ownerz00_3005)
	{
		{	/* Effect/cgraph.scm 135 */
			{	/* Effect/cgraph.scm 136 */
				bool_t BgL_tmpz00_4672;

				{	/* Effect/cgraph.scm 137 */
					BgL_nodez00_bglt BgL_arg1673z00_3229;

					BgL_arg1673z00_3229 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3004)))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1673z00_3229,
						((BgL_variablez00_bglt) BgL_ownerz00_3005));
				}
				{	/* Effect/cgraph.scm 138 */
					obj_t BgL_g1316z00_3230;

					BgL_g1316z00_3230 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3004)))->BgL_clausesz00);
					{
						obj_t BgL_l1314z00_3232;

						BgL_l1314z00_3232 = BgL_g1316z00_3230;
					BgL_zc3z04anonymousza31674ze3z87_3231:
						if (PAIRP(BgL_l1314z00_3232))
							{	/* Effect/cgraph.scm 138 */
								{	/* Effect/cgraph.scm 139 */
									obj_t BgL_clausez00_3233;

									BgL_clausez00_3233 = CAR(BgL_l1314z00_3232);
									{	/* Effect/cgraph.scm 139 */
										obj_t BgL_arg1677z00_3234;

										BgL_arg1677z00_3234 = CDR(((obj_t) BgL_clausez00_3233));
										BGl_callzd2graphz12zc0zzeffect_cgraphz00(
											((BgL_nodez00_bglt) BgL_arg1677z00_3234),
											((BgL_variablez00_bglt) BgL_ownerz00_3005));
									}
								}
								{
									obj_t BgL_l1314z00_4687;

									BgL_l1314z00_4687 = CDR(BgL_l1314z00_3232);
									BgL_l1314z00_3232 = BgL_l1314z00_4687;
									goto BgL_zc3z04anonymousza31674ze3z87_3231;
								}
							}
						else
							{	/* Effect/cgraph.scm 138 */
								BgL_tmpz00_4672 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4672);
			}
		}

	}



/* &call-graph!-fail1351 */
	obj_t BGl_z62callzd2graphz12zd2fail1351z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3006, obj_t BgL_nodez00_3007, obj_t BgL_ownerz00_3008)
	{
		{	/* Effect/cgraph.scm 125 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_3008));
			{	/* Effect/cgraph.scm 128 */
				BgL_nodez00_bglt BgL_arg1660z00_3236;

				BgL_arg1660z00_3236 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3007)))->BgL_procz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1660z00_3236,
					((BgL_variablez00_bglt) BgL_ownerz00_3008));
			}
			{	/* Effect/cgraph.scm 129 */
				BgL_nodez00_bglt BgL_arg1663z00_3237;

				BgL_arg1663z00_3237 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3007)))->BgL_msgz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1663z00_3237,
					((BgL_variablez00_bglt) BgL_ownerz00_3008));
			}
			{	/* Effect/cgraph.scm 130 */
				BgL_nodez00_bglt BgL_arg1664z00_3238;

				BgL_arg1664z00_3238 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3007)))->BgL_objz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1664z00_3238,
					((BgL_variablez00_bglt) BgL_ownerz00_3008));
			}
		}

	}



/* &call-graph!-conditio1349 */
	obj_t BGl_z62callzd2graphz12zd2conditio1349z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3009, obj_t BgL_nodez00_3010, obj_t BgL_ownerz00_3011)
	{
		{	/* Effect/cgraph.scm 116 */
			{	/* Effect/cgraph.scm 118 */
				BgL_nodez00_bglt BgL_arg1655z00_3240;

				BgL_arg1655z00_3240 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3010)))->BgL_testz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1655z00_3240,
					((BgL_variablez00_bglt) BgL_ownerz00_3011));
			}
			{	/* Effect/cgraph.scm 119 */
				BgL_nodez00_bglt BgL_arg1656z00_3241;

				BgL_arg1656z00_3241 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3010)))->BgL_truez00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1656z00_3241,
					((BgL_variablez00_bglt) BgL_ownerz00_3011));
			}
			{	/* Effect/cgraph.scm 120 */
				BgL_nodez00_bglt BgL_arg1657z00_3242;

				BgL_arg1657z00_3242 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3010)))->BgL_falsez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1657z00_3242,
					((BgL_variablez00_bglt) BgL_ownerz00_3011));
			}
		}

	}



/* &call-graph!-setq1347 */
	obj_t BGl_z62callzd2graphz12zd2setq1347z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3012, obj_t BgL_nodez00_3013, obj_t BgL_ownerz00_3014)
	{
		{	/* Effect/cgraph.scm 106 */
			{	/* Effect/cgraph.scm 108 */
				bool_t BgL_test2125z00_4716;

				{	/* Effect/cgraph.scm 108 */
					bool_t BgL_test2126z00_4717;

					{	/* Effect/cgraph.scm 108 */
						obj_t BgL_classz00_3244;

						BgL_classz00_3244 = BGl_localz00zzast_varz00;
						if (BGL_OBJECTP(BgL_ownerz00_3014))
							{	/* Effect/cgraph.scm 108 */
								BgL_objectz00_bglt BgL_arg1858z00_3245;

								BgL_arg1858z00_3245 = (BgL_objectz00_bglt) (BgL_ownerz00_3014);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Effect/cgraph.scm 108 */
										long BgL_idxz00_3246;

										BgL_idxz00_3246 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3245);
										BgL_test2126z00_4717 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3246 + 2L)) == BgL_classz00_3244);
									}
								else
									{	/* Effect/cgraph.scm 108 */
										bool_t BgL_res1915z00_3249;

										{	/* Effect/cgraph.scm 108 */
											obj_t BgL_oclassz00_3250;

											{	/* Effect/cgraph.scm 108 */
												obj_t BgL_arg1866z00_3251;
												long BgL_arg1867z00_3252;

												BgL_arg1866z00_3251 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Effect/cgraph.scm 108 */
													long BgL_arg1869z00_3253;

													BgL_arg1869z00_3253 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3245);
													BgL_arg1867z00_3252 =
														(BgL_arg1869z00_3253 - OBJECT_TYPE);
												}
												BgL_oclassz00_3250 =
													VECTOR_REF(BgL_arg1866z00_3251, BgL_arg1867z00_3252);
											}
											{	/* Effect/cgraph.scm 108 */
												bool_t BgL__ortest_1115z00_3254;

												BgL__ortest_1115z00_3254 =
													(BgL_classz00_3244 == BgL_oclassz00_3250);
												if (BgL__ortest_1115z00_3254)
													{	/* Effect/cgraph.scm 108 */
														BgL_res1915z00_3249 = BgL__ortest_1115z00_3254;
													}
												else
													{	/* Effect/cgraph.scm 108 */
														long BgL_odepthz00_3255;

														{	/* Effect/cgraph.scm 108 */
															obj_t BgL_arg1855z00_3256;

															BgL_arg1855z00_3256 = (BgL_oclassz00_3250);
															BgL_odepthz00_3255 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3256);
														}
														if ((2L < BgL_odepthz00_3255))
															{	/* Effect/cgraph.scm 108 */
																obj_t BgL_arg1853z00_3257;

																{	/* Effect/cgraph.scm 108 */
																	obj_t BgL_arg1854z00_3258;

																	BgL_arg1854z00_3258 = (BgL_oclassz00_3250);
																	BgL_arg1853z00_3257 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3258,
																		2L);
																}
																BgL_res1915z00_3249 =
																	(BgL_arg1853z00_3257 == BgL_classz00_3244);
															}
														else
															{	/* Effect/cgraph.scm 108 */
																BgL_res1915z00_3249 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2126z00_4717 = BgL_res1915z00_3249;
									}
							}
						else
							{	/* Effect/cgraph.scm 108 */
								BgL_test2126z00_4717 = ((bool_t) 0);
							}
					}
					if (BgL_test2126z00_4717)
						{	/* Effect/cgraph.scm 108 */
							BgL_test2125z00_4716 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BgL_variablez00_bglt BgL_arg1648z00_3259;

							BgL_arg1648z00_3259 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3013)))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 108 */
								obj_t BgL_classz00_3260;

								BgL_classz00_3260 = BGl_globalz00zzast_varz00;
								{	/* Effect/cgraph.scm 108 */
									BgL_objectz00_bglt BgL_arg1858z00_3261;

									{	/* Effect/cgraph.scm 108 */
										obj_t BgL_tmpz00_4743;

										BgL_tmpz00_4743 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1648z00_3259));
										BgL_arg1858z00_3261 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4743);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Effect/cgraph.scm 108 */
											long BgL_idxz00_3262;

											BgL_idxz00_3262 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3261);
											BgL_test2125z00_4716 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3262 + 2L)) == BgL_classz00_3260);
										}
									else
										{	/* Effect/cgraph.scm 108 */
											bool_t BgL_res1916z00_3265;

											{	/* Effect/cgraph.scm 108 */
												obj_t BgL_oclassz00_3266;

												{	/* Effect/cgraph.scm 108 */
													obj_t BgL_arg1866z00_3267;
													long BgL_arg1867z00_3268;

													BgL_arg1866z00_3267 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Effect/cgraph.scm 108 */
														long BgL_arg1869z00_3269;

														BgL_arg1869z00_3269 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3261);
														BgL_arg1867z00_3268 =
															(BgL_arg1869z00_3269 - OBJECT_TYPE);
													}
													BgL_oclassz00_3266 =
														VECTOR_REF(BgL_arg1866z00_3267,
														BgL_arg1867z00_3268);
												}
												{	/* Effect/cgraph.scm 108 */
													bool_t BgL__ortest_1115z00_3270;

													BgL__ortest_1115z00_3270 =
														(BgL_classz00_3260 == BgL_oclassz00_3266);
													if (BgL__ortest_1115z00_3270)
														{	/* Effect/cgraph.scm 108 */
															BgL_res1916z00_3265 = BgL__ortest_1115z00_3270;
														}
													else
														{	/* Effect/cgraph.scm 108 */
															long BgL_odepthz00_3271;

															{	/* Effect/cgraph.scm 108 */
																obj_t BgL_arg1855z00_3272;

																BgL_arg1855z00_3272 = (BgL_oclassz00_3266);
																BgL_odepthz00_3271 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3272);
															}
															if ((2L < BgL_odepthz00_3271))
																{	/* Effect/cgraph.scm 108 */
																	obj_t BgL_arg1853z00_3273;

																	{	/* Effect/cgraph.scm 108 */
																		obj_t BgL_arg1854z00_3274;

																		BgL_arg1854z00_3274 = (BgL_oclassz00_3266);
																		BgL_arg1853z00_3273 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3274, 2L);
																	}
																	BgL_res1916z00_3265 =
																		(BgL_arg1853z00_3273 == BgL_classz00_3260);
																}
															else
																{	/* Effect/cgraph.scm 108 */
																	BgL_res1916z00_3265 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2125z00_4716 = BgL_res1916z00_3265;
										}
								}
							}
						}
				}
				if (BgL_test2125z00_4716)
					{	/* Effect/cgraph.scm 108 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_3014));
					}
				else
					{	/* Effect/cgraph.scm 108 */
						BFALSE;
					}
			}
			{	/* Effect/cgraph.scm 110 */
				BgL_varz00_bglt BgL_arg1650z00_3275;

				BgL_arg1650z00_3275 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3013)))->BgL_varz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
					((BgL_nodez00_bglt) BgL_arg1650z00_3275),
					((BgL_variablez00_bglt) BgL_ownerz00_3014));
			}
			{	/* Effect/cgraph.scm 111 */
				BgL_nodez00_bglt BgL_arg1653z00_3276;

				BgL_arg1653z00_3276 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3013)))->BgL_valuez00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1653z00_3276,
					((BgL_variablez00_bglt) BgL_ownerz00_3014));
			}
		}

	}



/* &call-graph!-cast1345 */
	obj_t BGl_z62callzd2graphz12zd2cast1345z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3015, obj_t BgL_nodez00_3016, obj_t BgL_ownerz00_3017)
	{
		{	/* Effect/cgraph.scm 95 */
			{	/* Effect/cgraph.scm 97 */
				BgL_nodez00_bglt BgL_arg1635z00_3278;

				BgL_arg1635z00_3278 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3016)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1635z00_3278,
					((BgL_variablez00_bglt) BgL_ownerz00_3017));
			}
		}

	}



/* &call-graph!-extern1343 */
	obj_t BGl_z62callzd2graphz12zd2extern1343z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3018, obj_t BgL_nodez00_3019, obj_t BgL_ownerz00_3020)
	{
		{	/* Effect/cgraph.scm 86 */
			{	/* Effect/cgraph.scm 87 */
				bool_t BgL_tmpz00_4781;

				if (CBOOL(
						(((BgL_nodezf2effectzf2_bglt) COBJECT(
									((BgL_nodezf2effectzf2_bglt)
										((BgL_externz00_bglt) BgL_nodez00_3019))))->
							BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 88 */
						BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
							((BgL_variablez00_bglt) BgL_ownerz00_3020));
					}
				else
					{	/* Effect/cgraph.scm 88 */
						BFALSE;
					}
				BgL_tmpz00_4781 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3019)))->BgL_exprza2za2),
					BgL_ownerz00_3020);
				return BBOOL(BgL_tmpz00_4781);
			}
		}

	}



/* &call-graph!-funcall1341 */
	obj_t BGl_z62callzd2graphz12zd2funcall1341z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3021, obj_t BgL_nodez00_3022, obj_t BgL_ownerz00_3023)
	{
		{	/* Effect/cgraph.scm 77 */
			{	/* Effect/cgraph.scm 78 */
				bool_t BgL_tmpz00_4793;

				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_3023));
				{	/* Effect/cgraph.scm 80 */
					BgL_nodez00_bglt BgL_arg1626z00_3281;

					BgL_arg1626z00_3281 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3022)))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1626z00_3281,
						((BgL_variablez00_bglt) BgL_ownerz00_3023));
				}
				BgL_tmpz00_4793 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3022)))->BgL_argsz00),
					BgL_ownerz00_3023);
				return BBOOL(BgL_tmpz00_4793);
			}
		}

	}



/* &call-graph!-app-ly1339 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1339za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3024, obj_t BgL_nodez00_3025, obj_t BgL_ownerz00_3026)
	{
		{	/* Effect/cgraph.scm 68 */
			BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_ownerz00_3026));
			{	/* Effect/cgraph.scm 71 */
				BgL_nodez00_bglt BgL_arg1612z00_3283;

				BgL_arg1612z00_3283 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3025)))->BgL_funz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1612z00_3283,
					((BgL_variablez00_bglt) BgL_ownerz00_3026));
			}
			{	/* Effect/cgraph.scm 72 */
				BgL_nodez00_bglt BgL_arg1625z00_3284;

				BgL_arg1625z00_3284 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3025)))->BgL_argz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1625z00_3284,
					((BgL_variablez00_bglt) BgL_ownerz00_3026));
			}
		}

	}



/* &call-graph!-app1337 */
	obj_t BGl_z62callzd2graphz12zd2app1337z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3027, obj_t BgL_nodez00_3028, obj_t BgL_ownerz00_3029)
	{
		{	/* Effect/cgraph.scm 58 */
			{	/* Effect/cgraph.scm 59 */
				bool_t BgL_tmpz00_4814;

				{	/* Effect/cgraph.scm 62 */
					BgL_variablez00_bglt BgL_arg1597z00_3286;

					BgL_arg1597z00_3286 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3028)))->BgL_funz00)))->
						BgL_variablez00);
					BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg1597z00_3286,
						((BgL_variablez00_bglt) BgL_ownerz00_3029));
				}
				BgL_tmpz00_4814 =
					BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3028)))->BgL_argsz00),
					BgL_ownerz00_3029);
				return BBOOL(BgL_tmpz00_4814);
			}
		}

	}



/* &call-graph!-sync1335 */
	obj_t BGl_z62callzd2graphz12zd2sync1335z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3030, obj_t BgL_nodez00_3031, obj_t BgL_ownerz00_3032)
	{
		{	/* Effect/cgraph.scm 50 */
			{	/* Effect/cgraph.scm 51 */
				BgL_nodez00_bglt BgL_arg1590z00_3288;

				BgL_arg1590z00_3288 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3031)))->BgL_mutexz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1590z00_3288,
					((BgL_variablez00_bglt) BgL_ownerz00_3032));
			}
			{	/* Effect/cgraph.scm 52 */
				BgL_nodez00_bglt BgL_arg1592z00_3289;

				BgL_arg1592z00_3289 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3031)))->BgL_prelockz00);
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1592z00_3289,
					((BgL_variablez00_bglt) BgL_ownerz00_3032));
			}
			{	/* Effect/cgraph.scm 53 */
				BgL_nodez00_bglt BgL_arg1593z00_3290;

				BgL_arg1593z00_3290 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3031)))->BgL_bodyz00);
				return
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg1593z00_3290,
					((BgL_variablez00_bglt) BgL_ownerz00_3032));
			}
		}

	}



/* &call-graph!-sequence1333 */
	obj_t BGl_z62callzd2graphz12zd2sequence1333z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3033, obj_t BgL_nodez00_3034, obj_t BgL_ownerz00_3035)
	{
		{	/* Effect/cgraph.scm 44 */
			return
				BBOOL(BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3034)))->BgL_nodesz00),
					BgL_ownerz00_3035));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00(void)
	{
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1965z00zzeffect_cgraphz00));
		}

	}

#ifdef __cplusplus
}
#endif
