/*===========================================================================*/
/*   (Engine/compiler.scm)                                                   */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Engine/compiler.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_ENGINE_COMPILER_TYPE_DEFINITIONS
#define BGL_ENGINE_COMPILER_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_ENGINE_COMPILER_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00(void);
	extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
	extern obj_t BGl_installzd2typezd2cachez12z12zztype_cachez00(void);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31692ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_compilerz00 = BUNSPEC;
	extern obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31588ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	extern obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(void);
	extern obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00(void);
	extern obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_z52appendzd22zd2definez52zzexpand_installz00(void);
	extern obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void);
	extern obj_t BGl_makezd2gczd2rootszd2unitzd2zzcc_rootsz00(void);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31687ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2optimzd2taggedzd2fxopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00(void);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00(void);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzengine_compilerz00(void);
	extern obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00(void);
	extern obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_za2optimzd2uncellzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	extern obj_t BGl_preboxzd2walkz12zc0zzprebox_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_compilerz00(void);
	extern obj_t BGl_za2optimzd2returnzf3za2z21zzengine_paramz00;
	static obj_t BGl_objectzd2initzd2zzengine_compilerz00(void);
	extern obj_t BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00(void);
	static obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_hellozd2worldzd2zzengine_enginez00(void);
	static obj_t BGl_z62zc3z04anonymousza31312ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
	extern obj_t BGl_checkzd2typeszd2zztype_envz00(void);
	extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t, bool_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_expandzd2unitszd2zzexpand_epsz00(obj_t);
	static obj_t BGl_z62compilerz62zzengine_compilerz00(obj_t);
	extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00(void);
	static obj_t BGl_appendzd221011zd2zzengine_compilerz00(obj_t, obj_t);
	extern obj_t BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zzengine_compilerz00(void);
	static obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00(void);
	extern obj_t BGl_dumpzd2modulezd2zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_za2errorzd2localiza7ationza2z75zzengine_paramz00;
	extern obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	extern obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31512ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_readzd2accesszd2filesz00zzread_accessz00(void);
	extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
	extern obj_t BGl_backendzd2walkzd2zzbackend_walkz00(obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31700ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31531ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31612ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_peepholezd2walkz12zc0zzpeephole_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31507ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_makezd2heapzd2zzheap_makez00(void);
	extern obj_t BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2optimzd2initflowzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
	extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	extern obj_t BGl_checkzd2typezd2zzast_checkzd2typezd2(obj_t, obj_t, bool_t,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_restorezd2heapzd2zzheap_restorez00(void);
	static obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_compilerz00zzengine_compilerz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzengine_compilerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_rootsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprof_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprebox_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzstackable_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzpeephole_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_initz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_signalsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00(void);
	extern obj_t BGl_astzd2initializa7ersz75zzast_initz00(void);
	extern obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00(void);
	extern obj_t BGl_za2optimzd2dataflowzd2forzd2errorszf3za2z21zzengine_paramz00;
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	extern obj_t BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2unsafezd2libraryza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_compilerz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(void);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2prezd2processorza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00(void);
	extern obj_t BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzengine_compilerz00(void);
	static obj_t BGl_z62zc3z04anonymousza31561ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31391ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31472ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31643ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31368ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t);
	extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
	extern obj_t BGl_readzd2srczd2zzread_srcz00(void);
	static obj_t BGl_z62zc3z04anonymousza31393ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31555ze3ze5zzengine_compilerz00(obj_t);
	BGL_IMPORT obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00;
	extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	extern obj_t BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
	extern obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(void);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31491ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31718ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzengine_compilerz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2compilerzd2debugz00zz__paramz00(void);
	extern obj_t BGl_za2optimzd2preboxzf3za2z21zzengine_paramz00;
	extern obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00(void);
	extern obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31639ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
	extern obj_t BGl_makezd2profzd2unitz00zzprof_walkz00(void);
	static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31389ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2optimzd2peepholezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t);
	extern obj_t BGl_za2readerza2z00zzengine_paramz00;
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31665ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
	extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31594ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_enginez00zzengine_enginez00(void);
	static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zzengine_compilerz00(obj_t);
	static obj_t __cnst[62];


	extern obj_t BGl_hgenzd2walkzd2envz00zzhgen_walkz00;
	   
		 
		DEFINE_STRING(BGl_string1901z00zzengine_compilerz00,
		BgL_bgl_string1901za700za7za7e1954za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1902z00zzengine_compilerz00,
		BgL_bgl_string1902za700za7za7e1955za7, "Illegal source file", 19);
	      DEFINE_STRING(BGl_string1903z00zzengine_compilerz00,
		BgL_bgl_string1903za700za7za7e1956za7,
		"Don't know what to do with arguments: ", 38);
	      DEFINE_STRING(BGl_string1905z00zzengine_compilerz00,
		BgL_bgl_string1905za700za7za7e1957za7, " error", 6);
	      DEFINE_STRING(BGl_string1906z00zzengine_compilerz00,
		BgL_bgl_string1906za700za7za7e1958za7, "s", 1);
	      DEFINE_STRING(BGl_string1907z00zzengine_compilerz00,
		BgL_bgl_string1907za700za7za7e1959za7, "", 0);
	      DEFINE_STRING(BGl_string1908z00zzengine_compilerz00,
		BgL_bgl_string1908za700za7za7e1960za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1909z00zzengine_compilerz00,
		BgL_bgl_string1909za700za7za7e1961za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1910z00zzengine_compilerz00,
		BgL_bgl_string1910za700za7za7e1962za7, "ast", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1904z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1963za7,
		BGl_z62zc3z04anonymousza31316ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1912z00zzengine_compilerz00,
		BgL_bgl_string1912za700za7za7e1964za7, "peephole", 8);
	      DEFINE_STRING(BGl_string1913z00zzengine_compilerz00,
		BgL_bgl_string1913za700za7za7e1965za7, "initflow", 8);
	      DEFINE_STRING(BGl_string1915z00zzengine_compilerz00,
		BgL_bgl_string1915za700za7za7e1966za7, "trace", 5);
	      DEFINE_STRING(BGl_string1916z00zzengine_compilerz00,
		BgL_bgl_string1916za700za7za7e1967za7, "callcc", 6);
	      DEFINE_STRING(BGl_string1917z00zzengine_compilerz00,
		BgL_bgl_string1917za700za7za7e1968za7, "effect", 6);
	      DEFINE_STRING(BGl_string1918z00zzengine_compilerz00,
		BgL_bgl_string1918za700za7za7e1969za7, "stackable", 9);
	      DEFINE_STRING(BGl_string1919z00zzengine_compilerz00,
		BgL_bgl_string1919za700za7za7e1970za7, "isa", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1911z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1971za7,
		BGl_z62zc3z04anonymousza31389ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1920z00zzengine_compilerz00,
		BgL_bgl_string1920za700za7za7e1972za7, "flop", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1914z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1973za7,
		BGl_z62zc3z04anonymousza31401ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1921z00zzengine_compilerz00,
		BgL_bgl_string1921za700za7za7e1974za7, "inline", 6);
	      DEFINE_STRING(BGl_string1923z00zzengine_compilerz00,
		BgL_bgl_string1923za700za7za7e1975za7, "beta", 4);
	      DEFINE_STRING(BGl_string1924z00zzengine_compilerz00,
		BgL_bgl_string1924za700za7za7e1976za7, "fail", 4);
	      DEFINE_STRING(BGl_string1925z00zzengine_compilerz00,
		BgL_bgl_string1925za700za7za7e1977za7, "Reduce0", 7);
	      DEFINE_STRING(BGl_string1926z00zzengine_compilerz00,
		BgL_bgl_string1926za700za7za7e1978za7, "Dataflow", 8);
	      DEFINE_STRING(BGl_string1927z00zzengine_compilerz00,
		BgL_bgl_string1927za700za7za7e1979za7, "dataflow", 8);
	      DEFINE_STRING(BGl_string1928z00zzengine_compilerz00,
		BgL_bgl_string1928za700za7za7e1980za7, "closure", 7);
	      DEFINE_STRING(BGl_string1929z00zzengine_compilerz00,
		BgL_bgl_string1929za700za7za7e1981za7, "cfa", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1982za7,
		BGl_z62zc3z04anonymousza31533ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1930z00zzengine_compilerz00,
		BgL_bgl_string1930za700za7za7e1983za7, "Dataflow+", 9);
	      DEFINE_STRING(BGl_string1931z00zzengine_compilerz00,
		BgL_bgl_string1931za700za7za7e1984za7, "integrate", 9);
	      DEFINE_STRING(BGl_string1932z00zzengine_compilerz00,
		BgL_bgl_string1932za700za7za7e1985za7, "tailc", 5);
	      DEFINE_STRING(BGl_string1933z00zzengine_compilerz00,
		BgL_bgl_string1933za700za7za7e1986za7, "Reduce-", 7);
	      DEFINE_STRING(BGl_string1934z00zzengine_compilerz00,
		BgL_bgl_string1934za700za7za7e1987za7, "reduce-", 7);
	      DEFINE_STRING(BGl_string1935z00zzengine_compilerz00,
		BgL_bgl_string1935za700za7za7e1988za7, "abound", 6);
	      DEFINE_STRING(BGl_string1936z00zzengine_compilerz00,
		BgL_bgl_string1936za700za7za7e1989za7, "coerce", 6);
	      DEFINE_STRING(BGl_string1937z00zzengine_compilerz00,
		BgL_bgl_string1937za700za7za7e1990za7, "fxop", 4);
	      DEFINE_STRING(BGl_string1938z00zzengine_compilerz00,
		BgL_bgl_string1938za700za7za7e1991za7, "prebox", 6);
	      DEFINE_STRING(BGl_string1939z00zzengine_compilerz00,
		BgL_bgl_string1939za700za7za7e1992za7, "Dataflow++", 10);
	      DEFINE_STRING(BGl_string1940z00zzengine_compilerz00,
		BgL_bgl_string1940za700za7za7e1993za7, "Reduce", 6);
	      DEFINE_STRING(BGl_string1941z00zzengine_compilerz00,
		BgL_bgl_string1941za700za7za7e1994za7, "reduce", 6);
	      DEFINE_STRING(BGl_string1942z00zzengine_compilerz00,
		BgL_bgl_string1942za700za7za7e1995za7, "cnst", 4);
	      DEFINE_STRING(BGl_string1943z00zzengine_compilerz00,
		BgL_bgl_string1943za700za7za7e1996za7, "return", 6);
	      DEFINE_STRING(BGl_string1944z00zzengine_compilerz00,
		BgL_bgl_string1944za700za7za7e1997za7, "inline+", 7);
	      DEFINE_STRING(BGl_string1945z00zzengine_compilerz00,
		BgL_bgl_string1945za700za7za7e1998za7, "init", 4);
	      DEFINE_STRING(BGl_string1946z00zzengine_compilerz00,
		BgL_bgl_string1946za700za7za7e1999za7, "Reduce+", 7);
	      DEFINE_STRING(BGl_string1947z00zzengine_compilerz00,
		BgL_bgl_string1947za700za7za7e2000za7, "reduce+", 7);
	      DEFINE_STRING(BGl_string1948z00zzengine_compilerz00,
		BgL_bgl_string1948za700za7za7e2001za7, "uncell", 6);
	      DEFINE_STRING(BGl_string1949z00zzengine_compilerz00,
		BgL_bgl_string1949za700za7za7e2002za7, "engine_compiler", 15);
	      DEFINE_STRING(BGl_string1950z00zzengine_compilerz00,
		BgL_bgl_string1950za700za7za7e2003za7,
		"now uncell reduce+ effect+ init inline+ reducer return cnst reduce egen dataflow++ prebox fxop (c c-saw) coerce abound reduce- tailc integrate dataflow+ cfa closure dataflow reduce0 fail beta make-add-heap inline all flop isa stackable effect callcc bdb-spread-obj make-heap initflow peephole syntax-check ast expand user hgen bigloo-debug-set! (#unspecified) mco dump-module bigloo-class-sans bigloo-unsafe bigloo-unsafe-version bigloo-unsafe-eval bigloo-unsafe-library bigloo-unsafe-arity bigloo-unsafe-range bigloo-unsafe-type bigloo-debug bigloo-class-generate classgen bigloo-compile bdb intern-src ",
		604);
	extern obj_t BGl_classgenzd2walkzd2envz00zzobject_classgenz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilerzd2envzd2zzengine_compilerz00,
		BgL_bgl_za762compilerza762za7za72004z00,
		BGl_z62compilerz62zzengine_compilerz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzengine_compilerz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzengine_compilerz00(long
		BgL_checksumz00_2454, char *BgL_fromz00_2455)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_compilerz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_compilerz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_compilerz00();
					BGl_libraryzd2moduleszd2initz00zzengine_compilerz00();
					BGl_cnstzd2initzd2zzengine_compilerz00();
					BGl_importedzd2moduleszd2initz00zzengine_compilerz00();
					return BGl_toplevelzd2initzd2zzengine_compilerz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "engine_compiler");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			{	/* Engine/compiler.scm 15 */
				obj_t BgL_cportz00_2443;

				{	/* Engine/compiler.scm 15 */
					obj_t BgL_stringz00_2450;

					BgL_stringz00_2450 = BGl_string1950z00zzengine_compilerz00;
					{	/* Engine/compiler.scm 15 */
						obj_t BgL_startz00_2451;

						BgL_startz00_2451 = BINT(0L);
						{	/* Engine/compiler.scm 15 */
							obj_t BgL_endz00_2452;

							BgL_endz00_2452 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2450)));
							{	/* Engine/compiler.scm 15 */

								BgL_cportz00_2443 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2450, BgL_startz00_2451, BgL_endz00_2452);
				}}}}
				{
					long BgL_iz00_2444;

					BgL_iz00_2444 = 61L;
				BgL_loopz00_2445:
					if ((BgL_iz00_2444 == (-1L)))
						{	/* Engine/compiler.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/compiler.scm 15 */
							{	/* Engine/compiler.scm 15 */
								obj_t BgL_arg1953z00_2446;

								{	/* Engine/compiler.scm 15 */

									{	/* Engine/compiler.scm 15 */
										obj_t BgL_locationz00_2448;

										BgL_locationz00_2448 = BBOOL(((bool_t) 0));
										{	/* Engine/compiler.scm 15 */

											BgL_arg1953z00_2446 =
												BGl_readz00zz__readerz00(BgL_cportz00_2443,
												BgL_locationz00_2448);
										}
									}
								}
								{	/* Engine/compiler.scm 15 */
									int BgL_tmpz00_2484;

									BgL_tmpz00_2484 = (int) (BgL_iz00_2444);
									CNST_TABLE_SET(BgL_tmpz00_2484, BgL_arg1953z00_2446);
							}}
							{	/* Engine/compiler.scm 15 */
								int BgL_auxz00_2449;

								BgL_auxz00_2449 = (int) ((BgL_iz00_2444 - 1L));
								{
									long BgL_iz00_2489;

									BgL_iz00_2489 = (long) (BgL_auxz00_2449);
									BgL_iz00_2444 = BgL_iz00_2489;
									goto BgL_loopz00_2445;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzengine_compilerz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1738;

					BgL_headz00_1738 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1739;
						obj_t BgL_tailz00_1740;

						BgL_prevz00_1739 = BgL_headz00_1738;
						BgL_tailz00_1740 = BgL_l1z00_1;
					BgL_loopz00_1741:
						if (PAIRP(BgL_tailz00_1740))
							{
								obj_t BgL_newzd2prevzd2_1743;

								BgL_newzd2prevzd2_1743 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1740), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1739, BgL_newzd2prevzd2_1743);
								{
									obj_t BgL_tailz00_2501;
									obj_t BgL_prevz00_2500;

									BgL_prevz00_2500 = BgL_newzd2prevzd2_1743;
									BgL_tailz00_2501 = CDR(BgL_tailz00_1740);
									BgL_tailz00_1740 = BgL_tailz00_2501;
									BgL_prevz00_1739 = BgL_prevz00_2500;
									goto BgL_loopz00_1741;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1738);
					}
				}
		}

	}



/* compiler */
	BGL_EXPORTED_DEF obj_t BGl_compilerz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 103 */
			BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			{	/* Engine/compiler.scm 112 */
				bool_t BgL_test2009z00_2506;

				{	/* Engine/compiler.scm 112 */
					int BgL_arg1280z00_1768;

					BgL_arg1280z00_1768 = BGl_bigloozd2compilerzd2debugz00zz__paramz00();
					BgL_test2009z00_2506 = ((long) (BgL_arg1280z00_1768) > 0L);
				}
				if (BgL_test2009z00_2506)
					{	/* Engine/compiler.scm 112 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 112 */
						{	/* Engine/compiler.scm 113 */
							bool_t BgL_test2010z00_2510;

							{	/* Engine/compiler.scm 113 */
								obj_t BgL_arg1276z00_1764;

								BgL_arg1276z00_1764 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2010z00_2510 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1276z00_1764)))->
									BgL_boundzd2checkzd2);
							}
							if (BgL_test2010z00_2510)
								{	/* Engine/compiler.scm 113 */
									BFALSE;
								}
							else
								{	/* Engine/compiler.scm 113 */
									BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BTRUE;
								}
						}
						{	/* Engine/compiler.scm 115 */
							bool_t BgL_test2011z00_2514;

							{	/* Engine/compiler.scm 115 */
								obj_t BgL_arg1279z00_1767;

								BgL_arg1279z00_1767 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2011z00_2514 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1279z00_1767)))->
									BgL_typezd2checkzd2);
							}
							if (BgL_test2011z00_2514)
								{	/* Engine/compiler.scm 115 */
									BFALSE;
								}
							else
								{	/* Engine/compiler.scm 115 */
									BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE;
								}
						}
					}
			}
			{	/* Engine/compiler.scm 117 */
				bool_t BgL_test2012z00_2518;

				{	/* Engine/compiler.scm 117 */
					obj_t BgL_arg1284z00_1771;

					BgL_arg1284z00_1771 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test2012z00_2518 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1284z00_1771)))->
						BgL_typedzd2funcallzd2);
				}
				if (BgL_test2012z00_2518)
					{	/* Engine/compiler.scm 117 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 117 */
						BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00 =
							BFALSE;
					}
			}
			{	/* Engine/compiler.scm 119 */
				bool_t BgL_test2013z00_2522;

				if (
					((long) CINT(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
						>= 1L))
					{	/* Engine/compiler.scm 119 */
						BgL_test2013z00_2522 = ((bool_t) 1);
					}
				else
					{	/* Engine/compiler.scm 119 */
						BgL_test2013z00_2522 =
							(
							(long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
							1L);
					}
				if (BgL_test2013z00_2522)
					{	/* Engine/compiler.scm 119 */
						BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00 = BFALSE;
					}
				else
					{	/* Engine/compiler.scm 119 */
						BFALSE;
					}
			}
			{	/* Engine/compiler.scm 126 */
				obj_t BgL_srcz00_1775;

				{	/* Engine/compiler.scm 126 */
					obj_t BgL_arg1748z00_2033;

					BgL_arg1748z00_2033 = BGl_readzd2srczd2zzread_srcz00();
					BgL_srcz00_1775 =
						BGL_PROCEDURE_CALL1(BGl_za2prezd2processorza2zd2zzengine_paramz00,
						BgL_arg1748z00_2033);
				}
				if (CBOOL(BgL_srcz00_1775))
					{	/* Engine/compiler.scm 131 */
						if (PAIRP(BgL_srcz00_1775))
							{	/* Engine/compiler.scm 134 */
								BFALSE;
							}
						else
							{	/* Engine/compiler.scm 134 */
								if (
									(BGl_za2readerza2z00zzengine_paramz00 ==
										((obj_t) CNST_TABLE_REF(0))))
									{	/* Engine/compiler.scm 136 */
										obj_t BgL_list1288z00_1777;

										BgL_list1288z00_1777 = MAKE_YOUNG_PAIR(BINT(1L), BNIL);
										BGl_exitz00zz__errorz00(BgL_list1288z00_1777);
									}
								else
									{	/* Engine/compiler.scm 135 */
										BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1901z00zzengine_compilerz00,
											BGl_string1902z00zzengine_compilerz00, BgL_srcz00_1775,
											BNIL);
									}
							}
					}
				else
					{	/* Engine/compiler.scm 131 */
						BGl_za2interpreterza2z00zzengine_paramz00 = BTRUE;
						BGl_compilerzd2exitzd2zzinit_mainz00(BGl_enginez00zzengine_enginez00
							());
					}
				BGl_hellozd2worldzd2zzengine_enginez00();
				{	/* Engine/compiler.scm 143 */
					bool_t BgL_test2018z00_2548;

					if (((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) > 0L))
						{	/* Engine/compiler.scm 144 */
							obj_t BgL_arg1296z00_1785;

							{	/* Engine/compiler.scm 144 */
								obj_t BgL_arg1297z00_1786;

								BgL_arg1297z00_1786 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_arg1296z00_1785 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1297z00_1786)))->
									BgL_debugzd2supportzd2);
							}
							BgL_test2018z00_2548 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) CNST_TABLE_REF(1)), BgL_arg1296z00_1785));
						}
					else
						{	/* Engine/compiler.scm 143 */
							BgL_test2018z00_2548 = ((bool_t) 0);
						}
					if (BgL_test2018z00_2548)
						{	/* Engine/compiler.scm 143 */
							BGl_bdbzd2settingz12zc0zzbdb_settingz00();
						}
					else
						{	/* Engine/compiler.scm 143 */
							BFALSE;
						}
				}
				if (NULLP(BGl_za2restzd2argsza2zd2zzengine_paramz00))
					{	/* Engine/compiler.scm 148 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 149 */
						obj_t BgL_list1299z00_1788;

						{	/* Engine/compiler.scm 149 */
							obj_t BgL_arg1301z00_1789;

							BgL_arg1301z00_1789 =
								MAKE_YOUNG_PAIR(BGl_za2restzd2argsza2zd2zzengine_paramz00,
								BNIL);
							BgL_list1299z00_1788 =
								MAKE_YOUNG_PAIR(BGl_string1903z00zzengine_compilerz00,
								BgL_arg1301z00_1789);
						}
						BGl_warningz00zz__errorz00(BgL_list1299z00_1788);
					}
				BGl_readzd2accesszd2filesz00zzread_accessz00();
				BGl_readzd2jfilezd2zzread_jvmz00();
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* Engine/compiler.scm 156 */
						BGl_initializa7ezd2Genvz12z67zzast_envz00();
						BGl_initializa7ezd2Tenvz12z67zztype_envz00();
					}
				else
					{	/* Engine/compiler.scm 156 */
						BGl_restorezd2heapzd2zzheap_restorez00();
					}
				BGl_installzd2typezd2cachez12z12zztype_cachez00();
				BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
				BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
				BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
					((obj_t) CNST_TABLE_REF(2)));
				if ((BGl_za2passza2z00zzengine_paramz00 == ((obj_t) CNST_TABLE_REF(3))))
					{	/* Engine/compiler.scm 176 */
						BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
							((obj_t) CNST_TABLE_REF(4)));
					}
				else
					{	/* Engine/compiler.scm 176 */
						BFALSE;
					}
				{	/* Engine/compiler.scm 177 */
					bool_t BgL_test2023z00_2585;

					{	/* Engine/compiler.scm 177 */
						int BgL_arg1309z00_1792;

						BgL_arg1309z00_1792 =
							BGl_bigloozd2compilerzd2debugz00zz__paramz00();
						BgL_test2023z00_2585 = ((long) (BgL_arg1309z00_1792) >= 1L);
					}
					if (BgL_test2023z00_2585)
						{	/* Engine/compiler.scm 177 */
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(5)));
						}
					else
						{	/* Engine/compiler.scm 177 */
							BFALSE;
						}
				}
				{	/* Engine/compiler.scm 178 */
					long BgL_unsafez00_1793;

					BgL_unsafez00_1793 = 0L;
					if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 179 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(6)));
						}
					else
						{	/* Engine/compiler.scm 179 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 182 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(7)));
						}
					else
						{	/* Engine/compiler.scm 182 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 185 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(8)));
						}
					else
						{	/* Engine/compiler.scm 185 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 188 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(9)));
						}
					else
						{	/* Engine/compiler.scm 188 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 191 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(10)));
						}
					else
						{	/* Engine/compiler.scm 191 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2versionza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 194 */
							BgL_unsafez00_1793 = (1L + BgL_unsafez00_1793);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(11)));
						}
					else
						{	/* Engine/compiler.scm 194 */
							BFALSE;
						}
					if ((BgL_unsafez00_1793 == 6L))
						{	/* Engine/compiler.scm 197 */
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
								((obj_t) CNST_TABLE_REF(12)));
						}
					else
						{	/* Engine/compiler.scm 197 */
							BFALSE;
						}
				}
				BGl_installzd2initialzd2expanderz00zzexpand_installz00();
				BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(
					((obj_t) CNST_TABLE_REF(13)));
				{	/* Engine/compiler.scm 208 */
					obj_t BgL_exp0z00_1795;

					{	/* Engine/compiler.scm 208 */
						obj_t BgL_arg1746z00_2032;

						BgL_arg1746z00_2032 = CAR(((obj_t) BgL_srcz00_1775));
						BgL_exp0z00_1795 =
							BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
							(BgL_arg1746z00_2032);
					}
					{	/* Engine/compiler.scm 208 */
						obj_t BgL_modulez00_1796;

						BgL_modulez00_1796 =
							BGl_prognzd2firstzd2expressionz00zztools_prognz00
							(BgL_exp0z00_1795);
						{	/* Engine/compiler.scm 209 */
							obj_t BgL_srczd2codezd2_1797;

							{	/* Engine/compiler.scm 210 */
								obj_t BgL_arg1729z00_2030;
								obj_t BgL_arg1730z00_2031;

								BgL_arg1729z00_2030 =
									BGl_prognzd2tailzd2expressionsz00zztools_prognz00
									(BgL_exp0z00_1795);
								BgL_arg1730z00_2031 = CDR(((obj_t) BgL_srcz00_1775));
								BgL_srczd2codezd2_1797 =
									BGl_appendzd221011zd2zzengine_compilerz00(BgL_arg1729z00_2030,
									BgL_arg1730z00_2031);
							}
							{	/* Engine/compiler.scm 210 */
								obj_t BgL_unitsz00_2397;

								{	/* Engine/compiler.scm 211 */
									obj_t BgL_cellvalz00_2645;

									BgL_cellvalz00_2645 =
										BGl_producezd2modulez12zc0zzmodule_modulez00
										(BgL_modulez00_1796);
									BgL_unitsz00_2397 = BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_2645);
								}
								{	/* Engine/compiler.scm 211 */

									{	/* Engine/compiler.scm 213 */
										obj_t BgL_zc3z04anonymousza31312ze3z87_2315;

										BgL_zc3z04anonymousza31312ze3z87_2315 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31312ze3ze5zzengine_compilerz00,
											(int) (0L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31312ze3z87_2315,
											(int) (0L), BgL_modulez00_1796);
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(14)),
											BgL_zc3z04anonymousza31312ze3z87_2315);
									}
									if (
										((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00)
											>= 1L))
										{	/* Engine/compiler.scm 217 */
											obj_t BgL_auxz00_2398;

											{	/* Engine/compiler.scm 217 */
												obj_t BgL_arg1314z00_1803;

												BgL_arg1314z00_1803 =
													BGl_makezd2profzd2unitz00zzprof_walkz00();
												BgL_auxz00_2398 =
													MAKE_YOUNG_PAIR(BgL_arg1314z00_1803,
													BGL_UNSAFE_CELL_REF(BgL_unitsz00_2397));
											}
											BGL_UNSAFE_CELL_SET(BgL_unitsz00_2397, BgL_auxz00_2398);
										}
									else
										{	/* Engine/compiler.scm 216 */
											BFALSE;
										}
									if (CBOOL
										(BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00))
										{	/* Engine/compiler.scm 220 */
											BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
										}
									else
										{	/* Engine/compiler.scm 220 */
											BFALSE;
										}
									BGl_stopzd2onzd2passz00zzengine_passz00(
										((obj_t)
											CNST_TABLE_REF(15)), BGl_proc1904z00zzengine_compilerz00);
									{	/* Engine/compiler.scm 225 */
										obj_t BgL_c0z00_1807;

										if (NULLP(BgL_srczd2codezd2_1797))
											{	/* Engine/compiler.scm 225 */
												BgL_c0z00_1807 = ((obj_t) CNST_TABLE_REF(16));
											}
										else
											{	/* Engine/compiler.scm 225 */
												BgL_c0z00_1807 = BgL_srczd2codezd2_1797;
											}
										{	/* Engine/compiler.scm 225 */
											obj_t BgL_c1z00_1808;

											{	/* Engine/compiler.scm 226 */
												bool_t BgL_test2034z00_2670;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														>= 1L))
													{	/* Engine/compiler.scm 226 */
														BgL_test2034z00_2670 =
															CBOOL(BGl_za2mainza2z00zzmodule_modulez00);
													}
												else
													{	/* Engine/compiler.scm 226 */
														BgL_test2034z00_2670 = ((bool_t) 0);
													}
												if (BgL_test2034z00_2670)
													{	/* Engine/compiler.scm 228 */
														obj_t BgL_arg1326z00_1817;

														{	/* Engine/compiler.scm 228 */
															obj_t BgL_arg1327z00_1818;

															{	/* Engine/compiler.scm 228 */
																obj_t BgL_arg1331z00_1819;

																{	/* Engine/compiler.scm 228 */
																	int BgL_xz00_1820;
																	obj_t BgL_yz00_1821;

																	BgL_xz00_1820 =
																		BGl_bigloozd2compilerzd2debugz00zz__paramz00
																		();
																	BgL_yz00_1821 =
																		BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
																	BgL_arg1331z00_1819 =
																		BGl_2maxz00zz__r4_numbers_6_5z00(BINT
																		(BgL_xz00_1820), BgL_yz00_1821);
																}
																BgL_arg1327z00_1818 =
																	MAKE_YOUNG_PAIR(BgL_arg1331z00_1819, BNIL);
															}
															BgL_arg1326z00_1817 =
																MAKE_YOUNG_PAIR(
																((obj_t)
																	CNST_TABLE_REF(17)), BgL_arg1327z00_1818);
														}
														BgL_c1z00_1808 =
															MAKE_YOUNG_PAIR(BgL_arg1326z00_1817,
															BgL_c0z00_1807);
													}
												else
													{	/* Engine/compiler.scm 226 */
														BgL_c1z00_1808 = BgL_c0z00_1807;
													}
											}
											{	/* Engine/compiler.scm 226 */

												BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
													(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
													BgL_c1z00_1808);
												if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
														2L))
													{	/* Engine/compiler.scm 234 */
														obj_t BgL_arg1319z00_1811;
														obj_t BgL_arg1320z00_1812;

														BgL_arg1319z00_1811 =
															BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
														{	/* Engine/compiler.scm 235 */
															obj_t BgL_arg1321z00_1813;

															BgL_arg1321z00_1813 =
																BGl_z52appendzd22zd2definez52zzexpand_installz00
																();
															{	/* Engine/compiler.scm 235 */
																obj_t BgL_list1322z00_1814;

																BgL_list1322z00_1814 =
																	MAKE_YOUNG_PAIR(BgL_arg1321z00_1813, BNIL);
																BgL_arg1320z00_1812 = BgL_list1322z00_1814;
														}}
														BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00
															(BgL_arg1319z00_1811, BgL_arg1320z00_1812);
													}
												else
													{	/* Engine/compiler.scm 233 */
														BFALSE;
													}
											}
										}
									}
									if (
										((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> 0L))
										{	/* Engine/compiler.scm 238 */
											{	/* Engine/compiler.scm 238 */
												obj_t BgL_port1248z00_1826;

												{	/* Engine/compiler.scm 238 */
													obj_t BgL_tmpz00_2695;

													BgL_tmpz00_2695 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_port1248z00_1826 =
														BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2695);
												}
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port1248z00_1826);
												bgl_display_string
													(BGl_string1905z00zzengine_compilerz00,
													BgL_port1248z00_1826);
												{	/* Engine/compiler.scm 238 */
													obj_t BgL_arg1336z00_1827;

													{	/* Engine/compiler.scm 238 */
														bool_t BgL_test2038z00_2700;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Engine/compiler.scm 238 */
																if (INTEGERP
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
																	{	/* Engine/compiler.scm 238 */
																		BgL_test2038z00_2700 =
																			(
																			(long)
																			CINT
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																			> 1L);
																	}
																else
																	{	/* Engine/compiler.scm 238 */
																		BgL_test2038z00_2700 =
																			BGl_2ze3ze3zz__r4_numbers_6_5z00
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																			BINT(1L));
																	}
															}
														else
															{	/* Engine/compiler.scm 238 */
																BgL_test2038z00_2700 = ((bool_t) 0);
															}
														if (BgL_test2038z00_2700)
															{	/* Engine/compiler.scm 238 */
																BgL_arg1336z00_1827 =
																	BGl_string1906z00zzengine_compilerz00;
															}
														else
															{	/* Engine/compiler.scm 238 */
																BgL_arg1336z00_1827 =
																	BGl_string1907z00zzengine_compilerz00;
															}
													}
													bgl_display_obj(BgL_arg1336z00_1827,
														BgL_port1248z00_1826);
												}
												bgl_display_string
													(BGl_string1908z00zzengine_compilerz00,
													BgL_port1248z00_1826);
												bgl_display_char(((unsigned char) 10),
													BgL_port1248z00_1826);
											}
											{	/* Engine/compiler.scm 238 */
												obj_t BgL_list1341z00_1831;

												BgL_list1341z00_1831 =
													MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
												BGl_exitz00zz__errorz00(BgL_list1341z00_1831);
										}}
									else
										{	/* Engine/compiler.scm 238 */
											obj_t BgL_g1112z00_1832;

											BgL_g1112z00_1832 = BNIL;
											{
												obj_t BgL_hooksz00_1835;
												obj_t BgL_hnamesz00_1836;

												BgL_hooksz00_1835 = BgL_g1112z00_1832;
												BgL_hnamesz00_1836 = BNIL;
											BgL_zc3z04anonymousza31342ze3z87_1837:
												if (NULLP(BgL_hooksz00_1835))
													{	/* Engine/compiler.scm 238 */
														BUNSPEC;
													}
												else
													{	/* Engine/compiler.scm 238 */
														bool_t BgL_test2042z00_2717;

														{	/* Engine/compiler.scm 238 */
															obj_t BgL_fun1360z00_1844;

															BgL_fun1360z00_1844 =
																CAR(((obj_t) BgL_hooksz00_1835));
															BgL_test2042z00_2717 =
																CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1360z00_1844));
														}
														if (BgL_test2042z00_2717)
															{	/* Engine/compiler.scm 238 */
																obj_t BgL_arg1355z00_1841;
																obj_t BgL_arg1358z00_1842;

																BgL_arg1355z00_1841 =
																	CDR(((obj_t) BgL_hooksz00_1835));
																BgL_arg1358z00_1842 =
																	CDR(((obj_t) BgL_hnamesz00_1836));
																{
																	obj_t BgL_hnamesz00_2729;
																	obj_t BgL_hooksz00_2728;

																	BgL_hooksz00_2728 = BgL_arg1355z00_1841;
																	BgL_hnamesz00_2729 = BgL_arg1358z00_1842;
																	BgL_hnamesz00_1836 = BgL_hnamesz00_2729;
																	BgL_hooksz00_1835 = BgL_hooksz00_2728;
																	goto BgL_zc3z04anonymousza31342ze3z87_1837;
																}
															}
														else
															{	/* Engine/compiler.scm 238 */
																obj_t BgL_arg1359z00_1843;

																BgL_arg1359z00_1843 =
																	CAR(((obj_t) BgL_hnamesz00_1836));
																BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_za2currentzd2passza2zd2zzengine_passz00,
																	BGl_string1909z00zzengine_compilerz00,
																	BgL_arg1359z00_1843);
															}
													}
											}
										}
									BGl_checkzd2typeszd2zztype_envz00();
									BGl_stopzd2onzd2passz00zzengine_passz00(
										((obj_t)
											CNST_TABLE_REF(3)),
										BGl_classgenzd2walkzd2envz00zzobject_classgenz00);
									BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
											CNST_TABLE_REF(18)),
										BGl_hgenzd2walkzd2envz00zzhgen_walkz00);
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
									BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
									BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00
										(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
										BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00());
									BGl_userzd2walkzd2zzuser_userz00(BGL_UNSAFE_CELL_REF
										(BgL_unitsz00_2397));
									{	/* Engine/compiler.scm 261 */
										obj_t BgL_zc3z04anonymousza31368ze3z87_2313;

										BgL_zc3z04anonymousza31368ze3z87_2313 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31368ze3ze5zzengine_compilerz00,
											(int) (0L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31368ze3z87_2313,
											(int) (0L), ((obj_t) BgL_unitsz00_2397));
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(19)),
											BgL_zc3z04anonymousza31368ze3z87_2313);
									}
									BGl_expandzd2unitszd2zzexpand_epsz00(BGL_UNSAFE_CELL_REF
										(BgL_unitsz00_2397));
									{	/* Engine/compiler.scm 265 */
										obj_t BgL_zc3z04anonymousza31371ze3z87_2312;

										BgL_zc3z04anonymousza31371ze3z87_2312 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31371ze3ze5zzengine_compilerz00,
											(int) (0L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31371ze3z87_2312,
											(int) (0L), ((obj_t) BgL_unitsz00_2397));
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(20)),
											BgL_zc3z04anonymousza31371ze3z87_2312);
									}
									{	/* Engine/compiler.scm 268 */
										obj_t BgL_arg1376z00_1855;

										BgL_arg1376z00_1855 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
											((BgL_backendz00_bglt) BgL_arg1376z00_1855));
									}
									{	/* Engine/compiler.scm 271 */
										bool_t BgL_test2043z00_2769;

										if (CBOOL
											(BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 272 */
												obj_t BgL_arg1383z00_1859;

												BgL_arg1383z00_1859 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_test2043z00_2769 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1383z00_1859)))->
													BgL_forcezd2registerzd2gczd2rootszd2);
											}
										else
											{	/* Engine/compiler.scm 271 */
												BgL_test2043z00_2769 = ((bool_t) 0);
											}
										if (BgL_test2043z00_2769)
											{	/* Engine/compiler.scm 273 */
												obj_t BgL_auxz00_2401;

												{	/* Engine/compiler.scm 273 */
													obj_t BgL_arg1382z00_1858;

													BgL_arg1382z00_1858 =
														BGl_makezd2gczd2rootszd2unitzd2zzcc_rootsz00();
													BgL_auxz00_2401 =
														MAKE_YOUNG_PAIR(BgL_arg1382z00_1858,
														BGL_UNSAFE_CELL_REF(BgL_unitsz00_2397));
												}
												BGL_UNSAFE_CELL_SET(BgL_unitsz00_2397, BgL_auxz00_2401);
											}
										else
											{	/* Engine/compiler.scm 271 */
												BFALSE;
											}
									}
									{	/* Engine/compiler.scm 276 */
										obj_t BgL_astz00_2402;

										{	/* Engine/compiler.scm 276 */
											obj_t BgL_cellvalz00_2777;

											BgL_cellvalz00_2777 =
												BGl_buildzd2astzd2zzast_buildz00(BGL_UNSAFE_CELL_REF
												(BgL_unitsz00_2397));
											BgL_astz00_2402 =
												BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_2777);
										}
										{	/* Engine/compiler.scm 277 */
											obj_t BgL_zc3z04anonymousza31386ze3z87_2311;

											BgL_zc3z04anonymousza31386ze3z87_2311 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31386ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31386ze3z87_2311,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(21)),
												BgL_zc3z04anonymousza31386ze3z87_2311);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1910z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1910z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(22)),
											BGl_proc1911z00zzengine_compilerz00);
										if (CBOOL
											(BGl_za2optimzd2peepholezf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 288 */
												obj_t BgL_auxz00_2403;

												BgL_auxz00_2403 =
													BGl_peepholezd2walkz12zc0zzpeephole_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2403);
											}
										else
											{	/* Engine/compiler.scm 287 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 289 */
											obj_t BgL_zc3z04anonymousza31391ze3z87_2309;

											BgL_zc3z04anonymousza31391ze3z87_2309 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31391ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31391ze3z87_2309,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(23)),
												BgL_zc3z04anonymousza31391ze3z87_2309);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1912z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1912z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										if (CBOOL
											(BGl_za2optimzd2initflowzf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 295 */
												obj_t BgL_auxz00_2404;

												BgL_auxz00_2404 =
													BGl_initflowzd2walkz12zc0zzinitflow_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2404);
											}
										else
											{	/* Engine/compiler.scm 294 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 296 */
											obj_t BgL_zc3z04anonymousza31393ze3z87_2308;

											BgL_zc3z04anonymousza31393ze3z87_2308 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31393ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31393ze3z87_2308,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(24)),
												BgL_zc3z04anonymousza31393ze3z87_2308);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1913z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1913z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(25)),
											BGl_proc1914z00zzengine_compilerz00);
										{	/* Engine/compiler.scm 304 */
											bool_t BgL_test2047z00_2824;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> 0L))
												{	/* Engine/compiler.scm 305 */
													obj_t BgL_arg1446z00_1881;

													{	/* Engine/compiler.scm 305 */
														obj_t BgL_arg1457z00_1882;

														BgL_arg1457z00_1882 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1446z00_1881 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1457z00_1882)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test2047z00_2824 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t)
																CNST_TABLE_REF(1)), BgL_arg1446z00_1881));
												}
											else
												{	/* Engine/compiler.scm 304 */
													BgL_test2047z00_2824 = ((bool_t) 0);
												}
											if (BgL_test2047z00_2824)
												{	/* Engine/compiler.scm 304 */
													BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												}
											else
												{	/* Engine/compiler.scm 304 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 307 */
											obj_t BgL_zc3z04anonymousza31472ze3z87_2306;

											BgL_zc3z04anonymousza31472ze3z87_2306 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31472ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31472ze3z87_2306,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(26)),
												BgL_zc3z04anonymousza31472ze3z87_2306);
										}
										{	/* Engine/compiler.scm 310 */
											bool_t BgL_test2049z00_2845;

											if (
												((long)
													CINT
													(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
													>= 1L))
												{	/* Engine/compiler.scm 312 */
													obj_t BgL_arg1484z00_1890;

													BgL_arg1484z00_1890 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2049z00_2845 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1484z00_1890)))->
														BgL_tracezd2supportzd2);
												}
											else
												{	/* Engine/compiler.scm 310 */
													BgL_test2049z00_2845 = ((bool_t) 0);
												}
											if (BgL_test2049z00_2845)
												{	/* Engine/compiler.scm 313 */
													obj_t BgL_auxz00_2405;

													BgL_auxz00_2405 =
														BGl_tracezd2walkz12zc0zztrace_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2405);
												}
											else
												{	/* Engine/compiler.scm 310 */
													BFALSE;
												}
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1915z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1915z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 319 */
											bool_t BgL_test2051z00_2855;

											if (CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
												{	/* Engine/compiler.scm 319 */
													obj_t BgL_arg1489z00_1893;

													BgL_arg1489z00_1893 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2051z00_2855 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1489z00_1893)))->
														BgL_callccz00);
												}
											else
												{	/* Engine/compiler.scm 319 */
													BgL_test2051z00_2855 = ((bool_t) 0);
												}
											if (BgL_test2051z00_2855)
												{	/* Engine/compiler.scm 320 */
													obj_t BgL_auxz00_2406;

													BgL_auxz00_2406 =
														BGl_callcczd2walkz12zc0zzcallcc_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2406);
												}
											else
												{	/* Engine/compiler.scm 319 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 321 */
											obj_t BgL_zc3z04anonymousza31491ze3z87_2305;

											BgL_zc3z04anonymousza31491ze3z87_2305 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31491ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31491ze3z87_2305,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(27)),
												BgL_zc3z04anonymousza31491ze3z87_2305);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1916z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1916z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 326 */
											obj_t BgL_auxz00_2407;

											BgL_auxz00_2407 =
												BGl_effectzd2walkz12zc0zzeffect_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2407);
										}
										{	/* Engine/compiler.scm 327 */
											obj_t BgL_zc3z04anonymousza31507ze3z87_2304;

											BgL_zc3z04anonymousza31507ze3z87_2304 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31507ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31507ze3z87_2304,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(28)),
												BgL_zc3z04anonymousza31507ze3z87_2304);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1917z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1917z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 332 */
											obj_t BgL_auxz00_2408;

											BgL_auxz00_2408 =
												BGl_stackablezd2walkz12zc0zzstackable_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2408);
										}
										{	/* Engine/compiler.scm 333 */
											obj_t BgL_zc3z04anonymousza31512ze3z87_2303;

											BgL_zc3z04anonymousza31512ze3z87_2303 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31512ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31512ze3z87_2303,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(29)),
												BgL_zc3z04anonymousza31512ze3z87_2303);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1918z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1918z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 338 */
											obj_t BgL_auxz00_2409;

											BgL_auxz00_2409 =
												BGl_isazd2walkz12zc0zzisa_walkz00(BGL_UNSAFE_CELL_REF
												(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2409);
										}
										{	/* Engine/compiler.scm 339 */
											obj_t BgL_zc3z04anonymousza31514ze3z87_2302;

											BgL_zc3z04anonymousza31514ze3z87_2302 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31514ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31514ze3z87_2302,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(30)),
												BgL_zc3z04anonymousza31514ze3z87_2302);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1919z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1919z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 344 */
											obj_t BgL_auxz00_2410;

											BgL_auxz00_2410 =
												BGl_flopzd2walkz12zc0zzflop_walkz00(BGL_UNSAFE_CELL_REF
												(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2410);
										}
										{	/* Engine/compiler.scm 345 */
											obj_t BgL_zc3z04anonymousza31516ze3z87_2301;

											BgL_zc3z04anonymousza31516ze3z87_2301 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31516ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31516ze3z87_2301,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(31)),
												BgL_zc3z04anonymousza31516ze3z87_2301);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1920z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1920z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 350 */
											obj_t BgL_auxz00_2411;

											BgL_auxz00_2411 =
												BGl_inlinezd2walkz12zc0zzinline_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
												((obj_t) CNST_TABLE_REF(32)));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2411);
										}
										{	/* Engine/compiler.scm 351 */
											obj_t BgL_zc3z04anonymousza31531ze3z87_2300;

											BgL_zc3z04anonymousza31531ze3z87_2300 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31531ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31531ze3z87_2300,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(33)),
												BgL_zc3z04anonymousza31531ze3z87_2300);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1921z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1921z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
												CNST_TABLE_REF(34)),
											BGl_proc1922z00zzengine_compilerz00);
										{	/* Engine/compiler.scm 365 */
											obj_t BgL_auxz00_2412;

											BgL_auxz00_2412 =
												BGl_betazd2walkz12zc0zzbeta_walkz00(BGL_UNSAFE_CELL_REF
												(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2412);
										}
										{	/* Engine/compiler.scm 366 */
											obj_t BgL_zc3z04anonymousza31536ze3z87_2298;

											BgL_zc3z04anonymousza31536ze3z87_2298 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31536ze3z87_2298,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(35)),
												BgL_zc3z04anonymousza31536ze3z87_2298);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1923z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1923z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 372 */
											bool_t BgL_test2053z00_2950;

											{	/* Engine/compiler.scm 372 */
												bool_t BgL_test2054z00_2951;

												{	/* Engine/compiler.scm 372 */
													int BgL_arg1553z00_1923;

													BgL_arg1553z00_1923 =
														BGl_bigloozd2compilerzd2debugz00zz__paramz00();
													BgL_test2054z00_2951 =
														((long) (BgL_arg1553z00_1923) >= 1L);
												}
												if (BgL_test2054z00_2951)
													{	/* Engine/compiler.scm 372 */
														BgL_test2053z00_2950 =
															CBOOL
															(BGl_za2errorzd2localiza7ationza2z75zzengine_paramz00);
													}
												else
													{	/* Engine/compiler.scm 372 */
														BgL_test2053z00_2950 = ((bool_t) 0);
													}
											}
											if (BgL_test2053z00_2950)
												{	/* Engine/compiler.scm 373 */
													obj_t BgL_auxz00_2413;

													BgL_auxz00_2413 =
														BGl_failzd2walkz12zc0zzfail_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2413);
												}
											else
												{	/* Engine/compiler.scm 372 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 374 */
											obj_t BgL_zc3z04anonymousza31555ze3z87_2297;

											BgL_zc3z04anonymousza31555ze3z87_2297 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31555ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31555ze3z87_2297,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(36)),
												BgL_zc3z04anonymousza31555ze3z87_2297);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1924z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1924z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 380 */
												if (CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
													{	/* Engine/compiler.scm 381 */
														BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00
															= BFALSE;
													}
												else
													{	/* Engine/compiler.scm 381 */
														{	/* Engine/compiler.scm 384 */
															obj_t BgL_auxz00_2414;

															{	/* Engine/compiler.scm 384 */
																obj_t BgL_list1556z00_1927;

																BgL_list1556z00_1927 =
																	MAKE_YOUNG_PAIR(BTRUE, BNIL);
																BgL_auxz00_2414 =
																	BGl_reducezd2walkz12zc0zzreduce_walkz00
																	(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
																	BGl_string1925z00zzengine_compilerz00,
																	BgL_list1556z00_1927);
															}
															BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
																BgL_auxz00_2414);
														}
														{	/* Engine/compiler.scm 385 */
															obj_t BgL_zc3z04anonymousza31559ze3z87_2296;

															BgL_zc3z04anonymousza31559ze3z87_2296 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00,
																(int) (0L), (int) (1L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31559ze3z87_2296,
																(int) (0L), ((obj_t) BgL_astz00_2402));
															BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
																	CNST_TABLE_REF(37)),
																BgL_zc3z04anonymousza31559ze3z87_2296);
														}
														{	/* Engine/compiler.scm 386 */
															obj_t BgL_auxz00_2415;

															BgL_auxz00_2415 =
																BGl_dataflowzd2walkz12zc0zzdataflow_walkz00
																(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
																BGl_string1926z00zzengine_compilerz00);
															BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
																BgL_auxz00_2415);
											}}}
										else
											{	/* Engine/compiler.scm 380 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 387 */
											obj_t BgL_zc3z04anonymousza31561ze3z87_2295;

											BgL_zc3z04anonymousza31561ze3z87_2295 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31561ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31561ze3z87_2295,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(38)),
												BgL_zc3z04anonymousza31561ze3z87_2295);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 392 */
											obj_t BgL_auxz00_2416;

											BgL_auxz00_2416 =
												BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
												((obj_t) CNST_TABLE_REF(39)));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2416);
										}
										{	/* Engine/compiler.scm 393 */
											obj_t BgL_zc3z04anonymousza31575ze3z87_2294;

											BgL_zc3z04anonymousza31575ze3z87_2294 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31575ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31575ze3z87_2294,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(39)),
												BgL_zc3z04anonymousza31575ze3z87_2294);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1928z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1928z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 0),
											((bool_t) 0));
										{	/* Engine/compiler.scm 398 */
											obj_t BgL_auxz00_2417;

											BgL_auxz00_2417 =
												BGl_cfazd2walkz12zc0zzcfa_walkz00(BGL_UNSAFE_CELL_REF
												(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2417);
										}
										{	/* Engine/compiler.scm 399 */
											obj_t BgL_zc3z04anonymousza31578ze3z87_2293;

											BgL_zc3z04anonymousza31578ze3z87_2293 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31578ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31578ze3z87_2293,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(40)),
												BgL_zc3z04anonymousza31578ze3z87_2293);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1929z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1929z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 0));
										BGl_setzd2defaultzd2typez12z12zztype_cachez00((
												(BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 410 */
												obj_t BgL_auxz00_2418;

												BgL_auxz00_2418 =
													BGl_dataflowzd2walkz12zc0zzdataflow_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
													BGl_string1930z00zzengine_compilerz00);
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2418);
											}
										else
											{	/* Engine/compiler.scm 409 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 411 */
											obj_t BgL_zc3z04anonymousza31582ze3z87_2292;

											BgL_zc3z04anonymousza31582ze3z87_2292 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31582ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31582ze3z87_2292,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(41)),
												BgL_zc3z04anonymousza31582ze3z87_2292);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 0));
										{	/* Engine/compiler.scm 416 */
											obj_t BgL_auxz00_2419;

											BgL_auxz00_2419 =
												BGl_integratezd2walkz12zc0zzintegrate_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2419);
										}
										{	/* Engine/compiler.scm 417 */
											obj_t BgL_zc3z04anonymousza31588ze3z87_2291;

											BgL_zc3z04anonymousza31588ze3z87_2291 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31588ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31588ze3z87_2291,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(42)),
												BgL_zc3z04anonymousza31588ze3z87_2291);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1931z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1931z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 0));
										{	/* Engine/compiler.scm 422 */
											bool_t BgL_test2058z00_3049;

											if (CBOOL
												(BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00))
												{	/* Engine/compiler.scm 422 */
													BgL_test2058z00_3049 = ((bool_t) 1);
												}
											else
												{	/* Engine/compiler.scm 423 */
													obj_t BgL_arg1592z00_1948;

													BgL_arg1592z00_1948 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2058z00_3049 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1592z00_1948)))->
														BgL_requirezd2tailczd2);
												}
											if (BgL_test2058z00_3049)
												{	/* Engine/compiler.scm 422 */
													{	/* Engine/compiler.scm 424 */
														obj_t BgL_auxz00_2420;

														BgL_auxz00_2420 =
															BGl_tailczd2walkz12zc0zztailc_walkz00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
														BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
															BgL_auxz00_2420);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1932z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1932z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 422 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 427 */
											obj_t BgL_zc3z04anonymousza31594ze3z87_2290;

											BgL_zc3z04anonymousza31594ze3z87_2290 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31594ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31594ze3z87_2290,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(43)),
												BgL_zc3z04anonymousza31594ze3z87_2290);
										}
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2forzd2errorszf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 430 */
												{	/* Engine/compiler.scm 431 */
													obj_t BgL_auxz00_2421;

													{	/* Engine/compiler.scm 431 */
														obj_t BgL_list1595z00_1952;

														BgL_list1595z00_1952 = MAKE_YOUNG_PAIR(BTRUE, BNIL);
														BgL_auxz00_2421 =
															BGl_reducezd2walkz12zc0zzreduce_walkz00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
															BGl_string1933z00zzengine_compilerz00,
															BgL_list1595z00_1952);
													}
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2421);
												}
												BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
													(BGl_string1934z00zzengine_compilerz00,
													BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												BGl_checkzd2typezd2zzast_checkzd2typezd2
													(BGl_string1934z00zzengine_compilerz00,
													BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
													((bool_t) 0));
											}
										else
											{	/* Engine/compiler.scm 430 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 434 */
											obj_t BgL_zc3z04anonymousza31598ze3z87_2289;

											BgL_zc3z04anonymousza31598ze3z87_2289 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31598ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31598ze3z87_2289,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(44)),
												BgL_zc3z04anonymousza31598ze3z87_2289);
										}
										if (CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
											{	/* Engine/compiler.scm 441 */
												BFALSE;
											}
										else
											{	/* Engine/compiler.scm 442 */
												obj_t BgL_auxz00_2422;

												BgL_auxz00_2422 =
													BGl_aboundzd2walkz12zc0zzabound_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2422);
											}
										{	/* Engine/compiler.scm 443 */
											obj_t BgL_zc3z04anonymousza31606ze3z87_2288;

											BgL_zc3z04anonymousza31606ze3z87_2288 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31606ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31606ze3z87_2288,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(45)),
												BgL_zc3z04anonymousza31606ze3z87_2288);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1935z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1935z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 0));
										{	/* Engine/compiler.scm 448 */
											obj_t BgL_auxz00_2423;

											BgL_auxz00_2423 =
												BGl_coercezd2walkz12zc0zzcoerce_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2423);
										}
										{	/* Engine/compiler.scm 449 */
											obj_t BgL_zc3z04anonymousza31612ze3z87_2287;

											BgL_zc3z04anonymousza31612ze3z87_2287 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31612ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31612ze3z87_2287,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(46)),
												BgL_zc3z04anonymousza31612ze3z87_2287);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1936z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1936z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										{	/* Engine/compiler.scm 454 */
											bool_t BgL_test2062z00_3108;

											if (CBOOL
												(BGl_za2optimzd2taggedzd2fxopzf3za2zf3zzengine_paramz00))
												{	/* Engine/compiler.scm 455 */
													obj_t BgL_arg1633z00_1968;

													{	/* Engine/compiler.scm 455 */
														obj_t BgL_arg1635z00_1969;

														BgL_arg1635z00_1969 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1633z00_1968 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1635z00_1969)))->BgL_languagez00);
													}
													BgL_test2062z00_3108 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1633z00_1968,
															((obj_t) CNST_TABLE_REF(47))));
												}
											else
												{	/* Engine/compiler.scm 454 */
													BgL_test2062z00_3108 = ((bool_t) 0);
												}
											if (BgL_test2062z00_3108)
												{	/* Engine/compiler.scm 454 */
													{	/* Engine/compiler.scm 456 */
														obj_t BgL_auxz00_2424;

														BgL_auxz00_2424 =
															BGl_fxopzd2walkz12zc0zzfxop_walkz00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
														BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
															BgL_auxz00_2424);
													}
													{	/* Engine/compiler.scm 457 */
														obj_t BgL_zc3z04anonymousza31632ze3z87_2286;

														BgL_zc3z04anonymousza31632ze3z87_2286 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza31632ze3ze5zzengine_compilerz00,
															(int) (0L), (int) (1L));
														PROCEDURE_SET(BgL_zc3z04anonymousza31632ze3z87_2286,
															(int) (0L), ((obj_t) BgL_astz00_2402));
														BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
																CNST_TABLE_REF(48)),
															BgL_zc3z04anonymousza31632ze3z87_2286);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1937z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1937z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 454 */
													BFALSE;
												}
										}
										if (CBOOL(BGl_za2optimzd2preboxzf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 462 */
												{	/* Engine/compiler.scm 463 */
													obj_t BgL_auxz00_2425;

													BgL_auxz00_2425 =
														BGl_preboxzd2walkz12zc0zzprebox_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2425);
												}
												{	/* Engine/compiler.scm 464 */
													obj_t BgL_zc3z04anonymousza31639ze3z87_2285;

													BgL_zc3z04anonymousza31639ze3z87_2285 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31639ze3ze5zzengine_compilerz00,
														(int) (0L), (int) (1L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31639ze3z87_2285,
														(int) (0L), ((obj_t) BgL_astz00_2402));
													BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
															CNST_TABLE_REF(49)),
														BgL_zc3z04anonymousza31639ze3z87_2285);
												}
												BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
													(BGl_string1938z00zzengine_compilerz00,
													BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												BGl_checkzd2typezd2zzast_checkzd2typezd2
													(BGl_string1938z00zzengine_compilerz00,
													BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
													((bool_t) 0));
											}
										else
											{	/* Engine/compiler.scm 462 */
												BFALSE;
											}
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 471 */
												obj_t BgL_auxz00_2426;

												BgL_auxz00_2426 =
													BGl_dataflowzd2walkz12zc0zzdataflow_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
													BGl_string1939z00zzengine_compilerz00);
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2426);
											}
										else
											{	/* Engine/compiler.scm 470 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 472 */
											obj_t BgL_zc3z04anonymousza31643ze3z87_2284;

											BgL_zc3z04anonymousza31643ze3z87_2284 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31643ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31643ze3z87_2284,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(50)),
												BgL_zc3z04anonymousza31643ze3z87_2284);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1927z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										{	/* Engine/compiler.scm 478 */
											bool_t BgL_test2066z00_3158;

											if (
												((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
													1L))
												{	/* Engine/compiler.scm 478 */
													BgL_test2066z00_3158 = ((bool_t) 1);
												}
											else
												{	/* Engine/compiler.scm 478 */
													BgL_test2066z00_3158 =
														(BGl_za2passza2z00zzengine_paramz00 ==
														((obj_t) CNST_TABLE_REF(51)));
												}
											if (BgL_test2066z00_3158)
												{	/* Engine/compiler.scm 479 */
													obj_t BgL_auxz00_2427;

													BgL_auxz00_2427 =
														BGl_effectzd2walkz12zc0zzeffect_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
														((bool_t) 1));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2427);
												}
											else
												{	/* Engine/compiler.scm 478 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 480 */
											obj_t BgL_zc3z04anonymousza31649ze3z87_2283;

											BgL_zc3z04anonymousza31649ze3z87_2283 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31649ze3z87_2283,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(51)),
												BgL_zc3z04anonymousza31649ze3z87_2283);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1917z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1917z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
												1L))
											{	/* Engine/compiler.scm 486 */
												obj_t BgL_auxz00_2428;

												BgL_auxz00_2428 =
													BGl_reducezd2walkz12zc0zzreduce_walkz00
													(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
													BGl_string1940z00zzengine_compilerz00, BNIL);
												BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2428);
											}
										else
											{	/* Engine/compiler.scm 485 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 487 */
											obj_t BgL_zc3z04anonymousza31654ze3z87_2282;

											BgL_zc3z04anonymousza31654ze3z87_2282 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31654ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31654ze3z87_2282,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(52)),
												BgL_zc3z04anonymousza31654ze3z87_2282);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1941z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1941z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										{	/* Engine/compiler.scm 492 */
											bool_t BgL_test2069z00_3192;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> 0L))
												{	/* Engine/compiler.scm 493 */
													obj_t BgL_arg1660z00_1992;

													{	/* Engine/compiler.scm 493 */
														obj_t BgL_arg1663z00_1993;

														BgL_arg1663z00_1993 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1660z00_1992 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1663z00_1993)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test2069z00_3192 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
															((obj_t)
																CNST_TABLE_REF(1)), BgL_arg1660z00_1992));
												}
											else
												{	/* Engine/compiler.scm 492 */
													BgL_test2069z00_3192 = ((bool_t) 0);
												}
											if (BgL_test2069z00_3192)
												{	/* Engine/compiler.scm 494 */
													obj_t BgL_auxz00_2429;

													BgL_auxz00_2429 =
														BGl_bdbzd2walkz12zc0zzbdb_walkz00
														(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2429);
												}
											else
												{	/* Engine/compiler.scm 492 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 495 */
											obj_t BgL_zc3z04anonymousza31665ze3z87_2281;

											BgL_zc3z04anonymousza31665ze3z87_2281 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31665ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31665ze3z87_2281,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(1)),
												BgL_zc3z04anonymousza31665ze3z87_2281);
										}
										{	/* Engine/compiler.scm 498 */
											obj_t BgL_auxz00_2430;

											BgL_auxz00_2430 =
												BGl_cnstzd2walkz12zc0zzcnst_walkz00(BGL_UNSAFE_CELL_REF
												(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2430);
										}
										{	/* Engine/compiler.scm 499 */
											obj_t BgL_zc3z04anonymousza31674ze3z87_2280;

											BgL_zc3z04anonymousza31674ze3z87_2280 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31674ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31674ze3z87_2280,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(53)),
												BgL_zc3z04anonymousza31674ze3z87_2280);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1942z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1942z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										{	/* Engine/compiler.scm 504 */
											bool_t BgL_test2071z00_3225;

											if (CBOOL
												(BGl_za2optimzd2returnzf3za2z21zzengine_paramz00))
												{	/* Engine/compiler.scm 505 */
													obj_t BgL_arg1677z00_2002;

													BgL_arg1677z00_2002 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2071z00_3225 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1677z00_2002)))->
														BgL_pragmazd2supportzd2);
												}
											else
												{	/* Engine/compiler.scm 504 */
													BgL_test2071z00_3225 = ((bool_t) 0);
												}
											if (BgL_test2071z00_3225)
												{	/* Engine/compiler.scm 504 */
													{	/* Engine/compiler.scm 506 */
														obj_t BgL_auxz00_2431;

														BgL_auxz00_2431 =
															BGl_returnzd2walkz12zc0zzreturn_walkz00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
														BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
															BgL_auxz00_2431);
													}
													{	/* Engine/compiler.scm 507 */
														obj_t BgL_auxz00_2432;

														BgL_auxz00_2432 =
															BGl_lvtypezd2astz12zc0zzast_lvtypez00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
														BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
															BgL_auxz00_2432);
													}
												}
											else
												{	/* Engine/compiler.scm 504 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 508 */
											obj_t BgL_zc3z04anonymousza31680ze3z87_2279;

											BgL_zc3z04anonymousza31680ze3z87_2279 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31680ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31680ze3z87_2279,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(54)),
												BgL_zc3z04anonymousza31680ze3z87_2279);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1943z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1943z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 0));
										{	/* Engine/compiler.scm 514 */
											obj_t BgL_auxz00_2433;

											BgL_auxz00_2433 =
												BGl_inlinezd2walkz12zc0zzinline_walkz00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402),
												((obj_t) CNST_TABLE_REF(55)));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2433);
										}
										{	/* Engine/compiler.scm 515 */
											obj_t BgL_auxz00_2434;

											BgL_auxz00_2434 =
												BGl_lvtypezd2astz12zc0zzast_lvtypez00
												(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
											BGL_UNSAFE_CELL_SET(BgL_astz00_2402, BgL_auxz00_2434);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1944z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1944z00zzengine_compilerz00,
											BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
											((bool_t) 1));
										{	/* Engine/compiler.scm 518 */
											obj_t BgL_zc3z04anonymousza31687ze3z87_2278;

											BgL_zc3z04anonymousza31687ze3z87_2278 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31687ze3ze5zzengine_compilerz00,
												(int) (0L), (int) (1L));
											PROCEDURE_SET(BgL_zc3z04anonymousza31687ze3z87_2278,
												(int) (0L), ((obj_t) BgL_astz00_2402));
											BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
													CNST_TABLE_REF(56)),
												BgL_zc3z04anonymousza31687ze3z87_2278);
										}
										{	/* Engine/compiler.scm 521 */
											obj_t BgL_ast2z00_2435;

											{	/* Engine/compiler.scm 521 */
												obj_t BgL_cellvalz00_3259;

												{	/* Engine/compiler.scm 521 */
													obj_t BgL_arg1724z00_2029;

													BgL_arg1724z00_2029 =
														BGl_astzd2initializa7ersz75zzast_initz00();
													BgL_cellvalz00_3259 =
														BGl_appendzd2astzd2zzast_buildz00
														(BgL_arg1724z00_2029,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
												}
												BgL_ast2z00_2435 =
													BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_3259);
											}
											{	/* Engine/compiler.scm 522 */
												obj_t BgL_zc3z04anonymousza31692ze3z87_2277;

												BgL_zc3z04anonymousza31692ze3z87_2277 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31692ze3ze5zzengine_compilerz00,
													(int) (0L), (int) (1L));
												PROCEDURE_SET(BgL_zc3z04anonymousza31692ze3z87_2277,
													(int) (0L), ((obj_t) BgL_ast2z00_2435));
												BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
														CNST_TABLE_REF(57)),
													BgL_zc3z04anonymousza31692ze3z87_2277);
											}
											BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
												(BGl_string1945z00zzengine_compilerz00,
												BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435));
											BGl_checkzd2typezd2zzast_checkzd2typezd2
												(BGl_string1945z00zzengine_compilerz00,
												BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435), ((bool_t) 1),
												((bool_t) 1));
											{	/* Engine/compiler.scm 527 */
												bool_t BgL_test2073z00_3273;

												if (
													((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
														2L))
													{	/* Engine/compiler.scm 527 */
														BgL_test2073z00_3273 = ((bool_t) 1);
													}
												else
													{	/* Engine/compiler.scm 527 */
														obj_t BgL_arg1703z00_2021;

														BgL_arg1703z00_2021 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_test2073z00_3273 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1703z00_2021)))->BgL_effectzb2zb2);
													}
												if (BgL_test2073z00_3273)
													{	/* Engine/compiler.scm 527 */
														{	/* Engine/compiler.scm 528 */
															obj_t BgL_auxz00_2436;

															BgL_auxz00_2436 =
																BGl_effectzd2walkz12zc0zzeffect_walkz00
																(BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435),
																((bool_t) 1));
															BGL_UNSAFE_CELL_SET(BgL_ast2z00_2435,
																BgL_auxz00_2436);
														}
														{	/* Engine/compiler.scm 529 */
															obj_t BgL_zc3z04anonymousza31700ze3z87_2276;

															BgL_zc3z04anonymousza31700ze3z87_2276 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31700ze3ze5zzengine_compilerz00,
																(int) (0L), (int) (1L));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31700ze3z87_2276,
																(int) (0L), ((obj_t) BgL_ast2z00_2435));
															BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
																	CNST_TABLE_REF(58)),
																BgL_zc3z04anonymousza31700ze3z87_2276);
														}
														{	/* Engine/compiler.scm 530 */
															obj_t BgL_auxz00_2437;

															BgL_auxz00_2437 =
																BGl_reducezd2walkz12zc0zzreduce_walkz00
																(BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435),
																BGl_string1946z00zzengine_compilerz00, BNIL);
															BGL_UNSAFE_CELL_SET(BgL_ast2z00_2435,
																BgL_auxz00_2437);
													}}
												else
													{	/* Engine/compiler.scm 527 */
														BFALSE;
													}
											}
											{	/* Engine/compiler.scm 531 */
												obj_t BgL_zc3z04anonymousza31716ze3z87_2275;

												BgL_zc3z04anonymousza31716ze3z87_2275 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31716ze3ze5zzengine_compilerz00,
													(int) (0L), (int) (1L));
												PROCEDURE_SET(BgL_zc3z04anonymousza31716ze3z87_2275,
													(int) (0L), ((obj_t) BgL_ast2z00_2435));
												BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
														CNST_TABLE_REF(59)),
													BgL_zc3z04anonymousza31716ze3z87_2275);
											}
											BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
												(BGl_string1947z00zzengine_compilerz00,
												BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435));
											BGl_checkzd2typezd2zzast_checkzd2typezd2
												(BGl_string1947z00zzengine_compilerz00,
												BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435), ((bool_t) 1),
												((bool_t) 1));
											if (CBOOL
												(BGl_za2optimzd2uncellzf3za2z21zzengine_paramz00))
												{	/* Engine/compiler.scm 536 */
													{	/* Engine/compiler.scm 537 */
														obj_t BgL_auxz00_2438;

														BgL_auxz00_2438 =
															BGl_uncellzd2walkz12zc0zzuncell_walkz00
															(BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
														BGL_UNSAFE_CELL_SET(BgL_astz00_2402,
															BgL_auxz00_2438);
													}
													{	/* Engine/compiler.scm 538 */
														obj_t BgL_zc3z04anonymousza31718ze3z87_2274;

														BgL_zc3z04anonymousza31718ze3z87_2274 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza31718ze3ze5zzengine_compilerz00,
															(int) (0L), (int) (1L));
														PROCEDURE_SET(BgL_zc3z04anonymousza31718ze3z87_2274,
															(int) (0L), ((obj_t) BgL_astz00_2402));
														BGl_stopzd2onzd2passz00zzengine_passz00(((obj_t)
																CNST_TABLE_REF(60)),
															BgL_zc3z04anonymousza31718ze3z87_2274);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1948z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1948z00zzengine_compilerz00,
														BGL_UNSAFE_CELL_REF(BgL_astz00_2402), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 536 */
													BFALSE;
												}
											{	/* Engine/compiler.scm 542 */
												obj_t BgL_arg1720z00_2028;

												BgL_arg1720z00_2028 =
													BGl_removezd2varzd2zzast_removez00(
													((obj_t)
														CNST_TABLE_REF(61)),
													BGL_UNSAFE_CELL_REF(BgL_ast2z00_2435));
												BGl_backendzd2walkzd2zzbackend_walkz00
													(BgL_arg1720z00_2028);
											}
										}
										return BINT(0L);
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &compiler */
	obj_t BGl_z62compilerz62zzengine_compilerz00(obj_t BgL_envz00_2316)
	{
		{	/* Engine/compiler.scm 103 */
			return BGl_compilerz00zzengine_compilerz00();
		}

	}



/* &<@anonymous:1718> */
	obj_t BGl_z62zc3z04anonymousza31718ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2317)
	{
		{	/* Engine/compiler.scm 538 */
			{	/* Engine/compiler.scm 538 */
				obj_t BgL_astz00_2318;

				BgL_astz00_2318 = PROCEDURE_REF(BgL_envz00_2317, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2318));
			}
		}

	}



/* &<@anonymous:1716> */
	obj_t BGl_z62zc3z04anonymousza31716ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2319)
	{
		{	/* Engine/compiler.scm 531 */
			{	/* Engine/compiler.scm 531 */
				obj_t BgL_ast2z00_2320;

				BgL_ast2z00_2320 = PROCEDURE_REF(BgL_envz00_2319, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_ast2z00_2320));
			}
		}

	}



/* &<@anonymous:1700> */
	obj_t BGl_z62zc3z04anonymousza31700ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2321)
	{
		{	/* Engine/compiler.scm 529 */
			{	/* Engine/compiler.scm 529 */
				obj_t BgL_ast2z00_2322;

				BgL_ast2z00_2322 = PROCEDURE_REF(BgL_envz00_2321, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_ast2z00_2322));
			}
		}

	}



/* &<@anonymous:1692> */
	obj_t BGl_z62zc3z04anonymousza31692ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2323)
	{
		{	/* Engine/compiler.scm 522 */
			{	/* Engine/compiler.scm 522 */
				obj_t BgL_ast2z00_2324;

				BgL_ast2z00_2324 = PROCEDURE_REF(BgL_envz00_2323, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_ast2z00_2324));
			}
		}

	}



/* &<@anonymous:1687> */
	obj_t BGl_z62zc3z04anonymousza31687ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2325)
	{
		{	/* Engine/compiler.scm 518 */
			{	/* Engine/compiler.scm 518 */
				obj_t BgL_astz00_2326;

				BgL_astz00_2326 = PROCEDURE_REF(BgL_envz00_2325, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2326));
			}
		}

	}



/* &<@anonymous:1680> */
	obj_t BGl_z62zc3z04anonymousza31680ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2327)
	{
		{	/* Engine/compiler.scm 508 */
			{	/* Engine/compiler.scm 508 */
				obj_t BgL_astz00_2328;

				BgL_astz00_2328 = PROCEDURE_REF(BgL_envz00_2327, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2328));
			}
		}

	}



/* &<@anonymous:1674> */
	obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2329)
	{
		{	/* Engine/compiler.scm 499 */
			{	/* Engine/compiler.scm 499 */
				obj_t BgL_astz00_2330;

				BgL_astz00_2330 = PROCEDURE_REF(BgL_envz00_2329, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2330));
			}
		}

	}



/* &<@anonymous:1665> */
	obj_t BGl_z62zc3z04anonymousza31665ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2331)
	{
		{	/* Engine/compiler.scm 495 */
			{	/* Engine/compiler.scm 495 */
				obj_t BgL_astz00_2332;

				BgL_astz00_2332 = PROCEDURE_REF(BgL_envz00_2331, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2332));
			}
		}

	}



/* &<@anonymous:1654> */
	obj_t BGl_z62zc3z04anonymousza31654ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2333)
	{
		{	/* Engine/compiler.scm 487 */
			{	/* Engine/compiler.scm 487 */
				obj_t BgL_astz00_2334;

				BgL_astz00_2334 = PROCEDURE_REF(BgL_envz00_2333, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2334));
			}
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2335)
	{
		{	/* Engine/compiler.scm 480 */
			{	/* Engine/compiler.scm 480 */
				obj_t BgL_astz00_2336;

				BgL_astz00_2336 = PROCEDURE_REF(BgL_envz00_2335, (int) (0L));
				return
					BGl_writezd2effectzd2zzeffect_walkz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2336));
			}
		}

	}



/* &<@anonymous:1643> */
	obj_t BGl_z62zc3z04anonymousza31643ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2337)
	{
		{	/* Engine/compiler.scm 472 */
			{	/* Engine/compiler.scm 472 */
				obj_t BgL_astz00_2338;

				BgL_astz00_2338 = PROCEDURE_REF(BgL_envz00_2337, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2338));
			}
		}

	}



/* &<@anonymous:1639> */
	obj_t BGl_z62zc3z04anonymousza31639ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2339)
	{
		{	/* Engine/compiler.scm 464 */
			{	/* Engine/compiler.scm 464 */
				obj_t BgL_astz00_2340;

				BgL_astz00_2340 = PROCEDURE_REF(BgL_envz00_2339, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2340));
			}
		}

	}



/* &<@anonymous:1632> */
	obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2341)
	{
		{	/* Engine/compiler.scm 457 */
			{	/* Engine/compiler.scm 457 */
				obj_t BgL_astz00_2342;

				BgL_astz00_2342 = PROCEDURE_REF(BgL_envz00_2341, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2342));
			}
		}

	}



/* &<@anonymous:1612> */
	obj_t BGl_z62zc3z04anonymousza31612ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2343)
	{
		{	/* Engine/compiler.scm 449 */
			{	/* Engine/compiler.scm 449 */
				obj_t BgL_astz00_2344;

				BgL_astz00_2344 = PROCEDURE_REF(BgL_envz00_2343, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2344));
			}
		}

	}



/* &<@anonymous:1606> */
	obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2345)
	{
		{	/* Engine/compiler.scm 443 */
			{	/* Engine/compiler.scm 443 */
				obj_t BgL_astz00_2346;

				BgL_astz00_2346 = PROCEDURE_REF(BgL_envz00_2345, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2346));
			}
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2347)
	{
		{	/* Engine/compiler.scm 434 */
			{	/* Engine/compiler.scm 434 */
				obj_t BgL_astz00_2348;

				BgL_astz00_2348 = PROCEDURE_REF(BgL_envz00_2347, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2348));
			}
		}

	}



/* &<@anonymous:1594> */
	obj_t BGl_z62zc3z04anonymousza31594ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2349)
	{
		{	/* Engine/compiler.scm 427 */
			{	/* Engine/compiler.scm 427 */
				obj_t BgL_astz00_2350;

				BgL_astz00_2350 = PROCEDURE_REF(BgL_envz00_2349, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2350));
			}
		}

	}



/* &<@anonymous:1588> */
	obj_t BGl_z62zc3z04anonymousza31588ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2351)
	{
		{	/* Engine/compiler.scm 417 */
			{	/* Engine/compiler.scm 417 */
				obj_t BgL_astz00_2352;

				BgL_astz00_2352 = PROCEDURE_REF(BgL_envz00_2351, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2352));
			}
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2353)
	{
		{	/* Engine/compiler.scm 411 */
			{	/* Engine/compiler.scm 411 */
				obj_t BgL_astz00_2354;

				BgL_astz00_2354 = PROCEDURE_REF(BgL_envz00_2353, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2354));
			}
		}

	}



/* &<@anonymous:1578> */
	obj_t BGl_z62zc3z04anonymousza31578ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2355)
	{
		{	/* Engine/compiler.scm 399 */
			{	/* Engine/compiler.scm 399 */
				obj_t BgL_astz00_2356;

				BgL_astz00_2356 = PROCEDURE_REF(BgL_envz00_2355, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2356));
			}
		}

	}



/* &<@anonymous:1575> */
	obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2357)
	{
		{	/* Engine/compiler.scm 393 */
			{	/* Engine/compiler.scm 393 */
				obj_t BgL_astz00_2358;

				BgL_astz00_2358 = PROCEDURE_REF(BgL_envz00_2357, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2358));
			}
		}

	}



/* &<@anonymous:1561> */
	obj_t BGl_z62zc3z04anonymousza31561ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2359)
	{
		{	/* Engine/compiler.scm 387 */
			{	/* Engine/compiler.scm 387 */
				obj_t BgL_astz00_2360;

				BgL_astz00_2360 = PROCEDURE_REF(BgL_envz00_2359, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2360));
			}
		}

	}



/* &<@anonymous:1559> */
	obj_t BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2361)
	{
		{	/* Engine/compiler.scm 385 */
			{	/* Engine/compiler.scm 385 */
				obj_t BgL_astz00_2362;

				BgL_astz00_2362 = PROCEDURE_REF(BgL_envz00_2361, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2362));
			}
		}

	}



/* &<@anonymous:1555> */
	obj_t BGl_z62zc3z04anonymousza31555ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2363)
	{
		{	/* Engine/compiler.scm 374 */
			{	/* Engine/compiler.scm 374 */
				obj_t BgL_astz00_2364;

				BgL_astz00_2364 = PROCEDURE_REF(BgL_envz00_2363, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2364));
			}
		}

	}



/* &<@anonymous:1536> */
	obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2365)
	{
		{	/* Engine/compiler.scm 366 */
			{	/* Engine/compiler.scm 366 */
				obj_t BgL_astz00_2366;

				BgL_astz00_2366 = PROCEDURE_REF(BgL_envz00_2365, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2366));
			}
		}

	}



/* &<@anonymous:1533> */
	obj_t BGl_z62zc3z04anonymousza31533ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2367)
	{
		{	/* Engine/compiler.scm 362 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}

	}



/* &<@anonymous:1531> */
	obj_t BGl_z62zc3z04anonymousza31531ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2368)
	{
		{	/* Engine/compiler.scm 351 */
			{	/* Engine/compiler.scm 351 */
				obj_t BgL_astz00_2369;

				BgL_astz00_2369 = PROCEDURE_REF(BgL_envz00_2368, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2369));
			}
		}

	}



/* &<@anonymous:1516> */
	obj_t BGl_z62zc3z04anonymousza31516ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2370)
	{
		{	/* Engine/compiler.scm 345 */
			{	/* Engine/compiler.scm 345 */
				obj_t BgL_astz00_2371;

				BgL_astz00_2371 = PROCEDURE_REF(BgL_envz00_2370, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2371));
			}
		}

	}



/* &<@anonymous:1514> */
	obj_t BGl_z62zc3z04anonymousza31514ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2372)
	{
		{	/* Engine/compiler.scm 339 */
			{	/* Engine/compiler.scm 339 */
				obj_t BgL_astz00_2373;

				BgL_astz00_2373 = PROCEDURE_REF(BgL_envz00_2372, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2373));
			}
		}

	}



/* &<@anonymous:1512> */
	obj_t BGl_z62zc3z04anonymousza31512ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2374)
	{
		{	/* Engine/compiler.scm 333 */
			{	/* Engine/compiler.scm 333 */
				obj_t BgL_astz00_2375;

				BgL_astz00_2375 = PROCEDURE_REF(BgL_envz00_2374, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2375));
			}
		}

	}



/* &<@anonymous:1507> */
	obj_t BGl_z62zc3z04anonymousza31507ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2376)
	{
		{	/* Engine/compiler.scm 327 */
			{	/* Engine/compiler.scm 327 */
				obj_t BgL_astz00_2377;

				BgL_astz00_2377 = PROCEDURE_REF(BgL_envz00_2376, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2377));
			}
		}

	}



/* &<@anonymous:1491> */
	obj_t BGl_z62zc3z04anonymousza31491ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2378)
	{
		{	/* Engine/compiler.scm 321 */
			{	/* Engine/compiler.scm 321 */
				obj_t BgL_astz00_2379;

				BgL_astz00_2379 = PROCEDURE_REF(BgL_envz00_2378, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2379));
			}
		}

	}



/* &<@anonymous:1472> */
	obj_t BGl_z62zc3z04anonymousza31472ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2380)
	{
		{	/* Engine/compiler.scm 307 */
			{	/* Engine/compiler.scm 307 */
				obj_t BgL_astz00_2381;

				BgL_astz00_2381 = PROCEDURE_REF(BgL_envz00_2380, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2381));
			}
		}

	}



/* &<@anonymous:1401> */
	obj_t BGl_z62zc3z04anonymousza31401ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2382)
	{
		{	/* Engine/compiler.scm 301 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}

	}



/* &<@anonymous:1393> */
	obj_t BGl_z62zc3z04anonymousza31393ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2383)
	{
		{	/* Engine/compiler.scm 296 */
			{	/* Engine/compiler.scm 296 */
				obj_t BgL_astz00_2384;

				BgL_astz00_2384 = PROCEDURE_REF(BgL_envz00_2383, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2384));
			}
		}

	}



/* &<@anonymous:1391> */
	obj_t BGl_z62zc3z04anonymousza31391ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2385)
	{
		{	/* Engine/compiler.scm 289 */
			{	/* Engine/compiler.scm 289 */
				obj_t BgL_astz00_2386;

				BgL_astz00_2386 = PROCEDURE_REF(BgL_envz00_2385, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2386));
			}
		}

	}



/* &<@anonymous:1389> */
	obj_t BGl_z62zc3z04anonymousza31389ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2387)
	{
		{	/* Engine/compiler.scm 284 */
			return BUNSPEC;
		}

	}



/* &<@anonymous:1386> */
	obj_t BGl_z62zc3z04anonymousza31386ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2388)
	{
		{	/* Engine/compiler.scm 277 */
			{	/* Engine/compiler.scm 277 */
				obj_t BgL_astz00_2389;

				BgL_astz00_2389 = PROCEDURE_REF(BgL_envz00_2388, (int) (0L));
				return
					BGl_writezd2astzd2zzwrite_astz00(BGL_UNSAFE_CELL_REF
					(BgL_astz00_2389));
			}
		}

	}



/* &<@anonymous:1371> */
	obj_t BGl_z62zc3z04anonymousza31371ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2390)
	{
		{	/* Engine/compiler.scm 265 */
			{	/* Engine/compiler.scm 265 */
				obj_t BgL_unitsz00_2391;

				BgL_unitsz00_2391 = PROCEDURE_REF(BgL_envz00_2390, (int) (0L));
				return
					BGl_writezd2expandedzd2zzwrite_expandedz00(BGL_UNSAFE_CELL_REF
					(BgL_unitsz00_2391));
			}
		}

	}



/* &<@anonymous:1368> */
	obj_t BGl_z62zc3z04anonymousza31368ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2392)
	{
		{	/* Engine/compiler.scm 261 */
			{	/* Engine/compiler.scm 261 */
				obj_t BgL_unitsz00_2393;

				BgL_unitsz00_2393 = PROCEDURE_REF(BgL_envz00_2392, (int) (0L));
				return
					BGl_writezd2expandedzd2zzwrite_expandedz00(BGL_UNSAFE_CELL_REF
					(BgL_unitsz00_2393));
			}
		}

	}



/* &<@anonymous:1316> */
	obj_t BGl_z62zc3z04anonymousza31316ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2394)
	{
		{	/* Engine/compiler.scm 222 */
			return BINT(0L);
		}

	}



/* &<@anonymous:1312> */
	obj_t BGl_z62zc3z04anonymousza31312ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2395)
	{
		{	/* Engine/compiler.scm 213 */
			return
				BGl_dumpzd2modulezd2zzmodule_modulez00(PROCEDURE_REF(BgL_envz00_2395,
					(int) (0L)));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_signalsz00(437317298L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(373986149L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_srcz00(6602148L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzwrite_expandedz00(320989184L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzwrite_astz00(250486252L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_accessz00(11403588L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(147989063L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzheap_makez00(525175851L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(88839753L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(290987094L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(383247627L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(428035925L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(234044111L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(513785737L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_initz00(409655650L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzuser_userz00(352878539L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzpeephole_walkz00(512078995L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(316727058L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzexpand_installz00(291484121L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(288050968L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(32737986L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztrace_walkz00(146692749L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbeta_walkz00(254688521L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(385476819L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzeffect_walkz00(42129111L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzstackable_walkz00(440685959L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcallcc_walkz00(105123174L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzfail_walkz00(51531863L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzabound_walkz00(224477217L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzdataflow_walkz00(18612756L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinitflow_walkz00(146152102L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(69163963L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_walkz00(285783706L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(324810626L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(37668556L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzintegrate_walkz00(67376259L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztailc_walkz00(347113675L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzfxop_walkz00(501948674L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzflop_walkz00(79978526L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzprebox_walkz00(279304409L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcoerce_walkz00(224340927L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzreduce_walkz00(459999967L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcnst_walkz00(424305745L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(502726840L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzhgen_walkz00(362377213L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_settingz00(444161932L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(53868587L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_walkz00(260685909L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzprof_walkz00(181156913L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzreturn_walkz00(216820585L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzuncell_walkz00(492672753L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzisa_walkz00(303087161L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_ccz00(527776065L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_ldz00(335315213L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_rootsz00(74776091L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_walkz00(141649863L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_cz00(190235040L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_jvmz00(170301672L,
				BSTRING_TO_STRING(BGl_string1949z00zzengine_compilerz00));
		}

	}

#ifdef __cplusplus
}
#endif
