/*===========================================================================*/
/*   (Globalize/escape.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Globalize/escape.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_GLOBALIZE_ESCAPE_TYPE_DEFINITIONS
#define BGL_GLOBALIZE_ESCAPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_efunctionsz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;

	typedef struct BgL_svarzf2ginfozf2_bgl
	{
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
		bool_t BgL_celledzf3zf3;
		bool_t BgL_stackablez00;
	}                      *BgL_svarzf2ginfozf2_bglt;

	typedef struct BgL_sexitzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		bool_t BgL_kapturedzf3zf3;
		long BgL_freezd2markzd2;
		long BgL_markz00;
	}                       *BgL_sexitzf2ginfozf2_bglt;

	typedef struct BgL_localzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		bool_t BgL_globaliza7edzf3z54;
	}                       *BgL_localzf2ginfozf2_bglt;

	typedef struct BgL_globalzf2ginfozf2_bgl
	{
		bool_t BgL_escapezf3zf3;
		obj_t BgL_globalzd2closurezd2;
	}                        *BgL_globalzf2ginfozf2_bglt;


#endif													// BGL_GLOBALIZE_ESCAPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62escapezd2funz12zd2local1325z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
		BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2lo1333za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz121326z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t
		BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez121334z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2atom1337za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7(void);
	static obj_t BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	extern obj_t BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t
		BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t
		BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62escapezd2funz12zd2global1323z70zzglobaliza7e_escapeza7(obj_t, obj_t);
	static obj_t
		BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1329za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t
		BGl_z62setzd2escapingzd2funz12zd2gl1331za2zzglobaliza7e_escapeza7(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1903z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1903za700za7za7g1906za7, "globalize_escape", 16);
	      DEFINE_STRING(BGl_string1904z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1904za700za7za7g1907za7, "export done escape!1334 ", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1900z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2m1908za7,
		BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1901z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1909za7,
		BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1902z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2b1910za7,
		BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1866z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1866za700za7za7g1911za7, "escape-fun!1319", 15);
	      DEFINE_STRING(BGl_string1868z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1868za700za7za7g1912za7, "set-escaping-fun!1326", 21);
	      DEFINE_STRING(BGl_string1870z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1870za700za7za7g1913za7, "escape!1334", 11);
	      DEFINE_STRING(BGl_string1871z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1871za700za7za7g1914za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71915za7,
		BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1872z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1872za700za7za7g1916za7, "set-escaping-fun!", 17);
	      DEFINE_STRING(BGl_string1873z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1873za700za7za7g1917za7, "Illegal variable", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1867z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1918z00,
		BGl_z62setzd2escapingzd2funz121326z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1875z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1875za700za7za7g1919za7, "escape-fun!", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza71213341920z00,
		BGl_z62escapez121334z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71921za7,
		BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71922za7,
		BGl_z62escapezd2funz12zd2global1323z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1881z00zzglobaliza7e_escapeza7,
		BgL_bgl_string1881za700za7za7g1923za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza7d2funza71924za7,
		BGl_z62escapezd2funz12zd2local1325z70zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1925z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1329za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1926z00,
		BGl_z62setzd2escapingzd2funz12zd2gl1331za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1927z00,
		BGl_z62setzd2escapingzd2funz12zd2lo1333za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1928za7,
		BGl_z62escapez12zd2atom1337za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2k1929za7,
		BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2v1930za7,
		BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1931za7,
		BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1932za7,
		BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1933za7,
		BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1934za7,
		BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2a1935za7,
		BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1889z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1936za7,
		BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1890z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2e1937za7,
		BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1891z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1938za7,
		BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1892z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1939za7,
		BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1893z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2c1940za7,
		BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1894z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2f1941za7,
		BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1895z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1942za7,
		BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1896z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1943za7,
		BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1897z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2l1944za7,
		BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1898z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2s1945za7,
		BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1899z00zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za7d2j1946za7,
		BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762escapeza712za770za71947z00,
		BGl_z62escapez12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
		BgL_bgl_za762setza7d2escapin1948z00,
		BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_escapeza7(long
		BgL_checksumz00_2945, char *BgL_fromz00_2946)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_escapeza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7();
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_cnstzd2initzd2zzglobaliza7e_escapeza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7();
					BGl_genericzd2initzd2zzglobaliza7e_escapeza7();
					BGl_methodzd2initzd2zzglobaliza7e_escapeza7();
					return BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "globalize_escape");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"globalize_escape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"globalize_escape");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			{	/* Globalize/escape.scm 15 */
				obj_t BgL_cportz00_2788;

				{	/* Globalize/escape.scm 15 */
					obj_t BgL_stringz00_2795;

					BgL_stringz00_2795 = BGl_string1904z00zzglobaliza7e_escapeza7;
					{	/* Globalize/escape.scm 15 */
						obj_t BgL_startz00_2796;

						BgL_startz00_2796 = BINT(0L);
						{	/* Globalize/escape.scm 15 */
							obj_t BgL_endz00_2797;

							BgL_endz00_2797 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2795)));
							{	/* Globalize/escape.scm 15 */

								BgL_cportz00_2788 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2795, BgL_startz00_2796, BgL_endz00_2797);
				}}}}
				{
					long BgL_iz00_2789;

					BgL_iz00_2789 = 2L;
				BgL_loopz00_2790:
					if ((BgL_iz00_2789 == (-1L)))
						{	/* Globalize/escape.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Globalize/escape.scm 15 */
							{	/* Globalize/escape.scm 15 */
								obj_t BgL_arg1905z00_2791;

								{	/* Globalize/escape.scm 15 */

									{	/* Globalize/escape.scm 15 */
										obj_t BgL_locationz00_2793;

										BgL_locationz00_2793 = BBOOL(((bool_t) 0));
										{	/* Globalize/escape.scm 15 */

											BgL_arg1905z00_2791 =
												BGl_readz00zz__readerz00(BgL_cportz00_2788,
												BgL_locationz00_2793);
										}
									}
								}
								{	/* Globalize/escape.scm 15 */
									int BgL_tmpz00_2976;

									BgL_tmpz00_2976 = (int) (BgL_iz00_2789);
									CNST_TABLE_SET(BgL_tmpz00_2976, BgL_arg1905z00_2791);
							}}
							{	/* Globalize/escape.scm 15 */
								int BgL_auxz00_2794;

								BgL_auxz00_2794 = (int) ((BgL_iz00_2789 - 1L));
								{
									long BgL_iz00_2981;

									BgL_iz00_2981 = (long) (BgL_auxz00_2794);
									BgL_iz00_2789 = BgL_iz00_2981;
									goto BgL_loopz00_2790;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* escape*! */
	bool_t BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(obj_t BgL_nodeza2za2_56,
		obj_t BgL_oz00_57)
	{
		{	/* Globalize/escape.scm 267 */
			{
				obj_t BgL_l1317z00_1768;

				BgL_l1317z00_1768 = BgL_nodeza2za2_56;
			BgL_zc3z04anonymousza31386ze3z87_1769:
				if (PAIRP(BgL_l1317z00_1768))
					{	/* Globalize/escape.scm 268 */
						{	/* Globalize/escape.scm 268 */
							obj_t BgL_nz00_1771;

							BgL_nz00_1771 = CAR(BgL_l1317z00_1768);
							BGl_escapez12z12zzglobaliza7e_escapeza7(
								((BgL_nodez00_bglt) BgL_nz00_1771),
								((BgL_variablez00_bglt) BgL_oz00_57));
						}
						{
							obj_t BgL_l1317z00_2990;

							BgL_l1317z00_2990 = CDR(BgL_l1317z00_1768);
							BgL_l1317z00_1768 = BgL_l1317z00_2990;
							goto BgL_zc3z04anonymousza31386ze3z87_1769;
						}
					}
				else
					{	/* Globalize/escape.scm 268 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_proc1865z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1866z00zzglobaliza7e_escapeza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1867z00zzglobaliza7e_escapeza7, BGl_variablez00zzast_varz00,
				BGl_string1868z00zzglobaliza7e_escapeza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_proc1869z00zzglobaliza7e_escapeza7, BGl_nodez00zzast_nodez00,
				BGl_string1870z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!1334 */
	obj_t BGl_z62escapez121334z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2671,
		obj_t BgL_nodez00_2672, obj_t BgL_oz00_2673)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(0)), BGl_string1871z00zzglobaliza7e_escapeza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2672)));
		}

	}



/* &set-escaping-fun!1326 */
	obj_t BGl_z62setzd2escapingzd2funz121326z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2674, obj_t BgL_variablez00_2675)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 56 */
				obj_t BgL_arg1414z00_2802;

				BgL_arg1414z00_2802 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_variablez00_bglt) BgL_variablez00_2675)));
				return
					BGl_errorz00zz__errorz00(BGl_string1872z00zzglobaliza7e_escapeza7,
					BGl_string1873z00zzglobaliza7e_escapeza7, BgL_arg1414z00_2802);
			}
		}

	}



/* &escape-fun!1319 */
	obj_t BGl_z62escapezd2funz121319za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2676, obj_t BgL_variablez00_2677)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 28 */
				BgL_valuez00_bglt BgL_funz00_2804;

				BgL_funz00_2804 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_2677)))->BgL_valuez00);
				{	/* Globalize/escape.scm 29 */
					obj_t BgL_g1301z00_2805;

					BgL_g1301z00_2805 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2804)))->BgL_argsz00);
					{
						obj_t BgL_l1299z00_2807;

						BgL_l1299z00_2807 = BgL_g1301z00_2805;
					BgL_zc3z04anonymousza31391ze3z87_2806:
						if (PAIRP(BgL_l1299z00_2807))
							{	/* Globalize/escape.scm 31 */
								{	/* Globalize/escape.scm 30 */
									obj_t BgL_localz00_2808;

									BgL_localz00_2808 = CAR(BgL_l1299z00_2807);
									{	/* Globalize/escape.scm 30 */
										BgL_svarz00_bglt BgL_tmp1107z00_2809;

										BgL_tmp1107z00_2809 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_2808))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 30 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1109z00_2810;

											BgL_wide1109z00_2810 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 30 */
												obj_t BgL_auxz00_3019;
												BgL_objectz00_bglt BgL_tmpz00_3016;

												BgL_auxz00_3019 = ((obj_t) BgL_wide1109z00_2810);
												BgL_tmpz00_3016 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3016,
													BgL_auxz00_3019);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
											{	/* Globalize/escape.scm 30 */
												long BgL_arg1400z00_2811;

												BgL_arg1400z00_2811 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1107z00_2809)),
													BgL_arg1400z00_2811);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3030;

											{
												obj_t BgL_auxz00_3031;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3032;

													BgL_tmpz00_3032 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
													BgL_auxz00_3031 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3032);
												}
												BgL_auxz00_3030 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3031);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3030))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3038;

											{
												obj_t BgL_auxz00_3039;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3040;

													BgL_tmpz00_3040 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
													BgL_auxz00_3039 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3040);
												}
												BgL_auxz00_3038 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3039);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3038))->
													BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3046;

											{
												obj_t BgL_auxz00_3047;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3048;

													BgL_tmpz00_3048 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
													BgL_auxz00_3047 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3048);
												}
												BgL_auxz00_3046 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3047);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3046))->
													BgL_markz00) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3054;

											{
												obj_t BgL_auxz00_3055;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3056;

													BgL_tmpz00_3056 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
													BgL_auxz00_3055 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3056);
												}
												BgL_auxz00_3054 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3055);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3054))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3062;

											{
												obj_t BgL_auxz00_3063;

												{	/* Globalize/escape.scm 30 */
													BgL_objectz00_bglt BgL_tmpz00_3064;

													BgL_tmpz00_3064 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1107z00_2809));
													BgL_auxz00_3063 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3064);
												}
												BgL_auxz00_3062 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3063);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3062))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1107z00_2809);
								}}
								{
									obj_t BgL_l1299z00_3071;

									BgL_l1299z00_3071 = CDR(BgL_l1299z00_2807);
									BgL_l1299z00_2807 = BgL_l1299z00_3071;
									goto BgL_zc3z04anonymousza31391ze3z87_2806;
								}
							}
						else
							{	/* Globalize/escape.scm 31 */
								((bool_t) 1);
							}
					}
				}
				{	/* Globalize/escape.scm 32 */
					BgL_sfunzf2ginfozf2_bglt BgL_wide1113z00_2812;

					BgL_wide1113z00_2812 =
						((BgL_sfunzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sfunzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 32 */
						obj_t BgL_auxz00_3078;
						BgL_objectz00_bglt BgL_tmpz00_3074;

						BgL_auxz00_3078 = ((obj_t) BgL_wide1113z00_2812);
						BgL_tmpz00_3074 =
							((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3074, BgL_auxz00_3078);
					}
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
					{	/* Globalize/escape.scm 32 */
						long BgL_arg1402z00_2813;

						BgL_arg1402z00_2813 =
							BGL_CLASS_NUM(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt)
									((BgL_sfunz00_bglt) BgL_funz00_2804))), BgL_arg1402z00_2813);
					}
					((BgL_sfunz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3092;

					{
						obj_t BgL_auxz00_3093;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3094;

							BgL_tmpz00_3094 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3093 = BGL_OBJECT_WIDENING(BgL_tmpz00_3094);
						}
						BgL_auxz00_3092 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3093);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3092))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3101;

					{
						obj_t BgL_auxz00_3102;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3103;

							BgL_tmpz00_3103 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3102 = BGL_OBJECT_WIDENING(BgL_tmpz00_3103);
						}
						BgL_auxz00_3101 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3102);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3101))->
							BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3110;

					{
						obj_t BgL_auxz00_3111;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3112;

							BgL_tmpz00_3112 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3111 = BGL_OBJECT_WIDENING(BgL_tmpz00_3112);
						}
						BgL_auxz00_3110 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3111);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3110))->
							BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3119;

					{
						obj_t BgL_auxz00_3120;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3121;

							BgL_tmpz00_3121 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3120 = BGL_OBJECT_WIDENING(BgL_tmpz00_3121);
						}
						BgL_auxz00_3119 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3120);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3119))->BgL_ctoz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3128;

					{
						obj_t BgL_auxz00_3129;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3130;

							BgL_tmpz00_3130 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3129 = BGL_OBJECT_WIDENING(BgL_tmpz00_3130);
						}
						BgL_auxz00_3128 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3129);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3128))->
							BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3137;

					{
						obj_t BgL_auxz00_3138;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3139;

							BgL_tmpz00_3139 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3138 = BGL_OBJECT_WIDENING(BgL_tmpz00_3139);
						}
						BgL_auxz00_3137 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3138);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3137))->
							BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3146;

					{
						obj_t BgL_auxz00_3147;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3148;

							BgL_tmpz00_3148 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3147 = BGL_OBJECT_WIDENING(BgL_tmpz00_3148);
						}
						BgL_auxz00_3146 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3147);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3146))->
							BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3155;

					{
						obj_t BgL_auxz00_3156;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3157;

							BgL_tmpz00_3157 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3156 = BGL_OBJECT_WIDENING(BgL_tmpz00_3157);
						}
						BgL_auxz00_3155 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3156);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3155))->
							BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3164;

					{
						obj_t BgL_auxz00_3165;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3166;

							BgL_tmpz00_3166 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3165 = BGL_OBJECT_WIDENING(BgL_tmpz00_3166);
						}
						BgL_auxz00_3164 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3165);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3164))->
							BgL_ownerz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3173;

					{
						obj_t BgL_auxz00_3174;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3175;

							BgL_tmpz00_3175 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3174 = BGL_OBJECT_WIDENING(BgL_tmpz00_3175);
						}
						BgL_auxz00_3173 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3174);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3173))->
							BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3182;

					{
						obj_t BgL_auxz00_3183;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3184;

							BgL_tmpz00_3184 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3183 = BGL_OBJECT_WIDENING(BgL_tmpz00_3184);
						}
						BgL_auxz00_3182 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3183);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3182))->
							BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3191;

					{
						obj_t BgL_auxz00_3192;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3193;

							BgL_tmpz00_3193 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3192 = BGL_OBJECT_WIDENING(BgL_tmpz00_3193);
						}
						BgL_auxz00_3191 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3192);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3191))->
							BgL_markz00) = ((long) (-10L)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3200;

					{
						obj_t BgL_auxz00_3201;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3202;

							BgL_tmpz00_3202 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3201 = BGL_OBJECT_WIDENING(BgL_tmpz00_3202);
						}
						BgL_auxz00_3200 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3201);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3200))->
							BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3209;

					{
						obj_t BgL_auxz00_3210;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3211;

							BgL_tmpz00_3211 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3210 = BGL_OBJECT_WIDENING(BgL_tmpz00_3211);
						}
						BgL_auxz00_3209 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3210);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3209))->
							BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3218;

					{
						obj_t BgL_auxz00_3219;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3220;

							BgL_tmpz00_3220 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3219 = BGL_OBJECT_WIDENING(BgL_tmpz00_3220);
						}
						BgL_auxz00_3218 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3219);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3218))->
							BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3227;

					{
						obj_t BgL_auxz00_3228;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3229;

							BgL_tmpz00_3229 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3228 = BGL_OBJECT_WIDENING(BgL_tmpz00_3229);
						}
						BgL_auxz00_3227 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3228);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3227))->
							BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3236;

					{
						obj_t BgL_auxz00_3237;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3238;

							BgL_tmpz00_3238 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3237 = BGL_OBJECT_WIDENING(BgL_tmpz00_3238);
						}
						BgL_auxz00_3236 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3237);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3236))->
							BgL_bmarkz00) = ((long) (-10L)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3245;

					{
						obj_t BgL_auxz00_3246;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3247;

							BgL_tmpz00_3247 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3246 = BGL_OBJECT_WIDENING(BgL_tmpz00_3247);
						}
						BgL_auxz00_3245 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3246);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3245))->
							BgL_umarkz00) = ((long) (-10L)), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3254;

					{
						obj_t BgL_auxz00_3255;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3256;

							BgL_tmpz00_3256 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3255 = BGL_OBJECT_WIDENING(BgL_tmpz00_3256);
						}
						BgL_auxz00_3254 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3255);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3254))->
							BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3263;

					{
						obj_t BgL_auxz00_3264;

						{	/* Globalize/escape.scm 28 */
							BgL_objectz00_bglt BgL_tmpz00_3265;

							BgL_tmpz00_3265 =
								((BgL_objectz00_bglt)
								((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804)));
							BgL_auxz00_3264 = BGL_OBJECT_WIDENING(BgL_tmpz00_3265);
						}
						BgL_auxz00_3263 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3264);
					}
					((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3263))->
							BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
				}
				((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2804));
				{	/* Globalize/escape.scm 33 */
					obj_t BgL_arg1403z00_2814;

					BgL_arg1403z00_2814 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_2804)))->BgL_bodyz00);
					return
						BGl_escapez12z12zzglobaliza7e_escapeza7(
						((BgL_nodez00_bglt) BgL_arg1403z00_2814),
						((BgL_variablez00_bglt) BgL_variablez00_2677));
				}
			}
		}

	}



/* escape-fun! */
	BGL_EXPORTED_DEF obj_t
		BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_3)
	{
		{	/* Globalize/escape.scm 27 */
			{	/* Globalize/escape.scm 27 */
				obj_t BgL_method1320z00_1808;

				{	/* Globalize/escape.scm 27 */
					obj_t BgL_res1850z00_2335;

					{	/* Globalize/escape.scm 27 */
						long BgL_objzd2classzd2numz00_2306;

						BgL_objzd2classzd2numz00_2306 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_3));
						{	/* Globalize/escape.scm 27 */
							obj_t BgL_arg1862z00_2307;

							BgL_arg1862z00_2307 =
								PROCEDURE_REF
								(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
								(int) (1L));
							{	/* Globalize/escape.scm 27 */
								int BgL_offsetz00_2310;

								BgL_offsetz00_2310 = (int) (BgL_objzd2classzd2numz00_2306);
								{	/* Globalize/escape.scm 27 */
									long BgL_offsetz00_2311;

									BgL_offsetz00_2311 =
										((long) (BgL_offsetz00_2310) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 27 */
										long BgL_modz00_2312;

										BgL_modz00_2312 =
											(BgL_offsetz00_2311 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/escape.scm 27 */
											long BgL_restz00_2314;

											BgL_restz00_2314 =
												(BgL_offsetz00_2311 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/escape.scm 27 */

												{	/* Globalize/escape.scm 27 */
													obj_t BgL_bucketz00_2316;

													BgL_bucketz00_2316 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2307), BgL_modz00_2312);
													BgL_res1850z00_2335 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2316), BgL_restz00_2314);
					}}}}}}}}
					BgL_method1320z00_1808 = BgL_res1850z00_2335;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1320z00_1808,
					((obj_t) BgL_variablez00_3));
			}
		}

	}



/* &escape-fun! */
	obj_t BGl_z62escapezd2funz12za2zzglobaliza7e_escapeza7(obj_t BgL_envz00_2678,
		obj_t BgL_variablez00_2679)
	{
		{	/* Globalize/escape.scm 27 */
			return
				BGl_escapezd2funz12zc0zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2679));
		}

	}



/* set-escaping-fun! */
	obj_t
		BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(BgL_variablez00_bglt
		BgL_variablez00_6)
	{
		{	/* Globalize/escape.scm 55 */
			{	/* Globalize/escape.scm 55 */
				obj_t BgL_method1327z00_1809;

				{	/* Globalize/escape.scm 55 */
					obj_t BgL_res1855z00_2366;

					{	/* Globalize/escape.scm 55 */
						long BgL_objzd2classzd2numz00_2337;

						BgL_objzd2classzd2numz00_2337 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_variablez00_6));
						{	/* Globalize/escape.scm 55 */
							obj_t BgL_arg1862z00_2338;

							BgL_arg1862z00_2338 =
								PROCEDURE_REF
								(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (1L));
							{	/* Globalize/escape.scm 55 */
								int BgL_offsetz00_2341;

								BgL_offsetz00_2341 = (int) (BgL_objzd2classzd2numz00_2337);
								{	/* Globalize/escape.scm 55 */
									long BgL_offsetz00_2342;

									BgL_offsetz00_2342 =
										((long) (BgL_offsetz00_2341) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 55 */
										long BgL_modz00_2343;

										BgL_modz00_2343 =
											(BgL_offsetz00_2342 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/escape.scm 55 */
											long BgL_restz00_2345;

											BgL_restz00_2345 =
												(BgL_offsetz00_2342 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/escape.scm 55 */

												{	/* Globalize/escape.scm 55 */
													obj_t BgL_bucketz00_2347;

													BgL_bucketz00_2347 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2338), BgL_modz00_2343);
													BgL_res1855z00_2366 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2347), BgL_restz00_2345);
					}}}}}}}}
					BgL_method1327z00_1809 = BgL_res1855z00_2366;
				}
				return
					BGL_PROCEDURE_CALL1(BgL_method1327z00_1809,
					((obj_t) BgL_variablez00_6));
			}
		}

	}



/* &set-escaping-fun! */
	obj_t BGl_z62setzd2escapingzd2funz12z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2680, obj_t BgL_variablez00_2681)
	{
		{	/* Globalize/escape.scm 55 */
			return
				BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7(
				((BgL_variablez00_bglt) BgL_variablez00_2681));
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_nodez00_bglt BgL_nodez00_10,
		BgL_variablez00_bglt BgL_oz00_11)
	{
		{	/* Globalize/escape.scm 79 */
			{	/* Globalize/escape.scm 79 */
				obj_t BgL_method1335z00_1810;

				{	/* Globalize/escape.scm 79 */
					obj_t BgL_res1860z00_2397;

					{	/* Globalize/escape.scm 79 */
						long BgL_objzd2classzd2numz00_2368;

						BgL_objzd2classzd2numz00_2368 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_10));
						{	/* Globalize/escape.scm 79 */
							obj_t BgL_arg1862z00_2369;

							BgL_arg1862z00_2369 =
								PROCEDURE_REF(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
								(int) (1L));
							{	/* Globalize/escape.scm 79 */
								int BgL_offsetz00_2372;

								BgL_offsetz00_2372 = (int) (BgL_objzd2classzd2numz00_2368);
								{	/* Globalize/escape.scm 79 */
									long BgL_offsetz00_2373;

									BgL_offsetz00_2373 =
										((long) (BgL_offsetz00_2372) - OBJECT_TYPE);
									{	/* Globalize/escape.scm 79 */
										long BgL_modz00_2374;

										BgL_modz00_2374 =
											(BgL_offsetz00_2373 >> (int) ((long) ((int) (4L))));
										{	/* Globalize/escape.scm 79 */
											long BgL_restz00_2376;

											BgL_restz00_2376 =
												(BgL_offsetz00_2373 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Globalize/escape.scm 79 */

												{	/* Globalize/escape.scm 79 */
													obj_t BgL_bucketz00_2378;

													BgL_bucketz00_2378 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2369), BgL_modz00_2374);
													BgL_res1860z00_2397 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2378), BgL_restz00_2376);
					}}}}}}}}
					BgL_method1335z00_1810 = BgL_res1860z00_2397;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1335z00_1810,
					((obj_t) BgL_nodez00_10), ((obj_t) BgL_oz00_11));
			}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzglobaliza7e_escapeza7(obj_t BgL_envz00_2682,
		obj_t BgL_nodez00_2683, obj_t BgL_oz00_2684)
	{
		{	/* Globalize/escape.scm 79 */
			return
				BGl_escapez12z12zzglobaliza7e_escapeza7(
				((BgL_nodez00_bglt) BgL_nodez00_2683),
				((BgL_variablez00_bglt) BgL_oz00_2684));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1874z00zzglobaliza7e_escapeza7,
				BGl_string1875z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
				BGl_localz00zzast_varz00, BGl_proc1876z00zzglobaliza7e_escapeza7,
				BGl_string1875z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalz00zzast_varz00, BGl_proc1877z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1878z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2escapingzd2funz12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7,
				BGl_proc1879z00zzglobaliza7e_escapeza7,
				BGl_string1872z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_atomz00zzast_nodez00, BGl_proc1880z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_kwotez00zzast_nodez00, BGl_proc1882z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_varz00zzast_nodez00,
				BGl_proc1883z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_closurez00zzast_nodez00, BGl_proc1884z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_sequencez00zzast_nodez00, BGl_proc1885z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_syncz00zzast_nodez00, BGl_proc1886z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7, BGl_appz00zzast_nodez00,
				BGl_proc1887z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1888z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_funcallz00zzast_nodez00, BGl_proc1889z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_externz00zzast_nodez00, BGl_proc1890z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_castz00zzast_nodez00, BGl_proc1891z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setqz00zzast_nodez00, BGl_proc1892z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc1893z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_failz00zzast_nodez00, BGl_proc1894z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_switchz00zzast_nodez00, BGl_proc1895z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1896z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1897z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_setzd2exzd2itz00zzast_nodez00,
				BGl_proc1898z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1899z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1900z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2setz12zc0zzast_nodez00,
				BGl_proc1901z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzglobaliza7e_escapeza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1902z00zzglobaliza7e_escapeza7,
				BGl_string1881z00zzglobaliza7e_escapeza7);
		}

	}



/* &escape!-box-ref1379 */
	obj_t BGl_z62escapez12zd2boxzd2ref1379z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2712, obj_t BgL_nodez00_2713, obj_t BgL_oz00_2714)
	{
		{	/* Globalize/escape.scm 260 */
			{	/* Globalize/escape.scm 262 */
				BgL_varz00_bglt BgL_arg1655z00_2816;

				BgL_arg1655z00_2816 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2713)))->BgL_varz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(
					((BgL_nodez00_bglt) BgL_arg1655z00_2816),
					((BgL_variablez00_bglt) BgL_oz00_2714));
			}
		}

	}



/* &escape!-box-set!1377 */
	obj_t BGl_z62escapez12zd2boxzd2setz121377z62zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2715, obj_t BgL_nodez00_2716, obj_t BgL_oz00_2717)
	{
		{	/* Globalize/escape.scm 253 */
			{	/* Globalize/escape.scm 255 */
				BgL_nodez00_bglt BgL_arg1653z00_2818;

				BgL_arg1653z00_2818 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2716)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1653z00_2818,
					((BgL_variablez00_bglt) BgL_oz00_2717));
			}
		}

	}



/* &escape!-make-box1375 */
	obj_t BGl_z62escapez12zd2makezd2box1375z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2718, obj_t BgL_nodez00_2719, obj_t BgL_oz00_2720)
	{
		{	/* Globalize/escape.scm 247 */
			{	/* Globalize/escape.scm 248 */
				BgL_nodez00_bglt BgL_arg1650z00_2820;

				BgL_arg1650z00_2820 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2719)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1650z00_2820,
					((BgL_variablez00_bglt) BgL_oz00_2720));
			}
		}

	}



/* &escape!-jump-ex-it1373 */
	obj_t BGl_z62escapez12zd2jumpzd2exzd2it1373za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2721, obj_t BgL_nodez00_2722, obj_t BgL_oz00_2723)
	{
		{	/* Globalize/escape.scm 239 */
			{	/* Globalize/escape.scm 241 */
				BgL_nodez00_bglt BgL_arg1648z00_2822;

				BgL_arg1648z00_2822 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2722)))->BgL_exitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1648z00_2822,
					((BgL_variablez00_bglt) BgL_oz00_2723));
			}
			{	/* Globalize/escape.scm 242 */
				BgL_nodez00_bglt BgL_arg1649z00_2823;

				BgL_arg1649z00_2823 =
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2722)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1649z00_2823,
					((BgL_variablez00_bglt) BgL_oz00_2723));
			}
		}

	}



/* &escape!-set-ex-it1371 */
	obj_t BGl_z62escapez12zd2setzd2exzd2it1371za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2724, obj_t BgL_nodez00_2725, obj_t BgL_oz00_2726)
	{
		{	/* Globalize/escape.scm 230 */
			{	/* Globalize/escape.scm 232 */
				BgL_sexitz00_bglt BgL_tmp1155z00_2825;

				BgL_tmp1155z00_2825 =
					((BgL_sexitz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_setzd2exzd2itz00_bglt) COBJECT(
																((BgL_setzd2exzd2itz00_bglt)
																	BgL_nodez00_2725)))->BgL_varz00)))->
											BgL_variablez00)))))->BgL_valuez00));
				{	/* Globalize/escape.scm 232 */
					BgL_sexitzf2ginfozf2_bglt BgL_wide1157z00_2826;

					BgL_wide1157z00_2826 =
						((BgL_sexitzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_sexitzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 232 */
						obj_t BgL_auxz00_3437;
						BgL_objectz00_bglt BgL_tmpz00_3434;

						BgL_auxz00_3437 = ((obj_t) BgL_wide1157z00_2826);
						BgL_tmpz00_3434 =
							((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3434, BgL_auxz00_3437);
					}
					((BgL_objectz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
					{	/* Globalize/escape.scm 232 */
						long BgL_arg1633z00_2827;

						BgL_arg1633z00_2827 =
							BGL_CLASS_NUM(BGl_sexitzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1155z00_2825)),
							BgL_arg1633z00_2827);
					}
					((BgL_sexitz00_bglt) ((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3448;

					{
						obj_t BgL_auxz00_3449;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3450;

							BgL_tmpz00_3450 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
							BgL_auxz00_3449 = BGL_OBJECT_WIDENING(BgL_tmpz00_3450);
						}
						BgL_auxz00_3448 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3449);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3448))->
							BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3456;

					{
						obj_t BgL_auxz00_3457;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3458;

							BgL_tmpz00_3458 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
							BgL_auxz00_3457 = BGL_OBJECT_WIDENING(BgL_tmpz00_3458);
						}
						BgL_auxz00_3456 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3457);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3456))->
							BgL_kapturedzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3464;

					{
						obj_t BgL_auxz00_3465;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3466;

							BgL_tmpz00_3466 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
							BgL_auxz00_3465 = BGL_OBJECT_WIDENING(BgL_tmpz00_3466);
						}
						BgL_auxz00_3464 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3465);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3464))->
							BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
				}
				{
					BgL_sexitzf2ginfozf2_bglt BgL_auxz00_3472;

					{
						obj_t BgL_auxz00_3473;

						{	/* Globalize/escape.scm 232 */
							BgL_objectz00_bglt BgL_tmpz00_3474;

							BgL_tmpz00_3474 =
								((BgL_objectz00_bglt)
								((BgL_sexitz00_bglt) BgL_tmp1155z00_2825));
							BgL_auxz00_3473 = BGL_OBJECT_WIDENING(BgL_tmpz00_3474);
						}
						BgL_auxz00_3472 = ((BgL_sexitzf2ginfozf2_bglt) BgL_auxz00_3473);
					}
					((((BgL_sexitzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3472))->
							BgL_markz00) = ((long) (-10L)), BUNSPEC);
				}
				((BgL_sexitz00_bglt) BgL_tmp1155z00_2825);
			}
			{	/* Globalize/escape.scm 233 */
				BgL_nodez00_bglt BgL_arg1642z00_2828;

				BgL_arg1642z00_2828 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2725)))->BgL_onexitz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1642z00_2828,
					((BgL_variablez00_bglt) BgL_oz00_2726));
			}
			{	/* Globalize/escape.scm 234 */
				BgL_nodez00_bglt BgL_arg1643z00_2829;

				BgL_arg1643z00_2829 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2725)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1643z00_2829,
					((BgL_variablez00_bglt) BgL_oz00_2726));
			}
		}

	}



/* &escape!-let-var1369 */
	obj_t BGl_z62escapez12zd2letzd2var1369z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_oz00_2729)
	{
		{	/* Globalize/escape.scm 219 */
			{	/* Globalize/escape.scm 220 */
				bool_t BgL_tmpz00_3489;

				{	/* Globalize/escape.scm 221 */
					BgL_nodez00_bglt BgL_arg1612z00_2831;

					BgL_arg1612z00_2831 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2728)))->BgL_bodyz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1612z00_2831,
						((BgL_variablez00_bglt) BgL_oz00_2729));
				}
				{	/* Globalize/escape.scm 222 */
					obj_t BgL_g1316z00_2832;

					BgL_g1316z00_2832 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2728)))->BgL_bindingsz00);
					{
						obj_t BgL_l1314z00_2834;

						BgL_l1314z00_2834 = BgL_g1316z00_2832;
					BgL_zc3z04anonymousza31613ze3z87_2833:
						if (PAIRP(BgL_l1314z00_2834))
							{	/* Globalize/escape.scm 222 */
								{	/* Globalize/escape.scm 223 */
									obj_t BgL_bindingz00_2835;

									BgL_bindingz00_2835 = CAR(BgL_l1314z00_2834);
									{	/* Globalize/escape.scm 223 */
										BgL_svarz00_bglt BgL_tmp1150z00_2836;

										BgL_tmp1150z00_2836 =
											((BgL_svarz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt)
																CAR(
																	((obj_t) BgL_bindingz00_2835))))))->
												BgL_valuez00));
										{	/* Globalize/escape.scm 223 */
											BgL_svarzf2ginfozf2_bglt BgL_wide1152z00_2837;

											BgL_wide1152z00_2837 =
												((BgL_svarzf2ginfozf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_svarzf2ginfozf2_bgl))));
											{	/* Globalize/escape.scm 223 */
												obj_t BgL_auxz00_3509;
												BgL_objectz00_bglt BgL_tmpz00_3506;

												BgL_auxz00_3509 = ((obj_t) BgL_wide1152z00_2837);
												BgL_tmpz00_3506 =
													((BgL_objectz00_bglt)
													((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3506,
													BgL_auxz00_3509);
											}
											((BgL_objectz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
											{	/* Globalize/escape.scm 223 */
												long BgL_arg1625z00_2838;

												BgL_arg1625z00_2838 =
													BGL_CLASS_NUM
													(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_svarz00_bglt) BgL_tmp1150z00_2836)),
													BgL_arg1625z00_2838);
											}
											((BgL_svarz00_bglt)
												((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3520;

											{
												obj_t BgL_auxz00_3521;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3522;

													BgL_tmpz00_3522 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
													BgL_auxz00_3521 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3522);
												}
												BgL_auxz00_3520 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3521);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3520))->
													BgL_kapturedzf3zf3) =
												((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3528;

											{
												obj_t BgL_auxz00_3529;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3530;

													BgL_tmpz00_3530 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
													BgL_auxz00_3529 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3530);
												}
												BgL_auxz00_3528 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3529);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3528))->
													BgL_freezd2markzd2) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3536;

											{
												obj_t BgL_auxz00_3537;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3538;

													BgL_tmpz00_3538 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
													BgL_auxz00_3537 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3538);
												}
												BgL_auxz00_3536 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3537);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3536))->
													BgL_markz00) = ((long) (-10L)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3544;

											{
												obj_t BgL_auxz00_3545;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3546;

													BgL_tmpz00_3546 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
													BgL_auxz00_3545 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3546);
												}
												BgL_auxz00_3544 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3545);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3544))->
													BgL_celledzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
										}
										{
											BgL_svarzf2ginfozf2_bglt BgL_auxz00_3552;

											{
												obj_t BgL_auxz00_3553;

												{	/* Globalize/escape.scm 223 */
													BgL_objectz00_bglt BgL_tmpz00_3554;

													BgL_tmpz00_3554 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt) BgL_tmp1150z00_2836));
													BgL_auxz00_3553 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3554);
												}
												BgL_auxz00_3552 =
													((BgL_svarzf2ginfozf2_bglt) BgL_auxz00_3553);
											}
											((((BgL_svarzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3552))->
													BgL_stackablez00) = ((bool_t) ((bool_t) 1)), BUNSPEC);
										}
										((BgL_svarz00_bglt) BgL_tmp1150z00_2836);
									}
									{	/* Globalize/escape.scm 224 */
										obj_t BgL_arg1631z00_2839;

										BgL_arg1631z00_2839 = CDR(((obj_t) BgL_bindingz00_2835));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1631z00_2839),
											((BgL_variablez00_bglt) BgL_oz00_2729));
								}}
								{
									obj_t BgL_l1314z00_3566;

									BgL_l1314z00_3566 = CDR(BgL_l1314z00_2834);
									BgL_l1314z00_2834 = BgL_l1314z00_3566;
									goto BgL_zc3z04anonymousza31613ze3z87_2833;
								}
							}
						else
							{	/* Globalize/escape.scm 222 */
								BgL_tmpz00_3489 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3489);
			}
		}

	}



/* &escape!-let-fun1367 */
	obj_t BGl_z62escapez12zd2letzd2fun1367z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2730, obj_t BgL_nodez00_2731, obj_t BgL_oz00_2732)
	{
		{	/* Globalize/escape.scm 196 */
			{	/* Globalize/escape.scm 199 */
				obj_t BgL_g1310z00_2841;

				BgL_g1310z00_2841 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2731)))->BgL_localsz00);
				{
					obj_t BgL_l1308z00_2843;

					BgL_l1308z00_2843 = BgL_g1310z00_2841;
				BgL_zc3z04anonymousza31579ze3z87_2842:
					if (PAIRP(BgL_l1308z00_2843))
						{	/* Globalize/escape.scm 199 */
							{	/* Globalize/escape.scm 200 */
								obj_t BgL_localz00_2844;

								BgL_localz00_2844 = CAR(BgL_l1308z00_2843);
								{	/* Globalize/escape.scm 200 */
									BgL_localzf2ginfozf2_bglt BgL_wide1139z00_2845;

									BgL_wide1139z00_2845 =
										((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_localzf2ginfozf2_bgl))));
									{	/* Globalize/escape.scm 200 */
										obj_t BgL_auxz00_3579;
										BgL_objectz00_bglt BgL_tmpz00_3575;

										BgL_auxz00_3579 = ((obj_t) BgL_wide1139z00_2845);
										BgL_tmpz00_3575 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_2844)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3575, BgL_auxz00_3579);
									}
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2844)));
									{	/* Globalize/escape.scm 200 */
										long BgL_arg1581z00_2846;

										BgL_arg1581z00_2846 =
											BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2844))),
											BgL_arg1581z00_2846);
									}
									((BgL_localz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_localz00_2844)));
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3593;

									{
										obj_t BgL_auxz00_3594;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3595;

											BgL_tmpz00_3595 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2844)));
											BgL_auxz00_3594 = BGL_OBJECT_WIDENING(BgL_tmpz00_3595);
										}
										BgL_auxz00_3593 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3594);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3593))->
											BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								{
									BgL_localzf2ginfozf2_bglt BgL_auxz00_3602;

									{
										obj_t BgL_auxz00_3603;

										{	/* Globalize/escape.scm 200 */
											BgL_objectz00_bglt BgL_tmpz00_3604;

											BgL_tmpz00_3604 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2844)));
											BgL_auxz00_3603 = BGL_OBJECT_WIDENING(BgL_tmpz00_3604);
										}
										BgL_auxz00_3602 =
											((BgL_localzf2ginfozf2_bglt) BgL_auxz00_3603);
									}
									((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3602))->
											BgL_globaliza7edzf3z54) =
										((bool_t) ((bool_t) 0)), BUNSPEC);
								}
								((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_2844));
								{	/* Globalize/escape.scm 201 */
									BgL_valuez00_bglt BgL_funz00_2847;

									BgL_funz00_2847 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2844))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 202 */
										BgL_sfunzf2ginfozf2_bglt BgL_wide1143z00_2848;

										BgL_wide1143z00_2848 =
											((BgL_sfunzf2ginfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2ginfozf2_bgl))));
										{	/* Globalize/escape.scm 202 */
											obj_t BgL_auxz00_3621;
											BgL_objectz00_bglt BgL_tmpz00_3617;

											BgL_auxz00_3621 = ((obj_t) BgL_wide1143z00_2848);
											BgL_tmpz00_3617 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_2847)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3617, BgL_auxz00_3621);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2847)));
										{	/* Globalize/escape.scm 202 */
											long BgL_arg1587z00_2849;

											BgL_arg1587z00_2849 =
												BGL_CLASS_NUM
												(BGl_sfunzf2Ginfozf2zzglobaliza7e_ginfoza7);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
														(BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
															BgL_funz00_2847))), BgL_arg1587z00_2849);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_2847)));
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3635;

										{
											obj_t BgL_auxz00_3636;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3637;

												BgL_tmpz00_3637 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3636 = BGL_OBJECT_WIDENING(BgL_tmpz00_3637);
											}
											BgL_auxz00_3635 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3636);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3635))->
												BgL_gzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3644;

										{
											obj_t BgL_auxz00_3645;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3646;

												BgL_tmpz00_3646 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3645 = BGL_OBJECT_WIDENING(BgL_tmpz00_3646);
											}
											BgL_auxz00_3644 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3645);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3644))->
												BgL_cfromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3653;

										{
											obj_t BgL_auxz00_3654;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3655;

												BgL_tmpz00_3655 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3654 = BGL_OBJECT_WIDENING(BgL_tmpz00_3655);
											}
											BgL_auxz00_3653 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3654);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3653))->
												BgL_cfromza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3662;

										{
											obj_t BgL_auxz00_3663;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3664;

												BgL_tmpz00_3664 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3663 = BGL_OBJECT_WIDENING(BgL_tmpz00_3664);
											}
											BgL_auxz00_3662 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3663);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3662))->
												BgL_ctoz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3671;

										{
											obj_t BgL_auxz00_3672;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3673;

												BgL_tmpz00_3673 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3672 = BGL_OBJECT_WIDENING(BgL_tmpz00_3673);
											}
											BgL_auxz00_3671 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3672);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3671))->
												BgL_ctoza2za2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3680;

										{
											obj_t BgL_auxz00_3681;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3682;

												BgL_tmpz00_3682 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3681 = BGL_OBJECT_WIDENING(BgL_tmpz00_3682);
											}
											BgL_auxz00_3680 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3681);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3680))->
												BgL_efunctionsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3689;

										{
											obj_t BgL_auxz00_3690;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3691;

												BgL_tmpz00_3691 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3690 = BGL_OBJECT_WIDENING(BgL_tmpz00_3691);
											}
											BgL_auxz00_3689 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3690);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3689))->
												BgL_integratorz00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3698;

										{
											obj_t BgL_auxz00_3699;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3700;

												BgL_tmpz00_3700 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3699 = BGL_OBJECT_WIDENING(BgL_tmpz00_3700);
											}
											BgL_auxz00_3698 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3699);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3698))->
												BgL_imarkz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3707;

										{
											obj_t BgL_auxz00_3708;

											{	/* Globalize/escape.scm 203 */
												BgL_objectz00_bglt BgL_tmpz00_3709;

												BgL_tmpz00_3709 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3708 = BGL_OBJECT_WIDENING(BgL_tmpz00_3709);
											}
											BgL_auxz00_3707 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3708);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3707))->
												BgL_ownerz00) = ((obj_t) BgL_oz00_2732), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3716;

										{
											obj_t BgL_auxz00_3717;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3718;

												BgL_tmpz00_3718 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3717 = BGL_OBJECT_WIDENING(BgL_tmpz00_3718);
											}
											BgL_auxz00_3716 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3717);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3716))->
												BgL_integratedz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3725;

										{
											obj_t BgL_auxz00_3726;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3727;

												BgL_tmpz00_3727 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3726 = BGL_OBJECT_WIDENING(BgL_tmpz00_3727);
											}
											BgL_auxz00_3725 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3726);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3725))->
												BgL_pluggedzd2inzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3734;

										{
											obj_t BgL_auxz00_3735;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3736;

												BgL_tmpz00_3736 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3735 = BGL_OBJECT_WIDENING(BgL_tmpz00_3736);
											}
											BgL_auxz00_3734 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3735);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3734))->
												BgL_markz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3743;

										{
											obj_t BgL_auxz00_3744;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3745;

												BgL_tmpz00_3745 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3744 = BGL_OBJECT_WIDENING(BgL_tmpz00_3745);
											}
											BgL_auxz00_3743 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3744);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3743))->
												BgL_freezd2markzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3752;

										{
											obj_t BgL_auxz00_3753;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3754;

												BgL_tmpz00_3754 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3753 = BGL_OBJECT_WIDENING(BgL_tmpz00_3754);
											}
											BgL_auxz00_3752 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3753);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3752))->
												BgL_thezd2globalzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3761;

										{
											obj_t BgL_auxz00_3762;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3763;

												BgL_tmpz00_3763 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3762 = BGL_OBJECT_WIDENING(BgL_tmpz00_3763);
											}
											BgL_auxz00_3761 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3762);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3761))->
												BgL_kapturedz00) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3770;

										{
											obj_t BgL_auxz00_3771;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3772;

												BgL_tmpz00_3772 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3771 = BGL_OBJECT_WIDENING(BgL_tmpz00_3772);
											}
											BgL_auxz00_3770 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3771);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3770))->
												BgL_newzd2bodyzd2) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3779;

										{
											obj_t BgL_auxz00_3780;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3781;

												BgL_tmpz00_3781 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3780 = BGL_OBJECT_WIDENING(BgL_tmpz00_3781);
											}
											BgL_auxz00_3779 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3780);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3779))->
												BgL_bmarkz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3788;

										{
											obj_t BgL_auxz00_3789;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3790;

												BgL_tmpz00_3790 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3789 = BGL_OBJECT_WIDENING(BgL_tmpz00_3790);
											}
											BgL_auxz00_3788 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3789);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3788))->
												BgL_umarkz00) = ((long) (-10L)), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3797;

										{
											obj_t BgL_auxz00_3798;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3799;

												BgL_tmpz00_3799 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3798 = BGL_OBJECT_WIDENING(BgL_tmpz00_3799);
											}
											BgL_auxz00_3797 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3798);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3797))->
												BgL_freez00) = ((obj_t) BUNSPEC), BUNSPEC);
									}
									{
										BgL_sfunzf2ginfozf2_bglt BgL_auxz00_3806;

										{
											obj_t BgL_auxz00_3807;

											{	/* Globalize/escape.scm 201 */
												BgL_objectz00_bglt BgL_tmpz00_3808;

												BgL_tmpz00_3808 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_2847)));
												BgL_auxz00_3807 = BGL_OBJECT_WIDENING(BgL_tmpz00_3808);
											}
											BgL_auxz00_3806 =
												((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_3807);
										}
										((((BgL_sfunzf2ginfozf2_bglt) COBJECT(BgL_auxz00_3806))->
												BgL_boundz00) = ((obj_t) BNIL), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_2847));
									{	/* Globalize/escape.scm 204 */
										obj_t BgL_g1307z00_2850;

										BgL_g1307z00_2850 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2847)))->BgL_argsz00);
										{
											obj_t BgL_l1305z00_2852;

											BgL_l1305z00_2852 = BgL_g1307z00_2850;
										BgL_zc3z04anonymousza31588ze3z87_2851:
											if (PAIRP(BgL_l1305z00_2852))
												{	/* Globalize/escape.scm 206 */
													{	/* Globalize/escape.scm 205 */
														obj_t BgL_localz00_2853;

														BgL_localz00_2853 = CAR(BgL_l1305z00_2852);
														{	/* Globalize/escape.scm 205 */
															BgL_svarz00_bglt BgL_tmp1145z00_2854;

															BgL_tmp1145z00_2854 =
																((BgL_svarz00_bglt)
																(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_localz00_2853))))->BgL_valuez00));
															{	/* Globalize/escape.scm 205 */
																BgL_svarzf2ginfozf2_bglt BgL_wide1147z00_2855;

																BgL_wide1147z00_2855 =
																	((BgL_svarzf2ginfozf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_svarzf2ginfozf2_bgl))));
																{	/* Globalize/escape.scm 205 */
																	obj_t BgL_auxz00_3830;
																	BgL_objectz00_bglt BgL_tmpz00_3827;

																	BgL_auxz00_3830 =
																		((obj_t) BgL_wide1147z00_2855);
																	BgL_tmpz00_3827 =
																		((BgL_objectz00_bglt)
																		((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3827,
																		BgL_auxz00_3830);
																}
																((BgL_objectz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																{	/* Globalize/escape.scm 205 */
																	long BgL_arg1590z00_2856;

																	BgL_arg1590z00_2856 =
																		BGL_CLASS_NUM
																		(BGl_svarzf2Ginfozf2zzglobaliza7e_ginfoza7);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854)),
																		BgL_arg1590z00_2856);
																}
																((BgL_svarz00_bglt)
																	((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3841;

																{
																	obj_t BgL_auxz00_3842;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3843;

																		BgL_tmpz00_3843 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																		BgL_auxz00_3842 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3843);
																	}
																	BgL_auxz00_3841 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3842);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3841))->
																		BgL_kapturedzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3849;

																{
																	obj_t BgL_auxz00_3850;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3851;

																		BgL_tmpz00_3851 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																		BgL_auxz00_3850 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3851);
																	}
																	BgL_auxz00_3849 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3850);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3849))->
																		BgL_freezd2markzd2) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3857;

																{
																	obj_t BgL_auxz00_3858;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3859;

																		BgL_tmpz00_3859 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																		BgL_auxz00_3858 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3859);
																	}
																	BgL_auxz00_3857 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3858);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3857))->BgL_markz00) =
																	((long) (-10L)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3865;

																{
																	obj_t BgL_auxz00_3866;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3867;

																		BgL_tmpz00_3867 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																		BgL_auxz00_3866 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3867);
																	}
																	BgL_auxz00_3865 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3866);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3865))->
																		BgL_celledzf3zf3) =
																	((bool_t) ((bool_t) 0)), BUNSPEC);
															}
															{
																BgL_svarzf2ginfozf2_bglt BgL_auxz00_3873;

																{
																	obj_t BgL_auxz00_3874;

																	{	/* Globalize/escape.scm 205 */
																		BgL_objectz00_bglt BgL_tmpz00_3875;

																		BgL_tmpz00_3875 =
																			((BgL_objectz00_bglt)
																			((BgL_svarz00_bglt) BgL_tmp1145z00_2854));
																		BgL_auxz00_3874 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3875);
																	}
																	BgL_auxz00_3873 =
																		((BgL_svarzf2ginfozf2_bglt)
																		BgL_auxz00_3874);
																}
																((((BgL_svarzf2ginfozf2_bglt)
																			COBJECT(BgL_auxz00_3873))->
																		BgL_stackablez00) =
																	((bool_t) ((bool_t) 1)), BUNSPEC);
															}
															((BgL_svarz00_bglt) BgL_tmp1145z00_2854);
													}}
													{
														obj_t BgL_l1305z00_3882;

														BgL_l1305z00_3882 = CDR(BgL_l1305z00_2852);
														BgL_l1305z00_2852 = BgL_l1305z00_3882;
														goto BgL_zc3z04anonymousza31588ze3z87_2851;
													}
												}
											else
												{	/* Globalize/escape.scm 206 */
													((bool_t) 1);
												}
										}
									}
								}
							}
							{
								obj_t BgL_l1308z00_3884;

								BgL_l1308z00_3884 = CDR(BgL_l1308z00_2843);
								BgL_l1308z00_2843 = BgL_l1308z00_3884;
								goto BgL_zc3z04anonymousza31579ze3z87_2842;
							}
						}
					else
						{	/* Globalize/escape.scm 199 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 209 */
				obj_t BgL_g1313z00_2857;

				BgL_g1313z00_2857 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2731)))->BgL_localsz00);
				{
					obj_t BgL_l1311z00_2859;

					BgL_l1311z00_2859 = BgL_g1313z00_2857;
				BgL_zc3z04anonymousza31594ze3z87_2858:
					if (PAIRP(BgL_l1311z00_2859))
						{	/* Globalize/escape.scm 209 */
							{	/* Globalize/escape.scm 210 */
								obj_t BgL_localz00_2860;

								BgL_localz00_2860 = CAR(BgL_l1311z00_2859);
								{	/* Globalize/escape.scm 210 */
									BgL_valuez00_bglt BgL_funz00_2861;

									BgL_funz00_2861 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_localz00_2860))))->
										BgL_valuez00);
									{	/* Globalize/escape.scm 211 */
										obj_t BgL_arg1597z00_2862;

										BgL_arg1597z00_2862 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_2861)))->BgL_bodyz00);
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1597z00_2862),
											((BgL_variablez00_bglt) BgL_localz00_2860));
									}
								}
							}
							{
								obj_t BgL_l1311z00_3899;

								BgL_l1311z00_3899 = CDR(BgL_l1311z00_2859);
								BgL_l1311z00_2859 = BgL_l1311z00_3899;
								goto BgL_zc3z04anonymousza31594ze3z87_2858;
							}
						}
					else
						{	/* Globalize/escape.scm 209 */
							((bool_t) 1);
						}
				}
			}
			{	/* Globalize/escape.scm 214 */
				BgL_nodez00_bglt BgL_arg1611z00_2863;

				BgL_arg1611z00_2863 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2731)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1611z00_2863,
					((BgL_variablez00_bglt) BgL_oz00_2732));
			}
		}

	}



/* &escape!-switch1365 */
	obj_t BGl_z62escapez12zd2switch1365za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2733, obj_t BgL_nodez00_2734, obj_t BgL_oz00_2735)
	{
		{	/* Globalize/escape.scm 182 */
			{	/* Globalize/escape.scm 183 */
				bool_t BgL_tmpz00_3905;

				{	/* Globalize/escape.scm 184 */
					BgL_nodez00_bglt BgL_arg1574z00_2865;

					BgL_arg1574z00_2865 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2734)))->BgL_testz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1574z00_2865,
						((BgL_variablez00_bglt) BgL_oz00_2735));
				}
				{	/* Globalize/escape.scm 185 */
					obj_t BgL_g1304z00_2866;

					BgL_g1304z00_2866 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2734)))->BgL_clausesz00);
					{
						obj_t BgL_l1302z00_2868;

						BgL_l1302z00_2868 = BgL_g1304z00_2866;
					BgL_zc3z04anonymousza31575ze3z87_2867:
						if (PAIRP(BgL_l1302z00_2868))
							{	/* Globalize/escape.scm 185 */
								{	/* Globalize/escape.scm 186 */
									obj_t BgL_clausez00_2869;

									BgL_clausez00_2869 = CAR(BgL_l1302z00_2868);
									{	/* Globalize/escape.scm 186 */
										obj_t BgL_arg1577z00_2870;

										BgL_arg1577z00_2870 = CDR(((obj_t) BgL_clausez00_2869));
										BGl_escapez12z12zzglobaliza7e_escapeza7(
											((BgL_nodez00_bglt) BgL_arg1577z00_2870),
											((BgL_variablez00_bglt) BgL_oz00_2735));
									}
								}
								{
									obj_t BgL_l1302z00_3920;

									BgL_l1302z00_3920 = CDR(BgL_l1302z00_2868);
									BgL_l1302z00_2868 = BgL_l1302z00_3920;
									goto BgL_zc3z04anonymousza31575ze3z87_2867;
								}
							}
						else
							{	/* Globalize/escape.scm 185 */
								BgL_tmpz00_3905 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_3905);
			}
		}

	}



/* &escape!-fail1363 */
	obj_t BGl_z62escapez12zd2fail1363za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2736, obj_t BgL_nodez00_2737, obj_t BgL_oz00_2738)
	{
		{	/* Globalize/escape.scm 173 */
			{	/* Globalize/escape.scm 175 */
				BgL_nodez00_bglt BgL_arg1554z00_2872;

				BgL_arg1554z00_2872 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2737)))->BgL_procz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1554z00_2872,
					((BgL_variablez00_bglt) BgL_oz00_2738));
			}
			{	/* Globalize/escape.scm 176 */
				BgL_nodez00_bglt BgL_arg1558z00_2873;

				BgL_arg1558z00_2873 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2737)))->BgL_msgz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1558z00_2873,
					((BgL_variablez00_bglt) BgL_oz00_2738));
			}
			{	/* Globalize/escape.scm 177 */
				BgL_nodez00_bglt BgL_arg1560z00_2874;

				BgL_arg1560z00_2874 =
					(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_2737)))->BgL_objz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1560z00_2874,
					((BgL_variablez00_bglt) BgL_oz00_2738));
			}
		}

	}



/* &escape!-conditional1361 */
	obj_t BGl_z62escapez12zd2conditional1361za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2739, obj_t BgL_nodez00_2740, obj_t BgL_oz00_2741)
	{
		{	/* Globalize/escape.scm 164 */
			{	/* Globalize/escape.scm 166 */
				BgL_nodez00_bglt BgL_arg1543z00_2876;

				BgL_arg1543z00_2876 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2740)))->BgL_testz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1543z00_2876,
					((BgL_variablez00_bglt) BgL_oz00_2741));
			}
			{	/* Globalize/escape.scm 167 */
				BgL_nodez00_bglt BgL_arg1545z00_2877;

				BgL_arg1545z00_2877 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2740)))->BgL_truez00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1545z00_2877,
					((BgL_variablez00_bglt) BgL_oz00_2741));
			}
			{	/* Globalize/escape.scm 168 */
				BgL_nodez00_bglt BgL_arg1553z00_2878;

				BgL_arg1553z00_2878 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_2740)))->BgL_falsez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1553z00_2878,
					((BgL_variablez00_bglt) BgL_oz00_2741));
			}
		}

	}



/* &escape!-setq1359 */
	obj_t BGl_z62escapez12zd2setq1359za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2742, obj_t BgL_nodez00_2743, obj_t BgL_oz00_2744)
	{
		{	/* Globalize/escape.scm 157 */
			{	/* Globalize/escape.scm 159 */
				BgL_nodez00_bglt BgL_arg1535z00_2880;

				BgL_arg1535z00_2880 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2743)))->BgL_valuez00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1535z00_2880,
					((BgL_variablez00_bglt) BgL_oz00_2744));
			}
		}

	}



/* &escape!-cast1357 */
	obj_t BGl_z62escapez12zd2cast1357za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2745, obj_t BgL_nodez00_2746, obj_t BgL_oz00_2747)
	{
		{	/* Globalize/escape.scm 151 */
			{	/* Globalize/escape.scm 152 */
				BgL_nodez00_bglt BgL_arg1532z00_2882;

				BgL_arg1532z00_2882 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2746)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1532z00_2882,
					((BgL_variablez00_bglt) BgL_oz00_2747));
			}
		}

	}



/* &escape!-extern1355 */
	obj_t BGl_z62escapez12zd2extern1355za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2748, obj_t BgL_nodez00_2749, obj_t BgL_oz00_2750)
	{
		{	/* Globalize/escape.scm 145 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2749)))->BgL_exprza2za2),
					BgL_oz00_2750));
		}

	}



/* &escape!-funcall1353 */
	obj_t BGl_z62escapez12zd2funcall1353za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2751, obj_t BgL_nodez00_2752, obj_t BgL_oz00_2753)
	{
		{	/* Globalize/escape.scm 137 */
			{	/* Globalize/escape.scm 138 */
				bool_t BgL_tmpz00_3959;

				{	/* Globalize/escape.scm 139 */
					BgL_nodez00_bglt BgL_arg1515z00_2885;

					BgL_arg1515z00_2885 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2752)))->BgL_funz00);
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1515z00_2885,
						((BgL_variablez00_bglt) BgL_oz00_2753));
				}
				BgL_tmpz00_3959 =
					BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2752)))->BgL_argsz00),
					BgL_oz00_2753);
				return BBOOL(BgL_tmpz00_3959);
			}
		}

	}



/* &escape!-app-ly1351 */
	obj_t BGl_z62escapez12zd2appzd2ly1351z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2754, obj_t BgL_nodez00_2755, obj_t BgL_oz00_2756)
	{
		{	/* Globalize/escape.scm 129 */
			{	/* Globalize/escape.scm 131 */
				BgL_nodez00_bglt BgL_arg1512z00_2887;

				BgL_arg1512z00_2887 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2755)))->BgL_funz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1512z00_2887,
					((BgL_variablez00_bglt) BgL_oz00_2756));
			}
			{	/* Globalize/escape.scm 132 */
				BgL_nodez00_bglt BgL_arg1513z00_2888;

				BgL_arg1513z00_2888 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2755)))->BgL_argz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1513z00_2888,
					((BgL_variablez00_bglt) BgL_oz00_2756));
			}
		}

	}



/* &escape!-app1349 */
	obj_t BGl_z62escapez12zd2app1349za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2757, obj_t BgL_nodez00_2758, obj_t BgL_oz00_2759)
	{
		{	/* Globalize/escape.scm 122 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2758)))->BgL_argsz00),
					BgL_oz00_2759));
		}

	}



/* &escape!-sync1347 */
	obj_t BGl_z62escapez12zd2sync1347za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2760, obj_t BgL_nodez00_2761, obj_t BgL_oz00_2762)
	{
		{	/* Globalize/escape.scm 114 */
			{	/* Globalize/escape.scm 115 */
				BgL_nodez00_bglt BgL_arg1489z00_2891;

				BgL_arg1489z00_2891 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2761)))->BgL_mutexz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1489z00_2891,
					((BgL_variablez00_bglt) BgL_oz00_2762));
			}
			{	/* Globalize/escape.scm 116 */
				BgL_nodez00_bglt BgL_arg1490z00_2892;

				BgL_arg1490z00_2892 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2761)))->BgL_prelockz00);
				BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1490z00_2892,
					((BgL_variablez00_bglt) BgL_oz00_2762));
			}
			{	/* Globalize/escape.scm 117 */
				BgL_nodez00_bglt BgL_arg1506z00_2893;

				BgL_arg1506z00_2893 =
					(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2761)))->BgL_bodyz00);
				return
					BGl_escapez12z12zzglobaliza7e_escapeza7(BgL_arg1506z00_2893,
					((BgL_variablez00_bglt) BgL_oz00_2762));
			}
		}

	}



/* &escape!-sequence1345 */
	obj_t BGl_z62escapez12zd2sequence1345za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2763, obj_t BgL_nodez00_2764, obj_t BgL_oz00_2765)
	{
		{	/* Globalize/escape.scm 108 */
			return
				BBOOL(BGl_escapeza2z12zb0zzglobaliza7e_escapeza7(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2764)))->BgL_nodesz00),
					BgL_oz00_2765));
		}

	}



/* &escape!-closure1343 */
	obj_t BGl_z62escapez12zd2closure1343za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2766, obj_t BgL_nodez00_2767, obj_t BgL_oz00_2768)
	{
		{	/* Globalize/escape.scm 102 */
			{	/* Globalize/escape.scm 103 */
				BgL_variablez00_bglt BgL_arg1484z00_2896;

				BgL_arg1484z00_2896 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_2767))))->BgL_variablez00);
				return
					BGl_setzd2escapingzd2funz12z12zzglobaliza7e_escapeza7
					(BgL_arg1484z00_2896);
			}
		}

	}



/* &escape!-var1341 */
	obj_t BGl_z62escapez12zd2var1341za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2769, obj_t BgL_nodez00_2770, obj_t BgL_oz00_2771)
	{
		{	/* Globalize/escape.scm 96 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &escape!-kwote1339 */
	obj_t BGl_z62escapez12zd2kwote1339za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2772, obj_t BgL_nodez00_2773, obj_t BgL_oz00_2774)
	{
		{	/* Globalize/escape.scm 90 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &escape!-atom1337 */
	obj_t BGl_z62escapez12zd2atom1337za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2775, obj_t BgL_nodez00_2776, obj_t BgL_oz00_2777)
	{
		{	/* Globalize/escape.scm 84 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &set-escaping-fun!-lo1333 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2lo1333za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2778, obj_t BgL_variablez00_2779)
	{
		{	/* Globalize/escape.scm 73 */
			{
				BgL_localzf2ginfozf2_bglt BgL_auxz00_4006;

				{
					obj_t BgL_auxz00_4007;

					{	/* Globalize/escape.scm 74 */
						BgL_objectz00_bglt BgL_tmpz00_4008;

						BgL_tmpz00_4008 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_variablez00_2779));
						BgL_auxz00_4007 = BGL_OBJECT_WIDENING(BgL_tmpz00_4008);
					}
					BgL_auxz00_4006 = ((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4007);
				}
				return
					((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4006))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1331 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1331za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2780, obj_t BgL_variablez00_2781)
	{
		{	/* Globalize/escape.scm 67 */
			{
				BgL_globalzf2ginfozf2_bglt BgL_auxz00_4014;

				{
					obj_t BgL_auxz00_4015;

					{	/* Globalize/escape.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_4016;

						BgL_tmpz00_4016 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2781));
						BgL_auxz00_4015 = BGL_OBJECT_WIDENING(BgL_tmpz00_4016);
					}
					BgL_auxz00_4014 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4015);
				}
				return
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4014))->
						BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
			}
		}

	}



/* &set-escaping-fun!-gl1329 */
	obj_t BGl_z62setzd2escapingzd2funz12zd2gl1329za2zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2782, obj_t BgL_variablez00_2783)
	{
		{	/* Globalize/escape.scm 61 */
			{
				BgL_globalz00_bglt BgL_auxz00_4022;

				{	/* Globalize/escape.scm 62 */
					BgL_globalzf2ginfozf2_bglt BgL_wide1127z00_2903;

					BgL_wide1127z00_2903 =
						((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_globalzf2ginfozf2_bgl))));
					{	/* Globalize/escape.scm 62 */
						obj_t BgL_auxz00_4028;
						BgL_objectz00_bglt BgL_tmpz00_4024;

						BgL_auxz00_4028 = ((obj_t) BgL_wide1127z00_2903);
						BgL_tmpz00_4024 =
							((BgL_objectz00_bglt)
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_variablez00_2783)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4024, BgL_auxz00_4028);
					}
					((BgL_objectz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2783)));
					{	/* Globalize/escape.scm 62 */
						long BgL_arg1480z00_2904;

						BgL_arg1480z00_2904 =
							BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2783))),
							BgL_arg1480z00_2904);
					}
					((BgL_globalz00_bglt)
						((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2783)));
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4042;

					{
						obj_t BgL_auxz00_4043;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4044;

							BgL_tmpz00_4044 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2783)));
							BgL_auxz00_4043 = BGL_OBJECT_WIDENING(BgL_tmpz00_4044);
						}
						BgL_auxz00_4042 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4043);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4042))->
							BgL_escapezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
				}
				{
					BgL_globalzf2ginfozf2_bglt BgL_auxz00_4051;

					{
						obj_t BgL_auxz00_4052;

						{	/* Globalize/escape.scm 62 */
							BgL_objectz00_bglt BgL_tmpz00_4053;

							BgL_tmpz00_4053 =
								((BgL_objectz00_bglt)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2783)));
							BgL_auxz00_4052 = BGL_OBJECT_WIDENING(BgL_tmpz00_4053);
						}
						BgL_auxz00_4051 = ((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4052);
					}
					((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4051))->
							BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
				BgL_auxz00_4022 =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_variablez00_2783));
				return ((obj_t) BgL_auxz00_4022);
			}
		}

	}



/* &escape-fun!-local1325 */
	obj_t BGl_z62escapezd2funz12zd2local1325z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2784, obj_t BgL_variablez00_2785)
	{
		{	/* Globalize/escape.scm 47 */
			{

				{	/* Globalize/escape.scm 48 */
					bool_t BgL_test1958z00_4063;

					{	/* Globalize/escape.scm 48 */
						obj_t BgL_classz00_2908;

						BgL_classz00_2908 = BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 48 */
							BgL_objectz00_bglt BgL_arg1858z00_2909;

							{	/* Globalize/escape.scm 48 */
								obj_t BgL_tmpz00_4064;

								BgL_tmpz00_4064 =
									((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2785));
								BgL_arg1858z00_2909 = (BgL_objectz00_bglt) (BgL_tmpz00_4064);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/escape.scm 48 */
									long BgL_idxz00_2910;

									BgL_idxz00_2910 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2909);
									BgL_test1958z00_4063 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2910 + 3L)) == BgL_classz00_2908);
								}
							else
								{	/* Globalize/escape.scm 48 */
									bool_t BgL_res1862z00_2913;

									{	/* Globalize/escape.scm 48 */
										obj_t BgL_oclassz00_2914;

										{	/* Globalize/escape.scm 48 */
											obj_t BgL_arg1866z00_2915;
											long BgL_arg1867z00_2916;

											BgL_arg1866z00_2915 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/escape.scm 48 */
												long BgL_arg1869z00_2917;

												BgL_arg1869z00_2917 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2909);
												BgL_arg1867z00_2916 =
													(BgL_arg1869z00_2917 - OBJECT_TYPE);
											}
											BgL_oclassz00_2914 =
												VECTOR_REF(BgL_arg1866z00_2915, BgL_arg1867z00_2916);
										}
										{	/* Globalize/escape.scm 48 */
											bool_t BgL__ortest_1115z00_2918;

											BgL__ortest_1115z00_2918 =
												(BgL_classz00_2908 == BgL_oclassz00_2914);
											if (BgL__ortest_1115z00_2918)
												{	/* Globalize/escape.scm 48 */
													BgL_res1862z00_2913 = BgL__ortest_1115z00_2918;
												}
											else
												{	/* Globalize/escape.scm 48 */
													long BgL_odepthz00_2919;

													{	/* Globalize/escape.scm 48 */
														obj_t BgL_arg1855z00_2920;

														BgL_arg1855z00_2920 = (BgL_oclassz00_2914);
														BgL_odepthz00_2919 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2920);
													}
													if ((3L < BgL_odepthz00_2919))
														{	/* Globalize/escape.scm 48 */
															obj_t BgL_arg1853z00_2921;

															{	/* Globalize/escape.scm 48 */
																obj_t BgL_arg1854z00_2922;

																BgL_arg1854z00_2922 = (BgL_oclassz00_2914);
																BgL_arg1853z00_2921 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2922,
																	3L);
															}
															BgL_res1862z00_2913 =
																(BgL_arg1853z00_2921 == BgL_classz00_2908);
														}
													else
														{	/* Globalize/escape.scm 48 */
															BgL_res1862z00_2913 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1958z00_4063 = BgL_res1862z00_2913;
								}
						}
					}
					if (BgL_test1958z00_4063)
						{	/* Globalize/escape.scm 48 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 48 */
							{	/* Globalize/escape.scm 49 */
								BgL_localzf2ginfozf2_bglt BgL_wide1123z00_2923;

								BgL_wide1123z00_2923 =
									((BgL_localzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 49 */
									obj_t BgL_auxz00_4092;
									BgL_objectz00_bglt BgL_tmpz00_4088;

									BgL_auxz00_4092 = ((obj_t) BgL_wide1123z00_2923);
									BgL_tmpz00_4088 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt)
											((BgL_localz00_bglt) BgL_variablez00_2785)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4088, BgL_auxz00_4092);
								}
								((BgL_objectz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2785)));
								{	/* Globalize/escape.scm 49 */
									long BgL_arg1471z00_2924;

									BgL_arg1471z00_2924 =
										BGL_CLASS_NUM(BGl_localzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2785))),
										BgL_arg1471z00_2924);
								}
								((BgL_localz00_bglt)
									((BgL_localz00_bglt)
										((BgL_localz00_bglt) BgL_variablez00_2785)));
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4106;

								{
									obj_t BgL_auxz00_4107;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4108;

										BgL_tmpz00_4108 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2785)));
										BgL_auxz00_4107 = BGL_OBJECT_WIDENING(BgL_tmpz00_4108);
									}
									BgL_auxz00_4106 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4107);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4106))->
										BgL_escapezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							{
								BgL_localzf2ginfozf2_bglt BgL_auxz00_4115;

								{
									obj_t BgL_auxz00_4116;

									{	/* Globalize/escape.scm 49 */
										BgL_objectz00_bglt BgL_tmpz00_4117;

										BgL_tmpz00_4117 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_variablez00_2785)));
										BgL_auxz00_4116 = BGL_OBJECT_WIDENING(BgL_tmpz00_4117);
									}
									BgL_auxz00_4115 =
										((BgL_localzf2ginfozf2_bglt) BgL_auxz00_4116);
								}
								((((BgL_localzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4115))->
										BgL_globaliza7edzf3z54) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
							((obj_t)
								((BgL_localz00_bglt)
									((BgL_localz00_bglt) BgL_variablez00_2785)));
				}}
				{	/* Globalize/escape.scm 47 */
					obj_t BgL_nextzd2method1324zd2_2907;

					BgL_nextzd2method1324zd2_2907 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt) BgL_variablez00_2785)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_localz00zzast_varz00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1324zd2_2907,
						((obj_t) ((BgL_localz00_bglt) BgL_variablez00_2785)));
				}
			}
		}

	}



/* &escape-fun!-global1323 */
	obj_t BGl_z62escapezd2funz12zd2global1323z70zzglobaliza7e_escapeza7(obj_t
		BgL_envz00_2786, obj_t BgL_variablez00_2787)
	{
		{	/* Globalize/escape.scm 38 */
			{

				{	/* Globalize/escape.scm 39 */
					bool_t BgL_test1962z00_4136;

					{	/* Globalize/escape.scm 39 */
						obj_t BgL_classz00_2928;

						BgL_classz00_2928 = BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7;
						{	/* Globalize/escape.scm 39 */
							BgL_objectz00_bglt BgL_arg1858z00_2929;

							{	/* Globalize/escape.scm 39 */
								obj_t BgL_tmpz00_4137;

								BgL_tmpz00_4137 =
									((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2787));
								BgL_arg1858z00_2929 = (BgL_objectz00_bglt) (BgL_tmpz00_4137);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Globalize/escape.scm 39 */
									long BgL_idxz00_2930;

									BgL_idxz00_2930 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2929);
									BgL_test1962z00_4136 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2930 + 3L)) == BgL_classz00_2928);
								}
							else
								{	/* Globalize/escape.scm 39 */
									bool_t BgL_res1861z00_2933;

									{	/* Globalize/escape.scm 39 */
										obj_t BgL_oclassz00_2934;

										{	/* Globalize/escape.scm 39 */
											obj_t BgL_arg1866z00_2935;
											long BgL_arg1867z00_2936;

											BgL_arg1866z00_2935 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Globalize/escape.scm 39 */
												long BgL_arg1869z00_2937;

												BgL_arg1869z00_2937 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2929);
												BgL_arg1867z00_2936 =
													(BgL_arg1869z00_2937 - OBJECT_TYPE);
											}
											BgL_oclassz00_2934 =
												VECTOR_REF(BgL_arg1866z00_2935, BgL_arg1867z00_2936);
										}
										{	/* Globalize/escape.scm 39 */
											bool_t BgL__ortest_1115z00_2938;

											BgL__ortest_1115z00_2938 =
												(BgL_classz00_2928 == BgL_oclassz00_2934);
											if (BgL__ortest_1115z00_2938)
												{	/* Globalize/escape.scm 39 */
													BgL_res1861z00_2933 = BgL__ortest_1115z00_2938;
												}
											else
												{	/* Globalize/escape.scm 39 */
													long BgL_odepthz00_2939;

													{	/* Globalize/escape.scm 39 */
														obj_t BgL_arg1855z00_2940;

														BgL_arg1855z00_2940 = (BgL_oclassz00_2934);
														BgL_odepthz00_2939 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2940);
													}
													if ((3L < BgL_odepthz00_2939))
														{	/* Globalize/escape.scm 39 */
															obj_t BgL_arg1853z00_2941;

															{	/* Globalize/escape.scm 39 */
																obj_t BgL_arg1854z00_2942;

																BgL_arg1854z00_2942 = (BgL_oclassz00_2934);
																BgL_arg1853z00_2941 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2942,
																	3L);
															}
															BgL_res1861z00_2933 =
																(BgL_arg1853z00_2941 == BgL_classz00_2928);
														}
													else
														{	/* Globalize/escape.scm 39 */
															BgL_res1861z00_2933 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1962z00_4136 = BgL_res1861z00_2933;
								}
						}
					}
					if (BgL_test1962z00_4136)
						{	/* Globalize/escape.scm 39 */
							BFALSE;
						}
					else
						{	/* Globalize/escape.scm 39 */
							{	/* Globalize/escape.scm 40 */
								BgL_globalzf2ginfozf2_bglt BgL_wide1118z00_2943;

								BgL_wide1118z00_2943 =
									((BgL_globalzf2ginfozf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_globalzf2ginfozf2_bgl))));
								{	/* Globalize/escape.scm 40 */
									obj_t BgL_auxz00_4165;
									BgL_objectz00_bglt BgL_tmpz00_4161;

									BgL_auxz00_4165 = ((obj_t) BgL_wide1118z00_2943);
									BgL_tmpz00_4161 =
										((BgL_objectz00_bglt)
										((BgL_globalz00_bglt)
											((BgL_globalz00_bglt) BgL_variablez00_2787)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4161, BgL_auxz00_4165);
								}
								((BgL_objectz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2787)));
								{	/* Globalize/escape.scm 40 */
									long BgL_arg1446z00_2944;

									BgL_arg1446z00_2944 =
										BGL_CLASS_NUM(BGl_globalzf2Ginfozf2zzglobaliza7e_ginfoza7);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2787))),
										BgL_arg1446z00_2944);
								}
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt)
										((BgL_globalz00_bglt) BgL_variablez00_2787)));
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4179;

								{
									obj_t BgL_auxz00_4180;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4181;

										BgL_tmpz00_4181 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2787)));
										BgL_auxz00_4180 = BGL_OBJECT_WIDENING(BgL_tmpz00_4181);
									}
									BgL_auxz00_4179 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4180);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4179))->
										BgL_escapezf3zf3) =
									((bool_t) ((((BgL_globalz00_bglt)
													COBJECT(((BgL_globalz00_bglt)
															BgL_variablez00_2787)))->BgL_importz00) ==
											((obj_t) CNST_TABLE_REF(2)))), BUNSPEC);
							}
							{
								BgL_globalzf2ginfozf2_bglt BgL_auxz00_4193;

								{
									obj_t BgL_auxz00_4194;

									{	/* Globalize/escape.scm 41 */
										BgL_objectz00_bglt BgL_tmpz00_4195;

										BgL_tmpz00_4195 =
											((BgL_objectz00_bglt)
											((BgL_globalz00_bglt)
												((BgL_globalz00_bglt) BgL_variablez00_2787)));
										BgL_auxz00_4194 = BGL_OBJECT_WIDENING(BgL_tmpz00_4195);
									}
									BgL_auxz00_4193 =
										((BgL_globalzf2ginfozf2_bglt) BgL_auxz00_4194);
								}
								((((BgL_globalzf2ginfozf2_bglt) COBJECT(BgL_auxz00_4193))->
										BgL_globalzd2closurezd2) = ((obj_t) BFALSE), BUNSPEC);
							}
							((obj_t)
								((BgL_globalz00_bglt)
									((BgL_globalz00_bglt) BgL_variablez00_2787)));
				}}
				{	/* Globalize/escape.scm 38 */
					obj_t BgL_nextzd2method1322zd2_2927;

					BgL_nextzd2method1322zd2_2927 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_globalz00_bglt) BgL_variablez00_2787)),
						BGl_escapezd2funz12zd2envz12zzglobaliza7e_escapeza7,
						BGl_globalz00zzast_varz00);
					return BGL_PROCEDURE_CALL1(BgL_nextzd2method1322zd2_2927,
						((obj_t) ((BgL_globalz00_bglt) BgL_variablez00_2787)));
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_escapeza7(void)
	{
		{	/* Globalize/escape.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(0L,
				BSTRING_TO_STRING(BGl_string1903z00zzglobaliza7e_escapeza7));
		}

	}

#ifdef __cplusplus
}
#endif
