/*===========================================================================*/
/*   (Initflow/walk.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Initflow/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INITFLOW_WALK_TYPE_DEFINITIONS
#define BGL_INITFLOW_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iflowzf2_bgl
	{
	}                      *BgL_sfunzf2iflowzf2_bglt;


#endif													// BGL_INITFLOW_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_sfunz00_bglt BGl_z62lambda1692z62zzinitflow_walkz00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1695z62zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinitflow_walkz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzinitflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_sfunzf2iflowzf2zzinitflow_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2letzd2va1372zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2letzd2fu1370zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2node1339zb0zzinitflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2var1342z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_z62initflowzd2nodezd2appzd2ly1350zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2app1348z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62initflowzd2nodezd2funcal1352z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2setzd2ex1374zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_lubz00zzinitflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2extern1354z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2condit1358z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62initflowzd2nodezd2switch1362z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2re1366zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2classzd2typez00zztype_cachez00(void);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2makezd2b1364zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinitflow_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00(void);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62initflowzd2nodezd2jumpzd2e1376zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2boxzd2se1368zb0zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2setq1356z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2sync1346z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62initflowzd2nodezd2sequen1344z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62initflowzd2nodezd2fail1360z62zzinitflow_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda1681z62zzinitflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string2040z00zzinitflow_walkz00,
		BgL_bgl_string2040za700za7za7i2084za7, "      uninitialized globals : ",
		30);
	      DEFINE_STRING(BGl_string2041z00zzinitflow_walkz00,
		BgL_bgl_string2041za700za7za7i2085za7, " error", 6);
	      DEFINE_STRING(BGl_string2042z00zzinitflow_walkz00,
		BgL_bgl_string2042za700za7za7i2086za7, "s", 1);
	      DEFINE_STRING(BGl_string2043z00zzinitflow_walkz00,
		BgL_bgl_string2043za700za7za7i2087za7, "", 0);
	      DEFINE_STRING(BGl_string2044z00zzinitflow_walkz00,
		BgL_bgl_string2044za700za7za7i2088za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2045z00zzinitflow_walkz00,
		BgL_bgl_string2045za700za7za7i2089za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2051z00zzinitflow_walkz00,
		BgL_bgl_string2051za700za7za7i2090za7, "initflow-node1339", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1695za7622091z00, BGl_z62lambda1695z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2053z00zzinitflow_walkz00,
		BgL_bgl_string2053za700za7za7i2092za7, "initflow-node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzinitflow_walkz00,
		BgL_bgl_za762za7c3za704anonymo2093za7,
		BGl_z62zc3z04anonymousza31694ze3ze5zzinitflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1692za7622094z00, BGl_z62lambda1692z62zzinitflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzinitflow_walkz00,
		BgL_bgl_za762lambda1681za7622095z00, BGl_z62lambda1681z62zzinitflow_walkz00,
		0L, BUNSPEC, 22);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2096z00,
		BGl_z62initflowzd2node1339zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2097z00,
		BGl_z62initflowzd2nodezd2var1342z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2098z00,
		BGl_z62initflowzd2nodezd2sequen1344z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2099z00,
		BGl_z62initflowzd2nodezd2sync1346z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2100z00,
		BGl_z62initflowzd2nodezd2app1348z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2101z00,
		BGl_z62initflowzd2nodezd2appzd2ly1350zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2102z00,
		BGl_z62initflowzd2nodezd2funcal1352z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2103z00,
		BGl_z62initflowzd2nodezd2extern1354z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2104z00,
		BGl_z62initflowzd2nodezd2setq1356z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2105z00,
		BGl_z62initflowzd2nodezd2condit1358z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2106z00,
		BGl_z62initflowzd2nodezd2fail1360z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2107z00,
		BGl_z62initflowzd2nodezd2switch1362z62zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2108z00,
		BGl_z62initflowzd2nodezd2makezd2b1364zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2071z00zzinitflow_walkz00,
		BgL_bgl_string2071za700za7za7i2109za7,
		"Typed global variable used before initialized", 45);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2110z00,
		BGl_z62initflowzd2nodezd2boxzd2re1366zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2072z00zzinitflow_walkz00,
		BgL_bgl_string2072za700za7za7i2111za7, "initflow_walk", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2112z00,
		BGl_z62initflowzd2nodezd2boxzd2se1368zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2073z00zzinitflow_walkz00,
		BgL_bgl_string2073za700za7za7i2113za7,
		"no-init-flow _ initflow_walk sfun/iflow (object-init toplevel-init generic-init method-init) read pass-started ",
		111);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2114z00,
		BGl_z62initflowzd2nodezd2letzd2fu1370zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2115z00,
		BGl_z62initflowzd2nodezd2letzd2va1372zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2116z00,
		BGl_z62initflowzd2nodezd2setzd2ex1374zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2117z00,
		BGl_z62initflowzd2nodezd2jumpzd2e1376zb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initflowzd2walkz12zd2envz12zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2wa2118z00,
		BGl_z62initflowzd2walkz12za2zzinitflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
		BgL_bgl_za762initflowza7d2no2119z00,
		BGl_z62initflowzd2nodezb0zzinitflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2037z00zzinitflow_walkz00,
		BgL_bgl_string2037za700za7za7i2120za7, "Initflow", 8);
	      DEFINE_STRING(BGl_string2038z00zzinitflow_walkz00,
		BgL_bgl_string2038za700za7za7i2121za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2039z00zzinitflow_walkz00,
		BgL_bgl_string2039za700za7za7i2122za7, "failure during prelude hook", 27);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinitflow_walkz00));
		     ADD_ROOT((void *) (&BGl_sfunzf2iflowzf2zzinitflow_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long
		BgL_checksumz00_3121, char *BgL_fromz00_3122)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinitflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinitflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinitflow_walkz00();
					BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_cnstzd2initzd2zzinitflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzinitflow_walkz00();
					BGl_objectzd2initzd2zzinitflow_walkz00();
					BGl_genericzd2initzd2zzinitflow_walkz00();
					BGl_methodzd2initzd2zzinitflow_walkz00();
					return BGl_toplevelzd2initzd2zzinitflow_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"initflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"initflow_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 27 */
				obj_t BgL_cportz00_2908;

				{	/* Initflow/walk.scm 27 */
					obj_t BgL_stringz00_2915;

					BgL_stringz00_2915 = BGl_string2073z00zzinitflow_walkz00;
					{	/* Initflow/walk.scm 27 */
						obj_t BgL_startz00_2916;

						BgL_startz00_2916 = BINT(0L);
						{	/* Initflow/walk.scm 27 */
							obj_t BgL_endz00_2917;

							BgL_endz00_2917 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2915)));
							{	/* Initflow/walk.scm 27 */

								BgL_cportz00_2908 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2915, BgL_startz00_2916, BgL_endz00_2917);
				}}}}
				{
					long BgL_iz00_2909;

					BgL_iz00_2909 = 6L;
				BgL_loopz00_2910:
					if ((BgL_iz00_2909 == (-1L)))
						{	/* Initflow/walk.scm 27 */
							return BUNSPEC;
						}
					else
						{	/* Initflow/walk.scm 27 */
							{	/* Initflow/walk.scm 27 */
								obj_t BgL_arg2074z00_2911;

								{	/* Initflow/walk.scm 27 */

									{	/* Initflow/walk.scm 27 */
										obj_t BgL_locationz00_2913;

										BgL_locationz00_2913 = BBOOL(((bool_t) 0));
										{	/* Initflow/walk.scm 27 */

											BgL_arg2074z00_2911 =
												BGl_readz00zz__readerz00(BgL_cportz00_2908,
												BgL_locationz00_2913);
										}
									}
								}
								{	/* Initflow/walk.scm 27 */
									int BgL_tmpz00_3155;

									BgL_tmpz00_3155 = (int) (BgL_iz00_2909);
									CNST_TABLE_SET(BgL_tmpz00_3155, BgL_arg2074z00_2911);
							}}
							{	/* Initflow/walk.scm 27 */
								int BgL_auxz00_2914;

								BgL_auxz00_2914 = (int) ((BgL_iz00_2909 - 1L));
								{
									long BgL_iz00_3160;

									BgL_iz00_3160 = (long) (BgL_auxz00_2914);
									BgL_iz00_2909 = BgL_iz00_3160;
									goto BgL_loopz00_2910;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinitflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1480;

					BgL_headz00_1480 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1481;
						obj_t BgL_tailz00_1482;

						BgL_prevz00_1481 = BgL_headz00_1480;
						BgL_tailz00_1482 = BgL_l1z00_1;
					BgL_loopz00_1483:
						if (PAIRP(BgL_tailz00_1482))
							{
								obj_t BgL_newzd2prevzd2_1485;

								BgL_newzd2prevzd2_1485 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1482), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1481, BgL_newzd2prevzd2_1485);
								{
									obj_t BgL_tailz00_3172;
									obj_t BgL_prevz00_3171;

									BgL_prevz00_3171 = BgL_newzd2prevzd2_1485;
									BgL_tailz00_3172 = CDR(BgL_tailz00_1482);
									BgL_tailz00_1482 = BgL_tailz00_3172;
									BgL_prevz00_1481 = BgL_prevz00_3171;
									goto BgL_loopz00_1483;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1480);
					}
				}
		}

	}



/* initflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t
		BgL_globalsz00_80)
	{
		{	/* Initflow/walk.scm 48 */
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_list1386z00_1494;

				{	/* Initflow/walk.scm 49 */
					obj_t BgL_arg1388z00_1495;

					{	/* Initflow/walk.scm 49 */
						obj_t BgL_arg1390z00_1496;

						BgL_arg1390z00_1496 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1388z00_1495 =
							MAKE_YOUNG_PAIR(BGl_string2037z00zzinitflow_walkz00,
							BgL_arg1390z00_1496);
					}
					BgL_list1386z00_1494 =
						MAKE_YOUNG_PAIR(BGl_string2038z00zzinitflow_walkz00,
						BgL_arg1388z00_1495);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1386z00_1494);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2037z00zzinitflow_walkz00;
			{	/* Initflow/walk.scm 49 */
				obj_t BgL_g1143z00_1497;

				BgL_g1143z00_1497 = BNIL;
				{
					obj_t BgL_hooksz00_1500;
					obj_t BgL_hnamesz00_1501;

					BgL_hooksz00_1500 = BgL_g1143z00_1497;
					BgL_hnamesz00_1501 = BNIL;
				BgL_zc3z04anonymousza31391ze3z87_1502:
					if (NULLP(BgL_hooksz00_1500))
						{	/* Initflow/walk.scm 49 */
							((obj_t) CNST_TABLE_REF(0));
						}
					else
						{	/* Initflow/walk.scm 49 */
							bool_t BgL_test2128z00_3186;

							{	/* Initflow/walk.scm 49 */
								obj_t BgL_fun1403z00_1509;

								BgL_fun1403z00_1509 = CAR(((obj_t) BgL_hooksz00_1500));
								BgL_test2128z00_3186 =
									CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1403z00_1509));
							}
							if (BgL_test2128z00_3186)
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1400z00_1506;
									obj_t BgL_arg1401z00_1507;

									BgL_arg1400z00_1506 = CDR(((obj_t) BgL_hooksz00_1500));
									BgL_arg1401z00_1507 = CDR(((obj_t) BgL_hnamesz00_1501));
									{
										obj_t BgL_hnamesz00_3198;
										obj_t BgL_hooksz00_3197;

										BgL_hooksz00_3197 = BgL_arg1400z00_1506;
										BgL_hnamesz00_3198 = BgL_arg1401z00_1507;
										BgL_hnamesz00_1501 = BgL_hnamesz00_3198;
										BgL_hooksz00_1500 = BgL_hooksz00_3197;
										goto BgL_zc3z04anonymousza31391ze3z87_1502;
									}
								}
							else
								{	/* Initflow/walk.scm 49 */
									obj_t BgL_arg1402z00_1508;

									BgL_arg1402z00_1508 = CAR(((obj_t) BgL_hnamesz00_1501));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2037z00zzinitflow_walkz00,
										BGl_string2039z00zzinitflow_walkz00, BgL_arg1402z00_1508);
								}
						}
				}
			}
			{
				obj_t BgL_l1296z00_1513;

				BgL_l1296z00_1513 = BgL_globalsz00_80;
			BgL_zc3z04anonymousza31405ze3z87_1514:
				if (PAIRP(BgL_l1296z00_1513))
					{	/* Initflow/walk.scm 53 */
						{	/* Initflow/walk.scm 54 */
							obj_t BgL_gz00_1516;

							BgL_gz00_1516 = CAR(BgL_l1296z00_1513);
							if (
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1516))))->
										BgL_accessz00) == ((obj_t) CNST_TABLE_REF(1))))
								{	/* Initflow/walk.scm 55 */
									BgL_valuez00_bglt BgL_valuez00_1519;

									BgL_valuez00_1519 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gz00_1516))))->
										BgL_valuez00);
									{	/* Initflow/walk.scm 56 */
										bool_t BgL_test2131z00_3215;

										{	/* Initflow/walk.scm 56 */
											obj_t BgL_classz00_2204;

											BgL_classz00_2204 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 56 */
												BgL_objectz00_bglt BgL_arg1858z00_2206;

												{	/* Initflow/walk.scm 56 */
													obj_t BgL_tmpz00_3216;

													BgL_tmpz00_3216 =
														((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_1519));
													BgL_arg1858z00_2206 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3216);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Initflow/walk.scm 56 */
														long BgL_idxz00_2212;

														BgL_idxz00_2212 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2206);
														BgL_test2131z00_3215 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2212 + 3L)) == BgL_classz00_2204);
													}
												else
													{	/* Initflow/walk.scm 56 */
														bool_t BgL_res2015z00_2237;

														{	/* Initflow/walk.scm 56 */
															obj_t BgL_oclassz00_2220;

															{	/* Initflow/walk.scm 56 */
																obj_t BgL_arg1866z00_2228;
																long BgL_arg1867z00_2229;

																BgL_arg1866z00_2228 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Initflow/walk.scm 56 */
																	long BgL_arg1869z00_2230;

																	BgL_arg1869z00_2230 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2206);
																	BgL_arg1867z00_2229 =
																		(BgL_arg1869z00_2230 - OBJECT_TYPE);
																}
																BgL_oclassz00_2220 =
																	VECTOR_REF(BgL_arg1866z00_2228,
																	BgL_arg1867z00_2229);
															}
															{	/* Initflow/walk.scm 56 */
																bool_t BgL__ortest_1115z00_2221;

																BgL__ortest_1115z00_2221 =
																	(BgL_classz00_2204 == BgL_oclassz00_2220);
																if (BgL__ortest_1115z00_2221)
																	{	/* Initflow/walk.scm 56 */
																		BgL_res2015z00_2237 =
																			BgL__ortest_1115z00_2221;
																	}
																else
																	{	/* Initflow/walk.scm 56 */
																		long BgL_odepthz00_2222;

																		{	/* Initflow/walk.scm 56 */
																			obj_t BgL_arg1855z00_2223;

																			BgL_arg1855z00_2223 =
																				(BgL_oclassz00_2220);
																			BgL_odepthz00_2222 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2223);
																		}
																		if ((3L < BgL_odepthz00_2222))
																			{	/* Initflow/walk.scm 56 */
																				obj_t BgL_arg1853z00_2225;

																				{	/* Initflow/walk.scm 56 */
																					obj_t BgL_arg1854z00_2226;

																					BgL_arg1854z00_2226 =
																						(BgL_oclassz00_2220);
																					BgL_arg1853z00_2225 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2226, 3L);
																				}
																				BgL_res2015z00_2237 =
																					(BgL_arg1853z00_2225 ==
																					BgL_classz00_2204);
																			}
																		else
																			{	/* Initflow/walk.scm 56 */
																				BgL_res2015z00_2237 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2131z00_3215 = BgL_res2015z00_2237;
													}
											}
										}
										if (BgL_test2131z00_3215)
											{	/* Initflow/walk.scm 56 */
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1516)))->
														BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										else
											{	/* Initflow/walk.scm 56 */
												BFALSE;
											}
									}
								}
							else
								{	/* Initflow/walk.scm 54 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l1296z00_3241;

							BgL_l1296z00_3241 = CDR(BgL_l1296z00_1513);
							BgL_l1296z00_1513 = BgL_l1296z00_3241;
							goto BgL_zc3z04anonymousza31405ze3z87_1514;
						}
					}
				else
					{	/* Initflow/walk.scm 53 */
						((bool_t) 1);
					}
			}
			{	/* Initflow/walk.scm 60 */
				obj_t BgL_g1311z00_1524;

				BgL_g1311z00_1524 = ((obj_t) CNST_TABLE_REF(2));
				{
					obj_t BgL_l1309z00_1526;

					BgL_l1309z00_1526 = BgL_g1311z00_1524;
				BgL_zc3z04anonymousza31458ze3z87_1527:
					if (PAIRP(BgL_l1309z00_1526))
						{	/* Initflow/walk.scm 72 */
							{	/* Initflow/walk.scm 61 */
								obj_t BgL_idz00_1529;

								BgL_idz00_1529 = CAR(BgL_l1309z00_1526);
								{	/* Initflow/walk.scm 61 */
									obj_t BgL_rootz00_1530;

									BgL_rootz00_1530 =
										BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1529,
										BGl_za2moduleza2z00zzmodule_modulez00);
									{	/* Initflow/walk.scm 62 */
										bool_t BgL_test2136z00_3249;

										{	/* Initflow/walk.scm 62 */
											obj_t BgL_classz00_2241;

											BgL_classz00_2241 = BGl_globalz00zzast_varz00;
											if (BGL_OBJECTP(BgL_rootz00_1530))
												{	/* Initflow/walk.scm 62 */
													BgL_objectz00_bglt BgL_arg1858z00_2243;

													BgL_arg1858z00_2243 =
														(BgL_objectz00_bglt) (BgL_rootz00_1530);
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Initflow/walk.scm 62 */
															long BgL_idxz00_2249;

															BgL_idxz00_2249 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2243);
															BgL_test2136z00_3249 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2249 + 2L)) == BgL_classz00_2241);
														}
													else
														{	/* Initflow/walk.scm 62 */
															bool_t BgL_res2016z00_2274;

															{	/* Initflow/walk.scm 62 */
																obj_t BgL_oclassz00_2257;

																{	/* Initflow/walk.scm 62 */
																	obj_t BgL_arg1866z00_2265;
																	long BgL_arg1867z00_2266;

																	BgL_arg1866z00_2265 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Initflow/walk.scm 62 */
																		long BgL_arg1869z00_2267;

																		BgL_arg1869z00_2267 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2243);
																		BgL_arg1867z00_2266 =
																			(BgL_arg1869z00_2267 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2257 =
																		VECTOR_REF(BgL_arg1866z00_2265,
																		BgL_arg1867z00_2266);
																}
																{	/* Initflow/walk.scm 62 */
																	bool_t BgL__ortest_1115z00_2258;

																	BgL__ortest_1115z00_2258 =
																		(BgL_classz00_2241 == BgL_oclassz00_2257);
																	if (BgL__ortest_1115z00_2258)
																		{	/* Initflow/walk.scm 62 */
																			BgL_res2016z00_2274 =
																				BgL__ortest_1115z00_2258;
																		}
																	else
																		{	/* Initflow/walk.scm 62 */
																			long BgL_odepthz00_2259;

																			{	/* Initflow/walk.scm 62 */
																				obj_t BgL_arg1855z00_2260;

																				BgL_arg1855z00_2260 =
																					(BgL_oclassz00_2257);
																				BgL_odepthz00_2259 =
																					BGL_CLASS_DEPTH(BgL_arg1855z00_2260);
																			}
																			if ((2L < BgL_odepthz00_2259))
																				{	/* Initflow/walk.scm 62 */
																					obj_t BgL_arg1853z00_2262;

																					{	/* Initflow/walk.scm 62 */
																						obj_t BgL_arg1854z00_2263;

																						BgL_arg1854z00_2263 =
																							(BgL_oclassz00_2257);
																						BgL_arg1853z00_2262 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_arg1854z00_2263, 2L);
																					}
																					BgL_res2016z00_2274 =
																						(BgL_arg1853z00_2262 ==
																						BgL_classz00_2241);
																				}
																			else
																				{	/* Initflow/walk.scm 62 */
																					BgL_res2016z00_2274 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2136z00_3249 = BgL_res2016z00_2274;
														}
												}
											else
												{	/* Initflow/walk.scm 62 */
													BgL_test2136z00_3249 = ((bool_t) 0);
												}
										}
										if (BgL_test2136z00_3249)
											{	/* Initflow/walk.scm 62 */
												BGl_initflowzd2funzd2zzinitflow_walkz00(
													((BgL_variablez00_bglt) BgL_rootz00_1530),
													((bool_t) 1));
												{	/* Initflow/walk.scm 64 */
													obj_t BgL_lz00_1532;

													{	/* Initflow/walk.scm 64 */
														obj_t BgL_hook1302z00_1554;

														BgL_hook1302z00_1554 =
															MAKE_YOUNG_PAIR(BFALSE, BNIL);
														{
															obj_t BgL_l1299z00_1556;
															obj_t BgL_h1300z00_1557;

															BgL_l1299z00_1556 = BgL_globalsz00_80;
															BgL_h1300z00_1557 = BgL_hook1302z00_1554;
														BgL_zc3z04anonymousza31513ze3z87_1558:
															if (NULLP(BgL_l1299z00_1556))
																{	/* Initflow/walk.scm 64 */
																	BgL_lz00_1532 = CDR(BgL_hook1302z00_1554);
																}
															else
																{	/* Initflow/walk.scm 64 */
																	bool_t BgL_test2142z00_3278;

																	{	/* Initflow/walk.scm 65 */
																		obj_t BgL_gz00_1571;

																		BgL_gz00_1571 =
																			CAR(((obj_t) BgL_l1299z00_1556));
																		{	/* Initflow/walk.scm 65 */
																			bool_t BgL_test2143z00_3281;

																			{	/* Initflow/walk.scm 65 */
																				BgL_valuez00_bglt BgL_arg1554z00_1575;

																				BgL_arg1554z00_1575 =
																					(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_gz00_1571))))->
																					BgL_valuez00);
																				{	/* Initflow/walk.scm 65 */
																					obj_t BgL_classz00_2278;

																					BgL_classz00_2278 =
																						BGl_sfunz00zzast_varz00;
																					{	/* Initflow/walk.scm 65 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_2280;
																						{	/* Initflow/walk.scm 65 */
																							obj_t BgL_tmpz00_3285;

																							BgL_tmpz00_3285 =
																								((obj_t)
																								((BgL_objectz00_bglt)
																									BgL_arg1554z00_1575));
																							BgL_arg1858z00_2280 =
																								(BgL_objectz00_bglt)
																								(BgL_tmpz00_3285);
																						}
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Initflow/walk.scm 65 */
																								long BgL_idxz00_2286;

																								BgL_idxz00_2286 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_2280);
																								BgL_test2143z00_3281 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2286 + 3L)) ==
																									BgL_classz00_2278);
																							}
																						else
																							{	/* Initflow/walk.scm 65 */
																								bool_t BgL_res2017z00_2311;

																								{	/* Initflow/walk.scm 65 */
																									obj_t BgL_oclassz00_2294;

																									{	/* Initflow/walk.scm 65 */
																										obj_t BgL_arg1866z00_2302;
																										long BgL_arg1867z00_2303;

																										BgL_arg1866z00_2302 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Initflow/walk.scm 65 */
																											long BgL_arg1869z00_2304;

																											BgL_arg1869z00_2304 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_2280);
																											BgL_arg1867z00_2303 =
																												(BgL_arg1869z00_2304 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2294 =
																											VECTOR_REF
																											(BgL_arg1866z00_2302,
																											BgL_arg1867z00_2303);
																									}
																									{	/* Initflow/walk.scm 65 */
																										bool_t
																											BgL__ortest_1115z00_2295;
																										BgL__ortest_1115z00_2295 =
																											(BgL_classz00_2278 ==
																											BgL_oclassz00_2294);
																										if (BgL__ortest_1115z00_2295)
																											{	/* Initflow/walk.scm 65 */
																												BgL_res2017z00_2311 =
																													BgL__ortest_1115z00_2295;
																											}
																										else
																											{	/* Initflow/walk.scm 65 */
																												long BgL_odepthz00_2296;

																												{	/* Initflow/walk.scm 65 */
																													obj_t
																														BgL_arg1855z00_2297;
																													BgL_arg1855z00_2297 =
																														(BgL_oclassz00_2294);
																													BgL_odepthz00_2296 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_2297);
																												}
																												if (
																													(3L <
																														BgL_odepthz00_2296))
																													{	/* Initflow/walk.scm 65 */
																														obj_t
																															BgL_arg1853z00_2299;
																														{	/* Initflow/walk.scm 65 */
																															obj_t
																																BgL_arg1854z00_2300;
																															BgL_arg1854z00_2300
																																=
																																(BgL_oclassz00_2294);
																															BgL_arg1853z00_2299
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_2300,
																																3L);
																														}
																														BgL_res2017z00_2311
																															=
																															(BgL_arg1853z00_2299
																															==
																															BgL_classz00_2278);
																													}
																												else
																													{	/* Initflow/walk.scm 65 */
																														BgL_res2017z00_2311
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2143z00_3281 =
																									BgL_res2017z00_2311;
																							}
																					}
																				}
																			}
																			if (BgL_test2143z00_3281)
																				{	/* Initflow/walk.scm 65 */
																					BgL_test2142z00_3278 = ((bool_t) 0);
																				}
																			else
																				{	/* Initflow/walk.scm 65 */
																					if (
																						((((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_gz00_1571)))->
																								BgL_initz00) == BTRUE))
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2142z00_3278 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Initflow/walk.scm 66 */
																							BgL_test2142z00_3278 =
																								((bool_t) 1);
																						}
																				}
																		}
																	}
																	if (BgL_test2142z00_3278)
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_nh1301z00_1567;

																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1543z00_1569;

																				BgL_arg1543z00_1569 =
																					CAR(((obj_t) BgL_l1299z00_1556));
																				BgL_nh1301z00_1567 =
																					MAKE_YOUNG_PAIR(BgL_arg1543z00_1569,
																					BNIL);
																			}
																			SET_CDR(BgL_h1300z00_1557,
																				BgL_nh1301z00_1567);
																			{	/* Initflow/walk.scm 64 */
																				obj_t BgL_arg1535z00_1568;

																				BgL_arg1535z00_1568 =
																					CDR(((obj_t) BgL_l1299z00_1556));
																				{
																					obj_t BgL_h1300z00_3319;
																					obj_t BgL_l1299z00_3318;

																					BgL_l1299z00_3318 =
																						BgL_arg1535z00_1568;
																					BgL_h1300z00_3319 =
																						BgL_nh1301z00_1567;
																					BgL_h1300z00_1557 = BgL_h1300z00_3319;
																					BgL_l1299z00_1556 = BgL_l1299z00_3318;
																					goto
																						BgL_zc3z04anonymousza31513ze3z87_1558;
																				}
																			}
																		}
																	else
																		{	/* Initflow/walk.scm 64 */
																			obj_t BgL_arg1545z00_1570;

																			BgL_arg1545z00_1570 =
																				CDR(((obj_t) BgL_l1299z00_1556));
																			{
																				obj_t BgL_l1299z00_3322;

																				BgL_l1299z00_3322 = BgL_arg1545z00_1570;
																				BgL_l1299z00_1556 = BgL_l1299z00_3322;
																				goto
																					BgL_zc3z04anonymousza31513ze3z87_1558;
																			}
																		}
																}
														}
													}
													if (PAIRP(BgL_lz00_1532))
														{	/* Initflow/walk.scm 70 */
															obj_t BgL_arg1471z00_1534;

															{	/* Initflow/walk.scm 70 */
																obj_t BgL_head1305z00_1540;

																BgL_head1305z00_1540 =
																	MAKE_YOUNG_PAIR(BGl_shapez00zztools_shapez00
																	(CAR(BgL_lz00_1532)), BNIL);
																{	/* Initflow/walk.scm 70 */
																	obj_t BgL_g1308z00_1541;

																	BgL_g1308z00_1541 = CDR(BgL_lz00_1532);
																	{
																		obj_t BgL_l1303z00_1543;
																		obj_t BgL_tail1306z00_1544;

																		BgL_l1303z00_1543 = BgL_g1308z00_1541;
																		BgL_tail1306z00_1544 = BgL_head1305z00_1540;
																	BgL_zc3z04anonymousza31487ze3z87_1545:
																		if (NULLP(BgL_l1303z00_1543))
																			{	/* Initflow/walk.scm 70 */
																				BgL_arg1471z00_1534 =
																					BgL_head1305z00_1540;
																			}
																		else
																			{	/* Initflow/walk.scm 70 */
																				obj_t BgL_newtail1307z00_1547;

																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1490z00_1549;

																					{	/* Initflow/walk.scm 70 */
																						obj_t BgL_arg1506z00_1550;

																						BgL_arg1506z00_1550 =
																							CAR(((obj_t) BgL_l1303z00_1543));
																						BgL_arg1490z00_1549 =
																							BGl_shapez00zztools_shapez00
																							(BgL_arg1506z00_1550);
																					}
																					BgL_newtail1307z00_1547 =
																						MAKE_YOUNG_PAIR(BgL_arg1490z00_1549,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1306z00_1544,
																					BgL_newtail1307z00_1547);
																				{	/* Initflow/walk.scm 70 */
																					obj_t BgL_arg1489z00_1548;

																					BgL_arg1489z00_1548 =
																						CDR(((obj_t) BgL_l1303z00_1543));
																					{
																						obj_t BgL_tail1306z00_3339;
																						obj_t BgL_l1303z00_3338;

																						BgL_l1303z00_3338 =
																							BgL_arg1489z00_1548;
																						BgL_tail1306z00_3339 =
																							BgL_newtail1307z00_1547;
																						BgL_tail1306z00_1544 =
																							BgL_tail1306z00_3339;
																						BgL_l1303z00_1543 =
																							BgL_l1303z00_3338;
																						goto
																							BgL_zc3z04anonymousza31487ze3z87_1545;
																					}
																				}
																			}
																	}
																}
															}
															{	/* Initflow/walk.scm 69 */
																obj_t BgL_list1472z00_1535;

																{	/* Initflow/walk.scm 69 */
																	obj_t BgL_arg1480z00_1536;

																	{	/* Initflow/walk.scm 69 */
																		obj_t BgL_arg1484z00_1537;

																		BgL_arg1484z00_1537 =
																			MAKE_YOUNG_PAIR(BCHAR(((unsigned char)
																					10)), BNIL);
																		BgL_arg1480z00_1536 =
																			MAKE_YOUNG_PAIR(BgL_arg1471z00_1534,
																			BgL_arg1484z00_1537);
																	}
																	BgL_list1472z00_1535 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2040z00zzinitflow_walkz00,
																		BgL_arg1480z00_1536);
																}
																BGl_verbosez00zztools_speekz00(BINT(2L),
																	BgL_list1472z00_1535);
														}}
													else
														{	/* Initflow/walk.scm 68 */
															BFALSE;
														}
												}
											}
										else
											{	/* Initflow/walk.scm 62 */
												BFALSE;
											}
									}
								}
							}
							{
								obj_t BgL_l1309z00_3346;

								BgL_l1309z00_3346 = CDR(BgL_l1309z00_1526);
								BgL_l1309z00_1526 = BgL_l1309z00_3346;
								goto BgL_zc3z04anonymousza31458ze3z87_1527;
							}
						}
					else
						{	/* Initflow/walk.scm 72 */
							((bool_t) 1);
						}
				}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Initflow/walk.scm 74 */
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_port1312z00_1581;

						{	/* Initflow/walk.scm 74 */
							obj_t BgL_tmpz00_3351;

							BgL_tmpz00_3351 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1312z00_1581 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3351);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1312z00_1581);
						bgl_display_string(BGl_string2041z00zzinitflow_walkz00,
							BgL_port1312z00_1581);
						{	/* Initflow/walk.scm 74 */
							obj_t BgL_arg1560z00_1582;

							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2151z00_3356;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Initflow/walk.scm 74 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Initflow/walk.scm 74 */
												BgL_test2151z00_3356 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Initflow/walk.scm 74 */
												BgL_test2151z00_3356 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_test2151z00_3356 = ((bool_t) 0);
									}
								if (BgL_test2151z00_3356)
									{	/* Initflow/walk.scm 74 */
										BgL_arg1560z00_1582 = BGl_string2042z00zzinitflow_walkz00;
									}
								else
									{	/* Initflow/walk.scm 74 */
										BgL_arg1560z00_1582 = BGl_string2043z00zzinitflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1560z00_1582, BgL_port1312z00_1581);
						}
						bgl_display_string(BGl_string2044z00zzinitflow_walkz00,
							BgL_port1312z00_1581);
						bgl_display_char(((unsigned char) 10), BgL_port1312z00_1581);
					}
					{	/* Initflow/walk.scm 74 */
						obj_t BgL_list1563z00_1586;

						BgL_list1563z00_1586 = MAKE_YOUNG_PAIR(BINT((-1L)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1563z00_1586);
					}
				}
			else
				{	/* Initflow/walk.scm 74 */
					obj_t BgL_g1146z00_1587;

					BgL_g1146z00_1587 = BNIL;
					{
						obj_t BgL_hooksz00_1590;
						obj_t BgL_hnamesz00_1591;

						BgL_hooksz00_1590 = BgL_g1146z00_1587;
						BgL_hnamesz00_1591 = BNIL;
					BgL_zc3z04anonymousza31564ze3z87_1592:
						if (NULLP(BgL_hooksz00_1590))
							{	/* Initflow/walk.scm 74 */
								return BgL_globalsz00_80;
							}
						else
							{	/* Initflow/walk.scm 74 */
								bool_t BgL_test2155z00_3373;

								{	/* Initflow/walk.scm 74 */
									obj_t BgL_fun1579z00_1599;

									BgL_fun1579z00_1599 = CAR(((obj_t) BgL_hooksz00_1590));
									BgL_test2155z00_3373 =
										CBOOL(BGL_PROCEDURE_CALL0(BgL_fun1579z00_1599));
								}
								if (BgL_test2155z00_3373)
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1574z00_1596;
										obj_t BgL_arg1577z00_1597;

										BgL_arg1574z00_1596 = CDR(((obj_t) BgL_hooksz00_1590));
										BgL_arg1577z00_1597 = CDR(((obj_t) BgL_hnamesz00_1591));
										{
											obj_t BgL_hnamesz00_3385;
											obj_t BgL_hooksz00_3384;

											BgL_hooksz00_3384 = BgL_arg1574z00_1596;
											BgL_hnamesz00_3385 = BgL_arg1577z00_1597;
											BgL_hnamesz00_1591 = BgL_hnamesz00_3385;
											BgL_hooksz00_1590 = BgL_hooksz00_3384;
											goto BgL_zc3z04anonymousza31564ze3z87_1592;
										}
									}
								else
									{	/* Initflow/walk.scm 74 */
										obj_t BgL_arg1578z00_1598;

										BgL_arg1578z00_1598 = CAR(((obj_t) BgL_hnamesz00_1591));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2045z00zzinitflow_walkz00, BgL_arg1578z00_1598);
									}
							}
					}
				}
		}

	}



/* &initflow-walk! */
	obj_t BGl_z62initflowzd2walkz12za2zzinitflow_walkz00(obj_t BgL_envz00_2794,
		obj_t BgL_globalsz00_2795)
	{
		{	/* Initflow/walk.scm 48 */
			return BGl_initflowzd2walkz12zc0zzinitflow_walkz00(BgL_globalsz00_2795);
		}

	}



/* initflow-fun */
	obj_t BGl_initflowzd2funzd2zzinitflow_walkz00(BgL_variablez00_bglt
		BgL_varz00_81, bool_t BgL_ez00_82)
	{
		{	/* Initflow/walk.scm 79 */
			{	/* Initflow/walk.scm 80 */
				BgL_valuez00_bglt BgL_fz00_1602;

				BgL_fz00_1602 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_81))->BgL_valuez00);
				{	/* Initflow/walk.scm 82 */
					bool_t BgL_test2156z00_3391;

					{	/* Initflow/walk.scm 82 */
						obj_t BgL_arg1590z00_1612;

						BgL_arg1590z00_1612 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_fz00_1602)))->BgL_bodyz00);
						{	/* Initflow/walk.scm 82 */
							obj_t BgL_classz00_2338;

							BgL_classz00_2338 = BGl_nodez00zzast_nodez00;
							if (BGL_OBJECTP(BgL_arg1590z00_1612))
								{	/* Initflow/walk.scm 82 */
									BgL_objectz00_bglt BgL_arg1858z00_2340;

									BgL_arg1858z00_2340 =
										(BgL_objectz00_bglt) (BgL_arg1590z00_1612);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Initflow/walk.scm 82 */
											long BgL_idxz00_2346;

											BgL_idxz00_2346 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2340);
											BgL_test2156z00_3391 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2346 + 1L)) == BgL_classz00_2338);
										}
									else
										{	/* Initflow/walk.scm 82 */
											bool_t BgL_res2019z00_2371;

											{	/* Initflow/walk.scm 82 */
												obj_t BgL_oclassz00_2354;

												{	/* Initflow/walk.scm 82 */
													obj_t BgL_arg1866z00_2362;
													long BgL_arg1867z00_2363;

													BgL_arg1866z00_2362 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Initflow/walk.scm 82 */
														long BgL_arg1869z00_2364;

														BgL_arg1869z00_2364 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2340);
														BgL_arg1867z00_2363 =
															(BgL_arg1869z00_2364 - OBJECT_TYPE);
													}
													BgL_oclassz00_2354 =
														VECTOR_REF(BgL_arg1866z00_2362,
														BgL_arg1867z00_2363);
												}
												{	/* Initflow/walk.scm 82 */
													bool_t BgL__ortest_1115z00_2355;

													BgL__ortest_1115z00_2355 =
														(BgL_classz00_2338 == BgL_oclassz00_2354);
													if (BgL__ortest_1115z00_2355)
														{	/* Initflow/walk.scm 82 */
															BgL_res2019z00_2371 = BgL__ortest_1115z00_2355;
														}
													else
														{	/* Initflow/walk.scm 82 */
															long BgL_odepthz00_2356;

															{	/* Initflow/walk.scm 82 */
																obj_t BgL_arg1855z00_2357;

																BgL_arg1855z00_2357 = (BgL_oclassz00_2354);
																BgL_odepthz00_2356 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_2357);
															}
															if ((1L < BgL_odepthz00_2356))
																{	/* Initflow/walk.scm 82 */
																	obj_t BgL_arg1853z00_2359;

																	{	/* Initflow/walk.scm 82 */
																		obj_t BgL_arg1854z00_2360;

																		BgL_arg1854z00_2360 = (BgL_oclassz00_2354);
																		BgL_arg1853z00_2359 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_2360, 1L);
																	}
																	BgL_res2019z00_2371 =
																		(BgL_arg1853z00_2359 == BgL_classz00_2338);
																}
															else
																{	/* Initflow/walk.scm 82 */
																	BgL_res2019z00_2371 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2156z00_3391 = BgL_res2019z00_2371;
										}
								}
							else
								{	/* Initflow/walk.scm 82 */
									BgL_test2156z00_3391 = ((bool_t) 0);
								}
						}
					}
					if (BgL_test2156z00_3391)
						{	/* Initflow/walk.scm 84 */
							bool_t BgL_test2161z00_3416;

							{	/* Initflow/walk.scm 84 */
								obj_t BgL_classz00_2372;

								BgL_classz00_2372 = BGl_sfunzf2iflowzf2zzinitflow_walkz00;
								{	/* Initflow/walk.scm 84 */
									obj_t BgL_oclassz00_2374;

									{	/* Initflow/walk.scm 84 */
										obj_t BgL_arg1866z00_2376;
										long BgL_arg1867z00_2377;

										BgL_arg1866z00_2376 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Initflow/walk.scm 84 */
											long BgL_arg1869z00_2378;

											BgL_arg1869z00_2378 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_fz00_1602));
											BgL_arg1867z00_2377 = (BgL_arg1869z00_2378 - OBJECT_TYPE);
										}
										BgL_oclassz00_2374 =
											VECTOR_REF(BgL_arg1866z00_2376, BgL_arg1867z00_2377);
									}
									BgL_test2161z00_3416 =
										(BgL_oclassz00_2374 == BgL_classz00_2372);
							}}
							if (BgL_test2161z00_3416)
								{	/* Initflow/walk.scm 84 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 84 */
									{	/* Initflow/walk.scm 87 */
										BgL_sfunzf2iflowzf2_bglt BgL_wide1150z00_1608;

										BgL_wide1150z00_1608 =
											((BgL_sfunzf2iflowzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_sfunzf2iflowzf2_bgl))));
										{	/* Initflow/walk.scm 87 */
											obj_t BgL_auxz00_3428;
											BgL_objectz00_bglt BgL_tmpz00_3424;

											BgL_auxz00_3428 = ((obj_t) BgL_wide1150z00_1608);
											BgL_tmpz00_3424 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_fz00_1602)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3424, BgL_auxz00_3428);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1602)));
										{	/* Initflow/walk.scm 87 */
											long BgL_arg1587z00_1609;

											BgL_arg1587z00_1609 =
												BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_fz00_1602))),
												BgL_arg1587z00_1609);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1602)));
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_fz00_1602));
									{	/* Initflow/walk.scm 88 */
										obj_t BgL_arg1588z00_1611;

										BgL_arg1588z00_1611 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_1602)))->BgL_bodyz00);
										return
											BGl_initflowzd2nodezd2zzinitflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg1588z00_1611), BgL_ez00_82);
									}
								}
						}
					else
						{	/* Initflow/walk.scm 82 */
							return BNIL;
						}
				}
			}
		}

	}



/* initflow-node* */
	obj_t BGl_initflowzd2nodeza2z70zzinitflow_walkz00(obj_t BgL_nodesz00_87,
		obj_t BgL_ez00_88)
	{
		{	/* Initflow/walk.scm 124 */
			{
				obj_t BgL_nodesz00_1615;
				obj_t BgL_isz00_1616;

				BgL_nodesz00_1615 = BgL_nodesz00_87;
				BgL_isz00_1616 = BNIL;
			BgL_zc3z04anonymousza31591ze3z87_1617:
				if (NULLP(BgL_nodesz00_1615))
					{	/* Initflow/walk.scm 127 */
						if (CBOOL(BgL_ez00_88))
							{	/* Initflow/walk.scm 128 */
								{
									obj_t BgL_l1313z00_1620;

									BgL_l1313z00_1620 = BgL_isz00_1616;
								BgL_zc3z04anonymousza31593ze3z87_1621:
									if (PAIRP(BgL_l1313z00_1620))
										{	/* Initflow/walk.scm 130 */
											{	/* Initflow/walk.scm 131 */
												obj_t BgL_gz00_1623;

												BgL_gz00_1623 = CAR(BgL_l1313z00_1620);
												if (
													((((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_gz00_1623)))->
															BgL_initz00) == BUNSPEC))
													{	/* Initflow/walk.scm 131 */
														((((BgL_globalz00_bglt) COBJECT(
																		((BgL_globalz00_bglt) BgL_gz00_1623)))->
																BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
													}
												else
													{	/* Initflow/walk.scm 131 */
														BFALSE;
													}
											}
											{
												obj_t BgL_l1313z00_3461;

												BgL_l1313z00_3461 = CDR(BgL_l1313z00_1620);
												BgL_l1313z00_1620 = BgL_l1313z00_3461;
												goto BgL_zc3z04anonymousza31593ze3z87_1621;
											}
										}
									else
										{	/* Initflow/walk.scm 130 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Initflow/walk.scm 135 */
								obj_t BgL_hook1319z00_1629;

								BgL_hook1319z00_1629 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1316z00_1631;
									obj_t BgL_h1317z00_1632;

									BgL_l1316z00_1631 = BgL_isz00_1616;
									BgL_h1317z00_1632 = BgL_hook1319z00_1629;
								BgL_zc3z04anonymousza31612ze3z87_1633:
									if (NULLP(BgL_l1316z00_1631))
										{	/* Initflow/walk.scm 135 */
											return CDR(BgL_hook1319z00_1629);
										}
									else
										{	/* Initflow/walk.scm 135 */
											if (CBOOL(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt)
																	CAR(
																		((obj_t) BgL_l1316z00_1631)))))->
														BgL_initz00)))
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_nh1318z00_1637;

													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1632z00_1639;

														BgL_arg1632z00_1639 =
															CAR(((obj_t) BgL_l1316z00_1631));
														BgL_nh1318z00_1637 =
															MAKE_YOUNG_PAIR(BgL_arg1632z00_1639, BNIL);
													}
													SET_CDR(BgL_h1317z00_1632, BgL_nh1318z00_1637);
													{	/* Initflow/walk.scm 135 */
														obj_t BgL_arg1631z00_1638;

														BgL_arg1631z00_1638 =
															CDR(((obj_t) BgL_l1316z00_1631));
														{
															obj_t BgL_h1317z00_3480;
															obj_t BgL_l1316z00_3479;

															BgL_l1316z00_3479 = BgL_arg1631z00_1638;
															BgL_h1317z00_3480 = BgL_nh1318z00_1637;
															BgL_h1317z00_1632 = BgL_h1317z00_3480;
															BgL_l1316z00_1631 = BgL_l1316z00_3479;
															goto BgL_zc3z04anonymousza31612ze3z87_1633;
														}
													}
												}
											else
												{	/* Initflow/walk.scm 135 */
													obj_t BgL_arg1633z00_1640;

													BgL_arg1633z00_1640 =
														CDR(((obj_t) BgL_l1316z00_1631));
													{
														obj_t BgL_l1316z00_3483;

														BgL_l1316z00_3483 = BgL_arg1633z00_1640;
														BgL_l1316z00_1631 = BgL_l1316z00_3483;
														goto BgL_zc3z04anonymousza31612ze3z87_1633;
													}
												}
										}
								}
							}
					}
				else
					{	/* Initflow/walk.scm 136 */
						obj_t BgL_iz00_1643;

						{	/* Initflow/walk.scm 136 */
							obj_t BgL_arg1643z00_1646;

							BgL_arg1643z00_1646 = CAR(((obj_t) BgL_nodesz00_1615));
							BgL_iz00_1643 =
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
								((BgL_nodez00_bglt) BgL_arg1643z00_1646), ((bool_t) 0));
						}
						{	/* Initflow/walk.scm 137 */
							obj_t BgL_arg1638z00_1644;
							obj_t BgL_arg1642z00_1645;

							BgL_arg1638z00_1644 = CDR(((obj_t) BgL_nodesz00_1615));
							BgL_arg1642z00_1645 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_1643,
								BgL_isz00_1616);
							{
								obj_t BgL_isz00_3492;
								obj_t BgL_nodesz00_3491;

								BgL_nodesz00_3491 = BgL_arg1638z00_1644;
								BgL_isz00_3492 = BgL_arg1642z00_1645;
								BgL_isz00_1616 = BgL_isz00_3492;
								BgL_nodesz00_1615 = BgL_nodesz00_3491;
								goto BgL_zc3z04anonymousza31591ze3z87_1617;
							}
						}
					}
			}
		}

	}



/* lub */
	obj_t BGl_lubz00zzinitflow_walkz00(obj_t BgL_isz00_103, obj_t BgL_ez00_104)
	{
		{	/* Initflow/walk.scm 216 */
			if (NULLP(BgL_isz00_103))
				{	/* Initflow/walk.scm 217 */
					return BNIL;
				}
			else
				{	/* Initflow/walk.scm 219 */
					obj_t BgL_lubz00_1649;

					BgL_lubz00_1649 = BNIL;
					{	/* Initflow/walk.scm 220 */
						obj_t BgL_g1326z00_1650;

						BgL_g1326z00_1650 = CAR(((obj_t) BgL_isz00_103));
						{
							obj_t BgL_l1324z00_1652;

							BgL_l1324z00_1652 = BgL_g1326z00_1650;
						BgL_zc3z04anonymousza31645ze3z87_1653:
							if (PAIRP(BgL_l1324z00_1652))
								{	/* Initflow/walk.scm 226 */
									{	/* Initflow/walk.scm 221 */
										obj_t BgL_gz00_1655;

										BgL_gz00_1655 = CAR(BgL_l1324z00_1652);
										{	/* Initflow/walk.scm 221 */
											bool_t BgL_test2170z00_3500;

											if (
												((((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_gz00_1655)))->
														BgL_initz00) == BUNSPEC))
												{
													obj_t BgL_l1320z00_1673;

													BgL_l1320z00_1673 = CDR(((obj_t) BgL_isz00_103));
												BgL_zc3z04anonymousza31658ze3z87_1674:
													if (NULLP(BgL_l1320z00_1673))
														{	/* Initflow/walk.scm 222 */
															BgL_test2170z00_3500 = ((bool_t) 1);
														}
													else
														{	/* Initflow/walk.scm 222 */
															if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_gz00_1655,
																		CAR(((obj_t) BgL_l1320z00_1673)))))
																{
																	obj_t BgL_l1320z00_3512;

																	BgL_l1320z00_3512 =
																		CDR(((obj_t) BgL_l1320z00_1673));
																	BgL_l1320z00_1673 = BgL_l1320z00_3512;
																	goto BgL_zc3z04anonymousza31658ze3z87_1674;
																}
															else
																{	/* Initflow/walk.scm 222 */
																	BgL_test2170z00_3500 = ((bool_t) 0);
																}
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BgL_test2170z00_3500 = ((bool_t) 0);
												}
											if (BgL_test2170z00_3500)
												{	/* Initflow/walk.scm 221 */
													if (CBOOL(BgL_ez00_104))
														{	/* Initflow/walk.scm 223 */
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_gz00_1655)))->
																	BgL_initz00) = ((obj_t) BTRUE), BUNSPEC);
														}
													else
														{	/* Initflow/walk.scm 223 */
															BgL_lubz00_1649 =
																MAKE_YOUNG_PAIR(BgL_gz00_1655, BgL_lubz00_1649);
														}
												}
											else
												{	/* Initflow/walk.scm 221 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1324z00_3522;

										BgL_l1324z00_3522 = CDR(BgL_l1324z00_1652);
										BgL_l1324z00_1652 = BgL_l1324z00_3522;
										goto BgL_zc3z04anonymousza31645ze3z87_1653;
									}
								}
							else
								{	/* Initflow/walk.scm 226 */
									((bool_t) 1);
								}
						}
					}
					return BgL_lubz00_1649;
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			{	/* Initflow/walk.scm 42 */
				obj_t BgL_arg1679z00_1688;
				obj_t BgL_arg1680z00_1689;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1337z00_1732;

					BgL_v1337z00_1732 = create_vector(0L);
					BgL_arg1679z00_1688 = BgL_v1337z00_1732;
				}
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_v1338z00_1733;

					BgL_v1338z00_1733 = create_vector(0L);
					BgL_arg1680z00_1689 = BgL_v1338z00_1733;
				}
				return (BGl_sfunzf2iflowzf2zzinitflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(3)),
						((obj_t)
							CNST_TABLE_REF(4)), BGl_sfunz00zzast_varz00, 37049L,
						BGl_proc2049z00zzinitflow_walkz00,
						BGl_proc2048z00zzinitflow_walkz00, BFALSE,
						BGl_proc2047z00zzinitflow_walkz00,
						BGl_proc2046z00zzinitflow_walkz00, BgL_arg1679z00_1688,
						BgL_arg1680z00_1689), BUNSPEC);
			}
		}

	}



/* &lambda1695 */
	BgL_sfunz00_bglt BGl_z62lambda1695z62zzinitflow_walkz00(obj_t BgL_envz00_2800,
		obj_t BgL_o1130z00_2801)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arg1696z00_2920;

				{	/* Initflow/walk.scm 42 */
					obj_t BgL_arg1699z00_2921;

					{	/* Initflow/walk.scm 42 */
						obj_t BgL_arg1703z00_2922;

						{	/* Initflow/walk.scm 42 */
							obj_t BgL_arg1866z00_2923;
							long BgL_arg1867z00_2924;

							BgL_arg1866z00_2923 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Initflow/walk.scm 42 */
								long BgL_arg1869z00_2925;

								BgL_arg1869z00_2925 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_o1130z00_2801)));
								BgL_arg1867z00_2924 = (BgL_arg1869z00_2925 - OBJECT_TYPE);
							}
							BgL_arg1703z00_2922 =
								VECTOR_REF(BgL_arg1866z00_2923, BgL_arg1867z00_2924);
						}
						BgL_arg1699z00_2921 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1703z00_2922);
					}
					{	/* Initflow/walk.scm 42 */
						obj_t BgL_tmpz00_3538;

						BgL_tmpz00_3538 = ((obj_t) BgL_arg1699z00_2921);
						BgL_arg1696z00_2920 = BGL_CLASS_NUM(BgL_tmpz00_3538);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) BgL_o1130z00_2801)), BgL_arg1696z00_2920);
			}
			{	/* Initflow/walk.scm 42 */
				BgL_objectz00_bglt BgL_tmpz00_3544;

				BgL_tmpz00_3544 =
					((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2801));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3544, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2801));
			return ((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1130z00_2801));
		}

	}



/* &<@anonymous:1694> */
	obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzinitflow_walkz00(obj_t
		BgL_envz00_2802, obj_t BgL_new1129z00_2803)
	{
		{	/* Initflow/walk.scm 42 */
			{
				BgL_sfunz00_bglt BgL_auxz00_3552;

				((((BgL_funz00_bglt) COBJECT(
								((BgL_funz00_bglt)
									((BgL_sfunz00_bglt) BgL_new1129z00_2803))))->BgL_arityz00) =
					((long) 0L), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_sidezd2effectzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_predicatezd2ofzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_stackzd2allocatorzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_topzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_thezd2closurezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_failsafez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_argszd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_argszd2retescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_propertyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_argszd2namezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_bodyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_dssslzd2keywordszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_optionalsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_keysz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_thezd2closurezd2globalz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
				((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt)
										BgL_new1129z00_2803))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3552 = ((BgL_sfunz00_bglt) BgL_new1129z00_2803);
				return ((obj_t) BgL_auxz00_3552);
			}
		}

	}



/* &lambda1692 */
	BgL_sfunz00_bglt BGl_z62lambda1692z62zzinitflow_walkz00(obj_t BgL_envz00_2804,
		obj_t BgL_o1126z00_2805)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				BgL_sfunzf2iflowzf2_bglt BgL_wide1128z00_2928;

				BgL_wide1128z00_2928 =
					((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sfunzf2iflowzf2_bgl))));
				{	/* Initflow/walk.scm 42 */
					obj_t BgL_auxz00_3628;
					BgL_objectz00_bglt BgL_tmpz00_3624;

					BgL_auxz00_3628 = ((obj_t) BgL_wide1128z00_2928);
					BgL_tmpz00_3624 =
						((BgL_objectz00_bglt)
						((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2805)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3624, BgL_auxz00_3628);
				}
				((BgL_objectz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2805)));
				{	/* Initflow/walk.scm 42 */
					long BgL_arg1693z00_2929;

					BgL_arg1693z00_2929 =
						BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sfunz00_bglt)
								((BgL_sfunz00_bglt) BgL_o1126z00_2805))), BgL_arg1693z00_2929);
				}
				return
					((BgL_sfunz00_bglt)
					((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_o1126z00_2805)));
			}
		}

	}



/* &lambda1681 */
	BgL_sfunz00_bglt BGl_z62lambda1681z62zzinitflow_walkz00(obj_t BgL_envz00_2806,
		obj_t BgL_arity1104z00_2807, obj_t BgL_sidezd2effect1105zd2_2808,
		obj_t BgL_predicatezd2of1106zd2_2809,
		obj_t BgL_stackzd2allocator1107zd2_2810, obj_t BgL_topzf31108zf3_2811,
		obj_t BgL_thezd2closure1109zd2_2812, obj_t BgL_effect1110z00_2813,
		obj_t BgL_failsafe1111z00_2814, obj_t BgL_argszd2noescape1112zd2_2815,
		obj_t BgL_argszd2retescape1113zd2_2816, obj_t BgL_property1114z00_2817,
		obj_t BgL_args1115z00_2818, obj_t BgL_argszd2name1116zd2_2819,
		obj_t BgL_body1117z00_2820, obj_t BgL_class1118z00_2821,
		obj_t BgL_dssslzd2keywords1119zd2_2822, obj_t BgL_loc1120z00_2823,
		obj_t BgL_optionals1121z00_2824, obj_t BgL_keys1122z00_2825,
		obj_t BgL_thezd2closurezd2global1123z00_2826,
		obj_t BgL_strength1124z00_2827, obj_t BgL_stackable1125z00_2828)
	{
		{	/* Initflow/walk.scm 42 */
			{	/* Initflow/walk.scm 42 */
				long BgL_arity1104z00_2930;
				bool_t BgL_topzf31108zf3_2931;

				BgL_arity1104z00_2930 = (long) CINT(BgL_arity1104z00_2807);
				BgL_topzf31108zf3_2931 = CBOOL(BgL_topzf31108zf3_2811);
				{	/* Initflow/walk.scm 42 */
					BgL_sfunz00_bglt BgL_new1175z00_2933;

					{	/* Initflow/walk.scm 42 */
						BgL_sfunz00_bglt BgL_tmp1173z00_2934;
						BgL_sfunzf2iflowzf2_bglt BgL_wide1174z00_2935;

						{
							BgL_sfunz00_bglt BgL_auxz00_3644;

							{	/* Initflow/walk.scm 42 */
								BgL_sfunz00_bglt BgL_new1172z00_2936;

								BgL_new1172z00_2936 =
									((BgL_sfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Initflow/walk.scm 42 */
									long BgL_arg1691z00_2937;

									BgL_arg1691z00_2937 = BGL_CLASS_NUM(BGl_sfunz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1172z00_2936),
										BgL_arg1691z00_2937);
								}
								{	/* Initflow/walk.scm 42 */
									BgL_objectz00_bglt BgL_tmpz00_3649;

									BgL_tmpz00_3649 = ((BgL_objectz00_bglt) BgL_new1172z00_2936);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3649, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1172z00_2936);
								BgL_auxz00_3644 = BgL_new1172z00_2936;
							}
							BgL_tmp1173z00_2934 = ((BgL_sfunz00_bglt) BgL_auxz00_3644);
						}
						BgL_wide1174z00_2935 =
							((BgL_sfunzf2iflowzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sfunzf2iflowzf2_bgl))));
						{	/* Initflow/walk.scm 42 */
							obj_t BgL_auxz00_3657;
							BgL_objectz00_bglt BgL_tmpz00_3655;

							BgL_auxz00_3657 = ((obj_t) BgL_wide1174z00_2935);
							BgL_tmpz00_3655 = ((BgL_objectz00_bglt) BgL_tmp1173z00_2934);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3655, BgL_auxz00_3657);
						}
						((BgL_objectz00_bglt) BgL_tmp1173z00_2934);
						{	/* Initflow/walk.scm 42 */
							long BgL_arg1686z00_2938;

							BgL_arg1686z00_2938 =
								BGL_CLASS_NUM(BGl_sfunzf2iflowzf2zzinitflow_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1173z00_2934),
								BgL_arg1686z00_2938);
						}
						BgL_new1175z00_2933 = ((BgL_sfunz00_bglt) BgL_tmp1173z00_2934);
					}
					((((BgL_funz00_bglt) COBJECT(
									((BgL_funz00_bglt) BgL_new1175z00_2933)))->BgL_arityz00) =
						((long) BgL_arity1104z00_2930), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_2808), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1106zd2_2809), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1107zd2_2810), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_topzf3zf3) =
						((bool_t) BgL_topzf31108zf3_2931), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1109zd2_2812), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_effectz00) =
						((obj_t) BgL_effect1110z00_2813), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_failsafez00) =
						((obj_t) BgL_failsafe1111z00_2814), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_argszd2noescapezd2) =
						((obj_t) BgL_argszd2noescape1112zd2_2815), BUNSPEC);
					((((BgL_funz00_bglt) COBJECT(((BgL_funz00_bglt)
										BgL_new1175z00_2933)))->BgL_argszd2retescapezd2) =
						((obj_t) BgL_argszd2retescape1113zd2_2816), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_propertyz00) =
						((obj_t) BgL_property1114z00_2817), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_argsz00) =
						((obj_t) BgL_args1115z00_2818), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1116zd2_2819), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_bodyz00) =
						((obj_t) BgL_body1117z00_2820), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_classz00) =
						((obj_t) BgL_class1118z00_2821), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1119zd2_2822), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_locz00) =
						((obj_t) BgL_loc1120z00_2823), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1121z00_2824), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_keysz00) =
						((obj_t) BgL_keys1122z00_2825), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1123z00_2826), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_strengthz00) =
						((obj_t) ((obj_t) BgL_strength1124z00_2827)), BUNSPEC);
					((((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
										BgL_new1175z00_2933)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1125z00_2828), BUNSPEC);
					return BgL_new1175z00_2933;
				}
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_proc2050z00zzinitflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2051z00zzinitflow_walkz00);
		}

	}



/* &initflow-node1339 */
	obj_t BGl_z62initflowzd2node1339zb0zzinitflow_walkz00(obj_t BgL_envz00_2830,
		obj_t BgL_nodez00_2831, obj_t BgL_ez00_2832)
	{
		{	/* Initflow/walk.scm 93 */
			return BNIL;
		}

	}



/* initflow-node */
	obj_t BGl_initflowzd2nodezd2zzinitflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_83, bool_t BgL_ez00_84)
	{
		{	/* Initflow/walk.scm 93 */
			{	/* Initflow/walk.scm 93 */
				obj_t BgL_method1340z00_1743;

				{	/* Initflow/walk.scm 93 */
					obj_t BgL_res2024z00_2471;

					{	/* Initflow/walk.scm 93 */
						long BgL_objzd2classzd2numz00_2442;

						BgL_objzd2classzd2numz00_2442 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_83));
						{	/* Initflow/walk.scm 93 */
							obj_t BgL_arg1862z00_2443;

							BgL_arg1862z00_2443 =
								PROCEDURE_REF(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
								(int) (1L));
							{	/* Initflow/walk.scm 93 */
								int BgL_offsetz00_2446;

								BgL_offsetz00_2446 = (int) (BgL_objzd2classzd2numz00_2442);
								{	/* Initflow/walk.scm 93 */
									long BgL_offsetz00_2447;

									BgL_offsetz00_2447 =
										((long) (BgL_offsetz00_2446) - OBJECT_TYPE);
									{	/* Initflow/walk.scm 93 */
										long BgL_modz00_2448;

										BgL_modz00_2448 =
											(BgL_offsetz00_2447 >> (int) ((long) ((int) (4L))));
										{	/* Initflow/walk.scm 93 */
											long BgL_restz00_2450;

											BgL_restz00_2450 =
												(BgL_offsetz00_2447 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Initflow/walk.scm 93 */

												{	/* Initflow/walk.scm 93 */
													obj_t BgL_bucketz00_2452;

													BgL_bucketz00_2452 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2443), BgL_modz00_2448);
													BgL_res2024z00_2471 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2452), BgL_restz00_2450);
					}}}}}}}}
					BgL_method1340z00_1743 = BgL_res2024z00_2471;
				}
				return
					BGL_PROCEDURE_CALL2(BgL_method1340z00_1743,
					((obj_t) BgL_nodez00_83), BBOOL(BgL_ez00_84));
			}
		}

	}



/* &initflow-node */
	obj_t BGl_z62initflowzd2nodezb0zzinitflow_walkz00(obj_t BgL_envz00_2833,
		obj_t BgL_nodez00_2834, obj_t BgL_ez00_2835)
	{
		{	/* Initflow/walk.scm 93 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_2834), CBOOL(BgL_ez00_2835));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2052z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2054z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2055z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2056z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2057z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2058z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2059z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2060z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2061z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2062z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2063z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2064z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2065z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2066z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2067z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2068z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2069z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initflowzd2nodezd2envz00zzinitflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2070z00zzinitflow_walkz00,
				BGl_string2053z00zzinitflow_walkz00);
		}

	}



/* &initflow-node-jump-e1376 */
	obj_t BGl_z62initflowzd2nodezd2jumpzd2e1376zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2854, obj_t BgL_nodez00_2855, obj_t BgL_ez00_2856)
	{
		{	/* Initflow/walk.scm 306 */
			{	/* Initflow/walk.scm 307 */
				obj_t BgL_res2075z00_2947;

				{	/* Initflow/walk.scm 308 */
					obj_t BgL_arg1944z00_2942;

					{	/* Initflow/walk.scm 308 */
						BgL_nodez00_bglt BgL_arg1945z00_2943;
						BgL_nodez00_bglt BgL_arg1946z00_2944;

						BgL_arg1945z00_2943 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2855)))->
							BgL_exitz00);
						BgL_arg1946z00_2944 =
							(((BgL_jumpzd2exzd2itz00_bglt)
								COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2855)))->
							BgL_valuez00);
						{	/* Initflow/walk.scm 308 */
							obj_t BgL_list1947z00_2945;

							{	/* Initflow/walk.scm 308 */
								obj_t BgL_arg1948z00_2946;

								BgL_arg1948z00_2946 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1946z00_2944), BNIL);
								BgL_list1947z00_2945 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1945z00_2943), BgL_arg1948z00_2946);
							}
							BgL_arg1944z00_2942 = BgL_list1947z00_2945;
						}
					}
					BgL_res2075z00_2947 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1944z00_2942,
						BgL_ez00_2856);
				}
				return BgL_res2075z00_2947;
			}
		}

	}



/* &initflow-node-set-ex1374 */
	obj_t BGl_z62initflowzd2nodezd2setzd2ex1374zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2857, obj_t BgL_nodez00_2858, obj_t BgL_ez00_2859)
	{
		{	/* Initflow/walk.scm 298 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2858)))->BgL_onexitz00),
				CBOOL(BgL_ez00_2859));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2858)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2859));
		}

	}



/* &initflow-node-let-va1372 */
	obj_t BGl_z62initflowzd2nodezd2letzd2va1372zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2860, obj_t BgL_nodez00_2861, obj_t BgL_ez00_2862)
	{
		{	/* Initflow/walk.scm 289 */
			{	/* Initflow/walk.scm 290 */
				obj_t BgL_res2076z00_2962;

				{	/* Initflow/walk.scm 291 */
					obj_t BgL_isz00_2950;

					{	/* Initflow/walk.scm 291 */
						obj_t BgL_l1332z00_2951;

						BgL_l1332z00_2951 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2861)))->
							BgL_bindingsz00);
						if (NULLP(BgL_l1332z00_2951))
							{	/* Initflow/walk.scm 291 */
								BgL_isz00_2950 = BNIL;
							}
						else
							{	/* Initflow/walk.scm 291 */
								obj_t BgL_head1334z00_2952;

								BgL_head1334z00_2952 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1332z00_2954;
									obj_t BgL_tail1335z00_2955;

									BgL_l1332z00_2954 = BgL_l1332z00_2951;
									BgL_tail1335z00_2955 = BgL_head1334z00_2952;
								BgL_zc3z04anonymousza31936ze3z87_2953:
									if (NULLP(BgL_l1332z00_2954))
										{	/* Initflow/walk.scm 291 */
											BgL_isz00_2950 = CDR(BgL_head1334z00_2952);
										}
									else
										{	/* Initflow/walk.scm 291 */
											obj_t BgL_newtail1336z00_2956;

											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1939z00_2957;

												{	/* Initflow/walk.scm 291 */
													obj_t BgL_bz00_2958;

													BgL_bz00_2958 = CAR(((obj_t) BgL_l1332z00_2954));
													{	/* Initflow/walk.scm 291 */
														obj_t BgL_arg1940z00_2959;

														BgL_arg1940z00_2959 = CDR(((obj_t) BgL_bz00_2958));
														BgL_arg1939z00_2957 =
															BGl_initflowzd2nodezd2zzinitflow_walkz00(
															((BgL_nodez00_bglt) BgL_arg1940z00_2959),
															CBOOL(BgL_ez00_2862));
													}
												}
												BgL_newtail1336z00_2956 =
													MAKE_YOUNG_PAIR(BgL_arg1939z00_2957, BNIL);
											}
											SET_CDR(BgL_tail1335z00_2955, BgL_newtail1336z00_2956);
											{	/* Initflow/walk.scm 291 */
												obj_t BgL_arg1938z00_2960;

												BgL_arg1938z00_2960 = CDR(((obj_t) BgL_l1332z00_2954));
												{
													obj_t BgL_tail1335z00_3801;
													obj_t BgL_l1332z00_3800;

													BgL_l1332z00_3800 = BgL_arg1938z00_2960;
													BgL_tail1335z00_3801 = BgL_newtail1336z00_2956;
													BgL_tail1335z00_2955 = BgL_tail1335z00_3801;
													BgL_l1332z00_2954 = BgL_l1332z00_3800;
													goto BgL_zc3z04anonymousza31936ze3z87_2953;
												}
											}
										}
								}
							}
					}
					{	/* Initflow/walk.scm 291 */
						obj_t BgL_lubz00_2961;

						BgL_lubz00_2961 =
							BGl_lubz00zzinitflow_walkz00(BgL_isz00_2950, BgL_ez00_2862);
						{	/* Initflow/walk.scm 292 */

							BgL_res2076z00_2962 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_lubz00_2961,
								BGl_initflowzd2nodezd2zzinitflow_walkz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2861)))->
										BgL_bodyz00), CBOOL(BgL_ez00_2862)));
						}
					}
				}
				return BgL_res2076z00_2962;
			}
		}

	}



/* &initflow-node-let-fu1370 */
	obj_t BGl_z62initflowzd2nodezd2letzd2fu1370zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2863, obj_t BgL_nodez00_2864, obj_t BgL_ez00_2865)
	{
		{	/* Initflow/walk.scm 282 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2864)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2865));
		}

	}



/* &initflow-node-box-se1368 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2se1368zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2866, obj_t BgL_nodez00_2867, obj_t BgL_ez00_2868)
	{
		{	/* Initflow/walk.scm 275 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2867)))->BgL_valuez00),
				CBOOL(BgL_ez00_2868));
		}

	}



/* &initflow-node-box-re1366 */
	obj_t BGl_z62initflowzd2nodezd2boxzd2re1366zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870, obj_t BgL_ez00_2871)
	{
		{	/* Initflow/walk.scm 268 */
			{	/* Initflow/walk.scm 270 */
				BgL_varz00_bglt BgL_arg1929z00_2966;

				BgL_arg1929z00_2966 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2870)))->BgL_varz00);
				return
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					((BgL_nodez00_bglt) BgL_arg1929z00_2966), CBOOL(BgL_ez00_2871));
			}
		}

	}



/* &initflow-node-make-b1364 */
	obj_t BGl_z62initflowzd2nodezd2makezd2b1364zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2872, obj_t BgL_nodez00_2873, obj_t BgL_ez00_2874)
	{
		{	/* Initflow/walk.scm 261 */
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2873)))->BgL_valuez00),
				CBOOL(BgL_ez00_2874));
		}

	}



/* &initflow-node-switch1362 */
	obj_t BGl_z62initflowzd2nodezd2switch1362z62zzinitflow_walkz00(obj_t
		BgL_envz00_2875, obj_t BgL_nodez00_2876, obj_t BgL_ez00_2877)
	{
		{	/* Initflow/walk.scm 251 */
			{	/* Initflow/walk.scm 252 */
				obj_t BgL_res2077z00_2981;

				{	/* Initflow/walk.scm 253 */
					obj_t BgL_i0z00_2969;

					BgL_i0z00_2969 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2876)))->BgL_testz00),
						CBOOL(BgL_ez00_2877));
					{	/* Initflow/walk.scm 254 */
						obj_t BgL_isz00_2970;

						{	/* Initflow/walk.scm 254 */
							obj_t BgL_l1327z00_2971;

							BgL_l1327z00_2971 =
								(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2876)))->BgL_clausesz00);
							if (NULLP(BgL_l1327z00_2971))
								{	/* Initflow/walk.scm 254 */
									BgL_isz00_2970 = BNIL;
								}
							else
								{	/* Initflow/walk.scm 254 */
									obj_t BgL_head1329z00_2972;

									BgL_head1329z00_2972 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1327z00_2974;
										obj_t BgL_tail1330z00_2975;

										BgL_l1327z00_2974 = BgL_l1327z00_2971;
										BgL_tail1330z00_2975 = BgL_head1329z00_2972;
									BgL_zc3z04anonymousza31921ze3z87_2973:
										if (NULLP(BgL_l1327z00_2974))
											{	/* Initflow/walk.scm 254 */
												BgL_isz00_2970 = CDR(BgL_head1329z00_2972);
											}
										else
											{	/* Initflow/walk.scm 254 */
												obj_t BgL_newtail1331z00_2976;

												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1924z00_2977;

													{	/* Initflow/walk.scm 254 */
														obj_t BgL_cz00_2978;

														BgL_cz00_2978 = CAR(((obj_t) BgL_l1327z00_2974));
														{	/* Initflow/walk.scm 254 */
															obj_t BgL_arg1926z00_2979;

															BgL_arg1926z00_2979 =
																CDR(((obj_t) BgL_cz00_2978));
															BgL_arg1924z00_2977 =
																BGl_initflowzd2nodezd2zzinitflow_walkz00(
																((BgL_nodez00_bglt) BgL_arg1926z00_2979),
																((bool_t) 0));
														}
													}
													BgL_newtail1331z00_2976 =
														MAKE_YOUNG_PAIR(BgL_arg1924z00_2977, BNIL);
												}
												SET_CDR(BgL_tail1330z00_2975, BgL_newtail1331z00_2976);
												{	/* Initflow/walk.scm 254 */
													obj_t BgL_arg1923z00_2980;

													BgL_arg1923z00_2980 =
														CDR(((obj_t) BgL_l1327z00_2974));
													{
														obj_t BgL_tail1330z00_3848;
														obj_t BgL_l1327z00_3847;

														BgL_l1327z00_3847 = BgL_arg1923z00_2980;
														BgL_tail1330z00_3848 = BgL_newtail1331z00_2976;
														BgL_tail1330z00_2975 = BgL_tail1330z00_3848;
														BgL_l1327z00_2974 = BgL_l1327z00_3847;
														goto BgL_zc3z04anonymousza31921ze3z87_2973;
													}
												}
											}
									}
								}
						}
						BgL_res2077z00_2981 =
							BGl_appendzd221011zd2zzinitflow_walkz00
							(BGl_lubz00zzinitflow_walkz00(BgL_isz00_2970, BgL_ez00_2877),
							BgL_i0z00_2969);
					}
				}
				return BgL_res2077z00_2981;
			}
		}

	}



/* &initflow-node-fail1360 */
	obj_t BGl_z62initflowzd2nodezd2fail1360z62zzinitflow_walkz00(obj_t
		BgL_envz00_2878, obj_t BgL_nodez00_2879, obj_t BgL_ez00_2880)
	{
		{	/* Initflow/walk.scm 244 */
			{	/* Initflow/walk.scm 245 */
				obj_t BgL_res2078z00_2990;

				{	/* Initflow/walk.scm 246 */
					obj_t BgL_arg1911z00_2983;

					{	/* Initflow/walk.scm 246 */
						BgL_nodez00_bglt BgL_arg1912z00_2984;
						BgL_nodez00_bglt BgL_arg1913z00_2985;
						BgL_nodez00_bglt BgL_arg1915z00_2986;

						BgL_arg1912z00_2984 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2879)))->BgL_procz00);
						BgL_arg1913z00_2985 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2879)))->BgL_msgz00);
						BgL_arg1915z00_2986 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2879)))->BgL_objz00);
						{	/* Initflow/walk.scm 246 */
							obj_t BgL_list1916z00_2987;

							{	/* Initflow/walk.scm 246 */
								obj_t BgL_arg1917z00_2988;

								{	/* Initflow/walk.scm 246 */
									obj_t BgL_arg1918z00_2989;

									BgL_arg1918z00_2989 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg1915z00_2986), BNIL);
									BgL_arg1917z00_2988 =
										MAKE_YOUNG_PAIR(
										((obj_t) BgL_arg1913z00_2985), BgL_arg1918z00_2989);
								}
								BgL_list1916z00_2987 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1912z00_2984), BgL_arg1917z00_2988);
							}
							BgL_arg1911z00_2983 = BgL_list1916z00_2987;
						}
					}
					BgL_res2078z00_2990 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1911z00_2983,
						BgL_ez00_2880);
				}
				return BgL_res2078z00_2990;
			}
		}

	}



/* &initflow-node-condit1358 */
	obj_t BGl_z62initflowzd2nodezd2condit1358z62zzinitflow_walkz00(obj_t
		BgL_envz00_2881, obj_t BgL_nodez00_2882, obj_t BgL_ez00_2883)
	{
		{	/* Initflow/walk.scm 232 */
			{	/* Initflow/walk.scm 233 */
				obj_t BgL_res2079z00_2999;

				{	/* Initflow/walk.scm 234 */
					obj_t BgL_i0z00_2992;

					BgL_i0z00_2992 =
						BGl_initflowzd2nodezd2zzinitflow_walkz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2882)))->BgL_testz00),
						CBOOL(BgL_ez00_2883));
					{	/* Initflow/walk.scm 236 */
						obj_t BgL_i1z00_2993;
						obj_t BgL_i2z00_2994;

						BgL_i1z00_2993 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2882)))->
								BgL_truez00), ((bool_t) 0));
						BgL_i2z00_2994 =
							BGl_initflowzd2nodezd2zzinitflow_walkz00(((
									(BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
											BgL_nodez00_2882)))->BgL_falsez00), ((bool_t) 0));
						{	/* Initflow/walk.scm 239 */
							obj_t BgL_arg1904z00_2995;

							{	/* Initflow/walk.scm 239 */
								obj_t BgL_arg1905z00_2996;

								{	/* Initflow/walk.scm 239 */
									obj_t BgL_list1906z00_2997;

									{	/* Initflow/walk.scm 239 */
										obj_t BgL_arg1907z00_2998;

										BgL_arg1907z00_2998 = MAKE_YOUNG_PAIR(BgL_i2z00_2994, BNIL);
										BgL_list1906z00_2997 =
											MAKE_YOUNG_PAIR(BgL_i1z00_2993, BgL_arg1907z00_2998);
									}
									BgL_arg1905z00_2996 = BgL_list1906z00_2997;
								}
								BgL_arg1904z00_2995 =
									BGl_lubz00zzinitflow_walkz00(BgL_arg1905z00_2996,
									BgL_ez00_2883);
							}
							BgL_res2079z00_2999 =
								BGl_appendzd221011zd2zzinitflow_walkz00(BgL_arg1904z00_2995,
								BgL_i0z00_2992);
						}
					}
				}
				return BgL_res2079z00_2999;
			}
		}

	}



/* &initflow-node-setq1356 */
	obj_t BGl_z62initflowzd2nodezd2setq1356z62zzinitflow_walkz00(obj_t
		BgL_envz00_2884, obj_t BgL_nodez00_2885, obj_t BgL_ez00_2886)
	{
		{	/* Initflow/walk.scm 199 */
			{	/* Initflow/walk.scm 201 */
				obj_t BgL_isz00_3001;
				BgL_variablez00_bglt BgL_vz00_3002;

				BgL_isz00_3001 =
					BGl_initflowzd2nodezd2zzinitflow_walkz00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2885)))->BgL_valuez00),
					CBOOL(BgL_ez00_2886));
				BgL_vz00_3002 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setqz00_bglt) COBJECT(
										((BgL_setqz00_bglt) BgL_nodez00_2885)))->BgL_varz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 203 */
					bool_t BgL_test2179z00_3885;

					{	/* Initflow/walk.scm 203 */
						bool_t BgL_test2180z00_3886;

						{	/* Initflow/walk.scm 203 */
							obj_t BgL_classz00_3003;

							BgL_classz00_3003 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 203 */
								BgL_objectz00_bglt BgL_arg1858z00_3004;

								{	/* Initflow/walk.scm 203 */
									obj_t BgL_tmpz00_3887;

									BgL_tmpz00_3887 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_3002));
									BgL_arg1858z00_3004 = (BgL_objectz00_bglt) (BgL_tmpz00_3887);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Initflow/walk.scm 203 */
										long BgL_idxz00_3005;

										BgL_idxz00_3005 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3004);
										BgL_test2180z00_3886 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3005 + 2L)) == BgL_classz00_3003);
									}
								else
									{	/* Initflow/walk.scm 203 */
										bool_t BgL_res2030z00_3008;

										{	/* Initflow/walk.scm 203 */
											obj_t BgL_oclassz00_3009;

											{	/* Initflow/walk.scm 203 */
												obj_t BgL_arg1866z00_3010;
												long BgL_arg1867z00_3011;

												BgL_arg1866z00_3010 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Initflow/walk.scm 203 */
													long BgL_arg1869z00_3012;

													BgL_arg1869z00_3012 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3004);
													BgL_arg1867z00_3011 =
														(BgL_arg1869z00_3012 - OBJECT_TYPE);
												}
												BgL_oclassz00_3009 =
													VECTOR_REF(BgL_arg1866z00_3010, BgL_arg1867z00_3011);
											}
											{	/* Initflow/walk.scm 203 */
												bool_t BgL__ortest_1115z00_3013;

												BgL__ortest_1115z00_3013 =
													(BgL_classz00_3003 == BgL_oclassz00_3009);
												if (BgL__ortest_1115z00_3013)
													{	/* Initflow/walk.scm 203 */
														BgL_res2030z00_3008 = BgL__ortest_1115z00_3013;
													}
												else
													{	/* Initflow/walk.scm 203 */
														long BgL_odepthz00_3014;

														{	/* Initflow/walk.scm 203 */
															obj_t BgL_arg1855z00_3015;

															BgL_arg1855z00_3015 = (BgL_oclassz00_3009);
															BgL_odepthz00_3014 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3015);
														}
														if ((2L < BgL_odepthz00_3014))
															{	/* Initflow/walk.scm 203 */
																obj_t BgL_arg1853z00_3016;

																{	/* Initflow/walk.scm 203 */
																	obj_t BgL_arg1854z00_3017;

																	BgL_arg1854z00_3017 = (BgL_oclassz00_3009);
																	BgL_arg1853z00_3016 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3017,
																		2L);
																}
																BgL_res2030z00_3008 =
																	(BgL_arg1853z00_3016 == BgL_classz00_3003);
															}
														else
															{	/* Initflow/walk.scm 203 */
																BgL_res2030z00_3008 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2180z00_3886 = BgL_res2030z00_3008;
									}
							}
						}
						if (BgL_test2180z00_3886)
							{	/* Initflow/walk.scm 203 */
								if (
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_3002)))->
											BgL_initz00) == BUNSPEC))
									{	/* Initflow/walk.scm 205 */
										obj_t BgL_arg1900z00_3018;

										BgL_arg1900z00_3018 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_3002)))->
											BgL_modulez00);
										BgL_test2179z00_3885 =
											(BgL_arg1900z00_3018 ==
											BGl_za2moduleza2z00zzmodule_modulez00);
									}
								else
									{	/* Initflow/walk.scm 204 */
										BgL_test2179z00_3885 = ((bool_t) 0);
									}
							}
						else
							{	/* Initflow/walk.scm 203 */
								BgL_test2179z00_3885 = ((bool_t) 0);
							}
					}
					if (BgL_test2179z00_3885)
						{	/* Initflow/walk.scm 203 */
							if (CBOOL(BgL_ez00_2886))
								{	/* Initflow/walk.scm 206 */
									((((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_3002)))->BgL_initz00) =
										((obj_t) BTRUE), BUNSPEC);
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 206 */
									return
										MAKE_YOUNG_PAIR(((obj_t) BgL_vz00_3002), BgL_isz00_3001);
								}
						}
					else
						{	/* Initflow/walk.scm 203 */
							return BgL_isz00_3001;
						}
				}
			}
		}

	}



/* &initflow-node-extern1354 */
	obj_t BGl_z62initflowzd2nodezd2extern1354z62zzinitflow_walkz00(obj_t
		BgL_envz00_2887, obj_t BgL_nodez00_2888, obj_t BgL_ez00_2889)
	{
		{	/* Initflow/walk.scm 192 */
			{	/* Initflow/walk.scm 193 */
				obj_t BgL_res2080z00_3020;

				BgL_res2080z00_3020 =
					BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2888)))->BgL_exprza2za2),
					BgL_ez00_2889);
				return BgL_res2080z00_3020;
			}
		}

	}



/* &initflow-node-funcal1352 */
	obj_t BGl_z62initflowzd2nodezd2funcal1352z62zzinitflow_walkz00(obj_t
		BgL_envz00_2890, obj_t BgL_nodez00_2891, obj_t BgL_ez00_2892)
	{
		{	/* Initflow/walk.scm 185 */
			{	/* Initflow/walk.scm 186 */
				obj_t BgL_res2081z00_3025;

				{	/* Initflow/walk.scm 187 */
					obj_t BgL_arg1890z00_3022;

					{	/* Initflow/walk.scm 187 */
						BgL_nodez00_bglt BgL_arg1891z00_3023;
						obj_t BgL_arg1892z00_3024;

						BgL_arg1891z00_3023 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2891)))->BgL_funz00);
						BgL_arg1892z00_3024 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2891)))->BgL_argsz00);
						BgL_arg1890z00_3022 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg1891z00_3023), BgL_arg1892z00_3024);
					}
					BgL_res2081z00_3025 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1890z00_3022,
						BgL_ez00_2892);
				}
				return BgL_res2081z00_3025;
			}
		}

	}



/* &initflow-node-app-ly1350 */
	obj_t BGl_z62initflowzd2nodezd2appzd2ly1350zb0zzinitflow_walkz00(obj_t
		BgL_envz00_2893, obj_t BgL_nodez00_2894, obj_t BgL_ez00_2895)
	{
		{	/* Initflow/walk.scm 178 */
			{	/* Initflow/walk.scm 179 */
				obj_t BgL_res2082z00_3032;

				{	/* Initflow/walk.scm 180 */
					obj_t BgL_arg1885z00_3027;

					{	/* Initflow/walk.scm 180 */
						BgL_nodez00_bglt BgL_arg1886z00_3028;
						BgL_nodez00_bglt BgL_arg1887z00_3029;

						BgL_arg1886z00_3028 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2894)))->BgL_funz00);
						BgL_arg1887z00_3029 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_2894)))->BgL_argz00);
						{	/* Initflow/walk.scm 180 */
							obj_t BgL_list1888z00_3030;

							{	/* Initflow/walk.scm 180 */
								obj_t BgL_arg1889z00_3031;

								BgL_arg1889z00_3031 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg1887z00_3029), BNIL);
								BgL_list1888z00_3030 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg1886z00_3028), BgL_arg1889z00_3031);
							}
							BgL_arg1885z00_3027 = BgL_list1888z00_3030;
						}
					}
					BgL_res2082z00_3032 =
						BGl_initflowzd2nodeza2z70zzinitflow_walkz00(BgL_arg1885z00_3027,
						BgL_ez00_2895);
				}
				return BgL_res2082z00_3032;
			}
		}

	}



/* &initflow-node-app1348 */
	obj_t BGl_z62initflowzd2nodezd2app1348z62zzinitflow_walkz00(obj_t
		BgL_envz00_2896, obj_t BgL_nodez00_2897, obj_t BgL_ez00_2898)
	{
		{	/* Initflow/walk.scm 164 */
			{	/* Initflow/walk.scm 166 */
				BgL_variablez00_bglt BgL_vz00_3034;

				BgL_vz00_3034 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2897)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Initflow/walk.scm 166 */
					BgL_valuez00_bglt BgL_fz00_3035;

					BgL_fz00_3035 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_3034))->BgL_valuez00);
					{	/* Initflow/walk.scm 167 */

						{	/* Initflow/walk.scm 168 */
							bool_t BgL_test2186z00_3946;

							{	/* Initflow/walk.scm 168 */
								bool_t BgL_test2187z00_3947;

								{	/* Initflow/walk.scm 168 */
									obj_t BgL_classz00_3036;

									BgL_classz00_3036 = BGl_sfunz00zzast_varz00;
									{	/* Initflow/walk.scm 168 */
										BgL_objectz00_bglt BgL_arg1858z00_3037;

										{	/* Initflow/walk.scm 168 */
											obj_t BgL_tmpz00_3948;

											BgL_tmpz00_3948 =
												((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3035));
											BgL_arg1858z00_3037 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3948);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Initflow/walk.scm 168 */
												long BgL_idxz00_3038;

												BgL_idxz00_3038 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3037);
												BgL_test2187z00_3947 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3038 + 3L)) == BgL_classz00_3036);
											}
										else
											{	/* Initflow/walk.scm 168 */
												bool_t BgL_res2027z00_3041;

												{	/* Initflow/walk.scm 168 */
													obj_t BgL_oclassz00_3042;

													{	/* Initflow/walk.scm 168 */
														obj_t BgL_arg1866z00_3043;
														long BgL_arg1867z00_3044;

														BgL_arg1866z00_3043 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Initflow/walk.scm 168 */
															long BgL_arg1869z00_3045;

															BgL_arg1869z00_3045 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3037);
															BgL_arg1867z00_3044 =
																(BgL_arg1869z00_3045 - OBJECT_TYPE);
														}
														BgL_oclassz00_3042 =
															VECTOR_REF(BgL_arg1866z00_3043,
															BgL_arg1867z00_3044);
													}
													{	/* Initflow/walk.scm 168 */
														bool_t BgL__ortest_1115z00_3046;

														BgL__ortest_1115z00_3046 =
															(BgL_classz00_3036 == BgL_oclassz00_3042);
														if (BgL__ortest_1115z00_3046)
															{	/* Initflow/walk.scm 168 */
																BgL_res2027z00_3041 = BgL__ortest_1115z00_3046;
															}
														else
															{	/* Initflow/walk.scm 168 */
																long BgL_odepthz00_3047;

																{	/* Initflow/walk.scm 168 */
																	obj_t BgL_arg1855z00_3048;

																	BgL_arg1855z00_3048 = (BgL_oclassz00_3042);
																	BgL_odepthz00_3047 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_3048);
																}
																if ((3L < BgL_odepthz00_3047))
																	{	/* Initflow/walk.scm 168 */
																		obj_t BgL_arg1853z00_3049;

																		{	/* Initflow/walk.scm 168 */
																			obj_t BgL_arg1854z00_3050;

																			BgL_arg1854z00_3050 =
																				(BgL_oclassz00_3042);
																			BgL_arg1853z00_3049 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_3050, 3L);
																		}
																		BgL_res2027z00_3041 =
																			(BgL_arg1853z00_3049 ==
																			BgL_classz00_3036);
																	}
																else
																	{	/* Initflow/walk.scm 168 */
																		BgL_res2027z00_3041 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2187z00_3947 = BgL_res2027z00_3041;
											}
									}
								}
								if (BgL_test2187z00_3947)
									{	/* Initflow/walk.scm 168 */
										BgL_test2186z00_3946 =
											CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												((obj_t)
													CNST_TABLE_REF(6)),
												(((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_fz00_3035)))->
													BgL_propertyz00)));
									}
								else
									{	/* Initflow/walk.scm 168 */
										BgL_test2186z00_3946 = ((bool_t) 0);
									}
							}
							if (BgL_test2186z00_3946)
								{	/* Initflow/walk.scm 168 */
									return BNIL;
								}
							else
								{	/* Initflow/walk.scm 170 */
									obj_t BgL_isz00_3051;

									BgL_isz00_3051 =
										BGl_initflowzd2nodeza2z70zzinitflow_walkz00(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_2897)))->BgL_argsz00),
										BgL_ez00_2898);
									{	/* Initflow/walk.scm 171 */
										bool_t BgL_test2191z00_3980;

										{	/* Initflow/walk.scm 171 */
											obj_t BgL_classz00_3052;

											BgL_classz00_3052 = BGl_sfunz00zzast_varz00;
											{	/* Initflow/walk.scm 171 */
												BgL_objectz00_bglt BgL_arg1858z00_3053;

												{	/* Initflow/walk.scm 171 */
													obj_t BgL_tmpz00_3981;

													BgL_tmpz00_3981 =
														((obj_t) ((BgL_objectz00_bglt) BgL_fz00_3035));
													BgL_arg1858z00_3053 =
														(BgL_objectz00_bglt) (BgL_tmpz00_3981);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Initflow/walk.scm 171 */
														long BgL_idxz00_3054;

														BgL_idxz00_3054 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3053);
														BgL_test2191z00_3980 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3054 + 3L)) == BgL_classz00_3052);
													}
												else
													{	/* Initflow/walk.scm 171 */
														bool_t BgL_res2028z00_3057;

														{	/* Initflow/walk.scm 171 */
															obj_t BgL_oclassz00_3058;

															{	/* Initflow/walk.scm 171 */
																obj_t BgL_arg1866z00_3059;
																long BgL_arg1867z00_3060;

																BgL_arg1866z00_3059 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Initflow/walk.scm 171 */
																	long BgL_arg1869z00_3061;

																	BgL_arg1869z00_3061 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3053);
																	BgL_arg1867z00_3060 =
																		(BgL_arg1869z00_3061 - OBJECT_TYPE);
																}
																BgL_oclassz00_3058 =
																	VECTOR_REF(BgL_arg1866z00_3059,
																	BgL_arg1867z00_3060);
															}
															{	/* Initflow/walk.scm 171 */
																bool_t BgL__ortest_1115z00_3062;

																BgL__ortest_1115z00_3062 =
																	(BgL_classz00_3052 == BgL_oclassz00_3058);
																if (BgL__ortest_1115z00_3062)
																	{	/* Initflow/walk.scm 171 */
																		BgL_res2028z00_3057 =
																			BgL__ortest_1115z00_3062;
																	}
																else
																	{	/* Initflow/walk.scm 171 */
																		long BgL_odepthz00_3063;

																		{	/* Initflow/walk.scm 171 */
																			obj_t BgL_arg1855z00_3064;

																			BgL_arg1855z00_3064 =
																				(BgL_oclassz00_3058);
																			BgL_odepthz00_3063 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_3064);
																		}
																		if ((3L < BgL_odepthz00_3063))
																			{	/* Initflow/walk.scm 171 */
																				obj_t BgL_arg1853z00_3065;

																				{	/* Initflow/walk.scm 171 */
																					obj_t BgL_arg1854z00_3066;

																					BgL_arg1854z00_3066 =
																						(BgL_oclassz00_3058);
																					BgL_arg1853z00_3065 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_3066, 3L);
																				}
																				BgL_res2028z00_3057 =
																					(BgL_arg1853z00_3065 ==
																					BgL_classz00_3052);
																			}
																		else
																			{	/* Initflow/walk.scm 171 */
																				BgL_res2028z00_3057 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2191z00_3980 = BgL_res2028z00_3057;
													}
											}
										}
										if (BgL_test2191z00_3980)
											{	/* Initflow/walk.scm 171 */
												return
													BGl_appendzd221011zd2zzinitflow_walkz00
													(BGl_initflowzd2funzd2zzinitflow_walkz00
													(BgL_vz00_3034, CBOOL(BgL_ez00_2898)),
													BgL_isz00_3051);
											}
										else
											{	/* Initflow/walk.scm 171 */
												return BgL_isz00_3051;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* &initflow-node-sync1346 */
	obj_t BGl_z62initflowzd2nodezd2sync1346z62zzinitflow_walkz00(obj_t
		BgL_envz00_2899, obj_t BgL_nodez00_2900, obj_t BgL_ez00_2901)
	{
		{	/* Initflow/walk.scm 155 */
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2900)))->BgL_mutexz00),
				CBOOL(BgL_ez00_2901));
			BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2900)))->BgL_prelockz00),
				CBOOL(BgL_ez00_2901));
			return
				BGl_initflowzd2nodezd2zzinitflow_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_2900)))->BgL_bodyz00),
				CBOOL(BgL_ez00_2901));
		}

	}



/* &initflow-node-sequen1344 */
	obj_t BGl_z62initflowzd2nodezd2sequen1344z62zzinitflow_walkz00(obj_t
		BgL_envz00_2902, obj_t BgL_nodez00_2903, obj_t BgL_ez00_2904)
	{
		{	/* Initflow/walk.scm 142 */
			{	/* Initflow/walk.scm 143 */
				obj_t BgL_res2083z00_3076;

				{
					obj_t BgL_nodesz00_3070;
					obj_t BgL_isz00_3071;

					BgL_nodesz00_3070 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2903)))->BgL_nodesz00);
					BgL_isz00_3071 = BNIL;
				BgL_loopz00_3069:
					if (NULLP(BgL_nodesz00_3070))
						{	/* Initflow/walk.scm 146 */
							BgL_res2083z00_3076 = BgL_isz00_3071;
						}
					else
						{	/* Initflow/walk.scm 148 */
							obj_t BgL_iz00_3072;

							{	/* Initflow/walk.scm 148 */
								obj_t BgL_arg1856z00_3073;

								BgL_arg1856z00_3073 = CAR(((obj_t) BgL_nodesz00_3070));
								BgL_iz00_3072 =
									BGl_initflowzd2nodezd2zzinitflow_walkz00(
									((BgL_nodez00_bglt) BgL_arg1856z00_3073),
									CBOOL(BgL_ez00_2904));
							}
							{	/* Initflow/walk.scm 149 */
								obj_t BgL_arg1851z00_3074;
								obj_t BgL_arg1852z00_3075;

								BgL_arg1851z00_3074 = CDR(((obj_t) BgL_nodesz00_3070));
								BgL_arg1852z00_3075 =
									BGl_appendzd221011zd2zzinitflow_walkz00(BgL_iz00_3072,
									BgL_isz00_3071);
								{
									obj_t BgL_isz00_4030;
									obj_t BgL_nodesz00_4029;

									BgL_nodesz00_4029 = BgL_arg1851z00_3074;
									BgL_isz00_4030 = BgL_arg1852z00_3075;
									BgL_isz00_3071 = BgL_isz00_4030;
									BgL_nodesz00_3070 = BgL_nodesz00_4029;
									goto BgL_loopz00_3069;
								}
							}
						}
				}
				return BgL_res2083z00_3076;
			}
		}

	}



/* &initflow-node-var1342 */
	obj_t BGl_z62initflowzd2nodezd2var1342z62zzinitflow_walkz00(obj_t
		BgL_envz00_2905, obj_t BgL_nodez00_2906, obj_t BgL_ez00_2907)
	{
		{	/* Initflow/walk.scm 99 */
			{	/* Initflow/walk.scm 101 */
				bool_t BgL_test2196z00_4033;

				{	/* Initflow/walk.scm 101 */
					bool_t BgL_test2197z00_4034;

					{	/* Initflow/walk.scm 101 */
						BgL_variablez00_bglt BgL_arg1822z00_3078;

						BgL_arg1822z00_3078 =
							(((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt) BgL_nodez00_2906)))->BgL_variablez00);
						{	/* Initflow/walk.scm 101 */
							obj_t BgL_classz00_3079;

							BgL_classz00_3079 = BGl_globalz00zzast_varz00;
							{	/* Initflow/walk.scm 101 */
								BgL_objectz00_bglt BgL_arg1858z00_3080;

								{	/* Initflow/walk.scm 101 */
									obj_t BgL_tmpz00_4037;

									BgL_tmpz00_4037 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1822z00_3078));
									BgL_arg1858z00_3080 = (BgL_objectz00_bglt) (BgL_tmpz00_4037);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Initflow/walk.scm 101 */
										long BgL_idxz00_3081;

										BgL_idxz00_3081 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3080);
										BgL_test2197z00_4034 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3081 + 2L)) == BgL_classz00_3079);
									}
								else
									{	/* Initflow/walk.scm 101 */
										bool_t BgL_res2025z00_3084;

										{	/* Initflow/walk.scm 101 */
											obj_t BgL_oclassz00_3085;

											{	/* Initflow/walk.scm 101 */
												obj_t BgL_arg1866z00_3086;
												long BgL_arg1867z00_3087;

												BgL_arg1866z00_3086 =
													(BGl_za2classesza2z00zz__objectz00);
												{	/* Initflow/walk.scm 101 */
													long BgL_arg1869z00_3088;

													BgL_arg1869z00_3088 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3080);
													BgL_arg1867z00_3087 =
														(BgL_arg1869z00_3088 - OBJECT_TYPE);
												}
												BgL_oclassz00_3085 =
													VECTOR_REF(BgL_arg1866z00_3086, BgL_arg1867z00_3087);
											}
											{	/* Initflow/walk.scm 101 */
												bool_t BgL__ortest_1115z00_3089;

												BgL__ortest_1115z00_3089 =
													(BgL_classz00_3079 == BgL_oclassz00_3085);
												if (BgL__ortest_1115z00_3089)
													{	/* Initflow/walk.scm 101 */
														BgL_res2025z00_3084 = BgL__ortest_1115z00_3089;
													}
												else
													{	/* Initflow/walk.scm 101 */
														long BgL_odepthz00_3090;

														{	/* Initflow/walk.scm 101 */
															obj_t BgL_arg1855z00_3091;

															BgL_arg1855z00_3091 = (BgL_oclassz00_3085);
															BgL_odepthz00_3090 =
																BGL_CLASS_DEPTH(BgL_arg1855z00_3091);
														}
														if ((2L < BgL_odepthz00_3090))
															{	/* Initflow/walk.scm 101 */
																obj_t BgL_arg1853z00_3092;

																{	/* Initflow/walk.scm 101 */
																	obj_t BgL_arg1854z00_3093;

																	BgL_arg1854z00_3093 = (BgL_oclassz00_3085);
																	BgL_arg1853z00_3092 =
																		BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3093,
																		2L);
																}
																BgL_res2025z00_3084 =
																	(BgL_arg1853z00_3092 == BgL_classz00_3079);
															}
														else
															{	/* Initflow/walk.scm 101 */
																BgL_res2025z00_3084 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2197z00_4034 = BgL_res2025z00_3084;
									}
							}
						}
					}
					if (BgL_test2197z00_4034)
						{	/* Initflow/walk.scm 101 */
							if (
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2906)))->
														BgL_variablez00))))->BgL_initz00) == BUNSPEC))
								{	/* Initflow/walk.scm 103 */
									obj_t BgL_arg1811z00_3094;

									BgL_arg1811z00_3094 =
										(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2906)))->
														BgL_variablez00))))->BgL_modulez00);
									BgL_test2196z00_4033 =
										(BgL_arg1811z00_3094 ==
										BGl_za2moduleza2z00zzmodule_modulez00);
								}
							else
								{	/* Initflow/walk.scm 102 */
									BgL_test2196z00_4033 = ((bool_t) 0);
								}
						}
					else
						{	/* Initflow/walk.scm 101 */
							BgL_test2196z00_4033 = ((bool_t) 0);
						}
				}
				if (BgL_test2196z00_4033)
					{	/* Initflow/walk.scm 101 */
						{	/* Initflow/walk.scm 104 */
							BgL_variablez00_bglt BgL_arg1757z00_3095;

							BgL_arg1757z00_3095 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2906)))->BgL_variablez00);
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_arg1757z00_3095)))->
									BgL_initz00) = ((obj_t) BFALSE), BUNSPEC);
						}
						{	/* Initflow/walk.scm 106 */
							bool_t BgL_test2202z00_4075;

							{	/* Initflow/walk.scm 106 */
								obj_t BgL_arg1804z00_3096;

								BgL_arg1804z00_3096 =
									((obj_t)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) COBJECT(
																	((BgL_varz00_bglt) BgL_nodez00_2906)))->
															BgL_variablez00)))))->BgL_typez00));
								BgL_test2202z00_4075 =
									(BgL_arg1804z00_3096 == BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2202z00_4075)
								{	/* Initflow/walk.scm 107 */
									BgL_variablez00_bglt BgL_arg1768z00_3097;

									BgL_arg1768z00_3097 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_2906)))->
										BgL_variablez00);
									{	/* Initflow/walk.scm 107 */
										BgL_typez00_bglt BgL_vz00_3098;

										BgL_vz00_3098 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_arg1768z00_3097))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3098), BUNSPEC);
									}
								}
							else
								{	/* Initflow/walk.scm 108 */
									bool_t BgL_test2203z00_4089;

									{	/* Initflow/walk.scm 108 */
										obj_t BgL_arg1802z00_3099;

										BgL_arg1802z00_3099 =
											((obj_t)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) COBJECT(
																			((BgL_varz00_bglt) BgL_nodez00_2906)))->
																	BgL_variablez00)))))->BgL_typez00));
										BgL_test2203z00_4089 =
											(BgL_arg1802z00_3099 == BGl_za2objza2z00zztype_cachez00);
									}
									if (BgL_test2203z00_4089)
										{	/* Initflow/walk.scm 108 */
											BUNSPEC;
										}
									else
										{	/* Initflow/walk.scm 110 */
											bool_t BgL_test2204z00_4097;

											{	/* Initflow/walk.scm 110 */
												bool_t BgL_test2205z00_4098;

												{	/* Initflow/walk.scm 110 */
													BgL_variablez00_bglt BgL_arg1801z00_3100;

													BgL_arg1801z00_3100 =
														(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2906)))->
														BgL_variablez00);
													BgL_test2205z00_4098 =
														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00((
															(BgL_globalz00_bglt) BgL_arg1801z00_3100));
												}
												if (BgL_test2205z00_4098)
													{	/* Initflow/walk.scm 111 */
														obj_t BgL_arg1797z00_3101;
														obj_t BgL_arg1799z00_3102;

														BgL_arg1797z00_3101 =
															((obj_t)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt) COBJECT(
																							((BgL_varz00_bglt)
																								BgL_nodez00_2906)))->
																					BgL_variablez00)))))->BgL_typez00));
														BgL_arg1799z00_3102 =
															BGl_getzd2classzd2typez00zztype_cachez00();
														BgL_test2204z00_4097 =
															(BgL_arg1797z00_3101 == BgL_arg1799z00_3102);
													}
												else
													{	/* Initflow/walk.scm 110 */
														BgL_test2204z00_4097 = ((bool_t) 0);
													}
											}
											if (BgL_test2204z00_4097)
												{	/* Initflow/walk.scm 110 */
													BUNSPEC;
												}
											else
												{	/* Initflow/walk.scm 114 */
													obj_t BgL_arg1789z00_3103;
													obj_t BgL_arg1790z00_3104;

													BgL_arg1789z00_3103 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_varz00_bglt) BgL_nodez00_2906))))->
														BgL_locz00);
													BgL_arg1790z00_3104 =
														(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
																		COBJECT(((BgL_varz00_bglt)
																				BgL_nodez00_2906)))->
																	BgL_variablez00)))->BgL_idz00);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1789z00_3103,
														BGl_za2moduleza2z00zzmodule_modulez00,
														BGl_string2071z00zzinitflow_walkz00,
														BgL_arg1790z00_3104, BNIL);
												}
										}
								}
						}
					}
				else
					{	/* Initflow/walk.scm 101 */
						BFALSE;
					}
			}
			{	/* Initflow/walk.scm 117 */
				bool_t BgL_test2206z00_4118;

				{	/* Initflow/walk.scm 117 */
					BgL_valuez00_bglt BgL_arg1842z00_3105;

					BgL_arg1842z00_3105 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2906)))->
									BgL_variablez00)))->BgL_valuez00);
					{	/* Initflow/walk.scm 117 */
						obj_t BgL_classz00_3106;

						BgL_classz00_3106 = BGl_sfunz00zzast_varz00;
						{	/* Initflow/walk.scm 117 */
							BgL_objectz00_bglt BgL_arg1858z00_3107;

							{	/* Initflow/walk.scm 117 */
								obj_t BgL_tmpz00_4122;

								BgL_tmpz00_4122 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1842z00_3105));
								BgL_arg1858z00_3107 = (BgL_objectz00_bglt) (BgL_tmpz00_4122);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Initflow/walk.scm 117 */
									long BgL_idxz00_3108;

									BgL_idxz00_3108 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3107);
									BgL_test2206z00_4118 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3108 + 3L)) == BgL_classz00_3106);
								}
							else
								{	/* Initflow/walk.scm 117 */
									bool_t BgL_res2026z00_3111;

									{	/* Initflow/walk.scm 117 */
										obj_t BgL_oclassz00_3112;

										{	/* Initflow/walk.scm 117 */
											obj_t BgL_arg1866z00_3113;
											long BgL_arg1867z00_3114;

											BgL_arg1866z00_3113 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Initflow/walk.scm 117 */
												long BgL_arg1869z00_3115;

												BgL_arg1869z00_3115 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3107);
												BgL_arg1867z00_3114 =
													(BgL_arg1869z00_3115 - OBJECT_TYPE);
											}
											BgL_oclassz00_3112 =
												VECTOR_REF(BgL_arg1866z00_3113, BgL_arg1867z00_3114);
										}
										{	/* Initflow/walk.scm 117 */
											bool_t BgL__ortest_1115z00_3116;

											BgL__ortest_1115z00_3116 =
												(BgL_classz00_3106 == BgL_oclassz00_3112);
											if (BgL__ortest_1115z00_3116)
												{	/* Initflow/walk.scm 117 */
													BgL_res2026z00_3111 = BgL__ortest_1115z00_3116;
												}
											else
												{	/* Initflow/walk.scm 117 */
													long BgL_odepthz00_3117;

													{	/* Initflow/walk.scm 117 */
														obj_t BgL_arg1855z00_3118;

														BgL_arg1855z00_3118 = (BgL_oclassz00_3112);
														BgL_odepthz00_3117 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_3118);
													}
													if ((3L < BgL_odepthz00_3117))
														{	/* Initflow/walk.scm 117 */
															obj_t BgL_arg1853z00_3119;

															{	/* Initflow/walk.scm 117 */
																obj_t BgL_arg1854z00_3120;

																BgL_arg1854z00_3120 = (BgL_oclassz00_3112);
																BgL_arg1853z00_3119 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_3120,
																	3L);
															}
															BgL_res2026z00_3111 =
																(BgL_arg1853z00_3119 == BgL_classz00_3106);
														}
													else
														{	/* Initflow/walk.scm 117 */
															BgL_res2026z00_3111 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2206z00_4118 = BgL_res2026z00_3111;
								}
						}
					}
				}
				if (BgL_test2206z00_4118)
					{	/* Initflow/walk.scm 117 */
						return
							BGl_initflowzd2funzd2zzinitflow_walkz00(
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2906)))->BgL_variablez00),
							CBOOL(BgL_ez00_2907));
					}
				else
					{	/* Initflow/walk.scm 117 */
						return BNIL;
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinitflow_walkz00(void)
	{
		{	/* Initflow/walk.scm 27 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2072z00zzinitflow_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
