/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/recursion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_RECURSION_TYPE_DEFINITIONS
#define BGL_INLINE_RECURSION_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


#endif													// BGL_INLINE_RECURSION_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00(void);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00(void);
	static obj_t BGl_objectzd2initzd2zzinline_recursionz00(void);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00(void);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_svarz00zzast_varz00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzinline_recursionz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00(void);
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00(void);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2024z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1995z00zzinline_recursionz00,
		BgL_bgl_string1995za700za7za7i2025za7, "simple", 6);
	      DEFINE_STRING(BGl_string1996z00zzinline_recursionz00,
		BgL_bgl_string1996za700za7za7i2026za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string1997z00zzinline_recursionz00,
		BgL_bgl_string1997za700za7za7i2027za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1998z00zzinline_recursionz00,
		BgL_bgl_string1998za700za7za7i2028za7, "         ", 9);
	      DEFINE_STRING(BGl_string1999z00zzinline_recursionz00,
		BgL_bgl_string1999za700za7za7i2029za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string2001z00zzinline_recursionz00,
		BgL_bgl_string2001za700za7za7i2030za7, "find-recursive-calls1305", 24);
	      DEFINE_STRING(BGl_string2003z00zzinline_recursionz00,
		BgL_bgl_string2003za700za7za7i2031za7, "find-recursive-calls", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2032z00,
		BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2033z00,
		BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2034z00,
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2035z00,
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2036z00,
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2037z00,
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2038z00,
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2039z00,
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2040z00,
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2041z00,
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2042z00,
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2043z00,
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2044z00,
		BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string2021z00zzinline_recursionz00,
		BgL_bgl_string2021za700za7za7i2045za7, "inline_recursion", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2046z00,
		BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string2022z00zzinline_recursionz00,
		BgL_bgl_string2022za700za7za7i2047za7, "(sifun sgfun) sfun ", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2048z00,
		BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2017z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2049z00,
		BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2018z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2050z00,
		BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2019z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2051z00,
		BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza72052za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv2053z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2020z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2054z00,
		BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00, 0L, BUNSPEC,
		4);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_recursionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_3136, char *BgL_fromz00_3137)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_recursionz00();
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BGl_toplevelzd2initzd2zzinline_recursionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_recursion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_3003;

				{	/* Inline/recursion.scm 15 */
					obj_t BgL_stringz00_3010;

					BgL_stringz00_3010 = BGl_string2022z00zzinline_recursionz00;
					{	/* Inline/recursion.scm 15 */
						obj_t BgL_startz00_3011;

						BgL_startz00_3011 = BINT(0L);
						{	/* Inline/recursion.scm 15 */
							obj_t BgL_endz00_3012;

							BgL_endz00_3012 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3010)));
							{	/* Inline/recursion.scm 15 */

								BgL_cportz00_3003 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3010, BgL_startz00_3011, BgL_endz00_3012);
				}}}}
				{
					long BgL_iz00_3004;

					BgL_iz00_3004 = 1L;
				BgL_loopz00_3005:
					if ((BgL_iz00_3004 == (-1L)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg2023z00_3006;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_3008;

										BgL_locationz00_3008 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg2023z00_3006 =
												BGl_readz00zz__readerz00(BgL_cportz00_3003,
												BgL_locationz00_3008);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_tmpz00_3169;

									BgL_tmpz00_3169 = (int) (BgL_iz00_3004);
									CNST_TABLE_SET(BgL_tmpz00_3169, BgL_arg2023z00_3006);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_3009;

								BgL_auxz00_3009 = (int) ((BgL_iz00_3004 - 1L));
								{
									long BgL_iz00_3174;

									BgL_iz00_3174 = (long) (BgL_auxz00_3009);
									BgL_iz00_3004 = BgL_iz00_3174;
									goto BgL_loopz00_3005;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1581;

					BgL_headz00_1581 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1582;
						obj_t BgL_tailz00_1583;

						BgL_prevz00_1582 = BgL_headz00_1581;
						BgL_tailz00_1583 = BgL_l1z00_1;
					BgL_loopz00_1584:
						if (PAIRP(BgL_tailz00_1583))
							{
								obj_t BgL_newzd2prevzd2_1586;

								BgL_newzd2prevzd2_1586 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1583), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1582, BgL_newzd2prevzd2_1586);
								{
									obj_t BgL_tailz00_3186;
									obj_t BgL_prevz00_3185;

									BgL_prevz00_3185 = BgL_newzd2prevzd2_1586;
									BgL_tailz00_3186 = CDR(BgL_tailz00_1583);
									BgL_tailz00_1583 = BgL_tailz00_3186;
									BgL_prevz00_1582 = BgL_prevz00_3185;
									goto BgL_loopz00_1584;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1581);
					}
				}
		}

	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/recursion.scm 41 */
			{	/* Inline/recursion.scm 42 */
				BgL_varz00_bglt BgL_funz00_1589;

				BgL_funz00_1589 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00);
				{	/* Inline/recursion.scm 42 */
					BgL_variablez00_bglt BgL_calleez00_1590;

					BgL_calleez00_1590 =
						(((BgL_varz00_bglt) COBJECT(BgL_funz00_1589))->BgL_variablez00);
					{	/* Inline/recursion.scm 43 */

						if (BGl_tailreczf3zf3zzinline_recursionz00(BgL_calleez00_1590))
							{	/* Inline/recursion.scm 45 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_calleez00_1590), BgL_stackz00_5)))
									{	/* Inline/recursion.scm 47 */
										return
											BGl_inlinezd2appzd2simplez00zzinline_simplez00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5,
											BGl_string1995z00zzinline_recursionz00);
									}
								else
									{	/* Inline/recursion.scm 47 */
										return
											((BgL_nodez00_bglt)
											BGl_inlinezd2appzd2labelsz00zzinline_recursionz00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5));
									}
							}
						else
							{	/* Inline/recursion.scm 45 */
								return BgL_nodez00_3;
							}
					}
				}
			}
		}

	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_2874, obj_t BgL_nodez00_2875, obj_t BgL_kfactorz00_2876,
		obj_t BgL_stackz00_2877)
	{
		{	/* Inline/recursion.scm 41 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2875),
				(long) CINT(BgL_kfactorz00_2876), BgL_stackz00_2877);
		}

	}



/* tailrec? */
	bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_6)
	{
		{	/* Inline/recursion.scm 62 */
			{	/* Inline/recursion.scm 63 */
				bool_t BgL_test2061z00_3204;

				{	/* Inline/recursion.scm 63 */
					BgL_valuez00_bglt BgL_arg1370z00_1596;

					BgL_arg1370z00_1596 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00);
					{	/* Inline/recursion.scm 63 */
						obj_t BgL_classz00_2229;

						BgL_classz00_2229 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 63 */
							BgL_objectz00_bglt BgL_arg1858z00_2231;

							{	/* Inline/recursion.scm 63 */
								obj_t BgL_tmpz00_3206;

								BgL_tmpz00_3206 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1370z00_1596));
								BgL_arg1858z00_2231 = (BgL_objectz00_bglt) (BgL_tmpz00_3206);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 63 */
									long BgL_idxz00_2237;

									BgL_idxz00_2237 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2231);
									BgL_test2061z00_3204 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2237 + 4L)) == BgL_classz00_2229);
								}
							else
								{	/* Inline/recursion.scm 63 */
									bool_t BgL_res1971z00_2262;

									{	/* Inline/recursion.scm 63 */
										obj_t BgL_oclassz00_2245;

										{	/* Inline/recursion.scm 63 */
											obj_t BgL_arg1866z00_2253;
											long BgL_arg1867z00_2254;

											BgL_arg1866z00_2253 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Inline/recursion.scm 63 */
												long BgL_arg1869z00_2255;

												BgL_arg1869z00_2255 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2231);
												BgL_arg1867z00_2254 =
													(BgL_arg1869z00_2255 - OBJECT_TYPE);
											}
											BgL_oclassz00_2245 =
												VECTOR_REF(BgL_arg1866z00_2253, BgL_arg1867z00_2254);
										}
										{	/* Inline/recursion.scm 63 */
											bool_t BgL__ortest_1115z00_2246;

											BgL__ortest_1115z00_2246 =
												(BgL_classz00_2229 == BgL_oclassz00_2245);
											if (BgL__ortest_1115z00_2246)
												{	/* Inline/recursion.scm 63 */
													BgL_res1971z00_2262 = BgL__ortest_1115z00_2246;
												}
											else
												{	/* Inline/recursion.scm 63 */
													long BgL_odepthz00_2247;

													{	/* Inline/recursion.scm 63 */
														obj_t BgL_arg1855z00_2248;

														BgL_arg1855z00_2248 = (BgL_oclassz00_2245);
														BgL_odepthz00_2247 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2248);
													}
													if ((4L < BgL_odepthz00_2247))
														{	/* Inline/recursion.scm 63 */
															obj_t BgL_arg1853z00_2250;

															{	/* Inline/recursion.scm 63 */
																obj_t BgL_arg1854z00_2251;

																BgL_arg1854z00_2251 = (BgL_oclassz00_2245);
																BgL_arg1853z00_2250 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2251,
																	4L);
															}
															BgL_res1971z00_2262 =
																(BgL_arg1853z00_2250 == BgL_classz00_2229);
														}
													else
														{	/* Inline/recursion.scm 63 */
															BgL_res1971z00_2262 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2061z00_3204 = BgL_res1971z00_2262;
								}
						}
					}
				}
				if (BgL_test2061z00_3204)
					{	/* Inline/recursion.scm 64 */
						BgL_sfunz00_bglt BgL_i1109z00_1595;

						BgL_i1109z00_1595 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00));
						{
							BgL_isfunz00_bglt BgL_auxz00_3231;

							{
								obj_t BgL_auxz00_3232;

								{	/* Inline/recursion.scm 64 */
									BgL_objectz00_bglt BgL_tmpz00_3233;

									BgL_tmpz00_3233 = ((BgL_objectz00_bglt) BgL_i1109z00_1595);
									BgL_auxz00_3232 = BGL_OBJECT_WIDENING(BgL_tmpz00_3233);
								}
								BgL_auxz00_3231 = ((BgL_isfunz00_bglt) BgL_auxz00_3232);
							}
							return
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3231))->
								BgL_tailrecz00);
						}
					}
				else
					{	/* Inline/recursion.scm 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
	{
		{	/* Inline/recursion.scm 72 */
			{	/* Inline/recursion.scm 73 */
				BgL_variablez00_bglt BgL_variablez00_1597;

				BgL_variablez00_1597 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_7)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/recursion.scm 73 */
					BgL_localz00_bglt BgL_localz00_1598;

					{	/* Inline/recursion.scm 74 */
						obj_t BgL_arg1560z00_1724;
						BgL_typez00_bglt BgL_arg1574z00_1725;
						BgL_valuez00_bglt BgL_arg1577z00_1726;

						BgL_arg1560z00_1724 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1597))->
							BgL_idz00);
						BgL_arg1574z00_1725 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1597))->
							BgL_typez00);
						BgL_arg1577z00_1726 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1597))->
							BgL_valuez00);
						BgL_localz00_1598 =
							BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg1560z00_1724,
							BgL_arg1574z00_1725, ((BgL_sfunz00_bglt) BgL_arg1577z00_1726));
					}
					{	/* Inline/recursion.scm 74 */
						BgL_valuez00_bglt BgL_oldzd2sfunzd2_1599;

						BgL_oldzd2sfunzd2_1599 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1597))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 77 */
							obj_t BgL_oldzd2bodyzd2_1600;

							{	/* Inline/recursion.scm 78 */
								bool_t BgL_test2065z00_3247;

								{	/* Inline/recursion.scm 78 */
									obj_t BgL_classz00_2271;

									BgL_classz00_2271 = BGl_isfunz00zzinline_inlinez00;
									{	/* Inline/recursion.scm 78 */
										BgL_objectz00_bglt BgL_arg1858z00_2273;

										{	/* Inline/recursion.scm 78 */
											obj_t BgL_tmpz00_3248;

											BgL_tmpz00_3248 =
												((obj_t) ((BgL_objectz00_bglt) BgL_oldzd2sfunzd2_1599));
											BgL_arg1858z00_2273 =
												(BgL_objectz00_bglt) (BgL_tmpz00_3248);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Inline/recursion.scm 78 */
												long BgL_idxz00_2279;

												BgL_idxz00_2279 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2273);
												BgL_test2065z00_3247 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2279 + 4L)) == BgL_classz00_2271);
											}
										else
											{	/* Inline/recursion.scm 78 */
												bool_t BgL_res1972z00_2304;

												{	/* Inline/recursion.scm 78 */
													obj_t BgL_oclassz00_2287;

													{	/* Inline/recursion.scm 78 */
														obj_t BgL_arg1866z00_2295;
														long BgL_arg1867z00_2296;

														BgL_arg1866z00_2295 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Inline/recursion.scm 78 */
															long BgL_arg1869z00_2297;

															BgL_arg1869z00_2297 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2273);
															BgL_arg1867z00_2296 =
																(BgL_arg1869z00_2297 - OBJECT_TYPE);
														}
														BgL_oclassz00_2287 =
															VECTOR_REF(BgL_arg1866z00_2295,
															BgL_arg1867z00_2296);
													}
													{	/* Inline/recursion.scm 78 */
														bool_t BgL__ortest_1115z00_2288;

														BgL__ortest_1115z00_2288 =
															(BgL_classz00_2271 == BgL_oclassz00_2287);
														if (BgL__ortest_1115z00_2288)
															{	/* Inline/recursion.scm 78 */
																BgL_res1972z00_2304 = BgL__ortest_1115z00_2288;
															}
														else
															{	/* Inline/recursion.scm 78 */
																long BgL_odepthz00_2289;

																{	/* Inline/recursion.scm 78 */
																	obj_t BgL_arg1855z00_2290;

																	BgL_arg1855z00_2290 = (BgL_oclassz00_2287);
																	BgL_odepthz00_2289 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_2290);
																}
																if ((4L < BgL_odepthz00_2289))
																	{	/* Inline/recursion.scm 78 */
																		obj_t BgL_arg1853z00_2292;

																		{	/* Inline/recursion.scm 78 */
																			obj_t BgL_arg1854z00_2293;

																			BgL_arg1854z00_2293 =
																				(BgL_oclassz00_2287);
																			BgL_arg1853z00_2292 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_2293, 4L);
																		}
																		BgL_res1972z00_2304 =
																			(BgL_arg1853z00_2292 ==
																			BgL_classz00_2271);
																	}
																else
																	{	/* Inline/recursion.scm 78 */
																		BgL_res1972z00_2304 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2065z00_3247 = BgL_res1972z00_2304;
											}
									}
								}
								if (BgL_test2065z00_3247)
									{
										BgL_nodez00_bglt BgL_auxz00_3271;

										{
											BgL_isfunz00_bglt BgL_auxz00_3272;

											{
												obj_t BgL_auxz00_3273;

												{	/* Inline/recursion.scm 79 */
													BgL_objectz00_bglt BgL_tmpz00_3274;

													BgL_tmpz00_3274 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1599));
													BgL_auxz00_3273 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3274);
												}
												BgL_auxz00_3272 = ((BgL_isfunz00_bglt) BgL_auxz00_3273);
											}
											BgL_auxz00_3271 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3272))->
												BgL_originalzd2bodyzd2);
										}
										BgL_oldzd2bodyzd2_1600 = ((obj_t) BgL_auxz00_3271);
									}
								else
									{	/* Inline/recursion.scm 78 */
										BgL_oldzd2bodyzd2_1600 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1599)))->
											BgL_bodyz00);
									}
							}
							{	/* Inline/recursion.scm 78 */
								obj_t BgL_reczd2callszd2_1601;

								{	/* Inline/recursion.scm 81 */
									obj_t BgL_arg1558z00_1722;

									BgL_arg1558z00_1722 = MAKE_YOUNG_CELL(BTRUE);
									BgL_reczd2callszd2_1601 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1600),
										BgL_variablez00_1597, BTRUE, BgL_arg1558z00_1722);
								}
								{	/* Inline/recursion.scm 81 */
									obj_t BgL_oldzd2argszd2_1602;

									BgL_oldzd2argszd2_1602 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1599)))->
										BgL_argsz00);
									{	/* Inline/recursion.scm 82 */
										obj_t BgL_invzd2argszd2_1603;

										BgL_invzd2argszd2_1603 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_7,
											BgL_variablez00_1597, BgL_reczd2callszd2_1601);
										{	/* Inline/recursion.scm 83 */
											obj_t BgL_varzd2argszd2_1604;

											BgL_varzd2argszd2_1604 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_1597);
											{	/* Inline/recursion.scm 84 */
												obj_t BgL_newzd2argszd2_1605;

												if (NULLP(BgL_varzd2argszd2_1604))
													{	/* Inline/recursion.scm 85 */
														BgL_newzd2argszd2_1605 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 85 */
														obj_t BgL_head1289z00_1706;

														BgL_head1289z00_1706 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1287z00_1708;
															obj_t BgL_tail1290z00_1709;

															BgL_l1287z00_1708 = BgL_varzd2argszd2_1604;
															BgL_tail1290z00_1709 = BgL_head1289z00_1706;
														BgL_zc3z04anonymousza31537ze3z87_1710:
															if (NULLP(BgL_l1287z00_1708))
																{	/* Inline/recursion.scm 85 */
																	BgL_newzd2argszd2_1605 =
																		CDR(BgL_head1289z00_1706);
																}
															else
																{	/* Inline/recursion.scm 85 */
																	obj_t BgL_newtail1291z00_1712;

																	{	/* Inline/recursion.scm 85 */
																		BgL_localz00_bglt BgL_arg1545z00_1714;

																		{	/* Inline/recursion.scm 85 */
																			obj_t BgL_lz00_1715;

																			BgL_lz00_1715 =
																				CAR(((obj_t) BgL_l1287z00_1708));
																			{	/* Inline/recursion.scm 86 */
																				BgL_svarz00_bglt BgL_arg1553z00_1716;

																				{	/* Inline/recursion.scm 86 */
																					BgL_svarz00_bglt
																						BgL_duplicated1112z00_1717;
																					BgL_svarz00_bglt BgL_new1110z00_1718;

																					BgL_duplicated1112z00_1717 =
																						((BgL_svarz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_lz00_1715))))->
																							BgL_valuez00));
																					{	/* Inline/recursion.scm 86 */
																						BgL_svarz00_bglt
																							BgL_new1113z00_1719;
																						BgL_new1113z00_1719 =
																							((BgL_svarz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_svarz00_bgl))));
																						{	/* Inline/recursion.scm 86 */
																							long BgL_arg1554z00_1720;

																							BgL_arg1554z00_1720 =
																								BGL_CLASS_NUM
																								(BGl_svarz00zzast_varz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1113z00_1719),
																								BgL_arg1554z00_1720);
																						}
																						{	/* Inline/recursion.scm 86 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_3306;
																							BgL_tmpz00_3306 =
																								((BgL_objectz00_bglt)
																								BgL_new1113z00_1719);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_3306, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1113z00_1719);
																						BgL_new1110z00_1718 =
																							BgL_new1113z00_1719;
																					}
																					((((BgL_svarz00_bglt)
																								COBJECT(BgL_new1110z00_1718))->
																							BgL_locz00) =
																						((obj_t) (((BgL_svarz00_bglt)
																									COBJECT
																									(BgL_duplicated1112z00_1717))->
																								BgL_locz00)), BUNSPEC);
																					BgL_arg1553z00_1716 =
																						BgL_new1110z00_1718;
																				}
																				BgL_arg1545z00_1714 =
																					BGl_clonezd2localzd2zzast_localz00(
																					((BgL_localz00_bglt) BgL_lz00_1715),
																					((BgL_valuez00_bglt)
																						BgL_arg1553z00_1716));
																		}}
																		BgL_newtail1291z00_1712 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1545z00_1714), BNIL);
																	}
																	SET_CDR(BgL_tail1290z00_1709,
																		BgL_newtail1291z00_1712);
																	{	/* Inline/recursion.scm 85 */
																		obj_t BgL_arg1543z00_1713;

																		BgL_arg1543z00_1713 =
																			CDR(((obj_t) BgL_l1287z00_1708));
																		{
																			obj_t BgL_tail1290z00_3321;
																			obj_t BgL_l1287z00_3320;

																			BgL_l1287z00_3320 = BgL_arg1543z00_1713;
																			BgL_tail1290z00_3321 =
																				BgL_newtail1291z00_1712;
																			BgL_tail1290z00_1709 =
																				BgL_tail1290z00_3321;
																			BgL_l1287z00_1708 = BgL_l1287z00_3320;
																			goto
																				BgL_zc3z04anonymousza31537ze3z87_1710;
																		}
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 85 */
													obj_t BgL_substitutez00_1606;

													{	/* Inline/recursion.scm 88 */
														obj_t BgL_arg1535z00_1703;

														BgL_arg1535z00_1703 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_7)))->
															BgL_argsz00);
														BgL_substitutez00_1606 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_1597, BgL_arg1535z00_1703,
															BgL_newzd2argszd2_1605);
													}
													{	/* Inline/recursion.scm 88 */
														obj_t BgL_svgzd2callszd2argsz00_1607;

														if (NULLP(BgL_reczd2callszd2_1601))
															{	/* Inline/recursion.scm 89 */
																BgL_svgzd2callszd2argsz00_1607 = BNIL;
															}
														else
															{	/* Inline/recursion.scm 89 */
																obj_t BgL_head1294z00_1692;

																BgL_head1294z00_1692 =
																	MAKE_YOUNG_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_l1292z00_1694;
																	obj_t BgL_tail1295z00_1695;

																	BgL_l1292z00_1694 = BgL_reczd2callszd2_1601;
																	BgL_tail1295z00_1695 = BgL_head1294z00_1692;
																BgL_zc3z04anonymousza31518ze3z87_1696:
																	if (NULLP(BgL_l1292z00_1694))
																		{	/* Inline/recursion.scm 89 */
																			BgL_svgzd2callszd2argsz00_1607 =
																				CDR(BgL_head1294z00_1692);
																		}
																	else
																		{	/* Inline/recursion.scm 89 */
																			obj_t BgL_newtail1296z00_1698;

																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1532z00_1700;

																				BgL_arg1532z00_1700 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1292z00_1694)))))->
																					BgL_argsz00);
																				BgL_newtail1296z00_1698 =
																					MAKE_YOUNG_PAIR(BgL_arg1532z00_1700,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1295z00_1695,
																				BgL_newtail1296z00_1698);
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1530z00_1699;

																				BgL_arg1530z00_1699 =
																					CDR(((obj_t) BgL_l1292z00_1694));
																				{
																					obj_t BgL_tail1295z00_3340;
																					obj_t BgL_l1292z00_3339;

																					BgL_l1292z00_3339 =
																						BgL_arg1530z00_1699;
																					BgL_tail1295z00_3340 =
																						BgL_newtail1296z00_1698;
																					BgL_tail1295z00_1695 =
																						BgL_tail1295z00_3340;
																					BgL_l1292z00_1694 = BgL_l1292z00_3339;
																					goto
																						BgL_zc3z04anonymousza31518ze3z87_1696;
																				}
																			}
																		}
																}
															}
														{	/* Inline/recursion.scm 89 */
															bool_t BgL_removez12z12_1608;

															{
																obj_t BgL_l1297z00_1684;

																BgL_l1297z00_1684 = BgL_reczd2callszd2_1601;
															BgL_zc3z04anonymousza31512ze3z87_1685:
																if (PAIRP(BgL_l1297z00_1684))
																	{	/* Inline/recursion.scm 90 */
																		{	/* Inline/recursion.scm 90 */
																			obj_t BgL_arg1515z00_1687;

																			BgL_arg1515z00_1687 =
																				CAR(BgL_l1297z00_1684);
																			BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																				(((BgL_appz00_bglt)
																					BgL_arg1515z00_1687));
																		}
																		{
																			obj_t BgL_l1297z00_3346;

																			BgL_l1297z00_3346 =
																				CDR(BgL_l1297z00_1684);
																			BgL_l1297z00_1684 = BgL_l1297z00_3346;
																			goto
																				BgL_zc3z04anonymousza31512ze3z87_1685;
																		}
																	}
																else
																	{	/* Inline/recursion.scm 90 */
																		BgL_removez12z12_1608 = ((bool_t) 1);
																	}
															}
															{	/* Inline/recursion.scm 90 */
																obj_t BgL_ilocz00_1609;

																{	/* Inline/recursion.scm 91 */
																	bool_t BgL_test2074z00_3348;

																	{	/* Inline/recursion.scm 91 */
																		obj_t BgL_classz00_2326;

																		BgL_classz00_2326 =
																			BGl_globalz00zzast_varz00;
																		{	/* Inline/recursion.scm 91 */
																			BgL_objectz00_bglt BgL_arg1858z00_2328;

																			{	/* Inline/recursion.scm 91 */
																				obj_t BgL_tmpz00_3349;

																				BgL_tmpz00_3349 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_variablez00_1597));
																				BgL_arg1858z00_2328 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3349);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Inline/recursion.scm 91 */
																					long BgL_idxz00_2334;

																					BgL_idxz00_2334 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2328);
																					BgL_test2074z00_3348 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2334 + 2L)) ==
																						BgL_classz00_2326);
																				}
																			else
																				{	/* Inline/recursion.scm 91 */
																					bool_t BgL_res1973z00_2359;

																					{	/* Inline/recursion.scm 91 */
																						obj_t BgL_oclassz00_2342;

																						{	/* Inline/recursion.scm 91 */
																							obj_t BgL_arg1866z00_2350;
																							long BgL_arg1867z00_2351;

																							BgL_arg1866z00_2350 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Inline/recursion.scm 91 */
																								long BgL_arg1869z00_2352;

																								BgL_arg1869z00_2352 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2328);
																								BgL_arg1867z00_2351 =
																									(BgL_arg1869z00_2352 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2342 =
																								VECTOR_REF(BgL_arg1866z00_2350,
																								BgL_arg1867z00_2351);
																						}
																						{	/* Inline/recursion.scm 91 */
																							bool_t BgL__ortest_1115z00_2343;

																							BgL__ortest_1115z00_2343 =
																								(BgL_classz00_2326 ==
																								BgL_oclassz00_2342);
																							if (BgL__ortest_1115z00_2343)
																								{	/* Inline/recursion.scm 91 */
																									BgL_res1973z00_2359 =
																										BgL__ortest_1115z00_2343;
																								}
																							else
																								{	/* Inline/recursion.scm 91 */
																									long BgL_odepthz00_2344;

																									{	/* Inline/recursion.scm 91 */
																										obj_t BgL_arg1855z00_2345;

																										BgL_arg1855z00_2345 =
																											(BgL_oclassz00_2342);
																										BgL_odepthz00_2344 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2345);
																									}
																									if ((2L < BgL_odepthz00_2344))
																										{	/* Inline/recursion.scm 91 */
																											obj_t BgL_arg1853z00_2347;

																											{	/* Inline/recursion.scm 91 */
																												obj_t
																													BgL_arg1854z00_2348;
																												BgL_arg1854z00_2348 =
																													(BgL_oclassz00_2342);
																												BgL_arg1853z00_2347 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2348,
																													2L);
																											}
																											BgL_res1973z00_2359 =
																												(BgL_arg1853z00_2347 ==
																												BgL_classz00_2326);
																										}
																									else
																										{	/* Inline/recursion.scm 91 */
																											BgL_res1973z00_2359 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2074z00_3348 =
																						BgL_res1973z00_2359;
																				}
																		}
																	}
																	if (BgL_test2074z00_3348)
																		{	/* Inline/recursion.scm 92 */
																			bool_t BgL_test2078z00_3372;

																			{	/* Inline/recursion.scm 92 */
																				obj_t BgL_arg1511z00_1682;

																				BgL_arg1511z00_1682 =
																					(((BgL_globalz00_bglt) COBJECT(
																							((BgL_globalz00_bglt)
																								BgL_variablez00_1597)))->
																					BgL_modulez00);
																				BgL_test2078z00_3372 =
																					(BgL_arg1511z00_1682 ==
																					BGl_za2moduleza2z00zzmodule_modulez00);
																			}
																			if (BgL_test2078z00_3372)
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1609 = BFALSE;
																				}
																			else
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1609 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_nodez00_7))->
																						BgL_locz00);
																				}
																		}
																	else
																		{	/* Inline/recursion.scm 91 */
																			BgL_ilocz00_1609 = BFALSE;
																		}
																}
																{	/* Inline/recursion.scm 91 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_1610;

																	if (NULLP(BgL_invzd2argszd2_1603))
																		{	/* Inline/recursion.scm 96 */
																			obj_t BgL_arg1487z00_1676;
																			obj_t BgL_arg1489z00_1677;

																			BgL_arg1487z00_1676 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1597),
																				BgL_oldzd2argszd2_1602);
																			BgL_arg1489z00_1677 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1598),
																				BgL_substitutez00_1606);
																			BgL_newzd2bodyzd2_1610 =
																				BGl_alphatiza7eza7zzast_alphatiza7eza7
																				(BgL_arg1487z00_1676,
																				BgL_arg1489z00_1677, BgL_ilocz00_1609,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1600));
																		}
																	else
																		{	/* Inline/recursion.scm 103 */
																			obj_t BgL_arg1490z00_1678;
																			obj_t BgL_arg1506z00_1679;

																			BgL_arg1490z00_1678 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1597),
																				BgL_oldzd2argszd2_1602);
																			BgL_arg1506z00_1679 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1598),
																				BgL_substitutez00_1606);
																			BgL_newzd2bodyzd2_1610 =
																				BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7
																				(BgL_arg1490z00_1678,
																				BgL_arg1506z00_1679, BgL_ilocz00_1609,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1600),
																				BgL_variablez00_1597);
																		}
																	{	/* Inline/recursion.scm 94 */
																		bool_t BgL_restorez12z12_1611;

																		{
																			obj_t BgL_ll1299z00_1666;
																			obj_t BgL_ll1300z00_1667;

																			BgL_ll1299z00_1666 =
																				BgL_reczd2callszd2_1601;
																			BgL_ll1300z00_1667 =
																				BgL_svgzd2callszd2argsz00_1607;
																		BgL_zc3z04anonymousza31472ze3z87_1668:
																			if (NULLP(BgL_ll1299z00_1666))
																				{	/* Inline/recursion.scm 108 */
																					BgL_restorez12z12_1611 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 108 */
																					{	/* Inline/recursion.scm 109 */
																						obj_t BgL_appz00_1670;
																						obj_t BgL_argsz00_1671;

																						BgL_appz00_1670 =
																							CAR(((obj_t) BgL_ll1299z00_1666));
																						BgL_argsz00_1671 =
																							CAR(((obj_t) BgL_ll1300z00_1667));
																						((((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_appz00_1670)))->
																								BgL_argsz00) =
																							((obj_t) BgL_argsz00_1671),
																							BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 108 */
																						obj_t BgL_arg1480z00_1672;
																						obj_t BgL_arg1484z00_1673;

																						BgL_arg1480z00_1672 =
																							CDR(((obj_t) BgL_ll1299z00_1666));
																						BgL_arg1484z00_1673 =
																							CDR(((obj_t) BgL_ll1300z00_1667));
																						{
																							obj_t BgL_ll1300z00_3404;
																							obj_t BgL_ll1299z00_3403;

																							BgL_ll1299z00_3403 =
																								BgL_arg1480z00_1672;
																							BgL_ll1300z00_3404 =
																								BgL_arg1484z00_1673;
																							BgL_ll1300z00_1667 =
																								BgL_ll1300z00_3404;
																							BgL_ll1299z00_1666 =
																								BgL_ll1299z00_3403;
																							goto
																								BgL_zc3z04anonymousza31472ze3z87_1668;
																						}
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 108 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_1612;

																			{	/* Inline/recursion.scm 112 */
																				BgL_sfunz00_bglt BgL_new1116z00_1653;

																				{	/* Inline/recursion.scm 112 */
																					BgL_sfunz00_bglt BgL_new1128z00_1663;

																					BgL_new1128z00_1663 =
																						((BgL_sfunz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sfunz00_bgl))));
																					{	/* Inline/recursion.scm 112 */
																						long BgL_arg1471z00_1664;

																						BgL_arg1471z00_1664 =
																							BGL_CLASS_NUM
																							(BGl_sfunz00zzast_varz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1128z00_1663),
																							BgL_arg1471z00_1664);
																					}
																					{	/* Inline/recursion.scm 112 */
																						BgL_objectz00_bglt BgL_tmpz00_3409;

																						BgL_tmpz00_3409 =
																							((BgL_objectz00_bglt)
																							BgL_new1128z00_1663);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_3409, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1128z00_1663);
																					BgL_new1116z00_1653 =
																						BgL_new1128z00_1663;
																				}
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_arityz00) =
																					((long) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_arityz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_sidezd2effectzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_predicatezd2ofzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_predicatezd2ofzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_stackzd2allocatorzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_stackzd2allocatorzd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_topzf3zf3) =
																					((bool_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_topzf3zf3)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_thezd2closurezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_thezd2closurezd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_effectz00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_effectz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_failsafez00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_failsafez00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_argszd2noescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_argszd2noescapezd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1116z00_1653)))->
																						BgL_argszd2retescapezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1599)))->
																							BgL_argszd2retescapezd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_propertyz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_propertyz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_argsz00) =
																					((obj_t) BgL_newzd2argszd2_1605),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_argszd2namezd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_argszd2namezd2)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_bodyz00) =
																					((obj_t) ((obj_t)
																							BgL_newzd2bodyzd2_1610)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_classz00) =
																					((obj_t) ((obj_t) CNST_TABLE_REF(0))),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_dssslzd2keywordszd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_dssslzd2keywordszd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_locz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_optionalsz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_optionalsz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_keysz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_keysz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_thezd2closurezd2globalz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_thezd2closurezd2globalz00)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_strengthz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_strengthz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1116z00_1653))->
																						BgL_stackablez00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1599))))->
																							BgL_stackablez00)), BUNSPEC);
																				BgL_newzd2sfunzd2_1612 =
																					BgL_new1116z00_1653;
																			}
																			{	/* Inline/recursion.scm 112 */
																				obj_t BgL_newzd2kfactorzd2_1613;

																				BgL_newzd2kfactorzd2_1613 =
																					BGL_PROCEDURE_CALL1
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_8));
																				{	/* Inline/recursion.scm 116 */

																					{
																						obj_t BgL_ll1302z00_1615;
																						obj_t BgL_ll1303z00_1616;

																						BgL_ll1302z00_1615 =
																							BgL_newzd2argszd2_1605;
																						BgL_ll1303z00_1616 =
																							BgL_varzd2argszd2_1604;
																					BgL_zc3z04anonymousza31371ze3z87_1617:
																						if (NULLP
																							(BgL_ll1302z00_1615))
																							{	/* Inline/recursion.scm 118 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 118 */
																								{	/* Inline/recursion.scm 119 */
																									obj_t BgL_newz00_1619;
																									obj_t BgL_oldz00_1620;

																									BgL_newz00_1619 =
																										CAR(
																										((obj_t)
																											BgL_ll1302z00_1615));
																									BgL_oldz00_1620 =
																										CAR(((obj_t)
																											BgL_ll1303z00_1616));
																									{	/* Inline/recursion.scm 119 */
																										bool_t BgL_arg1376z00_1621;

																										BgL_arg1376z00_1621 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_oldz00_1620))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_newz00_1619))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1376z00_1621), BUNSPEC);
																									}
																								}
																								{	/* Inline/recursion.scm 118 */
																									obj_t BgL_arg1379z00_1622;
																									obj_t BgL_arg1380z00_1623;

																									BgL_arg1379z00_1622 =
																										CDR(
																										((obj_t)
																											BgL_ll1302z00_1615));
																									BgL_arg1380z00_1623 =
																										CDR(((obj_t)
																											BgL_ll1303z00_1616));
																									{
																										obj_t BgL_ll1303z00_3517;
																										obj_t BgL_ll1302z00_3516;

																										BgL_ll1302z00_3516 =
																											BgL_arg1379z00_1622;
																										BgL_ll1303z00_3517 =
																											BgL_arg1380z00_1623;
																										BgL_ll1303z00_1616 =
																											BgL_ll1303z00_3517;
																										BgL_ll1302z00_1615 =
																											BgL_ll1302z00_3516;
																										goto
																											BgL_zc3z04anonymousza31371ze3z87_1617;
																									}
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 124 */
																						bool_t BgL_arg1382z00_1625;

																						{	/* Inline/recursion.scm 124 */
																							bool_t BgL_test2082z00_3518;

																							{	/* Inline/recursion.scm 124 */
																								obj_t BgL_classz00_2378;

																								BgL_classz00_2378 =
																									BGl_globalz00zzast_varz00;
																								{	/* Inline/recursion.scm 124 */
																									BgL_objectz00_bglt
																										BgL_arg1858z00_2380;
																									{	/* Inline/recursion.scm 124 */
																										obj_t BgL_tmpz00_3519;

																										BgL_tmpz00_3519 =
																											((obj_t)
																											((BgL_objectz00_bglt)
																												BgL_variablez00_1597));
																										BgL_arg1858z00_2380 =
																											(BgL_objectz00_bglt)
																											(BgL_tmpz00_3519);
																									}
																									if (BGL_CONDEXPAND_ISA_ARCH64
																										())
																										{	/* Inline/recursion.scm 124 */
																											long BgL_idxz00_2386;

																											BgL_idxz00_2386 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1858z00_2380);
																											BgL_test2082z00_3518 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_2386 +
																														2L)) ==
																												BgL_classz00_2378);
																										}
																									else
																										{	/* Inline/recursion.scm 124 */
																											bool_t
																												BgL_res1974z00_2411;
																											{	/* Inline/recursion.scm 124 */
																												obj_t
																													BgL_oclassz00_2394;
																												{	/* Inline/recursion.scm 124 */
																													obj_t
																														BgL_arg1866z00_2402;
																													long
																														BgL_arg1867z00_2403;
																													BgL_arg1866z00_2402 =
																														(BGl_za2classesza2z00zz__objectz00);
																													{	/* Inline/recursion.scm 124 */
																														long
																															BgL_arg1869z00_2404;
																														BgL_arg1869z00_2404
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1858z00_2380);
																														BgL_arg1867z00_2403
																															=
																															(BgL_arg1869z00_2404
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_2394 =
																														VECTOR_REF
																														(BgL_arg1866z00_2402,
																														BgL_arg1867z00_2403);
																												}
																												{	/* Inline/recursion.scm 124 */
																													bool_t
																														BgL__ortest_1115z00_2395;
																													BgL__ortest_1115z00_2395
																														=
																														(BgL_classz00_2378
																														==
																														BgL_oclassz00_2394);
																													if (BgL__ortest_1115z00_2395)
																														{	/* Inline/recursion.scm 124 */
																															BgL_res1974z00_2411
																																=
																																BgL__ortest_1115z00_2395;
																														}
																													else
																														{	/* Inline/recursion.scm 124 */
																															long
																																BgL_odepthz00_2396;
																															{	/* Inline/recursion.scm 124 */
																																obj_t
																																	BgL_arg1855z00_2397;
																																BgL_arg1855z00_2397
																																	=
																																	(BgL_oclassz00_2394);
																																BgL_odepthz00_2396
																																	=
																																	BGL_CLASS_DEPTH
																																	(BgL_arg1855z00_2397);
																															}
																															if (
																																(2L <
																																	BgL_odepthz00_2396))
																																{	/* Inline/recursion.scm 124 */
																																	obj_t
																																		BgL_arg1853z00_2399;
																																	{	/* Inline/recursion.scm 124 */
																																		obj_t
																																			BgL_arg1854z00_2400;
																																		BgL_arg1854z00_2400
																																			=
																																			(BgL_oclassz00_2394);
																																		BgL_arg1853z00_2399
																																			=
																																			BGL_CLASS_ANCESTORS_REF
																																			(BgL_arg1854z00_2400,
																																			2L);
																																	}
																																	BgL_res1974z00_2411
																																		=
																																		(BgL_arg1853z00_2399
																																		==
																																		BgL_classz00_2378);
																																}
																															else
																																{	/* Inline/recursion.scm 124 */
																																	BgL_res1974z00_2411
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_test2082z00_3518 =
																												BgL_res1974z00_2411;
																										}
																								}
																							}
																							if (BgL_test2082z00_3518)
																								{	/* Inline/recursion.scm 124 */
																									BgL_arg1382z00_1625 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_1597))))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 126 */
																									bool_t BgL_test2086z00_3545;

																									{	/* Inline/recursion.scm 126 */
																										obj_t BgL_classz00_2413;

																										BgL_classz00_2413 =
																											BGl_localz00zzast_varz00;
																										{	/* Inline/recursion.scm 126 */
																											BgL_objectz00_bglt
																												BgL_arg1858z00_2415;
																											{	/* Inline/recursion.scm 126 */
																												obj_t BgL_tmpz00_3546;

																												BgL_tmpz00_3546 =
																													((obj_t)
																													((BgL_objectz00_bglt)
																														BgL_variablez00_1597));
																												BgL_arg1858z00_2415 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_3546);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Inline/recursion.scm 126 */
																													long BgL_idxz00_2421;

																													BgL_idxz00_2421 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1858z00_2415);
																													BgL_test2086z00_3545 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2421 +
																																2L)) ==
																														BgL_classz00_2413);
																												}
																											else
																												{	/* Inline/recursion.scm 126 */
																													bool_t
																														BgL_res1975z00_2446;
																													{	/* Inline/recursion.scm 126 */
																														obj_t
																															BgL_oclassz00_2429;
																														{	/* Inline/recursion.scm 126 */
																															obj_t
																																BgL_arg1866z00_2437;
																															long
																																BgL_arg1867z00_2438;
																															BgL_arg1866z00_2437
																																=
																																(BGl_za2classesza2z00zz__objectz00);
																															{	/* Inline/recursion.scm 126 */
																																long
																																	BgL_arg1869z00_2439;
																																BgL_arg1869z00_2439
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1858z00_2415);
																																BgL_arg1867z00_2438
																																	=
																																	(BgL_arg1869z00_2439
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2429
																																=
																																VECTOR_REF
																																(BgL_arg1866z00_2437,
																																BgL_arg1867z00_2438);
																														}
																														{	/* Inline/recursion.scm 126 */
																															bool_t
																																BgL__ortest_1115z00_2430;
																															BgL__ortest_1115z00_2430
																																=
																																(BgL_classz00_2413
																																==
																																BgL_oclassz00_2429);
																															if (BgL__ortest_1115z00_2430)
																																{	/* Inline/recursion.scm 126 */
																																	BgL_res1975z00_2446
																																		=
																																		BgL__ortest_1115z00_2430;
																																}
																															else
																																{	/* Inline/recursion.scm 126 */
																																	long
																																		BgL_odepthz00_2431;
																																	{	/* Inline/recursion.scm 126 */
																																		obj_t
																																			BgL_arg1855z00_2432;
																																		BgL_arg1855z00_2432
																																			=
																																			(BgL_oclassz00_2429);
																																		BgL_odepthz00_2431
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_arg1855z00_2432);
																																	}
																																	if (
																																		(2L <
																																			BgL_odepthz00_2431))
																																		{	/* Inline/recursion.scm 126 */
																																			obj_t
																																				BgL_arg1853z00_2434;
																																			{	/* Inline/recursion.scm 126 */
																																				obj_t
																																					BgL_arg1854z00_2435;
																																				BgL_arg1854z00_2435
																																					=
																																					(BgL_oclassz00_2429);
																																				BgL_arg1853z00_2434
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_arg1854z00_2435,
																																					2L);
																																			}
																																			BgL_res1975z00_2446
																																				=
																																				(BgL_arg1853z00_2434
																																				==
																																				BgL_classz00_2413);
																																		}
																																	else
																																		{	/* Inline/recursion.scm 126 */
																																			BgL_res1975z00_2446
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2086z00_3545 =
																														BgL_res1975z00_2446;
																												}
																										}
																									}
																									if (BgL_test2086z00_3545)
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1382z00_1625 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_variablez00_1597))))->BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1382z00_1625 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_localz00_1598)))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg1382z00_1625),
																							BUNSPEC);
																					}
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_localz00_1598)))->
																							BgL_valuez00) =
																						((BgL_valuez00_bglt) (
																								(BgL_valuez00_bglt)
																								BgL_newzd2sfunzd2_1612)),
																						BUNSPEC);
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																										COBJECT(((BgL_sfunz00_bglt)
																												BgL_oldzd2sfunzd2_1599)))->
																									BgL_classz00),
																								((obj_t) CNST_TABLE_REF(1)))))
																						{	/* Inline/recursion.scm 139 */
																							BFALSE;
																						}
																					else
																						{	/* Inline/recursion.scm 140 */
																							bool_t BgL_test2091z00_3584;

																							if (INTEGERP
																								(BGl_za2verboseza2z00zzengine_paramz00))
																								{	/* Inline/recursion.scm 140 */
																									BgL_test2091z00_3584 =
																										(3L <=
																										(long)
																										CINT
																										(BGl_za2verboseza2z00zzengine_paramz00));
																								}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BgL_test2091z00_3584 =
																										BGl_2zc3zd3z10zz__r4_numbers_6_5z00
																										(BINT(3L),
																										BGl_za2verboseza2z00zzengine_paramz00);
																								}
																							if (BgL_test2091z00_3584)
																								{	/* Inline/recursion.scm 141 */
																									obj_t BgL_arg1400z00_1633;
																									obj_t BgL_arg1401z00_1634;

																									BgL_arg1400z00_1633 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t)
																											BgL_variablez00_1597));
																									BgL_arg1401z00_1634 =
																										BGl_currentzd2functionzd2zztools_errorz00
																										();
																									{	/* Inline/recursion.scm 140 */
																										obj_t BgL_list1402z00_1635;

																										{	/* Inline/recursion.scm 140 */
																											obj_t BgL_arg1403z00_1636;

																											{	/* Inline/recursion.scm 140 */
																												obj_t
																													BgL_arg1406z00_1637;
																												{	/* Inline/recursion.scm 140 */
																													obj_t
																														BgL_arg1414z00_1638;
																													{	/* Inline/recursion.scm 140 */
																														obj_t
																															BgL_arg1415z00_1639;
																														{	/* Inline/recursion.scm 140 */
																															obj_t
																																BgL_arg1416z00_1640;
																															BgL_arg1416z00_1640
																																=
																																MAKE_YOUNG_PAIR
																																(BCHAR((
																																		(unsigned
																																			char)
																																		10)), BNIL);
																															BgL_arg1415z00_1639
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1996z00zzinline_recursionz00,
																																BgL_arg1416z00_1640);
																														}
																														BgL_arg1414z00_1638
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1401z00_1634,
																															BgL_arg1415z00_1639);
																													}
																													BgL_arg1406z00_1637 =
																														MAKE_YOUNG_PAIR
																														(BGl_string1997z00zzinline_recursionz00,
																														BgL_arg1414z00_1638);
																												}
																												BgL_arg1403z00_1636 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1400z00_1633,
																													BgL_arg1406z00_1637);
																											}
																											BgL_list1402z00_1635 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1998z00zzinline_recursionz00,
																												BgL_arg1403z00_1636);
																										}
																										BGl_verbosez00zztools_speekz00
																											(BINT(3L),
																											BgL_list1402z00_1635);
																								}}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BUNSPEC;
																								}
																						}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_1598),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_1613),
																						BgL_stackz00_9);
																					{	/* Inline/recursion.scm 150 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_1643;
																						long BgL_callzd2siza7ez75_1644;

																						BgL_newzd2callzd2_1643 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_7));
																						BgL_callzd2siza7ez75_1644 =
																							(1L +
																							bgl_list_length(((
																										(BgL_appz00_bglt)
																										COBJECT(((BgL_appz00_bglt)
																												BgL_nodez00_7)))->
																									BgL_argsz00)));
																						{	/* Inline/recursion.scm 152 */
																							bool_t BgL_test2093z00_3612;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 152 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1597))
																										{	/* Inline/recursion.scm 153 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1597))
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2093z00_3612 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2093z00_3612 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_1598), (long) CINT(BgL_newzd2kfactorzd2_1613), BgL_callzd2siza7ez75_1644, BgL_stackz00_9);
																										}}
																									else
																										{	/* Inline/recursion.scm 153 */
																											BgL_test2093z00_3612 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									BgL_test2093z00_3612 =
																										((bool_t) 0);
																								}
																							if (BgL_test2093z00_3612)
																								{	/* Inline/recursion.scm 152 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1597,
																										BgL_nodez00_7,
																										BgL_localz00_1598,
																										BgL_newzd2kfactorzd2_1613,
																										BgL_newzd2callzd2_1643,
																										BgL_stackz00_9);
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									return
																										((obj_t)
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1597,
																											BgL_nodez00_7,
																											BgL_localz00_1598,
																											BgL_newzd2callzd2_1643,
																											BgL_stackz00_9));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_10, BgL_nodez00_bglt BgL_nodez00_11,
		BgL_localz00_bglt BgL_localz00_12, BgL_appz00_bglt BgL_newzd2callzd2_13,
		obj_t BgL_stackz00_14)
	{
		{	/* Inline/recursion.scm 164 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_10);
			{	/* Inline/recursion.scm 174 */
				obj_t BgL_ilocz00_1728;

				{	/* Inline/recursion.scm 174 */
					bool_t BgL_test2097z00_3626;

					{	/* Inline/recursion.scm 174 */
						obj_t BgL_classz00_2457;

						BgL_classz00_2457 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 174 */
							BgL_objectz00_bglt BgL_arg1858z00_2459;

							{	/* Inline/recursion.scm 174 */
								obj_t BgL_tmpz00_3627;

								BgL_tmpz00_3627 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_10));
								BgL_arg1858z00_2459 = (BgL_objectz00_bglt) (BgL_tmpz00_3627);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 174 */
									long BgL_idxz00_2465;

									BgL_idxz00_2465 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2459);
									BgL_test2097z00_3626 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2465 + 2L)) == BgL_classz00_2457);
								}
							else
								{	/* Inline/recursion.scm 174 */
									bool_t BgL_res1976z00_2490;

									{	/* Inline/recursion.scm 174 */
										obj_t BgL_oclassz00_2473;

										{	/* Inline/recursion.scm 174 */
											obj_t BgL_arg1866z00_2481;
											long BgL_arg1867z00_2482;

											BgL_arg1866z00_2481 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Inline/recursion.scm 174 */
												long BgL_arg1869z00_2483;

												BgL_arg1869z00_2483 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2459);
												BgL_arg1867z00_2482 =
													(BgL_arg1869z00_2483 - OBJECT_TYPE);
											}
											BgL_oclassz00_2473 =
												VECTOR_REF(BgL_arg1866z00_2481, BgL_arg1867z00_2482);
										}
										{	/* Inline/recursion.scm 174 */
											bool_t BgL__ortest_1115z00_2474;

											BgL__ortest_1115z00_2474 =
												(BgL_classz00_2457 == BgL_oclassz00_2473);
											if (BgL__ortest_1115z00_2474)
												{	/* Inline/recursion.scm 174 */
													BgL_res1976z00_2490 = BgL__ortest_1115z00_2474;
												}
											else
												{	/* Inline/recursion.scm 174 */
													long BgL_odepthz00_2475;

													{	/* Inline/recursion.scm 174 */
														obj_t BgL_arg1855z00_2476;

														BgL_arg1855z00_2476 = (BgL_oclassz00_2473);
														BgL_odepthz00_2475 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2476);
													}
													if ((2L < BgL_odepthz00_2475))
														{	/* Inline/recursion.scm 174 */
															obj_t BgL_arg1853z00_2478;

															{	/* Inline/recursion.scm 174 */
																obj_t BgL_arg1854z00_2479;

																BgL_arg1854z00_2479 = (BgL_oclassz00_2473);
																BgL_arg1853z00_2478 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2479,
																	2L);
															}
															BgL_res1976z00_2490 =
																(BgL_arg1853z00_2478 == BgL_classz00_2457);
														}
													else
														{	/* Inline/recursion.scm 174 */
															BgL_res1976z00_2490 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2097z00_3626 = BgL_res1976z00_2490;
								}
						}
					}
					if (BgL_test2097z00_3626)
						{	/* Inline/recursion.scm 175 */
							bool_t BgL_test2101z00_3650;

							{	/* Inline/recursion.scm 175 */
								obj_t BgL_arg1593z00_1739;

								BgL_arg1593z00_1739 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_10)))->
									BgL_modulez00);
								BgL_test2101z00_3650 =
									(BgL_arg1593z00_1739 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2101z00_3650)
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1728 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1728 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 174 */
							BgL_ilocz00_1728 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 177 */
					BgL_letzd2funzd2_bglt BgL_new1133z00_1729;

					{	/* Inline/recursion.scm 178 */
						BgL_letzd2funzd2_bglt BgL_new1132z00_1735;

						BgL_new1132z00_1735 =
							((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Inline/recursion.scm 178 */
							long BgL_arg1592z00_1736;

							BgL_arg1592z00_1736 =
								BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1132z00_1735),
								BgL_arg1592z00_1736);
						}
						{	/* Inline/recursion.scm 178 */
							BgL_objectz00_bglt BgL_tmpz00_3659;

							BgL_tmpz00_3659 = ((BgL_objectz00_bglt) BgL_new1132z00_1735);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3659, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1132z00_1735);
						BgL_new1133z00_1729 = BgL_new1132z00_1735;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1133z00_1729)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1133z00_1729)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_typez00)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1133z00_1729)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1133z00_1729)))->BgL_keyz00) =
						((obj_t) BINT((-1L))), BUNSPEC);
					{
						obj_t BgL_auxz00_3674;

						{	/* Inline/recursion.scm 180 */
							obj_t BgL_list1579z00_1730;

							BgL_list1579z00_1730 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
							BgL_auxz00_3674 = BgL_list1579z00_1730;
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1133z00_1729))->
								BgL_localsz00) = ((obj_t) BgL_auxz00_3674), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3678;

						{	/* Inline/recursion.scm 181 */
							obj_t BgL_arg1581z00_1731;
							obj_t BgL_arg1587z00_1732;

							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1589z00_1733;

								BgL_list1589z00_1733 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_10), BNIL);
								BgL_arg1581z00_1731 = BgL_list1589z00_1733;
							}
							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1590z00_1734;

								BgL_list1590z00_1734 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
								BgL_arg1587z00_1732 = BgL_list1590z00_1734;
							}
							BgL_auxz00_3678 =
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1581z00_1731,
								BgL_arg1587z00_1732, BgL_ilocz00_1728,
								((BgL_nodez00_bglt) BgL_newzd2callzd2_13));
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1133z00_1729))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3678), BUNSPEC);
					}
					return BgL_new1133z00_1729;
				}
			}
		}

	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_15, BgL_nodez00_bglt BgL_nodez00_16,
		BgL_localz00_bglt BgL_localz00_17, obj_t BgL_kfactorz00_18,
		BgL_appz00_bglt BgL_callz00_19, obj_t BgL_stackz00_20)
	{
		{	/* Inline/recursion.scm 187 */
			{	/* Inline/recursion.scm 193 */
				obj_t BgL_ilocz00_1740;

				{	/* Inline/recursion.scm 193 */
					bool_t BgL_test2102z00_3686;

					{	/* Inline/recursion.scm 193 */
						obj_t BgL_classz00_2502;

						BgL_classz00_2502 = BGl_globalz00zzast_varz00;
						{	/* Inline/recursion.scm 193 */
							BgL_objectz00_bglt BgL_arg1858z00_2504;

							{	/* Inline/recursion.scm 193 */
								obj_t BgL_tmpz00_3687;

								BgL_tmpz00_3687 =
									((obj_t) ((BgL_objectz00_bglt) BgL_variablez00_15));
								BgL_arg1858z00_2504 = (BgL_objectz00_bglt) (BgL_tmpz00_3687);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 193 */
									long BgL_idxz00_2510;

									BgL_idxz00_2510 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2504);
									BgL_test2102z00_3686 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2510 + 2L)) == BgL_classz00_2502);
								}
							else
								{	/* Inline/recursion.scm 193 */
									bool_t BgL_res1980z00_2535;

									{	/* Inline/recursion.scm 193 */
										obj_t BgL_oclassz00_2518;

										{	/* Inline/recursion.scm 193 */
											obj_t BgL_arg1866z00_2526;
											long BgL_arg1867z00_2527;

											BgL_arg1866z00_2526 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Inline/recursion.scm 193 */
												long BgL_arg1869z00_2528;

												BgL_arg1869z00_2528 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2504);
												BgL_arg1867z00_2527 =
													(BgL_arg1869z00_2528 - OBJECT_TYPE);
											}
											BgL_oclassz00_2518 =
												VECTOR_REF(BgL_arg1866z00_2526, BgL_arg1867z00_2527);
										}
										{	/* Inline/recursion.scm 193 */
											bool_t BgL__ortest_1115z00_2519;

											BgL__ortest_1115z00_2519 =
												(BgL_classz00_2502 == BgL_oclassz00_2518);
											if (BgL__ortest_1115z00_2519)
												{	/* Inline/recursion.scm 193 */
													BgL_res1980z00_2535 = BgL__ortest_1115z00_2519;
												}
											else
												{	/* Inline/recursion.scm 193 */
													long BgL_odepthz00_2520;

													{	/* Inline/recursion.scm 193 */
														obj_t BgL_arg1855z00_2521;

														BgL_arg1855z00_2521 = (BgL_oclassz00_2518);
														BgL_odepthz00_2520 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2521);
													}
													if ((2L < BgL_odepthz00_2520))
														{	/* Inline/recursion.scm 193 */
															obj_t BgL_arg1853z00_2523;

															{	/* Inline/recursion.scm 193 */
																obj_t BgL_arg1854z00_2524;

																BgL_arg1854z00_2524 = (BgL_oclassz00_2518);
																BgL_arg1853z00_2523 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2524,
																	2L);
															}
															BgL_res1980z00_2535 =
																(BgL_arg1853z00_2523 == BgL_classz00_2502);
														}
													else
														{	/* Inline/recursion.scm 193 */
															BgL_res1980z00_2535 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2102z00_3686 = BgL_res1980z00_2535;
								}
						}
					}
					if (BgL_test2102z00_3686)
						{	/* Inline/recursion.scm 194 */
							bool_t BgL_test2106z00_3710;

							{	/* Inline/recursion.scm 194 */
								obj_t BgL_arg1635z00_1763;

								BgL_arg1635z00_1763 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_15)))->
									BgL_modulez00);
								BgL_test2106z00_3710 =
									(BgL_arg1635z00_1763 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2106z00_3710)
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1740 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1740 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_callz00_19)))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 193 */
							BgL_ilocz00_1740 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 193 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1741;

					{	/* Inline/recursion.scm 196 */
						obj_t BgL_arg1626z00_1757;
						obj_t BgL_arg1631z00_1758;

						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1632z00_1759;

							BgL_list1632z00_1759 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_15), BNIL);
							BgL_arg1626z00_1757 = BgL_list1632z00_1759;
						}
						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1633z00_1760;

							BgL_list1633z00_1760 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BNIL);
							BgL_arg1631z00_1758 = BgL_list1633z00_1760;
						}
						BgL_newzd2callzd2_1741 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1626z00_1757,
							BgL_arg1631z00_1758, BgL_ilocz00_1740,
							((BgL_nodez00_bglt) BgL_callz00_19));
					}
					{	/* Inline/recursion.scm 197 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1743;

						{	/* Inline/recursion.scm 200 */
							obj_t BgL_arg1612z00_1755;

							BgL_arg1612z00_1755 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BgL_stackz00_20);
							BgL_newzd2bodyzd2_1743 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1741, (long) CINT(BgL_kfactorz00_18),
								BgL_arg1612z00_1755, BGl_string1999z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 198 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_15);
							{	/* Inline/recursion.scm 209 */
								obj_t BgL__z00_1744;

								{	/* Inline/recursion.scm 213 */
									BgL_nodez00_bglt BgL_arg1597z00_1746;

									{	/* Inline/recursion.scm 213 */
										obj_t BgL_zc3z04anonymousza31606ze3z87_2878;

										BgL_zc3z04anonymousza31606ze3z87_2878 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31606ze3ze5zzinline_recursionz00,
											(int) (1L), (int) (1L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31606ze3z87_2878,
											(int) (0L), ((obj_t) BgL_localz00_17));
										BgL_arg1597z00_1746 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1743, BgL_localz00_17,
											BgL_zc3z04anonymousza31606ze3z87_2878);
									}
									BgL__z00_1744 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1597z00_1746,
										BNIL);
								}
								{	/* Inline/recursion.scm 210 */
									obj_t BgL_nodez00_1745;

									{	/* Inline/recursion.scm 210 */
										obj_t BgL_tmpz00_2549;

										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3735;

											BgL_tmpz00_3735 = (int) (1L);
											BgL_tmpz00_2549 = BGL_MVALUES_VAL(BgL_tmpz00_3735);
										}
										{	/* Inline/recursion.scm 210 */
											int BgL_tmpz00_3738;

											BgL_tmpz00_3738 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_3738, BUNSPEC);
										}
										BgL_nodez00_1745 = BgL_tmpz00_2549;
									}
									return BgL_nodez00_1745;
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1606> */
	obj_t BGl_z62zc3z04anonymousza31606ze3ze5zzinline_recursionz00(obj_t
		BgL_envz00_2879, obj_t BgL_nodez00_2881)
	{
		{	/* Inline/recursion.scm 212 */
			{	/* Inline/recursion.scm 213 */
				BgL_localz00_bglt BgL_localz00_2880;

				BgL_localz00_2880 =
					((BgL_localz00_bglt) PROCEDURE_REF(BgL_envz00_2879, (int) (0L)));
				{
					BgL_letzd2funzd2_bglt BgL_auxz00_3744;

					{	/* Inline/recursion.scm 213 */
						BgL_letzd2funzd2_bglt BgL_new1137z00_3014;

						{	/* Inline/recursion.scm 214 */
							BgL_letzd2funzd2_bglt BgL_new1136z00_3015;

							BgL_new1136z00_3015 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Inline/recursion.scm 214 */
								long BgL_arg1611z00_3016;

								BgL_arg1611z00_3016 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1136z00_3015),
									BgL_arg1611z00_3016);
							}
							{	/* Inline/recursion.scm 214 */
								BgL_objectz00_bglt BgL_tmpz00_3749;

								BgL_tmpz00_3749 = ((BgL_objectz00_bglt) BgL_new1136z00_3015);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3749, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1136z00_3015);
							BgL_new1137z00_3014 = BgL_new1136z00_3015;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1137z00_3014)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_2881)))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1137z00_3014)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) BgL_nodez00_2881)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1137z00_3014)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1137z00_3014)))->BgL_keyz00) =
							((obj_t) BINT((-1L))), BUNSPEC);
						{
							obj_t BgL_auxz00_3766;

							{	/* Inline/recursion.scm 217 */
								obj_t BgL_list1607z00_3017;

								BgL_list1607z00_3017 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_2880), BNIL);
								BgL_auxz00_3766 = BgL_list1607z00_3017;
							}
							((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1137z00_3014))->
									BgL_localsz00) = ((obj_t) BgL_auxz00_3766), BUNSPEC);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1137z00_3014))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2881)),
							BUNSPEC);
						BgL_auxz00_3744 = BgL_new1137z00_3014;
					}
					return ((obj_t) BgL_auxz00_3744);
				}
			}
		}

	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_21)
	{
		{	/* Inline/recursion.scm 224 */
			{	/* Inline/recursion.scm 226 */
				BgL_valuez00_bglt BgL_sfunz00_1764;

				BgL_sfunz00_1764 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->BgL_valuez00);
				{	/* Inline/recursion.scm 227 */
					bool_t BgL_test2107z00_3774;

					{	/* Inline/recursion.scm 227 */
						obj_t BgL_classz00_2551;

						BgL_classz00_2551 = BGl_isfunz00zzinline_inlinez00;
						{	/* Inline/recursion.scm 227 */
							BgL_objectz00_bglt BgL_arg1858z00_2553;

							{	/* Inline/recursion.scm 227 */
								obj_t BgL_tmpz00_3775;

								BgL_tmpz00_3775 =
									((obj_t) ((BgL_objectz00_bglt) BgL_sfunz00_1764));
								BgL_arg1858z00_2553 = (BgL_objectz00_bglt) (BgL_tmpz00_3775);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Inline/recursion.scm 227 */
									long BgL_idxz00_2559;

									BgL_idxz00_2559 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2553);
									BgL_test2107z00_3774 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2559 + 4L)) == BgL_classz00_2551);
								}
							else
								{	/* Inline/recursion.scm 227 */
									bool_t BgL_res1984z00_2584;

									{	/* Inline/recursion.scm 227 */
										obj_t BgL_oclassz00_2567;

										{	/* Inline/recursion.scm 227 */
											obj_t BgL_arg1866z00_2575;
											long BgL_arg1867z00_2576;

											BgL_arg1866z00_2575 = (BGl_za2classesza2z00zz__objectz00);
											{	/* Inline/recursion.scm 227 */
												long BgL_arg1869z00_2577;

												BgL_arg1869z00_2577 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2553);
												BgL_arg1867z00_2576 =
													(BgL_arg1869z00_2577 - OBJECT_TYPE);
											}
											BgL_oclassz00_2567 =
												VECTOR_REF(BgL_arg1866z00_2575, BgL_arg1867z00_2576);
										}
										{	/* Inline/recursion.scm 227 */
											bool_t BgL__ortest_1115z00_2568;

											BgL__ortest_1115z00_2568 =
												(BgL_classz00_2551 == BgL_oclassz00_2567);
											if (BgL__ortest_1115z00_2568)
												{	/* Inline/recursion.scm 227 */
													BgL_res1984z00_2584 = BgL__ortest_1115z00_2568;
												}
											else
												{	/* Inline/recursion.scm 227 */
													long BgL_odepthz00_2569;

													{	/* Inline/recursion.scm 227 */
														obj_t BgL_arg1855z00_2570;

														BgL_arg1855z00_2570 = (BgL_oclassz00_2567);
														BgL_odepthz00_2569 =
															BGL_CLASS_DEPTH(BgL_arg1855z00_2570);
													}
													if ((4L < BgL_odepthz00_2569))
														{	/* Inline/recursion.scm 227 */
															obj_t BgL_arg1853z00_2572;

															{	/* Inline/recursion.scm 227 */
																obj_t BgL_arg1854z00_2573;

																BgL_arg1854z00_2573 = (BgL_oclassz00_2567);
																BgL_arg1853z00_2572 =
																	BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2573,
																	4L);
															}
															BgL_res1984z00_2584 =
																(BgL_arg1853z00_2572 == BgL_classz00_2551);
														}
													else
														{	/* Inline/recursion.scm 227 */
															BgL_res1984z00_2584 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2107z00_3774 = BgL_res1984z00_2584;
								}
						}
					}
					if (BgL_test2107z00_3774)
						{	/* Inline/recursion.scm 236 */
							bool_t BgL_test2111z00_3798;

							{	/* Inline/recursion.scm 236 */
								obj_t BgL_arg1653z00_1775;

								{
									BgL_isfunz00_bglt BgL_auxz00_3799;

									{
										obj_t BgL_auxz00_3800;

										{	/* Inline/recursion.scm 236 */
											BgL_objectz00_bglt BgL_tmpz00_3801;

											BgL_tmpz00_3801 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1764));
											BgL_auxz00_3800 = BGL_OBJECT_WIDENING(BgL_tmpz00_3801);
										}
										BgL_auxz00_3799 = ((BgL_isfunz00_bglt) BgL_auxz00_3800);
									}
									BgL_arg1653z00_1775 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3799))->
										BgL_recursivezd2callszd2);
								}
								BgL_test2111z00_3798 = PAIRP(BgL_arg1653z00_1775);
							}
							if (BgL_test2111z00_3798)
								{	/* Inline/recursion.scm 236 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 238 */
									bool_t BgL_test2112z00_3808;

									{	/* Inline/recursion.scm 238 */
										obj_t BgL_arg1650z00_1774;

										{
											BgL_isfunz00_bglt BgL_auxz00_3809;

											{
												obj_t BgL_auxz00_3810;

												{	/* Inline/recursion.scm 238 */
													BgL_objectz00_bglt BgL_tmpz00_3811;

													BgL_tmpz00_3811 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1764));
													BgL_auxz00_3810 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3811);
												}
												BgL_auxz00_3809 = ((BgL_isfunz00_bglt) BgL_auxz00_3810);
											}
											BgL_arg1650z00_1774 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3809))->
												BgL_recursivezd2callszd2);
										}
										BgL_test2112z00_3808 = NULLP(BgL_arg1650z00_1774);
									}
									if (BgL_test2112z00_3808)
										{	/* Inline/recursion.scm 238 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 241 */
											obj_t BgL_trecz00_1770;

											BgL_trecz00_1770 = MAKE_YOUNG_CELL(BTRUE);
											{	/* Inline/recursion.scm 241 */
												obj_t BgL_callsz00_1771;

												{	/* Inline/recursion.scm 243 */
													BgL_nodez00_bglt BgL_arg1649z00_1773;

													{
														BgL_isfunz00_bglt BgL_auxz00_3819;

														{
															obj_t BgL_auxz00_3820;

															{	/* Inline/recursion.scm 243 */
																BgL_objectz00_bglt BgL_tmpz00_3821;

																BgL_tmpz00_3821 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1764));
																BgL_auxz00_3820 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3821);
															}
															BgL_auxz00_3819 =
																((BgL_isfunz00_bglt) BgL_auxz00_3820);
														}
														BgL_arg1649z00_1773 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3819))->
															BgL_originalzd2bodyzd2);
													}
													BgL_callsz00_1771 =
														BGl_findzd2recursivezd2callsz00zzinline_recursionz00
														(BgL_arg1649z00_1773, BgL_varz00_21, BTRUE,
														BgL_trecz00_1770);
												}
												{	/* Inline/recursion.scm 242 */

													{	/* Inline/recursion.scm 244 */
														obj_t BgL_arg1648z00_1772;

														BgL_arg1648z00_1772 = CELL_REF(BgL_trecz00_1770);
														{	/* Inline/recursion.scm 244 */
															bool_t BgL_vz00_2593;

															BgL_vz00_2593 = CBOOL(BgL_arg1648z00_1772);
															{
																BgL_isfunz00_bglt BgL_auxz00_3830;

																{
																	obj_t BgL_auxz00_3831;

																	{	/* Inline/recursion.scm 244 */
																		BgL_objectz00_bglt BgL_tmpz00_3832;

																		BgL_tmpz00_3832 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_sfunz00_1764));
																		BgL_auxz00_3831 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3832);
																	}
																	BgL_auxz00_3830 =
																		((BgL_isfunz00_bglt) BgL_auxz00_3831);
																}
																((((BgL_isfunz00_bglt)
																			COBJECT(BgL_auxz00_3830))->
																		BgL_tailrecz00) =
																	((bool_t) BgL_vz00_2593), BUNSPEC);
															}
														}
													}
													{
														BgL_isfunz00_bglt BgL_auxz00_3838;

														{
															obj_t BgL_auxz00_3839;

															{	/* Inline/recursion.scm 245 */
																BgL_objectz00_bglt BgL_tmpz00_3840;

																BgL_tmpz00_3840 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1764));
																BgL_auxz00_3839 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3840);
															}
															BgL_auxz00_3838 =
																((BgL_isfunz00_bglt) BgL_auxz00_3839);
														}
														((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3838))->
																BgL_recursivezd2callszd2) =
															((obj_t) BgL_callsz00_1771), BUNSPEC);
													}
													return PAIRP(BgL_callsz00_1771);
												}
											}
										}
								}
						}
					else
						{	/* Inline/recursion.scm 228 */
							obj_t BgL_trecz00_1776;

							BgL_trecz00_1776 = MAKE_YOUNG_CELL(BTRUE);
							{	/* Inline/recursion.scm 228 */
								obj_t BgL_callsz00_1777;

								{	/* Inline/recursion.scm 229 */
									obj_t BgL_arg1656z00_1783;

									BgL_arg1656z00_1783 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1764)))->BgL_bodyz00);
									BgL_callsz00_1777 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1656z00_1783), BgL_varz00_21,
										BTRUE, BgL_trecz00_1776);
								}
								{	/* Inline/recursion.scm 229 */

									{	/* Inline/recursion.scm 230 */
										BgL_isfunz00_bglt BgL_wide1140z00_1780;

										BgL_wide1140z00_1780 =
											((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_isfunz00_bgl))));
										{	/* Inline/recursion.scm 230 */
											obj_t BgL_auxz00_3857;
											BgL_objectz00_bglt BgL_tmpz00_3853;

											BgL_auxz00_3857 = ((obj_t) BgL_wide1140z00_1780);
											BgL_tmpz00_3853 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3853, BgL_auxz00_3857);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
										{	/* Inline/recursion.scm 230 */
											long BgL_arg1655z00_1781;

											BgL_arg1655z00_1781 =
												BGL_CLASS_NUM(BGl_isfunz00zzinline_inlinez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1764))),
												BgL_arg1655z00_1781);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3871;

										{
											obj_t BgL_auxz00_3872;

											{	/* Inline/recursion.scm 232 */
												BgL_objectz00_bglt BgL_tmpz00_3873;

												BgL_tmpz00_3873 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
												BgL_auxz00_3872 = BGL_OBJECT_WIDENING(BgL_tmpz00_3873);
											}
											BgL_auxz00_3871 = ((BgL_isfunz00_bglt) BgL_auxz00_3872);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3871))->
												BgL_originalzd2bodyzd2) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((
															(BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_sfunz00_1764)))->BgL_bodyz00))), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3883;

										{
											obj_t BgL_auxz00_3884;

											{	/* Inline/recursion.scm 233 */
												BgL_objectz00_bglt BgL_tmpz00_3885;

												BgL_tmpz00_3885 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
												BgL_auxz00_3884 = BGL_OBJECT_WIDENING(BgL_tmpz00_3885);
											}
											BgL_auxz00_3883 = ((BgL_isfunz00_bglt) BgL_auxz00_3884);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3883))->
												BgL_recursivezd2callszd2) =
											((obj_t) BgL_callsz00_1777), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3892;

										{
											obj_t BgL_auxz00_3893;

											{	/* Inline/recursion.scm 231 */
												BgL_objectz00_bglt BgL_tmpz00_3894;

												BgL_tmpz00_3894 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1764)));
												BgL_auxz00_3893 = BGL_OBJECT_WIDENING(BgL_tmpz00_3894);
											}
											BgL_auxz00_3892 = ((BgL_isfunz00_bglt) BgL_auxz00_3893);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3892))->
												BgL_tailrecz00) =
											((bool_t) CBOOL(CELL_REF(BgL_trecz00_1776))), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1764));
									return PAIRP(BgL_callsz00_1777);
								}
							}
						}
				}
			}
		}

	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_2882,
		obj_t BgL_varz00_2883)
	{
		{	/* Inline/recursion.scm 224 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_2883)));
		}

	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_98, obj_t BgL_varz00_99, obj_t BgL_tailz00_100,
		obj_t BgL_tresz00_101)
	{
		{	/* Inline/recursion.scm 411 */
			{
				obj_t BgL_nodeza2za2_1786;
				obj_t BgL_callsz00_1787;

				BgL_nodeza2za2_1786 = BgL_nodeza2za2_98;
				BgL_callsz00_1787 = BNIL;
			BgL_zc3z04anonymousza31657ze3z87_1788:
				if (NULLP(BgL_nodeza2za2_1786))
					{	/* Inline/recursion.scm 415 */
						return BgL_callsz00_1787;
					}
				else
					{	/* Inline/recursion.scm 415 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1786))))
							{	/* Inline/recursion.scm 418 */
								obj_t BgL_arg1663z00_1792;

								{	/* Inline/recursion.scm 418 */
									obj_t BgL_arg1664z00_1793;

									BgL_arg1664z00_1793 = CAR(((obj_t) BgL_nodeza2za2_1786));
									BgL_arg1663z00_1792 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1664z00_1793),
										((BgL_variablez00_bglt) BgL_varz00_99), BgL_tailz00_100,
										BgL_tresz00_101);
								}
								return
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1663z00_1792, BgL_callsz00_1787);
							}
						else
							{	/* Inline/recursion.scm 420 */
								obj_t BgL_arg1673z00_1794;
								obj_t BgL_arg1674z00_1795;

								BgL_arg1673z00_1794 = CDR(((obj_t) BgL_nodeza2za2_1786));
								{	/* Inline/recursion.scm 421 */
									obj_t BgL_arg1675z00_1796;

									{	/* Inline/recursion.scm 421 */
										obj_t BgL_arg1677z00_1797;

										BgL_arg1677z00_1797 = CAR(((obj_t) BgL_nodeza2za2_1786));
										BgL_arg1675z00_1796 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg1677z00_1797),
											((BgL_variablez00_bglt) BgL_varz00_99), BFALSE,
											BgL_tresz00_101);
									}
									BgL_arg1674z00_1795 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_arg1675z00_1796, BgL_callsz00_1787);
								}
								{
									obj_t BgL_callsz00_3930;
									obj_t BgL_nodeza2za2_3929;

									BgL_nodeza2za2_3929 = BgL_arg1673z00_1794;
									BgL_callsz00_3930 = BgL_arg1674z00_1795;
									BgL_callsz00_1787 = BgL_callsz00_3930;
									BgL_nodeza2za2_1786 = BgL_nodeza2za2_3929;
									goto BgL_zc3z04anonymousza31657ze3z87_1788;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc2000z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string2001z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1305 */
	obj_t BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00(obj_t
		BgL_envz00_2885, obj_t BgL_nodez00_2886, obj_t BgL_varz00_2887,
		obj_t BgL_tailz00_2888, obj_t BgL_tresz00_2889)
	{
		{	/* Inline/recursion.scm 251 */
			return BNIL;
		}

	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_variablez00_bglt BgL_varz00_23, obj_t BgL_tailz00_24,
		obj_t BgL_tresz00_25)
	{
		{	/* Inline/recursion.scm 251 */
			{	/* Inline/recursion.scm 251 */
				obj_t BgL_method1307z00_1807;

				{	/* Inline/recursion.scm 251 */
					obj_t BgL_res1989z00_2641;

					{	/* Inline/recursion.scm 251 */
						long BgL_objzd2classzd2numz00_2612;

						BgL_objzd2classzd2numz00_2612 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
						{	/* Inline/recursion.scm 251 */
							obj_t BgL_arg1862z00_2613;

							BgL_arg1862z00_2613 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (1L));
							{	/* Inline/recursion.scm 251 */
								int BgL_offsetz00_2616;

								BgL_offsetz00_2616 = (int) (BgL_objzd2classzd2numz00_2612);
								{	/* Inline/recursion.scm 251 */
									long BgL_offsetz00_2617;

									BgL_offsetz00_2617 =
										((long) (BgL_offsetz00_2616) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 251 */
										long BgL_modz00_2618;

										BgL_modz00_2618 =
											(BgL_offsetz00_2617 >> (int) ((long) ((int) (4L))));
										{	/* Inline/recursion.scm 251 */
											long BgL_restz00_2620;

											BgL_restz00_2620 =
												(BgL_offsetz00_2617 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Inline/recursion.scm 251 */

												{	/* Inline/recursion.scm 251 */
													obj_t BgL_bucketz00_2622;

													BgL_bucketz00_2622 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2613), BgL_modz00_2618);
													BgL_res1989z00_2641 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2622), BgL_restz00_2620);
					}}}}}}}}
					BgL_method1307z00_1807 = BgL_res1989z00_2641;
				}
				return
					BGL_PROCEDURE_CALL4(BgL_method1307z00_1807,
					((obj_t) BgL_nodez00_22),
					((obj_t) BgL_varz00_23), BgL_tailz00_24, BgL_tresz00_25);
			}
		}

	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_2890, obj_t BgL_nodez00_2891, obj_t BgL_varz00_2892,
		obj_t BgL_tailz00_2893, obj_t BgL_tresz00_2894)
	{
		{	/* Inline/recursion.scm 251 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2891),
				((BgL_variablez00_bglt) BgL_varz00_2892), BgL_tailz00_2893,
				BgL_tresz00_2894);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2002z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_syncz00zzast_nodez00, BGl_proc2004z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc2005z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2006z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2007z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc2008z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc2009z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc2010z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2011z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc2012z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_switchz00zzast_nodez00, BGl_proc2013z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2014z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2015z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2016z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2017z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2018z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2019z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2020z00zzinline_recursionz00,
				BGl_string2003z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1343 */
	obj_t BGl_z62findzd2recursivezd2calls1343z62zzinline_recursionz00(obj_t
		BgL_envz00_2913, obj_t BgL_nodez00_2914, obj_t BgL_vz00_2915,
		obj_t BgL_tailz00_2916, obj_t BgL_tresz00_2917)
	{
		{	/* Inline/recursion.scm 403 */
			{	/* Inline/recursion.scm 405 */
				obj_t BgL_arg1897z00_3021;
				obj_t BgL_arg1898z00_3022;

				{	/* Inline/recursion.scm 405 */
					BgL_varz00_bglt BgL_arg1899z00_3023;

					BgL_arg1899z00_3023 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2914)))->BgL_varz00);
					BgL_arg1897z00_3021 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg1899z00_3023),
						((BgL_variablez00_bglt) BgL_vz00_2915), BFALSE, BgL_tresz00_2917);
				}
				{	/* Inline/recursion.scm 406 */
					BgL_nodez00_bglt BgL_arg1900z00_3024;

					BgL_arg1900z00_3024 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2914)))->BgL_valuez00);
					BgL_arg1898z00_3022 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1900z00_3024, ((BgL_variablez00_bglt) BgL_vz00_2915),
						BFALSE, BgL_tresz00_2917);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1897z00_3021,
					BgL_arg1898z00_3022);
			}
		}

	}



/* &find-recursive-calls1341 */
	obj_t BGl_z62findzd2recursivezd2calls1341z62zzinline_recursionz00(obj_t
		BgL_envz00_2918, obj_t BgL_nodez00_2919, obj_t BgL_varz00_2920,
		obj_t BgL_tailz00_2921, obj_t BgL_tresz00_2922)
	{
		{	/* Inline/recursion.scm 397 */
			{	/* Inline/recursion.scm 398 */
				BgL_varz00_bglt BgL_arg1896z00_3026;

				BgL_arg1896z00_3026 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2919)))->BgL_varz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
					((BgL_nodez00_bglt) BgL_arg1896z00_3026),
					((BgL_variablez00_bglt) BgL_varz00_2920), BFALSE, BgL_tresz00_2922);
			}
		}

	}



/* &find-recursive-calls1339 */
	obj_t BGl_z62findzd2recursivezd2calls1339z62zzinline_recursionz00(obj_t
		BgL_envz00_2923, obj_t BgL_nodez00_2924, obj_t BgL_varz00_2925,
		obj_t BgL_tailz00_2926, obj_t BgL_tresz00_2927)
	{
		{	/* Inline/recursion.scm 391 */
			{	/* Inline/recursion.scm 392 */
				BgL_nodez00_bglt BgL_arg1895z00_3028;

				BgL_arg1895z00_3028 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2924)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1895z00_3028, ((BgL_variablez00_bglt) BgL_varz00_2925),
					BFALSE, BgL_tresz00_2927);
			}
		}

	}



/* &find-recursive-calls1337 */
	obj_t BGl_z62findzd2recursivezd2calls1337z62zzinline_recursionz00(obj_t
		BgL_envz00_2928, obj_t BgL_nodez00_2929, obj_t BgL_vz00_2930,
		obj_t BgL_tailz00_2931, obj_t BgL_tresz00_2932)
	{
		{	/* Inline/recursion.scm 383 */
			{	/* Inline/recursion.scm 385 */
				obj_t BgL_arg1891z00_3030;
				obj_t BgL_arg1892z00_3031;

				{	/* Inline/recursion.scm 385 */
					BgL_nodez00_bglt BgL_arg1893z00_3032;

					BgL_arg1893z00_3032 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2929)))->BgL_exitz00);
					BgL_arg1891z00_3030 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1893z00_3032, ((BgL_variablez00_bglt) BgL_vz00_2930),
						BFALSE, BgL_tresz00_2932);
				}
				{	/* Inline/recursion.scm 386 */
					BgL_nodez00_bglt BgL_arg1894z00_3033;

					BgL_arg1894z00_3033 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2929)))->
						BgL_valuez00);
					BgL_arg1892z00_3031 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1894z00_3033, ((BgL_variablez00_bglt) BgL_vz00_2930),
						BFALSE, BgL_tresz00_2932);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1891z00_3030,
					BgL_arg1892z00_3031);
			}
		}

	}



/* &find-recursive-calls1335 */
	obj_t BGl_z62findzd2recursivezd2calls1335z62zzinline_recursionz00(obj_t
		BgL_envz00_2933, obj_t BgL_nodez00_2934, obj_t BgL_varz00_2935,
		obj_t BgL_tailz00_2936, obj_t BgL_tresz00_2937)
	{
		{	/* Inline/recursion.scm 376 */
			{	/* Inline/recursion.scm 377 */
				BgL_nodez00_bglt BgL_arg1887z00_3035;
				obj_t BgL_arg1889z00_3036;

				BgL_arg1887z00_3035 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2934)))->BgL_bodyz00);
				{	/* Inline/recursion.scm 378 */
					BgL_nodez00_bglt BgL_arg1890z00_3037;

					BgL_arg1890z00_3037 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2934)))->
						BgL_onexitz00);
					BgL_arg1889z00_3036 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1890z00_3037, ((BgL_variablez00_bglt) BgL_varz00_2935),
						BFALSE, BgL_tresz00_2937);
				}
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1887z00_3035, ((BgL_variablez00_bglt) BgL_varz00_2935),
					BFALSE, BgL_arg1889z00_3036);
			}
		}

	}



/* &find-recursive-calls1333 */
	obj_t BGl_z62findzd2recursivezd2calls1333z62zzinline_recursionz00(obj_t
		BgL_envz00_2938, obj_t BgL_nodez00_2939, obj_t BgL_varz00_2940,
		obj_t BgL_tailz00_2941, obj_t BgL_tresz00_2942)
	{
		{	/* Inline/recursion.scm 364 */
			{	/* Inline/recursion.scm 365 */
				obj_t BgL_g1152z00_3039;
				obj_t BgL_g1153z00_3040;

				BgL_g1152z00_3039 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2939)))->BgL_bindingsz00);
				{	/* Inline/recursion.scm 366 */
					BgL_nodez00_bglt BgL_arg1886z00_3041;

					BgL_arg1886z00_3041 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2939)))->BgL_bodyz00);
					BgL_g1153z00_3040 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1886z00_3041, ((BgL_variablez00_bglt) BgL_varz00_2940),
						BgL_tailz00_2941, BgL_tresz00_2942);
				}
				{
					obj_t BgL_bindingsz00_3043;
					obj_t BgL_callsz00_3044;

					BgL_bindingsz00_3043 = BgL_g1152z00_3039;
					BgL_callsz00_3044 = BgL_g1153z00_3040;
				BgL_loopz00_3042:
					if (NULLP(BgL_bindingsz00_3043))
						{	/* Inline/recursion.scm 367 */
							return BgL_callsz00_3044;
						}
					else
						{	/* Inline/recursion.scm 369 */
							obj_t BgL_arg1876z00_3045;
							obj_t BgL_arg1878z00_3046;

							BgL_arg1876z00_3045 = CDR(((obj_t) BgL_bindingsz00_3043));
							{	/* Inline/recursion.scm 371 */
								obj_t BgL_arg1882z00_3047;

								{	/* Inline/recursion.scm 371 */
									obj_t BgL_arg1884z00_3048;

									{	/* Inline/recursion.scm 371 */
										obj_t BgL_pairz00_3049;

										BgL_pairz00_3049 = CAR(((obj_t) BgL_bindingsz00_3043));
										BgL_arg1884z00_3048 = CDR(BgL_pairz00_3049);
									}
									BgL_arg1882z00_3047 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1884z00_3048),
										((BgL_variablez00_bglt) BgL_varz00_2940), BFALSE,
										BgL_tresz00_2942);
								}
								BgL_arg1878z00_3046 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3044,
									BgL_arg1882z00_3047);
							}
							{
								obj_t BgL_callsz00_4041;
								obj_t BgL_bindingsz00_4040;

								BgL_bindingsz00_4040 = BgL_arg1876z00_3045;
								BgL_callsz00_4041 = BgL_arg1878z00_3046;
								BgL_callsz00_3044 = BgL_callsz00_4041;
								BgL_bindingsz00_3043 = BgL_bindingsz00_4040;
								goto BgL_loopz00_3042;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1331 */
	obj_t BGl_z62findzd2recursivezd2calls1331z62zzinline_recursionz00(obj_t
		BgL_envz00_2943, obj_t BgL_nodez00_2944, obj_t BgL_varz00_2945,
		obj_t BgL_tailz00_2946, obj_t BgL_tresz00_2947)
	{
		{	/* Inline/recursion.scm 350 */
			{	/* Inline/recursion.scm 351 */
				obj_t BgL_g1149z00_3051;
				obj_t BgL_g1150z00_3052;

				BgL_g1149z00_3051 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2944)))->BgL_localsz00);
				{	/* Inline/recursion.scm 352 */
					BgL_nodez00_bglt BgL_arg1872z00_3053;

					BgL_arg1872z00_3053 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2944)))->BgL_bodyz00);
					BgL_g1150z00_3052 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1872z00_3053, ((BgL_variablez00_bglt) BgL_varz00_2945),
						BgL_tailz00_2946, BgL_tresz00_2947);
				}
				{
					obj_t BgL_localsz00_3055;
					obj_t BgL_callsz00_3056;

					BgL_localsz00_3055 = BgL_g1149z00_3051;
					BgL_callsz00_3056 = BgL_g1150z00_3052;
				BgL_loopz00_3054:
					if (NULLP(BgL_localsz00_3055))
						{	/* Inline/recursion.scm 353 */
							return BgL_callsz00_3056;
						}
					else
						{	/* Inline/recursion.scm 355 */
							obj_t BgL_arg1851z00_3057;
							obj_t BgL_arg1852z00_3058;

							BgL_arg1851z00_3057 = CDR(((obj_t) BgL_localsz00_3055));
							{	/* Inline/recursion.scm 358 */
								obj_t BgL_arg1856z00_3059;

								{	/* Inline/recursion.scm 358 */
									obj_t BgL_arg1857z00_3060;

									BgL_arg1857z00_3060 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_3055))))))->
														BgL_valuez00))))->BgL_bodyz00);
									BgL_arg1856z00_3059 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00((
											(BgL_nodez00_bglt) BgL_arg1857z00_3060),
										((BgL_variablez00_bglt) BgL_varz00_2945), BTRUE,
										BgL_tresz00_2947);
								}
								BgL_arg1852z00_3058 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_3056,
									BgL_arg1856z00_3059);
							}
							{
								obj_t BgL_callsz00_4064;
								obj_t BgL_localsz00_4063;

								BgL_localsz00_4063 = BgL_arg1851z00_3057;
								BgL_callsz00_4064 = BgL_arg1852z00_3058;
								BgL_callsz00_3056 = BgL_callsz00_4064;
								BgL_localsz00_3055 = BgL_localsz00_4063;
								goto BgL_loopz00_3054;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1329 */
	obj_t BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t
		BgL_envz00_2948, obj_t BgL_nodez00_2949, obj_t BgL_varz00_2950,
		obj_t BgL_tailz00_2951, obj_t BgL_tresz00_2952)
	{
		{	/* Inline/recursion.scm 338 */
			{	/* Inline/recursion.scm 339 */
				obj_t BgL_g1147z00_3062;
				obj_t BgL_g1148z00_3063;

				BgL_g1147z00_3062 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2949)))->BgL_clausesz00);
				{	/* Inline/recursion.scm 340 */
					BgL_nodez00_bglt BgL_arg1847z00_3064;

					BgL_arg1847z00_3064 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2949)))->BgL_testz00);
					BgL_g1148z00_3063 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1847z00_3064, ((BgL_variablez00_bglt) BgL_varz00_2950),
						BFALSE, BgL_tresz00_2952);
				}
				{
					obj_t BgL_clausesz00_3066;
					obj_t BgL_callsz00_3067;

					BgL_clausesz00_3066 = BgL_g1147z00_3062;
					BgL_callsz00_3067 = BgL_g1148z00_3063;
				BgL_loopz00_3065:
					if (NULLP(BgL_clausesz00_3066))
						{	/* Inline/recursion.scm 341 */
							return BgL_callsz00_3067;
						}
					else
						{	/* Inline/recursion.scm 343 */
							obj_t BgL_arg1825z00_3068;
							obj_t BgL_arg1829z00_3069;

							BgL_arg1825z00_3068 = CDR(((obj_t) BgL_clausesz00_3066));
							{	/* Inline/recursion.scm 344 */
								obj_t BgL_arg1834z00_3070;

								{	/* Inline/recursion.scm 344 */
									obj_t BgL_arg1842z00_3071;

									{	/* Inline/recursion.scm 344 */
										obj_t BgL_pairz00_3072;

										BgL_pairz00_3072 = CAR(((obj_t) BgL_clausesz00_3066));
										BgL_arg1842z00_3071 = CDR(BgL_pairz00_3072);
									}
									BgL_arg1834z00_3070 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1842z00_3071),
										((BgL_variablez00_bglt) BgL_varz00_2950), BgL_tailz00_2951,
										BgL_tresz00_2952);
								}
								BgL_arg1829z00_3069 =
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1834z00_3070, BgL_callsz00_3067);
							}
							{
								obj_t BgL_callsz00_4083;
								obj_t BgL_clausesz00_4082;

								BgL_clausesz00_4082 = BgL_arg1825z00_3068;
								BgL_callsz00_4083 = BgL_arg1829z00_3069;
								BgL_callsz00_3067 = BgL_callsz00_4083;
								BgL_clausesz00_3066 = BgL_clausesz00_4082;
								goto BgL_loopz00_3065;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1327 */
	obj_t BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t
		BgL_envz00_2953, obj_t BgL_nodez00_2954, obj_t BgL_varz00_2955,
		obj_t BgL_tailz00_2956, obj_t BgL_tresz00_2957)
	{
		{	/* Inline/recursion.scm 329 */
			{	/* Inline/recursion.scm 331 */
				obj_t BgL_arg1802z00_3074;
				obj_t BgL_arg1803z00_3075;
				obj_t BgL_arg1804z00_3076;

				{	/* Inline/recursion.scm 331 */
					BgL_nodez00_bglt BgL_arg1814z00_3077;

					BgL_arg1814z00_3077 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2954)))->BgL_procz00);
					BgL_arg1802z00_3074 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1814z00_3077, ((BgL_variablez00_bglt) BgL_varz00_2955),
						BFALSE, BgL_tresz00_2957);
				}
				{	/* Inline/recursion.scm 332 */
					BgL_nodez00_bglt BgL_arg1818z00_3078;

					BgL_arg1818z00_3078 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2954)))->BgL_msgz00);
					BgL_arg1803z00_3075 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1818z00_3078, ((BgL_variablez00_bglt) BgL_varz00_2955),
						BFALSE, BgL_tresz00_2957);
				}
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg1821z00_3079;

					BgL_arg1821z00_3079 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2954)))->BgL_objz00);
					BgL_arg1804z00_3076 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1821z00_3079, ((BgL_variablez00_bglt) BgL_varz00_2955),
						BFALSE, BgL_tresz00_2957);
				}
				{	/* Inline/recursion.scm 331 */
					obj_t BgL_list1805z00_3080;

					{	/* Inline/recursion.scm 331 */
						obj_t BgL_arg1810z00_3081;

						{	/* Inline/recursion.scm 331 */
							obj_t BgL_arg1811z00_3082;

							BgL_arg1811z00_3082 = MAKE_YOUNG_PAIR(BgL_arg1804z00_3076, BNIL);
							BgL_arg1810z00_3081 =
								MAKE_YOUNG_PAIR(BgL_arg1803z00_3075, BgL_arg1811z00_3082);
						}
						BgL_list1805z00_3080 =
							MAKE_YOUNG_PAIR(BgL_arg1802z00_3074, BgL_arg1810z00_3081);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1805z00_3080);
				}
			}
		}

	}



/* &find-recursive-calls1325 */
	obj_t BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t
		BgL_envz00_2958, obj_t BgL_nodez00_2959, obj_t BgL_varz00_2960,
		obj_t BgL_tailz00_2961, obj_t BgL_tresz00_2962)
	{
		{	/* Inline/recursion.scm 320 */
			{	/* Inline/recursion.scm 322 */
				obj_t BgL_arg1786z00_3084;
				obj_t BgL_arg1789z00_3085;
				obj_t BgL_arg1790z00_3086;

				{	/* Inline/recursion.scm 322 */
					BgL_nodez00_bglt BgL_arg1799z00_3087;

					BgL_arg1799z00_3087 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_testz00);
					BgL_arg1786z00_3084 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1799z00_3087, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BFALSE, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 323 */
					BgL_nodez00_bglt BgL_arg1800z00_3088;

					BgL_arg1800z00_3088 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_truez00);
					BgL_arg1789z00_3085 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1800z00_3088, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BgL_tailz00_2961, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 324 */
					BgL_nodez00_bglt BgL_arg1801z00_3089;

					BgL_arg1801z00_3089 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2959)))->BgL_falsez00);
					BgL_arg1790z00_3086 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1801z00_3089, ((BgL_variablez00_bglt) BgL_varz00_2960),
						BgL_tailz00_2961, BgL_tresz00_2962);
				}
				{	/* Inline/recursion.scm 322 */
					obj_t BgL_list1791z00_3090;

					{	/* Inline/recursion.scm 322 */
						obj_t BgL_arg1796z00_3091;

						{	/* Inline/recursion.scm 322 */
							obj_t BgL_arg1797z00_3092;

							BgL_arg1797z00_3092 = MAKE_YOUNG_PAIR(BgL_arg1790z00_3086, BNIL);
							BgL_arg1796z00_3091 =
								MAKE_YOUNG_PAIR(BgL_arg1789z00_3085, BgL_arg1797z00_3092);
						}
						BgL_list1791z00_3090 =
							MAKE_YOUNG_PAIR(BgL_arg1786z00_3084, BgL_arg1796z00_3091);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1791z00_3090);
				}
			}
		}

	}



/* &find-recursive-calls1323 */
	obj_t BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t
		BgL_envz00_2963, obj_t BgL_nodez00_2964, obj_t BgL_varz00_2965,
		obj_t BgL_tailz00_2966, obj_t BgL_tresz00_2967)
	{
		{	/* Inline/recursion.scm 314 */
			{	/* Inline/recursion.scm 315 */
				BgL_nodez00_bglt BgL_arg1785z00_3094;

				BgL_arg1785z00_3094 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2964)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1785z00_3094, ((BgL_variablez00_bglt) BgL_varz00_2965),
					BFALSE, BgL_tresz00_2967);
			}
		}

	}



/* &find-recursive-calls1321 */
	obj_t BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t
		BgL_envz00_2968, obj_t BgL_nodez00_2969, obj_t BgL_varz00_2970,
		obj_t BgL_tailz00_2971, obj_t BgL_tresz00_2972)
	{
		{	/* Inline/recursion.scm 308 */
			{	/* Inline/recursion.scm 309 */
				BgL_nodez00_bglt BgL_arg1784z00_3096;

				BgL_arg1784z00_3096 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2969)))->BgL_argz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1784z00_3096, ((BgL_variablez00_bglt) BgL_varz00_2970),
					BFALSE, BgL_tresz00_2972);
			}
		}

	}



/* &find-recursive-calls1319 */
	obj_t BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t
		BgL_envz00_2973, obj_t BgL_nodez00_2974, obj_t BgL_varz00_2975,
		obj_t BgL_tailz00_2976, obj_t BgL_tresz00_2977)
	{
		{	/* Inline/recursion.scm 302 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2974)))->BgL_exprza2za2),
				BgL_varz00_2975, BFALSE, BgL_tresz00_2977);
		}

	}



/* &find-recursive-calls1317 */
	obj_t BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_varz00_2980,
		obj_t BgL_tailz00_2981, obj_t BgL_tresz00_2982)
	{
		{	/* Inline/recursion.scm 294 */
			{	/* Inline/recursion.scm 296 */
				obj_t BgL_arg1770z00_3099;
				obj_t BgL_arg1772z00_3100;

				{	/* Inline/recursion.scm 296 */
					BgL_nodez00_bglt BgL_arg1776z00_3101;

					BgL_arg1776z00_3101 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2979)))->BgL_funz00);
					BgL_arg1770z00_3099 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1776z00_3101, ((BgL_variablez00_bglt) BgL_varz00_2980),
						BFALSE, BgL_tresz00_2982);
				}
				BgL_arg1772z00_3100 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2979)))->BgL_argsz00),
					BgL_varz00_2980, BFALSE, BgL_tresz00_2982);
				return BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1770z00_3099,
					BgL_arg1772z00_3100);
			}
		}

	}



/* &find-recursive-calls1315 */
	obj_t BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t
		BgL_envz00_2983, obj_t BgL_nodez00_2984, obj_t BgL_varz00_2985,
		obj_t BgL_tailz00_2986, obj_t BgL_tresz00_2987)
	{
		{	/* Inline/recursion.scm 286 */
			{	/* Inline/recursion.scm 288 */
				obj_t BgL_arg1757z00_3103;
				obj_t BgL_arg1763z00_3104;

				{	/* Inline/recursion.scm 288 */
					BgL_nodez00_bglt BgL_arg1765z00_3105;

					BgL_arg1765z00_3105 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2984)))->BgL_funz00);
					BgL_arg1757z00_3103 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1765z00_3105, ((BgL_variablez00_bglt) BgL_varz00_2985),
						BFALSE, BgL_tresz00_2987);
				}
				{	/* Inline/recursion.scm 289 */
					BgL_nodez00_bglt BgL_arg1768z00_3106;

					BgL_arg1768z00_3106 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2984)))->BgL_argz00);
					BgL_arg1763z00_3104 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1768z00_3106, ((BgL_variablez00_bglt) BgL_varz00_2985),
						BFALSE, BgL_tresz00_2987);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1757z00_3103,
					BgL_arg1763z00_3104);
			}
		}

	}



/* &find-recursive-calls1313 */
	obj_t BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t
		BgL_envz00_2988, obj_t BgL_nodez00_2989, obj_t BgL_varz00_2990,
		obj_t BgL_tailz00_2991, obj_t BgL_tresz00_2992)
	{
		{	/* Inline/recursion.scm 274 */
			{	/* Inline/recursion.scm 276 */
				obj_t BgL_argszd2callszd2_3108;

				BgL_argszd2callszd2_3108 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2989)))->BgL_argsz00),
					BgL_varz00_2990, BgL_tailz00_2991, BgL_tresz00_2992);
				{	/* Inline/recursion.scm 277 */
					bool_t BgL_test2118z00_4147;

					{	/* Inline/recursion.scm 277 */
						bool_t BgL_test2119z00_4148;

						{	/* Inline/recursion.scm 277 */
							BgL_varz00_bglt BgL_arg1755z00_3109;

							BgL_arg1755z00_3109 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_2989)))->BgL_funz00);
							{	/* Inline/recursion.scm 277 */
								obj_t BgL_classz00_3110;

								BgL_classz00_3110 = BGl_varz00zzast_nodez00;
								{	/* Inline/recursion.scm 277 */
									BgL_objectz00_bglt BgL_arg1858z00_3111;

									{	/* Inline/recursion.scm 277 */
										obj_t BgL_tmpz00_4151;

										BgL_tmpz00_4151 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1755z00_3109));
										BgL_arg1858z00_3111 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4151);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Inline/recursion.scm 277 */
											long BgL_idxz00_3112;

											BgL_idxz00_3112 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_3111);
											BgL_test2119z00_4148 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3112 + 2L)) == BgL_classz00_3110);
										}
									else
										{	/* Inline/recursion.scm 277 */
											bool_t BgL_res1990z00_3115;

											{	/* Inline/recursion.scm 277 */
												obj_t BgL_oclassz00_3116;

												{	/* Inline/recursion.scm 277 */
													obj_t BgL_arg1866z00_3117;
													long BgL_arg1867z00_3118;

													BgL_arg1866z00_3117 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Inline/recursion.scm 277 */
														long BgL_arg1869z00_3119;

														BgL_arg1869z00_3119 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_3111);
														BgL_arg1867z00_3118 =
															(BgL_arg1869z00_3119 - OBJECT_TYPE);
													}
													BgL_oclassz00_3116 =
														VECTOR_REF(BgL_arg1866z00_3117,
														BgL_arg1867z00_3118);
												}
												{	/* Inline/recursion.scm 277 */
													bool_t BgL__ortest_1115z00_3120;

													BgL__ortest_1115z00_3120 =
														(BgL_classz00_3110 == BgL_oclassz00_3116);
													if (BgL__ortest_1115z00_3120)
														{	/* Inline/recursion.scm 277 */
															BgL_res1990z00_3115 = BgL__ortest_1115z00_3120;
														}
													else
														{	/* Inline/recursion.scm 277 */
															long BgL_odepthz00_3121;

															{	/* Inline/recursion.scm 277 */
																obj_t BgL_arg1855z00_3122;

																BgL_arg1855z00_3122 = (BgL_oclassz00_3116);
																BgL_odepthz00_3121 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_3122);
															}
															if ((2L < BgL_odepthz00_3121))
																{	/* Inline/recursion.scm 277 */
																	obj_t BgL_arg1853z00_3123;

																	{	/* Inline/recursion.scm 277 */
																		obj_t BgL_arg1854z00_3124;

																		BgL_arg1854z00_3124 = (BgL_oclassz00_3116);
																		BgL_arg1853z00_3123 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_3124, 2L);
																	}
																	BgL_res1990z00_3115 =
																		(BgL_arg1853z00_3123 == BgL_classz00_3110);
																}
															else
																{	/* Inline/recursion.scm 277 */
																	BgL_res1990z00_3115 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2119z00_4148 = BgL_res1990z00_3115;
										}
								}
							}
						}
						if (BgL_test2119z00_4148)
							{	/* Inline/recursion.scm 277 */
								BgL_test2118z00_4147 =
									(
									((obj_t)
										(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2989)))->
														BgL_funz00)))->BgL_variablez00)) ==
									BgL_varz00_2990);
							}
						else
							{	/* Inline/recursion.scm 277 */
								BgL_test2118z00_4147 = ((bool_t) 0);
							}
					}
					if (BgL_test2118z00_4147)
						{	/* Inline/recursion.scm 277 */
							if (CBOOL(BgL_tailz00_2991))
								{	/* Inline/recursion.scm 279 */
									BFALSE;
								}
							else
								{	/* Inline/recursion.scm 279 */
									CELL_SET(((obj_t) BgL_tresz00_2992), BFALSE);
								}
							return
								MAKE_YOUNG_PAIR(
								((obj_t)
									((BgL_appz00_bglt) BgL_nodez00_2989)),
								BgL_argszd2callszd2_3108);
						}
					else
						{	/* Inline/recursion.scm 277 */
							return BgL_argszd2callszd2_3108;
						}
				}
			}
		}

	}



/* &find-recursive-calls1311 */
	obj_t BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t
		BgL_envz00_2993, obj_t BgL_nodez00_2994, obj_t BgL_varz00_2995,
		obj_t BgL_tailz00_2996, obj_t BgL_tresz00_2997)
	{
		{	/* Inline/recursion.scm 263 */
			{	/* Inline/recursion.scm 264 */
				obj_t BgL_arg1691z00_3126;
				obj_t BgL_arg1692z00_3127;
				obj_t BgL_arg1693z00_3128;

				{	/* Inline/recursion.scm 264 */
					BgL_nodez00_bglt BgL_arg1699z00_3129;

					BgL_arg1699z00_3129 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_mutexz00);
					BgL_arg1691z00_3126 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1699z00_3129, ((BgL_variablez00_bglt) BgL_varz00_2995),
						BFALSE, BgL_tresz00_2997);
				}
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg1703z00_3130;

					BgL_arg1703z00_3130 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_prelockz00);
					BgL_arg1692z00_3127 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1703z00_3130, ((BgL_variablez00_bglt) BgL_varz00_2995),
						BFALSE, BgL_tresz00_2997);
				}
				{	/* Inline/recursion.scm 266 */
					BgL_nodez00_bglt BgL_arg1715z00_3131;

					BgL_arg1715z00_3131 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2994)))->BgL_bodyz00);
					BgL_arg1693z00_3128 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1715z00_3131, ((BgL_variablez00_bglt) BgL_varz00_2995),
						BFALSE, BgL_tresz00_2997);
				}
				{	/* Inline/recursion.scm 264 */
					obj_t BgL_list1694z00_3132;

					{	/* Inline/recursion.scm 264 */
						obj_t BgL_arg1695z00_3133;

						{	/* Inline/recursion.scm 264 */
							obj_t BgL_arg1696z00_3134;

							BgL_arg1696z00_3134 = MAKE_YOUNG_PAIR(BgL_arg1693z00_3128, BNIL);
							BgL_arg1695z00_3133 =
								MAKE_YOUNG_PAIR(BgL_arg1692z00_3127, BgL_arg1696z00_3134);
						}
						BgL_list1694z00_3132 =
							MAKE_YOUNG_PAIR(BgL_arg1691z00_3126, BgL_arg1695z00_3133);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1694z00_3132);
				}
			}
		}

	}



/* &find-recursive-calls1309 */
	obj_t BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00(obj_t
		BgL_envz00_2998, obj_t BgL_nodez00_2999, obj_t BgL_varz00_3000,
		obj_t BgL_tailz00_3001, obj_t BgL_tresz00_3002)
	{
		{	/* Inline/recursion.scm 257 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2999)))->BgL_nodesz00),
				BgL_varz00_3000, BgL_tailz00_3001, BgL_tresz00_3002);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00(void)
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(53595773L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(20504962L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(221468907L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(347990278L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(342478691L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(148760855L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(347839157L,
				BSTRING_TO_STRING(BGl_string2021z00zzinline_recursionz00));
		}

	}

#ifdef __cplusplus
}
#endif
