/*===========================================================================*/
/*   (Inline/size.scm)                                                       */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Inline/size.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_INLINE_SIZE_TYPE_DEFINITIONS
#define BGL_INLINE_SIZE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_siza7edzd2sequencez75_bgl
	{
		long BgL_siza7eza7;
	}                            *BgL_siza7edzd2sequencez75_bglt;

	typedef struct BgL_siza7edzd2syncz75_bgl
	{
		long BgL_siza7eza7;
	}                        *BgL_siza7edzd2syncz75_bglt;

	typedef struct BgL_siza7edzd2switchz75_bgl
	{
		long BgL_siza7eza7;
	}                          *BgL_siza7edzd2switchz75_bglt;

	typedef struct BgL_siza7edzd2letzd2funza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2funza7_bglt;

	typedef struct BgL_siza7edzd2letzd2varza7_bgl
	{
		long BgL_siza7eza7;
	}                             *BgL_siza7edzd2letzd2varza7_bglt;


#endif													// BGL_INLINE_SIZE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1769z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1770z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1696z62zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_siza7eza7 = BUNSPEC;
	static obj_t BGl_z62nodezd2siza7ezd2var1404zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1786z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_siza7edzd2syncz75zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda1791z62zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt BGl_z62lambda1798z62zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7(void);
	static obj_t BGl_z62nodezd2siza7ezd2conditiona1428zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2cast1422zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzinline_siza7eza7(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzinline_siza7eza7(void);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2setq1426zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2funcall1420zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2app1416zc5zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62nodezd2siza7ezd2sync1412zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2retblock1448zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31797ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2fail1430zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2letzd2var1440z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 = BUNSPEC;
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_siza7eza7(void);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1455z17zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_z62nodezd2siza7e1398z17zzinline_siza7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2kwote1406zc5zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1446zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static long BGl_mz00zzinline_siza7eza7 = 0L;
	static obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_siza7edzd2switchz75zzinline_siza7eza7 = BUNSPEC;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2appzd2ly1418z17zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_siza7edzd2sequencez75zzinline_siza7eza7 = BUNSPEC;
	BGL_EXPORTED_DECL long
		BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzinline_siza7eza7(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7(void);
	static obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7(void);
	static obj_t
		BGl_z62nodezd2siza7ezd2boxzd2setz121457z05zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62nodezd2siza7ezd2atom1402zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2makezd2box1452z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2extern1424zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2return1450zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31636ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2switch1432zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1626z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21438z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1633z62zzinline_siza7eza7(obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1554z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda1637z62zzinline_siza7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21442z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1721z62zzinline_siza7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_sequencez00_bglt BGl_z62lambda1561z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1805z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1806z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2letzd2fun1436z17zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1444zc5zzinline_siza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1410zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1730z62zzinline_siza7eza7(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62lambda1651z62zzinline_siza7eza7(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1652z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda1576z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2siza7ezd2sequence1408zc5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 = BUNSPEC;
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1414zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1664z62zzinline_siza7eza7(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda1748z62zzinline_siza7eza7(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31747ze3ze5zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1591z62zzinline_siza7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda1592z62zzinline_siza7eza7(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1675z62zzinline_siza7eza7(obj_t,
		obj_t);
	static BgL_switchz00_bglt BGl_z62lambda1679z62zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1434zb0zzinline_siza7eza7(obj_t,
		obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1592za7622121z00, BGl_z62lambda1592z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1591za7622122z00, BGl_z62lambda1591z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1576za7622123z00, BGl_z62lambda1576z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2124za7,
		BGl_z62zc3z04anonymousza31575ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1561za7622125z00, BGl_z62lambda1561z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1554za7622126z00, BGl_z62lambda1554z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1652za7622127z00, BGl_z62lambda1652z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1651za7622128z00, BGl_z62lambda1651z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1637za7622129z00, BGl_z62lambda1637z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2059z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2130za7,
		BGl_z62zc3z04anonymousza31636ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1633za7622131z00, BGl_z62lambda1633z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2061z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1626za7622132z00, BGl_z62lambda1626z62zzinline_siza7eza7,
		0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2062z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1697za7622133z00, BGl_z62lambda1697z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2063z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1696za7622134z00, BGl_z62lambda1696z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2064z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1679za7622135z00, BGl_z62lambda1679z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2065z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2136za7,
		BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2066z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1675za7622137z00, BGl_z62lambda1675z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2067z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1664za7622138z00, BGl_z62lambda1664z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2068z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1770za7622139z00, BGl_z62lambda1770z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2069z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1769za7622140z00, BGl_z62lambda1769z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2070z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1748za7622141z00, BGl_z62lambda1748z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2071z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2142za7,
		BGl_z62zc3z04anonymousza31747ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2072z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1730za7622143z00, BGl_z62lambda1730z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2073z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1721za7622144z00, BGl_z62lambda1721z62zzinline_siza7eza7,
		0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2074z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1806za7622145z00, BGl_z62lambda1806z62zzinline_siza7eza7,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2081z00zzinline_siza7eza7,
		BgL_bgl_string2081za700za7za7i2146za7, "node-size1398", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2075z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1805za7622147z00, BGl_z62lambda1805z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2082z00zzinline_siza7eza7,
		BgL_bgl_string2082za700za7za7i2148za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2076z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1798za7622149z00, BGl_z62lambda1798z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2077z00zzinline_siza7eza7,
		BgL_bgl_za762za7c3za704anonymo2150za7,
		BGl_z62zc3z04anonymousza31797ze3ze5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2084z00zzinline_siza7eza7,
		BgL_bgl_string2084za700za7za7i2151za7, "node-size", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2078z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1791za7622152z00, BGl_z62lambda1791z62zzinline_siza7eza7,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2079z00zzinline_siza7eza7,
		BgL_bgl_za762lambda1786za7622153z00, BGl_z62lambda1786z62zzinline_siza7eza7,
		0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2080z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2154za7,
		BGl_z62nodezd2siza7e1398z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2083z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2155za7,
		BGl_z62nodezd2siza7ezd2atom1402zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2085z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2156za7,
		BGl_z62nodezd2siza7ezd2var1404zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2086z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2157za7,
		BGl_z62nodezd2siza7ezd2kwote1406zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2158za7,
		BGl_z62nodezd2siza7ezd2sequence1408zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2088z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2159za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sequ1410zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2160za7,
		BGl_z62nodezd2siza7ezd2sync1412zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2090z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2161za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2sync1414zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2091z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2162za7,
		BGl_z62nodezd2siza7ezd2app1416zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2163za7,
		BGl_z62nodezd2siza7ezd2appzd2ly1418z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2093z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2164za7,
		BGl_z62nodezd2siza7ezd2funcall1420zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2165za7,
		BGl_z62nodezd2siza7ezd2cast1422zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2166za7,
		BGl_z62nodezd2siza7ezd2extern1424zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2167za7,
		BGl_z62nodezd2siza7ezd2setq1426zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2168za7,
		BGl_z62nodezd2siza7ezd2conditiona1428zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2169za7,
		BGl_z62nodezd2siza7ezd2fail1430zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2170za7,
		BGl_z62nodezd2siza7ezd2switch1432zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2171za7,
		BGl_z62nodezd2siza7ez17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2172za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2swit1434zb0zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2173za7,
		BGl_z62nodezd2siza7ezd2letzd2fun1436z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2174za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21438z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2175za7,
		BGl_z62nodezd2siza7ezd2letzd2var1440z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2176za7,
		BGl_z62nodezd2siza7ezd2siza7edzd2letzd21442z62zzinline_siza7eza7, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2177za7,
		BGl_z62nodezd2siza7ezd2setzd2exzd2it1444zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2112z00zzinline_siza7eza7,
		BgL_bgl_string2112za700za7za7i2178za7, "INLINESZ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2179za7,
		BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1446zc5zzinline_siza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2113z00zzinline_siza7eza7,
		BgL_bgl_string2113za700za7za7i2180za7, ">>> inline-size node=", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2181za7,
		BGl_z62nodezd2siza7ezd2retblock1448zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2114z00zzinline_siza7eza7,
		BgL_bgl_string2114za700za7za7i2182za7, "--- inline-size node=", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2183za7,
		BGl_z62nodezd2siza7ezd2return1450zc5zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2115z00zzinline_siza7eza7,
		BgL_bgl_string2115za700za7za7i2184za7, " size=", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2185za7,
		BGl_z62nodezd2siza7ezd2makezd2box1452z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2116z00zzinline_siza7eza7,
		BgL_bgl_string2116za700za7za7i2186za7, " null=", 6);
	      DEFINE_STRING(BGl_string2117z00zzinline_siza7eza7,
		BgL_bgl_string2117za700za7za7i2187za7, "<<< inline-size node=", 21);
	      DEFINE_STRING(BGl_string2118z00zzinline_siza7eza7,
		BgL_bgl_string2118za700za7za7i2188za7, "inline_size", 11);
	      DEFINE_STRING(BGl_string2119z00zzinline_siza7eza7,
		BgL_bgl_string2119za700za7za7i2189za7,
		"#z1 node-size1398 sized-let-var sized-let-fun sized-switch sized-sync inline_size sized-sequence long size ",
		107);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2190za7,
		BGl_z62nodezd2siza7ezd2boxzd2ref1455z17zzinline_siza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzinline_siza7eza7,
		BgL_bgl_za762nodeza7d2siza7a7e2191za7,
		BGl_z62nodezd2siza7ezd2boxzd2setz121457z05zzinline_siza7eza7, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2syncz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2varza7zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2switchz75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2sequencez75zzinline_siza7eza7));
		     ADD_ROOT((void *) (&BGl_siza7edzd2letzd2funza7zzinline_siza7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long
		BgL_checksumz00_3224, char *BgL_fromz00_3225)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_siza7eza7))
				{
					BGl_requirezd2initializa7ationz75zzinline_siza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_siza7eza7();
					BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_cnstzd2initzd2zzinline_siza7eza7();
					BGl_importedzd2moduleszd2initz00zzinline_siza7eza7();
					BGl_objectzd2initzd2zzinline_siza7eza7();
					BGl_genericzd2initzd2zzinline_siza7eza7();
					BGl_methodzd2initzd2zzinline_siza7eza7();
					return BGl_toplevelzd2initzd2zzinline_siza7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"inline_size");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "inline_size");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 15 */
				obj_t BgL_cportz00_2925;

				{	/* Inline/size.scm 15 */
					obj_t BgL_stringz00_2932;

					BgL_stringz00_2932 = BGl_string2119z00zzinline_siza7eza7;
					{	/* Inline/size.scm 15 */
						obj_t BgL_startz00_2933;

						BgL_startz00_2933 = BINT(0L);
						{	/* Inline/size.scm 15 */
							obj_t BgL_endz00_2934;

							BgL_endz00_2934 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2932)));
							{	/* Inline/size.scm 15 */

								BgL_cportz00_2925 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2932, BgL_startz00_2933, BgL_endz00_2934);
				}}}}
				{
					long BgL_iz00_2926;

					BgL_iz00_2926 = 9L;
				BgL_loopz00_2927:
					if ((BgL_iz00_2926 == (-1L)))
						{	/* Inline/size.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/size.scm 15 */
							{	/* Inline/size.scm 15 */
								obj_t BgL_arg2120z00_2928;

								{	/* Inline/size.scm 15 */

									{	/* Inline/size.scm 15 */
										obj_t BgL_locationz00_2930;

										BgL_locationz00_2930 = BBOOL(((bool_t) 0));
										{	/* Inline/size.scm 15 */

											BgL_arg2120z00_2928 =
												BGl_readz00zz__readerz00(BgL_cportz00_2925,
												BgL_locationz00_2930);
										}
									}
								}
								{	/* Inline/size.scm 15 */
									int BgL_tmpz00_3259;

									BgL_tmpz00_3259 = (int) (BgL_iz00_2926);
									CNST_TABLE_SET(BgL_tmpz00_3259, BgL_arg2120z00_2928);
							}}
							{	/* Inline/size.scm 15 */
								int BgL_auxz00_2931;

								BgL_auxz00_2931 = (int) ((BgL_iz00_2926 - 1L));
								{
									long BgL_iz00_3264;

									BgL_iz00_3264 = (long) (BgL_auxz00_2931);
									BgL_iz00_2926 = BgL_iz00_3264;
									goto BgL_loopz00_2927;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_mz00zzinline_siza7eza7 = 0L;
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			{	/* Inline/size.scm 22 */
				obj_t BgL_arg1545z00_1569;
				obj_t BgL_arg1553z00_1570;

				{	/* Inline/size.scm 22 */
					obj_t BgL_v1388z00_1599;

					BgL_v1388z00_1599 = create_vector(1L);
					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1587z00_1600;

						BgL_arg1587z00_1600 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2051z00zzinline_siza7eza7,
							BGl_proc2050z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1388z00_1599, 0L, BgL_arg1587z00_1600);
					}
					BgL_arg1545z00_1569 = BgL_v1388z00_1599;
				}
				{	/* Inline/size.scm 22 */
					obj_t BgL_v1389z00_1610;

					BgL_v1389z00_1610 = create_vector(0L);
					BgL_arg1553z00_1570 = BgL_v1389z00_1610;
				}
				BGl_siza7edzd2sequencez75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(2)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_sequencez00zzast_nodez00, 10745L,
					BGl_proc2055z00zzinline_siza7eza7, BGl_proc2054z00zzinline_siza7eza7,
					BFALSE, BGl_proc2053z00zzinline_siza7eza7,
					BGl_proc2052z00zzinline_siza7eza7, BgL_arg1545z00_1569,
					BgL_arg1553z00_1570);
			}
			{	/* Inline/size.scm 23 */
				obj_t BgL_arg1612z00_1619;
				obj_t BgL_arg1625z00_1620;

				{	/* Inline/size.scm 23 */
					obj_t BgL_v1390z00_1647;

					BgL_v1390z00_1647 = create_vector(1L);
					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1648z00_1648;

						BgL_arg1648z00_1648 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2057z00zzinline_siza7eza7,
							BGl_proc2056z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1390z00_1647, 0L, BgL_arg1648z00_1648);
					}
					BgL_arg1612z00_1619 = BgL_v1390z00_1647;
				}
				{	/* Inline/size.scm 23 */
					obj_t BgL_v1391z00_1658;

					BgL_v1391z00_1658 = create_vector(0L);
					BgL_arg1625z00_1620 = BgL_v1391z00_1658;
				}
				BGl_siza7edzd2syncz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(4)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_syncz00zzast_nodez00, 41409L,
					BGl_proc2061z00zzinline_siza7eza7, BGl_proc2060z00zzinline_siza7eza7,
					BFALSE, BGl_proc2059z00zzinline_siza7eza7,
					BGl_proc2058z00zzinline_siza7eza7, BgL_arg1612z00_1619,
					BgL_arg1625z00_1620);
			}
			{	/* Inline/size.scm 24 */
				obj_t BgL_arg1660z00_1667;
				obj_t BgL_arg1663z00_1668;

				{	/* Inline/size.scm 24 */
					obj_t BgL_v1392z00_1697;

					BgL_v1392z00_1697 = create_vector(1L);
					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1692z00_1698;

						BgL_arg1692z00_1698 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2063z00zzinline_siza7eza7,
							BGl_proc2062z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1392z00_1697, 0L, BgL_arg1692z00_1698);
					}
					BgL_arg1660z00_1667 = BgL_v1392z00_1697;
				}
				{	/* Inline/size.scm 24 */
					obj_t BgL_v1393z00_1708;

					BgL_v1393z00_1708 = create_vector(0L);
					BgL_arg1663z00_1668 = BgL_v1393z00_1708;
				}
				BGl_siza7edzd2switchz75zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(5)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_switchz00zzast_nodez00, 37483L,
					BGl_proc2067z00zzinline_siza7eza7, BGl_proc2066z00zzinline_siza7eza7,
					BFALSE, BGl_proc2065z00zzinline_siza7eza7,
					BGl_proc2064z00zzinline_siza7eza7, BgL_arg1660z00_1667,
					BgL_arg1663z00_1668);
			}
			{	/* Inline/size.scm 25 */
				obj_t BgL_arg1717z00_1717;
				obj_t BgL_arg1720z00_1718;

				{	/* Inline/size.scm 25 */
					obj_t BgL_v1394z00_1746;

					BgL_v1394z00_1746 = create_vector(1L);
					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1763z00_1747;

						BgL_arg1763z00_1747 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2069z00zzinline_siza7eza7,
							BGl_proc2068z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1394z00_1746, 0L, BgL_arg1763z00_1747);
					}
					BgL_arg1717z00_1717 = BgL_v1394z00_1746;
				}
				{	/* Inline/size.scm 25 */
					obj_t BgL_v1395z00_1757;

					BgL_v1395z00_1757 = create_vector(0L);
					BgL_arg1720z00_1718 = BgL_v1395z00_1757;
				}
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(6)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_letzd2funzd2zzast_nodez00, 7325L,
					BGl_proc2073z00zzinline_siza7eza7, BGl_proc2072z00zzinline_siza7eza7,
					BFALSE, BGl_proc2071z00zzinline_siza7eza7,
					BGl_proc2070z00zzinline_siza7eza7, BgL_arg1717z00_1717,
					BgL_arg1720z00_1718);
			}
			{	/* Inline/size.scm 26 */
				obj_t BgL_arg1784z00_1766;
				obj_t BgL_arg1785z00_1767;

				{	/* Inline/size.scm 26 */
					obj_t BgL_v1396z00_1796;

					BgL_v1396z00_1796 = create_vector(1L);
					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1802z00_1797;

						BgL_arg1802z00_1797 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc2075z00zzinline_siza7eza7,
							BGl_proc2074z00zzinline_siza7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1396z00_1796, 0L, BgL_arg1802z00_1797);
					}
					BgL_arg1784z00_1766 = BgL_v1396z00_1796;
				}
				{	/* Inline/size.scm 26 */
					obj_t BgL_v1397z00_1807;

					BgL_v1397z00_1807 = create_vector(0L);
					BgL_arg1785z00_1767 = BgL_v1397z00_1807;
				}
				return (BGl_siza7edzd2letzd2varza7zzinline_siza7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(7)),
						((obj_t)
							CNST_TABLE_REF(3)), BGl_letzd2varzd2zzast_nodez00, 20381L,
						BGl_proc2079z00zzinline_siza7eza7,
						BGl_proc2078z00zzinline_siza7eza7, BFALSE,
						BGl_proc2077z00zzinline_siza7eza7,
						BGl_proc2076z00zzinline_siza7eza7, BgL_arg1784z00_1766,
						BgL_arg1785z00_1767), BUNSPEC);
			}
		}

	}



/* &lambda1798 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1798z62zzinline_siza7eza7(obj_t
		BgL_envz00_2739, obj_t BgL_o1169z00_2740)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_arg1799z00_2937;

				{	/* Inline/size.scm 26 */
					obj_t BgL_arg1800z00_2938;

					{	/* Inline/size.scm 26 */
						obj_t BgL_arg1801z00_2939;

						{	/* Inline/size.scm 26 */
							obj_t BgL_arg1866z00_2940;
							long BgL_arg1867z00_2941;

							BgL_arg1866z00_2940 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/size.scm 26 */
								long BgL_arg1869z00_2942;

								BgL_arg1869z00_2942 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1169z00_2740)));
								BgL_arg1867z00_2941 = (BgL_arg1869z00_2942 - OBJECT_TYPE);
							}
							BgL_arg1801z00_2939 =
								VECTOR_REF(BgL_arg1866z00_2940, BgL_arg1867z00_2941);
						}
						BgL_arg1800z00_2938 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1801z00_2939);
					}
					{	/* Inline/size.scm 26 */
						obj_t BgL_tmpz00_3339;

						BgL_tmpz00_3339 = ((obj_t) BgL_arg1800z00_2938);
						BgL_arg1799z00_2937 = BGL_CLASS_NUM(BgL_tmpz00_3339);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1169z00_2740)), BgL_arg1799z00_2937);
			}
			{	/* Inline/size.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_3345;

				BgL_tmpz00_3345 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2740));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3345, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2740));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1169z00_2740));
		}

	}



/* &<@anonymous:1797> */
	obj_t BGl_z62zc3z04anonymousza31797ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2741, obj_t BgL_new1168z00_2742)
	{
		{	/* Inline/size.scm 26 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_3353;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3357;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2944;

						BgL_classz00_2944 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1117z00_2945;

							BgL__ortest_1117z00_2945 = BGL_CLASS_NIL(BgL_classz00_2944);
							if (CBOOL(BgL__ortest_1117z00_2945))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3357 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2945);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3357 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2944));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3357), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1168z00_2742))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1168z00_2742))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3376;

					{	/* Inline/size.scm 26 */
						obj_t BgL_classz00_2946;

						BgL_classz00_2946 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 26 */
							obj_t BgL__ortest_1117z00_2947;

							BgL__ortest_1117z00_2947 = BGL_CLASS_NIL(BgL_classz00_2946);
							if (CBOOL(BgL__ortest_1117z00_2947))
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3376 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_2947);
								}
							else
								{	/* Inline/size.scm 26 */
									BgL_auxz00_3376 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2946));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3376), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3389;

					{
						obj_t BgL_auxz00_3390;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3391;

							BgL_tmpz00_3391 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742));
							BgL_auxz00_3390 = BGL_OBJECT_WIDENING(BgL_tmpz00_3391);
						}
						BgL_auxz00_3389 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3390);
					}
					((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3389))->
							BgL_siza7eza7) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_3353 = ((BgL_letzd2varzd2_bglt) BgL_new1168z00_2742);
				return ((obj_t) BgL_auxz00_3353);
			}
		}

	}



/* &lambda1791 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1791z62zzinline_siza7eza7(obj_t
		BgL_envz00_2743, obj_t BgL_o1165z00_2744)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				BgL_siza7edzd2letzd2varza7_bglt BgL_wide1167z00_2949;

				BgL_wide1167z00_2949 =
					((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2varza7_bgl))));
				{	/* Inline/size.scm 26 */
					obj_t BgL_auxz00_3404;
					BgL_objectz00_bglt BgL_tmpz00_3400;

					BgL_auxz00_3404 = ((obj_t) BgL_wide1167z00_2949);
					BgL_tmpz00_3400 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1165z00_2744)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3400, BgL_auxz00_3404);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1165z00_2744)));
				{	/* Inline/size.scm 26 */
					long BgL_arg1796z00_2950;

					BgL_arg1796z00_2950 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1165z00_2744))),
						BgL_arg1796z00_2950);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1165z00_2744)));
			}
		}

	}



/* &lambda1786 */
	BgL_letzd2varzd2_bglt BGl_z62lambda1786z62zzinline_siza7eza7(obj_t
		BgL_envz00_2745, obj_t BgL_loc1157z00_2746, obj_t BgL_type1158z00_2747,
		obj_t BgL_sidezd2effect1159zd2_2748, obj_t BgL_key1160z00_2749,
		obj_t BgL_bindings1161z00_2750, obj_t BgL_body1162z00_2751,
		obj_t BgL_removablezf31163zf3_2752, obj_t BgL_siza7e1164za7_2753)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				bool_t BgL_removablezf31163zf3_2953;
				long BgL_siza7e1164za7_2954;

				BgL_removablezf31163zf3_2953 = CBOOL(BgL_removablezf31163zf3_2752);
				BgL_siza7e1164za7_2954 = (long) CINT(BgL_siza7e1164za7_2753);
				{	/* Inline/size.scm 26 */
					BgL_letzd2varzd2_bglt BgL_new1260z00_2955;

					{	/* Inline/size.scm 26 */
						BgL_letzd2varzd2_bglt BgL_tmp1258z00_2956;
						BgL_siza7edzd2letzd2varza7_bglt BgL_wide1259z00_2957;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_3420;

							{	/* Inline/size.scm 26 */
								BgL_letzd2varzd2_bglt BgL_new1257z00_2958;

								BgL_new1257z00_2958 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Inline/size.scm 26 */
									long BgL_arg1790z00_2959;

									BgL_arg1790z00_2959 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1257z00_2958),
										BgL_arg1790z00_2959);
								}
								{	/* Inline/size.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_3425;

									BgL_tmpz00_3425 = ((BgL_objectz00_bglt) BgL_new1257z00_2958);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3425, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1257z00_2958);
								BgL_auxz00_3420 = BgL_new1257z00_2958;
							}
							BgL_tmp1258z00_2956 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_3420);
						}
						BgL_wide1259z00_2957 =
							((BgL_siza7edzd2letzd2varza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2varza7_bgl))));
						{	/* Inline/size.scm 26 */
							obj_t BgL_auxz00_3433;
							BgL_objectz00_bglt BgL_tmpz00_3431;

							BgL_auxz00_3433 = ((obj_t) BgL_wide1259z00_2957);
							BgL_tmpz00_3431 = ((BgL_objectz00_bglt) BgL_tmp1258z00_2956);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3431, BgL_auxz00_3433);
						}
						((BgL_objectz00_bglt) BgL_tmp1258z00_2956);
						{	/* Inline/size.scm 26 */
							long BgL_arg1789z00_2960;

							BgL_arg1789z00_2960 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1258z00_2956),
								BgL_arg1789z00_2960);
						}
						BgL_new1260z00_2955 = ((BgL_letzd2varzd2_bglt) BgL_tmp1258z00_2956);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1260z00_2955)))->BgL_locz00) =
						((obj_t) BgL_loc1157z00_2746), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1260z00_2955)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1158z00_2747)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1260z00_2955)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1159zd2_2748), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1260z00_2955)))->BgL_keyz00) =
						((obj_t) BgL_key1160z00_2749), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1260z00_2955)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1161z00_2750), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1260z00_2955)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1162z00_2751)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1260z00_2955)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31163zf3_2953), BUNSPEC);
					{
						BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3457;

						{
							obj_t BgL_auxz00_3458;

							{	/* Inline/size.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_3459;

								BgL_tmpz00_3459 = ((BgL_objectz00_bglt) BgL_new1260z00_2955);
								BgL_auxz00_3458 = BGL_OBJECT_WIDENING(BgL_tmpz00_3459);
							}
							BgL_auxz00_3457 =
								((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3458);
						}
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3457))->
								BgL_siza7eza7) = ((long) BgL_siza7e1164za7_2954), BUNSPEC);
					}
					return BgL_new1260z00_2955;
				}
			}
		}

	}



/* &lambda1806 */
	obj_t BGl_z62lambda1806z62zzinline_siza7eza7(obj_t BgL_envz00_2754,
		obj_t BgL_oz00_2755, obj_t BgL_vz00_2756)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_vz00_2962;

				BgL_vz00_2962 = (long) CINT(BgL_vz00_2756);
				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3465;

					{
						obj_t BgL_auxz00_3466;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3467;

							BgL_tmpz00_3467 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2755));
							BgL_auxz00_3466 = BGL_OBJECT_WIDENING(BgL_tmpz00_3467);
						}
						BgL_auxz00_3465 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3466);
					}
					return
						((((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3465))->
							BgL_siza7eza7) = ((long) BgL_vz00_2962), BUNSPEC);
		}}}

	}



/* &lambda1805 */
	obj_t BGl_z62lambda1805z62zzinline_siza7eza7(obj_t BgL_envz00_2757,
		obj_t BgL_oz00_2758)
	{
		{	/* Inline/size.scm 26 */
			{	/* Inline/size.scm 26 */
				long BgL_tmpz00_3473;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_3474;

					{
						obj_t BgL_auxz00_3475;

						{	/* Inline/size.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_3476;

							BgL_tmpz00_3476 =
								((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_2758));
							BgL_auxz00_3475 = BGL_OBJECT_WIDENING(BgL_tmpz00_3476);
						}
						BgL_auxz00_3474 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_3475);
					}
					BgL_tmpz00_3473 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_3474))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3473);
			}
		}

	}



/* &lambda1748 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1748z62zzinline_siza7eza7(obj_t
		BgL_envz00_2759, obj_t BgL_o1155z00_2760)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_arg1755z00_2965;

				{	/* Inline/size.scm 25 */
					obj_t BgL_arg1756z00_2966;

					{	/* Inline/size.scm 25 */
						obj_t BgL_arg1757z00_2967;

						{	/* Inline/size.scm 25 */
							obj_t BgL_arg1866z00_2968;
							long BgL_arg1867z00_2969;

							BgL_arg1866z00_2968 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/size.scm 25 */
								long BgL_arg1869z00_2970;

								BgL_arg1869z00_2970 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1155z00_2760)));
								BgL_arg1867z00_2969 = (BgL_arg1869z00_2970 - OBJECT_TYPE);
							}
							BgL_arg1757z00_2967 =
								VECTOR_REF(BgL_arg1866z00_2968, BgL_arg1867z00_2969);
						}
						BgL_arg1756z00_2966 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1757z00_2967);
					}
					{	/* Inline/size.scm 25 */
						obj_t BgL_tmpz00_3490;

						BgL_tmpz00_3490 = ((obj_t) BgL_arg1756z00_2966);
						BgL_arg1755z00_2965 = BGL_CLASS_NUM(BgL_tmpz00_3490);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1155z00_2760)), BgL_arg1755z00_2965);
			}
			{	/* Inline/size.scm 25 */
				BgL_objectz00_bglt BgL_tmpz00_3496;

				BgL_tmpz00_3496 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2760));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3496, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2760));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1155z00_2760));
		}

	}



/* &<@anonymous:1747> */
	obj_t BGl_z62zc3z04anonymousza31747ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2761, obj_t BgL_new1154z00_2762)
	{
		{	/* Inline/size.scm 25 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_3504;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3508;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2972;

						BgL_classz00_2972 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1117z00_2973;

							BgL__ortest_1117z00_2973 = BGL_CLASS_NIL(BgL_classz00_2972);
							if (CBOOL(BgL__ortest_1117z00_2973))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3508 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_2973);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3508 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2972));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3508), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1154z00_2762))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1154z00_2762))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3527;

					{	/* Inline/size.scm 25 */
						obj_t BgL_classz00_2974;

						BgL_classz00_2974 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 25 */
							obj_t BgL__ortest_1117z00_2975;

							BgL__ortest_1117z00_2975 = BGL_CLASS_NIL(BgL_classz00_2974);
							if (CBOOL(BgL__ortest_1117z00_2975))
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3527 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_2975);
								}
							else
								{	/* Inline/size.scm 25 */
									BgL_auxz00_3527 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2974));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3527), BUNSPEC);
				}
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3537;

					{
						obj_t BgL_auxz00_3538;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3539;

							BgL_tmpz00_3539 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762));
							BgL_auxz00_3538 = BGL_OBJECT_WIDENING(BgL_tmpz00_3539);
						}
						BgL_auxz00_3537 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3538);
					}
					((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3537))->
							BgL_siza7eza7) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_3504 = ((BgL_letzd2funzd2_bglt) BgL_new1154z00_2762);
				return ((obj_t) BgL_auxz00_3504);
			}
		}

	}



/* &lambda1730 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1730z62zzinline_siza7eza7(obj_t
		BgL_envz00_2763, obj_t BgL_o1151z00_2764)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				BgL_siza7edzd2letzd2funza7_bglt BgL_wide1153z00_2977;

				BgL_wide1153z00_2977 =
					((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2letzd2funza7_bgl))));
				{	/* Inline/size.scm 25 */
					obj_t BgL_auxz00_3552;
					BgL_objectz00_bglt BgL_tmpz00_3548;

					BgL_auxz00_3552 = ((obj_t) BgL_wide1153z00_2977);
					BgL_tmpz00_3548 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1151z00_2764)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3548, BgL_auxz00_3552);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1151z00_2764)));
				{	/* Inline/size.scm 25 */
					long BgL_arg1746z00_2978;

					BgL_arg1746z00_2978 =
						BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1151z00_2764))),
						BgL_arg1746z00_2978);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1151z00_2764)));
			}
		}

	}



/* &lambda1721 */
	BgL_letzd2funzd2_bglt BGl_z62lambda1721z62zzinline_siza7eza7(obj_t
		BgL_envz00_2765, obj_t BgL_loc1144z00_2766, obj_t BgL_type1145z00_2767,
		obj_t BgL_sidezd2effect1146zd2_2768, obj_t BgL_key1147z00_2769,
		obj_t BgL_locals1148z00_2770, obj_t BgL_body1149z00_2771,
		obj_t BgL_siza7e1150za7_2772)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_siza7e1150za7_2981;

				BgL_siza7e1150za7_2981 = (long) CINT(BgL_siza7e1150za7_2772);
				{	/* Inline/size.scm 25 */
					BgL_letzd2funzd2_bglt BgL_new1255z00_2982;

					{	/* Inline/size.scm 25 */
						BgL_letzd2funzd2_bglt BgL_tmp1253z00_2983;
						BgL_siza7edzd2letzd2funza7_bglt BgL_wide1254z00_2984;

						{
							BgL_letzd2funzd2_bglt BgL_auxz00_3567;

							{	/* Inline/size.scm 25 */
								BgL_letzd2funzd2_bglt BgL_new1252z00_2985;

								BgL_new1252z00_2985 =
									((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2funzd2_bgl))));
								{	/* Inline/size.scm 25 */
									long BgL_arg1729z00_2986;

									BgL_arg1729z00_2986 =
										BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1252z00_2985),
										BgL_arg1729z00_2986);
								}
								{	/* Inline/size.scm 25 */
									BgL_objectz00_bglt BgL_tmpz00_3572;

									BgL_tmpz00_3572 = ((BgL_objectz00_bglt) BgL_new1252z00_2985);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3572, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1252z00_2985);
								BgL_auxz00_3567 = BgL_new1252z00_2985;
							}
							BgL_tmp1253z00_2983 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_3567);
						}
						BgL_wide1254z00_2984 =
							((BgL_siza7edzd2letzd2funza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2letzd2funza7_bgl))));
						{	/* Inline/size.scm 25 */
							obj_t BgL_auxz00_3580;
							BgL_objectz00_bglt BgL_tmpz00_3578;

							BgL_auxz00_3580 = ((obj_t) BgL_wide1254z00_2984);
							BgL_tmpz00_3578 = ((BgL_objectz00_bglt) BgL_tmp1253z00_2983);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3578, BgL_auxz00_3580);
						}
						((BgL_objectz00_bglt) BgL_tmp1253z00_2983);
						{	/* Inline/size.scm 25 */
							long BgL_arg1724z00_2987;

							BgL_arg1724z00_2987 =
								BGL_CLASS_NUM(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1253z00_2983),
								BgL_arg1724z00_2987);
						}
						BgL_new1255z00_2982 = ((BgL_letzd2funzd2_bglt) BgL_tmp1253z00_2983);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1255z00_2982)))->BgL_locz00) =
						((obj_t) BgL_loc1144z00_2766), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1255z00_2982)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1145z00_2767)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1255z00_2982)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1146zd2_2768), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1255z00_2982)))->BgL_keyz00) =
						((obj_t) BgL_key1147z00_2769), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1255z00_2982)))->BgL_localsz00) =
						((obj_t) BgL_locals1148z00_2770), BUNSPEC);
					((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
										BgL_new1255z00_2982)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1149z00_2771)),
						BUNSPEC);
					{
						BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3602;

						{
							obj_t BgL_auxz00_3603;

							{	/* Inline/size.scm 25 */
								BgL_objectz00_bglt BgL_tmpz00_3604;

								BgL_tmpz00_3604 = ((BgL_objectz00_bglt) BgL_new1255z00_2982);
								BgL_auxz00_3603 = BGL_OBJECT_WIDENING(BgL_tmpz00_3604);
							}
							BgL_auxz00_3602 =
								((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3603);
						}
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3602))->
								BgL_siza7eza7) = ((long) BgL_siza7e1150za7_2981), BUNSPEC);
					}
					return BgL_new1255z00_2982;
				}
			}
		}

	}



/* &lambda1770 */
	obj_t BGl_z62lambda1770z62zzinline_siza7eza7(obj_t BgL_envz00_2773,
		obj_t BgL_oz00_2774, obj_t BgL_vz00_2775)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_vz00_2989;

				BgL_vz00_2989 = (long) CINT(BgL_vz00_2775);
				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3610;

					{
						obj_t BgL_auxz00_3611;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3612;

							BgL_tmpz00_3612 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2774));
							BgL_auxz00_3611 = BGL_OBJECT_WIDENING(BgL_tmpz00_3612);
						}
						BgL_auxz00_3610 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3611);
					}
					return
						((((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3610))->
							BgL_siza7eza7) = ((long) BgL_vz00_2989), BUNSPEC);
		}}}

	}



/* &lambda1769 */
	obj_t BGl_z62lambda1769z62zzinline_siza7eza7(obj_t BgL_envz00_2776,
		obj_t BgL_oz00_2777)
	{
		{	/* Inline/size.scm 25 */
			{	/* Inline/size.scm 25 */
				long BgL_tmpz00_3618;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_3619;

					{
						obj_t BgL_auxz00_3620;

						{	/* Inline/size.scm 25 */
							BgL_objectz00_bglt BgL_tmpz00_3621;

							BgL_tmpz00_3621 =
								((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_2777));
							BgL_auxz00_3620 = BGL_OBJECT_WIDENING(BgL_tmpz00_3621);
						}
						BgL_auxz00_3619 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_3620);
					}
					BgL_tmpz00_3618 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_3619))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3618);
			}
		}

	}



/* &lambda1679 */
	BgL_switchz00_bglt BGl_z62lambda1679z62zzinline_siza7eza7(obj_t
		BgL_envz00_2778, obj_t BgL_o1142z00_2779)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_arg1680z00_2992;

				{	/* Inline/size.scm 24 */
					obj_t BgL_arg1686z00_2993;

					{	/* Inline/size.scm 24 */
						obj_t BgL_arg1691z00_2994;

						{	/* Inline/size.scm 24 */
							obj_t BgL_arg1866z00_2995;
							long BgL_arg1867z00_2996;

							BgL_arg1866z00_2995 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/size.scm 24 */
								long BgL_arg1869z00_2997;

								BgL_arg1869z00_2997 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1142z00_2779)));
								BgL_arg1867z00_2996 = (BgL_arg1869z00_2997 - OBJECT_TYPE);
							}
							BgL_arg1691z00_2994 =
								VECTOR_REF(BgL_arg1866z00_2995, BgL_arg1867z00_2996);
						}
						BgL_arg1686z00_2993 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1691z00_2994);
					}
					{	/* Inline/size.scm 24 */
						obj_t BgL_tmpz00_3635;

						BgL_tmpz00_3635 = ((obj_t) BgL_arg1686z00_2993);
						BgL_arg1680z00_2992 = BGL_CLASS_NUM(BgL_tmpz00_3635);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1142z00_2779)), BgL_arg1680z00_2992);
			}
			{	/* Inline/size.scm 24 */
				BgL_objectz00_bglt BgL_tmpz00_3641;

				BgL_tmpz00_3641 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2779));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3641, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2779));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1142z00_2779));
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2780, obj_t BgL_new1141z00_2781)
	{
		{	/* Inline/size.scm 24 */
			{
				BgL_switchz00_bglt BgL_auxz00_3649;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2781))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3653;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_2999;

						BgL_classz00_2999 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1117z00_3000;

							BgL__ortest_1117z00_3000 = BGL_CLASS_NIL(BgL_classz00_2999);
							if (CBOOL(BgL__ortest_1117z00_3000))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3653 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3000);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3653 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2999));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2781))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3653), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2781))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1141z00_2781))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3669;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_3001;

						BgL_classz00_3001 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1117z00_3002;

							BgL__ortest_1117z00_3002 = BGL_CLASS_NIL(BgL_classz00_3001);
							if (CBOOL(BgL__ortest_1117z00_3002))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3669 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_3002);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3669 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3001));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2781))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_3669), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1141z00_2781))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3682;

					{	/* Inline/size.scm 24 */
						obj_t BgL_classz00_3003;

						BgL_classz00_3003 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 24 */
							obj_t BgL__ortest_1117z00_3004;

							BgL__ortest_1117z00_3004 = BGL_CLASS_NIL(BgL_classz00_3003);
							if (CBOOL(BgL__ortest_1117z00_3004))
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3682 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3004);
								}
							else
								{	/* Inline/size.scm 24 */
									BgL_auxz00_3682 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3003));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1141z00_2781))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3682), BUNSPEC);
				}
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3692;

					{
						obj_t BgL_auxz00_3693;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3694;

							BgL_tmpz00_3694 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1141z00_2781));
							BgL_auxz00_3693 = BGL_OBJECT_WIDENING(BgL_tmpz00_3694);
						}
						BgL_auxz00_3692 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3693);
					}
					((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3692))->
							BgL_siza7eza7) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_3649 = ((BgL_switchz00_bglt) BgL_new1141z00_2781);
				return ((obj_t) BgL_auxz00_3649);
			}
		}

	}



/* &lambda1675 */
	BgL_switchz00_bglt BGl_z62lambda1675z62zzinline_siza7eza7(obj_t
		BgL_envz00_2782, obj_t BgL_o1138z00_2783)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				BgL_siza7edzd2switchz75_bglt BgL_wide1140z00_3006;

				BgL_wide1140z00_3006 =
					((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2switchz75_bgl))));
				{	/* Inline/size.scm 24 */
					obj_t BgL_auxz00_3707;
					BgL_objectz00_bglt BgL_tmpz00_3703;

					BgL_auxz00_3707 = ((obj_t) BgL_wide1140z00_3006);
					BgL_tmpz00_3703 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2783)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3703, BgL_auxz00_3707);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2783)));
				{	/* Inline/size.scm 24 */
					long BgL_arg1677z00_3007;

					BgL_arg1677z00_3007 =
						BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1138z00_2783))),
						BgL_arg1677z00_3007);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1138z00_2783)));
			}
		}

	}



/* &lambda1664 */
	BgL_switchz00_bglt BGl_z62lambda1664z62zzinline_siza7eza7(obj_t
		BgL_envz00_2784, obj_t BgL_loc1130z00_2785, obj_t BgL_type1131z00_2786,
		obj_t BgL_sidezd2effect1132zd2_2787, obj_t BgL_key1133z00_2788,
		obj_t BgL_test1134z00_2789, obj_t BgL_clauses1135z00_2790,
		obj_t BgL_itemzd2type1136zd2_2791, obj_t BgL_siza7e1137za7_2792)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_siza7e1137za7_3011;

				BgL_siza7e1137za7_3011 = (long) CINT(BgL_siza7e1137za7_2792);
				{	/* Inline/size.scm 24 */
					BgL_switchz00_bglt BgL_new1250z00_3012;

					{	/* Inline/size.scm 24 */
						BgL_switchz00_bglt BgL_tmp1248z00_3013;
						BgL_siza7edzd2switchz75_bglt BgL_wide1249z00_3014;

						{
							BgL_switchz00_bglt BgL_auxz00_3722;

							{	/* Inline/size.scm 24 */
								BgL_switchz00_bglt BgL_new1247z00_3015;

								BgL_new1247z00_3015 =
									((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_switchz00_bgl))));
								{	/* Inline/size.scm 24 */
									long BgL_arg1674z00_3016;

									BgL_arg1674z00_3016 =
										BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1247z00_3015),
										BgL_arg1674z00_3016);
								}
								{	/* Inline/size.scm 24 */
									BgL_objectz00_bglt BgL_tmpz00_3727;

									BgL_tmpz00_3727 = ((BgL_objectz00_bglt) BgL_new1247z00_3015);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3727, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1247z00_3015);
								BgL_auxz00_3722 = BgL_new1247z00_3015;
							}
							BgL_tmp1248z00_3013 = ((BgL_switchz00_bglt) BgL_auxz00_3722);
						}
						BgL_wide1249z00_3014 =
							((BgL_siza7edzd2switchz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2switchz75_bgl))));
						{	/* Inline/size.scm 24 */
							obj_t BgL_auxz00_3735;
							BgL_objectz00_bglt BgL_tmpz00_3733;

							BgL_auxz00_3735 = ((obj_t) BgL_wide1249z00_3014);
							BgL_tmpz00_3733 = ((BgL_objectz00_bglt) BgL_tmp1248z00_3013);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3733, BgL_auxz00_3735);
						}
						((BgL_objectz00_bglt) BgL_tmp1248z00_3013);
						{	/* Inline/size.scm 24 */
							long BgL_arg1673z00_3017;

							BgL_arg1673z00_3017 =
								BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1248z00_3013),
								BgL_arg1673z00_3017);
						}
						BgL_new1250z00_3012 = ((BgL_switchz00_bglt) BgL_tmp1248z00_3013);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1250z00_3012)))->BgL_locz00) =
						((obj_t) BgL_loc1130z00_2785), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1250z00_3012)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1131z00_2786)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1250z00_3012)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1132zd2_2787), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1250z00_3012)))->BgL_keyz00) =
						((obj_t) BgL_key1133z00_2788), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1250z00_3012)))->BgL_testz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1134z00_2789)),
						BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1250z00_3012)))->BgL_clausesz00) =
						((obj_t) BgL_clauses1135z00_2790), BUNSPEC);
					((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
										BgL_new1250z00_3012)))->BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BgL_itemzd2type1136zd2_2791)), BUNSPEC);
					{
						BgL_siza7edzd2switchz75_bglt BgL_auxz00_3760;

						{
							obj_t BgL_auxz00_3761;

							{	/* Inline/size.scm 24 */
								BgL_objectz00_bglt BgL_tmpz00_3762;

								BgL_tmpz00_3762 = ((BgL_objectz00_bglt) BgL_new1250z00_3012);
								BgL_auxz00_3761 = BGL_OBJECT_WIDENING(BgL_tmpz00_3762);
							}
							BgL_auxz00_3760 =
								((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3761);
						}
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3760))->
								BgL_siza7eza7) = ((long) BgL_siza7e1137za7_3011), BUNSPEC);
					}
					return BgL_new1250z00_3012;
				}
			}
		}

	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zzinline_siza7eza7(obj_t BgL_envz00_2793,
		obj_t BgL_oz00_2794, obj_t BgL_vz00_2795)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_vz00_3019;

				BgL_vz00_3019 = (long) CINT(BgL_vz00_2795);
				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3768;

					{
						obj_t BgL_auxz00_3769;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3770;

							BgL_tmpz00_3770 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2794));
							BgL_auxz00_3769 = BGL_OBJECT_WIDENING(BgL_tmpz00_3770);
						}
						BgL_auxz00_3768 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3769);
					}
					return
						((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3768))->
							BgL_siza7eza7) = ((long) BgL_vz00_3019), BUNSPEC);
		}}}

	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zzinline_siza7eza7(obj_t BgL_envz00_2796,
		obj_t BgL_oz00_2797)
	{
		{	/* Inline/size.scm 24 */
			{	/* Inline/size.scm 24 */
				long BgL_tmpz00_3776;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_3777;

					{
						obj_t BgL_auxz00_3778;

						{	/* Inline/size.scm 24 */
							BgL_objectz00_bglt BgL_tmpz00_3779;

							BgL_tmpz00_3779 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_2797));
							BgL_auxz00_3778 = BGL_OBJECT_WIDENING(BgL_tmpz00_3779);
						}
						BgL_auxz00_3777 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_3778);
					}
					BgL_tmpz00_3776 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_3777))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3776);
			}
		}

	}



/* &lambda1637 */
	BgL_syncz00_bglt BGl_z62lambda1637z62zzinline_siza7eza7(obj_t BgL_envz00_2798,
		obj_t BgL_o1128z00_2799)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_arg1638z00_3022;

				{	/* Inline/size.scm 23 */
					obj_t BgL_arg1642z00_3023;

					{	/* Inline/size.scm 23 */
						obj_t BgL_arg1643z00_3024;

						{	/* Inline/size.scm 23 */
							obj_t BgL_arg1866z00_3025;
							long BgL_arg1867z00_3026;

							BgL_arg1866z00_3025 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/size.scm 23 */
								long BgL_arg1869z00_3027;

								BgL_arg1869z00_3027 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1128z00_2799)));
								BgL_arg1867z00_3026 = (BgL_arg1869z00_3027 - OBJECT_TYPE);
							}
							BgL_arg1643z00_3024 =
								VECTOR_REF(BgL_arg1866z00_3025, BgL_arg1867z00_3026);
						}
						BgL_arg1642z00_3023 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1643z00_3024);
					}
					{	/* Inline/size.scm 23 */
						obj_t BgL_tmpz00_3793;

						BgL_tmpz00_3793 = ((obj_t) BgL_arg1642z00_3023);
						BgL_arg1638z00_3022 = BGL_CLASS_NUM(BgL_tmpz00_3793);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1128z00_2799)), BgL_arg1638z00_3022);
			}
			{	/* Inline/size.scm 23 */
				BgL_objectz00_bglt BgL_tmpz00_3799;

				BgL_tmpz00_3799 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2799));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3799, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2799));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1128z00_2799));
		}

	}



/* &<@anonymous:1636> */
	obj_t BGl_z62zc3z04anonymousza31636ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2800, obj_t BgL_new1127z00_2801)
	{
		{	/* Inline/size.scm 23 */
			{
				BgL_syncz00_bglt BgL_auxz00_3807;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1127z00_2801))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3811;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3029;

						BgL_classz00_3029 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1117z00_3030;

							BgL__ortest_1117z00_3030 = BGL_CLASS_NIL(BgL_classz00_3029);
							if (CBOOL(BgL__ortest_1117z00_3030))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3811 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3030);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3811 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3029));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2801))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3811), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3821;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3031;

						BgL_classz00_3031 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1117z00_3032;

							BgL__ortest_1117z00_3032 = BGL_CLASS_NIL(BgL_classz00_3031);
							if (CBOOL(BgL__ortest_1117z00_3032))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3821 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_3032);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3821 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3031));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2801))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3821), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3831;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3033;

						BgL_classz00_3033 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1117z00_3034;

							BgL__ortest_1117z00_3034 = BGL_CLASS_NIL(BgL_classz00_3033);
							if (CBOOL(BgL__ortest_1117z00_3034))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3831 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_3034);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3831 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3033));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2801))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_3831), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3841;

					{	/* Inline/size.scm 23 */
						obj_t BgL_classz00_3035;

						BgL_classz00_3035 = BGl_nodez00zzast_nodez00;
						{	/* Inline/size.scm 23 */
							obj_t BgL__ortest_1117z00_3036;

							BgL__ortest_1117z00_3036 = BGL_CLASS_NIL(BgL_classz00_3035);
							if (CBOOL(BgL__ortest_1117z00_3036))
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3841 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_3036);
								}
							else
								{	/* Inline/size.scm 23 */
									BgL_auxz00_3841 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3035));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1127z00_2801))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3841), BUNSPEC);
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3851;

					{
						obj_t BgL_auxz00_3852;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3853;

							BgL_tmpz00_3853 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1127z00_2801));
							BgL_auxz00_3852 = BGL_OBJECT_WIDENING(BgL_tmpz00_3853);
						}
						BgL_auxz00_3851 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3852);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3851))->
							BgL_siza7eza7) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_3807 = ((BgL_syncz00_bglt) BgL_new1127z00_2801);
				return ((obj_t) BgL_auxz00_3807);
			}
		}

	}



/* &lambda1633 */
	BgL_syncz00_bglt BGl_z62lambda1633z62zzinline_siza7eza7(obj_t BgL_envz00_2802,
		obj_t BgL_o1124z00_2803)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				BgL_siza7edzd2syncz75_bglt BgL_wide1126z00_3038;

				BgL_wide1126z00_3038 =
					((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2syncz75_bgl))));
				{	/* Inline/size.scm 23 */
					obj_t BgL_auxz00_3866;
					BgL_objectz00_bglt BgL_tmpz00_3862;

					BgL_auxz00_3866 = ((obj_t) BgL_wide1126z00_3038);
					BgL_tmpz00_3862 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1124z00_2803)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3862, BgL_auxz00_3866);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1124z00_2803)));
				{	/* Inline/size.scm 23 */
					long BgL_arg1635z00_3039;

					BgL_arg1635z00_3039 =
						BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1124z00_2803))), BgL_arg1635z00_3039);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1124z00_2803)));
			}
		}

	}



/* &lambda1626 */
	BgL_syncz00_bglt BGl_z62lambda1626z62zzinline_siza7eza7(obj_t BgL_envz00_2804,
		obj_t BgL_loc1118z00_2805, obj_t BgL_type1119z00_2806,
		obj_t BgL_mutex1120z00_2807, obj_t BgL_prelock1121z00_2808,
		obj_t BgL_body1122z00_2809, obj_t BgL_siza7e1123za7_2810)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_siza7e1123za7_3044;

				BgL_siza7e1123za7_3044 = (long) CINT(BgL_siza7e1123za7_2810);
				{	/* Inline/size.scm 23 */
					BgL_syncz00_bglt BgL_new1243z00_3045;

					{	/* Inline/size.scm 23 */
						BgL_syncz00_bglt BgL_tmp1241z00_3046;
						BgL_siza7edzd2syncz75_bglt BgL_wide1242z00_3047;

						{
							BgL_syncz00_bglt BgL_auxz00_3881;

							{	/* Inline/size.scm 23 */
								BgL_syncz00_bglt BgL_new1240z00_3048;

								BgL_new1240z00_3048 =
									((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_syncz00_bgl))));
								{	/* Inline/size.scm 23 */
									long BgL_arg1632z00_3049;

									BgL_arg1632z00_3049 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1240z00_3048),
										BgL_arg1632z00_3049);
								}
								{	/* Inline/size.scm 23 */
									BgL_objectz00_bglt BgL_tmpz00_3886;

									BgL_tmpz00_3886 = ((BgL_objectz00_bglt) BgL_new1240z00_3048);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3886, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1240z00_3048);
								BgL_auxz00_3881 = BgL_new1240z00_3048;
							}
							BgL_tmp1241z00_3046 = ((BgL_syncz00_bglt) BgL_auxz00_3881);
						}
						BgL_wide1242z00_3047 =
							((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2syncz75_bgl))));
						{	/* Inline/size.scm 23 */
							obj_t BgL_auxz00_3894;
							BgL_objectz00_bglt BgL_tmpz00_3892;

							BgL_auxz00_3894 = ((obj_t) BgL_wide1242z00_3047);
							BgL_tmpz00_3892 = ((BgL_objectz00_bglt) BgL_tmp1241z00_3046);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3892, BgL_auxz00_3894);
						}
						((BgL_objectz00_bglt) BgL_tmp1241z00_3046);
						{	/* Inline/size.scm 23 */
							long BgL_arg1631z00_3050;

							BgL_arg1631z00_3050 =
								BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1241z00_3046),
								BgL_arg1631z00_3050);
						}
						BgL_new1243z00_3045 = ((BgL_syncz00_bglt) BgL_tmp1241z00_3046);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1243z00_3045)))->BgL_locz00) =
						((obj_t) BgL_loc1118z00_2805), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1243z00_3045)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1119z00_2806)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1243z00_3045)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1120z00_2807)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1243z00_3045)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1121z00_2808)),
						BUNSPEC);
					((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
										BgL_new1243z00_3045)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1122z00_2809)),
						BUNSPEC);
					{
						BgL_siza7edzd2syncz75_bglt BgL_auxz00_3916;

						{
							obj_t BgL_auxz00_3917;

							{	/* Inline/size.scm 23 */
								BgL_objectz00_bglt BgL_tmpz00_3918;

								BgL_tmpz00_3918 = ((BgL_objectz00_bglt) BgL_new1243z00_3045);
								BgL_auxz00_3917 = BGL_OBJECT_WIDENING(BgL_tmpz00_3918);
							}
							BgL_auxz00_3916 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3917);
						}
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3916))->
								BgL_siza7eza7) = ((long) BgL_siza7e1123za7_3044), BUNSPEC);
					}
					return BgL_new1243z00_3045;
				}
			}
		}

	}



/* &lambda1652 */
	obj_t BGl_z62lambda1652z62zzinline_siza7eza7(obj_t BgL_envz00_2811,
		obj_t BgL_oz00_2812, obj_t BgL_vz00_2813)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_vz00_3052;

				BgL_vz00_3052 = (long) CINT(BgL_vz00_2813);
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3924;

					{
						obj_t BgL_auxz00_3925;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3926;

							BgL_tmpz00_3926 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2812));
							BgL_auxz00_3925 = BGL_OBJECT_WIDENING(BgL_tmpz00_3926);
						}
						BgL_auxz00_3924 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3925);
					}
					return
						((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3924))->
							BgL_siza7eza7) = ((long) BgL_vz00_3052), BUNSPEC);
		}}}

	}



/* &lambda1651 */
	obj_t BGl_z62lambda1651z62zzinline_siza7eza7(obj_t BgL_envz00_2814,
		obj_t BgL_oz00_2815)
	{
		{	/* Inline/size.scm 23 */
			{	/* Inline/size.scm 23 */
				long BgL_tmpz00_3932;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_3933;

					{
						obj_t BgL_auxz00_3934;

						{	/* Inline/size.scm 23 */
							BgL_objectz00_bglt BgL_tmpz00_3935;

							BgL_tmpz00_3935 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_2815));
							BgL_auxz00_3934 = BGL_OBJECT_WIDENING(BgL_tmpz00_3935);
						}
						BgL_auxz00_3933 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_3934);
					}
					BgL_tmpz00_3932 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_3933))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_3932);
			}
		}

	}



/* &lambda1576 */
	BgL_sequencez00_bglt BGl_z62lambda1576z62zzinline_siza7eza7(obj_t
		BgL_envz00_2816, obj_t BgL_o1116z00_2817)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_arg1577z00_3055;

				{	/* Inline/size.scm 22 */
					obj_t BgL_arg1578z00_3056;

					{	/* Inline/size.scm 22 */
						obj_t BgL_arg1581z00_3057;

						{	/* Inline/size.scm 22 */
							obj_t BgL_arg1866z00_3058;
							long BgL_arg1867z00_3059;

							BgL_arg1866z00_3058 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Inline/size.scm 22 */
								long BgL_arg1869z00_3060;

								BgL_arg1869z00_3060 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1116z00_2817)));
								BgL_arg1867z00_3059 = (BgL_arg1869z00_3060 - OBJECT_TYPE);
							}
							BgL_arg1581z00_3057 =
								VECTOR_REF(BgL_arg1866z00_3058, BgL_arg1867z00_3059);
						}
						BgL_arg1578z00_3056 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1581z00_3057);
					}
					{	/* Inline/size.scm 22 */
						obj_t BgL_tmpz00_3949;

						BgL_tmpz00_3949 = ((obj_t) BgL_arg1578z00_3056);
						BgL_arg1577z00_3055 = BGL_CLASS_NUM(BgL_tmpz00_3949);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1116z00_2817)), BgL_arg1577z00_3055);
			}
			{	/* Inline/size.scm 22 */
				BgL_objectz00_bglt BgL_tmpz00_3955;

				BgL_tmpz00_3955 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1116z00_2817));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3955, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1116z00_2817));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1116z00_2817));
		}

	}



/* &<@anonymous:1575> */
	obj_t BGl_z62zc3z04anonymousza31575ze3ze5zzinline_siza7eza7(obj_t
		BgL_envz00_2818, obj_t BgL_new1115z00_2819)
	{
		{	/* Inline/size.scm 22 */
			{
				BgL_sequencez00_bglt BgL_auxz00_3963;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1115z00_2819))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3967;

					{	/* Inline/size.scm 22 */
						obj_t BgL_classz00_3062;

						BgL_classz00_3062 = BGl_typez00zztype_typez00;
						{	/* Inline/size.scm 22 */
							obj_t BgL__ortest_1117z00_3063;

							BgL__ortest_1117z00_3063 = BGL_CLASS_NIL(BgL_classz00_3062);
							if (CBOOL(BgL__ortest_1117z00_3063))
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3967 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_3063);
								}
							else
								{	/* Inline/size.scm 22 */
									BgL_auxz00_3967 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3062));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1115z00_2819))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_3967), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1115z00_2819))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1115z00_2819))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1115z00_2819))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1115z00_2819))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1115z00_2819))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_3992;

					{
						obj_t BgL_auxz00_3993;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_3994;

							BgL_tmpz00_3994 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1115z00_2819));
							BgL_auxz00_3993 = BGL_OBJECT_WIDENING(BgL_tmpz00_3994);
						}
						BgL_auxz00_3992 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_3993);
					}
					((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_3992))->
							BgL_siza7eza7) = ((long) 0L), BUNSPEC);
				}
				BgL_auxz00_3963 = ((BgL_sequencez00_bglt) BgL_new1115z00_2819);
				return ((obj_t) BgL_auxz00_3963);
			}
		}

	}



/* &lambda1561 */
	BgL_sequencez00_bglt BGl_z62lambda1561z62zzinline_siza7eza7(obj_t
		BgL_envz00_2820, obj_t BgL_o1111z00_2821)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				BgL_siza7edzd2sequencez75_bglt BgL_wide1113z00_3065;

				BgL_wide1113z00_3065 =
					((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_siza7edzd2sequencez75_bgl))));
				{	/* Inline/size.scm 22 */
					obj_t BgL_auxz00_4007;
					BgL_objectz00_bglt BgL_tmpz00_4003;

					BgL_auxz00_4007 = ((obj_t) BgL_wide1113z00_3065);
					BgL_tmpz00_4003 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1111z00_2821)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4003, BgL_auxz00_4007);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1111z00_2821)));
				{	/* Inline/size.scm 22 */
					long BgL_arg1574z00_3066;

					BgL_arg1574z00_3066 =
						BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1111z00_2821))),
						BgL_arg1574z00_3066);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1111z00_2821)));
			}
		}

	}



/* &lambda1554 */
	BgL_sequencez00_bglt BGl_z62lambda1554z62zzinline_siza7eza7(obj_t
		BgL_envz00_2822, obj_t BgL_loc1103z00_2823, obj_t BgL_type1104z00_2824,
		obj_t BgL_sidezd2effect1105zd2_2825, obj_t BgL_key1106z00_2826,
		obj_t BgL_nodes1107z00_2827, obj_t BgL_unsafe1108z00_2828,
		obj_t BgL_meta1109z00_2829, obj_t BgL_siza7e1110za7_2830)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				bool_t BgL_unsafe1108z00_3069;
				long BgL_siza7e1110za7_3071;

				BgL_unsafe1108z00_3069 = CBOOL(BgL_unsafe1108z00_2828);
				BgL_siza7e1110za7_3071 = (long) CINT(BgL_siza7e1110za7_2830);
				{	/* Inline/size.scm 22 */
					BgL_sequencez00_bglt BgL_new1238z00_3072;

					{	/* Inline/size.scm 22 */
						BgL_sequencez00_bglt BgL_tmp1236z00_3073;
						BgL_siza7edzd2sequencez75_bglt BgL_wide1237z00_3074;

						{
							BgL_sequencez00_bglt BgL_auxz00_4023;

							{	/* Inline/size.scm 22 */
								BgL_sequencez00_bglt BgL_new1235z00_3075;

								BgL_new1235z00_3075 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Inline/size.scm 22 */
									long BgL_arg1560z00_3076;

									BgL_arg1560z00_3076 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1235z00_3075),
										BgL_arg1560z00_3076);
								}
								{	/* Inline/size.scm 22 */
									BgL_objectz00_bglt BgL_tmpz00_4028;

									BgL_tmpz00_4028 = ((BgL_objectz00_bglt) BgL_new1235z00_3075);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4028, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1235z00_3075);
								BgL_auxz00_4023 = BgL_new1235z00_3075;
							}
							BgL_tmp1236z00_3073 = ((BgL_sequencez00_bglt) BgL_auxz00_4023);
						}
						BgL_wide1237z00_3074 =
							((BgL_siza7edzd2sequencez75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_siza7edzd2sequencez75_bgl))));
						{	/* Inline/size.scm 22 */
							obj_t BgL_auxz00_4036;
							BgL_objectz00_bglt BgL_tmpz00_4034;

							BgL_auxz00_4036 = ((obj_t) BgL_wide1237z00_3074);
							BgL_tmpz00_4034 = ((BgL_objectz00_bglt) BgL_tmp1236z00_3073);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4034, BgL_auxz00_4036);
						}
						((BgL_objectz00_bglt) BgL_tmp1236z00_3073);
						{	/* Inline/size.scm 22 */
							long BgL_arg1558z00_3077;

							BgL_arg1558z00_3077 =
								BGL_CLASS_NUM(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1236z00_3073),
								BgL_arg1558z00_3077);
						}
						BgL_new1238z00_3072 = ((BgL_sequencez00_bglt) BgL_tmp1236z00_3073);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1238z00_3072)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_2823), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1238z00_3072)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1104z00_2824)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1238z00_3072)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1105zd2_2825), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1238z00_3072)))->BgL_keyz00) =
						((obj_t) BgL_key1106z00_2826), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1238z00_3072)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1107z00_2827)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1238z00_3072)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1108z00_3069), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1238z00_3072)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1109z00_2829)), BUNSPEC);
					{
						BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4061;

						{
							obj_t BgL_auxz00_4062;

							{	/* Inline/size.scm 22 */
								BgL_objectz00_bglt BgL_tmpz00_4063;

								BgL_tmpz00_4063 = ((BgL_objectz00_bglt) BgL_new1238z00_3072);
								BgL_auxz00_4062 = BGL_OBJECT_WIDENING(BgL_tmpz00_4063);
							}
							BgL_auxz00_4061 =
								((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4062);
						}
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4061))->
								BgL_siza7eza7) = ((long) BgL_siza7e1110za7_3071), BUNSPEC);
					}
					return BgL_new1238z00_3072;
				}
			}
		}

	}



/* &lambda1592 */
	obj_t BGl_z62lambda1592z62zzinline_siza7eza7(obj_t BgL_envz00_2831,
		obj_t BgL_oz00_2832, obj_t BgL_vz00_2833)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_vz00_3079;

				BgL_vz00_3079 = (long) CINT(BgL_vz00_2833);
				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4069;

					{
						obj_t BgL_auxz00_4070;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4071;

							BgL_tmpz00_4071 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2832));
							BgL_auxz00_4070 = BGL_OBJECT_WIDENING(BgL_tmpz00_4071);
						}
						BgL_auxz00_4069 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4070);
					}
					return
						((((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4069))->
							BgL_siza7eza7) = ((long) BgL_vz00_3079), BUNSPEC);
		}}}

	}



/* &lambda1591 */
	obj_t BGl_z62lambda1591z62zzinline_siza7eza7(obj_t BgL_envz00_2834,
		obj_t BgL_oz00_2835)
	{
		{	/* Inline/size.scm 22 */
			{	/* Inline/size.scm 22 */
				long BgL_tmpz00_4077;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4078;

					{
						obj_t BgL_auxz00_4079;

						{	/* Inline/size.scm 22 */
							BgL_objectz00_bglt BgL_tmpz00_4080;

							BgL_tmpz00_4080 =
								((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_2835));
							BgL_auxz00_4079 = BGL_OBJECT_WIDENING(BgL_tmpz00_4080);
						}
						BgL_auxz00_4078 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4079);
					}
					BgL_tmpz00_4077 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4078))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4077);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_proc2080z00zzinline_siza7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2081z00zzinline_siza7eza7);
		}

	}



/* &node-size1398 */
	obj_t BGl_z62nodezd2siza7e1398z17zzinline_siza7eza7(obj_t BgL_envz00_2837,
		obj_t BgL_nodez00_2838)
	{
		{	/* Inline/size.scm 33 */
			return
				BGl_errorz00zz__errorz00(
				((obj_t)
					CNST_TABLE_REF(8)), BGl_string2082z00zzinline_siza7eza7,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_2838)));
		}

	}



/* node-size */
	BGL_EXPORTED_DEF long BGl_nodezd2siza7ez75zzinline_siza7eza7(BgL_nodez00_bglt
		BgL_nodez00_152)
	{
		{	/* Inline/size.scm 33 */
			{	/* Inline/size.scm 33 */
				obj_t BgL_method1400z00_1816;

				{	/* Inline/size.scm 33 */
					obj_t BgL_res2049z00_2509;

					{	/* Inline/size.scm 33 */
						long BgL_objzd2classzd2numz00_2480;

						BgL_objzd2classzd2numz00_2480 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_152));
						{	/* Inline/size.scm 33 */
							obj_t BgL_arg1862z00_2481;

							BgL_arg1862z00_2481 =
								PROCEDURE_REF(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
								(int) (1L));
							{	/* Inline/size.scm 33 */
								int BgL_offsetz00_2484;

								BgL_offsetz00_2484 = (int) (BgL_objzd2classzd2numz00_2480);
								{	/* Inline/size.scm 33 */
									long BgL_offsetz00_2485;

									BgL_offsetz00_2485 =
										((long) (BgL_offsetz00_2484) - OBJECT_TYPE);
									{	/* Inline/size.scm 33 */
										long BgL_modz00_2486;

										BgL_modz00_2486 =
											(BgL_offsetz00_2485 >> (int) ((long) ((int) (4L))));
										{	/* Inline/size.scm 33 */
											long BgL_restz00_2488;

											BgL_restz00_2488 =
												(BgL_offsetz00_2485 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Inline/size.scm 33 */

												{	/* Inline/size.scm 33 */
													obj_t BgL_bucketz00_2490;

													BgL_bucketz00_2490 =
														VECTOR_REF(
														((obj_t) BgL_arg1862z00_2481), BgL_modz00_2486);
													BgL_res2049z00_2509 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2490), BgL_restz00_2488);
					}}}}}}}}
					BgL_method1400z00_1816 = BgL_res2049z00_2509;
				}
				return
					(long) CINT(BGL_PROCEDURE_CALL1(BgL_method1400z00_1816,
						((obj_t) BgL_nodez00_152)));
		}}

	}



/* &node-size */
	obj_t BGl_z62nodezd2siza7ez17zzinline_siza7eza7(obj_t BgL_envz00_2839,
		obj_t BgL_nodez00_2840)
	{
		{	/* Inline/size.scm 33 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					((BgL_nodez00_bglt) BgL_nodez00_2840)));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2083z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2085z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_kwotez00zzast_nodez00, BGl_proc2086z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2087z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2sequencez75zzinline_siza7eza7,
				BGl_proc2088z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2089z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2syncz75zzinline_siza7eza7,
				BGl_proc2090z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2091z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2092z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2093z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2094z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_externz00zzast_nodez00, BGl_proc2095z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2096z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2097z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2098z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_switchz00zzast_nodez00, BGl_proc2099z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2switchz75zzinline_siza7eza7,
				BGl_proc2100z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2101z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2funza7zzinline_siza7eza7,
				BGl_proc2102z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2103z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_siza7edzd2letzd2varza7zzinline_siza7eza7,
				BGl_proc2104z00zzinline_siza7eza7, BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2105z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2106z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_retblockz00zzast_nodez00, BGl_proc2107z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_returnz00zzast_nodez00, BGl_proc2108z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2109z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2110z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2siza7ezd2envza7zzinline_siza7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2111z00zzinline_siza7eza7,
				BGl_string2084z00zzinline_siza7eza7);
		}

	}



/* &node-size-box-set!1457 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2setz121457z05zzinline_siza7eza7(obj_t
		BgL_envz00_2869, obj_t BgL_nodez00_2870)
	{
		{	/* Inline/size.scm 272 */
			return
				BINT(
				(2L +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2870)))->
							BgL_valuez00))));
		}

	}



/* &node-size-box-ref1455 */
	obj_t BGl_z62nodezd2siza7ezd2boxzd2ref1455z17zzinline_siza7eza7(obj_t
		BgL_envz00_2871, obj_t BgL_nodez00_2872)
	{
		{	/* Inline/size.scm 266 */
			return BINT(2L);
		}

	}



/* &node-size-make-box1452 */
	obj_t BGl_z62nodezd2siza7ezd2makezd2box1452z17zzinline_siza7eza7(obj_t
		BgL_envz00_2873, obj_t BgL_nodez00_2874)
	{
		{	/* Inline/size.scm 260 */
			return
				BINT(
				(1L +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_2874)))->
							BgL_valuez00))));
		}

	}



/* &node-size-return1450 */
	obj_t BGl_z62nodezd2siza7ezd2return1450zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2875, obj_t BgL_nodez00_2876)
	{
		{	/* Inline/size.scm 253 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_returnz00_bglt) COBJECT(
								((BgL_returnz00_bglt) BgL_nodez00_2876)))->BgL_valuez00)));
		}

	}



/* &node-size-retblock1448 */
	obj_t BGl_z62nodezd2siza7ezd2retblock1448zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2877, obj_t BgL_nodez00_2878)
	{
		{	/* Inline/size.scm 246 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_retblockz00_bglt) COBJECT(
								((BgL_retblockz00_bglt) BgL_nodez00_2878)))->BgL_bodyz00)));
		}

	}



/* &node-size-jump-ex-it1446 */
	obj_t BGl_z62nodezd2siza7ezd2jumpzd2exzd2it1446zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2879, obj_t BgL_nodez00_2880)
	{
		{	/* Inline/size.scm 238 */
			return
				BINT(
				(1L +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
										((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2880)))->
								BgL_exitz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(((
									(BgL_jumpzd2exzd2itz00_bglt)
									COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2880)))->
								BgL_valuez00)))));
		}

	}



/* &node-size-set-ex-it1444 */
	obj_t BGl_z62nodezd2siza7ezd2setzd2exzd2it1444zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2881, obj_t BgL_nodez00_2882)
	{
		{	/* Inline/size.scm 230 */
			return
				BINT(
				(1L +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2882)))->
								BgL_bodyz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_setzd2exzd2itz00_bglt)
									COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2882)))->
								BgL_onexitz00)))));
		}

	}



/* &node-size-sized-let-1442 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21442z62zzinline_siza7eza7(obj_t
		BgL_envz00_2883, obj_t BgL_nodez00_2884)
	{
		{	/* Inline/size.scm 224 */
			{	/* Inline/size.scm 225 */
				long BgL_tmpz00_4192;

				{
					BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4193;

					{
						obj_t BgL_auxz00_4194;

						{	/* Inline/size.scm 225 */
							BgL_objectz00_bglt BgL_tmpz00_4195;

							BgL_tmpz00_4195 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2884));
							BgL_auxz00_4194 = BGL_OBJECT_WIDENING(BgL_tmpz00_4195);
						}
						BgL_auxz00_4193 =
							((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4194);
					}
					BgL_tmpz00_4192 =
						(((BgL_siza7edzd2letzd2varza7_bglt) COBJECT(BgL_auxz00_4193))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4192);
			}
		}

	}



/* &node-size-let-var1440 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2var1440z17zzinline_siza7eza7(obj_t
		BgL_envz00_2885, obj_t BgL_nodez00_2886)
	{
		{	/* Inline/size.scm 211 */
			{	/* Inline/size.scm 212 */
				long BgL_tmpz00_4202;

				{	/* Inline/size.scm 212 */
					obj_t BgL_g1227z00_3091;
					long BgL_g1228z00_3092;

					BgL_g1227z00_3091 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)))->BgL_bindingsz00);
					BgL_g1228z00_3092 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)))->BgL_bodyz00));
					{
						obj_t BgL_bindingsz00_3094;
						long BgL_siza7eza7_3095;

						BgL_bindingsz00_3094 = BgL_g1227z00_3091;
						BgL_siza7eza7_3095 = BgL_g1228z00_3092;
					BgL_loopz00_3093:
						if (NULLP(BgL_bindingsz00_3094))
							{	/* Inline/size.scm 214 */
								{	/* Inline/size.scm 216 */
									BgL_siza7edzd2letzd2varza7_bglt BgL_wide1231z00_3096;

									BgL_wide1231z00_3096 =
										((BgL_siza7edzd2letzd2varza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2varza7_bgl))));
									{	/* Inline/size.scm 216 */
										obj_t BgL_auxz00_4215;
										BgL_objectz00_bglt BgL_tmpz00_4211;

										BgL_auxz00_4215 = ((obj_t) BgL_wide1231z00_3096);
										BgL_tmpz00_4211 =
											((BgL_objectz00_bglt)
											((BgL_letzd2varzd2_bglt)
												((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4211, BgL_auxz00_4215);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)));
									{	/* Inline/size.scm 216 */
										long BgL_arg1960z00_3097;

										BgL_arg1960z00_3097 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2varza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_2886))), BgL_arg1960z00_3097);
									}
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)));
								}
								{
									BgL_siza7edzd2letzd2varza7_bglt BgL_auxz00_4229;

									{
										obj_t BgL_auxz00_4230;

										{	/* Inline/size.scm 216 */
											BgL_objectz00_bglt BgL_tmpz00_4231;

											BgL_tmpz00_4231 =
												((BgL_objectz00_bglt)
												((BgL_letzd2varzd2_bglt)
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2886)));
											BgL_auxz00_4230 = BGL_OBJECT_WIDENING(BgL_tmpz00_4231);
										}
										BgL_auxz00_4229 =
											((BgL_siza7edzd2letzd2varza7_bglt) BgL_auxz00_4230);
									}
									((((BgL_siza7edzd2letzd2varza7_bglt)
												COBJECT(BgL_auxz00_4229))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3095), BUNSPEC);
								}
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_2886));
								BgL_tmpz00_4202 = BgL_siza7eza7_3095;
							}
						else
							{	/* Inline/size.scm 218 */
								obj_t BgL_arg1961z00_3098;
								long BgL_arg1962z00_3099;

								BgL_arg1961z00_3098 = CDR(((obj_t) BgL_bindingsz00_3094));
								{	/* Inline/size.scm 219 */
									long BgL_arg1963z00_3100;

									{	/* Inline/size.scm 219 */
										obj_t BgL_arg1965z00_3101;

										{	/* Inline/size.scm 219 */
											obj_t BgL_pairz00_3102;

											BgL_pairz00_3102 = CAR(((obj_t) BgL_bindingsz00_3094));
											BgL_arg1965z00_3101 = CDR(BgL_pairz00_3102);
										}
										BgL_arg1963z00_3100 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1965z00_3101));
									}
									BgL_arg1962z00_3099 =
										(BgL_siza7eza7_3095 + BgL_arg1963z00_3100);
								}
								{
									long BgL_siza7eza7_4249;
									obj_t BgL_bindingsz00_4248;

									BgL_bindingsz00_4248 = BgL_arg1961z00_3098;
									BgL_siza7eza7_4249 = BgL_arg1962z00_3099;
									BgL_siza7eza7_3095 = BgL_siza7eza7_4249;
									BgL_bindingsz00_3094 = BgL_bindingsz00_4248;
									goto BgL_loopz00_3093;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4202);
			}
		}

	}



/* &node-size-sized-let-1438 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2letzd21438z62zzinline_siza7eza7(obj_t
		BgL_envz00_2887, obj_t BgL_nodez00_2888)
	{
		{	/* Inline/size.scm 205 */
			{	/* Inline/size.scm 206 */
				long BgL_tmpz00_4251;

				{
					BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4252;

					{
						obj_t BgL_auxz00_4253;

						{	/* Inline/size.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_4254;

							BgL_tmpz00_4254 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2888));
							BgL_auxz00_4253 = BGL_OBJECT_WIDENING(BgL_tmpz00_4254);
						}
						BgL_auxz00_4252 =
							((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4253);
					}
					BgL_tmpz00_4251 =
						(((BgL_siza7edzd2letzd2funza7_bglt) COBJECT(BgL_auxz00_4252))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4251);
			}
		}

	}



/* &node-size-let-fun1436 */
	obj_t BGl_z62nodezd2siza7ezd2letzd2fun1436z17zzinline_siza7eza7(obj_t
		BgL_envz00_2889, obj_t BgL_nodez00_2890)
	{
		{	/* Inline/size.scm 190 */
			{	/* Inline/size.scm 191 */
				long BgL_tmpz00_4261;

				{	/* Inline/size.scm 191 */
					obj_t BgL_g1220z00_3105;
					long BgL_g1221z00_3106;

					BgL_g1220z00_3105 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)))->BgL_localsz00);
					BgL_g1221z00_3106 =
						(bgl_list_length(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)))->
								BgL_localsz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7((((BgL_letzd2funzd2_bglt)
									COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)))->
								BgL_bodyz00)));
					{
						obj_t BgL_localsz00_3108;
						long BgL_siza7eza7_3109;

						BgL_localsz00_3108 = BgL_g1220z00_3105;
						BgL_siza7eza7_3109 = BgL_g1221z00_3106;
					BgL_loopz00_3107:
						if (NULLP(BgL_localsz00_3108))
							{	/* Inline/size.scm 194 */
								{	/* Inline/size.scm 196 */
									BgL_siza7edzd2letzd2funza7_bglt BgL_wide1224z00_3110;

									BgL_wide1224z00_3110 =
										((BgL_siza7edzd2letzd2funza7_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2letzd2funza7_bgl))));
									{	/* Inline/size.scm 196 */
										obj_t BgL_auxz00_4278;
										BgL_objectz00_bglt BgL_tmpz00_4274;

										BgL_auxz00_4278 = ((obj_t) BgL_wide1224z00_3110);
										BgL_tmpz00_4274 =
											((BgL_objectz00_bglt)
											((BgL_letzd2funzd2_bglt)
												((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4274, BgL_auxz00_4278);
									}
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)));
									{	/* Inline/size.scm 196 */
										long BgL_arg1943z00_3111;

										BgL_arg1943z00_3111 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2letzd2funza7zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
														BgL_nodez00_2890))), BgL_arg1943z00_3111);
									}
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)));
								}
								{
									BgL_siza7edzd2letzd2funza7_bglt BgL_auxz00_4292;

									{
										obj_t BgL_auxz00_4293;

										{	/* Inline/size.scm 196 */
											BgL_objectz00_bglt BgL_tmpz00_4294;

											BgL_tmpz00_4294 =
												((BgL_objectz00_bglt)
												((BgL_letzd2funzd2_bglt)
													((BgL_letzd2funzd2_bglt) BgL_nodez00_2890)));
											BgL_auxz00_4293 = BGL_OBJECT_WIDENING(BgL_tmpz00_4294);
										}
										BgL_auxz00_4292 =
											((BgL_siza7edzd2letzd2funza7_bglt) BgL_auxz00_4293);
									}
									((((BgL_siza7edzd2letzd2funza7_bglt)
												COBJECT(BgL_auxz00_4292))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3109), BUNSPEC);
								}
								((BgL_letzd2funzd2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_2890));
								BgL_tmpz00_4261 = (1L + BgL_siza7eza7_3109);
							}
						else
							{	/* Inline/size.scm 198 */
								obj_t BgL_arg1944z00_3112;
								long BgL_arg1945z00_3113;

								BgL_arg1944z00_3112 = CDR(((obj_t) BgL_localsz00_3108));
								{	/* Inline/size.scm 200 */
									long BgL_arg1946z00_3114;

									{	/* Inline/size.scm 200 */
										long BgL_arg1947z00_3115;

										{	/* Inline/size.scm 200 */
											obj_t BgL_arg1948z00_3116;

											BgL_arg1948z00_3116 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt)
															(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				CAR(
																					((obj_t) BgL_localsz00_3108))))))->
																BgL_valuez00))))->BgL_bodyz00);
											BgL_arg1947z00_3115 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7((
													(BgL_nodez00_bglt) BgL_arg1948z00_3116));
										}
										BgL_arg1946z00_3114 = (1L + BgL_arg1947z00_3115);
									}
									BgL_arg1945z00_3113 =
										(BgL_siza7eza7_3109 + BgL_arg1946z00_3114);
								}
								{
									long BgL_siza7eza7_4318;
									obj_t BgL_localsz00_4317;

									BgL_localsz00_4317 = BgL_arg1944z00_3112;
									BgL_siza7eza7_4318 = BgL_arg1945z00_3113;
									BgL_siza7eza7_3109 = BgL_siza7eza7_4318;
									BgL_localsz00_3108 = BgL_localsz00_4317;
									goto BgL_loopz00_3107;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4261);
			}
		}

	}



/* &node-size-sized-swit1434 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2swit1434zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2891, obj_t BgL_nodez00_2892)
	{
		{	/* Inline/size.scm 184 */
			{	/* Inline/size.scm 185 */
				long BgL_tmpz00_4320;

				{
					BgL_siza7edzd2switchz75_bglt BgL_auxz00_4321;

					{
						obj_t BgL_auxz00_4322;

						{	/* Inline/size.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_4323;

							BgL_tmpz00_4323 =
								((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2892));
							BgL_auxz00_4322 = BGL_OBJECT_WIDENING(BgL_tmpz00_4323);
						}
						BgL_auxz00_4321 = ((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4322);
					}
					BgL_tmpz00_4320 =
						(((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4321))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4320);
			}
		}

	}



/* &node-size-switch1432 */
	obj_t BGl_z62nodezd2siza7ezd2switch1432zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2893, obj_t BgL_nodez00_2894)
	{
		{	/* Inline/size.scm 168 */
			{	/* Inline/size.scm 169 */
				long BgL_tmpz00_4330;

				{	/* Inline/size.scm 169 */
					obj_t BgL_g1214z00_3119;
					long BgL_g1215z00_3120;

					BgL_g1214z00_3119 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2894)))->BgL_clausesz00);
					BgL_g1215z00_3120 =
						(1L +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_switchz00_bglt) COBJECT(
										((BgL_switchz00_bglt) BgL_nodez00_2894)))->BgL_testz00)));
					{
						obj_t BgL_clausesz00_3122;
						long BgL_siza7eza7_3123;

						BgL_clausesz00_3122 = BgL_g1214z00_3119;
						BgL_siza7eza7_3123 = BgL_g1215z00_3120;
					BgL_loopz00_3121:
						if (NULLP(BgL_clausesz00_3122))
							{	/* Inline/size.scm 171 */
								{	/* Inline/size.scm 173 */
									BgL_siza7edzd2switchz75_bglt BgL_wide1218z00_3124;

									BgL_wide1218z00_3124 =
										((BgL_siza7edzd2switchz75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2switchz75_bgl))));
									{	/* Inline/size.scm 173 */
										obj_t BgL_auxz00_4344;
										BgL_objectz00_bglt BgL_tmpz00_4340;

										BgL_auxz00_4344 = ((obj_t) BgL_wide1218z00_3124);
										BgL_tmpz00_4340 =
											((BgL_objectz00_bglt)
											((BgL_switchz00_bglt)
												((BgL_switchz00_bglt) BgL_nodez00_2894)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4340, BgL_auxz00_4344);
									}
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2894)));
									{	/* Inline/size.scm 173 */
										long BgL_arg1922z00_3125;

										BgL_arg1922z00_3125 =
											BGL_CLASS_NUM(BGl_siza7edzd2switchz75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2894))),
											BgL_arg1922z00_3125);
									}
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt)
											((BgL_switchz00_bglt) BgL_nodez00_2894)));
								}
								{
									BgL_siza7edzd2switchz75_bglt BgL_auxz00_4358;

									{
										obj_t BgL_auxz00_4359;

										{	/* Inline/size.scm 173 */
											BgL_objectz00_bglt BgL_tmpz00_4360;

											BgL_tmpz00_4360 =
												((BgL_objectz00_bglt)
												((BgL_switchz00_bglt)
													((BgL_switchz00_bglt) BgL_nodez00_2894)));
											BgL_auxz00_4359 = BGL_OBJECT_WIDENING(BgL_tmpz00_4360);
										}
										BgL_auxz00_4358 =
											((BgL_siza7edzd2switchz75_bglt) BgL_auxz00_4359);
									}
									((((BgL_siza7edzd2switchz75_bglt) COBJECT(BgL_auxz00_4358))->
											BgL_siza7eza7) = ((long) BgL_siza7eza7_3123), BUNSPEC);
								}
								((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_2894));
								BgL_tmpz00_4330 = BgL_siza7eza7_3123;
							}
						else
							{	/* Inline/size.scm 175 */
								obj_t BgL_arg1923z00_3126;
								long BgL_arg1924z00_3127;

								BgL_arg1923z00_3126 = CDR(((obj_t) BgL_clausesz00_3122));
								{	/* Inline/size.scm 176 */
									long BgL_arg1926z00_3128;

									{	/* Inline/size.scm 176 */
										long BgL_arg1927z00_3129;
										long BgL_arg1928z00_3130;

										{	/* Inline/size.scm 176 */
											bool_t BgL_test2209z00_4371;

											{	/* Inline/size.scm 176 */
												obj_t BgL_tmpz00_4372;

												{	/* Inline/size.scm 176 */
													obj_t BgL_pairz00_3131;

													BgL_pairz00_3131 = CAR(((obj_t) BgL_clausesz00_3122));
													BgL_tmpz00_4372 = CAR(BgL_pairz00_3131);
												}
												BgL_test2209z00_4371 = PAIRP(BgL_tmpz00_4372);
											}
											if (BgL_test2209z00_4371)
												{	/* Inline/size.scm 177 */
													obj_t BgL_auxz00_4377;

													{	/* Inline/size.scm 177 */
														obj_t BgL_pairz00_3132;

														BgL_pairz00_3132 =
															CAR(((obj_t) BgL_clausesz00_3122));
														BgL_auxz00_4377 = CAR(BgL_pairz00_3132);
													}
													BgL_arg1927z00_3129 =
														bgl_list_length(BgL_auxz00_4377);
												}
											else
												{	/* Inline/size.scm 176 */
													BgL_arg1927z00_3129 = 1L;
												}
										}
										{	/* Inline/size.scm 179 */
											obj_t BgL_arg1936z00_3133;

											{	/* Inline/size.scm 179 */
												obj_t BgL_pairz00_3134;

												BgL_pairz00_3134 = CAR(((obj_t) BgL_clausesz00_3122));
												BgL_arg1936z00_3133 = CDR(BgL_pairz00_3134);
											}
											BgL_arg1928z00_3130 =
												BGl_nodezd2siza7ez75zzinline_siza7eza7(
												((BgL_nodez00_bglt) BgL_arg1936z00_3133));
										}
										BgL_arg1926z00_3128 =
											(BgL_arg1927z00_3129 + BgL_arg1928z00_3130);
									}
									BgL_arg1924z00_3127 =
										(BgL_siza7eza7_3123 + BgL_arg1926z00_3128);
								}
								{
									long BgL_siza7eza7_4390;
									obj_t BgL_clausesz00_4389;

									BgL_clausesz00_4389 = BgL_arg1923z00_3126;
									BgL_siza7eza7_4390 = BgL_arg1924z00_3127;
									BgL_siza7eza7_3123 = BgL_siza7eza7_4390;
									BgL_clausesz00_3122 = BgL_clausesz00_4389;
									goto BgL_loopz00_3121;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4330);
			}
		}

	}



/* &node-size-fail1430 */
	obj_t BGl_z62nodezd2siza7ezd2fail1430zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2895, obj_t BgL_nodez00_2896)
	{
		{	/* Inline/size.scm 159 */
			{	/* Inline/size.scm 160 */
				long BgL_tmpz00_4392;

				{	/* Inline/size.scm 160 */
					long BgL_proczd2siza7ez75_3136;

					BgL_proczd2siza7ez75_3136 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_2896)))->BgL_procz00));
					{	/* Inline/size.scm 160 */
						long BgL_msgzd2siza7ez75_3137;

						BgL_msgzd2siza7ez75_3137 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_failz00_bglt) COBJECT(
										((BgL_failz00_bglt) BgL_nodez00_2896)))->BgL_msgz00));
						{	/* Inline/size.scm 161 */
							long BgL_objzd2siza7ez75_3138;

							BgL_objzd2siza7ez75_3138 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_failz00_bglt) COBJECT(
											((BgL_failz00_bglt) BgL_nodez00_2896)))->BgL_objz00));
							{	/* Inline/size.scm 162 */

								BgL_tmpz00_4392 =
									(2L +
									(BgL_proczd2siza7ez75_3136 +
										(BgL_msgzd2siza7ez75_3137 + BgL_objzd2siza7ez75_3138)));
				}}}}
				return BINT(BgL_tmpz00_4392);
			}
		}

	}



/* &node-size-conditiona1428 */
	obj_t BGl_z62nodezd2siza7ezd2conditiona1428zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2897, obj_t BgL_nodez00_2898)
	{
		{	/* Inline/size.scm 150 */
			{	/* Inline/size.scm 151 */
				long BgL_tmpz00_4406;

				{	/* Inline/size.scm 151 */
					long BgL_testzd2siza7ez75_3140;

					BgL_testzd2siza7ez75_3140 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_2898)))->BgL_testz00));
					{	/* Inline/size.scm 151 */
						long BgL_truezd2siza7ez75_3141;

						BgL_truezd2siza7ez75_3141 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_nodez00_2898)))->
								BgL_truez00));
						{	/* Inline/size.scm 152 */
							long BgL_falsezd2siza7ez75_3142;

							BgL_falsezd2siza7ez75_3142 =
								BGl_nodezd2siza7ez75zzinline_siza7eza7(
								(((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_nodez00_2898)))->
									BgL_falsez00));
							{	/* Inline/size.scm 153 */

								BgL_tmpz00_4406 =
									(1L +
									(BgL_testzd2siza7ez75_3140 +
										(BgL_truezd2siza7ez75_3141 + BgL_falsezd2siza7ez75_3142)));
				}}}}
				return BINT(BgL_tmpz00_4406);
			}
		}

	}



/* &node-size-setq1426 */
	obj_t BGl_z62nodezd2siza7ezd2setq1426zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2899, obj_t BgL_nodez00_2900)
	{
		{	/* Inline/size.scm 144 */
			return
				BINT(
				(2L +
					BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_2900)))->BgL_valuez00))));
		}

	}



/* &node-size-extern1424 */
	obj_t BGl_z62nodezd2siza7ezd2extern1424zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2901, obj_t BgL_nodez00_2902)
	{
		{	/* Inline/size.scm 134 */
			{	/* Inline/size.scm 135 */
				long BgL_tmpz00_4425;

				{	/* Inline/size.scm 135 */
					obj_t BgL_g1211z00_3145;

					BgL_g1211z00_3145 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2902)))->BgL_exprza2za2);
					{
						obj_t BgL_argsz00_3147;
						long BgL_siza7eza7_3148;

						BgL_argsz00_3147 = BgL_g1211z00_3145;
						BgL_siza7eza7_3148 = 1L;
					BgL_loopz00_3146:
						if (NULLP(BgL_argsz00_3147))
							{	/* Inline/size.scm 137 */
								BgL_tmpz00_4425 = BgL_siza7eza7_3148;
							}
						else
							{	/* Inline/size.scm 139 */
								obj_t BgL_arg1903z00_3149;
								long BgL_arg1904z00_3150;

								BgL_arg1903z00_3149 = CDR(((obj_t) BgL_argsz00_3147));
								{	/* Inline/size.scm 139 */
									long BgL_arg1905z00_3151;

									{	/* Inline/size.scm 139 */
										obj_t BgL_arg1906z00_3152;

										BgL_arg1906z00_3152 = CAR(((obj_t) BgL_argsz00_3147));
										BgL_arg1905z00_3151 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1906z00_3152));
									}
									BgL_arg1904z00_3150 =
										(BgL_siza7eza7_3148 + BgL_arg1905z00_3151);
								}
								{
									long BgL_siza7eza7_4438;
									obj_t BgL_argsz00_4437;

									BgL_argsz00_4437 = BgL_arg1903z00_3149;
									BgL_siza7eza7_4438 = BgL_arg1904z00_3150;
									BgL_siza7eza7_3148 = BgL_siza7eza7_4438;
									BgL_argsz00_3147 = BgL_argsz00_4437;
									goto BgL_loopz00_3146;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4425);
			}
		}

	}



/* &node-size-cast1422 */
	obj_t BGl_z62nodezd2siza7ezd2cast1422zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2903, obj_t BgL_nodez00_2904)
	{
		{	/* Inline/size.scm 127 */
			return
				BINT(BGl_nodezd2siza7ez75zzinline_siza7eza7(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2904)))->BgL_argz00)));
		}

	}



/* &node-size-funcall1420 */
	obj_t BGl_z62nodezd2siza7ezd2funcall1420zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2905, obj_t BgL_nodez00_2906)
	{
		{	/* Inline/size.scm 117 */
			{	/* Inline/size.scm 118 */
				long BgL_tmpz00_4444;

				{	/* Inline/size.scm 118 */
					obj_t BgL_g1208z00_3155;
					long BgL_g1209z00_3156;

					BgL_g1208z00_3155 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2906)))->BgL_argsz00);
					BgL_g1209z00_3156 =
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
						(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_2906)))->BgL_funz00));
					{
						obj_t BgL_argsz00_3158;
						long BgL_siza7eza7_3159;

						BgL_argsz00_3158 = BgL_g1208z00_3155;
						BgL_siza7eza7_3159 = BgL_g1209z00_3156;
					BgL_loopz00_3157:
						if (NULLP(BgL_argsz00_3158))
							{	/* Inline/size.scm 120 */
								BgL_tmpz00_4444 = BgL_siza7eza7_3159;
							}
						else
							{	/* Inline/size.scm 122 */
								obj_t BgL_arg1895z00_3160;
								long BgL_arg1896z00_3161;

								BgL_arg1895z00_3160 = CDR(((obj_t) BgL_argsz00_3158));
								{	/* Inline/size.scm 122 */
									long BgL_arg1897z00_3162;

									{	/* Inline/size.scm 122 */
										obj_t BgL_arg1898z00_3163;

										BgL_arg1898z00_3163 = CAR(((obj_t) BgL_argsz00_3158));
										BgL_arg1897z00_3162 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1898z00_3163));
									}
									BgL_arg1896z00_3161 =
										(BgL_siza7eza7_3159 + BgL_arg1897z00_3162);
								}
								{
									long BgL_siza7eza7_4460;
									obj_t BgL_argsz00_4459;

									BgL_argsz00_4459 = BgL_arg1895z00_3160;
									BgL_siza7eza7_4460 = BgL_arg1896z00_3161;
									BgL_siza7eza7_3159 = BgL_siza7eza7_4460;
									BgL_argsz00_3158 = BgL_argsz00_4459;
									goto BgL_loopz00_3157;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4444);
			}
		}

	}



/* &node-size-app-ly1418 */
	obj_t BGl_z62nodezd2siza7ezd2appzd2ly1418z17zzinline_siza7eza7(obj_t
		BgL_envz00_2907, obj_t BgL_nodez00_2908)
	{
		{	/* Inline/size.scm 111 */
			return
				BINT(
				(1L +
					(BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2908)))->BgL_funz00)) +
						BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_appzd2lyzd2_bglt) COBJECT(
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_2908)))->
								BgL_argz00)))));
		}

	}



/* &node-size-app1416 */
	obj_t BGl_z62nodezd2siza7ezd2app1416zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2909, obj_t BgL_nodez00_2910)
	{
		{	/* Inline/size.scm 91 */
			{	/* Inline/size.scm 92 */
				long BgL_tmpz00_4471;

				if (CBOOL(BGl_getenvz00zz__osz00(BGl_string2112z00zzinline_siza7eza7)))
					{	/* Inline/size.scm 92 */
						BGl_mz00zzinline_siza7eza7 = (BGl_mz00zzinline_siza7eza7 + 1L);
						{	/* Inline/size.scm 94 */
							obj_t BgL_port1379z00_3166;

							{	/* Inline/size.scm 94 */
								obj_t BgL_tmpz00_4476;

								BgL_tmpz00_4476 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_port1379z00_3166 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4476);
							}
							bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
									((unsigned char) ' ')), BgL_port1379z00_3166);
							bgl_display_string(BGl_string2113z00zzinline_siza7eza7,
								BgL_port1379z00_3166);
							{	/* Inline/size.scm 94 */
								obj_t BgL_arg1848z00_3167;

								BgL_arg1848z00_3167 =
									BGl_shapez00zztools_shapez00(
									((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2910)));
								bgl_display_obj(BgL_arg1848z00_3167, BgL_port1379z00_3166);
							}
							bgl_display_char(((unsigned char) 10), BgL_port1379z00_3166);
					}}
				else
					{	/* Inline/size.scm 92 */
						BFALSE;
					}
				{	/* Inline/size.scm 95 */
					obj_t BgL_g1201z00_3168;
					long BgL_g1202z00_3169;

					BgL_g1201z00_3168 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2910)))->BgL_argsz00);
					{	/* Inline/size.scm 96 */
						BgL_varz00_bglt BgL_arg1886z00_3170;

						BgL_arg1886z00_3170 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_2910)))->BgL_funz00);
						BgL_g1202z00_3169 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							((BgL_nodez00_bglt) BgL_arg1886z00_3170));
					}
					{
						obj_t BgL_argsz00_3172;
						long BgL_siza7eza7_3173;

						BgL_argsz00_3172 = BgL_g1201z00_3168;
						BgL_siza7eza7_3173 = BgL_g1202z00_3169;
					BgL_loopz00_3171:
						if (CBOOL(BGl_getenvz00zz__osz00
								(BGl_string2112z00zzinline_siza7eza7)))
							{	/* Inline/size.scm 98 */
								obj_t BgL_port1386z00_3174;

								{	/* Inline/size.scm 98 */
									obj_t BgL_tmpz00_4496;

									BgL_tmpz00_4496 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1386z00_3174 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4496);
								}
								bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
										((unsigned char) ' ')), BgL_port1386z00_3174);
								bgl_display_string(BGl_string2114z00zzinline_siza7eza7,
									BgL_port1386z00_3174);
								{	/* Inline/size.scm 98 */
									obj_t BgL_arg1852z00_3175;

									if (NULLP(BgL_argsz00_3172))
										{	/* Inline/size.scm 98 */
											BgL_arg1852z00_3175 = BNIL;
										}
									else
										{	/* Inline/size.scm 98 */
											obj_t BgL_head1382z00_3176;

											{	/* Inline/size.scm 98 */
												obj_t BgL_arg1865z00_3177;

												{	/* Inline/size.scm 98 */
													obj_t BgL_arg1872z00_3178;

													BgL_arg1872z00_3178 = CAR(((obj_t) BgL_argsz00_3172));
													BgL_arg1865z00_3177 =
														BGl_shapez00zztools_shapez00(BgL_arg1872z00_3178);
												}
												BgL_head1382z00_3176 =
													MAKE_YOUNG_PAIR(BgL_arg1865z00_3177, BNIL);
											}
											{	/* Inline/size.scm 98 */
												obj_t BgL_g1385z00_3179;

												BgL_g1385z00_3179 = CDR(((obj_t) BgL_argsz00_3172));
												{
													obj_t BgL_l1380z00_3181;
													obj_t BgL_tail1383z00_3182;

													BgL_l1380z00_3181 = BgL_g1385z00_3179;
													BgL_tail1383z00_3182 = BgL_head1382z00_3176;
												BgL_zc3z04anonymousza31854ze3z87_3180:
													if (NULLP(BgL_l1380z00_3181))
														{	/* Inline/size.scm 98 */
															BgL_arg1852z00_3175 = BgL_head1382z00_3176;
														}
													else
														{	/* Inline/size.scm 98 */
															obj_t BgL_newtail1384z00_3183;

															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1857z00_3184;

																{	/* Inline/size.scm 98 */
																	obj_t BgL_arg1859z00_3185;

																	BgL_arg1859z00_3185 =
																		CAR(((obj_t) BgL_l1380z00_3181));
																	BgL_arg1857z00_3184 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1859z00_3185);
																}
																BgL_newtail1384z00_3183 =
																	MAKE_YOUNG_PAIR(BgL_arg1857z00_3184, BNIL);
															}
															SET_CDR(BgL_tail1383z00_3182,
																BgL_newtail1384z00_3183);
															{	/* Inline/size.scm 98 */
																obj_t BgL_arg1856z00_3186;

																BgL_arg1856z00_3186 =
																	CDR(((obj_t) BgL_l1380z00_3181));
																{
																	obj_t BgL_tail1383z00_4520;
																	obj_t BgL_l1380z00_4519;

																	BgL_l1380z00_4519 = BgL_arg1856z00_3186;
																	BgL_tail1383z00_4520 =
																		BgL_newtail1384z00_3183;
																	BgL_tail1383z00_3182 = BgL_tail1383z00_4520;
																	BgL_l1380z00_3181 = BgL_l1380z00_4519;
																	goto BgL_zc3z04anonymousza31854ze3z87_3180;
																}
															}
														}
												}
											}
										}
									bgl_display_obj(BgL_arg1852z00_3175, BgL_port1386z00_3174);
								}
								bgl_display_string(BGl_string2115z00zzinline_siza7eza7,
									BgL_port1386z00_3174);
								bgl_display_obj(BINT(BgL_siza7eza7_3173), BgL_port1386z00_3174);
								bgl_display_string(BGl_string2116z00zzinline_siza7eza7,
									BgL_port1386z00_3174);
								{	/* Inline/size.scm 98 */
									bool_t BgL_arg1873z00_3187;

									BgL_arg1873z00_3187 = NULLP(BgL_argsz00_3172);
									bgl_display_obj(BBOOL(BgL_arg1873z00_3187),
										BgL_port1386z00_3174);
								}
								bgl_display_char(((unsigned char) 10), BgL_port1386z00_3174);
							}
						else
							{	/* Inline/size.scm 97 */
								BFALSE;
							}
						if (NULLP(BgL_argsz00_3172))
							{	/* Inline/size.scm 99 */
								if (CBOOL(BGl_getenvz00zz__osz00
										(BGl_string2112z00zzinline_siza7eza7)))
									{	/* Inline/size.scm 101 */
										{	/* Inline/size.scm 102 */
											obj_t BgL_port1387z00_3188;

											{	/* Inline/size.scm 102 */
												obj_t BgL_tmpz00_4535;

												BgL_tmpz00_4535 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_port1387z00_3188 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4535);
											}
											bgl_display_obj(make_string(BGl_mz00zzinline_siza7eza7,
													((unsigned char) ' ')), BgL_port1387z00_3188);
											bgl_display_string(BGl_string2117z00zzinline_siza7eza7,
												BgL_port1387z00_3188);
											bgl_display_obj(BINT(BgL_siza7eza7_3173),
												BgL_port1387z00_3188);
											bgl_display_char(((unsigned char) 10),
												BgL_port1387z00_3188);
										}
										BGl_mz00zzinline_siza7eza7 =
											(BGl_mz00zzinline_siza7eza7 - 1L);
									}
								else
									{	/* Inline/size.scm 101 */
										BFALSE;
									}
								BgL_tmpz00_4471 = BgL_siza7eza7_3173;
							}
						else
							{	/* Inline/size.scm 106 */
								obj_t BgL_arg1878z00_3189;
								long BgL_arg1882z00_3190;

								BgL_arg1878z00_3189 = CDR(((obj_t) BgL_argsz00_3172));
								{	/* Inline/size.scm 106 */
									long BgL_arg1884z00_3191;

									{	/* Inline/size.scm 106 */
										obj_t BgL_arg1885z00_3192;

										BgL_arg1885z00_3192 = CAR(((obj_t) BgL_argsz00_3172));
										BgL_arg1884z00_3191 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1885z00_3192));
									}
									BgL_arg1882z00_3190 =
										(BgL_siza7eza7_3173 + BgL_arg1884z00_3191);
								}
								{
									long BgL_siza7eza7_4553;
									obj_t BgL_argsz00_4552;

									BgL_argsz00_4552 = BgL_arg1878z00_3189;
									BgL_siza7eza7_4553 = BgL_arg1882z00_3190;
									BgL_siza7eza7_3173 = BgL_siza7eza7_4553;
									BgL_argsz00_3172 = BgL_argsz00_4552;
									goto BgL_loopz00_3171;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4471);
			}
		}

	}



/* &node-size-sized-sync1414 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sync1414zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2911, obj_t BgL_nodez00_2912)
	{
		{	/* Inline/size.scm 85 */
			{	/* Inline/size.scm 86 */
				long BgL_tmpz00_4555;

				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4556;

					{
						obj_t BgL_auxz00_4557;

						{	/* Inline/size.scm 86 */
							BgL_objectz00_bglt BgL_tmpz00_4558;

							BgL_tmpz00_4558 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2912));
							BgL_auxz00_4557 = BGL_OBJECT_WIDENING(BgL_tmpz00_4558);
						}
						BgL_auxz00_4556 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4557);
					}
					BgL_tmpz00_4555 =
						(((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4556))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4555);
			}
		}

	}



/* &node-size-sync1412 */
	obj_t BGl_z62nodezd2siza7ezd2sync1412zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2913, obj_t BgL_nodez00_2914)
	{
		{	/* Inline/size.scm 74 */
			{	/* Inline/size.scm 75 */
				obj_t BgL_siza7eza7_3195;

				{	/* Inline/size.scm 75 */
					obj_t BgL_b1378z00_3196;

					{	/* Inline/size.scm 76 */
						long BgL_a1376z00_3197;

						BgL_a1376z00_3197 =
							BGl_nodezd2siza7ez75zzinline_siza7eza7(
							(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_2914)))->BgL_mutexz00));
						{	/* Inline/size.scm 77 */
							obj_t BgL_b1377z00_3198;

							{	/* Inline/size.scm 77 */
								long BgL_a1374z00_3199;

								BgL_a1374z00_3199 =
									BGl_nodezd2siza7ez75zzinline_siza7eza7(
									(((BgL_syncz00_bglt) COBJECT(
												((BgL_syncz00_bglt) BgL_nodez00_2914)))->
										BgL_prelockz00));
								{	/* Inline/size.scm 78 */
									long BgL_b1375z00_3200;

									BgL_b1375z00_3200 =
										BGl_nodezd2siza7ez75zzinline_siza7eza7(
										(((BgL_syncz00_bglt) COBJECT(
													((BgL_syncz00_bglt) BgL_nodez00_2914)))->
											BgL_bodyz00));
									{	/* Inline/size.scm 75 */

										{	/* Inline/size.scm 75 */
											obj_t BgL_za71za7_3201;
											obj_t BgL_za72za7_3202;

											BgL_za71za7_3201 = BINT(BgL_a1374z00_3199);
											BgL_za72za7_3202 = BINT(BgL_b1375z00_3200);
											{	/* Inline/size.scm 75 */
												obj_t BgL_tmpz00_3203;

												BgL_tmpz00_3203 = BINT(0L);
												if (BGL_ADDFX_OV(BgL_za71za7_3201, BgL_za72za7_3202,
														BgL_tmpz00_3203))
													{	/* Inline/size.scm 75 */
														BgL_b1377z00_3198 =
															bgl_bignum_add(bgl_long_to_bignum(
																(long) CINT(BgL_za71za7_3201)),
															bgl_long_to_bignum(
																(long) CINT(BgL_za72za7_3202)));
													}
												else
													{	/* Inline/size.scm 75 */
														BgL_b1377z00_3198 = BgL_tmpz00_3203;
													}
											}
										}
									}
								}
							}
							{	/* Inline/size.scm 75 */

								if (INTEGERP(BgL_b1377z00_3198))
									{	/* Inline/size.scm 75 */
										obj_t BgL_za71za7_3204;

										BgL_za71za7_3204 = BINT(BgL_a1376z00_3197);
										{	/* Inline/size.scm 75 */
											obj_t BgL_tmpz00_3205;

											BgL_tmpz00_3205 = BINT(0L);
											if (BGL_ADDFX_OV(BgL_za71za7_3204, BgL_b1377z00_3198,
													BgL_tmpz00_3205))
												{	/* Inline/size.scm 75 */
													BgL_b1378z00_3196 =
														bgl_bignum_add(bgl_long_to_bignum(
															(long) CINT(BgL_za71za7_3204)),
														bgl_long_to_bignum((long) CINT(BgL_b1377z00_3198)));
												}
											else
												{	/* Inline/size.scm 75 */
													BgL_b1378z00_3196 = BgL_tmpz00_3205;
												}
										}
									}
								else
									{	/* Inline/size.scm 75 */
										BgL_b1378z00_3196 =
											BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_a1376z00_3197),
											BgL_b1377z00_3198);
									}
							}
						}
					}
					if (INTEGERP(BgL_b1378z00_3196))
						{	/* Inline/size.scm 75 */
							obj_t BgL_tmpz00_3206;

							BgL_tmpz00_3206 = BINT(0L);
							{	/* Inline/size.scm 75 */
								bool_t BgL_test2222z00_4600;

								{	/* Inline/size.scm 75 */
									obj_t BgL_tmpz00_4601;

									BgL_tmpz00_4601 = BINT(1L);
									BgL_test2222z00_4600 =
										BGL_ADDFX_OV(BgL_tmpz00_4601, BgL_b1378z00_3196,
										BgL_tmpz00_3206);
								}
								if (BgL_test2222z00_4600)
									{	/* Inline/size.scm 75 */
										BgL_siza7eza7_3195 =
											bgl_bignum_add(
											((obj_t)
												CNST_TABLE_REF(9)),
											bgl_long_to_bignum((long) CINT(BgL_b1378z00_3196)));
									}
								else
									{	/* Inline/size.scm 75 */
										BgL_siza7eza7_3195 = BgL_tmpz00_3206;
									}
							}
						}
					else
						{	/* Inline/size.scm 75 */
							BgL_siza7eza7_3195 =
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(1L), BgL_b1378z00_3196);
						}
				}
				{	/* Inline/size.scm 79 */
					BgL_siza7edzd2syncz75_bglt BgL_wide1199z00_3207;

					BgL_wide1199z00_3207 =
						((BgL_siza7edzd2syncz75_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_siza7edzd2syncz75_bgl))));
					{	/* Inline/size.scm 79 */
						obj_t BgL_auxz00_4616;
						BgL_objectz00_bglt BgL_tmpz00_4612;

						BgL_auxz00_4616 = ((obj_t) BgL_wide1199z00_3207);
						BgL_tmpz00_4612 =
							((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2914)));
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4612, BgL_auxz00_4616);
					}
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2914)));
					{	/* Inline/size.scm 79 */
						long BgL_arg1829z00_3208;

						BgL_arg1829z00_3208 =
							BGL_CLASS_NUM(BGl_siza7edzd2syncz75zzinline_siza7eza7);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt)
								((BgL_syncz00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_2914))), BgL_arg1829z00_3208);
					}
					((BgL_syncz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2914)));
				}
				{
					BgL_siza7edzd2syncz75_bglt BgL_auxz00_4630;

					{
						obj_t BgL_auxz00_4631;

						{	/* Inline/size.scm 79 */
							BgL_objectz00_bglt BgL_tmpz00_4632;

							BgL_tmpz00_4632 =
								((BgL_objectz00_bglt)
								((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2914)));
							BgL_auxz00_4631 = BGL_OBJECT_WIDENING(BgL_tmpz00_4632);
						}
						BgL_auxz00_4630 = ((BgL_siza7edzd2syncz75_bglt) BgL_auxz00_4631);
					}
					((((BgL_siza7edzd2syncz75_bglt) COBJECT(BgL_auxz00_4630))->
							BgL_siza7eza7) =
						((long) (long) CINT(BgL_siza7eza7_3195)), BUNSPEC);
				}
				((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_2914));
				return BgL_siza7eza7_3195;
			}
		}

	}



/* &node-size-sized-sequ1410 */
	obj_t BGl_z62nodezd2siza7ezd2siza7edzd2sequ1410zb0zzinline_siza7eza7(obj_t
		BgL_envz00_2915, obj_t BgL_nodez00_2916)
	{
		{	/* Inline/size.scm 68 */
			{	/* Inline/size.scm 69 */
				long BgL_tmpz00_4642;

				{
					BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4643;

					{
						obj_t BgL_auxz00_4644;

						{	/* Inline/size.scm 69 */
							BgL_objectz00_bglt BgL_tmpz00_4645;

							BgL_tmpz00_4645 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_nodez00_2916));
							BgL_auxz00_4644 = BGL_OBJECT_WIDENING(BgL_tmpz00_4645);
						}
						BgL_auxz00_4643 =
							((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4644);
					}
					BgL_tmpz00_4642 =
						(((BgL_siza7edzd2sequencez75_bglt) COBJECT(BgL_auxz00_4643))->
						BgL_siza7eza7);
				}
				return BINT(BgL_tmpz00_4642);
			}
		}

	}



/* &node-size-sequence1408 */
	obj_t BGl_z62nodezd2siza7ezd2sequence1408zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2917, obj_t BgL_nodez00_2918)
	{
		{	/* Inline/size.scm 56 */
			{	/* Inline/size.scm 57 */
				long BgL_tmpz00_4652;

				{	/* Inline/size.scm 57 */
					obj_t BgL_g1192z00_3211;

					BgL_g1192z00_3211 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2918)))->BgL_nodesz00);
					{
						obj_t BgL_nodesz00_3213;
						long BgL_siza7eza7_3214;

						BgL_nodesz00_3213 = BgL_g1192z00_3211;
						BgL_siza7eza7_3214 = 0L;
					BgL_loopz00_3212:
						if (NULLP(BgL_nodesz00_3213))
							{	/* Inline/size.scm 59 */
								{	/* Inline/size.scm 61 */
									BgL_siza7edzd2sequencez75_bglt BgL_wide1195z00_3215;

									BgL_wide1195z00_3215 =
										((BgL_siza7edzd2sequencez75_bglt)
										BOBJECT(GC_MALLOC(sizeof(struct
													BgL_siza7edzd2sequencez75_bgl))));
									{	/* Inline/size.scm 61 */
										obj_t BgL_auxz00_4662;
										BgL_objectz00_bglt BgL_tmpz00_4658;

										BgL_auxz00_4662 = ((obj_t) BgL_wide1195z00_3215);
										BgL_tmpz00_4658 =
											((BgL_objectz00_bglt)
											((BgL_sequencez00_bglt)
												((BgL_sequencez00_bglt) BgL_nodez00_2918)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4658, BgL_auxz00_4662);
									}
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2918)));
									{	/* Inline/size.scm 61 */
										long BgL_arg1814z00_3216;

										BgL_arg1814z00_3216 =
											BGL_CLASS_NUM
											(BGl_siza7edzd2sequencez75zzinline_siza7eza7);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
														BgL_nodez00_2918))), BgL_arg1814z00_3216);
									}
									((BgL_sequencez00_bglt)
										((BgL_sequencez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_2918)));
								}
								{
									BgL_siza7edzd2sequencez75_bglt BgL_auxz00_4676;

									{
										obj_t BgL_auxz00_4677;

										{	/* Inline/size.scm 61 */
											BgL_objectz00_bglt BgL_tmpz00_4678;

											BgL_tmpz00_4678 =
												((BgL_objectz00_bglt)
												((BgL_sequencez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_2918)));
											BgL_auxz00_4677 = BGL_OBJECT_WIDENING(BgL_tmpz00_4678);
										}
										BgL_auxz00_4676 =
											((BgL_siza7edzd2sequencez75_bglt) BgL_auxz00_4677);
									}
									((((BgL_siza7edzd2sequencez75_bglt)
												COBJECT(BgL_auxz00_4676))->BgL_siza7eza7) =
										((long) BgL_siza7eza7_3214), BUNSPEC);
								}
								((BgL_sequencez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_2918));
								BgL_tmpz00_4652 = BgL_siza7eza7_3214;
							}
						else
							{	/* Inline/size.scm 63 */
								obj_t BgL_arg1818z00_3217;
								long BgL_arg1821z00_3218;

								BgL_arg1818z00_3217 = CDR(((obj_t) BgL_nodesz00_3213));
								{	/* Inline/size.scm 63 */
									long BgL_arg1822z00_3219;

									{	/* Inline/size.scm 63 */
										obj_t BgL_arg1825z00_3220;

										BgL_arg1825z00_3220 = CAR(((obj_t) BgL_nodesz00_3213));
										BgL_arg1822z00_3219 =
											BGl_nodezd2siza7ez75zzinline_siza7eza7(
											((BgL_nodez00_bglt) BgL_arg1825z00_3220));
									}
									BgL_arg1821z00_3218 =
										(BgL_siza7eza7_3214 + BgL_arg1822z00_3219);
								}
								{
									long BgL_siza7eza7_4695;
									obj_t BgL_nodesz00_4694;

									BgL_nodesz00_4694 = BgL_arg1818z00_3217;
									BgL_siza7eza7_4695 = BgL_arg1821z00_3218;
									BgL_siza7eza7_3214 = BgL_siza7eza7_4695;
									BgL_nodesz00_3213 = BgL_nodesz00_4694;
									goto BgL_loopz00_3212;
								}
							}
					}
				}
				return BINT(BgL_tmpz00_4652);
			}
		}

	}



/* &node-size-kwote1406 */
	obj_t BGl_z62nodezd2siza7ezd2kwote1406zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2919, obj_t BgL_nodez00_2920)
	{
		{	/* Inline/size.scm 50 */
			return BINT(1L);
		}

	}



/* &node-size-var1404 */
	obj_t BGl_z62nodezd2siza7ezd2var1404zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2921, obj_t BgL_nodez00_2922)
	{
		{	/* Inline/size.scm 44 */
			return BINT(1L);
		}

	}



/* &node-size-atom1402 */
	obj_t BGl_z62nodezd2siza7ezd2atom1402zc5zzinline_siza7eza7(obj_t
		BgL_envz00_2923, obj_t BgL_nodez00_2924)
	{
		{	/* Inline/size.scm 38 */
			return BINT(1L);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_siza7eza7(void)
	{
		{	/* Inline/size.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2118z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2118z00zzinline_siza7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2118z00zzinline_siza7eza7));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2118z00zzinline_siza7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
