/*===========================================================================*/
/*   (Liveness/types.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Liveness/types.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_LIVENESS_TYPES_TYPE_DEFINITIONS
#define BGL_LIVENESS_TYPES_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_refz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_refz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
		obj_t BgL_srfi0z00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_privatez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                 *BgL_privatez00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2livenesszf2_bgl
	{
		int BgL_z52countz52;
	}                          *BgL_localzf2livenesszf2_bglt;

	typedef struct BgL_literalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_literalzf2livenesszf2_bglt;

	typedef struct BgL_refzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_refzf2livenesszf2_bglt;

	typedef struct BgL_closurezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_closurezf2livenesszf2_bglt;

	typedef struct BgL_kwotezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                          *BgL_kwotezf2livenesszf2_bglt;

	typedef struct BgL_sequencezf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_sequencezf2livenesszf2_bglt;

	typedef struct BgL_appzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_appzf2livenesszf2_bglt;

	typedef struct BgL_appzd2lyzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_appzd2lyzf2livenessz20_bglt;

	typedef struct BgL_funcallzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_funcallzf2livenesszf2_bglt;

	typedef struct BgL_pragmazf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_pragmazf2livenesszf2_bglt;

	typedef struct BgL_getfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_getfieldzf2livenesszf2_bglt;

	typedef struct BgL_setfieldzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_setfieldzf2livenesszf2_bglt;

	typedef struct BgL_wideningzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_wideningzf2livenesszf2_bglt;

	typedef struct BgL_newzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                        *BgL_newzf2livenesszf2_bglt;

	typedef struct BgL_valloczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_valloczf2livenesszf2_bglt;

	typedef struct BgL_vrefzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_vrefzf2livenesszf2_bglt;

	typedef struct BgL_vsetz12zf2livenessze0_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vsetz12zf2livenessze0_bglt;

	typedef struct BgL_vlengthzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                            *BgL_vlengthzf2livenesszf2_bglt;

	typedef struct BgL_instanceofzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_instanceofzf2livenesszf2_bglt;

	typedef struct BgL_castzd2nullzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_castzd2nullzf2livenessz20_bglt;

	typedef struct BgL_castzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_castzf2livenesszf2_bglt;

	typedef struct BgL_setqzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_setqzf2livenesszf2_bglt;

	typedef struct BgL_conditionalzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                *BgL_conditionalzf2livenesszf2_bglt;

	typedef struct BgL_failzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_failzf2livenesszf2_bglt;

	typedef struct BgL_switchzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_switchzf2livenesszf2_bglt;

	typedef struct BgL_letzd2funzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2funzf2livenessz20_bglt;

	typedef struct BgL_letzd2varzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_letzd2varzf2livenessz20_bglt;

	typedef struct BgL_setzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                  *BgL_setzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                   *BgL_jumpzd2exzd2itzf2livenesszf2_bglt;

	typedef struct BgL_synczf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                         *BgL_synczf2livenesszf2_bglt;

	typedef struct BgL_retblockzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                             *BgL_retblockzf2livenesszf2_bglt;

	typedef struct BgL_returnzf2livenesszf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                           *BgL_returnzf2livenesszf2_bglt;

	typedef struct BgL_makezd2boxzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                               *BgL_makezd2boxzf2livenessz20_bglt;

	typedef struct BgL_boxzd2refzf2livenessz20_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                              *BgL_boxzd2refzf2livenessz20_bglt;

	typedef struct BgL_boxzd2setz12zf2livenessz32_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_usez00;
		obj_t BgL_inz00;
		obj_t BgL_outz00;
	}                                 *BgL_boxzd2setz12zf2livenessz32_bglt;


#endif													// BGL_LIVENESS_TYPES_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda3385z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2657z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3386z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3549z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_funcallzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32737ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2823z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3714z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33628ze3ze5zzliveness_typesz00(obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3552z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2824z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3715z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62lambda3555z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3394z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2668z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2669z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3398z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62lambda2830z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3721z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2831z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3722z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2837z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3728z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3566z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2676z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2838z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3729z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3567z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2677z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32101ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3574z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3575z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2685z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3738z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2686z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_vrefz00_bglt BGl_z62lambda2849z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3741z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2852z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3905z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3906z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_returnz00_bglt BGl_z62lambda3744z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3583z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vrefz00_bglt BGl_z62lambda2855z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3584z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_kwotezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3752z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62lambda3753z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3591z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3592z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3759z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_wideningzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3760z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62lambda3766z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3767z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33593ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza33488ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3773z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3774z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2888z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2889z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32211ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32122ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00(obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3782z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3785z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_makezd2boxzd2_bglt BGl_z62lambda3788z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32971ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3796z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3797z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33015ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33863ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32956ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33775ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33686ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza33849ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32321ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_localzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32250ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vsetz12zf2livenessze0zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32340ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32502ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33142ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33053ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33215ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33126ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vlengthzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62lambda2100z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32090ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2106z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32236ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2107z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_newzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2113z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3004z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2114z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32415ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3005z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_switchzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2120z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2121z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32432ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3013z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3014z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_refz00_bglt BGl_z62lambda2129z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3020z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3021z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32522ze3ze5zzliveness_typesz00(obj_t);
	static BgL_refz00_bglt BGl_z62lambda2132z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32166ze3ze5zzliveness_typesz00(obj_t);
	static BgL_refz00_bglt BGl_z62lambda2135z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3027z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62lambda3028z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33503ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2303z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2304z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2143z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2144z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_valloczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33431ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2150z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32451ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32613ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2151z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33253ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33415ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33326ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appz00_bglt BGl_z62lambda2315z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3206z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3207z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda3047z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2157z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda2319z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2158z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_returnzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda3050z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00(void);
	static BgL_appz00_bglt BGl_z62lambda2322z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3213z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3214z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_instanceofz00_bglt BGl_z62lambda3054z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2164z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32258ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2165z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62lambda3220z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2330z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3221z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2331z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33093ze3ze5zzliveness_typesz00(obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2173z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32348ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3066z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_closurez00_bglt BGl_z62lambda2176z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2338z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3067z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2339z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_closurez00_bglt BGl_z62lambda2179z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2500z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2501z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33361ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33272ze3ze5zzliveness_typesz00(obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3232z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3235z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33078ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2346z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2508z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2347z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2509z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3076z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3077z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2187z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2188z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setqz00_bglt BGl_z62lambda3240z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_switchz00_bglt BGl_z62lambda3402z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33524ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2354z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2355z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3084z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2194z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3085z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2195z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2520z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33541ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2521z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3251z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3413z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3252z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3414z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	static obj_t BGl_z62lambda3091z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3092z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzliveness_typesz00(obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2365z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2529z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3258z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3259z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza32902ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2530z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3421z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3422z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2370z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32546ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32708ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33348ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_appzd2lyzd2_bglt BGl_z62lambda2373z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3429z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2539z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_pragmazf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3430z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3270z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3271z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2543z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_synczf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2706z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2707z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3437z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_getfieldz00_bglt BGl_z62lambda2547z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3438z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3277z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3278z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33900ze3ze5zzliveness_typesz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3601z62zzliveness_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32580ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32564ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32726ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32475ze3ze5zzliveness_typesz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3605z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2391z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33439ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32297ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2392z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2555z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62lambda3608z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3446z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2556z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33812ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32832ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33723ze3ze5zzliveness_typesz00(obj_t);
	static BgL_newz00_bglt BGl_z62lambda2721z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3450z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33472ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2562z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2724z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3291z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_letzd2funzd2_bglt BGl_z62lambda3453z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2563z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_newz00_bglt BGl_z62lambda2727z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3618z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_conditionalz00_bglt BGl_z62lambda3295z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3619z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_conditionalz00_bglt BGl_z62lambda3298z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33635ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2570z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2571z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3462z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3463z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2735z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33279ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3626z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2736z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3627z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2578z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2579z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2900z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2901z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32923ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32745ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3470z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33709ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3633z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3471z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2743z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3634z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2744z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2909z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2587z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62lambda3478z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3479z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32940ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33831ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2910z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3640z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3803z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3641z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3804z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_setfieldz00_bglt BGl_z62lambda2591z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2753z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33297ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2754z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2918z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
		BUNSPEC;
	static BgL_setfieldz00_bglt BGl_z62lambda2595z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3486z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3649z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3487z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62lambda3810z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3811z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33743ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2921z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33654ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3652z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_vsetz12z12_bglt BGl_z62lambda2924z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33387ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62lambda2763z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2764z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3817z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_syncz00_bglt BGl_z62lambda3655z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3818z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3496z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DEF obj_t BGl_refzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda3663z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3826z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2775z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2938z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3829z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2939z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza33761ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33672ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32854ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33907ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00(obj_t);
	static BgL_boxzd2refzd2_bglt BGl_z62lambda3832z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3670z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3671z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3677z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3678z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_literalzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3840z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3841z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33819ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32839ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33568ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2954z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2955z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3684z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3847z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3685z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_z62lambda3848z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33585ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2961z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32678ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2962z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3854z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3855z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3693z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_retblockz00_bglt BGl_z62lambda3696z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2969z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_retblockz00_bglt BGl_z62lambda3699z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2970z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3861z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3862z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2979z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza33200ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33022ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32204ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32963ze3ze5zzliveness_typesz00(obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3870z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2982z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3873z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_vlengthz00_bglt BGl_z62lambda2985z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_boxzd2setz12zc0_bglt BGl_z62lambda3876z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_refz00zzast_nodez00;
	static obj_t BGl_z62lambda3884z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3885z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33856ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3891z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3892z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3898z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3899z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33768ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33679ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33115ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32984ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33875ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33222ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33787ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33698ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33401ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32332ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32243ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33029ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33893ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33151ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33208ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_appzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62lambda2202z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2203z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_retblockzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2209z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda2210z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3108z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2218z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_vrefzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static BgL_kwotez00_bglt BGl_z62lambda2221z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32531ze3ze5zzliveness_typesz00(obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3112z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda2061z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_kwotez00_bglt BGl_z62lambda2224z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_castzd2nullzd2_bglt BGl_z62lambda3116z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2065z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzliveness_typesz00(obj_t);
	static BgL_localz00_bglt BGl_z62lambda2068z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza33423ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33172ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33334ze3ze5zzliveness_typesz00(obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62lambda3124z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2234z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3125z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2076z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2077z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzliveness_typesz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00(void);
	static obj_t BGl_z62lambda2402z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32460ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2241z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2403z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32606ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33068ze3ze5zzliveness_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_failzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static BgL_literalz00_bglt BGl_z62lambda2085z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2248z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2249z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2088z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda3140z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3141z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2413z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2414z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_literalz00_bglt BGl_z62lambda2091z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32356ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33158ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3308z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2256z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3309z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62lambda2257z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3149z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2099z62zzliveness_typesz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza33620ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3150z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2425z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33086ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3316z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3317z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2265z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3156z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3157z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2268z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2430z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32803ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33370ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33532ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33516ze3ze5zzliveness_typesz00(obj_t);
	static BgL_sequencez00_bglt BGl_z62lambda2271z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_funcallz00_bglt BGl_z62lambda2433z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda3324z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3325z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32196ze3ze5zzliveness_typesz00(obj_t);
	static BgL_castz00_bglt BGl_z62lambda3167z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	extern obj_t BGl_setfieldz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_sequencezf2livenesszf2zzliveness_typesz00 =
		BUNSPEC;
	static BgL_castz00_bglt BGl_z62lambda3170z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3332z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2604z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3333z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2281z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2605z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static BgL_castz00_bglt BGl_z62lambda3173z62zzliveness_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_setqzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2287z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2449z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	static BgL_letzd2varzd2_bglt BGl_z62lambda3500z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2611z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2450z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2612z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_failz00_bglt BGl_z62lambda3342z62zzliveness_typesz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt BGl_z62lambda3504z62zzliveness_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_closurezf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static BgL_failz00_bglt BGl_z62lambda3346z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2295z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2296z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2458z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_failz00_bglt BGl_z62lambda3349z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2459z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32911ze3ze5zzliveness_typesz00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32393ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2623z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3514z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2624z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3515z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2466z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2467z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3359z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3198z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3199z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33730ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32572ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2631z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3360z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3522z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2632z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3523z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2473z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda2474z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3368z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3369z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_vallocz00_bglt BGl_z62lambda2801z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33642ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3530z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33480ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3531z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33464ze3ze5zzliveness_typesz00(obj_t);
	static BgL_vallocz00_bglt BGl_z62lambda2804z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32557ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32468ze3ze5zzliveness_typesz00(obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2482z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2646z62zzliveness_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda3376z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3377z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3539z62zzliveness_typesz00(obj_t, obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2488z62zzliveness_typesz00(obj_t,
		obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_castzf2livenesszf2zzliveness_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33805ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62lambda3540z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32825ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33716ze3ze5zzliveness_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33554ze3ze5zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_pragmaz00_bglt BGl_z62lambda2491z62zzliveness_typesz00(obj_t,
		obj_t);
	static BgL_wideningz00_bglt BGl_z62lambda2653z62zzliveness_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2816z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda3707z62zzliveness_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2817z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda3708z62zzliveness_typesz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[44];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4000z00zzliveness_typesz00,
		BgL_bgl_za762lambda2129za7624517z00,
		BGl_z62lambda2129z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4001z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4518za7,
		BGl_z62zc3z04anonymousza32189ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4002z00zzliveness_typesz00,
		BgL_bgl_za762lambda2188za7624519z00,
		BGl_z62lambda2188z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4003z00zzliveness_typesz00,
		BgL_bgl_za762lambda2187za7624520z00,
		BGl_z62lambda2187z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4004z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4521za7,
		BGl_z62zc3z04anonymousza32196ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4005z00zzliveness_typesz00,
		BgL_bgl_za762lambda2195za7624522z00,
		BGl_z62lambda2195z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4006z00zzliveness_typesz00,
		BgL_bgl_za762lambda2194za7624523z00,
		BGl_z62lambda2194z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4007z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4524za7,
		BGl_z62zc3z04anonymousza32204ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4008z00zzliveness_typesz00,
		BgL_bgl_za762lambda2203za7624525z00,
		BGl_z62lambda2203z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4009z00zzliveness_typesz00,
		BgL_bgl_za762lambda2202za7624526z00,
		BGl_z62lambda2202z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4010z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4527za7,
		BGl_z62zc3z04anonymousza32211ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4011z00zzliveness_typesz00,
		BgL_bgl_za762lambda2210za7624528z00,
		BGl_z62lambda2210z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4012z00zzliveness_typesz00,
		BgL_bgl_za762lambda2209za7624529z00,
		BGl_z62lambda2209z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4013z00zzliveness_typesz00,
		BgL_bgl_za762lambda2179za7624530z00,
		BGl_z62lambda2179z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4014z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4531za7,
		BGl_z62zc3z04anonymousza32178ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4015z00zzliveness_typesz00,
		BgL_bgl_za762lambda2176za7624532z00,
		BGl_z62lambda2176z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4016z00zzliveness_typesz00,
		BgL_bgl_za762lambda2173za7624533z00,
		BGl_z62lambda2173z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4017z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4534za7,
		BGl_z62zc3z04anonymousza32236ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4018z00zzliveness_typesz00,
		BgL_bgl_za762lambda2235za7624535z00,
		BGl_z62lambda2235z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4019z00zzliveness_typesz00,
		BgL_bgl_za762lambda2234za7624536z00,
		BGl_z62lambda2234z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4020z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4537za7,
		BGl_z62zc3z04anonymousza32243ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4021z00zzliveness_typesz00,
		BgL_bgl_za762lambda2242za7624538z00,
		BGl_z62lambda2242z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4022z00zzliveness_typesz00,
		BgL_bgl_za762lambda2241za7624539z00,
		BGl_z62lambda2241z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4023z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4540za7,
		BGl_z62zc3z04anonymousza32250ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4024z00zzliveness_typesz00,
		BgL_bgl_za762lambda2249za7624541z00,
		BGl_z62lambda2249z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4025z00zzliveness_typesz00,
		BgL_bgl_za762lambda2248za7624542z00,
		BGl_z62lambda2248z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4026z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4543za7,
		BGl_z62zc3z04anonymousza32258ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4027z00zzliveness_typesz00,
		BgL_bgl_za762lambda2257za7624544z00,
		BGl_z62lambda2257z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4028z00zzliveness_typesz00,
		BgL_bgl_za762lambda2256za7624545z00,
		BGl_z62lambda2256z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4029z00zzliveness_typesz00,
		BgL_bgl_za762lambda2224za7624546z00,
		BGl_z62lambda2224z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4030z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4547za7,
		BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4031z00zzliveness_typesz00,
		BgL_bgl_za762lambda2221za7624548z00,
		BGl_z62lambda2221z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4032z00zzliveness_typesz00,
		BgL_bgl_za762lambda2218za7624549z00,
		BGl_z62lambda2218z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4033z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4550za7,
		BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4034z00zzliveness_typesz00,
		BgL_bgl_za762lambda2281za7624551z00,
		BGl_z62lambda2281z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4035z00zzliveness_typesz00,
		BgL_bgl_za762lambda2280za7624552z00,
		BGl_z62lambda2280z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4036z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4553za7,
		BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4037z00zzliveness_typesz00,
		BgL_bgl_za762lambda2288za7624554z00,
		BGl_z62lambda2288z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4038z00zzliveness_typesz00,
		BgL_bgl_za762lambda2287za7624555z00,
		BGl_z62lambda2287z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4039z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4556za7,
		BGl_z62zc3z04anonymousza32297ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4200z00zzliveness_typesz00,
		BgL_bgl_za762lambda2901za7624557z00,
		BGl_z62lambda2901z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4201z00zzliveness_typesz00,
		BgL_bgl_za762lambda2900za7624558z00,
		BGl_z62lambda2900z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4202z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4559za7,
		BGl_z62zc3z04anonymousza32911ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4040z00zzliveness_typesz00,
		BgL_bgl_za762lambda2296za7624560z00,
		BGl_z62lambda2296z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4203z00zzliveness_typesz00,
		BgL_bgl_za762lambda2910za7624561z00,
		BGl_z62lambda2910z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4041z00zzliveness_typesz00,
		BgL_bgl_za762lambda2295za7624562z00,
		BGl_z62lambda2295z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4204z00zzliveness_typesz00,
		BgL_bgl_za762lambda2909za7624563z00,
		BGl_z62lambda2909z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4042z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4564za7,
		BGl_z62zc3z04anonymousza32305ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4205z00zzliveness_typesz00,
		BgL_bgl_za762lambda2855za7624565z00,
		BGl_z62lambda2855z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4043z00zzliveness_typesz00,
		BgL_bgl_za762lambda2304za7624566z00,
		BGl_z62lambda2304z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4206z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4567za7,
		BGl_z62zc3z04anonymousza32854ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzliveness_typesz00,
		BgL_bgl_za762lambda2303za7624568z00,
		BGl_z62lambda2303z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4207z00zzliveness_typesz00,
		BgL_bgl_za762lambda2852za7624569z00,
		BGl_z62lambda2852z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzliveness_typesz00,
		BgL_bgl_za762lambda2271za7624570z00,
		BGl_z62lambda2271z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4208z00zzliveness_typesz00,
		BgL_bgl_za762lambda2849za7624571z00,
		BGl_z62lambda2849z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4046z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4572za7,
		BGl_z62zc3z04anonymousza32270ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4209z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4573za7,
		BGl_z62zc3z04anonymousza32940ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4047z00zzliveness_typesz00,
		BgL_bgl_za762lambda2268za7624574z00,
		BGl_z62lambda2268z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4048z00zzliveness_typesz00,
		BgL_bgl_za762lambda2265za7624575z00,
		BGl_z62lambda2265z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4049z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4576za7,
		BGl_z62zc3z04anonymousza32332ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4210z00zzliveness_typesz00,
		BgL_bgl_za762lambda2939za7624577z00,
		BGl_z62lambda2939z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4211z00zzliveness_typesz00,
		BgL_bgl_za762lambda2938za7624578z00,
		BGl_z62lambda2938z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4212z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4579za7,
		BGl_z62zc3z04anonymousza32956ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4050z00zzliveness_typesz00,
		BgL_bgl_za762lambda2331za7624580z00,
		BGl_z62lambda2331z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4213z00zzliveness_typesz00,
		BgL_bgl_za762lambda2955za7624581z00,
		BGl_z62lambda2955z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4051z00zzliveness_typesz00,
		BgL_bgl_za762lambda2330za7624582z00,
		BGl_z62lambda2330z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4214z00zzliveness_typesz00,
		BgL_bgl_za762lambda2954za7624583z00,
		BGl_z62lambda2954z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4052z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4584za7,
		BGl_z62zc3z04anonymousza32340ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4215z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4585za7,
		BGl_z62zc3z04anonymousza32963ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4053z00zzliveness_typesz00,
		BgL_bgl_za762lambda2339za7624586z00,
		BGl_z62lambda2339z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4216z00zzliveness_typesz00,
		BgL_bgl_za762lambda2962za7624587z00,
		BGl_z62lambda2962z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4054z00zzliveness_typesz00,
		BgL_bgl_za762lambda2338za7624588z00,
		BGl_z62lambda2338z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4217z00zzliveness_typesz00,
		BgL_bgl_za762lambda2961za7624589z00,
		BGl_z62lambda2961z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4055z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4590za7,
		BGl_z62zc3z04anonymousza32348ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4218z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4591za7,
		BGl_z62zc3z04anonymousza32971ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4056z00zzliveness_typesz00,
		BgL_bgl_za762lambda2347za7624592z00,
		BGl_z62lambda2347z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4219z00zzliveness_typesz00,
		BgL_bgl_za762lambda2970za7624593z00,
		BGl_z62lambda2970z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4057z00zzliveness_typesz00,
		BgL_bgl_za762lambda2346za7624594z00,
		BGl_z62lambda2346z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4058z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4595za7,
		BGl_z62zc3z04anonymousza32356ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4059z00zzliveness_typesz00,
		BgL_bgl_za762lambda2355za7624596z00,
		BGl_z62lambda2355z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4220z00zzliveness_typesz00,
		BgL_bgl_za762lambda2969za7624597z00,
		BGl_z62lambda2969z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4221z00zzliveness_typesz00,
		BgL_bgl_za762lambda2924za7624598z00,
		BGl_z62lambda2924z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4222z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4599za7,
		BGl_z62zc3z04anonymousza32923ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4060z00zzliveness_typesz00,
		BgL_bgl_za762lambda2354za7624600z00,
		BGl_z62lambda2354z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4223z00zzliveness_typesz00,
		BgL_bgl_za762lambda2921za7624601z00,
		BGl_z62lambda2921z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4061z00zzliveness_typesz00,
		BgL_bgl_za762lambda2322za7624602z00,
		BGl_z62lambda2322z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4224z00zzliveness_typesz00,
		BgL_bgl_za762lambda2918za7624603z00,
		BGl_z62lambda2918z62zzliveness_typesz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4062z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4604za7,
		BGl_z62zc3z04anonymousza32321ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4225z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4605za7,
		BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4063z00zzliveness_typesz00,
		BgL_bgl_za762lambda2319za7624606z00,
		BGl_z62lambda2319z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4226z00zzliveness_typesz00,
		BgL_bgl_za762lambda3005za7624607z00,
		BGl_z62lambda3005z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4064z00zzliveness_typesz00,
		BgL_bgl_za762lambda2315za7624608z00,
		BGl_z62lambda2315z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4227z00zzliveness_typesz00,
		BgL_bgl_za762lambda3004za7624609z00,
		BGl_z62lambda3004z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4065z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4610za7,
		BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4228z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4611za7,
		BGl_z62zc3z04anonymousza33015ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4066z00zzliveness_typesz00,
		BgL_bgl_za762lambda2384za7624612z00,
		BGl_z62lambda2384z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4229z00zzliveness_typesz00,
		BgL_bgl_za762lambda3014za7624613z00,
		BGl_z62lambda3014z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4067z00zzliveness_typesz00,
		BgL_bgl_za762lambda2383za7624614z00,
		BGl_z62lambda2383z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4068z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4615za7,
		BGl_z62zc3z04anonymousza32393ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4069z00zzliveness_typesz00,
		BgL_bgl_za762lambda2392za7624616z00,
		BGl_z62lambda2392z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4230z00zzliveness_typesz00,
		BgL_bgl_za762lambda3013za7624617z00,
		BGl_z62lambda3013z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4231z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4618za7,
		BGl_z62zc3z04anonymousza33022ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4232z00zzliveness_typesz00,
		BgL_bgl_za762lambda3021za7624619z00,
		BGl_z62lambda3021z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4070z00zzliveness_typesz00,
		BgL_bgl_za762lambda2391za7624620z00,
		BGl_z62lambda2391z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4233z00zzliveness_typesz00,
		BgL_bgl_za762lambda3020za7624621z00,
		BGl_z62lambda3020z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4071z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4622za7,
		BGl_z62zc3z04anonymousza32404ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4234z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4623za7,
		BGl_z62zc3z04anonymousza33029ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4072z00zzliveness_typesz00,
		BgL_bgl_za762lambda2403za7624624z00,
		BGl_z62lambda2403z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4235z00zzliveness_typesz00,
		BgL_bgl_za762lambda3028za7624625z00,
		BGl_z62lambda3028z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4073z00zzliveness_typesz00,
		BgL_bgl_za762lambda2402za7624626z00,
		BGl_z62lambda2402z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4236z00zzliveness_typesz00,
		BgL_bgl_za762lambda3027za7624627z00,
		BGl_z62lambda3027z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4074z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4628za7,
		BGl_z62zc3z04anonymousza32415ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4237z00zzliveness_typesz00,
		BgL_bgl_za762lambda2985za7624629z00,
		BGl_z62lambda2985z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4075z00zzliveness_typesz00,
		BgL_bgl_za762lambda2414za7624630z00,
		BGl_z62lambda2414z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4238z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4631za7,
		BGl_z62zc3z04anonymousza32984ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4076z00zzliveness_typesz00,
		BgL_bgl_za762lambda2413za7624632z00,
		BGl_z62lambda2413z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4239z00zzliveness_typesz00,
		BgL_bgl_za762lambda2982za7624633z00,
		BGl_z62lambda2982z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4077z00zzliveness_typesz00,
		BgL_bgl_za762lambda2373za7624634z00,
		BGl_z62lambda2373z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4078z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4635za7,
		BGl_z62zc3z04anonymousza32372ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4079z00zzliveness_typesz00,
		BgL_bgl_za762lambda2370za7624636z00,
		BGl_z62lambda2370z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4400z00zzliveness_typesz00,
		BgL_bgl_za762lambda3549za7624637z00,
		BGl_z62lambda3549z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4401z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4638za7,
		BGl_z62zc3z04anonymousza33620ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4402z00zzliveness_typesz00,
		BgL_bgl_za762lambda3619za7624639z00,
		BGl_z62lambda3619z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4240z00zzliveness_typesz00,
		BgL_bgl_za762lambda2979za7624640z00,
		BGl_z62lambda2979z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4403z00zzliveness_typesz00,
		BgL_bgl_za762lambda3618za7624641z00,
		BGl_z62lambda3618z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4241z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4642za7,
		BGl_z62zc3z04anonymousza33068ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4404z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4643za7,
		BGl_z62zc3z04anonymousza33628ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4242z00zzliveness_typesz00,
		BgL_bgl_za762lambda3067za7624644z00,
		BGl_z62lambda3067z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4080z00zzliveness_typesz00,
		BgL_bgl_za762lambda2365za7624645z00,
		BGl_z62lambda2365z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4405z00zzliveness_typesz00,
		BgL_bgl_za762lambda3627za7624646z00,
		BGl_z62lambda3627z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4243z00zzliveness_typesz00,
		BgL_bgl_za762lambda3066za7624647z00,
		BGl_z62lambda3066z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4081z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4648za7,
		BGl_z62zc3z04anonymousza32451ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4406z00zzliveness_typesz00,
		BgL_bgl_za762lambda3626za7624649z00,
		BGl_z62lambda3626z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4244z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4650za7,
		BGl_z62zc3z04anonymousza33078ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4082z00zzliveness_typesz00,
		BgL_bgl_za762lambda2450za7624651z00,
		BGl_z62lambda2450z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4407z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4652za7,
		BGl_z62zc3z04anonymousza33635ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4245z00zzliveness_typesz00,
		BgL_bgl_za762lambda3077za7624653z00,
		BGl_z62lambda3077z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4083z00zzliveness_typesz00,
		BgL_bgl_za762lambda2449za7624654z00,
		BGl_z62lambda2449z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4408z00zzliveness_typesz00,
		BgL_bgl_za762lambda3634za7624655z00,
		BGl_z62lambda3634z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4246z00zzliveness_typesz00,
		BgL_bgl_za762lambda3076za7624656z00,
		BGl_z62lambda3076z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4084z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4657za7,
		BGl_z62zc3z04anonymousza32460ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4409z00zzliveness_typesz00,
		BgL_bgl_za762lambda3633za7624658z00,
		BGl_z62lambda3633z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4247z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4659za7,
		BGl_z62zc3z04anonymousza33086ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4085z00zzliveness_typesz00,
		BgL_bgl_za762lambda2459za7624660z00,
		BGl_z62lambda2459z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4248z00zzliveness_typesz00,
		BgL_bgl_za762lambda3085za7624661z00,
		BGl_z62lambda3085z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4086z00zzliveness_typesz00,
		BgL_bgl_za762lambda2458za7624662z00,
		BGl_z62lambda2458z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4249z00zzliveness_typesz00,
		BgL_bgl_za762lambda3084za7624663z00,
		BGl_z62lambda3084z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4087z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4664za7,
		BGl_z62zc3z04anonymousza32468ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4088z00zzliveness_typesz00,
		BgL_bgl_za762lambda2467za7624665z00,
		BGl_z62lambda2467z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4089z00zzliveness_typesz00,
		BgL_bgl_za762lambda2466za7624666z00,
		BGl_z62lambda2466z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4410z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4667za7,
		BGl_z62zc3z04anonymousza33642ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4411z00zzliveness_typesz00,
		BgL_bgl_za762lambda3641za7624668z00,
		BGl_z62lambda3641z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4412z00zzliveness_typesz00,
		BgL_bgl_za762lambda3640za7624669z00,
		BGl_z62lambda3640z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4250z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4670za7,
		BGl_z62zc3z04anonymousza33093ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4413z00zzliveness_typesz00,
		BgL_bgl_za762lambda3608za7624671z00,
		BGl_z62lambda3608z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4251z00zzliveness_typesz00,
		BgL_bgl_za762lambda3092za7624672z00,
		BGl_z62lambda3092z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4414z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4673za7,
		BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4252z00zzliveness_typesz00,
		BgL_bgl_za762lambda3091za7624674z00,
		BGl_z62lambda3091z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4090z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4675za7,
		BGl_z62zc3z04anonymousza32475ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4415z00zzliveness_typesz00,
		BgL_bgl_za762lambda3605za7624676z00,
		BGl_z62lambda3605z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4253z00zzliveness_typesz00,
		BgL_bgl_za762lambda3054za7624677z00,
		BGl_z62lambda3054z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4091z00zzliveness_typesz00,
		BgL_bgl_za762lambda2474za7624678z00,
		BGl_z62lambda2474z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4416z00zzliveness_typesz00,
		BgL_bgl_za762lambda3601za7624679z00,
		BGl_z62lambda3601z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4254z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4680za7,
		BGl_z62zc3z04anonymousza33053ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4092z00zzliveness_typesz00,
		BgL_bgl_za762lambda2473za7624681z00,
		BGl_z62lambda2473z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4417z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4682za7,
		BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4255z00zzliveness_typesz00,
		BgL_bgl_za762lambda3050za7624683z00,
		BGl_z62lambda3050z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4093z00zzliveness_typesz00,
		BgL_bgl_za762lambda2433za7624684z00,
		BGl_z62lambda2433z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4418z00zzliveness_typesz00,
		BgL_bgl_za762lambda3664za7624685z00,
		BGl_z62lambda3664z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4256z00zzliveness_typesz00,
		BgL_bgl_za762lambda3047za7624686z00,
		BGl_z62lambda3047z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4094z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4687za7,
		BGl_z62zc3z04anonymousza32432ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4419z00zzliveness_typesz00,
		BgL_bgl_za762lambda3663za7624688z00,
		BGl_z62lambda3663z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4257z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4689za7,
		BGl_z62zc3z04anonymousza33126ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4095z00zzliveness_typesz00,
		BgL_bgl_za762lambda2430za7624690z00,
		BGl_z62lambda2430z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4258z00zzliveness_typesz00,
		BgL_bgl_za762lambda3125za7624691z00,
		BGl_z62lambda3125z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4096z00zzliveness_typesz00,
		BgL_bgl_za762lambda2425za7624692z00,
		BGl_z62lambda2425z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4259z00zzliveness_typesz00,
		BgL_bgl_za762lambda3124za7624693z00,
		BGl_z62lambda3124z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4097z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4694za7,
		BGl_z62zc3z04anonymousza32502ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4098z00zzliveness_typesz00,
		BgL_bgl_za762lambda2501za7624695z00,
		BGl_z62lambda2501z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4099z00zzliveness_typesz00,
		BgL_bgl_za762lambda2500za7624696z00,
		BGl_z62lambda2500z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4420z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4697za7,
		BGl_z62zc3z04anonymousza33672ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4421z00zzliveness_typesz00,
		BgL_bgl_za762lambda3671za7624698z00,
		BGl_z62lambda3671z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4422z00zzliveness_typesz00,
		BgL_bgl_za762lambda3670za7624699z00,
		BGl_z62lambda3670z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4260z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4700za7,
		BGl_z62zc3z04anonymousza33142ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4423z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4701za7,
		BGl_z62zc3z04anonymousza33679ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4261z00zzliveness_typesz00,
		BgL_bgl_za762lambda3141za7624702z00,
		BGl_z62lambda3141z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4424z00zzliveness_typesz00,
		BgL_bgl_za762lambda3678za7624703z00,
		BGl_z62lambda3678z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4262z00zzliveness_typesz00,
		BgL_bgl_za762lambda3140za7624704z00,
		BGl_z62lambda3140z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4425z00zzliveness_typesz00,
		BgL_bgl_za762lambda3677za7624705z00,
		BGl_z62lambda3677z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4263z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4706za7,
		BGl_z62zc3z04anonymousza33151ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string4513z00zzliveness_typesz00,
		BgL_bgl_string4513za700za7za7l4707za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4426z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4708za7,
		BGl_z62zc3z04anonymousza33686ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4264z00zzliveness_typesz00,
		BgL_bgl_za762lambda3150za7624709z00,
		BGl_z62lambda3150z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4514z00zzliveness_typesz00,
		BgL_bgl_string4514za700za7za7l4710za7, "liveness_types", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4427z00zzliveness_typesz00,
		BgL_bgl_za762lambda3685za7624711z00,
		BGl_z62lambda3685z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4265z00zzliveness_typesz00,
		BgL_bgl_za762lambda3149za7624712z00,
		BGl_z62lambda3149z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4515z00zzliveness_typesz00,
		BgL_bgl_string4515za700za7za7l4713za7,
		"_ box-set!/liveness box-ref/liveness make-box/liveness return/liveness retblock/liveness sync/liveness jump-ex-it/liveness set-ex-it/liveness let-var/liveness let-fun/liveness switch/liveness fail/liveness conditional/liveness setq/liveness cast/liveness cast-null/liveness instanceof/liveness vlength/liveness vset!/liveness vref/liveness valloc/liveness new/liveness widening/liveness setfield/liveness getfield/liveness pragma/liveness funcall/liveness app-ly/liveness app/liveness sequence/liveness kwote/liveness closure/liveness ref/liveness literal/liveness out in use pair-nil def liveness_types local/liveness int %count ",
		630);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4428z00zzliveness_typesz00,
		BgL_bgl_za762lambda3684za7624714z00,
		BGl_z62lambda3684z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4266z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4715za7,
		BGl_z62zc3z04anonymousza33158ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4429z00zzliveness_typesz00,
		BgL_bgl_za762lambda3655za7624716z00,
		BGl_z62lambda3655z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4267z00zzliveness_typesz00,
		BgL_bgl_za762lambda3157za7624717z00,
		BGl_z62lambda3157z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4268z00zzliveness_typesz00,
		BgL_bgl_za762lambda3156za7624718z00,
		BGl_z62lambda3156z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4269z00zzliveness_typesz00,
		BgL_bgl_za762lambda3116za7624719z00,
		BGl_z62lambda3116z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4430z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4720za7,
		BGl_z62zc3z04anonymousza33654ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4431z00zzliveness_typesz00,
		BgL_bgl_za762lambda3652za7624721z00,
		BGl_z62lambda3652z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4432z00zzliveness_typesz00,
		BgL_bgl_za762lambda3649za7624722z00,
		BGl_z62lambda3649z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4270z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4723za7,
		BGl_z62zc3z04anonymousza33115ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4433z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4724za7,
		BGl_z62zc3z04anonymousza33709ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4271z00zzliveness_typesz00,
		BgL_bgl_za762lambda3112za7624725z00,
		BGl_z62lambda3112z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4434z00zzliveness_typesz00,
		BgL_bgl_za762lambda3708za7624726z00,
		BGl_z62lambda3708z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4272z00zzliveness_typesz00,
		BgL_bgl_za762lambda3108za7624727z00,
		BGl_z62lambda3108z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4435z00zzliveness_typesz00,
		BgL_bgl_za762lambda3707za7624728z00,
		BGl_z62lambda3707z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4273z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4729za7,
		BGl_z62zc3z04anonymousza33200ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4436z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4730za7,
		BGl_z62zc3z04anonymousza33716ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4274z00zzliveness_typesz00,
		BgL_bgl_za762lambda3199za7624731z00,
		BGl_z62lambda3199z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4437z00zzliveness_typesz00,
		BgL_bgl_za762lambda3715za7624732z00,
		BGl_z62lambda3715z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4275z00zzliveness_typesz00,
		BgL_bgl_za762lambda3198za7624733z00,
		BGl_z62lambda3198z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4438z00zzliveness_typesz00,
		BgL_bgl_za762lambda3714za7624734z00,
		BGl_z62lambda3714z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4276z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4735za7,
		BGl_z62zc3z04anonymousza33208ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4439z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4736za7,
		BGl_z62zc3z04anonymousza33723ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4277z00zzliveness_typesz00,
		BgL_bgl_za762lambda3207za7624737z00,
		BGl_z62lambda3207z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4278z00zzliveness_typesz00,
		BgL_bgl_za762lambda3206za7624738z00,
		BGl_z62lambda3206z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4279z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4739za7,
		BGl_z62zc3z04anonymousza33215ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4440z00zzliveness_typesz00,
		BgL_bgl_za762lambda3722za7624740z00,
		BGl_z62lambda3722z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4441z00zzliveness_typesz00,
		BgL_bgl_za762lambda3721za7624741z00,
		BGl_z62lambda3721z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4442z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4742za7,
		BGl_z62zc3z04anonymousza33730ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4280z00zzliveness_typesz00,
		BgL_bgl_za762lambda3214za7624743z00,
		BGl_z62lambda3214z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4443z00zzliveness_typesz00,
		BgL_bgl_za762lambda3729za7624744z00,
		BGl_z62lambda3729z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4281z00zzliveness_typesz00,
		BgL_bgl_za762lambda3213za7624745z00,
		BGl_z62lambda3213z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4444z00zzliveness_typesz00,
		BgL_bgl_za762lambda3728za7624746z00,
		BGl_z62lambda3728z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4282z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4747za7,
		BGl_z62zc3z04anonymousza33222ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4445z00zzliveness_typesz00,
		BgL_bgl_za762lambda3699za7624748z00,
		BGl_z62lambda3699z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4283z00zzliveness_typesz00,
		BgL_bgl_za762lambda3221za7624749z00,
		BGl_z62lambda3221z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4446z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4750za7,
		BGl_z62zc3z04anonymousza33698ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4284z00zzliveness_typesz00,
		BgL_bgl_za762lambda3220za7624751z00,
		BGl_z62lambda3220z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4447z00zzliveness_typesz00,
		BgL_bgl_za762lambda3696za7624752z00,
		BGl_z62lambda3696z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4285z00zzliveness_typesz00,
		BgL_bgl_za762lambda3173za7624753z00,
		BGl_z62lambda3173z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4448z00zzliveness_typesz00,
		BgL_bgl_za762lambda3693za7624754z00,
		BGl_z62lambda3693z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4286z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4755za7,
		BGl_z62zc3z04anonymousza33172ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4449z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4756za7,
		BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4287z00zzliveness_typesz00,
		BgL_bgl_za762lambda3170za7624757z00,
		BGl_z62lambda3170z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4288z00zzliveness_typesz00,
		BgL_bgl_za762lambda3167za7624758z00,
		BGl_z62lambda3167z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4289z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4759za7,
		BGl_z62zc3z04anonymousza33253ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4450z00zzliveness_typesz00,
		BgL_bgl_za762lambda3753za7624760z00,
		BGl_z62lambda3753z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4451z00zzliveness_typesz00,
		BgL_bgl_za762lambda3752za7624761z00,
		BGl_z62lambda3752z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4452z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4762za7,
		BGl_z62zc3z04anonymousza33761ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4290z00zzliveness_typesz00,
		BgL_bgl_za762lambda3252za7624763z00,
		BGl_z62lambda3252z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4453z00zzliveness_typesz00,
		BgL_bgl_za762lambda3760za7624764z00,
		BGl_z62lambda3760z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4291z00zzliveness_typesz00,
		BgL_bgl_za762lambda3251za7624765z00,
		BGl_z62lambda3251z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4454z00zzliveness_typesz00,
		BgL_bgl_za762lambda3759za7624766z00,
		BGl_z62lambda3759z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4292z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4767za7,
		BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4455z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4768za7,
		BGl_z62zc3z04anonymousza33768ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4293z00zzliveness_typesz00,
		BgL_bgl_za762lambda3259za7624769z00,
		BGl_z62lambda3259z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4456z00zzliveness_typesz00,
		BgL_bgl_za762lambda3767za7624770z00,
		BGl_z62lambda3767z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4294z00zzliveness_typesz00,
		BgL_bgl_za762lambda3258za7624771z00,
		BGl_z62lambda3258z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4457z00zzliveness_typesz00,
		BgL_bgl_za762lambda3766za7624772z00,
		BGl_z62lambda3766z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4295z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4773za7,
		BGl_z62zc3z04anonymousza33272ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4458z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4774za7,
		BGl_z62zc3z04anonymousza33775ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4296z00zzliveness_typesz00,
		BgL_bgl_za762lambda3271za7624775z00,
		BGl_z62lambda3271z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4459z00zzliveness_typesz00,
		BgL_bgl_za762lambda3774za7624776z00,
		BGl_z62lambda3774z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4297z00zzliveness_typesz00,
		BgL_bgl_za762lambda3270za7624777z00,
		BGl_z62lambda3270z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4298z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4778za7,
		BGl_z62zc3z04anonymousza33279ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4299z00zzliveness_typesz00,
		BgL_bgl_za762lambda3278za7624779z00,
		BGl_z62lambda3278z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4460z00zzliveness_typesz00,
		BgL_bgl_za762lambda3773za7624780z00,
		BGl_z62lambda3773z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4461z00zzliveness_typesz00,
		BgL_bgl_za762lambda3744za7624781z00,
		BGl_z62lambda3744z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4462z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4782za7,
		BGl_z62zc3z04anonymousza33743ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4463z00zzliveness_typesz00,
		BgL_bgl_za762lambda3741za7624783z00,
		BGl_z62lambda3741z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4464z00zzliveness_typesz00,
		BgL_bgl_za762lambda3738za7624784z00,
		BGl_z62lambda3738z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4465z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4785za7,
		BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4466z00zzliveness_typesz00,
		BgL_bgl_za762lambda3797za7624786z00,
		BGl_z62lambda3797z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4467z00zzliveness_typesz00,
		BgL_bgl_za762lambda3796za7624787z00,
		BGl_z62lambda3796z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4468z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4788za7,
		BGl_z62zc3z04anonymousza33805ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4469z00zzliveness_typesz00,
		BgL_bgl_za762lambda3804za7624789z00,
		BGl_z62lambda3804z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4470z00zzliveness_typesz00,
		BgL_bgl_za762lambda3803za7624790z00,
		BGl_z62lambda3803z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4471z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4791za7,
		BGl_z62zc3z04anonymousza33812ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4472z00zzliveness_typesz00,
		BgL_bgl_za762lambda3811za7624792z00,
		BGl_z62lambda3811z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4473z00zzliveness_typesz00,
		BgL_bgl_za762lambda3810za7624793z00,
		BGl_z62lambda3810z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4474z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4794za7,
		BGl_z62zc3z04anonymousza33819ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4475z00zzliveness_typesz00,
		BgL_bgl_za762lambda3818za7624795z00,
		BGl_z62lambda3818z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4476z00zzliveness_typesz00,
		BgL_bgl_za762lambda3817za7624796z00,
		BGl_z62lambda3817z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4477z00zzliveness_typesz00,
		BgL_bgl_za762lambda3788za7624797z00,
		BGl_z62lambda3788z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4478z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4798za7,
		BGl_z62zc3z04anonymousza33787ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4479z00zzliveness_typesz00,
		BgL_bgl_za762lambda3785za7624799z00,
		BGl_z62lambda3785z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4480z00zzliveness_typesz00,
		BgL_bgl_za762lambda3782za7624800z00,
		BGl_z62lambda3782z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4481z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4801za7,
		BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4482z00zzliveness_typesz00,
		BgL_bgl_za762lambda3841za7624802z00,
		BGl_z62lambda3841z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4483z00zzliveness_typesz00,
		BgL_bgl_za762lambda3840za7624803z00,
		BGl_z62lambda3840z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4484z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4804za7,
		BGl_z62zc3z04anonymousza33849ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4485z00zzliveness_typesz00,
		BgL_bgl_za762lambda3848za7624805z00,
		BGl_z62lambda3848z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4486z00zzliveness_typesz00,
		BgL_bgl_za762lambda3847za7624806z00,
		BGl_z62lambda3847z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4487z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4807za7,
		BGl_z62zc3z04anonymousza33856ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4488z00zzliveness_typesz00,
		BgL_bgl_za762lambda3855za7624808z00,
		BGl_z62lambda3855z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4489z00zzliveness_typesz00,
		BgL_bgl_za762lambda3854za7624809z00,
		BGl_z62lambda3854z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4490z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4810za7,
		BGl_z62zc3z04anonymousza33863ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4491z00zzliveness_typesz00,
		BgL_bgl_za762lambda3862za7624811z00,
		BGl_z62lambda3862z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4492z00zzliveness_typesz00,
		BgL_bgl_za762lambda3861za7624812z00,
		BGl_z62lambda3861z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4493z00zzliveness_typesz00,
		BgL_bgl_za762lambda3832za7624813z00,
		BGl_z62lambda3832z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4494z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4814za7,
		BGl_z62zc3z04anonymousza33831ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4495z00zzliveness_typesz00,
		BgL_bgl_za762lambda3829za7624815z00,
		BGl_z62lambda3829z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4496z00zzliveness_typesz00,
		BgL_bgl_za762lambda3826za7624816z00,
		BGl_z62lambda3826z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4497z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4817za7,
		BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4498z00zzliveness_typesz00,
		BgL_bgl_za762lambda3885za7624818z00,
		BGl_z62lambda3885z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4499z00zzliveness_typesz00,
		BgL_bgl_za762lambda3884za7624819z00,
		BGl_z62lambda3884z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3962z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4820za7,
		BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3963z00zzliveness_typesz00,
		BgL_bgl_za762lambda2077za7624821z00,
		BGl_z62lambda2077z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3964z00zzliveness_typesz00,
		BgL_bgl_za762lambda2076za7624822z00,
		BGl_z62lambda2076z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3965z00zzliveness_typesz00,
		BgL_bgl_za762lambda2068za7624823z00,
		BGl_z62lambda2068z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3966z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4824za7,
		BGl_z62zc3z04anonymousza32067ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3967z00zzliveness_typesz00,
		BgL_bgl_za762lambda2065za7624825z00,
		BGl_z62lambda2065z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3968z00zzliveness_typesz00,
		BgL_bgl_za762lambda2061za7624826z00,
		BGl_z62lambda2061z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3969z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4827za7,
		BGl_z62zc3z04anonymousza32101ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3970z00zzliveness_typesz00,
		BgL_bgl_za762lambda2100za7624828z00,
		BGl_z62lambda2100z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3971z00zzliveness_typesz00,
		BgL_bgl_za762lambda2099za7624829z00,
		BGl_z62lambda2099z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3972z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4830za7,
		BGl_z62zc3z04anonymousza32108ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3973z00zzliveness_typesz00,
		BgL_bgl_za762lambda2107za7624831z00,
		BGl_z62lambda2107z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3974z00zzliveness_typesz00,
		BgL_bgl_za762lambda2106za7624832z00,
		BGl_z62lambda2106z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3975z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4833za7,
		BGl_z62zc3z04anonymousza32115ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3976z00zzliveness_typesz00,
		BgL_bgl_za762lambda2114za7624834z00,
		BGl_z62lambda2114z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3977z00zzliveness_typesz00,
		BgL_bgl_za762lambda2113za7624835z00,
		BGl_z62lambda2113z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3978z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4836za7,
		BGl_z62zc3z04anonymousza32122ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3979z00zzliveness_typesz00,
		BgL_bgl_za762lambda2121za7624837z00,
		BGl_z62lambda2121z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3980z00zzliveness_typesz00,
		BgL_bgl_za762lambda2120za7624838z00,
		BGl_z62lambda2120z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3981z00zzliveness_typesz00,
		BgL_bgl_za762lambda2091za7624839z00,
		BGl_z62lambda2091z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3982z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4840za7,
		BGl_z62zc3z04anonymousza32090ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3983z00zzliveness_typesz00,
		BgL_bgl_za762lambda2088za7624841z00,
		BGl_z62lambda2088z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3984z00zzliveness_typesz00,
		BgL_bgl_za762lambda2085za7624842z00,
		BGl_z62lambda2085z62zzliveness_typesz00, 0L, BUNSPEC, 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3985z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4843za7,
		BGl_z62zc3z04anonymousza32145ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3986z00zzliveness_typesz00,
		BgL_bgl_za762lambda2144za7624844z00,
		BGl_z62lambda2144z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3987z00zzliveness_typesz00,
		BgL_bgl_za762lambda2143za7624845z00,
		BGl_z62lambda2143z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3988z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4846za7,
		BGl_z62zc3z04anonymousza32152ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3989z00zzliveness_typesz00,
		BgL_bgl_za762lambda2151za7624847z00,
		BGl_z62lambda2151z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3990z00zzliveness_typesz00,
		BgL_bgl_za762lambda2150za7624848z00,
		BGl_z62lambda2150z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3991z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4849za7,
		BGl_z62zc3z04anonymousza32159ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3992z00zzliveness_typesz00,
		BgL_bgl_za762lambda2158za7624850z00,
		BGl_z62lambda2158z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3993z00zzliveness_typesz00,
		BgL_bgl_za762lambda2157za7624851z00,
		BGl_z62lambda2157z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3994z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4852za7,
		BGl_z62zc3z04anonymousza32166ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3995z00zzliveness_typesz00,
		BgL_bgl_za762lambda2165za7624853z00,
		BGl_z62lambda2165z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3996z00zzliveness_typesz00,
		BgL_bgl_za762lambda2164za7624854z00,
		BGl_z62lambda2164z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3997z00zzliveness_typesz00,
		BgL_bgl_za762lambda2135za7624855z00,
		BGl_z62lambda2135z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3998z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4856za7,
		BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3999z00zzliveness_typesz00,
		BgL_bgl_za762lambda2132za7624857z00,
		BGl_z62lambda2132z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4100z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4858za7,
		BGl_z62zc3z04anonymousza32510ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4101z00zzliveness_typesz00,
		BgL_bgl_za762lambda2509za7624859z00,
		BGl_z62lambda2509z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4102z00zzliveness_typesz00,
		BgL_bgl_za762lambda2508za7624860z00,
		BGl_z62lambda2508z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4103z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4861za7,
		BGl_z62zc3z04anonymousza32522ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4104z00zzliveness_typesz00,
		BgL_bgl_za762lambda2521za7624862z00,
		BGl_z62lambda2521z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4105z00zzliveness_typesz00,
		BgL_bgl_za762lambda2520za7624863z00,
		BGl_z62lambda2520z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4106z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4864za7,
		BGl_z62zc3z04anonymousza32531ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4107z00zzliveness_typesz00,
		BgL_bgl_za762lambda2530za7624865z00,
		BGl_z62lambda2530z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4108z00zzliveness_typesz00,
		BgL_bgl_za762lambda2529za7624866z00,
		BGl_z62lambda2529z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4109z00zzliveness_typesz00,
		BgL_bgl_za762lambda2491za7624867z00,
		BGl_z62lambda2491z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4110z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4868za7,
		BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4111z00zzliveness_typesz00,
		BgL_bgl_za762lambda2488za7624869z00,
		BGl_z62lambda2488z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4112z00zzliveness_typesz00,
		BgL_bgl_za762lambda2482za7624870z00,
		BGl_z62lambda2482z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4113z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4871za7,
		BGl_z62zc3z04anonymousza32557ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4114z00zzliveness_typesz00,
		BgL_bgl_za762lambda2556za7624872z00,
		BGl_z62lambda2556z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4115z00zzliveness_typesz00,
		BgL_bgl_za762lambda2555za7624873z00,
		BGl_z62lambda2555z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4116z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4874za7,
		BGl_z62zc3z04anonymousza32564ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4117z00zzliveness_typesz00,
		BgL_bgl_za762lambda2563za7624875z00,
		BGl_z62lambda2563z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4118z00zzliveness_typesz00,
		BgL_bgl_za762lambda2562za7624876z00,
		BGl_z62lambda2562z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4119z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4877za7,
		BGl_z62zc3z04anonymousza32572ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4120z00zzliveness_typesz00,
		BgL_bgl_za762lambda2571za7624878z00,
		BGl_z62lambda2571z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4121z00zzliveness_typesz00,
		BgL_bgl_za762lambda2570za7624879z00,
		BGl_z62lambda2570z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4122z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4880za7,
		BGl_z62zc3z04anonymousza32580ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4123z00zzliveness_typesz00,
		BgL_bgl_za762lambda2579za7624881z00,
		BGl_z62lambda2579z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4124z00zzliveness_typesz00,
		BgL_bgl_za762lambda2578za7624882z00,
		BGl_z62lambda2578z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4125z00zzliveness_typesz00,
		BgL_bgl_za762lambda2547za7624883z00,
		BGl_z62lambda2547z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4126z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4884za7,
		BGl_z62zc3z04anonymousza32546ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4127z00zzliveness_typesz00,
		BgL_bgl_za762lambda2543za7624885z00,
		BGl_z62lambda2543z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4128z00zzliveness_typesz00,
		BgL_bgl_za762lambda2539za7624886z00,
		BGl_z62lambda2539z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4129z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4887za7,
		BGl_z62zc3z04anonymousza32606ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4130z00zzliveness_typesz00,
		BgL_bgl_za762lambda2605za7624888z00,
		BGl_z62lambda2605z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4131z00zzliveness_typesz00,
		BgL_bgl_za762lambda2604za7624889z00,
		BGl_z62lambda2604z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4132z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4890za7,
		BGl_z62zc3z04anonymousza32613ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4133z00zzliveness_typesz00,
		BgL_bgl_za762lambda2612za7624891z00,
		BGl_z62lambda2612z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4134z00zzliveness_typesz00,
		BgL_bgl_za762lambda2611za7624892z00,
		BGl_z62lambda2611z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4135z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4893za7,
		BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4136z00zzliveness_typesz00,
		BgL_bgl_za762lambda2624za7624894z00,
		BGl_z62lambda2624z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4137z00zzliveness_typesz00,
		BgL_bgl_za762lambda2623za7624895z00,
		BGl_z62lambda2623z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4138z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4896za7,
		BGl_z62zc3z04anonymousza32633ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4139z00zzliveness_typesz00,
		BgL_bgl_za762lambda2632za7624897z00,
		BGl_z62lambda2632z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4300z00zzliveness_typesz00,
		BgL_bgl_za762lambda3277za7624898z00,
		BGl_z62lambda3277z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4301z00zzliveness_typesz00,
		BgL_bgl_za762lambda3240za7624899z00,
		BGl_z62lambda3240z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4302z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4900za7,
		BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4140z00zzliveness_typesz00,
		BgL_bgl_za762lambda2631za7624901z00,
		BGl_z62lambda2631z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4303z00zzliveness_typesz00,
		BgL_bgl_za762lambda3235za7624902z00,
		BGl_z62lambda3235z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4141z00zzliveness_typesz00,
		BgL_bgl_za762lambda2595za7624903z00,
		BGl_z62lambda2595z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4304z00zzliveness_typesz00,
		BgL_bgl_za762lambda3232za7624904z00,
		BGl_z62lambda3232z62zzliveness_typesz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4142z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4905za7,
		BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4305z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4906za7,
		BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4143z00zzliveness_typesz00,
		BgL_bgl_za762lambda2591za7624907z00,
		BGl_z62lambda2591z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4306z00zzliveness_typesz00,
		BgL_bgl_za762lambda3309za7624908z00,
		BGl_z62lambda3309z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4144z00zzliveness_typesz00,
		BgL_bgl_za762lambda2587za7624909z00,
		BGl_z62lambda2587z62zzliveness_typesz00, 0L, BUNSPEC, 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4307z00zzliveness_typesz00,
		BgL_bgl_za762lambda3308za7624910z00,
		BGl_z62lambda3308z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4145z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4911za7,
		BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4308z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4912za7,
		BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4146z00zzliveness_typesz00,
		BgL_bgl_za762lambda2669za7624913z00,
		BGl_z62lambda2669z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4309z00zzliveness_typesz00,
		BgL_bgl_za762lambda3317za7624914z00,
		BGl_z62lambda3317z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4147z00zzliveness_typesz00,
		BgL_bgl_za762lambda2668za7624915z00,
		BGl_z62lambda2668z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4148z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4916za7,
		BGl_z62zc3z04anonymousza32678ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4149z00zzliveness_typesz00,
		BgL_bgl_za762lambda2677za7624917z00,
		BGl_z62lambda2677z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4310z00zzliveness_typesz00,
		BgL_bgl_za762lambda3316za7624918z00,
		BGl_z62lambda3316z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4311z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4919za7,
		BGl_z62zc3z04anonymousza33326ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4312z00zzliveness_typesz00,
		BgL_bgl_za762lambda3325za7624920z00,
		BGl_z62lambda3325z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4150z00zzliveness_typesz00,
		BgL_bgl_za762lambda2676za7624921z00,
		BGl_z62lambda2676z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4313z00zzliveness_typesz00,
		BgL_bgl_za762lambda3324za7624922z00,
		BGl_z62lambda3324z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4151z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4923za7,
		BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4314z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4924za7,
		BGl_z62zc3z04anonymousza33334ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzliveness_typesz00,
		BgL_bgl_za762lambda2686za7624925z00,
		BGl_z62lambda2686z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4315z00zzliveness_typesz00,
		BgL_bgl_za762lambda3333za7624926z00,
		BGl_z62lambda3333z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4153z00zzliveness_typesz00,
		BgL_bgl_za762lambda2685za7624927z00,
		BGl_z62lambda2685z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4316z00zzliveness_typesz00,
		BgL_bgl_za762lambda3332za7624928z00,
		BGl_z62lambda3332z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4154z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4929za7,
		BGl_z62zc3z04anonymousza32708ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4317z00zzliveness_typesz00,
		BgL_bgl_za762lambda3298za7624930z00,
		BGl_z62lambda3298z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzliveness_typesz00,
		BgL_bgl_za762lambda2707za7624931z00,
		BGl_z62lambda2707z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4318z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4932za7,
		BGl_z62zc3z04anonymousza33297ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4156z00zzliveness_typesz00,
		BgL_bgl_za762lambda2706za7624933z00,
		BGl_z62lambda2706z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4319z00zzliveness_typesz00,
		BgL_bgl_za762lambda3295za7624934z00,
		BGl_z62lambda3295z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzliveness_typesz00,
		BgL_bgl_za762lambda2657za7624935z00,
		BGl_z62lambda2657z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4936za7,
		BGl_z62zc3z04anonymousza32656ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzliveness_typesz00,
		BgL_bgl_za762lambda2653za7624937z00,
		BGl_z62lambda2653z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4320z00zzliveness_typesz00,
		BgL_bgl_za762lambda3291za7624938z00,
		BGl_z62lambda3291z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4321z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4939za7,
		BGl_z62zc3z04anonymousza33361ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4322z00zzliveness_typesz00,
		BgL_bgl_za762lambda3360za7624940z00,
		BGl_z62lambda3360z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzliveness_typesz00,
		BgL_bgl_za762lambda2646za7624941z00,
		BGl_z62lambda2646z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4323z00zzliveness_typesz00,
		BgL_bgl_za762lambda3359za7624942z00,
		BGl_z62lambda3359z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4943za7,
		BGl_z62zc3z04anonymousza32737ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4324z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4944za7,
		BGl_z62zc3z04anonymousza33370ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzliveness_typesz00,
		BgL_bgl_za762lambda2736za7624945z00,
		BGl_z62lambda2736z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4325z00zzliveness_typesz00,
		BgL_bgl_za762lambda3369za7624946z00,
		BGl_z62lambda3369z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzliveness_typesz00,
		BgL_bgl_za762lambda2735za7624947z00,
		BGl_z62lambda2735z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4326z00zzliveness_typesz00,
		BgL_bgl_za762lambda3368za7624948z00,
		BGl_z62lambda3368z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4949za7,
		BGl_z62zc3z04anonymousza32745ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4327z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4950za7,
		BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzliveness_typesz00,
		BgL_bgl_za762lambda2744za7624951z00,
		BGl_z62lambda2744z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4328z00zzliveness_typesz00,
		BgL_bgl_za762lambda3377za7624952z00,
		BGl_z62lambda3377z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4166z00zzliveness_typesz00,
		BgL_bgl_za762lambda2743za7624953z00,
		BGl_z62lambda2743z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4329z00zzliveness_typesz00,
		BgL_bgl_za762lambda3376za7624954z00,
		BGl_z62lambda3376z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4167z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4955za7,
		BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4168z00zzliveness_typesz00,
		BgL_bgl_za762lambda2754za7624956z00,
		BGl_z62lambda2754z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4169z00zzliveness_typesz00,
		BgL_bgl_za762lambda2753za7624957z00,
		BGl_z62lambda2753z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4330z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4958za7,
		BGl_z62zc3z04anonymousza33387ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4331z00zzliveness_typesz00,
		BgL_bgl_za762lambda3386za7624959z00,
		BGl_z62lambda3386z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4332z00zzliveness_typesz00,
		BgL_bgl_za762lambda3385za7624960z00,
		BGl_z62lambda3385z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4170z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4961za7,
		BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4333z00zzliveness_typesz00,
		BgL_bgl_za762lambda3349za7624962z00,
		BGl_z62lambda3349z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4171z00zzliveness_typesz00,
		BgL_bgl_za762lambda2764za7624963z00,
		BGl_z62lambda2764z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4334z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4964za7,
		BGl_z62zc3z04anonymousza33348ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4172z00zzliveness_typesz00,
		BgL_bgl_za762lambda2763za7624965z00,
		BGl_z62lambda2763z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4335z00zzliveness_typesz00,
		BgL_bgl_za762lambda3346za7624966z00,
		BGl_z62lambda3346z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4173z00zzliveness_typesz00,
		BgL_bgl_za762lambda2727za7624967z00,
		BGl_z62lambda2727z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4336z00zzliveness_typesz00,
		BgL_bgl_za762lambda3342za7624968z00,
		BGl_z62lambda3342z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4174z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4969za7,
		BGl_z62zc3z04anonymousza32726ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4337z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4970za7,
		BGl_z62zc3z04anonymousza33415ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4175z00zzliveness_typesz00,
		BgL_bgl_za762lambda2724za7624971z00,
		BGl_z62lambda2724z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4338z00zzliveness_typesz00,
		BgL_bgl_za762lambda3414za7624972z00,
		BGl_z62lambda3414z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4176z00zzliveness_typesz00,
		BgL_bgl_za762lambda2721za7624973z00,
		BGl_z62lambda2721z62zzliveness_typesz00, 0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4339z00zzliveness_typesz00,
		BgL_bgl_za762lambda3413za7624974z00,
		BGl_z62lambda3413z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4177z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4975za7,
		BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4178z00zzliveness_typesz00,
		BgL_bgl_za762lambda2817za7624976z00,
		BGl_z62lambda2817z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4179z00zzliveness_typesz00,
		BgL_bgl_za762lambda2816za7624977z00,
		BGl_z62lambda2816z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4500z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4978za7,
		BGl_z62zc3z04anonymousza33893ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4501z00zzliveness_typesz00,
		BgL_bgl_za762lambda3892za7624979z00,
		BGl_z62lambda3892z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4502z00zzliveness_typesz00,
		BgL_bgl_za762lambda3891za7624980z00,
		BGl_z62lambda3891z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4340z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4981za7,
		BGl_z62zc3z04anonymousza33423ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4503z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4982za7,
		BGl_z62zc3z04anonymousza33900ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4341z00zzliveness_typesz00,
		BgL_bgl_za762lambda3422za7624983z00,
		BGl_z62lambda3422z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4504z00zzliveness_typesz00,
		BgL_bgl_za762lambda3899za7624984z00,
		BGl_z62lambda3899z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4342z00zzliveness_typesz00,
		BgL_bgl_za762lambda3421za7624985z00,
		BGl_z62lambda3421z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4180z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4986za7,
		BGl_z62zc3z04anonymousza32825ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4505z00zzliveness_typesz00,
		BgL_bgl_za762lambda3898za7624987z00,
		BGl_z62lambda3898z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4343z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4988za7,
		BGl_z62zc3z04anonymousza33431ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4181z00zzliveness_typesz00,
		BgL_bgl_za762lambda2824za7624989z00,
		BGl_z62lambda2824z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4506z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4990za7,
		BGl_z62zc3z04anonymousza33907ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4344z00zzliveness_typesz00,
		BgL_bgl_za762lambda3430za7624991z00,
		BGl_z62lambda3430z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4182z00zzliveness_typesz00,
		BgL_bgl_za762lambda2823za7624992z00,
		BGl_z62lambda2823z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4507z00zzliveness_typesz00,
		BgL_bgl_za762lambda3906za7624993z00,
		BGl_z62lambda3906z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4345z00zzliveness_typesz00,
		BgL_bgl_za762lambda3429za7624994z00,
		BGl_z62lambda3429z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4183z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4995za7,
		BGl_z62zc3z04anonymousza32832ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4508z00zzliveness_typesz00,
		BgL_bgl_za762lambda3905za7624996z00,
		BGl_z62lambda3905z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4346z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo4997za7,
		BGl_z62zc3z04anonymousza33439ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4184z00zzliveness_typesz00,
		BgL_bgl_za762lambda2831za7624998z00,
		BGl_z62lambda2831z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4509z00zzliveness_typesz00,
		BgL_bgl_za762lambda3876za7624999z00,
		BGl_z62lambda3876z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4347z00zzliveness_typesz00,
		BgL_bgl_za762lambda3438za7625000z00,
		BGl_z62lambda3438z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4185z00zzliveness_typesz00,
		BgL_bgl_za762lambda2830za7625001z00,
		BGl_z62lambda2830z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4348z00zzliveness_typesz00,
		BgL_bgl_za762lambda3437za7625002z00,
		BGl_z62lambda3437z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4186z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5003za7,
		BGl_z62zc3z04anonymousza32839ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4349z00zzliveness_typesz00,
		BgL_bgl_za762lambda3402za7625004z00,
		BGl_z62lambda3402z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4187z00zzliveness_typesz00,
		BgL_bgl_za762lambda2838za7625005z00,
		BGl_z62lambda2838z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4188z00zzliveness_typesz00,
		BgL_bgl_za762lambda2837za7625006z00,
		BGl_z62lambda2837z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4189z00zzliveness_typesz00,
		BgL_bgl_za762lambda2804za7625007z00,
		BGl_z62lambda2804z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4510z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5008za7,
		BGl_z62zc3z04anonymousza33875ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4511z00zzliveness_typesz00,
		BgL_bgl_za762lambda3873za7625009z00,
		BGl_z62lambda3873z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4512z00zzliveness_typesz00,
		BgL_bgl_za762lambda3870za7625010z00,
		BGl_z62lambda3870z62zzliveness_typesz00, 0L, BUNSPEC, 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4350z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5011za7,
		BGl_z62zc3z04anonymousza33401ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4351z00zzliveness_typesz00,
		BgL_bgl_za762lambda3398za7625012z00,
		BGl_z62lambda3398z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4352z00zzliveness_typesz00,
		BgL_bgl_za762lambda3394za7625013z00,
		BGl_z62lambda3394z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4190z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5014za7,
		BGl_z62zc3z04anonymousza32803ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4353z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5015za7,
		BGl_z62zc3z04anonymousza33464ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4191z00zzliveness_typesz00,
		BgL_bgl_za762lambda2801za7625016z00,
		BGl_z62lambda2801z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4354z00zzliveness_typesz00,
		BgL_bgl_za762lambda3463za7625017z00,
		BGl_z62lambda3463z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4192z00zzliveness_typesz00,
		BgL_bgl_za762lambda2775za7625018z00,
		BGl_z62lambda2775z62zzliveness_typesz00, 0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4355z00zzliveness_typesz00,
		BgL_bgl_za762lambda3462za7625019z00,
		BGl_z62lambda3462z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4193z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5020za7,
		BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4356z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5021za7,
		BGl_z62zc3z04anonymousza33472ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4194z00zzliveness_typesz00,
		BgL_bgl_za762lambda2865za7625022z00,
		BGl_z62lambda2865z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4357z00zzliveness_typesz00,
		BgL_bgl_za762lambda3471za7625023z00,
		BGl_z62lambda3471z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4195z00zzliveness_typesz00,
		BgL_bgl_za762lambda2864za7625024z00,
		BGl_z62lambda2864z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4358z00zzliveness_typesz00,
		BgL_bgl_za762lambda3470za7625025z00,
		BGl_z62lambda3470z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4196z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5026za7,
		BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4359z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5027za7,
		BGl_z62zc3z04anonymousza33480ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4197z00zzliveness_typesz00,
		BgL_bgl_za762lambda2889za7625028z00,
		BGl_z62lambda2889z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4198z00zzliveness_typesz00,
		BgL_bgl_za762lambda2888za7625029z00,
		BGl_z62lambda2888z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4199z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5030za7,
		BGl_z62zc3z04anonymousza32902ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4360z00zzliveness_typesz00,
		BgL_bgl_za762lambda3479za7625031z00,
		BGl_z62lambda3479z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4361z00zzliveness_typesz00,
		BgL_bgl_za762lambda3478za7625032z00,
		BGl_z62lambda3478z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4362z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5033za7,
		BGl_z62zc3z04anonymousza33488ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4363z00zzliveness_typesz00,
		BgL_bgl_za762lambda3487za7625034z00,
		BGl_z62lambda3487z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4364z00zzliveness_typesz00,
		BgL_bgl_za762lambda3486za7625035z00,
		BGl_z62lambda3486z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4365z00zzliveness_typesz00,
		BgL_bgl_za762lambda3453za7625036z00,
		BGl_z62lambda3453z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4366z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5037za7,
		BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4367z00zzliveness_typesz00,
		BgL_bgl_za762lambda3450za7625038z00,
		BGl_z62lambda3450z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4368z00zzliveness_typesz00,
		BgL_bgl_za762lambda3446za7625039z00,
		BGl_z62lambda3446z62zzliveness_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4369z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5040za7,
		BGl_z62zc3z04anonymousza33516ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4370z00zzliveness_typesz00,
		BgL_bgl_za762lambda3515za7625041z00,
		BGl_z62lambda3515z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4371z00zzliveness_typesz00,
		BgL_bgl_za762lambda3514za7625042z00,
		BGl_z62lambda3514z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4372z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5043za7,
		BGl_z62zc3z04anonymousza33524ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4373z00zzliveness_typesz00,
		BgL_bgl_za762lambda3523za7625044z00,
		BGl_z62lambda3523z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4374z00zzliveness_typesz00,
		BgL_bgl_za762lambda3522za7625045z00,
		BGl_z62lambda3522z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4375z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5046za7,
		BGl_z62zc3z04anonymousza33532ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4376z00zzliveness_typesz00,
		BgL_bgl_za762lambda3531za7625047z00,
		BGl_z62lambda3531z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4377z00zzliveness_typesz00,
		BgL_bgl_za762lambda3530za7625048z00,
		BGl_z62lambda3530z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4378z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5049za7,
		BGl_z62zc3z04anonymousza33541ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4379z00zzliveness_typesz00,
		BgL_bgl_za762lambda3540za7625050z00,
		BGl_z62lambda3540z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4380z00zzliveness_typesz00,
		BgL_bgl_za762lambda3539za7625051z00,
		BGl_z62lambda3539z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4381z00zzliveness_typesz00,
		BgL_bgl_za762lambda3504za7625052z00,
		BGl_z62lambda3504z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4382z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5053za7,
		BGl_z62zc3z04anonymousza33503ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4383z00zzliveness_typesz00,
		BgL_bgl_za762lambda3500za7625054z00,
		BGl_z62lambda3500z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4384z00zzliveness_typesz00,
		BgL_bgl_za762lambda3496za7625055z00,
		BGl_z62lambda3496z62zzliveness_typesz00, 0L, BUNSPEC, 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4385z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5056za7,
		BGl_z62zc3z04anonymousza33568ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4386z00zzliveness_typesz00,
		BgL_bgl_za762lambda3567za7625057z00,
		BGl_z62lambda3567z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4387z00zzliveness_typesz00,
		BgL_bgl_za762lambda3566za7625058z00,
		BGl_z62lambda3566z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4388z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5059za7,
		BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4389z00zzliveness_typesz00,
		BgL_bgl_za762lambda3575za7625060z00,
		BGl_z62lambda3575z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4390z00zzliveness_typesz00,
		BgL_bgl_za762lambda3574za7625061z00,
		BGl_z62lambda3574z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4391z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5062za7,
		BGl_z62zc3z04anonymousza33585ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4392z00zzliveness_typesz00,
		BgL_bgl_za762lambda3584za7625063z00,
		BGl_z62lambda3584z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4393z00zzliveness_typesz00,
		BgL_bgl_za762lambda3583za7625064z00,
		BGl_z62lambda3583z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4394z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5065za7,
		BGl_z62zc3z04anonymousza33593ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4395z00zzliveness_typesz00,
		BgL_bgl_za762lambda3592za7625066z00,
		BGl_z62lambda3592z62zzliveness_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4396z00zzliveness_typesz00,
		BgL_bgl_za762lambda3591za7625067z00,
		BGl_z62lambda3591z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4397z00zzliveness_typesz00,
		BgL_bgl_za762lambda3555za7625068z00,
		BGl_z62lambda3555z62zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4398z00zzliveness_typesz00,
		BgL_bgl_za762za7c3za704anonymo5069za7,
		BGl_z62zc3z04anonymousza33554ze3ze5zzliveness_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4399z00zzliveness_typesz00,
		BgL_bgl_za762lambda3552za7625070z00,
		BGl_z62lambda3552z62zzliveness_typesz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_funcallzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_kwotezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_wideningzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_localzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vsetz12zf2livenessze0zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vlengthzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_newzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_switchzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_valloczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_returnzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzd2nullzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_pragmazf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_synczf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_getfieldzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setfieldzf2livenesszf2zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2funzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void *) (&BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_refzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_literalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_conditionalzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_instanceofzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_boxzd2refzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_letzd2varzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_retblockzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_appzd2lyzf2livenessz20zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_vrefzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_failzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_makezd2boxzf2livenessz20zzliveness_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_sequencezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_setqzf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_closurezf2livenesszf2zzliveness_typesz00));
		     ADD_ROOT((void *) (&BGl_castzf2livenesszf2zzliveness_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzliveness_typesz00(long
		BgL_checksumz00_9966, char *BgL_fromz00_9967)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzliveness_typesz00))
				{
					BGl_requirezd2initializa7ationz75zzliveness_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzliveness_typesz00();
					BGl_libraryzd2moduleszd2initz00zzliveness_typesz00();
					BGl_cnstzd2initzd2zzliveness_typesz00();
					BGl_importedzd2moduleszd2initz00zzliveness_typesz00();
					BGl_objectzd2initzd2zzliveness_typesz00();
					return BGl_toplevelzd2initzd2zzliveness_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "liveness_types");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"liveness_types");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"liveness_types");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 15 */
				obj_t BgL_cportz00_8509;

				{	/* Liveness/types.scm 15 */
					obj_t BgL_stringz00_8516;

					BgL_stringz00_8516 = BGl_string4515z00zzliveness_typesz00;
					{	/* Liveness/types.scm 15 */
						obj_t BgL_startz00_8517;

						BgL_startz00_8517 = BINT(0L);
						{	/* Liveness/types.scm 15 */
							obj_t BgL_endz00_8518;

							BgL_endz00_8518 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8516)));
							{	/* Liveness/types.scm 15 */

								BgL_cportz00_8509 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8516, BgL_startz00_8517, BgL_endz00_8518);
				}}}}
				{
					long BgL_iz00_8510;

					BgL_iz00_8510 = 43L;
				BgL_loopz00_8511:
					if ((BgL_iz00_8510 == (-1L)))
						{	/* Liveness/types.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Liveness/types.scm 15 */
							{	/* Liveness/types.scm 15 */
								obj_t BgL_arg4516z00_8512;

								{	/* Liveness/types.scm 15 */

									{	/* Liveness/types.scm 15 */
										obj_t BgL_locationz00_8514;

										BgL_locationz00_8514 = BBOOL(((bool_t) 0));
										{	/* Liveness/types.scm 15 */

											BgL_arg4516z00_8512 =
												BGl_readz00zz__readerz00(BgL_cportz00_8509,
												BgL_locationz00_8514);
										}
									}
								}
								{	/* Liveness/types.scm 15 */
									int BgL_tmpz00_9992;

									BgL_tmpz00_9992 = (int) (BgL_iz00_8510);
									CNST_TABLE_SET(BgL_tmpz00_9992, BgL_arg4516z00_8512);
							}}
							{	/* Liveness/types.scm 15 */
								int BgL_auxz00_8515;

								BgL_auxz00_8515 = (int) ((BgL_iz00_8510 - 1L));
								{
									long BgL_iz00_9997;

									BgL_iz00_9997 = (long) (BgL_auxz00_8515);
									BgL_iz00_8510 = BgL_iz00_9997;
									goto BgL_loopz00_8511;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			{	/* Liveness/types.scm 26 */
				obj_t BgL_arg2059z00_1370;
				obj_t BgL_arg2060z00_1371;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1980z00_1406;

					BgL_v1980z00_1406 = create_vector(1L);
					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2072z00_1407;

						BgL_arg2072z00_1407 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(0)), BGl_proc3964z00zzliveness_typesz00,
							BGl_proc3963z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3962z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(1)));
						VECTOR_SET(BgL_v1980z00_1406, 0L, BgL_arg2072z00_1407);
					}
					BgL_arg2059z00_1370 = BgL_v1980z00_1406;
				}
				{	/* Liveness/types.scm 26 */
					obj_t BgL_v1981z00_1420;

					BgL_v1981z00_1420 = create_vector(0L);
					BgL_arg2060z00_1371 = BgL_v1981z00_1420;
				}
				BGl_localzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(2)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_localz00zzast_varz00, 56389L,
					BGl_proc3968z00zzliveness_typesz00,
					BGl_proc3967z00zzliveness_typesz00, BFALSE,
					BGl_proc3966z00zzliveness_typesz00,
					BGl_proc3965z00zzliveness_typesz00, BgL_arg2059z00_1370,
					BgL_arg2060z00_1371);
			}
			{	/* Liveness/types.scm 29 */
				obj_t BgL_arg2083z00_1429;
				obj_t BgL_arg2084z00_1430;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1982z00_1458;

					BgL_v1982z00_1458 = create_vector(4L);
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2095z00_1459;

						BgL_arg2095z00_1459 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc3971z00zzliveness_typesz00,
							BGl_proc3970z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3969z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1982z00_1458, 0L, BgL_arg2095z00_1459);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2102z00_1472;

						BgL_arg2102z00_1472 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc3974z00zzliveness_typesz00,
							BGl_proc3973z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3972z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1982z00_1458, 1L, BgL_arg2102z00_1472);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2109z00_1485;

						BgL_arg2109z00_1485 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc3977z00zzliveness_typesz00,
							BGl_proc3976z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3975z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1982z00_1458, 2L, BgL_arg2109z00_1485);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2116z00_1498;

						BgL_arg2116z00_1498 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc3980z00zzliveness_typesz00,
							BGl_proc3979z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3978z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1982z00_1458, 3L, BgL_arg2116z00_1498);
					}
					BgL_arg2083z00_1429 = BgL_v1982z00_1458;
				}
				{	/* Liveness/types.scm 29 */
					obj_t BgL_v1983z00_1511;

					BgL_v1983z00_1511 = create_vector(0L);
					BgL_arg2084z00_1430 = BgL_v1983z00_1511;
				}
				BGl_literalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(9)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_literalz00zzast_nodez00, 57234L,
					BGl_proc3984z00zzliveness_typesz00,
					BGl_proc3983z00zzliveness_typesz00, BFALSE,
					BGl_proc3982z00zzliveness_typesz00,
					BGl_proc3981z00zzliveness_typesz00, BgL_arg2083z00_1429,
					BgL_arg2084z00_1430);
			}
			{	/* Liveness/types.scm 35 */
				obj_t BgL_arg2127z00_1520;
				obj_t BgL_arg2128z00_1521;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1984z00_1549;

					BgL_v1984z00_1549 = create_vector(4L);
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2139z00_1550;

						BgL_arg2139z00_1550 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc3987z00zzliveness_typesz00,
							BGl_proc3986z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3985z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1984z00_1549, 0L, BgL_arg2139z00_1550);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2146z00_1563;

						BgL_arg2146z00_1563 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc3990z00zzliveness_typesz00,
							BGl_proc3989z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3988z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1984z00_1549, 1L, BgL_arg2146z00_1563);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2153z00_1576;

						BgL_arg2153z00_1576 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc3993z00zzliveness_typesz00,
							BGl_proc3992z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3991z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1984z00_1549, 2L, BgL_arg2153z00_1576);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2160z00_1589;

						BgL_arg2160z00_1589 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc3996z00zzliveness_typesz00,
							BGl_proc3995z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc3994z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1984z00_1549, 3L, BgL_arg2160z00_1589);
					}
					BgL_arg2127z00_1520 = BgL_v1984z00_1549;
				}
				{	/* Liveness/types.scm 35 */
					obj_t BgL_v1985z00_1602;

					BgL_v1985z00_1602 = create_vector(0L);
					BgL_arg2128z00_1521 = BgL_v1985z00_1602;
				}
				BGl_refzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(10)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_refz00zzast_nodez00, 10994L,
					BGl_proc4000z00zzliveness_typesz00,
					BGl_proc3999z00zzliveness_typesz00, BFALSE,
					BGl_proc3998z00zzliveness_typesz00,
					BGl_proc3997z00zzliveness_typesz00, BgL_arg2127z00_1520,
					BgL_arg2128z00_1521);
			}
			{	/* Liveness/types.scm 41 */
				obj_t BgL_arg2171z00_1611;
				obj_t BgL_arg2172z00_1612;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1986z00_1640;

					BgL_v1986z00_1640 = create_vector(4L);
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2183z00_1641;

						BgL_arg2183z00_1641 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4003z00zzliveness_typesz00,
							BGl_proc4002z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4001z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1986z00_1640, 0L, BgL_arg2183z00_1641);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2190z00_1654;

						BgL_arg2190z00_1654 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4006z00zzliveness_typesz00,
							BGl_proc4005z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4004z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1986z00_1640, 1L, BgL_arg2190z00_1654);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2197z00_1667;

						BgL_arg2197z00_1667 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4009z00zzliveness_typesz00,
							BGl_proc4008z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4007z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1986z00_1640, 2L, BgL_arg2197z00_1667);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2205z00_1680;

						BgL_arg2205z00_1680 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4012z00zzliveness_typesz00,
							BGl_proc4011z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4010z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1986z00_1640, 3L, BgL_arg2205z00_1680);
					}
					BgL_arg2171z00_1611 = BgL_v1986z00_1640;
				}
				{	/* Liveness/types.scm 41 */
					obj_t BgL_v1987z00_1693;

					BgL_v1987z00_1693 = create_vector(0L);
					BgL_arg2172z00_1612 = BgL_v1987z00_1693;
				}
				BGl_closurezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(11)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_closurez00zzast_nodez00, 38002L,
					BGl_proc4016z00zzliveness_typesz00,
					BGl_proc4015z00zzliveness_typesz00, BFALSE,
					BGl_proc4014z00zzliveness_typesz00,
					BGl_proc4013z00zzliveness_typesz00, BgL_arg2171z00_1611,
					BgL_arg2172z00_1612);
			}
			{	/* Liveness/types.scm 47 */
				obj_t BgL_arg2216z00_1702;
				obj_t BgL_arg2217z00_1703;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1988z00_1731;

					BgL_v1988z00_1731 = create_vector(4L);
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2228z00_1732;

						BgL_arg2228z00_1732 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4019z00zzliveness_typesz00,
							BGl_proc4018z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4017z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1988z00_1731, 0L, BgL_arg2228z00_1732);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2237z00_1745;

						BgL_arg2237z00_1745 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4022z00zzliveness_typesz00,
							BGl_proc4021z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4020z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1988z00_1731, 1L, BgL_arg2237z00_1745);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2244z00_1758;

						BgL_arg2244z00_1758 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4025z00zzliveness_typesz00,
							BGl_proc4024z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4023z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1988z00_1731, 2L, BgL_arg2244z00_1758);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2252z00_1771;

						BgL_arg2252z00_1771 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4028z00zzliveness_typesz00,
							BGl_proc4027z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4026z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1988z00_1731, 3L, BgL_arg2252z00_1771);
					}
					BgL_arg2216z00_1702 = BgL_v1988z00_1731;
				}
				{	/* Liveness/types.scm 47 */
					obj_t BgL_v1989z00_1784;

					BgL_v1989z00_1784 = create_vector(0L);
					BgL_arg2217z00_1703 = BgL_v1989z00_1784;
				}
				BGl_kwotezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(12)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_kwotez00zzast_nodez00, 1496L,
					BGl_proc4032z00zzliveness_typesz00,
					BGl_proc4031z00zzliveness_typesz00, BFALSE,
					BGl_proc4030z00zzliveness_typesz00,
					BGl_proc4029z00zzliveness_typesz00, BgL_arg2216z00_1702,
					BgL_arg2217z00_1703);
			}
			{	/* Liveness/types.scm 53 */
				obj_t BgL_arg2263z00_1793;
				obj_t BgL_arg2264z00_1794;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1990z00_1826;

					BgL_v1990z00_1826 = create_vector(4L);
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2275z00_1827;

						BgL_arg2275z00_1827 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4035z00zzliveness_typesz00,
							BGl_proc4034z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4033z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1990z00_1826, 0L, BgL_arg2275z00_1827);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2283z00_1840;

						BgL_arg2283z00_1840 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4038z00zzliveness_typesz00,
							BGl_proc4037z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4036z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1990z00_1826, 1L, BgL_arg2283z00_1840);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2291z00_1853;

						BgL_arg2291z00_1853 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4041z00zzliveness_typesz00,
							BGl_proc4040z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4039z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1990z00_1826, 2L, BgL_arg2291z00_1853);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2298z00_1866;

						BgL_arg2298z00_1866 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4044z00zzliveness_typesz00,
							BGl_proc4043z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4042z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1990z00_1826, 3L, BgL_arg2298z00_1866);
					}
					BgL_arg2263z00_1793 = BgL_v1990z00_1826;
				}
				{	/* Liveness/types.scm 53 */
					obj_t BgL_v1991z00_1879;

					BgL_v1991z00_1879 = create_vector(0L);
					BgL_arg2264z00_1794 = BgL_v1991z00_1879;
				}
				BGl_sequencezf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(13)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_sequencez00zzast_nodez00, 2458L,
					BGl_proc4048z00zzliveness_typesz00,
					BGl_proc4047z00zzliveness_typesz00, BFALSE,
					BGl_proc4046z00zzliveness_typesz00,
					BGl_proc4045z00zzliveness_typesz00, BgL_arg2263z00_1793,
					BgL_arg2264z00_1794);
			}
			{	/* Liveness/types.scm 59 */
				obj_t BgL_arg2313z00_1888;
				obj_t BgL_arg2314z00_1889;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1992z00_1921;

					BgL_v1992z00_1921 = create_vector(4L);
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2326z00_1922;

						BgL_arg2326z00_1922 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4051z00zzliveness_typesz00,
							BGl_proc4050z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4049z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1992z00_1921, 0L, BgL_arg2326z00_1922);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2334z00_1935;

						BgL_arg2334z00_1935 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4054z00zzliveness_typesz00,
							BGl_proc4053z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4052z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1992z00_1921, 1L, BgL_arg2334z00_1935);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2341z00_1948;

						BgL_arg2341z00_1948 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4057z00zzliveness_typesz00,
							BGl_proc4056z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4055z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1992z00_1921, 2L, BgL_arg2341z00_1948);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2349z00_1961;

						BgL_arg2349z00_1961 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4060z00zzliveness_typesz00,
							BGl_proc4059z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4058z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1992z00_1921, 3L, BgL_arg2349z00_1961);
					}
					BgL_arg2313z00_1888 = BgL_v1992z00_1921;
				}
				{	/* Liveness/types.scm 59 */
					obj_t BgL_v1993z00_1974;

					BgL_v1993z00_1974 = create_vector(0L);
					BgL_arg2314z00_1889 = BgL_v1993z00_1974;
				}
				BGl_appzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(14)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_appz00zzast_nodez00, 35626L,
					BGl_proc4064z00zzliveness_typesz00,
					BGl_proc4063z00zzliveness_typesz00, BFALSE,
					BGl_proc4062z00zzliveness_typesz00,
					BGl_proc4061z00zzliveness_typesz00, BgL_arg2313z00_1888,
					BgL_arg2314z00_1889);
			}
			{	/* Liveness/types.scm 65 */
				obj_t BgL_arg2362z00_1983;
				obj_t BgL_arg2364z00_1984;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1994z00_2013;

					BgL_v1994z00_2013 = create_vector(4L);
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2379z00_2014;

						BgL_arg2379z00_2014 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4067z00zzliveness_typesz00,
							BGl_proc4066z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4065z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1994z00_2013, 0L, BgL_arg2379z00_2014);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2387z00_2027;

						BgL_arg2387z00_2027 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4070z00zzliveness_typesz00,
							BGl_proc4069z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4068z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1994z00_2013, 1L, BgL_arg2387z00_2027);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2396z00_2040;

						BgL_arg2396z00_2040 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4073z00zzliveness_typesz00,
							BGl_proc4072z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4071z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1994z00_2013, 2L, BgL_arg2396z00_2040);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2405z00_2053;

						BgL_arg2405z00_2053 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4076z00zzliveness_typesz00,
							BGl_proc4075z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4074z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1994z00_2013, 3L, BgL_arg2405z00_2053);
					}
					BgL_arg2362z00_1983 = BgL_v1994z00_2013;
				}
				{	/* Liveness/types.scm 65 */
					obj_t BgL_v1995z00_2066;

					BgL_v1995z00_2066 = create_vector(0L);
					BgL_arg2364z00_1984 = BgL_v1995z00_2066;
				}
				BGl_appzd2lyzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(15)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_appzd2lyzd2zzast_nodez00, 48742L,
					BGl_proc4080z00zzliveness_typesz00,
					BGl_proc4079z00zzliveness_typesz00, BFALSE,
					BGl_proc4078z00zzliveness_typesz00,
					BGl_proc4077z00zzliveness_typesz00, BgL_arg2362z00_1983,
					BgL_arg2364z00_1984);
			}
			{	/* Liveness/types.scm 71 */
				obj_t BgL_arg2423z00_2075;
				obj_t BgL_arg2424z00_2076;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1996z00_2107;

					BgL_v1996z00_2107 = create_vector(4L);
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2440z00_2108;

						BgL_arg2440z00_2108 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4083z00zzliveness_typesz00,
							BGl_proc4082z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4081z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1996z00_2107, 0L, BgL_arg2440z00_2108);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2452z00_2121;

						BgL_arg2452z00_2121 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4086z00zzliveness_typesz00,
							BGl_proc4085z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4084z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1996z00_2107, 1L, BgL_arg2452z00_2121);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2461z00_2134;

						BgL_arg2461z00_2134 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4089z00zzliveness_typesz00,
							BGl_proc4088z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4087z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1996z00_2107, 2L, BgL_arg2461z00_2134);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2469z00_2147;

						BgL_arg2469z00_2147 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4092z00zzliveness_typesz00,
							BGl_proc4091z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4090z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1996z00_2107, 3L, BgL_arg2469z00_2147);
					}
					BgL_arg2423z00_2075 = BgL_v1996z00_2107;
				}
				{	/* Liveness/types.scm 71 */
					obj_t BgL_v1997z00_2160;

					BgL_v1997z00_2160 = create_vector(0L);
					BgL_arg2424z00_2076 = BgL_v1997z00_2160;
				}
				BGl_funcallzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(16)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_funcallz00zzast_nodez00, 34146L,
					BGl_proc4096z00zzliveness_typesz00,
					BGl_proc4095z00zzliveness_typesz00, BFALSE,
					BGl_proc4094z00zzliveness_typesz00,
					BGl_proc4093z00zzliveness_typesz00, BgL_arg2423z00_2075,
					BgL_arg2424z00_2076);
			}
			{	/* Liveness/types.scm 77 */
				obj_t BgL_arg2480z00_2169;
				obj_t BgL_arg2481z00_2170;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1998z00_2203;

					BgL_v1998z00_2203 = create_vector(4L);
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2496z00_2204;

						BgL_arg2496z00_2204 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4099z00zzliveness_typesz00,
							BGl_proc4098z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4097z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1998z00_2203, 0L, BgL_arg2496z00_2204);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2503z00_2217;

						BgL_arg2503z00_2217 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4102z00zzliveness_typesz00,
							BGl_proc4101z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4100z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1998z00_2203, 1L, BgL_arg2503z00_2217);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2512z00_2230;

						BgL_arg2512z00_2230 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4105z00zzliveness_typesz00,
							BGl_proc4104z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4103z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1998z00_2203, 2L, BgL_arg2512z00_2230);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2523z00_2243;

						BgL_arg2523z00_2243 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4108z00zzliveness_typesz00,
							BGl_proc4107z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4106z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v1998z00_2203, 3L, BgL_arg2523z00_2243);
					}
					BgL_arg2480z00_2169 = BgL_v1998z00_2203;
				}
				{	/* Liveness/types.scm 77 */
					obj_t BgL_v1999z00_2256;

					BgL_v1999z00_2256 = create_vector(0L);
					BgL_arg2481z00_2170 = BgL_v1999z00_2256;
				}
				BGl_pragmazf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(17)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_pragmaz00zzast_nodez00, 24636L,
					BGl_proc4112z00zzliveness_typesz00,
					BGl_proc4111z00zzliveness_typesz00, BFALSE,
					BGl_proc4110z00zzliveness_typesz00,
					BGl_proc4109z00zzliveness_typesz00, BgL_arg2480z00_2169,
					BgL_arg2481z00_2170);
			}
			{	/* Liveness/types.scm 83 */
				obj_t BgL_arg2537z00_2265;
				obj_t BgL_arg2538z00_2266;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_v2000z00_2301;

					BgL_v2000z00_2301 = create_vector(4L);
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2551z00_2302;

						BgL_arg2551z00_2302 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4115z00zzliveness_typesz00,
							BGl_proc4114z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4113z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2000z00_2301, 0L, BgL_arg2551z00_2302);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2558z00_2315;

						BgL_arg2558z00_2315 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4118z00zzliveness_typesz00,
							BGl_proc4117z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4116z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2000z00_2301, 1L, BgL_arg2558z00_2315);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2565z00_2328;

						BgL_arg2565z00_2328 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4121z00zzliveness_typesz00,
							BGl_proc4120z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4119z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2000z00_2301, 2L, BgL_arg2565z00_2328);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2573z00_2341;

						BgL_arg2573z00_2341 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4124z00zzliveness_typesz00,
							BGl_proc4123z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4122z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2000z00_2301, 3L, BgL_arg2573z00_2341);
					}
					BgL_arg2537z00_2265 = BgL_v2000z00_2301;
				}
				{	/* Liveness/types.scm 83 */
					obj_t BgL_v2001z00_2354;

					BgL_v2001z00_2354 = create_vector(0L);
					BgL_arg2538z00_2266 = BgL_v2001z00_2354;
				}
				BGl_getfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(18)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_getfieldz00zzast_nodez00, 35620L,
					BGl_proc4128z00zzliveness_typesz00,
					BGl_proc4127z00zzliveness_typesz00, BFALSE,
					BGl_proc4126z00zzliveness_typesz00,
					BGl_proc4125z00zzliveness_typesz00, BgL_arg2537z00_2265,
					BgL_arg2538z00_2266);
			}
			{	/* Liveness/types.scm 89 */
				obj_t BgL_arg2585z00_2363;
				obj_t BgL_arg2586z00_2364;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_v2002z00_2399;

					BgL_v2002z00_2399 = create_vector(4L);
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2600z00_2400;

						BgL_arg2600z00_2400 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4131z00zzliveness_typesz00,
							BGl_proc4130z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4129z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2002z00_2399, 0L, BgL_arg2600z00_2400);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2607z00_2413;

						BgL_arg2607z00_2413 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4134z00zzliveness_typesz00,
							BGl_proc4133z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4132z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2002z00_2399, 1L, BgL_arg2607z00_2413);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2615z00_2426;

						BgL_arg2615z00_2426 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4137z00zzliveness_typesz00,
							BGl_proc4136z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4135z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2002z00_2399, 2L, BgL_arg2615z00_2426);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2626z00_2439;

						BgL_arg2626z00_2439 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4140z00zzliveness_typesz00,
							BGl_proc4139z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4138z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2002z00_2399, 3L, BgL_arg2626z00_2439);
					}
					BgL_arg2585z00_2363 = BgL_v2002z00_2399;
				}
				{	/* Liveness/types.scm 89 */
					obj_t BgL_v2003z00_2452;

					BgL_v2003z00_2452 = create_vector(0L);
					BgL_arg2586z00_2364 = BgL_v2003z00_2452;
				}
				BGl_setfieldzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(19)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_setfieldz00zzast_nodez00, 38284L,
					BGl_proc4144z00zzliveness_typesz00,
					BGl_proc4143z00zzliveness_typesz00, BFALSE,
					BGl_proc4142z00zzliveness_typesz00,
					BGl_proc4141z00zzliveness_typesz00, BgL_arg2585z00_2363,
					BgL_arg2586z00_2364);
			}
			{	/* Liveness/types.scm 95 */
				obj_t BgL_arg2643z00_2461;
				obj_t BgL_arg2645z00_2462;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_v2004z00_2495;

					BgL_v2004z00_2495 = create_vector(4L);
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2663z00_2496;

						BgL_arg2663z00_2496 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4147z00zzliveness_typesz00,
							BGl_proc4146z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4145z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2004z00_2495, 0L, BgL_arg2663z00_2496);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2671z00_2509;

						BgL_arg2671z00_2509 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4150z00zzliveness_typesz00,
							BGl_proc4149z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4148z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2004z00_2495, 1L, BgL_arg2671z00_2509);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2679z00_2522;

						BgL_arg2679z00_2522 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4153z00zzliveness_typesz00,
							BGl_proc4152z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4151z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2004z00_2495, 2L, BgL_arg2679z00_2522);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2689z00_2535;

						BgL_arg2689z00_2535 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4156z00zzliveness_typesz00,
							BGl_proc4155z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4154z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2004z00_2495, 3L, BgL_arg2689z00_2535);
					}
					BgL_arg2643z00_2461 = BgL_v2004z00_2495;
				}
				{	/* Liveness/types.scm 95 */
					obj_t BgL_v2005z00_2548;

					BgL_v2005z00_2548 = create_vector(0L);
					BgL_arg2645z00_2462 = BgL_v2005z00_2548;
				}
				BGl_wideningzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(20)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_wideningz00zzast_nodez00, 57314L,
					BGl_proc4160z00zzliveness_typesz00,
					BGl_proc4159z00zzliveness_typesz00, BFALSE,
					BGl_proc4158z00zzliveness_typesz00,
					BGl_proc4157z00zzliveness_typesz00, BgL_arg2643z00_2461,
					BgL_arg2645z00_2462);
			}
			{	/* Liveness/types.scm 101 */
				obj_t BgL_arg2719z00_2557;
				obj_t BgL_arg2720z00_2558;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_v2006z00_2591;

					BgL_v2006z00_2591 = create_vector(4L);
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2731z00_2592;

						BgL_arg2731z00_2592 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4163z00zzliveness_typesz00,
							BGl_proc4162z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4161z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2006z00_2591, 0L, BgL_arg2731z00_2592);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2738z00_2605;

						BgL_arg2738z00_2605 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4166z00zzliveness_typesz00,
							BGl_proc4165z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4164z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2006z00_2591, 1L, BgL_arg2738z00_2605);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2749z00_2618;

						BgL_arg2749z00_2618 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4169z00zzliveness_typesz00,
							BGl_proc4168z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4167z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2006z00_2591, 2L, BgL_arg2749z00_2618);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2756z00_2631;

						BgL_arg2756z00_2631 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4172z00zzliveness_typesz00,
							BGl_proc4171z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4170z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2006z00_2591, 3L, BgL_arg2756z00_2631);
					}
					BgL_arg2719z00_2557 = BgL_v2006z00_2591;
				}
				{	/* Liveness/types.scm 101 */
					obj_t BgL_v2007z00_2644;

					BgL_v2007z00_2644 = create_vector(0L);
					BgL_arg2720z00_2558 = BgL_v2007z00_2644;
				}
				BGl_newzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(21)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_newz00zzast_nodez00, 39832L,
					BGl_proc4176z00zzliveness_typesz00,
					BGl_proc4175z00zzliveness_typesz00, BFALSE,
					BGl_proc4174z00zzliveness_typesz00,
					BGl_proc4173z00zzliveness_typesz00, BgL_arg2719z00_2557,
					BgL_arg2720z00_2558);
			}
			{	/* Liveness/types.scm 107 */
				obj_t BgL_arg2770z00_2653;
				obj_t BgL_arg2774z00_2654;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_v2008z00_2688;

					BgL_v2008z00_2688 = create_vector(4L);
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2811z00_2689;

						BgL_arg2811z00_2689 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4179z00zzliveness_typesz00,
							BGl_proc4178z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4177z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2008z00_2688, 0L, BgL_arg2811z00_2689);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2819z00_2702;

						BgL_arg2819z00_2702 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4182z00zzliveness_typesz00,
							BGl_proc4181z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4180z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2008z00_2688, 1L, BgL_arg2819z00_2702);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2826z00_2715;

						BgL_arg2826z00_2715 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4185z00zzliveness_typesz00,
							BGl_proc4184z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4183z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2008z00_2688, 2L, BgL_arg2826z00_2715);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2833z00_2728;

						BgL_arg2833z00_2728 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4188z00zzliveness_typesz00,
							BGl_proc4187z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4186z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2008z00_2688, 3L, BgL_arg2833z00_2728);
					}
					BgL_arg2770z00_2653 = BgL_v2008z00_2688;
				}
				{	/* Liveness/types.scm 107 */
					obj_t BgL_v2009z00_2741;

					BgL_v2009z00_2741 = create_vector(0L);
					BgL_arg2774z00_2654 = BgL_v2009z00_2741;
				}
				BGl_valloczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(22)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_vallocz00zzast_nodez00, 37322L,
					BGl_proc4192z00zzliveness_typesz00,
					BGl_proc4191z00zzliveness_typesz00, BFALSE,
					BGl_proc4190z00zzliveness_typesz00,
					BGl_proc4189z00zzliveness_typesz00, BgL_arg2770z00_2653,
					BgL_arg2774z00_2654);
			}
			{	/* Liveness/types.scm 113 */
				obj_t BgL_arg2847z00_2750;
				obj_t BgL_arg2848z00_2751;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_v2010z00_2787;

					BgL_v2010z00_2787 = create_vector(4L);
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2860z00_2788;

						BgL_arg2860z00_2788 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4195z00zzliveness_typesz00,
							BGl_proc4194z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4193z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2010z00_2787, 0L, BgL_arg2860z00_2788);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2871z00_2801;

						BgL_arg2871z00_2801 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4198z00zzliveness_typesz00,
							BGl_proc4197z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4196z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2010z00_2787, 1L, BgL_arg2871z00_2801);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2894z00_2814;

						BgL_arg2894z00_2814 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4201z00zzliveness_typesz00,
							BGl_proc4200z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4199z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2010z00_2787, 2L, BgL_arg2894z00_2814);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2903z00_2827;

						BgL_arg2903z00_2827 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4204z00zzliveness_typesz00,
							BGl_proc4203z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4202z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2010z00_2787, 3L, BgL_arg2903z00_2827);
					}
					BgL_arg2847z00_2750 = BgL_v2010z00_2787;
				}
				{	/* Liveness/types.scm 113 */
					obj_t BgL_v2011z00_2840;

					BgL_v2011z00_2840 = create_vector(0L);
					BgL_arg2848z00_2751 = BgL_v2011z00_2840;
				}
				BGl_vrefzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(23)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_vrefz00zzast_nodez00, 20454L,
					BGl_proc4208z00zzliveness_typesz00,
					BGl_proc4207z00zzliveness_typesz00, BFALSE,
					BGl_proc4206z00zzliveness_typesz00,
					BGl_proc4205z00zzliveness_typesz00, BgL_arg2847z00_2750,
					BgL_arg2848z00_2751);
			}
			{	/* Liveness/types.scm 119 */
				obj_t BgL_arg2916z00_2849;
				obj_t BgL_arg2917z00_2850;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_v2012z00_2886;

					BgL_v2012z00_2886 = create_vector(4L);
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2928z00_2887;

						BgL_arg2928z00_2887 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4211z00zzliveness_typesz00,
							BGl_proc4210z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4209z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2012z00_2886, 0L, BgL_arg2928z00_2887);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2941z00_2900;

						BgL_arg2941z00_2900 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4214z00zzliveness_typesz00,
							BGl_proc4213z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4212z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2012z00_2886, 1L, BgL_arg2941z00_2900);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2957z00_2913;

						BgL_arg2957z00_2913 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4217z00zzliveness_typesz00,
							BGl_proc4216z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4215z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2012z00_2886, 2L, BgL_arg2957z00_2913);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2965z00_2926;

						BgL_arg2965z00_2926 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4220z00zzliveness_typesz00,
							BGl_proc4219z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4218z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2012z00_2886, 3L, BgL_arg2965z00_2926);
					}
					BgL_arg2916z00_2849 = BgL_v2012z00_2886;
				}
				{	/* Liveness/types.scm 119 */
					obj_t BgL_v2013z00_2939;

					BgL_v2013z00_2939 = create_vector(0L);
					BgL_arg2917z00_2850 = BgL_v2013z00_2939;
				}
				BGl_vsetz12zf2livenessze0zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(24)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_vsetz12z12zzast_nodez00, 29030L,
					BGl_proc4224z00zzliveness_typesz00,
					BGl_proc4223z00zzliveness_typesz00, BFALSE,
					BGl_proc4222z00zzliveness_typesz00,
					BGl_proc4221z00zzliveness_typesz00, BgL_arg2916z00_2849,
					BgL_arg2917z00_2850);
			}
			{	/* Liveness/types.scm 125 */
				obj_t BgL_arg2977z00_2948;
				obj_t BgL_arg2978z00_2949;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_v2014z00_2983;

					BgL_v2014z00_2983 = create_vector(4L);
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2993z00_2984;

						BgL_arg2993z00_2984 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4227z00zzliveness_typesz00,
							BGl_proc4226z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4225z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2014z00_2983, 0L, BgL_arg2993z00_2984);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg3008z00_2997;

						BgL_arg3008z00_2997 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4230z00zzliveness_typesz00,
							BGl_proc4229z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4228z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2014z00_2983, 1L, BgL_arg3008z00_2997);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg3016z00_3010;

						BgL_arg3016z00_3010 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4233z00zzliveness_typesz00,
							BGl_proc4232z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4231z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2014z00_2983, 2L, BgL_arg3016z00_3010);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg3023z00_3023;

						BgL_arg3023z00_3023 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4236z00zzliveness_typesz00,
							BGl_proc4235z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4234z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2014z00_2983, 3L, BgL_arg3023z00_3023);
					}
					BgL_arg2977z00_2948 = BgL_v2014z00_2983;
				}
				{	/* Liveness/types.scm 125 */
					obj_t BgL_v2015z00_3036;

					BgL_v2015z00_3036 = create_vector(0L);
					BgL_arg2978z00_2949 = BgL_v2015z00_3036;
				}
				BGl_vlengthzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(25)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_vlengthz00zzast_nodez00, 34172L,
					BGl_proc4240z00zzliveness_typesz00,
					BGl_proc4239z00zzliveness_typesz00, BFALSE,
					BGl_proc4238z00zzliveness_typesz00,
					BGl_proc4237z00zzliveness_typesz00, BgL_arg2977z00_2948,
					BgL_arg2978z00_2949);
			}
			{	/* Liveness/types.scm 131 */
				obj_t BgL_arg3043z00_3045;
				obj_t BgL_arg3046z00_3046;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2016z00_3079;

					BgL_v2016z00_3079 = create_vector(4L);
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3059z00_3080;

						BgL_arg3059z00_3080 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4243z00zzliveness_typesz00,
							BGl_proc4242z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4241z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2016z00_3079, 0L, BgL_arg3059z00_3080);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3071z00_3093;

						BgL_arg3071z00_3093 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4246z00zzliveness_typesz00,
							BGl_proc4245z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4244z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2016z00_3079, 1L, BgL_arg3071z00_3093);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3080z00_3106;

						BgL_arg3080z00_3106 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4249z00zzliveness_typesz00,
							BGl_proc4248z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4247z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2016z00_3079, 2L, BgL_arg3080z00_3106);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3087z00_3119;

						BgL_arg3087z00_3119 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4252z00zzliveness_typesz00,
							BGl_proc4251z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4250z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2016z00_3079, 3L, BgL_arg3087z00_3119);
					}
					BgL_arg3043z00_3045 = BgL_v2016z00_3079;
				}
				{	/* Liveness/types.scm 131 */
					obj_t BgL_v2017z00_3132;

					BgL_v2017z00_3132 = create_vector(0L);
					BgL_arg3046z00_3046 = BgL_v2017z00_3132;
				}
				BGl_instanceofzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(26)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_instanceofz00zzast_nodez00, 47960L,
					BGl_proc4256z00zzliveness_typesz00,
					BGl_proc4255z00zzliveness_typesz00, BFALSE,
					BGl_proc4254z00zzliveness_typesz00,
					BGl_proc4253z00zzliveness_typesz00, BgL_arg3043z00_3045,
					BgL_arg3046z00_3046);
			}
			{	/* Liveness/types.scm 137 */
				obj_t BgL_arg3106z00_3141;
				obj_t BgL_arg3107z00_3142;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2018z00_3174;

					BgL_v2018z00_3174 = create_vector(4L);
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3120z00_3175;

						BgL_arg3120z00_3175 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4259z00zzliveness_typesz00,
							BGl_proc4258z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4257z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2018z00_3174, 0L, BgL_arg3120z00_3175);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3129z00_3188;

						BgL_arg3129z00_3188 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4262z00zzliveness_typesz00,
							BGl_proc4261z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4260z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2018z00_3174, 1L, BgL_arg3129z00_3188);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3143z00_3201;

						BgL_arg3143z00_3201 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4265z00zzliveness_typesz00,
							BGl_proc4264z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4263z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2018z00_3174, 2L, BgL_arg3143z00_3201);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3152z00_3214;

						BgL_arg3152z00_3214 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4268z00zzliveness_typesz00,
							BGl_proc4267z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4266z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2018z00_3174, 3L, BgL_arg3152z00_3214);
					}
					BgL_arg3106z00_3141 = BgL_v2018z00_3174;
				}
				{	/* Liveness/types.scm 137 */
					obj_t BgL_v2019z00_3227;

					BgL_v2019z00_3227 = create_vector(0L);
					BgL_arg3107z00_3142 = BgL_v2019z00_3227;
				}
				BGl_castzd2nullzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(27)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_castzd2nullzd2zzast_nodez00, 45190L,
					BGl_proc4272z00zzliveness_typesz00,
					BGl_proc4271z00zzliveness_typesz00, BFALSE,
					BGl_proc4270z00zzliveness_typesz00,
					BGl_proc4269z00zzliveness_typesz00, BgL_arg3106z00_3141,
					BgL_arg3107z00_3142);
			}
			{	/* Liveness/types.scm 143 */
				obj_t BgL_arg3164z00_3236;
				obj_t BgL_arg3166z00_3237;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2020z00_3265;

					BgL_v2020z00_3265 = create_vector(4L);
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3187z00_3266;

						BgL_arg3187z00_3266 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4275z00zzliveness_typesz00,
							BGl_proc4274z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4273z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2020z00_3265, 0L, BgL_arg3187z00_3266);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3201z00_3279;

						BgL_arg3201z00_3279 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4278z00zzliveness_typesz00,
							BGl_proc4277z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4276z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2020z00_3265, 1L, BgL_arg3201z00_3279);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3209z00_3292;

						BgL_arg3209z00_3292 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4281z00zzliveness_typesz00,
							BGl_proc4280z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4279z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2020z00_3265, 2L, BgL_arg3209z00_3292);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3216z00_3305;

						BgL_arg3216z00_3305 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4284z00zzliveness_typesz00,
							BGl_proc4283z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4282z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2020z00_3265, 3L, BgL_arg3216z00_3305);
					}
					BgL_arg3164z00_3236 = BgL_v2020z00_3265;
				}
				{	/* Liveness/types.scm 143 */
					obj_t BgL_v2021z00_3318;

					BgL_v2021z00_3318 = create_vector(0L);
					BgL_arg3166z00_3237 = BgL_v2021z00_3318;
				}
				BGl_castzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(28)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_castz00zzast_nodez00, 27062L,
					BGl_proc4288z00zzliveness_typesz00,
					BGl_proc4287z00zzliveness_typesz00, BFALSE,
					BGl_proc4286z00zzliveness_typesz00,
					BGl_proc4285z00zzliveness_typesz00, BgL_arg3164z00_3236,
					BgL_arg3166z00_3237);
			}
			{	/* Liveness/types.scm 149 */
				obj_t BgL_arg3230z00_3327;
				obj_t BgL_arg3231z00_3328;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2022z00_3357;

					BgL_v2022z00_3357 = create_vector(4L);
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3244z00_3358;

						BgL_arg3244z00_3358 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4291z00zzliveness_typesz00,
							BGl_proc4290z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4289z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2022z00_3357, 0L, BgL_arg3244z00_3358);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3254z00_3371;

						BgL_arg3254z00_3371 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4294z00zzliveness_typesz00,
							BGl_proc4293z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4292z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2022z00_3357, 1L, BgL_arg3254z00_3371);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3266z00_3384;

						BgL_arg3266z00_3384 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4297z00zzliveness_typesz00,
							BGl_proc4296z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4295z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2022z00_3357, 2L, BgL_arg3266z00_3384);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3273z00_3397;

						BgL_arg3273z00_3397 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4300z00zzliveness_typesz00,
							BGl_proc4299z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4298z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2022z00_3357, 3L, BgL_arg3273z00_3397);
					}
					BgL_arg3230z00_3327 = BgL_v2022z00_3357;
				}
				{	/* Liveness/types.scm 149 */
					obj_t BgL_v2023z00_3410;

					BgL_v2023z00_3410 = create_vector(0L);
					BgL_arg3231z00_3328 = BgL_v2023z00_3410;
				}
				BGl_setqzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(29)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_setqz00zzast_nodez00, 21906L,
					BGl_proc4304z00zzliveness_typesz00,
					BGl_proc4303z00zzliveness_typesz00, BFALSE,
					BGl_proc4302z00zzliveness_typesz00,
					BGl_proc4301z00zzliveness_typesz00, BgL_arg3230z00_3327,
					BgL_arg3231z00_3328);
			}
			{	/* Liveness/types.scm 155 */
				obj_t BgL_arg3288z00_3419;
				obj_t BgL_arg3290z00_3420;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2024z00_3452;

					BgL_v2024z00_3452 = create_vector(4L);
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3303z00_3453;

						BgL_arg3303z00_3453 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4307z00zzliveness_typesz00,
							BGl_proc4306z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4305z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2024z00_3452, 0L, BgL_arg3303z00_3453);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3312z00_3466;

						BgL_arg3312z00_3466 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4310z00zzliveness_typesz00,
							BGl_proc4309z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4308z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2024z00_3452, 1L, BgL_arg3312z00_3466);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3319z00_3479;

						BgL_arg3319z00_3479 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4313z00zzliveness_typesz00,
							BGl_proc4312z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4311z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2024z00_3452, 2L, BgL_arg3319z00_3479);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3328z00_3492;

						BgL_arg3328z00_3492 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4316z00zzliveness_typesz00,
							BGl_proc4315z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4314z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2024z00_3452, 3L, BgL_arg3328z00_3492);
					}
					BgL_arg3288z00_3419 = BgL_v2024z00_3452;
				}
				{	/* Liveness/types.scm 155 */
					obj_t BgL_v2025z00_3505;

					BgL_v2025z00_3505 = create_vector(0L);
					BgL_arg3290z00_3420 = BgL_v2025z00_3505;
				}
				BGl_conditionalzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(30)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_conditionalz00zzast_nodez00, 50052L,
					BGl_proc4320z00zzliveness_typesz00,
					BGl_proc4319z00zzliveness_typesz00, BFALSE,
					BGl_proc4318z00zzliveness_typesz00,
					BGl_proc4317z00zzliveness_typesz00, BgL_arg3288z00_3419,
					BgL_arg3290z00_3420);
			}
			{	/* Liveness/types.scm 161 */
				obj_t BgL_arg3340z00_3514;
				obj_t BgL_arg3341z00_3515;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2026z00_3545;

					BgL_v2026z00_3545 = create_vector(4L);
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3353z00_3546;

						BgL_arg3353z00_3546 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4323z00zzliveness_typesz00,
							BGl_proc4322z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4321z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2026z00_3545, 0L, BgL_arg3353z00_3546);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3362z00_3559;

						BgL_arg3362z00_3559 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4326z00zzliveness_typesz00,
							BGl_proc4325z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4324z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2026z00_3545, 1L, BgL_arg3362z00_3559);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3371z00_3572;

						BgL_arg3371z00_3572 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4329z00zzliveness_typesz00,
							BGl_proc4328z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4327z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2026z00_3545, 2L, BgL_arg3371z00_3572);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3379z00_3585;

						BgL_arg3379z00_3585 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4332z00zzliveness_typesz00,
							BGl_proc4331z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4330z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2026z00_3545, 3L, BgL_arg3379z00_3585);
					}
					BgL_arg3340z00_3514 = BgL_v2026z00_3545;
				}
				{	/* Liveness/types.scm 161 */
					obj_t BgL_v2027z00_3598;

					BgL_v2027z00_3598 = create_vector(0L);
					BgL_arg3341z00_3515 = BgL_v2027z00_3598;
				}
				BGl_failzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(31)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_failz00zzast_nodez00, 46132L,
					BGl_proc4336z00zzliveness_typesz00,
					BGl_proc4335z00zzliveness_typesz00, BFALSE,
					BGl_proc4334z00zzliveness_typesz00,
					BGl_proc4333z00zzliveness_typesz00, BgL_arg3340z00_3514,
					BgL_arg3341z00_3515);
			}
			{	/* Liveness/types.scm 167 */
				obj_t BgL_arg3392z00_3607;
				obj_t BgL_arg3393z00_3608;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2028z00_3640;

					BgL_v2028z00_3640 = create_vector(4L);
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3408z00_3641;

						BgL_arg3408z00_3641 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4339z00zzliveness_typesz00,
							BGl_proc4338z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4337z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2028z00_3640, 0L, BgL_arg3408z00_3641);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3416z00_3654;

						BgL_arg3416z00_3654 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4342z00zzliveness_typesz00,
							BGl_proc4341z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4340z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2028z00_3640, 1L, BgL_arg3416z00_3654);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3424z00_3667;

						BgL_arg3424z00_3667 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4345z00zzliveness_typesz00,
							BGl_proc4344z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4343z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2028z00_3640, 2L, BgL_arg3424z00_3667);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3432z00_3680;

						BgL_arg3432z00_3680 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4348z00zzliveness_typesz00,
							BGl_proc4347z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4346z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2028z00_3640, 3L, BgL_arg3432z00_3680);
					}
					BgL_arg3392z00_3607 = BgL_v2028z00_3640;
				}
				{	/* Liveness/types.scm 167 */
					obj_t BgL_v2029z00_3693;

					BgL_v2029z00_3693 = create_vector(0L);
					BgL_arg3393z00_3608 = BgL_v2029z00_3693;
				}
				BGl_switchzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(32)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_switchz00zzast_nodez00, 26120L,
					BGl_proc4352z00zzliveness_typesz00,
					BGl_proc4351z00zzliveness_typesz00, BFALSE,
					BGl_proc4350z00zzliveness_typesz00,
					BGl_proc4349z00zzliveness_typesz00, BgL_arg3392z00_3607,
					BgL_arg3393z00_3608);
			}
			{	/* Liveness/types.scm 173 */
				obj_t BgL_arg3444z00_3702;
				obj_t BgL_arg3445z00_3703;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2030z00_3734;

					BgL_v2030z00_3734 = create_vector(4L);
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3457z00_3735;

						BgL_arg3457z00_3735 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4355z00zzliveness_typesz00,
							BGl_proc4354z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4353z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2030z00_3734, 0L, BgL_arg3457z00_3735);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3465z00_3748;

						BgL_arg3465z00_3748 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4358z00zzliveness_typesz00,
							BGl_proc4357z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4356z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2030z00_3734, 1L, BgL_arg3465z00_3748);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3474z00_3761;

						BgL_arg3474z00_3761 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4361z00zzliveness_typesz00,
							BGl_proc4360z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4359z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2030z00_3734, 2L, BgL_arg3474z00_3761);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3481z00_3774;

						BgL_arg3481z00_3774 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4364z00zzliveness_typesz00,
							BGl_proc4363z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4362z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2030z00_3734, 3L, BgL_arg3481z00_3774);
					}
					BgL_arg3444z00_3702 = BgL_v2030z00_3734;
				}
				{	/* Liveness/types.scm 173 */
					obj_t BgL_v2031z00_3787;

					BgL_v2031z00_3787 = create_vector(0L);
					BgL_arg3445z00_3703 = BgL_v2031z00_3787;
				}
				BGl_letzd2funzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(33)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_letzd2funzd2zzast_nodez00, 50934L,
					BGl_proc4368z00zzliveness_typesz00,
					BGl_proc4367z00zzliveness_typesz00, BFALSE,
					BGl_proc4366z00zzliveness_typesz00,
					BGl_proc4365z00zzliveness_typesz00, BgL_arg3444z00_3702,
					BgL_arg3445z00_3703);
			}
			{	/* Liveness/types.scm 179 */
				obj_t BgL_arg3494z00_3796;
				obj_t BgL_arg3495z00_3797;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2032z00_3829;

					BgL_v2032z00_3829 = create_vector(4L);
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3509z00_3830;

						BgL_arg3509z00_3830 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4371z00zzliveness_typesz00,
							BGl_proc4370z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4369z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2032z00_3829, 0L, BgL_arg3509z00_3830);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3517z00_3843;

						BgL_arg3517z00_3843 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4374z00zzliveness_typesz00,
							BGl_proc4373z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4372z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2032z00_3829, 1L, BgL_arg3517z00_3843);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3525z00_3856;

						BgL_arg3525z00_3856 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4377z00zzliveness_typesz00,
							BGl_proc4376z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4375z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2032z00_3829, 2L, BgL_arg3525z00_3856);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3534z00_3869;

						BgL_arg3534z00_3869 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4380z00zzliveness_typesz00,
							BGl_proc4379z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4378z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2032z00_3829, 3L, BgL_arg3534z00_3869);
					}
					BgL_arg3494z00_3796 = BgL_v2032z00_3829;
				}
				{	/* Liveness/types.scm 179 */
					obj_t BgL_v2033z00_3882;

					BgL_v2033z00_3882 = create_vector(0L);
					BgL_arg3495z00_3797 = BgL_v2033z00_3882;
				}
				BGl_letzd2varzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(34)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_letzd2varzd2zzast_nodez00, 57846L,
					BGl_proc4384z00zzliveness_typesz00,
					BGl_proc4383z00zzliveness_typesz00, BFALSE,
					BGl_proc4382z00zzliveness_typesz00,
					BGl_proc4381z00zzliveness_typesz00, BgL_arg3494z00_3796,
					BgL_arg3495z00_3797);
			}
			{	/* Liveness/types.scm 185 */
				obj_t BgL_arg3546z00_3891;
				obj_t BgL_arg3548z00_3892;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2034z00_3922;

					BgL_v2034z00_3922 = create_vector(4L);
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3561z00_3923;

						BgL_arg3561z00_3923 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4387z00zzliveness_typesz00,
							BGl_proc4386z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4385z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2034z00_3922, 0L, BgL_arg3561z00_3923);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3570z00_3936;

						BgL_arg3570z00_3936 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4390z00zzliveness_typesz00,
							BGl_proc4389z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4388z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2034z00_3922, 1L, BgL_arg3570z00_3936);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3577z00_3949;

						BgL_arg3577z00_3949 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4393z00zzliveness_typesz00,
							BGl_proc4392z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4391z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2034z00_3922, 2L, BgL_arg3577z00_3949);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3586z00_3962;

						BgL_arg3586z00_3962 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4396z00zzliveness_typesz00,
							BGl_proc4395z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4394z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2034z00_3922, 3L, BgL_arg3586z00_3962);
					}
					BgL_arg3546z00_3891 = BgL_v2034z00_3922;
				}
				{	/* Liveness/types.scm 185 */
					obj_t BgL_v2035z00_3975;

					BgL_v2035z00_3975 = create_vector(0L);
					BgL_arg3548z00_3892 = BgL_v2035z00_3975;
				}
				BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(35)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_setzd2exzd2itz00zzast_nodez00, 31340L,
					BGl_proc4400z00zzliveness_typesz00,
					BGl_proc4399z00zzliveness_typesz00, BFALSE,
					BGl_proc4398z00zzliveness_typesz00,
					BGl_proc4397z00zzliveness_typesz00, BgL_arg3546z00_3891,
					BgL_arg3548z00_3892);
			}
			{	/* Liveness/types.scm 191 */
				obj_t BgL_arg3599z00_3984;
				obj_t BgL_arg3600z00_3985;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2036z00_4014;

					BgL_v2036z00_4014 = create_vector(4L);
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3614z00_4015;

						BgL_arg3614z00_4015 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4403z00zzliveness_typesz00,
							BGl_proc4402z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4401z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2036z00_4014, 0L, BgL_arg3614z00_4015);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3621z00_4028;

						BgL_arg3621z00_4028 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4406z00zzliveness_typesz00,
							BGl_proc4405z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4404z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2036z00_4014, 1L, BgL_arg3621z00_4028);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3629z00_4041;

						BgL_arg3629z00_4041 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4409z00zzliveness_typesz00,
							BGl_proc4408z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4407z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2036z00_4014, 2L, BgL_arg3629z00_4041);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3636z00_4054;

						BgL_arg3636z00_4054 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4412z00zzliveness_typesz00,
							BGl_proc4411z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4410z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2036z00_4014, 3L, BgL_arg3636z00_4054);
					}
					BgL_arg3599z00_3984 = BgL_v2036z00_4014;
				}
				{	/* Liveness/types.scm 191 */
					obj_t BgL_v2037z00_4067;

					BgL_v2037z00_4067 = create_vector(0L);
					BgL_arg3600z00_3985 = BgL_v2037z00_4067;
				}
				BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(36)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_jumpzd2exzd2itz00zzast_nodez00, 38476L,
					BGl_proc4416z00zzliveness_typesz00,
					BGl_proc4415z00zzliveness_typesz00, BFALSE,
					BGl_proc4414z00zzliveness_typesz00,
					BGl_proc4413z00zzliveness_typesz00, BgL_arg3599z00_3984,
					BgL_arg3600z00_3985);
			}
			{	/* Liveness/types.scm 197 */
				obj_t BgL_arg3647z00_4076;
				obj_t BgL_arg3648z00_4077;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2038z00_4107;

					BgL_v2038z00_4107 = create_vector(4L);
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3659z00_4108;

						BgL_arg3659z00_4108 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4419z00zzliveness_typesz00,
							BGl_proc4418z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4417z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2038z00_4107, 0L, BgL_arg3659z00_4108);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3666z00_4121;

						BgL_arg3666z00_4121 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4422z00zzliveness_typesz00,
							BGl_proc4421z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4420z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2038z00_4107, 1L, BgL_arg3666z00_4121);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3673z00_4134;

						BgL_arg3673z00_4134 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4425z00zzliveness_typesz00,
							BGl_proc4424z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4423z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2038z00_4107, 2L, BgL_arg3673z00_4134);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3680z00_4147;

						BgL_arg3680z00_4147 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4428z00zzliveness_typesz00,
							BGl_proc4427z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4426z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2038z00_4107, 3L, BgL_arg3680z00_4147);
					}
					BgL_arg3647z00_4076 = BgL_v2038z00_4107;
				}
				{	/* Liveness/types.scm 197 */
					obj_t BgL_v2039z00_4160;

					BgL_v2039z00_4160 = create_vector(0L);
					BgL_arg3648z00_4077 = BgL_v2039z00_4160;
				}
				BGl_synczf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(37)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_syncz00zzast_nodez00, 46354L,
					BGl_proc4432z00zzliveness_typesz00,
					BGl_proc4431z00zzliveness_typesz00, BFALSE,
					BGl_proc4430z00zzliveness_typesz00,
					BGl_proc4429z00zzliveness_typesz00, BgL_arg3647z00_4076,
					BgL_arg3648z00_4077);
			}
			{	/* Liveness/types.scm 203 */
				obj_t BgL_arg3691z00_4169;
				obj_t BgL_arg3692z00_4170;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2040z00_4198;

					BgL_v2040z00_4198 = create_vector(4L);
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3703z00_4199;

						BgL_arg3703z00_4199 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4435z00zzliveness_typesz00,
							BGl_proc4434z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4433z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2040z00_4198, 0L, BgL_arg3703z00_4199);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3710z00_4212;

						BgL_arg3710z00_4212 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4438z00zzliveness_typesz00,
							BGl_proc4437z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4436z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2040z00_4198, 1L, BgL_arg3710z00_4212);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3717z00_4225;

						BgL_arg3717z00_4225 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4441z00zzliveness_typesz00,
							BGl_proc4440z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4439z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2040z00_4198, 2L, BgL_arg3717z00_4225);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3724z00_4238;

						BgL_arg3724z00_4238 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4444z00zzliveness_typesz00,
							BGl_proc4443z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4442z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2040z00_4198, 3L, BgL_arg3724z00_4238);
					}
					BgL_arg3691z00_4169 = BgL_v2040z00_4198;
				}
				{	/* Liveness/types.scm 203 */
					obj_t BgL_v2041z00_4251;

					BgL_v2041z00_4251 = create_vector(0L);
					BgL_arg3692z00_4170 = BgL_v2041z00_4251;
				}
				BGl_retblockzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(38)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_retblockz00zzast_nodez00, 46592L,
					BGl_proc4448z00zzliveness_typesz00,
					BGl_proc4447z00zzliveness_typesz00, BFALSE,
					BGl_proc4446z00zzliveness_typesz00,
					BGl_proc4445z00zzliveness_typesz00, BgL_arg3691z00_4169,
					BgL_arg3692z00_4170);
			}
			{	/* Liveness/types.scm 209 */
				obj_t BgL_arg3736z00_4260;
				obj_t BgL_arg3737z00_4261;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2042z00_4290;

					BgL_v2042z00_4290 = create_vector(4L);
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3748z00_4291;

						BgL_arg3748z00_4291 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4451z00zzliveness_typesz00,
							BGl_proc4450z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4449z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2042z00_4290, 0L, BgL_arg3748z00_4291);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3755z00_4304;

						BgL_arg3755z00_4304 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4454z00zzliveness_typesz00,
							BGl_proc4453z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4452z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2042z00_4290, 1L, BgL_arg3755z00_4304);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3762z00_4317;

						BgL_arg3762z00_4317 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4457z00zzliveness_typesz00,
							BGl_proc4456z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4455z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2042z00_4290, 2L, BgL_arg3762z00_4317);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3769z00_4330;

						BgL_arg3769z00_4330 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4460z00zzliveness_typesz00,
							BGl_proc4459z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4458z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2042z00_4290, 3L, BgL_arg3769z00_4330);
					}
					BgL_arg3736z00_4260 = BgL_v2042z00_4290;
				}
				{	/* Liveness/types.scm 209 */
					obj_t BgL_v2043z00_4343;

					BgL_v2043z00_4343 = create_vector(0L);
					BgL_arg3737z00_4261 = BgL_v2043z00_4343;
				}
				BGl_returnzf2livenesszf2zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(39)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_returnz00zzast_nodez00, 31084L,
					BGl_proc4464z00zzliveness_typesz00,
					BGl_proc4463z00zzliveness_typesz00, BFALSE,
					BGl_proc4462z00zzliveness_typesz00,
					BGl_proc4461z00zzliveness_typesz00, BgL_arg3736z00_4260,
					BgL_arg3737z00_4261);
			}
			{	/* Liveness/types.scm 215 */
				obj_t BgL_arg3780z00_4352;
				obj_t BgL_arg3781z00_4353;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2044z00_4385;

					BgL_v2044z00_4385 = create_vector(4L);
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3792z00_4386;

						BgL_arg3792z00_4386 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4467z00zzliveness_typesz00,
							BGl_proc4466z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4465z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2044z00_4385, 0L, BgL_arg3792z00_4386);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3799z00_4399;

						BgL_arg3799z00_4399 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4470z00zzliveness_typesz00,
							BGl_proc4469z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4468z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2044z00_4385, 1L, BgL_arg3799z00_4399);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3806z00_4412;

						BgL_arg3806z00_4412 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4473z00zzliveness_typesz00,
							BGl_proc4472z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4471z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2044z00_4385, 2L, BgL_arg3806z00_4412);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3813z00_4425;

						BgL_arg3813z00_4425 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4476z00zzliveness_typesz00,
							BGl_proc4475z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4474z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2044z00_4385, 3L, BgL_arg3813z00_4425);
					}
					BgL_arg3780z00_4352 = BgL_v2044z00_4385;
				}
				{	/* Liveness/types.scm 215 */
					obj_t BgL_v2045z00_4438;

					BgL_v2045z00_4438 = create_vector(0L);
					BgL_arg3781z00_4353 = BgL_v2045z00_4438;
				}
				BGl_makezd2boxzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(40)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_makezd2boxzd2zzast_nodez00, 8964L,
					BGl_proc4480z00zzliveness_typesz00,
					BGl_proc4479z00zzliveness_typesz00, BFALSE,
					BGl_proc4478z00zzliveness_typesz00,
					BGl_proc4477z00zzliveness_typesz00, BgL_arg3780z00_4352,
					BgL_arg3781z00_4353);
			}
			{	/* Liveness/types.scm 221 */
				obj_t BgL_arg3824z00_4447;
				obj_t BgL_arg3825z00_4448;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2046z00_4479;

					BgL_v2046z00_4479 = create_vector(4L);
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3836z00_4480;

						BgL_arg3836z00_4480 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4483z00zzliveness_typesz00,
							BGl_proc4482z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4481z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2046z00_4479, 0L, BgL_arg3836z00_4480);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3843z00_4493;

						BgL_arg3843z00_4493 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4486z00zzliveness_typesz00,
							BGl_proc4485z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4484z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2046z00_4479, 1L, BgL_arg3843z00_4493);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3850z00_4506;

						BgL_arg3850z00_4506 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4489z00zzliveness_typesz00,
							BGl_proc4488z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4487z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2046z00_4479, 2L, BgL_arg3850z00_4506);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3857z00_4519;

						BgL_arg3857z00_4519 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4492z00zzliveness_typesz00,
							BGl_proc4491z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4490z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2046z00_4479, 3L, BgL_arg3857z00_4519);
					}
					BgL_arg3824z00_4447 = BgL_v2046z00_4479;
				}
				{	/* Liveness/types.scm 221 */
					obj_t BgL_v2047z00_4532;

					BgL_v2047z00_4532 = create_vector(0L);
					BgL_arg3825z00_4448 = BgL_v2047z00_4532;
				}
				BGl_boxzd2refzf2livenessz20zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
					((obj_t)
						CNST_TABLE_REF(41)),
					((obj_t)
						CNST_TABLE_REF(3)), BGl_boxzd2refzd2zzast_nodez00, 38662L,
					BGl_proc4496z00zzliveness_typesz00,
					BGl_proc4495z00zzliveness_typesz00, BFALSE,
					BGl_proc4494z00zzliveness_typesz00,
					BGl_proc4493z00zzliveness_typesz00, BgL_arg3824z00_4447,
					BgL_arg3825z00_4448);
			}
			{	/* Liveness/types.scm 227 */
				obj_t BgL_arg3868z00_4541;
				obj_t BgL_arg3869z00_4542;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2048z00_4572;

					BgL_v2048z00_4572 = create_vector(4L);
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3880z00_4573;

						BgL_arg3880z00_4573 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(4)), BGl_proc4499z00zzliveness_typesz00,
							BGl_proc4498z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4497z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2048z00_4572, 0L, BgL_arg3880z00_4573);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3887z00_4586;

						BgL_arg3887z00_4586 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(6)), BGl_proc4502z00zzliveness_typesz00,
							BGl_proc4501z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4500z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2048z00_4572, 1L, BgL_arg3887z00_4586);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3894z00_4599;

						BgL_arg3894z00_4599 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(7)), BGl_proc4505z00zzliveness_typesz00,
							BGl_proc4504z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4503z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2048z00_4572, 2L, BgL_arg3894z00_4599);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3901z00_4612;

						BgL_arg3901z00_4612 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(8)), BGl_proc4508z00zzliveness_typesz00,
							BGl_proc4507z00zzliveness_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc4506z00zzliveness_typesz00,
							((obj_t) CNST_TABLE_REF(5)));
						VECTOR_SET(BgL_v2048z00_4572, 3L, BgL_arg3901z00_4612);
					}
					BgL_arg3868z00_4541 = BgL_v2048z00_4572;
				}
				{	/* Liveness/types.scm 227 */
					obj_t BgL_v2049z00_4625;

					BgL_v2049z00_4625 = create_vector(0L);
					BgL_arg3869z00_4542 = BgL_v2049z00_4625;
				}
				return (BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(42)),
						((obj_t)
							CNST_TABLE_REF(3)), BGl_boxzd2setz12zc0zzast_nodez00, 24710L,
						BGl_proc4512z00zzliveness_typesz00,
						BGl_proc4511z00zzliveness_typesz00, BFALSE,
						BGl_proc4510z00zzliveness_typesz00,
						BGl_proc4509z00zzliveness_typesz00, BgL_arg3868z00_4541,
						BgL_arg3869z00_4542), BUNSPEC);
			}
		}

	}



/* &lambda3876 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3876z62zzliveness_typesz00(obj_t
		BgL_envz00_7079, obj_t BgL_o1696z00_7080)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				long BgL_arg3877z00_8521;

				{	/* Liveness/types.scm 227 */
					obj_t BgL_arg3878z00_8522;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_arg3879z00_8523;

						{	/* Liveness/types.scm 227 */
							obj_t BgL_arg1866z00_8524;
							long BgL_arg1867z00_8525;

							BgL_arg1866z00_8524 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 227 */
								long BgL_arg1869z00_8526;

								BgL_arg1869z00_8526 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_o1696z00_7080)));
								BgL_arg1867z00_8525 = (BgL_arg1869z00_8526 - OBJECT_TYPE);
							}
							BgL_arg3879z00_8523 =
								VECTOR_REF(BgL_arg1866z00_8524, BgL_arg1867z00_8525);
						}
						BgL_arg3878z00_8522 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3879z00_8523);
					}
					{	/* Liveness/types.scm 227 */
						obj_t BgL_tmpz00_11074;

						BgL_tmpz00_11074 = ((obj_t) BgL_arg3878z00_8522);
						BgL_arg3877z00_8521 = BGL_CLASS_NUM(BgL_tmpz00_11074);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1696z00_7080)),
					BgL_arg3877z00_8521);
			}
			{	/* Liveness/types.scm 227 */
				BgL_objectz00_bglt BgL_tmpz00_11080;

				BgL_tmpz00_11080 =
					((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1696z00_7080));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11080, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_o1696z00_7080));
			return
				((BgL_boxzd2setz12zc0_bglt)
				((BgL_boxzd2setz12zc0_bglt) BgL_o1696z00_7080));
		}

	}



/* &<@anonymous:3875> */
	obj_t BGl_z62zc3z04anonymousza33875ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7081, obj_t BgL_new1695z00_7082)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_11088;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11092;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8528;

						BgL_classz00_8528 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1117z00_8529;

							BgL__ortest_1117z00_8529 = BGL_CLASS_NIL(BgL_classz00_8528);
							if (CBOOL(BgL__ortest_1117z00_8529))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11092 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8529);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11092 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8528));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11092), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_11102;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8530;

						BgL_classz00_8530 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1117z00_8531;

							BgL__ortest_1117z00_8531 = BGL_CLASS_NIL(BgL_classz00_8530);
							if (CBOOL(BgL__ortest_1117z00_8531))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11102 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_8531);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11102 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8530));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_11102), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11112;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8532;

						BgL_classz00_8532 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1117z00_8533;

							BgL__ortest_1117z00_8533 = BGL_CLASS_NIL(BgL_classz00_8532);
							if (CBOOL(BgL__ortest_1117z00_8533))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11112 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8533);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11112 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8532));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11112), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_11122;

					{	/* Liveness/types.scm 227 */
						obj_t BgL_classz00_8534;

						BgL_classz00_8534 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 227 */
							obj_t BgL__ortest_1117z00_8535;

							BgL__ortest_1117z00_8535 = BGL_CLASS_NIL(BgL_classz00_8534);
							if (CBOOL(BgL__ortest_1117z00_8535))
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11122 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8535);
								}
							else
								{	/* Liveness/types.scm 227 */
									BgL_auxz00_11122 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8534));
								}
						}
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_11122), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11132;

					{
						obj_t BgL_auxz00_11133;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11134;

							BgL_tmpz00_11134 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082));
							BgL_auxz00_11133 = BGL_OBJECT_WIDENING(BgL_tmpz00_11134);
						}
						BgL_auxz00_11132 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11133);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11132))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11140;

					{
						obj_t BgL_auxz00_11141;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11142;

							BgL_tmpz00_11142 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082));
							BgL_auxz00_11141 = BGL_OBJECT_WIDENING(BgL_tmpz00_11142);
						}
						BgL_auxz00_11140 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11141);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11140))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11148;

					{
						obj_t BgL_auxz00_11149;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11150;

							BgL_tmpz00_11150 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082));
							BgL_auxz00_11149 = BGL_OBJECT_WIDENING(BgL_tmpz00_11150);
						}
						BgL_auxz00_11148 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11149);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11148))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11156;

					{
						obj_t BgL_auxz00_11157;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11158;

							BgL_tmpz00_11158 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082));
							BgL_auxz00_11157 = BGL_OBJECT_WIDENING(BgL_tmpz00_11158);
						}
						BgL_auxz00_11156 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11157);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11156))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11088 = ((BgL_boxzd2setz12zc0_bglt) BgL_new1695z00_7082);
				return ((obj_t) BgL_auxz00_11088);
			}
		}

	}



/* &lambda3873 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3873z62zzliveness_typesz00(obj_t
		BgL_envz00_7083, obj_t BgL_o1692z00_7084)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1694z00_8537;

				BgL_wide1694z00_8537 =
					((BgL_boxzd2setz12zf2livenessz32_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2setz12zf2livenessz32_bgl))));
				{	/* Liveness/types.scm 227 */
					obj_t BgL_auxz00_11171;
					BgL_objectz00_bglt BgL_tmpz00_11167;

					BgL_auxz00_11171 = ((obj_t) BgL_wide1694z00_8537);
					BgL_tmpz00_11167 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_o1692z00_7084)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11167, BgL_auxz00_11171);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1692z00_7084)));
				{	/* Liveness/types.scm 227 */
					long BgL_arg3874z00_8538;

					BgL_arg3874z00_8538 =
						BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_o1692z00_7084))),
						BgL_arg3874z00_8538);
				}
				return
					((BgL_boxzd2setz12zc0_bglt)
					((BgL_boxzd2setz12zc0_bglt)
						((BgL_boxzd2setz12zc0_bglt) BgL_o1692z00_7084)));
			}
		}

	}



/* &lambda3870 */
	BgL_boxzd2setz12zc0_bglt BGl_z62lambda3870z62zzliveness_typesz00(obj_t
		BgL_envz00_7085, obj_t BgL_loc1683z00_7086, obj_t BgL_type1684z00_7087,
		obj_t BgL_var1685z00_7088, obj_t BgL_value1686z00_7089,
		obj_t BgL_vtype1687z00_7090, obj_t BgL_def1688z00_7091,
		obj_t BgL_use1689z00_7092, obj_t BgL_in1690z00_7093,
		obj_t BgL_out1691z00_7094)
	{
		{	/* Liveness/types.scm 227 */
			{	/* Liveness/types.scm 227 */
				BgL_boxzd2setz12zc0_bglt BgL_new1870z00_8547;

				{	/* Liveness/types.scm 227 */
					BgL_boxzd2setz12zc0_bglt BgL_tmp1868z00_8548;
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_wide1869z00_8549;

					{
						BgL_boxzd2setz12zc0_bglt BgL_auxz00_11185;

						{	/* Liveness/types.scm 227 */
							BgL_boxzd2setz12zc0_bglt BgL_new1867z00_8550;

							BgL_new1867z00_8550 =
								((BgL_boxzd2setz12zc0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2setz12zc0_bgl))));
							{	/* Liveness/types.scm 227 */
								long BgL_arg3872z00_8551;

								BgL_arg3872z00_8551 =
									BGL_CLASS_NUM(BGl_boxzd2setz12zc0zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1867z00_8550),
									BgL_arg3872z00_8551);
							}
							{	/* Liveness/types.scm 227 */
								BgL_objectz00_bglt BgL_tmpz00_11190;

								BgL_tmpz00_11190 = ((BgL_objectz00_bglt) BgL_new1867z00_8550);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11190, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1867z00_8550);
							BgL_auxz00_11185 = BgL_new1867z00_8550;
						}
						BgL_tmp1868z00_8548 = ((BgL_boxzd2setz12zc0_bglt) BgL_auxz00_11185);
					}
					BgL_wide1869z00_8549 =
						((BgL_boxzd2setz12zf2livenessz32_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2setz12zf2livenessz32_bgl))));
					{	/* Liveness/types.scm 227 */
						obj_t BgL_auxz00_11198;
						BgL_objectz00_bglt BgL_tmpz00_11196;

						BgL_auxz00_11198 = ((obj_t) BgL_wide1869z00_8549);
						BgL_tmpz00_11196 = ((BgL_objectz00_bglt) BgL_tmp1868z00_8548);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11196, BgL_auxz00_11198);
					}
					((BgL_objectz00_bglt) BgL_tmp1868z00_8548);
					{	/* Liveness/types.scm 227 */
						long BgL_arg3871z00_8552;

						BgL_arg3871z00_8552 =
							BGL_CLASS_NUM(BGl_boxzd2setz12zf2livenessz32zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1868z00_8548), BgL_arg3871z00_8552);
					}
					BgL_new1870z00_8547 =
						((BgL_boxzd2setz12zc0_bglt) BgL_tmp1868z00_8548);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1870z00_8547)))->BgL_locz00) =
					((obj_t) BgL_loc1683z00_7086), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1870z00_8547)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1684z00_7087)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1870z00_8547)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1685z00_7088)), BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1870z00_8547)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1686z00_7089)),
					BUNSPEC);
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(((BgL_boxzd2setz12zc0_bglt)
									BgL_new1870z00_8547)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1687z00_7090)),
					BUNSPEC);
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11220;

					{
						obj_t BgL_auxz00_11221;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11222;

							BgL_tmpz00_11222 = ((BgL_objectz00_bglt) BgL_new1870z00_8547);
							BgL_auxz00_11221 = BGL_OBJECT_WIDENING(BgL_tmpz00_11222);
						}
						BgL_auxz00_11220 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11221);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11220))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1688z00_7091)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11228;

					{
						obj_t BgL_auxz00_11229;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11230;

							BgL_tmpz00_11230 = ((BgL_objectz00_bglt) BgL_new1870z00_8547);
							BgL_auxz00_11229 = BGL_OBJECT_WIDENING(BgL_tmpz00_11230);
						}
						BgL_auxz00_11228 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11229);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11228))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1689z00_7092)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11236;

					{
						obj_t BgL_auxz00_11237;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11238;

							BgL_tmpz00_11238 = ((BgL_objectz00_bglt) BgL_new1870z00_8547);
							BgL_auxz00_11237 = BGL_OBJECT_WIDENING(BgL_tmpz00_11238);
						}
						BgL_auxz00_11236 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11237);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11236))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1690z00_7093)), BUNSPEC);
				}
				{
					BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11244;

					{
						obj_t BgL_auxz00_11245;

						{	/* Liveness/types.scm 227 */
							BgL_objectz00_bglt BgL_tmpz00_11246;

							BgL_tmpz00_11246 = ((BgL_objectz00_bglt) BgL_new1870z00_8547);
							BgL_auxz00_11245 = BGL_OBJECT_WIDENING(BgL_tmpz00_11246);
						}
						BgL_auxz00_11244 =
							((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11245);
					}
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11244))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1691z00_7094)), BUNSPEC);
				}
				return BgL_new1870z00_8547;
			}
		}

	}



/* &<@anonymous:3907> */
	obj_t BGl_z62zc3z04anonymousza33907ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7095)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3906 */
	obj_t BGl_z62lambda3906z62zzliveness_typesz00(obj_t BgL_envz00_7096,
		obj_t BgL_oz00_7097, obj_t BgL_vz00_7098)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11252;

				{
					obj_t BgL_auxz00_11253;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11254;

						BgL_tmpz00_11254 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7097));
						BgL_auxz00_11253 = BGL_OBJECT_WIDENING(BgL_tmpz00_11254);
					}
					BgL_auxz00_11252 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11253);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11252))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7098)), BUNSPEC);
			}
		}

	}



/* &lambda3905 */
	obj_t BGl_z62lambda3905z62zzliveness_typesz00(obj_t BgL_envz00_7099,
		obj_t BgL_oz00_7100)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11261;

				{
					obj_t BgL_auxz00_11262;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11263;

						BgL_tmpz00_11263 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7100));
						BgL_auxz00_11262 = BGL_OBJECT_WIDENING(BgL_tmpz00_11263);
					}
					BgL_auxz00_11261 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11262);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11261))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3900> */
	obj_t BGl_z62zc3z04anonymousza33900ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7101)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3899 */
	obj_t BGl_z62lambda3899z62zzliveness_typesz00(obj_t BgL_envz00_7102,
		obj_t BgL_oz00_7103, obj_t BgL_vz00_7104)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11269;

				{
					obj_t BgL_auxz00_11270;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11271;

						BgL_tmpz00_11271 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7103));
						BgL_auxz00_11270 = BGL_OBJECT_WIDENING(BgL_tmpz00_11271);
					}
					BgL_auxz00_11269 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11270);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11269))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7104)), BUNSPEC);
			}
		}

	}



/* &lambda3898 */
	obj_t BGl_z62lambda3898z62zzliveness_typesz00(obj_t BgL_envz00_7105,
		obj_t BgL_oz00_7106)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11278;

				{
					obj_t BgL_auxz00_11279;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11280;

						BgL_tmpz00_11280 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7106));
						BgL_auxz00_11279 = BGL_OBJECT_WIDENING(BgL_tmpz00_11280);
					}
					BgL_auxz00_11278 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11279);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11278))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3893> */
	obj_t BGl_z62zc3z04anonymousza33893ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7107)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3892 */
	obj_t BGl_z62lambda3892z62zzliveness_typesz00(obj_t BgL_envz00_7108,
		obj_t BgL_oz00_7109, obj_t BgL_vz00_7110)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11286;

				{
					obj_t BgL_auxz00_11287;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11288;

						BgL_tmpz00_11288 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7109));
						BgL_auxz00_11287 = BGL_OBJECT_WIDENING(BgL_tmpz00_11288);
					}
					BgL_auxz00_11286 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11287);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11286))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7110)), BUNSPEC);
			}
		}

	}



/* &lambda3891 */
	obj_t BGl_z62lambda3891z62zzliveness_typesz00(obj_t BgL_envz00_7111,
		obj_t BgL_oz00_7112)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11295;

				{
					obj_t BgL_auxz00_11296;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11297;

						BgL_tmpz00_11297 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7112));
						BgL_auxz00_11296 = BGL_OBJECT_WIDENING(BgL_tmpz00_11297);
					}
					BgL_auxz00_11295 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11296);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11295))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3886> */
	obj_t BGl_z62zc3z04anonymousza33886ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7113)
	{
		{	/* Liveness/types.scm 227 */
			return BNIL;
		}

	}



/* &lambda3885 */
	obj_t BGl_z62lambda3885z62zzliveness_typesz00(obj_t BgL_envz00_7114,
		obj_t BgL_oz00_7115, obj_t BgL_vz00_7116)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11303;

				{
					obj_t BgL_auxz00_11304;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11305;

						BgL_tmpz00_11305 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7115));
						BgL_auxz00_11304 = BGL_OBJECT_WIDENING(BgL_tmpz00_11305);
					}
					BgL_auxz00_11303 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11304);
				}
				return
					((((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11303))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7116)), BUNSPEC);
			}
		}

	}



/* &lambda3884 */
	obj_t BGl_z62lambda3884z62zzliveness_typesz00(obj_t BgL_envz00_7117,
		obj_t BgL_oz00_7118)
	{
		{	/* Liveness/types.scm 227 */
			{
				BgL_boxzd2setz12zf2livenessz32_bglt BgL_auxz00_11312;

				{
					obj_t BgL_auxz00_11313;

					{	/* Liveness/types.scm 227 */
						BgL_objectz00_bglt BgL_tmpz00_11314;

						BgL_tmpz00_11314 =
							((BgL_objectz00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_oz00_7118));
						BgL_auxz00_11313 = BGL_OBJECT_WIDENING(BgL_tmpz00_11314);
					}
					BgL_auxz00_11312 =
						((BgL_boxzd2setz12zf2livenessz32_bglt) BgL_auxz00_11313);
				}
				return
					(((BgL_boxzd2setz12zf2livenessz32_bglt) COBJECT(BgL_auxz00_11312))->
					BgL_defz00);
			}
		}

	}



/* &lambda3832 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3832z62zzliveness_typesz00(obj_t
		BgL_envz00_7119, obj_t BgL_o1681z00_7120)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				long BgL_arg3833z00_8566;

				{	/* Liveness/types.scm 221 */
					obj_t BgL_arg3834z00_8567;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_arg3835z00_8568;

						{	/* Liveness/types.scm 221 */
							obj_t BgL_arg1866z00_8569;
							long BgL_arg1867z00_8570;

							BgL_arg1866z00_8569 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 221 */
								long BgL_arg1869z00_8571;

								BgL_arg1869z00_8571 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_o1681z00_7120)));
								BgL_arg1867z00_8570 = (BgL_arg1869z00_8571 - OBJECT_TYPE);
							}
							BgL_arg3835z00_8568 =
								VECTOR_REF(BgL_arg1866z00_8569, BgL_arg1867z00_8570);
						}
						BgL_arg3834z00_8567 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3835z00_8568);
					}
					{	/* Liveness/types.scm 221 */
						obj_t BgL_tmpz00_11327;

						BgL_tmpz00_11327 = ((obj_t) BgL_arg3834z00_8567);
						BgL_arg3833z00_8566 = BGL_CLASS_NUM(BgL_tmpz00_11327);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1681z00_7120)), BgL_arg3833z00_8566);
			}
			{	/* Liveness/types.scm 221 */
				BgL_objectz00_bglt BgL_tmpz00_11333;

				BgL_tmpz00_11333 =
					((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1681z00_7120));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11333, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1681z00_7120));
			return
				((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_o1681z00_7120));
		}

	}



/* &<@anonymous:3831> */
	obj_t BGl_z62zc3z04anonymousza33831ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7121, obj_t BgL_new1680z00_7122)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_11341;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11345;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8573;

						BgL_classz00_8573 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1117z00_8574;

							BgL__ortest_1117z00_8574 = BGL_CLASS_NIL(BgL_classz00_8573);
							if (CBOOL(BgL__ortest_1117z00_8574))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11345 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8574);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11345 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8573));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11345), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_boxzd2refzd2_bglt)
										BgL_new1680z00_7122))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_11361;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8575;

						BgL_classz00_8575 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1117z00_8576;

							BgL__ortest_1117z00_8576 = BGL_CLASS_NIL(BgL_classz00_8575);
							if (CBOOL(BgL__ortest_1117z00_8576))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11361 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_8576);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11361 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8575));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_11361), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_11371;

					{	/* Liveness/types.scm 221 */
						obj_t BgL_classz00_8577;

						BgL_classz00_8577 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 221 */
							obj_t BgL__ortest_1117z00_8578;

							BgL__ortest_1117z00_8578 = BGL_CLASS_NIL(BgL_classz00_8577);
							if (CBOOL(BgL__ortest_1117z00_8578))
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11371 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8578);
								}
							else
								{	/* Liveness/types.scm 221 */
									BgL_auxz00_11371 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8577));
								}
						}
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_11371), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11381;

					{
						obj_t BgL_auxz00_11382;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11383;

							BgL_tmpz00_11383 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122));
							BgL_auxz00_11382 = BGL_OBJECT_WIDENING(BgL_tmpz00_11383);
						}
						BgL_auxz00_11381 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11382);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11381))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11389;

					{
						obj_t BgL_auxz00_11390;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11391;

							BgL_tmpz00_11391 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122));
							BgL_auxz00_11390 = BGL_OBJECT_WIDENING(BgL_tmpz00_11391);
						}
						BgL_auxz00_11389 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11390);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11389))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11397;

					{
						obj_t BgL_auxz00_11398;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11399;

							BgL_tmpz00_11399 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122));
							BgL_auxz00_11398 = BGL_OBJECT_WIDENING(BgL_tmpz00_11399);
						}
						BgL_auxz00_11397 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11398);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11397))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11405;

					{
						obj_t BgL_auxz00_11406;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11407;

							BgL_tmpz00_11407 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122));
							BgL_auxz00_11406 = BGL_OBJECT_WIDENING(BgL_tmpz00_11407);
						}
						BgL_auxz00_11405 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11406);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11405))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11341 = ((BgL_boxzd2refzd2_bglt) BgL_new1680z00_7122);
				return ((obj_t) BgL_auxz00_11341);
			}
		}

	}



/* &lambda3829 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3829z62zzliveness_typesz00(obj_t
		BgL_envz00_7123, obj_t BgL_o1677z00_7124)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzf2livenessz20_bglt BgL_wide1679z00_8580;

				BgL_wide1679z00_8580 =
					((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_boxzd2refzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 221 */
					obj_t BgL_auxz00_11420;
					BgL_objectz00_bglt BgL_tmpz00_11416;

					BgL_auxz00_11420 = ((obj_t) BgL_wide1679z00_8580);
					BgL_tmpz00_11416 =
						((BgL_objectz00_bglt)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_o1677z00_7124)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11416, BgL_auxz00_11420);
				}
				((BgL_objectz00_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1677z00_7124)));
				{	/* Liveness/types.scm 221 */
					long BgL_arg3830z00_8581;

					BgL_arg3830z00_8581 =
						BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_o1677z00_7124))),
						BgL_arg3830z00_8581);
				}
				return
					((BgL_boxzd2refzd2_bglt)
					((BgL_boxzd2refzd2_bglt)
						((BgL_boxzd2refzd2_bglt) BgL_o1677z00_7124)));
			}
		}

	}



/* &lambda3826 */
	BgL_boxzd2refzd2_bglt BGl_z62lambda3826z62zzliveness_typesz00(obj_t
		BgL_envz00_7125, obj_t BgL_loc1667z00_7126, obj_t BgL_type1668z00_7127,
		obj_t BgL_sidezd2effect1669zd2_7128, obj_t BgL_key1670z00_7129,
		obj_t BgL_var1671z00_7130, obj_t BgL_vtype1672z00_7131,
		obj_t BgL_def1673z00_7132, obj_t BgL_use1674z00_7133,
		obj_t BgL_in1675z00_7134, obj_t BgL_out1676z00_7135)
	{
		{	/* Liveness/types.scm 221 */
			{	/* Liveness/types.scm 221 */
				BgL_boxzd2refzd2_bglt BgL_new1865z00_8589;

				{	/* Liveness/types.scm 221 */
					BgL_boxzd2refzd2_bglt BgL_tmp1863z00_8590;
					BgL_boxzd2refzf2livenessz20_bglt BgL_wide1864z00_8591;

					{
						BgL_boxzd2refzd2_bglt BgL_auxz00_11434;

						{	/* Liveness/types.scm 221 */
							BgL_boxzd2refzd2_bglt BgL_new1862z00_8592;

							BgL_new1862z00_8592 =
								((BgL_boxzd2refzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_boxzd2refzd2_bgl))));
							{	/* Liveness/types.scm 221 */
								long BgL_arg3828z00_8593;

								BgL_arg3828z00_8593 =
									BGL_CLASS_NUM(BGl_boxzd2refzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1862z00_8592),
									BgL_arg3828z00_8593);
							}
							{	/* Liveness/types.scm 221 */
								BgL_objectz00_bglt BgL_tmpz00_11439;

								BgL_tmpz00_11439 = ((BgL_objectz00_bglt) BgL_new1862z00_8592);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11439, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1862z00_8592);
							BgL_auxz00_11434 = BgL_new1862z00_8592;
						}
						BgL_tmp1863z00_8590 = ((BgL_boxzd2refzd2_bglt) BgL_auxz00_11434);
					}
					BgL_wide1864z00_8591 =
						((BgL_boxzd2refzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_boxzd2refzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 221 */
						obj_t BgL_auxz00_11447;
						BgL_objectz00_bglt BgL_tmpz00_11445;

						BgL_auxz00_11447 = ((obj_t) BgL_wide1864z00_8591);
						BgL_tmpz00_11445 = ((BgL_objectz00_bglt) BgL_tmp1863z00_8590);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11445, BgL_auxz00_11447);
					}
					((BgL_objectz00_bglt) BgL_tmp1863z00_8590);
					{	/* Liveness/types.scm 221 */
						long BgL_arg3827z00_8594;

						BgL_arg3827z00_8594 =
							BGL_CLASS_NUM(BGl_boxzd2refzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1863z00_8590), BgL_arg3827z00_8594);
					}
					BgL_new1865z00_8589 = ((BgL_boxzd2refzd2_bglt) BgL_tmp1863z00_8590);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1865z00_8589)))->BgL_locz00) =
					((obj_t) BgL_loc1667z00_7126), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1865z00_8589)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1668z00_7127)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1865z00_8589)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1669zd2_7128), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1865z00_8589)))->BgL_keyz00) =
					((obj_t) BgL_key1670z00_7129), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1865z00_8589)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1671z00_7130)), BUNSPEC);
				((((BgL_boxzd2refzd2_bglt) COBJECT(((BgL_boxzd2refzd2_bglt)
									BgL_new1865z00_8589)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1672z00_7131)),
					BUNSPEC);
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11470;

					{
						obj_t BgL_auxz00_11471;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11472;

							BgL_tmpz00_11472 = ((BgL_objectz00_bglt) BgL_new1865z00_8589);
							BgL_auxz00_11471 = BGL_OBJECT_WIDENING(BgL_tmpz00_11472);
						}
						BgL_auxz00_11470 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11471);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11470))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1673z00_7132)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11478;

					{
						obj_t BgL_auxz00_11479;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11480;

							BgL_tmpz00_11480 = ((BgL_objectz00_bglt) BgL_new1865z00_8589);
							BgL_auxz00_11479 = BGL_OBJECT_WIDENING(BgL_tmpz00_11480);
						}
						BgL_auxz00_11478 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11479);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11478))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1674z00_7133)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11486;

					{
						obj_t BgL_auxz00_11487;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11488;

							BgL_tmpz00_11488 = ((BgL_objectz00_bglt) BgL_new1865z00_8589);
							BgL_auxz00_11487 = BGL_OBJECT_WIDENING(BgL_tmpz00_11488);
						}
						BgL_auxz00_11486 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11487);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11486))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1675z00_7134)), BUNSPEC);
				}
				{
					BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11494;

					{
						obj_t BgL_auxz00_11495;

						{	/* Liveness/types.scm 221 */
							BgL_objectz00_bglt BgL_tmpz00_11496;

							BgL_tmpz00_11496 = ((BgL_objectz00_bglt) BgL_new1865z00_8589);
							BgL_auxz00_11495 = BGL_OBJECT_WIDENING(BgL_tmpz00_11496);
						}
						BgL_auxz00_11494 =
							((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11495);
					}
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11494))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1676z00_7135)), BUNSPEC);
				}
				return BgL_new1865z00_8589;
			}
		}

	}



/* &<@anonymous:3863> */
	obj_t BGl_z62zc3z04anonymousza33863ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7136)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3862 */
	obj_t BGl_z62lambda3862z62zzliveness_typesz00(obj_t BgL_envz00_7137,
		obj_t BgL_oz00_7138, obj_t BgL_vz00_7139)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11502;

				{
					obj_t BgL_auxz00_11503;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11504;

						BgL_tmpz00_11504 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7138));
						BgL_auxz00_11503 = BGL_OBJECT_WIDENING(BgL_tmpz00_11504);
					}
					BgL_auxz00_11502 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11503);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11502))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7139)), BUNSPEC);
			}
		}

	}



/* &lambda3861 */
	obj_t BGl_z62lambda3861z62zzliveness_typesz00(obj_t BgL_envz00_7140,
		obj_t BgL_oz00_7141)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11511;

				{
					obj_t BgL_auxz00_11512;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11513;

						BgL_tmpz00_11513 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7141));
						BgL_auxz00_11512 = BGL_OBJECT_WIDENING(BgL_tmpz00_11513);
					}
					BgL_auxz00_11511 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11512);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11511))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3856> */
	obj_t BGl_z62zc3z04anonymousza33856ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7142)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3855 */
	obj_t BGl_z62lambda3855z62zzliveness_typesz00(obj_t BgL_envz00_7143,
		obj_t BgL_oz00_7144, obj_t BgL_vz00_7145)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11519;

				{
					obj_t BgL_auxz00_11520;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11521;

						BgL_tmpz00_11521 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7144));
						BgL_auxz00_11520 = BGL_OBJECT_WIDENING(BgL_tmpz00_11521);
					}
					BgL_auxz00_11519 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11520);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11519))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7145)), BUNSPEC);
			}
		}

	}



/* &lambda3854 */
	obj_t BGl_z62lambda3854z62zzliveness_typesz00(obj_t BgL_envz00_7146,
		obj_t BgL_oz00_7147)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11528;

				{
					obj_t BgL_auxz00_11529;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11530;

						BgL_tmpz00_11530 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7147));
						BgL_auxz00_11529 = BGL_OBJECT_WIDENING(BgL_tmpz00_11530);
					}
					BgL_auxz00_11528 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11529);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11528))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3849> */
	obj_t BGl_z62zc3z04anonymousza33849ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7148)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3848 */
	obj_t BGl_z62lambda3848z62zzliveness_typesz00(obj_t BgL_envz00_7149,
		obj_t BgL_oz00_7150, obj_t BgL_vz00_7151)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11536;

				{
					obj_t BgL_auxz00_11537;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11538;

						BgL_tmpz00_11538 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7150));
						BgL_auxz00_11537 = BGL_OBJECT_WIDENING(BgL_tmpz00_11538);
					}
					BgL_auxz00_11536 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11537);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11536))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7151)), BUNSPEC);
			}
		}

	}



/* &lambda3847 */
	obj_t BGl_z62lambda3847z62zzliveness_typesz00(obj_t BgL_envz00_7152,
		obj_t BgL_oz00_7153)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11545;

				{
					obj_t BgL_auxz00_11546;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11547;

						BgL_tmpz00_11547 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7153));
						BgL_auxz00_11546 = BGL_OBJECT_WIDENING(BgL_tmpz00_11547);
					}
					BgL_auxz00_11545 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11546);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11545))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3842> */
	obj_t BGl_z62zc3z04anonymousza33842ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7154)
	{
		{	/* Liveness/types.scm 221 */
			return BNIL;
		}

	}



/* &lambda3841 */
	obj_t BGl_z62lambda3841z62zzliveness_typesz00(obj_t BgL_envz00_7155,
		obj_t BgL_oz00_7156, obj_t BgL_vz00_7157)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11553;

				{
					obj_t BgL_auxz00_11554;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11555;

						BgL_tmpz00_11555 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7156));
						BgL_auxz00_11554 = BGL_OBJECT_WIDENING(BgL_tmpz00_11555);
					}
					BgL_auxz00_11553 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11554);
				}
				return
					((((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11553))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7157)), BUNSPEC);
			}
		}

	}



/* &lambda3840 */
	obj_t BGl_z62lambda3840z62zzliveness_typesz00(obj_t BgL_envz00_7158,
		obj_t BgL_oz00_7159)
	{
		{	/* Liveness/types.scm 221 */
			{
				BgL_boxzd2refzf2livenessz20_bglt BgL_auxz00_11562;

				{
					obj_t BgL_auxz00_11563;

					{	/* Liveness/types.scm 221 */
						BgL_objectz00_bglt BgL_tmpz00_11564;

						BgL_tmpz00_11564 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_oz00_7159));
						BgL_auxz00_11563 = BGL_OBJECT_WIDENING(BgL_tmpz00_11564);
					}
					BgL_auxz00_11562 =
						((BgL_boxzd2refzf2livenessz20_bglt) BgL_auxz00_11563);
				}
				return
					(((BgL_boxzd2refzf2livenessz20_bglt) COBJECT(BgL_auxz00_11562))->
					BgL_defz00);
			}
		}

	}



/* &lambda3788 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3788z62zzliveness_typesz00(obj_t
		BgL_envz00_7160, obj_t BgL_o1665z00_7161)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				long BgL_arg3789z00_8608;

				{	/* Liveness/types.scm 215 */
					obj_t BgL_arg3790z00_8609;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_arg3791z00_8610;

						{	/* Liveness/types.scm 215 */
							obj_t BgL_arg1866z00_8611;
							long BgL_arg1867z00_8612;

							BgL_arg1866z00_8611 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 215 */
								long BgL_arg1869z00_8613;

								BgL_arg1869z00_8613 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_o1665z00_7161)));
								BgL_arg1867z00_8612 = (BgL_arg1869z00_8613 - OBJECT_TYPE);
							}
							BgL_arg3791z00_8610 =
								VECTOR_REF(BgL_arg1866z00_8611, BgL_arg1867z00_8612);
						}
						BgL_arg3790z00_8609 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3791z00_8610);
					}
					{	/* Liveness/types.scm 215 */
						obj_t BgL_tmpz00_11577;

						BgL_tmpz00_11577 = ((obj_t) BgL_arg3790z00_8609);
						BgL_arg3789z00_8608 = BGL_CLASS_NUM(BgL_tmpz00_11577);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1665z00_7161)), BgL_arg3789z00_8608);
			}
			{	/* Liveness/types.scm 215 */
				BgL_objectz00_bglt BgL_tmpz00_11583;

				BgL_tmpz00_11583 =
					((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1665z00_7161));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11583, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1665z00_7161));
			return
				((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_o1665z00_7161));
		}

	}



/* &<@anonymous:3787> */
	obj_t BGl_z62zc3z04anonymousza33787ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7162, obj_t BgL_new1664z00_7163)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_11591;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11595;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8615;

						BgL_classz00_8615 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1117z00_8616;

							BgL__ortest_1117z00_8616 = BGL_CLASS_NIL(BgL_classz00_8615);
							if (CBOOL(BgL__ortest_1117z00_8616))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11595 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8616);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11595 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8615));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11595), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_makezd2boxzd2_bglt)
										BgL_new1664z00_7163))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_11611;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8617;

						BgL_classz00_8617 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1117z00_8618;

							BgL__ortest_1117z00_8618 = BGL_CLASS_NIL(BgL_classz00_8617);
							if (CBOOL(BgL__ortest_1117z00_8618))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11611 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8618);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11611 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8617));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11611), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_11621;

					{	/* Liveness/types.scm 215 */
						obj_t BgL_classz00_8619;

						BgL_classz00_8619 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 215 */
							obj_t BgL__ortest_1117z00_8620;

							BgL__ortest_1117z00_8620 = BGL_CLASS_NIL(BgL_classz00_8619);
							if (CBOOL(BgL__ortest_1117z00_8620))
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11621 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8620);
								}
							else
								{	/* Liveness/types.scm 215 */
									BgL_auxz00_11621 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8619));
								}
						}
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_11621), BUNSPEC);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163))))->
						BgL_stackablez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11634;

					{
						obj_t BgL_auxz00_11635;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11636;

							BgL_tmpz00_11636 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163));
							BgL_auxz00_11635 = BGL_OBJECT_WIDENING(BgL_tmpz00_11636);
						}
						BgL_auxz00_11634 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11635);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11634))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11642;

					{
						obj_t BgL_auxz00_11643;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11644;

							BgL_tmpz00_11644 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163));
							BgL_auxz00_11643 = BGL_OBJECT_WIDENING(BgL_tmpz00_11644);
						}
						BgL_auxz00_11642 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11643);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11642))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11650;

					{
						obj_t BgL_auxz00_11651;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11652;

							BgL_tmpz00_11652 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163));
							BgL_auxz00_11651 = BGL_OBJECT_WIDENING(BgL_tmpz00_11652);
						}
						BgL_auxz00_11650 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11651);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11650))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11658;

					{
						obj_t BgL_auxz00_11659;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11660;

							BgL_tmpz00_11660 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163));
							BgL_auxz00_11659 = BGL_OBJECT_WIDENING(BgL_tmpz00_11660);
						}
						BgL_auxz00_11658 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11659);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11658))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11591 = ((BgL_makezd2boxzd2_bglt) BgL_new1664z00_7163);
				return ((obj_t) BgL_auxz00_11591);
			}
		}

	}



/* &lambda3785 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3785z62zzliveness_typesz00(obj_t
		BgL_envz00_7164, obj_t BgL_o1661z00_7165)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzf2livenessz20_bglt BgL_wide1663z00_8622;

				BgL_wide1663z00_8622 =
					((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 215 */
					obj_t BgL_auxz00_11673;
					BgL_objectz00_bglt BgL_tmpz00_11669;

					BgL_auxz00_11673 = ((obj_t) BgL_wide1663z00_8622);
					BgL_tmpz00_11669 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_o1661z00_7165)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11669, BgL_auxz00_11673);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1661z00_7165)));
				{	/* Liveness/types.scm 215 */
					long BgL_arg3786z00_8623;

					BgL_arg3786z00_8623 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_o1661z00_7165))),
						BgL_arg3786z00_8623);
				}
				return
					((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_o1661z00_7165)));
			}
		}

	}



/* &lambda3782 */
	BgL_makezd2boxzd2_bglt BGl_z62lambda3782z62zzliveness_typesz00(obj_t
		BgL_envz00_7166, obj_t BgL_loc1650z00_7167, obj_t BgL_type1651z00_7168,
		obj_t BgL_sidezd2effect1652zd2_7169, obj_t BgL_key1653z00_7170,
		obj_t BgL_value1654z00_7171, obj_t BgL_vtype1655z00_7172,
		obj_t BgL_stackable1656z00_7173, obj_t BgL_def1657z00_7174,
		obj_t BgL_use1658z00_7175, obj_t BgL_in1659z00_7176,
		obj_t BgL_out1660z00_7177)
	{
		{	/* Liveness/types.scm 215 */
			{	/* Liveness/types.scm 215 */
				BgL_makezd2boxzd2_bglt BgL_new1860z00_8631;

				{	/* Liveness/types.scm 215 */
					BgL_makezd2boxzd2_bglt BgL_tmp1858z00_8632;
					BgL_makezd2boxzf2livenessz20_bglt BgL_wide1859z00_8633;

					{
						BgL_makezd2boxzd2_bglt BgL_auxz00_11687;

						{	/* Liveness/types.scm 215 */
							BgL_makezd2boxzd2_bglt BgL_new1857z00_8634;

							BgL_new1857z00_8634 =
								((BgL_makezd2boxzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzd2_bgl))));
							{	/* Liveness/types.scm 215 */
								long BgL_arg3784z00_8635;

								BgL_arg3784z00_8635 =
									BGL_CLASS_NUM(BGl_makezd2boxzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1857z00_8634),
									BgL_arg3784z00_8635);
							}
							{	/* Liveness/types.scm 215 */
								BgL_objectz00_bglt BgL_tmpz00_11692;

								BgL_tmpz00_11692 = ((BgL_objectz00_bglt) BgL_new1857z00_8634);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11692, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1857z00_8634);
							BgL_auxz00_11687 = BgL_new1857z00_8634;
						}
						BgL_tmp1858z00_8632 = ((BgL_makezd2boxzd2_bglt) BgL_auxz00_11687);
					}
					BgL_wide1859z00_8633 =
						((BgL_makezd2boxzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_makezd2boxzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 215 */
						obj_t BgL_auxz00_11700;
						BgL_objectz00_bglt BgL_tmpz00_11698;

						BgL_auxz00_11700 = ((obj_t) BgL_wide1859z00_8633);
						BgL_tmpz00_11698 = ((BgL_objectz00_bglt) BgL_tmp1858z00_8632);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11698, BgL_auxz00_11700);
					}
					((BgL_objectz00_bglt) BgL_tmp1858z00_8632);
					{	/* Liveness/types.scm 215 */
						long BgL_arg3783z00_8636;

						BgL_arg3783z00_8636 =
							BGL_CLASS_NUM(BGl_makezd2boxzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1858z00_8632), BgL_arg3783z00_8636);
					}
					BgL_new1860z00_8631 = ((BgL_makezd2boxzd2_bglt) BgL_tmp1858z00_8632);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1860z00_8631)))->BgL_locz00) =
					((obj_t) BgL_loc1650z00_7167), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1860z00_8631)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1651z00_7168)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_8631)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1652zd2_7169), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1860z00_8631)))->BgL_keyz00) =
					((obj_t) BgL_key1653z00_7170), BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1860z00_8631)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1654z00_7171)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1860z00_8631)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1655z00_7172)),
					BUNSPEC);
				((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
									BgL_new1860z00_8631)))->BgL_stackablez00) =
					((obj_t) BgL_stackable1656z00_7173), BUNSPEC);
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11725;

					{
						obj_t BgL_auxz00_11726;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11727;

							BgL_tmpz00_11727 = ((BgL_objectz00_bglt) BgL_new1860z00_8631);
							BgL_auxz00_11726 = BGL_OBJECT_WIDENING(BgL_tmpz00_11727);
						}
						BgL_auxz00_11725 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11726);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11725))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1657z00_7174)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11733;

					{
						obj_t BgL_auxz00_11734;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11735;

							BgL_tmpz00_11735 = ((BgL_objectz00_bglt) BgL_new1860z00_8631);
							BgL_auxz00_11734 = BGL_OBJECT_WIDENING(BgL_tmpz00_11735);
						}
						BgL_auxz00_11733 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11734);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11733))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1658z00_7175)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11741;

					{
						obj_t BgL_auxz00_11742;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11743;

							BgL_tmpz00_11743 = ((BgL_objectz00_bglt) BgL_new1860z00_8631);
							BgL_auxz00_11742 = BGL_OBJECT_WIDENING(BgL_tmpz00_11743);
						}
						BgL_auxz00_11741 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11742);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11741))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1659z00_7176)), BUNSPEC);
				}
				{
					BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11749;

					{
						obj_t BgL_auxz00_11750;

						{	/* Liveness/types.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_11751;

							BgL_tmpz00_11751 = ((BgL_objectz00_bglt) BgL_new1860z00_8631);
							BgL_auxz00_11750 = BGL_OBJECT_WIDENING(BgL_tmpz00_11751);
						}
						BgL_auxz00_11749 =
							((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11750);
					}
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11749))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1660z00_7177)), BUNSPEC);
				}
				return BgL_new1860z00_8631;
			}
		}

	}



/* &<@anonymous:3819> */
	obj_t BGl_z62zc3z04anonymousza33819ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7178)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3818 */
	obj_t BGl_z62lambda3818z62zzliveness_typesz00(obj_t BgL_envz00_7179,
		obj_t BgL_oz00_7180, obj_t BgL_vz00_7181)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11757;

				{
					obj_t BgL_auxz00_11758;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11759;

						BgL_tmpz00_11759 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7180));
						BgL_auxz00_11758 = BGL_OBJECT_WIDENING(BgL_tmpz00_11759);
					}
					BgL_auxz00_11757 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11758);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11757))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7181)), BUNSPEC);
			}
		}

	}



/* &lambda3817 */
	obj_t BGl_z62lambda3817z62zzliveness_typesz00(obj_t BgL_envz00_7182,
		obj_t BgL_oz00_7183)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11766;

				{
					obj_t BgL_auxz00_11767;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11768;

						BgL_tmpz00_11768 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7183));
						BgL_auxz00_11767 = BGL_OBJECT_WIDENING(BgL_tmpz00_11768);
					}
					BgL_auxz00_11766 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11767);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11766))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3812> */
	obj_t BGl_z62zc3z04anonymousza33812ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7184)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3811 */
	obj_t BGl_z62lambda3811z62zzliveness_typesz00(obj_t BgL_envz00_7185,
		obj_t BgL_oz00_7186, obj_t BgL_vz00_7187)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11774;

				{
					obj_t BgL_auxz00_11775;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11776;

						BgL_tmpz00_11776 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7186));
						BgL_auxz00_11775 = BGL_OBJECT_WIDENING(BgL_tmpz00_11776);
					}
					BgL_auxz00_11774 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11775);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11774))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7187)), BUNSPEC);
			}
		}

	}



/* &lambda3810 */
	obj_t BGl_z62lambda3810z62zzliveness_typesz00(obj_t BgL_envz00_7188,
		obj_t BgL_oz00_7189)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11783;

				{
					obj_t BgL_auxz00_11784;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11785;

						BgL_tmpz00_11785 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7189));
						BgL_auxz00_11784 = BGL_OBJECT_WIDENING(BgL_tmpz00_11785);
					}
					BgL_auxz00_11783 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11784);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11783))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3805> */
	obj_t BGl_z62zc3z04anonymousza33805ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7190)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3804 */
	obj_t BGl_z62lambda3804z62zzliveness_typesz00(obj_t BgL_envz00_7191,
		obj_t BgL_oz00_7192, obj_t BgL_vz00_7193)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11791;

				{
					obj_t BgL_auxz00_11792;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11793;

						BgL_tmpz00_11793 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7192));
						BgL_auxz00_11792 = BGL_OBJECT_WIDENING(BgL_tmpz00_11793);
					}
					BgL_auxz00_11791 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11792);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11791))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7193)), BUNSPEC);
			}
		}

	}



/* &lambda3803 */
	obj_t BGl_z62lambda3803z62zzliveness_typesz00(obj_t BgL_envz00_7194,
		obj_t BgL_oz00_7195)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11800;

				{
					obj_t BgL_auxz00_11801;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11802;

						BgL_tmpz00_11802 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7195));
						BgL_auxz00_11801 = BGL_OBJECT_WIDENING(BgL_tmpz00_11802);
					}
					BgL_auxz00_11800 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11801);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11800))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3798> */
	obj_t BGl_z62zc3z04anonymousza33798ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7196)
	{
		{	/* Liveness/types.scm 215 */
			return BNIL;
		}

	}



/* &lambda3797 */
	obj_t BGl_z62lambda3797z62zzliveness_typesz00(obj_t BgL_envz00_7197,
		obj_t BgL_oz00_7198, obj_t BgL_vz00_7199)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11808;

				{
					obj_t BgL_auxz00_11809;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11810;

						BgL_tmpz00_11810 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7198));
						BgL_auxz00_11809 = BGL_OBJECT_WIDENING(BgL_tmpz00_11810);
					}
					BgL_auxz00_11808 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11809);
				}
				return
					((((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11808))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7199)), BUNSPEC);
			}
		}

	}



/* &lambda3796 */
	obj_t BGl_z62lambda3796z62zzliveness_typesz00(obj_t BgL_envz00_7200,
		obj_t BgL_oz00_7201)
	{
		{	/* Liveness/types.scm 215 */
			{
				BgL_makezd2boxzf2livenessz20_bglt BgL_auxz00_11817;

				{
					obj_t BgL_auxz00_11818;

					{	/* Liveness/types.scm 215 */
						BgL_objectz00_bglt BgL_tmpz00_11819;

						BgL_tmpz00_11819 =
							((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_oz00_7201));
						BgL_auxz00_11818 = BGL_OBJECT_WIDENING(BgL_tmpz00_11819);
					}
					BgL_auxz00_11817 =
						((BgL_makezd2boxzf2livenessz20_bglt) BgL_auxz00_11818);
				}
				return
					(((BgL_makezd2boxzf2livenessz20_bglt) COBJECT(BgL_auxz00_11817))->
					BgL_defz00);
			}
		}

	}



/* &lambda3744 */
	BgL_returnz00_bglt BGl_z62lambda3744z62zzliveness_typesz00(obj_t
		BgL_envz00_7202, obj_t BgL_o1648z00_7203)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				long BgL_arg3745z00_8650;

				{	/* Liveness/types.scm 209 */
					obj_t BgL_arg3746z00_8651;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_arg3747z00_8652;

						{	/* Liveness/types.scm 209 */
							obj_t BgL_arg1866z00_8653;
							long BgL_arg1867z00_8654;

							BgL_arg1866z00_8653 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 209 */
								long BgL_arg1869z00_8655;

								BgL_arg1869z00_8655 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_returnz00_bglt) BgL_o1648z00_7203)));
								BgL_arg1867z00_8654 = (BgL_arg1869z00_8655 - OBJECT_TYPE);
							}
							BgL_arg3747z00_8652 =
								VECTOR_REF(BgL_arg1866z00_8653, BgL_arg1867z00_8654);
						}
						BgL_arg3746z00_8651 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3747z00_8652);
					}
					{	/* Liveness/types.scm 209 */
						obj_t BgL_tmpz00_11832;

						BgL_tmpz00_11832 = ((obj_t) BgL_arg3746z00_8651);
						BgL_arg3745z00_8650 = BGL_CLASS_NUM(BgL_tmpz00_11832);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) BgL_o1648z00_7203)), BgL_arg3745z00_8650);
			}
			{	/* Liveness/types.scm 209 */
				BgL_objectz00_bglt BgL_tmpz00_11838;

				BgL_tmpz00_11838 =
					((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1648z00_7203));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11838, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_o1648z00_7203));
			return ((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1648z00_7203));
		}

	}



/* &<@anonymous:3743> */
	obj_t BGl_z62zc3z04anonymousza33743ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7204, obj_t BgL_new1647z00_7205)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnz00_bglt BgL_auxz00_11846;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_returnz00_bglt) BgL_new1647z00_7205))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_11850;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8657;

						BgL_classz00_8657 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1117z00_8658;

							BgL__ortest_1117z00_8658 = BGL_CLASS_NIL(BgL_classz00_8657);
							if (CBOOL(BgL__ortest_1117z00_8658))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11850 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8658);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11850 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8657));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_returnz00_bglt) BgL_new1647z00_7205))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_11850), BUNSPEC);
				}
				{
					BgL_retblockz00_bglt BgL_auxz00_11860;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8659;

						BgL_classz00_8659 = BGl_retblockz00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1117z00_8660;

							BgL__ortest_1117z00_8660 = BGL_CLASS_NIL(BgL_classz00_8659);
							if (CBOOL(BgL__ortest_1117z00_8660))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11860 =
										((BgL_retblockz00_bglt) BgL__ortest_1117z00_8660);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11860 =
										((BgL_retblockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8659));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1647z00_7205))))->
							BgL_blockz00) =
						((BgL_retblockz00_bglt) BgL_auxz00_11860), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_11870;

					{	/* Liveness/types.scm 209 */
						obj_t BgL_classz00_8661;

						BgL_classz00_8661 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 209 */
							obj_t BgL__ortest_1117z00_8662;

							BgL__ortest_1117z00_8662 = BGL_CLASS_NIL(BgL_classz00_8661);
							if (CBOOL(BgL__ortest_1117z00_8662))
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11870 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8662);
								}
							else
								{	/* Liveness/types.scm 209 */
									BgL_auxz00_11870 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8661));
								}
						}
					}
					((((BgL_returnz00_bglt) COBJECT(
									((BgL_returnz00_bglt)
										((BgL_returnz00_bglt) BgL_new1647z00_7205))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_11870), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11880;

					{
						obj_t BgL_auxz00_11881;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11882;

							BgL_tmpz00_11882 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1647z00_7205));
							BgL_auxz00_11881 = BGL_OBJECT_WIDENING(BgL_tmpz00_11882);
						}
						BgL_auxz00_11880 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11881);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11880))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11888;

					{
						obj_t BgL_auxz00_11889;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11890;

							BgL_tmpz00_11890 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1647z00_7205));
							BgL_auxz00_11889 = BGL_OBJECT_WIDENING(BgL_tmpz00_11890);
						}
						BgL_auxz00_11888 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11889);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11888))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11896;

					{
						obj_t BgL_auxz00_11897;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11898;

							BgL_tmpz00_11898 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1647z00_7205));
							BgL_auxz00_11897 = BGL_OBJECT_WIDENING(BgL_tmpz00_11898);
						}
						BgL_auxz00_11896 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11897);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11896))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11904;

					{
						obj_t BgL_auxz00_11905;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11906;

							BgL_tmpz00_11906 =
								((BgL_objectz00_bglt)
								((BgL_returnz00_bglt) BgL_new1647z00_7205));
							BgL_auxz00_11905 = BGL_OBJECT_WIDENING(BgL_tmpz00_11906);
						}
						BgL_auxz00_11904 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11905);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11904))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_11846 = ((BgL_returnz00_bglt) BgL_new1647z00_7205);
				return ((obj_t) BgL_auxz00_11846);
			}
		}

	}



/* &lambda3741 */
	BgL_returnz00_bglt BGl_z62lambda3741z62zzliveness_typesz00(obj_t
		BgL_envz00_7206, obj_t BgL_o1644z00_7207)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnzf2livenesszf2_bglt BgL_wide1646z00_8664;

				BgL_wide1646z00_8664 =
					((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_returnzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 209 */
					obj_t BgL_auxz00_11919;
					BgL_objectz00_bglt BgL_tmpz00_11915;

					BgL_auxz00_11919 = ((obj_t) BgL_wide1646z00_8664);
					BgL_tmpz00_11915 =
						((BgL_objectz00_bglt)
						((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1644z00_7207)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11915, BgL_auxz00_11919);
				}
				((BgL_objectz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1644z00_7207)));
				{	/* Liveness/types.scm 209 */
					long BgL_arg3742z00_8665;

					BgL_arg3742z00_8665 =
						BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_returnz00_bglt)
								((BgL_returnz00_bglt) BgL_o1644z00_7207))),
						BgL_arg3742z00_8665);
				}
				return
					((BgL_returnz00_bglt)
					((BgL_returnz00_bglt) ((BgL_returnz00_bglt) BgL_o1644z00_7207)));
			}
		}

	}



/* &lambda3738 */
	BgL_returnz00_bglt BGl_z62lambda3738z62zzliveness_typesz00(obj_t
		BgL_envz00_7208, obj_t BgL_loc1636z00_7209, obj_t BgL_type1637z00_7210,
		obj_t BgL_block1638z00_7211, obj_t BgL_value1639z00_7212,
		obj_t BgL_def1640z00_7213, obj_t BgL_use1641z00_7214,
		obj_t BgL_in1642z00_7215, obj_t BgL_out1643z00_7216)
	{
		{	/* Liveness/types.scm 209 */
			{	/* Liveness/types.scm 209 */
				BgL_returnz00_bglt BgL_new1855z00_8673;

				{	/* Liveness/types.scm 209 */
					BgL_returnz00_bglt BgL_tmp1853z00_8674;
					BgL_returnzf2livenesszf2_bglt BgL_wide1854z00_8675;

					{
						BgL_returnz00_bglt BgL_auxz00_11933;

						{	/* Liveness/types.scm 209 */
							BgL_returnz00_bglt BgL_new1852z00_8676;

							BgL_new1852z00_8676 =
								((BgL_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_returnz00_bgl))));
							{	/* Liveness/types.scm 209 */
								long BgL_arg3740z00_8677;

								BgL_arg3740z00_8677 = BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1852z00_8676),
									BgL_arg3740z00_8677);
							}
							{	/* Liveness/types.scm 209 */
								BgL_objectz00_bglt BgL_tmpz00_11938;

								BgL_tmpz00_11938 = ((BgL_objectz00_bglt) BgL_new1852z00_8676);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11938, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1852z00_8676);
							BgL_auxz00_11933 = BgL_new1852z00_8676;
						}
						BgL_tmp1853z00_8674 = ((BgL_returnz00_bglt) BgL_auxz00_11933);
					}
					BgL_wide1854z00_8675 =
						((BgL_returnzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_returnzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 209 */
						obj_t BgL_auxz00_11946;
						BgL_objectz00_bglt BgL_tmpz00_11944;

						BgL_auxz00_11946 = ((obj_t) BgL_wide1854z00_8675);
						BgL_tmpz00_11944 = ((BgL_objectz00_bglt) BgL_tmp1853z00_8674);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11944, BgL_auxz00_11946);
					}
					((BgL_objectz00_bglt) BgL_tmp1853z00_8674);
					{	/* Liveness/types.scm 209 */
						long BgL_arg3739z00_8678;

						BgL_arg3739z00_8678 =
							BGL_CLASS_NUM(BGl_returnzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1853z00_8674), BgL_arg3739z00_8678);
					}
					BgL_new1855z00_8673 = ((BgL_returnz00_bglt) BgL_tmp1853z00_8674);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1855z00_8673)))->BgL_locz00) =
					((obj_t) BgL_loc1636z00_7209), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1855z00_8673)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1637z00_7210)),
					BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1855z00_8673)))->BgL_blockz00) =
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
							BgL_block1638z00_7211)), BUNSPEC);
				((((BgL_returnz00_bglt) COBJECT(((BgL_returnz00_bglt)
									BgL_new1855z00_8673)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1639z00_7212)),
					BUNSPEC);
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11965;

					{
						obj_t BgL_auxz00_11966;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11967;

							BgL_tmpz00_11967 = ((BgL_objectz00_bglt) BgL_new1855z00_8673);
							BgL_auxz00_11966 = BGL_OBJECT_WIDENING(BgL_tmpz00_11967);
						}
						BgL_auxz00_11965 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11966);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11965))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1640z00_7213)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11973;

					{
						obj_t BgL_auxz00_11974;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11975;

							BgL_tmpz00_11975 = ((BgL_objectz00_bglt) BgL_new1855z00_8673);
							BgL_auxz00_11974 = BGL_OBJECT_WIDENING(BgL_tmpz00_11975);
						}
						BgL_auxz00_11973 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11974);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11973))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1641z00_7214)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11981;

					{
						obj_t BgL_auxz00_11982;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11983;

							BgL_tmpz00_11983 = ((BgL_objectz00_bglt) BgL_new1855z00_8673);
							BgL_auxz00_11982 = BGL_OBJECT_WIDENING(BgL_tmpz00_11983);
						}
						BgL_auxz00_11981 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11982);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11981))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1642z00_7215)), BUNSPEC);
				}
				{
					BgL_returnzf2livenesszf2_bglt BgL_auxz00_11989;

					{
						obj_t BgL_auxz00_11990;

						{	/* Liveness/types.scm 209 */
							BgL_objectz00_bglt BgL_tmpz00_11991;

							BgL_tmpz00_11991 = ((BgL_objectz00_bglt) BgL_new1855z00_8673);
							BgL_auxz00_11990 = BGL_OBJECT_WIDENING(BgL_tmpz00_11991);
						}
						BgL_auxz00_11989 =
							((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11990);
					}
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11989))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1643z00_7216)), BUNSPEC);
				}
				return BgL_new1855z00_8673;
			}
		}

	}



/* &<@anonymous:3775> */
	obj_t BGl_z62zc3z04anonymousza33775ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7217)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3774 */
	obj_t BGl_z62lambda3774z62zzliveness_typesz00(obj_t BgL_envz00_7218,
		obj_t BgL_oz00_7219, obj_t BgL_vz00_7220)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_11997;

				{
					obj_t BgL_auxz00_11998;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_11999;

						BgL_tmpz00_11999 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7219));
						BgL_auxz00_11998 = BGL_OBJECT_WIDENING(BgL_tmpz00_11999);
					}
					BgL_auxz00_11997 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_11998);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_11997))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7220)), BUNSPEC);
			}
		}

	}



/* &lambda3773 */
	obj_t BGl_z62lambda3773z62zzliveness_typesz00(obj_t BgL_envz00_7221,
		obj_t BgL_oz00_7222)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12006;

				{
					obj_t BgL_auxz00_12007;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12008;

						BgL_tmpz00_12008 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7222));
						BgL_auxz00_12007 = BGL_OBJECT_WIDENING(BgL_tmpz00_12008);
					}
					BgL_auxz00_12006 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12007);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12006))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3768> */
	obj_t BGl_z62zc3z04anonymousza33768ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7223)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3767 */
	obj_t BGl_z62lambda3767z62zzliveness_typesz00(obj_t BgL_envz00_7224,
		obj_t BgL_oz00_7225, obj_t BgL_vz00_7226)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12014;

				{
					obj_t BgL_auxz00_12015;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12016;

						BgL_tmpz00_12016 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7225));
						BgL_auxz00_12015 = BGL_OBJECT_WIDENING(BgL_tmpz00_12016);
					}
					BgL_auxz00_12014 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12015);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12014))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7226)), BUNSPEC);
			}
		}

	}



/* &lambda3766 */
	obj_t BGl_z62lambda3766z62zzliveness_typesz00(obj_t BgL_envz00_7227,
		obj_t BgL_oz00_7228)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12023;

				{
					obj_t BgL_auxz00_12024;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12025;

						BgL_tmpz00_12025 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7228));
						BgL_auxz00_12024 = BGL_OBJECT_WIDENING(BgL_tmpz00_12025);
					}
					BgL_auxz00_12023 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12024);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12023))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3761> */
	obj_t BGl_z62zc3z04anonymousza33761ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7229)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3760 */
	obj_t BGl_z62lambda3760z62zzliveness_typesz00(obj_t BgL_envz00_7230,
		obj_t BgL_oz00_7231, obj_t BgL_vz00_7232)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12031;

				{
					obj_t BgL_auxz00_12032;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12033;

						BgL_tmpz00_12033 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7231));
						BgL_auxz00_12032 = BGL_OBJECT_WIDENING(BgL_tmpz00_12033);
					}
					BgL_auxz00_12031 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12032);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12031))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7232)), BUNSPEC);
			}
		}

	}



/* &lambda3759 */
	obj_t BGl_z62lambda3759z62zzliveness_typesz00(obj_t BgL_envz00_7233,
		obj_t BgL_oz00_7234)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12040;

				{
					obj_t BgL_auxz00_12041;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12042;

						BgL_tmpz00_12042 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7234));
						BgL_auxz00_12041 = BGL_OBJECT_WIDENING(BgL_tmpz00_12042);
					}
					BgL_auxz00_12040 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12041);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12040))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3754> */
	obj_t BGl_z62zc3z04anonymousza33754ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7235)
	{
		{	/* Liveness/types.scm 209 */
			return BNIL;
		}

	}



/* &lambda3753 */
	obj_t BGl_z62lambda3753z62zzliveness_typesz00(obj_t BgL_envz00_7236,
		obj_t BgL_oz00_7237, obj_t BgL_vz00_7238)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12048;

				{
					obj_t BgL_auxz00_12049;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12050;

						BgL_tmpz00_12050 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7237));
						BgL_auxz00_12049 = BGL_OBJECT_WIDENING(BgL_tmpz00_12050);
					}
					BgL_auxz00_12048 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12049);
				}
				return
					((((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12048))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7238)), BUNSPEC);
			}
		}

	}



/* &lambda3752 */
	obj_t BGl_z62lambda3752z62zzliveness_typesz00(obj_t BgL_envz00_7239,
		obj_t BgL_oz00_7240)
	{
		{	/* Liveness/types.scm 209 */
			{
				BgL_returnzf2livenesszf2_bglt BgL_auxz00_12057;

				{
					obj_t BgL_auxz00_12058;

					{	/* Liveness/types.scm 209 */
						BgL_objectz00_bglt BgL_tmpz00_12059;

						BgL_tmpz00_12059 =
							((BgL_objectz00_bglt) ((BgL_returnz00_bglt) BgL_oz00_7240));
						BgL_auxz00_12058 = BGL_OBJECT_WIDENING(BgL_tmpz00_12059);
					}
					BgL_auxz00_12057 = ((BgL_returnzf2livenesszf2_bglt) BgL_auxz00_12058);
				}
				return
					(((BgL_returnzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12057))->
					BgL_defz00);
			}
		}

	}



/* &lambda3699 */
	BgL_retblockz00_bglt BGl_z62lambda3699z62zzliveness_typesz00(obj_t
		BgL_envz00_7241, obj_t BgL_o1634z00_7242)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				long BgL_arg3700z00_8692;

				{	/* Liveness/types.scm 203 */
					obj_t BgL_arg3701z00_8693;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_arg3702z00_8694;

						{	/* Liveness/types.scm 203 */
							obj_t BgL_arg1866z00_8695;
							long BgL_arg1867z00_8696;

							BgL_arg1866z00_8695 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 203 */
								long BgL_arg1869z00_8697;

								BgL_arg1869z00_8697 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_retblockz00_bglt) BgL_o1634z00_7242)));
								BgL_arg1867z00_8696 = (BgL_arg1869z00_8697 - OBJECT_TYPE);
							}
							BgL_arg3702z00_8694 =
								VECTOR_REF(BgL_arg1866z00_8695, BgL_arg1867z00_8696);
						}
						BgL_arg3701z00_8693 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3702z00_8694);
					}
					{	/* Liveness/types.scm 203 */
						obj_t BgL_tmpz00_12072;

						BgL_tmpz00_12072 = ((obj_t) BgL_arg3701z00_8693);
						BgL_arg3700z00_8692 = BGL_CLASS_NUM(BgL_tmpz00_12072);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt) BgL_o1634z00_7242)), BgL_arg3700z00_8692);
			}
			{	/* Liveness/types.scm 203 */
				BgL_objectz00_bglt BgL_tmpz00_12078;

				BgL_tmpz00_12078 =
					((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1634z00_7242));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12078, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_o1634z00_7242));
			return
				((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1634z00_7242));
		}

	}



/* &<@anonymous:3698> */
	obj_t BGl_z62zc3z04anonymousza33698ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7243, obj_t BgL_new1633z00_7244)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockz00_bglt BgL_auxz00_12086;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_retblockz00_bglt) BgL_new1633z00_7244))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12090;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8699;

						BgL_classz00_8699 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1117z00_8700;

							BgL__ortest_1117z00_8700 = BGL_CLASS_NIL(BgL_classz00_8699);
							if (CBOOL(BgL__ortest_1117z00_8700))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_12090 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8700);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_12090 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8699));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_retblockz00_bglt) BgL_new1633z00_7244))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12090), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12100;

					{	/* Liveness/types.scm 203 */
						obj_t BgL_classz00_8701;

						BgL_classz00_8701 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 203 */
							obj_t BgL__ortest_1117z00_8702;

							BgL__ortest_1117z00_8702 = BGL_CLASS_NIL(BgL_classz00_8701);
							if (CBOOL(BgL__ortest_1117z00_8702))
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_12100 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8702);
								}
							else
								{	/* Liveness/types.scm 203 */
									BgL_auxz00_12100 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8701));
								}
						}
					}
					((((BgL_retblockz00_bglt) COBJECT(
									((BgL_retblockz00_bglt)
										((BgL_retblockz00_bglt) BgL_new1633z00_7244))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12100), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12110;

					{
						obj_t BgL_auxz00_12111;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12112;

							BgL_tmpz00_12112 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1633z00_7244));
							BgL_auxz00_12111 = BGL_OBJECT_WIDENING(BgL_tmpz00_12112);
						}
						BgL_auxz00_12110 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12111);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12110))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12118;

					{
						obj_t BgL_auxz00_12119;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12120;

							BgL_tmpz00_12120 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1633z00_7244));
							BgL_auxz00_12119 = BGL_OBJECT_WIDENING(BgL_tmpz00_12120);
						}
						BgL_auxz00_12118 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12119);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12118))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12126;

					{
						obj_t BgL_auxz00_12127;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12128;

							BgL_tmpz00_12128 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1633z00_7244));
							BgL_auxz00_12127 = BGL_OBJECT_WIDENING(BgL_tmpz00_12128);
						}
						BgL_auxz00_12126 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12127);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12126))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12134;

					{
						obj_t BgL_auxz00_12135;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12136;

							BgL_tmpz00_12136 =
								((BgL_objectz00_bglt)
								((BgL_retblockz00_bglt) BgL_new1633z00_7244));
							BgL_auxz00_12135 = BGL_OBJECT_WIDENING(BgL_tmpz00_12136);
						}
						BgL_auxz00_12134 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12135);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12134))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12086 = ((BgL_retblockz00_bglt) BgL_new1633z00_7244);
				return ((obj_t) BgL_auxz00_12086);
			}
		}

	}



/* &lambda3696 */
	BgL_retblockz00_bglt BGl_z62lambda3696z62zzliveness_typesz00(obj_t
		BgL_envz00_7245, obj_t BgL_o1630z00_7246)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockzf2livenesszf2_bglt BgL_wide1632z00_8704;

				BgL_wide1632z00_8704 =
					((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_retblockzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 203 */
					obj_t BgL_auxz00_12149;
					BgL_objectz00_bglt BgL_tmpz00_12145;

					BgL_auxz00_12149 = ((obj_t) BgL_wide1632z00_8704);
					BgL_tmpz00_12145 =
						((BgL_objectz00_bglt)
						((BgL_retblockz00_bglt)
							((BgL_retblockz00_bglt) BgL_o1630z00_7246)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12145, BgL_auxz00_12149);
				}
				((BgL_objectz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1630z00_7246)));
				{	/* Liveness/types.scm 203 */
					long BgL_arg3697z00_8705;

					BgL_arg3697z00_8705 =
						BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_retblockz00_bglt)
								((BgL_retblockz00_bglt) BgL_o1630z00_7246))),
						BgL_arg3697z00_8705);
				}
				return
					((BgL_retblockz00_bglt)
					((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt) BgL_o1630z00_7246)));
			}
		}

	}



/* &lambda3693 */
	BgL_retblockz00_bglt BGl_z62lambda3693z62zzliveness_typesz00(obj_t
		BgL_envz00_7247, obj_t BgL_loc1623z00_7248, obj_t BgL_type1624z00_7249,
		obj_t BgL_body1625z00_7250, obj_t BgL_def1626z00_7251,
		obj_t BgL_use1627z00_7252, obj_t BgL_in1628z00_7253,
		obj_t BgL_out1629z00_7254)
	{
		{	/* Liveness/types.scm 203 */
			{	/* Liveness/types.scm 203 */
				BgL_retblockz00_bglt BgL_new1850z00_8712;

				{	/* Liveness/types.scm 203 */
					BgL_retblockz00_bglt BgL_tmp1848z00_8713;
					BgL_retblockzf2livenesszf2_bglt BgL_wide1849z00_8714;

					{
						BgL_retblockz00_bglt BgL_auxz00_12163;

						{	/* Liveness/types.scm 203 */
							BgL_retblockz00_bglt BgL_new1847z00_8715;

							BgL_new1847z00_8715 =
								((BgL_retblockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_retblockz00_bgl))));
							{	/* Liveness/types.scm 203 */
								long BgL_arg3695z00_8716;

								BgL_arg3695z00_8716 =
									BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1847z00_8715),
									BgL_arg3695z00_8716);
							}
							{	/* Liveness/types.scm 203 */
								BgL_objectz00_bglt BgL_tmpz00_12168;

								BgL_tmpz00_12168 = ((BgL_objectz00_bglt) BgL_new1847z00_8715);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12168, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1847z00_8715);
							BgL_auxz00_12163 = BgL_new1847z00_8715;
						}
						BgL_tmp1848z00_8713 = ((BgL_retblockz00_bglt) BgL_auxz00_12163);
					}
					BgL_wide1849z00_8714 =
						((BgL_retblockzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_retblockzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 203 */
						obj_t BgL_auxz00_12176;
						BgL_objectz00_bglt BgL_tmpz00_12174;

						BgL_auxz00_12176 = ((obj_t) BgL_wide1849z00_8714);
						BgL_tmpz00_12174 = ((BgL_objectz00_bglt) BgL_tmp1848z00_8713);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12174, BgL_auxz00_12176);
					}
					((BgL_objectz00_bglt) BgL_tmp1848z00_8713);
					{	/* Liveness/types.scm 203 */
						long BgL_arg3694z00_8717;

						BgL_arg3694z00_8717 =
							BGL_CLASS_NUM(BGl_retblockzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1848z00_8713), BgL_arg3694z00_8717);
					}
					BgL_new1850z00_8712 = ((BgL_retblockz00_bglt) BgL_tmp1848z00_8713);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1850z00_8712)))->BgL_locz00) =
					((obj_t) BgL_loc1623z00_7248), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1850z00_8712)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1624z00_7249)),
					BUNSPEC);
				((((BgL_retblockz00_bglt) COBJECT(((BgL_retblockz00_bglt)
									BgL_new1850z00_8712)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1625z00_7250)),
					BUNSPEC);
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12192;

					{
						obj_t BgL_auxz00_12193;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12194;

							BgL_tmpz00_12194 = ((BgL_objectz00_bglt) BgL_new1850z00_8712);
							BgL_auxz00_12193 = BGL_OBJECT_WIDENING(BgL_tmpz00_12194);
						}
						BgL_auxz00_12192 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12193);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12192))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1626z00_7251)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12200;

					{
						obj_t BgL_auxz00_12201;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12202;

							BgL_tmpz00_12202 = ((BgL_objectz00_bglt) BgL_new1850z00_8712);
							BgL_auxz00_12201 = BGL_OBJECT_WIDENING(BgL_tmpz00_12202);
						}
						BgL_auxz00_12200 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12201);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12200))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1627z00_7252)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12208;

					{
						obj_t BgL_auxz00_12209;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12210;

							BgL_tmpz00_12210 = ((BgL_objectz00_bglt) BgL_new1850z00_8712);
							BgL_auxz00_12209 = BGL_OBJECT_WIDENING(BgL_tmpz00_12210);
						}
						BgL_auxz00_12208 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12209);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12208))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1628z00_7253)), BUNSPEC);
				}
				{
					BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12216;

					{
						obj_t BgL_auxz00_12217;

						{	/* Liveness/types.scm 203 */
							BgL_objectz00_bglt BgL_tmpz00_12218;

							BgL_tmpz00_12218 = ((BgL_objectz00_bglt) BgL_new1850z00_8712);
							BgL_auxz00_12217 = BGL_OBJECT_WIDENING(BgL_tmpz00_12218);
						}
						BgL_auxz00_12216 =
							((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12217);
					}
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12216))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1629z00_7254)), BUNSPEC);
				}
				return BgL_new1850z00_8712;
			}
		}

	}



/* &<@anonymous:3730> */
	obj_t BGl_z62zc3z04anonymousza33730ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7255)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3729 */
	obj_t BGl_z62lambda3729z62zzliveness_typesz00(obj_t BgL_envz00_7256,
		obj_t BgL_oz00_7257, obj_t BgL_vz00_7258)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12224;

				{
					obj_t BgL_auxz00_12225;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12226;

						BgL_tmpz00_12226 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7257));
						BgL_auxz00_12225 = BGL_OBJECT_WIDENING(BgL_tmpz00_12226);
					}
					BgL_auxz00_12224 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12225);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12224))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7258)), BUNSPEC);
			}
		}

	}



/* &lambda3728 */
	obj_t BGl_z62lambda3728z62zzliveness_typesz00(obj_t BgL_envz00_7259,
		obj_t BgL_oz00_7260)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12233;

				{
					obj_t BgL_auxz00_12234;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12235;

						BgL_tmpz00_12235 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7260));
						BgL_auxz00_12234 = BGL_OBJECT_WIDENING(BgL_tmpz00_12235);
					}
					BgL_auxz00_12233 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12234);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12233))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3723> */
	obj_t BGl_z62zc3z04anonymousza33723ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7261)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3722 */
	obj_t BGl_z62lambda3722z62zzliveness_typesz00(obj_t BgL_envz00_7262,
		obj_t BgL_oz00_7263, obj_t BgL_vz00_7264)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12241;

				{
					obj_t BgL_auxz00_12242;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12243;

						BgL_tmpz00_12243 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7263));
						BgL_auxz00_12242 = BGL_OBJECT_WIDENING(BgL_tmpz00_12243);
					}
					BgL_auxz00_12241 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12242);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12241))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7264)), BUNSPEC);
			}
		}

	}



/* &lambda3721 */
	obj_t BGl_z62lambda3721z62zzliveness_typesz00(obj_t BgL_envz00_7265,
		obj_t BgL_oz00_7266)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12250;

				{
					obj_t BgL_auxz00_12251;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12252;

						BgL_tmpz00_12252 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7266));
						BgL_auxz00_12251 = BGL_OBJECT_WIDENING(BgL_tmpz00_12252);
					}
					BgL_auxz00_12250 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12251);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12250))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3716> */
	obj_t BGl_z62zc3z04anonymousza33716ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7267)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3715 */
	obj_t BGl_z62lambda3715z62zzliveness_typesz00(obj_t BgL_envz00_7268,
		obj_t BgL_oz00_7269, obj_t BgL_vz00_7270)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12258;

				{
					obj_t BgL_auxz00_12259;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12260;

						BgL_tmpz00_12260 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7269));
						BgL_auxz00_12259 = BGL_OBJECT_WIDENING(BgL_tmpz00_12260);
					}
					BgL_auxz00_12258 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12259);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12258))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7270)), BUNSPEC);
			}
		}

	}



/* &lambda3714 */
	obj_t BGl_z62lambda3714z62zzliveness_typesz00(obj_t BgL_envz00_7271,
		obj_t BgL_oz00_7272)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12267;

				{
					obj_t BgL_auxz00_12268;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12269;

						BgL_tmpz00_12269 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7272));
						BgL_auxz00_12268 = BGL_OBJECT_WIDENING(BgL_tmpz00_12269);
					}
					BgL_auxz00_12267 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12268);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12267))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3709> */
	obj_t BGl_z62zc3z04anonymousza33709ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7273)
	{
		{	/* Liveness/types.scm 203 */
			return BNIL;
		}

	}



/* &lambda3708 */
	obj_t BGl_z62lambda3708z62zzliveness_typesz00(obj_t BgL_envz00_7274,
		obj_t BgL_oz00_7275, obj_t BgL_vz00_7276)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12275;

				{
					obj_t BgL_auxz00_12276;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12277;

						BgL_tmpz00_12277 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7275));
						BgL_auxz00_12276 = BGL_OBJECT_WIDENING(BgL_tmpz00_12277);
					}
					BgL_auxz00_12275 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12276);
				}
				return
					((((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12275))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7276)), BUNSPEC);
			}
		}

	}



/* &lambda3707 */
	obj_t BGl_z62lambda3707z62zzliveness_typesz00(obj_t BgL_envz00_7277,
		obj_t BgL_oz00_7278)
	{
		{	/* Liveness/types.scm 203 */
			{
				BgL_retblockzf2livenesszf2_bglt BgL_auxz00_12284;

				{
					obj_t BgL_auxz00_12285;

					{	/* Liveness/types.scm 203 */
						BgL_objectz00_bglt BgL_tmpz00_12286;

						BgL_tmpz00_12286 =
							((BgL_objectz00_bglt) ((BgL_retblockz00_bglt) BgL_oz00_7278));
						BgL_auxz00_12285 = BGL_OBJECT_WIDENING(BgL_tmpz00_12286);
					}
					BgL_auxz00_12284 =
						((BgL_retblockzf2livenesszf2_bglt) BgL_auxz00_12285);
				}
				return
					(((BgL_retblockzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12284))->
					BgL_defz00);
			}
		}

	}



/* &lambda3655 */
	BgL_syncz00_bglt BGl_z62lambda3655z62zzliveness_typesz00(obj_t
		BgL_envz00_7279, obj_t BgL_o1621z00_7280)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				long BgL_arg3656z00_8731;

				{	/* Liveness/types.scm 197 */
					obj_t BgL_arg3657z00_8732;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_arg3658z00_8733;

						{	/* Liveness/types.scm 197 */
							obj_t BgL_arg1866z00_8734;
							long BgL_arg1867z00_8735;

							BgL_arg1866z00_8734 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 197 */
								long BgL_arg1869z00_8736;

								BgL_arg1869z00_8736 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_syncz00_bglt) BgL_o1621z00_7280)));
								BgL_arg1867z00_8735 = (BgL_arg1869z00_8736 - OBJECT_TYPE);
							}
							BgL_arg3658z00_8733 =
								VECTOR_REF(BgL_arg1866z00_8734, BgL_arg1867z00_8735);
						}
						BgL_arg3657z00_8732 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3658z00_8733);
					}
					{	/* Liveness/types.scm 197 */
						obj_t BgL_tmpz00_12299;

						BgL_tmpz00_12299 = ((obj_t) BgL_arg3657z00_8732);
						BgL_arg3656z00_8731 = BGL_CLASS_NUM(BgL_tmpz00_12299);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) BgL_o1621z00_7280)), BgL_arg3656z00_8731);
			}
			{	/* Liveness/types.scm 197 */
				BgL_objectz00_bglt BgL_tmpz00_12305;

				BgL_tmpz00_12305 =
					((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1621z00_7280));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12305, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_o1621z00_7280));
			return ((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1621z00_7280));
		}

	}



/* &<@anonymous:3654> */
	obj_t BGl_z62zc3z04anonymousza33654ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7281, obj_t BgL_new1620z00_7282)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_syncz00_bglt BgL_auxz00_12313;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_new1620z00_7282))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12317;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8738;

						BgL_classz00_8738 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1117z00_8739;

							BgL__ortest_1117z00_8739 = BGL_CLASS_NIL(BgL_classz00_8738);
							if (CBOOL(BgL__ortest_1117z00_8739))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12317 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8739);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12317 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8738));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_syncz00_bglt) BgL_new1620z00_7282))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_12317), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12327;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8740;

						BgL_classz00_8740 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1117z00_8741;

							BgL__ortest_1117z00_8741 = BGL_CLASS_NIL(BgL_classz00_8740);
							if (CBOOL(BgL__ortest_1117z00_8741))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12327 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8741);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12327 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8740));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1620z00_7282))))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12327), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12337;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8742;

						BgL_classz00_8742 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1117z00_8743;

							BgL__ortest_1117z00_8743 = BGL_CLASS_NIL(BgL_classz00_8742);
							if (CBOOL(BgL__ortest_1117z00_8743))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12337 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8743);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12337 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8742));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1620z00_7282))))->
							BgL_prelockz00) = ((BgL_nodez00_bglt) BgL_auxz00_12337), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12347;

					{	/* Liveness/types.scm 197 */
						obj_t BgL_classz00_8744;

						BgL_classz00_8744 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 197 */
							obj_t BgL__ortest_1117z00_8745;

							BgL__ortest_1117z00_8745 = BGL_CLASS_NIL(BgL_classz00_8744);
							if (CBOOL(BgL__ortest_1117z00_8745))
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12347 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8745);
								}
							else
								{	/* Liveness/types.scm 197 */
									BgL_auxz00_12347 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8744));
								}
						}
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt)
										((BgL_syncz00_bglt) BgL_new1620z00_7282))))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_12347), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12357;

					{
						obj_t BgL_auxz00_12358;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12359;

							BgL_tmpz00_12359 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1620z00_7282));
							BgL_auxz00_12358 = BGL_OBJECT_WIDENING(BgL_tmpz00_12359);
						}
						BgL_auxz00_12357 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12358);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12357))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12365;

					{
						obj_t BgL_auxz00_12366;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12367;

							BgL_tmpz00_12367 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1620z00_7282));
							BgL_auxz00_12366 = BGL_OBJECT_WIDENING(BgL_tmpz00_12367);
						}
						BgL_auxz00_12365 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12366);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12365))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12373;

					{
						obj_t BgL_auxz00_12374;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12375;

							BgL_tmpz00_12375 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1620z00_7282));
							BgL_auxz00_12374 = BGL_OBJECT_WIDENING(BgL_tmpz00_12375);
						}
						BgL_auxz00_12373 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12374);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12373))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12381;

					{
						obj_t BgL_auxz00_12382;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12383;

							BgL_tmpz00_12383 =
								((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_new1620z00_7282));
							BgL_auxz00_12382 = BGL_OBJECT_WIDENING(BgL_tmpz00_12383);
						}
						BgL_auxz00_12381 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12382);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12381))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12313 = ((BgL_syncz00_bglt) BgL_new1620z00_7282);
				return ((obj_t) BgL_auxz00_12313);
			}
		}

	}



/* &lambda3652 */
	BgL_syncz00_bglt BGl_z62lambda3652z62zzliveness_typesz00(obj_t
		BgL_envz00_7283, obj_t BgL_o1617z00_7284)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_synczf2livenesszf2_bglt BgL_wide1619z00_8747;

				BgL_wide1619z00_8747 =
					((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_synczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 197 */
					obj_t BgL_auxz00_12396;
					BgL_objectz00_bglt BgL_tmpz00_12392;

					BgL_auxz00_12396 = ((obj_t) BgL_wide1619z00_8747);
					BgL_tmpz00_12392 =
						((BgL_objectz00_bglt)
						((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1617z00_7284)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12392, BgL_auxz00_12396);
				}
				((BgL_objectz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1617z00_7284)));
				{	/* Liveness/types.scm 197 */
					long BgL_arg3653z00_8748;

					BgL_arg3653z00_8748 =
						BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt)
								((BgL_syncz00_bglt) BgL_o1617z00_7284))), BgL_arg3653z00_8748);
				}
				return
					((BgL_syncz00_bglt)
					((BgL_syncz00_bglt) ((BgL_syncz00_bglt) BgL_o1617z00_7284)));
			}
		}

	}



/* &lambda3649 */
	BgL_syncz00_bglt BGl_z62lambda3649z62zzliveness_typesz00(obj_t
		BgL_envz00_7285, obj_t BgL_loc1608z00_7286, obj_t BgL_type1609z00_7287,
		obj_t BgL_mutex1610z00_7288, obj_t BgL_prelock1611z00_7289,
		obj_t BgL_body1612z00_7290, obj_t BgL_def1613z00_7291,
		obj_t BgL_use1614z00_7292, obj_t BgL_in1615z00_7293,
		obj_t BgL_out1616z00_7294)
	{
		{	/* Liveness/types.scm 197 */
			{	/* Liveness/types.scm 197 */
				BgL_syncz00_bglt BgL_new1845z00_8757;

				{	/* Liveness/types.scm 197 */
					BgL_syncz00_bglt BgL_tmp1843z00_8758;
					BgL_synczf2livenesszf2_bglt BgL_wide1844z00_8759;

					{
						BgL_syncz00_bglt BgL_auxz00_12410;

						{	/* Liveness/types.scm 197 */
							BgL_syncz00_bglt BgL_new1842z00_8760;

							BgL_new1842z00_8760 =
								((BgL_syncz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_syncz00_bgl))));
							{	/* Liveness/types.scm 197 */
								long BgL_arg3651z00_8761;

								BgL_arg3651z00_8761 = BGL_CLASS_NUM(BGl_syncz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1842z00_8760),
									BgL_arg3651z00_8761);
							}
							{	/* Liveness/types.scm 197 */
								BgL_objectz00_bglt BgL_tmpz00_12415;

								BgL_tmpz00_12415 = ((BgL_objectz00_bglt) BgL_new1842z00_8760);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12415, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1842z00_8760);
							BgL_auxz00_12410 = BgL_new1842z00_8760;
						}
						BgL_tmp1843z00_8758 = ((BgL_syncz00_bglt) BgL_auxz00_12410);
					}
					BgL_wide1844z00_8759 =
						((BgL_synczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_synczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 197 */
						obj_t BgL_auxz00_12423;
						BgL_objectz00_bglt BgL_tmpz00_12421;

						BgL_auxz00_12423 = ((obj_t) BgL_wide1844z00_8759);
						BgL_tmpz00_12421 = ((BgL_objectz00_bglt) BgL_tmp1843z00_8758);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12421, BgL_auxz00_12423);
					}
					((BgL_objectz00_bglt) BgL_tmp1843z00_8758);
					{	/* Liveness/types.scm 197 */
						long BgL_arg3650z00_8762;

						BgL_arg3650z00_8762 =
							BGL_CLASS_NUM(BGl_synczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1843z00_8758), BgL_arg3650z00_8762);
					}
					BgL_new1845z00_8757 = ((BgL_syncz00_bglt) BgL_tmp1843z00_8758);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1845z00_8757)))->BgL_locz00) =
					((obj_t) BgL_loc1608z00_7286), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1845z00_8757)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1609z00_7287)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1845z00_8757)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_mutex1610z00_7288)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1845z00_8757)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_prelock1611z00_7289)),
					BUNSPEC);
				((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
									BgL_new1845z00_8757)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1612z00_7290)),
					BUNSPEC);
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12445;

					{
						obj_t BgL_auxz00_12446;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12447;

							BgL_tmpz00_12447 = ((BgL_objectz00_bglt) BgL_new1845z00_8757);
							BgL_auxz00_12446 = BGL_OBJECT_WIDENING(BgL_tmpz00_12447);
						}
						BgL_auxz00_12445 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12446);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12445))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1613z00_7291)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12453;

					{
						obj_t BgL_auxz00_12454;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12455;

							BgL_tmpz00_12455 = ((BgL_objectz00_bglt) BgL_new1845z00_8757);
							BgL_auxz00_12454 = BGL_OBJECT_WIDENING(BgL_tmpz00_12455);
						}
						BgL_auxz00_12453 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12454);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12453))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1614z00_7292)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12461;

					{
						obj_t BgL_auxz00_12462;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12463;

							BgL_tmpz00_12463 = ((BgL_objectz00_bglt) BgL_new1845z00_8757);
							BgL_auxz00_12462 = BGL_OBJECT_WIDENING(BgL_tmpz00_12463);
						}
						BgL_auxz00_12461 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12462);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12461))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1615z00_7293)), BUNSPEC);
				}
				{
					BgL_synczf2livenesszf2_bglt BgL_auxz00_12469;

					{
						obj_t BgL_auxz00_12470;

						{	/* Liveness/types.scm 197 */
							BgL_objectz00_bglt BgL_tmpz00_12471;

							BgL_tmpz00_12471 = ((BgL_objectz00_bglt) BgL_new1845z00_8757);
							BgL_auxz00_12470 = BGL_OBJECT_WIDENING(BgL_tmpz00_12471);
						}
						BgL_auxz00_12469 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12470);
					}
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12469))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1616z00_7294)), BUNSPEC);
				}
				return BgL_new1845z00_8757;
			}
		}

	}



/* &<@anonymous:3686> */
	obj_t BGl_z62zc3z04anonymousza33686ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7295)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3685 */
	obj_t BGl_z62lambda3685z62zzliveness_typesz00(obj_t BgL_envz00_7296,
		obj_t BgL_oz00_7297, obj_t BgL_vz00_7298)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12477;

				{
					obj_t BgL_auxz00_12478;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12479;

						BgL_tmpz00_12479 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7297));
						BgL_auxz00_12478 = BGL_OBJECT_WIDENING(BgL_tmpz00_12479);
					}
					BgL_auxz00_12477 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12478);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12477))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7298)), BUNSPEC);
			}
		}

	}



/* &lambda3684 */
	obj_t BGl_z62lambda3684z62zzliveness_typesz00(obj_t BgL_envz00_7299,
		obj_t BgL_oz00_7300)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12486;

				{
					obj_t BgL_auxz00_12487;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12488;

						BgL_tmpz00_12488 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7300));
						BgL_auxz00_12487 = BGL_OBJECT_WIDENING(BgL_tmpz00_12488);
					}
					BgL_auxz00_12486 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12487);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12486))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3679> */
	obj_t BGl_z62zc3z04anonymousza33679ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7301)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3678 */
	obj_t BGl_z62lambda3678z62zzliveness_typesz00(obj_t BgL_envz00_7302,
		obj_t BgL_oz00_7303, obj_t BgL_vz00_7304)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12494;

				{
					obj_t BgL_auxz00_12495;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12496;

						BgL_tmpz00_12496 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7303));
						BgL_auxz00_12495 = BGL_OBJECT_WIDENING(BgL_tmpz00_12496);
					}
					BgL_auxz00_12494 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12495);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12494))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7304)), BUNSPEC);
			}
		}

	}



/* &lambda3677 */
	obj_t BGl_z62lambda3677z62zzliveness_typesz00(obj_t BgL_envz00_7305,
		obj_t BgL_oz00_7306)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12503;

				{
					obj_t BgL_auxz00_12504;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12505;

						BgL_tmpz00_12505 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7306));
						BgL_auxz00_12504 = BGL_OBJECT_WIDENING(BgL_tmpz00_12505);
					}
					BgL_auxz00_12503 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12504);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12503))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3672> */
	obj_t BGl_z62zc3z04anonymousza33672ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7307)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3671 */
	obj_t BGl_z62lambda3671z62zzliveness_typesz00(obj_t BgL_envz00_7308,
		obj_t BgL_oz00_7309, obj_t BgL_vz00_7310)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12511;

				{
					obj_t BgL_auxz00_12512;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12513;

						BgL_tmpz00_12513 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7309));
						BgL_auxz00_12512 = BGL_OBJECT_WIDENING(BgL_tmpz00_12513);
					}
					BgL_auxz00_12511 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12512);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12511))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7310)), BUNSPEC);
			}
		}

	}



/* &lambda3670 */
	obj_t BGl_z62lambda3670z62zzliveness_typesz00(obj_t BgL_envz00_7311,
		obj_t BgL_oz00_7312)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12520;

				{
					obj_t BgL_auxz00_12521;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12522;

						BgL_tmpz00_12522 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7312));
						BgL_auxz00_12521 = BGL_OBJECT_WIDENING(BgL_tmpz00_12522);
					}
					BgL_auxz00_12520 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12521);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12520))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3665> */
	obj_t BGl_z62zc3z04anonymousza33665ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7313)
	{
		{	/* Liveness/types.scm 197 */
			return BNIL;
		}

	}



/* &lambda3664 */
	obj_t BGl_z62lambda3664z62zzliveness_typesz00(obj_t BgL_envz00_7314,
		obj_t BgL_oz00_7315, obj_t BgL_vz00_7316)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12528;

				{
					obj_t BgL_auxz00_12529;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12530;

						BgL_tmpz00_12530 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7315));
						BgL_auxz00_12529 = BGL_OBJECT_WIDENING(BgL_tmpz00_12530);
					}
					BgL_auxz00_12528 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12529);
				}
				return
					((((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12528))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7316)), BUNSPEC);
			}
		}

	}



/* &lambda3663 */
	obj_t BGl_z62lambda3663z62zzliveness_typesz00(obj_t BgL_envz00_7317,
		obj_t BgL_oz00_7318)
	{
		{	/* Liveness/types.scm 197 */
			{
				BgL_synczf2livenesszf2_bglt BgL_auxz00_12537;

				{
					obj_t BgL_auxz00_12538;

					{	/* Liveness/types.scm 197 */
						BgL_objectz00_bglt BgL_tmpz00_12539;

						BgL_tmpz00_12539 =
							((BgL_objectz00_bglt) ((BgL_syncz00_bglt) BgL_oz00_7318));
						BgL_auxz00_12538 = BGL_OBJECT_WIDENING(BgL_tmpz00_12539);
					}
					BgL_auxz00_12537 = ((BgL_synczf2livenesszf2_bglt) BgL_auxz00_12538);
				}
				return
					(((BgL_synczf2livenesszf2_bglt) COBJECT(BgL_auxz00_12537))->
					BgL_defz00);
			}
		}

	}



/* &lambda3608 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3608z62zzliveness_typesz00(obj_t
		BgL_envz00_7319, obj_t BgL_o1606z00_7320)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				long BgL_arg3610z00_8776;

				{	/* Liveness/types.scm 191 */
					obj_t BgL_arg3611z00_8777;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_arg3612z00_8778;

						{	/* Liveness/types.scm 191 */
							obj_t BgL_arg1866z00_8779;
							long BgL_arg1867z00_8780;

							BgL_arg1866z00_8779 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 191 */
								long BgL_arg1869z00_8781;

								BgL_arg1869z00_8781 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_o1606z00_7320)));
								BgL_arg1867z00_8780 = (BgL_arg1869z00_8781 - OBJECT_TYPE);
							}
							BgL_arg3612z00_8778 =
								VECTOR_REF(BgL_arg1866z00_8779, BgL_arg1867z00_8780);
						}
						BgL_arg3611z00_8777 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3612z00_8778);
					}
					{	/* Liveness/types.scm 191 */
						obj_t BgL_tmpz00_12552;

						BgL_tmpz00_12552 = ((obj_t) BgL_arg3611z00_8777);
						BgL_arg3610z00_8776 = BGL_CLASS_NUM(BgL_tmpz00_12552);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1606z00_7320)),
					BgL_arg3610z00_8776);
			}
			{	/* Liveness/types.scm 191 */
				BgL_objectz00_bglt BgL_tmpz00_12558;

				BgL_tmpz00_12558 =
					((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt) BgL_o1606z00_7320));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12558, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_o1606z00_7320));
			return
				((BgL_jumpzd2exzd2itz00_bglt)
				((BgL_jumpzd2exzd2itz00_bglt) BgL_o1606z00_7320));
		}

	}



/* &<@anonymous:3607> */
	obj_t BGl_z62zc3z04anonymousza33607ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7321, obj_t BgL_new1605z00_7322)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12566;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12570;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8783;

						BgL_classz00_8783 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1117z00_8784;

							BgL__ortest_1117z00_8784 = BGL_CLASS_NIL(BgL_classz00_8783);
							if (CBOOL(BgL__ortest_1117z00_8784))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12570 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8784);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12570 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8783));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12570), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12580;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8785;

						BgL_classz00_8785 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1117z00_8786;

							BgL__ortest_1117z00_8786 = BGL_CLASS_NIL(BgL_classz00_8785);
							if (CBOOL(BgL__ortest_1117z00_8786))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12580 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8786);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12580 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8785));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322))))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12580), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12590;

					{	/* Liveness/types.scm 191 */
						obj_t BgL_classz00_8787;

						BgL_classz00_8787 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 191 */
							obj_t BgL__ortest_1117z00_8788;

							BgL__ortest_1117z00_8788 = BGL_CLASS_NIL(BgL_classz00_8787);
							if (CBOOL(BgL__ortest_1117z00_8788))
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12590 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8788);
								}
							else
								{	/* Liveness/types.scm 191 */
									BgL_auxz00_12590 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8787));
								}
						}
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt)
										((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322))))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_12590), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12600;

					{
						obj_t BgL_auxz00_12601;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12602;

							BgL_tmpz00_12602 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322));
							BgL_auxz00_12601 = BGL_OBJECT_WIDENING(BgL_tmpz00_12602);
						}
						BgL_auxz00_12600 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12601);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12600))->BgL_defz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12608;

					{
						obj_t BgL_auxz00_12609;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12610;

							BgL_tmpz00_12610 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322));
							BgL_auxz00_12609 = BGL_OBJECT_WIDENING(BgL_tmpz00_12610);
						}
						BgL_auxz00_12608 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12609);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12608))->BgL_usez00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12616;

					{
						obj_t BgL_auxz00_12617;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12618;

							BgL_tmpz00_12618 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322));
							BgL_auxz00_12617 = BGL_OBJECT_WIDENING(BgL_tmpz00_12618);
						}
						BgL_auxz00_12616 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12617);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12616))->BgL_inz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12624;

					{
						obj_t BgL_auxz00_12625;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12626;

							BgL_tmpz00_12626 =
								((BgL_objectz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322));
							BgL_auxz00_12625 = BGL_OBJECT_WIDENING(BgL_tmpz00_12626);
						}
						BgL_auxz00_12624 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12625);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12624))->BgL_outz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12566 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_new1605z00_7322);
				return ((obj_t) BgL_auxz00_12566);
			}
		}

	}



/* &lambda3605 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3605z62zzliveness_typesz00(obj_t
		BgL_envz00_7323, obj_t BgL_o1602z00_7324)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1604z00_8790;

				BgL_wide1604z00_8790 =
					((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 191 */
					obj_t BgL_auxz00_12639;
					BgL_objectz00_bglt BgL_tmpz00_12635;

					BgL_auxz00_12639 = ((obj_t) BgL_wide1604z00_8790);
					BgL_tmpz00_12635 =
						((BgL_objectz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_o1602z00_7324)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12635, BgL_auxz00_12639);
				}
				((BgL_objectz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1602z00_7324)));
				{	/* Liveness/types.scm 191 */
					long BgL_arg3606z00_8791;

					BgL_arg3606z00_8791 =
						BGL_CLASS_NUM(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_o1602z00_7324))),
						BgL_arg3606z00_8791);
				}
				return
					((BgL_jumpzd2exzd2itz00_bglt)
					((BgL_jumpzd2exzd2itz00_bglt)
						((BgL_jumpzd2exzd2itz00_bglt) BgL_o1602z00_7324)));
			}
		}

	}



/* &lambda3601 */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62lambda3601z62zzliveness_typesz00(obj_t
		BgL_envz00_7325, obj_t BgL_loc1594z00_7326, obj_t BgL_type1595z00_7327,
		obj_t BgL_exit1596z00_7328, obj_t BgL_value1597z00_7329,
		obj_t BgL_def1598z00_7330, obj_t BgL_use1599z00_7331,
		obj_t BgL_in1600z00_7332, obj_t BgL_out1601z00_7333)
	{
		{	/* Liveness/types.scm 191 */
			{	/* Liveness/types.scm 191 */
				BgL_jumpzd2exzd2itz00_bglt BgL_new1840z00_8799;

				{	/* Liveness/types.scm 191 */
					BgL_jumpzd2exzd2itz00_bglt BgL_tmp1838z00_8800;
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_wide1839z00_8801;

					{
						BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_12653;

						{	/* Liveness/types.scm 191 */
							BgL_jumpzd2exzd2itz00_bglt BgL_new1837z00_8802;

							BgL_new1837z00_8802 =
								((BgL_jumpzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_jumpzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 191 */
								long BgL_arg3604z00_8803;

								BgL_arg3604z00_8803 =
									BGL_CLASS_NUM(BGl_jumpzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1837z00_8802),
									BgL_arg3604z00_8803);
							}
							{	/* Liveness/types.scm 191 */
								BgL_objectz00_bglt BgL_tmpz00_12658;

								BgL_tmpz00_12658 = ((BgL_objectz00_bglt) BgL_new1837z00_8802);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12658, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1837z00_8802);
							BgL_auxz00_12653 = BgL_new1837z00_8802;
						}
						BgL_tmp1838z00_8800 =
							((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_12653);
					}
					BgL_wide1839z00_8801 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jumpzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 191 */
						obj_t BgL_auxz00_12666;
						BgL_objectz00_bglt BgL_tmpz00_12664;

						BgL_auxz00_12666 = ((obj_t) BgL_wide1839z00_8801);
						BgL_tmpz00_12664 = ((BgL_objectz00_bglt) BgL_tmp1838z00_8800);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12664, BgL_auxz00_12666);
					}
					((BgL_objectz00_bglt) BgL_tmp1838z00_8800);
					{	/* Liveness/types.scm 191 */
						long BgL_arg3603z00_8804;

						BgL_arg3603z00_8804 =
							BGL_CLASS_NUM
							(BGl_jumpzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) BgL_tmp1838z00_8800),
							BgL_arg3603z00_8804);
					}
					BgL_new1840z00_8799 =
						((BgL_jumpzd2exzd2itz00_bglt) BgL_tmp1838z00_8800);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1840z00_8799)))->BgL_locz00) =
					((obj_t) BgL_loc1594z00_7326), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1840z00_8799)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1595z00_7327)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1840z00_8799)))->BgL_exitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_exit1596z00_7328)),
					BUNSPEC);
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(((BgL_jumpzd2exzd2itz00_bglt)
									BgL_new1840z00_8799)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1597z00_7329)),
					BUNSPEC);
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12685;

					{
						obj_t BgL_auxz00_12686;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12687;

							BgL_tmpz00_12687 = ((BgL_objectz00_bglt) BgL_new1840z00_8799);
							BgL_auxz00_12686 = BGL_OBJECT_WIDENING(BgL_tmpz00_12687);
						}
						BgL_auxz00_12685 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12686);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12685))->BgL_defz00) =
						((obj_t) ((obj_t) BgL_def1598z00_7330)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12693;

					{
						obj_t BgL_auxz00_12694;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12695;

							BgL_tmpz00_12695 = ((BgL_objectz00_bglt) BgL_new1840z00_8799);
							BgL_auxz00_12694 = BGL_OBJECT_WIDENING(BgL_tmpz00_12695);
						}
						BgL_auxz00_12693 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12694);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12693))->BgL_usez00) =
						((obj_t) ((obj_t) BgL_use1599z00_7331)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12701;

					{
						obj_t BgL_auxz00_12702;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12703;

							BgL_tmpz00_12703 = ((BgL_objectz00_bglt) BgL_new1840z00_8799);
							BgL_auxz00_12702 = BGL_OBJECT_WIDENING(BgL_tmpz00_12703);
						}
						BgL_auxz00_12701 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12702);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12701))->BgL_inz00) =
						((obj_t) ((obj_t) BgL_in1600z00_7332)), BUNSPEC);
				}
				{
					BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12709;

					{
						obj_t BgL_auxz00_12710;

						{	/* Liveness/types.scm 191 */
							BgL_objectz00_bglt BgL_tmpz00_12711;

							BgL_tmpz00_12711 = ((BgL_objectz00_bglt) BgL_new1840z00_8799);
							BgL_auxz00_12710 = BGL_OBJECT_WIDENING(BgL_tmpz00_12711);
						}
						BgL_auxz00_12709 =
							((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12710);
					}
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
								COBJECT(BgL_auxz00_12709))->BgL_outz00) =
						((obj_t) ((obj_t) BgL_out1601z00_7333)), BUNSPEC);
				}
				return BgL_new1840z00_8799;
			}
		}

	}



/* &<@anonymous:3642> */
	obj_t BGl_z62zc3z04anonymousza33642ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7334)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3641 */
	obj_t BGl_z62lambda3641z62zzliveness_typesz00(obj_t BgL_envz00_7335,
		obj_t BgL_oz00_7336, obj_t BgL_vz00_7337)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12717;

				{
					obj_t BgL_auxz00_12718;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12719;

						BgL_tmpz00_12719 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7336));
						BgL_auxz00_12718 = BGL_OBJECT_WIDENING(BgL_tmpz00_12719);
					}
					BgL_auxz00_12717 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12718);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12717))->BgL_outz00) =
					((obj_t) ((obj_t) BgL_vz00_7337)), BUNSPEC);
			}
		}

	}



/* &lambda3640 */
	obj_t BGl_z62lambda3640z62zzliveness_typesz00(obj_t BgL_envz00_7338,
		obj_t BgL_oz00_7339)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12726;

				{
					obj_t BgL_auxz00_12727;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12728;

						BgL_tmpz00_12728 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7339));
						BgL_auxz00_12727 = BGL_OBJECT_WIDENING(BgL_tmpz00_12728);
					}
					BgL_auxz00_12726 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12727);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12726))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3635> */
	obj_t BGl_z62zc3z04anonymousza33635ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7340)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3634 */
	obj_t BGl_z62lambda3634z62zzliveness_typesz00(obj_t BgL_envz00_7341,
		obj_t BgL_oz00_7342, obj_t BgL_vz00_7343)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12734;

				{
					obj_t BgL_auxz00_12735;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12736;

						BgL_tmpz00_12736 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7342));
						BgL_auxz00_12735 = BGL_OBJECT_WIDENING(BgL_tmpz00_12736);
					}
					BgL_auxz00_12734 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12735);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12734))->BgL_inz00) =
					((obj_t) ((obj_t) BgL_vz00_7343)), BUNSPEC);
			}
		}

	}



/* &lambda3633 */
	obj_t BGl_z62lambda3633z62zzliveness_typesz00(obj_t BgL_envz00_7344,
		obj_t BgL_oz00_7345)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12743;

				{
					obj_t BgL_auxz00_12744;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12745;

						BgL_tmpz00_12745 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7345));
						BgL_auxz00_12744 = BGL_OBJECT_WIDENING(BgL_tmpz00_12745);
					}
					BgL_auxz00_12743 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12744);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12743))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3628> */
	obj_t BGl_z62zc3z04anonymousza33628ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7346)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3627 */
	obj_t BGl_z62lambda3627z62zzliveness_typesz00(obj_t BgL_envz00_7347,
		obj_t BgL_oz00_7348, obj_t BgL_vz00_7349)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12751;

				{
					obj_t BgL_auxz00_12752;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12753;

						BgL_tmpz00_12753 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7348));
						BgL_auxz00_12752 = BGL_OBJECT_WIDENING(BgL_tmpz00_12753);
					}
					BgL_auxz00_12751 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12752);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12751))->BgL_usez00) =
					((obj_t) ((obj_t) BgL_vz00_7349)), BUNSPEC);
			}
		}

	}



/* &lambda3626 */
	obj_t BGl_z62lambda3626z62zzliveness_typesz00(obj_t BgL_envz00_7350,
		obj_t BgL_oz00_7351)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12760;

				{
					obj_t BgL_auxz00_12761;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12762;

						BgL_tmpz00_12762 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7351));
						BgL_auxz00_12761 = BGL_OBJECT_WIDENING(BgL_tmpz00_12762);
					}
					BgL_auxz00_12760 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12761);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12760))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3620> */
	obj_t BGl_z62zc3z04anonymousza33620ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7352)
	{
		{	/* Liveness/types.scm 191 */
			return BNIL;
		}

	}



/* &lambda3619 */
	obj_t BGl_z62lambda3619z62zzliveness_typesz00(obj_t BgL_envz00_7353,
		obj_t BgL_oz00_7354, obj_t BgL_vz00_7355)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12768;

				{
					obj_t BgL_auxz00_12769;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12770;

						BgL_tmpz00_12770 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7354));
						BgL_auxz00_12769 = BGL_OBJECT_WIDENING(BgL_tmpz00_12770);
					}
					BgL_auxz00_12768 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12769);
				}
				return
					((((BgL_jumpzd2exzd2itzf2livenesszf2_bglt)
							COBJECT(BgL_auxz00_12768))->BgL_defz00) =
					((obj_t) ((obj_t) BgL_vz00_7355)), BUNSPEC);
			}
		}

	}



/* &lambda3618 */
	obj_t BGl_z62lambda3618z62zzliveness_typesz00(obj_t BgL_envz00_7356,
		obj_t BgL_oz00_7357)
	{
		{	/* Liveness/types.scm 191 */
			{
				BgL_jumpzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12777;

				{
					obj_t BgL_auxz00_12778;

					{	/* Liveness/types.scm 191 */
						BgL_objectz00_bglt BgL_tmpz00_12779;

						BgL_tmpz00_12779 =
							((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_oz00_7357));
						BgL_auxz00_12778 = BGL_OBJECT_WIDENING(BgL_tmpz00_12779);
					}
					BgL_auxz00_12777 =
						((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12778);
				}
				return
					(((BgL_jumpzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12777))->
					BgL_defz00);
			}
		}

	}



/* &lambda3555 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3555z62zzliveness_typesz00(obj_t
		BgL_envz00_7358, obj_t BgL_o1592z00_7359)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				long BgL_arg3556z00_8818;

				{	/* Liveness/types.scm 185 */
					obj_t BgL_arg3558z00_8819;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_arg3560z00_8820;

						{	/* Liveness/types.scm 185 */
							obj_t BgL_arg1866z00_8821;
							long BgL_arg1867z00_8822;

							BgL_arg1866z00_8821 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 185 */
								long BgL_arg1869z00_8823;

								BgL_arg1869z00_8823 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_o1592z00_7359)));
								BgL_arg1867z00_8822 = (BgL_arg1869z00_8823 - OBJECT_TYPE);
							}
							BgL_arg3560z00_8820 =
								VECTOR_REF(BgL_arg1866z00_8821, BgL_arg1867z00_8822);
						}
						BgL_arg3558z00_8819 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3560z00_8820);
					}
					{	/* Liveness/types.scm 185 */
						obj_t BgL_tmpz00_12792;

						BgL_tmpz00_12792 = ((obj_t) BgL_arg3558z00_8819);
						BgL_arg3556z00_8818 = BGL_CLASS_NUM(BgL_tmpz00_12792);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1592z00_7359)),
					BgL_arg3556z00_8818);
			}
			{	/* Liveness/types.scm 185 */
				BgL_objectz00_bglt BgL_tmpz00_12798;

				BgL_tmpz00_12798 =
					((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt) BgL_o1592z00_7359));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12798, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_o1592z00_7359));
			return
				((BgL_setzd2exzd2itz00_bglt)
				((BgL_setzd2exzd2itz00_bglt) BgL_o1592z00_7359));
		}

	}



/* &<@anonymous:3554> */
	obj_t BGl_z62zc3z04anonymousza33554ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7360, obj_t BgL_new1591z00_7361)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_12806;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12810;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8825;

						BgL_classz00_8825 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1117z00_8826;

							BgL__ortest_1117z00_8826 = BGL_CLASS_NIL(BgL_classz00_8825);
							if (CBOOL(BgL__ortest_1117z00_8826))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12810 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8826);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12810 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8825));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12810), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_12820;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8827;

						BgL_classz00_8827 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1117z00_8828;

							BgL__ortest_1117z00_8828 = BGL_CLASS_NIL(BgL_classz00_8827);
							if (CBOOL(BgL__ortest_1117z00_8828))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12820 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_8828);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12820 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8827));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361))))->
							BgL_varz00) = ((BgL_varz00_bglt) BgL_auxz00_12820), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12830;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8829;

						BgL_classz00_8829 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1117z00_8830;

							BgL__ortest_1117z00_8830 = BGL_CLASS_NIL(BgL_classz00_8829);
							if (CBOOL(BgL__ortest_1117z00_8830))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12830 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8830);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12830 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8829));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_12830), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_12840;

					{	/* Liveness/types.scm 185 */
						obj_t BgL_classz00_8831;

						BgL_classz00_8831 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 185 */
							obj_t BgL__ortest_1117z00_8832;

							BgL__ortest_1117z00_8832 = BGL_CLASS_NIL(BgL_classz00_8831);
							if (CBOOL(BgL__ortest_1117z00_8832))
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12840 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8832);
								}
							else
								{	/* Liveness/types.scm 185 */
									BgL_auxz00_12840 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8831));
								}
						}
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt)
										((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361))))->
							BgL_onexitz00) = ((BgL_nodez00_bglt) BgL_auxz00_12840), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12850;

					{
						obj_t BgL_auxz00_12851;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12852;

							BgL_tmpz00_12852 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361));
							BgL_auxz00_12851 = BGL_OBJECT_WIDENING(BgL_tmpz00_12852);
						}
						BgL_auxz00_12850 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12851);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12850))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12858;

					{
						obj_t BgL_auxz00_12859;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12860;

							BgL_tmpz00_12860 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361));
							BgL_auxz00_12859 = BGL_OBJECT_WIDENING(BgL_tmpz00_12860);
						}
						BgL_auxz00_12858 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12859);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12858))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12866;

					{
						obj_t BgL_auxz00_12867;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12868;

							BgL_tmpz00_12868 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361));
							BgL_auxz00_12867 = BGL_OBJECT_WIDENING(BgL_tmpz00_12868);
						}
						BgL_auxz00_12866 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12867);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12866))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12874;

					{
						obj_t BgL_auxz00_12875;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12876;

							BgL_tmpz00_12876 =
								((BgL_objectz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361));
							BgL_auxz00_12875 = BGL_OBJECT_WIDENING(BgL_tmpz00_12876);
						}
						BgL_auxz00_12874 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12875);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12874))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_12806 = ((BgL_setzd2exzd2itz00_bglt) BgL_new1591z00_7361);
				return ((obj_t) BgL_auxz00_12806);
			}
		}

	}



/* &lambda3552 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3552z62zzliveness_typesz00(obj_t
		BgL_envz00_7362, obj_t BgL_o1588z00_7363)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1590z00_8834;

				BgL_wide1590z00_8834 =
					((BgL_setzd2exzd2itzf2livenesszf2_bglt)
					BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setzd2exzd2itzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 185 */
					obj_t BgL_auxz00_12889;
					BgL_objectz00_bglt BgL_tmpz00_12885;

					BgL_auxz00_12889 = ((obj_t) BgL_wide1590z00_8834);
					BgL_tmpz00_12885 =
						((BgL_objectz00_bglt)
						((BgL_setzd2exzd2itz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_o1588z00_7363)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12885, BgL_auxz00_12889);
				}
				((BgL_objectz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1588z00_7363)));
				{	/* Liveness/types.scm 185 */
					long BgL_arg3553z00_8835;

					BgL_arg3553z00_8835 =
						BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt)
								((BgL_setzd2exzd2itz00_bglt) BgL_o1588z00_7363))),
						BgL_arg3553z00_8835);
				}
				return
					((BgL_setzd2exzd2itz00_bglt)
					((BgL_setzd2exzd2itz00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_o1588z00_7363)));
			}
		}

	}



/* &lambda3549 */
	BgL_setzd2exzd2itz00_bglt BGl_z62lambda3549z62zzliveness_typesz00(obj_t
		BgL_envz00_7364, obj_t BgL_loc1579z00_7365, obj_t BgL_type1580z00_7366,
		obj_t BgL_var1581z00_7367, obj_t BgL_body1582z00_7368,
		obj_t BgL_onexit1583z00_7369, obj_t BgL_def1584z00_7370,
		obj_t BgL_use1585z00_7371, obj_t BgL_in1586z00_7372,
		obj_t BgL_out1587z00_7373)
	{
		{	/* Liveness/types.scm 185 */
			{	/* Liveness/types.scm 185 */
				BgL_setzd2exzd2itz00_bglt BgL_new1835z00_8844;

				{	/* Liveness/types.scm 185 */
					BgL_setzd2exzd2itz00_bglt BgL_tmp1833z00_8845;
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_wide1834z00_8846;

					{
						BgL_setzd2exzd2itz00_bglt BgL_auxz00_12903;

						{	/* Liveness/types.scm 185 */
							BgL_setzd2exzd2itz00_bglt BgL_new1832z00_8847;

							BgL_new1832z00_8847 =
								((BgL_setzd2exzd2itz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setzd2exzd2itz00_bgl))));
							{	/* Liveness/types.scm 185 */
								long BgL_arg3551z00_8848;

								BgL_arg3551z00_8848 =
									BGL_CLASS_NUM(BGl_setzd2exzd2itz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1832z00_8847),
									BgL_arg3551z00_8848);
							}
							{	/* Liveness/types.scm 185 */
								BgL_objectz00_bglt BgL_tmpz00_12908;

								BgL_tmpz00_12908 = ((BgL_objectz00_bglt) BgL_new1832z00_8847);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12908, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1832z00_8847);
							BgL_auxz00_12903 = BgL_new1832z00_8847;
						}
						BgL_tmp1833z00_8845 =
							((BgL_setzd2exzd2itz00_bglt) BgL_auxz00_12903);
					}
					BgL_wide1834z00_8846 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setzd2exzd2itzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 185 */
						obj_t BgL_auxz00_12916;
						BgL_objectz00_bglt BgL_tmpz00_12914;

						BgL_auxz00_12916 = ((obj_t) BgL_wide1834z00_8846);
						BgL_tmpz00_12914 = ((BgL_objectz00_bglt) BgL_tmp1833z00_8845);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12914, BgL_auxz00_12916);
					}
					((BgL_objectz00_bglt) BgL_tmp1833z00_8845);
					{	/* Liveness/types.scm 185 */
						long BgL_arg3550z00_8849;

						BgL_arg3550z00_8849 =
							BGL_CLASS_NUM(BGl_setzd2exzd2itzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1833z00_8845), BgL_arg3550z00_8849);
					}
					BgL_new1835z00_8844 =
						((BgL_setzd2exzd2itz00_bglt) BgL_tmp1833z00_8845);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1835z00_8844)))->BgL_locz00) =
					((obj_t) BgL_loc1579z00_7365), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1835z00_8844)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1580z00_7366)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1835z00_8844)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1581z00_7367)), BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1835z00_8844)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1582z00_7368)),
					BUNSPEC);
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
									BgL_new1835z00_8844)))->BgL_onexitz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_onexit1583z00_7369)),
					BUNSPEC);
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12938;

					{
						obj_t BgL_auxz00_12939;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12940;

							BgL_tmpz00_12940 = ((BgL_objectz00_bglt) BgL_new1835z00_8844);
							BgL_auxz00_12939 = BGL_OBJECT_WIDENING(BgL_tmpz00_12940);
						}
						BgL_auxz00_12938 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12939);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12938))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1584z00_7370)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12946;

					{
						obj_t BgL_auxz00_12947;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12948;

							BgL_tmpz00_12948 = ((BgL_objectz00_bglt) BgL_new1835z00_8844);
							BgL_auxz00_12947 = BGL_OBJECT_WIDENING(BgL_tmpz00_12948);
						}
						BgL_auxz00_12946 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12947);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12946))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1585z00_7371)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12954;

					{
						obj_t BgL_auxz00_12955;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12956;

							BgL_tmpz00_12956 = ((BgL_objectz00_bglt) BgL_new1835z00_8844);
							BgL_auxz00_12955 = BGL_OBJECT_WIDENING(BgL_tmpz00_12956);
						}
						BgL_auxz00_12954 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12955);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12954))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1586z00_7372)), BUNSPEC);
				}
				{
					BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12962;

					{
						obj_t BgL_auxz00_12963;

						{	/* Liveness/types.scm 185 */
							BgL_objectz00_bglt BgL_tmpz00_12964;

							BgL_tmpz00_12964 = ((BgL_objectz00_bglt) BgL_new1835z00_8844);
							BgL_auxz00_12963 = BGL_OBJECT_WIDENING(BgL_tmpz00_12964);
						}
						BgL_auxz00_12962 =
							((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12963);
					}
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12962))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1587z00_7373)), BUNSPEC);
				}
				return BgL_new1835z00_8844;
			}
		}

	}



/* &<@anonymous:3593> */
	obj_t BGl_z62zc3z04anonymousza33593ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7374)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3592 */
	obj_t BGl_z62lambda3592z62zzliveness_typesz00(obj_t BgL_envz00_7375,
		obj_t BgL_oz00_7376, obj_t BgL_vz00_7377)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12970;

				{
					obj_t BgL_auxz00_12971;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12972;

						BgL_tmpz00_12972 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7376));
						BgL_auxz00_12971 = BGL_OBJECT_WIDENING(BgL_tmpz00_12972);
					}
					BgL_auxz00_12970 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12971);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12970))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7377)), BUNSPEC);
			}
		}

	}



/* &lambda3591 */
	obj_t BGl_z62lambda3591z62zzliveness_typesz00(obj_t BgL_envz00_7378,
		obj_t BgL_oz00_7379)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12979;

				{
					obj_t BgL_auxz00_12980;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12981;

						BgL_tmpz00_12981 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7379));
						BgL_auxz00_12980 = BGL_OBJECT_WIDENING(BgL_tmpz00_12981);
					}
					BgL_auxz00_12979 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12980);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12979))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3585> */
	obj_t BGl_z62zc3z04anonymousza33585ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7380)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3584 */
	obj_t BGl_z62lambda3584z62zzliveness_typesz00(obj_t BgL_envz00_7381,
		obj_t BgL_oz00_7382, obj_t BgL_vz00_7383)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12987;

				{
					obj_t BgL_auxz00_12988;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12989;

						BgL_tmpz00_12989 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7382));
						BgL_auxz00_12988 = BGL_OBJECT_WIDENING(BgL_tmpz00_12989);
					}
					BgL_auxz00_12987 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12988);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12987))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7383)), BUNSPEC);
			}
		}

	}



/* &lambda3583 */
	obj_t BGl_z62lambda3583z62zzliveness_typesz00(obj_t BgL_envz00_7384,
		obj_t BgL_oz00_7385)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_12996;

				{
					obj_t BgL_auxz00_12997;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_12998;

						BgL_tmpz00_12998 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7385));
						BgL_auxz00_12997 = BGL_OBJECT_WIDENING(BgL_tmpz00_12998);
					}
					BgL_auxz00_12996 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_12997);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_12996))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3576> */
	obj_t BGl_z62zc3z04anonymousza33576ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7386)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3575 */
	obj_t BGl_z62lambda3575z62zzliveness_typesz00(obj_t BgL_envz00_7387,
		obj_t BgL_oz00_7388, obj_t BgL_vz00_7389)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_13004;

				{
					obj_t BgL_auxz00_13005;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13006;

						BgL_tmpz00_13006 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7388));
						BgL_auxz00_13005 = BGL_OBJECT_WIDENING(BgL_tmpz00_13006);
					}
					BgL_auxz00_13004 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_13005);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13004))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7389)), BUNSPEC);
			}
		}

	}



/* &lambda3574 */
	obj_t BGl_z62lambda3574z62zzliveness_typesz00(obj_t BgL_envz00_7390,
		obj_t BgL_oz00_7391)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_13013;

				{
					obj_t BgL_auxz00_13014;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13015;

						BgL_tmpz00_13015 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7391));
						BgL_auxz00_13014 = BGL_OBJECT_WIDENING(BgL_tmpz00_13015);
					}
					BgL_auxz00_13013 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_13014);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13013))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3568> */
	obj_t BGl_z62zc3z04anonymousza33568ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7392)
	{
		{	/* Liveness/types.scm 185 */
			return BNIL;
		}

	}



/* &lambda3567 */
	obj_t BGl_z62lambda3567z62zzliveness_typesz00(obj_t BgL_envz00_7393,
		obj_t BgL_oz00_7394, obj_t BgL_vz00_7395)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_13021;

				{
					obj_t BgL_auxz00_13022;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13023;

						BgL_tmpz00_13023 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7394));
						BgL_auxz00_13022 = BGL_OBJECT_WIDENING(BgL_tmpz00_13023);
					}
					BgL_auxz00_13021 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_13022);
				}
				return
					((((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13021))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7395)), BUNSPEC);
			}
		}

	}



/* &lambda3566 */
	obj_t BGl_z62lambda3566z62zzliveness_typesz00(obj_t BgL_envz00_7396,
		obj_t BgL_oz00_7397)
	{
		{	/* Liveness/types.scm 185 */
			{
				BgL_setzd2exzd2itzf2livenesszf2_bglt BgL_auxz00_13030;

				{
					obj_t BgL_auxz00_13031;

					{	/* Liveness/types.scm 185 */
						BgL_objectz00_bglt BgL_tmpz00_13032;

						BgL_tmpz00_13032 =
							((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_oz00_7397));
						BgL_auxz00_13031 = BGL_OBJECT_WIDENING(BgL_tmpz00_13032);
					}
					BgL_auxz00_13030 =
						((BgL_setzd2exzd2itzf2livenesszf2_bglt) BgL_auxz00_13031);
				}
				return
					(((BgL_setzd2exzd2itzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13030))->
					BgL_defz00);
			}
		}

	}



/* &lambda3504 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3504z62zzliveness_typesz00(obj_t
		BgL_envz00_7398, obj_t BgL_o1577z00_7399)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				long BgL_arg3505z00_8863;

				{	/* Liveness/types.scm 179 */
					obj_t BgL_arg3507z00_8864;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_arg3508z00_8865;

						{	/* Liveness/types.scm 179 */
							obj_t BgL_arg1866z00_8866;
							long BgL_arg1867z00_8867;

							BgL_arg1866z00_8866 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 179 */
								long BgL_arg1869z00_8868;

								BgL_arg1869z00_8868 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_o1577z00_7399)));
								BgL_arg1867z00_8867 = (BgL_arg1869z00_8868 - OBJECT_TYPE);
							}
							BgL_arg3508z00_8865 =
								VECTOR_REF(BgL_arg1866z00_8866, BgL_arg1867z00_8867);
						}
						BgL_arg3507z00_8864 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3508z00_8865);
					}
					{	/* Liveness/types.scm 179 */
						obj_t BgL_tmpz00_13045;

						BgL_tmpz00_13045 = ((obj_t) BgL_arg3507z00_8864);
						BgL_arg3505z00_8863 = BGL_CLASS_NUM(BgL_tmpz00_13045);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1577z00_7399)), BgL_arg3505z00_8863);
			}
			{	/* Liveness/types.scm 179 */
				BgL_objectz00_bglt BgL_tmpz00_13051;

				BgL_tmpz00_13051 =
					((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1577z00_7399));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13051, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1577z00_7399));
			return
				((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt) BgL_o1577z00_7399));
		}

	}



/* &<@anonymous:3503> */
	obj_t BGl_z62zc3z04anonymousza33503ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7400, obj_t BgL_new1576z00_7401)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_13059;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13063;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8870;

						BgL_classz00_8870 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1117z00_8871;

							BgL__ortest_1117z00_8871 = BGL_CLASS_NIL(BgL_classz00_8870);
							if (CBOOL(BgL__ortest_1117z00_8871))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_13063 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8871);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_13063 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8870));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13063), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1576z00_7401))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2varzd2_bglt)
							COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_letzd2varzd2_bglt)
										BgL_new1576z00_7401))))->BgL_bindingsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13082;

					{	/* Liveness/types.scm 179 */
						obj_t BgL_classz00_8872;

						BgL_classz00_8872 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 179 */
							obj_t BgL__ortest_1117z00_8873;

							BgL__ortest_1117z00_8873 = BGL_CLASS_NIL(BgL_classz00_8872);
							if (CBOOL(BgL__ortest_1117z00_8873))
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_13082 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8873);
								}
							else
								{	/* Liveness/types.scm 179 */
									BgL_auxz00_13082 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8872));
								}
						}
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt)
										((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_13082), BUNSPEC);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt)
									((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401))))->
						BgL_removablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13095;

					{
						obj_t BgL_auxz00_13096;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_13097;

							BgL_tmpz00_13097 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401));
							BgL_auxz00_13096 = BGL_OBJECT_WIDENING(BgL_tmpz00_13097);
						}
						BgL_auxz00_13095 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13096);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13095))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13103;

					{
						obj_t BgL_auxz00_13104;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_13105;

							BgL_tmpz00_13105 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401));
							BgL_auxz00_13104 = BGL_OBJECT_WIDENING(BgL_tmpz00_13105);
						}
						BgL_auxz00_13103 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13104);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13103))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13111;

					{
						obj_t BgL_auxz00_13112;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_13113;

							BgL_tmpz00_13113 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401));
							BgL_auxz00_13112 = BGL_OBJECT_WIDENING(BgL_tmpz00_13113);
						}
						BgL_auxz00_13111 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13112);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13111))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13119;

					{
						obj_t BgL_auxz00_13120;

						{	/* Liveness/types.scm 179 */
							BgL_objectz00_bglt BgL_tmpz00_13121;

							BgL_tmpz00_13121 =
								((BgL_objectz00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401));
							BgL_auxz00_13120 = BGL_OBJECT_WIDENING(BgL_tmpz00_13121);
						}
						BgL_auxz00_13119 =
							((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13120);
					}
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13119))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13059 = ((BgL_letzd2varzd2_bglt) BgL_new1576z00_7401);
				return ((obj_t) BgL_auxz00_13059);
			}
		}

	}



/* &lambda3500 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3500z62zzliveness_typesz00(obj_t
		BgL_envz00_7402, obj_t BgL_o1573z00_7403)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				BgL_letzd2varzf2livenessz20_bglt BgL_wide1575z00_8875;

				BgL_wide1575z00_8875 =
					((BgL_letzd2varzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2varzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 179 */
					obj_t BgL_auxz00_13134;
					BgL_objectz00_bglt BgL_tmpz00_13130;

					BgL_auxz00_13134 = ((obj_t) BgL_wide1575z00_8875);
					BgL_tmpz00_13130 =
						((BgL_objectz00_bglt)
						((BgL_letzd2varzd2_bglt)
							((BgL_letzd2varzd2_bglt) BgL_o1573z00_7403)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13130, BgL_auxz00_13134);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1573z00_7403)));
				{	/* Liveness/types.scm 179 */
					long BgL_arg3502z00_8876;

					BgL_arg3502z00_8876 =
						BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt)
								((BgL_letzd2varzd2_bglt) BgL_o1573z00_7403))),
						BgL_arg3502z00_8876);
				}
				return
					((BgL_letzd2varzd2_bglt)
					((BgL_letzd2varzd2_bglt)
						((BgL_letzd2varzd2_bglt) BgL_o1573z00_7403)));
			}
		}

	}



/* &lambda3496 */
	BgL_letzd2varzd2_bglt BGl_z62lambda3496z62zzliveness_typesz00(obj_t
		BgL_envz00_7404, obj_t BgL_loc1562z00_7405, obj_t BgL_type1563z00_7406,
		obj_t BgL_sidezd2effect1564zd2_7407, obj_t BgL_key1565z00_7408,
		obj_t BgL_bindings1566z00_7409, obj_t BgL_body1567z00_7410,
		obj_t BgL_removablezf31568zf3_7411, obj_t BgL_def1569z00_7412,
		obj_t BgL_use1570z00_7413, obj_t BgL_in1571z00_7414,
		obj_t BgL_out1572z00_7415)
	{
		{	/* Liveness/types.scm 179 */
			{	/* Liveness/types.scm 179 */
				bool_t BgL_removablezf31568zf3_8879;

				BgL_removablezf31568zf3_8879 = CBOOL(BgL_removablezf31568zf3_7411);
				{	/* Liveness/types.scm 179 */
					BgL_letzd2varzd2_bglt BgL_new1830z00_8884;

					{	/* Liveness/types.scm 179 */
						BgL_letzd2varzd2_bglt BgL_tmp1828z00_8885;
						BgL_letzd2varzf2livenessz20_bglt BgL_wide1829z00_8886;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_13149;

							{	/* Liveness/types.scm 179 */
								BgL_letzd2varzd2_bglt BgL_new1827z00_8887;

								BgL_new1827z00_8887 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Liveness/types.scm 179 */
									long BgL_arg3499z00_8888;

									BgL_arg3499z00_8888 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1827z00_8887),
										BgL_arg3499z00_8888);
								}
								{	/* Liveness/types.scm 179 */
									BgL_objectz00_bglt BgL_tmpz00_13154;

									BgL_tmpz00_13154 = ((BgL_objectz00_bglt) BgL_new1827z00_8887);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13154, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1827z00_8887);
								BgL_auxz00_13149 = BgL_new1827z00_8887;
							}
							BgL_tmp1828z00_8885 = ((BgL_letzd2varzd2_bglt) BgL_auxz00_13149);
						}
						BgL_wide1829z00_8886 =
							((BgL_letzd2varzf2livenessz20_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2varzf2livenessz20_bgl))));
						{	/* Liveness/types.scm 179 */
							obj_t BgL_auxz00_13162;
							BgL_objectz00_bglt BgL_tmpz00_13160;

							BgL_auxz00_13162 = ((obj_t) BgL_wide1829z00_8886);
							BgL_tmpz00_13160 = ((BgL_objectz00_bglt) BgL_tmp1828z00_8885);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13160, BgL_auxz00_13162);
						}
						((BgL_objectz00_bglt) BgL_tmp1828z00_8885);
						{	/* Liveness/types.scm 179 */
							long BgL_arg3498z00_8889;

							BgL_arg3498z00_8889 =
								BGL_CLASS_NUM(BGl_letzd2varzf2livenessz20zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1828z00_8885),
								BgL_arg3498z00_8889);
						}
						BgL_new1830z00_8884 = ((BgL_letzd2varzd2_bglt) BgL_tmp1828z00_8885);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1830z00_8884)))->BgL_locz00) =
						((obj_t) BgL_loc1562z00_7405), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1830z00_8884)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1563z00_7406)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1830z00_8884)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1564zd2_7407), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1830z00_8884)))->BgL_keyz00) =
						((obj_t) BgL_key1565z00_7408), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1830z00_8884)))->BgL_bindingsz00) =
						((obj_t) BgL_bindings1566z00_7409), BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1830z00_8884)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1567z00_7410)),
						BUNSPEC);
					((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
										BgL_new1830z00_8884)))->BgL_removablezf3zf3) =
						((bool_t) BgL_removablezf31568zf3_8879), BUNSPEC);
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13186;

						{
							obj_t BgL_auxz00_13187;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_13188;

								BgL_tmpz00_13188 = ((BgL_objectz00_bglt) BgL_new1830z00_8884);
								BgL_auxz00_13187 = BGL_OBJECT_WIDENING(BgL_tmpz00_13188);
							}
							BgL_auxz00_13186 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13187);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13186))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1569z00_7412)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13194;

						{
							obj_t BgL_auxz00_13195;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_13196;

								BgL_tmpz00_13196 = ((BgL_objectz00_bglt) BgL_new1830z00_8884);
								BgL_auxz00_13195 = BGL_OBJECT_WIDENING(BgL_tmpz00_13196);
							}
							BgL_auxz00_13194 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13195);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13194))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1570z00_7413)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13202;

						{
							obj_t BgL_auxz00_13203;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_13204;

								BgL_tmpz00_13204 = ((BgL_objectz00_bglt) BgL_new1830z00_8884);
								BgL_auxz00_13203 = BGL_OBJECT_WIDENING(BgL_tmpz00_13204);
							}
							BgL_auxz00_13202 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13203);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13202))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1571z00_7414)), BUNSPEC);
					}
					{
						BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13210;

						{
							obj_t BgL_auxz00_13211;

							{	/* Liveness/types.scm 179 */
								BgL_objectz00_bglt BgL_tmpz00_13212;

								BgL_tmpz00_13212 = ((BgL_objectz00_bglt) BgL_new1830z00_8884);
								BgL_auxz00_13211 = BGL_OBJECT_WIDENING(BgL_tmpz00_13212);
							}
							BgL_auxz00_13210 =
								((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13211);
						}
						((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13210))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1572z00_7415)), BUNSPEC);
					}
					return BgL_new1830z00_8884;
				}
			}
		}

	}



/* &<@anonymous:3541> */
	obj_t BGl_z62zc3z04anonymousza33541ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7416)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3540 */
	obj_t BGl_z62lambda3540z62zzliveness_typesz00(obj_t BgL_envz00_7417,
		obj_t BgL_oz00_7418, obj_t BgL_vz00_7419)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13218;

				{
					obj_t BgL_auxz00_13219;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13220;

						BgL_tmpz00_13220 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7418));
						BgL_auxz00_13219 = BGL_OBJECT_WIDENING(BgL_tmpz00_13220);
					}
					BgL_auxz00_13218 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13219);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13218))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7419)), BUNSPEC);
			}
		}

	}



/* &lambda3539 */
	obj_t BGl_z62lambda3539z62zzliveness_typesz00(obj_t BgL_envz00_7420,
		obj_t BgL_oz00_7421)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13227;

				{
					obj_t BgL_auxz00_13228;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13229;

						BgL_tmpz00_13229 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7421));
						BgL_auxz00_13228 = BGL_OBJECT_WIDENING(BgL_tmpz00_13229);
					}
					BgL_auxz00_13227 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13228);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13227))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3532> */
	obj_t BGl_z62zc3z04anonymousza33532ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7422)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3531 */
	obj_t BGl_z62lambda3531z62zzliveness_typesz00(obj_t BgL_envz00_7423,
		obj_t BgL_oz00_7424, obj_t BgL_vz00_7425)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13235;

				{
					obj_t BgL_auxz00_13236;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13237;

						BgL_tmpz00_13237 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7424));
						BgL_auxz00_13236 = BGL_OBJECT_WIDENING(BgL_tmpz00_13237);
					}
					BgL_auxz00_13235 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13236);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13235))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7425)), BUNSPEC);
			}
		}

	}



/* &lambda3530 */
	obj_t BGl_z62lambda3530z62zzliveness_typesz00(obj_t BgL_envz00_7426,
		obj_t BgL_oz00_7427)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13244;

				{
					obj_t BgL_auxz00_13245;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13246;

						BgL_tmpz00_13246 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7427));
						BgL_auxz00_13245 = BGL_OBJECT_WIDENING(BgL_tmpz00_13246);
					}
					BgL_auxz00_13244 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13245);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13244))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3524> */
	obj_t BGl_z62zc3z04anonymousza33524ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7428)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3523 */
	obj_t BGl_z62lambda3523z62zzliveness_typesz00(obj_t BgL_envz00_7429,
		obj_t BgL_oz00_7430, obj_t BgL_vz00_7431)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13252;

				{
					obj_t BgL_auxz00_13253;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13254;

						BgL_tmpz00_13254 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7430));
						BgL_auxz00_13253 = BGL_OBJECT_WIDENING(BgL_tmpz00_13254);
					}
					BgL_auxz00_13252 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13253);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13252))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7431)), BUNSPEC);
			}
		}

	}



/* &lambda3522 */
	obj_t BGl_z62lambda3522z62zzliveness_typesz00(obj_t BgL_envz00_7432,
		obj_t BgL_oz00_7433)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13261;

				{
					obj_t BgL_auxz00_13262;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13263;

						BgL_tmpz00_13263 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7433));
						BgL_auxz00_13262 = BGL_OBJECT_WIDENING(BgL_tmpz00_13263);
					}
					BgL_auxz00_13261 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13262);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13261))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3516> */
	obj_t BGl_z62zc3z04anonymousza33516ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7434)
	{
		{	/* Liveness/types.scm 179 */
			return BNIL;
		}

	}



/* &lambda3515 */
	obj_t BGl_z62lambda3515z62zzliveness_typesz00(obj_t BgL_envz00_7435,
		obj_t BgL_oz00_7436, obj_t BgL_vz00_7437)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13269;

				{
					obj_t BgL_auxz00_13270;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13271;

						BgL_tmpz00_13271 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7436));
						BgL_auxz00_13270 = BGL_OBJECT_WIDENING(BgL_tmpz00_13271);
					}
					BgL_auxz00_13269 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13270);
				}
				return
					((((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13269))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7437)), BUNSPEC);
			}
		}

	}



/* &lambda3514 */
	obj_t BGl_z62lambda3514z62zzliveness_typesz00(obj_t BgL_envz00_7438,
		obj_t BgL_oz00_7439)
	{
		{	/* Liveness/types.scm 179 */
			{
				BgL_letzd2varzf2livenessz20_bglt BgL_auxz00_13278;

				{
					obj_t BgL_auxz00_13279;

					{	/* Liveness/types.scm 179 */
						BgL_objectz00_bglt BgL_tmpz00_13280;

						BgL_tmpz00_13280 =
							((BgL_objectz00_bglt) ((BgL_letzd2varzd2_bglt) BgL_oz00_7439));
						BgL_auxz00_13279 = BGL_OBJECT_WIDENING(BgL_tmpz00_13280);
					}
					BgL_auxz00_13278 =
						((BgL_letzd2varzf2livenessz20_bglt) BgL_auxz00_13279);
				}
				return
					(((BgL_letzd2varzf2livenessz20_bglt) COBJECT(BgL_auxz00_13278))->
					BgL_defz00);
			}
		}

	}



/* &lambda3453 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3453z62zzliveness_typesz00(obj_t
		BgL_envz00_7440, obj_t BgL_o1560z00_7441)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				long BgL_arg3454z00_8903;

				{	/* Liveness/types.scm 173 */
					obj_t BgL_arg3455z00_8904;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_arg3456z00_8905;

						{	/* Liveness/types.scm 173 */
							obj_t BgL_arg1866z00_8906;
							long BgL_arg1867z00_8907;

							BgL_arg1866z00_8906 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 173 */
								long BgL_arg1869z00_8908;

								BgL_arg1869z00_8908 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_o1560z00_7441)));
								BgL_arg1867z00_8907 = (BgL_arg1869z00_8908 - OBJECT_TYPE);
							}
							BgL_arg3456z00_8905 =
								VECTOR_REF(BgL_arg1866z00_8906, BgL_arg1867z00_8907);
						}
						BgL_arg3455z00_8904 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3456z00_8905);
					}
					{	/* Liveness/types.scm 173 */
						obj_t BgL_tmpz00_13293;

						BgL_tmpz00_13293 = ((obj_t) BgL_arg3455z00_8904);
						BgL_arg3454z00_8903 = BGL_CLASS_NUM(BgL_tmpz00_13293);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1560z00_7441)), BgL_arg3454z00_8903);
			}
			{	/* Liveness/types.scm 173 */
				BgL_objectz00_bglt BgL_tmpz00_13299;

				BgL_tmpz00_13299 =
					((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1560z00_7441));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13299, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1560z00_7441));
			return
				((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt) BgL_o1560z00_7441));
		}

	}



/* &<@anonymous:3452> */
	obj_t BGl_z62zc3z04anonymousza33452ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7442, obj_t BgL_new1559z00_7443)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_13307;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13311;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8910;

						BgL_classz00_8910 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1117z00_8911;

							BgL__ortest_1117z00_8911 = BGL_CLASS_NIL(BgL_classz00_8910);
							if (CBOOL(BgL__ortest_1117z00_8911))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_13311 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8911);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_13311 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8910));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13311), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1559z00_7443))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_letzd2funzd2_bglt)
							COBJECT(((BgL_letzd2funzd2_bglt) ((BgL_letzd2funzd2_bglt)
										BgL_new1559z00_7443))))->BgL_localsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13330;

					{	/* Liveness/types.scm 173 */
						obj_t BgL_classz00_8912;

						BgL_classz00_8912 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 173 */
							obj_t BgL__ortest_1117z00_8913;

							BgL__ortest_1117z00_8913 = BGL_CLASS_NIL(BgL_classz00_8912);
							if (CBOOL(BgL__ortest_1117z00_8913))
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_13330 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8913);
								}
							else
								{	/* Liveness/types.scm 173 */
									BgL_auxz00_13330 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8912));
								}
						}
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt)
										((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443))))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_13330), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13340;

					{
						obj_t BgL_auxz00_13341;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13342;

							BgL_tmpz00_13342 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443));
							BgL_auxz00_13341 = BGL_OBJECT_WIDENING(BgL_tmpz00_13342);
						}
						BgL_auxz00_13340 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13341);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13340))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13348;

					{
						obj_t BgL_auxz00_13349;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13350;

							BgL_tmpz00_13350 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443));
							BgL_auxz00_13349 = BGL_OBJECT_WIDENING(BgL_tmpz00_13350);
						}
						BgL_auxz00_13348 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13349);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13348))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13356;

					{
						obj_t BgL_auxz00_13357;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13358;

							BgL_tmpz00_13358 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443));
							BgL_auxz00_13357 = BGL_OBJECT_WIDENING(BgL_tmpz00_13358);
						}
						BgL_auxz00_13356 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13357);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13356))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13364;

					{
						obj_t BgL_auxz00_13365;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13366;

							BgL_tmpz00_13366 =
								((BgL_objectz00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443));
							BgL_auxz00_13365 = BGL_OBJECT_WIDENING(BgL_tmpz00_13366);
						}
						BgL_auxz00_13364 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13365);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13364))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13307 = ((BgL_letzd2funzd2_bglt) BgL_new1559z00_7443);
				return ((obj_t) BgL_auxz00_13307);
			}
		}

	}



/* &lambda3450 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3450z62zzliveness_typesz00(obj_t
		BgL_envz00_7444, obj_t BgL_o1556z00_7445)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzf2livenessz20_bglt BgL_wide1558z00_8915;

				BgL_wide1558z00_8915 =
					((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_letzd2funzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 173 */
					obj_t BgL_auxz00_13379;
					BgL_objectz00_bglt BgL_tmpz00_13375;

					BgL_auxz00_13379 = ((obj_t) BgL_wide1558z00_8915);
					BgL_tmpz00_13375 =
						((BgL_objectz00_bglt)
						((BgL_letzd2funzd2_bglt)
							((BgL_letzd2funzd2_bglt) BgL_o1556z00_7445)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13375, BgL_auxz00_13379);
				}
				((BgL_objectz00_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1556z00_7445)));
				{	/* Liveness/types.scm 173 */
					long BgL_arg3451z00_8916;

					BgL_arg3451z00_8916 =
						BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt)
								((BgL_letzd2funzd2_bglt) BgL_o1556z00_7445))),
						BgL_arg3451z00_8916);
				}
				return
					((BgL_letzd2funzd2_bglt)
					((BgL_letzd2funzd2_bglt)
						((BgL_letzd2funzd2_bglt) BgL_o1556z00_7445)));
			}
		}

	}



/* &lambda3446 */
	BgL_letzd2funzd2_bglt BGl_z62lambda3446z62zzliveness_typesz00(obj_t
		BgL_envz00_7446, obj_t BgL_loc1546z00_7447, obj_t BgL_type1547z00_7448,
		obj_t BgL_sidezd2effect1548zd2_7449, obj_t BgL_key1549z00_7450,
		obj_t BgL_locals1550z00_7451, obj_t BgL_body1551z00_7452,
		obj_t BgL_def1552z00_7453, obj_t BgL_use1553z00_7454,
		obj_t BgL_in1554z00_7455, obj_t BgL_out1555z00_7456)
	{
		{	/* Liveness/types.scm 173 */
			{	/* Liveness/types.scm 173 */
				BgL_letzd2funzd2_bglt BgL_new1825z00_8923;

				{	/* Liveness/types.scm 173 */
					BgL_letzd2funzd2_bglt BgL_tmp1823z00_8924;
					BgL_letzd2funzf2livenessz20_bglt BgL_wide1824z00_8925;

					{
						BgL_letzd2funzd2_bglt BgL_auxz00_13393;

						{	/* Liveness/types.scm 173 */
							BgL_letzd2funzd2_bglt BgL_new1822z00_8926;

							BgL_new1822z00_8926 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Liveness/types.scm 173 */
								long BgL_arg3449z00_8927;

								BgL_arg3449z00_8927 =
									BGL_CLASS_NUM(BGl_letzd2funzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1822z00_8926),
									BgL_arg3449z00_8927);
							}
							{	/* Liveness/types.scm 173 */
								BgL_objectz00_bglt BgL_tmpz00_13398;

								BgL_tmpz00_13398 = ((BgL_objectz00_bglt) BgL_new1822z00_8926);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13398, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1822z00_8926);
							BgL_auxz00_13393 = BgL_new1822z00_8926;
						}
						BgL_tmp1823z00_8924 = ((BgL_letzd2funzd2_bglt) BgL_auxz00_13393);
					}
					BgL_wide1824z00_8925 =
						((BgL_letzd2funzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_letzd2funzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 173 */
						obj_t BgL_auxz00_13406;
						BgL_objectz00_bglt BgL_tmpz00_13404;

						BgL_auxz00_13406 = ((obj_t) BgL_wide1824z00_8925);
						BgL_tmpz00_13404 = ((BgL_objectz00_bglt) BgL_tmp1823z00_8924);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13404, BgL_auxz00_13406);
					}
					((BgL_objectz00_bglt) BgL_tmp1823z00_8924);
					{	/* Liveness/types.scm 173 */
						long BgL_arg3448z00_8928;

						BgL_arg3448z00_8928 =
							BGL_CLASS_NUM(BGl_letzd2funzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1823z00_8924), BgL_arg3448z00_8928);
					}
					BgL_new1825z00_8923 = ((BgL_letzd2funzd2_bglt) BgL_tmp1823z00_8924);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1825z00_8923)))->BgL_locz00) =
					((obj_t) BgL_loc1546z00_7447), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1825z00_8923)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1547z00_7448)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1825z00_8923)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1548zd2_7449), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1825z00_8923)))->BgL_keyz00) =
					((obj_t) BgL_key1549z00_7450), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1825z00_8923)))->BgL_localsz00) =
					((obj_t) BgL_locals1550z00_7451), BUNSPEC);
				((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
									BgL_new1825z00_8923)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_body1551z00_7452)),
					BUNSPEC);
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13428;

					{
						obj_t BgL_auxz00_13429;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13430;

							BgL_tmpz00_13430 = ((BgL_objectz00_bglt) BgL_new1825z00_8923);
							BgL_auxz00_13429 = BGL_OBJECT_WIDENING(BgL_tmpz00_13430);
						}
						BgL_auxz00_13428 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13429);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13428))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1552z00_7453)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13436;

					{
						obj_t BgL_auxz00_13437;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13438;

							BgL_tmpz00_13438 = ((BgL_objectz00_bglt) BgL_new1825z00_8923);
							BgL_auxz00_13437 = BGL_OBJECT_WIDENING(BgL_tmpz00_13438);
						}
						BgL_auxz00_13436 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13437);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13436))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1553z00_7454)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13444;

					{
						obj_t BgL_auxz00_13445;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13446;

							BgL_tmpz00_13446 = ((BgL_objectz00_bglt) BgL_new1825z00_8923);
							BgL_auxz00_13445 = BGL_OBJECT_WIDENING(BgL_tmpz00_13446);
						}
						BgL_auxz00_13444 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13445);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13444))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1554z00_7455)), BUNSPEC);
				}
				{
					BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13452;

					{
						obj_t BgL_auxz00_13453;

						{	/* Liveness/types.scm 173 */
							BgL_objectz00_bglt BgL_tmpz00_13454;

							BgL_tmpz00_13454 = ((BgL_objectz00_bglt) BgL_new1825z00_8923);
							BgL_auxz00_13453 = BGL_OBJECT_WIDENING(BgL_tmpz00_13454);
						}
						BgL_auxz00_13452 =
							((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13453);
					}
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13452))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1555z00_7456)), BUNSPEC);
				}
				return BgL_new1825z00_8923;
			}
		}

	}



/* &<@anonymous:3488> */
	obj_t BGl_z62zc3z04anonymousza33488ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7457)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3487 */
	obj_t BGl_z62lambda3487z62zzliveness_typesz00(obj_t BgL_envz00_7458,
		obj_t BgL_oz00_7459, obj_t BgL_vz00_7460)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13460;

				{
					obj_t BgL_auxz00_13461;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13462;

						BgL_tmpz00_13462 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7459));
						BgL_auxz00_13461 = BGL_OBJECT_WIDENING(BgL_tmpz00_13462);
					}
					BgL_auxz00_13460 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13461);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13460))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7460)), BUNSPEC);
			}
		}

	}



/* &lambda3486 */
	obj_t BGl_z62lambda3486z62zzliveness_typesz00(obj_t BgL_envz00_7461,
		obj_t BgL_oz00_7462)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13469;

				{
					obj_t BgL_auxz00_13470;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13471;

						BgL_tmpz00_13471 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7462));
						BgL_auxz00_13470 = BGL_OBJECT_WIDENING(BgL_tmpz00_13471);
					}
					BgL_auxz00_13469 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13470);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13469))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3480> */
	obj_t BGl_z62zc3z04anonymousza33480ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7463)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3479 */
	obj_t BGl_z62lambda3479z62zzliveness_typesz00(obj_t BgL_envz00_7464,
		obj_t BgL_oz00_7465, obj_t BgL_vz00_7466)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13477;

				{
					obj_t BgL_auxz00_13478;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13479;

						BgL_tmpz00_13479 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7465));
						BgL_auxz00_13478 = BGL_OBJECT_WIDENING(BgL_tmpz00_13479);
					}
					BgL_auxz00_13477 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13478);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13477))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7466)), BUNSPEC);
			}
		}

	}



/* &lambda3478 */
	obj_t BGl_z62lambda3478z62zzliveness_typesz00(obj_t BgL_envz00_7467,
		obj_t BgL_oz00_7468)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13486;

				{
					obj_t BgL_auxz00_13487;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13488;

						BgL_tmpz00_13488 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7468));
						BgL_auxz00_13487 = BGL_OBJECT_WIDENING(BgL_tmpz00_13488);
					}
					BgL_auxz00_13486 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13487);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13486))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3472> */
	obj_t BGl_z62zc3z04anonymousza33472ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7469)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3471 */
	obj_t BGl_z62lambda3471z62zzliveness_typesz00(obj_t BgL_envz00_7470,
		obj_t BgL_oz00_7471, obj_t BgL_vz00_7472)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13494;

				{
					obj_t BgL_auxz00_13495;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13496;

						BgL_tmpz00_13496 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7471));
						BgL_auxz00_13495 = BGL_OBJECT_WIDENING(BgL_tmpz00_13496);
					}
					BgL_auxz00_13494 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13495);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13494))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7472)), BUNSPEC);
			}
		}

	}



/* &lambda3470 */
	obj_t BGl_z62lambda3470z62zzliveness_typesz00(obj_t BgL_envz00_7473,
		obj_t BgL_oz00_7474)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13503;

				{
					obj_t BgL_auxz00_13504;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13505;

						BgL_tmpz00_13505 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7474));
						BgL_auxz00_13504 = BGL_OBJECT_WIDENING(BgL_tmpz00_13505);
					}
					BgL_auxz00_13503 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13504);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13503))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3464> */
	obj_t BGl_z62zc3z04anonymousza33464ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7475)
	{
		{	/* Liveness/types.scm 173 */
			return BNIL;
		}

	}



/* &lambda3463 */
	obj_t BGl_z62lambda3463z62zzliveness_typesz00(obj_t BgL_envz00_7476,
		obj_t BgL_oz00_7477, obj_t BgL_vz00_7478)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13511;

				{
					obj_t BgL_auxz00_13512;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13513;

						BgL_tmpz00_13513 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7477));
						BgL_auxz00_13512 = BGL_OBJECT_WIDENING(BgL_tmpz00_13513);
					}
					BgL_auxz00_13511 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13512);
				}
				return
					((((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13511))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7478)), BUNSPEC);
			}
		}

	}



/* &lambda3462 */
	obj_t BGl_z62lambda3462z62zzliveness_typesz00(obj_t BgL_envz00_7479,
		obj_t BgL_oz00_7480)
	{
		{	/* Liveness/types.scm 173 */
			{
				BgL_letzd2funzf2livenessz20_bglt BgL_auxz00_13520;

				{
					obj_t BgL_auxz00_13521;

					{	/* Liveness/types.scm 173 */
						BgL_objectz00_bglt BgL_tmpz00_13522;

						BgL_tmpz00_13522 =
							((BgL_objectz00_bglt) ((BgL_letzd2funzd2_bglt) BgL_oz00_7480));
						BgL_auxz00_13521 = BGL_OBJECT_WIDENING(BgL_tmpz00_13522);
					}
					BgL_auxz00_13520 =
						((BgL_letzd2funzf2livenessz20_bglt) BgL_auxz00_13521);
				}
				return
					(((BgL_letzd2funzf2livenessz20_bglt) COBJECT(BgL_auxz00_13520))->
					BgL_defz00);
			}
		}

	}



/* &lambda3402 */
	BgL_switchz00_bglt BGl_z62lambda3402z62zzliveness_typesz00(obj_t
		BgL_envz00_7481, obj_t BgL_o1544z00_7482)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				long BgL_arg3403z00_8942;

				{	/* Liveness/types.scm 167 */
					obj_t BgL_arg3405z00_8943;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_arg3406z00_8944;

						{	/* Liveness/types.scm 167 */
							obj_t BgL_arg1866z00_8945;
							long BgL_arg1867z00_8946;

							BgL_arg1866z00_8945 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 167 */
								long BgL_arg1869z00_8947;

								BgL_arg1869z00_8947 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_switchz00_bglt) BgL_o1544z00_7482)));
								BgL_arg1867z00_8946 = (BgL_arg1869z00_8947 - OBJECT_TYPE);
							}
							BgL_arg3406z00_8944 =
								VECTOR_REF(BgL_arg1866z00_8945, BgL_arg1867z00_8946);
						}
						BgL_arg3405z00_8943 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3406z00_8944);
					}
					{	/* Liveness/types.scm 167 */
						obj_t BgL_tmpz00_13535;

						BgL_tmpz00_13535 = ((obj_t) BgL_arg3405z00_8943);
						BgL_arg3403z00_8942 = BGL_CLASS_NUM(BgL_tmpz00_13535);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) BgL_o1544z00_7482)), BgL_arg3403z00_8942);
			}
			{	/* Liveness/types.scm 167 */
				BgL_objectz00_bglt BgL_tmpz00_13541;

				BgL_tmpz00_13541 =
					((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1544z00_7482));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13541, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_o1544z00_7482));
			return ((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1544z00_7482));
		}

	}



/* &<@anonymous:3401> */
	obj_t BGl_z62zc3z04anonymousza33401ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7483, obj_t BgL_new1543z00_7484)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchz00_bglt BgL_auxz00_13549;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_switchz00_bglt) BgL_new1543z00_7484))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13553;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8949;

						BgL_classz00_8949 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1117z00_8950;

							BgL__ortest_1117z00_8950 = BGL_CLASS_NIL(BgL_classz00_8949);
							if (CBOOL(BgL__ortest_1117z00_8950))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13553 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8950);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13553 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8949));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_switchz00_bglt) BgL_new1543z00_7484))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13553), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_switchz00_bglt) BgL_new1543z00_7484))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_switchz00_bglt)
										BgL_new1543z00_7484))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_13569;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8951;

						BgL_classz00_8951 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1117z00_8952;

							BgL__ortest_1117z00_8952 = BGL_CLASS_NIL(BgL_classz00_8951);
							if (CBOOL(BgL__ortest_1117z00_8952))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13569 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8952);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13569 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8951));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1543z00_7484))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_13569), BUNSPEC);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt)
									((BgL_switchz00_bglt) BgL_new1543z00_7484))))->
						BgL_clausesz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13582;

					{	/* Liveness/types.scm 167 */
						obj_t BgL_classz00_8953;

						BgL_classz00_8953 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 167 */
							obj_t BgL__ortest_1117z00_8954;

							BgL__ortest_1117z00_8954 = BGL_CLASS_NIL(BgL_classz00_8953);
							if (CBOOL(BgL__ortest_1117z00_8954))
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13582 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8954);
								}
							else
								{	/* Liveness/types.scm 167 */
									BgL_auxz00_13582 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8953));
								}
						}
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt)
										((BgL_switchz00_bglt) BgL_new1543z00_7484))))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_13582), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13592;

					{
						obj_t BgL_auxz00_13593;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13594;

							BgL_tmpz00_13594 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1543z00_7484));
							BgL_auxz00_13593 = BGL_OBJECT_WIDENING(BgL_tmpz00_13594);
						}
						BgL_auxz00_13592 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13593);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13592))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13600;

					{
						obj_t BgL_auxz00_13601;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13602;

							BgL_tmpz00_13602 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1543z00_7484));
							BgL_auxz00_13601 = BGL_OBJECT_WIDENING(BgL_tmpz00_13602);
						}
						BgL_auxz00_13600 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13601);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13600))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13608;

					{
						obj_t BgL_auxz00_13609;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13610;

							BgL_tmpz00_13610 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1543z00_7484));
							BgL_auxz00_13609 = BGL_OBJECT_WIDENING(BgL_tmpz00_13610);
						}
						BgL_auxz00_13608 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13609);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13608))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13616;

					{
						obj_t BgL_auxz00_13617;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13618;

							BgL_tmpz00_13618 =
								((BgL_objectz00_bglt)
								((BgL_switchz00_bglt) BgL_new1543z00_7484));
							BgL_auxz00_13617 = BGL_OBJECT_WIDENING(BgL_tmpz00_13618);
						}
						BgL_auxz00_13616 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13617);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13616))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13549 = ((BgL_switchz00_bglt) BgL_new1543z00_7484);
				return ((obj_t) BgL_auxz00_13549);
			}
		}

	}



/* &lambda3398 */
	BgL_switchz00_bglt BGl_z62lambda3398z62zzliveness_typesz00(obj_t
		BgL_envz00_7485, obj_t BgL_o1540z00_7486)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchzf2livenesszf2_bglt BgL_wide1542z00_8956;

				BgL_wide1542z00_8956 =
					((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_switchzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 167 */
					obj_t BgL_auxz00_13631;
					BgL_objectz00_bglt BgL_tmpz00_13627;

					BgL_auxz00_13631 = ((obj_t) BgL_wide1542z00_8956);
					BgL_tmpz00_13627 =
						((BgL_objectz00_bglt)
						((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1540z00_7486)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13627, BgL_auxz00_13631);
				}
				((BgL_objectz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1540z00_7486)));
				{	/* Liveness/types.scm 167 */
					long BgL_arg3400z00_8957;

					BgL_arg3400z00_8957 =
						BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt)
								((BgL_switchz00_bglt) BgL_o1540z00_7486))),
						BgL_arg3400z00_8957);
				}
				return
					((BgL_switchz00_bglt)
					((BgL_switchz00_bglt) ((BgL_switchz00_bglt) BgL_o1540z00_7486)));
			}
		}

	}



/* &lambda3394 */
	BgL_switchz00_bglt BGl_z62lambda3394z62zzliveness_typesz00(obj_t
		BgL_envz00_7487, obj_t BgL_loc1529z00_7488, obj_t BgL_type1530z00_7489,
		obj_t BgL_sidezd2effect1531zd2_7490, obj_t BgL_key1532z00_7491,
		obj_t BgL_test1533z00_7492, obj_t BgL_clauses1534z00_7493,
		obj_t BgL_itemzd2type1535zd2_7494, obj_t BgL_def1536z00_7495,
		obj_t BgL_use1537z00_7496, obj_t BgL_in1538z00_7497,
		obj_t BgL_out1539z00_7498)
	{
		{	/* Liveness/types.scm 167 */
			{	/* Liveness/types.scm 167 */
				BgL_switchz00_bglt BgL_new1820z00_8965;

				{	/* Liveness/types.scm 167 */
					BgL_switchz00_bglt BgL_tmp1818z00_8966;
					BgL_switchzf2livenesszf2_bglt BgL_wide1819z00_8967;

					{
						BgL_switchz00_bglt BgL_auxz00_13645;

						{	/* Liveness/types.scm 167 */
							BgL_switchz00_bglt BgL_new1817z00_8968;

							BgL_new1817z00_8968 =
								((BgL_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_switchz00_bgl))));
							{	/* Liveness/types.scm 167 */
								long BgL_arg3397z00_8969;

								BgL_arg3397z00_8969 = BGL_CLASS_NUM(BGl_switchz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1817z00_8968),
									BgL_arg3397z00_8969);
							}
							{	/* Liveness/types.scm 167 */
								BgL_objectz00_bglt BgL_tmpz00_13650;

								BgL_tmpz00_13650 = ((BgL_objectz00_bglt) BgL_new1817z00_8968);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13650, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1817z00_8968);
							BgL_auxz00_13645 = BgL_new1817z00_8968;
						}
						BgL_tmp1818z00_8966 = ((BgL_switchz00_bglt) BgL_auxz00_13645);
					}
					BgL_wide1819z00_8967 =
						((BgL_switchzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_switchzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 167 */
						obj_t BgL_auxz00_13658;
						BgL_objectz00_bglt BgL_tmpz00_13656;

						BgL_auxz00_13658 = ((obj_t) BgL_wide1819z00_8967);
						BgL_tmpz00_13656 = ((BgL_objectz00_bglt) BgL_tmp1818z00_8966);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13656, BgL_auxz00_13658);
					}
					((BgL_objectz00_bglt) BgL_tmp1818z00_8966);
					{	/* Liveness/types.scm 167 */
						long BgL_arg3396z00_8970;

						BgL_arg3396z00_8970 =
							BGL_CLASS_NUM(BGl_switchzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1818z00_8966), BgL_arg3396z00_8970);
					}
					BgL_new1820z00_8965 = ((BgL_switchz00_bglt) BgL_tmp1818z00_8966);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1820z00_8965)))->BgL_locz00) =
					((obj_t) BgL_loc1529z00_7488), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1820z00_8965)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1530z00_7489)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1820z00_8965)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1531zd2_7490), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1820z00_8965)))->BgL_keyz00) =
					((obj_t) BgL_key1532z00_7491), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1820z00_8965)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1533z00_7492)),
					BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1820z00_8965)))->BgL_clausesz00) =
					((obj_t) BgL_clauses1534z00_7493), BUNSPEC);
				((((BgL_switchz00_bglt) COBJECT(((BgL_switchz00_bglt)
									BgL_new1820z00_8965)))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_itemzd2type1535zd2_7494)),
					BUNSPEC);
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13683;

					{
						obj_t BgL_auxz00_13684;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13685;

							BgL_tmpz00_13685 = ((BgL_objectz00_bglt) BgL_new1820z00_8965);
							BgL_auxz00_13684 = BGL_OBJECT_WIDENING(BgL_tmpz00_13685);
						}
						BgL_auxz00_13683 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13684);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13683))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1536z00_7495)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13691;

					{
						obj_t BgL_auxz00_13692;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13693;

							BgL_tmpz00_13693 = ((BgL_objectz00_bglt) BgL_new1820z00_8965);
							BgL_auxz00_13692 = BGL_OBJECT_WIDENING(BgL_tmpz00_13693);
						}
						BgL_auxz00_13691 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13692);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13691))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1537z00_7496)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13699;

					{
						obj_t BgL_auxz00_13700;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13701;

							BgL_tmpz00_13701 = ((BgL_objectz00_bglt) BgL_new1820z00_8965);
							BgL_auxz00_13700 = BGL_OBJECT_WIDENING(BgL_tmpz00_13701);
						}
						BgL_auxz00_13699 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13700);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13699))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1538z00_7497)), BUNSPEC);
				}
				{
					BgL_switchzf2livenesszf2_bglt BgL_auxz00_13707;

					{
						obj_t BgL_auxz00_13708;

						{	/* Liveness/types.scm 167 */
							BgL_objectz00_bglt BgL_tmpz00_13709;

							BgL_tmpz00_13709 = ((BgL_objectz00_bglt) BgL_new1820z00_8965);
							BgL_auxz00_13708 = BGL_OBJECT_WIDENING(BgL_tmpz00_13709);
						}
						BgL_auxz00_13707 =
							((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13708);
					}
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13707))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1539z00_7498)), BUNSPEC);
				}
				return BgL_new1820z00_8965;
			}
		}

	}



/* &<@anonymous:3439> */
	obj_t BGl_z62zc3z04anonymousza33439ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7499)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3438 */
	obj_t BGl_z62lambda3438z62zzliveness_typesz00(obj_t BgL_envz00_7500,
		obj_t BgL_oz00_7501, obj_t BgL_vz00_7502)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13715;

				{
					obj_t BgL_auxz00_13716;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13717;

						BgL_tmpz00_13717 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7501));
						BgL_auxz00_13716 = BGL_OBJECT_WIDENING(BgL_tmpz00_13717);
					}
					BgL_auxz00_13715 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13716);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13715))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7502)), BUNSPEC);
			}
		}

	}



/* &lambda3437 */
	obj_t BGl_z62lambda3437z62zzliveness_typesz00(obj_t BgL_envz00_7503,
		obj_t BgL_oz00_7504)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13724;

				{
					obj_t BgL_auxz00_13725;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13726;

						BgL_tmpz00_13726 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7504));
						BgL_auxz00_13725 = BGL_OBJECT_WIDENING(BgL_tmpz00_13726);
					}
					BgL_auxz00_13724 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13725);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13724))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3431> */
	obj_t BGl_z62zc3z04anonymousza33431ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7505)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3430 */
	obj_t BGl_z62lambda3430z62zzliveness_typesz00(obj_t BgL_envz00_7506,
		obj_t BgL_oz00_7507, obj_t BgL_vz00_7508)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13732;

				{
					obj_t BgL_auxz00_13733;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13734;

						BgL_tmpz00_13734 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7507));
						BgL_auxz00_13733 = BGL_OBJECT_WIDENING(BgL_tmpz00_13734);
					}
					BgL_auxz00_13732 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13733);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13732))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7508)), BUNSPEC);
			}
		}

	}



/* &lambda3429 */
	obj_t BGl_z62lambda3429z62zzliveness_typesz00(obj_t BgL_envz00_7509,
		obj_t BgL_oz00_7510)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13741;

				{
					obj_t BgL_auxz00_13742;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13743;

						BgL_tmpz00_13743 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7510));
						BgL_auxz00_13742 = BGL_OBJECT_WIDENING(BgL_tmpz00_13743);
					}
					BgL_auxz00_13741 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13742);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13741))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3423> */
	obj_t BGl_z62zc3z04anonymousza33423ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7511)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3422 */
	obj_t BGl_z62lambda3422z62zzliveness_typesz00(obj_t BgL_envz00_7512,
		obj_t BgL_oz00_7513, obj_t BgL_vz00_7514)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13749;

				{
					obj_t BgL_auxz00_13750;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13751;

						BgL_tmpz00_13751 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7513));
						BgL_auxz00_13750 = BGL_OBJECT_WIDENING(BgL_tmpz00_13751);
					}
					BgL_auxz00_13749 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13750);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13749))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7514)), BUNSPEC);
			}
		}

	}



/* &lambda3421 */
	obj_t BGl_z62lambda3421z62zzliveness_typesz00(obj_t BgL_envz00_7515,
		obj_t BgL_oz00_7516)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13758;

				{
					obj_t BgL_auxz00_13759;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13760;

						BgL_tmpz00_13760 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7516));
						BgL_auxz00_13759 = BGL_OBJECT_WIDENING(BgL_tmpz00_13760);
					}
					BgL_auxz00_13758 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13759);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13758))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3415> */
	obj_t BGl_z62zc3z04anonymousza33415ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7517)
	{
		{	/* Liveness/types.scm 167 */
			return BNIL;
		}

	}



/* &lambda3414 */
	obj_t BGl_z62lambda3414z62zzliveness_typesz00(obj_t BgL_envz00_7518,
		obj_t BgL_oz00_7519, obj_t BgL_vz00_7520)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13766;

				{
					obj_t BgL_auxz00_13767;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13768;

						BgL_tmpz00_13768 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7519));
						BgL_auxz00_13767 = BGL_OBJECT_WIDENING(BgL_tmpz00_13768);
					}
					BgL_auxz00_13766 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13767);
				}
				return
					((((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13766))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7520)), BUNSPEC);
			}
		}

	}



/* &lambda3413 */
	obj_t BGl_z62lambda3413z62zzliveness_typesz00(obj_t BgL_envz00_7521,
		obj_t BgL_oz00_7522)
	{
		{	/* Liveness/types.scm 167 */
			{
				BgL_switchzf2livenesszf2_bglt BgL_auxz00_13775;

				{
					obj_t BgL_auxz00_13776;

					{	/* Liveness/types.scm 167 */
						BgL_objectz00_bglt BgL_tmpz00_13777;

						BgL_tmpz00_13777 =
							((BgL_objectz00_bglt) ((BgL_switchz00_bglt) BgL_oz00_7522));
						BgL_auxz00_13776 = BGL_OBJECT_WIDENING(BgL_tmpz00_13777);
					}
					BgL_auxz00_13775 = ((BgL_switchzf2livenesszf2_bglt) BgL_auxz00_13776);
				}
				return
					(((BgL_switchzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13775))->
					BgL_defz00);
			}
		}

	}



/* &lambda3349 */
	BgL_failz00_bglt BGl_z62lambda3349z62zzliveness_typesz00(obj_t
		BgL_envz00_7523, obj_t BgL_o1526z00_7524)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				long BgL_arg3350z00_8984;

				{	/* Liveness/types.scm 161 */
					obj_t BgL_arg3351z00_8985;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_arg3352z00_8986;

						{	/* Liveness/types.scm 161 */
							obj_t BgL_arg1866z00_8987;
							long BgL_arg1867z00_8988;

							BgL_arg1866z00_8987 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 161 */
								long BgL_arg1869z00_8989;

								BgL_arg1869z00_8989 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_failz00_bglt) BgL_o1526z00_7524)));
								BgL_arg1867z00_8988 = (BgL_arg1869z00_8989 - OBJECT_TYPE);
							}
							BgL_arg3352z00_8986 =
								VECTOR_REF(BgL_arg1866z00_8987, BgL_arg1867z00_8988);
						}
						BgL_arg3351z00_8985 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3352z00_8986);
					}
					{	/* Liveness/types.scm 161 */
						obj_t BgL_tmpz00_13790;

						BgL_tmpz00_13790 = ((obj_t) BgL_arg3351z00_8985);
						BgL_arg3350z00_8984 = BGL_CLASS_NUM(BgL_tmpz00_13790);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_failz00_bglt) BgL_o1526z00_7524)), BgL_arg3350z00_8984);
			}
			{	/* Liveness/types.scm 161 */
				BgL_objectz00_bglt BgL_tmpz00_13796;

				BgL_tmpz00_13796 =
					((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1526z00_7524));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13796, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_o1526z00_7524));
			return ((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1526z00_7524));
		}

	}



/* &<@anonymous:3348> */
	obj_t BGl_z62zc3z04anonymousza33348ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7525, obj_t BgL_new1525z00_7526)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failz00_bglt BgL_auxz00_13804;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_failz00_bglt) BgL_new1525z00_7526))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13808;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8991;

						BgL_classz00_8991 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1117z00_8992;

							BgL__ortest_1117z00_8992 = BGL_CLASS_NIL(BgL_classz00_8991);
							if (CBOOL(BgL__ortest_1117z00_8992))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13808 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_8992);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13808 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8991));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_failz00_bglt) BgL_new1525z00_7526))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13808), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13818;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8993;

						BgL_classz00_8993 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1117z00_8994;

							BgL__ortest_1117z00_8994 = BGL_CLASS_NIL(BgL_classz00_8993);
							if (CBOOL(BgL__ortest_1117z00_8994))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13818 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8994);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13818 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8993));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1525z00_7526))))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13818), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13828;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8995;

						BgL_classz00_8995 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1117z00_8996;

							BgL__ortest_1117z00_8996 = BGL_CLASS_NIL(BgL_classz00_8995);
							if (CBOOL(BgL__ortest_1117z00_8996))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13828 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8996);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13828 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8995));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1525z00_7526))))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13828), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_13838;

					{	/* Liveness/types.scm 161 */
						obj_t BgL_classz00_8997;

						BgL_classz00_8997 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 161 */
							obj_t BgL__ortest_1117z00_8998;

							BgL__ortest_1117z00_8998 = BGL_CLASS_NIL(BgL_classz00_8997);
							if (CBOOL(BgL__ortest_1117z00_8998))
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13838 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_8998);
								}
							else
								{	/* Liveness/types.scm 161 */
									BgL_auxz00_13838 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8997));
								}
						}
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt)
										((BgL_failz00_bglt) BgL_new1525z00_7526))))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_13838), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13848;

					{
						obj_t BgL_auxz00_13849;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13850;

							BgL_tmpz00_13850 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1525z00_7526));
							BgL_auxz00_13849 = BGL_OBJECT_WIDENING(BgL_tmpz00_13850);
						}
						BgL_auxz00_13848 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13849);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13848))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13856;

					{
						obj_t BgL_auxz00_13857;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13858;

							BgL_tmpz00_13858 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1525z00_7526));
							BgL_auxz00_13857 = BGL_OBJECT_WIDENING(BgL_tmpz00_13858);
						}
						BgL_auxz00_13856 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13857);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13856))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13864;

					{
						obj_t BgL_auxz00_13865;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13866;

							BgL_tmpz00_13866 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1525z00_7526));
							BgL_auxz00_13865 = BGL_OBJECT_WIDENING(BgL_tmpz00_13866);
						}
						BgL_auxz00_13864 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13865);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13864))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13872;

					{
						obj_t BgL_auxz00_13873;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13874;

							BgL_tmpz00_13874 =
								((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_new1525z00_7526));
							BgL_auxz00_13873 = BGL_OBJECT_WIDENING(BgL_tmpz00_13874);
						}
						BgL_auxz00_13872 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13873);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13872))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_13804 = ((BgL_failz00_bglt) BgL_new1525z00_7526);
				return ((obj_t) BgL_auxz00_13804);
			}
		}

	}



/* &lambda3346 */
	BgL_failz00_bglt BGl_z62lambda3346z62zzliveness_typesz00(obj_t
		BgL_envz00_7527, obj_t BgL_o1522z00_7528)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failzf2livenesszf2_bglt BgL_wide1524z00_9000;

				BgL_wide1524z00_9000 =
					((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_failzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 161 */
					obj_t BgL_auxz00_13887;
					BgL_objectz00_bglt BgL_tmpz00_13883;

					BgL_auxz00_13887 = ((obj_t) BgL_wide1524z00_9000);
					BgL_tmpz00_13883 =
						((BgL_objectz00_bglt)
						((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1522z00_7528)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13883, BgL_auxz00_13887);
				}
				((BgL_objectz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1522z00_7528)));
				{	/* Liveness/types.scm 161 */
					long BgL_arg3347z00_9001;

					BgL_arg3347z00_9001 =
						BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt)
								((BgL_failz00_bglt) BgL_o1522z00_7528))), BgL_arg3347z00_9001);
				}
				return
					((BgL_failz00_bglt)
					((BgL_failz00_bglt) ((BgL_failz00_bglt) BgL_o1522z00_7528)));
			}
		}

	}



/* &lambda3342 */
	BgL_failz00_bglt BGl_z62lambda3342z62zzliveness_typesz00(obj_t
		BgL_envz00_7529, obj_t BgL_loc1513z00_7530, obj_t BgL_type1514z00_7531,
		obj_t BgL_proc1515z00_7532, obj_t BgL_msg1516z00_7533,
		obj_t BgL_obj1517z00_7534, obj_t BgL_def1518z00_7535,
		obj_t BgL_use1519z00_7536, obj_t BgL_in1520z00_7537,
		obj_t BgL_out1521z00_7538)
	{
		{	/* Liveness/types.scm 161 */
			{	/* Liveness/types.scm 161 */
				BgL_failz00_bglt BgL_new1815z00_9010;

				{	/* Liveness/types.scm 161 */
					BgL_failz00_bglt BgL_tmp1813z00_9011;
					BgL_failzf2livenesszf2_bglt BgL_wide1814z00_9012;

					{
						BgL_failz00_bglt BgL_auxz00_13901;

						{	/* Liveness/types.scm 161 */
							BgL_failz00_bglt BgL_new1812z00_9013;

							BgL_new1812z00_9013 =
								((BgL_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_failz00_bgl))));
							{	/* Liveness/types.scm 161 */
								long BgL_arg3345z00_9014;

								BgL_arg3345z00_9014 = BGL_CLASS_NUM(BGl_failz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1812z00_9013),
									BgL_arg3345z00_9014);
							}
							{	/* Liveness/types.scm 161 */
								BgL_objectz00_bglt BgL_tmpz00_13906;

								BgL_tmpz00_13906 = ((BgL_objectz00_bglt) BgL_new1812z00_9013);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13906, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1812z00_9013);
							BgL_auxz00_13901 = BgL_new1812z00_9013;
						}
						BgL_tmp1813z00_9011 = ((BgL_failz00_bglt) BgL_auxz00_13901);
					}
					BgL_wide1814z00_9012 =
						((BgL_failzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_failzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 161 */
						obj_t BgL_auxz00_13914;
						BgL_objectz00_bglt BgL_tmpz00_13912;

						BgL_auxz00_13914 = ((obj_t) BgL_wide1814z00_9012);
						BgL_tmpz00_13912 = ((BgL_objectz00_bglt) BgL_tmp1813z00_9011);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13912, BgL_auxz00_13914);
					}
					((BgL_objectz00_bglt) BgL_tmp1813z00_9011);
					{	/* Liveness/types.scm 161 */
						long BgL_arg3344z00_9015;

						BgL_arg3344z00_9015 =
							BGL_CLASS_NUM(BGl_failzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1813z00_9011), BgL_arg3344z00_9015);
					}
					BgL_new1815z00_9010 = ((BgL_failz00_bglt) BgL_tmp1813z00_9011);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1815z00_9010)))->BgL_locz00) =
					((obj_t) BgL_loc1513z00_7530), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1815z00_9010)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1514z00_7531)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1815z00_9010)))->BgL_procz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_proc1515z00_7532)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1815z00_9010)))->BgL_msgz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_msg1516z00_7533)),
					BUNSPEC);
				((((BgL_failz00_bglt) COBJECT(((BgL_failz00_bglt)
									BgL_new1815z00_9010)))->BgL_objz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_obj1517z00_7534)),
					BUNSPEC);
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13936;

					{
						obj_t BgL_auxz00_13937;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13938;

							BgL_tmpz00_13938 = ((BgL_objectz00_bglt) BgL_new1815z00_9010);
							BgL_auxz00_13937 = BGL_OBJECT_WIDENING(BgL_tmpz00_13938);
						}
						BgL_auxz00_13936 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13937);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13936))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1518z00_7535)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13944;

					{
						obj_t BgL_auxz00_13945;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13946;

							BgL_tmpz00_13946 = ((BgL_objectz00_bglt) BgL_new1815z00_9010);
							BgL_auxz00_13945 = BGL_OBJECT_WIDENING(BgL_tmpz00_13946);
						}
						BgL_auxz00_13944 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13945);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13944))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1519z00_7536)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13952;

					{
						obj_t BgL_auxz00_13953;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13954;

							BgL_tmpz00_13954 = ((BgL_objectz00_bglt) BgL_new1815z00_9010);
							BgL_auxz00_13953 = BGL_OBJECT_WIDENING(BgL_tmpz00_13954);
						}
						BgL_auxz00_13952 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13953);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13952))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1520z00_7537)), BUNSPEC);
				}
				{
					BgL_failzf2livenesszf2_bglt BgL_auxz00_13960;

					{
						obj_t BgL_auxz00_13961;

						{	/* Liveness/types.scm 161 */
							BgL_objectz00_bglt BgL_tmpz00_13962;

							BgL_tmpz00_13962 = ((BgL_objectz00_bglt) BgL_new1815z00_9010);
							BgL_auxz00_13961 = BGL_OBJECT_WIDENING(BgL_tmpz00_13962);
						}
						BgL_auxz00_13960 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13961);
					}
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13960))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1521z00_7538)), BUNSPEC);
				}
				return BgL_new1815z00_9010;
			}
		}

	}



/* &<@anonymous:3387> */
	obj_t BGl_z62zc3z04anonymousza33387ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7539)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3386 */
	obj_t BGl_z62lambda3386z62zzliveness_typesz00(obj_t BgL_envz00_7540,
		obj_t BgL_oz00_7541, obj_t BgL_vz00_7542)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13968;

				{
					obj_t BgL_auxz00_13969;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13970;

						BgL_tmpz00_13970 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7541));
						BgL_auxz00_13969 = BGL_OBJECT_WIDENING(BgL_tmpz00_13970);
					}
					BgL_auxz00_13968 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13969);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13968))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7542)), BUNSPEC);
			}
		}

	}



/* &lambda3385 */
	obj_t BGl_z62lambda3385z62zzliveness_typesz00(obj_t BgL_envz00_7543,
		obj_t BgL_oz00_7544)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13977;

				{
					obj_t BgL_auxz00_13978;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13979;

						BgL_tmpz00_13979 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7544));
						BgL_auxz00_13978 = BGL_OBJECT_WIDENING(BgL_tmpz00_13979);
					}
					BgL_auxz00_13977 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13978);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13977))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3378> */
	obj_t BGl_z62zc3z04anonymousza33378ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7545)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3377 */
	obj_t BGl_z62lambda3377z62zzliveness_typesz00(obj_t BgL_envz00_7546,
		obj_t BgL_oz00_7547, obj_t BgL_vz00_7548)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13985;

				{
					obj_t BgL_auxz00_13986;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13987;

						BgL_tmpz00_13987 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7547));
						BgL_auxz00_13986 = BGL_OBJECT_WIDENING(BgL_tmpz00_13987);
					}
					BgL_auxz00_13985 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13986);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13985))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7548)), BUNSPEC);
			}
		}

	}



/* &lambda3376 */
	obj_t BGl_z62lambda3376z62zzliveness_typesz00(obj_t BgL_envz00_7549,
		obj_t BgL_oz00_7550)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_13994;

				{
					obj_t BgL_auxz00_13995;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_13996;

						BgL_tmpz00_13996 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7550));
						BgL_auxz00_13995 = BGL_OBJECT_WIDENING(BgL_tmpz00_13996);
					}
					BgL_auxz00_13994 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_13995);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_13994))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3370> */
	obj_t BGl_z62zc3z04anonymousza33370ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7551)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3369 */
	obj_t BGl_z62lambda3369z62zzliveness_typesz00(obj_t BgL_envz00_7552,
		obj_t BgL_oz00_7553, obj_t BgL_vz00_7554)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_14002;

				{
					obj_t BgL_auxz00_14003;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_14004;

						BgL_tmpz00_14004 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7553));
						BgL_auxz00_14003 = BGL_OBJECT_WIDENING(BgL_tmpz00_14004);
					}
					BgL_auxz00_14002 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_14003);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14002))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7554)), BUNSPEC);
			}
		}

	}



/* &lambda3368 */
	obj_t BGl_z62lambda3368z62zzliveness_typesz00(obj_t BgL_envz00_7555,
		obj_t BgL_oz00_7556)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_14011;

				{
					obj_t BgL_auxz00_14012;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_14013;

						BgL_tmpz00_14013 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7556));
						BgL_auxz00_14012 = BGL_OBJECT_WIDENING(BgL_tmpz00_14013);
					}
					BgL_auxz00_14011 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_14012);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14011))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3361> */
	obj_t BGl_z62zc3z04anonymousza33361ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7557)
	{
		{	/* Liveness/types.scm 161 */
			return BNIL;
		}

	}



/* &lambda3360 */
	obj_t BGl_z62lambda3360z62zzliveness_typesz00(obj_t BgL_envz00_7558,
		obj_t BgL_oz00_7559, obj_t BgL_vz00_7560)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_14019;

				{
					obj_t BgL_auxz00_14020;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_14021;

						BgL_tmpz00_14021 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7559));
						BgL_auxz00_14020 = BGL_OBJECT_WIDENING(BgL_tmpz00_14021);
					}
					BgL_auxz00_14019 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_14020);
				}
				return
					((((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14019))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7560)), BUNSPEC);
			}
		}

	}



/* &lambda3359 */
	obj_t BGl_z62lambda3359z62zzliveness_typesz00(obj_t BgL_envz00_7561,
		obj_t BgL_oz00_7562)
	{
		{	/* Liveness/types.scm 161 */
			{
				BgL_failzf2livenesszf2_bglt BgL_auxz00_14028;

				{
					obj_t BgL_auxz00_14029;

					{	/* Liveness/types.scm 161 */
						BgL_objectz00_bglt BgL_tmpz00_14030;

						BgL_tmpz00_14030 =
							((BgL_objectz00_bglt) ((BgL_failz00_bglt) BgL_oz00_7562));
						BgL_auxz00_14029 = BGL_OBJECT_WIDENING(BgL_tmpz00_14030);
					}
					BgL_auxz00_14028 = ((BgL_failzf2livenesszf2_bglt) BgL_auxz00_14029);
				}
				return
					(((BgL_failzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14028))->
					BgL_defz00);
			}
		}

	}



/* &lambda3298 */
	BgL_conditionalz00_bglt BGl_z62lambda3298z62zzliveness_typesz00(obj_t
		BgL_envz00_7563, obj_t BgL_o1511z00_7564)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				long BgL_arg3299z00_9029;

				{	/* Liveness/types.scm 155 */
					obj_t BgL_arg3300z00_9030;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_arg3302z00_9031;

						{	/* Liveness/types.scm 155 */
							obj_t BgL_arg1866z00_9032;
							long BgL_arg1867z00_9033;

							BgL_arg1866z00_9032 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 155 */
								long BgL_arg1869z00_9034;

								BgL_arg1869z00_9034 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_conditionalz00_bglt) BgL_o1511z00_7564)));
								BgL_arg1867z00_9033 = (BgL_arg1869z00_9034 - OBJECT_TYPE);
							}
							BgL_arg3302z00_9031 =
								VECTOR_REF(BgL_arg1866z00_9032, BgL_arg1867z00_9033);
						}
						BgL_arg3300z00_9030 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3302z00_9031);
					}
					{	/* Liveness/types.scm 155 */
						obj_t BgL_tmpz00_14043;

						BgL_tmpz00_14043 = ((obj_t) BgL_arg3300z00_9030);
						BgL_arg3299z00_9029 = BGL_CLASS_NUM(BgL_tmpz00_14043);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1511z00_7564)),
					BgL_arg3299z00_9029);
			}
			{	/* Liveness/types.scm 155 */
				BgL_objectz00_bglt BgL_tmpz00_14049;

				BgL_tmpz00_14049 =
					((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1511z00_7564));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14049, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_o1511z00_7564));
			return
				((BgL_conditionalz00_bglt)
				((BgL_conditionalz00_bglt) BgL_o1511z00_7564));
		}

	}



/* &<@anonymous:3297> */
	obj_t BGl_z62zc3z04anonymousza33297ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7565, obj_t BgL_new1510z00_7566)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_14057;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14061;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_9036;

						BgL_classz00_9036 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1117z00_9037;

							BgL__ortest_1117z00_9037 = BGL_CLASS_NIL(BgL_classz00_9036);
							if (CBOOL(BgL__ortest_1117z00_9037))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14061 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9037);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14061 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9036));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14061), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_conditionalz00_bglt)
										BgL_new1510z00_7566))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_14077;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_9038;

						BgL_classz00_9038 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1117z00_9039;

							BgL__ortest_1117z00_9039 = BGL_CLASS_NIL(BgL_classz00_9038);
							if (CBOOL(BgL__ortest_1117z00_9039))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14077 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9039);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14077 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9038));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
							BgL_testz00) = ((BgL_nodez00_bglt) BgL_auxz00_14077), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14087;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_9040;

						BgL_classz00_9040 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1117z00_9041;

							BgL__ortest_1117z00_9041 = BGL_CLASS_NIL(BgL_classz00_9040);
							if (CBOOL(BgL__ortest_1117z00_9041))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14087 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9041);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14087 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9040));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
							BgL_truez00) = ((BgL_nodez00_bglt) BgL_auxz00_14087), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14097;

					{	/* Liveness/types.scm 155 */
						obj_t BgL_classz00_9042;

						BgL_classz00_9042 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 155 */
							obj_t BgL__ortest_1117z00_9043;

							BgL__ortest_1117z00_9043 = BGL_CLASS_NIL(BgL_classz00_9042);
							if (CBOOL(BgL__ortest_1117z00_9043))
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14097 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9043);
								}
							else
								{	/* Liveness/types.scm 155 */
									BgL_auxz00_14097 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9042));
								}
						}
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt)
										((BgL_conditionalz00_bglt) BgL_new1510z00_7566))))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_14097), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14107;

					{
						obj_t BgL_auxz00_14108;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14109;

							BgL_tmpz00_14109 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1510z00_7566));
							BgL_auxz00_14108 = BGL_OBJECT_WIDENING(BgL_tmpz00_14109);
						}
						BgL_auxz00_14107 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14108);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14107))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14115;

					{
						obj_t BgL_auxz00_14116;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14117;

							BgL_tmpz00_14117 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1510z00_7566));
							BgL_auxz00_14116 = BGL_OBJECT_WIDENING(BgL_tmpz00_14117);
						}
						BgL_auxz00_14115 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14116);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14115))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14123;

					{
						obj_t BgL_auxz00_14124;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14125;

							BgL_tmpz00_14125 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1510z00_7566));
							BgL_auxz00_14124 = BGL_OBJECT_WIDENING(BgL_tmpz00_14125);
						}
						BgL_auxz00_14123 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14124);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14123))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14131;

					{
						obj_t BgL_auxz00_14132;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14133;

							BgL_tmpz00_14133 =
								((BgL_objectz00_bglt)
								((BgL_conditionalz00_bglt) BgL_new1510z00_7566));
							BgL_auxz00_14132 = BGL_OBJECT_WIDENING(BgL_tmpz00_14133);
						}
						BgL_auxz00_14131 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14132);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14131))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14057 = ((BgL_conditionalz00_bglt) BgL_new1510z00_7566);
				return ((obj_t) BgL_auxz00_14057);
			}
		}

	}



/* &lambda3295 */
	BgL_conditionalz00_bglt BGl_z62lambda3295z62zzliveness_typesz00(obj_t
		BgL_envz00_7567, obj_t BgL_o1507z00_7568)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalzf2livenesszf2_bglt BgL_wide1509z00_9045;

				BgL_wide1509z00_9045 =
					((BgL_conditionalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_conditionalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 155 */
					obj_t BgL_auxz00_14146;
					BgL_objectz00_bglt BgL_tmpz00_14142;

					BgL_auxz00_14146 = ((obj_t) BgL_wide1509z00_9045);
					BgL_tmpz00_14142 =
						((BgL_objectz00_bglt)
						((BgL_conditionalz00_bglt)
							((BgL_conditionalz00_bglt) BgL_o1507z00_7568)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14142, BgL_auxz00_14146);
				}
				((BgL_objectz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1507z00_7568)));
				{	/* Liveness/types.scm 155 */
					long BgL_arg3296z00_9046;

					BgL_arg3296z00_9046 =
						BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt)
								((BgL_conditionalz00_bglt) BgL_o1507z00_7568))),
						BgL_arg3296z00_9046);
				}
				return
					((BgL_conditionalz00_bglt)
					((BgL_conditionalz00_bglt)
						((BgL_conditionalz00_bglt) BgL_o1507z00_7568)));
			}
		}

	}



/* &lambda3291 */
	BgL_conditionalz00_bglt BGl_z62lambda3291z62zzliveness_typesz00(obj_t
		BgL_envz00_7569, obj_t BgL_loc1496z00_7570, obj_t BgL_type1497z00_7571,
		obj_t BgL_sidezd2effect1498zd2_7572, obj_t BgL_key1499z00_7573,
		obj_t BgL_test1500z00_7574, obj_t BgL_true1501z00_7575,
		obj_t BgL_false1502z00_7576, obj_t BgL_def1503z00_7577,
		obj_t BgL_use1504z00_7578, obj_t BgL_in1505z00_7579,
		obj_t BgL_out1506z00_7580)
	{
		{	/* Liveness/types.scm 155 */
			{	/* Liveness/types.scm 155 */
				BgL_conditionalz00_bglt BgL_new1810z00_9055;

				{	/* Liveness/types.scm 155 */
					BgL_conditionalz00_bglt BgL_tmp1808z00_9056;
					BgL_conditionalzf2livenesszf2_bglt BgL_wide1809z00_9057;

					{
						BgL_conditionalz00_bglt BgL_auxz00_14160;

						{	/* Liveness/types.scm 155 */
							BgL_conditionalz00_bglt BgL_new1807z00_9058;

							BgL_new1807z00_9058 =
								((BgL_conditionalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_conditionalz00_bgl))));
							{	/* Liveness/types.scm 155 */
								long BgL_arg3294z00_9059;

								BgL_arg3294z00_9059 =
									BGL_CLASS_NUM(BGl_conditionalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1807z00_9058),
									BgL_arg3294z00_9059);
							}
							{	/* Liveness/types.scm 155 */
								BgL_objectz00_bglt BgL_tmpz00_14165;

								BgL_tmpz00_14165 = ((BgL_objectz00_bglt) BgL_new1807z00_9058);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14165, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1807z00_9058);
							BgL_auxz00_14160 = BgL_new1807z00_9058;
						}
						BgL_tmp1808z00_9056 = ((BgL_conditionalz00_bglt) BgL_auxz00_14160);
					}
					BgL_wide1809z00_9057 =
						((BgL_conditionalzf2livenesszf2_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_conditionalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 155 */
						obj_t BgL_auxz00_14173;
						BgL_objectz00_bglt BgL_tmpz00_14171;

						BgL_auxz00_14173 = ((obj_t) BgL_wide1809z00_9057);
						BgL_tmpz00_14171 = ((BgL_objectz00_bglt) BgL_tmp1808z00_9056);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14171, BgL_auxz00_14173);
					}
					((BgL_objectz00_bglt) BgL_tmp1808z00_9056);
					{	/* Liveness/types.scm 155 */
						long BgL_arg3293z00_9060;

						BgL_arg3293z00_9060 =
							BGL_CLASS_NUM(BGl_conditionalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1808z00_9056), BgL_arg3293z00_9060);
					}
					BgL_new1810z00_9055 = ((BgL_conditionalz00_bglt) BgL_tmp1808z00_9056);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1810z00_9055)))->BgL_locz00) =
					((obj_t) BgL_loc1496z00_7570), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1810z00_9055)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1497z00_7571)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_9055)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1498zd2_7572), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1810z00_9055)))->BgL_keyz00) =
					((obj_t) BgL_key1499z00_7573), BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1810z00_9055)))->BgL_testz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_test1500z00_7574)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1810z00_9055)))->BgL_truez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_true1501z00_7575)),
					BUNSPEC);
				((((BgL_conditionalz00_bglt) COBJECT(((BgL_conditionalz00_bglt)
									BgL_new1810z00_9055)))->BgL_falsez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_false1502z00_7576)),
					BUNSPEC);
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14199;

					{
						obj_t BgL_auxz00_14200;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14201;

							BgL_tmpz00_14201 = ((BgL_objectz00_bglt) BgL_new1810z00_9055);
							BgL_auxz00_14200 = BGL_OBJECT_WIDENING(BgL_tmpz00_14201);
						}
						BgL_auxz00_14199 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14200);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14199))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1503z00_7577)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14207;

					{
						obj_t BgL_auxz00_14208;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14209;

							BgL_tmpz00_14209 = ((BgL_objectz00_bglt) BgL_new1810z00_9055);
							BgL_auxz00_14208 = BGL_OBJECT_WIDENING(BgL_tmpz00_14209);
						}
						BgL_auxz00_14207 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14208);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14207))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1504z00_7578)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14215;

					{
						obj_t BgL_auxz00_14216;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14217;

							BgL_tmpz00_14217 = ((BgL_objectz00_bglt) BgL_new1810z00_9055);
							BgL_auxz00_14216 = BGL_OBJECT_WIDENING(BgL_tmpz00_14217);
						}
						BgL_auxz00_14215 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14216);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14215))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1505z00_7579)), BUNSPEC);
				}
				{
					BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14223;

					{
						obj_t BgL_auxz00_14224;

						{	/* Liveness/types.scm 155 */
							BgL_objectz00_bglt BgL_tmpz00_14225;

							BgL_tmpz00_14225 = ((BgL_objectz00_bglt) BgL_new1810z00_9055);
							BgL_auxz00_14224 = BGL_OBJECT_WIDENING(BgL_tmpz00_14225);
						}
						BgL_auxz00_14223 =
							((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14224);
					}
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14223))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1506z00_7580)), BUNSPEC);
				}
				return BgL_new1810z00_9055;
			}
		}

	}



/* &<@anonymous:3334> */
	obj_t BGl_z62zc3z04anonymousza33334ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7581)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3333 */
	obj_t BGl_z62lambda3333z62zzliveness_typesz00(obj_t BgL_envz00_7582,
		obj_t BgL_oz00_7583, obj_t BgL_vz00_7584)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14231;

				{
					obj_t BgL_auxz00_14232;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14233;

						BgL_tmpz00_14233 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7583));
						BgL_auxz00_14232 = BGL_OBJECT_WIDENING(BgL_tmpz00_14233);
					}
					BgL_auxz00_14231 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14232);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14231))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7584)), BUNSPEC);
			}
		}

	}



/* &lambda3332 */
	obj_t BGl_z62lambda3332z62zzliveness_typesz00(obj_t BgL_envz00_7585,
		obj_t BgL_oz00_7586)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14240;

				{
					obj_t BgL_auxz00_14241;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14242;

						BgL_tmpz00_14242 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7586));
						BgL_auxz00_14241 = BGL_OBJECT_WIDENING(BgL_tmpz00_14242);
					}
					BgL_auxz00_14240 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14241);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14240))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3326> */
	obj_t BGl_z62zc3z04anonymousza33326ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7587)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3325 */
	obj_t BGl_z62lambda3325z62zzliveness_typesz00(obj_t BgL_envz00_7588,
		obj_t BgL_oz00_7589, obj_t BgL_vz00_7590)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14248;

				{
					obj_t BgL_auxz00_14249;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14250;

						BgL_tmpz00_14250 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7589));
						BgL_auxz00_14249 = BGL_OBJECT_WIDENING(BgL_tmpz00_14250);
					}
					BgL_auxz00_14248 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14249);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14248))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7590)), BUNSPEC);
			}
		}

	}



/* &lambda3324 */
	obj_t BGl_z62lambda3324z62zzliveness_typesz00(obj_t BgL_envz00_7591,
		obj_t BgL_oz00_7592)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14257;

				{
					obj_t BgL_auxz00_14258;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14259;

						BgL_tmpz00_14259 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7592));
						BgL_auxz00_14258 = BGL_OBJECT_WIDENING(BgL_tmpz00_14259);
					}
					BgL_auxz00_14257 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14258);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14257))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3318> */
	obj_t BGl_z62zc3z04anonymousza33318ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7593)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3317 */
	obj_t BGl_z62lambda3317z62zzliveness_typesz00(obj_t BgL_envz00_7594,
		obj_t BgL_oz00_7595, obj_t BgL_vz00_7596)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14265;

				{
					obj_t BgL_auxz00_14266;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14267;

						BgL_tmpz00_14267 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7595));
						BgL_auxz00_14266 = BGL_OBJECT_WIDENING(BgL_tmpz00_14267);
					}
					BgL_auxz00_14265 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14266);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14265))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7596)), BUNSPEC);
			}
		}

	}



/* &lambda3316 */
	obj_t BGl_z62lambda3316z62zzliveness_typesz00(obj_t BgL_envz00_7597,
		obj_t BgL_oz00_7598)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14274;

				{
					obj_t BgL_auxz00_14275;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14276;

						BgL_tmpz00_14276 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7598));
						BgL_auxz00_14275 = BGL_OBJECT_WIDENING(BgL_tmpz00_14276);
					}
					BgL_auxz00_14274 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14275);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14274))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3310> */
	obj_t BGl_z62zc3z04anonymousza33310ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7599)
	{
		{	/* Liveness/types.scm 155 */
			return BNIL;
		}

	}



/* &lambda3309 */
	obj_t BGl_z62lambda3309z62zzliveness_typesz00(obj_t BgL_envz00_7600,
		obj_t BgL_oz00_7601, obj_t BgL_vz00_7602)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14282;

				{
					obj_t BgL_auxz00_14283;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14284;

						BgL_tmpz00_14284 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7601));
						BgL_auxz00_14283 = BGL_OBJECT_WIDENING(BgL_tmpz00_14284);
					}
					BgL_auxz00_14282 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14283);
				}
				return
					((((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14282))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7602)), BUNSPEC);
			}
		}

	}



/* &lambda3308 */
	obj_t BGl_z62lambda3308z62zzliveness_typesz00(obj_t BgL_envz00_7603,
		obj_t BgL_oz00_7604)
	{
		{	/* Liveness/types.scm 155 */
			{
				BgL_conditionalzf2livenesszf2_bglt BgL_auxz00_14291;

				{
					obj_t BgL_auxz00_14292;

					{	/* Liveness/types.scm 155 */
						BgL_objectz00_bglt BgL_tmpz00_14293;

						BgL_tmpz00_14293 =
							((BgL_objectz00_bglt) ((BgL_conditionalz00_bglt) BgL_oz00_7604));
						BgL_auxz00_14292 = BGL_OBJECT_WIDENING(BgL_tmpz00_14293);
					}
					BgL_auxz00_14291 =
						((BgL_conditionalzf2livenesszf2_bglt) BgL_auxz00_14292);
				}
				return
					(((BgL_conditionalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14291))->
					BgL_defz00);
			}
		}

	}



/* &lambda3240 */
	BgL_setqz00_bglt BGl_z62lambda3240z62zzliveness_typesz00(obj_t
		BgL_envz00_7605, obj_t BgL_o1494z00_7606)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				long BgL_arg3241z00_9074;

				{	/* Liveness/types.scm 149 */
					obj_t BgL_arg3242z00_9075;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_arg3243z00_9076;

						{	/* Liveness/types.scm 149 */
							obj_t BgL_arg1866z00_9077;
							long BgL_arg1867z00_9078;

							BgL_arg1866z00_9077 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 149 */
								long BgL_arg1869z00_9079;

								BgL_arg1869z00_9079 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setqz00_bglt) BgL_o1494z00_7606)));
								BgL_arg1867z00_9078 = (BgL_arg1869z00_9079 - OBJECT_TYPE);
							}
							BgL_arg3243z00_9076 =
								VECTOR_REF(BgL_arg1866z00_9077, BgL_arg1867z00_9078);
						}
						BgL_arg3242z00_9075 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3243z00_9076);
					}
					{	/* Liveness/types.scm 149 */
						obj_t BgL_tmpz00_14306;

						BgL_tmpz00_14306 = ((obj_t) BgL_arg3242z00_9075);
						BgL_arg3241z00_9074 = BGL_CLASS_NUM(BgL_tmpz00_14306);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) BgL_o1494z00_7606)), BgL_arg3241z00_9074);
			}
			{	/* Liveness/types.scm 149 */
				BgL_objectz00_bglt BgL_tmpz00_14312;

				BgL_tmpz00_14312 =
					((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1494z00_7606));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14312, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_o1494z00_7606));
			return ((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1494z00_7606));
		}

	}



/* &<@anonymous:3239> */
	obj_t BGl_z62zc3z04anonymousza33239ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7607, obj_t BgL_new1493z00_7608)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqz00_bglt BgL_auxz00_14320;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setqz00_bglt) BgL_new1493z00_7608))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14324;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9081;

						BgL_classz00_9081 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1117z00_9082;

							BgL__ortest_1117z00_9082 = BGL_CLASS_NIL(BgL_classz00_9081);
							if (CBOOL(BgL__ortest_1117z00_9082))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14324 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9082);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14324 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9081));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setqz00_bglt) BgL_new1493z00_7608))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14324), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_14334;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9083;

						BgL_classz00_9083 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1117z00_9084;

							BgL__ortest_1117z00_9084 = BGL_CLASS_NIL(BgL_classz00_9083);
							if (CBOOL(BgL__ortest_1117z00_9084))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14334 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_9084);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14334 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9083));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1493z00_7608))))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_14334), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14344;

					{	/* Liveness/types.scm 149 */
						obj_t BgL_classz00_9085;

						BgL_classz00_9085 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 149 */
							obj_t BgL__ortest_1117z00_9086;

							BgL__ortest_1117z00_9086 = BGL_CLASS_NIL(BgL_classz00_9085);
							if (CBOOL(BgL__ortest_1117z00_9086))
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14344 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9086);
								}
							else
								{	/* Liveness/types.scm 149 */
									BgL_auxz00_14344 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9085));
								}
						}
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt)
										((BgL_setqz00_bglt) BgL_new1493z00_7608))))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_14344), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14354;

					{
						obj_t BgL_auxz00_14355;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14356;

							BgL_tmpz00_14356 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1493z00_7608));
							BgL_auxz00_14355 = BGL_OBJECT_WIDENING(BgL_tmpz00_14356);
						}
						BgL_auxz00_14354 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14355);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14354))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14362;

					{
						obj_t BgL_auxz00_14363;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14364;

							BgL_tmpz00_14364 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1493z00_7608));
							BgL_auxz00_14363 = BGL_OBJECT_WIDENING(BgL_tmpz00_14364);
						}
						BgL_auxz00_14362 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14363);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14362))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14370;

					{
						obj_t BgL_auxz00_14371;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14372;

							BgL_tmpz00_14372 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1493z00_7608));
							BgL_auxz00_14371 = BGL_OBJECT_WIDENING(BgL_tmpz00_14372);
						}
						BgL_auxz00_14370 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14371);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14370))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14378;

					{
						obj_t BgL_auxz00_14379;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14380;

							BgL_tmpz00_14380 =
								((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_new1493z00_7608));
							BgL_auxz00_14379 = BGL_OBJECT_WIDENING(BgL_tmpz00_14380);
						}
						BgL_auxz00_14378 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14379);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14378))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14320 = ((BgL_setqz00_bglt) BgL_new1493z00_7608);
				return ((obj_t) BgL_auxz00_14320);
			}
		}

	}



/* &lambda3235 */
	BgL_setqz00_bglt BGl_z62lambda3235z62zzliveness_typesz00(obj_t
		BgL_envz00_7609, obj_t BgL_o1490z00_7610)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqzf2livenesszf2_bglt BgL_wide1492z00_9088;

				BgL_wide1492z00_9088 =
					((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setqzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 149 */
					obj_t BgL_auxz00_14393;
					BgL_objectz00_bglt BgL_tmpz00_14389;

					BgL_auxz00_14393 = ((obj_t) BgL_wide1492z00_9088);
					BgL_tmpz00_14389 =
						((BgL_objectz00_bglt)
						((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1490z00_7610)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14389, BgL_auxz00_14393);
				}
				((BgL_objectz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1490z00_7610)));
				{	/* Liveness/types.scm 149 */
					long BgL_arg3238z00_9089;

					BgL_arg3238z00_9089 =
						BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt)
								((BgL_setqz00_bglt) BgL_o1490z00_7610))), BgL_arg3238z00_9089);
				}
				return
					((BgL_setqz00_bglt)
					((BgL_setqz00_bglt) ((BgL_setqz00_bglt) BgL_o1490z00_7610)));
			}
		}

	}



/* &lambda3232 */
	BgL_setqz00_bglt BGl_z62lambda3232z62zzliveness_typesz00(obj_t
		BgL_envz00_7611, obj_t BgL_loc1482z00_7612, obj_t BgL_type1483z00_7613,
		obj_t BgL_var1484z00_7614, obj_t BgL_value1485z00_7615,
		obj_t BgL_def1486z00_7616, obj_t BgL_use1487z00_7617,
		obj_t BgL_in1488z00_7618, obj_t BgL_out1489z00_7619)
	{
		{	/* Liveness/types.scm 149 */
			{	/* Liveness/types.scm 149 */
				BgL_setqz00_bglt BgL_new1805z00_9097;

				{	/* Liveness/types.scm 149 */
					BgL_setqz00_bglt BgL_tmp1803z00_9098;
					BgL_setqzf2livenesszf2_bglt BgL_wide1804z00_9099;

					{
						BgL_setqz00_bglt BgL_auxz00_14407;

						{	/* Liveness/types.scm 149 */
							BgL_setqz00_bglt BgL_new1802z00_9100;

							BgL_new1802z00_9100 =
								((BgL_setqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setqz00_bgl))));
							{	/* Liveness/types.scm 149 */
								long BgL_arg3234z00_9101;

								BgL_arg3234z00_9101 = BGL_CLASS_NUM(BGl_setqz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1802z00_9100),
									BgL_arg3234z00_9101);
							}
							{	/* Liveness/types.scm 149 */
								BgL_objectz00_bglt BgL_tmpz00_14412;

								BgL_tmpz00_14412 = ((BgL_objectz00_bglt) BgL_new1802z00_9100);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14412, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1802z00_9100);
							BgL_auxz00_14407 = BgL_new1802z00_9100;
						}
						BgL_tmp1803z00_9098 = ((BgL_setqz00_bglt) BgL_auxz00_14407);
					}
					BgL_wide1804z00_9099 =
						((BgL_setqzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setqzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 149 */
						obj_t BgL_auxz00_14420;
						BgL_objectz00_bglt BgL_tmpz00_14418;

						BgL_auxz00_14420 = ((obj_t) BgL_wide1804z00_9099);
						BgL_tmpz00_14418 = ((BgL_objectz00_bglt) BgL_tmp1803z00_9098);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14418, BgL_auxz00_14420);
					}
					((BgL_objectz00_bglt) BgL_tmp1803z00_9098);
					{	/* Liveness/types.scm 149 */
						long BgL_arg3233z00_9102;

						BgL_arg3233z00_9102 =
							BGL_CLASS_NUM(BGl_setqzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1803z00_9098), BgL_arg3233z00_9102);
					}
					BgL_new1805z00_9097 = ((BgL_setqz00_bglt) BgL_tmp1803z00_9098);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1805z00_9097)))->BgL_locz00) =
					((obj_t) BgL_loc1482z00_7612), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1805z00_9097)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1483z00_7613)),
					BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1805z00_9097)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_var1484z00_7614)), BUNSPEC);
				((((BgL_setqz00_bglt) COBJECT(((BgL_setqz00_bglt)
									BgL_new1805z00_9097)))->BgL_valuez00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_value1485z00_7615)),
					BUNSPEC);
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14439;

					{
						obj_t BgL_auxz00_14440;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14441;

							BgL_tmpz00_14441 = ((BgL_objectz00_bglt) BgL_new1805z00_9097);
							BgL_auxz00_14440 = BGL_OBJECT_WIDENING(BgL_tmpz00_14441);
						}
						BgL_auxz00_14439 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14440);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14439))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1486z00_7616)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14447;

					{
						obj_t BgL_auxz00_14448;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14449;

							BgL_tmpz00_14449 = ((BgL_objectz00_bglt) BgL_new1805z00_9097);
							BgL_auxz00_14448 = BGL_OBJECT_WIDENING(BgL_tmpz00_14449);
						}
						BgL_auxz00_14447 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14448);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14447))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1487z00_7617)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14455;

					{
						obj_t BgL_auxz00_14456;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14457;

							BgL_tmpz00_14457 = ((BgL_objectz00_bglt) BgL_new1805z00_9097);
							BgL_auxz00_14456 = BGL_OBJECT_WIDENING(BgL_tmpz00_14457);
						}
						BgL_auxz00_14455 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14456);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14455))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1488z00_7618)), BUNSPEC);
				}
				{
					BgL_setqzf2livenesszf2_bglt BgL_auxz00_14463;

					{
						obj_t BgL_auxz00_14464;

						{	/* Liveness/types.scm 149 */
							BgL_objectz00_bglt BgL_tmpz00_14465;

							BgL_tmpz00_14465 = ((BgL_objectz00_bglt) BgL_new1805z00_9097);
							BgL_auxz00_14464 = BGL_OBJECT_WIDENING(BgL_tmpz00_14465);
						}
						BgL_auxz00_14463 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14464);
					}
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14463))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1489z00_7619)), BUNSPEC);
				}
				return BgL_new1805z00_9097;
			}
		}

	}



/* &<@anonymous:3279> */
	obj_t BGl_z62zc3z04anonymousza33279ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7620)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3278 */
	obj_t BGl_z62lambda3278z62zzliveness_typesz00(obj_t BgL_envz00_7621,
		obj_t BgL_oz00_7622, obj_t BgL_vz00_7623)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14471;

				{
					obj_t BgL_auxz00_14472;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14473;

						BgL_tmpz00_14473 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7622));
						BgL_auxz00_14472 = BGL_OBJECT_WIDENING(BgL_tmpz00_14473);
					}
					BgL_auxz00_14471 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14472);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14471))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7623)), BUNSPEC);
			}
		}

	}



/* &lambda3277 */
	obj_t BGl_z62lambda3277z62zzliveness_typesz00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14480;

				{
					obj_t BgL_auxz00_14481;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14482;

						BgL_tmpz00_14482 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7625));
						BgL_auxz00_14481 = BGL_OBJECT_WIDENING(BgL_tmpz00_14482);
					}
					BgL_auxz00_14480 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14481);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14480))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3272> */
	obj_t BGl_z62zc3z04anonymousza33272ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7626)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3271 */
	obj_t BGl_z62lambda3271z62zzliveness_typesz00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628, obj_t BgL_vz00_7629)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14488;

				{
					obj_t BgL_auxz00_14489;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14490;

						BgL_tmpz00_14490 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7628));
						BgL_auxz00_14489 = BGL_OBJECT_WIDENING(BgL_tmpz00_14490);
					}
					BgL_auxz00_14488 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14489);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14488))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7629)), BUNSPEC);
			}
		}

	}



/* &lambda3270 */
	obj_t BGl_z62lambda3270z62zzliveness_typesz00(obj_t BgL_envz00_7630,
		obj_t BgL_oz00_7631)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14497;

				{
					obj_t BgL_auxz00_14498;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14499;

						BgL_tmpz00_14499 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7631));
						BgL_auxz00_14498 = BGL_OBJECT_WIDENING(BgL_tmpz00_14499);
					}
					BgL_auxz00_14497 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14498);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14497))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3260> */
	obj_t BGl_z62zc3z04anonymousza33260ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7632)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3259 */
	obj_t BGl_z62lambda3259z62zzliveness_typesz00(obj_t BgL_envz00_7633,
		obj_t BgL_oz00_7634, obj_t BgL_vz00_7635)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14505;

				{
					obj_t BgL_auxz00_14506;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14507;

						BgL_tmpz00_14507 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7634));
						BgL_auxz00_14506 = BGL_OBJECT_WIDENING(BgL_tmpz00_14507);
					}
					BgL_auxz00_14505 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14506);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14505))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7635)), BUNSPEC);
			}
		}

	}



/* &lambda3258 */
	obj_t BGl_z62lambda3258z62zzliveness_typesz00(obj_t BgL_envz00_7636,
		obj_t BgL_oz00_7637)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14514;

				{
					obj_t BgL_auxz00_14515;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14516;

						BgL_tmpz00_14516 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7637));
						BgL_auxz00_14515 = BGL_OBJECT_WIDENING(BgL_tmpz00_14516);
					}
					BgL_auxz00_14514 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14515);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14514))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3253> */
	obj_t BGl_z62zc3z04anonymousza33253ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7638)
	{
		{	/* Liveness/types.scm 149 */
			return BNIL;
		}

	}



/* &lambda3252 */
	obj_t BGl_z62lambda3252z62zzliveness_typesz00(obj_t BgL_envz00_7639,
		obj_t BgL_oz00_7640, obj_t BgL_vz00_7641)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14522;

				{
					obj_t BgL_auxz00_14523;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14524;

						BgL_tmpz00_14524 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7640));
						BgL_auxz00_14523 = BGL_OBJECT_WIDENING(BgL_tmpz00_14524);
					}
					BgL_auxz00_14522 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14523);
				}
				return
					((((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14522))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7641)), BUNSPEC);
			}
		}

	}



/* &lambda3251 */
	obj_t BGl_z62lambda3251z62zzliveness_typesz00(obj_t BgL_envz00_7642,
		obj_t BgL_oz00_7643)
	{
		{	/* Liveness/types.scm 149 */
			{
				BgL_setqzf2livenesszf2_bglt BgL_auxz00_14531;

				{
					obj_t BgL_auxz00_14532;

					{	/* Liveness/types.scm 149 */
						BgL_objectz00_bglt BgL_tmpz00_14533;

						BgL_tmpz00_14533 =
							((BgL_objectz00_bglt) ((BgL_setqz00_bglt) BgL_oz00_7643));
						BgL_auxz00_14532 = BGL_OBJECT_WIDENING(BgL_tmpz00_14533);
					}
					BgL_auxz00_14531 = ((BgL_setqzf2livenesszf2_bglt) BgL_auxz00_14532);
				}
				return
					(((BgL_setqzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14531))->
					BgL_defz00);
			}
		}

	}



/* &lambda3173 */
	BgL_castz00_bglt BGl_z62lambda3173z62zzliveness_typesz00(obj_t
		BgL_envz00_7644, obj_t BgL_o1480z00_7645)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				long BgL_arg3179z00_9116;

				{	/* Liveness/types.scm 143 */
					obj_t BgL_arg3183z00_9117;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_arg3186z00_9118;

						{	/* Liveness/types.scm 143 */
							obj_t BgL_arg1866z00_9119;
							long BgL_arg1867z00_9120;

							BgL_arg1866z00_9119 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 143 */
								long BgL_arg1869z00_9121;

								BgL_arg1869z00_9121 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castz00_bglt) BgL_o1480z00_7645)));
								BgL_arg1867z00_9120 = (BgL_arg1869z00_9121 - OBJECT_TYPE);
							}
							BgL_arg3186z00_9118 =
								VECTOR_REF(BgL_arg1866z00_9119, BgL_arg1867z00_9120);
						}
						BgL_arg3183z00_9117 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3186z00_9118);
					}
					{	/* Liveness/types.scm 143 */
						obj_t BgL_tmpz00_14546;

						BgL_tmpz00_14546 = ((obj_t) BgL_arg3183z00_9117);
						BgL_arg3179z00_9116 = BGL_CLASS_NUM(BgL_tmpz00_14546);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castz00_bglt) BgL_o1480z00_7645)), BgL_arg3179z00_9116);
			}
			{	/* Liveness/types.scm 143 */
				BgL_objectz00_bglt BgL_tmpz00_14552;

				BgL_tmpz00_14552 =
					((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1480z00_7645));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14552, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_o1480z00_7645));
			return ((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1480z00_7645));
		}

	}



/* &<@anonymous:3172> */
	obj_t BGl_z62zc3z04anonymousza33172ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7646, obj_t BgL_new1479z00_7647)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castz00_bglt BgL_auxz00_14560;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castz00_bglt) BgL_new1479z00_7647))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14564;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9123;

						BgL_classz00_9123 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1117z00_9124;

							BgL__ortest_1117z00_9124 = BGL_CLASS_NIL(BgL_classz00_9123);
							if (CBOOL(BgL__ortest_1117z00_9124))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14564 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9124);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14564 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9123));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castz00_bglt) BgL_new1479z00_7647))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_14564), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_14574;

					{	/* Liveness/types.scm 143 */
						obj_t BgL_classz00_9125;

						BgL_classz00_9125 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 143 */
							obj_t BgL__ortest_1117z00_9126;

							BgL__ortest_1117z00_9126 = BGL_CLASS_NIL(BgL_classz00_9125);
							if (CBOOL(BgL__ortest_1117z00_9126))
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14574 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9126);
								}
							else
								{	/* Liveness/types.scm 143 */
									BgL_auxz00_14574 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9125));
								}
						}
					}
					((((BgL_castz00_bglt) COBJECT(
									((BgL_castz00_bglt)
										((BgL_castz00_bglt) BgL_new1479z00_7647))))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_14574), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14584;

					{
						obj_t BgL_auxz00_14585;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14586;

							BgL_tmpz00_14586 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1479z00_7647));
							BgL_auxz00_14585 = BGL_OBJECT_WIDENING(BgL_tmpz00_14586);
						}
						BgL_auxz00_14584 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14585);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14584))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14592;

					{
						obj_t BgL_auxz00_14593;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14594;

							BgL_tmpz00_14594 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1479z00_7647));
							BgL_auxz00_14593 = BGL_OBJECT_WIDENING(BgL_tmpz00_14594);
						}
						BgL_auxz00_14592 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14593);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14592))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14600;

					{
						obj_t BgL_auxz00_14601;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14602;

							BgL_tmpz00_14602 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1479z00_7647));
							BgL_auxz00_14601 = BGL_OBJECT_WIDENING(BgL_tmpz00_14602);
						}
						BgL_auxz00_14600 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14601);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14600))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14608;

					{
						obj_t BgL_auxz00_14609;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14610;

							BgL_tmpz00_14610 =
								((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_new1479z00_7647));
							BgL_auxz00_14609 = BGL_OBJECT_WIDENING(BgL_tmpz00_14610);
						}
						BgL_auxz00_14608 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14609);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14608))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14560 = ((BgL_castz00_bglt) BgL_new1479z00_7647);
				return ((obj_t) BgL_auxz00_14560);
			}
		}

	}



/* &lambda3170 */
	BgL_castz00_bglt BGl_z62lambda3170z62zzliveness_typesz00(obj_t
		BgL_envz00_7648, obj_t BgL_o1476z00_7649)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castzf2livenesszf2_bglt BgL_wide1478z00_9128;

				BgL_wide1478z00_9128 =
					((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 143 */
					obj_t BgL_auxz00_14623;
					BgL_objectz00_bglt BgL_tmpz00_14619;

					BgL_auxz00_14623 = ((obj_t) BgL_wide1478z00_9128);
					BgL_tmpz00_14619 =
						((BgL_objectz00_bglt)
						((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1476z00_7649)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14619, BgL_auxz00_14623);
				}
				((BgL_objectz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1476z00_7649)));
				{	/* Liveness/types.scm 143 */
					long BgL_arg3171z00_9129;

					BgL_arg3171z00_9129 =
						BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt)
								((BgL_castz00_bglt) BgL_o1476z00_7649))), BgL_arg3171z00_9129);
				}
				return
					((BgL_castz00_bglt)
					((BgL_castz00_bglt) ((BgL_castz00_bglt) BgL_o1476z00_7649)));
			}
		}

	}



/* &lambda3167 */
	BgL_castz00_bglt BGl_z62lambda3167z62zzliveness_typesz00(obj_t
		BgL_envz00_7650, obj_t BgL_loc1462z00_7651, obj_t BgL_type1463z00_7652,
		obj_t BgL_arg1471z00_7653, obj_t BgL_def1472z00_7654,
		obj_t BgL_use1473z00_7655, obj_t BgL_in1474z00_7656,
		obj_t BgL_out1475z00_7657)
	{
		{	/* Liveness/types.scm 143 */
			{	/* Liveness/types.scm 143 */
				BgL_castz00_bglt BgL_new1800z00_9136;

				{	/* Liveness/types.scm 143 */
					BgL_castz00_bglt BgL_tmp1798z00_9137;
					BgL_castzf2livenesszf2_bglt BgL_wide1799z00_9138;

					{
						BgL_castz00_bglt BgL_auxz00_14637;

						{	/* Liveness/types.scm 143 */
							BgL_castz00_bglt BgL_new1797z00_9139;

							BgL_new1797z00_9139 =
								((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castz00_bgl))));
							{	/* Liveness/types.scm 143 */
								long BgL_arg3169z00_9140;

								BgL_arg3169z00_9140 = BGL_CLASS_NUM(BGl_castz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1797z00_9139),
									BgL_arg3169z00_9140);
							}
							{	/* Liveness/types.scm 143 */
								BgL_objectz00_bglt BgL_tmpz00_14642;

								BgL_tmpz00_14642 = ((BgL_objectz00_bglt) BgL_new1797z00_9139);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14642, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1797z00_9139);
							BgL_auxz00_14637 = BgL_new1797z00_9139;
						}
						BgL_tmp1798z00_9137 = ((BgL_castz00_bglt) BgL_auxz00_14637);
					}
					BgL_wide1799z00_9138 =
						((BgL_castzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 143 */
						obj_t BgL_auxz00_14650;
						BgL_objectz00_bglt BgL_tmpz00_14648;

						BgL_auxz00_14650 = ((obj_t) BgL_wide1799z00_9138);
						BgL_tmpz00_14648 = ((BgL_objectz00_bglt) BgL_tmp1798z00_9137);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14648, BgL_auxz00_14650);
					}
					((BgL_objectz00_bglt) BgL_tmp1798z00_9137);
					{	/* Liveness/types.scm 143 */
						long BgL_arg3168z00_9141;

						BgL_arg3168z00_9141 =
							BGL_CLASS_NUM(BGl_castzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1798z00_9137), BgL_arg3168z00_9141);
					}
					BgL_new1800z00_9136 = ((BgL_castz00_bglt) BgL_tmp1798z00_9137);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1800z00_9136)))->BgL_locz00) =
					((obj_t) BgL_loc1462z00_7651), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1800z00_9136)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1463z00_7652)),
					BUNSPEC);
				((((BgL_castz00_bglt) COBJECT(((BgL_castz00_bglt)
									BgL_new1800z00_9136)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1471z00_7653)),
					BUNSPEC);
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14666;

					{
						obj_t BgL_auxz00_14667;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14668;

							BgL_tmpz00_14668 = ((BgL_objectz00_bglt) BgL_new1800z00_9136);
							BgL_auxz00_14667 = BGL_OBJECT_WIDENING(BgL_tmpz00_14668);
						}
						BgL_auxz00_14666 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14667);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14666))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1472z00_7654)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14674;

					{
						obj_t BgL_auxz00_14675;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14676;

							BgL_tmpz00_14676 = ((BgL_objectz00_bglt) BgL_new1800z00_9136);
							BgL_auxz00_14675 = BGL_OBJECT_WIDENING(BgL_tmpz00_14676);
						}
						BgL_auxz00_14674 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14675);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14674))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1473z00_7655)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14682;

					{
						obj_t BgL_auxz00_14683;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14684;

							BgL_tmpz00_14684 = ((BgL_objectz00_bglt) BgL_new1800z00_9136);
							BgL_auxz00_14683 = BGL_OBJECT_WIDENING(BgL_tmpz00_14684);
						}
						BgL_auxz00_14682 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14683);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14682))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1474z00_7656)), BUNSPEC);
				}
				{
					BgL_castzf2livenesszf2_bglt BgL_auxz00_14690;

					{
						obj_t BgL_auxz00_14691;

						{	/* Liveness/types.scm 143 */
							BgL_objectz00_bglt BgL_tmpz00_14692;

							BgL_tmpz00_14692 = ((BgL_objectz00_bglt) BgL_new1800z00_9136);
							BgL_auxz00_14691 = BGL_OBJECT_WIDENING(BgL_tmpz00_14692);
						}
						BgL_auxz00_14690 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14691);
					}
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14690))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1475z00_7657)), BUNSPEC);
				}
				return BgL_new1800z00_9136;
			}
		}

	}



/* &<@anonymous:3222> */
	obj_t BGl_z62zc3z04anonymousza33222ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7658)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3221 */
	obj_t BGl_z62lambda3221z62zzliveness_typesz00(obj_t BgL_envz00_7659,
		obj_t BgL_oz00_7660, obj_t BgL_vz00_7661)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14698;

				{
					obj_t BgL_auxz00_14699;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14700;

						BgL_tmpz00_14700 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7660));
						BgL_auxz00_14699 = BGL_OBJECT_WIDENING(BgL_tmpz00_14700);
					}
					BgL_auxz00_14698 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14699);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14698))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7661)), BUNSPEC);
			}
		}

	}



/* &lambda3220 */
	obj_t BGl_z62lambda3220z62zzliveness_typesz00(obj_t BgL_envz00_7662,
		obj_t BgL_oz00_7663)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14707;

				{
					obj_t BgL_auxz00_14708;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14709;

						BgL_tmpz00_14709 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7663));
						BgL_auxz00_14708 = BGL_OBJECT_WIDENING(BgL_tmpz00_14709);
					}
					BgL_auxz00_14707 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14708);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14707))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3215> */
	obj_t BGl_z62zc3z04anonymousza33215ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7664)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3214 */
	obj_t BGl_z62lambda3214z62zzliveness_typesz00(obj_t BgL_envz00_7665,
		obj_t BgL_oz00_7666, obj_t BgL_vz00_7667)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14715;

				{
					obj_t BgL_auxz00_14716;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14717;

						BgL_tmpz00_14717 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7666));
						BgL_auxz00_14716 = BGL_OBJECT_WIDENING(BgL_tmpz00_14717);
					}
					BgL_auxz00_14715 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14716);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14715))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7667)), BUNSPEC);
			}
		}

	}



/* &lambda3213 */
	obj_t BGl_z62lambda3213z62zzliveness_typesz00(obj_t BgL_envz00_7668,
		obj_t BgL_oz00_7669)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14724;

				{
					obj_t BgL_auxz00_14725;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14726;

						BgL_tmpz00_14726 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7669));
						BgL_auxz00_14725 = BGL_OBJECT_WIDENING(BgL_tmpz00_14726);
					}
					BgL_auxz00_14724 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14725);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14724))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3208> */
	obj_t BGl_z62zc3z04anonymousza33208ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7670)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3207 */
	obj_t BGl_z62lambda3207z62zzliveness_typesz00(obj_t BgL_envz00_7671,
		obj_t BgL_oz00_7672, obj_t BgL_vz00_7673)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14732;

				{
					obj_t BgL_auxz00_14733;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14734;

						BgL_tmpz00_14734 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7672));
						BgL_auxz00_14733 = BGL_OBJECT_WIDENING(BgL_tmpz00_14734);
					}
					BgL_auxz00_14732 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14733);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14732))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7673)), BUNSPEC);
			}
		}

	}



/* &lambda3206 */
	obj_t BGl_z62lambda3206z62zzliveness_typesz00(obj_t BgL_envz00_7674,
		obj_t BgL_oz00_7675)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14741;

				{
					obj_t BgL_auxz00_14742;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14743;

						BgL_tmpz00_14743 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7675));
						BgL_auxz00_14742 = BGL_OBJECT_WIDENING(BgL_tmpz00_14743);
					}
					BgL_auxz00_14741 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14742);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14741))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3200> */
	obj_t BGl_z62zc3z04anonymousza33200ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7676)
	{
		{	/* Liveness/types.scm 143 */
			return BNIL;
		}

	}



/* &lambda3199 */
	obj_t BGl_z62lambda3199z62zzliveness_typesz00(obj_t BgL_envz00_7677,
		obj_t BgL_oz00_7678, obj_t BgL_vz00_7679)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14749;

				{
					obj_t BgL_auxz00_14750;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14751;

						BgL_tmpz00_14751 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7678));
						BgL_auxz00_14750 = BGL_OBJECT_WIDENING(BgL_tmpz00_14751);
					}
					BgL_auxz00_14749 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14750);
				}
				return
					((((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14749))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7679)), BUNSPEC);
			}
		}

	}



/* &lambda3198 */
	obj_t BGl_z62lambda3198z62zzliveness_typesz00(obj_t BgL_envz00_7680,
		obj_t BgL_oz00_7681)
	{
		{	/* Liveness/types.scm 143 */
			{
				BgL_castzf2livenesszf2_bglt BgL_auxz00_14758;

				{
					obj_t BgL_auxz00_14759;

					{	/* Liveness/types.scm 143 */
						BgL_objectz00_bglt BgL_tmpz00_14760;

						BgL_tmpz00_14760 =
							((BgL_objectz00_bglt) ((BgL_castz00_bglt) BgL_oz00_7681));
						BgL_auxz00_14759 = BGL_OBJECT_WIDENING(BgL_tmpz00_14760);
					}
					BgL_auxz00_14758 = ((BgL_castzf2livenesszf2_bglt) BgL_auxz00_14759);
				}
				return
					(((BgL_castzf2livenesszf2_bglt) COBJECT(BgL_auxz00_14758))->
					BgL_defz00);
			}
		}

	}



/* &lambda3116 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3116z62zzliveness_typesz00(obj_t
		BgL_envz00_7682, obj_t BgL_o1460z00_7683)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				long BgL_arg3117z00_9155;

				{	/* Liveness/types.scm 137 */
					obj_t BgL_arg3118z00_9156;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_arg3119z00_9157;

						{	/* Liveness/types.scm 137 */
							obj_t BgL_arg1866z00_9158;
							long BgL_arg1867z00_9159;

							BgL_arg1866z00_9158 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 137 */
								long BgL_arg1869z00_9160;

								BgL_arg1869z00_9160 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_o1460z00_7683)));
								BgL_arg1867z00_9159 = (BgL_arg1869z00_9160 - OBJECT_TYPE);
							}
							BgL_arg3119z00_9157 =
								VECTOR_REF(BgL_arg1866z00_9158, BgL_arg1867z00_9159);
						}
						BgL_arg3118z00_9156 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3119z00_9157);
					}
					{	/* Liveness/types.scm 137 */
						obj_t BgL_tmpz00_14773;

						BgL_tmpz00_14773 = ((obj_t) BgL_arg3118z00_9156);
						BgL_arg3117z00_9155 = BGL_CLASS_NUM(BgL_tmpz00_14773);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1460z00_7683)),
					BgL_arg3117z00_9155);
			}
			{	/* Liveness/types.scm 137 */
				BgL_objectz00_bglt BgL_tmpz00_14779;

				BgL_tmpz00_14779 =
					((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1460z00_7683));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14779, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_o1460z00_7683));
			return
				((BgL_castzd2nullzd2_bglt)
				((BgL_castzd2nullzd2_bglt) BgL_o1460z00_7683));
		}

	}



/* &<@anonymous:3115> */
	obj_t BGl_z62zc3z04anonymousza33115ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7684, obj_t BgL_new1459z00_7685)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzd2_bglt BgL_auxz00_14787;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_14791;

					{	/* Liveness/types.scm 137 */
						obj_t BgL_classz00_9162;

						BgL_classz00_9162 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 137 */
							obj_t BgL__ortest_1117z00_9163;

							BgL__ortest_1117z00_9163 = BGL_CLASS_NIL(BgL_classz00_9162);
							if (CBOOL(BgL__ortest_1117z00_9163))
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14791 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9163);
								}
							else
								{	/* Liveness/types.scm 137 */
									BgL_auxz00_14791 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9162));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_14791), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1459z00_7685))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1459z00_7685))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1459z00_7685))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_castzd2nullzd2_bglt)
										BgL_new1459z00_7685))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14816;

					{
						obj_t BgL_auxz00_14817;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14818;

							BgL_tmpz00_14818 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685));
							BgL_auxz00_14817 = BGL_OBJECT_WIDENING(BgL_tmpz00_14818);
						}
						BgL_auxz00_14816 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14817);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14816))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14824;

					{
						obj_t BgL_auxz00_14825;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14826;

							BgL_tmpz00_14826 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685));
							BgL_auxz00_14825 = BGL_OBJECT_WIDENING(BgL_tmpz00_14826);
						}
						BgL_auxz00_14824 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14825);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14824))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14832;

					{
						obj_t BgL_auxz00_14833;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14834;

							BgL_tmpz00_14834 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685));
							BgL_auxz00_14833 = BGL_OBJECT_WIDENING(BgL_tmpz00_14834);
						}
						BgL_auxz00_14832 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14833);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14832))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14840;

					{
						obj_t BgL_auxz00_14841;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14842;

							BgL_tmpz00_14842 =
								((BgL_objectz00_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685));
							BgL_auxz00_14841 = BGL_OBJECT_WIDENING(BgL_tmpz00_14842);
						}
						BgL_auxz00_14840 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14841);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14840))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_14787 = ((BgL_castzd2nullzd2_bglt) BgL_new1459z00_7685);
				return ((obj_t) BgL_auxz00_14787);
			}
		}

	}



/* &lambda3112 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3112z62zzliveness_typesz00(obj_t
		BgL_envz00_7686, obj_t BgL_o1456z00_7687)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzf2livenessz20_bglt BgL_wide1458z00_9165;

				BgL_wide1458z00_9165 =
					((BgL_castzd2nullzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_castzd2nullzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 137 */
					obj_t BgL_auxz00_14855;
					BgL_objectz00_bglt BgL_tmpz00_14851;

					BgL_auxz00_14855 = ((obj_t) BgL_wide1458z00_9165);
					BgL_tmpz00_14851 =
						((BgL_objectz00_bglt)
						((BgL_castzd2nullzd2_bglt)
							((BgL_castzd2nullzd2_bglt) BgL_o1456z00_7687)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14851, BgL_auxz00_14855);
				}
				((BgL_objectz00_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1456z00_7687)));
				{	/* Liveness/types.scm 137 */
					long BgL_arg3114z00_9166;

					BgL_arg3114z00_9166 =
						BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_castzd2nullzd2_bglt)
								((BgL_castzd2nullzd2_bglt) BgL_o1456z00_7687))),
						BgL_arg3114z00_9166);
				}
				return
					((BgL_castzd2nullzd2_bglt)
					((BgL_castzd2nullzd2_bglt)
						((BgL_castzd2nullzd2_bglt) BgL_o1456z00_7687)));
			}
		}

	}



/* &lambda3108 */
	BgL_castzd2nullzd2_bglt BGl_z62lambda3108z62zzliveness_typesz00(obj_t
		BgL_envz00_7688, obj_t BgL_loc1445z00_7689, obj_t BgL_type1446z00_7690,
		obj_t BgL_sidezd2effect1447zd2_7691, obj_t BgL_key1448z00_7692,
		obj_t BgL_exprza21449za2_7693, obj_t BgL_effect1450z00_7694,
		obj_t BgL_czd2format1451zd2_7695, obj_t BgL_def1452z00_7696,
		obj_t BgL_use1453z00_7697, obj_t BgL_in1454z00_7698,
		obj_t BgL_out1455z00_7699)
	{
		{	/* Liveness/types.scm 137 */
			{	/* Liveness/types.scm 137 */
				BgL_castzd2nullzd2_bglt BgL_new1795z00_9174;

				{	/* Liveness/types.scm 137 */
					BgL_castzd2nullzd2_bglt BgL_tmp1793z00_9175;
					BgL_castzd2nullzf2livenessz20_bglt BgL_wide1794z00_9176;

					{
						BgL_castzd2nullzd2_bglt BgL_auxz00_14869;

						{	/* Liveness/types.scm 137 */
							BgL_castzd2nullzd2_bglt BgL_new1792z00_9177;

							BgL_new1792z00_9177 =
								((BgL_castzd2nullzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_castzd2nullzd2_bgl))));
							{	/* Liveness/types.scm 137 */
								long BgL_arg3111z00_9178;

								BgL_arg3111z00_9178 =
									BGL_CLASS_NUM(BGl_castzd2nullzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1792z00_9177),
									BgL_arg3111z00_9178);
							}
							{	/* Liveness/types.scm 137 */
								BgL_objectz00_bglt BgL_tmpz00_14874;

								BgL_tmpz00_14874 = ((BgL_objectz00_bglt) BgL_new1792z00_9177);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14874, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1792z00_9177);
							BgL_auxz00_14869 = BgL_new1792z00_9177;
						}
						BgL_tmp1793z00_9175 = ((BgL_castzd2nullzd2_bglt) BgL_auxz00_14869);
					}
					BgL_wide1794z00_9176 =
						((BgL_castzd2nullzf2livenessz20_bglt)
						BOBJECT(GC_MALLOC(sizeof(struct
									BgL_castzd2nullzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 137 */
						obj_t BgL_auxz00_14882;
						BgL_objectz00_bglt BgL_tmpz00_14880;

						BgL_auxz00_14882 = ((obj_t) BgL_wide1794z00_9176);
						BgL_tmpz00_14880 = ((BgL_objectz00_bglt) BgL_tmp1793z00_9175);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_14880, BgL_auxz00_14882);
					}
					((BgL_objectz00_bglt) BgL_tmp1793z00_9175);
					{	/* Liveness/types.scm 137 */
						long BgL_arg3110z00_9179;

						BgL_arg3110z00_9179 =
							BGL_CLASS_NUM(BGl_castzd2nullzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1793z00_9175), BgL_arg3110z00_9179);
					}
					BgL_new1795z00_9174 = ((BgL_castzd2nullzd2_bglt) BgL_tmp1793z00_9175);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1795z00_9174)))->BgL_locz00) =
					((obj_t) BgL_loc1445z00_7689), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1795z00_9174)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1446z00_7690)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1795z00_9174)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1447zd2_7691), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1795z00_9174)))->BgL_keyz00) =
					((obj_t) BgL_key1448z00_7692), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1795z00_9174)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21449za2_7693)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1795z00_9174)))->BgL_effectz00) =
					((obj_t) BgL_effect1450z00_7694), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1795z00_9174)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1451zd2_7695)), BUNSPEC);
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14907;

					{
						obj_t BgL_auxz00_14908;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14909;

							BgL_tmpz00_14909 = ((BgL_objectz00_bglt) BgL_new1795z00_9174);
							BgL_auxz00_14908 = BGL_OBJECT_WIDENING(BgL_tmpz00_14909);
						}
						BgL_auxz00_14907 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14908);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14907))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1452z00_7696)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14915;

					{
						obj_t BgL_auxz00_14916;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14917;

							BgL_tmpz00_14917 = ((BgL_objectz00_bglt) BgL_new1795z00_9174);
							BgL_auxz00_14916 = BGL_OBJECT_WIDENING(BgL_tmpz00_14917);
						}
						BgL_auxz00_14915 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14916);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14915))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1453z00_7697)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14923;

					{
						obj_t BgL_auxz00_14924;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14925;

							BgL_tmpz00_14925 = ((BgL_objectz00_bglt) BgL_new1795z00_9174);
							BgL_auxz00_14924 = BGL_OBJECT_WIDENING(BgL_tmpz00_14925);
						}
						BgL_auxz00_14923 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14924);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14923))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1454z00_7698)), BUNSPEC);
				}
				{
					BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14931;

					{
						obj_t BgL_auxz00_14932;

						{	/* Liveness/types.scm 137 */
							BgL_objectz00_bglt BgL_tmpz00_14933;

							BgL_tmpz00_14933 = ((BgL_objectz00_bglt) BgL_new1795z00_9174);
							BgL_auxz00_14932 = BGL_OBJECT_WIDENING(BgL_tmpz00_14933);
						}
						BgL_auxz00_14931 =
							((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14932);
					}
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14931))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1455z00_7699)), BUNSPEC);
				}
				return BgL_new1795z00_9174;
			}
		}

	}



/* &<@anonymous:3158> */
	obj_t BGl_z62zc3z04anonymousza33158ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7700)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3157 */
	obj_t BGl_z62lambda3157z62zzliveness_typesz00(obj_t BgL_envz00_7701,
		obj_t BgL_oz00_7702, obj_t BgL_vz00_7703)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14939;

				{
					obj_t BgL_auxz00_14940;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14941;

						BgL_tmpz00_14941 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7702));
						BgL_auxz00_14940 = BGL_OBJECT_WIDENING(BgL_tmpz00_14941);
					}
					BgL_auxz00_14939 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14940);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14939))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7703)), BUNSPEC);
			}
		}

	}



/* &lambda3156 */
	obj_t BGl_z62lambda3156z62zzliveness_typesz00(obj_t BgL_envz00_7704,
		obj_t BgL_oz00_7705)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14948;

				{
					obj_t BgL_auxz00_14949;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14950;

						BgL_tmpz00_14950 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7705));
						BgL_auxz00_14949 = BGL_OBJECT_WIDENING(BgL_tmpz00_14950);
					}
					BgL_auxz00_14948 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14949);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14948))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3151> */
	obj_t BGl_z62zc3z04anonymousza33151ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7706)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3150 */
	obj_t BGl_z62lambda3150z62zzliveness_typesz00(obj_t BgL_envz00_7707,
		obj_t BgL_oz00_7708, obj_t BgL_vz00_7709)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14956;

				{
					obj_t BgL_auxz00_14957;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14958;

						BgL_tmpz00_14958 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7708));
						BgL_auxz00_14957 = BGL_OBJECT_WIDENING(BgL_tmpz00_14958);
					}
					BgL_auxz00_14956 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14957);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14956))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7709)), BUNSPEC);
			}
		}

	}



/* &lambda3149 */
	obj_t BGl_z62lambda3149z62zzliveness_typesz00(obj_t BgL_envz00_7710,
		obj_t BgL_oz00_7711)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14965;

				{
					obj_t BgL_auxz00_14966;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14967;

						BgL_tmpz00_14967 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7711));
						BgL_auxz00_14966 = BGL_OBJECT_WIDENING(BgL_tmpz00_14967);
					}
					BgL_auxz00_14965 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14966);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14965))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3142> */
	obj_t BGl_z62zc3z04anonymousza33142ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7712)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3141 */
	obj_t BGl_z62lambda3141z62zzliveness_typesz00(obj_t BgL_envz00_7713,
		obj_t BgL_oz00_7714, obj_t BgL_vz00_7715)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14973;

				{
					obj_t BgL_auxz00_14974;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14975;

						BgL_tmpz00_14975 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7714));
						BgL_auxz00_14974 = BGL_OBJECT_WIDENING(BgL_tmpz00_14975);
					}
					BgL_auxz00_14973 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14974);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14973))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7715)), BUNSPEC);
			}
		}

	}



/* &lambda3140 */
	obj_t BGl_z62lambda3140z62zzliveness_typesz00(obj_t BgL_envz00_7716,
		obj_t BgL_oz00_7717)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14982;

				{
					obj_t BgL_auxz00_14983;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14984;

						BgL_tmpz00_14984 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7717));
						BgL_auxz00_14983 = BGL_OBJECT_WIDENING(BgL_tmpz00_14984);
					}
					BgL_auxz00_14982 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14983);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14982))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3126> */
	obj_t BGl_z62zc3z04anonymousza33126ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7718)
	{
		{	/* Liveness/types.scm 137 */
			return BNIL;
		}

	}



/* &lambda3125 */
	obj_t BGl_z62lambda3125z62zzliveness_typesz00(obj_t BgL_envz00_7719,
		obj_t BgL_oz00_7720, obj_t BgL_vz00_7721)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14990;

				{
					obj_t BgL_auxz00_14991;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_14992;

						BgL_tmpz00_14992 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7720));
						BgL_auxz00_14991 = BGL_OBJECT_WIDENING(BgL_tmpz00_14992);
					}
					BgL_auxz00_14990 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_14991);
				}
				return
					((((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14990))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7721)), BUNSPEC);
			}
		}

	}



/* &lambda3124 */
	obj_t BGl_z62lambda3124z62zzliveness_typesz00(obj_t BgL_envz00_7722,
		obj_t BgL_oz00_7723)
	{
		{	/* Liveness/types.scm 137 */
			{
				BgL_castzd2nullzf2livenessz20_bglt BgL_auxz00_14999;

				{
					obj_t BgL_auxz00_15000;

					{	/* Liveness/types.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_15001;

						BgL_tmpz00_15001 =
							((BgL_objectz00_bglt) ((BgL_castzd2nullzd2_bglt) BgL_oz00_7723));
						BgL_auxz00_15000 = BGL_OBJECT_WIDENING(BgL_tmpz00_15001);
					}
					BgL_auxz00_14999 =
						((BgL_castzd2nullzf2livenessz20_bglt) BgL_auxz00_15000);
				}
				return
					(((BgL_castzd2nullzf2livenessz20_bglt) COBJECT(BgL_auxz00_14999))->
					BgL_defz00);
			}
		}

	}



/* &lambda3054 */
	BgL_instanceofz00_bglt BGl_z62lambda3054z62zzliveness_typesz00(obj_t
		BgL_envz00_7724, obj_t BgL_o1443z00_7725)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				long BgL_arg3055z00_9193;

				{	/* Liveness/types.scm 131 */
					obj_t BgL_arg3057z00_9194;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_arg3058z00_9195;

						{	/* Liveness/types.scm 131 */
							obj_t BgL_arg1866z00_9196;
							long BgL_arg1867z00_9197;

							BgL_arg1866z00_9196 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 131 */
								long BgL_arg1869z00_9198;

								BgL_arg1869z00_9198 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_instanceofz00_bglt) BgL_o1443z00_7725)));
								BgL_arg1867z00_9197 = (BgL_arg1869z00_9198 - OBJECT_TYPE);
							}
							BgL_arg3058z00_9195 =
								VECTOR_REF(BgL_arg1866z00_9196, BgL_arg1867z00_9197);
						}
						BgL_arg3057z00_9194 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg3058z00_9195);
					}
					{	/* Liveness/types.scm 131 */
						obj_t BgL_tmpz00_15014;

						BgL_tmpz00_15014 = ((obj_t) BgL_arg3057z00_9194);
						BgL_arg3055z00_9193 = BGL_CLASS_NUM(BgL_tmpz00_15014);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1443z00_7725)), BgL_arg3055z00_9193);
			}
			{	/* Liveness/types.scm 131 */
				BgL_objectz00_bglt BgL_tmpz00_15020;

				BgL_tmpz00_15020 =
					((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1443z00_7725));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15020, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1443z00_7725));
			return
				((BgL_instanceofz00_bglt) ((BgL_instanceofz00_bglt) BgL_o1443z00_7725));
		}

	}



/* &<@anonymous:3053> */
	obj_t BGl_z62zc3z04anonymousza33053ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7726, obj_t BgL_new1442z00_7727)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofz00_bglt BgL_auxz00_15028;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_instanceofz00_bglt) BgL_new1442z00_7727))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15032;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9200;

						BgL_classz00_9200 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1117z00_9201;

							BgL__ortest_1117z00_9201 = BGL_CLASS_NIL(BgL_classz00_9200);
							if (CBOOL(BgL__ortest_1117z00_9201))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_15032 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9201);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_15032 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9200));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1442z00_7727))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15032), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_instanceofz00_bglt) BgL_new1442z00_7727))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1442z00_7727))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1442z00_7727))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1442z00_7727))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_instanceofz00_bglt)
										BgL_new1442z00_7727))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15057;

					{	/* Liveness/types.scm 131 */
						obj_t BgL_classz00_9202;

						BgL_classz00_9202 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 131 */
							obj_t BgL__ortest_1117z00_9203;

							BgL__ortest_1117z00_9203 = BGL_CLASS_NIL(BgL_classz00_9202);
							if (CBOOL(BgL__ortest_1117z00_9203))
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_15057 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9203);
								}
							else
								{	/* Liveness/types.scm 131 */
									BgL_auxz00_15057 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9202));
								}
						}
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt)
										((BgL_instanceofz00_bglt) BgL_new1442z00_7727))))->
							BgL_classz00) = ((BgL_typez00_bglt) BgL_auxz00_15057), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15067;

					{
						obj_t BgL_auxz00_15068;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15069;

							BgL_tmpz00_15069 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1442z00_7727));
							BgL_auxz00_15068 = BGL_OBJECT_WIDENING(BgL_tmpz00_15069);
						}
						BgL_auxz00_15067 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15068);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15067))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15075;

					{
						obj_t BgL_auxz00_15076;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15077;

							BgL_tmpz00_15077 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1442z00_7727));
							BgL_auxz00_15076 = BGL_OBJECT_WIDENING(BgL_tmpz00_15077);
						}
						BgL_auxz00_15075 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15076);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15075))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15083;

					{
						obj_t BgL_auxz00_15084;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15085;

							BgL_tmpz00_15085 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1442z00_7727));
							BgL_auxz00_15084 = BGL_OBJECT_WIDENING(BgL_tmpz00_15085);
						}
						BgL_auxz00_15083 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15084);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15083))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15091;

					{
						obj_t BgL_auxz00_15092;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15093;

							BgL_tmpz00_15093 =
								((BgL_objectz00_bglt)
								((BgL_instanceofz00_bglt) BgL_new1442z00_7727));
							BgL_auxz00_15092 = BGL_OBJECT_WIDENING(BgL_tmpz00_15093);
						}
						BgL_auxz00_15091 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15092);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15091))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15028 = ((BgL_instanceofz00_bglt) BgL_new1442z00_7727);
				return ((obj_t) BgL_auxz00_15028);
			}
		}

	}



/* &lambda3050 */
	BgL_instanceofz00_bglt BGl_z62lambda3050z62zzliveness_typesz00(obj_t
		BgL_envz00_7728, obj_t BgL_o1439z00_7729)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofzf2livenesszf2_bglt BgL_wide1441z00_9205;

				BgL_wide1441z00_9205 =
					((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_instanceofzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 131 */
					obj_t BgL_auxz00_15106;
					BgL_objectz00_bglt BgL_tmpz00_15102;

					BgL_auxz00_15106 = ((obj_t) BgL_wide1441z00_9205);
					BgL_tmpz00_15102 =
						((BgL_objectz00_bglt)
						((BgL_instanceofz00_bglt)
							((BgL_instanceofz00_bglt) BgL_o1439z00_7729)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15102, BgL_auxz00_15106);
				}
				((BgL_objectz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1439z00_7729)));
				{	/* Liveness/types.scm 131 */
					long BgL_arg3052z00_9206;

					BgL_arg3052z00_9206 =
						BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt)
								((BgL_instanceofz00_bglt) BgL_o1439z00_7729))),
						BgL_arg3052z00_9206);
				}
				return
					((BgL_instanceofz00_bglt)
					((BgL_instanceofz00_bglt)
						((BgL_instanceofz00_bglt) BgL_o1439z00_7729)));
			}
		}

	}



/* &lambda3047 */
	BgL_instanceofz00_bglt BGl_z62lambda3047z62zzliveness_typesz00(obj_t
		BgL_envz00_7730, obj_t BgL_loc1427z00_7731, obj_t BgL_type1428z00_7732,
		obj_t BgL_sidezd2effect1429zd2_7733, obj_t BgL_key1430z00_7734,
		obj_t BgL_exprza21431za2_7735, obj_t BgL_effect1432z00_7736,
		obj_t BgL_czd2format1433zd2_7737, obj_t BgL_class1434z00_7738,
		obj_t BgL_def1435z00_7739, obj_t BgL_use1436z00_7740,
		obj_t BgL_in1437z00_7741, obj_t BgL_out1438z00_7742)
	{
		{	/* Liveness/types.scm 131 */
			{	/* Liveness/types.scm 131 */
				BgL_instanceofz00_bglt BgL_new1790z00_9215;

				{	/* Liveness/types.scm 131 */
					BgL_instanceofz00_bglt BgL_tmp1788z00_9216;
					BgL_instanceofzf2livenesszf2_bglt BgL_wide1789z00_9217;

					{
						BgL_instanceofz00_bglt BgL_auxz00_15120;

						{	/* Liveness/types.scm 131 */
							BgL_instanceofz00_bglt BgL_new1787z00_9218;

							BgL_new1787z00_9218 =
								((BgL_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_instanceofz00_bgl))));
							{	/* Liveness/types.scm 131 */
								long BgL_arg3049z00_9219;

								BgL_arg3049z00_9219 =
									BGL_CLASS_NUM(BGl_instanceofz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1787z00_9218),
									BgL_arg3049z00_9219);
							}
							{	/* Liveness/types.scm 131 */
								BgL_objectz00_bglt BgL_tmpz00_15125;

								BgL_tmpz00_15125 = ((BgL_objectz00_bglt) BgL_new1787z00_9218);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15125, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1787z00_9218);
							BgL_auxz00_15120 = BgL_new1787z00_9218;
						}
						BgL_tmp1788z00_9216 = ((BgL_instanceofz00_bglt) BgL_auxz00_15120);
					}
					BgL_wide1789z00_9217 =
						((BgL_instanceofzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_instanceofzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 131 */
						obj_t BgL_auxz00_15133;
						BgL_objectz00_bglt BgL_tmpz00_15131;

						BgL_auxz00_15133 = ((obj_t) BgL_wide1789z00_9217);
						BgL_tmpz00_15131 = ((BgL_objectz00_bglt) BgL_tmp1788z00_9216);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15131, BgL_auxz00_15133);
					}
					((BgL_objectz00_bglt) BgL_tmp1788z00_9216);
					{	/* Liveness/types.scm 131 */
						long BgL_arg3048z00_9220;

						BgL_arg3048z00_9220 =
							BGL_CLASS_NUM(BGl_instanceofzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1788z00_9216), BgL_arg3048z00_9220);
					}
					BgL_new1790z00_9215 = ((BgL_instanceofz00_bglt) BgL_tmp1788z00_9216);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1790z00_9215)))->BgL_locz00) =
					((obj_t) BgL_loc1427z00_7731), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1790z00_9215)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1428z00_7732)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1790z00_9215)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1429zd2_7733), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1790z00_9215)))->BgL_keyz00) =
					((obj_t) BgL_key1430z00_7734), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1790z00_9215)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21431za2_7735)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1790z00_9215)))->BgL_effectz00) =
					((obj_t) BgL_effect1432z00_7736), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1790z00_9215)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1433zd2_7737)), BUNSPEC);
				((((BgL_instanceofz00_bglt) COBJECT(((BgL_instanceofz00_bglt)
									BgL_new1790z00_9215)))->BgL_classz00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_class1434z00_7738)),
					BUNSPEC);
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15161;

					{
						obj_t BgL_auxz00_15162;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15163;

							BgL_tmpz00_15163 = ((BgL_objectz00_bglt) BgL_new1790z00_9215);
							BgL_auxz00_15162 = BGL_OBJECT_WIDENING(BgL_tmpz00_15163);
						}
						BgL_auxz00_15161 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15162);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15161))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1435z00_7739)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15169;

					{
						obj_t BgL_auxz00_15170;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15171;

							BgL_tmpz00_15171 = ((BgL_objectz00_bglt) BgL_new1790z00_9215);
							BgL_auxz00_15170 = BGL_OBJECT_WIDENING(BgL_tmpz00_15171);
						}
						BgL_auxz00_15169 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15170);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15169))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1436z00_7740)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15177;

					{
						obj_t BgL_auxz00_15178;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15179;

							BgL_tmpz00_15179 = ((BgL_objectz00_bglt) BgL_new1790z00_9215);
							BgL_auxz00_15178 = BGL_OBJECT_WIDENING(BgL_tmpz00_15179);
						}
						BgL_auxz00_15177 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15178);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15177))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1437z00_7741)), BUNSPEC);
				}
				{
					BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15185;

					{
						obj_t BgL_auxz00_15186;

						{	/* Liveness/types.scm 131 */
							BgL_objectz00_bglt BgL_tmpz00_15187;

							BgL_tmpz00_15187 = ((BgL_objectz00_bglt) BgL_new1790z00_9215);
							BgL_auxz00_15186 = BGL_OBJECT_WIDENING(BgL_tmpz00_15187);
						}
						BgL_auxz00_15185 =
							((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15186);
					}
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15185))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1438z00_7742)), BUNSPEC);
				}
				return BgL_new1790z00_9215;
			}
		}

	}



/* &<@anonymous:3093> */
	obj_t BGl_z62zc3z04anonymousza33093ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7743)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3092 */
	obj_t BGl_z62lambda3092z62zzliveness_typesz00(obj_t BgL_envz00_7744,
		obj_t BgL_oz00_7745, obj_t BgL_vz00_7746)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15193;

				{
					obj_t BgL_auxz00_15194;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15195;

						BgL_tmpz00_15195 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7745));
						BgL_auxz00_15194 = BGL_OBJECT_WIDENING(BgL_tmpz00_15195);
					}
					BgL_auxz00_15193 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15194);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15193))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7746)), BUNSPEC);
			}
		}

	}



/* &lambda3091 */
	obj_t BGl_z62lambda3091z62zzliveness_typesz00(obj_t BgL_envz00_7747,
		obj_t BgL_oz00_7748)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15202;

				{
					obj_t BgL_auxz00_15203;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15204;

						BgL_tmpz00_15204 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7748));
						BgL_auxz00_15203 = BGL_OBJECT_WIDENING(BgL_tmpz00_15204);
					}
					BgL_auxz00_15202 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15203);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15202))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3086> */
	obj_t BGl_z62zc3z04anonymousza33086ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7749)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3085 */
	obj_t BGl_z62lambda3085z62zzliveness_typesz00(obj_t BgL_envz00_7750,
		obj_t BgL_oz00_7751, obj_t BgL_vz00_7752)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15210;

				{
					obj_t BgL_auxz00_15211;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15212;

						BgL_tmpz00_15212 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7751));
						BgL_auxz00_15211 = BGL_OBJECT_WIDENING(BgL_tmpz00_15212);
					}
					BgL_auxz00_15210 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15211);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15210))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7752)), BUNSPEC);
			}
		}

	}



/* &lambda3084 */
	obj_t BGl_z62lambda3084z62zzliveness_typesz00(obj_t BgL_envz00_7753,
		obj_t BgL_oz00_7754)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15219;

				{
					obj_t BgL_auxz00_15220;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15221;

						BgL_tmpz00_15221 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7754));
						BgL_auxz00_15220 = BGL_OBJECT_WIDENING(BgL_tmpz00_15221);
					}
					BgL_auxz00_15219 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15220);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15219))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3078> */
	obj_t BGl_z62zc3z04anonymousza33078ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7755)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3077 */
	obj_t BGl_z62lambda3077z62zzliveness_typesz00(obj_t BgL_envz00_7756,
		obj_t BgL_oz00_7757, obj_t BgL_vz00_7758)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15227;

				{
					obj_t BgL_auxz00_15228;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15229;

						BgL_tmpz00_15229 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7757));
						BgL_auxz00_15228 = BGL_OBJECT_WIDENING(BgL_tmpz00_15229);
					}
					BgL_auxz00_15227 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15228);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15227))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7758)), BUNSPEC);
			}
		}

	}



/* &lambda3076 */
	obj_t BGl_z62lambda3076z62zzliveness_typesz00(obj_t BgL_envz00_7759,
		obj_t BgL_oz00_7760)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15236;

				{
					obj_t BgL_auxz00_15237;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15238;

						BgL_tmpz00_15238 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7760));
						BgL_auxz00_15237 = BGL_OBJECT_WIDENING(BgL_tmpz00_15238);
					}
					BgL_auxz00_15236 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15237);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15236))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3068> */
	obj_t BGl_z62zc3z04anonymousza33068ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7761)
	{
		{	/* Liveness/types.scm 131 */
			return BNIL;
		}

	}



/* &lambda3067 */
	obj_t BGl_z62lambda3067z62zzliveness_typesz00(obj_t BgL_envz00_7762,
		obj_t BgL_oz00_7763, obj_t BgL_vz00_7764)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15244;

				{
					obj_t BgL_auxz00_15245;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15246;

						BgL_tmpz00_15246 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7763));
						BgL_auxz00_15245 = BGL_OBJECT_WIDENING(BgL_tmpz00_15246);
					}
					BgL_auxz00_15244 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15245);
				}
				return
					((((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15244))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7764)), BUNSPEC);
			}
		}

	}



/* &lambda3066 */
	obj_t BGl_z62lambda3066z62zzliveness_typesz00(obj_t BgL_envz00_7765,
		obj_t BgL_oz00_7766)
	{
		{	/* Liveness/types.scm 131 */
			{
				BgL_instanceofzf2livenesszf2_bglt BgL_auxz00_15253;

				{
					obj_t BgL_auxz00_15254;

					{	/* Liveness/types.scm 131 */
						BgL_objectz00_bglt BgL_tmpz00_15255;

						BgL_tmpz00_15255 =
							((BgL_objectz00_bglt) ((BgL_instanceofz00_bglt) BgL_oz00_7766));
						BgL_auxz00_15254 = BGL_OBJECT_WIDENING(BgL_tmpz00_15255);
					}
					BgL_auxz00_15253 =
						((BgL_instanceofzf2livenesszf2_bglt) BgL_auxz00_15254);
				}
				return
					(((BgL_instanceofzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15253))->
					BgL_defz00);
			}
		}

	}



/* &lambda2985 */
	BgL_vlengthz00_bglt BGl_z62lambda2985z62zzliveness_typesz00(obj_t
		BgL_envz00_7767, obj_t BgL_o1425z00_7768)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				long BgL_arg2986z00_9234;

				{	/* Liveness/types.scm 125 */
					obj_t BgL_arg2987z00_9235;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_arg2991z00_9236;

						{	/* Liveness/types.scm 125 */
							obj_t BgL_arg1866z00_9237;
							long BgL_arg1867z00_9238;

							BgL_arg1866z00_9237 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 125 */
								long BgL_arg1869z00_9239;

								BgL_arg1869z00_9239 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vlengthz00_bglt) BgL_o1425z00_7768)));
								BgL_arg1867z00_9238 = (BgL_arg1869z00_9239 - OBJECT_TYPE);
							}
							BgL_arg2991z00_9236 =
								VECTOR_REF(BgL_arg1866z00_9237, BgL_arg1867z00_9238);
						}
						BgL_arg2987z00_9235 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2991z00_9236);
					}
					{	/* Liveness/types.scm 125 */
						obj_t BgL_tmpz00_15268;

						BgL_tmpz00_15268 = ((obj_t) BgL_arg2987z00_9235);
						BgL_arg2986z00_9234 = BGL_CLASS_NUM(BgL_tmpz00_15268);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) BgL_o1425z00_7768)), BgL_arg2986z00_9234);
			}
			{	/* Liveness/types.scm 125 */
				BgL_objectz00_bglt BgL_tmpz00_15274;

				BgL_tmpz00_15274 =
					((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1425z00_7768));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15274, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1425z00_7768));
			return ((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1425z00_7768));
		}

	}



/* &<@anonymous:2984> */
	obj_t BGl_z62zc3z04anonymousza32984ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7769, obj_t BgL_new1424z00_7770)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthz00_bglt BgL_auxz00_15282;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1424z00_7770))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15286;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9241;

						BgL_classz00_9241 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1117z00_9242;

							BgL__ortest_1117z00_9242 = BGL_CLASS_NIL(BgL_classz00_9241);
							if (CBOOL(BgL__ortest_1117z00_9242))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_15286 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9242);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_15286 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9241));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1424z00_7770))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15286), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vlengthz00_bglt) BgL_new1424z00_7770))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1424z00_7770))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1424z00_7770))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1424z00_7770))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vlengthz00_bglt)
										BgL_new1424z00_7770))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15311;

					{	/* Liveness/types.scm 125 */
						obj_t BgL_classz00_9243;

						BgL_classz00_9243 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 125 */
							obj_t BgL__ortest_1117z00_9244;

							BgL__ortest_1117z00_9244 = BGL_CLASS_NIL(BgL_classz00_9243);
							if (CBOOL(BgL__ortest_1117z00_9244))
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_15311 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9244);
								}
							else
								{	/* Liveness/types.scm 125 */
									BgL_auxz00_15311 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9243));
								}
						}
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_new1424z00_7770))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15311), BUNSPEC);
				}
				((((BgL_vlengthz00_bglt) COBJECT(
								((BgL_vlengthz00_bglt)
									((BgL_vlengthz00_bglt) BgL_new1424z00_7770))))->
						BgL_ftypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15324;

					{
						obj_t BgL_auxz00_15325;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15326;

							BgL_tmpz00_15326 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1424z00_7770));
							BgL_auxz00_15325 = BGL_OBJECT_WIDENING(BgL_tmpz00_15326);
						}
						BgL_auxz00_15324 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15325);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15324))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15332;

					{
						obj_t BgL_auxz00_15333;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15334;

							BgL_tmpz00_15334 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1424z00_7770));
							BgL_auxz00_15333 = BGL_OBJECT_WIDENING(BgL_tmpz00_15334);
						}
						BgL_auxz00_15332 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15333);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15332))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15340;

					{
						obj_t BgL_auxz00_15341;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15342;

							BgL_tmpz00_15342 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1424z00_7770));
							BgL_auxz00_15341 = BGL_OBJECT_WIDENING(BgL_tmpz00_15342);
						}
						BgL_auxz00_15340 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15341);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15340))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15348;

					{
						obj_t BgL_auxz00_15349;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15350;

							BgL_tmpz00_15350 =
								((BgL_objectz00_bglt)
								((BgL_vlengthz00_bglt) BgL_new1424z00_7770));
							BgL_auxz00_15349 = BGL_OBJECT_WIDENING(BgL_tmpz00_15350);
						}
						BgL_auxz00_15348 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15349);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15348))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15282 = ((BgL_vlengthz00_bglt) BgL_new1424z00_7770);
				return ((obj_t) BgL_auxz00_15282);
			}
		}

	}



/* &lambda2982 */
	BgL_vlengthz00_bglt BGl_z62lambda2982z62zzliveness_typesz00(obj_t
		BgL_envz00_7771, obj_t BgL_o1421z00_7772)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthzf2livenesszf2_bglt BgL_wide1423z00_9246;

				BgL_wide1423z00_9246 =
					((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vlengthzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 125 */
					obj_t BgL_auxz00_15363;
					BgL_objectz00_bglt BgL_tmpz00_15359;

					BgL_auxz00_15363 = ((obj_t) BgL_wide1423z00_9246);
					BgL_tmpz00_15359 =
						((BgL_objectz00_bglt)
						((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1421z00_7772)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15359, BgL_auxz00_15363);
				}
				((BgL_objectz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1421z00_7772)));
				{	/* Liveness/types.scm 125 */
					long BgL_arg2983z00_9247;

					BgL_arg2983z00_9247 =
						BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt)
								((BgL_vlengthz00_bglt) BgL_o1421z00_7772))),
						BgL_arg2983z00_9247);
				}
				return
					((BgL_vlengthz00_bglt)
					((BgL_vlengthz00_bglt) ((BgL_vlengthz00_bglt) BgL_o1421z00_7772)));
			}
		}

	}



/* &lambda2979 */
	BgL_vlengthz00_bglt BGl_z62lambda2979z62zzliveness_typesz00(obj_t
		BgL_envz00_7773, obj_t BgL_loc1408z00_7774, obj_t BgL_type1409z00_7775,
		obj_t BgL_sidezd2effect1410zd2_7776, obj_t BgL_key1411z00_7777,
		obj_t BgL_exprza21412za2_7778, obj_t BgL_effect1413z00_7779,
		obj_t BgL_czd2format1414zd2_7780, obj_t BgL_vtype1415z00_7781,
		obj_t BgL_ftype1416z00_7782, obj_t BgL_def1417z00_7783,
		obj_t BgL_use1418z00_7784, obj_t BgL_in1419z00_7785,
		obj_t BgL_out1420z00_7786)
	{
		{	/* Liveness/types.scm 125 */
			{	/* Liveness/types.scm 125 */
				BgL_vlengthz00_bglt BgL_new1785z00_9256;

				{	/* Liveness/types.scm 125 */
					BgL_vlengthz00_bglt BgL_tmp1783z00_9257;
					BgL_vlengthzf2livenesszf2_bglt BgL_wide1784z00_9258;

					{
						BgL_vlengthz00_bglt BgL_auxz00_15377;

						{	/* Liveness/types.scm 125 */
							BgL_vlengthz00_bglt BgL_new1782z00_9259;

							BgL_new1782z00_9259 =
								((BgL_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vlengthz00_bgl))));
							{	/* Liveness/types.scm 125 */
								long BgL_arg2981z00_9260;

								BgL_arg2981z00_9260 =
									BGL_CLASS_NUM(BGl_vlengthz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1782z00_9259),
									BgL_arg2981z00_9260);
							}
							{	/* Liveness/types.scm 125 */
								BgL_objectz00_bglt BgL_tmpz00_15382;

								BgL_tmpz00_15382 = ((BgL_objectz00_bglt) BgL_new1782z00_9259);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15382, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1782z00_9259);
							BgL_auxz00_15377 = BgL_new1782z00_9259;
						}
						BgL_tmp1783z00_9257 = ((BgL_vlengthz00_bglt) BgL_auxz00_15377);
					}
					BgL_wide1784z00_9258 =
						((BgL_vlengthzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_vlengthzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 125 */
						obj_t BgL_auxz00_15390;
						BgL_objectz00_bglt BgL_tmpz00_15388;

						BgL_auxz00_15390 = ((obj_t) BgL_wide1784z00_9258);
						BgL_tmpz00_15388 = ((BgL_objectz00_bglt) BgL_tmp1783z00_9257);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15388, BgL_auxz00_15390);
					}
					((BgL_objectz00_bglt) BgL_tmp1783z00_9257);
					{	/* Liveness/types.scm 125 */
						long BgL_arg2980z00_9261;

						BgL_arg2980z00_9261 =
							BGL_CLASS_NUM(BGl_vlengthzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1783z00_9257), BgL_arg2980z00_9261);
					}
					BgL_new1785z00_9256 = ((BgL_vlengthz00_bglt) BgL_tmp1783z00_9257);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1785z00_9256)))->BgL_locz00) =
					((obj_t) BgL_loc1408z00_7774), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1785z00_9256)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1409z00_7775)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1785z00_9256)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1410zd2_7776), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1785z00_9256)))->BgL_keyz00) =
					((obj_t) BgL_key1411z00_7777), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1785z00_9256)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21412za2_7778)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1785z00_9256)))->BgL_effectz00) =
					((obj_t) BgL_effect1413z00_7779), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1785z00_9256)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1414zd2_7780)), BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1785z00_9256)))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1415z00_7781)),
					BUNSPEC);
				((((BgL_vlengthz00_bglt) COBJECT(((BgL_vlengthz00_bglt)
									BgL_new1785z00_9256)))->BgL_ftypez00) =
					((obj_t) BgL_ftype1416z00_7782), BUNSPEC);
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15420;

					{
						obj_t BgL_auxz00_15421;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15422;

							BgL_tmpz00_15422 = ((BgL_objectz00_bglt) BgL_new1785z00_9256);
							BgL_auxz00_15421 = BGL_OBJECT_WIDENING(BgL_tmpz00_15422);
						}
						BgL_auxz00_15420 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15421);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15420))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1417z00_7783)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15428;

					{
						obj_t BgL_auxz00_15429;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15430;

							BgL_tmpz00_15430 = ((BgL_objectz00_bglt) BgL_new1785z00_9256);
							BgL_auxz00_15429 = BGL_OBJECT_WIDENING(BgL_tmpz00_15430);
						}
						BgL_auxz00_15428 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15429);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15428))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1418z00_7784)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15436;

					{
						obj_t BgL_auxz00_15437;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15438;

							BgL_tmpz00_15438 = ((BgL_objectz00_bglt) BgL_new1785z00_9256);
							BgL_auxz00_15437 = BGL_OBJECT_WIDENING(BgL_tmpz00_15438);
						}
						BgL_auxz00_15436 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15437);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15436))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1419z00_7785)), BUNSPEC);
				}
				{
					BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15444;

					{
						obj_t BgL_auxz00_15445;

						{	/* Liveness/types.scm 125 */
							BgL_objectz00_bglt BgL_tmpz00_15446;

							BgL_tmpz00_15446 = ((BgL_objectz00_bglt) BgL_new1785z00_9256);
							BgL_auxz00_15445 = BGL_OBJECT_WIDENING(BgL_tmpz00_15446);
						}
						BgL_auxz00_15444 =
							((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15445);
					}
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15444))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1420z00_7786)), BUNSPEC);
				}
				return BgL_new1785z00_9256;
			}
		}

	}



/* &<@anonymous:3029> */
	obj_t BGl_z62zc3z04anonymousza33029ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7787)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda3028 */
	obj_t BGl_z62lambda3028z62zzliveness_typesz00(obj_t BgL_envz00_7788,
		obj_t BgL_oz00_7789, obj_t BgL_vz00_7790)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15452;

				{
					obj_t BgL_auxz00_15453;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15454;

						BgL_tmpz00_15454 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7789));
						BgL_auxz00_15453 = BGL_OBJECT_WIDENING(BgL_tmpz00_15454);
					}
					BgL_auxz00_15452 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15453);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15452))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7790)), BUNSPEC);
			}
		}

	}



/* &lambda3027 */
	obj_t BGl_z62lambda3027z62zzliveness_typesz00(obj_t BgL_envz00_7791,
		obj_t BgL_oz00_7792)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15461;

				{
					obj_t BgL_auxz00_15462;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15463;

						BgL_tmpz00_15463 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7792));
						BgL_auxz00_15462 = BGL_OBJECT_WIDENING(BgL_tmpz00_15463);
					}
					BgL_auxz00_15461 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15462);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15461))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:3022> */
	obj_t BGl_z62zc3z04anonymousza33022ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7793)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda3021 */
	obj_t BGl_z62lambda3021z62zzliveness_typesz00(obj_t BgL_envz00_7794,
		obj_t BgL_oz00_7795, obj_t BgL_vz00_7796)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15469;

				{
					obj_t BgL_auxz00_15470;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15471;

						BgL_tmpz00_15471 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7795));
						BgL_auxz00_15470 = BGL_OBJECT_WIDENING(BgL_tmpz00_15471);
					}
					BgL_auxz00_15469 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15470);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15469))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7796)), BUNSPEC);
			}
		}

	}



/* &lambda3020 */
	obj_t BGl_z62lambda3020z62zzliveness_typesz00(obj_t BgL_envz00_7797,
		obj_t BgL_oz00_7798)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15478;

				{
					obj_t BgL_auxz00_15479;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15480;

						BgL_tmpz00_15480 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7798));
						BgL_auxz00_15479 = BGL_OBJECT_WIDENING(BgL_tmpz00_15480);
					}
					BgL_auxz00_15478 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15479);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15478))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:3015> */
	obj_t BGl_z62zc3z04anonymousza33015ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7799)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda3014 */
	obj_t BGl_z62lambda3014z62zzliveness_typesz00(obj_t BgL_envz00_7800,
		obj_t BgL_oz00_7801, obj_t BgL_vz00_7802)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15486;

				{
					obj_t BgL_auxz00_15487;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15488;

						BgL_tmpz00_15488 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7801));
						BgL_auxz00_15487 = BGL_OBJECT_WIDENING(BgL_tmpz00_15488);
					}
					BgL_auxz00_15486 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15487);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15486))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7802)), BUNSPEC);
			}
		}

	}



/* &lambda3013 */
	obj_t BGl_z62lambda3013z62zzliveness_typesz00(obj_t BgL_envz00_7803,
		obj_t BgL_oz00_7804)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15495;

				{
					obj_t BgL_auxz00_15496;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15497;

						BgL_tmpz00_15497 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7804));
						BgL_auxz00_15496 = BGL_OBJECT_WIDENING(BgL_tmpz00_15497);
					}
					BgL_auxz00_15495 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15496);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15495))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:3006> */
	obj_t BGl_z62zc3z04anonymousza33006ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7805)
	{
		{	/* Liveness/types.scm 125 */
			return BNIL;
		}

	}



/* &lambda3005 */
	obj_t BGl_z62lambda3005z62zzliveness_typesz00(obj_t BgL_envz00_7806,
		obj_t BgL_oz00_7807, obj_t BgL_vz00_7808)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15503;

				{
					obj_t BgL_auxz00_15504;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15505;

						BgL_tmpz00_15505 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7807));
						BgL_auxz00_15504 = BGL_OBJECT_WIDENING(BgL_tmpz00_15505);
					}
					BgL_auxz00_15503 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15504);
				}
				return
					((((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15503))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7808)), BUNSPEC);
			}
		}

	}



/* &lambda3004 */
	obj_t BGl_z62lambda3004z62zzliveness_typesz00(obj_t BgL_envz00_7809,
		obj_t BgL_oz00_7810)
	{
		{	/* Liveness/types.scm 125 */
			{
				BgL_vlengthzf2livenesszf2_bglt BgL_auxz00_15512;

				{
					obj_t BgL_auxz00_15513;

					{	/* Liveness/types.scm 125 */
						BgL_objectz00_bglt BgL_tmpz00_15514;

						BgL_tmpz00_15514 =
							((BgL_objectz00_bglt) ((BgL_vlengthz00_bglt) BgL_oz00_7810));
						BgL_auxz00_15513 = BGL_OBJECT_WIDENING(BgL_tmpz00_15514);
					}
					BgL_auxz00_15512 =
						((BgL_vlengthzf2livenesszf2_bglt) BgL_auxz00_15513);
				}
				return
					(((BgL_vlengthzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15512))->
					BgL_defz00);
			}
		}

	}



/* &lambda2924 */
	BgL_vsetz12z12_bglt BGl_z62lambda2924z62zzliveness_typesz00(obj_t
		BgL_envz00_7811, obj_t BgL_o1406z00_7812)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				long BgL_arg2925z00_9275;

				{	/* Liveness/types.scm 119 */
					obj_t BgL_arg2926z00_9276;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_arg2927z00_9277;

						{	/* Liveness/types.scm 119 */
							obj_t BgL_arg1866z00_9278;
							long BgL_arg1867z00_9279;

							BgL_arg1866z00_9278 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 119 */
								long BgL_arg1869z00_9280;

								BgL_arg1869z00_9280 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vsetz12z12_bglt) BgL_o1406z00_7812)));
								BgL_arg1867z00_9279 = (BgL_arg1869z00_9280 - OBJECT_TYPE);
							}
							BgL_arg2927z00_9277 =
								VECTOR_REF(BgL_arg1866z00_9278, BgL_arg1867z00_9279);
						}
						BgL_arg2926z00_9276 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2927z00_9277);
					}
					{	/* Liveness/types.scm 119 */
						obj_t BgL_tmpz00_15527;

						BgL_tmpz00_15527 = ((obj_t) BgL_arg2926z00_9276);
						BgL_arg2925z00_9275 = BGL_CLASS_NUM(BgL_tmpz00_15527);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) BgL_o1406z00_7812)), BgL_arg2925z00_9275);
			}
			{	/* Liveness/types.scm 119 */
				BgL_objectz00_bglt BgL_tmpz00_15533;

				BgL_tmpz00_15533 =
					((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1406z00_7812));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15533, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_o1406z00_7812));
			return ((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1406z00_7812));
		}

	}



/* &<@anonymous:2923> */
	obj_t BGl_z62zc3z04anonymousza32923ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7813, obj_t BgL_new1405z00_7814)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12z12_bglt BgL_auxz00_15541;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15545;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9282;

						BgL_classz00_9282 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1117z00_9283;

							BgL__ortest_1117z00_9283 = BGL_CLASS_NIL(BgL_classz00_9282);
							if (CBOOL(BgL__ortest_1117z00_9283))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15545 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9283);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15545 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9282));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_15545), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1405z00_7814))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1405z00_7814))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1405z00_7814))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vsetz12z12_bglt)
										BgL_new1405z00_7814))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15570;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9284;

						BgL_classz00_9284 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1117z00_9285;

							BgL__ortest_1117z00_9285 = BGL_CLASS_NIL(BgL_classz00_9284);
							if (CBOOL(BgL__ortest_1117z00_9285))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15570 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9285);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15570 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9284));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_15570), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15580;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9286;

						BgL_classz00_9286 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1117z00_9287;

							BgL__ortest_1117z00_9287 = BGL_CLASS_NIL(BgL_classz00_9286);
							if (CBOOL(BgL__ortest_1117z00_9287))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15580 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9287);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15580 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9286));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_15580), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15590;

					{	/* Liveness/types.scm 119 */
						obj_t BgL_classz00_9288;

						BgL_classz00_9288 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 119 */
							obj_t BgL__ortest_1117z00_9289;

							BgL__ortest_1117z00_9289 = BGL_CLASS_NIL(BgL_classz00_9288);
							if (CBOOL(BgL__ortest_1117z00_9289))
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15590 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9289);
								}
							else
								{	/* Liveness/types.scm 119 */
									BgL_auxz00_15590 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9288));
								}
						}
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt)
										((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_15590), BUNSPEC);
				}
				((((BgL_vsetz12z12_bglt) COBJECT(
								((BgL_vsetz12z12_bglt)
									((BgL_vsetz12z12_bglt) BgL_new1405z00_7814))))->
						BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15603;

					{
						obj_t BgL_auxz00_15604;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15605;

							BgL_tmpz00_15605 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1405z00_7814));
							BgL_auxz00_15604 = BGL_OBJECT_WIDENING(BgL_tmpz00_15605);
						}
						BgL_auxz00_15603 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15604);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15603))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15611;

					{
						obj_t BgL_auxz00_15612;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15613;

							BgL_tmpz00_15613 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1405z00_7814));
							BgL_auxz00_15612 = BGL_OBJECT_WIDENING(BgL_tmpz00_15613);
						}
						BgL_auxz00_15611 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15612);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15611))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15619;

					{
						obj_t BgL_auxz00_15620;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15621;

							BgL_tmpz00_15621 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1405z00_7814));
							BgL_auxz00_15620 = BGL_OBJECT_WIDENING(BgL_tmpz00_15621);
						}
						BgL_auxz00_15619 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15620);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15619))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15627;

					{
						obj_t BgL_auxz00_15628;

						{	/* Liveness/types.scm 119 */
							BgL_objectz00_bglt BgL_tmpz00_15629;

							BgL_tmpz00_15629 =
								((BgL_objectz00_bglt)
								((BgL_vsetz12z12_bglt) BgL_new1405z00_7814));
							BgL_auxz00_15628 = BGL_OBJECT_WIDENING(BgL_tmpz00_15629);
						}
						BgL_auxz00_15627 =
							((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15628);
					}
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15627))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15541 = ((BgL_vsetz12z12_bglt) BgL_new1405z00_7814);
				return ((obj_t) BgL_auxz00_15541);
			}
		}

	}



/* &lambda2921 */
	BgL_vsetz12z12_bglt BGl_z62lambda2921z62zzliveness_typesz00(obj_t
		BgL_envz00_7815, obj_t BgL_o1402z00_7816)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				BgL_vsetz12zf2livenessze0_bglt BgL_wide1404z00_9291;

				BgL_wide1404z00_9291 =
					((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vsetz12zf2livenessze0_bgl))));
				{	/* Liveness/types.scm 119 */
					obj_t BgL_auxz00_15642;
					BgL_objectz00_bglt BgL_tmpz00_15638;

					BgL_auxz00_15642 = ((obj_t) BgL_wide1404z00_9291);
					BgL_tmpz00_15638 =
						((BgL_objectz00_bglt)
						((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1402z00_7816)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15638, BgL_auxz00_15642);
				}
				((BgL_objectz00_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1402z00_7816)));
				{	/* Liveness/types.scm 119 */
					long BgL_arg2922z00_9292;

					BgL_arg2922z00_9292 =
						BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt)
								((BgL_vsetz12z12_bglt) BgL_o1402z00_7816))),
						BgL_arg2922z00_9292);
				}
				return
					((BgL_vsetz12z12_bglt)
					((BgL_vsetz12z12_bglt) ((BgL_vsetz12z12_bglt) BgL_o1402z00_7816)));
			}
		}

	}



/* &lambda2918 */
	BgL_vsetz12z12_bglt BGl_z62lambda2918z62zzliveness_typesz00(obj_t
		BgL_envz00_7817, obj_t BgL_loc1387z00_7818, obj_t BgL_type1388z00_7819,
		obj_t BgL_sidezd2effect1389zd2_7820, obj_t BgL_key1390z00_7821,
		obj_t BgL_exprza21391za2_7822, obj_t BgL_effect1392z00_7823,
		obj_t BgL_czd2format1393zd2_7824, obj_t BgL_ftype1394z00_7825,
		obj_t BgL_otype1395z00_7826, obj_t BgL_vtype1396z00_7827,
		obj_t BgL_unsafe1397z00_7828, obj_t BgL_def1398z00_7829,
		obj_t BgL_use1399z00_7830, obj_t BgL_in1400z00_7831,
		obj_t BgL_out1401z00_7832)
	{
		{	/* Liveness/types.scm 119 */
			{	/* Liveness/types.scm 119 */
				bool_t BgL_unsafe1397z00_9299;

				BgL_unsafe1397z00_9299 = CBOOL(BgL_unsafe1397z00_7828);
				{	/* Liveness/types.scm 119 */
					BgL_vsetz12z12_bglt BgL_new1780z00_9304;

					{	/* Liveness/types.scm 119 */
						BgL_vsetz12z12_bglt BgL_tmp1778z00_9305;
						BgL_vsetz12zf2livenessze0_bglt BgL_wide1779z00_9306;

						{
							BgL_vsetz12z12_bglt BgL_auxz00_15657;

							{	/* Liveness/types.scm 119 */
								BgL_vsetz12z12_bglt BgL_new1777z00_9307;

								BgL_new1777z00_9307 =
									((BgL_vsetz12z12_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vsetz12z12_bgl))));
								{	/* Liveness/types.scm 119 */
									long BgL_arg2920z00_9308;

									BgL_arg2920z00_9308 =
										BGL_CLASS_NUM(BGl_vsetz12z12zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1777z00_9307),
										BgL_arg2920z00_9308);
								}
								{	/* Liveness/types.scm 119 */
									BgL_objectz00_bglt BgL_tmpz00_15662;

									BgL_tmpz00_15662 = ((BgL_objectz00_bglt) BgL_new1777z00_9307);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15662, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1777z00_9307);
								BgL_auxz00_15657 = BgL_new1777z00_9307;
							}
							BgL_tmp1778z00_9305 = ((BgL_vsetz12z12_bglt) BgL_auxz00_15657);
						}
						BgL_wide1779z00_9306 =
							((BgL_vsetz12zf2livenessze0_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vsetz12zf2livenessze0_bgl))));
						{	/* Liveness/types.scm 119 */
							obj_t BgL_auxz00_15670;
							BgL_objectz00_bglt BgL_tmpz00_15668;

							BgL_auxz00_15670 = ((obj_t) BgL_wide1779z00_9306);
							BgL_tmpz00_15668 = ((BgL_objectz00_bglt) BgL_tmp1778z00_9305);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15668, BgL_auxz00_15670);
						}
						((BgL_objectz00_bglt) BgL_tmp1778z00_9305);
						{	/* Liveness/types.scm 119 */
							long BgL_arg2919z00_9309;

							BgL_arg2919z00_9309 =
								BGL_CLASS_NUM(BGl_vsetz12zf2livenessze0zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1778z00_9305),
								BgL_arg2919z00_9309);
						}
						BgL_new1780z00_9304 = ((BgL_vsetz12z12_bglt) BgL_tmp1778z00_9305);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1780z00_9304)))->BgL_locz00) =
						((obj_t) BgL_loc1387z00_7818), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1780z00_9304)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1388z00_7819)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1780z00_9304)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1389zd2_7820), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1780z00_9304)))->BgL_keyz00) =
						((obj_t) BgL_key1390z00_7821), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1780z00_9304)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21391za2_7822)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1780z00_9304)))->BgL_effectz00) =
						((obj_t) BgL_effect1392z00_7823), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1780z00_9304)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1393zd2_7824)), BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1780z00_9304)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1394z00_7825)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1780z00_9304)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1395z00_7826)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1780z00_9304)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1396z00_7827)),
						BUNSPEC);
					((((BgL_vsetz12z12_bglt) COBJECT(((BgL_vsetz12z12_bglt)
										BgL_new1780z00_9304)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1397z00_9299), BUNSPEC);
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15706;

						{
							obj_t BgL_auxz00_15707;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15708;

								BgL_tmpz00_15708 = ((BgL_objectz00_bglt) BgL_new1780z00_9304);
								BgL_auxz00_15707 = BGL_OBJECT_WIDENING(BgL_tmpz00_15708);
							}
							BgL_auxz00_15706 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15707);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15706))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1398z00_7829)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15714;

						{
							obj_t BgL_auxz00_15715;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15716;

								BgL_tmpz00_15716 = ((BgL_objectz00_bglt) BgL_new1780z00_9304);
								BgL_auxz00_15715 = BGL_OBJECT_WIDENING(BgL_tmpz00_15716);
							}
							BgL_auxz00_15714 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15715);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15714))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1399z00_7830)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15722;

						{
							obj_t BgL_auxz00_15723;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15724;

								BgL_tmpz00_15724 = ((BgL_objectz00_bglt) BgL_new1780z00_9304);
								BgL_auxz00_15723 = BGL_OBJECT_WIDENING(BgL_tmpz00_15724);
							}
							BgL_auxz00_15722 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15723);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15722))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1400z00_7831)), BUNSPEC);
					}
					{
						BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15730;

						{
							obj_t BgL_auxz00_15731;

							{	/* Liveness/types.scm 119 */
								BgL_objectz00_bglt BgL_tmpz00_15732;

								BgL_tmpz00_15732 = ((BgL_objectz00_bglt) BgL_new1780z00_9304);
								BgL_auxz00_15731 = BGL_OBJECT_WIDENING(BgL_tmpz00_15732);
							}
							BgL_auxz00_15730 =
								((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15731);
						}
						((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15730))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1401z00_7832)), BUNSPEC);
					}
					return BgL_new1780z00_9304;
				}
			}
		}

	}



/* &<@anonymous:2971> */
	obj_t BGl_z62zc3z04anonymousza32971ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7833)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2970 */
	obj_t BGl_z62lambda2970z62zzliveness_typesz00(obj_t BgL_envz00_7834,
		obj_t BgL_oz00_7835, obj_t BgL_vz00_7836)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15738;

				{
					obj_t BgL_auxz00_15739;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15740;

						BgL_tmpz00_15740 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7835));
						BgL_auxz00_15739 = BGL_OBJECT_WIDENING(BgL_tmpz00_15740);
					}
					BgL_auxz00_15738 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15739);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15738))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7836)), BUNSPEC);
			}
		}

	}



/* &lambda2969 */
	obj_t BGl_z62lambda2969z62zzliveness_typesz00(obj_t BgL_envz00_7837,
		obj_t BgL_oz00_7838)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15747;

				{
					obj_t BgL_auxz00_15748;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15749;

						BgL_tmpz00_15749 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7838));
						BgL_auxz00_15748 = BGL_OBJECT_WIDENING(BgL_tmpz00_15749);
					}
					BgL_auxz00_15747 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15748);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15747))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2963> */
	obj_t BGl_z62zc3z04anonymousza32963ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7839)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2962 */
	obj_t BGl_z62lambda2962z62zzliveness_typesz00(obj_t BgL_envz00_7840,
		obj_t BgL_oz00_7841, obj_t BgL_vz00_7842)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15755;

				{
					obj_t BgL_auxz00_15756;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15757;

						BgL_tmpz00_15757 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7841));
						BgL_auxz00_15756 = BGL_OBJECT_WIDENING(BgL_tmpz00_15757);
					}
					BgL_auxz00_15755 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15756);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15755))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7842)), BUNSPEC);
			}
		}

	}



/* &lambda2961 */
	obj_t BGl_z62lambda2961z62zzliveness_typesz00(obj_t BgL_envz00_7843,
		obj_t BgL_oz00_7844)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15764;

				{
					obj_t BgL_auxz00_15765;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15766;

						BgL_tmpz00_15766 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7844));
						BgL_auxz00_15765 = BGL_OBJECT_WIDENING(BgL_tmpz00_15766);
					}
					BgL_auxz00_15764 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15765);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15764))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2956> */
	obj_t BGl_z62zc3z04anonymousza32956ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7845)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2955 */
	obj_t BGl_z62lambda2955z62zzliveness_typesz00(obj_t BgL_envz00_7846,
		obj_t BgL_oz00_7847, obj_t BgL_vz00_7848)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15772;

				{
					obj_t BgL_auxz00_15773;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15774;

						BgL_tmpz00_15774 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7847));
						BgL_auxz00_15773 = BGL_OBJECT_WIDENING(BgL_tmpz00_15774);
					}
					BgL_auxz00_15772 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15773);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15772))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7848)), BUNSPEC);
			}
		}

	}



/* &lambda2954 */
	obj_t BGl_z62lambda2954z62zzliveness_typesz00(obj_t BgL_envz00_7849,
		obj_t BgL_oz00_7850)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15781;

				{
					obj_t BgL_auxz00_15782;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15783;

						BgL_tmpz00_15783 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7850));
						BgL_auxz00_15782 = BGL_OBJECT_WIDENING(BgL_tmpz00_15783);
					}
					BgL_auxz00_15781 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15782);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15781))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2940> */
	obj_t BGl_z62zc3z04anonymousza32940ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7851)
	{
		{	/* Liveness/types.scm 119 */
			return BNIL;
		}

	}



/* &lambda2939 */
	obj_t BGl_z62lambda2939z62zzliveness_typesz00(obj_t BgL_envz00_7852,
		obj_t BgL_oz00_7853, obj_t BgL_vz00_7854)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15789;

				{
					obj_t BgL_auxz00_15790;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15791;

						BgL_tmpz00_15791 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7853));
						BgL_auxz00_15790 = BGL_OBJECT_WIDENING(BgL_tmpz00_15791);
					}
					BgL_auxz00_15789 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15790);
				}
				return
					((((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15789))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7854)), BUNSPEC);
			}
		}

	}



/* &lambda2938 */
	obj_t BGl_z62lambda2938z62zzliveness_typesz00(obj_t BgL_envz00_7855,
		obj_t BgL_oz00_7856)
	{
		{	/* Liveness/types.scm 119 */
			{
				BgL_vsetz12zf2livenessze0_bglt BgL_auxz00_15798;

				{
					obj_t BgL_auxz00_15799;

					{	/* Liveness/types.scm 119 */
						BgL_objectz00_bglt BgL_tmpz00_15800;

						BgL_tmpz00_15800 =
							((BgL_objectz00_bglt) ((BgL_vsetz12z12_bglt) BgL_oz00_7856));
						BgL_auxz00_15799 = BGL_OBJECT_WIDENING(BgL_tmpz00_15800);
					}
					BgL_auxz00_15798 =
						((BgL_vsetz12zf2livenessze0_bglt) BgL_auxz00_15799);
				}
				return
					(((BgL_vsetz12zf2livenessze0_bglt) COBJECT(BgL_auxz00_15798))->
					BgL_defz00);
			}
		}

	}



/* &lambda2855 */
	BgL_vrefz00_bglt BGl_z62lambda2855z62zzliveness_typesz00(obj_t
		BgL_envz00_7857, obj_t BgL_o1385z00_7858)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				long BgL_arg2857z00_9323;

				{	/* Liveness/types.scm 113 */
					obj_t BgL_arg2858z00_9324;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_arg2859z00_9325;

						{	/* Liveness/types.scm 113 */
							obj_t BgL_arg1866z00_9326;
							long BgL_arg1867z00_9327;

							BgL_arg1866z00_9326 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 113 */
								long BgL_arg1869z00_9328;

								BgL_arg1869z00_9328 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vrefz00_bglt) BgL_o1385z00_7858)));
								BgL_arg1867z00_9327 = (BgL_arg1869z00_9328 - OBJECT_TYPE);
							}
							BgL_arg2859z00_9325 =
								VECTOR_REF(BgL_arg1866z00_9326, BgL_arg1867z00_9327);
						}
						BgL_arg2858z00_9324 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2859z00_9325);
					}
					{	/* Liveness/types.scm 113 */
						obj_t BgL_tmpz00_15813;

						BgL_tmpz00_15813 = ((obj_t) BgL_arg2858z00_9324);
						BgL_arg2857z00_9323 = BGL_CLASS_NUM(BgL_tmpz00_15813);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) BgL_o1385z00_7858)), BgL_arg2857z00_9323);
			}
			{	/* Liveness/types.scm 113 */
				BgL_objectz00_bglt BgL_tmpz00_15819;

				BgL_tmpz00_15819 =
					((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1385z00_7858));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15819, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_o1385z00_7858));
			return ((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1385z00_7858));
		}

	}



/* &<@anonymous:2854> */
	obj_t BGl_z62zc3z04anonymousza32854ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7859, obj_t BgL_new1384z00_7860)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefz00_bglt BgL_auxz00_15827;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15831;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9330;

						BgL_classz00_9330 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1117z00_9331;

							BgL__ortest_1117z00_9331 = BGL_CLASS_NIL(BgL_classz00_9330);
							if (CBOOL(BgL__ortest_1117z00_9331))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15831 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9331);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15831 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9330));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_15831), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vrefz00_bglt)
										BgL_new1384z00_7860))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1384z00_7860))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1384z00_7860))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vrefz00_bglt)
										BgL_new1384z00_7860))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_15856;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9332;

						BgL_classz00_9332 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1117z00_9333;

							BgL__ortest_1117z00_9333 = BGL_CLASS_NIL(BgL_classz00_9332);
							if (CBOOL(BgL__ortest_1117z00_9333))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15856 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9333);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15856 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9332));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15856), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15866;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9334;

						BgL_classz00_9334 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1117z00_9335;

							BgL__ortest_1117z00_9335 = BGL_CLASS_NIL(BgL_classz00_9334);
							if (CBOOL(BgL__ortest_1117z00_9335))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15866 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9335);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15866 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9334));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15866), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_15876;

					{	/* Liveness/types.scm 113 */
						obj_t BgL_classz00_9336;

						BgL_classz00_9336 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 113 */
							obj_t BgL__ortest_1117z00_9337;

							BgL__ortest_1117z00_9337 = BGL_CLASS_NIL(BgL_classz00_9336);
							if (CBOOL(BgL__ortest_1117z00_9337))
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15876 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9337);
								}
							else
								{	/* Liveness/types.scm 113 */
									BgL_auxz00_15876 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9336));
								}
						}
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt)
										((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_15876), BUNSPEC);
				}
				((((BgL_vrefz00_bglt) COBJECT(
								((BgL_vrefz00_bglt)
									((BgL_vrefz00_bglt) BgL_new1384z00_7860))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15889;

					{
						obj_t BgL_auxz00_15890;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15891;

							BgL_tmpz00_15891 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1384z00_7860));
							BgL_auxz00_15890 = BGL_OBJECT_WIDENING(BgL_tmpz00_15891);
						}
						BgL_auxz00_15889 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15890);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15889))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15897;

					{
						obj_t BgL_auxz00_15898;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15899;

							BgL_tmpz00_15899 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1384z00_7860));
							BgL_auxz00_15898 = BGL_OBJECT_WIDENING(BgL_tmpz00_15899);
						}
						BgL_auxz00_15897 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15898);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15897))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15905;

					{
						obj_t BgL_auxz00_15906;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15907;

							BgL_tmpz00_15907 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1384z00_7860));
							BgL_auxz00_15906 = BGL_OBJECT_WIDENING(BgL_tmpz00_15907);
						}
						BgL_auxz00_15905 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15906);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15905))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15913;

					{
						obj_t BgL_auxz00_15914;

						{	/* Liveness/types.scm 113 */
							BgL_objectz00_bglt BgL_tmpz00_15915;

							BgL_tmpz00_15915 =
								((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_new1384z00_7860));
							BgL_auxz00_15914 = BGL_OBJECT_WIDENING(BgL_tmpz00_15915);
						}
						BgL_auxz00_15913 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15914);
					}
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15913))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_15827 = ((BgL_vrefz00_bglt) BgL_new1384z00_7860);
				return ((obj_t) BgL_auxz00_15827);
			}
		}

	}



/* &lambda2852 */
	BgL_vrefz00_bglt BGl_z62lambda2852z62zzliveness_typesz00(obj_t
		BgL_envz00_7861, obj_t BgL_o1381z00_7862)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				BgL_vrefzf2livenesszf2_bglt BgL_wide1383z00_9339;

				BgL_wide1383z00_9339 =
					((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_vrefzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 113 */
					obj_t BgL_auxz00_15928;
					BgL_objectz00_bglt BgL_tmpz00_15924;

					BgL_auxz00_15928 = ((obj_t) BgL_wide1383z00_9339);
					BgL_tmpz00_15924 =
						((BgL_objectz00_bglt)
						((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1381z00_7862)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15924, BgL_auxz00_15928);
				}
				((BgL_objectz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1381z00_7862)));
				{	/* Liveness/types.scm 113 */
					long BgL_arg2853z00_9340;

					BgL_arg2853z00_9340 =
						BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt)
								((BgL_vrefz00_bglt) BgL_o1381z00_7862))), BgL_arg2853z00_9340);
				}
				return
					((BgL_vrefz00_bglt)
					((BgL_vrefz00_bglt) ((BgL_vrefz00_bglt) BgL_o1381z00_7862)));
			}
		}

	}



/* &lambda2849 */
	BgL_vrefz00_bglt BGl_z62lambda2849z62zzliveness_typesz00(obj_t
		BgL_envz00_7863, obj_t BgL_loc1366z00_7864, obj_t BgL_type1367z00_7865,
		obj_t BgL_sidezd2effect1368zd2_7866, obj_t BgL_key1369z00_7867,
		obj_t BgL_exprza21370za2_7868, obj_t BgL_effect1371z00_7869,
		obj_t BgL_czd2format1372zd2_7870, obj_t BgL_ftype1373z00_7871,
		obj_t BgL_otype1374z00_7872, obj_t BgL_vtype1375z00_7873,
		obj_t BgL_unsafe1376z00_7874, obj_t BgL_def1377z00_7875,
		obj_t BgL_use1378z00_7876, obj_t BgL_in1379z00_7877,
		obj_t BgL_out1380z00_7878)
	{
		{	/* Liveness/types.scm 113 */
			{	/* Liveness/types.scm 113 */
				bool_t BgL_unsafe1376z00_9347;

				BgL_unsafe1376z00_9347 = CBOOL(BgL_unsafe1376z00_7874);
				{	/* Liveness/types.scm 113 */
					BgL_vrefz00_bglt BgL_new1775z00_9352;

					{	/* Liveness/types.scm 113 */
						BgL_vrefz00_bglt BgL_tmp1773z00_9353;
						BgL_vrefzf2livenesszf2_bglt BgL_wide1774z00_9354;

						{
							BgL_vrefz00_bglt BgL_auxz00_15943;

							{	/* Liveness/types.scm 113 */
								BgL_vrefz00_bglt BgL_new1772z00_9355;

								BgL_new1772z00_9355 =
									((BgL_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_vrefz00_bgl))));
								{	/* Liveness/types.scm 113 */
									long BgL_arg2851z00_9356;

									BgL_arg2851z00_9356 = BGL_CLASS_NUM(BGl_vrefz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1772z00_9355),
										BgL_arg2851z00_9356);
								}
								{	/* Liveness/types.scm 113 */
									BgL_objectz00_bglt BgL_tmpz00_15948;

									BgL_tmpz00_15948 = ((BgL_objectz00_bglt) BgL_new1772z00_9355);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15948, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1772z00_9355);
								BgL_auxz00_15943 = BgL_new1772z00_9355;
							}
							BgL_tmp1773z00_9353 = ((BgL_vrefz00_bglt) BgL_auxz00_15943);
						}
						BgL_wide1774z00_9354 =
							((BgL_vrefzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_vrefzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 113 */
							obj_t BgL_auxz00_15956;
							BgL_objectz00_bglt BgL_tmpz00_15954;

							BgL_auxz00_15956 = ((obj_t) BgL_wide1774z00_9354);
							BgL_tmpz00_15954 = ((BgL_objectz00_bglt) BgL_tmp1773z00_9353);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_15954, BgL_auxz00_15956);
						}
						((BgL_objectz00_bglt) BgL_tmp1773z00_9353);
						{	/* Liveness/types.scm 113 */
							long BgL_arg2850z00_9357;

							BgL_arg2850z00_9357 =
								BGL_CLASS_NUM(BGl_vrefzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1773z00_9353),
								BgL_arg2850z00_9357);
						}
						BgL_new1775z00_9352 = ((BgL_vrefz00_bglt) BgL_tmp1773z00_9353);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1775z00_9352)))->BgL_locz00) =
						((obj_t) BgL_loc1366z00_7864), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1775z00_9352)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1367z00_7865)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1775z00_9352)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1368zd2_7866), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1775z00_9352)))->BgL_keyz00) =
						((obj_t) BgL_key1369z00_7867), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1775z00_9352)))->BgL_exprza2za2) =
						((obj_t) ((obj_t) BgL_exprza21370za2_7868)), BUNSPEC);
					((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
										BgL_new1775z00_9352)))->BgL_effectz00) =
						((obj_t) BgL_effect1371z00_7869), BUNSPEC);
					((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
										BgL_new1775z00_9352)))->BgL_czd2formatzd2) =
						((obj_t) ((obj_t) BgL_czd2format1372zd2_7870)), BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1775z00_9352)))->BgL_ftypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1373z00_7871)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1775z00_9352)))->BgL_otypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1374z00_7872)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1775z00_9352)))->BgL_vtypez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1375z00_7873)),
						BUNSPEC);
					((((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_new1775z00_9352)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1376z00_9347), BUNSPEC);
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_15992;

						{
							obj_t BgL_auxz00_15993;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_15994;

								BgL_tmpz00_15994 = ((BgL_objectz00_bglt) BgL_new1775z00_9352);
								BgL_auxz00_15993 = BGL_OBJECT_WIDENING(BgL_tmpz00_15994);
							}
							BgL_auxz00_15992 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_15993);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_15992))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1377z00_7875)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16000;

						{
							obj_t BgL_auxz00_16001;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_16002;

								BgL_tmpz00_16002 = ((BgL_objectz00_bglt) BgL_new1775z00_9352);
								BgL_auxz00_16001 = BGL_OBJECT_WIDENING(BgL_tmpz00_16002);
							}
							BgL_auxz00_16000 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16001);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16000))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1378z00_7876)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16008;

						{
							obj_t BgL_auxz00_16009;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_16010;

								BgL_tmpz00_16010 = ((BgL_objectz00_bglt) BgL_new1775z00_9352);
								BgL_auxz00_16009 = BGL_OBJECT_WIDENING(BgL_tmpz00_16010);
							}
							BgL_auxz00_16008 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16009);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16008))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1379z00_7877)), BUNSPEC);
					}
					{
						BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16016;

						{
							obj_t BgL_auxz00_16017;

							{	/* Liveness/types.scm 113 */
								BgL_objectz00_bglt BgL_tmpz00_16018;

								BgL_tmpz00_16018 = ((BgL_objectz00_bglt) BgL_new1775z00_9352);
								BgL_auxz00_16017 = BGL_OBJECT_WIDENING(BgL_tmpz00_16018);
							}
							BgL_auxz00_16016 =
								((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16017);
						}
						((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16016))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1380z00_7878)), BUNSPEC);
					}
					return BgL_new1775z00_9352;
				}
			}
		}

	}



/* &<@anonymous:2911> */
	obj_t BGl_z62zc3z04anonymousza32911ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7879)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2910 */
	obj_t BGl_z62lambda2910z62zzliveness_typesz00(obj_t BgL_envz00_7880,
		obj_t BgL_oz00_7881, obj_t BgL_vz00_7882)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16024;

				{
					obj_t BgL_auxz00_16025;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16026;

						BgL_tmpz00_16026 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7881));
						BgL_auxz00_16025 = BGL_OBJECT_WIDENING(BgL_tmpz00_16026);
					}
					BgL_auxz00_16024 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16025);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16024))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7882)), BUNSPEC);
			}
		}

	}



/* &lambda2909 */
	obj_t BGl_z62lambda2909z62zzliveness_typesz00(obj_t BgL_envz00_7883,
		obj_t BgL_oz00_7884)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16033;

				{
					obj_t BgL_auxz00_16034;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16035;

						BgL_tmpz00_16035 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7884));
						BgL_auxz00_16034 = BGL_OBJECT_WIDENING(BgL_tmpz00_16035);
					}
					BgL_auxz00_16033 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16034);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16033))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2902> */
	obj_t BGl_z62zc3z04anonymousza32902ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7885)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2901 */
	obj_t BGl_z62lambda2901z62zzliveness_typesz00(obj_t BgL_envz00_7886,
		obj_t BgL_oz00_7887, obj_t BgL_vz00_7888)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16041;

				{
					obj_t BgL_auxz00_16042;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16043;

						BgL_tmpz00_16043 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7887));
						BgL_auxz00_16042 = BGL_OBJECT_WIDENING(BgL_tmpz00_16043);
					}
					BgL_auxz00_16041 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16042);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16041))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7888)), BUNSPEC);
			}
		}

	}



/* &lambda2900 */
	obj_t BGl_z62lambda2900z62zzliveness_typesz00(obj_t BgL_envz00_7889,
		obj_t BgL_oz00_7890)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16050;

				{
					obj_t BgL_auxz00_16051;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16052;

						BgL_tmpz00_16052 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7890));
						BgL_auxz00_16051 = BGL_OBJECT_WIDENING(BgL_tmpz00_16052);
					}
					BgL_auxz00_16050 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16051);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16050))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2890> */
	obj_t BGl_z62zc3z04anonymousza32890ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7891)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2889 */
	obj_t BGl_z62lambda2889z62zzliveness_typesz00(obj_t BgL_envz00_7892,
		obj_t BgL_oz00_7893, obj_t BgL_vz00_7894)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16058;

				{
					obj_t BgL_auxz00_16059;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16060;

						BgL_tmpz00_16060 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7893));
						BgL_auxz00_16059 = BGL_OBJECT_WIDENING(BgL_tmpz00_16060);
					}
					BgL_auxz00_16058 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16059);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16058))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7894)), BUNSPEC);
			}
		}

	}



/* &lambda2888 */
	obj_t BGl_z62lambda2888z62zzliveness_typesz00(obj_t BgL_envz00_7895,
		obj_t BgL_oz00_7896)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16067;

				{
					obj_t BgL_auxz00_16068;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16069;

						BgL_tmpz00_16069 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7896));
						BgL_auxz00_16068 = BGL_OBJECT_WIDENING(BgL_tmpz00_16069);
					}
					BgL_auxz00_16067 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16068);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16067))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2866> */
	obj_t BGl_z62zc3z04anonymousza32866ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7897)
	{
		{	/* Liveness/types.scm 113 */
			return BNIL;
		}

	}



/* &lambda2865 */
	obj_t BGl_z62lambda2865z62zzliveness_typesz00(obj_t BgL_envz00_7898,
		obj_t BgL_oz00_7899, obj_t BgL_vz00_7900)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16075;

				{
					obj_t BgL_auxz00_16076;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16077;

						BgL_tmpz00_16077 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7899));
						BgL_auxz00_16076 = BGL_OBJECT_WIDENING(BgL_tmpz00_16077);
					}
					BgL_auxz00_16075 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16076);
				}
				return
					((((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16075))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7900)), BUNSPEC);
			}
		}

	}



/* &lambda2864 */
	obj_t BGl_z62lambda2864z62zzliveness_typesz00(obj_t BgL_envz00_7901,
		obj_t BgL_oz00_7902)
	{
		{	/* Liveness/types.scm 113 */
			{
				BgL_vrefzf2livenesszf2_bglt BgL_auxz00_16084;

				{
					obj_t BgL_auxz00_16085;

					{	/* Liveness/types.scm 113 */
						BgL_objectz00_bglt BgL_tmpz00_16086;

						BgL_tmpz00_16086 =
							((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_oz00_7902));
						BgL_auxz00_16085 = BGL_OBJECT_WIDENING(BgL_tmpz00_16086);
					}
					BgL_auxz00_16084 = ((BgL_vrefzf2livenesszf2_bglt) BgL_auxz00_16085);
				}
				return
					(((BgL_vrefzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16084))->
					BgL_defz00);
			}
		}

	}



/* &lambda2804 */
	BgL_vallocz00_bglt BGl_z62lambda2804z62zzliveness_typesz00(obj_t
		BgL_envz00_7903, obj_t BgL_o1364z00_7904)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				long BgL_arg2805z00_9371;

				{	/* Liveness/types.scm 107 */
					obj_t BgL_arg2806z00_9372;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_arg2810z00_9373;

						{	/* Liveness/types.scm 107 */
							obj_t BgL_arg1866z00_9374;
							long BgL_arg1867z00_9375;

							BgL_arg1866z00_9374 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 107 */
								long BgL_arg1869z00_9376;

								BgL_arg1869z00_9376 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_o1364z00_7904)));
								BgL_arg1867z00_9375 = (BgL_arg1869z00_9376 - OBJECT_TYPE);
							}
							BgL_arg2810z00_9373 =
								VECTOR_REF(BgL_arg1866z00_9374, BgL_arg1867z00_9375);
						}
						BgL_arg2806z00_9372 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2810z00_9373);
					}
					{	/* Liveness/types.scm 107 */
						obj_t BgL_tmpz00_16099;

						BgL_tmpz00_16099 = ((obj_t) BgL_arg2806z00_9372);
						BgL_arg2805z00_9371 = BGL_CLASS_NUM(BgL_tmpz00_16099);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) BgL_o1364z00_7904)), BgL_arg2805z00_9371);
			}
			{	/* Liveness/types.scm 107 */
				BgL_objectz00_bglt BgL_tmpz00_16105;

				BgL_tmpz00_16105 =
					((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1364z00_7904));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16105, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_o1364z00_7904));
			return ((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1364z00_7904));
		}

	}



/* &<@anonymous:2803> */
	obj_t BGl_z62zc3z04anonymousza32803ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7905, obj_t BgL_new1363z00_7906)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_vallocz00_bglt BgL_auxz00_16113;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vallocz00_bglt) BgL_new1363z00_7906))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16117;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9378;

						BgL_classz00_9378 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1117z00_9379;

							BgL__ortest_1117z00_9379 = BGL_CLASS_NIL(BgL_classz00_9378);
							if (CBOOL(BgL__ortest_1117z00_9379))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16117 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9379);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16117 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9378));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_new1363z00_7906))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16117), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_vallocz00_bglt) BgL_new1363z00_7906))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_vallocz00_bglt)
										BgL_new1363z00_7906))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1363z00_7906))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1363z00_7906))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_vallocz00_bglt)
										BgL_new1363z00_7906))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16142;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9380;

						BgL_classz00_9380 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1117z00_9381;

							BgL__ortest_1117z00_9381 = BGL_CLASS_NIL(BgL_classz00_9380);
							if (CBOOL(BgL__ortest_1117z00_9381))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16142 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9381);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16142 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9380));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1363z00_7906))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16142), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16152;

					{	/* Liveness/types.scm 107 */
						obj_t BgL_classz00_9382;

						BgL_classz00_9382 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 107 */
							obj_t BgL__ortest_1117z00_9383;

							BgL__ortest_1117z00_9383 = BGL_CLASS_NIL(BgL_classz00_9382);
							if (CBOOL(BgL__ortest_1117z00_9383))
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16152 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9383);
								}
							else
								{	/* Liveness/types.scm 107 */
									BgL_auxz00_16152 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9382));
								}
						}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt)
										((BgL_vallocz00_bglt) BgL_new1363z00_7906))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16152), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16162;

					{
						obj_t BgL_auxz00_16163;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16164;

							BgL_tmpz00_16164 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1363z00_7906));
							BgL_auxz00_16163 = BGL_OBJECT_WIDENING(BgL_tmpz00_16164);
						}
						BgL_auxz00_16162 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16163);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16162))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16170;

					{
						obj_t BgL_auxz00_16171;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16172;

							BgL_tmpz00_16172 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1363z00_7906));
							BgL_auxz00_16171 = BGL_OBJECT_WIDENING(BgL_tmpz00_16172);
						}
						BgL_auxz00_16170 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16171);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16170))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16178;

					{
						obj_t BgL_auxz00_16179;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16180;

							BgL_tmpz00_16180 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1363z00_7906));
							BgL_auxz00_16179 = BGL_OBJECT_WIDENING(BgL_tmpz00_16180);
						}
						BgL_auxz00_16178 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16179);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16178))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16186;

					{
						obj_t BgL_auxz00_16187;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16188;

							BgL_tmpz00_16188 =
								((BgL_objectz00_bglt)
								((BgL_vallocz00_bglt) BgL_new1363z00_7906));
							BgL_auxz00_16187 = BGL_OBJECT_WIDENING(BgL_tmpz00_16188);
						}
						BgL_auxz00_16186 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16187);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16186))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16113 = ((BgL_vallocz00_bglt) BgL_new1363z00_7906);
				return ((obj_t) BgL_auxz00_16113);
			}
		}

	}



/* &lambda2801 */
	BgL_vallocz00_bglt BGl_z62lambda2801z62zzliveness_typesz00(obj_t
		BgL_envz00_7907, obj_t BgL_o1360z00_7908)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_valloczf2livenesszf2_bglt BgL_wide1362z00_9385;

				BgL_wide1362z00_9385 =
					((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_valloczf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 107 */
					obj_t BgL_auxz00_16201;
					BgL_objectz00_bglt BgL_tmpz00_16197;

					BgL_auxz00_16201 = ((obj_t) BgL_wide1362z00_9385);
					BgL_tmpz00_16197 =
						((BgL_objectz00_bglt)
						((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1360z00_7908)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16197, BgL_auxz00_16201);
				}
				((BgL_objectz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1360z00_7908)));
				{	/* Liveness/types.scm 107 */
					long BgL_arg2802z00_9386;

					BgL_arg2802z00_9386 =
						BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt)
								((BgL_vallocz00_bglt) BgL_o1360z00_7908))),
						BgL_arg2802z00_9386);
				}
				return
					((BgL_vallocz00_bglt)
					((BgL_vallocz00_bglt) ((BgL_vallocz00_bglt) BgL_o1360z00_7908)));
			}
		}

	}



/* &lambda2775 */
	BgL_vallocz00_bglt BGl_z62lambda2775z62zzliveness_typesz00(obj_t
		BgL_envz00_7909, obj_t BgL_loc1347z00_7910, obj_t BgL_type1348z00_7911,
		obj_t BgL_sidezd2effect1349zd2_7912, obj_t BgL_key1350z00_7913,
		obj_t BgL_exprza21351za2_7914, obj_t BgL_effect1352z00_7915,
		obj_t BgL_czd2format1353zd2_7916, obj_t BgL_ftype1354z00_7917,
		obj_t BgL_otype1355z00_7918, obj_t BgL_def1356z00_7919,
		obj_t BgL_use1357z00_7920, obj_t BgL_in1358z00_7921,
		obj_t BgL_out1359z00_7922)
	{
		{	/* Liveness/types.scm 107 */
			{	/* Liveness/types.scm 107 */
				BgL_vallocz00_bglt BgL_new1770z00_9396;

				{	/* Liveness/types.scm 107 */
					BgL_vallocz00_bglt BgL_tmp1768z00_9397;
					BgL_valloczf2livenesszf2_bglt BgL_wide1769z00_9398;

					{
						BgL_vallocz00_bglt BgL_auxz00_16215;

						{	/* Liveness/types.scm 107 */
							BgL_vallocz00_bglt BgL_new1767z00_9399;

							BgL_new1767z00_9399 =
								((BgL_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_vallocz00_bgl))));
							{	/* Liveness/types.scm 107 */
								long BgL_arg2800z00_9400;

								BgL_arg2800z00_9400 = BGL_CLASS_NUM(BGl_vallocz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1767z00_9399),
									BgL_arg2800z00_9400);
							}
							{	/* Liveness/types.scm 107 */
								BgL_objectz00_bglt BgL_tmpz00_16220;

								BgL_tmpz00_16220 = ((BgL_objectz00_bglt) BgL_new1767z00_9399);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16220, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1767z00_9399);
							BgL_auxz00_16215 = BgL_new1767z00_9399;
						}
						BgL_tmp1768z00_9397 = ((BgL_vallocz00_bglt) BgL_auxz00_16215);
					}
					BgL_wide1769z00_9398 =
						((BgL_valloczf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_valloczf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 107 */
						obj_t BgL_auxz00_16228;
						BgL_objectz00_bglt BgL_tmpz00_16226;

						BgL_auxz00_16228 = ((obj_t) BgL_wide1769z00_9398);
						BgL_tmpz00_16226 = ((BgL_objectz00_bglt) BgL_tmp1768z00_9397);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16226, BgL_auxz00_16228);
					}
					((BgL_objectz00_bglt) BgL_tmp1768z00_9397);
					{	/* Liveness/types.scm 107 */
						long BgL_arg2780z00_9401;

						BgL_arg2780z00_9401 =
							BGL_CLASS_NUM(BGl_valloczf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1768z00_9397), BgL_arg2780z00_9401);
					}
					BgL_new1770z00_9396 = ((BgL_vallocz00_bglt) BgL_tmp1768z00_9397);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1770z00_9396)))->BgL_locz00) =
					((obj_t) BgL_loc1347z00_7910), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1770z00_9396)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1348z00_7911)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1770z00_9396)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1349zd2_7912), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1770z00_9396)))->BgL_keyz00) =
					((obj_t) BgL_key1350z00_7913), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1770z00_9396)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21351za2_7914)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1770z00_9396)))->BgL_effectz00) =
					((obj_t) BgL_effect1352z00_7915), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1770z00_9396)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1353zd2_7916)), BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1770z00_9396)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1354z00_7917)),
					BUNSPEC);
				((((BgL_vallocz00_bglt) COBJECT(((BgL_vallocz00_bglt)
									BgL_new1770z00_9396)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1355z00_7918)),
					BUNSPEC);
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16259;

					{
						obj_t BgL_auxz00_16260;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16261;

							BgL_tmpz00_16261 = ((BgL_objectz00_bglt) BgL_new1770z00_9396);
							BgL_auxz00_16260 = BGL_OBJECT_WIDENING(BgL_tmpz00_16261);
						}
						BgL_auxz00_16259 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16260);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16259))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1356z00_7919)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16267;

					{
						obj_t BgL_auxz00_16268;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16269;

							BgL_tmpz00_16269 = ((BgL_objectz00_bglt) BgL_new1770z00_9396);
							BgL_auxz00_16268 = BGL_OBJECT_WIDENING(BgL_tmpz00_16269);
						}
						BgL_auxz00_16267 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16268);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16267))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1357z00_7920)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16275;

					{
						obj_t BgL_auxz00_16276;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16277;

							BgL_tmpz00_16277 = ((BgL_objectz00_bglt) BgL_new1770z00_9396);
							BgL_auxz00_16276 = BGL_OBJECT_WIDENING(BgL_tmpz00_16277);
						}
						BgL_auxz00_16275 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16276);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16275))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1358z00_7921)), BUNSPEC);
				}
				{
					BgL_valloczf2livenesszf2_bglt BgL_auxz00_16283;

					{
						obj_t BgL_auxz00_16284;

						{	/* Liveness/types.scm 107 */
							BgL_objectz00_bglt BgL_tmpz00_16285;

							BgL_tmpz00_16285 = ((BgL_objectz00_bglt) BgL_new1770z00_9396);
							BgL_auxz00_16284 = BGL_OBJECT_WIDENING(BgL_tmpz00_16285);
						}
						BgL_auxz00_16283 =
							((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16284);
					}
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16283))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1359z00_7922)), BUNSPEC);
				}
				return BgL_new1770z00_9396;
			}
		}

	}



/* &<@anonymous:2839> */
	obj_t BGl_z62zc3z04anonymousza32839ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7923)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2838 */
	obj_t BGl_z62lambda2838z62zzliveness_typesz00(obj_t BgL_envz00_7924,
		obj_t BgL_oz00_7925, obj_t BgL_vz00_7926)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16291;

				{
					obj_t BgL_auxz00_16292;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16293;

						BgL_tmpz00_16293 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7925));
						BgL_auxz00_16292 = BGL_OBJECT_WIDENING(BgL_tmpz00_16293);
					}
					BgL_auxz00_16291 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16292);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16291))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7926)), BUNSPEC);
			}
		}

	}



/* &lambda2837 */
	obj_t BGl_z62lambda2837z62zzliveness_typesz00(obj_t BgL_envz00_7927,
		obj_t BgL_oz00_7928)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16300;

				{
					obj_t BgL_auxz00_16301;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16302;

						BgL_tmpz00_16302 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7928));
						BgL_auxz00_16301 = BGL_OBJECT_WIDENING(BgL_tmpz00_16302);
					}
					BgL_auxz00_16300 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16301);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16300))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2832> */
	obj_t BGl_z62zc3z04anonymousza32832ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7929)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2831 */
	obj_t BGl_z62lambda2831z62zzliveness_typesz00(obj_t BgL_envz00_7930,
		obj_t BgL_oz00_7931, obj_t BgL_vz00_7932)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16308;

				{
					obj_t BgL_auxz00_16309;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16310;

						BgL_tmpz00_16310 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7931));
						BgL_auxz00_16309 = BGL_OBJECT_WIDENING(BgL_tmpz00_16310);
					}
					BgL_auxz00_16308 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16309);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16308))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7932)), BUNSPEC);
			}
		}

	}



/* &lambda2830 */
	obj_t BGl_z62lambda2830z62zzliveness_typesz00(obj_t BgL_envz00_7933,
		obj_t BgL_oz00_7934)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16317;

				{
					obj_t BgL_auxz00_16318;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16319;

						BgL_tmpz00_16319 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7934));
						BgL_auxz00_16318 = BGL_OBJECT_WIDENING(BgL_tmpz00_16319);
					}
					BgL_auxz00_16317 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16318);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16317))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2825> */
	obj_t BGl_z62zc3z04anonymousza32825ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7935)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2824 */
	obj_t BGl_z62lambda2824z62zzliveness_typesz00(obj_t BgL_envz00_7936,
		obj_t BgL_oz00_7937, obj_t BgL_vz00_7938)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16325;

				{
					obj_t BgL_auxz00_16326;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16327;

						BgL_tmpz00_16327 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7937));
						BgL_auxz00_16326 = BGL_OBJECT_WIDENING(BgL_tmpz00_16327);
					}
					BgL_auxz00_16325 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16326);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16325))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7938)), BUNSPEC);
			}
		}

	}



/* &lambda2823 */
	obj_t BGl_z62lambda2823z62zzliveness_typesz00(obj_t BgL_envz00_7939,
		obj_t BgL_oz00_7940)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16334;

				{
					obj_t BgL_auxz00_16335;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16336;

						BgL_tmpz00_16336 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7940));
						BgL_auxz00_16335 = BGL_OBJECT_WIDENING(BgL_tmpz00_16336);
					}
					BgL_auxz00_16334 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16335);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16334))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2818> */
	obj_t BGl_z62zc3z04anonymousza32818ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7941)
	{
		{	/* Liveness/types.scm 107 */
			return BNIL;
		}

	}



/* &lambda2817 */
	obj_t BGl_z62lambda2817z62zzliveness_typesz00(obj_t BgL_envz00_7942,
		obj_t BgL_oz00_7943, obj_t BgL_vz00_7944)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16342;

				{
					obj_t BgL_auxz00_16343;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16344;

						BgL_tmpz00_16344 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7943));
						BgL_auxz00_16343 = BGL_OBJECT_WIDENING(BgL_tmpz00_16344);
					}
					BgL_auxz00_16342 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16343);
				}
				return
					((((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16342))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7944)), BUNSPEC);
			}
		}

	}



/* &lambda2816 */
	obj_t BGl_z62lambda2816z62zzliveness_typesz00(obj_t BgL_envz00_7945,
		obj_t BgL_oz00_7946)
	{
		{	/* Liveness/types.scm 107 */
			{
				BgL_valloczf2livenesszf2_bglt BgL_auxz00_16351;

				{
					obj_t BgL_auxz00_16352;

					{	/* Liveness/types.scm 107 */
						BgL_objectz00_bglt BgL_tmpz00_16353;

						BgL_tmpz00_16353 =
							((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_oz00_7946));
						BgL_auxz00_16352 = BGL_OBJECT_WIDENING(BgL_tmpz00_16353);
					}
					BgL_auxz00_16351 = ((BgL_valloczf2livenesszf2_bglt) BgL_auxz00_16352);
				}
				return
					(((BgL_valloczf2livenesszf2_bglt) COBJECT(BgL_auxz00_16351))->
					BgL_defz00);
			}
		}

	}



/* &lambda2727 */
	BgL_newz00_bglt BGl_z62lambda2727z62zzliveness_typesz00(obj_t BgL_envz00_7947,
		obj_t BgL_o1345z00_7948)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				long BgL_arg2728z00_9415;

				{	/* Liveness/types.scm 101 */
					obj_t BgL_arg2729z00_9416;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_arg2730z00_9417;

						{	/* Liveness/types.scm 101 */
							obj_t BgL_arg1866z00_9418;
							long BgL_arg1867z00_9419;

							BgL_arg1866z00_9418 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 101 */
								long BgL_arg1869z00_9420;

								BgL_arg1869z00_9420 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1345z00_7948)));
								BgL_arg1867z00_9419 = (BgL_arg1869z00_9420 - OBJECT_TYPE);
							}
							BgL_arg2730z00_9417 =
								VECTOR_REF(BgL_arg1866z00_9418, BgL_arg1867z00_9419);
						}
						BgL_arg2729z00_9416 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2730z00_9417);
					}
					{	/* Liveness/types.scm 101 */
						obj_t BgL_tmpz00_16366;

						BgL_tmpz00_16366 = ((obj_t) BgL_arg2729z00_9416);
						BgL_arg2728z00_9415 = BGL_CLASS_NUM(BgL_tmpz00_16366);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_newz00_bglt) BgL_o1345z00_7948)), BgL_arg2728z00_9415);
			}
			{	/* Liveness/types.scm 101 */
				BgL_objectz00_bglt BgL_tmpz00_16372;

				BgL_tmpz00_16372 =
					((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1345z00_7948));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16372, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_o1345z00_7948));
			return ((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1345z00_7948));
		}

	}



/* &<@anonymous:2726> */
	obj_t BGl_z62zc3z04anonymousza32726ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7949, obj_t BgL_new1344z00_7950)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newz00_bglt BgL_auxz00_16380;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_newz00_bglt) BgL_new1344z00_7950))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16384;

					{	/* Liveness/types.scm 101 */
						obj_t BgL_classz00_9422;

						BgL_classz00_9422 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 101 */
							obj_t BgL__ortest_1117z00_9423;

							BgL__ortest_1117z00_9423 = BGL_CLASS_NIL(BgL_classz00_9422);
							if (CBOOL(BgL__ortest_1117z00_9423))
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_16384 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9423);
								}
							else
								{	/* Liveness/types.scm 101 */
									BgL_auxz00_16384 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9422));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_newz00_bglt) BgL_new1344z00_7950))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_16384), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_newz00_bglt) BgL_new1344z00_7950))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_newz00_bglt)
										BgL_new1344z00_7950))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1344z00_7950))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt) ((BgL_newz00_bglt)
										BgL_new1344z00_7950))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_newz00_bglt)
										BgL_new1344z00_7950))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) ((BgL_newz00_bglt)
										BgL_new1344z00_7950))))->BgL_argszd2typezd2) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16412;

					{
						obj_t BgL_auxz00_16413;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16414;

							BgL_tmpz00_16414 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1344z00_7950));
							BgL_auxz00_16413 = BGL_OBJECT_WIDENING(BgL_tmpz00_16414);
						}
						BgL_auxz00_16412 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16413);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16412))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16420;

					{
						obj_t BgL_auxz00_16421;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16422;

							BgL_tmpz00_16422 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1344z00_7950));
							BgL_auxz00_16421 = BGL_OBJECT_WIDENING(BgL_tmpz00_16422);
						}
						BgL_auxz00_16420 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16421);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16420))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16428;

					{
						obj_t BgL_auxz00_16429;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16430;

							BgL_tmpz00_16430 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1344z00_7950));
							BgL_auxz00_16429 = BGL_OBJECT_WIDENING(BgL_tmpz00_16430);
						}
						BgL_auxz00_16428 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16429);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16428))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16436;

					{
						obj_t BgL_auxz00_16437;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16438;

							BgL_tmpz00_16438 =
								((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_new1344z00_7950));
							BgL_auxz00_16437 = BGL_OBJECT_WIDENING(BgL_tmpz00_16438);
						}
						BgL_auxz00_16436 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16437);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16436))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16380 = ((BgL_newz00_bglt) BgL_new1344z00_7950);
				return ((obj_t) BgL_auxz00_16380);
			}
		}

	}



/* &lambda2724 */
	BgL_newz00_bglt BGl_z62lambda2724z62zzliveness_typesz00(obj_t BgL_envz00_7951,
		obj_t BgL_o1341z00_7952)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newzf2livenesszf2_bglt BgL_wide1343z00_9425;

				BgL_wide1343z00_9425 =
					((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_newzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 101 */
					obj_t BgL_auxz00_16451;
					BgL_objectz00_bglt BgL_tmpz00_16447;

					BgL_auxz00_16451 = ((obj_t) BgL_wide1343z00_9425);
					BgL_tmpz00_16447 =
						((BgL_objectz00_bglt)
						((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1341z00_7952)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16447, BgL_auxz00_16451);
				}
				((BgL_objectz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1341z00_7952)));
				{	/* Liveness/types.scm 101 */
					long BgL_arg2725z00_9426;

					BgL_arg2725z00_9426 =
						BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt)
								((BgL_newz00_bglt) BgL_o1341z00_7952))), BgL_arg2725z00_9426);
				}
				return
					((BgL_newz00_bglt)
					((BgL_newz00_bglt) ((BgL_newz00_bglt) BgL_o1341z00_7952)));
			}
		}

	}



/* &lambda2721 */
	BgL_newz00_bglt BGl_z62lambda2721z62zzliveness_typesz00(obj_t BgL_envz00_7953,
		obj_t BgL_loc1329z00_7954, obj_t BgL_type1330z00_7955,
		obj_t BgL_sidezd2effect1331zd2_7956, obj_t BgL_key1332z00_7957,
		obj_t BgL_exprza21333za2_7958, obj_t BgL_effect1334z00_7959,
		obj_t BgL_czd2format1335zd2_7960, obj_t BgL_argszd2type1336zd2_7961,
		obj_t BgL_def1337z00_7962, obj_t BgL_use1338z00_7963,
		obj_t BgL_in1339z00_7964, obj_t BgL_out1340z00_7965)
	{
		{	/* Liveness/types.scm 101 */
			{	/* Liveness/types.scm 101 */
				BgL_newz00_bglt BgL_new1765z00_9435;

				{	/* Liveness/types.scm 101 */
					BgL_newz00_bglt BgL_tmp1763z00_9436;
					BgL_newzf2livenesszf2_bglt BgL_wide1764z00_9437;

					{
						BgL_newz00_bglt BgL_auxz00_16465;

						{	/* Liveness/types.scm 101 */
							BgL_newz00_bglt BgL_new1762z00_9438;

							BgL_new1762z00_9438 =
								((BgL_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_newz00_bgl))));
							{	/* Liveness/types.scm 101 */
								long BgL_arg2723z00_9439;

								BgL_arg2723z00_9439 = BGL_CLASS_NUM(BGl_newz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1762z00_9438),
									BgL_arg2723z00_9439);
							}
							{	/* Liveness/types.scm 101 */
								BgL_objectz00_bglt BgL_tmpz00_16470;

								BgL_tmpz00_16470 = ((BgL_objectz00_bglt) BgL_new1762z00_9438);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16470, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1762z00_9438);
							BgL_auxz00_16465 = BgL_new1762z00_9438;
						}
						BgL_tmp1763z00_9436 = ((BgL_newz00_bglt) BgL_auxz00_16465);
					}
					BgL_wide1764z00_9437 =
						((BgL_newzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_newzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 101 */
						obj_t BgL_auxz00_16478;
						BgL_objectz00_bglt BgL_tmpz00_16476;

						BgL_auxz00_16478 = ((obj_t) BgL_wide1764z00_9437);
						BgL_tmpz00_16476 = ((BgL_objectz00_bglt) BgL_tmp1763z00_9436);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16476, BgL_auxz00_16478);
					}
					((BgL_objectz00_bglt) BgL_tmp1763z00_9436);
					{	/* Liveness/types.scm 101 */
						long BgL_arg2722z00_9440;

						BgL_arg2722z00_9440 =
							BGL_CLASS_NUM(BGl_newzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1763z00_9436), BgL_arg2722z00_9440);
					}
					BgL_new1765z00_9435 = ((BgL_newz00_bglt) BgL_tmp1763z00_9436);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1765z00_9435)))->BgL_locz00) =
					((obj_t) BgL_loc1329z00_7954), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1765z00_9435)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1330z00_7955)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1765z00_9435)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1331zd2_7956), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1765z00_9435)))->BgL_keyz00) =
					((obj_t) BgL_key1332z00_7957), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1765z00_9435)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21333za2_7958)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1765z00_9435)))->BgL_effectz00) =
					((obj_t) BgL_effect1334z00_7959), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1765z00_9435)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1335zd2_7960)), BUNSPEC);
				((((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt) BgL_new1765z00_9435)))->
						BgL_argszd2typezd2) =
					((obj_t) ((obj_t) BgL_argszd2type1336zd2_7961)), BUNSPEC);
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16506;

					{
						obj_t BgL_auxz00_16507;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16508;

							BgL_tmpz00_16508 = ((BgL_objectz00_bglt) BgL_new1765z00_9435);
							BgL_auxz00_16507 = BGL_OBJECT_WIDENING(BgL_tmpz00_16508);
						}
						BgL_auxz00_16506 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16507);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16506))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1337z00_7962)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16514;

					{
						obj_t BgL_auxz00_16515;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16516;

							BgL_tmpz00_16516 = ((BgL_objectz00_bglt) BgL_new1765z00_9435);
							BgL_auxz00_16515 = BGL_OBJECT_WIDENING(BgL_tmpz00_16516);
						}
						BgL_auxz00_16514 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16515);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16514))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1338z00_7963)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16522;

					{
						obj_t BgL_auxz00_16523;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16524;

							BgL_tmpz00_16524 = ((BgL_objectz00_bglt) BgL_new1765z00_9435);
							BgL_auxz00_16523 = BGL_OBJECT_WIDENING(BgL_tmpz00_16524);
						}
						BgL_auxz00_16522 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16523);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16522))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1339z00_7964)), BUNSPEC);
				}
				{
					BgL_newzf2livenesszf2_bglt BgL_auxz00_16530;

					{
						obj_t BgL_auxz00_16531;

						{	/* Liveness/types.scm 101 */
							BgL_objectz00_bglt BgL_tmpz00_16532;

							BgL_tmpz00_16532 = ((BgL_objectz00_bglt) BgL_new1765z00_9435);
							BgL_auxz00_16531 = BGL_OBJECT_WIDENING(BgL_tmpz00_16532);
						}
						BgL_auxz00_16530 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16531);
					}
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16530))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1340z00_7965)), BUNSPEC);
				}
				return BgL_new1765z00_9435;
			}
		}

	}



/* &<@anonymous:2765> */
	obj_t BGl_z62zc3z04anonymousza32765ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7966)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2764 */
	obj_t BGl_z62lambda2764z62zzliveness_typesz00(obj_t BgL_envz00_7967,
		obj_t BgL_oz00_7968, obj_t BgL_vz00_7969)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16538;

				{
					obj_t BgL_auxz00_16539;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16540;

						BgL_tmpz00_16540 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7968));
						BgL_auxz00_16539 = BGL_OBJECT_WIDENING(BgL_tmpz00_16540);
					}
					BgL_auxz00_16538 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16539);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16538))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_7969)), BUNSPEC);
			}
		}

	}



/* &lambda2763 */
	obj_t BGl_z62lambda2763z62zzliveness_typesz00(obj_t BgL_envz00_7970,
		obj_t BgL_oz00_7971)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16547;

				{
					obj_t BgL_auxz00_16548;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16549;

						BgL_tmpz00_16549 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7971));
						BgL_auxz00_16548 = BGL_OBJECT_WIDENING(BgL_tmpz00_16549);
					}
					BgL_auxz00_16547 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16548);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16547))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2755> */
	obj_t BGl_z62zc3z04anonymousza32755ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7972)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2754 */
	obj_t BGl_z62lambda2754z62zzliveness_typesz00(obj_t BgL_envz00_7973,
		obj_t BgL_oz00_7974, obj_t BgL_vz00_7975)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16555;

				{
					obj_t BgL_auxz00_16556;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16557;

						BgL_tmpz00_16557 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7974));
						BgL_auxz00_16556 = BGL_OBJECT_WIDENING(BgL_tmpz00_16557);
					}
					BgL_auxz00_16555 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16556);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16555))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_7975)), BUNSPEC);
			}
		}

	}



/* &lambda2753 */
	obj_t BGl_z62lambda2753z62zzliveness_typesz00(obj_t BgL_envz00_7976,
		obj_t BgL_oz00_7977)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16564;

				{
					obj_t BgL_auxz00_16565;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16566;

						BgL_tmpz00_16566 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7977));
						BgL_auxz00_16565 = BGL_OBJECT_WIDENING(BgL_tmpz00_16566);
					}
					BgL_auxz00_16564 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16565);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16564))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2745> */
	obj_t BGl_z62zc3z04anonymousza32745ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7978)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2744 */
	obj_t BGl_z62lambda2744z62zzliveness_typesz00(obj_t BgL_envz00_7979,
		obj_t BgL_oz00_7980, obj_t BgL_vz00_7981)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16572;

				{
					obj_t BgL_auxz00_16573;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16574;

						BgL_tmpz00_16574 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7980));
						BgL_auxz00_16573 = BGL_OBJECT_WIDENING(BgL_tmpz00_16574);
					}
					BgL_auxz00_16572 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16573);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16572))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_7981)), BUNSPEC);
			}
		}

	}



/* &lambda2743 */
	obj_t BGl_z62lambda2743z62zzliveness_typesz00(obj_t BgL_envz00_7982,
		obj_t BgL_oz00_7983)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16581;

				{
					obj_t BgL_auxz00_16582;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16583;

						BgL_tmpz00_16583 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7983));
						BgL_auxz00_16582 = BGL_OBJECT_WIDENING(BgL_tmpz00_16583);
					}
					BgL_auxz00_16581 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16582);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16581))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2737> */
	obj_t BGl_z62zc3z04anonymousza32737ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7984)
	{
		{	/* Liveness/types.scm 101 */
			return BNIL;
		}

	}



/* &lambda2736 */
	obj_t BGl_z62lambda2736z62zzliveness_typesz00(obj_t BgL_envz00_7985,
		obj_t BgL_oz00_7986, obj_t BgL_vz00_7987)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16589;

				{
					obj_t BgL_auxz00_16590;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16591;

						BgL_tmpz00_16591 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7986));
						BgL_auxz00_16590 = BGL_OBJECT_WIDENING(BgL_tmpz00_16591);
					}
					BgL_auxz00_16589 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16590);
				}
				return
					((((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16589))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_7987)), BUNSPEC);
			}
		}

	}



/* &lambda2735 */
	obj_t BGl_z62lambda2735z62zzliveness_typesz00(obj_t BgL_envz00_7988,
		obj_t BgL_oz00_7989)
	{
		{	/* Liveness/types.scm 101 */
			{
				BgL_newzf2livenesszf2_bglt BgL_auxz00_16598;

				{
					obj_t BgL_auxz00_16599;

					{	/* Liveness/types.scm 101 */
						BgL_objectz00_bglt BgL_tmpz00_16600;

						BgL_tmpz00_16600 =
							((BgL_objectz00_bglt) ((BgL_newz00_bglt) BgL_oz00_7989));
						BgL_auxz00_16599 = BGL_OBJECT_WIDENING(BgL_tmpz00_16600);
					}
					BgL_auxz00_16598 = ((BgL_newzf2livenesszf2_bglt) BgL_auxz00_16599);
				}
				return
					(((BgL_newzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16598))->
					BgL_defz00);
			}
		}

	}



/* &lambda2657 */
	BgL_wideningz00_bglt BGl_z62lambda2657z62zzliveness_typesz00(obj_t
		BgL_envz00_7990, obj_t BgL_o1327z00_7991)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				long BgL_arg2658z00_9454;

				{	/* Liveness/types.scm 95 */
					obj_t BgL_arg2659z00_9455;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_arg2662z00_9456;

						{	/* Liveness/types.scm 95 */
							obj_t BgL_arg1866z00_9457;
							long BgL_arg1867z00_9458;

							BgL_arg1866z00_9457 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 95 */
								long BgL_arg1869z00_9459;

								BgL_arg1869z00_9459 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_wideningz00_bglt) BgL_o1327z00_7991)));
								BgL_arg1867z00_9458 = (BgL_arg1869z00_9459 - OBJECT_TYPE);
							}
							BgL_arg2662z00_9456 =
								VECTOR_REF(BgL_arg1866z00_9457, BgL_arg1867z00_9458);
						}
						BgL_arg2659z00_9455 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2662z00_9456);
					}
					{	/* Liveness/types.scm 95 */
						obj_t BgL_tmpz00_16613;

						BgL_tmpz00_16613 = ((obj_t) BgL_arg2659z00_9455);
						BgL_arg2658z00_9454 = BGL_CLASS_NUM(BgL_tmpz00_16613);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt) BgL_o1327z00_7991)), BgL_arg2658z00_9454);
			}
			{	/* Liveness/types.scm 95 */
				BgL_objectz00_bglt BgL_tmpz00_16619;

				BgL_tmpz00_16619 =
					((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1327z00_7991));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16619, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_o1327z00_7991));
			return
				((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1327z00_7991));
		}

	}



/* &<@anonymous:2656> */
	obj_t BGl_z62zc3z04anonymousza32656ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_7992, obj_t BgL_new1326z00_7993)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningz00_bglt BgL_auxz00_16627;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_wideningz00_bglt) BgL_new1326z00_7993))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16631;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9461;

						BgL_classz00_9461 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1117z00_9462;

							BgL__ortest_1117z00_9462 = BGL_CLASS_NIL(BgL_classz00_9461);
							if (CBOOL(BgL__ortest_1117z00_9462))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16631 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9462);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16631 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9461));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_wideningz00_bglt) BgL_new1326z00_7993))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16631), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_wideningz00_bglt) BgL_new1326z00_7993))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_wideningz00_bglt)
										BgL_new1326z00_7993))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1326z00_7993))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1326z00_7993))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_wideningz00_bglt)
										BgL_new1326z00_7993))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16656;

					{	/* Liveness/types.scm 95 */
						obj_t BgL_classz00_9463;

						BgL_classz00_9463 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 95 */
							obj_t BgL__ortest_1117z00_9464;

							BgL__ortest_1117z00_9464 = BGL_CLASS_NIL(BgL_classz00_9463);
							if (CBOOL(BgL__ortest_1117z00_9464))
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16656 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9464);
								}
							else
								{	/* Liveness/types.scm 95 */
									BgL_auxz00_16656 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9463));
								}
						}
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt)
										((BgL_wideningz00_bglt) BgL_new1326z00_7993))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16656), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16666;

					{
						obj_t BgL_auxz00_16667;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16668;

							BgL_tmpz00_16668 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1326z00_7993));
							BgL_auxz00_16667 = BGL_OBJECT_WIDENING(BgL_tmpz00_16668);
						}
						BgL_auxz00_16666 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16667);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16666))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16674;

					{
						obj_t BgL_auxz00_16675;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16676;

							BgL_tmpz00_16676 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1326z00_7993));
							BgL_auxz00_16675 = BGL_OBJECT_WIDENING(BgL_tmpz00_16676);
						}
						BgL_auxz00_16674 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16675);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16674))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16682;

					{
						obj_t BgL_auxz00_16683;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16684;

							BgL_tmpz00_16684 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1326z00_7993));
							BgL_auxz00_16683 = BGL_OBJECT_WIDENING(BgL_tmpz00_16684);
						}
						BgL_auxz00_16682 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16683);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16682))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16690;

					{
						obj_t BgL_auxz00_16691;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16692;

							BgL_tmpz00_16692 =
								((BgL_objectz00_bglt)
								((BgL_wideningz00_bglt) BgL_new1326z00_7993));
							BgL_auxz00_16691 = BGL_OBJECT_WIDENING(BgL_tmpz00_16692);
						}
						BgL_auxz00_16690 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16691);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16690))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16627 = ((BgL_wideningz00_bglt) BgL_new1326z00_7993);
				return ((obj_t) BgL_auxz00_16627);
			}
		}

	}



/* &lambda2653 */
	BgL_wideningz00_bglt BGl_z62lambda2653z62zzliveness_typesz00(obj_t
		BgL_envz00_7994, obj_t BgL_o1323z00_7995)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningzf2livenesszf2_bglt BgL_wide1325z00_9466;

				BgL_wide1325z00_9466 =
					((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_wideningzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 95 */
					obj_t BgL_auxz00_16705;
					BgL_objectz00_bglt BgL_tmpz00_16701;

					BgL_auxz00_16705 = ((obj_t) BgL_wide1325z00_9466);
					BgL_tmpz00_16701 =
						((BgL_objectz00_bglt)
						((BgL_wideningz00_bglt)
							((BgL_wideningz00_bglt) BgL_o1323z00_7995)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16701, BgL_auxz00_16705);
				}
				((BgL_objectz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1323z00_7995)));
				{	/* Liveness/types.scm 95 */
					long BgL_arg2655z00_9467;

					BgL_arg2655z00_9467 =
						BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt)
								((BgL_wideningz00_bglt) BgL_o1323z00_7995))),
						BgL_arg2655z00_9467);
				}
				return
					((BgL_wideningz00_bglt)
					((BgL_wideningz00_bglt) ((BgL_wideningz00_bglt) BgL_o1323z00_7995)));
			}
		}

	}



/* &lambda2646 */
	BgL_wideningz00_bglt BGl_z62lambda2646z62zzliveness_typesz00(obj_t
		BgL_envz00_7996, obj_t BgL_loc1311z00_7997, obj_t BgL_type1312z00_7998,
		obj_t BgL_sidezd2effect1313zd2_7999, obj_t BgL_key1314z00_8000,
		obj_t BgL_exprza21315za2_8001, obj_t BgL_effect1316z00_8002,
		obj_t BgL_czd2format1317zd2_8003, obj_t BgL_otype1318z00_8004,
		obj_t BgL_def1319z00_8005, obj_t BgL_use1320z00_8006,
		obj_t BgL_in1321z00_8007, obj_t BgL_out1322z00_8008)
	{
		{	/* Liveness/types.scm 95 */
			{	/* Liveness/types.scm 95 */
				BgL_wideningz00_bglt BgL_new1760z00_9476;

				{	/* Liveness/types.scm 95 */
					BgL_wideningz00_bglt BgL_tmp1758z00_9477;
					BgL_wideningzf2livenesszf2_bglt BgL_wide1759z00_9478;

					{
						BgL_wideningz00_bglt BgL_auxz00_16719;

						{	/* Liveness/types.scm 95 */
							BgL_wideningz00_bglt BgL_new1757z00_9479;

							BgL_new1757z00_9479 =
								((BgL_wideningz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_wideningz00_bgl))));
							{	/* Liveness/types.scm 95 */
								long BgL_arg2652z00_9480;

								BgL_arg2652z00_9480 =
									BGL_CLASS_NUM(BGl_wideningz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1757z00_9479),
									BgL_arg2652z00_9480);
							}
							{	/* Liveness/types.scm 95 */
								BgL_objectz00_bglt BgL_tmpz00_16724;

								BgL_tmpz00_16724 = ((BgL_objectz00_bglt) BgL_new1757z00_9479);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16724, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1757z00_9479);
							BgL_auxz00_16719 = BgL_new1757z00_9479;
						}
						BgL_tmp1758z00_9477 = ((BgL_wideningz00_bglt) BgL_auxz00_16719);
					}
					BgL_wide1759z00_9478 =
						((BgL_wideningzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_wideningzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 95 */
						obj_t BgL_auxz00_16732;
						BgL_objectz00_bglt BgL_tmpz00_16730;

						BgL_auxz00_16732 = ((obj_t) BgL_wide1759z00_9478);
						BgL_tmpz00_16730 = ((BgL_objectz00_bglt) BgL_tmp1758z00_9477);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16730, BgL_auxz00_16732);
					}
					((BgL_objectz00_bglt) BgL_tmp1758z00_9477);
					{	/* Liveness/types.scm 95 */
						long BgL_arg2649z00_9481;

						BgL_arg2649z00_9481 =
							BGL_CLASS_NUM(BGl_wideningzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1758z00_9477), BgL_arg2649z00_9481);
					}
					BgL_new1760z00_9476 = ((BgL_wideningz00_bglt) BgL_tmp1758z00_9477);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1760z00_9476)))->BgL_locz00) =
					((obj_t) BgL_loc1311z00_7997), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1760z00_9476)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1312z00_7998)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1760z00_9476)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1313zd2_7999), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1760z00_9476)))->BgL_keyz00) =
					((obj_t) BgL_key1314z00_8000), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1760z00_9476)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21315za2_8001)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1760z00_9476)))->BgL_effectz00) =
					((obj_t) BgL_effect1316z00_8002), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1760z00_9476)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1317zd2_8003)), BUNSPEC);
				((((BgL_wideningz00_bglt) COBJECT(((BgL_wideningz00_bglt)
									BgL_new1760z00_9476)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1318z00_8004)),
					BUNSPEC);
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16760;

					{
						obj_t BgL_auxz00_16761;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16762;

							BgL_tmpz00_16762 = ((BgL_objectz00_bglt) BgL_new1760z00_9476);
							BgL_auxz00_16761 = BGL_OBJECT_WIDENING(BgL_tmpz00_16762);
						}
						BgL_auxz00_16760 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16761);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16760))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1319z00_8005)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16768;

					{
						obj_t BgL_auxz00_16769;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16770;

							BgL_tmpz00_16770 = ((BgL_objectz00_bglt) BgL_new1760z00_9476);
							BgL_auxz00_16769 = BGL_OBJECT_WIDENING(BgL_tmpz00_16770);
						}
						BgL_auxz00_16768 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16769);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16768))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1320z00_8006)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16776;

					{
						obj_t BgL_auxz00_16777;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16778;

							BgL_tmpz00_16778 = ((BgL_objectz00_bglt) BgL_new1760z00_9476);
							BgL_auxz00_16777 = BGL_OBJECT_WIDENING(BgL_tmpz00_16778);
						}
						BgL_auxz00_16776 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16777);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16776))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1321z00_8007)), BUNSPEC);
				}
				{
					BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16784;

					{
						obj_t BgL_auxz00_16785;

						{	/* Liveness/types.scm 95 */
							BgL_objectz00_bglt BgL_tmpz00_16786;

							BgL_tmpz00_16786 = ((BgL_objectz00_bglt) BgL_new1760z00_9476);
							BgL_auxz00_16785 = BGL_OBJECT_WIDENING(BgL_tmpz00_16786);
						}
						BgL_auxz00_16784 =
							((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16785);
					}
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16784))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1322z00_8008)), BUNSPEC);
				}
				return BgL_new1760z00_9476;
			}
		}

	}



/* &<@anonymous:2708> */
	obj_t BGl_z62zc3z04anonymousza32708ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8009)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2707 */
	obj_t BGl_z62lambda2707z62zzliveness_typesz00(obj_t BgL_envz00_8010,
		obj_t BgL_oz00_8011, obj_t BgL_vz00_8012)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16792;

				{
					obj_t BgL_auxz00_16793;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16794;

						BgL_tmpz00_16794 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8011));
						BgL_auxz00_16793 = BGL_OBJECT_WIDENING(BgL_tmpz00_16794);
					}
					BgL_auxz00_16792 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16793);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16792))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8012)), BUNSPEC);
			}
		}

	}



/* &lambda2706 */
	obj_t BGl_z62lambda2706z62zzliveness_typesz00(obj_t BgL_envz00_8013,
		obj_t BgL_oz00_8014)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16801;

				{
					obj_t BgL_auxz00_16802;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16803;

						BgL_tmpz00_16803 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8014));
						BgL_auxz00_16802 = BGL_OBJECT_WIDENING(BgL_tmpz00_16803);
					}
					BgL_auxz00_16801 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16802);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16801))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2687> */
	obj_t BGl_z62zc3z04anonymousza32687ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8015)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2686 */
	obj_t BGl_z62lambda2686z62zzliveness_typesz00(obj_t BgL_envz00_8016,
		obj_t BgL_oz00_8017, obj_t BgL_vz00_8018)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16809;

				{
					obj_t BgL_auxz00_16810;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16811;

						BgL_tmpz00_16811 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8017));
						BgL_auxz00_16810 = BGL_OBJECT_WIDENING(BgL_tmpz00_16811);
					}
					BgL_auxz00_16809 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16810);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16809))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8018)), BUNSPEC);
			}
		}

	}



/* &lambda2685 */
	obj_t BGl_z62lambda2685z62zzliveness_typesz00(obj_t BgL_envz00_8019,
		obj_t BgL_oz00_8020)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16818;

				{
					obj_t BgL_auxz00_16819;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16820;

						BgL_tmpz00_16820 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8020));
						BgL_auxz00_16819 = BGL_OBJECT_WIDENING(BgL_tmpz00_16820);
					}
					BgL_auxz00_16818 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16819);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16818))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2678> */
	obj_t BGl_z62zc3z04anonymousza32678ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8021)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2677 */
	obj_t BGl_z62lambda2677z62zzliveness_typesz00(obj_t BgL_envz00_8022,
		obj_t BgL_oz00_8023, obj_t BgL_vz00_8024)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16826;

				{
					obj_t BgL_auxz00_16827;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16828;

						BgL_tmpz00_16828 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8023));
						BgL_auxz00_16827 = BGL_OBJECT_WIDENING(BgL_tmpz00_16828);
					}
					BgL_auxz00_16826 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16827);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16826))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8024)), BUNSPEC);
			}
		}

	}



/* &lambda2676 */
	obj_t BGl_z62lambda2676z62zzliveness_typesz00(obj_t BgL_envz00_8025,
		obj_t BgL_oz00_8026)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16835;

				{
					obj_t BgL_auxz00_16836;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16837;

						BgL_tmpz00_16837 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8026));
						BgL_auxz00_16836 = BGL_OBJECT_WIDENING(BgL_tmpz00_16837);
					}
					BgL_auxz00_16835 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16836);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16835))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2670> */
	obj_t BGl_z62zc3z04anonymousza32670ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8027)
	{
		{	/* Liveness/types.scm 95 */
			return BNIL;
		}

	}



/* &lambda2669 */
	obj_t BGl_z62lambda2669z62zzliveness_typesz00(obj_t BgL_envz00_8028,
		obj_t BgL_oz00_8029, obj_t BgL_vz00_8030)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16843;

				{
					obj_t BgL_auxz00_16844;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16845;

						BgL_tmpz00_16845 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8029));
						BgL_auxz00_16844 = BGL_OBJECT_WIDENING(BgL_tmpz00_16845);
					}
					BgL_auxz00_16843 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16844);
				}
				return
					((((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16843))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8030)), BUNSPEC);
			}
		}

	}



/* &lambda2668 */
	obj_t BGl_z62lambda2668z62zzliveness_typesz00(obj_t BgL_envz00_8031,
		obj_t BgL_oz00_8032)
	{
		{	/* Liveness/types.scm 95 */
			{
				BgL_wideningzf2livenesszf2_bglt BgL_auxz00_16852;

				{
					obj_t BgL_auxz00_16853;

					{	/* Liveness/types.scm 95 */
						BgL_objectz00_bglt BgL_tmpz00_16854;

						BgL_tmpz00_16854 =
							((BgL_objectz00_bglt) ((BgL_wideningz00_bglt) BgL_oz00_8032));
						BgL_auxz00_16853 = BGL_OBJECT_WIDENING(BgL_tmpz00_16854);
					}
					BgL_auxz00_16852 =
						((BgL_wideningzf2livenesszf2_bglt) BgL_auxz00_16853);
				}
				return
					(((BgL_wideningzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16852))->
					BgL_defz00);
			}
		}

	}



/* &lambda2595 */
	BgL_setfieldz00_bglt BGl_z62lambda2595z62zzliveness_typesz00(obj_t
		BgL_envz00_8033, obj_t BgL_o1309z00_8034)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				long BgL_arg2596z00_9495;

				{	/* Liveness/types.scm 89 */
					obj_t BgL_arg2597z00_9496;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_arg2599z00_9497;

						{	/* Liveness/types.scm 89 */
							obj_t BgL_arg1866z00_9498;
							long BgL_arg1867z00_9499;

							BgL_arg1866z00_9498 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 89 */
								long BgL_arg1869z00_9500;

								BgL_arg1869z00_9500 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_setfieldz00_bglt) BgL_o1309z00_8034)));
								BgL_arg1867z00_9499 = (BgL_arg1869z00_9500 - OBJECT_TYPE);
							}
							BgL_arg2599z00_9497 =
								VECTOR_REF(BgL_arg1866z00_9498, BgL_arg1867z00_9499);
						}
						BgL_arg2597z00_9496 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2599z00_9497);
					}
					{	/* Liveness/types.scm 89 */
						obj_t BgL_tmpz00_16867;

						BgL_tmpz00_16867 = ((obj_t) BgL_arg2597z00_9496);
						BgL_arg2596z00_9495 = BGL_CLASS_NUM(BgL_tmpz00_16867);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt) BgL_o1309z00_8034)), BgL_arg2596z00_9495);
			}
			{	/* Liveness/types.scm 89 */
				BgL_objectz00_bglt BgL_tmpz00_16873;

				BgL_tmpz00_16873 =
					((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1309z00_8034));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16873, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1309z00_8034));
			return
				((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1309z00_8034));
		}

	}



/* &<@anonymous:2594> */
	obj_t BGl_z62zc3z04anonymousza32594ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8035, obj_t BgL_new1308z00_8036)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldz00_bglt BgL_auxz00_16881;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_setfieldz00_bglt) BgL_new1308z00_8036))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16885;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9502;

						BgL_classz00_9502 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1117z00_9503;

							BgL__ortest_1117z00_9503 = BGL_CLASS_NIL(BgL_classz00_9502);
							if (CBOOL(BgL__ortest_1117z00_9503))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16885 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9503);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16885 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9502));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1308z00_8036))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_16885), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_setfieldz00_bglt) BgL_new1308z00_8036))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1308z00_8036))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1308z00_8036))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1308z00_8036))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1308z00_8036))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				((((BgL_setfieldz00_bglt)
							COBJECT(((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt)
										BgL_new1308z00_8036))))->BgL_fnamez00) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_16913;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9504;

						BgL_classz00_9504 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1117z00_9505;

							BgL__ortest_1117z00_9505 = BGL_CLASS_NIL(BgL_classz00_9504);
							if (CBOOL(BgL__ortest_1117z00_9505))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16913 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9505);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16913 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9504));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1308z00_8036))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_16913), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_16923;

					{	/* Liveness/types.scm 89 */
						obj_t BgL_classz00_9506;

						BgL_classz00_9506 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 89 */
							obj_t BgL__ortest_1117z00_9507;

							BgL__ortest_1117z00_9507 = BGL_CLASS_NIL(BgL_classz00_9506);
							if (CBOOL(BgL__ortest_1117z00_9507))
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16923 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9507);
								}
							else
								{	/* Liveness/types.scm 89 */
									BgL_auxz00_16923 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9506));
								}
						}
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt)
										((BgL_setfieldz00_bglt) BgL_new1308z00_8036))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_16923), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16933;

					{
						obj_t BgL_auxz00_16934;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16935;

							BgL_tmpz00_16935 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1308z00_8036));
							BgL_auxz00_16934 = BGL_OBJECT_WIDENING(BgL_tmpz00_16935);
						}
						BgL_auxz00_16933 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16934);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16933))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16941;

					{
						obj_t BgL_auxz00_16942;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16943;

							BgL_tmpz00_16943 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1308z00_8036));
							BgL_auxz00_16942 = BGL_OBJECT_WIDENING(BgL_tmpz00_16943);
						}
						BgL_auxz00_16941 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16942);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16941))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16949;

					{
						obj_t BgL_auxz00_16950;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16951;

							BgL_tmpz00_16951 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1308z00_8036));
							BgL_auxz00_16950 = BGL_OBJECT_WIDENING(BgL_tmpz00_16951);
						}
						BgL_auxz00_16949 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16950);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16949))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_16957;

					{
						obj_t BgL_auxz00_16958;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_16959;

							BgL_tmpz00_16959 =
								((BgL_objectz00_bglt)
								((BgL_setfieldz00_bglt) BgL_new1308z00_8036));
							BgL_auxz00_16958 = BGL_OBJECT_WIDENING(BgL_tmpz00_16959);
						}
						BgL_auxz00_16957 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_16958);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_16957))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_16881 = ((BgL_setfieldz00_bglt) BgL_new1308z00_8036);
				return ((obj_t) BgL_auxz00_16881);
			}
		}

	}



/* &lambda2591 */
	BgL_setfieldz00_bglt BGl_z62lambda2591z62zzliveness_typesz00(obj_t
		BgL_envz00_8037, obj_t BgL_o1305z00_8038)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldzf2livenesszf2_bglt BgL_wide1307z00_9509;

				BgL_wide1307z00_9509 =
					((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_setfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 89 */
					obj_t BgL_auxz00_16972;
					BgL_objectz00_bglt BgL_tmpz00_16968;

					BgL_auxz00_16972 = ((obj_t) BgL_wide1307z00_9509);
					BgL_tmpz00_16968 =
						((BgL_objectz00_bglt)
						((BgL_setfieldz00_bglt)
							((BgL_setfieldz00_bglt) BgL_o1305z00_8038)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16968, BgL_auxz00_16972);
				}
				((BgL_objectz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1305z00_8038)));
				{	/* Liveness/types.scm 89 */
					long BgL_arg2593z00_9510;

					BgL_arg2593z00_9510 =
						BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt)
								((BgL_setfieldz00_bglt) BgL_o1305z00_8038))),
						BgL_arg2593z00_9510);
				}
				return
					((BgL_setfieldz00_bglt)
					((BgL_setfieldz00_bglt) ((BgL_setfieldz00_bglt) BgL_o1305z00_8038)));
			}
		}

	}



/* &lambda2587 */
	BgL_setfieldz00_bglt BGl_z62lambda2587z62zzliveness_typesz00(obj_t
		BgL_envz00_8039, obj_t BgL_loc1291z00_8040, obj_t BgL_type1292z00_8041,
		obj_t BgL_sidezd2effect1293zd2_8042, obj_t BgL_key1294z00_8043,
		obj_t BgL_exprza21295za2_8044, obj_t BgL_effect1296z00_8045,
		obj_t BgL_czd2format1297zd2_8046, obj_t BgL_fname1298z00_8047,
		obj_t BgL_ftype1299z00_8048, obj_t BgL_otype1300z00_8049,
		obj_t BgL_def1301z00_8050, obj_t BgL_use1302z00_8051,
		obj_t BgL_in1303z00_8052, obj_t BgL_out1304z00_8053)
	{
		{	/* Liveness/types.scm 89 */
			{	/* Liveness/types.scm 89 */
				BgL_setfieldz00_bglt BgL_new1755z00_9521;

				{	/* Liveness/types.scm 89 */
					BgL_setfieldz00_bglt BgL_tmp1753z00_9522;
					BgL_setfieldzf2livenesszf2_bglt BgL_wide1754z00_9523;

					{
						BgL_setfieldz00_bglt BgL_auxz00_16986;

						{	/* Liveness/types.scm 89 */
							BgL_setfieldz00_bglt BgL_new1752z00_9524;

							BgL_new1752z00_9524 =
								((BgL_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_setfieldz00_bgl))));
							{	/* Liveness/types.scm 89 */
								long BgL_arg2590z00_9525;

								BgL_arg2590z00_9525 =
									BGL_CLASS_NUM(BGl_setfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1752z00_9524),
									BgL_arg2590z00_9525);
							}
							{	/* Liveness/types.scm 89 */
								BgL_objectz00_bglt BgL_tmpz00_16991;

								BgL_tmpz00_16991 = ((BgL_objectz00_bglt) BgL_new1752z00_9524);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16991, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1752z00_9524);
							BgL_auxz00_16986 = BgL_new1752z00_9524;
						}
						BgL_tmp1753z00_9522 = ((BgL_setfieldz00_bglt) BgL_auxz00_16986);
					}
					BgL_wide1754z00_9523 =
						((BgL_setfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_setfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 89 */
						obj_t BgL_auxz00_16999;
						BgL_objectz00_bglt BgL_tmpz00_16997;

						BgL_auxz00_16999 = ((obj_t) BgL_wide1754z00_9523);
						BgL_tmpz00_16997 = ((BgL_objectz00_bglt) BgL_tmp1753z00_9522);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_16997, BgL_auxz00_16999);
					}
					((BgL_objectz00_bglt) BgL_tmp1753z00_9522);
					{	/* Liveness/types.scm 89 */
						long BgL_arg2588z00_9526;

						BgL_arg2588z00_9526 =
							BGL_CLASS_NUM(BGl_setfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1753z00_9522), BgL_arg2588z00_9526);
					}
					BgL_new1755z00_9521 = ((BgL_setfieldz00_bglt) BgL_tmp1753z00_9522);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1755z00_9521)))->BgL_locz00) =
					((obj_t) BgL_loc1291z00_8040), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1755z00_9521)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1292z00_8041)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1755z00_9521)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1293zd2_8042), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1755z00_9521)))->BgL_keyz00) =
					((obj_t) BgL_key1294z00_8043), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1755z00_9521)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21295za2_8044)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1755z00_9521)))->BgL_effectz00) =
					((obj_t) BgL_effect1296z00_8045), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1755z00_9521)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1297zd2_8046)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1755z00_9521)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1298z00_8047)), BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1755z00_9521)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1299z00_8048)),
					BUNSPEC);
				((((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
									BgL_new1755z00_9521)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1300z00_8049)),
					BUNSPEC);
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17033;

					{
						obj_t BgL_auxz00_17034;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_17035;

							BgL_tmpz00_17035 = ((BgL_objectz00_bglt) BgL_new1755z00_9521);
							BgL_auxz00_17034 = BGL_OBJECT_WIDENING(BgL_tmpz00_17035);
						}
						BgL_auxz00_17033 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17034);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17033))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1301z00_8050)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17041;

					{
						obj_t BgL_auxz00_17042;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_17043;

							BgL_tmpz00_17043 = ((BgL_objectz00_bglt) BgL_new1755z00_9521);
							BgL_auxz00_17042 = BGL_OBJECT_WIDENING(BgL_tmpz00_17043);
						}
						BgL_auxz00_17041 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17042);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17041))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1302z00_8051)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17049;

					{
						obj_t BgL_auxz00_17050;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_17051;

							BgL_tmpz00_17051 = ((BgL_objectz00_bglt) BgL_new1755z00_9521);
							BgL_auxz00_17050 = BGL_OBJECT_WIDENING(BgL_tmpz00_17051);
						}
						BgL_auxz00_17049 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17050);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17049))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1303z00_8052)), BUNSPEC);
				}
				{
					BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17057;

					{
						obj_t BgL_auxz00_17058;

						{	/* Liveness/types.scm 89 */
							BgL_objectz00_bglt BgL_tmpz00_17059;

							BgL_tmpz00_17059 = ((BgL_objectz00_bglt) BgL_new1755z00_9521);
							BgL_auxz00_17058 = BGL_OBJECT_WIDENING(BgL_tmpz00_17059);
						}
						BgL_auxz00_17057 =
							((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17058);
					}
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17057))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1304z00_8053)), BUNSPEC);
				}
				return BgL_new1755z00_9521;
			}
		}

	}



/* &<@anonymous:2633> */
	obj_t BGl_z62zc3z04anonymousza32633ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8054)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2632 */
	obj_t BGl_z62lambda2632z62zzliveness_typesz00(obj_t BgL_envz00_8055,
		obj_t BgL_oz00_8056, obj_t BgL_vz00_8057)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17065;

				{
					obj_t BgL_auxz00_17066;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17067;

						BgL_tmpz00_17067 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8056));
						BgL_auxz00_17066 = BGL_OBJECT_WIDENING(BgL_tmpz00_17067);
					}
					BgL_auxz00_17065 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17066);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17065))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8057)), BUNSPEC);
			}
		}

	}



/* &lambda2631 */
	obj_t BGl_z62lambda2631z62zzliveness_typesz00(obj_t BgL_envz00_8058,
		obj_t BgL_oz00_8059)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17074;

				{
					obj_t BgL_auxz00_17075;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17076;

						BgL_tmpz00_17076 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8059));
						BgL_auxz00_17075 = BGL_OBJECT_WIDENING(BgL_tmpz00_17076);
					}
					BgL_auxz00_17074 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17075);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17074))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2625> */
	obj_t BGl_z62zc3z04anonymousza32625ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8060)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2624 */
	obj_t BGl_z62lambda2624z62zzliveness_typesz00(obj_t BgL_envz00_8061,
		obj_t BgL_oz00_8062, obj_t BgL_vz00_8063)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17082;

				{
					obj_t BgL_auxz00_17083;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17084;

						BgL_tmpz00_17084 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8062));
						BgL_auxz00_17083 = BGL_OBJECT_WIDENING(BgL_tmpz00_17084);
					}
					BgL_auxz00_17082 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17083);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17082))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8063)), BUNSPEC);
			}
		}

	}



/* &lambda2623 */
	obj_t BGl_z62lambda2623z62zzliveness_typesz00(obj_t BgL_envz00_8064,
		obj_t BgL_oz00_8065)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17091;

				{
					obj_t BgL_auxz00_17092;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17093;

						BgL_tmpz00_17093 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8065));
						BgL_auxz00_17092 = BGL_OBJECT_WIDENING(BgL_tmpz00_17093);
					}
					BgL_auxz00_17091 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17092);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17091))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2613> */
	obj_t BGl_z62zc3z04anonymousza32613ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8066)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2612 */
	obj_t BGl_z62lambda2612z62zzliveness_typesz00(obj_t BgL_envz00_8067,
		obj_t BgL_oz00_8068, obj_t BgL_vz00_8069)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17099;

				{
					obj_t BgL_auxz00_17100;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17101;

						BgL_tmpz00_17101 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8068));
						BgL_auxz00_17100 = BGL_OBJECT_WIDENING(BgL_tmpz00_17101);
					}
					BgL_auxz00_17099 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17100);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17099))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8069)), BUNSPEC);
			}
		}

	}



/* &lambda2611 */
	obj_t BGl_z62lambda2611z62zzliveness_typesz00(obj_t BgL_envz00_8070,
		obj_t BgL_oz00_8071)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17108;

				{
					obj_t BgL_auxz00_17109;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17110;

						BgL_tmpz00_17110 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8071));
						BgL_auxz00_17109 = BGL_OBJECT_WIDENING(BgL_tmpz00_17110);
					}
					BgL_auxz00_17108 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17109);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17108))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2606> */
	obj_t BGl_z62zc3z04anonymousza32606ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8072)
	{
		{	/* Liveness/types.scm 89 */
			return BNIL;
		}

	}



/* &lambda2605 */
	obj_t BGl_z62lambda2605z62zzliveness_typesz00(obj_t BgL_envz00_8073,
		obj_t BgL_oz00_8074, obj_t BgL_vz00_8075)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17116;

				{
					obj_t BgL_auxz00_17117;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17118;

						BgL_tmpz00_17118 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8074));
						BgL_auxz00_17117 = BGL_OBJECT_WIDENING(BgL_tmpz00_17118);
					}
					BgL_auxz00_17116 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17117);
				}
				return
					((((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17116))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8075)), BUNSPEC);
			}
		}

	}



/* &lambda2604 */
	obj_t BGl_z62lambda2604z62zzliveness_typesz00(obj_t BgL_envz00_8076,
		obj_t BgL_oz00_8077)
	{
		{	/* Liveness/types.scm 89 */
			{
				BgL_setfieldzf2livenesszf2_bglt BgL_auxz00_17125;

				{
					obj_t BgL_auxz00_17126;

					{	/* Liveness/types.scm 89 */
						BgL_objectz00_bglt BgL_tmpz00_17127;

						BgL_tmpz00_17127 =
							((BgL_objectz00_bglt) ((BgL_setfieldz00_bglt) BgL_oz00_8077));
						BgL_auxz00_17126 = BGL_OBJECT_WIDENING(BgL_tmpz00_17127);
					}
					BgL_auxz00_17125 =
						((BgL_setfieldzf2livenesszf2_bglt) BgL_auxz00_17126);
				}
				return
					(((BgL_setfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17125))->
					BgL_defz00);
			}
		}

	}



/* &lambda2547 */
	BgL_getfieldz00_bglt BGl_z62lambda2547z62zzliveness_typesz00(obj_t
		BgL_envz00_8078, obj_t BgL_o1289z00_8079)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				long BgL_arg2548z00_9540;

				{	/* Liveness/types.scm 83 */
					obj_t BgL_arg2549z00_9541;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_arg2550z00_9542;

						{	/* Liveness/types.scm 83 */
							obj_t BgL_arg1866z00_9543;
							long BgL_arg1867z00_9544;

							BgL_arg1866z00_9543 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 83 */
								long BgL_arg1869z00_9545;

								BgL_arg1869z00_9545 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_getfieldz00_bglt) BgL_o1289z00_8079)));
								BgL_arg1867z00_9544 = (BgL_arg1869z00_9545 - OBJECT_TYPE);
							}
							BgL_arg2550z00_9542 =
								VECTOR_REF(BgL_arg1866z00_9543, BgL_arg1867z00_9544);
						}
						BgL_arg2549z00_9541 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2550z00_9542);
					}
					{	/* Liveness/types.scm 83 */
						obj_t BgL_tmpz00_17140;

						BgL_tmpz00_17140 = ((obj_t) BgL_arg2549z00_9541);
						BgL_arg2548z00_9540 = BGL_CLASS_NUM(BgL_tmpz00_17140);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt) BgL_o1289z00_8079)), BgL_arg2548z00_9540);
			}
			{	/* Liveness/types.scm 83 */
				BgL_objectz00_bglt BgL_tmpz00_17146;

				BgL_tmpz00_17146 =
					((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1289z00_8079));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17146, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1289z00_8079));
			return
				((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1289z00_8079));
		}

	}



/* &<@anonymous:2546> */
	obj_t BGl_z62zc3z04anonymousza32546ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8080, obj_t BgL_new1288z00_8081)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldz00_bglt BgL_auxz00_17154;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_getfieldz00_bglt) BgL_new1288z00_8081))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17158;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9547;

						BgL_classz00_9547 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1117z00_9548;

							BgL__ortest_1117z00_9548 = BGL_CLASS_NIL(BgL_classz00_9547);
							if (CBOOL(BgL__ortest_1117z00_9548))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17158 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9548);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17158 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9547));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1288z00_8081))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17158), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_getfieldz00_bglt) BgL_new1288z00_8081))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1288z00_8081))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1288z00_8081))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1288z00_8081))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_privatez00_bglt)
							COBJECT(((BgL_privatez00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1288z00_8081))))->BgL_czd2formatzd2) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				((((BgL_getfieldz00_bglt)
							COBJECT(((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt)
										BgL_new1288z00_8081))))->BgL_fnamez00) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17186;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9549;

						BgL_classz00_9549 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1117z00_9550;

							BgL__ortest_1117z00_9550 = BGL_CLASS_NIL(BgL_classz00_9549);
							if (CBOOL(BgL__ortest_1117z00_9550))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17186 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9550);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17186 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9549));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1288z00_8081))))->
							BgL_ftypez00) = ((BgL_typez00_bglt) BgL_auxz00_17186), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_17196;

					{	/* Liveness/types.scm 83 */
						obj_t BgL_classz00_9551;

						BgL_classz00_9551 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 83 */
							obj_t BgL__ortest_1117z00_9552;

							BgL__ortest_1117z00_9552 = BGL_CLASS_NIL(BgL_classz00_9551);
							if (CBOOL(BgL__ortest_1117z00_9552))
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17196 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9552);
								}
							else
								{	/* Liveness/types.scm 83 */
									BgL_auxz00_17196 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9551));
								}
						}
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt)
										((BgL_getfieldz00_bglt) BgL_new1288z00_8081))))->
							BgL_otypez00) = ((BgL_typez00_bglt) BgL_auxz00_17196), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17206;

					{
						obj_t BgL_auxz00_17207;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17208;

							BgL_tmpz00_17208 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1288z00_8081));
							BgL_auxz00_17207 = BGL_OBJECT_WIDENING(BgL_tmpz00_17208);
						}
						BgL_auxz00_17206 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17207);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17206))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17214;

					{
						obj_t BgL_auxz00_17215;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17216;

							BgL_tmpz00_17216 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1288z00_8081));
							BgL_auxz00_17215 = BGL_OBJECT_WIDENING(BgL_tmpz00_17216);
						}
						BgL_auxz00_17214 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17215);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17214))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17222;

					{
						obj_t BgL_auxz00_17223;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17224;

							BgL_tmpz00_17224 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1288z00_8081));
							BgL_auxz00_17223 = BGL_OBJECT_WIDENING(BgL_tmpz00_17224);
						}
						BgL_auxz00_17222 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17223);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17222))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17230;

					{
						obj_t BgL_auxz00_17231;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17232;

							BgL_tmpz00_17232 =
								((BgL_objectz00_bglt)
								((BgL_getfieldz00_bglt) BgL_new1288z00_8081));
							BgL_auxz00_17231 = BGL_OBJECT_WIDENING(BgL_tmpz00_17232);
						}
						BgL_auxz00_17230 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17231);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17230))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17154 = ((BgL_getfieldz00_bglt) BgL_new1288z00_8081);
				return ((obj_t) BgL_auxz00_17154);
			}
		}

	}



/* &lambda2543 */
	BgL_getfieldz00_bglt BGl_z62lambda2543z62zzliveness_typesz00(obj_t
		BgL_envz00_8082, obj_t BgL_o1285z00_8083)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldzf2livenesszf2_bglt BgL_wide1287z00_9554;

				BgL_wide1287z00_9554 =
					((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_getfieldzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 83 */
					obj_t BgL_auxz00_17245;
					BgL_objectz00_bglt BgL_tmpz00_17241;

					BgL_auxz00_17245 = ((obj_t) BgL_wide1287z00_9554);
					BgL_tmpz00_17241 =
						((BgL_objectz00_bglt)
						((BgL_getfieldz00_bglt)
							((BgL_getfieldz00_bglt) BgL_o1285z00_8083)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17241, BgL_auxz00_17245);
				}
				((BgL_objectz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1285z00_8083)));
				{	/* Liveness/types.scm 83 */
					long BgL_arg2545z00_9555;

					BgL_arg2545z00_9555 =
						BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt)
								((BgL_getfieldz00_bglt) BgL_o1285z00_8083))),
						BgL_arg2545z00_9555);
				}
				return
					((BgL_getfieldz00_bglt)
					((BgL_getfieldz00_bglt) ((BgL_getfieldz00_bglt) BgL_o1285z00_8083)));
			}
		}

	}



/* &lambda2539 */
	BgL_getfieldz00_bglt BGl_z62lambda2539z62zzliveness_typesz00(obj_t
		BgL_envz00_8084, obj_t BgL_loc1271z00_8085, obj_t BgL_type1272z00_8086,
		obj_t BgL_sidezd2effect1273zd2_8087, obj_t BgL_key1274z00_8088,
		obj_t BgL_exprza21275za2_8089, obj_t BgL_effect1276z00_8090,
		obj_t BgL_czd2format1277zd2_8091, obj_t BgL_fname1278z00_8092,
		obj_t BgL_ftype1279z00_8093, obj_t BgL_otype1280z00_8094,
		obj_t BgL_def1281z00_8095, obj_t BgL_use1282z00_8096,
		obj_t BgL_in1283z00_8097, obj_t BgL_out1284z00_8098)
	{
		{	/* Liveness/types.scm 83 */
			{	/* Liveness/types.scm 83 */
				BgL_getfieldz00_bglt BgL_new1750z00_9566;

				{	/* Liveness/types.scm 83 */
					BgL_getfieldz00_bglt BgL_tmp1748z00_9567;
					BgL_getfieldzf2livenesszf2_bglt BgL_wide1749z00_9568;

					{
						BgL_getfieldz00_bglt BgL_auxz00_17259;

						{	/* Liveness/types.scm 83 */
							BgL_getfieldz00_bglt BgL_new1747z00_9569;

							BgL_new1747z00_9569 =
								((BgL_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_getfieldz00_bgl))));
							{	/* Liveness/types.scm 83 */
								long BgL_arg2542z00_9570;

								BgL_arg2542z00_9570 =
									BGL_CLASS_NUM(BGl_getfieldz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1747z00_9569),
									BgL_arg2542z00_9570);
							}
							{	/* Liveness/types.scm 83 */
								BgL_objectz00_bglt BgL_tmpz00_17264;

								BgL_tmpz00_17264 = ((BgL_objectz00_bglt) BgL_new1747z00_9569);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17264, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1747z00_9569);
							BgL_auxz00_17259 = BgL_new1747z00_9569;
						}
						BgL_tmp1748z00_9567 = ((BgL_getfieldz00_bglt) BgL_auxz00_17259);
					}
					BgL_wide1749z00_9568 =
						((BgL_getfieldzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_getfieldzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 83 */
						obj_t BgL_auxz00_17272;
						BgL_objectz00_bglt BgL_tmpz00_17270;

						BgL_auxz00_17272 = ((obj_t) BgL_wide1749z00_9568);
						BgL_tmpz00_17270 = ((BgL_objectz00_bglt) BgL_tmp1748z00_9567);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17270, BgL_auxz00_17272);
					}
					((BgL_objectz00_bglt) BgL_tmp1748z00_9567);
					{	/* Liveness/types.scm 83 */
						long BgL_arg2541z00_9571;

						BgL_arg2541z00_9571 =
							BGL_CLASS_NUM(BGl_getfieldzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1748z00_9567), BgL_arg2541z00_9571);
					}
					BgL_new1750z00_9566 = ((BgL_getfieldz00_bglt) BgL_tmp1748z00_9567);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1750z00_9566)))->BgL_locz00) =
					((obj_t) BgL_loc1271z00_8085), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1750z00_9566)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1272z00_8086)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1750z00_9566)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1273zd2_8087), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1750z00_9566)))->BgL_keyz00) =
					((obj_t) BgL_key1274z00_8088), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1750z00_9566)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21275za2_8089)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1750z00_9566)))->BgL_effectz00) =
					((obj_t) BgL_effect1276z00_8090), BUNSPEC);
				((((BgL_privatez00_bglt) COBJECT(((BgL_privatez00_bglt)
									BgL_new1750z00_9566)))->BgL_czd2formatzd2) =
					((obj_t) ((obj_t) BgL_czd2format1277zd2_8091)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1750z00_9566)))->BgL_fnamez00) =
					((obj_t) ((obj_t) BgL_fname1278z00_8092)), BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1750z00_9566)))->BgL_ftypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ftype1279z00_8093)),
					BUNSPEC);
				((((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
									BgL_new1750z00_9566)))->BgL_otypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_otype1280z00_8094)),
					BUNSPEC);
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17306;

					{
						obj_t BgL_auxz00_17307;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17308;

							BgL_tmpz00_17308 = ((BgL_objectz00_bglt) BgL_new1750z00_9566);
							BgL_auxz00_17307 = BGL_OBJECT_WIDENING(BgL_tmpz00_17308);
						}
						BgL_auxz00_17306 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17307);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17306))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1281z00_8095)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17314;

					{
						obj_t BgL_auxz00_17315;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17316;

							BgL_tmpz00_17316 = ((BgL_objectz00_bglt) BgL_new1750z00_9566);
							BgL_auxz00_17315 = BGL_OBJECT_WIDENING(BgL_tmpz00_17316);
						}
						BgL_auxz00_17314 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17315);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17314))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1282z00_8096)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17322;

					{
						obj_t BgL_auxz00_17323;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17324;

							BgL_tmpz00_17324 = ((BgL_objectz00_bglt) BgL_new1750z00_9566);
							BgL_auxz00_17323 = BGL_OBJECT_WIDENING(BgL_tmpz00_17324);
						}
						BgL_auxz00_17322 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17323);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17322))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1283z00_8097)), BUNSPEC);
				}
				{
					BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17330;

					{
						obj_t BgL_auxz00_17331;

						{	/* Liveness/types.scm 83 */
							BgL_objectz00_bglt BgL_tmpz00_17332;

							BgL_tmpz00_17332 = ((BgL_objectz00_bglt) BgL_new1750z00_9566);
							BgL_auxz00_17331 = BGL_OBJECT_WIDENING(BgL_tmpz00_17332);
						}
						BgL_auxz00_17330 =
							((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17331);
					}
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17330))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1284z00_8098)), BUNSPEC);
				}
				return BgL_new1750z00_9566;
			}
		}

	}



/* &<@anonymous:2580> */
	obj_t BGl_z62zc3z04anonymousza32580ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8099)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2579 */
	obj_t BGl_z62lambda2579z62zzliveness_typesz00(obj_t BgL_envz00_8100,
		obj_t BgL_oz00_8101, obj_t BgL_vz00_8102)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17338;

				{
					obj_t BgL_auxz00_17339;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17340;

						BgL_tmpz00_17340 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8101));
						BgL_auxz00_17339 = BGL_OBJECT_WIDENING(BgL_tmpz00_17340);
					}
					BgL_auxz00_17338 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17339);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17338))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8102)), BUNSPEC);
			}
		}

	}



/* &lambda2578 */
	obj_t BGl_z62lambda2578z62zzliveness_typesz00(obj_t BgL_envz00_8103,
		obj_t BgL_oz00_8104)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17347;

				{
					obj_t BgL_auxz00_17348;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17349;

						BgL_tmpz00_17349 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8104));
						BgL_auxz00_17348 = BGL_OBJECT_WIDENING(BgL_tmpz00_17349);
					}
					BgL_auxz00_17347 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17348);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17347))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2572> */
	obj_t BGl_z62zc3z04anonymousza32572ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8105)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2571 */
	obj_t BGl_z62lambda2571z62zzliveness_typesz00(obj_t BgL_envz00_8106,
		obj_t BgL_oz00_8107, obj_t BgL_vz00_8108)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17355;

				{
					obj_t BgL_auxz00_17356;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17357;

						BgL_tmpz00_17357 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8107));
						BgL_auxz00_17356 = BGL_OBJECT_WIDENING(BgL_tmpz00_17357);
					}
					BgL_auxz00_17355 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17356);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17355))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8108)), BUNSPEC);
			}
		}

	}



/* &lambda2570 */
	obj_t BGl_z62lambda2570z62zzliveness_typesz00(obj_t BgL_envz00_8109,
		obj_t BgL_oz00_8110)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17364;

				{
					obj_t BgL_auxz00_17365;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17366;

						BgL_tmpz00_17366 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8110));
						BgL_auxz00_17365 = BGL_OBJECT_WIDENING(BgL_tmpz00_17366);
					}
					BgL_auxz00_17364 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17365);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17364))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2564> */
	obj_t BGl_z62zc3z04anonymousza32564ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8111)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2563 */
	obj_t BGl_z62lambda2563z62zzliveness_typesz00(obj_t BgL_envz00_8112,
		obj_t BgL_oz00_8113, obj_t BgL_vz00_8114)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17372;

				{
					obj_t BgL_auxz00_17373;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17374;

						BgL_tmpz00_17374 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8113));
						BgL_auxz00_17373 = BGL_OBJECT_WIDENING(BgL_tmpz00_17374);
					}
					BgL_auxz00_17372 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17373);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17372))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8114)), BUNSPEC);
			}
		}

	}



/* &lambda2562 */
	obj_t BGl_z62lambda2562z62zzliveness_typesz00(obj_t BgL_envz00_8115,
		obj_t BgL_oz00_8116)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17381;

				{
					obj_t BgL_auxz00_17382;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17383;

						BgL_tmpz00_17383 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8116));
						BgL_auxz00_17382 = BGL_OBJECT_WIDENING(BgL_tmpz00_17383);
					}
					BgL_auxz00_17381 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17382);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17381))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2557> */
	obj_t BGl_z62zc3z04anonymousza32557ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8117)
	{
		{	/* Liveness/types.scm 83 */
			return BNIL;
		}

	}



/* &lambda2556 */
	obj_t BGl_z62lambda2556z62zzliveness_typesz00(obj_t BgL_envz00_8118,
		obj_t BgL_oz00_8119, obj_t BgL_vz00_8120)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17389;

				{
					obj_t BgL_auxz00_17390;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17391;

						BgL_tmpz00_17391 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8119));
						BgL_auxz00_17390 = BGL_OBJECT_WIDENING(BgL_tmpz00_17391);
					}
					BgL_auxz00_17389 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17390);
				}
				return
					((((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17389))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8120)), BUNSPEC);
			}
		}

	}



/* &lambda2555 */
	obj_t BGl_z62lambda2555z62zzliveness_typesz00(obj_t BgL_envz00_8121,
		obj_t BgL_oz00_8122)
	{
		{	/* Liveness/types.scm 83 */
			{
				BgL_getfieldzf2livenesszf2_bglt BgL_auxz00_17398;

				{
					obj_t BgL_auxz00_17399;

					{	/* Liveness/types.scm 83 */
						BgL_objectz00_bglt BgL_tmpz00_17400;

						BgL_tmpz00_17400 =
							((BgL_objectz00_bglt) ((BgL_getfieldz00_bglt) BgL_oz00_8122));
						BgL_auxz00_17399 = BGL_OBJECT_WIDENING(BgL_tmpz00_17400);
					}
					BgL_auxz00_17398 =
						((BgL_getfieldzf2livenesszf2_bglt) BgL_auxz00_17399);
				}
				return
					(((BgL_getfieldzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17398))->
					BgL_defz00);
			}
		}

	}



/* &lambda2491 */
	BgL_pragmaz00_bglt BGl_z62lambda2491z62zzliveness_typesz00(obj_t
		BgL_envz00_8123, obj_t BgL_o1269z00_8124)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				long BgL_arg2492z00_9585;

				{	/* Liveness/types.scm 77 */
					obj_t BgL_arg2493z00_9586;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_arg2495z00_9587;

						{	/* Liveness/types.scm 77 */
							obj_t BgL_arg1866z00_9588;
							long BgL_arg1867z00_9589;

							BgL_arg1866z00_9588 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 77 */
								long BgL_arg1869z00_9590;

								BgL_arg1869z00_9590 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_pragmaz00_bglt) BgL_o1269z00_8124)));
								BgL_arg1867z00_9589 = (BgL_arg1869z00_9590 - OBJECT_TYPE);
							}
							BgL_arg2495z00_9587 =
								VECTOR_REF(BgL_arg1866z00_9588, BgL_arg1867z00_9589);
						}
						BgL_arg2493z00_9586 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2495z00_9587);
					}
					{	/* Liveness/types.scm 77 */
						obj_t BgL_tmpz00_17413;

						BgL_tmpz00_17413 = ((obj_t) BgL_arg2493z00_9586);
						BgL_arg2492z00_9585 = BGL_CLASS_NUM(BgL_tmpz00_17413);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) BgL_o1269z00_8124)), BgL_arg2492z00_9585);
			}
			{	/* Liveness/types.scm 77 */
				BgL_objectz00_bglt BgL_tmpz00_17419;

				BgL_tmpz00_17419 =
					((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1269z00_8124));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17419, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1269z00_8124));
			return ((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1269z00_8124));
		}

	}



/* &<@anonymous:2490> */
	obj_t BGl_z62zc3z04anonymousza32490ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8125, obj_t BgL_new1268z00_8126)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmaz00_bglt BgL_auxz00_17427;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_pragmaz00_bglt) BgL_new1268z00_8126))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17431;

					{	/* Liveness/types.scm 77 */
						obj_t BgL_classz00_9592;

						BgL_classz00_9592 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 77 */
							obj_t BgL__ortest_1117z00_9593;

							BgL__ortest_1117z00_9593 = BGL_CLASS_NIL(BgL_classz00_9592);
							if (CBOOL(BgL__ortest_1117z00_9593))
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_17431 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9593);
								}
							else
								{	/* Liveness/types.scm 77 */
									BgL_auxz00_17431 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9592));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_pragmaz00_bglt) BgL_new1268z00_8126))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17431), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_pragmaz00_bglt) BgL_new1268z00_8126))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1268z00_8126))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1268z00_8126))))->BgL_exprza2za2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_externz00_bglt)
							COBJECT(((BgL_externz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1268z00_8126))))->BgL_effectz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_pragmaz00_bglt)
							COBJECT(((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1268z00_8126))))->BgL_formatz00) =
					((obj_t) BGl_string4513z00zzliveness_typesz00), BUNSPEC);
				((((BgL_pragmaz00_bglt)
							COBJECT(((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt)
										BgL_new1268z00_8126))))->BgL_srfi0z00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(43))), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17461;

					{
						obj_t BgL_auxz00_17462;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17463;

							BgL_tmpz00_17463 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1268z00_8126));
							BgL_auxz00_17462 = BGL_OBJECT_WIDENING(BgL_tmpz00_17463);
						}
						BgL_auxz00_17461 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17462);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17461))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17469;

					{
						obj_t BgL_auxz00_17470;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17471;

							BgL_tmpz00_17471 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1268z00_8126));
							BgL_auxz00_17470 = BGL_OBJECT_WIDENING(BgL_tmpz00_17471);
						}
						BgL_auxz00_17469 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17470);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17469))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17477;

					{
						obj_t BgL_auxz00_17478;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17479;

							BgL_tmpz00_17479 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1268z00_8126));
							BgL_auxz00_17478 = BGL_OBJECT_WIDENING(BgL_tmpz00_17479);
						}
						BgL_auxz00_17477 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17478);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17477))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17485;

					{
						obj_t BgL_auxz00_17486;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17487;

							BgL_tmpz00_17487 =
								((BgL_objectz00_bglt)
								((BgL_pragmaz00_bglt) BgL_new1268z00_8126));
							BgL_auxz00_17486 = BGL_OBJECT_WIDENING(BgL_tmpz00_17487);
						}
						BgL_auxz00_17485 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17486);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17485))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17427 = ((BgL_pragmaz00_bglt) BgL_new1268z00_8126);
				return ((obj_t) BgL_auxz00_17427);
			}
		}

	}



/* &lambda2488 */
	BgL_pragmaz00_bglt BGl_z62lambda2488z62zzliveness_typesz00(obj_t
		BgL_envz00_8127, obj_t BgL_o1265z00_8128)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmazf2livenesszf2_bglt BgL_wide1267z00_9595;

				BgL_wide1267z00_9595 =
					((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pragmazf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 77 */
					obj_t BgL_auxz00_17500;
					BgL_objectz00_bglt BgL_tmpz00_17496;

					BgL_auxz00_17500 = ((obj_t) BgL_wide1267z00_9595);
					BgL_tmpz00_17496 =
						((BgL_objectz00_bglt)
						((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1265z00_8128)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17496, BgL_auxz00_17500);
				}
				((BgL_objectz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1265z00_8128)));
				{	/* Liveness/types.scm 77 */
					long BgL_arg2489z00_9596;

					BgL_arg2489z00_9596 =
						BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_pragmaz00_bglt)
								((BgL_pragmaz00_bglt) BgL_o1265z00_8128))),
						BgL_arg2489z00_9596);
				}
				return
					((BgL_pragmaz00_bglt)
					((BgL_pragmaz00_bglt) ((BgL_pragmaz00_bglt) BgL_o1265z00_8128)));
			}
		}

	}



/* &lambda2482 */
	BgL_pragmaz00_bglt BGl_z62lambda2482z62zzliveness_typesz00(obj_t
		BgL_envz00_8129, obj_t BgL_loc1253z00_8130, obj_t BgL_type1254z00_8131,
		obj_t BgL_sidezd2effect1255zd2_8132, obj_t BgL_key1256z00_8133,
		obj_t BgL_exprza21257za2_8134, obj_t BgL_effect1258z00_8135,
		obj_t BgL_format1259z00_8136, obj_t BgL_srfi01260z00_8137,
		obj_t BgL_def1261z00_8138, obj_t BgL_use1262z00_8139,
		obj_t BgL_in1263z00_8140, obj_t BgL_out1264z00_8141)
	{
		{	/* Liveness/types.scm 77 */
			{	/* Liveness/types.scm 77 */
				BgL_pragmaz00_bglt BgL_new1745z00_9605;

				{	/* Liveness/types.scm 77 */
					BgL_pragmaz00_bglt BgL_tmp1743z00_9606;
					BgL_pragmazf2livenesszf2_bglt BgL_wide1744z00_9607;

					{
						BgL_pragmaz00_bglt BgL_auxz00_17514;

						{	/* Liveness/types.scm 77 */
							BgL_pragmaz00_bglt BgL_new1742z00_9608;

							BgL_new1742z00_9608 =
								((BgL_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pragmaz00_bgl))));
							{	/* Liveness/types.scm 77 */
								long BgL_arg2487z00_9609;

								BgL_arg2487z00_9609 = BGL_CLASS_NUM(BGl_pragmaz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1742z00_9608),
									BgL_arg2487z00_9609);
							}
							{	/* Liveness/types.scm 77 */
								BgL_objectz00_bglt BgL_tmpz00_17519;

								BgL_tmpz00_17519 = ((BgL_objectz00_bglt) BgL_new1742z00_9608);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17519, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1742z00_9608);
							BgL_auxz00_17514 = BgL_new1742z00_9608;
						}
						BgL_tmp1743z00_9606 = ((BgL_pragmaz00_bglt) BgL_auxz00_17514);
					}
					BgL_wide1744z00_9607 =
						((BgL_pragmazf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pragmazf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 77 */
						obj_t BgL_auxz00_17527;
						BgL_objectz00_bglt BgL_tmpz00_17525;

						BgL_auxz00_17527 = ((obj_t) BgL_wide1744z00_9607);
						BgL_tmpz00_17525 = ((BgL_objectz00_bglt) BgL_tmp1743z00_9606);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17525, BgL_auxz00_17527);
					}
					((BgL_objectz00_bglt) BgL_tmp1743z00_9606);
					{	/* Liveness/types.scm 77 */
						long BgL_arg2485z00_9610;

						BgL_arg2485z00_9610 =
							BGL_CLASS_NUM(BGl_pragmazf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1743z00_9606), BgL_arg2485z00_9610);
					}
					BgL_new1745z00_9605 = ((BgL_pragmaz00_bglt) BgL_tmp1743z00_9606);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1745z00_9605)))->BgL_locz00) =
					((obj_t) BgL_loc1253z00_8130), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1745z00_9605)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1254z00_8131)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1745z00_9605)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1255zd2_8132), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1745z00_9605)))->BgL_keyz00) =
					((obj_t) BgL_key1256z00_8133), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1745z00_9605)))->BgL_exprza2za2) =
					((obj_t) ((obj_t) BgL_exprza21257za2_8134)), BUNSPEC);
				((((BgL_externz00_bglt) COBJECT(((BgL_externz00_bglt)
									BgL_new1745z00_9605)))->BgL_effectz00) =
					((obj_t) BgL_effect1258z00_8135), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1745z00_9605)))->BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1259z00_8136)), BUNSPEC);
				((((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
									BgL_new1745z00_9605)))->BgL_srfi0z00) =
					((obj_t) ((obj_t) BgL_srfi01260z00_8137)), BUNSPEC);
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17555;

					{
						obj_t BgL_auxz00_17556;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17557;

							BgL_tmpz00_17557 = ((BgL_objectz00_bglt) BgL_new1745z00_9605);
							BgL_auxz00_17556 = BGL_OBJECT_WIDENING(BgL_tmpz00_17557);
						}
						BgL_auxz00_17555 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17556);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17555))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1261z00_8138)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17563;

					{
						obj_t BgL_auxz00_17564;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17565;

							BgL_tmpz00_17565 = ((BgL_objectz00_bglt) BgL_new1745z00_9605);
							BgL_auxz00_17564 = BGL_OBJECT_WIDENING(BgL_tmpz00_17565);
						}
						BgL_auxz00_17563 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17564);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17563))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1262z00_8139)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17571;

					{
						obj_t BgL_auxz00_17572;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17573;

							BgL_tmpz00_17573 = ((BgL_objectz00_bglt) BgL_new1745z00_9605);
							BgL_auxz00_17572 = BGL_OBJECT_WIDENING(BgL_tmpz00_17573);
						}
						BgL_auxz00_17571 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17572);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17571))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1263z00_8140)), BUNSPEC);
				}
				{
					BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17579;

					{
						obj_t BgL_auxz00_17580;

						{	/* Liveness/types.scm 77 */
							BgL_objectz00_bglt BgL_tmpz00_17581;

							BgL_tmpz00_17581 = ((BgL_objectz00_bglt) BgL_new1745z00_9605);
							BgL_auxz00_17580 = BGL_OBJECT_WIDENING(BgL_tmpz00_17581);
						}
						BgL_auxz00_17579 =
							((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17580);
					}
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17579))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1264z00_8141)), BUNSPEC);
				}
				return BgL_new1745z00_9605;
			}
		}

	}



/* &<@anonymous:2531> */
	obj_t BGl_z62zc3z04anonymousza32531ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8142)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2530 */
	obj_t BGl_z62lambda2530z62zzliveness_typesz00(obj_t BgL_envz00_8143,
		obj_t BgL_oz00_8144, obj_t BgL_vz00_8145)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17587;

				{
					obj_t BgL_auxz00_17588;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17589;

						BgL_tmpz00_17589 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8144));
						BgL_auxz00_17588 = BGL_OBJECT_WIDENING(BgL_tmpz00_17589);
					}
					BgL_auxz00_17587 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17588);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17587))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8145)), BUNSPEC);
			}
		}

	}



/* &lambda2529 */
	obj_t BGl_z62lambda2529z62zzliveness_typesz00(obj_t BgL_envz00_8146,
		obj_t BgL_oz00_8147)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17596;

				{
					obj_t BgL_auxz00_17597;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17598;

						BgL_tmpz00_17598 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8147));
						BgL_auxz00_17597 = BGL_OBJECT_WIDENING(BgL_tmpz00_17598);
					}
					BgL_auxz00_17596 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17597);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17596))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2522> */
	obj_t BGl_z62zc3z04anonymousza32522ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8148)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2521 */
	obj_t BGl_z62lambda2521z62zzliveness_typesz00(obj_t BgL_envz00_8149,
		obj_t BgL_oz00_8150, obj_t BgL_vz00_8151)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17604;

				{
					obj_t BgL_auxz00_17605;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17606;

						BgL_tmpz00_17606 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8150));
						BgL_auxz00_17605 = BGL_OBJECT_WIDENING(BgL_tmpz00_17606);
					}
					BgL_auxz00_17604 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17605);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17604))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8151)), BUNSPEC);
			}
		}

	}



/* &lambda2520 */
	obj_t BGl_z62lambda2520z62zzliveness_typesz00(obj_t BgL_envz00_8152,
		obj_t BgL_oz00_8153)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17613;

				{
					obj_t BgL_auxz00_17614;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17615;

						BgL_tmpz00_17615 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8153));
						BgL_auxz00_17614 = BGL_OBJECT_WIDENING(BgL_tmpz00_17615);
					}
					BgL_auxz00_17613 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17614);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17613))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2510> */
	obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8154)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2509 */
	obj_t BGl_z62lambda2509z62zzliveness_typesz00(obj_t BgL_envz00_8155,
		obj_t BgL_oz00_8156, obj_t BgL_vz00_8157)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17621;

				{
					obj_t BgL_auxz00_17622;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17623;

						BgL_tmpz00_17623 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8156));
						BgL_auxz00_17622 = BGL_OBJECT_WIDENING(BgL_tmpz00_17623);
					}
					BgL_auxz00_17621 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17622);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17621))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8157)), BUNSPEC);
			}
		}

	}



/* &lambda2508 */
	obj_t BGl_z62lambda2508z62zzliveness_typesz00(obj_t BgL_envz00_8158,
		obj_t BgL_oz00_8159)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17630;

				{
					obj_t BgL_auxz00_17631;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17632;

						BgL_tmpz00_17632 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8159));
						BgL_auxz00_17631 = BGL_OBJECT_WIDENING(BgL_tmpz00_17632);
					}
					BgL_auxz00_17630 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17631);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17630))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2502> */
	obj_t BGl_z62zc3z04anonymousza32502ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8160)
	{
		{	/* Liveness/types.scm 77 */
			return BNIL;
		}

	}



/* &lambda2501 */
	obj_t BGl_z62lambda2501z62zzliveness_typesz00(obj_t BgL_envz00_8161,
		obj_t BgL_oz00_8162, obj_t BgL_vz00_8163)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17638;

				{
					obj_t BgL_auxz00_17639;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17640;

						BgL_tmpz00_17640 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8162));
						BgL_auxz00_17639 = BGL_OBJECT_WIDENING(BgL_tmpz00_17640);
					}
					BgL_auxz00_17638 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17639);
				}
				return
					((((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17638))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8163)), BUNSPEC);
			}
		}

	}



/* &lambda2500 */
	obj_t BGl_z62lambda2500z62zzliveness_typesz00(obj_t BgL_envz00_8164,
		obj_t BgL_oz00_8165)
	{
		{	/* Liveness/types.scm 77 */
			{
				BgL_pragmazf2livenesszf2_bglt BgL_auxz00_17647;

				{
					obj_t BgL_auxz00_17648;

					{	/* Liveness/types.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_17649;

						BgL_tmpz00_17649 =
							((BgL_objectz00_bglt) ((BgL_pragmaz00_bglt) BgL_oz00_8165));
						BgL_auxz00_17648 = BGL_OBJECT_WIDENING(BgL_tmpz00_17649);
					}
					BgL_auxz00_17647 = ((BgL_pragmazf2livenesszf2_bglt) BgL_auxz00_17648);
				}
				return
					(((BgL_pragmazf2livenesszf2_bglt) COBJECT(BgL_auxz00_17647))->
					BgL_defz00);
			}
		}

	}



/* &lambda2433 */
	BgL_funcallz00_bglt BGl_z62lambda2433z62zzliveness_typesz00(obj_t
		BgL_envz00_8166, obj_t BgL_o1251z00_8167)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				long BgL_arg2437z00_9624;

				{	/* Liveness/types.scm 71 */
					obj_t BgL_arg2438z00_9625;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_arg2439z00_9626;

						{	/* Liveness/types.scm 71 */
							obj_t BgL_arg1866z00_9627;
							long BgL_arg1867z00_9628;

							BgL_arg1866z00_9627 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 71 */
								long BgL_arg1869z00_9629;

								BgL_arg1869z00_9629 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_o1251z00_8167)));
								BgL_arg1867z00_9628 = (BgL_arg1869z00_9629 - OBJECT_TYPE);
							}
							BgL_arg2439z00_9626 =
								VECTOR_REF(BgL_arg1866z00_9627, BgL_arg1867z00_9628);
						}
						BgL_arg2438z00_9625 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2439z00_9626);
					}
					{	/* Liveness/types.scm 71 */
						obj_t BgL_tmpz00_17662;

						BgL_tmpz00_17662 = ((obj_t) BgL_arg2438z00_9625);
						BgL_arg2437z00_9624 = BGL_CLASS_NUM(BgL_tmpz00_17662);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) BgL_o1251z00_8167)), BgL_arg2437z00_9624);
			}
			{	/* Liveness/types.scm 71 */
				BgL_objectz00_bglt BgL_tmpz00_17668;

				BgL_tmpz00_17668 =
					((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1251z00_8167));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17668, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_o1251z00_8167));
			return ((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1251z00_8167));
		}

	}



/* &<@anonymous:2432> */
	obj_t BGl_z62zc3z04anonymousza32432ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8168, obj_t BgL_new1250z00_8169)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallz00_bglt BgL_auxz00_17676;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_funcallz00_bglt) BgL_new1250z00_8169))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17680;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9631;

						BgL_classz00_9631 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1117z00_9632;

							BgL__ortest_1117z00_9632 = BGL_CLASS_NIL(BgL_classz00_9631);
							if (CBOOL(BgL__ortest_1117z00_9632))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17680 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9632);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17680 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9631));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_new1250z00_8169))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17680), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17690;

					{	/* Liveness/types.scm 71 */
						obj_t BgL_classz00_9633;

						BgL_classz00_9633 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 71 */
							obj_t BgL__ortest_1117z00_9634;

							BgL__ortest_1117z00_9634 = BGL_CLASS_NIL(BgL_classz00_9633);
							if (CBOOL(BgL__ortest_1117z00_9634))
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17690 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9634);
								}
							else
								{	/* Liveness/types.scm 71 */
									BgL_auxz00_17690 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9633));
								}
						}
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt)
										((BgL_funcallz00_bglt) BgL_new1250z00_8169))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17690), BUNSPEC);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_new1250z00_8169))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1250z00_8169))))->BgL_strengthz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(43))), BUNSPEC);
				((((BgL_funcallz00_bglt)
							COBJECT(((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt)
										BgL_new1250z00_8169))))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17711;

					{
						obj_t BgL_auxz00_17712;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17713;

							BgL_tmpz00_17713 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1250z00_8169));
							BgL_auxz00_17712 = BGL_OBJECT_WIDENING(BgL_tmpz00_17713);
						}
						BgL_auxz00_17711 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17712);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17711))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17719;

					{
						obj_t BgL_auxz00_17720;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17721;

							BgL_tmpz00_17721 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1250z00_8169));
							BgL_auxz00_17720 = BGL_OBJECT_WIDENING(BgL_tmpz00_17721);
						}
						BgL_auxz00_17719 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17720);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17719))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17727;

					{
						obj_t BgL_auxz00_17728;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17729;

							BgL_tmpz00_17729 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1250z00_8169));
							BgL_auxz00_17728 = BGL_OBJECT_WIDENING(BgL_tmpz00_17729);
						}
						BgL_auxz00_17727 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17728);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17727))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17735;

					{
						obj_t BgL_auxz00_17736;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17737;

							BgL_tmpz00_17737 =
								((BgL_objectz00_bglt)
								((BgL_funcallz00_bglt) BgL_new1250z00_8169));
							BgL_auxz00_17736 = BGL_OBJECT_WIDENING(BgL_tmpz00_17737);
						}
						BgL_auxz00_17735 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17736);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17735))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17676 = ((BgL_funcallz00_bglt) BgL_new1250z00_8169);
				return ((obj_t) BgL_auxz00_17676);
			}
		}

	}



/* &lambda2430 */
	BgL_funcallz00_bglt BGl_z62lambda2430z62zzliveness_typesz00(obj_t
		BgL_envz00_8170, obj_t BgL_o1247z00_8171)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallzf2livenesszf2_bglt BgL_wide1249z00_9636;

				BgL_wide1249z00_9636 =
					((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_funcallzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 71 */
					obj_t BgL_auxz00_17750;
					BgL_objectz00_bglt BgL_tmpz00_17746;

					BgL_auxz00_17750 = ((obj_t) BgL_wide1249z00_9636);
					BgL_tmpz00_17746 =
						((BgL_objectz00_bglt)
						((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1247z00_8171)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17746, BgL_auxz00_17750);
				}
				((BgL_objectz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1247z00_8171)));
				{	/* Liveness/types.scm 71 */
					long BgL_arg2431z00_9637;

					BgL_arg2431z00_9637 =
						BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_o1247z00_8171))),
						BgL_arg2431z00_9637);
				}
				return
					((BgL_funcallz00_bglt)
					((BgL_funcallz00_bglt) ((BgL_funcallz00_bglt) BgL_o1247z00_8171)));
			}
		}

	}



/* &lambda2425 */
	BgL_funcallz00_bglt BGl_z62lambda2425z62zzliveness_typesz00(obj_t
		BgL_envz00_8172, obj_t BgL_loc1237z00_8173, obj_t BgL_type1238z00_8174,
		obj_t BgL_fun1239z00_8175, obj_t BgL_args1240z00_8176,
		obj_t BgL_strength1241z00_8177, obj_t BgL_functions1242z00_8178,
		obj_t BgL_def1243z00_8179, obj_t BgL_use1244z00_8180,
		obj_t BgL_in1245z00_8181, obj_t BgL_out1246z00_8182)
	{
		{	/* Liveness/types.scm 71 */
			{	/* Liveness/types.scm 71 */
				BgL_funcallz00_bglt BgL_new1740z00_9645;

				{	/* Liveness/types.scm 71 */
					BgL_funcallz00_bglt BgL_tmp1738z00_9646;
					BgL_funcallzf2livenesszf2_bglt BgL_wide1739z00_9647;

					{
						BgL_funcallz00_bglt BgL_auxz00_17764;

						{	/* Liveness/types.scm 71 */
							BgL_funcallz00_bglt BgL_new1737z00_9648;

							BgL_new1737z00_9648 =
								((BgL_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_funcallz00_bgl))));
							{	/* Liveness/types.scm 71 */
								long BgL_arg2429z00_9649;

								BgL_arg2429z00_9649 =
									BGL_CLASS_NUM(BGl_funcallz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1737z00_9648),
									BgL_arg2429z00_9649);
							}
							{	/* Liveness/types.scm 71 */
								BgL_objectz00_bglt BgL_tmpz00_17769;

								BgL_tmpz00_17769 = ((BgL_objectz00_bglt) BgL_new1737z00_9648);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17769, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1737z00_9648);
							BgL_auxz00_17764 = BgL_new1737z00_9648;
						}
						BgL_tmp1738z00_9646 = ((BgL_funcallz00_bglt) BgL_auxz00_17764);
					}
					BgL_wide1739z00_9647 =
						((BgL_funcallzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_funcallzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 71 */
						obj_t BgL_auxz00_17777;
						BgL_objectz00_bglt BgL_tmpz00_17775;

						BgL_auxz00_17777 = ((obj_t) BgL_wide1739z00_9647);
						BgL_tmpz00_17775 = ((BgL_objectz00_bglt) BgL_tmp1738z00_9646);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17775, BgL_auxz00_17777);
					}
					((BgL_objectz00_bglt) BgL_tmp1738z00_9646);
					{	/* Liveness/types.scm 71 */
						long BgL_arg2428z00_9650;

						BgL_arg2428z00_9650 =
							BGL_CLASS_NUM(BGl_funcallzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1738z00_9646), BgL_arg2428z00_9650);
					}
					BgL_new1740z00_9645 = ((BgL_funcallz00_bglt) BgL_tmp1738z00_9646);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1740z00_9645)))->BgL_locz00) =
					((obj_t) BgL_loc1237z00_8173), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1740z00_9645)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1238z00_8174)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1740z00_9645)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1239z00_8175)),
					BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1740z00_9645)))->BgL_argsz00) =
					((obj_t) BgL_args1240z00_8176), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1740z00_9645)))->BgL_strengthz00) =
					((obj_t) ((obj_t) BgL_strength1241z00_8177)), BUNSPEC);
				((((BgL_funcallz00_bglt) COBJECT(((BgL_funcallz00_bglt)
									BgL_new1740z00_9645)))->BgL_functionsz00) =
					((obj_t) BgL_functions1242z00_8178), BUNSPEC);
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17800;

					{
						obj_t BgL_auxz00_17801;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17802;

							BgL_tmpz00_17802 = ((BgL_objectz00_bglt) BgL_new1740z00_9645);
							BgL_auxz00_17801 = BGL_OBJECT_WIDENING(BgL_tmpz00_17802);
						}
						BgL_auxz00_17800 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17801);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17800))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1243z00_8179)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17808;

					{
						obj_t BgL_auxz00_17809;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17810;

							BgL_tmpz00_17810 = ((BgL_objectz00_bglt) BgL_new1740z00_9645);
							BgL_auxz00_17809 = BGL_OBJECT_WIDENING(BgL_tmpz00_17810);
						}
						BgL_auxz00_17808 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17809);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17808))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1244z00_8180)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17816;

					{
						obj_t BgL_auxz00_17817;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17818;

							BgL_tmpz00_17818 = ((BgL_objectz00_bglt) BgL_new1740z00_9645);
							BgL_auxz00_17817 = BGL_OBJECT_WIDENING(BgL_tmpz00_17818);
						}
						BgL_auxz00_17816 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17817);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17816))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1245z00_8181)), BUNSPEC);
				}
				{
					BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17824;

					{
						obj_t BgL_auxz00_17825;

						{	/* Liveness/types.scm 71 */
							BgL_objectz00_bglt BgL_tmpz00_17826;

							BgL_tmpz00_17826 = ((BgL_objectz00_bglt) BgL_new1740z00_9645);
							BgL_auxz00_17825 = BGL_OBJECT_WIDENING(BgL_tmpz00_17826);
						}
						BgL_auxz00_17824 =
							((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17825);
					}
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17824))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1246z00_8182)), BUNSPEC);
				}
				return BgL_new1740z00_9645;
			}
		}

	}



/* &<@anonymous:2475> */
	obj_t BGl_z62zc3z04anonymousza32475ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8183)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2474 */
	obj_t BGl_z62lambda2474z62zzliveness_typesz00(obj_t BgL_envz00_8184,
		obj_t BgL_oz00_8185, obj_t BgL_vz00_8186)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17832;

				{
					obj_t BgL_auxz00_17833;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17834;

						BgL_tmpz00_17834 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8185));
						BgL_auxz00_17833 = BGL_OBJECT_WIDENING(BgL_tmpz00_17834);
					}
					BgL_auxz00_17832 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17833);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17832))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8186)), BUNSPEC);
			}
		}

	}



/* &lambda2473 */
	obj_t BGl_z62lambda2473z62zzliveness_typesz00(obj_t BgL_envz00_8187,
		obj_t BgL_oz00_8188)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17841;

				{
					obj_t BgL_auxz00_17842;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17843;

						BgL_tmpz00_17843 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8188));
						BgL_auxz00_17842 = BGL_OBJECT_WIDENING(BgL_tmpz00_17843);
					}
					BgL_auxz00_17841 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17842);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17841))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2468> */
	obj_t BGl_z62zc3z04anonymousza32468ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8189)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2467 */
	obj_t BGl_z62lambda2467z62zzliveness_typesz00(obj_t BgL_envz00_8190,
		obj_t BgL_oz00_8191, obj_t BgL_vz00_8192)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17849;

				{
					obj_t BgL_auxz00_17850;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17851;

						BgL_tmpz00_17851 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8191));
						BgL_auxz00_17850 = BGL_OBJECT_WIDENING(BgL_tmpz00_17851);
					}
					BgL_auxz00_17849 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17850);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17849))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8192)), BUNSPEC);
			}
		}

	}



/* &lambda2466 */
	obj_t BGl_z62lambda2466z62zzliveness_typesz00(obj_t BgL_envz00_8193,
		obj_t BgL_oz00_8194)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17858;

				{
					obj_t BgL_auxz00_17859;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17860;

						BgL_tmpz00_17860 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8194));
						BgL_auxz00_17859 = BGL_OBJECT_WIDENING(BgL_tmpz00_17860);
					}
					BgL_auxz00_17858 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17859);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17858))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2460> */
	obj_t BGl_z62zc3z04anonymousza32460ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8195)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2459 */
	obj_t BGl_z62lambda2459z62zzliveness_typesz00(obj_t BgL_envz00_8196,
		obj_t BgL_oz00_8197, obj_t BgL_vz00_8198)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17866;

				{
					obj_t BgL_auxz00_17867;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17868;

						BgL_tmpz00_17868 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8197));
						BgL_auxz00_17867 = BGL_OBJECT_WIDENING(BgL_tmpz00_17868);
					}
					BgL_auxz00_17866 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17867);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17866))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8198)), BUNSPEC);
			}
		}

	}



/* &lambda2458 */
	obj_t BGl_z62lambda2458z62zzliveness_typesz00(obj_t BgL_envz00_8199,
		obj_t BgL_oz00_8200)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17875;

				{
					obj_t BgL_auxz00_17876;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17877;

						BgL_tmpz00_17877 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8200));
						BgL_auxz00_17876 = BGL_OBJECT_WIDENING(BgL_tmpz00_17877);
					}
					BgL_auxz00_17875 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17876);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17875))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2451> */
	obj_t BGl_z62zc3z04anonymousza32451ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8201)
	{
		{	/* Liveness/types.scm 71 */
			return BNIL;
		}

	}



/* &lambda2450 */
	obj_t BGl_z62lambda2450z62zzliveness_typesz00(obj_t BgL_envz00_8202,
		obj_t BgL_oz00_8203, obj_t BgL_vz00_8204)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17883;

				{
					obj_t BgL_auxz00_17884;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17885;

						BgL_tmpz00_17885 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8203));
						BgL_auxz00_17884 = BGL_OBJECT_WIDENING(BgL_tmpz00_17885);
					}
					BgL_auxz00_17883 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17884);
				}
				return
					((((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17883))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8204)), BUNSPEC);
			}
		}

	}



/* &lambda2449 */
	obj_t BGl_z62lambda2449z62zzliveness_typesz00(obj_t BgL_envz00_8205,
		obj_t BgL_oz00_8206)
	{
		{	/* Liveness/types.scm 71 */
			{
				BgL_funcallzf2livenesszf2_bglt BgL_auxz00_17892;

				{
					obj_t BgL_auxz00_17893;

					{	/* Liveness/types.scm 71 */
						BgL_objectz00_bglt BgL_tmpz00_17894;

						BgL_tmpz00_17894 =
							((BgL_objectz00_bglt) ((BgL_funcallz00_bglt) BgL_oz00_8206));
						BgL_auxz00_17893 = BGL_OBJECT_WIDENING(BgL_tmpz00_17894);
					}
					BgL_auxz00_17892 =
						((BgL_funcallzf2livenesszf2_bglt) BgL_auxz00_17893);
				}
				return
					(((BgL_funcallzf2livenesszf2_bglt) COBJECT(BgL_auxz00_17892))->
					BgL_defz00);
			}
		}

	}



/* &lambda2373 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2373z62zzliveness_typesz00(obj_t
		BgL_envz00_8207, obj_t BgL_o1235z00_8208)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				long BgL_arg2374z00_9664;

				{	/* Liveness/types.scm 65 */
					obj_t BgL_arg2375z00_9665;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_arg2377z00_9666;

						{	/* Liveness/types.scm 65 */
							obj_t BgL_arg1866z00_9667;
							long BgL_arg1867z00_9668;

							BgL_arg1866z00_9667 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 65 */
								long BgL_arg1869z00_9669;

								BgL_arg1869z00_9669 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_o1235z00_8208)));
								BgL_arg1867z00_9668 = (BgL_arg1869z00_9669 - OBJECT_TYPE);
							}
							BgL_arg2377z00_9666 =
								VECTOR_REF(BgL_arg1866z00_9667, BgL_arg1867z00_9668);
						}
						BgL_arg2375z00_9665 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2377z00_9666);
					}
					{	/* Liveness/types.scm 65 */
						obj_t BgL_tmpz00_17907;

						BgL_tmpz00_17907 = ((obj_t) BgL_arg2375z00_9665);
						BgL_arg2374z00_9664 = BGL_CLASS_NUM(BgL_tmpz00_17907);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt) BgL_o1235z00_8208)), BgL_arg2374z00_9664);
			}
			{	/* Liveness/types.scm 65 */
				BgL_objectz00_bglt BgL_tmpz00_17913;

				BgL_tmpz00_17913 =
					((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1235z00_8208));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17913, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1235z00_8208));
			return
				((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1235z00_8208));
		}

	}



/* &<@anonymous:2372> */
	obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8209, obj_t BgL_new1234z00_8210)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_17921;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_17925;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9671;

						BgL_classz00_9671 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1117z00_9672;

							BgL__ortest_1117z00_9672 = BGL_CLASS_NIL(BgL_classz00_9671);
							if (CBOOL(BgL__ortest_1117z00_9672))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17925 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9672);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17925 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9671));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_17925), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17935;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9673;

						BgL_classz00_9673 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1117z00_9674;

							BgL__ortest_1117z00_9674 = BGL_CLASS_NIL(BgL_classz00_9673);
							if (CBOOL(BgL__ortest_1117z00_9674))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17935 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9674);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17935 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9673));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210))))->
							BgL_funz00) = ((BgL_nodez00_bglt) BgL_auxz00_17935), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_17945;

					{	/* Liveness/types.scm 65 */
						obj_t BgL_classz00_9675;

						BgL_classz00_9675 = BGl_nodez00zzast_nodez00;
						{	/* Liveness/types.scm 65 */
							obj_t BgL__ortest_1117z00_9676;

							BgL__ortest_1117z00_9676 = BGL_CLASS_NIL(BgL_classz00_9675);
							if (CBOOL(BgL__ortest_1117z00_9676))
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17945 =
										((BgL_nodez00_bglt) BgL__ortest_1117z00_9676);
								}
							else
								{	/* Liveness/types.scm 65 */
									BgL_auxz00_17945 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9675));
								}
						}
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210))))->
							BgL_argz00) = ((BgL_nodez00_bglt) BgL_auxz00_17945), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17955;

					{
						obj_t BgL_auxz00_17956;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17957;

							BgL_tmpz00_17957 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210));
							BgL_auxz00_17956 = BGL_OBJECT_WIDENING(BgL_tmpz00_17957);
						}
						BgL_auxz00_17955 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17956);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17955))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17963;

					{
						obj_t BgL_auxz00_17964;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17965;

							BgL_tmpz00_17965 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210));
							BgL_auxz00_17964 = BGL_OBJECT_WIDENING(BgL_tmpz00_17965);
						}
						BgL_auxz00_17963 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17964);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17963))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17971;

					{
						obj_t BgL_auxz00_17972;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17973;

							BgL_tmpz00_17973 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210));
							BgL_auxz00_17972 = BGL_OBJECT_WIDENING(BgL_tmpz00_17973);
						}
						BgL_auxz00_17971 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17972);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17971))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_17979;

					{
						obj_t BgL_auxz00_17980;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_17981;

							BgL_tmpz00_17981 =
								((BgL_objectz00_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210));
							BgL_auxz00_17980 = BGL_OBJECT_WIDENING(BgL_tmpz00_17981);
						}
						BgL_auxz00_17979 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_17980);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_17979))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_17921 = ((BgL_appzd2lyzd2_bglt) BgL_new1234z00_8210);
				return ((obj_t) BgL_auxz00_17921);
			}
		}

	}



/* &lambda2370 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2370z62zzliveness_typesz00(obj_t
		BgL_envz00_8211, obj_t BgL_o1231z00_8212)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzf2livenessz20_bglt BgL_wide1233z00_9678;

				BgL_wide1233z00_9678 =
					((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzd2lyzf2livenessz20_bgl))));
				{	/* Liveness/types.scm 65 */
					obj_t BgL_auxz00_17994;
					BgL_objectz00_bglt BgL_tmpz00_17990;

					BgL_auxz00_17994 = ((obj_t) BgL_wide1233z00_9678);
					BgL_tmpz00_17990 =
						((BgL_objectz00_bglt)
						((BgL_appzd2lyzd2_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_o1231z00_8212)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_17990, BgL_auxz00_17994);
				}
				((BgL_objectz00_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1231z00_8212)));
				{	/* Liveness/types.scm 65 */
					long BgL_arg2371z00_9679;

					BgL_arg2371z00_9679 =
						BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt)
								((BgL_appzd2lyzd2_bglt) BgL_o1231z00_8212))),
						BgL_arg2371z00_9679);
				}
				return
					((BgL_appzd2lyzd2_bglt)
					((BgL_appzd2lyzd2_bglt) ((BgL_appzd2lyzd2_bglt) BgL_o1231z00_8212)));
			}
		}

	}



/* &lambda2365 */
	BgL_appzd2lyzd2_bglt BGl_z62lambda2365z62zzliveness_typesz00(obj_t
		BgL_envz00_8213, obj_t BgL_loc1212z00_8214, obj_t BgL_type1213z00_8215,
		obj_t BgL_fun1214z00_8216, obj_t BgL_arg1226z00_8217,
		obj_t BgL_def1227z00_8218, obj_t BgL_use1228z00_8219,
		obj_t BgL_in1229z00_8220, obj_t BgL_out1230z00_8221)
	{
		{	/* Liveness/types.scm 65 */
			{	/* Liveness/types.scm 65 */
				BgL_appzd2lyzd2_bglt BgL_new1735z00_9687;

				{	/* Liveness/types.scm 65 */
					BgL_appzd2lyzd2_bglt BgL_tmp1733z00_9688;
					BgL_appzd2lyzf2livenessz20_bglt BgL_wide1734z00_9689;

					{
						BgL_appzd2lyzd2_bglt BgL_auxz00_18008;

						{	/* Liveness/types.scm 65 */
							BgL_appzd2lyzd2_bglt BgL_new1732z00_9690;

							BgL_new1732z00_9690 =
								((BgL_appzd2lyzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appzd2lyzd2_bgl))));
							{	/* Liveness/types.scm 65 */
								long BgL_arg2369z00_9691;

								BgL_arg2369z00_9691 =
									BGL_CLASS_NUM(BGl_appzd2lyzd2zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1732z00_9690),
									BgL_arg2369z00_9691);
							}
							{	/* Liveness/types.scm 65 */
								BgL_objectz00_bglt BgL_tmpz00_18013;

								BgL_tmpz00_18013 = ((BgL_objectz00_bglt) BgL_new1732z00_9690);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18013, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1732z00_9690);
							BgL_auxz00_18008 = BgL_new1732z00_9690;
						}
						BgL_tmp1733z00_9688 = ((BgL_appzd2lyzd2_bglt) BgL_auxz00_18008);
					}
					BgL_wide1734z00_9689 =
						((BgL_appzd2lyzf2livenessz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzd2lyzf2livenessz20_bgl))));
					{	/* Liveness/types.scm 65 */
						obj_t BgL_auxz00_18021;
						BgL_objectz00_bglt BgL_tmpz00_18019;

						BgL_auxz00_18021 = ((obj_t) BgL_wide1734z00_9689);
						BgL_tmpz00_18019 = ((BgL_objectz00_bglt) BgL_tmp1733z00_9688);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18019, BgL_auxz00_18021);
					}
					((BgL_objectz00_bglt) BgL_tmp1733z00_9688);
					{	/* Liveness/types.scm 65 */
						long BgL_arg2366z00_9692;

						BgL_arg2366z00_9692 =
							BGL_CLASS_NUM(BGl_appzd2lyzf2livenessz20zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1733z00_9688), BgL_arg2366z00_9692);
					}
					BgL_new1735z00_9687 = ((BgL_appzd2lyzd2_bglt) BgL_tmp1733z00_9688);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1735z00_9687)))->BgL_locz00) =
					((obj_t) BgL_loc1212z00_8214), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1735z00_9687)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1213z00_8215)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1735z00_9687)))->BgL_funz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_fun1214z00_8216)),
					BUNSPEC);
				((((BgL_appzd2lyzd2_bglt) COBJECT(((BgL_appzd2lyzd2_bglt)
									BgL_new1735z00_9687)))->BgL_argz00) =
					((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg1226z00_8217)),
					BUNSPEC);
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18040;

					{
						obj_t BgL_auxz00_18041;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_18042;

							BgL_tmpz00_18042 = ((BgL_objectz00_bglt) BgL_new1735z00_9687);
							BgL_auxz00_18041 = BGL_OBJECT_WIDENING(BgL_tmpz00_18042);
						}
						BgL_auxz00_18040 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18041);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18040))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1227z00_8218)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18048;

					{
						obj_t BgL_auxz00_18049;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_18050;

							BgL_tmpz00_18050 = ((BgL_objectz00_bglt) BgL_new1735z00_9687);
							BgL_auxz00_18049 = BGL_OBJECT_WIDENING(BgL_tmpz00_18050);
						}
						BgL_auxz00_18048 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18049);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18048))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1228z00_8219)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18056;

					{
						obj_t BgL_auxz00_18057;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_18058;

							BgL_tmpz00_18058 = ((BgL_objectz00_bglt) BgL_new1735z00_9687);
							BgL_auxz00_18057 = BGL_OBJECT_WIDENING(BgL_tmpz00_18058);
						}
						BgL_auxz00_18056 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18057);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18056))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1229z00_8220)), BUNSPEC);
				}
				{
					BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18064;

					{
						obj_t BgL_auxz00_18065;

						{	/* Liveness/types.scm 65 */
							BgL_objectz00_bglt BgL_tmpz00_18066;

							BgL_tmpz00_18066 = ((BgL_objectz00_bglt) BgL_new1735z00_9687);
							BgL_auxz00_18065 = BGL_OBJECT_WIDENING(BgL_tmpz00_18066);
						}
						BgL_auxz00_18064 =
							((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18065);
					}
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18064))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1230z00_8221)), BUNSPEC);
				}
				return BgL_new1735z00_9687;
			}
		}

	}



/* &<@anonymous:2415> */
	obj_t BGl_z62zc3z04anonymousza32415ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8222)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2414 */
	obj_t BGl_z62lambda2414z62zzliveness_typesz00(obj_t BgL_envz00_8223,
		obj_t BgL_oz00_8224, obj_t BgL_vz00_8225)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18072;

				{
					obj_t BgL_auxz00_18073;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18074;

						BgL_tmpz00_18074 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8224));
						BgL_auxz00_18073 = BGL_OBJECT_WIDENING(BgL_tmpz00_18074);
					}
					BgL_auxz00_18072 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18073);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18072))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8225)), BUNSPEC);
			}
		}

	}



/* &lambda2413 */
	obj_t BGl_z62lambda2413z62zzliveness_typesz00(obj_t BgL_envz00_8226,
		obj_t BgL_oz00_8227)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18081;

				{
					obj_t BgL_auxz00_18082;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18083;

						BgL_tmpz00_18083 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8227));
						BgL_auxz00_18082 = BGL_OBJECT_WIDENING(BgL_tmpz00_18083);
					}
					BgL_auxz00_18081 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18082);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18081))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2404> */
	obj_t BGl_z62zc3z04anonymousza32404ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8228)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2403 */
	obj_t BGl_z62lambda2403z62zzliveness_typesz00(obj_t BgL_envz00_8229,
		obj_t BgL_oz00_8230, obj_t BgL_vz00_8231)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18089;

				{
					obj_t BgL_auxz00_18090;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18091;

						BgL_tmpz00_18091 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8230));
						BgL_auxz00_18090 = BGL_OBJECT_WIDENING(BgL_tmpz00_18091);
					}
					BgL_auxz00_18089 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18090);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18089))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8231)), BUNSPEC);
			}
		}

	}



/* &lambda2402 */
	obj_t BGl_z62lambda2402z62zzliveness_typesz00(obj_t BgL_envz00_8232,
		obj_t BgL_oz00_8233)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18098;

				{
					obj_t BgL_auxz00_18099;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18100;

						BgL_tmpz00_18100 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8233));
						BgL_auxz00_18099 = BGL_OBJECT_WIDENING(BgL_tmpz00_18100);
					}
					BgL_auxz00_18098 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18099);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18098))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2393> */
	obj_t BGl_z62zc3z04anonymousza32393ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8234)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2392 */
	obj_t BGl_z62lambda2392z62zzliveness_typesz00(obj_t BgL_envz00_8235,
		obj_t BgL_oz00_8236, obj_t BgL_vz00_8237)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18106;

				{
					obj_t BgL_auxz00_18107;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18108;

						BgL_tmpz00_18108 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8236));
						BgL_auxz00_18107 = BGL_OBJECT_WIDENING(BgL_tmpz00_18108);
					}
					BgL_auxz00_18106 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18107);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18106))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8237)), BUNSPEC);
			}
		}

	}



/* &lambda2391 */
	obj_t BGl_z62lambda2391z62zzliveness_typesz00(obj_t BgL_envz00_8238,
		obj_t BgL_oz00_8239)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18115;

				{
					obj_t BgL_auxz00_18116;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18117;

						BgL_tmpz00_18117 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8239));
						BgL_auxz00_18116 = BGL_OBJECT_WIDENING(BgL_tmpz00_18117);
					}
					BgL_auxz00_18115 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18116);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18115))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2385> */
	obj_t BGl_z62zc3z04anonymousza32385ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8240)
	{
		{	/* Liveness/types.scm 65 */
			return BNIL;
		}

	}



/* &lambda2384 */
	obj_t BGl_z62lambda2384z62zzliveness_typesz00(obj_t BgL_envz00_8241,
		obj_t BgL_oz00_8242, obj_t BgL_vz00_8243)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18123;

				{
					obj_t BgL_auxz00_18124;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18125;

						BgL_tmpz00_18125 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8242));
						BgL_auxz00_18124 = BGL_OBJECT_WIDENING(BgL_tmpz00_18125);
					}
					BgL_auxz00_18123 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18124);
				}
				return
					((((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18123))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8243)), BUNSPEC);
			}
		}

	}



/* &lambda2383 */
	obj_t BGl_z62lambda2383z62zzliveness_typesz00(obj_t BgL_envz00_8244,
		obj_t BgL_oz00_8245)
	{
		{	/* Liveness/types.scm 65 */
			{
				BgL_appzd2lyzf2livenessz20_bglt BgL_auxz00_18132;

				{
					obj_t BgL_auxz00_18133;

					{	/* Liveness/types.scm 65 */
						BgL_objectz00_bglt BgL_tmpz00_18134;

						BgL_tmpz00_18134 =
							((BgL_objectz00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_oz00_8245));
						BgL_auxz00_18133 = BGL_OBJECT_WIDENING(BgL_tmpz00_18134);
					}
					BgL_auxz00_18132 =
						((BgL_appzd2lyzf2livenessz20_bglt) BgL_auxz00_18133);
				}
				return
					(((BgL_appzd2lyzf2livenessz20_bglt) COBJECT(BgL_auxz00_18132))->
					BgL_defz00);
			}
		}

	}



/* &lambda2322 */
	BgL_appz00_bglt BGl_z62lambda2322z62zzliveness_typesz00(obj_t BgL_envz00_8246,
		obj_t BgL_o1210z00_8247)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				long BgL_arg2323z00_9706;

				{	/* Liveness/types.scm 59 */
					obj_t BgL_arg2324z00_9707;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_arg2325z00_9708;

						{	/* Liveness/types.scm 59 */
							obj_t BgL_arg1866z00_9709;
							long BgL_arg1867z00_9710;

							BgL_arg1866z00_9709 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 59 */
								long BgL_arg1869z00_9711;

								BgL_arg1869z00_9711 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1210z00_8247)));
								BgL_arg1867z00_9710 = (BgL_arg1869z00_9711 - OBJECT_TYPE);
							}
							BgL_arg2325z00_9708 =
								VECTOR_REF(BgL_arg1866z00_9709, BgL_arg1867z00_9710);
						}
						BgL_arg2324z00_9707 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2325z00_9708);
					}
					{	/* Liveness/types.scm 59 */
						obj_t BgL_tmpz00_18147;

						BgL_tmpz00_18147 = ((obj_t) BgL_arg2324z00_9707);
						BgL_arg2323z00_9706 = BGL_CLASS_NUM(BgL_tmpz00_18147);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1210z00_8247)), BgL_arg2323z00_9706);
			}
			{	/* Liveness/types.scm 59 */
				BgL_objectz00_bglt BgL_tmpz00_18153;

				BgL_tmpz00_18153 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1210z00_8247));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18153, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1210z00_8247));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1210z00_8247));
		}

	}



/* &<@anonymous:2321> */
	obj_t BGl_z62zc3z04anonymousza32321ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8248, obj_t BgL_new1209z00_8249)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appz00_bglt BgL_auxz00_18161;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1209z00_8249))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18165;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9713;

						BgL_classz00_9713 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1117z00_9714;

							BgL__ortest_1117z00_9714 = BGL_CLASS_NIL(BgL_classz00_9713);
							if (CBOOL(BgL__ortest_1117z00_9714))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_18165 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9714);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_18165 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9713));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1209z00_8249))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18165), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1209z00_8249))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1209z00_8249))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_18181;

					{	/* Liveness/types.scm 59 */
						obj_t BgL_classz00_9715;

						BgL_classz00_9715 = BGl_varz00zzast_nodez00;
						{	/* Liveness/types.scm 59 */
							obj_t BgL__ortest_1117z00_9716;

							BgL__ortest_1117z00_9716 = BGL_CLASS_NIL(BgL_classz00_9715);
							if (CBOOL(BgL__ortest_1117z00_9716))
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_18181 =
										((BgL_varz00_bglt) BgL__ortest_1117z00_9716);
								}
							else
								{	/* Liveness/types.scm 59 */
									BgL_auxz00_18181 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9715));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1209z00_8249))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_18181), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1209z00_8249))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1209z00_8249))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18197;

					{
						obj_t BgL_auxz00_18198;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18199;

							BgL_tmpz00_18199 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1209z00_8249));
							BgL_auxz00_18198 = BGL_OBJECT_WIDENING(BgL_tmpz00_18199);
						}
						BgL_auxz00_18197 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18198);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18197))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18205;

					{
						obj_t BgL_auxz00_18206;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18207;

							BgL_tmpz00_18207 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1209z00_8249));
							BgL_auxz00_18206 = BGL_OBJECT_WIDENING(BgL_tmpz00_18207);
						}
						BgL_auxz00_18205 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18206);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18205))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18213;

					{
						obj_t BgL_auxz00_18214;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18215;

							BgL_tmpz00_18215 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1209z00_8249));
							BgL_auxz00_18214 = BGL_OBJECT_WIDENING(BgL_tmpz00_18215);
						}
						BgL_auxz00_18213 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18214);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18213))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18221;

					{
						obj_t BgL_auxz00_18222;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18223;

							BgL_tmpz00_18223 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1209z00_8249));
							BgL_auxz00_18222 = BGL_OBJECT_WIDENING(BgL_tmpz00_18223);
						}
						BgL_auxz00_18221 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18222);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18221))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18161 = ((BgL_appz00_bglt) BgL_new1209z00_8249);
				return ((obj_t) BgL_auxz00_18161);
			}
		}

	}



/* &lambda2319 */
	BgL_appz00_bglt BGl_z62lambda2319z62zzliveness_typesz00(obj_t BgL_envz00_8250,
		obj_t BgL_o1206z00_8251)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appzf2livenesszf2_bglt BgL_wide1208z00_9718;

				BgL_wide1208z00_9718 =
					((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 59 */
					obj_t BgL_auxz00_18236;
					BgL_objectz00_bglt BgL_tmpz00_18232;

					BgL_auxz00_18236 = ((obj_t) BgL_wide1208z00_9718);
					BgL_tmpz00_18232 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1206z00_8251)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18232, BgL_auxz00_18236);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1206z00_8251)));
				{	/* Liveness/types.scm 59 */
					long BgL_arg2320z00_9719;

					BgL_arg2320z00_9719 =
						BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1206z00_8251))), BgL_arg2320z00_9719);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1206z00_8251)));
			}
		}

	}



/* &lambda2315 */
	BgL_appz00_bglt BGl_z62lambda2315z62zzliveness_typesz00(obj_t BgL_envz00_8252,
		obj_t BgL_loc1195z00_8253, obj_t BgL_type1196z00_8254,
		obj_t BgL_sidezd2effect1197zd2_8255, obj_t BgL_key1198z00_8256,
		obj_t BgL_fun1199z00_8257, obj_t BgL_args1200z00_8258,
		obj_t BgL_stackable1201z00_8259, obj_t BgL_def1202z00_8260,
		obj_t BgL_use1203z00_8261, obj_t BgL_in1204z00_8262,
		obj_t BgL_out1205z00_8263)
	{
		{	/* Liveness/types.scm 59 */
			{	/* Liveness/types.scm 59 */
				BgL_appz00_bglt BgL_new1730z00_9726;

				{	/* Liveness/types.scm 59 */
					BgL_appz00_bglt BgL_tmp1728z00_9727;
					BgL_appzf2livenesszf2_bglt BgL_wide1729z00_9728;

					{
						BgL_appz00_bglt BgL_auxz00_18250;

						{	/* Liveness/types.scm 59 */
							BgL_appz00_bglt BgL_new1727z00_9729;

							BgL_new1727z00_9729 =
								((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_appz00_bgl))));
							{	/* Liveness/types.scm 59 */
								long BgL_arg2318z00_9730;

								BgL_arg2318z00_9730 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1727z00_9729),
									BgL_arg2318z00_9730);
							}
							{	/* Liveness/types.scm 59 */
								BgL_objectz00_bglt BgL_tmpz00_18255;

								BgL_tmpz00_18255 = ((BgL_objectz00_bglt) BgL_new1727z00_9729);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18255, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1727z00_9729);
							BgL_auxz00_18250 = BgL_new1727z00_9729;
						}
						BgL_tmp1728z00_9727 = ((BgL_appz00_bglt) BgL_auxz00_18250);
					}
					BgL_wide1729z00_9728 =
						((BgL_appzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_appzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 59 */
						obj_t BgL_auxz00_18263;
						BgL_objectz00_bglt BgL_tmpz00_18261;

						BgL_auxz00_18263 = ((obj_t) BgL_wide1729z00_9728);
						BgL_tmpz00_18261 = ((BgL_objectz00_bglt) BgL_tmp1728z00_9727);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18261, BgL_auxz00_18263);
					}
					((BgL_objectz00_bglt) BgL_tmp1728z00_9727);
					{	/* Liveness/types.scm 59 */
						long BgL_arg2316z00_9731;

						BgL_arg2316z00_9731 =
							BGL_CLASS_NUM(BGl_appzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1728z00_9727), BgL_arg2316z00_9731);
					}
					BgL_new1730z00_9726 = ((BgL_appz00_bglt) BgL_tmp1728z00_9727);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1730z00_9726)))->BgL_locz00) =
					((obj_t) BgL_loc1195z00_8253), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1730z00_9726)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1196z00_8254)),
					BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1730z00_9726)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1197zd2_8255), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
									BgL_new1730z00_9726)))->BgL_keyz00) =
					((obj_t) BgL_key1198z00_8256), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1730z00_9726)))->
						BgL_funz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1199z00_8257)), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1730z00_9726)))->
						BgL_argsz00) = ((obj_t) BgL_args1200z00_8258), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_new1730z00_9726)))->
						BgL_stackablez00) = ((obj_t) BgL_stackable1201z00_8259), BUNSPEC);
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18287;

					{
						obj_t BgL_auxz00_18288;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18289;

							BgL_tmpz00_18289 = ((BgL_objectz00_bglt) BgL_new1730z00_9726);
							BgL_auxz00_18288 = BGL_OBJECT_WIDENING(BgL_tmpz00_18289);
						}
						BgL_auxz00_18287 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18288);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18287))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1202z00_8260)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18295;

					{
						obj_t BgL_auxz00_18296;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18297;

							BgL_tmpz00_18297 = ((BgL_objectz00_bglt) BgL_new1730z00_9726);
							BgL_auxz00_18296 = BGL_OBJECT_WIDENING(BgL_tmpz00_18297);
						}
						BgL_auxz00_18295 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18296);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18295))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1203z00_8261)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18303;

					{
						obj_t BgL_auxz00_18304;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18305;

							BgL_tmpz00_18305 = ((BgL_objectz00_bglt) BgL_new1730z00_9726);
							BgL_auxz00_18304 = BGL_OBJECT_WIDENING(BgL_tmpz00_18305);
						}
						BgL_auxz00_18303 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18304);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18303))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1204z00_8262)), BUNSPEC);
				}
				{
					BgL_appzf2livenesszf2_bglt BgL_auxz00_18311;

					{
						obj_t BgL_auxz00_18312;

						{	/* Liveness/types.scm 59 */
							BgL_objectz00_bglt BgL_tmpz00_18313;

							BgL_tmpz00_18313 = ((BgL_objectz00_bglt) BgL_new1730z00_9726);
							BgL_auxz00_18312 = BGL_OBJECT_WIDENING(BgL_tmpz00_18313);
						}
						BgL_auxz00_18311 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18312);
					}
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18311))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1205z00_8263)), BUNSPEC);
				}
				return BgL_new1730z00_9726;
			}
		}

	}



/* &<@anonymous:2356> */
	obj_t BGl_z62zc3z04anonymousza32356ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8264)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2355 */
	obj_t BGl_z62lambda2355z62zzliveness_typesz00(obj_t BgL_envz00_8265,
		obj_t BgL_oz00_8266, obj_t BgL_vz00_8267)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18319;

				{
					obj_t BgL_auxz00_18320;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18321;

						BgL_tmpz00_18321 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8266));
						BgL_auxz00_18320 = BGL_OBJECT_WIDENING(BgL_tmpz00_18321);
					}
					BgL_auxz00_18319 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18320);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18319))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8267)), BUNSPEC);
			}
		}

	}



/* &lambda2354 */
	obj_t BGl_z62lambda2354z62zzliveness_typesz00(obj_t BgL_envz00_8268,
		obj_t BgL_oz00_8269)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18328;

				{
					obj_t BgL_auxz00_18329;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18330;

						BgL_tmpz00_18330 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8269));
						BgL_auxz00_18329 = BGL_OBJECT_WIDENING(BgL_tmpz00_18330);
					}
					BgL_auxz00_18328 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18329);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18328))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2348> */
	obj_t BGl_z62zc3z04anonymousza32348ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8270)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2347 */
	obj_t BGl_z62lambda2347z62zzliveness_typesz00(obj_t BgL_envz00_8271,
		obj_t BgL_oz00_8272, obj_t BgL_vz00_8273)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18336;

				{
					obj_t BgL_auxz00_18337;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18338;

						BgL_tmpz00_18338 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8272));
						BgL_auxz00_18337 = BGL_OBJECT_WIDENING(BgL_tmpz00_18338);
					}
					BgL_auxz00_18336 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18337);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18336))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8273)), BUNSPEC);
			}
		}

	}



/* &lambda2346 */
	obj_t BGl_z62lambda2346z62zzliveness_typesz00(obj_t BgL_envz00_8274,
		obj_t BgL_oz00_8275)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18345;

				{
					obj_t BgL_auxz00_18346;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18347;

						BgL_tmpz00_18347 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8275));
						BgL_auxz00_18346 = BGL_OBJECT_WIDENING(BgL_tmpz00_18347);
					}
					BgL_auxz00_18345 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18346);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18345))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2340> */
	obj_t BGl_z62zc3z04anonymousza32340ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8276)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2339 */
	obj_t BGl_z62lambda2339z62zzliveness_typesz00(obj_t BgL_envz00_8277,
		obj_t BgL_oz00_8278, obj_t BgL_vz00_8279)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18353;

				{
					obj_t BgL_auxz00_18354;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18355;

						BgL_tmpz00_18355 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8278));
						BgL_auxz00_18354 = BGL_OBJECT_WIDENING(BgL_tmpz00_18355);
					}
					BgL_auxz00_18353 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18354);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18353))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8279)), BUNSPEC);
			}
		}

	}



/* &lambda2338 */
	obj_t BGl_z62lambda2338z62zzliveness_typesz00(obj_t BgL_envz00_8280,
		obj_t BgL_oz00_8281)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18362;

				{
					obj_t BgL_auxz00_18363;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18364;

						BgL_tmpz00_18364 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8281));
						BgL_auxz00_18363 = BGL_OBJECT_WIDENING(BgL_tmpz00_18364);
					}
					BgL_auxz00_18362 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18363);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18362))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2332> */
	obj_t BGl_z62zc3z04anonymousza32332ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8282)
	{
		{	/* Liveness/types.scm 59 */
			return BNIL;
		}

	}



/* &lambda2331 */
	obj_t BGl_z62lambda2331z62zzliveness_typesz00(obj_t BgL_envz00_8283,
		obj_t BgL_oz00_8284, obj_t BgL_vz00_8285)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18370;

				{
					obj_t BgL_auxz00_18371;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18372;

						BgL_tmpz00_18372 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8284));
						BgL_auxz00_18371 = BGL_OBJECT_WIDENING(BgL_tmpz00_18372);
					}
					BgL_auxz00_18370 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18371);
				}
				return
					((((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18370))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8285)), BUNSPEC);
			}
		}

	}



/* &lambda2330 */
	obj_t BGl_z62lambda2330z62zzliveness_typesz00(obj_t BgL_envz00_8286,
		obj_t BgL_oz00_8287)
	{
		{	/* Liveness/types.scm 59 */
			{
				BgL_appzf2livenesszf2_bglt BgL_auxz00_18379;

				{
					obj_t BgL_auxz00_18380;

					{	/* Liveness/types.scm 59 */
						BgL_objectz00_bglt BgL_tmpz00_18381;

						BgL_tmpz00_18381 =
							((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_8287));
						BgL_auxz00_18380 = BGL_OBJECT_WIDENING(BgL_tmpz00_18381);
					}
					BgL_auxz00_18379 = ((BgL_appzf2livenesszf2_bglt) BgL_auxz00_18380);
				}
				return
					(((BgL_appzf2livenesszf2_bglt) COBJECT(BgL_auxz00_18379))->
					BgL_defz00);
			}
		}

	}



/* &lambda2271 */
	BgL_sequencez00_bglt BGl_z62lambda2271z62zzliveness_typesz00(obj_t
		BgL_envz00_8288, obj_t BgL_o1192z00_8289)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				long BgL_arg2272z00_9745;

				{	/* Liveness/types.scm 53 */
					obj_t BgL_arg2273z00_9746;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_arg2274z00_9747;

						{	/* Liveness/types.scm 53 */
							obj_t BgL_arg1866z00_9748;
							long BgL_arg1867z00_9749;

							BgL_arg1866z00_9748 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 53 */
								long BgL_arg1869z00_9750;

								BgL_arg1869z00_9750 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_sequencez00_bglt) BgL_o1192z00_8289)));
								BgL_arg1867z00_9749 = (BgL_arg1869z00_9750 - OBJECT_TYPE);
							}
							BgL_arg2274z00_9747 =
								VECTOR_REF(BgL_arg1866z00_9748, BgL_arg1867z00_9749);
						}
						BgL_arg2273z00_9746 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2274z00_9747);
					}
					{	/* Liveness/types.scm 53 */
						obj_t BgL_tmpz00_18394;

						BgL_tmpz00_18394 = ((obj_t) BgL_arg2273z00_9746);
						BgL_arg2272z00_9745 = BGL_CLASS_NUM(BgL_tmpz00_18394);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt) BgL_o1192z00_8289)), BgL_arg2272z00_9745);
			}
			{	/* Liveness/types.scm 53 */
				BgL_objectz00_bglt BgL_tmpz00_18400;

				BgL_tmpz00_18400 =
					((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8289));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18400, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8289));
			return
				((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1192z00_8289));
		}

	}



/* &<@anonymous:2270> */
	obj_t BGl_z62zc3z04anonymousza32270ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8290, obj_t BgL_new1191z00_8291)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencez00_bglt BgL_auxz00_18408;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_new1191z00_8291))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18412;

					{	/* Liveness/types.scm 53 */
						obj_t BgL_classz00_9752;

						BgL_classz00_9752 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 53 */
							obj_t BgL__ortest_1117z00_9753;

							BgL__ortest_1117z00_9753 = BGL_CLASS_NIL(BgL_classz00_9752);
							if (CBOOL(BgL__ortest_1117z00_9753))
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_18412 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9753);
								}
							else
								{	/* Liveness/types.scm 53 */
									BgL_auxz00_18412 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9752));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_sequencez00_bglt) BgL_new1191z00_8291))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18412), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_sequencez00_bglt) BgL_new1191z00_8291))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8291))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8291))))->BgL_nodesz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8291))))->BgL_unsafez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_sequencez00_bglt)
							COBJECT(((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt)
										BgL_new1191z00_8291))))->BgL_metaz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18437;

					{
						obj_t BgL_auxz00_18438;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18439;

							BgL_tmpz00_18439 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8291));
							BgL_auxz00_18438 = BGL_OBJECT_WIDENING(BgL_tmpz00_18439);
						}
						BgL_auxz00_18437 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18438);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18437))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18445;

					{
						obj_t BgL_auxz00_18446;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18447;

							BgL_tmpz00_18447 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8291));
							BgL_auxz00_18446 = BGL_OBJECT_WIDENING(BgL_tmpz00_18447);
						}
						BgL_auxz00_18445 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18446);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18445))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18453;

					{
						obj_t BgL_auxz00_18454;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18455;

							BgL_tmpz00_18455 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8291));
							BgL_auxz00_18454 = BGL_OBJECT_WIDENING(BgL_tmpz00_18455);
						}
						BgL_auxz00_18453 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18454);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18453))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18461;

					{
						obj_t BgL_auxz00_18462;

						{	/* Liveness/types.scm 53 */
							BgL_objectz00_bglt BgL_tmpz00_18463;

							BgL_tmpz00_18463 =
								((BgL_objectz00_bglt)
								((BgL_sequencez00_bglt) BgL_new1191z00_8291));
							BgL_auxz00_18462 = BGL_OBJECT_WIDENING(BgL_tmpz00_18463);
						}
						BgL_auxz00_18461 =
							((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18462);
					}
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18461))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18408 = ((BgL_sequencez00_bglt) BgL_new1191z00_8291);
				return ((obj_t) BgL_auxz00_18408);
			}
		}

	}



/* &lambda2268 */
	BgL_sequencez00_bglt BGl_z62lambda2268z62zzliveness_typesz00(obj_t
		BgL_envz00_8292, obj_t BgL_o1188z00_8293)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				BgL_sequencezf2livenesszf2_bglt BgL_wide1190z00_9755;

				BgL_wide1190z00_9755 =
					((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_sequencezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 53 */
					obj_t BgL_auxz00_18476;
					BgL_objectz00_bglt BgL_tmpz00_18472;

					BgL_auxz00_18476 = ((obj_t) BgL_wide1190z00_9755);
					BgL_tmpz00_18472 =
						((BgL_objectz00_bglt)
						((BgL_sequencez00_bglt)
							((BgL_sequencez00_bglt) BgL_o1188z00_8293)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18472, BgL_auxz00_18476);
				}
				((BgL_objectz00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1188z00_8293)));
				{	/* Liveness/types.scm 53 */
					long BgL_arg2269z00_9756;

					BgL_arg2269z00_9756 =
						BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt)
								((BgL_sequencez00_bglt) BgL_o1188z00_8293))),
						BgL_arg2269z00_9756);
				}
				return
					((BgL_sequencez00_bglt)
					((BgL_sequencez00_bglt) ((BgL_sequencez00_bglt) BgL_o1188z00_8293)));
			}
		}

	}



/* &lambda2265 */
	BgL_sequencez00_bglt BGl_z62lambda2265z62zzliveness_typesz00(obj_t
		BgL_envz00_8294, obj_t BgL_loc1177z00_8295, obj_t BgL_type1178z00_8296,
		obj_t BgL_sidezd2effect1179zd2_8297, obj_t BgL_key1180z00_8298,
		obj_t BgL_nodes1181z00_8299, obj_t BgL_unsafe1182z00_8300,
		obj_t BgL_meta1183z00_8301, obj_t BgL_def1184z00_8302,
		obj_t BgL_use1185z00_8303, obj_t BgL_in1186z00_8304,
		obj_t BgL_out1187z00_8305)
	{
		{	/* Liveness/types.scm 53 */
			{	/* Liveness/types.scm 53 */
				bool_t BgL_unsafe1182z00_9759;

				BgL_unsafe1182z00_9759 = CBOOL(BgL_unsafe1182z00_8300);
				{	/* Liveness/types.scm 53 */
					BgL_sequencez00_bglt BgL_new1725z00_9765;

					{	/* Liveness/types.scm 53 */
						BgL_sequencez00_bglt BgL_tmp1723z00_9766;
						BgL_sequencezf2livenesszf2_bglt BgL_wide1724z00_9767;

						{
							BgL_sequencez00_bglt BgL_auxz00_18491;

							{	/* Liveness/types.scm 53 */
								BgL_sequencez00_bglt BgL_new1722z00_9768;

								BgL_new1722z00_9768 =
									((BgL_sequencez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_sequencez00_bgl))));
								{	/* Liveness/types.scm 53 */
									long BgL_arg2267z00_9769;

									BgL_arg2267z00_9769 =
										BGL_CLASS_NUM(BGl_sequencez00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1722z00_9768),
										BgL_arg2267z00_9769);
								}
								{	/* Liveness/types.scm 53 */
									BgL_objectz00_bglt BgL_tmpz00_18496;

									BgL_tmpz00_18496 = ((BgL_objectz00_bglt) BgL_new1722z00_9768);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18496, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1722z00_9768);
								BgL_auxz00_18491 = BgL_new1722z00_9768;
							}
							BgL_tmp1723z00_9766 = ((BgL_sequencez00_bglt) BgL_auxz00_18491);
						}
						BgL_wide1724z00_9767 =
							((BgL_sequencezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_sequencezf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 53 */
							obj_t BgL_auxz00_18504;
							BgL_objectz00_bglt BgL_tmpz00_18502;

							BgL_auxz00_18504 = ((obj_t) BgL_wide1724z00_9767);
							BgL_tmpz00_18502 = ((BgL_objectz00_bglt) BgL_tmp1723z00_9766);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18502, BgL_auxz00_18504);
						}
						((BgL_objectz00_bglt) BgL_tmp1723z00_9766);
						{	/* Liveness/types.scm 53 */
							long BgL_arg2266z00_9770;

							BgL_arg2266z00_9770 =
								BGL_CLASS_NUM(BGl_sequencezf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1723z00_9766),
								BgL_arg2266z00_9770);
						}
						BgL_new1725z00_9765 = ((BgL_sequencez00_bglt) BgL_tmp1723z00_9766);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1725z00_9765)))->BgL_locz00) =
						((obj_t) BgL_loc1177z00_8295), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1725z00_9765)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1178z00_8296)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1725z00_9765)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1179zd2_8297), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1725z00_9765)))->BgL_keyz00) =
						((obj_t) BgL_key1180z00_8298), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1725z00_9765)))->BgL_nodesz00) =
						((obj_t) ((obj_t) BgL_nodes1181z00_8299)), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1725z00_9765)))->BgL_unsafez00) =
						((bool_t) BgL_unsafe1182z00_9759), BUNSPEC);
					((((BgL_sequencez00_bglt) COBJECT(((BgL_sequencez00_bglt)
										BgL_new1725z00_9765)))->BgL_metaz00) =
						((obj_t) ((obj_t) BgL_meta1183z00_8301)), BUNSPEC);
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18529;

						{
							obj_t BgL_auxz00_18530;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18531;

								BgL_tmpz00_18531 = ((BgL_objectz00_bglt) BgL_new1725z00_9765);
								BgL_auxz00_18530 = BGL_OBJECT_WIDENING(BgL_tmpz00_18531);
							}
							BgL_auxz00_18529 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18530);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18529))->
								BgL_defz00) = ((obj_t) ((obj_t) BgL_def1184z00_8302)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18537;

						{
							obj_t BgL_auxz00_18538;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18539;

								BgL_tmpz00_18539 = ((BgL_objectz00_bglt) BgL_new1725z00_9765);
								BgL_auxz00_18538 = BGL_OBJECT_WIDENING(BgL_tmpz00_18539);
							}
							BgL_auxz00_18537 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18538);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18537))->
								BgL_usez00) = ((obj_t) ((obj_t) BgL_use1185z00_8303)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18545;

						{
							obj_t BgL_auxz00_18546;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18547;

								BgL_tmpz00_18547 = ((BgL_objectz00_bglt) BgL_new1725z00_9765);
								BgL_auxz00_18546 = BGL_OBJECT_WIDENING(BgL_tmpz00_18547);
							}
							BgL_auxz00_18545 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18546);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18545))->
								BgL_inz00) = ((obj_t) ((obj_t) BgL_in1186z00_8304)), BUNSPEC);
					}
					{
						BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18553;

						{
							obj_t BgL_auxz00_18554;

							{	/* Liveness/types.scm 53 */
								BgL_objectz00_bglt BgL_tmpz00_18555;

								BgL_tmpz00_18555 = ((BgL_objectz00_bglt) BgL_new1725z00_9765);
								BgL_auxz00_18554 = BGL_OBJECT_WIDENING(BgL_tmpz00_18555);
							}
							BgL_auxz00_18553 =
								((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18554);
						}
						((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18553))->
								BgL_outz00) = ((obj_t) ((obj_t) BgL_out1187z00_8305)), BUNSPEC);
					}
					return BgL_new1725z00_9765;
				}
			}
		}

	}



/* &<@anonymous:2305> */
	obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8306)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2304 */
	obj_t BGl_z62lambda2304z62zzliveness_typesz00(obj_t BgL_envz00_8307,
		obj_t BgL_oz00_8308, obj_t BgL_vz00_8309)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18561;

				{
					obj_t BgL_auxz00_18562;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18563;

						BgL_tmpz00_18563 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8308));
						BgL_auxz00_18562 = BGL_OBJECT_WIDENING(BgL_tmpz00_18563);
					}
					BgL_auxz00_18561 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18562);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18561))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8309)), BUNSPEC);
			}
		}

	}



/* &lambda2303 */
	obj_t BGl_z62lambda2303z62zzliveness_typesz00(obj_t BgL_envz00_8310,
		obj_t BgL_oz00_8311)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18570;

				{
					obj_t BgL_auxz00_18571;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18572;

						BgL_tmpz00_18572 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8311));
						BgL_auxz00_18571 = BGL_OBJECT_WIDENING(BgL_tmpz00_18572);
					}
					BgL_auxz00_18570 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18571);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18570))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2297> */
	obj_t BGl_z62zc3z04anonymousza32297ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8312)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2296 */
	obj_t BGl_z62lambda2296z62zzliveness_typesz00(obj_t BgL_envz00_8313,
		obj_t BgL_oz00_8314, obj_t BgL_vz00_8315)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18578;

				{
					obj_t BgL_auxz00_18579;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18580;

						BgL_tmpz00_18580 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8314));
						BgL_auxz00_18579 = BGL_OBJECT_WIDENING(BgL_tmpz00_18580);
					}
					BgL_auxz00_18578 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18579);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18578))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8315)), BUNSPEC);
			}
		}

	}



/* &lambda2295 */
	obj_t BGl_z62lambda2295z62zzliveness_typesz00(obj_t BgL_envz00_8316,
		obj_t BgL_oz00_8317)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18587;

				{
					obj_t BgL_auxz00_18588;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18589;

						BgL_tmpz00_18589 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8317));
						BgL_auxz00_18588 = BGL_OBJECT_WIDENING(BgL_tmpz00_18589);
					}
					BgL_auxz00_18587 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18588);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18587))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2289> */
	obj_t BGl_z62zc3z04anonymousza32289ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8318)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2288 */
	obj_t BGl_z62lambda2288z62zzliveness_typesz00(obj_t BgL_envz00_8319,
		obj_t BgL_oz00_8320, obj_t BgL_vz00_8321)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18595;

				{
					obj_t BgL_auxz00_18596;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18597;

						BgL_tmpz00_18597 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8320));
						BgL_auxz00_18596 = BGL_OBJECT_WIDENING(BgL_tmpz00_18597);
					}
					BgL_auxz00_18595 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18596);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18595))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8321)), BUNSPEC);
			}
		}

	}



/* &lambda2287 */
	obj_t BGl_z62lambda2287z62zzliveness_typesz00(obj_t BgL_envz00_8322,
		obj_t BgL_oz00_8323)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18604;

				{
					obj_t BgL_auxz00_18605;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18606;

						BgL_tmpz00_18606 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8323));
						BgL_auxz00_18605 = BGL_OBJECT_WIDENING(BgL_tmpz00_18606);
					}
					BgL_auxz00_18604 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18605);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18604))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2282> */
	obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8324)
	{
		{	/* Liveness/types.scm 53 */
			return BNIL;
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzliveness_typesz00(obj_t BgL_envz00_8325,
		obj_t BgL_oz00_8326, obj_t BgL_vz00_8327)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18612;

				{
					obj_t BgL_auxz00_18613;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18614;

						BgL_tmpz00_18614 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8326));
						BgL_auxz00_18613 = BGL_OBJECT_WIDENING(BgL_tmpz00_18614);
					}
					BgL_auxz00_18612 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18613);
				}
				return
					((((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18612))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8327)), BUNSPEC);
			}
		}

	}



/* &lambda2280 */
	obj_t BGl_z62lambda2280z62zzliveness_typesz00(obj_t BgL_envz00_8328,
		obj_t BgL_oz00_8329)
	{
		{	/* Liveness/types.scm 53 */
			{
				BgL_sequencezf2livenesszf2_bglt BgL_auxz00_18621;

				{
					obj_t BgL_auxz00_18622;

					{	/* Liveness/types.scm 53 */
						BgL_objectz00_bglt BgL_tmpz00_18623;

						BgL_tmpz00_18623 =
							((BgL_objectz00_bglt) ((BgL_sequencez00_bglt) BgL_oz00_8329));
						BgL_auxz00_18622 = BGL_OBJECT_WIDENING(BgL_tmpz00_18623);
					}
					BgL_auxz00_18621 =
						((BgL_sequencezf2livenesszf2_bglt) BgL_auxz00_18622);
				}
				return
					(((BgL_sequencezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18621))->
					BgL_defz00);
			}
		}

	}



/* &lambda2224 */
	BgL_kwotez00_bglt BGl_z62lambda2224z62zzliveness_typesz00(obj_t
		BgL_envz00_8330, obj_t BgL_o1175z00_8331)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				long BgL_arg2225z00_9784;

				{	/* Liveness/types.scm 47 */
					obj_t BgL_arg2226z00_9785;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_arg2227z00_9786;

						{	/* Liveness/types.scm 47 */
							obj_t BgL_arg1866z00_9787;
							long BgL_arg1867z00_9788;

							BgL_arg1866z00_9787 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 47 */
								long BgL_arg1869z00_9789;

								BgL_arg1869z00_9789 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_o1175z00_8331)));
								BgL_arg1867z00_9788 = (BgL_arg1869z00_9789 - OBJECT_TYPE);
							}
							BgL_arg2227z00_9786 =
								VECTOR_REF(BgL_arg1866z00_9787, BgL_arg1867z00_9788);
						}
						BgL_arg2226z00_9785 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2227z00_9786);
					}
					{	/* Liveness/types.scm 47 */
						obj_t BgL_tmpz00_18636;

						BgL_tmpz00_18636 = ((obj_t) BgL_arg2226z00_9785);
						BgL_arg2225z00_9784 = BGL_CLASS_NUM(BgL_tmpz00_18636);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) BgL_o1175z00_8331)), BgL_arg2225z00_9784);
			}
			{	/* Liveness/types.scm 47 */
				BgL_objectz00_bglt BgL_tmpz00_18642;

				BgL_tmpz00_18642 =
					((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8331));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18642, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8331));
			return ((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1175z00_8331));
		}

	}



/* &<@anonymous:2223> */
	obj_t BGl_z62zc3z04anonymousza32223ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8332, obj_t BgL_new1174z00_8333)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotez00_bglt BgL_auxz00_18650;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1174z00_8333))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18654;

					{	/* Liveness/types.scm 47 */
						obj_t BgL_classz00_9791;

						BgL_classz00_9791 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 47 */
							obj_t BgL__ortest_1117z00_9792;

							BgL__ortest_1117z00_9792 = BGL_CLASS_NIL(BgL_classz00_9791);
							if (CBOOL(BgL__ortest_1117z00_9792))
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18654 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9792);
								}
							else
								{	/* Liveness/types.scm 47 */
									BgL_auxz00_18654 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9791));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_kwotez00_bglt) BgL_new1174z00_8333))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_18654), BUNSPEC);
				}
				((((BgL_kwotez00_bglt) COBJECT(
								((BgL_kwotez00_bglt)
									((BgL_kwotez00_bglt) BgL_new1174z00_8333))))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18667;

					{
						obj_t BgL_auxz00_18668;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18669;

							BgL_tmpz00_18669 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8333));
							BgL_auxz00_18668 = BGL_OBJECT_WIDENING(BgL_tmpz00_18669);
						}
						BgL_auxz00_18667 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18668);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18667))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18675;

					{
						obj_t BgL_auxz00_18676;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18677;

							BgL_tmpz00_18677 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8333));
							BgL_auxz00_18676 = BGL_OBJECT_WIDENING(BgL_tmpz00_18677);
						}
						BgL_auxz00_18675 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18676);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18675))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18683;

					{
						obj_t BgL_auxz00_18684;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18685;

							BgL_tmpz00_18685 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8333));
							BgL_auxz00_18684 = BGL_OBJECT_WIDENING(BgL_tmpz00_18685);
						}
						BgL_auxz00_18683 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18684);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18683))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18691;

					{
						obj_t BgL_auxz00_18692;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18693;

							BgL_tmpz00_18693 =
								((BgL_objectz00_bglt)
								((BgL_kwotez00_bglt) BgL_new1174z00_8333));
							BgL_auxz00_18692 = BGL_OBJECT_WIDENING(BgL_tmpz00_18693);
						}
						BgL_auxz00_18691 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18692);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18691))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18650 = ((BgL_kwotez00_bglt) BgL_new1174z00_8333);
				return ((obj_t) BgL_auxz00_18650);
			}
		}

	}



/* &lambda2221 */
	BgL_kwotez00_bglt BGl_z62lambda2221z62zzliveness_typesz00(obj_t
		BgL_envz00_8334, obj_t BgL_o1171z00_8335)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotezf2livenesszf2_bglt BgL_wide1173z00_9794;

				BgL_wide1173z00_9794 =
					((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_kwotezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 47 */
					obj_t BgL_auxz00_18706;
					BgL_objectz00_bglt BgL_tmpz00_18702;

					BgL_auxz00_18706 = ((obj_t) BgL_wide1173z00_9794);
					BgL_tmpz00_18702 =
						((BgL_objectz00_bglt)
						((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8335)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18702, BgL_auxz00_18706);
				}
				((BgL_objectz00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8335)));
				{	/* Liveness/types.scm 47 */
					long BgL_arg2222z00_9795;

					BgL_arg2222z00_9795 =
						BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_kwotez00_bglt)
								((BgL_kwotez00_bglt) BgL_o1171z00_8335))), BgL_arg2222z00_9795);
				}
				return
					((BgL_kwotez00_bglt)
					((BgL_kwotez00_bglt) ((BgL_kwotez00_bglt) BgL_o1171z00_8335)));
			}
		}

	}



/* &lambda2218 */
	BgL_kwotez00_bglt BGl_z62lambda2218z62zzliveness_typesz00(obj_t
		BgL_envz00_8336, obj_t BgL_loc1164z00_8337, obj_t BgL_type1165z00_8338,
		obj_t BgL_value1166z00_8339, obj_t BgL_def1167z00_8340,
		obj_t BgL_use1168z00_8341, obj_t BgL_in1169z00_8342,
		obj_t BgL_out1170z00_8343)
	{
		{	/* Liveness/types.scm 47 */
			{	/* Liveness/types.scm 47 */
				BgL_kwotez00_bglt BgL_new1720z00_9801;

				{	/* Liveness/types.scm 47 */
					BgL_kwotez00_bglt BgL_tmp1718z00_9802;
					BgL_kwotezf2livenesszf2_bglt BgL_wide1719z00_9803;

					{
						BgL_kwotez00_bglt BgL_auxz00_18720;

						{	/* Liveness/types.scm 47 */
							BgL_kwotez00_bglt BgL_new1717z00_9804;

							BgL_new1717z00_9804 =
								((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_kwotez00_bgl))));
							{	/* Liveness/types.scm 47 */
								long BgL_arg2220z00_9805;

								BgL_arg2220z00_9805 = BGL_CLASS_NUM(BGl_kwotez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1717z00_9804),
									BgL_arg2220z00_9805);
							}
							{	/* Liveness/types.scm 47 */
								BgL_objectz00_bglt BgL_tmpz00_18725;

								BgL_tmpz00_18725 = ((BgL_objectz00_bglt) BgL_new1717z00_9804);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18725, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1717z00_9804);
							BgL_auxz00_18720 = BgL_new1717z00_9804;
						}
						BgL_tmp1718z00_9802 = ((BgL_kwotez00_bglt) BgL_auxz00_18720);
					}
					BgL_wide1719z00_9803 =
						((BgL_kwotezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_kwotezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 47 */
						obj_t BgL_auxz00_18733;
						BgL_objectz00_bglt BgL_tmpz00_18731;

						BgL_auxz00_18733 = ((obj_t) BgL_wide1719z00_9803);
						BgL_tmpz00_18731 = ((BgL_objectz00_bglt) BgL_tmp1718z00_9802);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18731, BgL_auxz00_18733);
					}
					((BgL_objectz00_bglt) BgL_tmp1718z00_9802);
					{	/* Liveness/types.scm 47 */
						long BgL_arg2219z00_9806;

						BgL_arg2219z00_9806 =
							BGL_CLASS_NUM(BGl_kwotezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1718z00_9802), BgL_arg2219z00_9806);
					}
					BgL_new1720z00_9801 = ((BgL_kwotez00_bglt) BgL_tmp1718z00_9802);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1720z00_9801)))->BgL_locz00) =
					((obj_t) BgL_loc1164z00_8337), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1720z00_9801)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1165z00_8338)),
					BUNSPEC);
				((((BgL_kwotez00_bglt) COBJECT(((BgL_kwotez00_bglt)
									BgL_new1720z00_9801)))->BgL_valuez00) =
					((obj_t) BgL_value1166z00_8339), BUNSPEC);
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18748;

					{
						obj_t BgL_auxz00_18749;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18750;

							BgL_tmpz00_18750 = ((BgL_objectz00_bglt) BgL_new1720z00_9801);
							BgL_auxz00_18749 = BGL_OBJECT_WIDENING(BgL_tmpz00_18750);
						}
						BgL_auxz00_18748 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18749);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18748))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1167z00_8340)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18756;

					{
						obj_t BgL_auxz00_18757;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18758;

							BgL_tmpz00_18758 = ((BgL_objectz00_bglt) BgL_new1720z00_9801);
							BgL_auxz00_18757 = BGL_OBJECT_WIDENING(BgL_tmpz00_18758);
						}
						BgL_auxz00_18756 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18757);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18756))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1168z00_8341)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18764;

					{
						obj_t BgL_auxz00_18765;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18766;

							BgL_tmpz00_18766 = ((BgL_objectz00_bglt) BgL_new1720z00_9801);
							BgL_auxz00_18765 = BGL_OBJECT_WIDENING(BgL_tmpz00_18766);
						}
						BgL_auxz00_18764 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18765);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18764))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1169z00_8342)), BUNSPEC);
				}
				{
					BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18772;

					{
						obj_t BgL_auxz00_18773;

						{	/* Liveness/types.scm 47 */
							BgL_objectz00_bglt BgL_tmpz00_18774;

							BgL_tmpz00_18774 = ((BgL_objectz00_bglt) BgL_new1720z00_9801);
							BgL_auxz00_18773 = BGL_OBJECT_WIDENING(BgL_tmpz00_18774);
						}
						BgL_auxz00_18772 =
							((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18773);
					}
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18772))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1170z00_8343)), BUNSPEC);
				}
				return BgL_new1720z00_9801;
			}
		}

	}



/* &<@anonymous:2258> */
	obj_t BGl_z62zc3z04anonymousza32258ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8344)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2257 */
	obj_t BGl_z62lambda2257z62zzliveness_typesz00(obj_t BgL_envz00_8345,
		obj_t BgL_oz00_8346, obj_t BgL_vz00_8347)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18780;

				{
					obj_t BgL_auxz00_18781;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18782;

						BgL_tmpz00_18782 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8346));
						BgL_auxz00_18781 = BGL_OBJECT_WIDENING(BgL_tmpz00_18782);
					}
					BgL_auxz00_18780 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18781);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18780))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8347)), BUNSPEC);
			}
		}

	}



/* &lambda2256 */
	obj_t BGl_z62lambda2256z62zzliveness_typesz00(obj_t BgL_envz00_8348,
		obj_t BgL_oz00_8349)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18789;

				{
					obj_t BgL_auxz00_18790;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18791;

						BgL_tmpz00_18791 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8349));
						BgL_auxz00_18790 = BGL_OBJECT_WIDENING(BgL_tmpz00_18791);
					}
					BgL_auxz00_18789 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18790);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18789))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2250> */
	obj_t BGl_z62zc3z04anonymousza32250ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8350)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2249 */
	obj_t BGl_z62lambda2249z62zzliveness_typesz00(obj_t BgL_envz00_8351,
		obj_t BgL_oz00_8352, obj_t BgL_vz00_8353)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18797;

				{
					obj_t BgL_auxz00_18798;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18799;

						BgL_tmpz00_18799 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8352));
						BgL_auxz00_18798 = BGL_OBJECT_WIDENING(BgL_tmpz00_18799);
					}
					BgL_auxz00_18797 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18798);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18797))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8353)), BUNSPEC);
			}
		}

	}



/* &lambda2248 */
	obj_t BGl_z62lambda2248z62zzliveness_typesz00(obj_t BgL_envz00_8354,
		obj_t BgL_oz00_8355)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18806;

				{
					obj_t BgL_auxz00_18807;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18808;

						BgL_tmpz00_18808 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8355));
						BgL_auxz00_18807 = BGL_OBJECT_WIDENING(BgL_tmpz00_18808);
					}
					BgL_auxz00_18806 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18807);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18806))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2243> */
	obj_t BGl_z62zc3z04anonymousza32243ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8356)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2242 */
	obj_t BGl_z62lambda2242z62zzliveness_typesz00(obj_t BgL_envz00_8357,
		obj_t BgL_oz00_8358, obj_t BgL_vz00_8359)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18814;

				{
					obj_t BgL_auxz00_18815;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18816;

						BgL_tmpz00_18816 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8358));
						BgL_auxz00_18815 = BGL_OBJECT_WIDENING(BgL_tmpz00_18816);
					}
					BgL_auxz00_18814 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18815);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18814))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8359)), BUNSPEC);
			}
		}

	}



/* &lambda2241 */
	obj_t BGl_z62lambda2241z62zzliveness_typesz00(obj_t BgL_envz00_8360,
		obj_t BgL_oz00_8361)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18823;

				{
					obj_t BgL_auxz00_18824;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18825;

						BgL_tmpz00_18825 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8361));
						BgL_auxz00_18824 = BGL_OBJECT_WIDENING(BgL_tmpz00_18825);
					}
					BgL_auxz00_18823 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18824);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18823))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2236> */
	obj_t BGl_z62zc3z04anonymousza32236ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8362)
	{
		{	/* Liveness/types.scm 47 */
			return BNIL;
		}

	}



/* &lambda2235 */
	obj_t BGl_z62lambda2235z62zzliveness_typesz00(obj_t BgL_envz00_8363,
		obj_t BgL_oz00_8364, obj_t BgL_vz00_8365)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18831;

				{
					obj_t BgL_auxz00_18832;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18833;

						BgL_tmpz00_18833 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8364));
						BgL_auxz00_18832 = BGL_OBJECT_WIDENING(BgL_tmpz00_18833);
					}
					BgL_auxz00_18831 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18832);
				}
				return
					((((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18831))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8365)), BUNSPEC);
			}
		}

	}



/* &lambda2234 */
	obj_t BGl_z62lambda2234z62zzliveness_typesz00(obj_t BgL_envz00_8366,
		obj_t BgL_oz00_8367)
	{
		{	/* Liveness/types.scm 47 */
			{
				BgL_kwotezf2livenesszf2_bglt BgL_auxz00_18840;

				{
					obj_t BgL_auxz00_18841;

					{	/* Liveness/types.scm 47 */
						BgL_objectz00_bglt BgL_tmpz00_18842;

						BgL_tmpz00_18842 =
							((BgL_objectz00_bglt) ((BgL_kwotez00_bglt) BgL_oz00_8367));
						BgL_auxz00_18841 = BGL_OBJECT_WIDENING(BgL_tmpz00_18842);
					}
					BgL_auxz00_18840 = ((BgL_kwotezf2livenesszf2_bglt) BgL_auxz00_18841);
				}
				return
					(((BgL_kwotezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18840))->
					BgL_defz00);
			}
		}

	}



/* &lambda2179 */
	BgL_closurez00_bglt BGl_z62lambda2179z62zzliveness_typesz00(obj_t
		BgL_envz00_8368, obj_t BgL_o1162z00_8369)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				long BgL_arg2180z00_9820;

				{	/* Liveness/types.scm 41 */
					obj_t BgL_arg2181z00_9821;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_arg2182z00_9822;

						{	/* Liveness/types.scm 41 */
							obj_t BgL_arg1866z00_9823;
							long BgL_arg1867z00_9824;

							BgL_arg1866z00_9823 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 41 */
								long BgL_arg1869z00_9825;

								BgL_arg1869z00_9825 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_closurez00_bglt) BgL_o1162z00_8369)));
								BgL_arg1867z00_9824 = (BgL_arg1869z00_9825 - OBJECT_TYPE);
							}
							BgL_arg2182z00_9822 =
								VECTOR_REF(BgL_arg1866z00_9823, BgL_arg1867z00_9824);
						}
						BgL_arg2181z00_9821 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2182z00_9822);
					}
					{	/* Liveness/types.scm 41 */
						obj_t BgL_tmpz00_18855;

						BgL_tmpz00_18855 = ((obj_t) BgL_arg2181z00_9821);
						BgL_arg2180z00_9820 = BGL_CLASS_NUM(BgL_tmpz00_18855);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) BgL_o1162z00_8369)), BgL_arg2180z00_9820);
			}
			{	/* Liveness/types.scm 41 */
				BgL_objectz00_bglt BgL_tmpz00_18861;

				BgL_tmpz00_18861 =
					((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8369));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18861, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8369));
			return ((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1162z00_8369));
		}

	}



/* &<@anonymous:2178> */
	obj_t BGl_z62zc3z04anonymousza32178ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8370, obj_t BgL_new1161z00_8371)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurez00_bglt BgL_auxz00_18869;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_closurez00_bglt) BgL_new1161z00_8371))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_18873;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9827;

						BgL_classz00_9827 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1117z00_9828;

							BgL__ortest_1117z00_9828 = BGL_CLASS_NIL(BgL_classz00_9827);
							if (CBOOL(BgL__ortest_1117z00_9828))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18873 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9828);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18873 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9827));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_closurez00_bglt) BgL_new1161z00_8371))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_18873), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_18883;

					{	/* Liveness/types.scm 41 */
						obj_t BgL_classz00_9829;

						BgL_classz00_9829 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 41 */
							obj_t BgL__ortest_1117z00_9830;

							BgL__ortest_1117z00_9830 = BGL_CLASS_NIL(BgL_classz00_9829);
							if (CBOOL(BgL__ortest_1117z00_9830))
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18883 =
										((BgL_variablez00_bglt) BgL__ortest_1117z00_9830);
								}
							else
								{	/* Liveness/types.scm 41 */
									BgL_auxz00_18883 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9829));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_closurez00_bglt) BgL_new1161z00_8371))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_18883), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18893;

					{
						obj_t BgL_auxz00_18894;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18895;

							BgL_tmpz00_18895 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8371));
							BgL_auxz00_18894 = BGL_OBJECT_WIDENING(BgL_tmpz00_18895);
						}
						BgL_auxz00_18893 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18894);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18893))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18901;

					{
						obj_t BgL_auxz00_18902;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18903;

							BgL_tmpz00_18903 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8371));
							BgL_auxz00_18902 = BGL_OBJECT_WIDENING(BgL_tmpz00_18903);
						}
						BgL_auxz00_18901 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18902);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18901))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18909;

					{
						obj_t BgL_auxz00_18910;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18911;

							BgL_tmpz00_18911 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8371));
							BgL_auxz00_18910 = BGL_OBJECT_WIDENING(BgL_tmpz00_18911);
						}
						BgL_auxz00_18909 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18910);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18909))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18917;

					{
						obj_t BgL_auxz00_18918;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18919;

							BgL_tmpz00_18919 =
								((BgL_objectz00_bglt)
								((BgL_closurez00_bglt) BgL_new1161z00_8371));
							BgL_auxz00_18918 = BGL_OBJECT_WIDENING(BgL_tmpz00_18919);
						}
						BgL_auxz00_18917 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18918);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18917))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_18869 = ((BgL_closurez00_bglt) BgL_new1161z00_8371);
				return ((obj_t) BgL_auxz00_18869);
			}
		}

	}



/* &lambda2176 */
	BgL_closurez00_bglt BGl_z62lambda2176z62zzliveness_typesz00(obj_t
		BgL_envz00_8372, obj_t BgL_o1158z00_8373)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurezf2livenesszf2_bglt BgL_wide1160z00_9832;

				BgL_wide1160z00_9832 =
					((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_closurezf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 41 */
					obj_t BgL_auxz00_18932;
					BgL_objectz00_bglt BgL_tmpz00_18928;

					BgL_auxz00_18932 = ((obj_t) BgL_wide1160z00_9832);
					BgL_tmpz00_18928 =
						((BgL_objectz00_bglt)
						((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8373)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18928, BgL_auxz00_18932);
				}
				((BgL_objectz00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8373)));
				{	/* Liveness/types.scm 41 */
					long BgL_arg2177z00_9833;

					BgL_arg2177z00_9833 =
						BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt)
								((BgL_closurez00_bglt) BgL_o1158z00_8373))),
						BgL_arg2177z00_9833);
				}
				return
					((BgL_closurez00_bglt)
					((BgL_closurez00_bglt) ((BgL_closurez00_bglt) BgL_o1158z00_8373)));
			}
		}

	}



/* &lambda2173 */
	BgL_closurez00_bglt BGl_z62lambda2173z62zzliveness_typesz00(obj_t
		BgL_envz00_8374, obj_t BgL_loc1151z00_8375, obj_t BgL_type1152z00_8376,
		obj_t BgL_variable1153z00_8377, obj_t BgL_def1154z00_8378,
		obj_t BgL_use1155z00_8379, obj_t BgL_in1156z00_8380,
		obj_t BgL_out1157z00_8381)
	{
		{	/* Liveness/types.scm 41 */
			{	/* Liveness/types.scm 41 */
				BgL_closurez00_bglt BgL_new1715z00_9840;

				{	/* Liveness/types.scm 41 */
					BgL_closurez00_bglt BgL_tmp1713z00_9841;
					BgL_closurezf2livenesszf2_bglt BgL_wide1714z00_9842;

					{
						BgL_closurez00_bglt BgL_auxz00_18946;

						{	/* Liveness/types.scm 41 */
							BgL_closurez00_bglt BgL_new1712z00_9843;

							BgL_new1712z00_9843 =
								((BgL_closurez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_closurez00_bgl))));
							{	/* Liveness/types.scm 41 */
								long BgL_arg2175z00_9844;

								BgL_arg2175z00_9844 =
									BGL_CLASS_NUM(BGl_closurez00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1712z00_9843),
									BgL_arg2175z00_9844);
							}
							{	/* Liveness/types.scm 41 */
								BgL_objectz00_bglt BgL_tmpz00_18951;

								BgL_tmpz00_18951 = ((BgL_objectz00_bglt) BgL_new1712z00_9843);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18951, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1712z00_9843);
							BgL_auxz00_18946 = BgL_new1712z00_9843;
						}
						BgL_tmp1713z00_9841 = ((BgL_closurez00_bglt) BgL_auxz00_18946);
					}
					BgL_wide1714z00_9842 =
						((BgL_closurezf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_closurezf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 41 */
						obj_t BgL_auxz00_18959;
						BgL_objectz00_bglt BgL_tmpz00_18957;

						BgL_auxz00_18959 = ((obj_t) BgL_wide1714z00_9842);
						BgL_tmpz00_18957 = ((BgL_objectz00_bglt) BgL_tmp1713z00_9841);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_18957, BgL_auxz00_18959);
					}
					((BgL_objectz00_bglt) BgL_tmp1713z00_9841);
					{	/* Liveness/types.scm 41 */
						long BgL_arg2174z00_9845;

						BgL_arg2174z00_9845 =
							BGL_CLASS_NUM(BGl_closurezf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1713z00_9841), BgL_arg2174z00_9845);
					}
					BgL_new1715z00_9840 = ((BgL_closurez00_bglt) BgL_tmp1713z00_9841);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1715z00_9840)))->BgL_locz00) =
					((obj_t) BgL_loc1151z00_8375), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1715z00_9840)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1152z00_8376)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1715z00_9840)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1153z00_8377)), BUNSPEC);
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18975;

					{
						obj_t BgL_auxz00_18976;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18977;

							BgL_tmpz00_18977 = ((BgL_objectz00_bglt) BgL_new1715z00_9840);
							BgL_auxz00_18976 = BGL_OBJECT_WIDENING(BgL_tmpz00_18977);
						}
						BgL_auxz00_18975 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18976);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18975))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1154z00_8378)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18983;

					{
						obj_t BgL_auxz00_18984;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18985;

							BgL_tmpz00_18985 = ((BgL_objectz00_bglt) BgL_new1715z00_9840);
							BgL_auxz00_18984 = BGL_OBJECT_WIDENING(BgL_tmpz00_18985);
						}
						BgL_auxz00_18983 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18984);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18983))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1155z00_8379)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18991;

					{
						obj_t BgL_auxz00_18992;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_18993;

							BgL_tmpz00_18993 = ((BgL_objectz00_bglt) BgL_new1715z00_9840);
							BgL_auxz00_18992 = BGL_OBJECT_WIDENING(BgL_tmpz00_18993);
						}
						BgL_auxz00_18991 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_18992);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18991))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1156z00_8380)), BUNSPEC);
				}
				{
					BgL_closurezf2livenesszf2_bglt BgL_auxz00_18999;

					{
						obj_t BgL_auxz00_19000;

						{	/* Liveness/types.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_19001;

							BgL_tmpz00_19001 = ((BgL_objectz00_bglt) BgL_new1715z00_9840);
							BgL_auxz00_19000 = BGL_OBJECT_WIDENING(BgL_tmpz00_19001);
						}
						BgL_auxz00_18999 =
							((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19000);
					}
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_18999))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1157z00_8381)), BUNSPEC);
				}
				return BgL_new1715z00_9840;
			}
		}

	}



/* &<@anonymous:2211> */
	obj_t BGl_z62zc3z04anonymousza32211ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8382)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2210 */
	obj_t BGl_z62lambda2210z62zzliveness_typesz00(obj_t BgL_envz00_8383,
		obj_t BgL_oz00_8384, obj_t BgL_vz00_8385)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19007;

				{
					obj_t BgL_auxz00_19008;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19009;

						BgL_tmpz00_19009 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8384));
						BgL_auxz00_19008 = BGL_OBJECT_WIDENING(BgL_tmpz00_19009);
					}
					BgL_auxz00_19007 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19008);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19007))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8385)), BUNSPEC);
			}
		}

	}



/* &lambda2209 */
	obj_t BGl_z62lambda2209z62zzliveness_typesz00(obj_t BgL_envz00_8386,
		obj_t BgL_oz00_8387)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19016;

				{
					obj_t BgL_auxz00_19017;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19018;

						BgL_tmpz00_19018 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8387));
						BgL_auxz00_19017 = BGL_OBJECT_WIDENING(BgL_tmpz00_19018);
					}
					BgL_auxz00_19016 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19017);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19016))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2204> */
	obj_t BGl_z62zc3z04anonymousza32204ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8388)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2203 */
	obj_t BGl_z62lambda2203z62zzliveness_typesz00(obj_t BgL_envz00_8389,
		obj_t BgL_oz00_8390, obj_t BgL_vz00_8391)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19024;

				{
					obj_t BgL_auxz00_19025;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19026;

						BgL_tmpz00_19026 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8390));
						BgL_auxz00_19025 = BGL_OBJECT_WIDENING(BgL_tmpz00_19026);
					}
					BgL_auxz00_19024 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19025);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19024))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8391)), BUNSPEC);
			}
		}

	}



/* &lambda2202 */
	obj_t BGl_z62lambda2202z62zzliveness_typesz00(obj_t BgL_envz00_8392,
		obj_t BgL_oz00_8393)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19033;

				{
					obj_t BgL_auxz00_19034;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19035;

						BgL_tmpz00_19035 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8393));
						BgL_auxz00_19034 = BGL_OBJECT_WIDENING(BgL_tmpz00_19035);
					}
					BgL_auxz00_19033 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19034);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19033))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2196> */
	obj_t BGl_z62zc3z04anonymousza32196ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8394)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2195 */
	obj_t BGl_z62lambda2195z62zzliveness_typesz00(obj_t BgL_envz00_8395,
		obj_t BgL_oz00_8396, obj_t BgL_vz00_8397)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19041;

				{
					obj_t BgL_auxz00_19042;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19043;

						BgL_tmpz00_19043 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8396));
						BgL_auxz00_19042 = BGL_OBJECT_WIDENING(BgL_tmpz00_19043);
					}
					BgL_auxz00_19041 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19042);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19041))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8397)), BUNSPEC);
			}
		}

	}



/* &lambda2194 */
	obj_t BGl_z62lambda2194z62zzliveness_typesz00(obj_t BgL_envz00_8398,
		obj_t BgL_oz00_8399)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19050;

				{
					obj_t BgL_auxz00_19051;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19052;

						BgL_tmpz00_19052 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8399));
						BgL_auxz00_19051 = BGL_OBJECT_WIDENING(BgL_tmpz00_19052);
					}
					BgL_auxz00_19050 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19051);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19050))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2189> */
	obj_t BGl_z62zc3z04anonymousza32189ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8400)
	{
		{	/* Liveness/types.scm 41 */
			return BNIL;
		}

	}



/* &lambda2188 */
	obj_t BGl_z62lambda2188z62zzliveness_typesz00(obj_t BgL_envz00_8401,
		obj_t BgL_oz00_8402, obj_t BgL_vz00_8403)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19058;

				{
					obj_t BgL_auxz00_19059;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19060;

						BgL_tmpz00_19060 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8402));
						BgL_auxz00_19059 = BGL_OBJECT_WIDENING(BgL_tmpz00_19060);
					}
					BgL_auxz00_19058 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19059);
				}
				return
					((((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19058))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8403)), BUNSPEC);
			}
		}

	}



/* &lambda2187 */
	obj_t BGl_z62lambda2187z62zzliveness_typesz00(obj_t BgL_envz00_8404,
		obj_t BgL_oz00_8405)
	{
		{	/* Liveness/types.scm 41 */
			{
				BgL_closurezf2livenesszf2_bglt BgL_auxz00_19067;

				{
					obj_t BgL_auxz00_19068;

					{	/* Liveness/types.scm 41 */
						BgL_objectz00_bglt BgL_tmpz00_19069;

						BgL_tmpz00_19069 =
							((BgL_objectz00_bglt) ((BgL_closurez00_bglt) BgL_oz00_8405));
						BgL_auxz00_19068 = BGL_OBJECT_WIDENING(BgL_tmpz00_19069);
					}
					BgL_auxz00_19067 =
						((BgL_closurezf2livenesszf2_bglt) BgL_auxz00_19068);
				}
				return
					(((BgL_closurezf2livenesszf2_bglt) COBJECT(BgL_auxz00_19067))->
					BgL_defz00);
			}
		}

	}



/* &lambda2135 */
	BgL_refz00_bglt BGl_z62lambda2135z62zzliveness_typesz00(obj_t BgL_envz00_8406,
		obj_t BgL_o1149z00_8407)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				long BgL_arg2136z00_9859;

				{	/* Liveness/types.scm 35 */
					obj_t BgL_arg2137z00_9860;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_arg2138z00_9861;

						{	/* Liveness/types.scm 35 */
							obj_t BgL_arg1866z00_9862;
							long BgL_arg1867z00_9863;

							BgL_arg1866z00_9862 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 35 */
								long BgL_arg1869z00_9864;

								BgL_arg1869z00_9864 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8407)));
								BgL_arg1867z00_9863 = (BgL_arg1869z00_9864 - OBJECT_TYPE);
							}
							BgL_arg2138z00_9861 =
								VECTOR_REF(BgL_arg1866z00_9862, BgL_arg1867z00_9863);
						}
						BgL_arg2137z00_9860 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2138z00_9861);
					}
					{	/* Liveness/types.scm 35 */
						obj_t BgL_tmpz00_19082;

						BgL_tmpz00_19082 = ((obj_t) BgL_arg2137z00_9860);
						BgL_arg2136z00_9859 = BGL_CLASS_NUM(BgL_tmpz00_19082);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_refz00_bglt) BgL_o1149z00_8407)), BgL_arg2136z00_9859);
			}
			{	/* Liveness/types.scm 35 */
				BgL_objectz00_bglt BgL_tmpz00_19088;

				BgL_tmpz00_19088 =
					((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8407));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19088, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8407));
			return ((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1149z00_8407));
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8408, obj_t BgL_new1148z00_8409)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refz00_bglt BgL_auxz00_19096;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_refz00_bglt) BgL_new1148z00_8409))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19100;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9866;

						BgL_classz00_9866 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1117z00_9867;

							BgL__ortest_1117z00_9867 = BGL_CLASS_NIL(BgL_classz00_9866);
							if (CBOOL(BgL__ortest_1117z00_9867))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_19100 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9867);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_19100 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9866));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_refz00_bglt) BgL_new1148z00_8409))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19100), BUNSPEC);
				}
				{
					BgL_variablez00_bglt BgL_auxz00_19110;

					{	/* Liveness/types.scm 35 */
						obj_t BgL_classz00_9868;

						BgL_classz00_9868 = BGl_variablez00zzast_varz00;
						{	/* Liveness/types.scm 35 */
							obj_t BgL__ortest_1117z00_9869;

							BgL__ortest_1117z00_9869 = BGL_CLASS_NIL(BgL_classz00_9868);
							if (CBOOL(BgL__ortest_1117z00_9869))
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_19110 =
										((BgL_variablez00_bglt) BgL__ortest_1117z00_9869);
								}
							else
								{	/* Liveness/types.scm 35 */
									BgL_auxz00_19110 =
										((BgL_variablez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9868));
								}
						}
					}
					((((BgL_varz00_bglt) COBJECT(
									((BgL_varz00_bglt)
										((BgL_refz00_bglt) BgL_new1148z00_8409))))->
							BgL_variablez00) =
						((BgL_variablez00_bglt) BgL_auxz00_19110), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19120;

					{
						obj_t BgL_auxz00_19121;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19122;

							BgL_tmpz00_19122 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8409));
							BgL_auxz00_19121 = BGL_OBJECT_WIDENING(BgL_tmpz00_19122);
						}
						BgL_auxz00_19120 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19121);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19120))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19128;

					{
						obj_t BgL_auxz00_19129;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19130;

							BgL_tmpz00_19130 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8409));
							BgL_auxz00_19129 = BGL_OBJECT_WIDENING(BgL_tmpz00_19130);
						}
						BgL_auxz00_19128 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19129);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19128))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19136;

					{
						obj_t BgL_auxz00_19137;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19138;

							BgL_tmpz00_19138 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8409));
							BgL_auxz00_19137 = BGL_OBJECT_WIDENING(BgL_tmpz00_19138);
						}
						BgL_auxz00_19136 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19137);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19136))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19144;

					{
						obj_t BgL_auxz00_19145;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19146;

							BgL_tmpz00_19146 =
								((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_new1148z00_8409));
							BgL_auxz00_19145 = BGL_OBJECT_WIDENING(BgL_tmpz00_19146);
						}
						BgL_auxz00_19144 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19145);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19144))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_19096 = ((BgL_refz00_bglt) BgL_new1148z00_8409);
				return ((obj_t) BgL_auxz00_19096);
			}
		}

	}



/* &lambda2132 */
	BgL_refz00_bglt BGl_z62lambda2132z62zzliveness_typesz00(obj_t BgL_envz00_8410,
		obj_t BgL_o1145z00_8411)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refzf2livenesszf2_bglt BgL_wide1147z00_9871;

				BgL_wide1147z00_9871 =
					((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_refzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 35 */
					obj_t BgL_auxz00_19159;
					BgL_objectz00_bglt BgL_tmpz00_19155;

					BgL_auxz00_19159 = ((obj_t) BgL_wide1147z00_9871);
					BgL_tmpz00_19155 =
						((BgL_objectz00_bglt)
						((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8411)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19155, BgL_auxz00_19159);
				}
				((BgL_objectz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8411)));
				{	/* Liveness/types.scm 35 */
					long BgL_arg2133z00_9872;

					BgL_arg2133z00_9872 =
						BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_refz00_bglt)
								((BgL_refz00_bglt) BgL_o1145z00_8411))), BgL_arg2133z00_9872);
				}
				return
					((BgL_refz00_bglt)
					((BgL_refz00_bglt) ((BgL_refz00_bglt) BgL_o1145z00_8411)));
			}
		}

	}



/* &lambda2129 */
	BgL_refz00_bglt BGl_z62lambda2129z62zzliveness_typesz00(obj_t BgL_envz00_8412,
		obj_t BgL_loc1138z00_8413, obj_t BgL_type1139z00_8414,
		obj_t BgL_variable1140z00_8415, obj_t BgL_def1141z00_8416,
		obj_t BgL_use1142z00_8417, obj_t BgL_in1143z00_8418,
		obj_t BgL_out1144z00_8419)
	{
		{	/* Liveness/types.scm 35 */
			{	/* Liveness/types.scm 35 */
				BgL_refz00_bglt BgL_new1710z00_9879;

				{	/* Liveness/types.scm 35 */
					BgL_refz00_bglt BgL_tmp1708z00_9880;
					BgL_refzf2livenesszf2_bglt BgL_wide1709z00_9881;

					{
						BgL_refz00_bglt BgL_auxz00_19173;

						{	/* Liveness/types.scm 35 */
							BgL_refz00_bglt BgL_new1707z00_9882;

							BgL_new1707z00_9882 =
								((BgL_refz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_refz00_bgl))));
							{	/* Liveness/types.scm 35 */
								long BgL_arg2131z00_9883;

								BgL_arg2131z00_9883 = BGL_CLASS_NUM(BGl_refz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1707z00_9882),
									BgL_arg2131z00_9883);
							}
							{	/* Liveness/types.scm 35 */
								BgL_objectz00_bglt BgL_tmpz00_19178;

								BgL_tmpz00_19178 = ((BgL_objectz00_bglt) BgL_new1707z00_9882);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19178, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1707z00_9882);
							BgL_auxz00_19173 = BgL_new1707z00_9882;
						}
						BgL_tmp1708z00_9880 = ((BgL_refz00_bglt) BgL_auxz00_19173);
					}
					BgL_wide1709z00_9881 =
						((BgL_refzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_refzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 35 */
						obj_t BgL_auxz00_19186;
						BgL_objectz00_bglt BgL_tmpz00_19184;

						BgL_auxz00_19186 = ((obj_t) BgL_wide1709z00_9881);
						BgL_tmpz00_19184 = ((BgL_objectz00_bglt) BgL_tmp1708z00_9880);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19184, BgL_auxz00_19186);
					}
					((BgL_objectz00_bglt) BgL_tmp1708z00_9880);
					{	/* Liveness/types.scm 35 */
						long BgL_arg2130z00_9884;

						BgL_arg2130z00_9884 =
							BGL_CLASS_NUM(BGl_refzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1708z00_9880), BgL_arg2130z00_9884);
					}
					BgL_new1710z00_9879 = ((BgL_refz00_bglt) BgL_tmp1708z00_9880);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1710z00_9879)))->BgL_locz00) =
					((obj_t) BgL_loc1138z00_8413), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1710z00_9879)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1139z00_8414)),
					BUNSPEC);
				((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_new1710z00_9879)))->
						BgL_variablez00) =
					((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
							BgL_variable1140z00_8415)), BUNSPEC);
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19202;

					{
						obj_t BgL_auxz00_19203;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19204;

							BgL_tmpz00_19204 = ((BgL_objectz00_bglt) BgL_new1710z00_9879);
							BgL_auxz00_19203 = BGL_OBJECT_WIDENING(BgL_tmpz00_19204);
						}
						BgL_auxz00_19202 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19203);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19202))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1141z00_8416)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19210;

					{
						obj_t BgL_auxz00_19211;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19212;

							BgL_tmpz00_19212 = ((BgL_objectz00_bglt) BgL_new1710z00_9879);
							BgL_auxz00_19211 = BGL_OBJECT_WIDENING(BgL_tmpz00_19212);
						}
						BgL_auxz00_19210 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19211);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19210))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1142z00_8417)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19218;

					{
						obj_t BgL_auxz00_19219;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19220;

							BgL_tmpz00_19220 = ((BgL_objectz00_bglt) BgL_new1710z00_9879);
							BgL_auxz00_19219 = BGL_OBJECT_WIDENING(BgL_tmpz00_19220);
						}
						BgL_auxz00_19218 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19219);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19218))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1143z00_8418)), BUNSPEC);
				}
				{
					BgL_refzf2livenesszf2_bglt BgL_auxz00_19226;

					{
						obj_t BgL_auxz00_19227;

						{	/* Liveness/types.scm 35 */
							BgL_objectz00_bglt BgL_tmpz00_19228;

							BgL_tmpz00_19228 = ((BgL_objectz00_bglt) BgL_new1710z00_9879);
							BgL_auxz00_19227 = BGL_OBJECT_WIDENING(BgL_tmpz00_19228);
						}
						BgL_auxz00_19226 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19227);
					}
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19226))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1144z00_8419)), BUNSPEC);
				}
				return BgL_new1710z00_9879;
			}
		}

	}



/* &<@anonymous:2166> */
	obj_t BGl_z62zc3z04anonymousza32166ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8420)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2165 */
	obj_t BGl_z62lambda2165z62zzliveness_typesz00(obj_t BgL_envz00_8421,
		obj_t BgL_oz00_8422, obj_t BgL_vz00_8423)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19234;

				{
					obj_t BgL_auxz00_19235;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19236;

						BgL_tmpz00_19236 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8422));
						BgL_auxz00_19235 = BGL_OBJECT_WIDENING(BgL_tmpz00_19236);
					}
					BgL_auxz00_19234 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19235);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19234))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8423)), BUNSPEC);
			}
		}

	}



/* &lambda2164 */
	obj_t BGl_z62lambda2164z62zzliveness_typesz00(obj_t BgL_envz00_8424,
		obj_t BgL_oz00_8425)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19243;

				{
					obj_t BgL_auxz00_19244;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19245;

						BgL_tmpz00_19245 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8425));
						BgL_auxz00_19244 = BGL_OBJECT_WIDENING(BgL_tmpz00_19245);
					}
					BgL_auxz00_19243 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19244);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19243))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2159> */
	obj_t BGl_z62zc3z04anonymousza32159ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8426)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2158 */
	obj_t BGl_z62lambda2158z62zzliveness_typesz00(obj_t BgL_envz00_8427,
		obj_t BgL_oz00_8428, obj_t BgL_vz00_8429)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19251;

				{
					obj_t BgL_auxz00_19252;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19253;

						BgL_tmpz00_19253 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8428));
						BgL_auxz00_19252 = BGL_OBJECT_WIDENING(BgL_tmpz00_19253);
					}
					BgL_auxz00_19251 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19252);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19251))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8429)), BUNSPEC);
			}
		}

	}



/* &lambda2157 */
	obj_t BGl_z62lambda2157z62zzliveness_typesz00(obj_t BgL_envz00_8430,
		obj_t BgL_oz00_8431)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19260;

				{
					obj_t BgL_auxz00_19261;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19262;

						BgL_tmpz00_19262 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8431));
						BgL_auxz00_19261 = BGL_OBJECT_WIDENING(BgL_tmpz00_19262);
					}
					BgL_auxz00_19260 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19261);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19260))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2152> */
	obj_t BGl_z62zc3z04anonymousza32152ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8432)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2151 */
	obj_t BGl_z62lambda2151z62zzliveness_typesz00(obj_t BgL_envz00_8433,
		obj_t BgL_oz00_8434, obj_t BgL_vz00_8435)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19268;

				{
					obj_t BgL_auxz00_19269;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19270;

						BgL_tmpz00_19270 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8434));
						BgL_auxz00_19269 = BGL_OBJECT_WIDENING(BgL_tmpz00_19270);
					}
					BgL_auxz00_19268 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19269);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19268))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8435)), BUNSPEC);
			}
		}

	}



/* &lambda2150 */
	obj_t BGl_z62lambda2150z62zzliveness_typesz00(obj_t BgL_envz00_8436,
		obj_t BgL_oz00_8437)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19277;

				{
					obj_t BgL_auxz00_19278;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19279;

						BgL_tmpz00_19279 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8437));
						BgL_auxz00_19278 = BGL_OBJECT_WIDENING(BgL_tmpz00_19279);
					}
					BgL_auxz00_19277 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19278);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19277))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2145> */
	obj_t BGl_z62zc3z04anonymousza32145ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8438)
	{
		{	/* Liveness/types.scm 35 */
			return BNIL;
		}

	}



/* &lambda2144 */
	obj_t BGl_z62lambda2144z62zzliveness_typesz00(obj_t BgL_envz00_8439,
		obj_t BgL_oz00_8440, obj_t BgL_vz00_8441)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19285;

				{
					obj_t BgL_auxz00_19286;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19287;

						BgL_tmpz00_19287 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8440));
						BgL_auxz00_19286 = BGL_OBJECT_WIDENING(BgL_tmpz00_19287);
					}
					BgL_auxz00_19285 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19286);
				}
				return
					((((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19285))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8441)), BUNSPEC);
			}
		}

	}



/* &lambda2143 */
	obj_t BGl_z62lambda2143z62zzliveness_typesz00(obj_t BgL_envz00_8442,
		obj_t BgL_oz00_8443)
	{
		{	/* Liveness/types.scm 35 */
			{
				BgL_refzf2livenesszf2_bglt BgL_auxz00_19294;

				{
					obj_t BgL_auxz00_19295;

					{	/* Liveness/types.scm 35 */
						BgL_objectz00_bglt BgL_tmpz00_19296;

						BgL_tmpz00_19296 =
							((BgL_objectz00_bglt) ((BgL_refz00_bglt) BgL_oz00_8443));
						BgL_auxz00_19295 = BGL_OBJECT_WIDENING(BgL_tmpz00_19296);
					}
					BgL_auxz00_19294 = ((BgL_refzf2livenesszf2_bglt) BgL_auxz00_19295);
				}
				return
					(((BgL_refzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19294))->
					BgL_defz00);
			}
		}

	}



/* &lambda2091 */
	BgL_literalz00_bglt BGl_z62lambda2091z62zzliveness_typesz00(obj_t
		BgL_envz00_8444, obj_t BgL_o1136z00_8445)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				long BgL_arg2092z00_9898;

				{	/* Liveness/types.scm 29 */
					obj_t BgL_arg2093z00_9899;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_arg2094z00_9900;

						{	/* Liveness/types.scm 29 */
							obj_t BgL_arg1866z00_9901;
							long BgL_arg1867z00_9902;

							BgL_arg1866z00_9901 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 29 */
								long BgL_arg1869z00_9903;

								BgL_arg1869z00_9903 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_literalz00_bglt) BgL_o1136z00_8445)));
								BgL_arg1867z00_9902 = (BgL_arg1869z00_9903 - OBJECT_TYPE);
							}
							BgL_arg2094z00_9900 =
								VECTOR_REF(BgL_arg1866z00_9901, BgL_arg1867z00_9902);
						}
						BgL_arg2093z00_9899 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2094z00_9900);
					}
					{	/* Liveness/types.scm 29 */
						obj_t BgL_tmpz00_19309;

						BgL_tmpz00_19309 = ((obj_t) BgL_arg2093z00_9899);
						BgL_arg2092z00_9898 = BGL_CLASS_NUM(BgL_tmpz00_19309);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) BgL_o1136z00_8445)), BgL_arg2092z00_9898);
			}
			{	/* Liveness/types.scm 29 */
				BgL_objectz00_bglt BgL_tmpz00_19315;

				BgL_tmpz00_19315 =
					((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8445));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19315, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8445));
			return ((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1136z00_8445));
		}

	}



/* &<@anonymous:2090> */
	obj_t BGl_z62zc3z04anonymousza32090ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8446, obj_t BgL_new1135z00_8447)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalz00_bglt BgL_auxz00_19323;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_literalz00_bglt) BgL_new1135z00_8447))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19327;

					{	/* Liveness/types.scm 29 */
						obj_t BgL_classz00_9905;

						BgL_classz00_9905 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 29 */
							obj_t BgL__ortest_1117z00_9906;

							BgL__ortest_1117z00_9906 = BGL_CLASS_NIL(BgL_classz00_9905);
							if (CBOOL(BgL__ortest_1117z00_9906))
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_19327 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9906);
								}
							else
								{	/* Liveness/types.scm 29 */
									BgL_auxz00_19327 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9905));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_literalz00_bglt) BgL_new1135z00_8447))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_19327), BUNSPEC);
				}
				((((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt)
									((BgL_literalz00_bglt) BgL_new1135z00_8447))))->
						BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19340;

					{
						obj_t BgL_auxz00_19341;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19342;

							BgL_tmpz00_19342 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8447));
							BgL_auxz00_19341 = BGL_OBJECT_WIDENING(BgL_tmpz00_19342);
						}
						BgL_auxz00_19340 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19341);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19340))->
							BgL_defz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19348;

					{
						obj_t BgL_auxz00_19349;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19350;

							BgL_tmpz00_19350 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8447));
							BgL_auxz00_19349 = BGL_OBJECT_WIDENING(BgL_tmpz00_19350);
						}
						BgL_auxz00_19348 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19349);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19348))->
							BgL_usez00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19356;

					{
						obj_t BgL_auxz00_19357;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19358;

							BgL_tmpz00_19358 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8447));
							BgL_auxz00_19357 = BGL_OBJECT_WIDENING(BgL_tmpz00_19358);
						}
						BgL_auxz00_19356 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19357);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19356))->
							BgL_inz00) = ((obj_t) BNIL), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19364;

					{
						obj_t BgL_auxz00_19365;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19366;

							BgL_tmpz00_19366 =
								((BgL_objectz00_bglt)
								((BgL_literalz00_bglt) BgL_new1135z00_8447));
							BgL_auxz00_19365 = BGL_OBJECT_WIDENING(BgL_tmpz00_19366);
						}
						BgL_auxz00_19364 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19365);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19364))->
							BgL_outz00) = ((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_19323 = ((BgL_literalz00_bglt) BgL_new1135z00_8447);
				return ((obj_t) BgL_auxz00_19323);
			}
		}

	}



/* &lambda2088 */
	BgL_literalz00_bglt BGl_z62lambda2088z62zzliveness_typesz00(obj_t
		BgL_envz00_8448, obj_t BgL_o1131z00_8449)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalzf2livenesszf2_bglt BgL_wide1133z00_9908;

				BgL_wide1133z00_9908 =
					((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_literalzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 29 */
					obj_t BgL_auxz00_19379;
					BgL_objectz00_bglt BgL_tmpz00_19375;

					BgL_auxz00_19379 = ((obj_t) BgL_wide1133z00_9908);
					BgL_tmpz00_19375 =
						((BgL_objectz00_bglt)
						((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1131z00_8449)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19375, BgL_auxz00_19379);
				}
				((BgL_objectz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1131z00_8449)));
				{	/* Liveness/types.scm 29 */
					long BgL_arg2089z00_9909;

					BgL_arg2089z00_9909 =
						BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_literalz00_bglt)
								((BgL_literalz00_bglt) BgL_o1131z00_8449))),
						BgL_arg2089z00_9909);
				}
				return
					((BgL_literalz00_bglt)
					((BgL_literalz00_bglt) ((BgL_literalz00_bglt) BgL_o1131z00_8449)));
			}
		}

	}



/* &lambda2085 */
	BgL_literalz00_bglt BGl_z62lambda2085z62zzliveness_typesz00(obj_t
		BgL_envz00_8450, obj_t BgL_loc1124z00_8451, obj_t BgL_type1125z00_8452,
		obj_t BgL_value1126z00_8453, obj_t BgL_def1127z00_8454,
		obj_t BgL_use1128z00_8455, obj_t BgL_in1129z00_8456,
		obj_t BgL_out1130z00_8457)
	{
		{	/* Liveness/types.scm 29 */
			{	/* Liveness/types.scm 29 */
				BgL_literalz00_bglt BgL_new1705z00_9915;

				{	/* Liveness/types.scm 29 */
					BgL_literalz00_bglt BgL_tmp1703z00_9916;
					BgL_literalzf2livenesszf2_bglt BgL_wide1704z00_9917;

					{
						BgL_literalz00_bglt BgL_auxz00_19393;

						{	/* Liveness/types.scm 29 */
							BgL_literalz00_bglt BgL_new1702z00_9918;

							BgL_new1702z00_9918 =
								((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_literalz00_bgl))));
							{	/* Liveness/types.scm 29 */
								long BgL_arg2087z00_9919;

								BgL_arg2087z00_9919 =
									BGL_CLASS_NUM(BGl_literalz00zzast_nodez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1702z00_9918),
									BgL_arg2087z00_9919);
							}
							{	/* Liveness/types.scm 29 */
								BgL_objectz00_bglt BgL_tmpz00_19398;

								BgL_tmpz00_19398 = ((BgL_objectz00_bglt) BgL_new1702z00_9918);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19398, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1702z00_9918);
							BgL_auxz00_19393 = BgL_new1702z00_9918;
						}
						BgL_tmp1703z00_9916 = ((BgL_literalz00_bglt) BgL_auxz00_19393);
					}
					BgL_wide1704z00_9917 =
						((BgL_literalzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_literalzf2livenesszf2_bgl))));
					{	/* Liveness/types.scm 29 */
						obj_t BgL_auxz00_19406;
						BgL_objectz00_bglt BgL_tmpz00_19404;

						BgL_auxz00_19406 = ((obj_t) BgL_wide1704z00_9917);
						BgL_tmpz00_19404 = ((BgL_objectz00_bglt) BgL_tmp1703z00_9916);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19404, BgL_auxz00_19406);
					}
					((BgL_objectz00_bglt) BgL_tmp1703z00_9916);
					{	/* Liveness/types.scm 29 */
						long BgL_arg2086z00_9920;

						BgL_arg2086z00_9920 =
							BGL_CLASS_NUM(BGl_literalzf2livenesszf2zzliveness_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1703z00_9916), BgL_arg2086z00_9920);
					}
					BgL_new1705z00_9915 = ((BgL_literalz00_bglt) BgL_tmp1703z00_9916);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_new1705z00_9915)))->BgL_locz00) =
					((obj_t) BgL_loc1124z00_8451), BUNSPEC);
				((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
									BgL_new1705z00_9915)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1125z00_8452)),
					BUNSPEC);
				((((BgL_atomz00_bglt) COBJECT(((BgL_atomz00_bglt)
									BgL_new1705z00_9915)))->BgL_valuez00) =
					((obj_t) BgL_value1126z00_8453), BUNSPEC);
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19421;

					{
						obj_t BgL_auxz00_19422;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19423;

							BgL_tmpz00_19423 = ((BgL_objectz00_bglt) BgL_new1705z00_9915);
							BgL_auxz00_19422 = BGL_OBJECT_WIDENING(BgL_tmpz00_19423);
						}
						BgL_auxz00_19421 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19422);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19421))->
							BgL_defz00) = ((obj_t) ((obj_t) BgL_def1127z00_8454)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19429;

					{
						obj_t BgL_auxz00_19430;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19431;

							BgL_tmpz00_19431 = ((BgL_objectz00_bglt) BgL_new1705z00_9915);
							BgL_auxz00_19430 = BGL_OBJECT_WIDENING(BgL_tmpz00_19431);
						}
						BgL_auxz00_19429 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19430);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19429))->
							BgL_usez00) = ((obj_t) ((obj_t) BgL_use1128z00_8455)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19437;

					{
						obj_t BgL_auxz00_19438;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19439;

							BgL_tmpz00_19439 = ((BgL_objectz00_bglt) BgL_new1705z00_9915);
							BgL_auxz00_19438 = BGL_OBJECT_WIDENING(BgL_tmpz00_19439);
						}
						BgL_auxz00_19437 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19438);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19437))->
							BgL_inz00) = ((obj_t) ((obj_t) BgL_in1129z00_8456)), BUNSPEC);
				}
				{
					BgL_literalzf2livenesszf2_bglt BgL_auxz00_19445;

					{
						obj_t BgL_auxz00_19446;

						{	/* Liveness/types.scm 29 */
							BgL_objectz00_bglt BgL_tmpz00_19447;

							BgL_tmpz00_19447 = ((BgL_objectz00_bglt) BgL_new1705z00_9915);
							BgL_auxz00_19446 = BGL_OBJECT_WIDENING(BgL_tmpz00_19447);
						}
						BgL_auxz00_19445 =
							((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19446);
					}
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19445))->
							BgL_outz00) = ((obj_t) ((obj_t) BgL_out1130z00_8457)), BUNSPEC);
				}
				return BgL_new1705z00_9915;
			}
		}

	}



/* &<@anonymous:2122> */
	obj_t BGl_z62zc3z04anonymousza32122ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8458)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2121 */
	obj_t BGl_z62lambda2121z62zzliveness_typesz00(obj_t BgL_envz00_8459,
		obj_t BgL_oz00_8460, obj_t BgL_vz00_8461)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19453;

				{
					obj_t BgL_auxz00_19454;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19455;

						BgL_tmpz00_19455 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8460));
						BgL_auxz00_19454 = BGL_OBJECT_WIDENING(BgL_tmpz00_19455);
					}
					BgL_auxz00_19453 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19454);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19453))->
						BgL_outz00) = ((obj_t) ((obj_t) BgL_vz00_8461)), BUNSPEC);
			}
		}

	}



/* &lambda2120 */
	obj_t BGl_z62lambda2120z62zzliveness_typesz00(obj_t BgL_envz00_8462,
		obj_t BgL_oz00_8463)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19462;

				{
					obj_t BgL_auxz00_19463;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19464;

						BgL_tmpz00_19464 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8463));
						BgL_auxz00_19463 = BGL_OBJECT_WIDENING(BgL_tmpz00_19464);
					}
					BgL_auxz00_19462 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19463);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19462))->
					BgL_outz00);
			}
		}

	}



/* &<@anonymous:2115> */
	obj_t BGl_z62zc3z04anonymousza32115ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8464)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2114 */
	obj_t BGl_z62lambda2114z62zzliveness_typesz00(obj_t BgL_envz00_8465,
		obj_t BgL_oz00_8466, obj_t BgL_vz00_8467)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19470;

				{
					obj_t BgL_auxz00_19471;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19472;

						BgL_tmpz00_19472 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8466));
						BgL_auxz00_19471 = BGL_OBJECT_WIDENING(BgL_tmpz00_19472);
					}
					BgL_auxz00_19470 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19471);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19470))->
						BgL_inz00) = ((obj_t) ((obj_t) BgL_vz00_8467)), BUNSPEC);
			}
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzliveness_typesz00(obj_t BgL_envz00_8468,
		obj_t BgL_oz00_8469)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19479;

				{
					obj_t BgL_auxz00_19480;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19481;

						BgL_tmpz00_19481 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8469));
						BgL_auxz00_19480 = BGL_OBJECT_WIDENING(BgL_tmpz00_19481);
					}
					BgL_auxz00_19479 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19480);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19479))->
					BgL_inz00);
			}
		}

	}



/* &<@anonymous:2108> */
	obj_t BGl_z62zc3z04anonymousza32108ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8470)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2107 */
	obj_t BGl_z62lambda2107z62zzliveness_typesz00(obj_t BgL_envz00_8471,
		obj_t BgL_oz00_8472, obj_t BgL_vz00_8473)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19487;

				{
					obj_t BgL_auxz00_19488;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19489;

						BgL_tmpz00_19489 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8472));
						BgL_auxz00_19488 = BGL_OBJECT_WIDENING(BgL_tmpz00_19489);
					}
					BgL_auxz00_19487 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19488);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19487))->
						BgL_usez00) = ((obj_t) ((obj_t) BgL_vz00_8473)), BUNSPEC);
			}
		}

	}



/* &lambda2106 */
	obj_t BGl_z62lambda2106z62zzliveness_typesz00(obj_t BgL_envz00_8474,
		obj_t BgL_oz00_8475)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19496;

				{
					obj_t BgL_auxz00_19497;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19498;

						BgL_tmpz00_19498 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8475));
						BgL_auxz00_19497 = BGL_OBJECT_WIDENING(BgL_tmpz00_19498);
					}
					BgL_auxz00_19496 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19497);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19496))->
					BgL_usez00);
			}
		}

	}



/* &<@anonymous:2101> */
	obj_t BGl_z62zc3z04anonymousza32101ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8476)
	{
		{	/* Liveness/types.scm 29 */
			return BNIL;
		}

	}



/* &lambda2100 */
	obj_t BGl_z62lambda2100z62zzliveness_typesz00(obj_t BgL_envz00_8477,
		obj_t BgL_oz00_8478, obj_t BgL_vz00_8479)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19504;

				{
					obj_t BgL_auxz00_19505;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19506;

						BgL_tmpz00_19506 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8478));
						BgL_auxz00_19505 = BGL_OBJECT_WIDENING(BgL_tmpz00_19506);
					}
					BgL_auxz00_19504 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19505);
				}
				return
					((((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19504))->
						BgL_defz00) = ((obj_t) ((obj_t) BgL_vz00_8479)), BUNSPEC);
			}
		}

	}



/* &lambda2099 */
	obj_t BGl_z62lambda2099z62zzliveness_typesz00(obj_t BgL_envz00_8480,
		obj_t BgL_oz00_8481)
	{
		{	/* Liveness/types.scm 29 */
			{
				BgL_literalzf2livenesszf2_bglt BgL_auxz00_19513;

				{
					obj_t BgL_auxz00_19514;

					{	/* Liveness/types.scm 29 */
						BgL_objectz00_bglt BgL_tmpz00_19515;

						BgL_tmpz00_19515 =
							((BgL_objectz00_bglt) ((BgL_literalz00_bglt) BgL_oz00_8481));
						BgL_auxz00_19514 = BGL_OBJECT_WIDENING(BgL_tmpz00_19515);
					}
					BgL_auxz00_19513 =
						((BgL_literalzf2livenesszf2_bglt) BgL_auxz00_19514);
				}
				return
					(((BgL_literalzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19513))->
					BgL_defz00);
			}
		}

	}



/* &lambda2068 */
	BgL_localz00_bglt BGl_z62lambda2068z62zzliveness_typesz00(obj_t
		BgL_envz00_8482, obj_t BgL_o1122z00_8483)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_arg2069z00_9934;

				{	/* Liveness/types.scm 26 */
					obj_t BgL_arg2070z00_9935;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_arg2071z00_9936;

						{	/* Liveness/types.scm 26 */
							obj_t BgL_arg1866z00_9937;
							long BgL_arg1867z00_9938;

							BgL_arg1866z00_9937 = (BGl_za2classesza2z00zz__objectz00);
							{	/* Liveness/types.scm 26 */
								long BgL_arg1869z00_9939;

								BgL_arg1869z00_9939 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1122z00_8483)));
								BgL_arg1867z00_9938 = (BgL_arg1869z00_9939 - OBJECT_TYPE);
							}
							BgL_arg2071z00_9936 =
								VECTOR_REF(BgL_arg1866z00_9937, BgL_arg1867z00_9938);
						}
						BgL_arg2070z00_9935 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2071z00_9936);
					}
					{	/* Liveness/types.scm 26 */
						obj_t BgL_tmpz00_19528;

						BgL_tmpz00_19528 = ((obj_t) BgL_arg2070z00_9935);
						BgL_arg2069z00_9934 = BGL_CLASS_NUM(BgL_tmpz00_19528);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1122z00_8483)), BgL_arg2069z00_9934);
			}
			{	/* Liveness/types.scm 26 */
				BgL_objectz00_bglt BgL_tmpz00_19534;

				BgL_tmpz00_19534 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_8483));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19534, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_8483));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1122z00_8483));
		}

	}



/* &<@anonymous:2067> */
	obj_t BGl_z62zc3z04anonymousza32067ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8484, obj_t BgL_new1121z00_8485)
	{
		{	/* Liveness/types.scm 26 */
			{
				BgL_localz00_bglt BgL_auxz00_19542;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_8485))))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(43))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_19551;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9941;

						BgL_classz00_9941 = BGl_typez00zztype_typez00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1117z00_9942;

							BgL__ortest_1117z00_9942 = BGL_CLASS_NIL(BgL_classz00_9941);
							if (CBOOL(BgL__ortest_1117z00_9942))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19551 =
										((BgL_typez00_bglt) BgL__ortest_1117z00_9942);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19551 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9941));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_8485))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_19551), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_19561;

					{	/* Liveness/types.scm 26 */
						obj_t BgL_classz00_9943;

						BgL_classz00_9943 = BGl_valuez00zzast_varz00;
						{	/* Liveness/types.scm 26 */
							obj_t BgL__ortest_1117z00_9944;

							BgL__ortest_1117z00_9944 = BGL_CLASS_NIL(BgL_classz00_9943);
							if (CBOOL(BgL__ortest_1117z00_9944))
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19561 =
										((BgL_valuez00_bglt) BgL__ortest_1117z00_9944);
								}
							else
								{	/* Liveness/types.scm 26 */
									BgL_auxz00_19561 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9943));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1121z00_8485))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_19561), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1121z00_8485))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_occurrencez00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_occurrencewz00) =
					((long) 0L), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_keyz00) =
					((long) 0L), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1121z00_8485))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19598;

					{
						obj_t BgL_auxz00_19599;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19600;

							BgL_tmpz00_19600 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1121z00_8485));
							BgL_auxz00_19599 = BGL_OBJECT_WIDENING(BgL_tmpz00_19600);
						}
						BgL_auxz00_19598 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19599);
					}
					((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19598))->
							BgL_z52countz52) = ((int) (int) (0L)), BUNSPEC);
				}
				BgL_auxz00_19542 = ((BgL_localz00_bglt) BgL_new1121z00_8485);
				return ((obj_t) BgL_auxz00_19542);
			}
		}

	}



/* &lambda2065 */
	BgL_localz00_bglt BGl_z62lambda2065z62zzliveness_typesz00(obj_t
		BgL_envz00_8486, obj_t BgL_o1118z00_8487)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				BgL_localzf2livenesszf2_bglt BgL_wide1120z00_9946;

				BgL_wide1120z00_9946 =
					((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2livenesszf2_bgl))));
				{	/* Liveness/types.scm 26 */
					obj_t BgL_auxz00_19614;
					BgL_objectz00_bglt BgL_tmpz00_19610;

					BgL_auxz00_19614 = ((obj_t) BgL_wide1120z00_9946);
					BgL_tmpz00_19610 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8487)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19610, BgL_auxz00_19614);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8487)));
				{	/* Liveness/types.scm 26 */
					long BgL_arg2066z00_9947;

					BgL_arg2066z00_9947 =
						BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1118z00_8487))), BgL_arg2066z00_9947);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1118z00_8487)));
			}
		}

	}



/* &lambda2061 */
	BgL_localz00_bglt BGl_z62lambda2061z62zzliveness_typesz00(obj_t
		BgL_envz00_8488, obj_t BgL_id1104z00_8489, obj_t BgL_name1105z00_8490,
		obj_t BgL_type1106z00_8491, obj_t BgL_value1107z00_8492,
		obj_t BgL_access1108z00_8493, obj_t BgL_fastzd2alpha1109zd2_8494,
		obj_t BgL_removable1110z00_8495, obj_t BgL_occurrence1111z00_8496,
		obj_t BgL_occurrencew1112z00_8497, obj_t BgL_userzf31113zf3_8498,
		obj_t BgL_key1114z00_8499, obj_t BgL_valzd2noescape1115zd2_8500,
		obj_t BgL_volatile1116z00_8501, obj_t BgL_z52count1117z52_8502)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				long BgL_occurrence1111z00_9951;
				long BgL_occurrencew1112z00_9952;
				bool_t BgL_userzf31113zf3_9953;
				long BgL_key1114z00_9954;
				bool_t BgL_volatile1116z00_9955;
				int BgL_z52count1117z52_9956;

				BgL_occurrence1111z00_9951 = (long) CINT(BgL_occurrence1111z00_8496);
				BgL_occurrencew1112z00_9952 = (long) CINT(BgL_occurrencew1112z00_8497);
				BgL_userzf31113zf3_9953 = CBOOL(BgL_userzf31113zf3_8498);
				BgL_key1114z00_9954 = (long) CINT(BgL_key1114z00_8499);
				BgL_volatile1116z00_9955 = CBOOL(BgL_volatile1116z00_8501);
				BgL_z52count1117z52_9956 = CINT(BgL_z52count1117z52_8502);
				{	/* Liveness/types.scm 26 */
					BgL_localz00_bglt BgL_new1700z00_9957;

					{	/* Liveness/types.scm 26 */
						BgL_localz00_bglt BgL_tmp1698z00_9958;
						BgL_localzf2livenesszf2_bglt BgL_wide1699z00_9959;

						{
							BgL_localz00_bglt BgL_auxz00_19634;

							{	/* Liveness/types.scm 26 */
								BgL_localz00_bglt BgL_new1697z00_9960;

								BgL_new1697z00_9960 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Liveness/types.scm 26 */
									long BgL_arg2064z00_9961;

									BgL_arg2064z00_9961 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1697z00_9960),
										BgL_arg2064z00_9961);
								}
								{	/* Liveness/types.scm 26 */
									BgL_objectz00_bglt BgL_tmpz00_19639;

									BgL_tmpz00_19639 = ((BgL_objectz00_bglt) BgL_new1697z00_9960);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19639, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1697z00_9960);
								BgL_auxz00_19634 = BgL_new1697z00_9960;
							}
							BgL_tmp1698z00_9958 = ((BgL_localz00_bglt) BgL_auxz00_19634);
						}
						BgL_wide1699z00_9959 =
							((BgL_localzf2livenesszf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2livenesszf2_bgl))));
						{	/* Liveness/types.scm 26 */
							obj_t BgL_auxz00_19647;
							BgL_objectz00_bglt BgL_tmpz00_19645;

							BgL_auxz00_19647 = ((obj_t) BgL_wide1699z00_9959);
							BgL_tmpz00_19645 = ((BgL_objectz00_bglt) BgL_tmp1698z00_9958);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_19645, BgL_auxz00_19647);
						}
						((BgL_objectz00_bglt) BgL_tmp1698z00_9958);
						{	/* Liveness/types.scm 26 */
							long BgL_arg2063z00_9962;

							BgL_arg2063z00_9962 =
								BGL_CLASS_NUM(BGl_localzf2livenesszf2zzliveness_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1698z00_9958),
								BgL_arg2063z00_9962);
						}
						BgL_new1700z00_9957 = ((BgL_localz00_bglt) BgL_tmp1698z00_9958);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1700z00_9957)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1104z00_8489)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_namez00) =
						((obj_t) BgL_name1105z00_8490), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1106z00_8491)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1107z00_8492)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_accessz00) =
						((obj_t) BgL_access1108z00_8493), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1109zd2_8494), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_removablez00) =
						((obj_t) BgL_removable1110z00_8495), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_occurrencez00) =
						((long) BgL_occurrence1111z00_9951), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1112z00_9952), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1700z00_9957)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31113zf3_9953), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1700z00_9957)))->BgL_keyz00) =
						((long) BgL_key1114z00_9954), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1700z00_9957)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1115zd2_8500), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1700z00_9957)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1116z00_9955), BUNSPEC);
					{
						BgL_localzf2livenesszf2_bglt BgL_auxz00_19684;

						{
							obj_t BgL_auxz00_19685;

							{	/* Liveness/types.scm 26 */
								BgL_objectz00_bglt BgL_tmpz00_19686;

								BgL_tmpz00_19686 = ((BgL_objectz00_bglt) BgL_new1700z00_9957);
								BgL_auxz00_19685 = BGL_OBJECT_WIDENING(BgL_tmpz00_19686);
							}
							BgL_auxz00_19684 =
								((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19685);
						}
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19684))->
								BgL_z52countz52) = ((int) BgL_z52count1117z52_9956), BUNSPEC);
					}
					return BgL_new1700z00_9957;
				}
			}
		}

	}



/* &<@anonymous:2078> */
	obj_t BGl_z62zc3z04anonymousza32078ze3ze5zzliveness_typesz00(obj_t
		BgL_envz00_8503)
	{
		{	/* Liveness/types.scm 26 */
			return BINT(0L);
		}

	}



/* &lambda2077 */
	obj_t BGl_z62lambda2077z62zzliveness_typesz00(obj_t BgL_envz00_8504,
		obj_t BgL_oz00_8505, obj_t BgL_vz00_8506)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_vz00_9964;

				BgL_vz00_9964 = CINT(BgL_vz00_8506);
				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19693;

					{
						obj_t BgL_auxz00_19694;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19695;

							BgL_tmpz00_19695 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8505));
							BgL_auxz00_19694 = BGL_OBJECT_WIDENING(BgL_tmpz00_19695);
						}
						BgL_auxz00_19693 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19694);
					}
					return
						((((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19693))->
							BgL_z52countz52) = ((int) BgL_vz00_9964), BUNSPEC);
		}}}

	}



/* &lambda2076 */
	obj_t BGl_z62lambda2076z62zzliveness_typesz00(obj_t BgL_envz00_8507,
		obj_t BgL_oz00_8508)
	{
		{	/* Liveness/types.scm 26 */
			{	/* Liveness/types.scm 26 */
				int BgL_tmpz00_19701;

				{
					BgL_localzf2livenesszf2_bglt BgL_auxz00_19702;

					{
						obj_t BgL_auxz00_19703;

						{	/* Liveness/types.scm 26 */
							BgL_objectz00_bglt BgL_tmpz00_19704;

							BgL_tmpz00_19704 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_8508));
							BgL_auxz00_19703 = BGL_OBJECT_WIDENING(BgL_tmpz00_19704);
						}
						BgL_auxz00_19702 =
							((BgL_localzf2livenesszf2_bglt) BgL_auxz00_19703);
					}
					BgL_tmpz00_19701 =
						(((BgL_localzf2livenesszf2_bglt) COBJECT(BgL_auxz00_19702))->
						BgL_z52countz52);
				}
				return BINT(BgL_tmpz00_19701);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzliveness_typesz00(void)
	{
		{	/* Liveness/types.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(398780265L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string4514z00zzliveness_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
