/*===========================================================================*/
/*   (Module/foreign.scm)                                                    */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/foreign.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_FOREIGN_TYPE_DEFINITIONS
#define BGL_MODULE_FOREIGN_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;


#endif													// BGL_MODULE_FOREIGN_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_declarezd2czd2typez12z12zzforeign_ctypez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_foreignz00 = BUNSPEC;
	static obj_t BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00(obj_t);
	static obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_caliasz00zzforeign_ctypez00;
	static obj_t BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BUNSPEC;
	static obj_t BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00(obj_t);
	static obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t, bool_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00(void);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static bool_t
		BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_foreignz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00(void);
	static obj_t BGl_objectzd2initzd2zzmodule_foreignz00(void);
	extern obj_t BGl_cstructz00zzforeign_ctypez00;
	static obj_t BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2externzd2compilerz00zzmodule_foreignz00(void);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_foreignz00(void);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31180ze3ze5zzmodule_foreignz00(obj_t);
	static obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31175ze3ze5zzmodule_foreignz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31178ze3ze5zzmodule_foreignz00(obj_t,
		obj_t);
	static obj_t BGl_z62foreignzd2producerzb0zzmodule_foreignz00(obj_t, obj_t);
	static obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31179ze3ze5zzmodule_foreignz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2czd2typezd2zztype_cachez00(void);
	extern obj_t BGl_checkzd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_foreignz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00(void);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_foreignz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
	extern obj_t
		BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00(BgL_typez00_bglt);
	extern obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00(void);
	extern obj_t BGl_za2includezd2foreignza2zd2zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[22];


	   
		 
		DEFINE_STRING(BGl_string2300z00zzmodule_foreignz00,
		BgL_bgl_string2300za700za7za7m2303za7, "module_foreign", 14);
	      DEFINE_STRING(BGl_string2301z00zzmodule_foreignz00,
		BgL_bgl_string2301za700za7za7m2304za7,
		"unit make-heap make-add-heap union* struct* array enum function pointer opaque struct union C * macro export type include infix void extern foreign ",
		148);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2fin2305z00,
		BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2285z00zzmodule_foreignz00,
		BgL_bgl_string2285za700za7za7m2306za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2286z00zzmodule_foreignz00,
		BgL_bgl_string2286za700za7za7m2307za7, "Illegal `foreign' clause", 24);
	      DEFINE_STRING(BGl_string2287z00zzmodule_foreignz00,
		BgL_bgl_string2287za700za7za7m2308za7, "Illegal `extern' clause", 23);
	      DEFINE_STRING(BGl_string2288z00zzmodule_foreignz00,
		BgL_bgl_string2288za700za7za7m2309za7, "Illegal `include' clause", 24);
	      DEFINE_STRING(BGl_string2289z00zzmodule_foreignz00,
		BgL_bgl_string2289za700za7za7m2310za7, "Illegal foreign form", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2311za7,
		BGl_z62zc3z04anonymousza31175ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31178ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2313za7,
		BGl_z62zc3z04anonymousza31179ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2290z00zzmodule_foreignz00,
		BgL_bgl_string2290za700za7za7m2314za7, "Illegal `macro' form", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzmodule_foreignz00,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31180ze3ze5zzmodule_foreignz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2291z00zzmodule_foreignz00,
		BgL_bgl_string2291za700za7za7m2316za7, "Illegal `function' form", 23);
	      DEFINE_STRING(BGl_string2292z00zzmodule_foreignz00,
		BgL_bgl_string2292za700za7za7m2317za7, "Illegal `variable' form", 23);
	      DEFINE_STRING(BGl_string2293z00zzmodule_foreignz00,
		BgL_bgl_string2293za700za7za7m2318za7, "Illegal extern form", 19);
	      DEFINE_STRING(BGl_string2294z00zzmodule_foreignz00,
		BgL_bgl_string2294za700za7za7m2319za7, "Illegal `C foreign type'", 24);
	      DEFINE_STRING(BGl_string2295z00zzmodule_foreignz00,
		BgL_bgl_string2295za700za7za7m2320za7, "Illegal `C extern type'", 23);
	      DEFINE_STRING(BGl_string2296z00zzmodule_foreignz00,
		BgL_bgl_string2296za700za7za7m2321za7, "Foreign", 7);
	      DEFINE_STRING(BGl_string2297z00zzmodule_foreignz00,
		BgL_bgl_string2297za700za7za7m2322za7,
		"Re-exportation of global variable (ignored)", 43);
	      DEFINE_STRING(BGl_string2298z00zzmodule_foreignz00,
		BgL_bgl_string2298za700za7za7m2323za7, "Unbound global variable \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2299z00zzmodule_foreignz00,
		BgL_bgl_string2299za700za7za7m2324za7, "Unspecified C type, using type",
		30);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2externzd2compilerzd2envzd2zzmodule_foreignz00,
		BgL_bgl_za762makeza7d2extern2325z00,
		BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2foreignzd2compilerzd2envzd2zzmodule_foreignz00,
		BgL_bgl_za762makeza7d2foreig2326z00,
		BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_foreignzd2accesseszd2addz12zd2envzc0zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2acc2327z00,
		BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_foreignzd2producerzd2envz00zzmodule_foreignz00,
		BgL_bgl_za762foreignza7d2pro2328z00,
		BGl_z62foreignzd2producerzb0zzmodule_foreignz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_foreignz00));
		     ADD_ROOT((void
				*) (&BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00));
		     ADD_ROOT((void
				*) (&BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long
		BgL_checksumz00_2969, char *BgL_fromz00_2970)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_foreignz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_foreignz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_foreignz00();
					BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00();
					BGl_cnstzd2initzd2zzmodule_foreignz00();
					BGl_importedzd2moduleszd2initz00zzmodule_foreignz00();
					return BGl_toplevelzd2initzd2zzmodule_foreignz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_foreign");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_foreign");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_foreign");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			{	/* Module/foreign.scm 18 */
				obj_t BgL_cportz00_2922;

				{	/* Module/foreign.scm 18 */
					obj_t BgL_stringz00_2929;

					BgL_stringz00_2929 = BGl_string2301z00zzmodule_foreignz00;
					{	/* Module/foreign.scm 18 */
						obj_t BgL_startz00_2930;

						BgL_startz00_2930 = BINT(0L);
						{	/* Module/foreign.scm 18 */
							obj_t BgL_endz00_2931;

							BgL_endz00_2931 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2929)));
							{	/* Module/foreign.scm 18 */

								BgL_cportz00_2922 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2929, BgL_startz00_2930, BgL_endz00_2931);
				}}}}
				{
					long BgL_iz00_2923;

					BgL_iz00_2923 = 21L;
				BgL_loopz00_2924:
					if ((BgL_iz00_2923 == (-1L)))
						{	/* Module/foreign.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Module/foreign.scm 18 */
							{	/* Module/foreign.scm 18 */
								obj_t BgL_arg2302z00_2925;

								{	/* Module/foreign.scm 18 */

									{	/* Module/foreign.scm 18 */
										obj_t BgL_locationz00_2927;

										BgL_locationz00_2927 = BBOOL(((bool_t) 0));
										{	/* Module/foreign.scm 18 */

											BgL_arg2302z00_2925 =
												BGl_readz00zz__readerz00(BgL_cportz00_2922,
												BgL_locationz00_2927);
										}
									}
								}
								{	/* Module/foreign.scm 18 */
									int BgL_tmpz00_3000;

									BgL_tmpz00_3000 = (int) (BgL_iz00_2923);
									CNST_TABLE_SET(BgL_tmpz00_3000, BgL_arg2302z00_2925);
							}}
							{	/* Module/foreign.scm 18 */
								int BgL_auxz00_2928;

								BgL_auxz00_2928 = (int) ((BgL_iz00_2923 - 1L));
								{
									long BgL_iz00_3005;

									BgL_iz00_3005 = (long) (BgL_auxz00_2928);
									BgL_iz00_2923 = BgL_iz00_3005;
									goto BgL_loopz00_2924;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL;
			return (BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 =
				BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_foreignz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_1034;

					BgL_headz00_1034 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_1035;
						obj_t BgL_tailz00_1036;

						BgL_prevz00_1035 = BgL_headz00_1034;
						BgL_tailz00_1036 = BgL_l1z00_1;
					BgL_loopz00_1037:
						if (PAIRP(BgL_tailz00_1036))
							{
								obj_t BgL_newzd2prevzd2_1039;

								BgL_newzd2prevzd2_1039 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1036), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_1035, BgL_newzd2prevzd2_1039);
								{
									obj_t BgL_tailz00_3017;
									obj_t BgL_prevz00_3016;

									BgL_prevz00_3016 = BgL_newzd2prevzd2_1039;
									BgL_tailz00_3017 = CDR(BgL_tailz00_1036);
									BgL_tailz00_1036 = BgL_tailz00_3017;
									BgL_prevz00_1035 = BgL_prevz00_3016;
									goto BgL_loopz00_1037;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_1034);
					}
				}
		}

	}



/* make-foreign-compiler */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 45 */
			{	/* Module/foreign.scm 46 */
				BgL_ccompz00_bglt BgL_new1074z00_1056;

				{	/* Module/foreign.scm 47 */
					BgL_ccompz00_bglt BgL_new1073z00_1060;

					BgL_new1073z00_1060 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/foreign.scm 47 */
						long BgL_arg1177z00_1061;

						BgL_arg1177z00_1061 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1073z00_1060), BgL_arg1177z00_1061);
					}
					BgL_new1074z00_1056 = BgL_new1073z00_1060;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1074z00_1056))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1074z00_1056))->BgL_producerz00) =
					((obj_t) BGl_foreignzd2producerzd2envz00zzmodule_foreignz00),
					BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1074z00_1056))->BgL_consumerz00) =
					((obj_t) BGl_proc2281z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1074z00_1056))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_foreignzd2finaliza7erzd2envza7zzmodule_foreignz00),
					BUNSPEC);
				return ((obj_t) BgL_new1074z00_1056);
			}
		}

	}



/* &make-foreign-compiler */
	obj_t BGl_z62makezd2foreignzd2compilerz62zzmodule_foreignz00(obj_t
		BgL_envz00_2897)
	{
		{	/* Module/foreign.scm 45 */
			return BGl_makezd2foreignzd2compilerz00zzmodule_foreignz00();
		}

	}



/* &<@anonymous:1175> */
	obj_t BGl_z62zc3z04anonymousza31175ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2898, obj_t BgL_mz00_2899, obj_t BgL_cz00_2900)
	{
		{	/* Module/foreign.scm 49 */
			return BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_cz00_2900);
		}

	}



/* make-extern-compiler */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2externzd2compilerz00zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 55 */
			{	/* Module/foreign.scm 56 */
				BgL_ccompz00_bglt BgL_new1076z00_1062;

				{	/* Module/foreign.scm 57 */
					BgL_ccompz00_bglt BgL_new1075z00_1069;

					BgL_new1075z00_1069 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/foreign.scm 57 */
						long BgL_arg1183z00_1070;

						BgL_arg1183z00_1070 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1075z00_1069), BgL_arg1183z00_1070);
					}
					BgL_new1076z00_1062 = BgL_new1075z00_1069;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1076z00_1062))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(1))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1076z00_1062))->BgL_producerz00) =
					((obj_t) BGl_proc2282z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1076z00_1062))->BgL_consumerz00) =
					((obj_t) BGl_proc2283z00zzmodule_foreignz00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1076z00_1062))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2284z00zzmodule_foreignz00), BUNSPEC);
				return ((obj_t) BgL_new1076z00_1062);
			}
		}

	}



/* &make-extern-compiler */
	obj_t BGl_z62makezd2externzd2compilerz62zzmodule_foreignz00(obj_t
		BgL_envz00_2907)
	{
		{	/* Module/foreign.scm 55 */
			return BGl_makezd2externzd2compilerz00zzmodule_foreignz00();
		}

	}



/* &<@anonymous:1180> */
	obj_t BGl_z62zc3z04anonymousza31180ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2908)
	{
		{	/* Module/module.scm 56 */
			return ((obj_t) CNST_TABLE_REF(2));
		}

	}



/* &<@anonymous:1179> */
	obj_t BGl_z62zc3z04anonymousza31179ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2909, obj_t BgL_mz00_2910, obj_t BgL_cz00_2911)
	{
		{	/* Module/foreign.scm 59 */
			return
				BGl_externzd2producerzd2zzmodule_foreignz00(BgL_cz00_2911,
				((bool_t) 0));
		}

	}



/* &<@anonymous:1178> */
	obj_t BGl_z62zc3z04anonymousza31178ze3ze5zzmodule_foreignz00(obj_t
		BgL_envz00_2912, obj_t BgL_cz00_2913)
	{
		{	/* Module/foreign.scm 58 */
			return
				BGl_externzd2producerzd2zzmodule_foreignz00(BgL_cz00_2913,
				((bool_t) 1));
		}

	}



/* foreign-producer */
	obj_t BGl_foreignzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_25)
	{
		{	/* Module/foreign.scm 64 */
			{	/* Module/foreign.scm 65 */
				bool_t BgL_test2333z00_3049;

				{	/* Module/foreign.scm 65 */
					obj_t BgL_arg1207z00_1088;

					{	/* Module/foreign.scm 65 */
						obj_t BgL_arg1208z00_1089;

						BgL_arg1208z00_1089 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1207z00_1088 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1208z00_1089)))->
							BgL_foreignzd2clausezd2supportz00);
					}
					BgL_test2333z00_3049 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) CNST_TABLE_REF(0)), BgL_arg1207z00_1088));
				}
				if (BgL_test2333z00_3049)
					{
						obj_t BgL_protosz00_1074;

						if (PAIRP(BgL_clausez00_25))
							{	/* Module/foreign.scm 66 */
								obj_t BgL_arg1192z00_1079;

								BgL_arg1192z00_1079 = CDR(((obj_t) BgL_clausez00_25));
								BgL_protosz00_1074 = BgL_arg1192z00_1079;
								{
									obj_t BgL_l1140z00_1081;

									BgL_l1140z00_1081 = BgL_protosz00_1074;
								BgL_zc3z04anonymousza31193ze3z87_1082:
									if (PAIRP(BgL_l1140z00_1081))
										{	/* Module/foreign.scm 68 */
											BGl_foreignzd2parserzd2zzmodule_foreignz00(CAR
												(BgL_l1140z00_1081), ((bool_t) 1));
											{
												obj_t BgL_l1140z00_3065;

												BgL_l1140z00_3065 = CDR(BgL_l1140z00_1081);
												BgL_l1140z00_1081 = BgL_l1140z00_3065;
												goto BgL_zc3z04anonymousza31193ze3z87_1082;
											}
										}
									else
										{	/* Module/foreign.scm 68 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/foreign.scm 66 */
								{	/* Module/foreign.scm 71 */
									obj_t BgL_list1196z00_1087;

									BgL_list1196z00_1087 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2285z00zzmodule_foreignz00,
										BGl_string2286z00zzmodule_foreignz00, BgL_clausez00_25,
										BgL_list1196z00_1087);
								}
							}
					}
				else
					{	/* Module/foreign.scm 65 */
						return BNIL;
					}
			}
		}

	}



/* &foreign-producer */
	obj_t BGl_z62foreignzd2producerzb0zzmodule_foreignz00(obj_t BgL_envz00_2901,
		obj_t BgL_clausez00_2902)
	{
		{	/* Module/foreign.scm 64 */
			return BGl_foreignzd2producerzd2zzmodule_foreignz00(BgL_clausez00_2902);
		}

	}



/* extern-producer */
	obj_t BGl_externzd2producerzd2zzmodule_foreignz00(obj_t BgL_clausez00_26,
		bool_t BgL_exportpz00_27)
	{
		{	/* Module/foreign.scm 80 */
			{	/* Module/foreign.scm 81 */
				bool_t BgL_test2336z00_3070;

				{	/* Module/foreign.scm 81 */
					obj_t BgL_arg1242z00_1107;

					{	/* Module/foreign.scm 81 */
						obj_t BgL_arg1244z00_1108;

						BgL_arg1244z00_1108 = BGl_thezd2backendzd2zzbackend_backendz00();
						BgL_arg1242z00_1107 =
							(((BgL_backendz00_bglt) COBJECT(
									((BgL_backendz00_bglt) BgL_arg1244z00_1108)))->
							BgL_foreignzd2clausezd2supportz00);
					}
					BgL_test2336z00_3070 =
						CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) CNST_TABLE_REF(1)), BgL_arg1242z00_1107));
				}
				if (BgL_test2336z00_3070)
					{
						obj_t BgL_protosz00_1093;

						if (PAIRP(BgL_clausez00_26))
							{	/* Module/foreign.scm 82 */
								obj_t BgL_arg1235z00_1098;

								BgL_arg1235z00_1098 = CDR(((obj_t) BgL_clausez00_26));
								BgL_protosz00_1093 = BgL_arg1235z00_1098;
								{
									obj_t BgL_l1142z00_1100;

									BgL_l1142z00_1100 = BgL_protosz00_1093;
								BgL_zc3z04anonymousza31236ze3z87_1101:
									if (PAIRP(BgL_l1142z00_1100))
										{	/* Module/foreign.scm 84 */
											BGl_externzd2parserzd2zzmodule_foreignz00(CAR
												(BgL_l1142z00_1100), BgL_exportpz00_27);
											{
												obj_t BgL_l1142z00_3086;

												BgL_l1142z00_3086 = CDR(BgL_l1142z00_1100);
												BgL_l1142z00_1100 = BgL_l1142z00_3086;
												goto BgL_zc3z04anonymousza31236ze3z87_1101;
											}
										}
									else
										{	/* Module/foreign.scm 84 */
											((bool_t) 1);
										}
								}
								return BNIL;
							}
						else
							{	/* Module/foreign.scm 82 */
								{	/* Module/foreign.scm 87 */
									obj_t BgL_list1241z00_1106;

									BgL_list1241z00_1106 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzd2zztools_errorz00
										(BGl_string2285z00zzmodule_foreignz00,
										BGl_string2287z00zzmodule_foreignz00, BgL_clausez00_26,
										BgL_list1241z00_1106);
								}
							}
					}
				else
					{	/* Module/foreign.scm 81 */
						return BNIL;
					}
			}
		}

	}



/* check-c-args? */
	bool_t BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(obj_t BgL_protoz00_28)
	{
		{	/* Module/foreign.scm 96 */
			{
				obj_t BgL_protoz00_1110;

				BgL_protoz00_1110 = BgL_protoz00_28;
			BgL_zc3z04anonymousza31245ze3z87_1111:
				if (NULLP(BgL_protoz00_1110))
					{	/* Module/foreign.scm 99 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/foreign.scm 99 */
						if (SYMBOLP(BgL_protoz00_1110))
							{	/* Module/foreign.scm 101 */
								return ((bool_t) 1);
							}
						else
							{	/* Module/foreign.scm 101 */
								if (PAIRP(BgL_protoz00_1110))
									{	/* Module/foreign.scm 105 */
										bool_t BgL_test2342z00_3096;

										{	/* Module/foreign.scm 105 */
											obj_t BgL_tmpz00_3097;

											BgL_tmpz00_3097 = CAR(BgL_protoz00_1110);
											BgL_test2342z00_3096 = SYMBOLP(BgL_tmpz00_3097);
										}
										if (BgL_test2342z00_3096)
											{
												obj_t BgL_protoz00_3100;

												BgL_protoz00_3100 = CDR(BgL_protoz00_1110);
												BgL_protoz00_1110 = BgL_protoz00_3100;
												goto BgL_zc3z04anonymousza31245ze3z87_1111;
											}
										else
											{	/* Module/foreign.scm 105 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Module/foreign.scm 103 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}

	}



/* foreign-parser */
	obj_t BGl_foreignzd2parserzd2zzmodule_foreignz00(obj_t BgL_foreignz00_29,
		bool_t BgL_exportpz00_30)
	{
		{	/* Module/foreign.scm 113 */
			{
				obj_t BgL_typez00_1142;
				obj_t BgL_lzd2namezd2_1143;
				obj_t BgL_czd2namezd2_1144;
				obj_t BgL_typez00_1137;
				obj_t BgL_lzd2namezd2_1138;
				obj_t BgL_protoz00_1139;
				obj_t BgL_czd2namezd2_1140;
				obj_t BgL_typez00_1132;
				obj_t BgL_lzd2namezd2_1133;
				obj_t BgL_czd2namezd2_1134;
				obj_t BgL_typez00_1127;
				obj_t BgL_lzd2namezd2_1128;
				obj_t BgL_protoz00_1129;
				obj_t BgL_czd2namezd2_1130;
				obj_t BgL_stringz00_1120;

				if (PAIRP(BgL_foreignz00_29))
					{	/* Module/foreign.scm 115 */
						obj_t BgL_cdrzd2395zd2_1149;

						BgL_cdrzd2395zd2_1149 = CDR(((obj_t) BgL_foreignz00_29));
						if (
							(CAR(((obj_t) BgL_foreignz00_29)) == ((obj_t) CNST_TABLE_REF(4))))
							{	/* Module/foreign.scm 115 */
								if (PAIRP(BgL_cdrzd2395zd2_1149))
									{	/* Module/foreign.scm 115 */
										if (NULLP(CDR(BgL_cdrzd2395zd2_1149)))
											{	/* Module/foreign.scm 115 */
												BgL_stringz00_1120 = CAR(BgL_cdrzd2395zd2_1149);
												if (STRINGP(BgL_stringz00_1120))
													{	/* Module/foreign.scm 117 */
														if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
																(BgL_stringz00_1120,
																	BGl_za2includezd2foreignza2zd2zzengine_paramz00)))
															{	/* Module/foreign.scm 119 */
																return BFALSE;
															}
														else
															{	/* Module/foreign.scm 119 */
																return
																	(BGl_za2includezd2foreignza2zd2zzengine_paramz00
																	=
																	MAKE_YOUNG_PAIR(BgL_stringz00_1120,
																		BGl_za2includezd2foreignza2zd2zzengine_paramz00),
																	BUNSPEC);
															}
													}
												else
													{	/* Module/foreign.scm 118 */
														obj_t BgL_list1460z00_1286;

														BgL_list1460z00_1286 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														return
															BGl_userzd2errorzd2zztools_errorz00
															(BGl_string2285z00zzmodule_foreignz00,
															BGl_string2288z00zzmodule_foreignz00,
															BgL_foreignz00_29, BgL_list1460z00_1286);
													}
											}
										else
											{	/* Module/foreign.scm 115 */
											BgL_tagzd2378zd2_1126:
												{	/* Module/foreign.scm 128 */
													obj_t BgL_list1472z00_1288;

													BgL_list1472z00_1288 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string2285z00zzmodule_foreignz00,
														BGl_string2289z00zzmodule_foreignz00,
														BgL_foreignz00_29, BgL_list1472z00_1288);
												}
											}
									}
								else
									{	/* Module/foreign.scm 115 */
										goto BgL_tagzd2378zd2_1126;
									}
							}
						else
							{	/* Module/foreign.scm 115 */
								if (
									(CAR(
											((obj_t) BgL_foreignz00_29)) ==
										((obj_t) CNST_TABLE_REF(5))))
									{	/* Module/foreign.scm 115 */
										return
											BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
											(BgL_foreignz00_29);
									}
								else
									{	/* Module/foreign.scm 115 */
										if (
											(CAR(
													((obj_t) BgL_foreignz00_29)) ==
												((obj_t) CNST_TABLE_REF(6))))
											{	/* Module/foreign.scm 115 */
												if (PAIRP(BgL_cdrzd2395zd2_1149))
													{	/* Module/foreign.scm 115 */
														obj_t BgL_carzd2456zd2_1163;
														obj_t BgL_cdrzd2457zd2_1164;

														BgL_carzd2456zd2_1163 = CAR(BgL_cdrzd2395zd2_1149);
														BgL_cdrzd2457zd2_1164 = CDR(BgL_cdrzd2395zd2_1149);
														if (SYMBOLP(BgL_carzd2456zd2_1163))
															{	/* Module/foreign.scm 115 */
																if (PAIRP(BgL_cdrzd2457zd2_1164))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_carzd2462zd2_1167;

																		BgL_carzd2462zd2_1167 =
																			CAR(BgL_cdrzd2457zd2_1164);
																		if (STRINGP(BgL_carzd2462zd2_1167))
																			{	/* Module/foreign.scm 115 */
																				if (NULLP(CDR(BgL_cdrzd2457zd2_1164)))
																					{	/* Module/foreign.scm 125 */
																						obj_t BgL_arg1471z00_2235;

																						BgL_arg1471z00_2235 =
																							MAKE_YOUNG_PAIR(BgL_foreignz00_29,
																							BBOOL(BgL_exportpz00_30));
																						return
																							(BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00
																							=
																							MAKE_YOUNG_PAIR
																							(BgL_arg1471z00_2235,
																								BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						goto BgL_tagzd2378zd2_1126;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2378zd2_1126;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2378zd2_1126;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																goto BgL_tagzd2378zd2_1126;
															}
													}
												else
													{	/* Module/foreign.scm 115 */
														goto BgL_tagzd2378zd2_1126;
													}
											}
										else
											{	/* Module/foreign.scm 115 */
												obj_t BgL_cdrzd2509zd2_1172;

												BgL_cdrzd2509zd2_1172 =
													CDR(((obj_t) BgL_foreignz00_29));
												if (
													(CAR(
															((obj_t) BgL_foreignz00_29)) ==
														((obj_t) CNST_TABLE_REF(7))))
													{	/* Module/foreign.scm 115 */
														if (PAIRP(BgL_cdrzd2509zd2_1172))
															{	/* Module/foreign.scm 115 */
																obj_t BgL_cdrzd2515zd2_1176;

																BgL_cdrzd2515zd2_1176 =
																	CDR(BgL_cdrzd2509zd2_1172);
																if (PAIRP(BgL_cdrzd2515zd2_1176))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2521zd2_1178;

																		BgL_cdrzd2521zd2_1178 =
																			CDR(BgL_cdrzd2515zd2_1176);
																		if (PAIRP(BgL_cdrzd2521zd2_1178))
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2526zd2_1180;

																				BgL_cdrzd2526zd2_1180 =
																					CDR(BgL_cdrzd2521zd2_1178);
																				if (PAIRP(BgL_cdrzd2526zd2_1180))
																					{	/* Module/foreign.scm 115 */
																						if (NULLP(CDR
																								(BgL_cdrzd2526zd2_1180)))
																							{	/* Module/foreign.scm 115 */
																								BgL_typez00_1127 =
																									CAR(BgL_cdrzd2509zd2_1172);
																								BgL_lzd2namezd2_1128 =
																									CAR(BgL_cdrzd2515zd2_1176);
																								BgL_protoz00_1129 =
																									CAR(BgL_cdrzd2521zd2_1178);
																								BgL_czd2namezd2_1130 =
																									CAR(BgL_cdrzd2526zd2_1180);
																							BgL_tagzd2379zd2_1131:
																								{	/* Module/foreign.scm 131 */
																									bool_t BgL_test2362z00_3180;

																									if (STRINGP
																										(BgL_czd2namezd2_1130))
																										{	/* Module/foreign.scm 131 */
																											if (SYMBOLP
																												(BgL_typez00_1127))
																												{	/* Module/foreign.scm 132 */
																													if (SYMBOLP
																														(BgL_lzd2namezd2_1128))
																														{	/* Module/foreign.scm 133 */
																															BgL_test2362z00_3180
																																=
																																BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																(BgL_protoz00_1129);
																														}
																													else
																														{	/* Module/foreign.scm 133 */
																															BgL_test2362z00_3180
																																= ((bool_t) 0);
																														}
																												}
																											else
																												{	/* Module/foreign.scm 132 */
																													BgL_test2362z00_3180 =
																														((bool_t) 0);
																												}
																										}
																									else
																										{	/* Module/foreign.scm 131 */
																											BgL_test2362z00_3180 =
																												((bool_t) 0);
																										}
																									if (BgL_test2362z00_3180)
																										{	/* Module/foreign.scm 137 */
																											bool_t
																												BgL_arg1480z00_1293;
																											BgL_arg1480z00_1293 =
																												(CAR(((obj_t)
																														BgL_foreignz00_29))
																												==
																												((obj_t)
																													CNST_TABLE_REF(3)));
																											return ((obj_t)
																												BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																												(BgL_lzd2namezd2_1128,
																													BFALSE,
																													((obj_t)
																														CNST_TABLE_REF(0)),
																													BgL_czd2namezd2_1130,
																													BgL_typez00_1127,
																													BgL_protoz00_1129,
																													BgL_arg1480z00_1293,
																													((bool_t) 1),
																													BgL_foreignz00_29,
																													BgL_foreignz00_29));
																										}
																									else
																										{	/* Module/foreign.scm 135 */
																											obj_t
																												BgL_list1485z00_1295;
																											BgL_list1485z00_1295 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2285z00zzmodule_foreignz00,
																												BGl_string2290z00zzmodule_foreignz00,
																												BgL_foreignz00_29,
																												BgL_list1485z00_1295);
																										}
																								}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																							BgL_tagzd2381zd2_1136:
																								{	/* Module/foreign.scm 145 */
																									obj_t BgL_list1490z00_1305;

																									BgL_list1490z00_1305 =
																										MAKE_YOUNG_PAIR(BNIL, BNIL);
																									return
																										BGl_userzd2errorzd2zztools_errorz00
																										(BGl_string2285z00zzmodule_foreignz00,
																										BGl_string2289z00zzmodule_foreignz00,
																										BgL_foreignz00_29,
																										BgL_list1490z00_1305);
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd2573zd2_1190;

																						BgL_cdrzd2573zd2_1190 =
																							CDR(
																							((obj_t) BgL_cdrzd2509zd2_1172));
																						{	/* Module/foreign.scm 115 */
																							obj_t BgL_cdrzd2581zd2_1191;

																							BgL_cdrzd2581zd2_1191 =
																								CDR(
																								((obj_t)
																									BgL_cdrzd2573zd2_1190));
																							if (NULLP(CDR(((obj_t)
																											BgL_cdrzd2581zd2_1191))))
																								{	/* Module/foreign.scm 115 */
																									obj_t BgL_arg1297z00_1194;
																									obj_t BgL_arg1298z00_1195;
																									obj_t BgL_arg1299z00_1196;

																									BgL_arg1297z00_1194 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd2509zd2_1172));
																									BgL_arg1298z00_1195 =
																										CAR(((obj_t)
																											BgL_cdrzd2573zd2_1190));
																									BgL_arg1299z00_1196 =
																										CAR(((obj_t)
																											BgL_cdrzd2581zd2_1191));
																									BgL_typez00_1132 =
																										BgL_arg1297z00_1194;
																									BgL_lzd2namezd2_1133 =
																										BgL_arg1298z00_1195;
																									BgL_czd2namezd2_1134 =
																										BgL_arg1299z00_1196;
																									{	/* Module/foreign.scm 139 */
																										bool_t BgL_test2367z00_3219;

																										if (STRINGP
																											(BgL_czd2namezd2_1134))
																											{	/* Module/foreign.scm 139 */
																												if (SYMBOLP
																													(BgL_typez00_1132))
																													{	/* Module/foreign.scm 140 */
																														BgL_test2367z00_3219
																															=
																															SYMBOLP
																															(BgL_lzd2namezd2_1133);
																													}
																												else
																													{	/* Module/foreign.scm 140 */
																														BgL_test2367z00_3219
																															= ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Module/foreign.scm 139 */
																												BgL_test2367z00_3219 =
																													((bool_t) 0);
																											}
																										if (BgL_test2367z00_3219)
																											{	/* Module/foreign.scm 139 */
																												return
																													((obj_t)
																													BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																													(BgL_lzd2namezd2_1133,
																														BFALSE,
																														BgL_czd2namezd2_1134,
																														BgL_typez00_1132,
																														((bool_t) 1),
																														BgL_foreignz00_29,
																														BgL_foreignz00_29));
																											}
																										else
																											{	/* Module/foreign.scm 142 */
																												obj_t
																													BgL_list1489z00_1302;
																												BgL_list1489z00_1302 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string2285z00zzmodule_foreignz00,
																													BGl_string2290z00zzmodule_foreignz00,
																													BgL_foreignz00_29,
																													BgL_list1489z00_1302);
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 115 */
																									goto BgL_tagzd2381zd2_1136;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2381zd2_1136;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2381zd2_1136;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																goto BgL_tagzd2381zd2_1136;
															}
													}
												else
													{	/* Module/foreign.scm 115 */
														if (
															(CAR(
																	((obj_t) BgL_foreignz00_29)) ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Module/foreign.scm 115 */
																if (PAIRP(BgL_cdrzd2509zd2_1172))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2653zd2_1202;

																		BgL_cdrzd2653zd2_1202 =
																			CDR(BgL_cdrzd2509zd2_1172);
																		if (
																			(CAR(BgL_cdrzd2509zd2_1172) ==
																				((obj_t) CNST_TABLE_REF(7))))
																			{	/* Module/foreign.scm 115 */
																				if (PAIRP(BgL_cdrzd2653zd2_1202))
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd2659zd2_1206;

																						BgL_cdrzd2659zd2_1206 =
																							CDR(BgL_cdrzd2653zd2_1202);
																						if (PAIRP(BgL_cdrzd2659zd2_1206))
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_cdrzd2665zd2_1208;

																								BgL_cdrzd2665zd2_1208 =
																									CDR(BgL_cdrzd2659zd2_1206);
																								if (PAIRP
																									(BgL_cdrzd2665zd2_1208))
																									{	/* Module/foreign.scm 115 */
																										obj_t BgL_cdrzd2670zd2_1210;

																										BgL_cdrzd2670zd2_1210 =
																											CDR
																											(BgL_cdrzd2665zd2_1208);
																										if (PAIRP
																											(BgL_cdrzd2670zd2_1210))
																											{	/* Module/foreign.scm 115 */
																												if (NULLP(CDR
																														(BgL_cdrzd2670zd2_1210)))
																													{
																														obj_t
																															BgL_czd2namezd2_3263;
																														obj_t
																															BgL_protoz00_3261;
																														obj_t
																															BgL_lzd2namezd2_3259;
																														obj_t
																															BgL_typez00_3257;
																														BgL_typez00_3257 =
																															CAR
																															(BgL_cdrzd2653zd2_1202);
																														BgL_lzd2namezd2_3259
																															=
																															CAR
																															(BgL_cdrzd2659zd2_1206);
																														BgL_protoz00_3261 =
																															CAR
																															(BgL_cdrzd2665zd2_1208);
																														BgL_czd2namezd2_3263
																															=
																															CAR
																															(BgL_cdrzd2670zd2_1210);
																														BgL_czd2namezd2_1130
																															=
																															BgL_czd2namezd2_3263;
																														BgL_protoz00_1129 =
																															BgL_protoz00_3261;
																														BgL_lzd2namezd2_1128
																															=
																															BgL_lzd2namezd2_3259;
																														BgL_typez00_1127 =
																															BgL_typez00_3257;
																														goto
																															BgL_tagzd2379zd2_1131;
																													}
																												else
																													{	/* Module/foreign.scm 115 */
																													BgL_tagzd2384zd2_1146:
																														{	/* Module/foreign.scm 161 */
																															obj_t
																																BgL_list1500z00_1320;
																															BgL_list1500z00_1320
																																=
																																MAKE_YOUNG_PAIR
																																(BNIL, BNIL);
																															return
																																BGl_userzd2errorzd2zztools_errorz00
																																(BGl_string2285z00zzmodule_foreignz00,
																																BGl_string2289z00zzmodule_foreignz00,
																																BgL_foreignz00_29,
																																BgL_list1500z00_1320);
																														}
																													}
																											}
																										else
																											{	/* Module/foreign.scm 115 */
																												goto
																													BgL_tagzd2384zd2_1146;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 115 */
																										obj_t BgL_cdrzd2754zd2_1219;

																										BgL_cdrzd2754zd2_1219 =
																											CDR(
																											((obj_t)
																												BgL_foreignz00_29));
																										{	/* Module/foreign.scm 115 */
																											obj_t
																												BgL_cdrzd2762zd2_1220;
																											BgL_cdrzd2762zd2_1220 =
																												CDR(((obj_t)
																													BgL_cdrzd2754zd2_1219));
																											{	/* Module/foreign.scm 115 */
																												obj_t
																													BgL_cdrzd2769zd2_1221;
																												BgL_cdrzd2769zd2_1221 =
																													CDR(((obj_t)
																														BgL_cdrzd2762zd2_1220));
																												if (NULLP(CDR(((obj_t)
																																BgL_cdrzd2769zd2_1221))))
																													{	/* Module/foreign.scm 115 */
																														obj_t
																															BgL_arg1326z00_1224;
																														obj_t
																															BgL_arg1327z00_1225;
																														obj_t
																															BgL_arg1331z00_1226;
																														obj_t
																															BgL_arg1332z00_1227;
																														BgL_arg1326z00_1224
																															=
																															CAR(((obj_t)
																																BgL_foreignz00_29));
																														BgL_arg1327z00_1225
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2754zd2_1219));
																														BgL_arg1331z00_1226
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2762zd2_1220));
																														BgL_arg1332z00_1227
																															=
																															CAR(((obj_t)
																																BgL_cdrzd2769zd2_1221));
																														BgL_typez00_1137 =
																															BgL_arg1326z00_1224;
																														BgL_lzd2namezd2_1138
																															=
																															BgL_arg1327z00_1225;
																														BgL_protoz00_1139 =
																															BgL_arg1331z00_1226;
																														BgL_czd2namezd2_1140
																															=
																															BgL_arg1332z00_1227;
																													BgL_tagzd2382zd2_1141:
																														{	/* Module/foreign.scm 147 */
																															bool_t
																																BgL_test2379z00_3285;
																															if (STRINGP
																																(BgL_czd2namezd2_1140))
																																{	/* Module/foreign.scm 147 */
																																	if (SYMBOLP
																																		(BgL_typez00_1137))
																																		{	/* Module/foreign.scm 148 */
																																			if (SYMBOLP(BgL_lzd2namezd2_1138))
																																				{	/* Module/foreign.scm 149 */
																																					BgL_test2379z00_3285
																																						=
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_protoz00_1139);
																																				}
																																			else
																																				{	/* Module/foreign.scm 149 */
																																					BgL_test2379z00_3285
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 148 */
																																			BgL_test2379z00_3285
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 147 */
																																	BgL_test2379z00_3285
																																		=
																																		((bool_t)
																																		0);
																																}
																															if (BgL_test2379z00_3285)
																																{	/* Module/foreign.scm 147 */
																																	return
																																		((obj_t)
																																		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																		(BgL_lzd2namezd2_1138,
																																			BFALSE,
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(0)),
																																			BgL_czd2namezd2_1140,
																																			BgL_typez00_1137,
																																			BgL_protoz00_1139,
																																			((bool_t)
																																				0),
																																			((bool_t)
																																				0),
																																			BgL_foreignz00_29,
																																			BgL_foreignz00_29));
																																}
																															else
																																{	/* Module/foreign.scm 151 */
																																	obj_t
																																		BgL_list1495z00_1310;
																																	BgL_list1495z00_1310
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2285z00zzmodule_foreignz00,
																																		BGl_string2291z00zzmodule_foreignz00,
																																		BgL_foreignz00_29,
																																		BgL_list1495z00_1310);
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 115 */
																														goto
																															BgL_tagzd2384zd2_1146;
																													}
																											}
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_cdrzd2812zd2_1229;

																								BgL_cdrzd2812zd2_1229 =
																									CDR(
																									((obj_t) BgL_foreignz00_29));
																								{	/* Module/foreign.scm 115 */
																									obj_t BgL_cdrzd2818zd2_1230;

																									BgL_cdrzd2818zd2_1230 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd2812zd2_1229));
																									if (NULLP(CDR(((obj_t)
																													BgL_cdrzd2818zd2_1230))))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1338z00_1233;
																											obj_t BgL_arg1339z00_1234;
																											obj_t BgL_arg1340z00_1235;

																											BgL_arg1338z00_1233 =
																												CAR(
																												((obj_t)
																													BgL_foreignz00_29));
																											BgL_arg1339z00_1234 =
																												CAR(((obj_t)
																													BgL_cdrzd2812zd2_1229));
																											BgL_arg1340z00_1235 =
																												CAR(((obj_t)
																													BgL_cdrzd2818zd2_1230));
																											BgL_typez00_1142 =
																												BgL_arg1338z00_1233;
																											BgL_lzd2namezd2_1143 =
																												BgL_arg1339z00_1234;
																											BgL_czd2namezd2_1144 =
																												BgL_arg1340z00_1235;
																										BgL_tagzd2383zd2_1145:
																											{	/* Module/foreign.scm 155 */
																												bool_t
																													BgL_test2384z00_3313;
																												if (STRINGP
																													(BgL_czd2namezd2_1144))
																													{	/* Module/foreign.scm 155 */
																														if (SYMBOLP
																															(BgL_typez00_1142))
																															{	/* Module/foreign.scm 156 */
																																BgL_test2384z00_3313
																																	=
																																	SYMBOLP
																																	(BgL_lzd2namezd2_1143);
																															}
																														else
																															{	/* Module/foreign.scm 156 */
																																BgL_test2384z00_3313
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 155 */
																														BgL_test2384z00_3313
																															= ((bool_t) 0);
																													}
																												if (BgL_test2384z00_3313)
																													{	/* Module/foreign.scm 155 */
																														return
																															((obj_t)
																															BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																															(BgL_lzd2namezd2_1143,
																																BFALSE,
																																BgL_czd2namezd2_1144,
																																BgL_typez00_1142,
																																((bool_t) 0),
																																BgL_foreignz00_29,
																																BFALSE));
																													}
																												else
																													{	/* Module/foreign.scm 158 */
																														obj_t
																															BgL_list1499z00_1317;
																														BgL_list1499z00_1317
																															=
																															MAKE_YOUNG_PAIR
																															(BNIL, BNIL);
																														return
																															BGl_userzd2errorzd2zztools_errorz00
																															(BGl_string2285z00zzmodule_foreignz00,
																															BGl_string2292z00zzmodule_foreignz00,
																															BgL_foreignz00_29,
																															BgL_list1499z00_1317);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1146;
																										}
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						goto BgL_tagzd2384zd2_1146;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2871zd2_1237;

																				BgL_cdrzd2871zd2_1237 =
																					CDR(((obj_t) BgL_foreignz00_29));
																				{	/* Module/foreign.scm 115 */
																					obj_t BgL_cdrzd2877zd2_1238;

																					BgL_cdrzd2877zd2_1238 =
																						CDR(
																						((obj_t) BgL_cdrzd2871zd2_1237));
																					if (PAIRP(BgL_cdrzd2877zd2_1238))
																						{	/* Module/foreign.scm 115 */
																							obj_t BgL_cdrzd2882zd2_1240;

																							BgL_cdrzd2882zd2_1240 =
																								CDR(BgL_cdrzd2877zd2_1238);
																							if (PAIRP(BgL_cdrzd2882zd2_1240))
																								{	/* Module/foreign.scm 115 */
																									if (NULLP(CDR
																											(BgL_cdrzd2882zd2_1240)))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1358z00_1244;
																											obj_t BgL_arg1359z00_1245;
																											obj_t BgL_arg1360z00_1246;
																											obj_t BgL_arg1361z00_1247;

																											BgL_arg1358z00_1244 =
																												CAR(
																												((obj_t)
																													BgL_foreignz00_29));
																											BgL_arg1359z00_1245 =
																												CAR(((obj_t)
																													BgL_cdrzd2871zd2_1237));
																											BgL_arg1360z00_1246 =
																												CAR
																												(BgL_cdrzd2877zd2_1238);
																											BgL_arg1361z00_1247 =
																												CAR
																												(BgL_cdrzd2882zd2_1240);
																											{
																												obj_t
																													BgL_czd2namezd2_3344;
																												obj_t BgL_protoz00_3343;
																												obj_t
																													BgL_lzd2namezd2_3342;
																												obj_t BgL_typez00_3341;

																												BgL_typez00_3341 =
																													BgL_arg1358z00_1244;
																												BgL_lzd2namezd2_3342 =
																													BgL_arg1359z00_1245;
																												BgL_protoz00_3343 =
																													BgL_arg1360z00_1246;
																												BgL_czd2namezd2_3344 =
																													BgL_arg1361z00_1247;
																												BgL_czd2namezd2_1140 =
																													BgL_czd2namezd2_3344;
																												BgL_protoz00_1139 =
																													BgL_protoz00_3343;
																												BgL_lzd2namezd2_1138 =
																													BgL_lzd2namezd2_3342;
																												BgL_typez00_1137 =
																													BgL_typez00_3341;
																												goto
																													BgL_tagzd2382zd2_1141;
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1146;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 115 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd2877zd2_1238))))
																										{	/* Module/foreign.scm 115 */
																											obj_t BgL_arg1370z00_1253;
																											obj_t BgL_arg1371z00_1254;
																											obj_t BgL_arg1376z00_1255;

																											BgL_arg1370z00_1253 =
																												CAR(
																												((obj_t)
																													BgL_foreignz00_29));
																											BgL_arg1371z00_1254 =
																												CAR(((obj_t)
																													BgL_cdrzd2871zd2_1237));
																											BgL_arg1376z00_1255 =
																												CAR(((obj_t)
																													BgL_cdrzd2877zd2_1238));
																											{
																												obj_t
																													BgL_czd2namezd2_3357;
																												obj_t
																													BgL_lzd2namezd2_3356;
																												obj_t BgL_typez00_3355;

																												BgL_typez00_3355 =
																													BgL_arg1370z00_1253;
																												BgL_lzd2namezd2_3356 =
																													BgL_arg1371z00_1254;
																												BgL_czd2namezd2_3357 =
																													BgL_arg1376z00_1255;
																												BgL_czd2namezd2_1144 =
																													BgL_czd2namezd2_3357;
																												BgL_lzd2namezd2_1143 =
																													BgL_lzd2namezd2_3356;
																												BgL_typez00_1142 =
																													BgL_typez00_3355;
																												goto
																													BgL_tagzd2383zd2_1145;
																											}
																										}
																									else
																										{	/* Module/foreign.scm 115 */
																											goto
																												BgL_tagzd2384zd2_1146;
																										}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 115 */
																							goto BgL_tagzd2384zd2_1146;
																						}
																				}
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2384zd2_1146;
																	}
															}
														else
															{	/* Module/foreign.scm 115 */
																obj_t BgL_cdrzd2973zd2_1258;

																BgL_cdrzd2973zd2_1258 =
																	CDR(((obj_t) BgL_foreignz00_29));
																if (PAIRP(BgL_cdrzd2973zd2_1258))
																	{	/* Module/foreign.scm 115 */
																		obj_t BgL_cdrzd2979zd2_1260;

																		BgL_cdrzd2979zd2_1260 =
																			CDR(BgL_cdrzd2973zd2_1258);
																		if (PAIRP(BgL_cdrzd2979zd2_1260))
																			{	/* Module/foreign.scm 115 */
																				obj_t BgL_cdrzd2984zd2_1262;

																				BgL_cdrzd2984zd2_1262 =
																					CDR(BgL_cdrzd2979zd2_1260);
																				if (PAIRP(BgL_cdrzd2984zd2_1262))
																					{	/* Module/foreign.scm 115 */
																						if (NULLP(CDR
																								(BgL_cdrzd2984zd2_1262)))
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_arg1388z00_1266;
																								obj_t BgL_arg1390z00_1267;
																								obj_t BgL_arg1392z00_1268;
																								obj_t BgL_arg1400z00_1269;

																								BgL_arg1388z00_1266 =
																									CAR(
																									((obj_t) BgL_foreignz00_29));
																								BgL_arg1390z00_1267 =
																									CAR(BgL_cdrzd2973zd2_1258);
																								BgL_arg1392z00_1268 =
																									CAR(BgL_cdrzd2979zd2_1260);
																								BgL_arg1400z00_1269 =
																									CAR(BgL_cdrzd2984zd2_1262);
																								{
																									obj_t BgL_czd2namezd2_3379;
																									obj_t BgL_protoz00_3378;
																									obj_t BgL_lzd2namezd2_3377;
																									obj_t BgL_typez00_3376;

																									BgL_typez00_3376 =
																										BgL_arg1388z00_1266;
																									BgL_lzd2namezd2_3377 =
																										BgL_arg1390z00_1267;
																									BgL_protoz00_3378 =
																										BgL_arg1392z00_1268;
																									BgL_czd2namezd2_3379 =
																										BgL_arg1400z00_1269;
																									BgL_czd2namezd2_1140 =
																										BgL_czd2namezd2_3379;
																									BgL_protoz00_1139 =
																										BgL_protoz00_3378;
																									BgL_lzd2namezd2_1138 =
																										BgL_lzd2namezd2_3377;
																									BgL_typez00_1137 =
																										BgL_typez00_3376;
																									goto BgL_tagzd2382zd2_1141;
																								}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								goto BgL_tagzd2384zd2_1146;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 115 */
																						obj_t BgL_cdrzd21017zd2_1272;

																						BgL_cdrzd21017zd2_1272 =
																							CDR(
																							((obj_t) BgL_cdrzd2973zd2_1258));
																						if (NULLP(CDR(
																									((obj_t)
																										BgL_cdrzd21017zd2_1272))))
																							{	/* Module/foreign.scm 115 */
																								obj_t BgL_arg1406z00_1275;
																								obj_t BgL_arg1414z00_1276;
																								obj_t BgL_arg1415z00_1277;

																								BgL_arg1406z00_1275 =
																									CAR(
																									((obj_t) BgL_foreignz00_29));
																								BgL_arg1414z00_1276 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd2973zd2_1258));
																								BgL_arg1415z00_1277 =
																									CAR(((obj_t)
																										BgL_cdrzd21017zd2_1272));
																								{
																									obj_t BgL_czd2namezd2_3394;
																									obj_t BgL_lzd2namezd2_3393;
																									obj_t BgL_typez00_3392;

																									BgL_typez00_3392 =
																										BgL_arg1406z00_1275;
																									BgL_lzd2namezd2_3393 =
																										BgL_arg1414z00_1276;
																									BgL_czd2namezd2_3394 =
																										BgL_arg1415z00_1277;
																									BgL_czd2namezd2_1144 =
																										BgL_czd2namezd2_3394;
																									BgL_lzd2namezd2_1143 =
																										BgL_lzd2namezd2_3393;
																									BgL_typez00_1142 =
																										BgL_typez00_3392;
																									goto BgL_tagzd2383zd2_1145;
																								}
																							}
																						else
																							{	/* Module/foreign.scm 115 */
																								goto BgL_tagzd2384zd2_1146;
																							}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 115 */
																				goto BgL_tagzd2384zd2_1146;
																			}
																	}
																else
																	{	/* Module/foreign.scm 115 */
																		goto BgL_tagzd2384zd2_1146;
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/foreign.scm 115 */
						goto BgL_tagzd2384zd2_1146;
					}
			}
		}

	}



/* extern-parser */
	obj_t BGl_externzd2parserzd2zzmodule_foreignz00(obj_t BgL_externz00_31,
		bool_t BgL_exportpz00_32)
	{
		{	/* Module/foreign.scm 166 */
			{
				obj_t BgL_idz00_1335;
				obj_t BgL_czd2namezd2_1336;
				obj_t BgL_idz00_1331;
				obj_t BgL_protoz00_1332;
				obj_t BgL_cnz00_1333;
				obj_t BgL_idz00_1327;
				obj_t BgL_czd2namezd2_1328;
				obj_t BgL_idz00_1323;
				obj_t BgL_protoz00_1324;
				obj_t BgL_cnz00_1325;

				if (PAIRP(BgL_externz00_31))
					{	/* Module/foreign.scm 168 */
						if (
							(CAR(((obj_t) BgL_externz00_31)) == ((obj_t) CNST_TABLE_REF(5))))
							{	/* Module/foreign.scm 168 */
								return
									BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00
									(BgL_externz00_31);
							}
						else
							{	/* Module/foreign.scm 168 */
								obj_t BgL_carzd21120zd2_1343;

								BgL_carzd21120zd2_1343 = CAR(((obj_t) BgL_externz00_31));
								if ((BgL_carzd21120zd2_1343 == ((obj_t) CNST_TABLE_REF(6))))
									{	/* Module/foreign.scm 168 */
										BGL_TAIL return
											BGl_foreignzd2parserzd2zzmodule_foreignz00
											(BgL_externz00_31, BgL_exportpz00_32);
									}
								else
									{	/* Module/foreign.scm 168 */
										if ((BgL_carzd21120zd2_1343 == ((obj_t) CNST_TABLE_REF(4))))
											{	/* Module/foreign.scm 168 */
												BGL_TAIL return
													BGl_foreignzd2parserzd2zzmodule_foreignz00
													(BgL_externz00_31, BgL_exportpz00_32);
											}
										else
											{	/* Module/foreign.scm 168 */
												obj_t BgL_cdrzd21135zd2_1344;

												BgL_cdrzd21135zd2_1344 =
													CDR(((obj_t) BgL_externz00_31));
												if (
													(BgL_carzd21120zd2_1343 ==
														((obj_t) CNST_TABLE_REF(7))))
													{	/* Module/foreign.scm 168 */
														if (PAIRP(BgL_cdrzd21135zd2_1344))
															{	/* Module/foreign.scm 168 */
																obj_t BgL_carzd21139zd2_1348;
																obj_t BgL_cdrzd21140zd2_1349;

																BgL_carzd21139zd2_1348 =
																	CAR(BgL_cdrzd21135zd2_1344);
																BgL_cdrzd21140zd2_1349 =
																	CDR(BgL_cdrzd21135zd2_1344);
																if (SYMBOLP(BgL_carzd21139zd2_1348))
																	{	/* Module/foreign.scm 168 */
																		if (PAIRP(BgL_cdrzd21140zd2_1349))
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_cdrzd21147zd2_1352;

																				BgL_cdrzd21147zd2_1352 =
																					CDR(BgL_cdrzd21140zd2_1349);
																				if (PAIRP(BgL_cdrzd21147zd2_1352))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21150zd2_1354;

																						BgL_carzd21150zd2_1354 =
																							CAR(BgL_cdrzd21147zd2_1352);
																						if (STRINGP(BgL_carzd21150zd2_1354))
																							{	/* Module/foreign.scm 168 */
																								if (NULLP(CDR
																										(BgL_cdrzd21147zd2_1352)))
																									{	/* Module/foreign.scm 168 */
																										BgL_idz00_1323 =
																											BgL_carzd21139zd2_1348;
																										BgL_protoz00_1324 =
																											CAR
																											(BgL_cdrzd21140zd2_1349);
																										BgL_cnz00_1325 =
																											BgL_carzd21150zd2_1354;
																									BgL_tagzd21103zd2_1326:
																										{	/* Module/foreign.scm 177 */
																											obj_t BgL_pidz00_1487;

																											BgL_pidz00_1487 =
																												BGl_parsezd2idzd2zzast_identz00
																												(BgL_idz00_1323,
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_externz00_31));
																											{	/* Module/foreign.scm 177 */
																												obj_t BgL_lnz00_1488;

																												BgL_lnz00_1488 =
																													CAR(BgL_pidz00_1487);
																												{	/* Module/foreign.scm 178 */
																													obj_t
																														BgL_typez00_1489;
																													{	/* Module/foreign.scm 179 */
																														obj_t
																															BgL_arg1716z00_1498;
																														BgL_arg1716z00_1498
																															=
																															BGl_defaultzd2czd2typez00zzmodule_foreignz00
																															(CDR
																															(BgL_pidz00_1487),
																															BgL_externz00_31);
																														BgL_typez00_1489 =
																															(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1716z00_1498)))->BgL_idz00);
																													}
																													{	/* Module/foreign.scm 179 */

																														{	/* Module/foreign.scm 180 */
																															bool_t
																																BgL_test2407z00_3446;
																															{	/* Module/foreign.scm 180 */
																																obj_t
																																	BgL_xz00_2917;
																																BgL_xz00_2917 =
																																	BGl_checkzd2idzd2zzast_identz00
																																	(BgL_pidz00_1487,
																																	BgL_externz00_31);
																																((bool_t) 1);
																															}
																															if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1324))
																																{	/* Module/foreign.scm 181 */
																																	BgL_test2407z00_3446
																																		=
																																		((bool_t)
																																		0);
																																}
																															else
																																{	/* Module/foreign.scm 181 */
																																	BgL_test2407z00_3446
																																		=
																																		((bool_t)
																																		1);
																																}
																															if (BgL_test2407z00_3446)
																																{	/* Module/foreign.scm 182 */
																																	obj_t
																																		BgL_list1707z00_1493;
																																	BgL_list1707z00_1493
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2285z00zzmodule_foreignz00,
																																		BGl_string2293z00zzmodule_foreignz00,
																																		BgL_externz00_31,
																																		BgL_list1707z00_1493);
																																}
																															else
																																{	/* Module/foreign.scm 183 */
																																	bool_t
																																		BgL_infixzf3zf3_1494;
																																	BgL_infixzf3zf3_1494
																																		=
																																		(CAR((
																																				(obj_t)
																																				BgL_externz00_31))
																																		==
																																		((obj_t)
																																			CNST_TABLE_REF
																																			(3)));
																																	return (
																																		(obj_t)
																																		BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																		(BgL_lnz00_1488,
																																			BFALSE,
																																			((obj_t)
																																				CNST_TABLE_REF
																																				(0)),
																																			BgL_cnz00_1325,
																																			BgL_typez00_1489,
																																			BgL_protoz00_1324,
																																			BgL_infixzf3zf3_1494,
																																			((bool_t)
																																				1),
																																			BgL_externz00_31,
																																			BFALSE));
																																}
																														}
																													}
																												}
																											}
																										}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																									BgL_tagzd21105zd2_1330:
																										{	/* Module/foreign.scm 195 */
																											obj_t
																												BgL_list1731z00_1509;
																											BgL_list1731z00_1509 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2285z00zzmodule_foreignz00,
																												BGl_string2293z00zzmodule_foreignz00,
																												BgL_externz00_31,
																												BgL_list1731z00_1509);
																										}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21105zd2_1330;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21197zd2_1360;

																						BgL_cdrzd21197zd2_1360 =
																							CDR(((obj_t) BgL_externz00_31));
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21202zd2_1361;
																							obj_t BgL_cdrzd21203zd2_1362;

																							BgL_carzd21202zd2_1361 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd21197zd2_1360));
																							BgL_cdrzd21203zd2_1362 =
																								CDR(((obj_t)
																									BgL_cdrzd21197zd2_1360));
																							if (SYMBOLP
																								(BgL_carzd21202zd2_1361))
																								{	/* Module/foreign.scm 168 */
																									obj_t BgL_carzd21211zd2_1364;

																									BgL_carzd21211zd2_1364 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd21203zd2_1362));
																									if (STRINGP
																										(BgL_carzd21211zd2_1364))
																										{	/* Module/foreign.scm 168 */
																											if (NULLP(CDR(
																														((obj_t)
																															BgL_cdrzd21203zd2_1362))))
																												{	/* Module/foreign.scm 168 */
																													BgL_idz00_1327 =
																														BgL_carzd21202zd2_1361;
																													BgL_czd2namezd2_1328 =
																														BgL_carzd21211zd2_1364;
																												BgL_tagzd21104zd2_1329:
																													{	/* Module/foreign.scm 188 */
																														obj_t
																															BgL_pidz00_1501;
																														BgL_pidz00_1501 =
																															BGl_parsezd2idzd2zzast_identz00
																															(BgL_idz00_1327,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_externz00_31));
																														{	/* Module/foreign.scm 188 */
																															obj_t
																																BgL_lzd2namezd2_1502;
																															BgL_lzd2namezd2_1502
																																=
																																CAR
																																(BgL_pidz00_1501);
																															{	/* Module/foreign.scm 189 */
																																obj_t
																																	BgL_typez00_1503;
																																{	/* Module/foreign.scm 190 */
																																	obj_t
																																		BgL_arg1724z00_1506;
																																	BgL_arg1724z00_1506
																																		=
																																		BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																		(CDR
																																		(BgL_pidz00_1501),
																																		BgL_externz00_31);
																																	BgL_typez00_1503
																																		=
																																		(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1724z00_1506)))->BgL_idz00);
																																}
																																{	/* Module/foreign.scm 190 */

																																	{	/* Module/foreign.scm 191 */
																																		obj_t
																																			BgL_xz00_2918;
																																		BgL_xz00_2918
																																			=
																																			BGl_checkzd2idzd2zzast_identz00
																																			(BgL_pidz00_1501,
																																			BgL_externz00_31);
																																		((bool_t)
																																			1);
																																	}
																																	return
																																		((obj_t)
																																		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																																		(BgL_lzd2namezd2_1502,
																																			BFALSE,
																																			BgL_czd2namezd2_1328,
																																			BgL_typez00_1503,
																																			((bool_t)
																																				1),
																																			BgL_externz00_31,
																																			BFALSE));
																																}
																															}
																														}
																													}
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21105zd2_1330;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21105zd2_1330;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21105zd2_1330;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				goto BgL_tagzd21105zd2_1330;
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		obj_t BgL_cdrzd21254zd2_1369;

																		BgL_cdrzd21254zd2_1369 =
																			CDR(((obj_t) BgL_externz00_31));
																		{	/* Module/foreign.scm 168 */
																			obj_t BgL_carzd21257zd2_1370;
																			obj_t BgL_cdrzd21258zd2_1371;

																			BgL_carzd21257zd2_1370 =
																				CAR(((obj_t) BgL_cdrzd21254zd2_1369));
																			BgL_cdrzd21258zd2_1371 =
																				CDR(((obj_t) BgL_cdrzd21254zd2_1369));
																			if (SYMBOLP(BgL_carzd21257zd2_1370))
																				{	/* Module/foreign.scm 168 */
																					if (PAIRP(BgL_cdrzd21258zd2_1371))
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21263zd2_1374;

																							BgL_carzd21263zd2_1374 =
																								CAR(BgL_cdrzd21258zd2_1371);
																							if (STRINGP
																								(BgL_carzd21263zd2_1374))
																								{	/* Module/foreign.scm 168 */
																									if (NULLP(CDR
																											(BgL_cdrzd21258zd2_1371)))
																										{
																											obj_t
																												BgL_czd2namezd2_3507;
																											obj_t BgL_idz00_3506;

																											BgL_idz00_3506 =
																												BgL_carzd21257zd2_1370;
																											BgL_czd2namezd2_3507 =
																												BgL_carzd21263zd2_1374;
																											BgL_czd2namezd2_1328 =
																												BgL_czd2namezd2_3507;
																											BgL_idz00_1327 =
																												BgL_idz00_3506;
																											goto
																												BgL_tagzd21104zd2_1329;
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21105zd2_1330;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21105zd2_1330;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 168 */
																							goto BgL_tagzd21105zd2_1330;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 168 */
																					goto BgL_tagzd21105zd2_1330;
																				}
																		}
																	}
															}
														else
															{	/* Module/foreign.scm 168 */
																goto BgL_tagzd21105zd2_1330;
															}
													}
												else
													{	/* Module/foreign.scm 168 */
														obj_t BgL_cdrzd21301zd2_1379;

														BgL_cdrzd21301zd2_1379 =
															CDR(((obj_t) BgL_externz00_31));
														if (
															(CAR(
																	((obj_t) BgL_externz00_31)) ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Module/foreign.scm 168 */
																if (PAIRP(BgL_cdrzd21301zd2_1379))
																	{	/* Module/foreign.scm 168 */
																		obj_t BgL_cdrzd21306zd2_1383;

																		BgL_cdrzd21306zd2_1383 =
																			CDR(BgL_cdrzd21301zd2_1379);
																		if (
																			(CAR(BgL_cdrzd21301zd2_1379) ==
																				((obj_t) CNST_TABLE_REF(7))))
																			{	/* Module/foreign.scm 168 */
																				if (PAIRP(BgL_cdrzd21306zd2_1383))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21310zd2_1387;
																						obj_t BgL_cdrzd21311zd2_1388;

																						BgL_carzd21310zd2_1387 =
																							CAR(BgL_cdrzd21306zd2_1383);
																						BgL_cdrzd21311zd2_1388 =
																							CDR(BgL_cdrzd21306zd2_1383);
																						if (SYMBOLP(BgL_carzd21310zd2_1387))
																							{	/* Module/foreign.scm 168 */
																								if (PAIRP
																									(BgL_cdrzd21311zd2_1388))
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_cdrzd21318zd2_1391;
																										BgL_cdrzd21318zd2_1391 =
																											CDR
																											(BgL_cdrzd21311zd2_1388);
																										if (PAIRP
																											(BgL_cdrzd21318zd2_1391))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_carzd21321zd2_1393;
																												BgL_carzd21321zd2_1393 =
																													CAR
																													(BgL_cdrzd21318zd2_1391);
																												if (STRINGP
																													(BgL_carzd21321zd2_1393))
																													{	/* Module/foreign.scm 168 */
																														if (NULLP(CDR
																																(BgL_cdrzd21318zd2_1391)))
																															{
																																obj_t
																																	BgL_cnz00_3544;
																																obj_t
																																	BgL_protoz00_3542;
																																obj_t
																																	BgL_idz00_3541;
																																BgL_idz00_3541 =
																																	BgL_carzd21310zd2_1387;
																																BgL_protoz00_3542
																																	=
																																	CAR
																																	(BgL_cdrzd21311zd2_1388);
																																BgL_cnz00_3544 =
																																	BgL_carzd21321zd2_1393;
																																BgL_cnz00_1325 =
																																	BgL_cnz00_3544;
																																BgL_protoz00_1324
																																	=
																																	BgL_protoz00_3542;
																																BgL_idz00_1323 =
																																	BgL_idz00_3541;
																																goto
																																	BgL_tagzd21103zd2_1326;
																															}
																														else
																															{	/* Module/foreign.scm 168 */
																															BgL_tagzd21108zd2_1338:
																																{	/* Module/foreign.scm 215 */
																																	obj_t
																																		BgL_list1769z00_1530;
																																	BgL_list1769z00_1530
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BNIL,
																																		BNIL);
																																	return
																																		BGl_userzd2errorzd2zztools_errorz00
																																		(BGl_string2285z00zzmodule_foreignz00,
																																		BGl_string2293z00zzmodule_foreignz00,
																																		BgL_externz00_31,
																																		BgL_list1769z00_1530);
																																}
																															}
																													}
																												else
																													{	/* Module/foreign.scm 168 */
																														goto
																															BgL_tagzd21108zd2_1338;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1338;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_carzd21410zd2_1399;
																										BgL_carzd21410zd2_1399 =
																											CAR(((obj_t)
																												BgL_externz00_31));
																										if (SYMBOLP
																											(BgL_carzd21410zd2_1399))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_cdrzd21419zd2_1402;
																												BgL_cdrzd21419zd2_1402 =
																													CDR(((obj_t)
																														BgL_cdrzd21301zd2_1379));
																												{	/* Module/foreign.scm 168 */
																													obj_t
																														BgL_carzd21423zd2_1403;
																													BgL_carzd21423zd2_1403
																														=
																														CAR(((obj_t)
																															BgL_cdrzd21419zd2_1402));
																													if (STRINGP
																														(BgL_carzd21423zd2_1403))
																														{	/* Module/foreign.scm 168 */
																															if (NULLP(CDR(
																																		((obj_t)
																																			BgL_cdrzd21419zd2_1402))))
																																{	/* Module/foreign.scm 168 */
																																	obj_t
																																		BgL_arg1597z00_1407;
																																	BgL_arg1597z00_1407
																																		=
																																		CAR(((obj_t)
																																			BgL_cdrzd21301zd2_1379));
																																	BgL_idz00_1331
																																		=
																																		BgL_carzd21410zd2_1399;
																																	BgL_protoz00_1332
																																		=
																																		BgL_arg1597z00_1407;
																																	BgL_cnz00_1333
																																		=
																																		BgL_carzd21423zd2_1403;
																																BgL_tagzd21106zd2_1334:
																																	{	/* Module/foreign.scm 198 */
																																		obj_t
																																			BgL_pidz00_1510;
																																		BgL_pidz00_1510
																																			=
																																			BGl_parsezd2idzd2zzast_identz00
																																			(BgL_idz00_1331,
																																			BGl_findzd2locationzd2zztools_locationz00
																																			(BgL_externz00_31));
																																		{	/* Module/foreign.scm 198 */
																																			obj_t
																																				BgL_lnz00_1511;
																																			BgL_lnz00_1511
																																				=
																																				CAR
																																				(BgL_pidz00_1510);
																																			{	/* Module/foreign.scm 199 */
																																				obj_t
																																					BgL_typez00_1512;
																																				{	/* Module/foreign.scm 200 */
																																					obj_t
																																						BgL_arg1746z00_1519;
																																					BgL_arg1746z00_1519
																																						=
																																						BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																						(CDR
																																						(BgL_pidz00_1510),
																																						BgL_externz00_31);
																																					BgL_typez00_1512
																																						=
																																						(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1746z00_1519)))->BgL_idz00);
																																				}
																																				{	/* Module/foreign.scm 200 */

																																					{	/* Module/foreign.scm 201 */
																																						bool_t
																																							BgL_test2428z00_3570;
																																						{	/* Module/foreign.scm 201 */
																																							obj_t
																																								BgL_xz00_2919;
																																							BgL_xz00_2919
																																								=
																																								BGl_checkzd2idzd2zzast_identz00
																																								(BgL_pidz00_1510,
																																								BgL_externz00_31);
																																							((bool_t) 1);
																																						}
																																						if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_protoz00_1332))
																																							{	/* Module/foreign.scm 202 */
																																								BgL_test2428z00_3570
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																						else
																																							{	/* Module/foreign.scm 202 */
																																								BgL_test2428z00_3570
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						if (BgL_test2428z00_3570)
																																							{	/* Module/foreign.scm 203 */
																																								obj_t
																																									BgL_list1735z00_1516;
																																								BgL_list1735z00_1516
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								return
																																									BGl_userzd2errorzd2zztools_errorz00
																																									(BGl_string2285z00zzmodule_foreignz00,
																																									BGl_string2293z00zzmodule_foreignz00,
																																									BgL_externz00_31,
																																									BgL_list1735z00_1516);
																																							}
																																						else
																																							{	/* Module/foreign.scm 201 */
																																								return
																																									(
																																									(obj_t)
																																									BGl_declarezd2globalzd2cfunz12z12zzast_glozd2declzd2
																																									(BgL_lnz00_1511,
																																										BFALSE,
																																										((obj_t) CNST_TABLE_REF(0)), BgL_cnz00_1333, BgL_typez00_1512, BgL_protoz00_1332, ((bool_t) 0), ((bool_t) 0), BgL_externz00_31, BFALSE));
																																							}
																																					}
																																				}
																																			}
																																		}
																																	}
																																}
																															else
																																{	/* Module/foreign.scm 168 */
																																	goto
																																		BgL_tagzd21108zd2_1338;
																																}
																														}
																													else
																														{	/* Module/foreign.scm 168 */
																															goto
																																BgL_tagzd21108zd2_1338;
																														}
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1338;
																											}
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21459zd2_1409;

																								BgL_carzd21459zd2_1409 =
																									CAR(
																									((obj_t) BgL_externz00_31));
																								if (SYMBOLP
																									(BgL_carzd21459zd2_1409))
																									{	/* Module/foreign.scm 168 */
																										obj_t
																											BgL_cdrzd21467zd2_1412;
																										BgL_cdrzd21467zd2_1412 =
																											CDR(((obj_t)
																												BgL_cdrzd21301zd2_1379));
																										{	/* Module/foreign.scm 168 */
																											obj_t
																												BgL_carzd21470zd2_1413;
																											BgL_carzd21470zd2_1413 =
																												CAR(((obj_t)
																													BgL_cdrzd21467zd2_1412));
																											if (STRINGP
																												(BgL_carzd21470zd2_1413))
																												{	/* Module/foreign.scm 168 */
																													if (NULLP(CDR(
																																((obj_t)
																																	BgL_cdrzd21467zd2_1412))))
																														{	/* Module/foreign.scm 168 */
																															obj_t
																																BgL_arg1625z00_1417;
																															BgL_arg1625z00_1417
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd21301zd2_1379));
																															{
																																obj_t
																																	BgL_cnz00_3598;
																																obj_t
																																	BgL_protoz00_3597;
																																obj_t
																																	BgL_idz00_3596;
																																BgL_idz00_3596 =
																																	BgL_carzd21459zd2_1409;
																																BgL_protoz00_3597
																																	=
																																	BgL_arg1625z00_1417;
																																BgL_cnz00_3598 =
																																	BgL_carzd21470zd2_1413;
																																BgL_cnz00_1333 =
																																	BgL_cnz00_3598;
																																BgL_protoz00_1332
																																	=
																																	BgL_protoz00_3597;
																																BgL_idz00_1331 =
																																	BgL_idz00_3596;
																																goto
																																	BgL_tagzd21106zd2_1334;
																															}
																														}
																													else
																														{	/* Module/foreign.scm 168 */
																															goto
																																BgL_tagzd21108zd2_1338;
																														}
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21108zd2_1338;
																												}
																										}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1338;
																									}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21508zd2_1419;

																						BgL_carzd21508zd2_1419 =
																							CAR(((obj_t) BgL_externz00_31));
																						if (SYMBOLP(BgL_carzd21508zd2_1419))
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21514zd2_1422;

																								BgL_carzd21514zd2_1422 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd21301zd2_1379));
																								if (STRINGP
																									(BgL_carzd21514zd2_1422))
																									{	/* Module/foreign.scm 168 */
																										if (NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd21301zd2_1379))))
																											{	/* Module/foreign.scm 168 */
																												BgL_idz00_1335 =
																													BgL_carzd21508zd2_1419;
																												BgL_czd2namezd2_1336 =
																													BgL_carzd21514zd2_1422;
																											BgL_tagzd21107zd2_1337:
																												{	/* Module/foreign.scm 208 */
																													obj_t BgL_pidz00_1522;

																													BgL_pidz00_1522 =
																														BGl_parsezd2idzd2zzast_identz00
																														(BgL_idz00_1335,
																														BGl_findzd2locationzd2zztools_locationz00
																														(BgL_externz00_31));
																													{	/* Module/foreign.scm 208 */
																														obj_t
																															BgL_lzd2namezd2_1523;
																														BgL_lzd2namezd2_1523
																															=
																															CAR
																															(BgL_pidz00_1522);
																														{	/* Module/foreign.scm 209 */
																															obj_t
																																BgL_typez00_1524;
																															{	/* Module/foreign.scm 210 */
																																obj_t
																																	BgL_arg1763z00_1527;
																																BgL_arg1763z00_1527
																																	=
																																	BGl_defaultzd2czd2typez00zzmodule_foreignz00
																																	(CDR
																																	(BgL_pidz00_1522),
																																	BgL_externz00_31);
																																BgL_typez00_1524
																																	=
																																	(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_arg1763z00_1527)))->BgL_idz00);
																															}
																															{	/* Module/foreign.scm 210 */

																																{	/* Module/foreign.scm 211 */
																																	obj_t
																																		BgL_xz00_2920;
																																	BgL_xz00_2920
																																		=
																																		BGl_checkzd2idzd2zzast_identz00
																																		(BgL_pidz00_1522,
																																		BgL_externz00_31);
																																	((bool_t) 1);
																																}
																																return
																																	((obj_t)
																																	BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																																	(BgL_lzd2namezd2_1523,
																																		BFALSE,
																																		BgL_czd2namezd2_1336,
																																		BgL_typez00_1524,
																																		((bool_t)
																																			0),
																																		BgL_externz00_31,
																																		BFALSE));
																															}
																														}
																													}
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1338;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1338;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21108zd2_1338;
																							}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_carzd21536zd2_1427;

																				BgL_carzd21536zd2_1427 =
																					CAR(((obj_t) BgL_externz00_31));
																				if (SYMBOLP(BgL_carzd21536zd2_1427))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21544zd2_1430;

																						BgL_cdrzd21544zd2_1430 =
																							CDR(
																							((obj_t) BgL_cdrzd21301zd2_1379));
																						if (PAIRP(BgL_cdrzd21544zd2_1430))
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_carzd21547zd2_1432;

																								BgL_carzd21547zd2_1432 =
																									CAR(BgL_cdrzd21544zd2_1430);
																								if (STRINGP
																									(BgL_carzd21547zd2_1432))
																									{	/* Module/foreign.scm 168 */
																										if (NULLP(CDR
																												(BgL_cdrzd21544zd2_1430)))
																											{	/* Module/foreign.scm 168 */
																												obj_t
																													BgL_arg1642z00_1436;
																												BgL_arg1642z00_1436 =
																													CAR(((obj_t)
																														BgL_cdrzd21301zd2_1379));
																												{
																													obj_t BgL_cnz00_3639;
																													obj_t
																														BgL_protoz00_3638;
																													obj_t BgL_idz00_3637;

																													BgL_idz00_3637 =
																														BgL_carzd21536zd2_1427;
																													BgL_protoz00_3638 =
																														BgL_arg1642z00_1436;
																													BgL_cnz00_3639 =
																														BgL_carzd21547zd2_1432;
																													BgL_cnz00_1333 =
																														BgL_cnz00_3639;
																													BgL_protoz00_1332 =
																														BgL_protoz00_3638;
																													BgL_idz00_1331 =
																														BgL_idz00_3637;
																													goto
																														BgL_tagzd21106zd2_1334;
																												}
																											}
																										else
																											{	/* Module/foreign.scm 168 */
																												goto
																													BgL_tagzd21108zd2_1338;
																											}
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1338;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								obj_t BgL_cdrzd21568zd2_1439;

																								BgL_cdrzd21568zd2_1439 =
																									CDR(
																									((obj_t) BgL_externz00_31));
																								{	/* Module/foreign.scm 168 */
																									obj_t BgL_carzd21574zd2_1441;

																									BgL_carzd21574zd2_1441 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd21568zd2_1439));
																									if (STRINGP
																										(BgL_carzd21574zd2_1441))
																										{	/* Module/foreign.scm 168 */
																											if (NULLP(CDR(
																														((obj_t)
																															BgL_cdrzd21568zd2_1439))))
																												{
																													obj_t
																														BgL_czd2namezd2_3651;
																													obj_t BgL_idz00_3650;

																													BgL_idz00_3650 =
																														BgL_carzd21536zd2_1427;
																													BgL_czd2namezd2_3651 =
																														BgL_carzd21574zd2_1441;
																													BgL_czd2namezd2_1336 =
																														BgL_czd2namezd2_3651;
																													BgL_idz00_1335 =
																														BgL_idz00_3650;
																													goto
																														BgL_tagzd21107zd2_1337;
																												}
																											else
																												{	/* Module/foreign.scm 168 */
																													goto
																														BgL_tagzd21108zd2_1338;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21108zd2_1338;
																										}
																								}
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						goto BgL_tagzd21108zd2_1338;
																					}
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		goto BgL_tagzd21108zd2_1338;
																	}
															}
														else
															{	/* Module/foreign.scm 168 */
																obj_t BgL_carzd21634zd2_1455;

																BgL_carzd21634zd2_1455 =
																	CAR(((obj_t) BgL_externz00_31));
																if (SYMBOLP(BgL_carzd21634zd2_1455))
																	{	/* Module/foreign.scm 168 */
																		if (PAIRP(BgL_cdrzd21301zd2_1379))
																			{	/* Module/foreign.scm 168 */
																				obj_t BgL_cdrzd21642zd2_1459;

																				BgL_cdrzd21642zd2_1459 =
																					CDR(BgL_cdrzd21301zd2_1379);
																				if (PAIRP(BgL_cdrzd21642zd2_1459))
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_carzd21645zd2_1461;

																						BgL_carzd21645zd2_1461 =
																							CAR(BgL_cdrzd21642zd2_1459);
																						if (STRINGP(BgL_carzd21645zd2_1461))
																							{	/* Module/foreign.scm 168 */
																								if (NULLP(CDR
																										(BgL_cdrzd21642zd2_1459)))
																									{
																										obj_t BgL_cnz00_3670;
																										obj_t BgL_protoz00_3668;
																										obj_t BgL_idz00_3667;

																										BgL_idz00_3667 =
																											BgL_carzd21634zd2_1455;
																										BgL_protoz00_3668 =
																											CAR
																											(BgL_cdrzd21301zd2_1379);
																										BgL_cnz00_3670 =
																											BgL_carzd21645zd2_1461;
																										BgL_cnz00_1333 =
																											BgL_cnz00_3670;
																										BgL_protoz00_1332 =
																											BgL_protoz00_3668;
																										BgL_idz00_1331 =
																											BgL_idz00_3667;
																										goto BgL_tagzd21106zd2_1334;
																									}
																								else
																									{	/* Module/foreign.scm 168 */
																										goto BgL_tagzd21108zd2_1338;
																									}
																							}
																						else
																							{	/* Module/foreign.scm 168 */
																								goto BgL_tagzd21108zd2_1338;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 168 */
																						obj_t BgL_cdrzd21669zd2_1468;

																						BgL_cdrzd21669zd2_1468 =
																							CDR(((obj_t) BgL_externz00_31));
																						{	/* Module/foreign.scm 168 */
																							obj_t BgL_carzd21677zd2_1470;

																							BgL_carzd21677zd2_1470 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd21669zd2_1468));
																							if (STRINGP
																								(BgL_carzd21677zd2_1470))
																								{	/* Module/foreign.scm 168 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd21669zd2_1468))))
																										{
																											obj_t
																												BgL_czd2namezd2_3682;
																											obj_t BgL_idz00_3681;

																											BgL_idz00_3681 =
																												BgL_carzd21634zd2_1455;
																											BgL_czd2namezd2_3682 =
																												BgL_carzd21677zd2_1470;
																											BgL_czd2namezd2_1336 =
																												BgL_czd2namezd2_3682;
																											BgL_idz00_1335 =
																												BgL_idz00_3681;
																											goto
																												BgL_tagzd21107zd2_1337;
																										}
																									else
																										{	/* Module/foreign.scm 168 */
																											goto
																												BgL_tagzd21108zd2_1338;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 168 */
																									goto BgL_tagzd21108zd2_1338;
																								}
																						}
																					}
																			}
																		else
																			{	/* Module/foreign.scm 168 */
																				goto BgL_tagzd21108zd2_1338;
																			}
																	}
																else
																	{	/* Module/foreign.scm 168 */
																		goto BgL_tagzd21108zd2_1338;
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/foreign.scm 168 */
						goto BgL_tagzd21108zd2_1338;
					}
			}
		}

	}



/* parse-c-foreign-type */
	obj_t BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00(obj_t
		BgL_typez00_33)
	{
		{	/* Module/foreign.scm 220 */
			{
				obj_t BgL_idz00_1534;
				obj_t BgL_tzd2expzd2_1535;
				obj_t BgL_namez00_1536;

				{	/* Module/foreign.scm 221 */
					obj_t BgL_cdrzd21753zd2_1541;

					BgL_cdrzd21753zd2_1541 = CDR(BgL_typez00_33);
					if ((CAR(BgL_typez00_33) == ((obj_t) CNST_TABLE_REF(5))))
						{	/* Module/foreign.scm 221 */
							if (PAIRP(BgL_cdrzd21753zd2_1541))
								{	/* Module/foreign.scm 221 */
									obj_t BgL_carzd21756zd2_1545;
									obj_t BgL_cdrzd21757zd2_1546;

									BgL_carzd21756zd2_1545 = CAR(BgL_cdrzd21753zd2_1541);
									BgL_cdrzd21757zd2_1546 = CDR(BgL_cdrzd21753zd2_1541);
									if (SYMBOLP(BgL_carzd21756zd2_1545))
										{	/* Module/foreign.scm 221 */
											if (PAIRP(BgL_cdrzd21757zd2_1546))
												{	/* Module/foreign.scm 221 */
													obj_t BgL_carzd21762zd2_1549;

													BgL_carzd21762zd2_1549 = CAR(BgL_cdrzd21757zd2_1546);
													if (STRINGP(BgL_carzd21762zd2_1549))
														{	/* Module/foreign.scm 221 */
															if (NULLP(CDR(BgL_cdrzd21757zd2_1546)))
																{	/* Module/foreign.scm 221 */
																	return
																		((obj_t)
																		BGl_declarezd2typez12zc0zztype_envz00
																		(BgL_carzd21756zd2_1545,
																			BgL_carzd21762zd2_1549,
																			((obj_t) CNST_TABLE_REF(9))));
																}
															else
																{	/* Module/foreign.scm 221 */
																	obj_t BgL_carzd21782zd2_1554;
																	obj_t BgL_cdrzd21783zd2_1555;

																	BgL_carzd21782zd2_1554 =
																		CAR(((obj_t) BgL_cdrzd21753zd2_1541));
																	BgL_cdrzd21783zd2_1555 =
																		CDR(((obj_t) BgL_cdrzd21753zd2_1541));
																	if (SYMBOLP(BgL_carzd21782zd2_1554))
																		{	/* Module/foreign.scm 221 */
																			obj_t BgL_cdrzd21793zd2_1557;

																			BgL_cdrzd21793zd2_1557 =
																				CDR(((obj_t) BgL_cdrzd21783zd2_1555));
																			if (PAIRP(BgL_cdrzd21793zd2_1557))
																				{	/* Module/foreign.scm 221 */
																					obj_t BgL_carzd21797zd2_1559;

																					BgL_carzd21797zd2_1559 =
																						CAR(BgL_cdrzd21793zd2_1557);
																					if (STRINGP(BgL_carzd21797zd2_1559))
																						{	/* Module/foreign.scm 221 */
																							if (NULLP(CDR
																									(BgL_cdrzd21793zd2_1557)))
																								{	/* Module/foreign.scm 221 */
																									obj_t BgL_arg1796z00_1563;

																									BgL_arg1796z00_1563 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd21783zd2_1555));
																									BgL_idz00_1534 =
																										BgL_carzd21782zd2_1554;
																									BgL_tzd2expzd2_1535 =
																										BgL_arg1796z00_1563;
																									BgL_namez00_1536 =
																										BgL_carzd21797zd2_1559;
																								BgL_tagzd21744zd2_1537:
																									if (BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(BgL_tzd2expzd2_1535))
																										{	/* Module/foreign.scm 226 */
																											obj_t BgL_ctypez00_1593;
																											obj_t BgL_locz00_1594;

																											BgL_ctypez00_1593 =
																												BGl_declarezd2czd2typez12z12zzforeign_ctypez00
																												(BgL_typez00_33,
																												BgL_idz00_1534,
																												BgL_tzd2expzd2_1535,
																												BgL_namez00_1536);
																											BgL_locz00_1594 =
																												BGl_findzd2locationzd2zztools_locationz00
																												(BgL_typez00_33);
																											{	/* Module/foreign.scm 230 */
																												bool_t
																													BgL_test2460z00_3729;
																												{	/* Module/foreign.scm 230 */
																													obj_t
																														BgL_classz00_2394;
																													BgL_classz00_2394 =
																														BGl_typez00zztype_typez00;
																													if (BGL_OBJECTP
																														(BgL_ctypez00_1593))
																														{	/* Module/foreign.scm 230 */
																															BgL_objectz00_bglt
																																BgL_arg1858z00_2396;
																															BgL_arg1858z00_2396
																																=
																																(BgL_objectz00_bglt)
																																(BgL_ctypez00_1593);
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Module/foreign.scm 230 */
																																	long
																																		BgL_idxz00_2402;
																																	BgL_idxz00_2402
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1858z00_2396);
																																	BgL_test2460z00_3729
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2402
																																				+
																																				1L)) ==
																																		BgL_classz00_2394);
																																}
																															else
																																{	/* Module/foreign.scm 230 */
																																	bool_t
																																		BgL_res2272z00_2427;
																																	{	/* Module/foreign.scm 230 */
																																		obj_t
																																			BgL_oclassz00_2410;
																																		{	/* Module/foreign.scm 230 */
																																			obj_t
																																				BgL_arg1866z00_2418;
																																			long
																																				BgL_arg1867z00_2419;
																																			BgL_arg1866z00_2418
																																				=
																																				(BGl_za2classesza2z00zz__objectz00);
																																			{	/* Module/foreign.scm 230 */
																																				long
																																					BgL_arg1869z00_2420;
																																				BgL_arg1869z00_2420
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1858z00_2396);
																																				BgL_arg1867z00_2419
																																					=
																																					(BgL_arg1869z00_2420
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2410
																																				=
																																				VECTOR_REF
																																				(BgL_arg1866z00_2418,
																																				BgL_arg1867z00_2419);
																																		}
																																		{	/* Module/foreign.scm 230 */
																																			bool_t
																																				BgL__ortest_1115z00_2411;
																																			BgL__ortest_1115z00_2411
																																				=
																																				(BgL_classz00_2394
																																				==
																																				BgL_oclassz00_2410);
																																			if (BgL__ortest_1115z00_2411)
																																				{	/* Module/foreign.scm 230 */
																																					BgL_res2272z00_2427
																																						=
																																						BgL__ortest_1115z00_2411;
																																				}
																																			else
																																				{	/* Module/foreign.scm 230 */
																																					long
																																						BgL_odepthz00_2412;
																																					{	/* Module/foreign.scm 230 */
																																						obj_t
																																							BgL_arg1855z00_2413;
																																						BgL_arg1855z00_2413
																																							=
																																							(BgL_oclassz00_2410);
																																						BgL_odepthz00_2412
																																							=
																																							BGL_CLASS_DEPTH
																																							(BgL_arg1855z00_2413);
																																					}
																																					if (
																																						(1L
																																							<
																																							BgL_odepthz00_2412))
																																						{	/* Module/foreign.scm 230 */
																																							obj_t
																																								BgL_arg1853z00_2415;
																																							{	/* Module/foreign.scm 230 */
																																								obj_t
																																									BgL_arg1854z00_2416;
																																								BgL_arg1854z00_2416
																																									=
																																									(BgL_oclassz00_2410);
																																								BgL_arg1853z00_2415
																																									=
																																									BGL_CLASS_ANCESTORS_REF
																																									(BgL_arg1854z00_2416,
																																									1L);
																																							}
																																							BgL_res2272z00_2427
																																								=
																																								(BgL_arg1853z00_2415
																																								==
																																								BgL_classz00_2394);
																																						}
																																					else
																																						{	/* Module/foreign.scm 230 */
																																							BgL_res2272z00_2427
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2460z00_3729
																																		=
																																		BgL_res2272z00_2427;
																																}
																														}
																													else
																														{	/* Module/foreign.scm 230 */
																															BgL_test2460z00_3729
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2460z00_3729)
																													{	/* Module/foreign.scm 231 */
																														obj_t
																															BgL_accessesz00_1596;
																														BgL_accessesz00_1596
																															=
																															BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00
																															(((BgL_typez00_bglt) BgL_ctypez00_1593), ((BgL_typez00_bglt) BgL_ctypez00_1593), BgL_locz00_1594);
																														BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00
																															=
																															BGl_appendzd221011zd2zzmodule_foreignz00
																															(((obj_t)
																																BgL_accessesz00_1596),
																															BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00);
																														{	/* Module/foreign.scm 236 */
																															bool_t
																																BgL_test2465z00_3757;
																															{	/* Module/foreign.scm 236 */
																																bool_t
																																	BgL_test2466z00_3758;
																																{	/* Module/foreign.scm 236 */
																																	obj_t
																																		BgL_classz00_2429;
																																	BgL_classz00_2429
																																		=
																																		BGl_caliasz00zzforeign_ctypez00;
																																	if (BGL_OBJECTP(BgL_ctypez00_1593))
																																		{	/* Module/foreign.scm 236 */
																																			BgL_objectz00_bglt
																																				BgL_arg1858z00_2431;
																																			BgL_arg1858z00_2431
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_ctypez00_1593);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Module/foreign.scm 236 */
																																					long
																																						BgL_idxz00_2437;
																																					BgL_idxz00_2437
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1858z00_2431);
																																					BgL_test2466z00_3758
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_2437
																																								+
																																								2L))
																																						==
																																						BgL_classz00_2429);
																																				}
																																			else
																																				{	/* Module/foreign.scm 236 */
																																					bool_t
																																						BgL_res2273z00_2462;
																																					{	/* Module/foreign.scm 236 */
																																						obj_t
																																							BgL_oclassz00_2445;
																																						{	/* Module/foreign.scm 236 */
																																							obj_t
																																								BgL_arg1866z00_2453;
																																							long
																																								BgL_arg1867z00_2454;
																																							BgL_arg1866z00_2453
																																								=
																																								(BGl_za2classesza2z00zz__objectz00);
																																							{	/* Module/foreign.scm 236 */
																																								long
																																									BgL_arg1869z00_2455;
																																								BgL_arg1869z00_2455
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1858z00_2431);
																																								BgL_arg1867z00_2454
																																									=
																																									(BgL_arg1869z00_2455
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_2445
																																								=
																																								VECTOR_REF
																																								(BgL_arg1866z00_2453,
																																								BgL_arg1867z00_2454);
																																						}
																																						{	/* Module/foreign.scm 236 */
																																							bool_t
																																								BgL__ortest_1115z00_2446;
																																							BgL__ortest_1115z00_2446
																																								=
																																								(BgL_classz00_2429
																																								==
																																								BgL_oclassz00_2445);
																																							if (BgL__ortest_1115z00_2446)
																																								{	/* Module/foreign.scm 236 */
																																									BgL_res2273z00_2462
																																										=
																																										BgL__ortest_1115z00_2446;
																																								}
																																							else
																																								{	/* Module/foreign.scm 236 */
																																									long
																																										BgL_odepthz00_2447;
																																									{	/* Module/foreign.scm 236 */
																																										obj_t
																																											BgL_arg1855z00_2448;
																																										BgL_arg1855z00_2448
																																											=
																																											(BgL_oclassz00_2445);
																																										BgL_odepthz00_2447
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_arg1855z00_2448);
																																									}
																																									if ((2L < BgL_odepthz00_2447))
																																										{	/* Module/foreign.scm 236 */
																																											obj_t
																																												BgL_arg1853z00_2450;
																																											{	/* Module/foreign.scm 236 */
																																												obj_t
																																													BgL_arg1854z00_2451;
																																												BgL_arg1854z00_2451
																																													=
																																													(BgL_oclassz00_2445);
																																												BgL_arg1853z00_2450
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_arg1854z00_2451,
																																													2L);
																																											}
																																											BgL_res2273z00_2462
																																												=
																																												(BgL_arg1853z00_2450
																																												==
																																												BgL_classz00_2429);
																																										}
																																									else
																																										{	/* Module/foreign.scm 236 */
																																											BgL_res2273z00_2462
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2466z00_3758
																																						=
																																						BgL_res2273z00_2462;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 236 */
																																			BgL_test2466z00_3758
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2466z00_3758)
																																	{	/* Module/foreign.scm 236 */
																																		obj_t
																																			BgL_arg1876z00_1614;
																																		BgL_arg1876z00_1614
																																			=
																																			(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) BgL_ctypez00_1593)))->BgL_aliasz00);
																																		{	/* Module/foreign.scm 236 */
																																			obj_t
																																				BgL_classz00_2464;
																																			BgL_classz00_2464
																																				=
																																				BGl_cstructz00zzforeign_ctypez00;
																																			if (BGL_OBJECTP(BgL_arg1876z00_1614))
																																				{	/* Module/foreign.scm 236 */
																																					BgL_objectz00_bglt
																																						BgL_arg1858z00_2466;
																																					BgL_arg1858z00_2466
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_arg1876z00_1614);
																																					if (BGL_CONDEXPAND_ISA_ARCH64())
																																						{	/* Module/foreign.scm 236 */
																																							long
																																								BgL_idxz00_2472;
																																							BgL_idxz00_2472
																																								=
																																								BGL_OBJECT_INHERITANCE_NUM
																																								(BgL_arg1858z00_2466);
																																							BgL_test2465z00_3757
																																								=
																																								(VECTOR_REF
																																								(BGl_za2inheritancesza2z00zz__objectz00,
																																									(BgL_idxz00_2472
																																										+
																																										2L))
																																								==
																																								BgL_classz00_2464);
																																						}
																																					else
																																						{	/* Module/foreign.scm 236 */
																																							bool_t
																																								BgL_res2274z00_2497;
																																							{	/* Module/foreign.scm 236 */
																																								obj_t
																																									BgL_oclassz00_2480;
																																								{	/* Module/foreign.scm 236 */
																																									obj_t
																																										BgL_arg1866z00_2488;
																																									long
																																										BgL_arg1867z00_2489;
																																									BgL_arg1866z00_2488
																																										=
																																										(BGl_za2classesza2z00zz__objectz00);
																																									{	/* Module/foreign.scm 236 */
																																										long
																																											BgL_arg1869z00_2490;
																																										BgL_arg1869z00_2490
																																											=
																																											BGL_OBJECT_CLASS_NUM
																																											(BgL_arg1858z00_2466);
																																										BgL_arg1867z00_2489
																																											=
																																											(BgL_arg1869z00_2490
																																											-
																																											OBJECT_TYPE);
																																									}
																																									BgL_oclassz00_2480
																																										=
																																										VECTOR_REF
																																										(BgL_arg1866z00_2488,
																																										BgL_arg1867z00_2489);
																																								}
																																								{	/* Module/foreign.scm 236 */
																																									bool_t
																																										BgL__ortest_1115z00_2481;
																																									BgL__ortest_1115z00_2481
																																										=
																																										(BgL_classz00_2464
																																										==
																																										BgL_oclassz00_2480);
																																									if (BgL__ortest_1115z00_2481)
																																										{	/* Module/foreign.scm 236 */
																																											BgL_res2274z00_2497
																																												=
																																												BgL__ortest_1115z00_2481;
																																										}
																																									else
																																										{	/* Module/foreign.scm 236 */
																																											long
																																												BgL_odepthz00_2482;
																																											{	/* Module/foreign.scm 236 */
																																												obj_t
																																													BgL_arg1855z00_2483;
																																												BgL_arg1855z00_2483
																																													=
																																													(BgL_oclassz00_2480);
																																												BgL_odepthz00_2482
																																													=
																																													BGL_CLASS_DEPTH
																																													(BgL_arg1855z00_2483);
																																											}
																																											if ((2L < BgL_odepthz00_2482))
																																												{	/* Module/foreign.scm 236 */
																																													obj_t
																																														BgL_arg1853z00_2485;
																																													{	/* Module/foreign.scm 236 */
																																														obj_t
																																															BgL_arg1854z00_2486;
																																														BgL_arg1854z00_2486
																																															=
																																															(BgL_oclassz00_2480);
																																														BgL_arg1853z00_2485
																																															=
																																															BGL_CLASS_ANCESTORS_REF
																																															(BgL_arg1854z00_2486,
																																															2L);
																																													}
																																													BgL_res2274z00_2497
																																														=
																																														(BgL_arg1853z00_2485
																																														==
																																														BgL_classz00_2464);
																																												}
																																											else
																																												{	/* Module/foreign.scm 236 */
																																													BgL_res2274z00_2497
																																														=
																																														(
																																														(bool_t)
																																														0);
																																												}
																																										}
																																								}
																																							}
																																							BgL_test2465z00_3757
																																								=
																																								BgL_res2274z00_2497;
																																						}
																																				}
																																			else
																																				{	/* Module/foreign.scm 236 */
																																					BgL_test2465z00_3757
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	}
																																else
																																	{	/* Module/foreign.scm 236 */
																																		BgL_test2465z00_3757
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2465z00_3757)
																																{	/* Module/foreign.scm 238 */
																																	obj_t
																																		BgL_arg1834z00_1600;
																																	{	/* Module/foreign.scm 238 */
																																		obj_t
																																			BgL_arg1842z00_1601;
																																		{	/* Module/foreign.scm 238 */
																																			obj_t
																																				BgL_arg1845z00_1602;
																																			obj_t
																																				BgL_arg1847z00_1603;
																																			{	/* Module/foreign.scm 238 */
																																				obj_t
																																					BgL_arg1848z00_1604;
																																				{	/* Module/foreign.scm 238 */
																																					obj_t
																																						BgL_arg1851z00_1605;
																																					obj_t
																																						BgL_arg1852z00_1606;
																																					{	/* Module/foreign.scm 238 */
																																						obj_t
																																							BgL_arg1486z00_2499;
																																						BgL_arg1486z00_2499
																																							=
																																							SYMBOL_TO_STRING
																																							(BgL_idz00_1534);
																																						BgL_arg1851z00_1605
																																							=
																																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																							(BgL_arg1486z00_2499);
																																					}
																																					{	/* Module/foreign.scm 238 */
																																						obj_t
																																							BgL_symbolz00_2500;
																																						BgL_symbolz00_2500
																																							=
																																							(
																																							(obj_t)
																																							CNST_TABLE_REF
																																							(8));
																																						{	/* Module/foreign.scm 238 */
																																							obj_t
																																								BgL_arg1486z00_2501;
																																							BgL_arg1486z00_2501
																																								=
																																								SYMBOL_TO_STRING
																																								(BgL_symbolz00_2500);
																																							BgL_arg1852z00_1606
																																								=
																																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																								(BgL_arg1486z00_2501);
																																						}
																																					}
																																					BgL_arg1848z00_1604
																																						=
																																						string_append
																																						(BgL_arg1851z00_1605,
																																						BgL_arg1852z00_1606);
																																				}
																																				BgL_arg1845z00_1602
																																					=
																																					bstring_to_symbol
																																					(BgL_arg1848z00_1604);
																																			}
																																			{	/* Module/foreign.scm 239 */
																																				obj_t
																																					BgL_arg1856z00_1607;
																																				obj_t
																																					BgL_arg1857z00_1608;
																																				{	/* Module/foreign.scm 239 */
																																					obj_t
																																						BgL_arg1859z00_1609;
																																					{	/* Module/foreign.scm 239 */
																																						obj_t
																																							BgL_arg1865z00_1610;
																																						obj_t
																																							BgL_arg1872z00_1611;
																																						{	/* Module/foreign.scm 239 */
																																							obj_t
																																								BgL_arg1486z00_2504;
																																							BgL_arg1486z00_2504
																																								=
																																								SYMBOL_TO_STRING
																																								(
																																								((obj_t) BgL_tzd2expzd2_1535));
																																							BgL_arg1865z00_1610
																																								=
																																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																								(BgL_arg1486z00_2504);
																																						}
																																						{	/* Module/foreign.scm 239 */
																																							obj_t
																																								BgL_symbolz00_2505;
																																							BgL_symbolz00_2505
																																								=
																																								(
																																								(obj_t)
																																								CNST_TABLE_REF
																																								(8));
																																							{	/* Module/foreign.scm 239 */
																																								obj_t
																																									BgL_arg1486z00_2506;
																																								BgL_arg1486z00_2506
																																									=
																																									SYMBOL_TO_STRING
																																									(BgL_symbolz00_2505);
																																								BgL_arg1872z00_1611
																																									=
																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																									(BgL_arg1486z00_2506);
																																							}
																																						}
																																						BgL_arg1859z00_1609
																																							=
																																							string_append
																																							(BgL_arg1865z00_1610,
																																							BgL_arg1872z00_1611);
																																					}
																																					BgL_arg1856z00_1607
																																						=
																																						bstring_to_symbol
																																						(BgL_arg1859z00_1609);
																																				}
																																				{	/* Module/foreign.scm 240 */
																																					obj_t
																																						BgL_arg1873z00_1612;
																																					BgL_arg1873z00_1612
																																						=
																																						BGl_makezd2pointerzd2tozd2namezd2zztype_toolsz00
																																						(((BgL_typez00_bglt) BgL_ctypez00_1593));
																																					BgL_arg1857z00_1608
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_arg1873z00_1612,
																																						BNIL);
																																				}
																																				BgL_arg1847z00_1603
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_arg1856z00_1607,
																																					BgL_arg1857z00_1608);
																																			}
																																			BgL_arg1842z00_1601
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_arg1845z00_1602,
																																				BgL_arg1847z00_1603);
																																		}
																																		BgL_arg1834z00_1600
																																			=
																																			MAKE_YOUNG_PAIR
																																			(((obj_t)
																																				CNST_TABLE_REF
																																				(5)),
																																			BgL_arg1842z00_1601);
																																	}
																																	BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																																		(BgL_arg1834z00_1600);
																																}
																															else
																																{	/* Module/foreign.scm 236 */
																																	BFALSE;
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 230 */
																														BFALSE;
																													}
																											}
																											return BUNSPEC;
																										}
																									else
																										{	/* Module/foreign.scm 242 */
																											obj_t
																												BgL_list1877z00_1615;
																											BgL_list1877z00_1615 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2285z00zzmodule_foreignz00,
																												BGl_string2294z00zzmodule_foreignz00,
																												BgL_typez00_33,
																												BgL_list1877z00_1615);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 221 */
																								BgL_tagzd21745zd2_1538:
																									{	/* Module/foreign.scm 244 */
																										obj_t BgL_list1878z00_1616;

																										BgL_list1878z00_1616 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										return
																											BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2285z00zzmodule_foreignz00,
																											BGl_string2294z00zzmodule_foreignz00,
																											BgL_typez00_33,
																											BgL_list1878z00_1616);
																									}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 221 */
																							goto BgL_tagzd21745zd2_1538;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 221 */
																					goto BgL_tagzd21745zd2_1538;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 221 */
																			goto BgL_tagzd21745zd2_1538;
																		}
																}
														}
													else
														{	/* Module/foreign.scm 221 */
															obj_t BgL_carzd21815zd2_1567;
															obj_t BgL_cdrzd21816zd2_1568;

															BgL_carzd21815zd2_1567 =
																CAR(((obj_t) BgL_cdrzd21753zd2_1541));
															BgL_cdrzd21816zd2_1568 =
																CDR(((obj_t) BgL_cdrzd21753zd2_1541));
															if (SYMBOLP(BgL_carzd21815zd2_1567))
																{	/* Module/foreign.scm 221 */
																	obj_t BgL_cdrzd21825zd2_1570;

																	BgL_cdrzd21825zd2_1570 =
																		CDR(((obj_t) BgL_cdrzd21816zd2_1568));
																	if (PAIRP(BgL_cdrzd21825zd2_1570))
																		{	/* Module/foreign.scm 221 */
																			obj_t BgL_carzd21828zd2_1572;

																			BgL_carzd21828zd2_1572 =
																				CAR(BgL_cdrzd21825zd2_1570);
																			if (STRINGP(BgL_carzd21828zd2_1572))
																				{	/* Module/foreign.scm 221 */
																					if (NULLP(CDR
																							(BgL_cdrzd21825zd2_1570)))
																						{	/* Module/foreign.scm 221 */
																							obj_t BgL_arg1810z00_1576;

																							BgL_arg1810z00_1576 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd21816zd2_1568));
																							{
																								obj_t BgL_namez00_3855;
																								obj_t BgL_tzd2expzd2_3854;
																								obj_t BgL_idz00_3853;

																								BgL_idz00_3853 =
																									BgL_carzd21815zd2_1567;
																								BgL_tzd2expzd2_3854 =
																									BgL_arg1810z00_1576;
																								BgL_namez00_3855 =
																									BgL_carzd21828zd2_1572;
																								BgL_namez00_1536 =
																									BgL_namez00_3855;
																								BgL_tzd2expzd2_1535 =
																									BgL_tzd2expzd2_3854;
																								BgL_idz00_1534 = BgL_idz00_3853;
																								goto BgL_tagzd21744zd2_1537;
																							}
																						}
																					else
																						{	/* Module/foreign.scm 221 */
																							goto BgL_tagzd21745zd2_1538;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 221 */
																					goto BgL_tagzd21745zd2_1538;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 221 */
																			goto BgL_tagzd21745zd2_1538;
																		}
																}
															else
																{	/* Module/foreign.scm 221 */
																	goto BgL_tagzd21745zd2_1538;
																}
														}
												}
											else
												{	/* Module/foreign.scm 221 */
													goto BgL_tagzd21745zd2_1538;
												}
										}
									else
										{	/* Module/foreign.scm 221 */
											obj_t BgL_carzd21851zd2_1579;
											obj_t BgL_cdrzd21852zd2_1580;

											BgL_carzd21851zd2_1579 =
												CAR(((obj_t) BgL_cdrzd21753zd2_1541));
											BgL_cdrzd21852zd2_1580 =
												CDR(((obj_t) BgL_cdrzd21753zd2_1541));
											if (SYMBOLP(BgL_carzd21851zd2_1579))
												{	/* Module/foreign.scm 221 */
													if (PAIRP(BgL_cdrzd21852zd2_1580))
														{	/* Module/foreign.scm 221 */
															obj_t BgL_cdrzd21859zd2_1583;

															BgL_cdrzd21859zd2_1583 =
																CDR(BgL_cdrzd21852zd2_1580);
															if (PAIRP(BgL_cdrzd21859zd2_1583))
																{	/* Module/foreign.scm 221 */
																	obj_t BgL_carzd21862zd2_1585;

																	BgL_carzd21862zd2_1585 =
																		CAR(BgL_cdrzd21859zd2_1583);
																	if (STRINGP(BgL_carzd21862zd2_1585))
																		{	/* Module/foreign.scm 221 */
																			if (NULLP(CDR(BgL_cdrzd21859zd2_1583)))
																				{
																					obj_t BgL_namez00_3876;
																					obj_t BgL_tzd2expzd2_3874;
																					obj_t BgL_idz00_3873;

																					BgL_idz00_3873 =
																						BgL_carzd21851zd2_1579;
																					BgL_tzd2expzd2_3874 =
																						CAR(BgL_cdrzd21852zd2_1580);
																					BgL_namez00_3876 =
																						BgL_carzd21862zd2_1585;
																					BgL_namez00_1536 = BgL_namez00_3876;
																					BgL_tzd2expzd2_1535 =
																						BgL_tzd2expzd2_3874;
																					BgL_idz00_1534 = BgL_idz00_3873;
																					goto BgL_tagzd21744zd2_1537;
																				}
																			else
																				{	/* Module/foreign.scm 221 */
																					goto BgL_tagzd21745zd2_1538;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 221 */
																			goto BgL_tagzd21745zd2_1538;
																		}
																}
															else
																{	/* Module/foreign.scm 221 */
																	goto BgL_tagzd21745zd2_1538;
																}
														}
													else
														{	/* Module/foreign.scm 221 */
															goto BgL_tagzd21745zd2_1538;
														}
												}
											else
												{	/* Module/foreign.scm 221 */
													goto BgL_tagzd21745zd2_1538;
												}
										}
								}
							else
								{	/* Module/foreign.scm 221 */
									goto BgL_tagzd21745zd2_1538;
								}
						}
					else
						{	/* Module/foreign.scm 221 */
							goto BgL_tagzd21745zd2_1538;
						}
				}
			}
		}

	}



/* check-c-foreign-type-exp? */
	bool_t BGl_checkzd2czd2foreignzd2typezd2expzf3zf3zzmodule_foreignz00(obj_t
		BgL_tzd2expzd2_34)
	{
		{	/* Module/foreign.scm 249 */
			{
				obj_t BgL_slotsz00_1626;
				obj_t BgL_slotsz00_1618;

				if (SYMBOLP(BgL_tzd2expzd2_34))
					{	/* Module/foreign.scm 250 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/foreign.scm 250 */
						if (PAIRP(BgL_tzd2expzd2_34))
							{	/* Module/foreign.scm 250 */
								obj_t BgL_carzd21900zd2_1632;
								obj_t BgL_cdrzd21901zd2_1633;

								BgL_carzd21900zd2_1632 = CAR(((obj_t) BgL_tzd2expzd2_34));
								BgL_cdrzd21901zd2_1633 = CDR(((obj_t) BgL_tzd2expzd2_34));
								if ((BgL_carzd21900zd2_1632 == ((obj_t) CNST_TABLE_REF(10))))
									{	/* Module/foreign.scm 250 */
										BgL_slotsz00_1618 = BgL_cdrzd21901zd2_1633;
									BgL_tagzd21886zd2_1619:
										{
											obj_t BgL_slotsz00_1765;

											BgL_slotsz00_1765 = BgL_slotsz00_1618;
										BgL_zc3z04anonymousza32000ze3z87_1766:
											if (NULLP(BgL_slotsz00_1765))
												{	/* Module/foreign.scm 255 */
													return ((bool_t) 1);
												}
											else
												{

													{	/* Module/foreign.scm 257 */
														obj_t BgL_ezd22154zd2_1770;

														BgL_ezd22154zd2_1770 =
															CAR(((obj_t) BgL_slotsz00_1765));
														if (PAIRP(BgL_ezd22154zd2_1770))
															{	/* Module/foreign.scm 257 */
																obj_t BgL_cdrzd22156zd2_1772;

																BgL_cdrzd22156zd2_1772 =
																	CDR(BgL_ezd22154zd2_1770);
																{	/* Module/foreign.scm 257 */
																	bool_t BgL_test2489z00_3896;

																	{	/* Module/foreign.scm 257 */
																		obj_t BgL_tmpz00_3897;

																		BgL_tmpz00_3897 = CAR(BgL_ezd22154zd2_1770);
																		BgL_test2489z00_3896 =
																			SYMBOLP(BgL_tmpz00_3897);
																	}
																	if (BgL_test2489z00_3896)
																		{	/* Module/foreign.scm 257 */
																			if (PAIRP(BgL_cdrzd22156zd2_1772))
																				{	/* Module/foreign.scm 257 */
																					obj_t BgL_cdrzd22158zd2_1776;

																					BgL_cdrzd22158zd2_1776 =
																						CDR(BgL_cdrzd22156zd2_1772);
																					{	/* Module/foreign.scm 257 */
																						bool_t BgL_test2491z00_3903;

																						{	/* Module/foreign.scm 257 */
																							obj_t BgL_tmpz00_3904;

																							BgL_tmpz00_3904 =
																								CAR(BgL_cdrzd22156zd2_1772);
																							BgL_test2491z00_3903 =
																								SYMBOLP(BgL_tmpz00_3904);
																						}
																						if (BgL_test2491z00_3903)
																							{	/* Module/foreign.scm 257 */
																								if (PAIRP
																									(BgL_cdrzd22158zd2_1776))
																									{	/* Module/foreign.scm 257 */
																										bool_t BgL_test2493z00_3909;

																										{	/* Module/foreign.scm 257 */
																											obj_t BgL_tmpz00_3910;

																											BgL_tmpz00_3910 =
																												CAR
																												(BgL_cdrzd22158zd2_1776);
																											BgL_test2493z00_3909 =
																												STRINGP
																												(BgL_tmpz00_3910);
																										}
																										if (BgL_test2493z00_3909)
																											{	/* Module/foreign.scm 257 */
																												if (NULLP(CDR
																														(BgL_cdrzd22158zd2_1776)))
																													{	/* Module/foreign.scm 257 */
																														{
																															obj_t
																																BgL_slotsz00_3916;
																															BgL_slotsz00_3916
																																=
																																CDR(((obj_t)
																																	BgL_slotsz00_1765));
																															BgL_slotsz00_1765
																																=
																																BgL_slotsz00_3916;
																															goto
																																BgL_zc3z04anonymousza32000ze3z87_1766;
																														}
																													}
																												else
																													{	/* Module/foreign.scm 257 */
																														return ((bool_t) 0);
																													}
																											}
																										else
																											{	/* Module/foreign.scm 257 */
																												return ((bool_t) 0);
																											}
																									}
																								else
																									{	/* Module/foreign.scm 257 */
																										return ((bool_t) 0);
																									}
																							}
																						else
																							{	/* Module/foreign.scm 257 */
																								return ((bool_t) 0);
																							}
																					}
																				}
																			else
																				{	/* Module/foreign.scm 257 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/foreign.scm 257 */
																			return ((bool_t) 0);
																		}
																}
															}
														else
															{	/* Module/foreign.scm 257 */
																return ((bool_t) 0);
															}
													}
												}
										}
									}
								else
									{	/* Module/foreign.scm 250 */
										if (
											(BgL_carzd21900zd2_1632 == ((obj_t) CNST_TABLE_REF(11))))
											{
												obj_t BgL_slotsz00_3923;

												BgL_slotsz00_3923 = BgL_cdrzd21901zd2_1633;
												BgL_slotsz00_1618 = BgL_slotsz00_3923;
												goto BgL_tagzd21886zd2_1619;
											}
										else
											{	/* Module/foreign.scm 250 */
												if (
													(BgL_carzd21900zd2_1632 ==
														((obj_t) CNST_TABLE_REF(12))))
													{	/* Module/foreign.scm 250 */
														return NULLP(CDR(((obj_t) BgL_tzd2expzd2_34)));
													}
												else
													{	/* Module/foreign.scm 250 */
														obj_t BgL_cdrzd21948zd2_1648;

														BgL_cdrzd21948zd2_1648 =
															CDR(((obj_t) BgL_tzd2expzd2_34));
														if (
															(CAR(
																	((obj_t) BgL_tzd2expzd2_34)) ==
																((obj_t) CNST_TABLE_REF(13))))
															{	/* Module/foreign.scm 250 */
																if (PAIRP(BgL_cdrzd21948zd2_1648))
																	{	/* Module/foreign.scm 250 */
																		bool_t BgL_test2499z00_3941;

																		{	/* Module/foreign.scm 250 */
																			obj_t BgL_tmpz00_3942;

																			BgL_tmpz00_3942 =
																				CAR(BgL_cdrzd21948zd2_1648);
																			BgL_test2499z00_3941 =
																				SYMBOLP(BgL_tmpz00_3942);
																		}
																		if (BgL_test2499z00_3941)
																			{	/* Module/foreign.scm 250 */
																				return
																					NULLP(CDR(BgL_cdrzd21948zd2_1648));
																			}
																		else
																			{	/* Module/foreign.scm 250 */
																				return ((bool_t) 0);
																			}
																	}
																else
																	{	/* Module/foreign.scm 250 */
																		return ((bool_t) 0);
																	}
															}
														else
															{	/* Module/foreign.scm 250 */
																obj_t BgL_carzd21999zd2_1666;

																BgL_carzd21999zd2_1666 =
																	CAR(((obj_t) BgL_tzd2expzd2_34));
																{

																	if (
																		(BgL_carzd21999zd2_1666 ==
																			((obj_t) CNST_TABLE_REF(17))))
																		{	/* Module/foreign.scm 250 */
																		BgL_kapzd22001zd2_1668:
																			if (PAIRP(BgL_cdrzd21948zd2_1648))
																				{	/* Module/foreign.scm 250 */
																					bool_t BgL_test2502z00_3955;

																					{	/* Module/foreign.scm 250 */
																						obj_t BgL_tmpz00_3956;

																						BgL_tmpz00_3956 =
																							CAR(BgL_cdrzd21948zd2_1648);
																						BgL_test2502z00_3955 =
																							SYMBOLP(BgL_tmpz00_3956);
																					}
																					if (BgL_test2502z00_3955)
																						{	/* Module/foreign.scm 250 */
																							if (NULLP(CDR
																									(BgL_cdrzd21948zd2_1648)))
																								{	/* Module/foreign.scm 250 */
																									return ((bool_t) 1);
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									obj_t BgL_cdrzd22010zd2_1706;

																									BgL_cdrzd22010zd2_1706 =
																										CDR(
																										((obj_t)
																											BgL_tzd2expzd2_34));
																									if ((CAR(((obj_t)
																													BgL_tzd2expzd2_34)) ==
																											((obj_t)
																												CNST_TABLE_REF(14))))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22013zd2_1709;
																											BgL_cdrzd22013zd2_1709 =
																												CDR(((obj_t)
																													BgL_cdrzd22010zd2_1706));
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2505z00_3972;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_3973;

																													BgL_tmpz00_3973 =
																														CAR(
																														((obj_t)
																															BgL_cdrzd22010zd2_1706));
																													BgL_test2505z00_3972 =
																														SYMBOLP
																														(BgL_tmpz00_3973);
																												}
																												if (BgL_test2505z00_3972)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22013zd2_1709))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22015zd2_1713;
																																BgL_carzd22015zd2_1713
																																	=
																																	CAR
																																	(BgL_cdrzd22013zd2_1709);
																																{

																																	if (NULLP
																																		(BgL_carzd22015zd2_1713))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22019zd2_1714:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22013zd2_1709))))
																																				{	/* Module/foreign.scm 250 */
																																					BGL_TAIL
																																						return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22015zd2_1713);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22015zd2_1713))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22019zd2_1714;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_tzd2expzd2_34))
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(15))))
																												{	/* Module/foreign.scm 250 */
																													BgL_slotsz00_1626 =
																														BgL_cdrzd22010zd2_1706;
																												BgL_tagzd21892zd2_1627:
																													{
																														obj_t
																															BgL_slotsz00_1791;
																														BgL_slotsz00_1791 =
																															BgL_slotsz00_1626;
																													BgL_zc3z04anonymousza32018ze3z87_1792:
																														if (NULLP
																															(BgL_slotsz00_1791))
																															{	/* Module/foreign.scm 274 */
																																return ((bool_t)
																																	1);
																															}
																														else
																															{

																																{	/* Module/foreign.scm 276 */
																																	obj_t
																																		BgL_ezd22163zd2_1796;
																																	BgL_ezd22163zd2_1796
																																		=
																																		CAR(((obj_t)
																																			BgL_slotsz00_1791));
																																	if (PAIRP
																																		(BgL_ezd22163zd2_1796))
																																		{	/* Module/foreign.scm 276 */
																																			obj_t
																																				BgL_cdrzd22165zd2_1798;
																																			BgL_cdrzd22165zd2_1798
																																				=
																																				CDR
																																				(BgL_ezd22163zd2_1796);
																																			{	/* Module/foreign.scm 276 */
																																				bool_t
																																					BgL_test2513z00_4002;
																																				{	/* Module/foreign.scm 276 */
																																					obj_t
																																						BgL_tmpz00_4003;
																																					BgL_tmpz00_4003
																																						=
																																						CAR
																																						(BgL_ezd22163zd2_1796);
																																					BgL_test2513z00_4002
																																						=
																																						SYMBOLP
																																						(BgL_tmpz00_4003);
																																				}
																																				if (BgL_test2513z00_4002)
																																					{	/* Module/foreign.scm 276 */
																																						if (PAIRP(BgL_cdrzd22165zd2_1798))
																																							{	/* Module/foreign.scm 276 */
																																								bool_t
																																									BgL_test2515z00_4008;
																																								{	/* Module/foreign.scm 276 */
																																									obj_t
																																										BgL_tmpz00_4009;
																																									BgL_tmpz00_4009
																																										=
																																										CAR
																																										(BgL_cdrzd22165zd2_1798);
																																									BgL_test2515z00_4008
																																										=
																																										STRINGP
																																										(BgL_tmpz00_4009);
																																								}
																																								if (BgL_test2515z00_4008)
																																									{	/* Module/foreign.scm 276 */
																																										if (NULLP(CDR(BgL_cdrzd22165zd2_1798)))
																																											{	/* Module/foreign.scm 276 */
																																												{
																																													obj_t
																																														BgL_slotsz00_4015;
																																													BgL_slotsz00_4015
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_slotsz00_1791));
																																													BgL_slotsz00_1791
																																														=
																																														BgL_slotsz00_4015;
																																													goto
																																														BgL_zc3z04anonymousza32018ze3z87_1792;
																																												}
																																											}
																																										else
																																											{	/* Module/foreign.scm 276 */
																																												return
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																								else
																																									{	/* Module/foreign.scm 276 */
																																										return
																																											(
																																											(bool_t)
																																											0);
																																									}
																																							}
																																						else
																																							{	/* Module/foreign.scm 276 */
																																								return
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				else
																																					{	/* Module/foreign.scm 276 */
																																						return
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		}
																																	else
																																		{	/* Module/foreign.scm 276 */
																																			return (
																																				(bool_t)
																																				0);
																																		}
																																}
																															}
																													}
																												}
																											else
																												{	/* Module/foreign.scm 250 */
																													return ((bool_t) 0);
																												}
																										}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							obj_t BgL_cdrzd22037zd2_1727;

																							BgL_cdrzd22037zd2_1727 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_34));
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_34))
																									==
																									((obj_t) CNST_TABLE_REF(16))))
																								{	/* Module/foreign.scm 250 */
																									bool_t BgL_test2518z00_4026;

																									{	/* Module/foreign.scm 250 */
																										obj_t BgL_tmpz00_4027;

																										BgL_tmpz00_4027 =
																											CAR(
																											((obj_t)
																												BgL_cdrzd22037zd2_1727));
																										BgL_test2518z00_4026 =
																											SYMBOLP(BgL_tmpz00_4027);
																									}
																									if (BgL_test2518z00_4026)
																										{	/* Module/foreign.scm 250 */
																											return
																												NULLP(CDR(
																													((obj_t)
																														BgL_cdrzd22037zd2_1727)));
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_34)) ==
																											((obj_t)
																												CNST_TABLE_REF(14))))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22057zd2_1739;
																											BgL_cdrzd22057zd2_1739 =
																												CDR(((obj_t)
																													BgL_cdrzd22037zd2_1727));
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2520z00_4042;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_4043;

																													BgL_tmpz00_4043 =
																														CAR(
																														((obj_t)
																															BgL_cdrzd22037zd2_1727));
																													BgL_test2520z00_4042 =
																														SYMBOLP
																														(BgL_tmpz00_4043);
																												}
																												if (BgL_test2520z00_4042)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22057zd2_1739))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22059zd2_1743;
																																BgL_carzd22059zd2_1743
																																	=
																																	CAR
																																	(BgL_cdrzd22057zd2_1739);
																																{

																																	if (NULLP
																																		(BgL_carzd22059zd2_1743))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22063zd2_1744:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22057zd2_1739))))
																																				{	/* Module/foreign.scm 250 */
																																					BGL_TAIL
																																						return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22059zd2_1743);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22059zd2_1743))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22063zd2_1744;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_tzd2expzd2_34))
																													==
																													((obj_t)
																														CNST_TABLE_REF
																														(15))))
																												{
																													obj_t
																														BgL_slotsz00_4065;
																													BgL_slotsz00_4065 =
																														CDR(((obj_t)
																															BgL_tzd2expzd2_34));
																													BgL_slotsz00_1626 =
																														BgL_slotsz00_4065;
																													goto
																														BgL_tagzd21892zd2_1627;
																												}
																											else
																												{	/* Module/foreign.scm 250 */
																													return ((bool_t) 0);
																												}
																										}
																								}
																						}
																				}
																			else
																				{	/* Module/foreign.scm 250 */
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_34)) ==
																							((obj_t) CNST_TABLE_REF(15))))
																						{
																							obj_t BgL_slotsz00_4074;

																							BgL_slotsz00_4074 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_34));
																							BgL_slotsz00_1626 =
																								BgL_slotsz00_4074;
																							goto BgL_tagzd21892zd2_1627;
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							return ((bool_t) 0);
																						}
																				}
																		}
																	else
																		{	/* Module/foreign.scm 250 */
																			if (
																				(BgL_carzd21999zd2_1666 ==
																					((obj_t) CNST_TABLE_REF(18))))
																				{	/* Module/foreign.scm 250 */
																					goto BgL_kapzd22001zd2_1668;
																				}
																			else
																				{	/* Module/foreign.scm 250 */
																					obj_t BgL_cdrzd22091zd2_1669;

																					BgL_cdrzd22091zd2_1669 =
																						CDR(((obj_t) BgL_tzd2expzd2_34));
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_34)) ==
																							((obj_t) CNST_TABLE_REF(16))))
																						{	/* Module/foreign.scm 250 */
																							if (PAIRP(BgL_cdrzd22091zd2_1669))
																								{	/* Module/foreign.scm 250 */
																									bool_t BgL_test2530z00_4091;

																									{	/* Module/foreign.scm 250 */
																										obj_t BgL_tmpz00_4092;

																										BgL_tmpz00_4092 =
																											CAR
																											(BgL_cdrzd22091zd2_1669);
																										BgL_test2530z00_4091 =
																											SYMBOLP(BgL_tmpz00_4092);
																									}
																									if (BgL_test2530z00_4091)
																										{	/* Module/foreign.scm 250 */
																											return
																												NULLP(CDR
																												(BgL_cdrzd22091zd2_1669));
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									return ((bool_t) 0);
																								}
																						}
																					else
																						{	/* Module/foreign.scm 250 */
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_34))
																									==
																									((obj_t) CNST_TABLE_REF(14))))
																								{	/* Module/foreign.scm 250 */
																									if (PAIRP
																										(BgL_cdrzd22091zd2_1669))
																										{	/* Module/foreign.scm 250 */
																											obj_t
																												BgL_cdrzd22116zd2_1683;
																											BgL_cdrzd22116zd2_1683 =
																												CDR
																												(BgL_cdrzd22091zd2_1669);
																											{	/* Module/foreign.scm 250 */
																												bool_t
																													BgL_test2533z00_4106;
																												{	/* Module/foreign.scm 250 */
																													obj_t BgL_tmpz00_4107;

																													BgL_tmpz00_4107 =
																														CAR
																														(BgL_cdrzd22091zd2_1669);
																													BgL_test2533z00_4106 =
																														SYMBOLP
																														(BgL_tmpz00_4107);
																												}
																												if (BgL_test2533z00_4106)
																													{	/* Module/foreign.scm 250 */
																														if (PAIRP
																															(BgL_cdrzd22116zd2_1683))
																															{	/* Module/foreign.scm 250 */
																																obj_t
																																	BgL_carzd22118zd2_1687;
																																BgL_carzd22118zd2_1687
																																	=
																																	CAR
																																	(BgL_cdrzd22116zd2_1683);
																																{

																																	if (NULLP
																																		(BgL_carzd22118zd2_1687))
																																		{	/* Module/foreign.scm 250 */
																																		BgL_kapzd22122zd2_1688:
																																			if (NULLP
																																				(CDR(((obj_t) BgL_cdrzd22116zd2_1683))))
																																				{	/* Module/foreign.scm 250 */
																																					BGL_TAIL
																																						return
																																						BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00
																																						(BgL_carzd22118zd2_1687);
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 250 */
																																			if (PAIRP
																																				(BgL_carzd22118zd2_1687))
																																				{	/* Module/foreign.scm 250 */
																																					goto
																																						BgL_kapzd22122zd2_1688;
																																				}
																																			else
																																				{	/* Module/foreign.scm 250 */
																																					return
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Module/foreign.scm 250 */
																																return ((bool_t)
																																	0);
																															}
																													}
																												else
																													{	/* Module/foreign.scm 250 */
																														return ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																							else
																								{	/* Module/foreign.scm 250 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_34)) ==
																											((obj_t)
																												CNST_TABLE_REF(15))))
																										{
																											obj_t BgL_slotsz00_4128;

																											BgL_slotsz00_4128 =
																												CDR(
																												((obj_t)
																													BgL_tzd2expzd2_34));
																											BgL_slotsz00_1626 =
																												BgL_slotsz00_4128;
																											goto
																												BgL_tagzd21892zd2_1627;
																										}
																									else
																										{	/* Module/foreign.scm 250 */
																											return ((bool_t) 0);
																										}
																								}
																						}
																				}
																		}
																}
															}
													}
											}
									}
							}
						else
							{	/* Module/foreign.scm 250 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* parse-c-extern-type */
	obj_t BGl_parsezd2czd2externzd2typezd2zzmodule_foreignz00(obj_t
		BgL_typez00_35)
	{
		{	/* Module/foreign.scm 287 */
			{
				obj_t BgL_idz00_1814;
				obj_t BgL_tzd2expzd2_1815;

				{	/* Module/foreign.scm 288 */
					obj_t BgL_cdrzd22178zd2_1820;

					BgL_cdrzd22178zd2_1820 = CDR(BgL_typez00_35);
					if ((CAR(BgL_typez00_35) == ((obj_t) CNST_TABLE_REF(5))))
						{	/* Module/foreign.scm 288 */
							if (PAIRP(BgL_cdrzd22178zd2_1820))
								{	/* Module/foreign.scm 288 */
									obj_t BgL_carzd22181zd2_1824;
									obj_t BgL_cdrzd22182zd2_1825;

									BgL_carzd22181zd2_1824 = CAR(BgL_cdrzd22178zd2_1820);
									BgL_cdrzd22182zd2_1825 = CDR(BgL_cdrzd22178zd2_1820);
									if (SYMBOLP(BgL_carzd22181zd2_1824))
										{	/* Module/foreign.scm 288 */
											if (PAIRP(BgL_cdrzd22182zd2_1825))
												{	/* Module/foreign.scm 288 */
													obj_t BgL_carzd22187zd2_1828;

													BgL_carzd22187zd2_1828 = CAR(BgL_cdrzd22182zd2_1825);
													if (STRINGP(BgL_carzd22187zd2_1828))
														{	/* Module/foreign.scm 288 */
															if (NULLP(CDR(BgL_cdrzd22182zd2_1825)))
																{	/* Module/foreign.scm 288 */
																	BGL_TAIL return
																		BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																		(BgL_typez00_35);
																}
															else
																{	/* Module/foreign.scm 288 */
																	obj_t BgL_carzd22204zd2_1833;
																	obj_t BgL_cdrzd22205zd2_1834;

																	BgL_carzd22204zd2_1833 =
																		CAR(((obj_t) BgL_cdrzd22178zd2_1820));
																	BgL_cdrzd22205zd2_1834 =
																		CDR(((obj_t) BgL_cdrzd22178zd2_1820));
																	if (SYMBOLP(BgL_carzd22204zd2_1833))
																		{	/* Module/foreign.scm 288 */
																			obj_t BgL_cdrzd22214zd2_1836;

																			BgL_cdrzd22214zd2_1836 =
																				CDR(((obj_t) BgL_cdrzd22205zd2_1834));
																			if (PAIRP(BgL_cdrzd22214zd2_1836))
																				{	/* Module/foreign.scm 288 */
																					bool_t BgL_test2547z00_4162;

																					{	/* Module/foreign.scm 288 */
																						obj_t BgL_tmpz00_4163;

																						BgL_tmpz00_4163 =
																							CAR(BgL_cdrzd22214zd2_1836);
																						BgL_test2547z00_4162 =
																							STRINGP(BgL_tmpz00_4163);
																					}
																					if (BgL_test2547z00_4162)
																						{	/* Module/foreign.scm 288 */
																							if (NULLP(CDR
																									(BgL_cdrzd22214zd2_1836)))
																								{	/* Module/foreign.scm 288 */
																									obj_t BgL_arg2049z00_1842;

																									BgL_arg2049z00_1842 =
																										CAR(
																										((obj_t)
																											BgL_cdrzd22205zd2_1834));
																									BgL_idz00_1814 =
																										BgL_carzd22204zd2_1833;
																									BgL_tzd2expzd2_1815 =
																										BgL_arg2049z00_1842;
																								BgL_tagzd22169zd2_1816:
																									{	/* Module/foreign.scm 292 */
																										obj_t
																											BgL_foreignzd2typezd2_1874;
																										BgL_foreignzd2typezd2_1874 =
																											BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00
																											(BgL_tzd2expzd2_1815);
																										if (CBOOL
																											(BgL_foreignzd2typezd2_1874))
																											{	/* Module/foreign.scm 293 */
																												BGL_TAIL return
																													BGl_parsezd2czd2foreignzd2typezd2zzmodule_foreignz00
																													(BgL_typez00_35);
																											}
																										else
																											{	/* Module/foreign.scm 295 */
																												obj_t
																													BgL_list2075z00_1875;
																												BgL_list2075z00_1875 =
																													MAKE_YOUNG_PAIR(BNIL,
																													BNIL);
																												return
																													BGl_userzd2errorzd2zztools_errorz00
																													(BGl_string2285z00zzmodule_foreignz00,
																													BGl_string2295z00zzmodule_foreignz00,
																													BgL_typez00_35,
																													BgL_list2075z00_1875);
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 288 */
																								BgL_tagzd22170zd2_1817:
																									{	/* Module/foreign.scm 297 */
																										obj_t BgL_list2076z00_1876;

																										BgL_list2076z00_1876 =
																											MAKE_YOUNG_PAIR(BNIL,
																											BNIL);
																										return
																											BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2285z00zzmodule_foreignz00,
																											BGl_string2295z00zzmodule_foreignz00,
																											BgL_typez00_35,
																											BgL_list2076z00_1876);
																									}
																								}
																						}
																					else
																						{	/* Module/foreign.scm 288 */
																							goto BgL_tagzd22170zd2_1817;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 288 */
																					goto BgL_tagzd22170zd2_1817;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 288 */
																			goto BgL_tagzd22170zd2_1817;
																		}
																}
														}
													else
														{	/* Module/foreign.scm 288 */
															obj_t BgL_carzd22229zd2_1847;
															obj_t BgL_cdrzd22230zd2_1848;

															BgL_carzd22229zd2_1847 =
																CAR(((obj_t) BgL_cdrzd22178zd2_1820));
															BgL_cdrzd22230zd2_1848 =
																CDR(((obj_t) BgL_cdrzd22178zd2_1820));
															if (SYMBOLP(BgL_carzd22229zd2_1847))
																{	/* Module/foreign.scm 288 */
																	obj_t BgL_cdrzd22238zd2_1850;

																	BgL_cdrzd22238zd2_1850 =
																		CDR(((obj_t) BgL_cdrzd22230zd2_1848));
																	if (PAIRP(BgL_cdrzd22238zd2_1850))
																		{	/* Module/foreign.scm 288 */
																			bool_t BgL_test2552z00_4189;

																			{	/* Module/foreign.scm 288 */
																				obj_t BgL_tmpz00_4190;

																				BgL_tmpz00_4190 =
																					CAR(BgL_cdrzd22238zd2_1850);
																				BgL_test2552z00_4189 =
																					STRINGP(BgL_tmpz00_4190);
																			}
																			if (BgL_test2552z00_4189)
																				{	/* Module/foreign.scm 288 */
																					if (NULLP(CDR
																							(BgL_cdrzd22238zd2_1850)))
																						{	/* Module/foreign.scm 288 */
																							obj_t BgL_arg2060z00_1856;

																							BgL_arg2060z00_1856 =
																								CAR(
																								((obj_t)
																									BgL_cdrzd22230zd2_1848));
																							{
																								obj_t BgL_tzd2expzd2_4199;
																								obj_t BgL_idz00_4198;

																								BgL_idz00_4198 =
																									BgL_carzd22229zd2_1847;
																								BgL_tzd2expzd2_4199 =
																									BgL_arg2060z00_1856;
																								BgL_tzd2expzd2_1815 =
																									BgL_tzd2expzd2_4199;
																								BgL_idz00_1814 = BgL_idz00_4198;
																								goto BgL_tagzd22169zd2_1816;
																							}
																						}
																					else
																						{	/* Module/foreign.scm 288 */
																							goto BgL_tagzd22170zd2_1817;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 288 */
																					goto BgL_tagzd22170zd2_1817;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 288 */
																			goto BgL_tagzd22170zd2_1817;
																		}
																}
															else
																{	/* Module/foreign.scm 288 */
																	goto BgL_tagzd22170zd2_1817;
																}
														}
												}
											else
												{	/* Module/foreign.scm 288 */
													goto BgL_tagzd22170zd2_1817;
												}
										}
									else
										{	/* Module/foreign.scm 288 */
											obj_t BgL_carzd22255zd2_1860;
											obj_t BgL_cdrzd22256zd2_1861;

											BgL_carzd22255zd2_1860 =
												CAR(((obj_t) BgL_cdrzd22178zd2_1820));
											BgL_cdrzd22256zd2_1861 =
												CDR(((obj_t) BgL_cdrzd22178zd2_1820));
											if (SYMBOLP(BgL_carzd22255zd2_1860))
												{	/* Module/foreign.scm 288 */
													if (PAIRP(BgL_cdrzd22256zd2_1861))
														{	/* Module/foreign.scm 288 */
															obj_t BgL_cdrzd22262zd2_1864;

															BgL_cdrzd22262zd2_1864 =
																CDR(BgL_cdrzd22256zd2_1861);
															if (PAIRP(BgL_cdrzd22262zd2_1864))
																{	/* Module/foreign.scm 288 */
																	bool_t BgL_test2557z00_4211;

																	{	/* Module/foreign.scm 288 */
																		obj_t BgL_tmpz00_4212;

																		BgL_tmpz00_4212 =
																			CAR(BgL_cdrzd22262zd2_1864);
																		BgL_test2557z00_4211 =
																			STRINGP(BgL_tmpz00_4212);
																	}
																	if (BgL_test2557z00_4211)
																		{	/* Module/foreign.scm 288 */
																			if (NULLP(CDR(BgL_cdrzd22262zd2_1864)))
																				{
																					obj_t BgL_tzd2expzd2_4219;
																					obj_t BgL_idz00_4218;

																					BgL_idz00_4218 =
																						BgL_carzd22255zd2_1860;
																					BgL_tzd2expzd2_4219 =
																						CAR(BgL_cdrzd22256zd2_1861);
																					BgL_tzd2expzd2_1815 =
																						BgL_tzd2expzd2_4219;
																					BgL_idz00_1814 = BgL_idz00_4218;
																					goto BgL_tagzd22169zd2_1816;
																				}
																			else
																				{	/* Module/foreign.scm 288 */
																					goto BgL_tagzd22170zd2_1817;
																				}
																		}
																	else
																		{	/* Module/foreign.scm 288 */
																			goto BgL_tagzd22170zd2_1817;
																		}
																}
															else
																{	/* Module/foreign.scm 288 */
																	goto BgL_tagzd22170zd2_1817;
																}
														}
													else
														{	/* Module/foreign.scm 288 */
															goto BgL_tagzd22170zd2_1817;
														}
												}
											else
												{	/* Module/foreign.scm 288 */
													goto BgL_tagzd22170zd2_1817;
												}
										}
								}
							else
								{	/* Module/foreign.scm 288 */
									goto BgL_tagzd22170zd2_1817;
								}
						}
					else
						{	/* Module/foreign.scm 288 */
							goto BgL_tagzd22170zd2_1817;
						}
				}
			}
		}

	}



/* c-extern-type->c-foreign-type */
	obj_t
		BGl_czd2externzd2typezd2ze3czd2foreignzd2typez31zzmodule_foreignz00(obj_t
		BgL_tzd2expzd2_36)
	{
		{	/* Module/foreign.scm 302 */
			{
				obj_t BgL_slotsz00_1885;
				obj_t BgL_slotsz00_1878;

				if (SYMBOLP(BgL_tzd2expzd2_36))
					{	/* Module/foreign.scm 303 */
						return BgL_tzd2expzd2_36;
					}
				else
					{	/* Module/foreign.scm 303 */
						if (PAIRP(BgL_tzd2expzd2_36))
							{	/* Module/foreign.scm 303 */
								obj_t BgL_carzd22293zd2_1892;
								obj_t BgL_cdrzd22294zd2_1893;

								BgL_carzd22293zd2_1892 = CAR(((obj_t) BgL_tzd2expzd2_36));
								BgL_cdrzd22294zd2_1893 = CDR(((obj_t) BgL_tzd2expzd2_36));
								if ((BgL_carzd22293zd2_1892 == ((obj_t) CNST_TABLE_REF(10))))
									{	/* Module/foreign.scm 303 */
										BgL_slotsz00_1878 = BgL_cdrzd22294zd2_1893;
									BgL_tagzd22279zd2_1879:
										{
											obj_t BgL_slotsz00_2022;

											BgL_slotsz00_2022 = BgL_slotsz00_1878;
										BgL_zc3z04anonymousza32186ze3z87_2023:
											if (NULLP(BgL_slotsz00_2022))
												{	/* Module/foreign.scm 308 */
													return BgL_tzd2expzd2_36;
												}
											else
												{
													obj_t BgL_idz00_2025;
													obj_t BgL_namez00_2026;

													{	/* Module/foreign.scm 310 */
														obj_t BgL_ezd22508zd2_2029;

														BgL_ezd22508zd2_2029 =
															CAR(((obj_t) BgL_slotsz00_2022));
														if (PAIRP(BgL_ezd22508zd2_2029))
															{	/* Module/foreign.scm 310 */
																obj_t BgL_carzd22513zd2_2031;
																obj_t BgL_cdrzd22514zd2_2032;

																BgL_carzd22513zd2_2031 =
																	CAR(BgL_ezd22508zd2_2029);
																BgL_cdrzd22514zd2_2032 =
																	CDR(BgL_ezd22508zd2_2029);
																if (SYMBOLP(BgL_carzd22513zd2_2031))
																	{	/* Module/foreign.scm 310 */
																		if (PAIRP(BgL_cdrzd22514zd2_2032))
																			{	/* Module/foreign.scm 310 */
																				obj_t BgL_carzd22518zd2_2035;

																				BgL_carzd22518zd2_2035 =
																					CAR(BgL_cdrzd22514zd2_2032);
																				if (STRINGP(BgL_carzd22518zd2_2035))
																					{	/* Module/foreign.scm 310 */
																						if (NULLP(CDR
																								(BgL_cdrzd22514zd2_2032)))
																							{	/* Module/foreign.scm 310 */
																								BgL_idz00_2025 =
																									BgL_carzd22513zd2_2031;
																								BgL_namez00_2026 =
																									BgL_carzd22518zd2_2035;
																								{	/* Module/foreign.scm 312 */
																									obj_t BgL_pidz00_2040;

																									BgL_pidz00_2040 =
																										BGl_parsezd2idzd2zzast_identz00
																										(BgL_idz00_2025,
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_tzd2expzd2_36));
																									{	/* Module/foreign.scm 312 */
																										obj_t BgL_sidz00_2041;

																										BgL_sidz00_2041 =
																											CAR(BgL_pidz00_2040);
																										{	/* Module/foreign.scm 313 */
																											obj_t BgL_typez00_2042;

																											BgL_typez00_2042 =
																												(((BgL_typez00_bglt)
																													COBJECT((
																															(BgL_typez00_bglt)
																															CDR
																															(BgL_pidz00_2040))))->
																												BgL_idz00);
																											{	/* Module/foreign.scm 314 */

																												{	/* Module/foreign.scm 315 */
																													obj_t BgL_xz00_2921;

																													BgL_xz00_2921 =
																														BGl_checkzd2idzd2zzast_identz00
																														(BgL_pidz00_2040,
																														BgL_tzd2expzd2_36);
																													((bool_t) 1);
																												}
																												{	/* Module/foreign.scm 318 */
																													obj_t
																														BgL_arg2196z00_2044;
																													obj_t
																														BgL_arg2197z00_2045;
																													BgL_arg2196z00_2044 =
																														CAR(((obj_t)
																															BgL_slotsz00_2022));
																													{	/* Module/foreign.scm 318 */
																														obj_t
																															BgL_arg2198z00_2046;
																														BgL_arg2198z00_2046
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_namez00_2026,
																															BNIL);
																														BgL_arg2197z00_2045
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_sidz00_2041,
																															BgL_arg2198z00_2046);
																													}
																													{	/* Module/foreign.scm 318 */
																														obj_t
																															BgL_tmpz00_4262;
																														BgL_tmpz00_4262 =
																															((obj_t)
																															BgL_arg2196z00_2044);
																														SET_CDR
																															(BgL_tmpz00_4262,
																															BgL_arg2197z00_2045);
																													}
																												}
																												{	/* Module/foreign.scm 319 */
																													obj_t
																														BgL_arg2200z00_2047;
																													BgL_arg2200z00_2047 =
																														CAR(((obj_t)
																															BgL_slotsz00_2022));
																													{	/* Module/foreign.scm 319 */
																														obj_t
																															BgL_tmpz00_4267;
																														BgL_tmpz00_4267 =
																															((obj_t)
																															BgL_arg2200z00_2047);
																														SET_CAR
																															(BgL_tmpz00_4267,
																															BgL_typez00_2042);
																													}
																												}
																												{	/* Module/foreign.scm 320 */
																													obj_t
																														BgL_arg2201z00_2048;
																													BgL_arg2201z00_2048 =
																														CDR(((obj_t)
																															BgL_slotsz00_2022));
																													{
																														obj_t
																															BgL_slotsz00_4272;
																														BgL_slotsz00_4272 =
																															BgL_arg2201z00_2048;
																														BgL_slotsz00_2022 =
																															BgL_slotsz00_4272;
																														goto
																															BgL_zc3z04anonymousza32186ze3z87_2023;
																													}
																												}
																											}
																										}
																									}
																								}
																							}
																						else
																							{	/* Module/foreign.scm 310 */
																								return BFALSE;
																							}
																					}
																				else
																					{	/* Module/foreign.scm 310 */
																						return BFALSE;
																					}
																			}
																		else
																			{	/* Module/foreign.scm 310 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Module/foreign.scm 310 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/foreign.scm 310 */
																return BFALSE;
															}
													}
												}
										}
									}
								else
									{	/* Module/foreign.scm 303 */
										if (
											(BgL_carzd22293zd2_1892 == ((obj_t) CNST_TABLE_REF(11))))
											{
												obj_t BgL_slotsz00_4277;

												BgL_slotsz00_4277 = BgL_cdrzd22294zd2_1893;
												BgL_slotsz00_1878 = BgL_slotsz00_4277;
												goto BgL_tagzd22279zd2_1879;
											}
										else
											{	/* Module/foreign.scm 303 */
												if (
													(CAR(
															((obj_t) BgL_tzd2expzd2_36)) ==
														((obj_t) CNST_TABLE_REF(13))))
													{	/* Module/foreign.scm 303 */
														if (PAIRP(BgL_cdrzd22294zd2_1893))
															{	/* Module/foreign.scm 303 */
																bool_t BgL_test2571z00_4286;

																{	/* Module/foreign.scm 303 */
																	obj_t BgL_tmpz00_4287;

																	BgL_tmpz00_4287 = CAR(BgL_cdrzd22294zd2_1893);
																	BgL_test2571z00_4286 =
																		SYMBOLP(BgL_tmpz00_4287);
																}
																if (BgL_test2571z00_4286)
																	{	/* Module/foreign.scm 303 */
																		if (NULLP(CDR(BgL_cdrzd22294zd2_1893)))
																			{	/* Module/foreign.scm 303 */
																				return BgL_tzd2expzd2_36;
																			}
																		else
																			{	/* Module/foreign.scm 303 */
																				return BFALSE;
																			}
																	}
																else
																	{	/* Module/foreign.scm 303 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/foreign.scm 303 */
																return BFALSE;
															}
													}
												else
													{	/* Module/foreign.scm 303 */
														obj_t BgL_carzd22351zd2_1912;
														obj_t BgL_cdrzd22352zd2_1913;

														BgL_carzd22351zd2_1912 =
															CAR(((obj_t) BgL_tzd2expzd2_36));
														BgL_cdrzd22352zd2_1913 =
															CDR(((obj_t) BgL_tzd2expzd2_36));
														{

															if (
																(BgL_carzd22351zd2_1912 ==
																	((obj_t) CNST_TABLE_REF(17))))
																{	/* Module/foreign.scm 303 */
																BgL_kapzd22353zd2_1914:
																	if (PAIRP(BgL_cdrzd22352zd2_1913))
																		{	/* Module/foreign.scm 303 */
																			bool_t BgL_test2575z00_4303;

																			{	/* Module/foreign.scm 303 */
																				obj_t BgL_tmpz00_4304;

																				BgL_tmpz00_4304 =
																					CAR(BgL_cdrzd22352zd2_1913);
																				BgL_test2575z00_4303 =
																					SYMBOLP(BgL_tmpz00_4304);
																			}
																			if (BgL_test2575z00_4303)
																				{	/* Module/foreign.scm 303 */
																					if (NULLP(CDR
																							(BgL_cdrzd22352zd2_1913)))
																						{	/* Module/foreign.scm 303 */
																							return BgL_tzd2expzd2_36;
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							obj_t BgL_cdrzd22362zd2_1958;

																							BgL_cdrzd22362zd2_1958 =
																								CDR(
																								((obj_t) BgL_tzd2expzd2_36));
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_36))
																									==
																									((obj_t) CNST_TABLE_REF(14))))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22365zd2_1961;

																									BgL_cdrzd22365zd2_1961 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd22362zd2_1958));
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2578z00_4320;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4321;

																											BgL_tmpz00_4321 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd22362zd2_1958));
																											BgL_test2578z00_4320 =
																												SYMBOLP
																												(BgL_tmpz00_4321);
																										}
																										if (BgL_test2578z00_4320)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22365zd2_1961))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22367zd2_1965;
																														BgL_carzd22367zd2_1965
																															=
																															CAR
																															(BgL_cdrzd22365zd2_1961);
																														{

																															if (NULLP
																																(BgL_carzd22367zd2_1965))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22371zd2_1966:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22365zd2_1961))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22367zd2_1965))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22367zd2_1965))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22371zd2_1966;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_36)) ==
																											((obj_t)
																												CNST_TABLE_REF(15))))
																										{	/* Module/foreign.scm 303 */
																											BgL_slotsz00_1885 =
																												BgL_cdrzd22362zd2_1958;
																										BgL_tagzd22284zd2_1886:
																											{
																												obj_t BgL_slotsz00_2054;

																												BgL_slotsz00_2054 =
																													BgL_slotsz00_1885;
																											BgL_zc3z04anonymousza32205ze3z87_2055:
																												if (NULLP
																													(BgL_slotsz00_2054))
																													{	/* Module/foreign.scm 335 */
																														return
																															BgL_tzd2expzd2_36;
																													}
																												else
																													{

																														{	/* Module/foreign.scm 337 */
																															obj_t
																																BgL_ezd22524zd2_2059;
																															BgL_ezd22524zd2_2059
																																=
																																CAR(((obj_t)
																																	BgL_slotsz00_2054));
																															if (PAIRP
																																(BgL_ezd22524zd2_2059))
																																{	/* Module/foreign.scm 337 */
																																	obj_t
																																		BgL_cdrzd22526zd2_2061;
																																	BgL_cdrzd22526zd2_2061
																																		=
																																		CDR
																																		(BgL_ezd22524zd2_2059);
																																	{	/* Module/foreign.scm 337 */
																																		bool_t
																																			BgL_test2587z00_4351;
																																		{	/* Module/foreign.scm 337 */
																																			obj_t
																																				BgL_tmpz00_4352;
																																			BgL_tmpz00_4352
																																				=
																																				CAR
																																				(BgL_ezd22524zd2_2059);
																																			BgL_test2587z00_4351
																																				=
																																				SYMBOLP
																																				(BgL_tmpz00_4352);
																																		}
																																		if (BgL_test2587z00_4351)
																																			{	/* Module/foreign.scm 337 */
																																				if (PAIRP(BgL_cdrzd22526zd2_2061))
																																					{	/* Module/foreign.scm 337 */
																																						bool_t
																																							BgL_test2589z00_4357;
																																						{	/* Module/foreign.scm 337 */
																																							obj_t
																																								BgL_tmpz00_4358;
																																							BgL_tmpz00_4358
																																								=
																																								CAR
																																								(BgL_cdrzd22526zd2_2061);
																																							BgL_test2589z00_4357
																																								=
																																								STRINGP
																																								(BgL_tmpz00_4358);
																																						}
																																						if (BgL_test2589z00_4357)
																																							{	/* Module/foreign.scm 337 */
																																								if (NULLP(CDR(BgL_cdrzd22526zd2_2061)))
																																									{	/* Module/foreign.scm 337 */
																																										{
																																											obj_t
																																												BgL_slotsz00_4364;
																																											BgL_slotsz00_4364
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_slotsz00_2054));
																																											BgL_slotsz00_2054
																																												=
																																												BgL_slotsz00_4364;
																																											goto
																																												BgL_zc3z04anonymousza32205ze3z87_2055;
																																										}
																																									}
																																								else
																																									{	/* Module/foreign.scm 337 */
																																										return
																																											BFALSE;
																																									}
																																							}
																																						else
																																							{	/* Module/foreign.scm 337 */
																																								return
																																									BFALSE;
																																							}
																																					}
																																				else
																																					{	/* Module/foreign.scm 337 */
																																						return
																																							BFALSE;
																																					}
																																			}
																																		else
																																			{	/* Module/foreign.scm 337 */
																																				return
																																					BFALSE;
																																			}
																																	}
																																}
																															else
																																{	/* Module/foreign.scm 337 */
																																	return BFALSE;
																																}
																														}
																													}
																											}
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					obj_t BgL_cdrzd22389zd2_1979;

																					BgL_cdrzd22389zd2_1979 =
																						CDR(((obj_t) BgL_tzd2expzd2_36));
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_36)) ==
																							((obj_t) CNST_TABLE_REF(16))))
																						{	/* Module/foreign.scm 303 */
																							bool_t BgL_test2592z00_4375;

																							{	/* Module/foreign.scm 303 */
																								obj_t BgL_tmpz00_4376;

																								BgL_tmpz00_4376 =
																									CAR(
																									((obj_t)
																										BgL_cdrzd22389zd2_1979));
																								BgL_test2592z00_4375 =
																									SYMBOLP(BgL_tmpz00_4376);
																							}
																							if (BgL_test2592z00_4375)
																								{	/* Module/foreign.scm 303 */
																									if (NULLP(CDR(
																												((obj_t)
																													BgL_cdrzd22389zd2_1979))))
																										{	/* Module/foreign.scm 303 */
																											return BgL_tzd2expzd2_36;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_36))
																									==
																									((obj_t) CNST_TABLE_REF(14))))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22409zd2_1991;

																									BgL_cdrzd22409zd2_1991 =
																										CDR(
																										((obj_t)
																											BgL_cdrzd22389zd2_1979));
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2595z00_4392;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4393;

																											BgL_tmpz00_4393 =
																												CAR(
																												((obj_t)
																													BgL_cdrzd22389zd2_1979));
																											BgL_test2595z00_4392 =
																												SYMBOLP
																												(BgL_tmpz00_4393);
																										}
																										if (BgL_test2595z00_4392)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22409zd2_1991))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22411zd2_1995;
																														BgL_carzd22411zd2_1995
																															=
																															CAR
																															(BgL_cdrzd22409zd2_1991);
																														{

																															if (NULLP
																																(BgL_carzd22411zd2_1995))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22415zd2_1996:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22409zd2_1991))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22411zd2_1995))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22411zd2_1995))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22415zd2_1996;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_36)) ==
																											((obj_t)
																												CNST_TABLE_REF(15))))
																										{
																											obj_t BgL_slotsz00_4416;

																											BgL_slotsz00_4416 =
																												CDR(
																												((obj_t)
																													BgL_tzd2expzd2_36));
																											BgL_slotsz00_1885 =
																												BgL_slotsz00_4416;
																											goto
																												BgL_tagzd22284zd2_1886;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																		}
																	else
																		{	/* Module/foreign.scm 303 */
																			if (
																				(CAR(
																						((obj_t) BgL_tzd2expzd2_36)) ==
																					((obj_t) CNST_TABLE_REF(15))))
																				{
																					obj_t BgL_slotsz00_4425;

																					BgL_slotsz00_4425 =
																						CDR(((obj_t) BgL_tzd2expzd2_36));
																					BgL_slotsz00_1885 = BgL_slotsz00_4425;
																					goto BgL_tagzd22284zd2_1886;
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_36)) ==
																							((obj_t) CNST_TABLE_REF(12))))
																						{	/* Module/foreign.scm 303 */
																							if (NULLP(CDR(
																										((obj_t)
																											BgL_tzd2expzd2_36))))
																								{	/* Module/foreign.scm 303 */
																									return BgL_tzd2expzd2_36;
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							return BFALSE;
																						}
																				}
																		}
																}
															else
																{	/* Module/foreign.scm 303 */
																	if (
																		(BgL_carzd22351zd2_1912 ==
																			((obj_t) CNST_TABLE_REF(18))))
																		{	/* Module/foreign.scm 303 */
																			goto BgL_kapzd22353zd2_1914;
																		}
																	else
																		{	/* Module/foreign.scm 303 */
																			if (
																				(CAR(
																						((obj_t) BgL_tzd2expzd2_36)) ==
																					((obj_t) CNST_TABLE_REF(16))))
																				{	/* Module/foreign.scm 303 */
																					if (PAIRP(BgL_cdrzd22352zd2_1913))
																						{	/* Module/foreign.scm 303 */
																							bool_t BgL_test2608z00_4450;

																							{	/* Module/foreign.scm 303 */
																								obj_t BgL_tmpz00_4451;

																								BgL_tmpz00_4451 =
																									CAR(BgL_cdrzd22352zd2_1913);
																								BgL_test2608z00_4450 =
																									SYMBOLP(BgL_tmpz00_4451);
																							}
																							if (BgL_test2608z00_4450)
																								{	/* Module/foreign.scm 303 */
																									if (NULLP(CDR
																											(BgL_cdrzd22352zd2_1913)))
																										{	/* Module/foreign.scm 303 */
																											return BgL_tzd2expzd2_36;
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							return BFALSE;
																						}
																				}
																			else
																				{	/* Module/foreign.scm 303 */
																					obj_t BgL_cdrzd22467zd2_1925;

																					BgL_cdrzd22467zd2_1925 =
																						CDR(((obj_t) BgL_tzd2expzd2_36));
																					if (
																						(CAR(
																								((obj_t) BgL_tzd2expzd2_36)) ==
																							((obj_t) CNST_TABLE_REF(14))))
																						{	/* Module/foreign.scm 303 */
																							if (PAIRP(BgL_cdrzd22467zd2_1925))
																								{	/* Module/foreign.scm 303 */
																									obj_t BgL_cdrzd22470zd2_1929;

																									BgL_cdrzd22470zd2_1929 =
																										CDR(BgL_cdrzd22467zd2_1925);
																									{	/* Module/foreign.scm 303 */
																										bool_t BgL_test2612z00_4468;

																										{	/* Module/foreign.scm 303 */
																											obj_t BgL_tmpz00_4469;

																											BgL_tmpz00_4469 =
																												CAR
																												(BgL_cdrzd22467zd2_1925);
																											BgL_test2612z00_4468 =
																												SYMBOLP
																												(BgL_tmpz00_4469);
																										}
																										if (BgL_test2612z00_4468)
																											{	/* Module/foreign.scm 303 */
																												if (PAIRP
																													(BgL_cdrzd22470zd2_1929))
																													{	/* Module/foreign.scm 303 */
																														obj_t
																															BgL_carzd22472zd2_1933;
																														BgL_carzd22472zd2_1933
																															=
																															CAR
																															(BgL_cdrzd22470zd2_1929);
																														{

																															if (NULLP
																																(BgL_carzd22472zd2_1933))
																																{	/* Module/foreign.scm 303 */
																																BgL_kapzd22476zd2_1934:
																																	if (NULLP(CDR(
																																				((obj_t)
																																					BgL_cdrzd22470zd2_1929))))
																																		{	/* Module/foreign.scm 303 */
																																			if (BGl_checkzd2czd2argszf3zf3zzmodule_foreignz00(BgL_carzd22472zd2_1933))
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BgL_tzd2expzd2_36;
																																				}
																																			else
																																				{	/* Module/foreign.scm 330 */
																																					return
																																						BFALSE;
																																				}
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																															else
																																{	/* Module/foreign.scm 303 */
																																	if (PAIRP
																																		(BgL_carzd22472zd2_1933))
																																		{	/* Module/foreign.scm 303 */
																																			goto
																																				BgL_kapzd22476zd2_1934;
																																		}
																																	else
																																		{	/* Module/foreign.scm 303 */
																																			return
																																				BFALSE;
																																		}
																																}
																														}
																													}
																												else
																													{	/* Module/foreign.scm 303 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Module/foreign.scm 303 */
																												return BFALSE;
																											}
																									}
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									return BFALSE;
																								}
																						}
																					else
																						{	/* Module/foreign.scm 303 */
																							if (
																								(CAR(
																										((obj_t) BgL_tzd2expzd2_36))
																									==
																									((obj_t) CNST_TABLE_REF(15))))
																								{
																									obj_t BgL_slotsz00_4491;

																									BgL_slotsz00_4491 =
																										BgL_cdrzd22467zd2_1925;
																									BgL_slotsz00_1885 =
																										BgL_slotsz00_4491;
																									goto BgL_tagzd22284zd2_1886;
																								}
																							else
																								{	/* Module/foreign.scm 303 */
																									if (
																										(CAR(
																												((obj_t)
																													BgL_tzd2expzd2_36)) ==
																											((obj_t)
																												CNST_TABLE_REF(12))))
																										{	/* Module/foreign.scm 303 */
																											if (NULLP
																												(BgL_cdrzd22467zd2_1925))
																												{	/* Module/foreign.scm 303 */
																													return
																														BgL_tzd2expzd2_36;
																												}
																											else
																												{	/* Module/foreign.scm 303 */
																													return BFALSE;
																												}
																										}
																									else
																										{	/* Module/foreign.scm 303 */
																											return BFALSE;
																										}
																								}
																						}
																				}
																		}
																}
														}
													}
											}
									}
							}
						else
							{	/* Module/foreign.scm 303 */
								return BFALSE;
							}
					}
			}
		}

	}



/* foreign-accesses-add! */
	BGL_EXPORTED_DEF obj_t
		BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t
		BgL_accessesz00_37)
	{
		{	/* Module/foreign.scm 360 */
			return (BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 =
				BGl_appendzd221011zd2zzmodule_foreignz00(BgL_accessesz00_37,
					BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00), BUNSPEC);
		}

	}



/* &foreign-accesses-add! */
	obj_t BGl_z62foreignzd2accesseszd2addz12z70zzmodule_foreignz00(obj_t
		BgL_envz00_2914, obj_t BgL_accessesz00_2915)
	{
		{	/* Module/foreign.scm 360 */
			return
				BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00
				(BgL_accessesz00_2915);
		}

	}



/* &foreign-finalizer */
	obj_t BGl_z62foreignzd2finaliza7erz17zzmodule_foreignz00(obj_t
		BgL_envz00_2903)
	{
		{	/* Module/foreign.scm 366 */
			{
				obj_t BgL_l1144z00_2934;

				BgL_l1144z00_2934 = BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00;
			BgL_zc3z04anonymousza32219ze3z87_2933:
				if (PAIRP(BgL_l1144z00_2934))
					{	/* Module/foreign.scm 368 */
						{	/* Module/foreign.scm 369 */
							obj_t BgL_foreignz00_2935;

							BgL_foreignz00_2935 = CAR(BgL_l1144z00_2934);
							{	/* Module/foreign.scm 369 */
								obj_t BgL_foz00_2936;

								BgL_foz00_2936 = CAR(((obj_t) BgL_foreignz00_2935));
								{	/* Module/foreign.scm 369 */
									obj_t BgL_exz00_2937;

									BgL_exz00_2937 = CDR(((obj_t) BgL_foreignz00_2935));
									{	/* Module/foreign.scm 370 */
										obj_t BgL_globalz00_2938;

										{	/* Module/foreign.scm 371 */
											obj_t BgL_arg2230z00_2939;

											{	/* Module/foreign.scm 371 */
												obj_t BgL_pairz00_2940;

												BgL_pairz00_2940 = CDR(((obj_t) BgL_foz00_2936));
												BgL_arg2230z00_2939 = CAR(BgL_pairz00_2940);
											}
											BgL_globalz00_2938 =
												BGl_findzd2globalzd2zzast_envz00(BgL_arg2230z00_2939,
												BNIL);
										}
										{	/* Module/foreign.scm 371 */
											obj_t BgL_namez00_2941;

											{	/* Module/foreign.scm 372 */
												obj_t BgL_pairz00_2942;

												{	/* Module/foreign.scm 372 */
													obj_t BgL_pairz00_2943;

													BgL_pairz00_2943 = CDR(((obj_t) BgL_foz00_2936));
													BgL_pairz00_2942 = CDR(BgL_pairz00_2943);
												}
												BgL_namez00_2941 = CAR(BgL_pairz00_2942);
											}
											{	/* Module/foreign.scm 372 */

												{	/* Module/foreign.scm 374 */
													bool_t BgL_test2622z00_4517;

													{	/* Module/foreign.scm 374 */
														obj_t BgL_classz00_2944;

														BgL_classz00_2944 = BGl_globalz00zzast_varz00;
														if (BGL_OBJECTP(BgL_globalz00_2938))
															{	/* Module/foreign.scm 374 */
																BgL_objectz00_bglt BgL_arg1858z00_2945;

																BgL_arg1858z00_2945 =
																	(BgL_objectz00_bglt) (BgL_globalz00_2938);
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Module/foreign.scm 374 */
																		long BgL_idxz00_2946;

																		BgL_idxz00_2946 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1858z00_2945);
																		BgL_test2622z00_4517 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2946 + 2L)) ==
																			BgL_classz00_2944);
																	}
																else
																	{	/* Module/foreign.scm 374 */
																		bool_t BgL_res2275z00_2949;

																		{	/* Module/foreign.scm 374 */
																			obj_t BgL_oclassz00_2950;

																			{	/* Module/foreign.scm 374 */
																				obj_t BgL_arg1866z00_2951;
																				long BgL_arg1867z00_2952;

																				BgL_arg1866z00_2951 =
																					(BGl_za2classesza2z00zz__objectz00);
																				{	/* Module/foreign.scm 374 */
																					long BgL_arg1869z00_2953;

																					BgL_arg1869z00_2953 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1858z00_2945);
																					BgL_arg1867z00_2952 =
																						(BgL_arg1869z00_2953 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2950 =
																					VECTOR_REF(BgL_arg1866z00_2951,
																					BgL_arg1867z00_2952);
																			}
																			{	/* Module/foreign.scm 374 */
																				bool_t BgL__ortest_1115z00_2954;

																				BgL__ortest_1115z00_2954 =
																					(BgL_classz00_2944 ==
																					BgL_oclassz00_2950);
																				if (BgL__ortest_1115z00_2954)
																					{	/* Module/foreign.scm 374 */
																						BgL_res2275z00_2949 =
																							BgL__ortest_1115z00_2954;
																					}
																				else
																					{	/* Module/foreign.scm 374 */
																						long BgL_odepthz00_2955;

																						{	/* Module/foreign.scm 374 */
																							obj_t BgL_arg1855z00_2956;

																							BgL_arg1855z00_2956 =
																								(BgL_oclassz00_2950);
																							BgL_odepthz00_2955 =
																								BGL_CLASS_DEPTH
																								(BgL_arg1855z00_2956);
																						}
																						if ((2L < BgL_odepthz00_2955))
																							{	/* Module/foreign.scm 374 */
																								obj_t BgL_arg1853z00_2957;

																								{	/* Module/foreign.scm 374 */
																									obj_t BgL_arg1854z00_2958;

																									BgL_arg1854z00_2958 =
																										(BgL_oclassz00_2950);
																									BgL_arg1853z00_2957 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_arg1854z00_2958, 2L);
																								}
																								BgL_res2275z00_2949 =
																									(BgL_arg1853z00_2957 ==
																									BgL_classz00_2944);
																							}
																						else
																							{	/* Module/foreign.scm 374 */
																								BgL_res2275z00_2949 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2622z00_4517 = BgL_res2275z00_2949;
																	}
															}
														else
															{	/* Module/foreign.scm 374 */
																BgL_test2622z00_4517 = ((bool_t) 0);
															}
													}
													if (BgL_test2622z00_4517)
														{	/* Module/foreign.scm 383 */
															bool_t BgL_test2627z00_4540;

															{	/* Module/foreign.scm 383 */
																obj_t BgL_tmpz00_4541;

																BgL_tmpz00_4541 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_globalz00_2938))))->BgL_namez00);
																BgL_test2627z00_4540 = STRINGP(BgL_tmpz00_4541);
															}
															if (BgL_test2627z00_4540)
																{	/* Module/foreign.scm 383 */
																	BGl_userzd2warningzd2zztools_errorz00
																		(BGl_string2296z00zzmodule_foreignz00,
																		BGl_string2297z00zzmodule_foreignz00,
																		BgL_foreignz00_2935);
																}
															else
																{	/* Module/foreign.scm 383 */
																	((((BgL_variablez00_bglt) COBJECT(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_globalz00_2938))))->
																			BgL_namez00) =
																		((obj_t) BgL_namez00_2941), BUNSPEC);
																}
														}
													else
														{	/* Module/foreign.scm 374 */
															if (CBOOL(BgL_exz00_2937))
																{	/* Module/foreign.scm 376 */
																	bool_t BgL_test2629z00_4552;

																	if (
																		(BGl_za2passza2z00zzengine_paramz00 ==
																			((obj_t) CNST_TABLE_REF(19))))
																		{	/* Module/foreign.scm 376 */
																			BgL_test2629z00_4552 = ((bool_t) 1);
																		}
																	else
																		{	/* Module/foreign.scm 376 */
																			BgL_test2629z00_4552 =
																				(BGl_za2passza2z00zzengine_paramz00 ==
																				((obj_t) CNST_TABLE_REF(20)));
																		}
																	if (BgL_test2629z00_4552)
																		{	/* Module/foreign.scm 376 */
																			BFALSE;
																		}
																	else
																		{	/* Module/foreign.scm 380 */
																			obj_t BgL_arg2226z00_2959;

																			{	/* Module/foreign.scm 380 */
																				obj_t BgL_arg2228z00_2960;

																				{	/* Module/foreign.scm 380 */
																					obj_t BgL_pairz00_2961;

																					BgL_pairz00_2961 =
																						CDR(((obj_t) BgL_foz00_2936));
																					BgL_arg2228z00_2960 =
																						CAR(BgL_pairz00_2961);
																				}
																				{	/* Module/foreign.scm 379 */
																					obj_t BgL_list2229z00_2962;

																					BgL_list2229z00_2962 =
																						MAKE_YOUNG_PAIR(BgL_arg2228z00_2960,
																						BNIL);
																					BgL_arg2226z00_2959 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2298z00zzmodule_foreignz00,
																						BgL_list2229z00_2962);
																				}
																			}
																			{	/* Module/foreign.scm 378 */
																				obj_t BgL_list2227z00_2963;

																				BgL_list2227z00_2963 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				BGl_userzd2errorzd2zztools_errorz00
																					(BGl_string2296z00zzmodule_foreignz00,
																					BgL_arg2226z00_2959,
																					BgL_foreignz00_2935,
																					BgL_list2227z00_2963);
																			}
																		}
																}
															else
																{	/* Module/foreign.scm 375 */
																	BFALSE;
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1144z00_4567;

							BgL_l1144z00_4567 = CDR(BgL_l1144z00_2934);
							BgL_l1144z00_2934 = BgL_l1144z00_4567;
							goto BgL_zc3z04anonymousza32219ze3z87_2933;
						}
					}
				else
					{	/* Module/foreign.scm 368 */
						((bool_t) 1);
					}
			}
			BGl_za2foreignzd2exportedza2zd2zzmodule_foreignz00 = BNIL;
			if (NULLP(BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00))
				{	/* Module/foreign.scm 393 */
					return ((obj_t) CNST_TABLE_REF(2));
				}
			else
				{	/* Module/foreign.scm 395 */
					obj_t BgL_accessesz00_2964;

					BgL_accessesz00_2964 =
						bgl_reverse_bang
						(BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00);
					BGl_za2foreignzd2accessesza2zd2zzmodule_foreignz00 = BNIL;
					{	/* Module/foreign.scm 397 */
						obj_t BgL_arg2235z00_2965;

						{	/* Module/foreign.scm 397 */
							obj_t BgL_idz00_2966;

							BgL_idz00_2966 = ((obj_t) CNST_TABLE_REF(0));
							{	/* Module/foreign.scm 397 */
								obj_t BgL_newz00_2967;

								BgL_newz00_2967 =
									create_struct(((obj_t) CNST_TABLE_REF(21)), (int) (5L));
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4580;

									BgL_tmpz00_4580 = (int) (4L);
									STRUCT_SET(BgL_newz00_2967, BgL_tmpz00_4580, BFALSE);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4583;

									BgL_tmpz00_4583 = (int) (3L);
									STRUCT_SET(BgL_newz00_2967, BgL_tmpz00_4583, BTRUE);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4586;

									BgL_tmpz00_4586 = (int) (2L);
									STRUCT_SET(BgL_newz00_2967, BgL_tmpz00_4586,
										BgL_accessesz00_2964);
								}
								{	/* Module/foreign.scm 397 */
									obj_t BgL_auxz00_4591;
									int BgL_tmpz00_4589;

									BgL_auxz00_4591 = BINT(48L);
									BgL_tmpz00_4589 = (int) (1L);
									STRUCT_SET(BgL_newz00_2967, BgL_tmpz00_4589, BgL_auxz00_4591);
								}
								{	/* Module/foreign.scm 397 */
									int BgL_tmpz00_4594;

									BgL_tmpz00_4594 = (int) (0L);
									STRUCT_SET(BgL_newz00_2967, BgL_tmpz00_4594, BgL_idz00_2966);
								}
								BgL_arg2235z00_2965 = BgL_newz00_2967;
						}}
						{	/* Module/foreign.scm 397 */
							obj_t BgL_list2236z00_2968;

							BgL_list2236z00_2968 = MAKE_YOUNG_PAIR(BgL_arg2235z00_2965, BNIL);
							return BgL_list2236z00_2968;
						}
					}
				}
		}

	}



/* default-c-type */
	obj_t BGl_defaultzd2czd2typez00zzmodule_foreignz00(obj_t BgL_typez00_38,
		obj_t BgL_srcz00_39)
	{
		{	/* Module/foreign.scm 402 */
			{	/* Module/foreign.scm 403 */
				bool_t BgL_test2632z00_4598;

				{	/* Module/foreign.scm 403 */
					obj_t BgL_arg2241z00_2105;

					BgL_arg2241z00_2105 =
						((obj_t) BGl_getzd2defaultzd2typez00zztype_cachez00());
					BgL_test2632z00_4598 = (BgL_typez00_38 == BgL_arg2241z00_2105);
				}
				if (BgL_test2632z00_4598)
					{	/* Module/foreign.scm 404 */
						BgL_typez00_bglt BgL_defaultz00_2102;

						BgL_defaultz00_2102 =
							BGl_getzd2defaultzd2czd2typezd2zztype_cachez00();
						BGl_userzd2warningzf2locationz20zztools_errorz00
							(BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_39),
							BGl_string2296z00zzmodule_foreignz00,
							BGl_string2299z00zzmodule_foreignz00,
							(((BgL_typez00_bglt) COBJECT(BgL_defaultz00_2102))->BgL_idz00));
						return ((obj_t) BgL_defaultz00_2102);
					}
				else
					{	/* Module/foreign.scm 403 */
						return BgL_typez00_38;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_foreignz00(void)
	{
		{	/* Module/foreign.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(457474182L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(453414928L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(396356879L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(471073666L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2300z00zzmodule_foreignz00));
		}

	}

#ifdef __cplusplus
}
#endif
