/*===========================================================================*/
/*   (Module/impuse.scm)                                                     */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Module/impuse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_MODULE_IMPUSE_TYPE_DEFINITIONS
#define BGL_MODULE_IMPUSE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		bool_t BgL_strictzd2typezd2castz00;
		bool_t BgL_forcezd2registerzd2gczd2rootszd2;
		bool_t BgL_stringzd2literalzd2supportz00;
		bool_t BgL_boxedzd2fixnumszd2;
		bool_t BgL_typedzd2closureszd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_importz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_modulez00;
		long BgL_numberz00;
		obj_t BgL_modez00;
		obj_t BgL_varsz00;
		obj_t BgL_aliasesz00;
		obj_t BgL_checksumz00;
		obj_t BgL_locz00;
		obj_t BgL_srcz00;
		obj_t BgL_declz00;
		obj_t BgL_providez00;
		obj_t BgL_codez00;
		obj_t BgL_accessz00;
	}                *BgL_importz00_bglt;


#endif													// BGL_MODULE_IMPUSE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_readzd2importz12zc0zzmodule_impusez00(obj_t);
	static obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_impusez00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32004ze3ze5zzmodule_impusez00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	extern obj_t BGl_fastzd2idzd2ofzd2idzd2zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00(void);
	static obj_t BGl_toplevelzd2initzd2zzmodule_impusez00(void);
	static obj_t BGl_z62makezd2importzd2compilerz62zzmodule_impusez00(obj_t);
	extern obj_t BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00(void);
	extern obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00(void);
	BGL_IMPORT obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00(obj_t, obj_t);
	extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static BgL_importz00_bglt BGl_z62lambda1985z62zzmodule_impusez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_impusez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_importz00_bglt BGl_z62lambda1987z62zzmodule_impusez00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00(void);
	extern long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t, obj_t);
	static obj_t BGl_z62impusezd2producerzb0zzmodule_impusez00(obj_t, obj_t);
	extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2importzd2compilerz00zzmodule_impusez00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_impusez00(void);
	static obj_t BGl_z62lambda1995z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1996z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(void);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32026ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00(obj_t);
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	static obj_t BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
		BUNSPEC;
	static obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62importzd2parserzb0zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00(obj_t);
	static obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00(void);
	static obj_t BGl_za2importsza2z00zzmodule_impusez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2importedzd2modulesz00zzmodule_impusez00(void);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_impusez00(void);
	static obj_t BGl_z62zc3z04anonymousza32061ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzmodule_impusez00(obj_t);
	extern obj_t BGl_inlinezd2finaliza7erz75zzread_inlinez00(void);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31407ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2003z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31254ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2009z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzmodule_impusez00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2010z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2016z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2017z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_initializa7ezd2moduleze70z92zzmodule_impusez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31531ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2025z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31264ze3ze5zzmodule_impusez00(obj_t);
	extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
	static obj_t BGl_z62lambda2032z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2033z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31257ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	static obj_t BGl_z62lambda2039z62zzmodule_impusez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern obj_t BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62lambda2040z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t);
	static obj_t
		BGl_registerzd2importz12zc0zzmodule_impusez00(BgL_importz00_bglt);
	BGL_IMPORT obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00(void);
	static obj_t BGl_importzd2modulez12zc0zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2044z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2045z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32076ze3ze5zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static long BGl_za2importzd2numberza2zd2zzmodule_impusez00 = 0L;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62lambda2051z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2052z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31259ze3ze5zzmodule_impusez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2059z62zzmodule_impusez00(obj_t, obj_t);
	extern obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(void);
	extern obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	static obj_t BGl_z62lambda2060z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2067z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2068z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzmodule_impusez00(obj_t);
	static obj_t BGl_z62lambda2074z62zzmodule_impusez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2075z62zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_impusez00(void);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00(void);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	static obj_t BGl_z62makezd2usezd2compilerz62zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00(void);
	static obj_t BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00(obj_t);
	extern obj_t BGl_consumezd2modulez12zc0zzmodule_modulez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzmodule_impusez00(void);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2unitz00zzmodule_impusez00(obj_t);
	extern obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	static obj_t BGl_importz00zzmodule_impusez00 = BUNSPEC;
	static obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00(void);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_aliaszf3ze70z14zzmodule_impusez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t);
	extern obj_t BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00;
	extern obj_t BGl_za2accesszd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00(void);
	static obj_t BGl_z62impusezd2finaliza7erz17zzmodule_impusez00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2171za7,
		BGl_z62zc3z04anonymousza31255ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2172za7,
		BGl_z62zc3z04anonymousza31257ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2173za7,
		BGl_z62zc3z04anonymousza31259ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2115z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2174za7,
		BGl_z62zc3z04anonymousza31264ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2122z00zzmodule_impusez00,
		BgL_bgl_string2122za700za7za7m2175za7,
		"bgl_init_module_debug_import(\"~a\", \"~a\")", 40);
	      DEFINE_STRING(BGl_string2123z00zzmodule_impusez00,
		BgL_bgl_string2123za700za7za7m2176za7, "Illegal prototype", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2importedzd2moduleszd2envz75zzmodule_impusez00,
		BgL_bgl_za762initializa7a7eza72177za7,
		BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2124z00zzmodule_impusez00,
		BgL_bgl_string2124za700za7za7m2178za7, "Cannot find module", 18);
	      DEFINE_STRING(BGl_string2125z00zzmodule_impusez00,
		BgL_bgl_string2125za700za7za7m2179za7,
		"Cannot open source file for module \"~a\"", 39);
	      DEFINE_STRING(BGl_string2126z00zzmodule_impusez00,
		BgL_bgl_string2126za700za7za7m2180za7, "used", 4);
	      DEFINE_STRING(BGl_string2127z00zzmodule_impusez00,
		BgL_bgl_string2127za700za7za7m2181za7, "imported", 8);
	      DEFINE_STRING(BGl_string2128z00zzmodule_impusez00,
		BgL_bgl_string2128za700za7za7m2182za7, "]", 1);
	      DEFINE_STRING(BGl_string2129z00zzmodule_impusez00,
		BgL_bgl_string2129za700za7za7m2183za7, " module ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2184za7,
		BGl_z62zc3z04anonymousza31407ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2121z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2185za7,
		BGl_z62zc3z04anonymousza31531ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2130z00zzmodule_impusez00,
		BgL_bgl_string2130za700za7za7m2186za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string2131z00zzmodule_impusez00,
		BgL_bgl_string2131za700za7za7m2187za7,
		"Can't find export for these identifiers", 39);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2132z00zzmodule_impusez00,
		BgL_bgl_za762lambda1996za7622188z00, BGl_z62lambda1996z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzmodule_impusez00,
		BgL_bgl_za762lambda1995za7622189z00, BGl_z62lambda1995z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2134z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2190za7,
		BGl_z62zc3z04anonymousza32004ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzmodule_impusez00,
		BgL_bgl_za762lambda2003za7622191z00, BGl_z62lambda2003z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzmodule_impusez00,
		BgL_bgl_za762lambda2002za7622192z00, BGl_z62lambda2002z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2193za7,
		BGl_z62zc3z04anonymousza32011ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzmodule_impusez00,
		BgL_bgl_za762lambda2010za7622194z00, BGl_z62lambda2010z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzmodule_impusez00,
		BgL_bgl_za762lambda2009za7622195z00, BGl_z62lambda2009z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2196za7,
		BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzmodule_impusez00,
		BgL_bgl_za762lambda2017za7622197z00, BGl_z62lambda2017z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzmodule_impusez00,
		BgL_bgl_za762lambda2016za7622198z00, BGl_z62lambda2016z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2199za7,
		BGl_z62zc3z04anonymousza32026ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzmodule_impusez00,
		BgL_bgl_za762lambda2025za7622200z00, BGl_z62lambda2025z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzmodule_impusez00,
		BgL_bgl_za762lambda2024za7622201z00, BGl_z62lambda2024z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2202za7,
		BGl_z62zc3z04anonymousza32034ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzmodule_impusez00,
		BgL_bgl_za762lambda2033za7622203z00, BGl_z62lambda2033z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzmodule_impusez00,
		BgL_bgl_za762lambda2032za7622204z00, BGl_z62lambda2032z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzmodule_impusez00,
		BgL_bgl_za762lambda2040za7622205z00, BGl_z62lambda2040z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzmodule_impusez00,
		BgL_bgl_za762lambda2039za7622206z00, BGl_z62lambda2039z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zzmodule_impusez00,
		BgL_bgl_za762lambda2045za7622207z00, BGl_z62lambda2045z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzmodule_impusez00,
		BgL_bgl_za762lambda2044za7622208z00, BGl_z62lambda2044z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2209za7,
		BGl_z62zc3z04anonymousza32053ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zzmodule_impusez00,
		BgL_bgl_za762lambda2052za7622210z00, BGl_z62lambda2052z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzmodule_impusez00,
		BgL_bgl_za762lambda2051za7622211z00, BGl_z62lambda2051z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2212za7,
		BGl_z62zc3z04anonymousza32061ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzmodule_impusez00,
		BgL_bgl_za762lambda2060za7622213z00, BGl_z62lambda2060z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzmodule_impusez00,
		BgL_bgl_za762lambda2059za7622214z00, BGl_z62lambda2059z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2215za7,
		BGl_z62zc3z04anonymousza32069ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2168z00zzmodule_impusez00,
		BgL_bgl_string2168za700za7za7m2216za7, "module_impuse", 13);
	      DEFINE_STRING(BGl_string2169z00zzmodule_impusez00,
		BgL_bgl_string2169za700za7za7m2217za7,
		"_ module_impuse access code pair-nil provide decl src loc checksum aliases obj vars mode long number symbol expander syntax macro define-macro wide-class final-class abstract-class class svar sgfun sifun sfun unit imported-modules staged pragma::void @ checksum::long from::string begin module (import with from) error nothing with all from use void import ",
		357);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzmodule_impusez00,
		BgL_bgl_za762lambda2068za7622218z00, BGl_z62lambda2068z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzmodule_impusez00,
		BgL_bgl_za762lambda2067za7622219z00, BGl_z62lambda2067z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2220za7,
		BGl_z62zc3z04anonymousza32076ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzmodule_impusez00,
		BgL_bgl_za762lambda2075za7622221z00, BGl_z62lambda2075z62zzmodule_impusez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzmodule_impusez00,
		BgL_bgl_za762lambda2074za7622222z00, BGl_z62lambda2074z62zzmodule_impusez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2223za7,
		BGl_z62zc3z04anonymousza31989ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzmodule_impusez00,
		BgL_bgl_za762lambda1987za7622224z00, BGl_z62lambda1987z62zzmodule_impusez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzmodule_impusez00,
		BgL_bgl_za762lambda1985za7622225z00, BGl_z62lambda1985z62zzmodule_impusez00,
		0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2importedzd2moduleszd2envzd2zzmodule_impusez00,
		BgL_bgl_za762getza7d2importe2226z00,
		BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_importzd2parserzd2envz00zzmodule_impusez00,
		BgL_bgl_za762importza7d2pars2227z00, va_generic_entry,
		BGl_z62importzd2parserzb0zzmodule_impusez00, BUNSPEC, -4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2withzd2modulez12zd2envzc0zzmodule_impusez00,
		BgL_bgl_za762importza7d2with2228z00,
		BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00,
		BgL_bgl_za762impuseza7d2fina2229z00,
		BGl_z62impusezd2finaliza7erz17zzmodule_impusez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2usezd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2useza7d22230za7,
		BGl_z62makezd2usezd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	extern obj_t BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_impusezd2producerzd2envz00zzmodule_impusez00,
		BgL_bgl_za762impuseza7d2prod2231z00,
		BGl_z62impusezd2producerzb0zzmodule_impusez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2importzd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2import2232z00,
		BGl_z62makezd2importzd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2fromzd2compilerzd2envzd2zzmodule_impusez00,
		BgL_bgl_za762makeza7d2fromza7d2233za7,
		BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2116z00zzmodule_impusez00,
		BgL_bgl_string2116za700za7za7m2234za7, "module ~a", 9);
	      DEFINE_STRING(BGl_string2117z00zzmodule_impusez00,
		BgL_bgl_string2117za700za7za7m2235za7, "Illegal \"~a\" clause", 19);
	      DEFINE_STRING(BGl_string2118z00zzmodule_impusez00,
		BgL_bgl_string2118za700za7za7m2236za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2119z00zzmodule_impusez00,
		BgL_bgl_string2119za700za7za7m2237za7, ".", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzmodule_impusez00,
		BgL_bgl_za762za7c3za704anonymo2238za7,
		BGl_z62zc3z04anonymousza31254ze3ze5zzmodule_impusez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzmodule_impusez00));
		     ADD_ROOT((void
				*) (&BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00));
		     ADD_ROOT((void *) (&BGl_za2importsza2z00zzmodule_impusez00));
		     ADD_ROOT((void *) (&BGl_importz00zzmodule_impusez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long
		BgL_checksumz00_2580, char *BgL_fromz00_2581)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_impusez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_impusez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzmodule_impusez00();
					BGl_libraryzd2moduleszd2initz00zzmodule_impusez00();
					BGl_cnstzd2initzd2zzmodule_impusez00();
					BGl_importedzd2moduleszd2initz00zzmodule_impusez00();
					BGl_objectzd2initzd2zzmodule_impusez00();
					return BGl_toplevelzd2initzd2zzmodule_impusez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__evalz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__hashz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__modulez00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"module_impuse");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "module_impuse");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "module_impuse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			{	/* Module/impuse.scm 15 */
				obj_t BgL_cportz00_2525;

				{	/* Module/impuse.scm 15 */
					obj_t BgL_stringz00_2532;

					BgL_stringz00_2532 = BGl_string2169z00zzmodule_impusez00;
					{	/* Module/impuse.scm 15 */
						obj_t BgL_startz00_2533;

						BgL_startz00_2533 = BINT(0L);
						{	/* Module/impuse.scm 15 */
							obj_t BgL_endz00_2534;

							BgL_endz00_2534 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2532)));
							{	/* Module/impuse.scm 15 */

								BgL_cportz00_2525 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2532, BgL_startz00_2533, BgL_endz00_2534);
				}}}}
				{
					long BgL_iz00_2526;

					BgL_iz00_2526 = 46L;
				BgL_loopz00_2527:
					if ((BgL_iz00_2526 == (-1L)))
						{	/* Module/impuse.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/impuse.scm 15 */
							{	/* Module/impuse.scm 15 */
								obj_t BgL_arg2170z00_2528;

								{	/* Module/impuse.scm 15 */

									{	/* Module/impuse.scm 15 */
										obj_t BgL_locationz00_2530;

										BgL_locationz00_2530 = BBOOL(((bool_t) 0));
										{	/* Module/impuse.scm 15 */

											BgL_arg2170z00_2528 =
												BGl_readz00zz__readerz00(BgL_cportz00_2525,
												BgL_locationz00_2530);
										}
									}
								}
								{	/* Module/impuse.scm 15 */
									int BgL_tmpz00_2618;

									BgL_tmpz00_2618 = (int) (BgL_iz00_2526);
									CNST_TABLE_SET(BgL_tmpz00_2618, BgL_arg2170z00_2528);
							}}
							{	/* Module/impuse.scm 15 */
								int BgL_auxz00_2531;

								BgL_auxz00_2531 = (int) ((BgL_iz00_2526 - 1L));
								{
									long BgL_iz00_2623;

									BgL_iz00_2623 = (long) (BgL_auxz00_2531);
									BgL_iz00_2526 = BgL_iz00_2623;
									goto BgL_loopz00_2527;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			BGl_za2importsza2z00zzmodule_impusez00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL);
			BGl_za2importzd2numberza2zd2zzmodule_impusez00 = 0L;
			return (BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
				BNIL, BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_impusez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_871;

					BgL_headz00_871 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_872;
						obj_t BgL_tailz00_873;

						BgL_prevz00_872 = BgL_headz00_871;
						BgL_tailz00_873 = BgL_l1z00_1;
					BgL_loopz00_874:
						if (PAIRP(BgL_tailz00_873))
							{
								obj_t BgL_newzd2prevzd2_876;

								BgL_newzd2prevzd2_876 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_873), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_872, BgL_newzd2prevzd2_876);
								{
									obj_t BgL_tailz00_2636;
									obj_t BgL_prevz00_2635;

									BgL_prevz00_2635 = BgL_newzd2prevzd2_876;
									BgL_tailz00_2636 = CDR(BgL_tailz00_873);
									BgL_tailz00_873 = BgL_tailz00_2636;
									BgL_prevz00_872 = BgL_prevz00_2635;
									goto BgL_loopz00_874;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_871);
					}
				}
		}

	}



/* make-import-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2importzd2compilerz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 69 */
			{	/* Module/impuse.scm 70 */
				BgL_ccompz00_bglt BgL_new1093z00_896;

				{	/* Module/impuse.scm 71 */
					BgL_ccompz00_bglt BgL_new1092z00_901;

					BgL_new1092z00_901 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 71 */
						long BgL_arg1256z00_902;

						BgL_arg1256z00_902 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1092z00_901), BgL_arg1256z00_902);
					}
					BgL_new1093z00_896 = BgL_new1092z00_901;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1093z00_896))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(0))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1093z00_896))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1093z00_896))->BgL_consumerz00) =
					((obj_t) BGl_proc2111z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1093z00_896))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2112z00zzmodule_impusez00), BUNSPEC);
				return ((obj_t) BgL_new1093z00_896);
			}
		}

	}



/* &make-import-compiler */
	obj_t BGl_z62makezd2importzd2compilerz62zzmodule_impusez00(obj_t
		BgL_envz00_2357)
	{
		{	/* Module/impuse.scm 69 */
			return BGl_makezd2importzd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1255> */
	obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2358)
	{
		{	/* Module/module.scm 56 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &<@anonymous:1254> */
	obj_t BGl_z62zc3z04anonymousza31254ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2359, obj_t BgL_mz00_2360, obj_t BgL_cz00_2361)
	{
		{	/* Module/module.scm 54 */
			return BNIL;
		}

	}



/* make-use-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2usezd2compilerz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 77 */
			{	/* Module/impuse.scm 78 */
				BgL_ccompz00_bglt BgL_new1095z00_903;

				{	/* Module/impuse.scm 79 */
					BgL_ccompz00_bglt BgL_new1094z00_907;

					BgL_new1094z00_907 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 79 */
						long BgL_arg1258z00_908;

						BgL_arg1258z00_908 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1094z00_907), BgL_arg1258z00_908);
					}
					BgL_new1095z00_903 = BgL_new1094z00_907;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1095z00_903))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(2))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1095z00_903))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1095z00_903))->BgL_consumerz00) =
					((obj_t) BGl_proc2113z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1095z00_903))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_impusezd2finaliza7erzd2envza7zzmodule_impusez00),
					BUNSPEC);
				return ((obj_t) BgL_new1095z00_903);
			}
		}

	}



/* &make-use-compiler */
	obj_t BGl_z62makezd2usezd2compilerz62zzmodule_impusez00(obj_t BgL_envz00_2365)
	{
		{	/* Module/impuse.scm 77 */
			return BGl_makezd2usezd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1257> */
	obj_t BGl_z62zc3z04anonymousza31257ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2366, obj_t BgL_mz00_2367, obj_t BgL_cz00_2368)
	{
		{	/* Module/module.scm 54 */
			return BNIL;
		}

	}



/* make-from-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2fromzd2compilerz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 86 */
			{	/* Module/impuse.scm 87 */
				BgL_ccompz00_bglt BgL_new1098z00_909;

				{	/* Module/impuse.scm 88 */
					BgL_ccompz00_bglt BgL_new1096z00_917;

					BgL_new1096z00_917 =
						((BgL_ccompz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/impuse.scm 88 */
						long BgL_arg1266z00_918;

						BgL_arg1266z00_918 = BGL_CLASS_NUM(BGl_ccompz00zzmodule_modulez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1096z00_917), BgL_arg1266z00_918);
					}
					BgL_new1098z00_909 = BgL_new1096z00_917;
				}
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1098z00_909))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(3))), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1098z00_909))->BgL_producerz00) =
					((obj_t) BGl_impusezd2producerzd2envz00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1098z00_909))->BgL_consumerz00) =
					((obj_t) BGl_proc2114z00zzmodule_impusez00), BUNSPEC);
				((((BgL_ccompz00_bglt) COBJECT(BgL_new1098z00_909))->
						BgL_finaliza7erza7) =
					((obj_t) BGl_proc2115z00zzmodule_impusez00), BUNSPEC);
				return ((obj_t) BgL_new1098z00_909);
			}
		}

	}



/* &make-from-compiler */
	obj_t BGl_z62makezd2fromzd2compilerz62zzmodule_impusez00(obj_t
		BgL_envz00_2372)
	{
		{	/* Module/impuse.scm 86 */
			return BGl_makezd2fromzd2compilerz00zzmodule_impusez00();
		}

	}



/* &<@anonymous:1264> */
	obj_t BGl_z62zc3z04anonymousza31264ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2373)
	{
		{	/* Module/module.scm 56 */
			return ((obj_t) CNST_TABLE_REF(1));
		}

	}



/* &<@anonymous:1259> */
	obj_t BGl_z62zc3z04anonymousza31259ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2374, obj_t BgL_modulez00_2375, obj_t BgL_clausez00_2376)
	{
		{	/* Module/impuse.scm 90 */
			{	/* Module/impuse.scm 92 */
				obj_t BgL_arg1260z00_2536;

				{	/* Module/impuse.scm 92 */
					obj_t BgL_arg1262z00_2537;

					{	/* Module/impuse.scm 92 */
						obj_t BgL_list1263z00_2538;

						BgL_list1263z00_2538 = MAKE_YOUNG_PAIR(BgL_modulez00_2375, BNIL);
						BgL_arg1262z00_2537 =
							BGl_formatz00zz__r4_output_6_10_3z00
							(BGl_string2116z00zzmodule_impusez00, BgL_list1263z00_2538);
					}
					BgL_arg1260z00_2536 = bstring_to_symbol(BgL_arg1262z00_2537);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1260z00_2536);
			}
			BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2376);
			BGl_leavezd2functionzd2zztools_errorz00();
			return BNIL;
		}

	}



/* register-import! */
	obj_t BGl_registerzd2importz12zc0zzmodule_impusez00(BgL_importz00_bglt
		BgL_importz00_74)
	{
		{	/* Module/impuse.scm 106 */
			BGl_za2importzd2numberza2zd2zzmodule_impusez00 =
				(1L + BGl_za2importzd2numberza2zd2zzmodule_impusez00);
			((((BgL_importz00_bglt) COBJECT(BgL_importz00_74))->BgL_numberz00) =
				((long) BGl_za2importzd2numberza2zd2zzmodule_impusez00), BUNSPEC);
			{	/* Module/impuse.scm 109 */
				obj_t BgL_arg1267z00_919;

				BgL_arg1267z00_919 =
					(((BgL_importz00_bglt) COBJECT(BgL_importz00_74))->BgL_modulez00);
				return
					BGl_hashtablezd2putz12zc0zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_arg1267z00_919,
					((obj_t) BgL_importz00_74));
			}
		}

	}



/* impuse-producer */
	obj_t BGl_impusezd2producerzd2zzmodule_impusez00(obj_t BgL_clausez00_75)
	{
		{	/* Module/impuse.scm 114 */
			{	/* Module/impuse.scm 115 */
				obj_t BgL_modez00_920;

				BgL_modez00_920 = CAR(((obj_t) BgL_clausez00_75));
				{
					obj_t BgL_protosz00_921;

					if (PAIRP(BgL_clausez00_75))
						{	/* Module/impuse.scm 116 */
							obj_t BgL_arg1271z00_926;

							BgL_arg1271z00_926 = CDR(((obj_t) BgL_clausez00_75));
							{	/* Module/impuse.scm 116 */
								bool_t BgL_tmpz00_2696;

								BgL_protosz00_921 = BgL_arg1271z00_926;
								{
									obj_t BgL_l1168z00_928;

									BgL_l1168z00_928 = BgL_protosz00_921;
								BgL_zc3z04anonymousza31272ze3z87_929:
									if (PAIRP(BgL_l1168z00_928))
										{	/* Module/impuse.scm 118 */
											BGl_impusezd2parserzd2zzmodule_impusez00(CAR
												(BgL_l1168z00_928), BgL_modez00_920, BgL_clausez00_75);
											{
												obj_t BgL_l1168z00_2701;

												BgL_l1168z00_2701 = CDR(BgL_l1168z00_928);
												BgL_l1168z00_928 = BgL_l1168z00_2701;
												goto BgL_zc3z04anonymousza31272ze3z87_929;
											}
										}
									else
										{	/* Module/impuse.scm 118 */
											BgL_tmpz00_2696 = ((bool_t) 1);
										}
								}
								return BBOOL(BgL_tmpz00_2696);
							}
						}
					else
						{	/* Module/impuse.scm 116 */
							{	/* Module/impuse.scm 120 */
								obj_t BgL_arg1275z00_934;
								obj_t BgL_arg1276z00_935;

								BgL_arg1275z00_934 =
									BGl_findzd2locationzd2zztools_locationz00
									(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
								{	/* Module/impuse.scm 121 */
									obj_t BgL_list1278z00_937;

									BgL_list1278z00_937 = MAKE_YOUNG_PAIR(BgL_modez00_920, BNIL);
									BgL_arg1276z00_935 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2117z00zzmodule_impusez00, BgL_list1278z00_937);
								}
								{	/* Module/impuse.scm 120 */
									obj_t BgL_list1277z00_936;

									BgL_list1277z00_936 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1275z00_934, BGl_string2118z00zzmodule_impusez00,
										BgL_arg1276z00_935, BgL_clausez00_75, BgL_list1277z00_936);
								}
							}
						}
				}
			}
		}

	}



/* &impuse-producer */
	obj_t BGl_z62impusezd2producerzb0zzmodule_impusez00(obj_t BgL_envz00_2362,
		obj_t BgL_clausez00_2363)
	{
		{	/* Module/impuse.scm 114 */
			return BGl_impusezd2producerzd2zzmodule_impusez00(BgL_clausez00_2363);
		}

	}



/* import-all-module */
	obj_t BGl_importzd2allzd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_76,
		obj_t BgL_modez00_77, obj_t BgL_srcz00_78)
	{
		{	/* Module/impuse.scm 126 */
			{	/* Module/impuse.scm 127 */
				obj_t BgL_miz00_938;

				BgL_miz00_938 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_76);
				{	/* Module/impuse.scm 128 */
					bool_t BgL_test2245z00_2711;

					{	/* Module/impuse.scm 128 */
						obj_t BgL_classz00_1814;

						BgL_classz00_1814 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_938))
							{	/* Module/impuse.scm 128 */
								obj_t BgL_oclassz00_1816;

								{	/* Module/impuse.scm 128 */
									obj_t BgL_arg1866z00_1818;
									long BgL_arg1867z00_1819;

									BgL_arg1866z00_1818 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Module/impuse.scm 128 */
										long BgL_arg1869z00_1820;

										BgL_arg1869z00_1820 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_938));
										BgL_arg1867z00_1819 = (BgL_arg1869z00_1820 - OBJECT_TYPE);
									}
									BgL_oclassz00_1816 =
										VECTOR_REF(BgL_arg1866z00_1818, BgL_arg1867z00_1819);
								}
								BgL_test2245z00_2711 =
									(BgL_oclassz00_1816 == BgL_classz00_1814);
							}
						else
							{	/* Module/impuse.scm 128 */
								BgL_test2245z00_2711 = ((bool_t) 0);
							}
					}
					if (BgL_test2245z00_2711)
						{	/* Module/impuse.scm 129 */
							obj_t BgL_vz00_1827;

							BgL_vz00_1827 = ((obj_t) CNST_TABLE_REF(4));
							return
								((((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_miz00_938)))->BgL_varsz00) =
								((obj_t) BgL_vz00_1827), BUNSPEC);
						}
					else
						{	/* Module/impuse.scm 130 */
							obj_t BgL_locz00_940;

							BgL_locz00_940 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_78,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 132 */
								BgL_importz00_bglt BgL_arg1280z00_941;

								{	/* Module/impuse.scm 132 */
									BgL_importz00_bglt BgL_new1100z00_942;

									{	/* Module/impuse.scm 133 */
										BgL_importz00_bglt BgL_new1099z00_943;

										BgL_new1099z00_943 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 133 */
											long BgL_arg1281z00_944;

											BgL_arg1281z00_944 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1099z00_943),
												BgL_arg1281z00_944);
										}
										BgL_new1100z00_942 = BgL_new1099z00_943;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_76), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_numberz00) = ((long) (-1L)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_modez00) = ((obj_t) BgL_modez00_77), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_varsz00) =
										((obj_t) ((obj_t) CNST_TABLE_REF(4))), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_checksumz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_locz00) = ((obj_t) BgL_locz00_940), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_78), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1100z00_942))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1280z00_941 = BgL_new1100z00_942;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1280z00_941);
							}
						}
				}
			}
		}

	}



/* import-1-module */
	obj_t BGl_importzd21zd2modulez00zzmodule_impusez00(obj_t BgL_modulez00_79,
		obj_t BgL_varz00_80, obj_t BgL_aliasz00_81, obj_t BgL_modez00_82,
		obj_t BgL_srcz00_83)
	{
		{	/* Module/impuse.scm 147 */
			{	/* Module/impuse.scm 148 */
				obj_t BgL_miz00_946;

				BgL_miz00_946 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_79);
				{	/* Module/impuse.scm 149 */
					bool_t BgL_test2247z00_2746;

					{	/* Module/impuse.scm 149 */
						obj_t BgL_classz00_1831;

						BgL_classz00_1831 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_946))
							{	/* Module/impuse.scm 149 */
								obj_t BgL_oclassz00_1833;

								{	/* Module/impuse.scm 149 */
									obj_t BgL_arg1866z00_1835;
									long BgL_arg1867z00_1836;

									BgL_arg1866z00_1835 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Module/impuse.scm 149 */
										long BgL_arg1869z00_1837;

										BgL_arg1869z00_1837 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_946));
										BgL_arg1867z00_1836 = (BgL_arg1869z00_1837 - OBJECT_TYPE);
									}
									BgL_oclassz00_1833 =
										VECTOR_REF(BgL_arg1866z00_1835, BgL_arg1867z00_1836);
								}
								BgL_test2247z00_2746 =
									(BgL_oclassz00_1833 == BgL_classz00_1831);
							}
						else
							{	/* Module/impuse.scm 149 */
								BgL_test2247z00_2746 = ((bool_t) 0);
							}
					}
					if (BgL_test2247z00_2746)
						{	/* Module/impuse.scm 149 */
							if (CBOOL(BgL_aliasz00_81))
								{	/* Module/impuse.scm 154 */
									obj_t BgL_arg1284z00_948;

									{	/* Module/impuse.scm 154 */
										obj_t BgL_arg1285z00_949;
										obj_t BgL_arg1287z00_950;

										BgL_arg1285z00_949 =
											MAKE_YOUNG_PAIR(BgL_varz00_80, BgL_aliasz00_81);
										BgL_arg1287z00_950 =
											(((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_miz00_946)))->
											BgL_aliasesz00);
										BgL_arg1284z00_948 =
											MAKE_YOUNG_PAIR(BgL_arg1285z00_949, BgL_arg1287z00_950);
									}
									return
										((((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_miz00_946)))->
											BgL_aliasesz00) = ((obj_t) BgL_arg1284z00_948), BUNSPEC);
								}
							else
								{	/* Module/impuse.scm 155 */
									obj_t BgL_casezd2valuezd2_951;

									BgL_casezd2valuezd2_951 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_miz00_946)))->BgL_varsz00);
									if ((BgL_casezd2valuezd2_951 == ((obj_t) CNST_TABLE_REF(5))))
										{	/* Module/impuse.scm 155 */
											((((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_miz00_946)))->
													BgL_modez00) =
												((obj_t) ((obj_t) BgL_modez00_82)), BUNSPEC);
											{	/* Module/impuse.scm 158 */
												obj_t BgL_arg1289z00_953;

												{	/* Module/impuse.scm 158 */
													obj_t BgL_arg1291z00_954;

													BgL_arg1291z00_954 =
														MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
													{	/* Module/impuse.scm 158 */
														obj_t BgL_list1292z00_955;

														BgL_list1292z00_955 =
															MAKE_YOUNG_PAIR(BgL_arg1291z00_954, BNIL);
														BgL_arg1289z00_953 = BgL_list1292z00_955;
													}
												}
												return
													((((BgL_importz00_bglt) COBJECT(
																((BgL_importz00_bglt) BgL_miz00_946)))->
														BgL_varsz00) =
													((obj_t) BgL_arg1289z00_953), BUNSPEC);
											}
										}
									else
										{	/* Module/impuse.scm 155 */
											if (
												(BgL_casezd2valuezd2_951 ==
													((obj_t) CNST_TABLE_REF(4))))
												{	/* Module/impuse.scm 155 */
													return ((obj_t) CNST_TABLE_REF(6));
												}
											else
												{	/* Module/impuse.scm 163 */
													obj_t BgL_arg1294z00_957;

													{	/* Module/impuse.scm 163 */
														obj_t BgL_arg1295z00_958;
														obj_t BgL_arg1296z00_959;

														BgL_arg1295z00_958 =
															MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
														BgL_arg1296z00_959 =
															(((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_miz00_946)))->
															BgL_varsz00);
														BgL_arg1294z00_957 =
															MAKE_YOUNG_PAIR(BgL_arg1295z00_958,
															BgL_arg1296z00_959);
													}
													return
														((((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_miz00_946)))->
															BgL_varsz00) =
														((obj_t) BgL_arg1294z00_957), BUNSPEC);
												}
										}
								}
						}
					else
						{	/* Module/impuse.scm 165 */
							obj_t BgL_locz00_960;

							BgL_locz00_960 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_83,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 167 */
								BgL_importz00_bglt BgL_arg1297z00_961;

								{	/* Module/impuse.scm 167 */
									BgL_importz00_bglt BgL_new1102z00_962;

									{	/* Module/impuse.scm 168 */
										BgL_importz00_bglt BgL_new1101z00_967;

										BgL_new1101z00_967 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 168 */
											long BgL_arg1303z00_968;

											BgL_arg1303z00_968 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1101z00_967),
												BgL_arg1303z00_968);
										}
										BgL_new1102z00_962 = BgL_new1101z00_967;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_79), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_numberz00) = ((long) (-1L)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_modez00) = ((obj_t) BgL_modez00_82), BUNSPEC);
									{
										obj_t BgL_auxz00_2797;

										if (CBOOL(BgL_aliasz00_81))
											{	/* Module/impuse.scm 171 */
												BgL_auxz00_2797 = BNIL;
											}
										else
											{	/* Module/impuse.scm 171 */
												obj_t BgL_arg1298z00_963;

												BgL_arg1298z00_963 =
													MAKE_YOUNG_PAIR(BgL_varz00_80, BFALSE);
												{	/* Module/impuse.scm 171 */
													obj_t BgL_list1299z00_964;

													BgL_list1299z00_964 =
														MAKE_YOUNG_PAIR(BgL_arg1298z00_963, BNIL);
													BgL_auxz00_2797 = BgL_list1299z00_964;
												}
											}
										((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
												BgL_varsz00) = ((obj_t) BgL_auxz00_2797), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_2803;

										if (CBOOL(BgL_aliasz00_81))
											{	/* Module/impuse.scm 170 */
												obj_t BgL_arg1301z00_965;

												BgL_arg1301z00_965 =
													MAKE_YOUNG_PAIR(BgL_varz00_80, BgL_aliasz00_81);
												{	/* Module/impuse.scm 170 */
													obj_t BgL_list1302z00_966;

													BgL_list1302z00_966 =
														MAKE_YOUNG_PAIR(BgL_arg1301z00_965, BNIL);
													BgL_auxz00_2803 = BgL_list1302z00_966;
												}
											}
										else
											{	/* Module/impuse.scm 170 */
												BgL_auxz00_2803 = BNIL;
											}
										((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
												BgL_aliasesz00) = ((obj_t) BgL_auxz00_2803), BUNSPEC);
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_checksumz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_locz00) = ((obj_t) BgL_locz00_960), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_83), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1102z00_962))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1297z00_961 = BgL_new1102z00_962;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1297z00_961);
							}
						}
				}
			}
		}

	}



/* import-with-module! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2withzd2modulez12z12zzmodule_impusez00(obj_t BgL_modulez00_84,
		obj_t BgL_srcz00_85)
	{
		{	/* Module/impuse.scm 178 */
			{	/* Module/impuse.scm 179 */
				obj_t BgL_miz00_970;

				BgL_miz00_970 =
					BGl_hashtablezd2getzd2zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00, BgL_modulez00_84);
				{	/* Module/impuse.scm 180 */
					bool_t BgL_test2254z00_2818;

					{	/* Module/impuse.scm 180 */
						obj_t BgL_classz00_1859;

						BgL_classz00_1859 = BGl_importz00zzmodule_impusez00;
						if (BGL_OBJECTP(BgL_miz00_970))
							{	/* Module/impuse.scm 180 */
								obj_t BgL_oclassz00_1861;

								{	/* Module/impuse.scm 180 */
									obj_t BgL_arg1866z00_1863;
									long BgL_arg1867z00_1864;

									BgL_arg1866z00_1863 = (BGl_za2classesza2z00zz__objectz00);
									{	/* Module/impuse.scm 180 */
										long BgL_arg1869z00_1865;

										BgL_arg1869z00_1865 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_miz00_970));
										BgL_arg1867z00_1864 = (BgL_arg1869z00_1865 - OBJECT_TYPE);
									}
									BgL_oclassz00_1861 =
										VECTOR_REF(BgL_arg1866z00_1863, BgL_arg1867z00_1864);
								}
								BgL_test2254z00_2818 =
									(BgL_oclassz00_1861 == BgL_classz00_1859);
							}
						else
							{	/* Module/impuse.scm 180 */
								BgL_test2254z00_2818 = ((bool_t) 0);
							}
					}
					if (BgL_test2254z00_2818)
						{	/* Module/impuse.scm 180 */
							return BFALSE;
						}
					else
						{	/* Module/impuse.scm 181 */
							obj_t BgL_locz00_972;

							BgL_locz00_972 =
								BGl_findzd2locationzf2locz20zztools_locationz00(BgL_srcz00_85,
								BGl_findzd2locationzd2zztools_locationz00
								(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00));
							{	/* Module/impuse.scm 183 */
								BgL_importz00_bglt BgL_arg1309z00_973;

								{	/* Module/impuse.scm 183 */
									BgL_importz00_bglt BgL_new1104z00_974;

									{	/* Module/impuse.scm 184 */
										BgL_importz00_bglt BgL_new1103z00_975;

										BgL_new1103z00_975 =
											((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_importz00_bgl))));
										{	/* Module/impuse.scm 184 */
											long BgL_arg1310z00_976;

											BgL_arg1310z00_976 =
												BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1103z00_975),
												BgL_arg1310z00_976);
										}
										BgL_new1104z00_974 = BgL_new1103z00_975;
									}
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_84), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_numberz00) = ((long) (-1L)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_modez00) =
										((obj_t) ((obj_t) CNST_TABLE_REF(5))), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_varsz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_aliasesz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_checksumz00) = ((obj_t) BINT(0L)), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_locz00) = ((obj_t) BgL_locz00_972), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_85), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_declz00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_providez00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_codez00) = ((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_importz00_bglt) COBJECT(BgL_new1104z00_974))->
											BgL_accessz00) = ((obj_t) BNIL), BUNSPEC);
									BgL_arg1309z00_973 = BgL_new1104z00_974;
								}
								return
									BGl_registerzd2importz12zc0zzmodule_impusez00
									(BgL_arg1309z00_973);
							}
						}
				}
			}
		}

	}



/* &import-with-module! */
	obj_t BGl_z62importzd2withzd2modulez12z70zzmodule_impusez00(obj_t
		BgL_envz00_2377, obj_t BgL_modulez00_2378, obj_t BgL_srcz00_2379)
	{
		{	/* Module/impuse.scm 178 */
			return
				BGl_importzd2withzd2modulez12z12zzmodule_impusez00(BgL_modulez00_2378,
				BgL_srcz00_2379);
		}

	}



/* impuse-parser */
	obj_t BGl_impusezd2parserzd2zzmodule_impusez00(obj_t BgL_prototypez00_86,
		obj_t BgL_modez00_87, obj_t BgL_importzd2srczd2_88)
	{
		{	/* Module/impuse.scm 202 */
			{

				if (SYMBOLP(BgL_prototypez00_86))
					{	/* Module/impuse.scm 218 */
						return
							BGl_importzd2allzd2modulez00zzmodule_impusez00
							(BgL_prototypez00_86, BgL_modez00_87, BgL_importzd2srczd2_88);
					}
				else
					{	/* Module/impuse.scm 218 */
						if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
							(BgL_prototypez00_86))
							{	/* Module/impuse.scm 222 */
								obj_t BgL_invz00_983;

								BgL_invz00_983 = bgl_reverse(BgL_prototypez00_86);
								{
									obj_t BgL_lstz00_986;
									obj_t BgL_filesz00_987;

									BgL_lstz00_986 = BgL_invz00_983;
									BgL_filesz00_987 = BNIL;
								BgL_zc3z04anonymousza31314ze3z87_988:
									if (PAIRP(BgL_lstz00_986))
										{	/* Module/impuse.scm 228 */
											bool_t BgL_test2259z00_2858;

											{	/* Module/impuse.scm 228 */
												obj_t BgL_tmpz00_2859;

												BgL_tmpz00_2859 = CAR(BgL_lstz00_986);
												BgL_test2259z00_2858 = STRINGP(BgL_tmpz00_2859);
											}
											if (BgL_test2259z00_2858)
												{	/* Module/impuse.scm 229 */
													obj_t BgL_arg1318z00_992;
													obj_t BgL_arg1319z00_993;

													BgL_arg1318z00_992 = CDR(BgL_lstz00_986);
													BgL_arg1319z00_993 =
														MAKE_YOUNG_PAIR(CAR(BgL_lstz00_986),
														BgL_filesz00_987);
													{
														obj_t BgL_filesz00_2866;
														obj_t BgL_lstz00_2865;

														BgL_lstz00_2865 = BgL_arg1318z00_992;
														BgL_filesz00_2866 = BgL_arg1319z00_993;
														BgL_filesz00_987 = BgL_filesz00_2866;
														BgL_lstz00_986 = BgL_lstz00_2865;
														goto BgL_zc3z04anonymousza31314ze3z87_988;
													}
												}
											else
												{	/* Module/impuse.scm 230 */
													bool_t BgL_test2260z00_2867;

													{	/* Module/impuse.scm 230 */
														obj_t BgL_tmpz00_2868;

														BgL_tmpz00_2868 = CAR(BgL_lstz00_986);
														BgL_test2260z00_2867 = SYMBOLP(BgL_tmpz00_2868);
													}
													if (BgL_test2260z00_2867)
														{	/* Module/impuse.scm 231 */
															obj_t BgL_modz00_997;
															obj_t BgL_varsz00_998;

															BgL_modz00_997 = CAR(BgL_lstz00_986);
															BgL_varsz00_998 = CDR(BgL_lstz00_986);
															if (NULLP(BgL_varsz00_998))
																{	/* Module/impuse.scm 234 */
																	if (NULLP(BgL_filesz00_987))
																		{	/* Module/impuse.scm 236 */
																			BFALSE;
																		}
																	else
																		{	/* Module/impuse.scm 236 */
																			BGl_modulezd2addzd2accessz12z12zz__modulez00
																				(BgL_modz00_997, BgL_filesz00_987,
																				BGl_string2119z00zzmodule_impusez00);
																		}
																	return
																		BGl_importzd2allzd2modulez00zzmodule_impusez00
																		(BgL_modz00_997, BgL_modez00_87,
																		BgL_prototypez00_86);
																}
															else
																{	/* Module/impuse.scm 238 */
																	bool_t BgL_test2263z00_2879;

																	{
																		obj_t BgL_l1170z00_1023;

																		BgL_l1170z00_1023 = BgL_varsz00_998;
																	BgL_zc3z04anonymousza31341ze3z87_1024:
																		if (NULLP(BgL_l1170z00_1023))
																			{	/* Module/impuse.scm 238 */
																				BgL_test2263z00_2879 = ((bool_t) 1);
																			}
																		else
																			{	/* Module/impuse.scm 238 */
																				bool_t BgL_test2265z00_2882;

																				{	/* Module/impuse.scm 238 */
																					obj_t BgL_arg1355z00_1029;

																					BgL_arg1355z00_1029 =
																						CAR(((obj_t) BgL_l1170z00_1023));
																					{	/* Module/impuse.scm 215 */
																						bool_t BgL__ortest_1105z00_1886;

																						BgL__ortest_1105z00_1886 =
																							SYMBOLP(BgL_arg1355z00_1029);
																						if (BgL__ortest_1105z00_1886)
																							{	/* Module/impuse.scm 215 */
																								BgL_test2265z00_2882 =
																									BgL__ortest_1105z00_1886;
																							}
																						else
																							{	/* Module/impuse.scm 215 */
																								BgL_test2265z00_2882 =
																									BGl_aliaszf3ze70z14zzmodule_impusez00
																									(BgL_arg1355z00_1029);
																							}
																					}
																				}
																				if (BgL_test2265z00_2882)
																					{
																						obj_t BgL_l1170z00_2888;

																						BgL_l1170z00_2888 =
																							CDR(((obj_t) BgL_l1170z00_1023));
																						BgL_l1170z00_1023 =
																							BgL_l1170z00_2888;
																						goto
																							BgL_zc3z04anonymousza31341ze3z87_1024;
																					}
																				else
																					{	/* Module/impuse.scm 238 */
																						BgL_test2263z00_2879 = ((bool_t) 0);
																					}
																			}
																	}
																	if (BgL_test2263z00_2879)
																		{	/* Module/impuse.scm 238 */
																			if (NULLP(BgL_filesz00_987))
																				{	/* Module/impuse.scm 240 */
																					BFALSE;
																				}
																			else
																				{	/* Module/impuse.scm 240 */
																					BGl_modulezd2addzd2accessz12z12zz__modulez00
																						(BgL_modz00_997, BgL_filesz00_987,
																						BGl_string2119z00zzmodule_impusez00);
																				}
																			{
																				obj_t BgL_l1173z00_1013;

																				{	/* Module/impuse.scm 242 */
																					bool_t BgL_tmpz00_2894;

																					BgL_l1173z00_1013 = BgL_varsz00_998;
																				BgL_zc3z04anonymousza31334ze3z87_1014:
																					if (PAIRP(BgL_l1173z00_1013))
																						{	/* Module/impuse.scm 242 */
																							{	/* Module/impuse.scm 243 */
																								obj_t BgL_vz00_1016;

																								BgL_vz00_1016 =
																									CAR(BgL_l1173z00_1013);
																								if (BGl_aliaszf3ze70z14zzmodule_impusez00(BgL_vz00_1016))
																									{	/* Module/impuse.scm 244 */
																										obj_t BgL_arg1338z00_1018;
																										obj_t BgL_arg1339z00_1019;

																										{	/* Module/impuse.scm 244 */
																											obj_t BgL_pairz00_1892;

																											BgL_pairz00_1892 =
																												CDR(
																												((obj_t)
																													BgL_vz00_1016));
																											BgL_arg1338z00_1018 =
																												CAR(BgL_pairz00_1892);
																										}
																										BgL_arg1339z00_1019 =
																											CAR(
																											((obj_t) BgL_vz00_1016));
																										BGl_importzd21zd2modulez00zzmodule_impusez00
																											(BgL_modz00_997,
																											BgL_arg1338z00_1018,
																											BgL_arg1339z00_1019,
																											BgL_modez00_87,
																											BgL_prototypez00_86);
																									}
																								else
																									{	/* Module/impuse.scm 243 */
																										BGl_importzd21zd2modulez00zzmodule_impusez00
																											(BgL_modz00_997,
																											BgL_vz00_1016, BFALSE,
																											BgL_modez00_87,
																											BgL_prototypez00_86);
																									}
																							}
																							{
																								obj_t BgL_l1173z00_2907;

																								BgL_l1173z00_2907 =
																									CDR(BgL_l1173z00_1013);
																								BgL_l1173z00_1013 =
																									BgL_l1173z00_2907;
																								goto
																									BgL_zc3z04anonymousza31334ze3z87_1014;
																							}
																						}
																					else
																						{	/* Module/impuse.scm 242 */
																							BgL_tmpz00_2894 = ((bool_t) 1);
																						}
																					return BBOOL(BgL_tmpz00_2894);
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 238 */
																		BgL_zc3z04anonymousza31360ze3z87_1034:
																			{	/* Module/impuse.scm 207 */
																				obj_t BgL_arg1361z00_1035;

																				{	/* Module/impuse.scm 207 */
																					obj_t BgL_list1363z00_1037;

																					BgL_list1363z00_1037 =
																						MAKE_YOUNG_PAIR(BgL_modez00_87,
																						BNIL);
																					BgL_arg1361z00_1035 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2117z00zzmodule_impusez00,
																						BgL_list1363z00_1037);
																				}
																				{	/* Module/impuse.scm 206 */
																					obj_t BgL_list1362z00_1036;

																					BgL_list1362z00_1036 =
																						MAKE_YOUNG_PAIR(BNIL, BNIL);
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BGl_string2118z00zzmodule_impusez00,
																						BgL_arg1361z00_1035,
																						BgL_prototypez00_86,
																						BgL_list1362z00_1036);
																				}
																			}
																		}
																}
														}
													else
														{	/* Module/impuse.scm 230 */
															goto BgL_zc3z04anonymousza31360ze3z87_1034;
														}
												}
										}
									else
										{	/* Module/impuse.scm 226 */
											goto BgL_zc3z04anonymousza31360ze3z87_1034;
										}
								}
							}
						else
							{	/* Module/impuse.scm 221 */
								goto BgL_zc3z04anonymousza31360ze3z87_1034;
							}
					}
			}
		}

	}



/* alias?~0 */
	bool_t BGl_aliaszf3ze70z14zzmodule_impusez00(obj_t BgL_vz00_1038)
	{
		{	/* Module/impuse.scm 212 */
			if (PAIRP(BgL_vz00_1038))
				{	/* Module/impuse.scm 212 */
					obj_t BgL_cdrzd2371zd2_1044;

					BgL_cdrzd2371zd2_1044 = CDR(((obj_t) BgL_vz00_1038));
					{	/* Module/impuse.scm 212 */
						bool_t BgL_test2271z00_2918;

						{	/* Module/impuse.scm 212 */
							obj_t BgL_tmpz00_2919;

							BgL_tmpz00_2919 = CAR(((obj_t) BgL_vz00_1038));
							BgL_test2271z00_2918 = SYMBOLP(BgL_tmpz00_2919);
						}
						if (BgL_test2271z00_2918)
							{	/* Module/impuse.scm 212 */
								if (PAIRP(BgL_cdrzd2371zd2_1044))
									{	/* Module/impuse.scm 212 */
										bool_t BgL_test2273z00_2925;

										{	/* Module/impuse.scm 212 */
											obj_t BgL_tmpz00_2926;

											BgL_tmpz00_2926 = CAR(BgL_cdrzd2371zd2_1044);
											BgL_test2273z00_2925 = SYMBOLP(BgL_tmpz00_2926);
										}
										if (BgL_test2273z00_2925)
											{	/* Module/impuse.scm 212 */
												return NULLP(CDR(BgL_cdrzd2371zd2_1044));
											}
										else
											{	/* Module/impuse.scm 212 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Module/impuse.scm 212 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Module/impuse.scm 212 */
								return ((bool_t) 0);
							}
					}
				}
			else
				{	/* Module/impuse.scm 212 */
					return ((bool_t) 0);
				}
		}

	}



/* get-imported-modules */
	BGL_EXPORTED_DEF obj_t BGl_getzd2importedzd2modulesz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 257 */
			{	/* Module/impuse.scm 258 */
				obj_t BgL_l1175z00_1061;

				BgL_l1175z00_1061 =
					BGl_hashtablezd2ze3listz31zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00);
				if (NULLP(BgL_l1175z00_1061))
					{	/* Module/impuse.scm 258 */
						return BNIL;
					}
				else
					{	/* Module/impuse.scm 258 */
						obj_t BgL_head1177z00_1063;

						{	/* Module/impuse.scm 258 */
							obj_t BgL_arg1402z00_1075;

							BgL_arg1402z00_1075 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt)
											CAR(BgL_l1175z00_1061))))->BgL_modulez00);
							BgL_head1177z00_1063 = MAKE_YOUNG_PAIR(BgL_arg1402z00_1075, BNIL);
						}
						{	/* Module/impuse.scm 258 */
							obj_t BgL_g1180z00_1064;

							BgL_g1180z00_1064 = CDR(BgL_l1175z00_1061);
							{
								obj_t BgL_l1175z00_1066;
								obj_t BgL_tail1178z00_1067;

								BgL_l1175z00_1066 = BgL_g1180z00_1064;
								BgL_tail1178z00_1067 = BgL_head1177z00_1063;
							BgL_zc3z04anonymousza31388ze3z87_1068:
								if (NULLP(BgL_l1175z00_1066))
									{	/* Module/impuse.scm 258 */
										return BgL_head1177z00_1063;
									}
								else
									{	/* Module/impuse.scm 258 */
										obj_t BgL_newtail1179z00_1070;

										{	/* Module/impuse.scm 258 */
											obj_t BgL_arg1400z00_1072;

											BgL_arg1400z00_1072 =
												(((BgL_importz00_bglt) COBJECT(
														((BgL_importz00_bglt)
															CAR(
																((obj_t) BgL_l1175z00_1066)))))->BgL_modulez00);
											BgL_newtail1179z00_1070 =
												MAKE_YOUNG_PAIR(BgL_arg1400z00_1072, BNIL);
										}
										SET_CDR(BgL_tail1178z00_1067, BgL_newtail1179z00_1070);
										{	/* Module/impuse.scm 258 */
											obj_t BgL_arg1392z00_1071;

											BgL_arg1392z00_1071 = CDR(((obj_t) BgL_l1175z00_1066));
											{
												obj_t BgL_tail1178z00_2950;
												obj_t BgL_l1175z00_2949;

												BgL_l1175z00_2949 = BgL_arg1392z00_1071;
												BgL_tail1178z00_2950 = BgL_newtail1179z00_1070;
												BgL_tail1178z00_1067 = BgL_tail1178z00_2950;
												BgL_l1175z00_1066 = BgL_l1175z00_2949;
												goto BgL_zc3z04anonymousza31388ze3z87_1068;
											}
										}
									}
							}
						}
					}
			}
		}

	}



/* &get-imported-modules */
	obj_t BGl_z62getzd2importedzd2modulesz62zzmodule_impusez00(obj_t
		BgL_envz00_2380)
	{
		{	/* Module/impuse.scm 257 */
			return BGl_getzd2importedzd2modulesz00zzmodule_impusez00();
		}

	}



/* import-finalizer */
	obj_t BGl_importzd2finaliza7erz75zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 269 */
			{
				long BgL_numz00_1078;

				BgL_numz00_1078 = BGl_za2importzd2numberza2zd2zzmodule_impusez00;
			BgL_zc3z04anonymousza31404ze3z87_1079:
				BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00,
					BGl_proc2120z00zzmodule_impusez00);
				if ((BGl_za2importzd2numberza2zd2zzmodule_impusez00 > BgL_numz00_1078))
					{
						long BgL_numz00_2955;

						BgL_numz00_2955 = BGl_za2importzd2numberza2zd2zzmodule_impusez00;
						BgL_numz00_1078 = BgL_numz00_2955;
						goto BgL_zc3z04anonymousza31404ze3z87_1079;
					}
				else
					{	/* Module/impuse.scm 273 */
						((bool_t) 0);
					}
			}
			{	/* Module/impuse.scm 276 */
				obj_t BgL_importsz00_1087;

				BgL_importsz00_1087 =
					BGl_sortz00zz__r4_vectors_6_8z00(BGl_proc2121z00zzmodule_impusez00,
					BGl_hashtablezd2ze3listz31zz__hashz00
					(BGl_za2importsza2z00zzmodule_impusez00));
				{
					obj_t BgL_l1181z00_1089;

					BgL_l1181z00_1089 = BgL_importsz00_1087;
				BgL_zc3z04anonymousza31409ze3z87_1090:
					if (PAIRP(BgL_l1181z00_1089))
						{	/* Module/impuse.scm 280 */
							{	/* Module/impuse.scm 281 */
								obj_t BgL_iz00_1092;

								BgL_iz00_1092 = CAR(BgL_l1181z00_1089);
								{	/* Module/impuse.scm 281 */
									bool_t BgL_test2278z00_2961;

									if (
										((((BgL_importz00_bglt) COBJECT(
														((BgL_importz00_bglt) BgL_iz00_1092)))->
												BgL_modez00) == ((obj_t) CNST_TABLE_REF(5))))
										{	/* Module/impuse.scm 281 */
											BgL_test2278z00_2961 = ((bool_t) 1);
										}
									else
										{	/* Module/impuse.scm 281 */
											BgL_test2278z00_2961 =
												(
												(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_iz00_1092)))->
													BgL_declz00) == ((obj_t) CNST_TABLE_REF(7)));
										}
									if (BgL_test2278z00_2961)
										{	/* Module/impuse.scm 281 */
											BFALSE;
										}
									else
										{	/* Module/impuse.scm 281 */
											BGl_importzd2modulez12zc0zzmodule_impusez00
												(BgL_iz00_1092);
										}
								}
							}
							{
								obj_t BgL_l1181z00_2974;

								BgL_l1181z00_2974 = CDR(BgL_l1181z00_1089);
								BgL_l1181z00_1089 = BgL_l1181z00_2974;
								goto BgL_zc3z04anonymousza31409ze3z87_1090;
							}
						}
					else
						{	/* Module/impuse.scm 280 */
							((bool_t) 1);
						}
				}
				{	/* Module/impuse.scm 286 */
					obj_t BgL_initsz00_1103;

					{	/* Module/impuse.scm 286 */
						obj_t BgL_hook1187z00_1107;

						BgL_hook1187z00_1107 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_l1184z00_1109;
							obj_t BgL_h1185z00_1110;

							BgL_l1184z00_1109 = BgL_importsz00_1087;
							BgL_h1185z00_1110 = BgL_hook1187z00_1107;
						BgL_zc3z04anonymousza31489ze3z87_1111:
							if (NULLP(BgL_l1184z00_1109))
								{	/* Module/impuse.scm 286 */
									BgL_initsz00_1103 = CDR(BgL_hook1187z00_1107);
								}
							else
								{	/* Module/impuse.scm 286 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
												(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt)
																CAR(
																	((obj_t) BgL_l1184z00_1109)))))->BgL_modez00),
												((obj_t) CNST_TABLE_REF(8)))))
										{	/* Module/impuse.scm 286 */
											obj_t BgL_nh1186z00_1116;

											{	/* Module/impuse.scm 286 */
												obj_t BgL_arg1512z00_1118;

												BgL_arg1512z00_1118 = CAR(((obj_t) BgL_l1184z00_1109));
												BgL_nh1186z00_1116 =
													MAKE_YOUNG_PAIR(BgL_arg1512z00_1118, BNIL);
											}
											SET_CDR(BgL_h1185z00_1110, BgL_nh1186z00_1116);
											{	/* Module/impuse.scm 286 */
												obj_t BgL_arg1511z00_1117;

												BgL_arg1511z00_1117 = CDR(((obj_t) BgL_l1184z00_1109));
												{
													obj_t BgL_h1185z00_2996;
													obj_t BgL_l1184z00_2995;

													BgL_l1184z00_2995 = BgL_arg1511z00_1117;
													BgL_h1185z00_2996 = BgL_nh1186z00_1116;
													BgL_h1185z00_1110 = BgL_h1185z00_2996;
													BgL_l1184z00_1109 = BgL_l1184z00_2995;
													goto BgL_zc3z04anonymousza31489ze3z87_1111;
												}
											}
										}
									else
										{	/* Module/impuse.scm 286 */
											obj_t BgL_arg1513z00_1119;

											BgL_arg1513z00_1119 = CDR(((obj_t) BgL_l1184z00_1109));
											{
												obj_t BgL_l1184z00_2999;

												BgL_l1184z00_2999 = BgL_arg1513z00_1119;
												BgL_l1184z00_1109 = BgL_l1184z00_2999;
												goto BgL_zc3z04anonymousza31489ze3z87_1111;
											}
										}
								}
						}
					}
					if (PAIRP(BgL_initsz00_1103))
						{	/* Module/impuse.scm 290 */
							obj_t BgL_arg1487z00_1105;

							BgL_arg1487z00_1105 =
								BGl_importedzd2moduleszd2unitz00zzmodule_impusez00
								(BgL_initsz00_1103);
							{	/* Module/impuse.scm 290 */
								obj_t BgL_list1488z00_1106;

								BgL_list1488z00_1106 =
									MAKE_YOUNG_PAIR(BgL_arg1487z00_1105, BNIL);
								return BgL_list1488z00_1106;
							}
						}
					else
						{	/* Module/impuse.scm 289 */
							return BNIL;
						}
				}
			}
		}

	}



/* &<@anonymous:1531> */
	obj_t BGl_z62zc3z04anonymousza31531ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2383, obj_t BgL_i1z00_2384, obj_t BgL_i2z00_2385)
	{
		{	/* Module/impuse.scm 276 */
			return
				BBOOL(
				((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_i1z00_2384)))->BgL_numberz00) <
					(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_i2z00_2385)))->BgL_numberz00)));
		}

	}



/* &<@anonymous:1407> */
	obj_t BGl_z62zc3z04anonymousza31407ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2386, obj_t BgL_kz00_2387, obj_t BgL_iz00_2388)
	{
		{	/* Module/impuse.scm 272 */
			return BGl_readzd2importz12zc0zzmodule_impusez00(BgL_iz00_2388);
		}

	}



/* initialize-imported-modules */
	BGL_EXPORTED_DEF obj_t
		BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_89)
	{
		{	/* Module/impuse.scm 301 */
			{	/* Module/impuse.scm 317 */
				obj_t BgL_callsz00_1133;

				{	/* Module/impuse.scm 317 */
					obj_t BgL_l1188z00_1165;

					BgL_l1188z00_1165 =
						BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00;
					if (NULLP(BgL_l1188z00_1165))
						{	/* Module/impuse.scm 317 */
							BgL_callsz00_1133 = BNIL;
						}
					else
						{	/* Module/impuse.scm 317 */
							obj_t BgL_head1190z00_1167;

							BgL_head1190z00_1167 =
								MAKE_YOUNG_PAIR
								(BGl_initializa7ezd2moduleze70z92zzmodule_impusez00
								(BgL_getzd2initzd2_89, CAR(BgL_l1188z00_1165)), BNIL);
							{	/* Module/impuse.scm 317 */
								obj_t BgL_g1193z00_1168;

								BgL_g1193z00_1168 = CDR(BgL_l1188z00_1165);
								{
									obj_t BgL_l1188z00_1170;
									obj_t BgL_tail1191z00_1171;

									BgL_l1188z00_1170 = BgL_g1193z00_1168;
									BgL_tail1191z00_1171 = BgL_head1190z00_1167;
								BgL_zc3z04anonymousza31594ze3z87_1172:
									if (NULLP(BgL_l1188z00_1170))
										{	/* Module/impuse.scm 317 */
											BgL_callsz00_1133 = BgL_head1190z00_1167;
										}
									else
										{	/* Module/impuse.scm 317 */
											obj_t BgL_newtail1192z00_1174;

											{	/* Module/impuse.scm 317 */
												obj_t BgL_arg1605z00_1176;

												{	/* Module/impuse.scm 317 */
													obj_t BgL_arg1611z00_1177;

													BgL_arg1611z00_1177 =
														CAR(((obj_t) BgL_l1188z00_1170));
													BgL_arg1605z00_1176 =
														BGl_initializa7ezd2moduleze70z92zzmodule_impusez00
														(BgL_getzd2initzd2_89, BgL_arg1611z00_1177);
												}
												BgL_newtail1192z00_1174 =
													MAKE_YOUNG_PAIR(BgL_arg1605z00_1176, BNIL);
											}
											SET_CDR(BgL_tail1191z00_1171, BgL_newtail1192z00_1174);
											{	/* Module/impuse.scm 317 */
												obj_t BgL_arg1597z00_1175;

												BgL_arg1597z00_1175 = CDR(((obj_t) BgL_l1188z00_1170));
												{
													obj_t BgL_tail1191z00_3027;
													obj_t BgL_l1188z00_3026;

													BgL_l1188z00_3026 = BgL_arg1597z00_1175;
													BgL_tail1191z00_3027 = BgL_newtail1192z00_1174;
													BgL_tail1191z00_1171 = BgL_tail1191z00_3027;
													BgL_l1188z00_1170 = BgL_l1188z00_3026;
													goto BgL_zc3z04anonymousza31594ze3z87_1172;
												}
											}
										}
								}
							}
						}
				}
				{	/* Module/impuse.scm 317 */

					{	/* Module/impuse.scm 318 */
						bool_t BgL_test2285z00_3028;

						if (
							((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) > 0L))
							{	/* Module/impuse.scm 319 */
								obj_t BgL_arg1590z00_1163;

								{	/* Module/impuse.scm 319 */
									obj_t BgL_arg1592z00_1164;

									BgL_arg1592z00_1164 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_arg1590z00_1163 =
										(((BgL_backendz00_bglt) COBJECT(
												((BgL_backendz00_bglt) BgL_arg1592z00_1164)))->
										BgL_debugzd2supportzd2);
								}
								BgL_test2285z00_3028 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) CNST_TABLE_REF(9)), BgL_arg1590z00_1163));
							}
						else
							{	/* Module/impuse.scm 318 */
								BgL_test2285z00_3028 = ((bool_t) 0);
							}
						if (BgL_test2285z00_3028)
							{	/* Module/impuse.scm 321 */
								obj_t BgL_arg1553z00_1138;

								{	/* Module/impuse.scm 321 */
									obj_t BgL_arg1554z00_1139;

									{	/* Module/impuse.scm 321 */
										obj_t BgL_ll1194z00_1140;

										BgL_ll1194z00_1140 =
											BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00;
										if (NULLP(BgL_ll1194z00_1140))
											{	/* Module/impuse.scm 321 */
												BgL_arg1554z00_1139 = BNIL;
											}
										else
											{	/* Module/impuse.scm 321 */
												obj_t BgL_head1196z00_1143;

												{	/* Module/impuse.scm 321 */
													obj_t BgL_arg1581z00_1159;

													{	/* Module/impuse.scm 321 */
														obj_t BgL_arg1587z00_1160;
														obj_t BgL_arg1588z00_1161;

														BgL_arg1587z00_1160 = CAR(BgL_ll1194z00_1140);
														BgL_arg1588z00_1161 =
															CAR(((obj_t) BgL_callsz00_1133));
														BgL_arg1581z00_1159 =
															BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00
															(BgL_getzd2initzd2_89, BgL_arg1587z00_1160,
															BgL_arg1588z00_1161);
													}
													BgL_head1196z00_1143 =
														MAKE_YOUNG_PAIR(BgL_arg1581z00_1159, BNIL);
												}
												{	/* Module/impuse.scm 321 */
													obj_t BgL_g1200z00_1144;
													obj_t BgL_g1201z00_1145;

													BgL_g1200z00_1144 = CDR(BgL_ll1194z00_1140);
													BgL_g1201z00_1145 = CDR(((obj_t) BgL_callsz00_1133));
													{
														obj_t BgL_ll1194z00_1147;
														obj_t BgL_ll1195z00_1148;
														obj_t BgL_tail1197z00_1149;

														BgL_ll1194z00_1147 = BgL_g1200z00_1144;
														BgL_ll1195z00_1148 = BgL_g1201z00_1145;
														BgL_tail1197z00_1149 = BgL_head1196z00_1143;
													BgL_zc3z04anonymousza31556ze3z87_1150:
														if (NULLP(BgL_ll1194z00_1147))
															{	/* Module/impuse.scm 321 */
																BgL_arg1554z00_1139 = BgL_head1196z00_1143;
															}
														else
															{	/* Module/impuse.scm 321 */
																obj_t BgL_newtail1198z00_1152;

																{	/* Module/impuse.scm 321 */
																	obj_t BgL_arg1574z00_1155;

																	{	/* Module/impuse.scm 321 */
																		obj_t BgL_arg1577z00_1156;
																		obj_t BgL_arg1578z00_1157;

																		BgL_arg1577z00_1156 =
																			CAR(((obj_t) BgL_ll1194z00_1147));
																		BgL_arg1578z00_1157 =
																			CAR(((obj_t) BgL_ll1195z00_1148));
																		BgL_arg1574z00_1155 =
																			BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00
																			(BgL_getzd2initzd2_89,
																			BgL_arg1577z00_1156, BgL_arg1578z00_1157);
																	}
																	BgL_newtail1198z00_1152 =
																		MAKE_YOUNG_PAIR(BgL_arg1574z00_1155, BNIL);
																}
																SET_CDR(BgL_tail1197z00_1149,
																	BgL_newtail1198z00_1152);
																{	/* Module/impuse.scm 321 */
																	obj_t BgL_arg1558z00_1153;
																	obj_t BgL_arg1560z00_1154;

																	BgL_arg1558z00_1153 =
																		CDR(((obj_t) BgL_ll1194z00_1147));
																	BgL_arg1560z00_1154 =
																		CDR(((obj_t) BgL_ll1195z00_1148));
																	{
																		obj_t BgL_tail1197z00_3064;
																		obj_t BgL_ll1195z00_3063;
																		obj_t BgL_ll1194z00_3062;

																		BgL_ll1194z00_3062 = BgL_arg1558z00_1153;
																		BgL_ll1195z00_3063 = BgL_arg1560z00_1154;
																		BgL_tail1197z00_3064 =
																			BgL_newtail1198z00_1152;
																		BgL_tail1197z00_1149 = BgL_tail1197z00_3064;
																		BgL_ll1195z00_1148 = BgL_ll1195z00_3063;
																		BgL_ll1194z00_1147 = BgL_ll1194z00_3062;
																		goto BgL_zc3z04anonymousza31556ze3z87_1150;
																	}
																}
															}
													}
												}
											}
									}
									BgL_arg1553z00_1138 =
										MAKE_YOUNG_PAIR(
										((obj_t) CNST_TABLE_REF(10)), BgL_arg1554z00_1139);
								}
								return MAKE_YOUNG_PAIR(BgL_arg1553z00_1138, BNIL);
							}
						else
							{	/* Module/impuse.scm 318 */
								return BgL_callsz00_1133;
							}
					}
				}
			}
		}

	}



/* initialize-module~0 */
	obj_t BGl_initializa7ezd2moduleze70z92zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_2522, obj_t BgL_importz00_1181)
	{
		{	/* Module/impuse.scm 309 */
			{	/* Module/impuse.scm 304 */
				obj_t BgL_funz00_1184;

				{	/* Module/impuse.scm 304 */
					obj_t BgL_arg1656z00_1199;

					BgL_arg1656z00_1199 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_1181)))->BgL_modulez00);
					BgL_funz00_1184 =
						BGL_PROCEDURE_CALL1(BgL_getzd2initzd2_2522, BgL_arg1656z00_1199);
				}
				{	/* Module/impuse.scm 304 */
					obj_t BgL_varz00_1185;

					{	/* Module/impuse.scm 305 */
						obj_t BgL_arg1649z00_1194;
						obj_t BgL_arg1650z00_1195;

						BgL_arg1649z00_1194 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_1181)))->BgL_modulez00);
						{	/* Module/impuse.scm 305 */
							obj_t BgL_arg1653z00_1197;

							{	/* Module/impuse.scm 305 */
								obj_t BgL_arg1655z00_1198;

								BgL_arg1655z00_1198 =
									MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(11)), BNIL);
								BgL_arg1653z00_1197 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(12)), BgL_arg1655z00_1198);
							}
							BgL_arg1650z00_1195 =
								MAKE_YOUNG_PAIR(BgL_funz00_1184, BgL_arg1653z00_1197);
						}
						BgL_varz00_1185 =
							BGl_importzd2parserzd2zzmodule_impusez00(BgL_arg1649z00_1194,
							BgL_arg1650z00_1195, BFALSE, BNIL);
					}
					{	/* Module/impuse.scm 305 */

						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_varz00_1185)))->
								BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
						{	/* Module/impuse.scm 309 */
							obj_t BgL_arg1631z00_1186;
							obj_t BgL_arg1632z00_1187;

							{	/* Module/impuse.scm 309 */
								obj_t BgL_arg1633z00_1188;

								{	/* Module/impuse.scm 309 */
									obj_t BgL_arg1635z00_1189;

									{	/* Module/impuse.scm 309 */
										obj_t BgL_arg1638z00_1190;

										BgL_arg1638z00_1190 =
											(((BgL_importz00_bglt) COBJECT(
													((BgL_importz00_bglt) BgL_importz00_1181)))->
											BgL_modulez00);
										BgL_arg1635z00_1189 =
											MAKE_YOUNG_PAIR(BgL_arg1638z00_1190, BNIL);
									}
									BgL_arg1633z00_1188 =
										MAKE_YOUNG_PAIR(BgL_funz00_1184, BgL_arg1635z00_1189);
								}
								BgL_arg1631z00_1186 =
									MAKE_YOUNG_PAIR(
									((obj_t) CNST_TABLE_REF(13)), BgL_arg1633z00_1188);
							}
							{	/* Module/impuse.scm 309 */
								obj_t BgL_arg1642z00_1191;
								obj_t BgL_arg1643z00_1192;

								BgL_arg1642z00_1191 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_1181)))->
									BgL_checksumz00);
								{	/* Module/impuse.scm 309 */
									obj_t BgL_arg1648z00_1193;

									{	/* Module/impuse.scm 309 */
										obj_t BgL_symbolz00_1924;

										BgL_symbolz00_1924 = BGl_za2moduleza2z00zzmodule_modulez00;
										{	/* Module/impuse.scm 309 */
											obj_t BgL_arg1486z00_1925;

											BgL_arg1486z00_1925 =
												SYMBOL_TO_STRING(BgL_symbolz00_1924);
											BgL_arg1648z00_1193 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1486z00_1925);
										}
									}
									BgL_arg1643z00_1192 =
										MAKE_YOUNG_PAIR(BgL_arg1648z00_1193, BNIL);
								}
								BgL_arg1632z00_1187 =
									MAKE_YOUNG_PAIR(BgL_arg1642z00_1191, BgL_arg1643z00_1192);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1631z00_1186, BgL_arg1632z00_1187);
						}
					}
				}
			}
		}

	}



/* trace-initialize-module~0 */
	obj_t BGl_tracezd2initializa7ezd2moduleze70z40zzmodule_impusez00(obj_t
		BgL_getzd2initzd2_2523, obj_t BgL_importz00_1200, obj_t BgL_callz00_1201)
	{
		{	/* Module/impuse.scm 316 */
			{	/* Module/impuse.scm 314 */
				obj_t BgL_arg1660z00_1203;

				{	/* Module/impuse.scm 314 */
					obj_t BgL_arg1663z00_1204;
					obj_t BgL_arg1664z00_1205;

					{	/* Module/impuse.scm 314 */
						obj_t BgL_arg1673z00_1206;

						{	/* Module/impuse.scm 314 */
							obj_t BgL_arg1674z00_1207;

							{	/* Module/impuse.scm 314 */
								obj_t BgL_arg1675z00_1208;
								obj_t BgL_arg1677z00_1209;

								{	/* Module/impuse.scm 314 */
									obj_t BgL_arg1680z00_1212;

									BgL_arg1680z00_1212 =
										BGL_PROCEDURE_CALL1(BgL_getzd2initzd2_2523,
										BGl_za2moduleza2z00zzmodule_modulez00);
									{	/* Module/impuse.scm 314 */
										obj_t BgL_arg1486z00_1927;

										BgL_arg1486z00_1927 =
											SYMBOL_TO_STRING(((obj_t) BgL_arg1680z00_1212));
										BgL_arg1675z00_1208 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1927);
									}
								}
								{	/* Module/impuse.scm 315 */
									obj_t BgL_arg1685z00_1213;

									BgL_arg1685z00_1213 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_importz00_1200)))->
										BgL_modulez00);
									{	/* Module/impuse.scm 315 */
										obj_t BgL_arg1486z00_1930;

										BgL_arg1486z00_1930 = SYMBOL_TO_STRING(BgL_arg1685z00_1213);
										BgL_arg1677z00_1209 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1486z00_1930);
									}
								}
								{	/* Module/impuse.scm 313 */
									obj_t BgL_list1678z00_1210;

									{	/* Module/impuse.scm 313 */
										obj_t BgL_arg1679z00_1211;

										BgL_arg1679z00_1211 =
											MAKE_YOUNG_PAIR(BgL_arg1677z00_1209, BNIL);
										BgL_list1678z00_1210 =
											MAKE_YOUNG_PAIR(BgL_arg1675z00_1208, BgL_arg1679z00_1211);
									}
									BgL_arg1674z00_1207 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2122z00zzmodule_impusez00, BgL_list1678z00_1210);
								}
							}
							BgL_arg1673z00_1206 = MAKE_YOUNG_PAIR(BgL_arg1674z00_1207, BNIL);
						}
						BgL_arg1663z00_1204 =
							MAKE_YOUNG_PAIR(
							((obj_t) CNST_TABLE_REF(14)), BgL_arg1673z00_1206);
					}
					BgL_arg1664z00_1205 = MAKE_YOUNG_PAIR(BgL_callz00_1201, BNIL);
					BgL_arg1660z00_1203 =
						MAKE_YOUNG_PAIR(BgL_arg1663z00_1204, BgL_arg1664z00_1205);
				}
				return
					MAKE_YOUNG_PAIR(((obj_t) CNST_TABLE_REF(10)), BgL_arg1660z00_1203);
			}
		}

	}



/* &initialize-imported-modules */
	obj_t BGl_z62initializa7ezd2importedzd2moduleszc5zzmodule_impusez00(obj_t
		BgL_envz00_2389, obj_t BgL_getzd2initzd2_2390)
	{
		{	/* Module/impuse.scm 301 */
			return
				BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
				(BgL_getzd2initzd2_2390);
		}

	}



/* imported-modules-unit */
	obj_t BGl_importedzd2moduleszd2unitz00zzmodule_impusez00(obj_t
		BgL_importsz00_90)
	{
		{	/* Module/impuse.scm 328 */
			BGl_za2importedzd2moduleszd2inzd2unitza2zd2zzmodule_impusez00 =
				BgL_importsz00_90;
			{	/* Module/impuse.scm 330 */
				obj_t BgL_bodyz00_1216;
				obj_t BgL_priorityz00_1217;

				BgL_bodyz00_1216 =
					BGl_initializa7ezd2importedzd2modulesza7zzmodule_impusez00
					(BGl_modulezd2initializa7ationzd2idzd2envz75zzmodule_modulez00);
				if ((BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
						((obj_t) CNST_TABLE_REF(15))))
					{	/* Module/impuse.scm 331 */
						BgL_priorityz00_1217 = BINT(22L);
					}
				else
					{	/* Module/impuse.scm 331 */
						BgL_priorityz00_1217 = BINT(12L);
					}
				{	/* Module/impuse.scm 332 */
					obj_t BgL_idz00_1947;

					BgL_idz00_1947 = ((obj_t) CNST_TABLE_REF(16));
					{	/* Module/impuse.scm 332 */
						obj_t BgL_newz00_1948;

						BgL_newz00_1948 =
							create_struct(((obj_t) CNST_TABLE_REF(17)), (int) (5L));
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3138;

							BgL_tmpz00_3138 = (int) (4L);
							STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_3138, BFALSE);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3141;

							BgL_tmpz00_3141 = (int) (3L);
							STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_3141, BTRUE);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3144;

							BgL_tmpz00_3144 = (int) (2L);
							STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_3144, BgL_bodyz00_1216);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3147;

							BgL_tmpz00_3147 = (int) (1L);
							STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_3147,
								BgL_priorityz00_1217);
						}
						{	/* Module/impuse.scm 332 */
							int BgL_tmpz00_3150;

							BgL_tmpz00_3150 = (int) (0L);
							STRUCT_SET(BgL_newz00_1948, BgL_tmpz00_3150, BgL_idz00_1947);
						}
						return BgL_newz00_1948;
					}
				}
			}
		}

	}



/* &impuse-finalizer */
	obj_t BGl_z62impusezd2finaliza7erz17zzmodule_impusez00(obj_t BgL_envz00_2369)
	{
		{	/* Module/impuse.scm 341 */
			{	/* Module/impuse.scm 342 */
				obj_t BgL_importsz00_2539;

				BgL_importsz00_2539 = BGl_importzd2finaliza7erz75zzmodule_impusez00();
				{	/* Module/impuse.scm 342 */
					obj_t BgL_inlinesz00_2540;

					BgL_inlinesz00_2540 = BGl_inlinezd2finaliza7erz75zzread_inlinez00();
					{	/* Module/impuse.scm 343 */
						obj_t BgL_finaliza7ersza7_2541;

						BgL_finaliza7ersza7_2541 =
							BGl_appendzd221011zd2zzmodule_impusez00(BgL_importsz00_2539,
							BgL_inlinesz00_2540);
						{	/* Module/impuse.scm 344 */

							if (NULLP(BgL_finaliza7ersza7_2541))
								{	/* Module/impuse.scm 345 */
									return ((obj_t) CNST_TABLE_REF(1));
								}
							else
								{	/* Module/impuse.scm 345 */
									return BgL_finaliza7ersza7_2541;
								}
						}
					}
				}
			}
		}

	}



/* import-parser */
	BGL_EXPORTED_DEF obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t
		BgL_modulez00_91, obj_t BgL_prototypez00_92, obj_t BgL_aliasz00_93,
		obj_t BgL_importzd2srczd2_94)
	{
		{	/* Module/impuse.scm 352 */
			{	/* Module/impuse.scm 353 */
				obj_t BgL_protoz00_1222;
				obj_t BgL_srcz00_1223;

				BgL_protoz00_1222 =
					BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_92);
				if (PAIRP(BgL_importzd2srczd2_94))
					{	/* Module/impuse.scm 354 */
						BgL_srcz00_1223 = CAR(BgL_importzd2srczd2_94);
					}
				else
					{	/* Module/impuse.scm 354 */
						BgL_srcz00_1223 = BFALSE;
					}
				if (PAIRP(BgL_protoz00_1222))
					{	/* Module/impuse.scm 358 */
						obj_t BgL_casezd2valuezd2_1225;

						BgL_casezd2valuezd2_1225 = CAR(BgL_protoz00_1222);
						{	/* Module/impuse.scm 358 */
							bool_t BgL_test2293z00_3167;

							{	/* Module/impuse.scm 358 */
								bool_t BgL__ortest_1108z00_1249;

								BgL__ortest_1108z00_1249 =
									(BgL_casezd2valuezd2_1225 == ((obj_t) CNST_TABLE_REF(18)));
								if (BgL__ortest_1108z00_1249)
									{	/* Module/impuse.scm 358 */
										BgL_test2293z00_3167 = BgL__ortest_1108z00_1249;
									}
								else
									{	/* Module/impuse.scm 358 */
										bool_t BgL__ortest_1109z00_1250;

										BgL__ortest_1109z00_1250 =
											(BgL_casezd2valuezd2_1225 ==
											((obj_t) CNST_TABLE_REF(19)));
										if (BgL__ortest_1109z00_1250)
											{	/* Module/impuse.scm 358 */
												BgL_test2293z00_3167 = BgL__ortest_1109z00_1250;
											}
										else
											{	/* Module/impuse.scm 358 */
												BgL_test2293z00_3167 =
													(BgL_casezd2valuezd2_1225 ==
													((obj_t) CNST_TABLE_REF(20)));
											}
									}
							}
							if (BgL_test2293z00_3167)
								{	/* Module/impuse.scm 360 */
									obj_t BgL_arg1691z00_1229;
									obj_t BgL_arg1692z00_1230;

									BgL_arg1691z00_1229 = CAR(CDR(BgL_protoz00_1222));
									BgL_arg1692z00_1230 = CAR(CDR(CDR(BgL_protoz00_1222)));
									return
										((obj_t)
										BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2
										(BgL_arg1691z00_1229, BgL_aliasz00_93, BgL_arg1692z00_1230,
											BgL_modulez00_91, ((obj_t) CNST_TABLE_REF(0)),
											BgL_casezd2valuezd2_1225, BgL_prototypez00_92,
											BgL_srcz00_1223));
								}
							else
								{	/* Module/impuse.scm 358 */
									if (
										(BgL_casezd2valuezd2_1225 == ((obj_t) CNST_TABLE_REF(21))))
										{	/* Module/impuse.scm 363 */
											obj_t BgL_arg1695z00_1233;

											BgL_arg1695z00_1233 = CAR(CDR(BgL_protoz00_1222));
											return
												((obj_t)
												BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
												(BgL_arg1695z00_1233, BgL_aliasz00_93, BgL_modulez00_91,
													((obj_t) CNST_TABLE_REF(0)), BgL_prototypez00_92,
													BgL_srcz00_1223));
										}
									else
										{	/* Module/impuse.scm 358 */
											if (
												(BgL_casezd2valuezd2_1225 ==
													((obj_t) CNST_TABLE_REF(22))))
												{	/* Module/impuse.scm 366 */
													obj_t BgL_arg1699z00_1235;

													BgL_arg1699z00_1235 = CDR(BgL_protoz00_1222);
													return
														BGl_declarezd2classz12zc0zzmodule_classz00
														(BgL_arg1699z00_1235, BgL_modulez00_91,
														((obj_t) CNST_TABLE_REF(0)), ((bool_t) 0),
														((bool_t) 0), BgL_prototypez00_92, BgL_srcz00_1223);
												}
											else
												{	/* Module/impuse.scm 358 */
													if (
														(BgL_casezd2valuezd2_1225 ==
															((obj_t) CNST_TABLE_REF(23))))
														{	/* Module/impuse.scm 368 */
															obj_t BgL_arg1703z00_1237;

															BgL_arg1703z00_1237 = CDR(BgL_protoz00_1222);
															return
																BGl_declarezd2classz12zc0zzmodule_classz00
																(BgL_arg1703z00_1237, BgL_modulez00_91,
																((obj_t) CNST_TABLE_REF(0)), ((bool_t) 0),
																((bool_t) 1), BgL_prototypez00_92,
																BgL_srcz00_1223);
														}
													else
														{	/* Module/impuse.scm 358 */
															if (
																(BgL_casezd2valuezd2_1225 ==
																	((obj_t) CNST_TABLE_REF(24))))
																{	/* Module/impuse.scm 370 */
																	obj_t BgL_arg1715z00_1239;

																	BgL_arg1715z00_1239 = CDR(BgL_protoz00_1222);
																	return
																		BGl_declarezd2classz12zc0zzmodule_classz00
																		(BgL_arg1715z00_1239, BgL_modulez00_91,
																		((obj_t) CNST_TABLE_REF(0)), ((bool_t) 1),
																		((bool_t) 0), BgL_prototypez00_92,
																		BgL_srcz00_1223);
																}
															else
																{	/* Module/impuse.scm 358 */
																	if (
																		(BgL_casezd2valuezd2_1225 ==
																			((obj_t) CNST_TABLE_REF(25))))
																		{	/* Module/impuse.scm 372 */
																			obj_t BgL_arg1717z00_1241;

																			BgL_arg1717z00_1241 =
																				CDR(BgL_protoz00_1222);
																			return
																				BGl_declarezd2widezd2classz12z12zzmodule_classz00
																				(BgL_arg1717z00_1241, BgL_modulez00_91,
																				((obj_t) CNST_TABLE_REF(0)),
																				BgL_prototypez00_92, BgL_srcz00_1223);
																		}
																	else
																		{	/* Module/impuse.scm 358 */
																			if (
																				(BgL_casezd2valuezd2_1225 ==
																					((obj_t) CNST_TABLE_REF(26))))
																				{	/* Module/impuse.scm 374 */
																					obj_t BgL_envz00_1244;

																					BgL_envz00_1244 =
																						BGl_defaultzd2environmentzd2zz__evalz00
																						();
																					{	/* Module/impuse.scm 374 */

																						return
																							BGl_evalz00zz__evalz00
																							(BgL_protoz00_1222,
																							BgL_envz00_1244);
																					}
																				}
																			else
																				{	/* Module/impuse.scm 358 */
																					if (
																						(BgL_casezd2valuezd2_1225 ==
																							((obj_t) CNST_TABLE_REF(27))))
																						{	/* Module/impuse.scm 358 */
																							return BgL_protoz00_1222;
																						}
																					else
																						{	/* Module/impuse.scm 358 */
																							if (
																								(BgL_casezd2valuezd2_1225 ==
																									((obj_t) CNST_TABLE_REF(28))))
																								{	/* Module/impuse.scm 358 */
																									return BgL_protoz00_1222;
																								}
																							else
																								{	/* Module/impuse.scm 358 */
																									if (
																										(BgL_casezd2valuezd2_1225 ==
																											((obj_t)
																												CNST_TABLE_REF(29))))
																										{	/* Module/impuse.scm 358 */
																											return BgL_protoz00_1222;
																										}
																									else
																										{	/* Module/impuse.scm 382 */
																											obj_t
																												BgL_list1722z00_1248;
																											BgL_list1722z00_1248 =
																												MAKE_YOUNG_PAIR(BNIL,
																												BNIL);
																											return
																												BGl_userzd2errorzd2zztools_errorz00
																												(BGl_string2118z00zzmodule_impusez00,
																												BGl_string2123z00zzmodule_impusez00,
																												BgL_prototypez00_92,
																												BgL_list1722z00_1248);
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					}
				else
					{	/* Module/impuse.scm 356 */
						obj_t BgL_arg1724z00_1251;

						BgL_arg1724z00_1251 =
							BGl_findzd2locationzd2zztools_locationz00
							(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
						{	/* Module/impuse.scm 356 */
							obj_t BgL_list1725z00_1252;

							BgL_list1725z00_1252 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00
								(BgL_arg1724z00_1251, BGl_string2118z00zzmodule_impusez00,
								BGl_string2123z00zzmodule_impusez00, BgL_prototypez00_92,
								BgL_list1725z00_1252);
						}
					}
			}
		}

	}



/* &import-parser */
	obj_t BGl_z62importzd2parserzb0zzmodule_impusez00(obj_t BgL_envz00_2393,
		obj_t BgL_modulez00_2394, obj_t BgL_prototypez00_2395,
		obj_t BgL_aliasz00_2396, obj_t BgL_importzd2srczd2_2397)
	{
		{	/* Module/impuse.scm 352 */
			return
				BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_2394,
				BgL_prototypez00_2395, BgL_aliasz00_2396, BgL_importzd2srczd2_2397);
		}

	}



/* import-module! */
	obj_t BGl_importzd2modulez12zc0zzmodule_impusez00(obj_t BgL_importz00_95)
	{
		{	/* Module/impuse.scm 387 */
			{	/* Module/impuse.scm 390 */
				obj_t BgL_inlinez00_1255;

				{	/* Module/impuse.scm 391 */
					bool_t BgL_test2305z00_3254;

					{	/* Module/impuse.scm 391 */
						obj_t BgL_tmpz00_3255;

						BgL_tmpz00_3255 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_varsz00);
						BgL_test2305z00_3254 = PAIRP(BgL_tmpz00_3255);
					}
					if (BgL_test2305z00_3254)
						{	/* Module/impuse.scm 392 */
							obj_t BgL_arg1763z00_1266;

							BgL_arg1763z00_1266 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_varsz00);
							BgL_inlinez00_1255 =
								BGl_importzd2wantedzd2zzmodule_impusez00(BgL_importz00_95,
								BgL_arg1763z00_1266);
						}
					else
						{	/* Module/impuse.scm 391 */
							BgL_inlinez00_1255 =
								BGl_importzd2everythingzd2zzmodule_impusez00(BgL_importz00_95);
						}
				}
				{	/* Module/impuse.scm 391 */
					obj_t BgL_macroz00_1256;
					obj_t BgL_syntaxz00_1257;
					obj_t BgL_expanderz00_1258;

					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_1984;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3263;

							BgL_tmpz00_3263 = (int) (1L);
							BgL_tmpz00_1984 = BGL_MVALUES_VAL(BgL_tmpz00_3263);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3266;

							BgL_tmpz00_3266 = (int) (1L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3266, BUNSPEC);
						}
						BgL_macroz00_1256 = BgL_tmpz00_1984;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_1985;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3269;

							BgL_tmpz00_3269 = (int) (2L);
							BgL_tmpz00_1985 = BGL_MVALUES_VAL(BgL_tmpz00_3269);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3272;

							BgL_tmpz00_3272 = (int) (2L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3272, BUNSPEC);
						}
						BgL_syntaxz00_1257 = BgL_tmpz00_1985;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_tmpz00_1986;

						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3275;

							BgL_tmpz00_3275 = (int) (3L);
							BgL_tmpz00_1986 = BGL_MVALUES_VAL(BgL_tmpz00_3275);
						}
						{	/* Module/impuse.scm 394 */
							int BgL_tmpz00_3278;

							BgL_tmpz00_3278 = (int) (3L);
							BGL_MVALUES_VAL_SET(BgL_tmpz00_3278, BUNSPEC);
						}
						BgL_expanderz00_1258 = BgL_tmpz00_1986;
					}
					{	/* Module/impuse.scm 394 */
						obj_t BgL_arg1729z00_1259;
						obj_t BgL_arg1730z00_1260;
						obj_t BgL_arg1746z00_1261;
						obj_t BgL_arg1748z00_1262;

						BgL_arg1729z00_1259 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_codez00);
						{	/* Module/impuse.scm 396 */
							obj_t BgL_arg1755z00_1263;

							BgL_arg1755z00_1263 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_declz00);
							BgL_arg1730z00_1260 =
								BGl_prognzd2tailzd2expressionsz00zztools_prognz00
								(BgL_arg1755z00_1263);
						}
						BgL_arg1746z00_1261 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_accessz00);
						BgL_arg1748z00_1262 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_95)))->BgL_modulez00);
						BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00
							(BgL_inlinez00_1255, BgL_macroz00_1256, BgL_syntaxz00_1257,
							BgL_expanderz00_1258, BgL_arg1729z00_1259, BgL_arg1730z00_1260,
							BgL_arg1746z00_1261, BgL_arg1748z00_1262);
			}}}
			{	/* Module/impuse.scm 398 */
				bool_t BgL_test2306z00_3291;

				{	/* Module/impuse.scm 398 */
					obj_t BgL_tmpz00_3292;

					BgL_tmpz00_3292 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_95)))->BgL_aliasesz00);
					BgL_test2306z00_3291 = PAIRP(BgL_tmpz00_3292);
				}
				if (BgL_test2306z00_3291)
					{	/* Module/impuse.scm 399 */
						obj_t BgL_inlinez00_1270;

						{	/* Module/impuse.scm 400 */
							obj_t BgL_arg1784z00_1279;

							BgL_arg1784z00_1279 =
								(((BgL_importz00_bglt) COBJECT(
										((BgL_importz00_bglt) BgL_importz00_95)))->BgL_aliasesz00);
							BgL_inlinez00_1270 =
								BGl_importzd2wantedzd2zzmodule_impusez00(BgL_importz00_95,
								BgL_arg1784z00_1279);
						}
						{	/* Module/impuse.scm 400 */
							obj_t BgL_macroz00_1271;
							obj_t BgL_syntaxz00_1272;
							obj_t BgL_expanderz00_1273;

							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_1987;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3299;

									BgL_tmpz00_3299 = (int) (1L);
									BgL_tmpz00_1987 = BGL_MVALUES_VAL(BgL_tmpz00_3299);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3302;

									BgL_tmpz00_3302 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3302, BUNSPEC);
								}
								BgL_macroz00_1271 = BgL_tmpz00_1987;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_1988;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3305;

									BgL_tmpz00_3305 = (int) (2L);
									BgL_tmpz00_1988 = BGL_MVALUES_VAL(BgL_tmpz00_3305);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3308;

									BgL_tmpz00_3308 = (int) (2L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3308, BUNSPEC);
								}
								BgL_syntaxz00_1272 = BgL_tmpz00_1988;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_tmpz00_1989;

								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3311;

									BgL_tmpz00_3311 = (int) (3L);
									BgL_tmpz00_1989 = BGL_MVALUES_VAL(BgL_tmpz00_3311);
								}
								{	/* Module/impuse.scm 401 */
									int BgL_tmpz00_3314;

									BgL_tmpz00_3314 = (int) (3L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_3314, BUNSPEC);
								}
								BgL_expanderz00_1273 = BgL_tmpz00_1989;
							}
							{	/* Module/impuse.scm 401 */
								obj_t BgL_arg1770z00_1274;
								obj_t BgL_arg1772z00_1275;
								obj_t BgL_arg1776z00_1276;
								obj_t BgL_arg1782z00_1277;

								BgL_arg1770z00_1274 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_codez00);
								{	/* Module/impuse.scm 403 */
									obj_t BgL_arg1783z00_1278;

									BgL_arg1783z00_1278 =
										(((BgL_importz00_bglt) COBJECT(
												((BgL_importz00_bglt) BgL_importz00_95)))->BgL_declz00);
									BgL_arg1772z00_1275 =
										BGl_prognzd2tailzd2expressionsz00zztools_prognz00
										(BgL_arg1783z00_1278);
								}
								BgL_arg1776z00_1276 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_accessz00);
								BgL_arg1782z00_1277 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_95)))->BgL_modulez00);
								return
									BGl_lookzd2forzd2inlineszd2andzd2macrosz00zzread_inlinez00
									(BgL_inlinez00_1270, BgL_macroz00_1271, BgL_syntaxz00_1272,
									BgL_expanderz00_1273, BgL_arg1770z00_1274,
									BgL_arg1772z00_1275, BgL_arg1776z00_1276,
									BgL_arg1782z00_1277);
							}
						}
					}
				else
					{	/* Module/impuse.scm 398 */
						return BFALSE;
					}
			}
		}

	}



/* read-import! */
	obj_t BGl_readzd2importz12zc0zzmodule_impusez00(obj_t BgL_importz00_96)
	{
		{	/* Module/impuse.scm 408 */
			{
				obj_t BgL_modulez00_1346;
				obj_t BgL_filez00_1347;
				obj_t BgL_objz00_1342;

				if (
					((((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_96)))->BgL_declz00) ==
						BUNSPEC))
					{	/* Module/impuse.scm 424 */
						obj_t BgL_modulez00_1285;

						BgL_modulez00_1285 =
							(((BgL_importz00_bglt) COBJECT(
									((BgL_importz00_bglt) BgL_importz00_96)))->BgL_modulez00);
						{	/* Module/impuse.scm 424 */
							obj_t BgL_abasez00_1286;

							{	/* Module/impuse.scm 425 */
								obj_t BgL_l1202z00_1325;

								BgL_l1202z00_1325 =
									BGl_za2accesszd2filesza2zd2zzengine_paramz00;
								if (NULLP(BgL_l1202z00_1325))
									{	/* Module/impuse.scm 425 */
										BgL_abasez00_1286 = BNIL;
									}
								else
									{	/* Module/impuse.scm 425 */
										obj_t BgL_head1204z00_1327;

										{	/* Module/impuse.scm 425 */
											obj_t BgL_arg1845z00_1339;

											{	/* Module/impuse.scm 425 */
												obj_t BgL_arg1847z00_1340;

												BgL_arg1847z00_1340 = CAR(((obj_t) BgL_l1202z00_1325));
												BgL_arg1845z00_1339 =
													BGl_dirnamez00zz__osz00(BgL_arg1847z00_1340);
											}
											BgL_head1204z00_1327 =
												MAKE_YOUNG_PAIR(BgL_arg1845z00_1339, BNIL);
										}
										{	/* Module/impuse.scm 425 */
											obj_t BgL_g1208z00_1328;

											BgL_g1208z00_1328 = CDR(((obj_t) BgL_l1202z00_1325));
											{
												obj_t BgL_l1202z00_1330;
												obj_t BgL_tail1205z00_1331;

												BgL_l1202z00_1330 = BgL_g1208z00_1328;
												BgL_tail1205z00_1331 = BgL_head1204z00_1327;
											BgL_zc3z04anonymousza31824ze3z87_1332:
												if (NULLP(BgL_l1202z00_1330))
													{	/* Module/impuse.scm 425 */
														BgL_abasez00_1286 = BgL_head1204z00_1327;
													}
												else
													{	/* Module/impuse.scm 425 */
														obj_t BgL_newtail1206z00_1334;

														{	/* Module/impuse.scm 425 */
															obj_t BgL_arg1834z00_1336;

															{	/* Module/impuse.scm 425 */
																obj_t BgL_arg1842z00_1337;

																BgL_arg1842z00_1337 =
																	CAR(((obj_t) BgL_l1202z00_1330));
																BgL_arg1834z00_1336 =
																	BGl_dirnamez00zz__osz00(BgL_arg1842z00_1337);
															}
															BgL_newtail1206z00_1334 =
																MAKE_YOUNG_PAIR(BgL_arg1834z00_1336, BNIL);
														}
														SET_CDR(BgL_tail1205z00_1331,
															BgL_newtail1206z00_1334);
														{	/* Module/impuse.scm 425 */
															obj_t BgL_arg1829z00_1335;

															BgL_arg1829z00_1335 =
																CDR(((obj_t) BgL_l1202z00_1330));
															{
																obj_t BgL_tail1205z00_3351;
																obj_t BgL_l1202z00_3350;

																BgL_l1202z00_3350 = BgL_arg1829z00_1335;
																BgL_tail1205z00_3351 = BgL_newtail1206z00_1334;
																BgL_tail1205z00_1331 = BgL_tail1205z00_3351;
																BgL_l1202z00_1330 = BgL_l1202z00_3350;
																goto BgL_zc3z04anonymousza31824ze3z87_1332;
															}
														}
													}
											}
										}
									}
							}
							{	/* Module/impuse.scm 425 */
								obj_t BgL_fnamesz00_1287;

								{	/* Module/impuse.scm 426 */
									obj_t BgL_fun1822z00_1324;

									BgL_fun1822z00_1324 =
										BGl_bigloozd2modulezd2resolverz00zz__modulez00();
									BgL_fnamesz00_1287 =
										BGL_PROCEDURE_CALL3(BgL_fun1822z00_1324, BgL_modulez00_1285,
										BNIL, BgL_abasez00_1286);
								}
								{	/* Module/impuse.scm 426 */

									{	/* Module/impuse.scm 428 */
										obj_t BgL_arg1789z00_1288;

										if (
											((((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_importz00_96)))->
													BgL_modez00) == ((obj_t) CNST_TABLE_REF(2))))
											{	/* Module/impuse.scm 428 */
												BgL_arg1789z00_1288 =
													BGl_string2126z00zzmodule_impusez00;
											}
										else
											{	/* Module/impuse.scm 428 */
												BgL_arg1789z00_1288 =
													BGl_string2127z00zzmodule_impusez00;
											}
										{	/* Module/impuse.scm 427 */
											obj_t BgL_list1790z00_1289;

											{	/* Module/impuse.scm 427 */
												obj_t BgL_arg1796z00_1290;

												{	/* Module/impuse.scm 427 */
													obj_t BgL_arg1797z00_1291;

													{	/* Module/impuse.scm 427 */
														obj_t BgL_arg1799z00_1292;

														{	/* Module/impuse.scm 427 */
															obj_t BgL_arg1800z00_1293;

															{	/* Module/impuse.scm 427 */
																obj_t BgL_arg1801z00_1294;

																BgL_arg1801z00_1294 =
																	MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)),
																	BNIL);
																BgL_arg1800z00_1293 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2128z00zzmodule_impusez00,
																	BgL_arg1801z00_1294);
															}
															BgL_arg1799z00_1292 =
																MAKE_YOUNG_PAIR(BgL_modulez00_1285,
																BgL_arg1800z00_1293);
														}
														BgL_arg1797z00_1291 =
															MAKE_YOUNG_PAIR
															(BGl_string2129z00zzmodule_impusez00,
															BgL_arg1799z00_1292);
													}
													BgL_arg1796z00_1290 =
														MAKE_YOUNG_PAIR(BgL_arg1789z00_1288,
														BgL_arg1797z00_1291);
												}
												BgL_list1790z00_1289 =
													MAKE_YOUNG_PAIR(BGl_string2130z00zzmodule_impusez00,
													BgL_arg1796z00_1290);
											}
											BGl_verbosez00zztools_speekz00(BINT(2L),
												BgL_list1790z00_1289);
									}}
									if (PAIRP(BgL_fnamesz00_1287))
										{	/* Module/impuse.scm 432 */
											obj_t BgL_fnamez00_1299;

											{	/* Module/impuse.scm 432 */
												obj_t BgL_arg1821z00_1323;

												BgL_arg1821z00_1323 = CAR(BgL_fnamesz00_1287);
												BgL_fnamez00_1299 =
													BGl_findzd2filezf2pathz20zz__osz00
													(BgL_arg1821z00_1323,
													BGl_za2loadzd2pathza2zd2zz__evalz00);
											}
											if (STRINGP(BgL_fnamez00_1299))
												{	/* Module/impuse.scm 435 */
													obj_t BgL_portz00_1301;

													{	/* Module/impuse.scm 435 */

														BgL_portz00_1301 =
															BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
															(BgL_fnamez00_1299, BTRUE, BINT(5000000L));
													}
													((((BgL_importz00_bglt) COBJECT(
																	((BgL_importz00_bglt) BgL_importz00_96)))->
															BgL_accessz00) =
														((obj_t) BgL_fnamesz00_1287), BUNSPEC);
													BGl_readerzd2resetz12zc0zz__readerz00();
													if (INPUT_PORTP(BgL_portz00_1301))
														{	/* Module/impuse.scm 440 */
															obj_t BgL_exitd1111z00_1303;

															BgL_exitd1111z00_1303 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Module/impuse.scm 456 */
																obj_t BgL_zc3z04anonymousza31811ze3z87_2398;

																BgL_zc3z04anonymousza31811ze3z87_2398 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza31811ze3ze5zzmodule_impusez00,
																	(int) (0L), (int) (1L));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza31811ze3z87_2398,
																	(int) (0L), BgL_portz00_1301);
																{	/* Module/impuse.scm 440 */
																	obj_t BgL_arg1881z00_2007;

																	{	/* Module/impuse.scm 440 */
																		obj_t BgL_arg1883z00_2008;

																		BgL_arg1883z00_2008 =
																			BGL_EXITD_PROTECT(BgL_exitd1111z00_1303);
																		BgL_arg1881z00_2007 =
																			MAKE_YOUNG_PAIR
																			(BgL_zc3z04anonymousza31811ze3z87_2398,
																			BgL_arg1883z00_2008);
																	}
																	BGL_EXITD_PROTECT_SET(BgL_exitd1111z00_1303,
																		BgL_arg1881z00_2007);
																	BUNSPEC;
																}
																{	/* Module/impuse.scm 441 */
																	obj_t BgL_tmp1113z00_1305;

																	{	/* Module/impuse.scm 441 */
																		obj_t BgL_mdeclz00_1306;

																		{	/* Module/impuse.scm 441 */
																			obj_t BgL_list1808z00_1314;

																			{	/* Module/impuse.scm 441 */
																				obj_t BgL_arg1810z00_1315;

																				BgL_arg1810z00_1315 =
																					MAKE_YOUNG_PAIR(BTRUE, BNIL);
																				BgL_list1808z00_1314 =
																					MAKE_YOUNG_PAIR(BgL_portz00_1301,
																					BgL_arg1810z00_1315);
																			}
																			BgL_mdeclz00_1306 =
																				BGl_compilerzd2readzd2zzread_readerz00
																				(BgL_list1808z00_1314);
																		}
																		{	/* Module/impuse.scm 441 */
																			obj_t BgL_emdeclz00_1307;

																			BgL_emdeclz00_1307 =
																				BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																				(BgL_mdeclz00_1306);
																			{	/* Module/impuse.scm 442 */
																				obj_t BgL_modz00_1308;

																				BgL_modz00_1308 =
																					BGl_prognzd2firstzd2expressionz00zztools_prognz00
																					(BgL_emdeclz00_1307);
																				{	/* Module/impuse.scm 443 */

																					BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00
																						();
																					BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00
																						();
																					{	/* Module/impuse.scm 446 */
																						obj_t BgL_cmz00_1309;

																						BgL_cmz00_1309 =
																							BGl_consumezd2modulez12zc0zzmodule_modulez00
																							(BgL_modulez00_1285,
																							BgL_modz00_1308);
																						{	/* Module/impuse.scm 446 */
																							obj_t BgL_cimz00_1310;

																							BgL_cimz00_1310 =
																								BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00
																								();
																							{	/* Module/impuse.scm 447 */
																								obj_t BgL_proz00_1311;

																								BgL_proz00_1311 =
																									BGl_appendzd221011zd2zzmodule_impusez00
																									(BgL_cmz00_1309,
																									BgL_cimz00_1310);
																								{	/* Module/impuse.scm 448 */
																									obj_t BgL_codez00_1312;

																									BgL_codez00_1312 =
																										BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00
																										();
																									{	/* Module/impuse.scm 449 */
																										long BgL_checkz00_1313;

																										BgL_checkz00_1313 =
																											BGl_modulezd2checksumzd2zzmodule_checksumz00
																											(BgL_modz00_1308,
																											BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00);
																										{	/* Module/impuse.scm 450 */

																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_declz00) =
																												((obj_t)
																													BgL_emdeclz00_1307),
																												BUNSPEC);
																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_checksumz00) =
																												((obj_t)
																													BINT
																													(BgL_checkz00_1313)),
																												BUNSPEC);
																											((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_codez00) =
																												((obj_t)
																													BgL_codez00_1312),
																												BUNSPEC);
																											BgL_tmp1113z00_1305 =
																												((((BgL_importz00_bglt)
																														COBJECT((
																																(BgL_importz00_bglt)
																																BgL_importz00_96)))->
																													BgL_providez00) =
																												((obj_t) ((obj_t)
																														BgL_proz00_1311)),
																												BUNSPEC);
																	}}}}}}}}}}
																	{	/* Module/impuse.scm 440 */
																		bool_t BgL_test2314z00_3418;

																		{	/* Module/impuse.scm 440 */
																			obj_t BgL_arg1880z00_2015;

																			BgL_arg1880z00_2015 =
																				BGL_EXITD_PROTECT
																				(BgL_exitd1111z00_1303);
																			BgL_test2314z00_3418 =
																				PAIRP(BgL_arg1880z00_2015);
																		}
																		if (BgL_test2314z00_3418)
																			{	/* Module/impuse.scm 440 */
																				obj_t BgL_arg1877z00_2016;

																				{	/* Module/impuse.scm 440 */
																					obj_t BgL_arg1879z00_2017;

																					BgL_arg1879z00_2017 =
																						BGL_EXITD_PROTECT
																						(BgL_exitd1111z00_1303);
																					BgL_arg1877z00_2016 =
																						CDR(((obj_t) BgL_arg1879z00_2017));
																				}
																				BGL_EXITD_PROTECT_SET
																					(BgL_exitd1111z00_1303,
																					BgL_arg1877z00_2016);
																				BUNSPEC;
																			}
																		else
																			{	/* Module/impuse.scm 440 */
																				BFALSE;
																			}
																	}
																	bgl_close_input_port(BgL_portz00_1301);
																	return BgL_tmp1113z00_1305;
																}
															}
														}
													else
														{	/* Module/impuse.scm 438 */
															BgL_modulez00_1346 = BgL_modulez00_1285;
															BgL_filez00_1347 = CAR(BgL_fnamesz00_1287);
														BgL_zc3z04anonymousza31853ze3z87_1348:
															{	/* Module/impuse.scm 416 */
																obj_t BgL_vz00_1994;

																BgL_vz00_1994 = ((obj_t) CNST_TABLE_REF(7));
																((((BgL_importz00_bglt) COBJECT(
																				((BgL_importz00_bglt)
																					BgL_importz00_96)))->BgL_declz00) =
																	((obj_t) BgL_vz00_1994), BUNSPEC);
															}
															{	/* Module/impuse.scm 418 */
																obj_t BgL_arg1856z00_1349;
																obj_t BgL_arg1857z00_1350;

																BgL_arg1856z00_1349 =
																	(((BgL_importz00_bglt) COBJECT(
																			((BgL_importz00_bglt)
																				BgL_importz00_96)))->BgL_locz00);
																{	/* Module/impuse.scm 420 */
																	obj_t BgL_list1859z00_1352;

																	BgL_list1859z00_1352 =
																		MAKE_YOUNG_PAIR(BgL_modulez00_1346, BNIL);
																	BgL_arg1857z00_1350 =
																		BGl_formatz00zz__r4_output_6_10_3z00
																		(BGl_string2125z00zzmodule_impusez00,
																		BgL_list1859z00_1352);
																}
																return
																	BGl_userzd2errorzf2locationz20zztools_errorz00
																	(BgL_arg1856z00_1349,
																	((obj_t) CNST_TABLE_REF(0)),
																	BgL_arg1857z00_1350, BgL_filez00_1347, BNIL);
															}
														}
												}
											else
												{
													obj_t BgL_filez00_3439;
													obj_t BgL_modulez00_3438;

													BgL_modulez00_3438 = BgL_modulez00_1285;
													BgL_filez00_3439 = CAR(BgL_fnamesz00_1287);
													BgL_filez00_1347 = BgL_filez00_3439;
													BgL_modulez00_1346 = BgL_modulez00_3438;
													goto BgL_zc3z04anonymousza31853ze3z87_1348;
												}
										}
									else
										{	/* Module/impuse.scm 430 */
											BgL_objz00_1342 = BgL_modulez00_1285;
											{	/* Module/impuse.scm 411 */
												obj_t BgL_vz00_1991;

												BgL_vz00_1991 = ((obj_t) CNST_TABLE_REF(7));
												((((BgL_importz00_bglt) COBJECT(
																((BgL_importz00_bglt) BgL_importz00_96)))->
														BgL_declz00) = ((obj_t) BgL_vz00_1991), BUNSPEC);
											}
											{	/* Module/impuse.scm 412 */
												obj_t BgL_arg1851z00_1344;

												BgL_arg1851z00_1344 =
													(((BgL_importz00_bglt) COBJECT(
															((BgL_importz00_bglt) BgL_importz00_96)))->
													BgL_locz00);
												{	/* Module/impuse.scm 412 */
													obj_t BgL_list1852z00_1345;

													BgL_list1852z00_1345 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1851z00_1344, ((obj_t) CNST_TABLE_REF(0)),
														BGl_string2124z00zzmodule_impusez00,
														BgL_objz00_1342, BgL_list1852z00_1345);
												}
											}
										}
								}
							}
						}
					}
				else
					{	/* Module/impuse.scm 423 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:1811> */
	obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2399)
	{
		{	/* Module/impuse.scm 440 */
			{	/* Module/impuse.scm 456 */
				obj_t BgL_portz00_2400;

				BgL_portz00_2400 = PROCEDURE_REF(BgL_envz00_2399, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_portz00_2400));
			}
		}

	}



/* import-everything */
	obj_t BGl_importzd2everythingzd2zzmodule_impusez00(obj_t BgL_importz00_97)
	{
		{	/* Module/impuse.scm 461 */
			{
				obj_t BgL_providedz00_1362;
				obj_t BgL_inlinez00_1363;
				obj_t BgL_macroz00_1364;
				obj_t BgL_syntaxz00_1365;
				obj_t BgL_expdz00_1366;

				{	/* Module/impuse.scm 463 */
					obj_t BgL_arg1865z00_1361;

					BgL_arg1865z00_1361 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_97)))->BgL_providez00);
					BgL_providedz00_1362 = BgL_arg1865z00_1361;
					BgL_inlinez00_1363 = BNIL;
					BgL_macroz00_1364 = BNIL;
					BgL_syntaxz00_1365 = BNIL;
					BgL_expdz00_1366 = BNIL;
				BgL_zc3z04anonymousza31866ze3z87_1367:
					if (NULLP(BgL_providedz00_1362))
						{	/* Module/impuse.scm 468 */
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3459;

								BgL_tmpz00_3459 = (int) (4L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3459);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3462;

								BgL_tmpz00_3462 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3462, BgL_macroz00_1364);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3465;

								BgL_tmpz00_3465 = (int) (2L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3465, BgL_syntaxz00_1365);
							}
							{	/* Module/impuse.scm 469 */
								int BgL_tmpz00_3468;

								BgL_tmpz00_3468 = (int) (3L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3468, BgL_expdz00_1366);
							}
							return BgL_inlinez00_1363;
						}
					else
						{	/* Module/impuse.scm 470 */
							obj_t BgL_pz00_1373;

							{	/* Module/impuse.scm 470 */
								obj_t BgL_arg1908z00_1417;
								obj_t BgL_arg1909z00_1418;
								obj_t BgL_arg1910z00_1419;

								BgL_arg1908z00_1417 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_97)))->BgL_modulez00);
								BgL_arg1909z00_1418 = CAR(((obj_t) BgL_providedz00_1362));
								BgL_arg1910z00_1419 =
									(((BgL_importz00_bglt) COBJECT(
											((BgL_importz00_bglt) BgL_importz00_97)))->BgL_srcz00);
								{	/* Module/impuse.scm 470 */
									obj_t BgL_list1911z00_1420;

									BgL_list1911z00_1420 =
										MAKE_YOUNG_PAIR(BgL_arg1910z00_1419, BNIL);
									BgL_pz00_1373 =
										BGl_importzd2parserzd2zzmodule_impusez00
										(BgL_arg1908z00_1417, BgL_arg1909z00_1418, BFALSE,
										BgL_list1911z00_1420);
								}
							}
							{
								obj_t BgL_expz00_1379;
								obj_t BgL_synz00_1377;
								obj_t BgL_macz00_1375;

								{	/* Module/impuse.scm 471 */
									bool_t BgL_test2316z00_3479;

									{	/* Module/impuse.scm 471 */
										obj_t BgL_classz00_2099;

										BgL_classz00_2099 = BGl_globalz00zzast_varz00;
										if (BGL_OBJECTP(BgL_pz00_1373))
											{	/* Module/impuse.scm 471 */
												BgL_objectz00_bglt BgL_arg1858z00_2101;

												BgL_arg1858z00_2101 =
													(BgL_objectz00_bglt) (BgL_pz00_1373);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Module/impuse.scm 471 */
														long BgL_idxz00_2107;

														BgL_idxz00_2107 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2101);
														BgL_test2316z00_3479 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2107 + 2L)) == BgL_classz00_2099);
													}
												else
													{	/* Module/impuse.scm 471 */
														bool_t BgL_res2104z00_2132;

														{	/* Module/impuse.scm 471 */
															obj_t BgL_oclassz00_2115;

															{	/* Module/impuse.scm 471 */
																obj_t BgL_arg1866z00_2123;
																long BgL_arg1867z00_2124;

																BgL_arg1866z00_2123 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Module/impuse.scm 471 */
																	long BgL_arg1869z00_2125;

																	BgL_arg1869z00_2125 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2101);
																	BgL_arg1867z00_2124 =
																		(BgL_arg1869z00_2125 - OBJECT_TYPE);
																}
																BgL_oclassz00_2115 =
																	VECTOR_REF(BgL_arg1866z00_2123,
																	BgL_arg1867z00_2124);
															}
															{	/* Module/impuse.scm 471 */
																bool_t BgL__ortest_1115z00_2116;

																BgL__ortest_1115z00_2116 =
																	(BgL_classz00_2099 == BgL_oclassz00_2115);
																if (BgL__ortest_1115z00_2116)
																	{	/* Module/impuse.scm 471 */
																		BgL_res2104z00_2132 =
																			BgL__ortest_1115z00_2116;
																	}
																else
																	{	/* Module/impuse.scm 471 */
																		long BgL_odepthz00_2117;

																		{	/* Module/impuse.scm 471 */
																			obj_t BgL_arg1855z00_2118;

																			BgL_arg1855z00_2118 =
																				(BgL_oclassz00_2115);
																			BgL_odepthz00_2117 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_2118);
																		}
																		if ((2L < BgL_odepthz00_2117))
																			{	/* Module/impuse.scm 471 */
																				obj_t BgL_arg1853z00_2120;

																				{	/* Module/impuse.scm 471 */
																					obj_t BgL_arg1854z00_2121;

																					BgL_arg1854z00_2121 =
																						(BgL_oclassz00_2115);
																					BgL_arg1853z00_2120 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_2121, 2L);
																				}
																				BgL_res2104z00_2132 =
																					(BgL_arg1853z00_2120 ==
																					BgL_classz00_2099);
																			}
																		else
																			{	/* Module/impuse.scm 471 */
																				BgL_res2104z00_2132 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2316z00_3479 = BgL_res2104z00_2132;
													}
											}
										else
											{	/* Module/impuse.scm 471 */
												BgL_test2316z00_3479 = ((bool_t) 0);
											}
									}
									if (BgL_test2316z00_3479)
										{	/* Module/impuse.scm 471 */
											{	/* Module/impuse.scm 473 */
												BgL_valuez00_bglt BgL_valz00_1397;

												BgL_valz00_1397 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_pz00_1373))))->
													BgL_valuez00);
												{	/* Module/impuse.scm 474 */
													obj_t BgL_arg1891z00_1398;
													obj_t BgL_arg1892z00_1399;

													BgL_arg1891z00_1398 =
														CDR(((obj_t) BgL_providedz00_1362));
													{	/* Module/impuse.scm 476 */
														bool_t BgL_test2321z00_3507;

														{	/* Module/impuse.scm 476 */
															bool_t BgL_test2322z00_3508;

															{	/* Module/impuse.scm 476 */
																obj_t BgL_classz00_2025;

																BgL_classz00_2025 = BGl_globalz00zzast_varz00;
																if (BGL_OBJECTP(BgL_pz00_1373))
																	{	/* Module/impuse.scm 476 */
																		BgL_objectz00_bglt BgL_arg1858z00_2027;

																		BgL_arg1858z00_2027 =
																			(BgL_objectz00_bglt) (BgL_pz00_1373);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Module/impuse.scm 476 */
																				long BgL_idxz00_2033;

																				BgL_idxz00_2033 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1858z00_2027);
																				BgL_test2322z00_3508 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2033 + 2L)) ==
																					BgL_classz00_2025);
																			}
																		else
																			{	/* Module/impuse.scm 476 */
																				bool_t BgL_res2102z00_2058;

																				{	/* Module/impuse.scm 476 */
																					obj_t BgL_oclassz00_2041;

																					{	/* Module/impuse.scm 476 */
																						obj_t BgL_arg1866z00_2049;
																						long BgL_arg1867z00_2050;

																						BgL_arg1866z00_2049 =
																							(BGl_za2classesza2z00zz__objectz00);
																						{	/* Module/impuse.scm 476 */
																							long BgL_arg1869z00_2051;

																							BgL_arg1869z00_2051 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1858z00_2027);
																							BgL_arg1867z00_2050 =
																								(BgL_arg1869z00_2051 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2041 =
																							VECTOR_REF(BgL_arg1866z00_2049,
																							BgL_arg1867z00_2050);
																					}
																					{	/* Module/impuse.scm 476 */
																						bool_t BgL__ortest_1115z00_2042;

																						BgL__ortest_1115z00_2042 =
																							(BgL_classz00_2025 ==
																							BgL_oclassz00_2041);
																						if (BgL__ortest_1115z00_2042)
																							{	/* Module/impuse.scm 476 */
																								BgL_res2102z00_2058 =
																									BgL__ortest_1115z00_2042;
																							}
																						else
																							{	/* Module/impuse.scm 476 */
																								long BgL_odepthz00_2043;

																								{	/* Module/impuse.scm 476 */
																									obj_t BgL_arg1855z00_2044;

																									BgL_arg1855z00_2044 =
																										(BgL_oclassz00_2041);
																									BgL_odepthz00_2043 =
																										BGL_CLASS_DEPTH
																										(BgL_arg1855z00_2044);
																								}
																								if ((2L < BgL_odepthz00_2043))
																									{	/* Module/impuse.scm 476 */
																										obj_t BgL_arg1853z00_2046;

																										{	/* Module/impuse.scm 476 */
																											obj_t BgL_arg1854z00_2047;

																											BgL_arg1854z00_2047 =
																												(BgL_oclassz00_2041);
																											BgL_arg1853z00_2046 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_arg1854z00_2047,
																												2L);
																										}
																										BgL_res2102z00_2058 =
																											(BgL_arg1853z00_2046 ==
																											BgL_classz00_2025);
																									}
																								else
																									{	/* Module/impuse.scm 476 */
																										BgL_res2102z00_2058 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2322z00_3508 =
																					BgL_res2102z00_2058;
																			}
																	}
																else
																	{	/* Module/impuse.scm 476 */
																		BgL_test2322z00_3508 = ((bool_t) 0);
																	}
															}
															if (BgL_test2322z00_3508)
																{	/* Module/impuse.scm 476 */
																	bool_t BgL_test2327z00_3531;

																	{	/* Module/impuse.scm 476 */
																		obj_t BgL_classz00_2059;

																		BgL_classz00_2059 = BGl_sfunz00zzast_varz00;
																		{	/* Module/impuse.scm 476 */
																			BgL_objectz00_bglt BgL_arg1858z00_2061;

																			{	/* Module/impuse.scm 476 */
																				obj_t BgL_tmpz00_3532;

																				BgL_tmpz00_3532 =
																					((obj_t)
																					((BgL_objectz00_bglt)
																						BgL_valz00_1397));
																				BgL_arg1858z00_2061 =
																					(BgL_objectz00_bglt)
																					(BgL_tmpz00_3532);
																			}
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Module/impuse.scm 476 */
																					long BgL_idxz00_2067;

																					BgL_idxz00_2067 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1858z00_2061);
																					BgL_test2327z00_3531 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2067 + 3L)) ==
																						BgL_classz00_2059);
																				}
																			else
																				{	/* Module/impuse.scm 476 */
																					bool_t BgL_res2103z00_2092;

																					{	/* Module/impuse.scm 476 */
																						obj_t BgL_oclassz00_2075;

																						{	/* Module/impuse.scm 476 */
																							obj_t BgL_arg1866z00_2083;
																							long BgL_arg1867z00_2084;

																							BgL_arg1866z00_2083 =
																								(BGl_za2classesza2z00zz__objectz00);
																							{	/* Module/impuse.scm 476 */
																								long BgL_arg1869z00_2085;

																								BgL_arg1869z00_2085 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1858z00_2061);
																								BgL_arg1867z00_2084 =
																									(BgL_arg1869z00_2085 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2075 =
																								VECTOR_REF(BgL_arg1866z00_2083,
																								BgL_arg1867z00_2084);
																						}
																						{	/* Module/impuse.scm 476 */
																							bool_t BgL__ortest_1115z00_2076;

																							BgL__ortest_1115z00_2076 =
																								(BgL_classz00_2059 ==
																								BgL_oclassz00_2075);
																							if (BgL__ortest_1115z00_2076)
																								{	/* Module/impuse.scm 476 */
																									BgL_res2103z00_2092 =
																										BgL__ortest_1115z00_2076;
																								}
																							else
																								{	/* Module/impuse.scm 476 */
																									long BgL_odepthz00_2077;

																									{	/* Module/impuse.scm 476 */
																										obj_t BgL_arg1855z00_2078;

																										BgL_arg1855z00_2078 =
																											(BgL_oclassz00_2075);
																										BgL_odepthz00_2077 =
																											BGL_CLASS_DEPTH
																											(BgL_arg1855z00_2078);
																									}
																									if ((3L < BgL_odepthz00_2077))
																										{	/* Module/impuse.scm 476 */
																											obj_t BgL_arg1853z00_2080;

																											{	/* Module/impuse.scm 476 */
																												obj_t
																													BgL_arg1854z00_2081;
																												BgL_arg1854z00_2081 =
																													(BgL_oclassz00_2075);
																												BgL_arg1853z00_2080 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_arg1854z00_2081,
																													3L);
																											}
																											BgL_res2103z00_2092 =
																												(BgL_arg1853z00_2080 ==
																												BgL_classz00_2059);
																										}
																									else
																										{	/* Module/impuse.scm 476 */
																											BgL_res2103z00_2092 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2327z00_3531 =
																						BgL_res2103z00_2092;
																				}
																		}
																	}
																	if (BgL_test2327z00_3531)
																		{	/* Module/impuse.scm 476 */
																			BgL_test2321z00_3507 = ((bool_t) 0);
																		}
																	else
																		{	/* Module/impuse.scm 476 */
																			BgL_test2321z00_3507 = ((bool_t) 1);
																		}
																}
															else
																{	/* Module/impuse.scm 476 */
																	BgL_test2321z00_3507 = ((bool_t) 1);
																}
														}
														if (BgL_test2321z00_3507)
															{	/* Module/impuse.scm 476 */
																BgL_arg1892z00_1399 = BgL_inlinez00_1363;
															}
														else
															{	/* Module/impuse.scm 476 */
																if (
																	((((BgL_sfunz00_bglt) COBJECT(
																					((BgL_sfunz00_bglt)
																						BgL_valz00_1397)))->BgL_classz00) ==
																		((obj_t) CNST_TABLE_REF(19))))
																	{	/* Module/impuse.scm 479 */
																		obj_t BgL_arg1898z00_1405;

																		{	/* Module/impuse.scm 479 */
																			obj_t BgL_arg1899z00_1406;

																			BgL_arg1899z00_1406 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_pz00_1373))))->BgL_idz00);
																			BgL_arg1898z00_1405 =
																				MAKE_YOUNG_PAIR(BgL_arg1899z00_1406,
																				((obj_t) CNST_TABLE_REF(19)));
																		}
																		BgL_arg1892z00_1399 =
																			MAKE_YOUNG_PAIR(BgL_arg1898z00_1405,
																			BgL_inlinez00_1363);
																	}
																else
																	{	/* Module/impuse.scm 478 */
																		BgL_arg1892z00_1399 = BgL_inlinez00_1363;
																	}
															}
													}
													{
														obj_t BgL_inlinez00_3569;
														obj_t BgL_providedz00_3568;

														BgL_providedz00_3568 = BgL_arg1891z00_1398;
														BgL_inlinez00_3569 = BgL_arg1892z00_1399;
														BgL_inlinez00_1363 = BgL_inlinez00_3569;
														BgL_providedz00_1362 = BgL_providedz00_3568;
														goto BgL_zc3z04anonymousza31866ze3z87_1367;
													}
												}
											}
										}
									else
										{	/* Module/impuse.scm 471 */
											if (PAIRP(BgL_pz00_1373))
												{	/* Module/impuse.scm 471 */
													if (
														(CAR(
																((obj_t) BgL_pz00_1373)) ==
															((obj_t) CNST_TABLE_REF(27))))
														{	/* Module/impuse.scm 471 */
															obj_t BgL_arg1876z00_1387;

															BgL_arg1876z00_1387 =
																CDR(((obj_t) BgL_pz00_1373));
															BgL_macz00_1375 = BgL_arg1876z00_1387;
															{	/* Module/impuse.scm 486 */
																obj_t BgL_arg1901z00_1410;
																obj_t BgL_arg1902z00_1411;

																BgL_arg1901z00_1410 =
																	CDR(((obj_t) BgL_providedz00_1362));
																BgL_arg1902z00_1411 =
																	MAKE_YOUNG_PAIR(BgL_macz00_1375,
																	BgL_macroz00_1364);
																{
																	obj_t BgL_macroz00_3584;
																	obj_t BgL_providedz00_3583;

																	BgL_providedz00_3583 = BgL_arg1901z00_1410;
																	BgL_macroz00_3584 = BgL_arg1902z00_1411;
																	BgL_macroz00_1364 = BgL_macroz00_3584;
																	BgL_providedz00_1362 = BgL_providedz00_3583;
																	goto BgL_zc3z04anonymousza31866ze3z87_1367;
																}
															}
														}
													else
														{	/* Module/impuse.scm 471 */
															if (
																(CAR(
																		((obj_t) BgL_pz00_1373)) ==
																	((obj_t) CNST_TABLE_REF(28))))
																{	/* Module/impuse.scm 471 */
																	obj_t BgL_arg1882z00_1390;

																	BgL_arg1882z00_1390 =
																		CDR(((obj_t) BgL_pz00_1373));
																	BgL_synz00_1377 = BgL_arg1882z00_1390;
																	{	/* Module/impuse.scm 488 */
																		obj_t BgL_arg1903z00_1412;
																		obj_t BgL_arg1904z00_1413;

																		BgL_arg1903z00_1412 =
																			CDR(((obj_t) BgL_providedz00_1362));
																		BgL_arg1904z00_1413 =
																			MAKE_YOUNG_PAIR(BgL_synz00_1377,
																			BgL_syntaxz00_1365);
																		{
																			obj_t BgL_syntaxz00_3597;
																			obj_t BgL_providedz00_3596;

																			BgL_providedz00_3596 =
																				BgL_arg1903z00_1412;
																			BgL_syntaxz00_3597 = BgL_arg1904z00_1413;
																			BgL_syntaxz00_1365 = BgL_syntaxz00_3597;
																			BgL_providedz00_1362 =
																				BgL_providedz00_3596;
																			goto
																				BgL_zc3z04anonymousza31866ze3z87_1367;
																		}
																	}
																}
															else
																{	/* Module/impuse.scm 471 */
																	if (
																		(CAR(
																				((obj_t) BgL_pz00_1373)) ==
																			((obj_t) CNST_TABLE_REF(29))))
																		{	/* Module/impuse.scm 471 */
																			obj_t BgL_arg1886z00_1393;

																			BgL_arg1886z00_1393 =
																				CDR(((obj_t) BgL_pz00_1373));
																			BgL_expz00_1379 = BgL_arg1886z00_1393;
																			{	/* Module/impuse.scm 490 */
																				obj_t BgL_arg1905z00_1414;
																				obj_t BgL_arg1906z00_1415;

																				BgL_arg1905z00_1414 =
																					CDR(((obj_t) BgL_providedz00_1362));
																				BgL_arg1906z00_1415 =
																					MAKE_YOUNG_PAIR(BgL_expz00_1379,
																					BgL_expdz00_1366);
																				{
																					obj_t BgL_expdz00_3610;
																					obj_t BgL_providedz00_3609;

																					BgL_providedz00_3609 =
																						BgL_arg1905z00_1414;
																					BgL_expdz00_3610 =
																						BgL_arg1906z00_1415;
																					BgL_expdz00_1366 = BgL_expdz00_3610;
																					BgL_providedz00_1362 =
																						BgL_providedz00_3609;
																					goto
																						BgL_zc3z04anonymousza31866ze3z87_1367;
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 471 */
																		BgL_tagzd2378zd2_1381:
																			{	/* Module/impuse.scm 492 */
																				obj_t BgL_arg1907z00_1416;

																				BgL_arg1907z00_1416 =
																					CDR(((obj_t) BgL_providedz00_1362));
																				{
																					obj_t BgL_providedz00_3613;

																					BgL_providedz00_3613 =
																						BgL_arg1907z00_1416;
																					BgL_providedz00_1362 =
																						BgL_providedz00_3613;
																					goto
																						BgL_zc3z04anonymousza31866ze3z87_1367;
																				}
																			}
																		}
																}
														}
												}
											else
												{	/* Module/impuse.scm 471 */
													goto BgL_tagzd2378zd2_1381;
												}
										}
								}
							}
						}
				}
			}
		}

	}



/* import-wanted */
	obj_t BGl_importzd2wantedzd2zzmodule_impusez00(obj_t BgL_importz00_98,
		obj_t BgL_varsz00_99)
	{
		{	/* Module/impuse.scm 497 */
			{
				obj_t BgL_providedz00_1429;
				obj_t BgL_inlinez00_1430;
				obj_t BgL_macroz00_1431;
				obj_t BgL_syntaxz00_1432;
				obj_t BgL_expanderz00_1433;
				obj_t BgL_wantedz00_1434;

				{	/* Module/impuse.scm 499 */
					obj_t BgL_arg1912z00_1428;

					BgL_arg1912z00_1428 =
						(((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_importz00_98)))->BgL_providez00);
					BgL_providedz00_1429 = BgL_arg1912z00_1428;
					BgL_inlinez00_1430 = BNIL;
					BgL_macroz00_1431 = BNIL;
					BgL_syntaxz00_1432 = BNIL;
					BgL_expanderz00_1433 = BNIL;
					BgL_wantedz00_1434 = BgL_varsz00_99;
				BgL_zc3z04anonymousza31913ze3z87_1435:
					if (NULLP(BgL_wantedz00_1434))
						{	/* Module/impuse.scm 509 */
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3618;

								BgL_tmpz00_3618 = (int) (4L);
								BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3618);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3621;

								BgL_tmpz00_3621 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3621, BgL_macroz00_1431);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3624;

								BgL_tmpz00_3624 = (int) (2L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3624, BgL_syntaxz00_1432);
							}
							{	/* Module/impuse.scm 510 */
								int BgL_tmpz00_3627;

								BgL_tmpz00_3627 = (int) (3L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_3627, BgL_expanderz00_1433);
							}
							return BgL_inlinez00_1430;
						}
					else
						{	/* Module/impuse.scm 509 */
							if (NULLP(BgL_providedz00_1429))
								{	/* Module/impuse.scm 511 */
									{	/* Module/impuse.scm 512 */
										obj_t BgL_arg1916z00_1442;
										obj_t BgL_arg1917z00_1443;
										obj_t BgL_arg1918z00_1444;

										BgL_arg1916z00_1442 =
											BGl_findzd2locationzd2zztools_locationz00
											(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00);
										BgL_arg1917z00_1443 =
											(((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
														BgL_importz00_98)))->BgL_modulez00);
										{	/* Module/impuse.scm 515 */
											obj_t BgL_head1219z00_1448;

											{	/* Module/impuse.scm 515 */
												obj_t BgL_arg1927z00_1460;

												{	/* Module/impuse.scm 515 */
													obj_t BgL_pairz00_2141;

													BgL_pairz00_2141 = CAR(((obj_t) BgL_wantedz00_1434));
													BgL_arg1927z00_1460 = CAR(BgL_pairz00_2141);
												}
												BgL_head1219z00_1448 =
													MAKE_YOUNG_PAIR(BgL_arg1927z00_1460, BNIL);
											}
											{	/* Module/impuse.scm 515 */
												obj_t BgL_g1222z00_1449;

												BgL_g1222z00_1449 = CDR(((obj_t) BgL_wantedz00_1434));
												{
													obj_t BgL_l1217z00_1451;
													obj_t BgL_tail1220z00_1452;

													BgL_l1217z00_1451 = BgL_g1222z00_1449;
													BgL_tail1220z00_1452 = BgL_head1219z00_1448;
												BgL_zc3z04anonymousza31921ze3z87_1453:
													if (NULLP(BgL_l1217z00_1451))
														{	/* Module/impuse.scm 515 */
															BgL_arg1918z00_1444 = BgL_head1219z00_1448;
														}
													else
														{	/* Module/impuse.scm 515 */
															obj_t BgL_newtail1221z00_1455;

															{	/* Module/impuse.scm 515 */
																obj_t BgL_arg1924z00_1457;

																{	/* Module/impuse.scm 515 */
																	obj_t BgL_pairz00_2144;

																	BgL_pairz00_2144 =
																		CAR(((obj_t) BgL_l1217z00_1451));
																	BgL_arg1924z00_1457 = CAR(BgL_pairz00_2144);
																}
																BgL_newtail1221z00_1455 =
																	MAKE_YOUNG_PAIR(BgL_arg1924z00_1457, BNIL);
															}
															SET_CDR(BgL_tail1220z00_1452,
																BgL_newtail1221z00_1455);
															{	/* Module/impuse.scm 515 */
																obj_t BgL_arg1923z00_1456;

																BgL_arg1923z00_1456 =
																	CDR(((obj_t) BgL_l1217z00_1451));
																{
																	obj_t BgL_tail1220z00_3651;
																	obj_t BgL_l1217z00_3650;

																	BgL_l1217z00_3650 = BgL_arg1923z00_1456;
																	BgL_tail1220z00_3651 =
																		BgL_newtail1221z00_1455;
																	BgL_tail1220z00_1452 = BgL_tail1220z00_3651;
																	BgL_l1217z00_1451 = BgL_l1217z00_3650;
																	goto BgL_zc3z04anonymousza31921ze3z87_1453;
																}
															}
														}
												}
											}
										}
										{	/* Module/impuse.scm 512 */
											obj_t BgL_list1919z00_1445;

											BgL_list1919z00_1445 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg1916z00_1442, BgL_arg1917z00_1443,
												BGl_string2131z00zzmodule_impusez00,
												BgL_arg1918z00_1444, BgL_list1919z00_1445);
										}
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3654;

										BgL_tmpz00_3654 = (int) (4L);
										BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3654);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3657;

										BgL_tmpz00_3657 = (int) (1L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3657, BNIL);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3660;

										BgL_tmpz00_3660 = (int) (2L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3660, BNIL);
									}
									{	/* Module/impuse.scm 517 */
										int BgL_tmpz00_3663;

										BgL_tmpz00_3663 = (int) (3L);
										BGL_MVALUES_VAL_SET(BgL_tmpz00_3663, BNIL);
									}
									return BNIL;
								}
							else
								{	/* Module/impuse.scm 519 */
									obj_t BgL_protoz00_1466;

									{	/* Module/impuse.scm 519 */
										obj_t BgL_arg1979z00_1528;

										BgL_arg1979z00_1528 = CAR(((obj_t) BgL_providedz00_1429));
										BgL_protoz00_1466 =
											BGl_parsezd2prototypezd2zzmodule_prototypez00
											(BgL_arg1979z00_1528);
									}
									if (PAIRP(BgL_protoz00_1466))
										{	/* Module/impuse.scm 521 */
											obj_t BgL_idz00_1468;

											{	/* Module/impuse.scm 522 */
												obj_t BgL_arg1974z00_1524;
												obj_t BgL_arg1975z00_1525;

												BgL_arg1974z00_1524 = CAR(CDR(BgL_protoz00_1466));
												{	/* Module/impuse.scm 522 */
													obj_t BgL_arg1976z00_1526;

													BgL_arg1976z00_1526 =
														CAR(((obj_t) BgL_providedz00_1429));
													BgL_arg1975z00_1525 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg1976z00_1526);
												}
												BgL_idz00_1468 =
													BGl_fastzd2idzd2ofzd2idzd2zzast_identz00
													(BgL_arg1974z00_1524, BgL_arg1975z00_1525);
											}
											{
												obj_t BgL_inlinez00_1470;
												obj_t BgL_macroz00_1471;
												obj_t BgL_syntaxz00_1472;
												obj_t BgL_expanderz00_1473;
												obj_t BgL_wantedz00_1474;

												BgL_inlinez00_1470 = BgL_inlinez00_1430;
												BgL_macroz00_1471 = BgL_macroz00_1431;
												BgL_syntaxz00_1472 = BgL_syntaxz00_1432;
												BgL_expanderz00_1473 = BgL_expanderz00_1433;
												BgL_wantedz00_1474 = BgL_wantedz00_1434;
											BgL_zc3z04anonymousza31930ze3z87_1475:
												{	/* Module/impuse.scm 528 */
													obj_t BgL_cz00_1476;

													BgL_cz00_1476 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_idz00_1468, BgL_wantedz00_1474);
													if (CBOOL(BgL_cz00_1476))
														{	/* Module/impuse.scm 533 */
															obj_t BgL_pz00_1477;

															{	/* Module/impuse.scm 533 */
																obj_t BgL_arg1968z00_1517;
																obj_t BgL_arg1969z00_1518;
																obj_t BgL_arg1970z00_1519;
																obj_t BgL_arg1971z00_1520;

																BgL_arg1968z00_1517 =
																	(((BgL_importz00_bglt) COBJECT(
																			((BgL_importz00_bglt)
																				BgL_importz00_98)))->BgL_modulez00);
																BgL_arg1969z00_1518 =
																	CAR(((obj_t) BgL_providedz00_1429));
																BgL_arg1970z00_1519 =
																	CDR(((obj_t) BgL_cz00_1476));
																BgL_arg1971z00_1520 =
																	(((BgL_importz00_bglt)
																		COBJECT(((BgL_importz00_bglt)
																				BgL_importz00_98)))->BgL_srcz00);
																{	/* Module/impuse.scm 533 */
																	obj_t BgL_list1972z00_1521;

																	BgL_list1972z00_1521 =
																		MAKE_YOUNG_PAIR(BgL_arg1971z00_1520, BNIL);
																	BgL_pz00_1477 =
																		BGl_importzd2parserzd2zzmodule_impusez00
																		(BgL_arg1968z00_1517, BgL_arg1969z00_1518,
																		BgL_arg1970z00_1519, BgL_list1972z00_1521);
																}
															}
															{
																obj_t BgL_expz00_1484;
																obj_t BgL_synz00_1482;
																obj_t BgL_macz00_1480;

																{	/* Module/impuse.scm 534 */
																	bool_t BgL_test2341z00_3690;

																	{	/* Module/impuse.scm 534 */
																		obj_t BgL_classz00_2156;

																		BgL_classz00_2156 =
																			BGl_globalz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_pz00_1477))
																			{	/* Module/impuse.scm 534 */
																				BgL_objectz00_bglt BgL_arg1858z00_2158;

																				BgL_arg1858z00_2158 =
																					(BgL_objectz00_bglt) (BgL_pz00_1477);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Module/impuse.scm 534 */
																						long BgL_idxz00_2164;

																						BgL_idxz00_2164 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1858z00_2158);
																						BgL_test2341z00_3690 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2164 + 2L)) ==
																							BgL_classz00_2156);
																					}
																				else
																					{	/* Module/impuse.scm 534 */
																						bool_t BgL_res2105z00_2189;

																						{	/* Module/impuse.scm 534 */
																							obj_t BgL_oclassz00_2172;

																							{	/* Module/impuse.scm 534 */
																								obj_t BgL_arg1866z00_2180;
																								long BgL_arg1867z00_2181;

																								BgL_arg1866z00_2180 =
																									(BGl_za2classesza2z00zz__objectz00);
																								{	/* Module/impuse.scm 534 */
																									long BgL_arg1869z00_2182;

																									BgL_arg1869z00_2182 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1858z00_2158);
																									BgL_arg1867z00_2181 =
																										(BgL_arg1869z00_2182 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2172 =
																									VECTOR_REF
																									(BgL_arg1866z00_2180,
																									BgL_arg1867z00_2181);
																							}
																							{	/* Module/impuse.scm 534 */
																								bool_t BgL__ortest_1115z00_2173;

																								BgL__ortest_1115z00_2173 =
																									(BgL_classz00_2156 ==
																									BgL_oclassz00_2172);
																								if (BgL__ortest_1115z00_2173)
																									{	/* Module/impuse.scm 534 */
																										BgL_res2105z00_2189 =
																											BgL__ortest_1115z00_2173;
																									}
																								else
																									{	/* Module/impuse.scm 534 */
																										long BgL_odepthz00_2174;

																										{	/* Module/impuse.scm 534 */
																											obj_t BgL_arg1855z00_2175;

																											BgL_arg1855z00_2175 =
																												(BgL_oclassz00_2172);
																											BgL_odepthz00_2174 =
																												BGL_CLASS_DEPTH
																												(BgL_arg1855z00_2175);
																										}
																										if (
																											(2L < BgL_odepthz00_2174))
																											{	/* Module/impuse.scm 534 */
																												obj_t
																													BgL_arg1853z00_2177;
																												{	/* Module/impuse.scm 534 */
																													obj_t
																														BgL_arg1854z00_2178;
																													BgL_arg1854z00_2178 =
																														(BgL_oclassz00_2172);
																													BgL_arg1853z00_2177 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_arg1854z00_2178,
																														2L);
																												}
																												BgL_res2105z00_2189 =
																													(BgL_arg1853z00_2177
																													== BgL_classz00_2156);
																											}
																										else
																											{	/* Module/impuse.scm 534 */
																												BgL_res2105z00_2189 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2341z00_3690 =
																							BgL_res2105z00_2189;
																					}
																			}
																		else
																			{	/* Module/impuse.scm 534 */
																				BgL_test2341z00_3690 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2341z00_3690)
																		{	/* Module/impuse.scm 534 */
																			{	/* Module/impuse.scm 538 */
																				obj_t BgL_arg1948z00_1503;
																				obj_t BgL_arg1950z00_1504;

																				if (
																					(CAR(
																							((obj_t) BgL_protoz00_1466)) ==
																						((obj_t) CNST_TABLE_REF(19))))
																					{	/* Module/impuse.scm 539 */
																						obj_t BgL_arg1955z00_1507;

																						BgL_arg1955z00_1507 =
																							MAKE_YOUNG_PAIR(BgL_idz00_1468,
																							((obj_t) CNST_TABLE_REF(19)));
																						BgL_arg1948z00_1503 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1955z00_1507,
																							BgL_inlinez00_1470);
																					}
																				else
																					{	/* Module/impuse.scm 538 */
																						BgL_arg1948z00_1503 =
																							BgL_inlinez00_1470;
																					}
																				BgL_arg1950z00_1504 =
																					bgl_remq_bang(BgL_cz00_1476,
																					BgL_wantedz00_1474);
																				{
																					obj_t BgL_wantedz00_3725;
																					obj_t BgL_inlinez00_3724;

																					BgL_inlinez00_3724 =
																						BgL_arg1948z00_1503;
																					BgL_wantedz00_3725 =
																						BgL_arg1950z00_1504;
																					BgL_wantedz00_1474 =
																						BgL_wantedz00_3725;
																					BgL_inlinez00_1470 =
																						BgL_inlinez00_3724;
																					goto
																						BgL_zc3z04anonymousza31930ze3z87_1475;
																				}
																			}
																		}
																	else
																		{	/* Module/impuse.scm 534 */
																			bool_t BgL_test2347z00_3726;

																			{	/* Module/impuse.scm 534 */
																				obj_t BgL_classz00_2190;

																				BgL_classz00_2190 =
																					BGl_typez00zztype_typez00;
																				if (BGL_OBJECTP(BgL_pz00_1477))
																					{	/* Module/impuse.scm 534 */
																						BgL_objectz00_bglt
																							BgL_arg1858z00_2192;
																						BgL_arg1858z00_2192 =
																							(BgL_objectz00_bglt)
																							(BgL_pz00_1477);
																						if (BGL_CONDEXPAND_ISA_ARCH64())
																							{	/* Module/impuse.scm 534 */
																								long BgL_idxz00_2198;

																								BgL_idxz00_2198 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1858z00_2192);
																								BgL_test2347z00_3726 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_2198 + 1L)) ==
																									BgL_classz00_2190);
																							}
																						else
																							{	/* Module/impuse.scm 534 */
																								bool_t BgL_res2106z00_2223;

																								{	/* Module/impuse.scm 534 */
																									obj_t BgL_oclassz00_2206;

																									{	/* Module/impuse.scm 534 */
																										obj_t BgL_arg1866z00_2214;
																										long BgL_arg1867z00_2215;

																										BgL_arg1866z00_2214 =
																											(BGl_za2classesza2z00zz__objectz00);
																										{	/* Module/impuse.scm 534 */
																											long BgL_arg1869z00_2216;

																											BgL_arg1869z00_2216 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1858z00_2192);
																											BgL_arg1867z00_2215 =
																												(BgL_arg1869z00_2216 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_2206 =
																											VECTOR_REF
																											(BgL_arg1866z00_2214,
																											BgL_arg1867z00_2215);
																									}
																									{	/* Module/impuse.scm 534 */
																										bool_t
																											BgL__ortest_1115z00_2207;
																										BgL__ortest_1115z00_2207 =
																											(BgL_classz00_2190 ==
																											BgL_oclassz00_2206);
																										if (BgL__ortest_1115z00_2207)
																											{	/* Module/impuse.scm 534 */
																												BgL_res2106z00_2223 =
																													BgL__ortest_1115z00_2207;
																											}
																										else
																											{	/* Module/impuse.scm 534 */
																												long BgL_odepthz00_2208;

																												{	/* Module/impuse.scm 534 */
																													obj_t
																														BgL_arg1855z00_2209;
																													BgL_arg1855z00_2209 =
																														(BgL_oclassz00_2206);
																													BgL_odepthz00_2208 =
																														BGL_CLASS_DEPTH
																														(BgL_arg1855z00_2209);
																												}
																												if (
																													(1L <
																														BgL_odepthz00_2208))
																													{	/* Module/impuse.scm 534 */
																														obj_t
																															BgL_arg1853z00_2211;
																														{	/* Module/impuse.scm 534 */
																															obj_t
																																BgL_arg1854z00_2212;
																															BgL_arg1854z00_2212
																																=
																																(BgL_oclassz00_2206);
																															BgL_arg1853z00_2211
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_arg1854z00_2212,
																																1L);
																														}
																														BgL_res2106z00_2223
																															=
																															(BgL_arg1853z00_2211
																															==
																															BgL_classz00_2190);
																													}
																												else
																													{	/* Module/impuse.scm 534 */
																														BgL_res2106z00_2223
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_test2347z00_3726 =
																									BgL_res2106z00_2223;
																							}
																					}
																				else
																					{	/* Module/impuse.scm 534 */
																						BgL_test2347z00_3726 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2347z00_3726)
																				{	/* Module/impuse.scm 534 */
																					{
																						obj_t BgL_wantedz00_3749;

																						BgL_wantedz00_3749 =
																							bgl_remq_bang(BgL_cz00_1476,
																							BgL_wantedz00_1474);
																						BgL_wantedz00_1474 =
																							BgL_wantedz00_3749;
																						goto
																							BgL_zc3z04anonymousza31930ze3z87_1475;
																					}
																				}
																			else
																				{	/* Module/impuse.scm 534 */
																					if (PAIRP(BgL_pz00_1477))
																						{	/* Module/impuse.scm 534 */
																							if (
																								(CAR(
																										((obj_t) BgL_pz00_1477)) ==
																									((obj_t) CNST_TABLE_REF(27))))
																								{	/* Module/impuse.scm 534 */
																									obj_t BgL_arg1936z00_1493;

																									BgL_arg1936z00_1493 =
																										CDR(
																										((obj_t) BgL_pz00_1477));
																									BgL_macz00_1480 =
																										BgL_arg1936z00_1493;
																									{	/* Module/impuse.scm 549 */
																										obj_t BgL_arg1960z00_1510;
																										obj_t BgL_arg1961z00_1511;

																										BgL_arg1960z00_1510 =
																											MAKE_YOUNG_PAIR
																											(BgL_macz00_1480,
																											BgL_macroz00_1471);
																										BgL_arg1961z00_1511 =
																											bgl_remq_bang
																											(BgL_cz00_1476,
																											BgL_wantedz00_1474);
																										{
																											obj_t BgL_wantedz00_3764;
																											obj_t BgL_macroz00_3763;

																											BgL_macroz00_3763 =
																												BgL_arg1960z00_1510;
																											BgL_wantedz00_3764 =
																												BgL_arg1961z00_1511;
																											BgL_wantedz00_1474 =
																												BgL_wantedz00_3764;
																											BgL_macroz00_1471 =
																												BgL_macroz00_3763;
																											goto
																												BgL_zc3z04anonymousza31930ze3z87_1475;
																										}
																									}
																								}
																							else
																								{	/* Module/impuse.scm 534 */
																									if (
																										(CAR(
																												((obj_t) BgL_pz00_1477))
																											==
																											((obj_t)
																												CNST_TABLE_REF(28))))
																										{	/* Module/impuse.scm 534 */
																											obj_t BgL_arg1940z00_1496;

																											BgL_arg1940z00_1496 =
																												CDR(
																												((obj_t)
																													BgL_pz00_1477));
																											BgL_synz00_1482 =
																												BgL_arg1940z00_1496;
																											{	/* Module/impuse.scm 553 */
																												obj_t
																													BgL_arg1962z00_1512;
																												obj_t
																													BgL_arg1963z00_1513;
																												BgL_arg1962z00_1512 =
																													MAKE_YOUNG_PAIR
																													(BgL_synz00_1482,
																													BgL_syntaxz00_1472);
																												BgL_arg1963z00_1513 =
																													bgl_remq_bang
																													(BgL_cz00_1476,
																													BgL_wantedz00_1474);
																												{
																													obj_t
																														BgL_wantedz00_3776;
																													obj_t
																														BgL_syntaxz00_3775;
																													BgL_syntaxz00_3775 =
																														BgL_arg1962z00_1512;
																													BgL_wantedz00_3776 =
																														BgL_arg1963z00_1513;
																													BgL_wantedz00_1474 =
																														BgL_wantedz00_3776;
																													BgL_syntaxz00_1472 =
																														BgL_syntaxz00_3775;
																													goto
																														BgL_zc3z04anonymousza31930ze3z87_1475;
																												}
																											}
																										}
																									else
																										{	/* Module/impuse.scm 534 */
																											if (
																												(CAR(
																														((obj_t)
																															BgL_pz00_1477)) ==
																													((obj_t)
																														CNST_TABLE_REF
																														(29))))
																												{	/* Module/impuse.scm 534 */
																													obj_t
																														BgL_arg1944z00_1499;
																													BgL_arg1944z00_1499 =
																														CDR(((obj_t)
																															BgL_pz00_1477));
																													BgL_expz00_1484 =
																														BgL_arg1944z00_1499;
																													{	/* Module/impuse.scm 558 */
																														obj_t
																															BgL_arg1965z00_1514;
																														obj_t
																															BgL_arg1966z00_1515;
																														BgL_arg1965z00_1514
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_expz00_1484,
																															BgL_expanderz00_1473);
																														BgL_arg1966z00_1515
																															=
																															bgl_remq_bang
																															(BgL_cz00_1476,
																															BgL_wantedz00_1474);
																														{
																															obj_t
																																BgL_wantedz00_3788;
																															obj_t
																																BgL_expanderz00_3787;
																															BgL_expanderz00_3787
																																=
																																BgL_arg1965z00_1514;
																															BgL_wantedz00_3788
																																=
																																BgL_arg1966z00_1515;
																															BgL_wantedz00_1474
																																=
																																BgL_wantedz00_3788;
																															BgL_expanderz00_1473
																																=
																																BgL_expanderz00_3787;
																															goto
																																BgL_zc3z04anonymousza31930ze3z87_1475;
																														}
																													}
																												}
																											else
																												{	/* Module/impuse.scm 534 */
																												BgL_tagzd2411zd2_1486:
																													{
																														obj_t
																															BgL_wantedz00_3789;
																														BgL_wantedz00_3789 =
																															bgl_remq_bang
																															(BgL_cz00_1476,
																															BgL_wantedz00_1474);
																														BgL_wantedz00_1474 =
																															BgL_wantedz00_3789;
																														goto
																															BgL_zc3z04anonymousza31930ze3z87_1475;
																													}
																												}
																										}
																								}
																						}
																					else
																						{	/* Module/impuse.scm 534 */
																							goto BgL_tagzd2411zd2_1486;
																						}
																				}
																		}
																}
															}
														}
													else
														{	/* Module/impuse.scm 530 */
															obj_t BgL_arg1973z00_1522;

															BgL_arg1973z00_1522 =
																CDR(((obj_t) BgL_providedz00_1429));
															{
																obj_t BgL_wantedz00_3798;
																obj_t BgL_expanderz00_3797;
																obj_t BgL_syntaxz00_3796;
																obj_t BgL_macroz00_3795;
																obj_t BgL_inlinez00_3794;
																obj_t BgL_providedz00_3793;

																BgL_providedz00_3793 = BgL_arg1973z00_1522;
																BgL_inlinez00_3794 = BgL_inlinez00_1470;
																BgL_macroz00_3795 = BgL_macroz00_1471;
																BgL_syntaxz00_3796 = BgL_syntaxz00_1472;
																BgL_expanderz00_3797 = BgL_expanderz00_1473;
																BgL_wantedz00_3798 = BgL_wantedz00_1474;
																BgL_wantedz00_1434 = BgL_wantedz00_3798;
																BgL_expanderz00_1433 = BgL_expanderz00_3797;
																BgL_syntaxz00_1432 = BgL_syntaxz00_3796;
																BgL_macroz00_1431 = BgL_macroz00_3795;
																BgL_inlinez00_1430 = BgL_inlinez00_3794;
																BgL_providedz00_1429 = BgL_providedz00_3793;
																goto BgL_zc3z04anonymousza31913ze3z87_1435;
															}
														}
												}
											}
										}
									else
										{	/* Module/impuse.scm 563 */
											obj_t BgL_arg1978z00_1527;

											BgL_arg1978z00_1527 = CDR(((obj_t) BgL_providedz00_1429));
											{
												obj_t BgL_providedz00_3801;

												BgL_providedz00_3801 = BgL_arg1978z00_1527;
												BgL_providedz00_1429 = BgL_providedz00_3801;
												goto BgL_zc3z04anonymousza31913ze3z87_1435;
											}
										}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			{	/* Module/impuse.scm 44 */
				obj_t BgL_arg1983z00_1533;
				obj_t BgL_arg1984z00_1534;

				{	/* Module/impuse.scm 44 */
					obj_t BgL_v1227z00_1556;

					BgL_v1227z00_1556 = create_vector(12L);
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg1990z00_1557;

						BgL_arg1990z00_1557 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(9)), BGl_proc2133z00zzmodule_impusez00,
							BGl_proc2132z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(30)));
						VECTOR_SET(BgL_v1227z00_1556, 0L, BgL_arg1990z00_1557);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg1998z00_1567;

						BgL_arg1998z00_1567 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(31)), BGl_proc2136z00zzmodule_impusez00,
							BGl_proc2135z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2134z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(32)));
						VECTOR_SET(BgL_v1227z00_1556, 1L, BgL_arg1998z00_1567);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2005z00_1580;

						BgL_arg2005z00_1580 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(33)), BGl_proc2139z00zzmodule_impusez00,
							BGl_proc2138z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2137z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(30)));
						VECTOR_SET(BgL_v1227z00_1556, 2L, BgL_arg2005z00_1580);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2012z00_1593;

						BgL_arg2012z00_1593 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(34)), BGl_proc2142z00zzmodule_impusez00,
							BGl_proc2141z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2140z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 3L, BgL_arg2012z00_1593);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2019z00_1606;

						BgL_arg2019z00_1606 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(36)), BGl_proc2145z00zzmodule_impusez00,
							BGl_proc2144z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2143z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 4L, BgL_arg2019z00_1606);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2027z00_1619;

						BgL_arg2027z00_1619 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(37)), BGl_proc2148z00zzmodule_impusez00,
							BGl_proc2147z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2146z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 5L, BgL_arg2027z00_1619);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2035z00_1632;

						BgL_arg2035z00_1632 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(38)), BGl_proc2150z00zzmodule_impusez00,
							BGl_proc2149z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 6L, BgL_arg2035z00_1632);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2041z00_1642;

						BgL_arg2041z00_1642 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(39)), BGl_proc2152z00zzmodule_impusez00,
							BGl_proc2151z00zzmodule_impusez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 7L, BgL_arg2041z00_1642);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2046z00_1652;

						BgL_arg2046z00_1652 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(40)), BGl_proc2155z00zzmodule_impusez00,
							BGl_proc2154z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2153z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 8L, BgL_arg2046z00_1652);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2054z00_1665;

						BgL_arg2054z00_1665 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(41)), BGl_proc2158z00zzmodule_impusez00,
							BGl_proc2157z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2156z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(42)));
						VECTOR_SET(BgL_v1227z00_1556, 9L, BgL_arg2054z00_1665);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2063z00_1678;

						BgL_arg2063z00_1678 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(43)), BGl_proc2161z00zzmodule_impusez00,
							BGl_proc2160z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2159z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 10L, BgL_arg2063z00_1678);
					}
					{	/* Module/impuse.scm 44 */
						obj_t BgL_arg2070z00_1691;

						BgL_arg2070z00_1691 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(44)), BGl_proc2164z00zzmodule_impusez00,
							BGl_proc2163z00zzmodule_impusez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2162z00zzmodule_impusez00,
							((obj_t) CNST_TABLE_REF(35)));
						VECTOR_SET(BgL_v1227z00_1556, 11L, BgL_arg2070z00_1691);
					}
					BgL_arg1983z00_1533 = BgL_v1227z00_1556;
				}
				{	/* Module/impuse.scm 44 */
					obj_t BgL_v1228z00_1704;

					BgL_v1228z00_1704 = create_vector(0L);
					BgL_arg1984z00_1534 = BgL_v1228z00_1704;
				}
				return (BGl_importz00zzmodule_impusez00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(0)),
						((obj_t)
							CNST_TABLE_REF(45)), BGl_objectz00zz__objectz00, 34362L,
						BGl_proc2167z00zzmodule_impusez00,
						BGl_proc2166z00zzmodule_impusez00, BFALSE,
						BGl_proc2165z00zzmodule_impusez00, BFALSE, BgL_arg1983z00_1533,
						BgL_arg1984z00_1534), BUNSPEC);
			}
		}

	}



/* &<@anonymous:1989> */
	obj_t BGl_z62zc3z04anonymousza31989ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2437, obj_t BgL_new1079z00_2438)
	{
		{	/* Module/impuse.scm 44 */
			{
				BgL_importz00_bglt BgL_auxz00_3881;

				((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_new1079z00_2438)))->BgL_modulez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(46))), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_numberz00) =
					((long) 0L), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_modez00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(46))), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_aliasesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_checksumz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_declz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_providez00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_codez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_importz00_bglt) COBJECT(((BgL_importz00_bglt)
									BgL_new1079z00_2438)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3881 = ((BgL_importz00_bglt) BgL_new1079z00_2438);
				return ((obj_t) BgL_auxz00_3881);
			}
		}

	}



/* &lambda1987 */
	BgL_importz00_bglt BGl_z62lambda1987z62zzmodule_impusez00(obj_t
		BgL_envz00_2439)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				BgL_importz00_bglt BgL_new1078z00_2543;

				BgL_new1078z00_2543 =
					((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_importz00_bgl))));
				{	/* Module/impuse.scm 44 */
					long BgL_arg1988z00_2544;

					BgL_arg1988z00_2544 = BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_2543), BgL_arg1988z00_2544);
				}
				return BgL_new1078z00_2543;
			}
		}

	}



/* &lambda1985 */
	BgL_importz00_bglt BGl_z62lambda1985z62zzmodule_impusez00(obj_t
		BgL_envz00_2440, obj_t BgL_module1066z00_2441, obj_t BgL_number1067z00_2442,
		obj_t BgL_mode1068z00_2443, obj_t BgL_vars1069z00_2444,
		obj_t BgL_aliases1070z00_2445, obj_t BgL_checksum1071z00_2446,
		obj_t BgL_loc1072z00_2447, obj_t BgL_src1073z00_2448,
		obj_t BgL_decl1074z00_2449, obj_t BgL_provide1075z00_2450,
		obj_t BgL_code1076z00_2451, obj_t BgL_access1077z00_2452)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				long BgL_number1067z00_2546;

				BgL_number1067z00_2546 = (long) CINT(BgL_number1067z00_2442);
				{	/* Module/impuse.scm 44 */
					BgL_importz00_bglt BgL_new1126z00_2549;

					{	/* Module/impuse.scm 44 */
						BgL_importz00_bglt BgL_new1125z00_2550;

						BgL_new1125z00_2550 =
							((BgL_importz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_importz00_bgl))));
						{	/* Module/impuse.scm 44 */
							long BgL_arg1986z00_2551;

							BgL_arg1986z00_2551 =
								BGL_CLASS_NUM(BGl_importz00zzmodule_impusez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1125z00_2550),
								BgL_arg1986z00_2551);
						}
						BgL_new1126z00_2549 = BgL_new1125z00_2550;
					}
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_modulez00) =
						((obj_t) ((obj_t) BgL_module1066z00_2441)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_numberz00) = ((long) BgL_number1067z00_2546), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_modez00) =
						((obj_t) ((obj_t) BgL_mode1068z00_2443)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_varsz00) =
						((obj_t) BgL_vars1069z00_2444), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_aliasesz00) = ((obj_t) BgL_aliases1070z00_2445), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_checksumz00) = ((obj_t) BgL_checksum1071z00_2446), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_locz00) =
						((obj_t) BgL_loc1072z00_2447), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_srcz00) =
						((obj_t) BgL_src1073z00_2448), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_declz00) =
						((obj_t) BgL_decl1074z00_2449), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_providez00) =
						((obj_t) ((obj_t) BgL_provide1075z00_2450)), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->BgL_codez00) =
						((obj_t) BgL_code1076z00_2451), BUNSPEC);
					((((BgL_importz00_bglt) COBJECT(BgL_new1126z00_2549))->
							BgL_accessz00) = ((obj_t) BgL_access1077z00_2452), BUNSPEC);
					return BgL_new1126z00_2549;
				}
			}
		}

	}



/* &<@anonymous:2076> */
	obj_t BGl_z62zc3z04anonymousza32076ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2453)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2075 */
	obj_t BGl_z62lambda2075z62zzmodule_impusez00(obj_t BgL_envz00_2454,
		obj_t BgL_oz00_2455, obj_t BgL_vz00_2456)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2455)))->BgL_accessz00) =
				((obj_t) BgL_vz00_2456), BUNSPEC);
		}

	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zzmodule_impusez00(obj_t BgL_envz00_2457,
		obj_t BgL_oz00_2458)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2458)))->BgL_accessz00);
		}

	}



/* &<@anonymous:2069> */
	obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2459)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zzmodule_impusez00(obj_t BgL_envz00_2460,
		obj_t BgL_oz00_2461, obj_t BgL_vz00_2462)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2461)))->BgL_codez00) =
				((obj_t) BgL_vz00_2462), BUNSPEC);
		}

	}



/* &lambda2067 */
	obj_t BGl_z62lambda2067z62zzmodule_impusez00(obj_t BgL_envz00_2463,
		obj_t BgL_oz00_2464)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2464)))->BgL_codez00);
		}

	}



/* &<@anonymous:2061> */
	obj_t BGl_z62zc3z04anonymousza32061ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2465)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2060 */
	obj_t BGl_z62lambda2060z62zzmodule_impusez00(obj_t BgL_envz00_2466,
		obj_t BgL_oz00_2467, obj_t BgL_vz00_2468)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2467)))->BgL_providez00) = ((obj_t)
					((obj_t) BgL_vz00_2468)), BUNSPEC);
		}

	}



/* &lambda2059 */
	obj_t BGl_z62lambda2059z62zzmodule_impusez00(obj_t BgL_envz00_2469,
		obj_t BgL_oz00_2470)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2470)))->BgL_providez00);
		}

	}



/* &<@anonymous:2053> */
	obj_t BGl_z62zc3z04anonymousza32053ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2471)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zzmodule_impusez00(obj_t BgL_envz00_2472,
		obj_t BgL_oz00_2473, obj_t BgL_vz00_2474)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2473)))->BgL_declz00) =
				((obj_t) BgL_vz00_2474), BUNSPEC);
		}

	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zzmodule_impusez00(obj_t BgL_envz00_2475,
		obj_t BgL_oz00_2476)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2476)))->BgL_declz00);
		}

	}



/* &lambda2045 */
	obj_t BGl_z62lambda2045z62zzmodule_impusez00(obj_t BgL_envz00_2477,
		obj_t BgL_oz00_2478, obj_t BgL_vz00_2479)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2478)))->BgL_srcz00) =
				((obj_t) BgL_vz00_2479), BUNSPEC);
		}

	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zzmodule_impusez00(obj_t BgL_envz00_2480,
		obj_t BgL_oz00_2481)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2481)))->BgL_srcz00);
		}

	}



/* &lambda2040 */
	obj_t BGl_z62lambda2040z62zzmodule_impusez00(obj_t BgL_envz00_2482,
		obj_t BgL_oz00_2483, obj_t BgL_vz00_2484)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2483)))->BgL_locz00) =
				((obj_t) BgL_vz00_2484), BUNSPEC);
		}

	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zzmodule_impusez00(obj_t BgL_envz00_2485,
		obj_t BgL_oz00_2486)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2486)))->BgL_locz00);
		}

	}



/* &<@anonymous:2034> */
	obj_t BGl_z62zc3z04anonymousza32034ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2487)
	{
		{	/* Module/impuse.scm 44 */
			return BUNSPEC;
		}

	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zzmodule_impusez00(obj_t BgL_envz00_2488,
		obj_t BgL_oz00_2489, obj_t BgL_vz00_2490)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2489)))->BgL_checksumz00) =
				((obj_t) BgL_vz00_2490), BUNSPEC);
		}

	}



/* &lambda2032 */
	obj_t BGl_z62lambda2032z62zzmodule_impusez00(obj_t BgL_envz00_2491,
		obj_t BgL_oz00_2492)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2492)))->BgL_checksumz00);
		}

	}



/* &<@anonymous:2026> */
	obj_t BGl_z62zc3z04anonymousza32026ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2493)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zzmodule_impusez00(obj_t BgL_envz00_2494,
		obj_t BgL_oz00_2495, obj_t BgL_vz00_2496)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2495)))->BgL_aliasesz00) =
				((obj_t) BgL_vz00_2496), BUNSPEC);
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zzmodule_impusez00(obj_t BgL_envz00_2497,
		obj_t BgL_oz00_2498)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2498)))->BgL_aliasesz00);
		}

	}



/* &<@anonymous:2018> */
	obj_t BGl_z62zc3z04anonymousza32018ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2499)
	{
		{	/* Module/impuse.scm 44 */
			return BNIL;
		}

	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zzmodule_impusez00(obj_t BgL_envz00_2500,
		obj_t BgL_oz00_2501, obj_t BgL_vz00_2502)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2501)))->BgL_varsz00) =
				((obj_t) BgL_vz00_2502), BUNSPEC);
		}

	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zzmodule_impusez00(obj_t BgL_envz00_2503,
		obj_t BgL_oz00_2504)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2504)))->BgL_varsz00);
		}

	}



/* &<@anonymous:2011> */
	obj_t BGl_z62zc3z04anonymousza32011ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2505)
	{
		{	/* Module/impuse.scm 44 */
			return ((obj_t) CNST_TABLE_REF(0));
		}

	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zzmodule_impusez00(obj_t BgL_envz00_2506,
		obj_t BgL_oz00_2507, obj_t BgL_vz00_2508)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2507)))->BgL_modez00) = ((obj_t)
					((obj_t) BgL_vz00_2508)), BUNSPEC);
		}

	}



/* &lambda2009 */
	obj_t BGl_z62lambda2009z62zzmodule_impusez00(obj_t BgL_envz00_2509,
		obj_t BgL_oz00_2510)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2510)))->BgL_modez00);
		}

	}



/* &<@anonymous:2004> */
	obj_t BGl_z62zc3z04anonymousza32004ze3ze5zzmodule_impusez00(obj_t
		BgL_envz00_2511)
	{
		{	/* Module/impuse.scm 44 */
			return BINT((-1L));
		}

	}



/* &lambda2003 */
	obj_t BGl_z62lambda2003z62zzmodule_impusez00(obj_t BgL_envz00_2512,
		obj_t BgL_oz00_2513, obj_t BgL_vz00_2514)
	{
		{	/* Module/impuse.scm 44 */
			{	/* Module/impuse.scm 44 */
				long BgL_vz00_2575;

				BgL_vz00_2575 = (long) CINT(BgL_vz00_2514);
				return
					((((BgL_importz00_bglt) COBJECT(
								((BgL_importz00_bglt) BgL_oz00_2513)))->BgL_numberz00) =
					((long) BgL_vz00_2575), BUNSPEC);
		}}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zzmodule_impusez00(obj_t BgL_envz00_2515,
		obj_t BgL_oz00_2516)
	{
		{	/* Module/impuse.scm 44 */
			return
				BINT(
				(((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2516)))->BgL_numberz00));
		}

	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zzmodule_impusez00(obj_t BgL_envz00_2517,
		obj_t BgL_oz00_2518, obj_t BgL_vz00_2519)
	{
		{	/* Module/impuse.scm 44 */
			return
				((((BgL_importz00_bglt) COBJECT(
							((BgL_importz00_bglt) BgL_oz00_2518)))->BgL_modulez00) = ((obj_t)
					((obj_t) BgL_vz00_2519)), BUNSPEC);
		}

	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zzmodule_impusez00(obj_t BgL_envz00_2520,
		obj_t BgL_oz00_2521)
	{
		{	/* Module/impuse.scm 44 */
			return
				(((BgL_importz00_bglt) COBJECT(
						((BgL_importz00_bglt) BgL_oz00_2521)))->BgL_modulez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_impusez00(void)
	{
		{	/* Module/impuse.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(95801752L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_prototypez00(499400840L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(153808441L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(184800657L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzmodule_checksumz00(457474182L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(301998274L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_accessz00(11403588L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzread_inlinez00(500058826L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(502577483L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(288050968L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_epsz00(359337187L,
				BSTRING_TO_STRING(BGl_string2168z00zzmodule_impusez00));
		}

	}

#ifdef __cplusplus
}
#endif
