/*===========================================================================*/
/*   (Object/slots.scm)                                                      */
/*   Bigloo (4.6a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Jan 27 07:45:49 AM CET 2025     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.6a/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.6a/lib/bigloo/4.6a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Object/slots.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_OBJECT_SLOTS_TYPE_DEFINITIONS
#define BGL_OBJECT_SLOTS_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_nullz00;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_qualifiedzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


#endif													// BGL_OBJECT_SLOTS_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62lambda1927z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1928z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1848z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1849z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1936z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1857z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt, obj_t, obj_t,
		int, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzobject_slotsz00(obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1873z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1874z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t);
	static obj_t BGl_z62lambda1883z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1884z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_slotzd2inlinezd2markz00zzobject_slotsz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1890z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1891z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda1897z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1898z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_slotsz00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_slotz00zzobject_slotsz00 = BUNSPEC;
	extern obj_t BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00;
	static obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_slotsz00(void);
	static BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t bgl_long_to_bignum(long);
	static obj_t
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t,
		obj_t, obj_t, obj_t, long, obj_t, bool_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_idzd2ze3namez31zzast_identz00(obj_t);
	static obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	static BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzobject_slotsz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_slotsz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00(void);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62shapezd2slot1170zb0zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzobject_slotsz00(obj_t);
	static obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	static BgL_slotz00_bglt BGl_z62lambda1802z62zzobject_slotsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzobject_slotsz00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static BgL_slotz00_bglt BGl_z62lambda1804z62zzobject_slotsz00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00(void);
	static obj_t BGl_z62lambda1822z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1823z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1904z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1905z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62lambda1911z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1912z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1835z62zzobject_slotsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62lambda1836z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt);
	static obj_t BGl_z62lambda1919z62zzobject_slotsz00(obj_t, obj_t);
	static obj_t
		BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, long);
	static obj_t BGl_z62lambda1920z62zzobject_slotsz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[32];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2031z00zzobject_slotsz00,
		BgL_bgl_za762lambda1874za7622070z00, BGl_z62lambda1874z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2032z00zzobject_slotsz00,
		BgL_bgl_za762lambda1873za7622071z00, BGl_z62lambda1873z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2033z00zzobject_slotsz00,
		BgL_bgl_za762lambda1884za7622072z00, BGl_z62lambda1884z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2034z00zzobject_slotsz00,
		BgL_bgl_za762lambda1883za7622073z00, BGl_z62lambda1883z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2035z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2074za7,
		BGl_z62zc3z04anonymousza31892ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2036z00zzobject_slotsz00,
		BgL_bgl_za762lambda1891za7622075z00, BGl_z62lambda1891z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2037z00zzobject_slotsz00,
		BgL_bgl_za762lambda1890za7622076z00, BGl_z62lambda1890z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2038z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2077za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2039z00zzobject_slotsz00,
		BgL_bgl_za762lambda1898za7622078z00, BGl_z62lambda1898z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2getterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2079z00,
		BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2040z00zzobject_slotsz00,
		BgL_bgl_za762lambda1897za7622080z00, BGl_z62lambda1897z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2041z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2081za7,
		BGl_z62zc3z04anonymousza31906ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2042z00zzobject_slotsz00,
		BgL_bgl_za762lambda1905za7622082z00, BGl_z62lambda1905z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2043z00zzobject_slotsz00,
		BgL_bgl_za762lambda1904za7622083z00, BGl_z62lambda1904z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2044z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2084za7,
		BGl_z62zc3z04anonymousza31913ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2045z00zzobject_slotsz00,
		BgL_bgl_za762lambda1912za7622085z00, BGl_z62lambda1912z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2046z00zzobject_slotsz00,
		BgL_bgl_za762lambda1911za7622086z00, BGl_z62lambda1911z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2047z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2087za7,
		BGl_z62zc3z04anonymousza31921ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2048z00zzobject_slotsz00,
		BgL_bgl_za762lambda1920za7622088z00, BGl_z62lambda1920z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2049z00zzobject_slotsz00,
		BgL_bgl_za762lambda1919za7622089z00, BGl_z62lambda1919z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2059z00zzobject_slotsz00,
		BgL_bgl_string2059za700za7za7o2090za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2050z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2091za7,
		BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2051z00zzobject_slotsz00,
		BgL_bgl_za762lambda1928za7622092z00, BGl_z62lambda1928z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2052z00zzobject_slotsz00,
		BgL_bgl_za762lambda1927za7622093z00, BGl_z62lambda1927z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2053z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2094za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2054z00zzobject_slotsz00,
		BgL_bgl_za762lambda1936za7622095z00, BGl_z62lambda1936z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2061z00zzobject_slotsz00,
		BgL_bgl_string2061za700za7za7o2096za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2055z00zzobject_slotsz00,
		BgL_bgl_za762lambda1935za7622097z00, BGl_z62lambda1935z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2062z00zzobject_slotsz00,
		BgL_bgl_string2062za700za7za7o2098za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2056z00zzobject_slotsz00,
		BgL_bgl_za762za7c3za704anonymo2099za7,
		BGl_z62zc3z04anonymousza31811ze3ze5zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2063z00zzobject_slotsz00,
		BgL_bgl_string2063za700za7za7o2100za7, " type: ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2057z00zzobject_slotsz00,
		BgL_bgl_za762lambda1804za7622101z00, BGl_z62lambda1804z62zzobject_slotsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2064z00zzobject_slotsz00,
		BgL_bgl_string2064za700za7za7o2102za7, " owner: ", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2058z00zzobject_slotsz00,
		BgL_bgl_za762lambda1802za7622103z00, BGl_z62lambda1802z62zzobject_slotsz00,
		0L, BUNSPEC, 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2slotzd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2slotza7b2104za7,
		BGl_z62makezd2slotzb0zzobject_slotsz00, 0L, BUNSPEC, 13);
	      DEFINE_STRING(BGl_string2065z00zzobject_slotsz00,
		BgL_bgl_string2065za700za7za7o2105za7, " (", 2);
	      DEFINE_STRING(BGl_string2066z00zzobject_slotsz00,
		BgL_bgl_string2066za700za7za7o2106za7, "(", 1);
	      DEFINE_STRING(BGl_string2067z00zzobject_slotsz00,
		BgL_bgl_string2067za700za7za7o2107za7, "object_slots", 12);
	      DEFINE_STRING(BGl_string2068z00zzobject_slotsz00,
		BgL_bgl_string2068za700za7za7o2108za7,
		"_ object_slots slot user-info setter getter virtual-override virtual-num default-value bool read-only? type long index class-owner obj src bstring name symbol static final - foreign read-only inline-default default info id #z1 set get ",
		235);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2localzd2virtualzd2slotszd2numberzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762getza7d2localza7d2109za7,
		BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2060z00zzobject_slotsz00,
		BgL_bgl_za762shapeza7d2slot12110z00,
		BGl_z62shapezd2slot1170zb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2javazd2classzd2slotszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2javaza7d2111za7,
		BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2nilzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nilza7b02112za7,
		BGl_z62slotzd2nilzb0zzobject_slotsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2getterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2getter2113z00,
		BGl_z62slotzd2getterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2virtualzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2114z00,
		BGl_z62slotzd2virtualzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2namezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2nameza7b2115za7,
		BGl_z62slotzd2namezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2setterzd2setz12zd2envzc0zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2116z00,
		BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2setz12zd2envz12zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2117z00,
		BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2srczd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2srcza7b02118za7,
		BGl_z62slotzd2srczb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2slotszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72119za7,
		BGl_z62makezd2classzd2slotsz62zzobject_slotsz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2classzd2ownerzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2classza72120za7,
		BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2typezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2typeza7b2121za7,
		BGl_z62slotzd2typezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2numzd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2122z00,
		BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2setterzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2setter2123z00,
		BGl_z62slotzd2setterzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2virtualzd2overridezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2virtua2124z00,
		BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2inlinezd2valuezd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2125z00,
		BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2typedzd2formalszd2envzd2zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72126za7,
		BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2userzd2infozd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2userza7d2127za7,
		BGl_z62slotzd2userzd2infoz62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7f3za791za7za7o2128za7,
		BGl_z62slotzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2classzd2makezd2formalszd2envz00zzobject_slotsz00,
		BgL_bgl_za762makeza7d2classza72129za7,
		BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2inlinezd2defaultzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2inline2130z00,
		BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2idzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2idza7b0za72131z00,
		BGl_z62slotzd2idzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2readzd2onlyzf3zd2envz21zzobject_slotsz00,
		BgL_bgl_za762slotza7d2readza7d2132za7,
		BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2indexzd2envz00zzobject_slotsz00,
		BgL_bgl_za762slotza7d2indexza72133za7,
		BGl_z62slotzd2indexzb0zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2015z00zzobject_slotsz00,
		BgL_bgl_string2015za700za7za7o2134za7, "Can't find type definition", 26);
	      DEFINE_STRING(BGl_string2016z00zzobject_slotsz00,
		BgL_bgl_string2016za700za7za7o2135za7,
		"slot already defined in super class", 35);
	      DEFINE_STRING(BGl_string2017z00zzobject_slotsz00,
		BgL_bgl_string2017za700za7za7o2136za7, "Illegal slot", 12);
	      DEFINE_STRING(BGl_string2018z00zzobject_slotsz00,
		BgL_bgl_string2018za700za7za7o2137za7, "Illegal duplicated virtual slot",
		31);
	      DEFINE_STRING(BGl_string2019z00zzobject_slotsz00,
		BgL_bgl_string2019za700za7za7o2138za7, "Overriden \"~a\" virtual slot", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_slotzd2defaultzf3zd2envzf3zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2139z00,
		BGl_z62slotzd2defaultzf3z43zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2020z00zzobject_slotsz00,
		BgL_bgl_string2020za700za7za7o2140za7,
		"Illegal virtual slot (missing getter)", 37);
	      DEFINE_STRING(BGl_string2021z00zzobject_slotsz00,
		BgL_bgl_string2021za700za7za7o2141za7, "Illegal virtual slot (read-only)",
		32);
	      DEFINE_STRING(BGl_string2022z00zzobject_slotsz00,
		BgL_bgl_string2022za700za7za7o2142za7,
		"Illegal virtual slot (missing setter)", 37);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2023z00zzobject_slotsz00,
		BgL_bgl_za762lambda1823za7622143z00, BGl_z62lambda1823z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2024z00zzobject_slotsz00,
		BgL_bgl_za762lambda1822za7622144z00, BGl_z62lambda1822z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2025z00zzobject_slotsz00,
		BgL_bgl_za762lambda1836za7622145z00, BGl_z62lambda1836z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2026z00zzobject_slotsz00,
		BgL_bgl_za762lambda1835za7622146z00, BGl_z62lambda1835z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2027z00zzobject_slotsz00,
		BgL_bgl_za762lambda1849za7622147z00, BGl_z62lambda1849z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2028z00zzobject_slotsz00,
		BgL_bgl_za762lambda1848za7622148z00, BGl_z62lambda1848z62zzobject_slotsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2029z00zzobject_slotsz00,
		BgL_bgl_za762lambda1858za7622149z00, BGl_z62lambda1858z62zzobject_slotsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_slotzd2defaultzd2valuezd2envzd2zzobject_slotsz00,
		BgL_bgl_za762slotza7d2defaul2150z00,
		BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2030z00zzobject_slotsz00,
		BgL_bgl_za762lambda1857za7622151z00, BGl_z62lambda1857z62zzobject_slotsz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotzd2inlinezd2markz00zzobject_slotsz00));
		     ADD_ROOT((void *) (&BGl_slotz00zzobject_slotsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long
		BgL_checksumz00_2337, char *BgL_fromz00_2338)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_slotsz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_slotsz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzobject_slotsz00();
					BGl_libraryzd2moduleszd2initz00zzobject_slotsz00();
					BGl_cnstzd2initzd2zzobject_slotsz00();
					BGl_importedzd2moduleszd2initz00zzobject_slotsz00();
					BGl_objectzd2initzd2zzobject_slotsz00();
					BGl_methodzd2initzd2zzobject_slotsz00();
					return BGl_toplevelzd2initzd2zzobject_slotsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__bignumz00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "object_slots");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"object_slots");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 15 */
				obj_t BgL_cportz00_2248;

				{	/* Object/slots.scm 15 */
					obj_t BgL_stringz00_2255;

					BgL_stringz00_2255 = BGl_string2068z00zzobject_slotsz00;
					{	/* Object/slots.scm 15 */
						obj_t BgL_startz00_2256;

						BgL_startz00_2256 = BINT(0L);
						{	/* Object/slots.scm 15 */
							obj_t BgL_endz00_2257;

							BgL_endz00_2257 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2255)));
							{	/* Object/slots.scm 15 */

								BgL_cportz00_2248 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2255, BgL_startz00_2256, BgL_endz00_2257);
				}}}}
				{
					long BgL_iz00_2249;

					BgL_iz00_2249 = 31L;
				BgL_loopz00_2250:
					if ((BgL_iz00_2249 == (-1L)))
						{	/* Object/slots.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/slots.scm 15 */
							{	/* Object/slots.scm 15 */
								obj_t BgL_arg2069z00_2251;

								{	/* Object/slots.scm 15 */

									{	/* Object/slots.scm 15 */
										obj_t BgL_locationz00_2253;

										BgL_locationz00_2253 = BBOOL(((bool_t) 0));
										{	/* Object/slots.scm 15 */

											BgL_arg2069z00_2251 =
												BGl_readz00zz__readerz00(BgL_cportz00_2248,
												BgL_locationz00_2253);
										}
									}
								}
								{	/* Object/slots.scm 15 */
									int BgL_tmpz00_2372;

									BgL_tmpz00_2372 = (int) (BgL_iz00_2249);
									CNST_TABLE_SET(BgL_tmpz00_2372, BgL_arg2069z00_2251);
							}}
							{	/* Object/slots.scm 15 */
								int BgL_auxz00_2254;

								BgL_auxz00_2254 = (int) ((BgL_iz00_2249 - 1L));
								{
									long BgL_iz00_2377;

									BgL_iz00_2377 = (long) (BgL_auxz00_2254);
									BgL_iz00_2249 = BgL_iz00_2377;
									goto BgL_loopz00_2250;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_slotzd2inlinezd2markz00zzobject_slotsz00 =
				MAKE_YOUNG_PAIR(BINT(3L), BINT(4L));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_slotsz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			if (NULLP(BgL_l1z00_1))
				{
					return BgL_l2z00_2;
				}
			else
				{
					obj_t BgL_headz00_802;

					BgL_headz00_802 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
					{
						obj_t BgL_prevz00_803;
						obj_t BgL_tailz00_804;

						BgL_prevz00_803 = BgL_headz00_802;
						BgL_tailz00_804 = BgL_l1z00_1;
					BgL_loopz00_805:
						if (PAIRP(BgL_tailz00_804))
							{
								obj_t BgL_newzd2prevzd2_807;

								BgL_newzd2prevzd2_807 =
									MAKE_YOUNG_PAIR(CAR(BgL_tailz00_804), BgL_l2z00_2);
								SET_CDR(BgL_prevz00_803, BgL_newzd2prevzd2_807);
								{
									obj_t BgL_tailz00_2392;
									obj_t BgL_prevz00_2391;

									BgL_prevz00_2391 = BgL_newzd2prevzd2_807;
									BgL_tailz00_2392 = CDR(BgL_tailz00_804);
									BgL_tailz00_804 = BgL_tailz00_2392;
									BgL_prevz00_803 = BgL_prevz00_2391;
									goto BgL_loopz00_805;
								}
							}
						else
							{
								BNIL;
							}
						return CDR(BgL_headz00_802);
					}
				}
		}

	}



/* make-slot */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_makezd2slotzd2zzobject_slotsz00(obj_t
		BgL_id1080z00_3, obj_t BgL_name1081z00_4, obj_t BgL_src1082z00_5,
		obj_t BgL_classzd2owner1083zd2_6, long BgL_index1084z00_7,
		obj_t BgL_type1085z00_8, bool_t BgL_readzd2onlyzf31086z21_9,
		obj_t BgL_defaultzd2value1087zd2_10, obj_t BgL_virtualzd2num1088zd2_11,
		bool_t BgL_virtualzd2override1089zd2_12, obj_t BgL_getter1090z00_13,
		obj_t BgL_setter1091z00_14, obj_t BgL_userzd2info1092zd2_15)
	{
		{	/* Object/slots.sch 37 */
			{	/* Object/slots.sch 37 */
				BgL_slotz00_bglt BgL_new1091z00_2259;

				{	/* Object/slots.sch 37 */
					BgL_slotz00_bglt BgL_new1090z00_2260;

					BgL_new1090z00_2260 =
						((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_slotz00_bgl))));
					{	/* Object/slots.sch 37 */
						long BgL_arg1177z00_2261;

						BgL_arg1177z00_2261 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1090z00_2260), BgL_arg1177z00_2261);
					}
					BgL_new1091z00_2259 = BgL_new1090z00_2260;
				}
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_idz00) =
					((obj_t) BgL_id1080z00_3), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_namez00) =
					((obj_t) BgL_name1081z00_4), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_srcz00) =
					((obj_t) BgL_src1082z00_5), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_classzd2ownerzd2) =
					((obj_t) BgL_classzd2owner1083zd2_6), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_indexz00) =
					((long) BgL_index1084z00_7), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_typez00) =
					((obj_t) BgL_type1085z00_8), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_readzd2onlyzf31086z21_9), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_defaultzd2valuezd2) =
					((obj_t) BgL_defaultzd2value1087zd2_10), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_virtualzd2numzd2) =
					((obj_t) BgL_virtualzd2num1088zd2_11), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_virtualzd2overridezd2) =
					((bool_t) BgL_virtualzd2override1089zd2_12), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_getterz00) =
					((obj_t) BgL_getter1090z00_13), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->BgL_setterz00) =
					((obj_t) BgL_setter1091z00_14), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(BgL_new1091z00_2259))->
						BgL_userzd2infozd2) = ((obj_t) BgL_userzd2info1092zd2_15), BUNSPEC);
				return BgL_new1091z00_2259;
			}
		}

	}



/* &make-slot */
	BgL_slotz00_bglt BGl_z62makezd2slotzb0zzobject_slotsz00(obj_t BgL_envz00_2036,
		obj_t BgL_id1080z00_2037, obj_t BgL_name1081z00_2038,
		obj_t BgL_src1082z00_2039, obj_t BgL_classzd2owner1083zd2_2040,
		obj_t BgL_index1084z00_2041, obj_t BgL_type1085z00_2042,
		obj_t BgL_readzd2onlyzf31086z21_2043, obj_t BgL_defaultzd2value1087zd2_2044,
		obj_t BgL_virtualzd2num1088zd2_2045,
		obj_t BgL_virtualzd2override1089zd2_2046, obj_t BgL_getter1090z00_2047,
		obj_t BgL_setter1091z00_2048, obj_t BgL_userzd2info1092zd2_2049)
	{
		{	/* Object/slots.sch 37 */
			return
				BGl_makezd2slotzd2zzobject_slotsz00(BgL_id1080z00_2037,
				BgL_name1081z00_2038, BgL_src1082z00_2039,
				BgL_classzd2owner1083zd2_2040, (long) CINT(BgL_index1084z00_2041),
				BgL_type1085z00_2042, CBOOL(BgL_readzd2onlyzf31086z21_2043),
				BgL_defaultzd2value1087zd2_2044, BgL_virtualzd2num1088zd2_2045,
				CBOOL(BgL_virtualzd2override1089zd2_2046), BgL_getter1090z00_2047,
				BgL_setter1091z00_2048, BgL_userzd2info1092zd2_2049);
		}

	}



/* slot? */
	BGL_EXPORTED_DEF bool_t BGl_slotzf3zf3zzobject_slotsz00(obj_t BgL_objz00_16)
	{
		{	/* Object/slots.sch 38 */
			{	/* Object/slots.sch 38 */
				obj_t BgL_classz00_2262;

				BgL_classz00_2262 = BGl_slotz00zzobject_slotsz00;
				if (BGL_OBJECTP(BgL_objz00_16))
					{	/* Object/slots.sch 38 */
						BgL_objectz00_bglt BgL_arg1858z00_2263;

						BgL_arg1858z00_2263 = (BgL_objectz00_bglt) (BgL_objz00_16);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Object/slots.sch 38 */
								long BgL_idxz00_2264;

								BgL_idxz00_2264 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_2263);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2264 + 1L)) == BgL_classz00_2262);
							}
						else
							{	/* Object/slots.sch 38 */
								bool_t BgL_res1984z00_2267;

								{	/* Object/slots.sch 38 */
									obj_t BgL_oclassz00_2268;

									{	/* Object/slots.sch 38 */
										obj_t BgL_arg1866z00_2269;
										long BgL_arg1867z00_2270;

										BgL_arg1866z00_2269 = (BGl_za2classesza2z00zz__objectz00);
										{	/* Object/slots.sch 38 */
											long BgL_arg1869z00_2271;

											BgL_arg1869z00_2271 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_2263);
											BgL_arg1867z00_2270 = (BgL_arg1869z00_2271 - OBJECT_TYPE);
										}
										BgL_oclassz00_2268 =
											VECTOR_REF(BgL_arg1866z00_2269, BgL_arg1867z00_2270);
									}
									{	/* Object/slots.sch 38 */
										bool_t BgL__ortest_1115z00_2272;

										BgL__ortest_1115z00_2272 =
											(BgL_classz00_2262 == BgL_oclassz00_2268);
										if (BgL__ortest_1115z00_2272)
											{	/* Object/slots.sch 38 */
												BgL_res1984z00_2267 = BgL__ortest_1115z00_2272;
											}
										else
											{	/* Object/slots.sch 38 */
												long BgL_odepthz00_2273;

												{	/* Object/slots.sch 38 */
													obj_t BgL_arg1855z00_2274;

													BgL_arg1855z00_2274 = (BgL_oclassz00_2268);
													BgL_odepthz00_2273 =
														BGL_CLASS_DEPTH(BgL_arg1855z00_2274);
												}
												if ((1L < BgL_odepthz00_2273))
													{	/* Object/slots.sch 38 */
														obj_t BgL_arg1853z00_2275;

														{	/* Object/slots.sch 38 */
															obj_t BgL_arg1854z00_2276;

															BgL_arg1854z00_2276 = (BgL_oclassz00_2268);
															BgL_arg1853z00_2275 =
																BGL_CLASS_ANCESTORS_REF(BgL_arg1854z00_2276,
																1L);
														}
														BgL_res1984z00_2267 =
															(BgL_arg1853z00_2275 == BgL_classz00_2262);
													}
												else
													{	/* Object/slots.sch 38 */
														BgL_res1984z00_2267 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1984z00_2267;
							}
					}
				else
					{	/* Object/slots.sch 38 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot? */
	obj_t BGl_z62slotzf3z91zzobject_slotsz00(obj_t BgL_envz00_2050,
		obj_t BgL_objz00_2051)
	{
		{	/* Object/slots.sch 38 */
			return BBOOL(BGl_slotzf3zf3zzobject_slotsz00(BgL_objz00_2051));
		}

	}



/* slot-nil */
	BGL_EXPORTED_DEF BgL_slotz00_bglt BGl_slotzd2nilzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.sch 39 */
			{	/* Object/slots.sch 39 */
				obj_t BgL_classz00_1566;

				BgL_classz00_1566 = BGl_slotz00zzobject_slotsz00;
				{	/* Object/slots.sch 39 */
					obj_t BgL__ortest_1117z00_1567;

					BgL__ortest_1117z00_1567 = BGL_CLASS_NIL(BgL_classz00_1566);
					if (CBOOL(BgL__ortest_1117z00_1567))
						{	/* Object/slots.sch 39 */
							return ((BgL_slotz00_bglt) BgL__ortest_1117z00_1567);
						}
					else
						{	/* Object/slots.sch 39 */
							return
								((BgL_slotz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1566));
						}
				}
			}
		}

	}



/* &slot-nil */
	BgL_slotz00_bglt BGl_z62slotzd2nilzb0zzobject_slotsz00(obj_t BgL_envz00_2052)
	{
		{	/* Object/slots.sch 39 */
			return BGl_slotzd2nilzd2zzobject_slotsz00();
		}

	}



/* slot-user-info */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2userzd2infoz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_17)
	{
		{	/* Object/slots.sch 40 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_17))->BgL_userzd2infozd2);
		}

	}



/* &slot-user-info */
	obj_t BGl_z62slotzd2userzd2infoz62zzobject_slotsz00(obj_t BgL_envz00_2053,
		obj_t BgL_oz00_2054)
	{
		{	/* Object/slots.sch 40 */
			return
				BGl_slotzd2userzd2infoz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2054));
		}

	}



/* slot-setter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2setterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_20)
	{
		{	/* Object/slots.sch 42 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_20))->BgL_setterz00);
		}

	}



/* &slot-setter */
	obj_t BGl_z62slotzd2setterzb0zzobject_slotsz00(obj_t BgL_envz00_2055,
		obj_t BgL_oz00_2056)
	{
		{	/* Object/slots.sch 42 */
			return
				BGl_slotzd2setterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2056));
		}

	}



/* slot-setter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_21,
		obj_t BgL_vz00_22)
	{
		{	/* Object/slots.sch 43 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_21))->BgL_setterz00) =
				((obj_t) BgL_vz00_22), BUNSPEC);
		}

	}



/* &slot-setter-set! */
	obj_t BGl_z62slotzd2setterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2057,
		obj_t BgL_oz00_2058, obj_t BgL_vz00_2059)
	{
		{	/* Object/slots.sch 43 */
			return
				BGl_slotzd2setterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2058), BgL_vz00_2059);
		}

	}



/* slot-getter */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2getterzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_23)
	{
		{	/* Object/slots.sch 44 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_23))->BgL_getterz00);
		}

	}



/* &slot-getter */
	obj_t BGl_z62slotzd2getterzb0zzobject_slotsz00(obj_t BgL_envz00_2060,
		obj_t BgL_oz00_2061)
	{
		{	/* Object/slots.sch 44 */
			return
				BGl_slotzd2getterzd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2061));
		}

	}



/* slot-getter-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_24,
		obj_t BgL_vz00_25)
	{
		{	/* Object/slots.sch 45 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_24))->BgL_getterz00) =
				((obj_t) BgL_vz00_25), BUNSPEC);
		}

	}



/* &slot-getter-set! */
	obj_t BGl_z62slotzd2getterzd2setz12z70zzobject_slotsz00(obj_t BgL_envz00_2062,
		obj_t BgL_oz00_2063, obj_t BgL_vz00_2064)
	{
		{	/* Object/slots.sch 45 */
			return
				BGl_slotzd2getterzd2setz12z12zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2063), BgL_vz00_2064);
		}

	}



/* slot-virtual-override */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_26)
	{
		{	/* Object/slots.sch 46 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_26))->BgL_virtualzd2overridezd2);
		}

	}



/* &slot-virtual-override */
	obj_t BGl_z62slotzd2virtualzd2overridez62zzobject_slotsz00(obj_t
		BgL_envz00_2065, obj_t BgL_oz00_2066)
	{
		{	/* Object/slots.sch 46 */
			return
				BBOOL(BGl_slotzd2virtualzd2overridez00zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2066)));
		}

	}



/* slot-virtual-num */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_29)
	{
		{	/* Object/slots.sch 48 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_29))->BgL_virtualzd2numzd2);
		}

	}



/* &slot-virtual-num */
	obj_t BGl_z62slotzd2virtualzd2numz62zzobject_slotsz00(obj_t BgL_envz00_2067,
		obj_t BgL_oz00_2068)
	{
		{	/* Object/slots.sch 48 */
			return
				BGl_slotzd2virtualzd2numz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2068));
		}

	}



/* slot-virtual-num-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Object/slots.sch 49 */
			return
				((((BgL_slotz00_bglt) COBJECT(BgL_oz00_30))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_31), BUNSPEC);
		}

	}



/* &slot-virtual-num-set! */
	obj_t BGl_z62slotzd2virtualzd2numzd2setz12za2zzobject_slotsz00(obj_t
		BgL_envz00_2069, obj_t BgL_oz00_2070, obj_t BgL_vz00_2071)
	{
		{	/* Object/slots.sch 49 */
			return
				BGl_slotzd2virtualzd2numzd2setz12zc0zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2070), BgL_vz00_2071);
		}

	}



/* slot-default-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_32)
	{
		{	/* Object/slots.sch 50 */
			return
				(((BgL_slotz00_bglt) COBJECT(BgL_oz00_32))->BgL_defaultzd2valuezd2);
		}

	}



/* &slot-default-value */
	obj_t BGl_z62slotzd2defaultzd2valuez62zzobject_slotsz00(obj_t BgL_envz00_2072,
		obj_t BgL_oz00_2073)
	{
		{	/* Object/slots.sch 50 */
			return
				BGl_slotzd2defaultzd2valuez00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2073));
		}

	}



/* slot-read-only? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_35)
	{
		{	/* Object/slots.sch 52 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_35))->BgL_readzd2onlyzf3z21);
		}

	}



/* &slot-read-only? */
	obj_t BGl_z62slotzd2readzd2onlyzf3z91zzobject_slotsz00(obj_t BgL_envz00_2074,
		obj_t BgL_oz00_2075)
	{
		{	/* Object/slots.sch 52 */
			return
				BBOOL(BGl_slotzd2readzd2onlyzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2075)));
		}

	}



/* slot-type */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2typezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_38)
	{
		{	/* Object/slots.sch 54 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_38))->BgL_typez00);
		}

	}



/* &slot-type */
	obj_t BGl_z62slotzd2typezb0zzobject_slotsz00(obj_t BgL_envz00_2076,
		obj_t BgL_oz00_2077)
	{
		{	/* Object/slots.sch 54 */
			return
				BGl_slotzd2typezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2077));
		}

	}



/* slot-index */
	BGL_EXPORTED_DEF long BGl_slotzd2indexzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_41)
	{
		{	/* Object/slots.sch 56 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_41))->BgL_indexz00);
		}

	}



/* &slot-index */
	obj_t BGl_z62slotzd2indexzb0zzobject_slotsz00(obj_t BgL_envz00_2078,
		obj_t BgL_oz00_2079)
	{
		{	/* Object/slots.sch 56 */
			return
				BINT(BGl_slotzd2indexzd2zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_oz00_2079)));
		}

	}



/* slot-class-owner */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2classzd2ownerz00zzobject_slotsz00(BgL_slotz00_bglt BgL_oz00_44)
	{
		{	/* Object/slots.sch 58 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_44))->BgL_classzd2ownerzd2);
		}

	}



/* &slot-class-owner */
	obj_t BGl_z62slotzd2classzd2ownerz62zzobject_slotsz00(obj_t BgL_envz00_2080,
		obj_t BgL_oz00_2081)
	{
		{	/* Object/slots.sch 58 */
			return
				BGl_slotzd2classzd2ownerz00zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_oz00_2081));
		}

	}



/* slot-src */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2srczd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_47)
	{
		{	/* Object/slots.sch 60 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_47))->BgL_srcz00);
		}

	}



/* &slot-src */
	obj_t BGl_z62slotzd2srczb0zzobject_slotsz00(obj_t BgL_envz00_2082,
		obj_t BgL_oz00_2083)
	{
		{	/* Object/slots.sch 60 */
			return
				BGl_slotzd2srczd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2083));
		}

	}



/* slot-name */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2namezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_50)
	{
		{	/* Object/slots.sch 62 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_50))->BgL_namez00);
		}

	}



/* &slot-name */
	obj_t BGl_z62slotzd2namezb0zzobject_slotsz00(obj_t BgL_envz00_2084,
		obj_t BgL_oz00_2085)
	{
		{	/* Object/slots.sch 62 */
			return
				BGl_slotzd2namezd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2085));
		}

	}



/* slot-id */
	BGL_EXPORTED_DEF obj_t BGl_slotzd2idzd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_oz00_53)
	{
		{	/* Object/slots.sch 64 */
			return (((BgL_slotz00_bglt) COBJECT(BgL_oz00_53))->BgL_idz00);
		}

	}



/* &slot-id */
	obj_t BGl_z62slotzd2idzb0zzobject_slotsz00(obj_t BgL_envz00_2086,
		obj_t BgL_oz00_2087)
	{
		{	/* Object/slots.sch 64 */
			return
				BGl_slotzd2idzd2zzobject_slotsz00(((BgL_slotz00_bglt) BgL_oz00_2087));
		}

	}



/* slot-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_57)
	{
		{	/* Object/slots.scm 96 */
			{	/* Object/slots.scm 97 */
				bool_t BgL_test2161z00_2498;

				{	/* Object/slots.scm 97 */
					obj_t BgL_arg1183z00_816;
					obj_t BgL_arg1184z00_817;

					BgL_arg1183z00_816 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_57))->
						BgL_defaultzd2valuezd2);
					BgL_arg1184z00_817 = MAKE_YOUNG_PAIR(BINT(1L), BINT(2L));
					BgL_test2161z00_2498 =
						BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_arg1183z00_816,
						BgL_arg1184z00_817);
				}
				if (BgL_test2161z00_2498)
					{	/* Object/slots.scm 97 */
						return ((bool_t) 0);
					}
				else
					{	/* Object/slots.scm 97 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &slot-default? */
	obj_t BGl_z62slotzd2defaultzf3z43zzobject_slotsz00(obj_t BgL_envz00_2088,
		obj_t BgL_slotz00_2089)
	{
		{	/* Object/slots.scm 96 */
			return
				BBOOL(BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2089)));
		}

	}



/* slot-virtual? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt BgL_slotz00_58)
	{
		{	/* Object/slots.scm 102 */
			return
				(
				(long) CINT(
					(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_58))->
						BgL_virtualzd2numzd2)) >= 0L);
		}

	}



/* &slot-virtual? */
	obj_t BGl_z62slotzd2virtualzf3z43zzobject_slotsz00(obj_t BgL_envz00_2090,
		obj_t BgL_slotz00_2091)
	{
		{	/* Object/slots.scm 102 */
			return
				BBOOL(BGl_slotzd2virtualzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2091)));
		}

	}



/* slot-inline-default? */
	BGL_EXPORTED_DEF bool_t
		BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_59)
	{
		{	/* Object/slots.scm 108 */
			{	/* Object/slots.scm 109 */
				bool_t BgL_test2162z00_2513;

				{	/* Object/slots.scm 109 */
					obj_t BgL_tmpz00_2514;

					BgL_tmpz00_2514 =
						(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
						BgL_defaultzd2valuezd2);
					BgL_test2162z00_2513 = PAIRP(BgL_tmpz00_2514);
				}
				if (BgL_test2162z00_2513)
					{	/* Object/slots.scm 110 */
						obj_t BgL_arg1192z00_820;

						BgL_arg1192z00_820 =
							CAR(
							(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_59))->
								BgL_defaultzd2valuezd2));
						return (BgL_arg1192z00_820 ==
							BGl_slotzd2inlinezd2markz00zzobject_slotsz00);
					}
				else
					{	/* Object/slots.scm 109 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &slot-inline-default? */
	obj_t BGl_z62slotzd2inlinezd2defaultzf3z91zzobject_slotsz00(obj_t
		BgL_envz00_2092, obj_t BgL_slotz00_2093)
	{
		{	/* Object/slots.scm 108 */
			return
				BBOOL(BGl_slotzd2inlinezd2defaultzf3zf3zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_slotz00_2093)));
		}

	}



/* slot-default-inline-value */
	BGL_EXPORTED_DEF obj_t
		BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(BgL_slotz00_bglt
		BgL_slotz00_60)
	{
		{	/* Object/slots.scm 115 */
			return
				CDR(
				(((BgL_slotz00_bglt) COBJECT(BgL_slotz00_60))->BgL_defaultzd2valuezd2));
		}

	}



/* &slot-default-inline-value */
	obj_t BGl_z62slotzd2defaultzd2inlinezd2valuezb0zzobject_slotsz00(obj_t
		BgL_envz00_2094, obj_t BgL_slotz00_2095)
	{
		{	/* Object/slots.scm 115 */
			return
				BGl_slotzd2defaultzd2inlinezd2valuezd2zzobject_slotsz00(
				((BgL_slotz00_bglt) BgL_slotz00_2095));
		}

	}



/* ensure-type-defined! */
	obj_t BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(BgL_typez00_bglt
		BgL_typez00_61, obj_t BgL_srcz00_62)
	{
		{	/* Object/slots.scm 121 */
			if ((((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_initzf3zf3))
				{	/* Object/slots.scm 122 */
					return BFALSE;
				}
			else
				{	/* Object/slots.scm 122 */
					return
						BGl_userzd2errorzd2zztools_errorz00
						(BGl_string2015z00zzobject_slotsz00,
						(((BgL_typez00_bglt) COBJECT(BgL_typez00_61))->BgL_idz00),
						BgL_srcz00_62, BNIL);
				}
		}

	}



/* make-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_63, obj_t BgL_clausesz00_64, obj_t BgL_superz00_65,
		int BgL_vnumz00_66, obj_t BgL_srcz00_67)
	{
		{	/* Object/slots.scm 128 */
			{
				obj_t BgL_attrz00_973;
				obj_t BgL_nslotz00_1055;
				obj_t BgL_sslotsz00_1056;
				BgL_typez00_bglt BgL_classz00_1057;
				obj_t BgL_nslotsz00_1084;
				obj_t BgL_sslotsz00_1085;
				BgL_typez00_bglt BgL_classz00_1086;
				obj_t BgL_slotzd2idzd2_1111;
				long BgL_indexz00_1112;

				{	/* Object/slots.scm 254 */
					obj_t BgL_sslotsz00_836;

					{	/* Object/slots.scm 255 */
						bool_t BgL_test2164z00_2531;

						{	/* Object/slots.scm 255 */
							obj_t BgL_classz00_1652;

							BgL_classz00_1652 = BGl_typez00zztype_typez00;
							if (BGL_OBJECTP(BgL_superz00_65))
								{	/* Object/slots.scm 255 */
									BgL_objectz00_bglt BgL_arg1858z00_1654;

									BgL_arg1858z00_1654 = (BgL_objectz00_bglt) (BgL_superz00_65);
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Object/slots.scm 255 */
											long BgL_idxz00_1660;

											BgL_idxz00_1660 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1654);
											BgL_test2164z00_2531 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_1660 + 1L)) == BgL_classz00_1652);
										}
									else
										{	/* Object/slots.scm 255 */
											bool_t BgL_res1985z00_1685;

											{	/* Object/slots.scm 255 */
												obj_t BgL_oclassz00_1668;

												{	/* Object/slots.scm 255 */
													obj_t BgL_arg1866z00_1676;
													long BgL_arg1867z00_1677;

													BgL_arg1866z00_1676 =
														(BGl_za2classesza2z00zz__objectz00);
													{	/* Object/slots.scm 255 */
														long BgL_arg1869z00_1678;

														BgL_arg1869z00_1678 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1654);
														BgL_arg1867z00_1677 =
															(BgL_arg1869z00_1678 - OBJECT_TYPE);
													}
													BgL_oclassz00_1668 =
														VECTOR_REF(BgL_arg1866z00_1676,
														BgL_arg1867z00_1677);
												}
												{	/* Object/slots.scm 255 */
													bool_t BgL__ortest_1115z00_1669;

													BgL__ortest_1115z00_1669 =
														(BgL_classz00_1652 == BgL_oclassz00_1668);
													if (BgL__ortest_1115z00_1669)
														{	/* Object/slots.scm 255 */
															BgL_res1985z00_1685 = BgL__ortest_1115z00_1669;
														}
													else
														{	/* Object/slots.scm 255 */
															long BgL_odepthz00_1670;

															{	/* Object/slots.scm 255 */
																obj_t BgL_arg1855z00_1671;

																BgL_arg1855z00_1671 = (BgL_oclassz00_1668);
																BgL_odepthz00_1670 =
																	BGL_CLASS_DEPTH(BgL_arg1855z00_1671);
															}
															if ((1L < BgL_odepthz00_1670))
																{	/* Object/slots.scm 255 */
																	obj_t BgL_arg1853z00_1673;

																	{	/* Object/slots.scm 255 */
																		obj_t BgL_arg1854z00_1674;

																		BgL_arg1854z00_1674 = (BgL_oclassz00_1668);
																		BgL_arg1853z00_1673 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_arg1854z00_1674, 1L);
																	}
																	BgL_res1985z00_1685 =
																		(BgL_arg1853z00_1673 == BgL_classz00_1652);
																}
															else
																{	/* Object/slots.scm 255 */
																	BgL_res1985z00_1685 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2164z00_2531 = BgL_res1985z00_1685;
										}
								}
							else
								{	/* Object/slots.scm 255 */
									BgL_test2164z00_2531 = ((bool_t) 0);
								}
						}
						if (BgL_test2164z00_2531)
							{	/* Object/slots.scm 257 */
								bool_t BgL_test2169z00_2554;

								{	/* Object/slots.scm 257 */
									obj_t BgL_classz00_1686;

									BgL_classz00_1686 = BGl_tclassz00zzobject_classz00;
									if (BGL_OBJECTP(BgL_superz00_65))
										{	/* Object/slots.scm 257 */
											BgL_objectz00_bglt BgL_arg1858z00_1688;

											BgL_arg1858z00_1688 =
												(BgL_objectz00_bglt) (BgL_superz00_65);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Object/slots.scm 257 */
													long BgL_idxz00_1694;

													BgL_idxz00_1694 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1688);
													BgL_test2169z00_2554 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_1694 + 2L)) == BgL_classz00_1686);
												}
											else
												{	/* Object/slots.scm 257 */
													bool_t BgL_res1986z00_1719;

													{	/* Object/slots.scm 257 */
														obj_t BgL_oclassz00_1702;

														{	/* Object/slots.scm 257 */
															obj_t BgL_arg1866z00_1710;
															long BgL_arg1867z00_1711;

															BgL_arg1866z00_1710 =
																(BGl_za2classesza2z00zz__objectz00);
															{	/* Object/slots.scm 257 */
																long BgL_arg1869z00_1712;

																BgL_arg1869z00_1712 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1688);
																BgL_arg1867z00_1711 =
																	(BgL_arg1869z00_1712 - OBJECT_TYPE);
															}
															BgL_oclassz00_1702 =
																VECTOR_REF(BgL_arg1866z00_1710,
																BgL_arg1867z00_1711);
														}
														{	/* Object/slots.scm 257 */
															bool_t BgL__ortest_1115z00_1703;

															BgL__ortest_1115z00_1703 =
																(BgL_classz00_1686 == BgL_oclassz00_1702);
															if (BgL__ortest_1115z00_1703)
																{	/* Object/slots.scm 257 */
																	BgL_res1986z00_1719 =
																		BgL__ortest_1115z00_1703;
																}
															else
																{	/* Object/slots.scm 257 */
																	long BgL_odepthz00_1704;

																	{	/* Object/slots.scm 257 */
																		obj_t BgL_arg1855z00_1705;

																		BgL_arg1855z00_1705 = (BgL_oclassz00_1702);
																		BgL_odepthz00_1704 =
																			BGL_CLASS_DEPTH(BgL_arg1855z00_1705);
																	}
																	if ((2L < BgL_odepthz00_1704))
																		{	/* Object/slots.scm 257 */
																			obj_t BgL_arg1853z00_1707;

																			{	/* Object/slots.scm 257 */
																				obj_t BgL_arg1854z00_1708;

																				BgL_arg1854z00_1708 =
																					(BgL_oclassz00_1702);
																				BgL_arg1853z00_1707 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_arg1854z00_1708, 2L);
																			}
																			BgL_res1986z00_1719 =
																				(BgL_arg1853z00_1707 ==
																				BgL_classz00_1686);
																		}
																	else
																		{	/* Object/slots.scm 257 */
																			BgL_res1986z00_1719 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2169z00_2554 = BgL_res1986z00_1719;
												}
										}
									else
										{	/* Object/slots.scm 257 */
											BgL_test2169z00_2554 = ((bool_t) 0);
										}
								}
								if (BgL_test2169z00_2554)
									{
										BgL_tclassz00_bglt BgL_auxz00_2577;

										{
											obj_t BgL_auxz00_2578;

											{	/* Object/slots.scm 260 */
												BgL_objectz00_bglt BgL_tmpz00_2579;

												BgL_tmpz00_2579 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_superz00_65));
												BgL_auxz00_2578 = BGL_OBJECT_WIDENING(BgL_tmpz00_2579);
											}
											BgL_auxz00_2577 = ((BgL_tclassz00_bglt) BgL_auxz00_2578);
										}
										BgL_sslotsz00_836 =
											(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2577))->
											BgL_slotsz00);
									}
								else
									{	/* Object/slots.scm 257 */
										BgL_sslotsz00_836 = BNIL;
									}
							}
						else
							{	/* Object/slots.scm 255 */
								BgL_sslotsz00_836 = BNIL;
							}
					}
					{	/* Object/slots.scm 261 */
						long BgL_g1100z00_838;

						BgL_g1100z00_838 = bgl_list_length(BgL_sslotsz00_836);
						{
							obj_t BgL_clausesz00_840;
							obj_t BgL_nslotsz00_841;
							obj_t BgL_sslotsz00_842;
							obj_t BgL_vnumz00_843;
							long BgL_indexz00_844;

							BgL_clausesz00_840 = BgL_clausesz00_64;
							BgL_nslotsz00_841 = BNIL;
							BgL_sslotsz00_842 = BgL_sslotsz00_836;
							BgL_vnumz00_843 = BINT(BgL_vnumz00_66);
							BgL_indexz00_844 = BgL_g1100z00_838;
						BgL_zc3z04anonymousza31214ze3z87_845:
							if (NULLP(BgL_clausesz00_840))
								{	/* Object/slots.scm 266 */
									BgL_nslotsz00_1084 = BgL_nslotsz00_841;
									BgL_sslotsz00_1085 = BgL_sslotsz00_842;
									BgL_classz00_1086 = BgL_classz00_63;
									{
										obj_t BgL_l1164z00_1089;

										BgL_l1164z00_1089 = BgL_nslotsz00_1084;
									BgL_zc3z04anonymousza31576ze3z87_1090:
										if (PAIRP(BgL_l1164z00_1089))
											{	/* Object/slots.scm 228 */
												BgL_nslotz00_1055 = CAR(BgL_l1164z00_1089);
												BgL_sslotsz00_1056 = BgL_sslotsz00_1085;
												BgL_classz00_1057 = BgL_classz00_1086;
												if (
													((long) CINT(
															(((BgL_slotz00_bglt) COBJECT(
																		((BgL_slotz00_bglt) BgL_nslotz00_1055)))->
																BgL_virtualzd2numzd2)) >= 0L))
													{	/* Object/slots.scm 219 */
														BFALSE;
													}
												else
													{	/* Object/slots.scm 220 */
														obj_t BgL_idz00_1060;

														BgL_idz00_1060 =
															(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt) BgL_nslotz00_1055)))->
															BgL_idz00);
														{	/* Object/slots.scm 221 */
															bool_t BgL_test2177z00_2597;

															{
																obj_t BgL_l1161z00_1076;

																BgL_l1161z00_1076 = BgL_sslotsz00_1056;
															BgL_zc3z04anonymousza31559ze3z87_1077:
																if (NULLP(BgL_l1161z00_1076))
																	{	/* Object/slots.scm 221 */
																		BgL_test2177z00_2597 = ((bool_t) 0);
																	}
																else
																	{	/* Object/slots.scm 221 */
																		bool_t BgL__ortest_1163z00_1079;

																		BgL__ortest_1163z00_1079 =
																			(
																			(((BgL_slotz00_bglt) COBJECT(
																						((BgL_slotz00_bglt)
																							CAR(
																								((obj_t)
																									BgL_l1161z00_1076)))))->
																				BgL_idz00) == BgL_idz00_1060);
																		if (BgL__ortest_1163z00_1079)
																			{	/* Object/slots.scm 221 */
																				BgL_test2177z00_2597 =
																					BgL__ortest_1163z00_1079;
																			}
																		else
																			{
																				obj_t BgL_l1161z00_2606;

																				BgL_l1161z00_2606 =
																					CDR(((obj_t) BgL_l1161z00_1076));
																				BgL_l1161z00_1076 = BgL_l1161z00_2606;
																				goto
																					BgL_zc3z04anonymousza31559ze3z87_1077;
																			}
																	}
															}
															if (BgL_test2177z00_2597)
																{	/* Object/slots.scm 222 */
																	obj_t BgL_arg1553z00_1071;
																	obj_t BgL_arg1554z00_1072;

																	{	/* Object/slots.scm 222 */
																		obj_t BgL_arg1558z00_1074;

																		BgL_arg1558z00_1074 =
																			(((BgL_slotz00_bglt) COBJECT(
																					((BgL_slotz00_bglt)
																						BgL_nslotz00_1055)))->BgL_srcz00);
																		BgL_arg1553z00_1071 =
																			BGl_findzd2locationzd2zztools_locationz00
																			(BgL_arg1558z00_1074);
																	}
																	BgL_arg1554z00_1072 =
																		(((BgL_typez00_bglt) COBJECT(
																				((BgL_typez00_bglt)
																					BgL_classz00_1057)))->BgL_idz00);
																	BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_arg1553z00_1071, BgL_arg1554z00_1072,
																		BGl_string2016z00zzobject_slotsz00,
																		BgL_idz00_1060, BNIL);
																}
															else
																{	/* Object/slots.scm 221 */
																	BFALSE;
																}
														}
													}
												{
													obj_t BgL_l1164z00_2616;

													BgL_l1164z00_2616 = CDR(BgL_l1164z00_1089);
													BgL_l1164z00_1089 = BgL_l1164z00_2616;
													goto BgL_zc3z04anonymousza31576ze3z87_1090;
												}
											}
										else
											{	/* Object/slots.scm 228 */
												((bool_t) 1);
											}
									}
									return
										BGl_appendzd221011zd2zzobject_slotsz00(BgL_sslotsz00_842,
										bgl_reverse(BgL_nslotsz00_841));
								}
							else
								{	/* Object/slots.scm 271 */
									obj_t BgL_sz00_848;

									BgL_sz00_848 = CAR(((obj_t) BgL_clausesz00_840));
									{
										obj_t BgL_idz00_849;
										obj_t BgL_attrz00_850;
										obj_t BgL_idz00_852;

										if (PAIRP(BgL_sz00_848))
											{	/* Object/slots.scm 272 */
												obj_t BgL_carzd2431zd2_857;

												BgL_carzd2431zd2_857 = CAR(((obj_t) BgL_sz00_848));
												if (PAIRP(BgL_carzd2431zd2_857))
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2435zd2_859;

														BgL_cdrzd2435zd2_859 = CDR(BgL_carzd2431zd2_857);
														if (
															(CAR(BgL_carzd2431zd2_857) ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2435zd2_859))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2435zd2_859)))
																			{	/* Object/slots.scm 272 */
																				obj_t BgL_arg1242z00_865;
																				obj_t BgL_arg1244z00_866;

																				BgL_arg1242z00_865 =
																					CAR(BgL_cdrzd2435zd2_859);
																				BgL_arg1244z00_866 =
																					CDR(((obj_t) BgL_sz00_848));
																				BgL_idz00_849 = BgL_arg1242z00_865;
																				BgL_attrz00_850 = BgL_arg1244z00_866;
																				{	/* Object/slots.scm 274 */
																					obj_t BgL_vgetz00_878;

																					BgL_attrz00_973 = BgL_attrz00_850;
																					{
																						obj_t BgL_attrz00_976;
																						obj_t BgL_getz00_977;
																						obj_t BgL_setz00_978;

																						BgL_attrz00_976 = BgL_attrz00_973;
																						BgL_getz00_977 = BFALSE;
																						BgL_setz00_978 = BFALSE;
																					BgL_zc3z04anonymousza31362ze3z87_979:
																						if (PAIRP(BgL_attrz00_976))
																							{

																								{	/* Object/slots.scm 159 */
																									obj_t BgL_ezd2399zd2_986;

																									BgL_ezd2399zd2_986 =
																										CAR(BgL_attrz00_976);
																									if (PAIRP(BgL_ezd2399zd2_986))
																										{	/* Object/slots.scm 159 */
																											obj_t
																												BgL_cdrzd2404zd2_988;
																											BgL_cdrzd2404zd2_988 =
																												CDR(BgL_ezd2399zd2_986);
																											if ((CAR
																													(BgL_ezd2399zd2_986)
																													==
																													((obj_t)
																														CNST_TABLE_REF(0))))
																												{	/* Object/slots.scm 159 */
																													if (PAIRP
																														(BgL_cdrzd2404zd2_988))
																														{	/* Object/slots.scm 159 */
																															if (NULLP(CDR
																																	(BgL_cdrzd2404zd2_988)))
																																{
																																	obj_t
																																		BgL_getz00_2660;
																																	obj_t
																																		BgL_attrz00_2658;
																																	BgL_attrz00_2658
																																		=
																																		CDR
																																		(BgL_attrz00_976);
																																	BgL_getz00_2660
																																		=
																																		CAR
																																		(BgL_cdrzd2404zd2_988);
																																	BgL_getz00_977
																																		=
																																		BgL_getz00_2660;
																																	BgL_attrz00_976
																																		=
																																		BgL_attrz00_2658;
																																	goto
																																		BgL_zc3z04anonymousza31362ze3z87_979;
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																BgL_tagzd2398zd2_985:
																																	{	/* Object/slots.scm 165 */
																																		obj_t
																																			BgL_arg1403z00_1008;
																																		BgL_arg1403z00_1008
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_attrz00_976));
																																		{
																																			obj_t
																																				BgL_attrz00_2664;
																																			BgL_attrz00_2664
																																				=
																																				BgL_arg1403z00_1008;
																																			BgL_attrz00_976
																																				=
																																				BgL_attrz00_2664;
																																			goto
																																				BgL_zc3z04anonymousza31362ze3z87_979;
																																		}
																																	}
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_985;
																														}
																												}
																											else
																												{	/* Object/slots.scm 159 */
																													if (
																														(CAR
																															(BgL_ezd2399zd2_986)
																															==
																															((obj_t)
																																CNST_TABLE_REF
																																(1))))
																														{	/* Object/slots.scm 159 */
																															if (PAIRP
																																(BgL_cdrzd2404zd2_988))
																																{	/* Object/slots.scm 159 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd2404zd2_988)))
																																		{
																																			obj_t
																																				BgL_setz00_2677;
																																			obj_t
																																				BgL_attrz00_2675;
																																			BgL_attrz00_2675
																																				=
																																				CDR
																																				(BgL_attrz00_976);
																																			BgL_setz00_2677
																																				=
																																				CAR
																																				(BgL_cdrzd2404zd2_988);
																																			BgL_setz00_978
																																				=
																																				BgL_setz00_2677;
																																			BgL_attrz00_976
																																				=
																																				BgL_attrz00_2675;
																																			goto
																																				BgL_zc3z04anonymousza31362ze3z87_979;
																																		}
																																	else
																																		{	/* Object/slots.scm 159 */
																																			goto
																																				BgL_tagzd2398zd2_985;
																																		}
																																}
																															else
																																{	/* Object/slots.scm 159 */
																																	goto
																																		BgL_tagzd2398zd2_985;
																																}
																														}
																													else
																														{	/* Object/slots.scm 159 */
																															goto
																																BgL_tagzd2398zd2_985;
																														}
																												}
																										}
																									else
																										{	/* Object/slots.scm 159 */
																											goto BgL_tagzd2398zd2_985;
																										}
																								}
																							}
																						else
																							{	/* Object/slots.scm 157 */
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2679;

																									BgL_tmpz00_2679 = (int) (2L);
																									BGL_MVALUES_NUMBER_SET
																										(BgL_tmpz00_2679);
																								}
																								{	/* Object/slots.scm 158 */
																									int BgL_tmpz00_2682;

																									BgL_tmpz00_2682 = (int) (1L);
																									BGL_MVALUES_VAL_SET
																										(BgL_tmpz00_2682,
																										BgL_setz00_978);
																								}
																								BgL_vgetz00_878 =
																									BgL_getz00_977;
																					}}
																					{	/* Object/slots.scm 275 */
																						obj_t BgL_vsetz00_879;

																						{	/* Object/slots.scm 277 */
																							obj_t BgL_tmpz00_1723;

																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2685;

																								BgL_tmpz00_2685 = (int) (1L);
																								BgL_tmpz00_1723 =
																									BGL_MVALUES_VAL
																									(BgL_tmpz00_2685);
																							}
																							{	/* Object/slots.scm 277 */
																								int BgL_tmpz00_2688;

																								BgL_tmpz00_2688 = (int) (1L);
																								BGL_MVALUES_VAL_SET
																									(BgL_tmpz00_2688, BUNSPEC);
																							}
																							BgL_vsetz00_879 = BgL_tmpz00_1723;
																						}
																						{	/* Object/slots.scm 277 */
																							bool_t BgL_test2193z00_2691;

																							if (CBOOL(BgL_vgetz00_878))
																								{	/* Object/slots.scm 277 */
																									BgL_test2193z00_2691 =
																										CBOOL
																										(BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																										(CAR(((obj_t)
																													BgL_idz00_849)),
																											BgL_nslotsz00_841));
																								}
																							else
																								{	/* Object/slots.scm 277 */
																									BgL_test2193z00_2691 =
																										((bool_t) 0);
																								}
																							if (BgL_test2193z00_2691)
																								{	/* Object/slots.scm 278 */
																									obj_t BgL_arg1258z00_882;
																									obj_t BgL_arg1260z00_883;
																									obj_t BgL_arg1262z00_884;

																									BgL_arg1258z00_882 =
																										BGl_findzd2locationzd2zztools_locationz00
																										(BgL_sz00_848);
																									BgL_arg1260z00_883 =
																										CAR(((obj_t)
																											BgL_idz00_849));
																									BgL_arg1262z00_884 =
																										CAR(((obj_t)
																											BgL_idz00_849));
																									return
																										BGl_userzd2errorzf2locationz20zztools_errorz00
																										(BgL_arg1258z00_882,
																										BgL_arg1260z00_883,
																										BGl_string2018z00zzobject_slotsz00,
																										BgL_arg1262z00_884, BNIL);
																								}
																							else
																								{	/* Object/slots.scm 282 */
																									obj_t BgL_g1102z00_886;

																									if (CBOOL(BgL_vgetz00_878))
																										{	/* Object/slots.scm 282 */
																											BgL_g1102z00_886 =
																												BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00
																												(CAR(((obj_t)
																														BgL_idz00_849)),
																												BgL_sslotsz00_842);
																										}
																									else
																										{	/* Object/slots.scm 282 */
																											BgL_g1102z00_886 = BFALSE;
																										}
																									if (CBOOL(BgL_g1102z00_886))
																										{	/* Object/slots.scm 282 */
																											{	/* Object/slots.scm 285 */
																												bool_t
																													BgL_test2197z00_2711;
																												{	/* Object/slots.scm 285 */
																													bool_t
																														BgL_test2198z00_2712;
																													{	/* Object/slots.scm 285 */
																														int
																															BgL_a1166z00_901;
																														BgL_a1166z00_901 =
																															BGl_bigloozd2warningzd2zz__paramz00
																															();
																														BgL_test2198z00_2712
																															=
																															((long)
																															(BgL_a1166z00_901)
																															>= 2L);
																													}
																													if (BgL_test2198z00_2712)
																														{	/* Object/slots.scm 285 */
																															BgL_test2197z00_2711
																																=
																																CBOOL
																																(BGl_za2warningzd2overridenzd2slotsza2z00zzengine_paramz00);
																														}
																													else
																														{	/* Object/slots.scm 285 */
																															BgL_test2197z00_2711
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2197z00_2711)
																													{	/* Object/slots.scm 287 */
																														obj_t
																															BgL_arg1266z00_893;
																														obj_t
																															BgL_arg1267z00_894;
																														obj_t
																															BgL_arg1268z00_895;
																														obj_t
																															BgL_arg1271z00_896;
																														BgL_arg1266z00_893 =
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_sz00_848);
																														BgL_arg1267z00_894 =
																															CAR(((obj_t)
																																BgL_idz00_849));
																														{	/* Object/slots.scm 290 */
																															obj_t
																																BgL_arg1272z00_897;
																															BgL_arg1272z00_897
																																=
																																(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) (((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt) BgL_g1102z00_886)))->BgL_classzd2ownerzd2))))->BgL_idz00);
																															{	/* Object/slots.scm 289 */
																																obj_t
																																	BgL_list1273z00_898;
																																BgL_list1273z00_898
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1272z00_897,
																																	BNIL);
																																BgL_arg1268z00_895
																																	=
																																	BGl_formatz00zz__r4_output_6_10_3z00
																																	(BGl_string2019z00zzobject_slotsz00,
																																	BgL_list1273z00_898);
																															}
																														}
																														BgL_arg1271z00_896 =
																															CAR(
																															((obj_t)
																																BgL_idz00_849));
																														BGl_userzd2warningzf2locationz20zztools_errorz00
																															(BgL_arg1266z00_893,
																															BgL_arg1267z00_894,
																															BgL_arg1268z00_895,
																															BgL_arg1271z00_896);
																													}
																												else
																													{	/* Object/slots.scm 285 */
																														BFALSE;
																													}
																											}
																											{	/* Object/slots.scm 292 */
																												obj_t BgL_vnz00_902;
																												long BgL_viz00_903;

																												BgL_vnz00_902 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1102z00_886)))->
																													BgL_virtualzd2numzd2);
																												BgL_viz00_903 =
																													(((BgL_slotz00_bglt)
																														COBJECT((
																																(BgL_slotz00_bglt)
																																BgL_g1102z00_886)))->
																													BgL_indexz00);
																												{	/* Object/slots.scm 294 */
																													obj_t
																														BgL_arg1275z00_904;
																													obj_t
																														BgL_arg1276z00_905;
																													BgL_arg1275z00_904 =
																														CDR(((obj_t)
																															BgL_clausesz00_840));
																													BgL_arg1276z00_905 =
																														BGl_loopze70ze7zzobject_slotsz00
																														(BgL_g1102z00_886,
																														BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																														(BgL_classz00_63,
																															BgL_sz00_848,
																															BgL_idz00_849,
																															BgL_attrz00_850,
																															BgL_vgetz00_878,
																															BgL_vsetz00_879,
																															BgL_vnz00_902,
																															((bool_t) 1),
																															BgL_viz00_903),
																														BgL_sslotsz00_842);
																													{
																														obj_t
																															BgL_sslotsz00_2738;
																														obj_t
																															BgL_clausesz00_2737;
																														BgL_clausesz00_2737
																															=
																															BgL_arg1275z00_904;
																														BgL_sslotsz00_2738 =
																															BgL_arg1276z00_905;
																														BgL_sslotsz00_842 =
																															BgL_sslotsz00_2738;
																														BgL_clausesz00_840 =
																															BgL_clausesz00_2737;
																														goto
																															BgL_zc3z04anonymousza31214ze3z87_845;
																													}
																												}
																											}
																										}
																									else
																										{	/* Object/slots.scm 302 */
																											obj_t BgL_arg1279z00_907;
																											obj_t BgL_arg1280z00_908;
																											obj_t BgL_arg1281z00_909;
																											long BgL_arg1282z00_910;

																											BgL_arg1279z00_907 =
																												CDR(
																												((obj_t)
																													BgL_clausesz00_840));
																											BgL_arg1280z00_908 =
																												MAKE_YOUNG_PAIR
																												(BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00
																												(BgL_classz00_63,
																													BgL_sz00_848,
																													BgL_idz00_849,
																													BgL_attrz00_850,
																													BgL_vgetz00_878,
																													BgL_vsetz00_879,
																													BgL_vnumz00_843,
																													((bool_t) 0),
																													BgL_indexz00_844),
																												BgL_nslotsz00_841);
																											{	/* Object/slots.scm 306 */
																												bool_t
																													BgL_test2199z00_2743;
																												if (CBOOL
																													(BgL_vgetz00_878))
																													{	/* Object/slots.scm 306 */
																														BgL_test2199z00_2743
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_test2199z00_2743
																															=
																															CBOOL
																															(BgL_vsetz00_879);
																													}
																												if (BgL_test2199z00_2743)
																													{	/* Object/slots.scm 306 */
																														if (INTEGERP
																															(BgL_vnumz00_843))
																															{	/* Object/slots.scm 306 */
																																obj_t
																																	BgL_tmpz00_1739;
																																BgL_tmpz00_1739
																																	= BINT(0L);
																																{	/* Object/slots.scm 306 */
																																	bool_t
																																		BgL_test2202z00_2750;
																																	{	/* Object/slots.scm 306 */
																																		obj_t
																																			BgL_tmpz00_2751;
																																		BgL_tmpz00_2751
																																			=
																																			BINT(1L);
																																		BgL_test2202z00_2750
																																			=
																																			BGL_ADDFX_OV
																																			(BgL_vnumz00_843,
																																			BgL_tmpz00_2751,
																																			BgL_tmpz00_1739);
																																	}
																																	if (BgL_test2202z00_2750)
																																		{	/* Object/slots.scm 306 */
																																			BgL_arg1281z00_909
																																				=
																																				bgl_bignum_add
																																				(bgl_long_to_bignum
																																				((long)
																																					CINT
																																					(BgL_vnumz00_843)),
																																				((obj_t)
																																					CNST_TABLE_REF
																																					(2)));
																																		}
																																	else
																																		{	/* Object/slots.scm 306 */
																																			BgL_arg1281z00_909
																																				=
																																				BgL_tmpz00_1739;
																																		}
																																}
																															}
																														else
																															{	/* Object/slots.scm 306 */
																																BgL_arg1281z00_909
																																	=
																																	BGl_2zb2zb2zz__r4_numbers_6_5z00
																																	(BgL_vnumz00_843,
																																	BINT(1L));
																															}
																													}
																												else
																													{	/* Object/slots.scm 306 */
																														BgL_arg1281z00_909 =
																															BgL_vnumz00_843;
																													}
																											}
																											BgL_arg1282z00_910 =
																												(BgL_indexz00_844 + 1L);
																											{
																												long BgL_indexz00_2765;
																												obj_t BgL_vnumz00_2764;
																												obj_t
																													BgL_nslotsz00_2763;
																												obj_t
																													BgL_clausesz00_2762;
																												BgL_clausesz00_2762 =
																													BgL_arg1279z00_907;
																												BgL_nslotsz00_2763 =
																													BgL_arg1280z00_908;
																												BgL_vnumz00_2764 =
																													BgL_arg1281z00_909;
																												BgL_indexz00_2765 =
																													BgL_arg1282z00_910;
																												BgL_indexz00_844 =
																													BgL_indexz00_2765;
																												BgL_vnumz00_843 =
																													BgL_vnumz00_2764;
																												BgL_nslotsz00_841 =
																													BgL_nslotsz00_2763;
																												BgL_clausesz00_840 =
																													BgL_clausesz00_2762;
																												goto
																													BgL_zc3z04anonymousza31214ze3z87_845;
																											}
																										}
																								}
																						}
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																			BgL_tagzd2425zd2_854:
																				{	/* Object/slots.scm 315 */
																					obj_t BgL_arg1294z00_920;
																					obj_t BgL_arg1295z00_921;

																					BgL_arg1294z00_920 =
																						BGl_findzd2locationzd2zztools_locationz00
																						(BgL_sz00_848);
																					BgL_arg1295z00_921 =
																						(((BgL_typez00_bglt)
																							COBJECT(((BgL_typez00_bglt)
																									BgL_classz00_63)))->
																						BgL_idz00);
																					return
																						BGl_userzd2errorzf2locationz20zztools_errorz00
																						(BgL_arg1294z00_920,
																						BgL_arg1295z00_921,
																						BGl_string2017z00zzobject_slotsz00,
																						BgL_sz00_848, BNIL);
																				}
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_854;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_854;
															}
													}
												else
													{	/* Object/slots.scm 272 */
														obj_t BgL_cdrzd2450zd2_869;

														BgL_cdrzd2450zd2_869 = CDR(((obj_t) BgL_sz00_848));
														if (
															(BgL_carzd2431zd2_857 ==
																((obj_t) CNST_TABLE_REF(3))))
															{	/* Object/slots.scm 272 */
																if (PAIRP(BgL_cdrzd2450zd2_869))
																	{	/* Object/slots.scm 272 */
																		if (NULLP(CDR(BgL_cdrzd2450zd2_869)))
																			{	/* Object/slots.scm 272 */
																				BgL_idz00_852 =
																					CAR(BgL_cdrzd2450zd2_869);
																				{	/* Object/slots.scm 309 */
																					obj_t BgL_arg1289z00_916;
																					obj_t BgL_arg1291z00_917;
																					long BgL_arg1292z00_918;

																					BgL_arg1289z00_916 =
																						CDR(((obj_t) BgL_clausesz00_840));
																					{	/* Object/slots.scm 310 */
																						BgL_slotz00_bglt BgL_arg1293z00_919;

																						BgL_slotzd2idzd2_1111 =
																							BgL_idz00_852;
																						BgL_indexz00_1112 =
																							BgL_indexz00_844;
																						{	/* Object/slots.scm 244 */
																							BgL_slotz00_bglt
																								BgL_new1098z00_1114;
																							{	/* Object/slots.scm 245 */
																								BgL_slotz00_bglt
																									BgL_new1096z00_1118;
																								BgL_new1096z00_1118 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 245 */
																									long BgL_arg1626z00_1119;

																									BgL_arg1626z00_1119 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1096z00_1118),
																										BgL_arg1626z00_1119);
																								}
																								BgL_new1098z00_1114 =
																									BgL_new1096z00_1118;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_idz00) =
																								((obj_t) CAR(((obj_t)
																											BgL_slotzd2idzd2_1111))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2790;

																								{	/* Object/slots.scm 247 */
																									obj_t BgL_arg1611z00_1115;

																									BgL_arg1611z00_1115 =
																										CAR(
																										((obj_t)
																											BgL_slotzd2idzd2_1111));
																									BgL_auxz00_2790 =
																										BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
																										(BgL_arg1611z00_1115);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1098z00_1114))->
																										BgL_namez00) =
																									((obj_t) BgL_auxz00_2790),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_srcz00) =
																								((obj_t) BgL_slotzd2idzd2_1111),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_63)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1112),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1111,
																										BgL_srcz00_67)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_2802;

																								{	/* Object/slots.scm 251 */
																									obj_t BgL_arg1612z00_1116;

																									{	/* Object/slots.scm 251 */
																										obj_t BgL_arg1625z00_1117;

																										{	/* Object/slots.scm 251 */
																											obj_t BgL_classz00_1650;

																											BgL_classz00_1650 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1625z00_1117 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1650);
																										}
																										BgL_arg1612z00_1116 =
																											VECTOR_REF
																											(BgL_arg1625z00_1117, 7L);
																									}
																									BgL_auxz00_2802 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1612z00_1116);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1098z00_1114))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_2802),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1098z00_1114))->
																									BgL_userzd2infozd2) =
																								((obj_t) BFALSE), BUNSPEC);
																							BgL_arg1293z00_919 =
																								BgL_new1098z00_1114;
																						}
																						BgL_arg1291z00_917 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1293z00_919),
																							BgL_nslotsz00_841);
																					}
																					BgL_arg1292z00_918 =
																						(BgL_indexz00_844 + 1L);
																					{
																						long BgL_indexz00_2818;
																						obj_t BgL_nslotsz00_2817;
																						obj_t BgL_clausesz00_2816;

																						BgL_clausesz00_2816 =
																							BgL_arg1289z00_916;
																						BgL_nslotsz00_2817 =
																							BgL_arg1291z00_917;
																						BgL_indexz00_2818 =
																							BgL_arg1292z00_918;
																						BgL_indexz00_844 =
																							BgL_indexz00_2818;
																						BgL_nslotsz00_841 =
																							BgL_nslotsz00_2817;
																						BgL_clausesz00_840 =
																							BgL_clausesz00_2816;
																						goto
																							BgL_zc3z04anonymousza31214ze3z87_845;
																					}
																				}
																			}
																		else
																			{	/* Object/slots.scm 272 */
																				goto BgL_tagzd2425zd2_854;
																			}
																	}
																else
																	{	/* Object/slots.scm 272 */
																		goto BgL_tagzd2425zd2_854;
																	}
															}
														else
															{	/* Object/slots.scm 272 */
																goto BgL_tagzd2425zd2_854;
															}
													}
											}
										else
											{	/* Object/slots.scm 272 */
												goto BgL_tagzd2425zd2_854;
											}
									}
								}
						}
					}
				}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zzobject_slotsz00(obj_t BgL_oldz00_2246,
		obj_t BgL_newz00_2245, obj_t BgL_lstz00_1100)
	{
		{	/* Object/slots.scm 233 */
			if (NULLP(BgL_lstz00_1100))
				{	/* Object/slots.scm 235 */
					return BgL_lstz00_1100;
				}
			else
				{	/* Object/slots.scm 235 */
					if ((CAR(((obj_t) BgL_lstz00_1100)) == BgL_oldz00_2246))
						{	/* Object/slots.scm 238 */
							obj_t BgL_arg1590z00_1105;

							BgL_arg1590z00_1105 = CDR(((obj_t) BgL_lstz00_1100));
							return MAKE_YOUNG_PAIR(BgL_newz00_2245, BgL_arg1590z00_1105);
						}
					else
						{	/* Object/slots.scm 240 */
							obj_t BgL_arg1592z00_1106;
							obj_t BgL_arg1593z00_1107;

							BgL_arg1592z00_1106 = CAR(((obj_t) BgL_lstz00_1100));
							{	/* Object/slots.scm 240 */
								obj_t BgL_arg1597z00_1108;

								BgL_arg1597z00_1108 = CDR(((obj_t) BgL_lstz00_1100));
								BgL_arg1593z00_1107 =
									BGl_loopze70ze7zzobject_slotsz00(BgL_oldz00_2246,
									BgL_newz00_2245, BgL_arg1597z00_1108);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1592z00_1106, BgL_arg1593z00_1107);
						}
				}
		}

	}



/* slot-member?~0 */
	obj_t BGl_slotzd2memberzf3ze70zc6zzobject_slotsz00(obj_t BgL_idz00_1012,
		obj_t BgL_slotzd2listzd2_1013)
	{
		{	/* Object/slots.scm 177 */
			{
				obj_t BgL_slotzd2listzd2_1016;

				BgL_slotzd2listzd2_1016 = BgL_slotzd2listzd2_1013;
			BgL_zc3z04anonymousza31405ze3z87_1017:
				if (NULLP(BgL_slotzd2listzd2_1016))
					{	/* Object/slots.scm 172 */
						return BFALSE;
					}
				else
					{	/* Object/slots.scm 172 */
						if (
							((((BgL_slotz00_bglt) COBJECT(
											((BgL_slotz00_bglt)
												CAR(
													((obj_t) BgL_slotzd2listzd2_1016)))))->BgL_idz00) ==
								BgL_idz00_1012))
							{	/* Object/slots.scm 174 */
								return CAR(((obj_t) BgL_slotzd2listzd2_1016));
							}
						else
							{
								obj_t BgL_slotzd2listzd2_2846;

								BgL_slotzd2listzd2_2846 =
									CDR(((obj_t) BgL_slotzd2listzd2_1016));
								BgL_slotzd2listzd2_1016 = BgL_slotzd2listzd2_2846;
								goto BgL_zc3z04anonymousza31405ze3z87_1017;
							}
					}
			}
		}

	}



/* make-attribute-slot~0 */
	obj_t BGl_makezd2attributezd2slotze70ze7zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_2247, obj_t BgL_sz00_1026, obj_t BgL_slotzd2idzd2_1027,
		obj_t BgL_attrz00_1028, obj_t BgL_vgetz00_1029, obj_t BgL_vsetz00_1030,
		obj_t BgL_vnumz00_1031, bool_t BgL_voverz00_1032, long BgL_indexz00_1033)
	{
		{	/* Object/slots.scm 216 */
			{
				obj_t BgL_attrz00_926;
				obj_t BgL_attrz00_955;

				{	/* Object/slots.scm 182 */
					obj_t BgL_readozf3zf3_1035;

					BgL_readozf3zf3_1035 =
						BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) CNST_TABLE_REF(7)), BgL_attrz00_1028);
					{	/* Object/slots.scm 184 */
						bool_t BgL_test2210z00_2852;

						if (CBOOL(BgL_vsetz00_1030))
							{	/* Object/slots.scm 184 */
								if (CBOOL(BgL_vgetz00_1029))
									{	/* Object/slots.scm 184 */
										BgL_test2210z00_2852 = ((bool_t) 0);
									}
								else
									{	/* Object/slots.scm 184 */
										BgL_test2210z00_2852 = ((bool_t) 1);
									}
							}
						else
							{	/* Object/slots.scm 184 */
								BgL_test2210z00_2852 = ((bool_t) 0);
							}
						if (BgL_test2210z00_2852)
							{	/* Object/slots.scm 185 */
								obj_t BgL_arg1480z00_1037;
								obj_t BgL_arg1484z00_1038;
								obj_t BgL_arg1487z00_1039;

								BgL_arg1480z00_1037 =
									BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1026);
								BgL_arg1484z00_1038 =
									(((BgL_typez00_bglt) COBJECT(
											((BgL_typez00_bglt) BgL_classz00_2247)))->BgL_idz00);
								BgL_arg1487z00_1039 = CAR(((obj_t) BgL_slotzd2idzd2_1027));
								{	/* Object/slots.scm 185 */
									obj_t BgL_list1488z00_1040;

									BgL_list1488z00_1040 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									return
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_arg1480z00_1037, BgL_arg1484z00_1038,
										BGl_string2020z00zzobject_slotsz00, BgL_arg1487z00_1039,
										BgL_list1488z00_1040);
								}
							}
						else
							{	/* Object/slots.scm 190 */
								bool_t BgL_test2213z00_2864;

								if (CBOOL(BgL_vsetz00_1030))
									{	/* Object/slots.scm 190 */
										BgL_test2213z00_2864 = CBOOL(BgL_readozf3zf3_1035);
									}
								else
									{	/* Object/slots.scm 190 */
										BgL_test2213z00_2864 = ((bool_t) 0);
									}
								if (BgL_test2213z00_2864)
									{	/* Object/slots.scm 191 */
										obj_t BgL_arg1490z00_1042;
										obj_t BgL_arg1506z00_1043;
										obj_t BgL_arg1511z00_1044;

										BgL_arg1490z00_1042 =
											BGl_findzd2locationzd2zztools_locationz00(BgL_sz00_1026);
										BgL_arg1506z00_1043 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt) BgL_classz00_2247)))->BgL_idz00);
										BgL_arg1511z00_1044 = CAR(((obj_t) BgL_slotzd2idzd2_1027));
										{	/* Object/slots.scm 191 */
											obj_t BgL_list1512z00_1045;

											BgL_list1512z00_1045 = MAKE_YOUNG_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_arg1490z00_1042, BgL_arg1506z00_1043,
												BGl_string2021z00zzobject_slotsz00, BgL_arg1511z00_1044,
												BgL_list1512z00_1045);
										}
									}
								else
									{	/* Object/slots.scm 196 */
										bool_t BgL_test2215z00_2875;

										if (CBOOL(BgL_vgetz00_1029))
											{	/* Object/slots.scm 196 */
												if (CBOOL(BgL_vsetz00_1030))
													{	/* Object/slots.scm 196 */
														BgL_test2215z00_2875 = ((bool_t) 0);
													}
												else
													{	/* Object/slots.scm 196 */
														if (CBOOL(BgL_readozf3zf3_1035))
															{	/* Object/slots.scm 196 */
																BgL_test2215z00_2875 = ((bool_t) 0);
															}
														else
															{	/* Object/slots.scm 196 */
																BgL_test2215z00_2875 = ((bool_t) 1);
															}
													}
											}
										else
											{	/* Object/slots.scm 196 */
												BgL_test2215z00_2875 = ((bool_t) 0);
											}
										if (BgL_test2215z00_2875)
											{	/* Object/slots.scm 197 */
												obj_t BgL_arg1515z00_1047;
												obj_t BgL_arg1516z00_1048;
												obj_t BgL_arg1530z00_1049;

												BgL_arg1515z00_1047 =
													BGl_findzd2locationzd2zztools_locationz00
													(BgL_sz00_1026);
												BgL_arg1516z00_1048 =
													(((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
																BgL_classz00_2247)))->BgL_idz00);
												BgL_arg1530z00_1049 =
													CAR(((obj_t) BgL_slotzd2idzd2_1027));
												{	/* Object/slots.scm 197 */
													obj_t BgL_list1531z00_1050;

													BgL_list1531z00_1050 = MAKE_YOUNG_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg1515z00_1047, BgL_arg1516z00_1048,
														BGl_string2022z00zzobject_slotsz00,
														BgL_arg1530z00_1049, BgL_list1531z00_1050);
												}
											}
										else
											{	/* Object/slots.scm 203 */
												BgL_slotz00_bglt BgL_new1095z00_1051;

												{	/* Object/slots.scm 204 */
													BgL_slotz00_bglt BgL_new1094z00_1053;

													BgL_new1094z00_1053 =
														((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_slotz00_bgl))));
													{	/* Object/slots.scm 204 */
														long BgL_arg1535z00_1054;

														BgL_arg1535z00_1054 =
															BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1094z00_1053),
															BgL_arg1535z00_1054);
													}
													BgL_new1095z00_1051 = BgL_new1094z00_1053;
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_idz00) =
													((obj_t) CAR(((obj_t) BgL_slotzd2idzd2_1027))),
													BUNSPEC);
												{
													obj_t BgL_auxz00_2896;

													{	/* Object/slots.scm 206 */
														obj_t BgL_arg1532z00_1052;

														BgL_arg1532z00_1052 =
															CAR(((obj_t) BgL_slotzd2idzd2_1027));
														BgL_auxz00_2896 =
															BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00
															(BgL_arg1532z00_1052);
													}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
															BgL_namez00) =
														((obj_t) BgL_auxz00_2896), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_srcz00) = ((obj_t) BgL_sz00_1026), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_classzd2ownerzd2) =
													((obj_t) ((obj_t) BgL_classz00_2247)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_indexz00) =
													((long) BgL_indexz00_1033), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_typez00) =
													((obj_t)
														BGl_findzd2slotzd2typez00zzobject_slotsz00
														(BgL_slotzd2idzd2_1027, BgL_sz00_1026)), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_readzd2onlyzf3z21) =
													((bool_t) CBOOL(BgL_readozf3zf3_1035)), BUNSPEC);
												{
													obj_t BgL_auxz00_2909;

													BgL_attrz00_926 = BgL_attrz00_1028;
												BgL_zc3z04anonymousza31299ze3z87_927:
													if (PAIRP(BgL_attrz00_926))
														{

															{	/* Object/slots.scm 134 */
																obj_t BgL_ezd2362zd2_934;

																BgL_ezd2362zd2_934 = CAR(BgL_attrz00_926);
																if (PAIRP(BgL_ezd2362zd2_934))
																	{	/* Object/slots.scm 134 */
																		obj_t BgL_cdrzd2366zd2_936;

																		BgL_cdrzd2366zd2_936 =
																			CDR(BgL_ezd2362zd2_934);
																		if (
																			(CAR(BgL_ezd2362zd2_934) ==
																				((obj_t) CNST_TABLE_REF(5))))
																			{	/* Object/slots.scm 134 */
																				if (PAIRP(BgL_cdrzd2366zd2_936))
																					{	/* Object/slots.scm 134 */
																						if (NULLP(CDR
																								(BgL_cdrzd2366zd2_936)))
																							{	/* Object/slots.scm 134 */
																								BgL_auxz00_2909 =
																									CAR(BgL_cdrzd2366zd2_936);
																							}
																						else
																							{	/* Object/slots.scm 134 */
																							BgL_tagzd2361zd2_933:
																								{	/* Object/slots.scm 140 */
																									obj_t BgL_arg1332z00_954;

																									BgL_arg1332z00_954 =
																										CDR(
																										((obj_t) BgL_attrz00_926));
																									{
																										obj_t BgL_attrz00_2929;

																										BgL_attrz00_2929 =
																											BgL_arg1332z00_954;
																										BgL_attrz00_926 =
																											BgL_attrz00_2929;
																										goto
																											BgL_zc3z04anonymousza31299ze3z87_927;
																									}
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_933;
																					}
																			}
																		else
																			{	/* Object/slots.scm 134 */
																				if (
																					(CAR(BgL_ezd2362zd2_934) ==
																						((obj_t) CNST_TABLE_REF(6))))
																					{	/* Object/slots.scm 134 */
																						if (PAIRP(BgL_cdrzd2366zd2_936))
																							{	/* Object/slots.scm 134 */
																								if (NULLP(CDR
																										(BgL_cdrzd2366zd2_936)))
																									{	/* Object/slots.scm 134 */
																										obj_t BgL_arg1322z00_950;

																										BgL_arg1322z00_950 =
																											CAR(BgL_cdrzd2366zd2_936);
																										BgL_auxz00_2909 =
																											MAKE_YOUNG_PAIR
																											(BGl_slotzd2inlinezd2markz00zzobject_slotsz00,
																											BgL_arg1322z00_950);
																									}
																								else
																									{	/* Object/slots.scm 134 */
																										goto BgL_tagzd2361zd2_933;
																									}
																							}
																						else
																							{	/* Object/slots.scm 134 */
																								goto BgL_tagzd2361zd2_933;
																							}
																					}
																				else
																					{	/* Object/slots.scm 134 */
																						goto BgL_tagzd2361zd2_933;
																					}
																			}
																	}
																else
																	{	/* Object/slots.scm 134 */
																		goto BgL_tagzd2361zd2_933;
																	}
															}
														}
													else
														{	/* Object/slots.scm 132 */
															BgL_auxz00_2909 =
																MAKE_YOUNG_PAIR(BINT(1L), BINT(2L));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
															BgL_defaultzd2valuezd2) =
														((obj_t) BgL_auxz00_2909), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_2946;

													if (CBOOL(BgL_vgetz00_1029))
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2946 = BgL_vnumz00_1031;
														}
													else
														{	/* Object/slots.scm 212 */
															BgL_auxz00_2946 = BINT((-1L));
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
															BgL_virtualzd2numzd2) =
														((obj_t) BgL_auxz00_2946), BUNSPEC);
												}
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_virtualzd2overridezd2) =
													((bool_t) BgL_voverz00_1032), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_getterz00) =
													((obj_t) BgL_vgetz00_1029), BUNSPEC);
												((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
														BgL_setterz00) =
													((obj_t) BgL_vsetz00_1030), BUNSPEC);
												{
													obj_t BgL_auxz00_2954;

													BgL_attrz00_955 = BgL_attrz00_1028;
												BgL_zc3z04anonymousza31333ze3z87_956:
													if (PAIRP(BgL_attrz00_955))
														{

															{	/* Object/slots.scm 146 */
																obj_t BgL_ezd2387zd2_961;

																BgL_ezd2387zd2_961 = CAR(BgL_attrz00_955);
																if (PAIRP(BgL_ezd2387zd2_961))
																	{	/* Object/slots.scm 146 */
																		obj_t BgL_cdrzd2391zd2_963;

																		BgL_cdrzd2391zd2_963 =
																			CDR(BgL_ezd2387zd2_961);
																		if (
																			(CAR(BgL_ezd2387zd2_961) ==
																				((obj_t) CNST_TABLE_REF(4))))
																			{	/* Object/slots.scm 146 */
																				if (PAIRP(BgL_cdrzd2391zd2_963))
																					{	/* Object/slots.scm 146 */
																						if (NULLP(CDR
																								(BgL_cdrzd2391zd2_963)))
																							{	/* Object/slots.scm 146 */
																								BgL_auxz00_2954 =
																									CAR(BgL_cdrzd2391zd2_963);
																							}
																						else
																							{	/* Object/slots.scm 146 */
																							BgL_tagzd2386zd2_960:
																								{
																									obj_t BgL_attrz00_2972;

																									BgL_attrz00_2972 =
																										CDR(
																										((obj_t) BgL_attrz00_955));
																									BgL_attrz00_955 =
																										BgL_attrz00_2972;
																									goto
																										BgL_zc3z04anonymousza31333ze3z87_956;
																								}
																							}
																					}
																				else
																					{	/* Object/slots.scm 146 */
																						goto BgL_tagzd2386zd2_960;
																					}
																			}
																		else
																			{	/* Object/slots.scm 146 */
																				goto BgL_tagzd2386zd2_960;
																			}
																	}
																else
																	{	/* Object/slots.scm 146 */
																		goto BgL_tagzd2386zd2_960;
																	}
															}
														}
													else
														{	/* Object/slots.scm 144 */
															BgL_auxz00_2954 = BFALSE;
														}
													((((BgL_slotz00_bglt) COBJECT(BgL_new1095z00_1051))->
															BgL_userzd2infozd2) =
														((obj_t) BgL_auxz00_2954), BUNSPEC);
												}
												return ((obj_t) BgL_new1095z00_1051);
											}
									}
							}
					}
				}
			}
		}

	}



/* &make-class-slots */
	obj_t BGl_z62makezd2classzd2slotsz62zzobject_slotsz00(obj_t BgL_envz00_2096,
		obj_t BgL_classz00_2097, obj_t BgL_clausesz00_2098, obj_t BgL_superz00_2099,
		obj_t BgL_vnumz00_2100, obj_t BgL_srcz00_2101)
	{
		{	/* Object/slots.scm 128 */
			return
				BGl_makezd2classzd2slotsz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2097), BgL_clausesz00_2098,
				BgL_superz00_2099, CINT(BgL_vnumz00_2100), BgL_srcz00_2101);
		}

	}



/* make-java-class-slots */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt
		BgL_classz00_68, obj_t BgL_clausesz00_69, obj_t BgL_superz00_70,
		obj_t BgL_srcz00_71)
	{
		{	/* Object/slots.scm 323 */
			{	/* Object/slots.scm 325 */
				obj_t BgL_locz00_1129;

				BgL_locz00_1129 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_71);
				{
					obj_t BgL_idz00_1169;
					obj_t BgL_jnamez00_1170;
					obj_t BgL_readozf3zf3_1171;
					obj_t BgL_srcz00_1172;
					obj_t BgL_identz00_1156;
					obj_t BgL_jnamez00_1157;
					obj_t BgL_readozf3zf3_1158;
					obj_t BgL_sz00_1159;
					long BgL_indexz00_1160;

					{	/* Object/slots.scm 356 */
						obj_t BgL_sslotsz00_1132;

						{	/* Object/slots.scm 357 */
							bool_t BgL_test2233z00_2981;

							{	/* Object/slots.scm 357 */
								obj_t BgL_classz00_1780;

								BgL_classz00_1780 = BGl_typez00zztype_typez00;
								if (BGL_OBJECTP(BgL_superz00_70))
									{	/* Object/slots.scm 357 */
										BgL_objectz00_bglt BgL_arg1858z00_1782;

										BgL_arg1858z00_1782 =
											(BgL_objectz00_bglt) (BgL_superz00_70);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Object/slots.scm 357 */
												long BgL_idxz00_1788;

												BgL_idxz00_1788 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1782);
												BgL_test2233z00_2981 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_1788 + 1L)) == BgL_classz00_1780);
											}
										else
											{	/* Object/slots.scm 357 */
												bool_t BgL_res1987z00_1813;

												{	/* Object/slots.scm 357 */
													obj_t BgL_oclassz00_1796;

													{	/* Object/slots.scm 357 */
														obj_t BgL_arg1866z00_1804;
														long BgL_arg1867z00_1805;

														BgL_arg1866z00_1804 =
															(BGl_za2classesza2z00zz__objectz00);
														{	/* Object/slots.scm 357 */
															long BgL_arg1869z00_1806;

															BgL_arg1869z00_1806 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1782);
															BgL_arg1867z00_1805 =
																(BgL_arg1869z00_1806 - OBJECT_TYPE);
														}
														BgL_oclassz00_1796 =
															VECTOR_REF(BgL_arg1866z00_1804,
															BgL_arg1867z00_1805);
													}
													{	/* Object/slots.scm 357 */
														bool_t BgL__ortest_1115z00_1797;

														BgL__ortest_1115z00_1797 =
															(BgL_classz00_1780 == BgL_oclassz00_1796);
														if (BgL__ortest_1115z00_1797)
															{	/* Object/slots.scm 357 */
																BgL_res1987z00_1813 = BgL__ortest_1115z00_1797;
															}
														else
															{	/* Object/slots.scm 357 */
																long BgL_odepthz00_1798;

																{	/* Object/slots.scm 357 */
																	obj_t BgL_arg1855z00_1799;

																	BgL_arg1855z00_1799 = (BgL_oclassz00_1796);
																	BgL_odepthz00_1798 =
																		BGL_CLASS_DEPTH(BgL_arg1855z00_1799);
																}
																if ((1L < BgL_odepthz00_1798))
																	{	/* Object/slots.scm 357 */
																		obj_t BgL_arg1853z00_1801;

																		{	/* Object/slots.scm 357 */
																			obj_t BgL_arg1854z00_1802;

																			BgL_arg1854z00_1802 =
																				(BgL_oclassz00_1796);
																			BgL_arg1853z00_1801 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_arg1854z00_1802, 1L);
																		}
																		BgL_res1987z00_1813 =
																			(BgL_arg1853z00_1801 ==
																			BgL_classz00_1780);
																	}
																else
																	{	/* Object/slots.scm 357 */
																		BgL_res1987z00_1813 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2233z00_2981 = BgL_res1987z00_1813;
											}
									}
								else
									{	/* Object/slots.scm 357 */
										BgL_test2233z00_2981 = ((bool_t) 0);
									}
							}
							if (BgL_test2233z00_2981)
								{	/* Object/slots.scm 359 */
									bool_t BgL_test2238z00_3004;

									{	/* Object/slots.scm 359 */
										obj_t BgL_classz00_1814;

										BgL_classz00_1814 = BGl_jclassz00zzobject_classz00;
										if (BGL_OBJECTP(BgL_superz00_70))
											{	/* Object/slots.scm 359 */
												BgL_objectz00_bglt BgL_arg1858z00_1816;

												BgL_arg1858z00_1816 =
													(BgL_objectz00_bglt) (BgL_superz00_70);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Object/slots.scm 359 */
														long BgL_idxz00_1822;

														BgL_idxz00_1822 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1858z00_1816);
														BgL_test2238z00_3004 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_1822 + 2L)) == BgL_classz00_1814);
													}
												else
													{	/* Object/slots.scm 359 */
														bool_t BgL_res1988z00_1847;

														{	/* Object/slots.scm 359 */
															obj_t BgL_oclassz00_1830;

															{	/* Object/slots.scm 359 */
																obj_t BgL_arg1866z00_1838;
																long BgL_arg1867z00_1839;

																BgL_arg1866z00_1838 =
																	(BGl_za2classesza2z00zz__objectz00);
																{	/* Object/slots.scm 359 */
																	long BgL_arg1869z00_1840;

																	BgL_arg1869z00_1840 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1858z00_1816);
																	BgL_arg1867z00_1839 =
																		(BgL_arg1869z00_1840 - OBJECT_TYPE);
																}
																BgL_oclassz00_1830 =
																	VECTOR_REF(BgL_arg1866z00_1838,
																	BgL_arg1867z00_1839);
															}
															{	/* Object/slots.scm 359 */
																bool_t BgL__ortest_1115z00_1831;

																BgL__ortest_1115z00_1831 =
																	(BgL_classz00_1814 == BgL_oclassz00_1830);
																if (BgL__ortest_1115z00_1831)
																	{	/* Object/slots.scm 359 */
																		BgL_res1988z00_1847 =
																			BgL__ortest_1115z00_1831;
																	}
																else
																	{	/* Object/slots.scm 359 */
																		long BgL_odepthz00_1832;

																		{	/* Object/slots.scm 359 */
																			obj_t BgL_arg1855z00_1833;

																			BgL_arg1855z00_1833 =
																				(BgL_oclassz00_1830);
																			BgL_odepthz00_1832 =
																				BGL_CLASS_DEPTH(BgL_arg1855z00_1833);
																		}
																		if ((2L < BgL_odepthz00_1832))
																			{	/* Object/slots.scm 359 */
																				obj_t BgL_arg1853z00_1835;

																				{	/* Object/slots.scm 359 */
																					obj_t BgL_arg1854z00_1836;

																					BgL_arg1854z00_1836 =
																						(BgL_oclassz00_1830);
																					BgL_arg1853z00_1835 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_arg1854z00_1836, 2L);
																				}
																				BgL_res1988z00_1847 =
																					(BgL_arg1853z00_1835 ==
																					BgL_classz00_1814);
																			}
																		else
																			{	/* Object/slots.scm 359 */
																				BgL_res1988z00_1847 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2238z00_3004 = BgL_res1988z00_1847;
													}
											}
										else
											{	/* Object/slots.scm 359 */
												BgL_test2238z00_3004 = ((bool_t) 0);
											}
									}
									if (BgL_test2238z00_3004)
										{	/* Object/slots.scm 362 */
											obj_t BgL_arg1642z00_1155;

											{
												BgL_jclassz00_bglt BgL_auxz00_3027;

												{
													obj_t BgL_auxz00_3028;

													{	/* Object/slots.scm 362 */
														BgL_objectz00_bglt BgL_tmpz00_3029;

														BgL_tmpz00_3029 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_superz00_70));
														BgL_auxz00_3028 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_3029);
													}
													BgL_auxz00_3027 =
														((BgL_jclassz00_bglt) BgL_auxz00_3028);
												}
												BgL_arg1642z00_1155 =
													(((BgL_jclassz00_bglt) COBJECT(BgL_auxz00_3027))->
													BgL_slotsz00);
											}
											BgL_sslotsz00_1132 = bgl_reverse(BgL_arg1642z00_1155);
										}
									else
										{	/* Object/slots.scm 359 */
											BgL_sslotsz00_1132 = BNIL;
										}
								}
							else
								{	/* Object/slots.scm 357 */
									BgL_sslotsz00_1132 = BNIL;
								}
						}
						{	/* Object/slots.scm 363 */
							long BgL_g1106z00_1133;

							BgL_g1106z00_1133 = bgl_list_length(BgL_sslotsz00_1132);
							{
								obj_t BgL_clausesz00_1135;
								obj_t BgL_resz00_1136;
								long BgL_indexz00_1137;

								BgL_clausesz00_1135 = BgL_clausesz00_69;
								BgL_resz00_1136 = BgL_sslotsz00_1132;
								BgL_indexz00_1137 = BgL_g1106z00_1133;
							BgL_zc3z04anonymousza31627ze3z87_1138:
								if (NULLP(BgL_clausesz00_1135))
									{	/* Object/slots.scm 366 */
										return BgL_resz00_1136;
									}
								else
									{	/* Object/slots.scm 368 */
										obj_t BgL_sz00_1140;

										BgL_sz00_1140 = CAR(((obj_t) BgL_clausesz00_1135));
										{	/* Object/slots.scm 368 */
											obj_t BgL_srcz00_1141;

											BgL_srcz00_1141 = CAR(((obj_t) BgL_sz00_1140));
											{	/* Object/slots.scm 369 */
												obj_t BgL_idz00_1142;

												{	/* Object/slots.scm 370 */
													obj_t BgL_pairz00_1855;

													BgL_pairz00_1855 = CDR(((obj_t) BgL_sz00_1140));
													BgL_idz00_1142 = CAR(BgL_pairz00_1855);
												}
												{	/* Object/slots.scm 370 */
													obj_t BgL_jnamez00_1143;

													{	/* Object/slots.scm 371 */
														obj_t BgL_pairz00_1861;

														{	/* Object/slots.scm 371 */
															obj_t BgL_pairz00_1860;

															BgL_pairz00_1860 = CDR(((obj_t) BgL_sz00_1140));
															BgL_pairz00_1861 = CDR(BgL_pairz00_1860);
														}
														BgL_jnamez00_1143 = CAR(BgL_pairz00_1861);
													}
													{	/* Object/slots.scm 371 */
														obj_t BgL_modz00_1144;

														{	/* Object/slots.scm 372 */
															obj_t BgL_pairz00_1869;

															{	/* Object/slots.scm 372 */
																obj_t BgL_pairz00_1868;

																{	/* Object/slots.scm 372 */
																	obj_t BgL_pairz00_1867;

																	BgL_pairz00_1867 =
																		CDR(((obj_t) BgL_sz00_1140));
																	BgL_pairz00_1868 = CDR(BgL_pairz00_1867);
																}
																BgL_pairz00_1869 = CDR(BgL_pairz00_1868);
															}
															BgL_modz00_1144 = CAR(BgL_pairz00_1869);
														}
														{	/* Object/slots.scm 372 */
															obj_t BgL_readozf3zf3_1145;

															BgL_readozf3zf3_1145 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t) CNST_TABLE_REF(10)), BgL_modz00_1144);
															{	/* Object/slots.scm 373 */

																if (CBOOL
																	(BGl_memqz00zz__r4_pairs_and_lists_6_3z00((
																				(obj_t) CNST_TABLE_REF(11)),
																			BgL_modz00_1144)))
																	{	/* Object/slots.scm 374 */
																		BgL_idz00_1169 = BgL_idz00_1142;
																		BgL_jnamez00_1170 = BgL_jnamez00_1143;
																		BgL_readozf3zf3_1171 = BgL_readozf3zf3_1145;
																		BgL_srcz00_1172 = BgL_srcz00_1141;
																		{	/* Object/slots.scm 340 */
																			obj_t BgL_locz00_1174;

																			BgL_locz00_1174 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_srcz00_1172, BgL_locz00_1129);
																			{	/* Object/slots.scm 340 */
																				obj_t BgL_slotzd2idzd2_1175;

																				BgL_slotzd2idzd2_1175 =
																					BGl_parsezd2idzd2zzast_identz00
																					(BgL_idz00_1169, BgL_locz00_1174);
																				{	/* Object/slots.scm 341 */
																					obj_t BgL_lzd2idzd2_1176;

																					if (
																						((((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00) ==
																							((obj_t) CNST_TABLE_REF(8))))
																						{	/* Object/slots.scm 342 */
																							BgL_lzd2idzd2_1176 =
																								CAR(BgL_slotzd2idzd2_1175);
																						}
																					else
																						{	/* Object/slots.scm 344 */
																							obj_t BgL_arg1673z00_1188;
																							obj_t BgL_arg1674z00_1189;

																							BgL_arg1673z00_1188 =
																								(((BgL_typez00_bglt) COBJECT(
																										((BgL_typez00_bglt)
																											BgL_classz00_68)))->
																								BgL_idz00);
																							BgL_arg1674z00_1189 =
																								CAR(BgL_slotzd2idzd2_1175);
																							{	/* Object/slots.scm 344 */
																								obj_t BgL_list1675z00_1190;

																								{	/* Object/slots.scm 344 */
																									obj_t BgL_arg1677z00_1191;

																									{	/* Object/slots.scm 344 */
																										obj_t BgL_arg1679z00_1192;

																										BgL_arg1679z00_1192 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1674z00_1189,
																											BNIL);
																										BgL_arg1677z00_1191 =
																											MAKE_YOUNG_PAIR(((obj_t)
																												CNST_TABLE_REF(9)),
																											BgL_arg1679z00_1192);
																									}
																									BgL_list1675z00_1190 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1673z00_1188,
																										BgL_arg1677z00_1191);
																								}
																								BgL_lzd2idzd2_1176 =
																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																									(BgL_list1675z00_1190);
																							}
																						}
																					{	/* Object/slots.scm 342 */
																						obj_t BgL_tzd2idzd2_1177;

																						{	/* Object/slots.scm 345 */
																							bool_t BgL_test2246z00_3081;

																							{	/* Object/slots.scm 345 */
																								obj_t BgL_arg1660z00_1185;

																								BgL_arg1660z00_1185 =
																									CDR(BgL_slotzd2idzd2_1175);
																								BgL_test2246z00_3081 =
																									(BgL_arg1660z00_1185 ==
																									BGl_za2_za2z00zztype_cachez00);
																							}
																							if (BgL_test2246z00_3081)
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1177 =
																										BGl_za2objza2z00zztype_cachez00;
																								}
																							else
																								{	/* Object/slots.scm 345 */
																									BgL_tzd2idzd2_1177 =
																										CDR(BgL_slotzd2idzd2_1175);
																								}
																						}
																						{	/* Object/slots.scm 348 */

																							BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00
																								(((BgL_typez00_bglt)
																									BgL_tzd2idzd2_1177),
																								BgL_srcz00_1172);
																							{	/* Object/slots.scm 350 */
																								BgL_globalz00_bglt
																									BgL_gz00_1179;
																								{	/* Object/slots.scm 351 */
																									obj_t BgL_arg1656z00_1182;

																									BgL_arg1656z00_1182 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_tzd2idzd2_1177)))->
																										BgL_idz00);
																									BgL_gz00_1179 =
																										BGl_declarezd2globalzd2cvarz12z12zzast_glozd2declzd2
																										(BgL_lzd2idzd2_1176, BFALSE,
																										BgL_jnamez00_1170,
																										BgL_arg1656z00_1182,
																										CBOOL(BgL_readozf3zf3_1171),
																										BgL_srcz00_1172, BFALSE);
																								}
																								{	/* Object/slots.scm 352 */
																									obj_t BgL_arg1653z00_1180;

																									BgL_arg1653z00_1180 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_idz00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1179))->
																											BgL_modulez00) =
																										((obj_t)
																											BgL_arg1653z00_1180),
																										BUNSPEC);
																								}
																								{	/* Object/slots.scm 353 */
																									obj_t BgL_arg1655z00_1181;

																									BgL_arg1655z00_1181 =
																										(((BgL_typez00_bglt)
																											COBJECT((
																													(BgL_typez00_bglt)
																													BgL_classz00_68)))->
																										BgL_namez00);
																									((((BgL_globalz00_bglt)
																												COBJECT
																												(BgL_gz00_1179))->
																											BgL_qualifiedzd2typezd2namez00)
																										=
																										((obj_t) ((obj_t)
																												BgL_arg1655z00_1181)),
																										BUNSPEC);
																								}
																								BgL_gz00_1179;
																							}
																						}
																					}
																				}
																			}
																		}
																		{	/* Object/slots.scm 377 */
																			obj_t BgL_arg1631z00_1147;

																			BgL_arg1631z00_1147 =
																				CDR(((obj_t) BgL_clausesz00_1135));
																			{
																				obj_t BgL_clausesz00_3100;

																				BgL_clausesz00_3100 =
																					BgL_arg1631z00_1147;
																				BgL_clausesz00_1135 =
																					BgL_clausesz00_3100;
																				goto
																					BgL_zc3z04anonymousza31627ze3z87_1138;
																			}
																		}
																	}
																else
																	{	/* Object/slots.scm 378 */
																		obj_t BgL_arg1632z00_1148;
																		obj_t BgL_arg1633z00_1149;
																		long BgL_arg1635z00_1150;

																		BgL_arg1632z00_1148 =
																			CDR(((obj_t) BgL_clausesz00_1135));
																		{	/* Object/slots.scm 379 */
																			BgL_slotz00_bglt BgL_arg1638z00_1151;

																			BgL_identz00_1156 = BgL_idz00_1142;
																			BgL_jnamez00_1157 = BgL_jnamez00_1143;
																			BgL_readozf3zf3_1158 =
																				BgL_readozf3zf3_1145;
																			BgL_sz00_1159 = BgL_srcz00_1141;
																			BgL_indexz00_1160 = BgL_indexz00_1137;
																			{	/* Object/slots.scm 328 */
																				obj_t BgL_locz00_1162;

																				BgL_locz00_1162 =
																					BGl_findzd2locationzf2locz20zztools_locationz00
																					(BgL_sz00_1159, BgL_locz00_1129);
																				{	/* Object/slots.scm 328 */
																					obj_t BgL_slotzd2idzd2_1163;

																					BgL_slotzd2idzd2_1163 =
																						BGl_parsezd2idzd2zzast_identz00
																						(BgL_identz00_1156,
																						BgL_locz00_1162);
																					{	/* Object/slots.scm 329 */

																						{	/* Object/slots.scm 330 */
																							BgL_slotz00_bglt
																								BgL_new1105z00_1164;
																							{	/* Object/slots.scm 331 */
																								BgL_slotz00_bglt
																									BgL_new1104z00_1167;
																								BgL_new1104z00_1167 =
																									((BgL_slotz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_slotz00_bgl))));
																								{	/* Object/slots.scm 331 */
																									long BgL_arg1650z00_1168;

																									BgL_arg1650z00_1168 =
																										BGL_CLASS_NUM
																										(BGl_slotz00zzobject_slotsz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1104z00_1167),
																										BgL_arg1650z00_1168);
																								}
																								BgL_new1105z00_1164 =
																									BgL_new1104z00_1167;
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_idz00) =
																								((obj_t)
																									CAR(BgL_slotzd2idzd2_1163)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_namez00) =
																								((obj_t) BgL_jnamez00_1157),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_srcz00) =
																								((obj_t) BgL_sz00_1159),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_classzd2ownerzd2) =
																								((obj_t) ((obj_t)
																										BgL_classz00_68)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_indexz00) =
																								((long) BgL_indexz00_1160),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_typez00) =
																								((obj_t)
																									BGl_findzd2slotzd2typez00zzobject_slotsz00
																									(BgL_slotzd2idzd2_1163,
																										BgL_srcz00_71)), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_readzd2onlyzf3z21) =
																								((bool_t)
																									CBOOL(BgL_readozf3zf3_1158)),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_3120;

																								{	/* Object/slots.scm 335 */
																									obj_t BgL_arg1648z00_1165;

																									{	/* Object/slots.scm 335 */
																										obj_t BgL_arg1649z00_1166;

																										{	/* Object/slots.scm 335 */
																											obj_t BgL_classz00_1765;

																											BgL_classz00_1765 =
																												BGl_slotz00zzobject_slotsz00;
																											BgL_arg1649z00_1166 =
																												BGL_CLASS_ALL_FIELDS
																												(BgL_classz00_1765);
																										}
																										BgL_arg1648z00_1165 =
																											VECTOR_REF
																											(BgL_arg1649z00_1166, 7L);
																									}
																									BgL_auxz00_3120 =
																										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																										(BgL_arg1648z00_1165);
																								}
																								((((BgL_slotz00_bglt)
																											COBJECT
																											(BgL_new1105z00_1164))->
																										BgL_defaultzd2valuezd2) =
																									((obj_t) BgL_auxz00_3120),
																									BUNSPEC);
																							}
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_virtualzd2numzd2) =
																								((obj_t) BINT((-1L))), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_virtualzd2overridezd2) =
																								((bool_t) ((bool_t) 0)),
																								BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_getterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_setterz00) =
																								((obj_t) BFALSE), BUNSPEC);
																							((((BgL_slotz00_bglt)
																										COBJECT
																										(BgL_new1105z00_1164))->
																									BgL_userzd2infozd2) =
																								((obj_t) BUNSPEC), BUNSPEC);
																							BgL_arg1638z00_1151 =
																								BgL_new1105z00_1164;
																			}}}}
																			BgL_arg1633z00_1149 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1638z00_1151),
																				BgL_resz00_1136);
																		}
																		BgL_arg1635z00_1150 =
																			(1L + BgL_indexz00_1137);
																		{
																			long BgL_indexz00_3136;
																			obj_t BgL_resz00_3135;
																			obj_t BgL_clausesz00_3134;

																			BgL_clausesz00_3134 = BgL_arg1632z00_1148;
																			BgL_resz00_3135 = BgL_arg1633z00_1149;
																			BgL_indexz00_3136 = BgL_arg1635z00_1150;
																			BgL_indexz00_1137 = BgL_indexz00_3136;
																			BgL_resz00_1136 = BgL_resz00_3135;
																			BgL_clausesz00_1135 = BgL_clausesz00_3134;
																			goto
																				BgL_zc3z04anonymousza31627ze3z87_1138;
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}

	}



/* &make-java-class-slots */
	obj_t BGl_z62makezd2javazd2classzd2slotszb0zzobject_slotsz00(obj_t
		BgL_envz00_2102, obj_t BgL_classz00_2103, obj_t BgL_clausesz00_2104,
		obj_t BgL_superz00_2105, obj_t BgL_srcz00_2106)
	{
		{	/* Object/slots.scm 323 */
			return
				BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2103), BgL_clausesz00_2104,
				BgL_superz00_2105, BgL_srcz00_2106);
		}

	}



/* find-slot-type */
	obj_t BGl_findzd2slotzd2typez00zzobject_slotsz00(obj_t BgL_slotzd2idzd2_72,
		obj_t BgL_srcz00_73)
	{
		{	/* Object/slots.scm 386 */
			{	/* Object/slots.scm 387 */
				obj_t BgL_tz00_1196;

				{	/* Object/slots.scm 387 */
					bool_t BgL_test2247z00_3139;

					{	/* Object/slots.scm 387 */
						obj_t BgL_arg1691z00_1199;

						BgL_arg1691z00_1199 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						BgL_test2247z00_3139 =
							(BgL_arg1691z00_1199 == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2247z00_3139)
						{	/* Object/slots.scm 387 */
							BgL_tz00_1196 = BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Object/slots.scm 387 */
							BgL_tz00_1196 = CDR(((obj_t) BgL_slotzd2idzd2_72));
						}
				}
				BGl_ensurezd2typezd2definedz12z12zzobject_slotsz00(
					((BgL_typez00_bglt) BgL_tz00_1196), BgL_srcz00_73);
				return BgL_tz00_1196;
			}
		}

	}



/* scheme-symbol->c-string */
	obj_t BGl_schemezd2symbolzd2ze3czd2stringz31zzobject_slotsz00(obj_t
		BgL_symbolz00_74)
	{
		{	/* Object/slots.scm 394 */
			if (CBOOL(BGl_za2astzd2casezd2sensitiveza2z00zzengine_paramz00))
				{	/* Object/slots.scm 395 */
					BGL_TAIL return BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74);
				}
			else
				{	/* Object/slots.scm 395 */
					return
						BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
						(BGl_idzd2ze3namez31zzast_identz00(BgL_symbolz00_74));
				}
		}

	}



/* get-local-virtual-slots-number */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00
		(BgL_typez00_bglt BgL_classz00_75, obj_t BgL_slotsz00_76)
	{
		{	/* Object/slots.scm 411 */
			{
				obj_t BgL_slotsz00_1202;
				obj_t BgL_numz00_1203;

				{	/* Object/slots.scm 412 */
					long BgL_tmpz00_3152;

					BgL_slotsz00_1202 = BgL_slotsz00_76;
					BgL_numz00_1203 = BINT((-1L));
				BgL_zc3z04anonymousza31693ze3z87_1204:
					if (NULLP(BgL_slotsz00_1202))
						{	/* Object/slots.scm 415 */
							BgL_tmpz00_3152 = ((long) CINT(BgL_numz00_1203) + 1L);
						}
					else
						{	/* Object/slots.scm 415 */
							if (
								((long) CINT(
										(((BgL_slotz00_bglt) COBJECT(
													((BgL_slotz00_bglt)
														CAR(
															((obj_t) BgL_slotsz00_1202)))))->
											BgL_virtualzd2numzd2)) >= 0L))
								{	/* Object/slots.scm 418 */
									obj_t BgL_lnumz00_1208;

									BgL_lnumz00_1208 =
										(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1202)))))->
										BgL_virtualzd2numzd2);
									{
										obj_t BgL_numz00_3171;
										obj_t BgL_slotsz00_3168;

										BgL_slotsz00_3168 = CDR(((obj_t) BgL_slotsz00_1202));
										if (
											((long) CINT(BgL_lnumz00_1208) >
												(long) CINT(BgL_numz00_1203)))
											{	/* Object/slots.scm 420 */
												BgL_numz00_3171 = BgL_lnumz00_1208;
											}
										else
											{	/* Object/slots.scm 420 */
												BgL_numz00_3171 = BgL_numz00_1203;
											}
										BgL_numz00_1203 = BgL_numz00_3171;
										BgL_slotsz00_1202 = BgL_slotsz00_3168;
										goto BgL_zc3z04anonymousza31693ze3z87_1204;
									}
								}
							else
								{
									obj_t BgL_slotsz00_3176;

									BgL_slotsz00_3176 = CDR(((obj_t) BgL_slotsz00_1202));
									BgL_slotsz00_1202 = BgL_slotsz00_3176;
									goto BgL_zc3z04anonymousza31693ze3z87_1204;
								}
						}
					return BINT(BgL_tmpz00_3152);
				}
			}
		}

	}



/* &get-local-virtual-slots-number */
	obj_t BGl_z62getzd2localzd2virtualzd2slotszd2numberz62zzobject_slotsz00(obj_t
		BgL_envz00_2107, obj_t BgL_classz00_2108, obj_t BgL_slotsz00_2109)
	{
		{	/* Object/slots.scm 411 */
			return
				BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(
				((BgL_typez00_bglt) BgL_classz00_2108), BgL_slotsz00_2109);
		}

	}



/* make-class-make-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00(obj_t BgL_slotsz00_77)
	{
		{	/* Object/slots.scm 429 */
			{
				obj_t BgL_slotsz00_1218;
				obj_t BgL_formalsz00_1219;

				BgL_slotsz00_1218 = BgL_slotsz00_77;
				BgL_formalsz00_1219 = BNIL;
			BgL_zc3z04anonymousza31718ze3z87_1220:
				if (NULLP(BgL_slotsz00_1218))
					{	/* Object/slots.scm 433 */
						BGL_TAIL return bgl_reverse_bang(BgL_formalsz00_1219);
					}
				else
					{	/* Object/slots.scm 433 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1218)))))->
										BgL_virtualzd2numzd2)) >= 0L))
							{	/* Object/slots.scm 436 */
								obj_t BgL_arg1724z00_1224;

								BgL_arg1724z00_1224 = CDR(((obj_t) BgL_slotsz00_1218));
								{
									obj_t BgL_slotsz00_3195;

									BgL_slotsz00_3195 = BgL_arg1724z00_1224;
									BgL_slotsz00_1218 = BgL_slotsz00_3195;
									goto BgL_zc3z04anonymousza31718ze3z87_1220;
								}
							}
						else
							{	/* Object/slots.scm 438 */
								obj_t BgL_arg1729z00_1225;
								obj_t BgL_arg1730z00_1226;

								BgL_arg1729z00_1225 = CDR(((obj_t) BgL_slotsz00_1218));
								{	/* Object/slots.scm 439 */
									obj_t BgL_arg1746z00_1227;

									{	/* Object/slots.scm 439 */
										obj_t BgL_arg1748z00_1228;

										{	/* Object/slots.scm 439 */
											obj_t BgL_arg1755z00_1229;

											BgL_arg1755z00_1229 =
												(((BgL_slotz00_bglt) COBJECT(
														((BgL_slotz00_bglt)
															CAR(((obj_t) BgL_slotsz00_1218)))))->BgL_idz00);
											BgL_arg1748z00_1228 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1755z00_1229);
										}
										BgL_arg1746z00_1227 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BgL_arg1748z00_1228);
									}
									BgL_arg1730z00_1226 =
										MAKE_YOUNG_PAIR(BgL_arg1746z00_1227, BgL_formalsz00_1219);
								}
								{
									obj_t BgL_formalsz00_3206;
									obj_t BgL_slotsz00_3205;

									BgL_slotsz00_3205 = BgL_arg1729z00_1225;
									BgL_formalsz00_3206 = BgL_arg1730z00_1226;
									BgL_formalsz00_1219 = BgL_formalsz00_3206;
									BgL_slotsz00_1218 = BgL_slotsz00_3205;
									goto BgL_zc3z04anonymousza31718ze3z87_1220;
								}
							}
					}
			}
		}

	}



/* &make-class-make-formals */
	obj_t BGl_z62makezd2classzd2makezd2formalszb0zzobject_slotsz00(obj_t
		BgL_envz00_2110, obj_t BgL_slotsz00_2111)
	{
		{	/* Object/slots.scm 429 */
			return
				BGl_makezd2classzd2makezd2formalszd2zzobject_slotsz00
				(BgL_slotsz00_2111);
		}

	}



/* make-class-make-typed-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00(obj_t
		BgL_idsz00_78, obj_t BgL_slotsz00_79)
	{
		{	/* Object/slots.scm 445 */
			{
				obj_t BgL_slotsz00_1235;
				obj_t BgL_idsz00_1236;
				obj_t BgL_formalsz00_1237;

				BgL_slotsz00_1235 = BgL_slotsz00_79;
				BgL_idsz00_1236 = BgL_idsz00_78;
				BgL_formalsz00_1237 = BNIL;
			BgL_zc3z04anonymousza31758ze3z87_1238:
				if (NULLP(BgL_slotsz00_1235))
					{	/* Object/slots.scm 450 */
						return bgl_reverse_bang(BgL_formalsz00_1237);
					}
				else
					{	/* Object/slots.scm 450 */
						if (
							((long) CINT(
									(((BgL_slotz00_bglt) COBJECT(
												((BgL_slotz00_bglt)
													CAR(
														((obj_t) BgL_slotsz00_1235)))))->
										BgL_virtualzd2numzd2)) >= 0L))
							{	/* Object/slots.scm 453 */
								obj_t BgL_arg1768z00_1242;

								BgL_arg1768z00_1242 = CDR(((obj_t) BgL_slotsz00_1235));
								{
									obj_t BgL_slotsz00_3220;

									BgL_slotsz00_3220 = BgL_arg1768z00_1242;
									BgL_slotsz00_1235 = BgL_slotsz00_3220;
									goto BgL_zc3z04anonymousza31758ze3z87_1238;
								}
							}
						else
							{	/* Object/slots.scm 455 */
								obj_t BgL_arg1770z00_1243;
								obj_t BgL_arg1772z00_1244;
								obj_t BgL_arg1776z00_1245;

								BgL_arg1770z00_1243 = CDR(((obj_t) BgL_slotsz00_1235));
								BgL_arg1772z00_1244 = CDR(((obj_t) BgL_idsz00_1236));
								{	/* Object/slots.scm 457 */
									obj_t BgL_arg1782z00_1246;

									{	/* Object/slots.scm 457 */
										obj_t BgL_arg1783z00_1247;
										obj_t BgL_arg1784z00_1248;

										{	/* Object/slots.scm 457 */
											obj_t BgL_arg1785z00_1249;

											BgL_arg1785z00_1249 = CAR(((obj_t) BgL_idsz00_1236));
											BgL_arg1783z00_1247 =
												BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
												(BgL_arg1785z00_1249);
										}
										BgL_arg1784z00_1248 =
											(((BgL_typez00_bglt) COBJECT(
													((BgL_typez00_bglt)
														(((BgL_slotz00_bglt) COBJECT(
																	((BgL_slotz00_bglt)
																		CAR(
																			((obj_t) BgL_slotsz00_1235)))))->
															BgL_typez00))))->BgL_idz00);
										BgL_arg1782z00_1246 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_arg1783z00_1247, BgL_arg1784z00_1248);
									}
									BgL_arg1776z00_1245 =
										MAKE_YOUNG_PAIR(BgL_arg1782z00_1246, BgL_formalsz00_1237);
								}
								{
									obj_t BgL_formalsz00_3238;
									obj_t BgL_idsz00_3237;
									obj_t BgL_slotsz00_3236;

									BgL_slotsz00_3236 = BgL_arg1770z00_1243;
									BgL_idsz00_3237 = BgL_arg1772z00_1244;
									BgL_formalsz00_3238 = BgL_arg1776z00_1245;
									BgL_formalsz00_1237 = BgL_formalsz00_3238;
									BgL_idsz00_1236 = BgL_idsz00_3237;
									BgL_slotsz00_1235 = BgL_slotsz00_3236;
									goto BgL_zc3z04anonymousza31758ze3z87_1238;
								}
							}
					}
			}
		}

	}



/* &make-class-make-typed-formals */
	obj_t BGl_z62makezd2classzd2makezd2typedzd2formalsz62zzobject_slotsz00(obj_t
		BgL_envz00_2112, obj_t BgL_idsz00_2113, obj_t BgL_slotsz00_2114)
	{
		{	/* Object/slots.scm 445 */
			return
				BGl_makezd2classzd2makezd2typedzd2formalsz00zzobject_slotsz00
				(BgL_idsz00_2113, BgL_slotsz00_2114);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			{	/* Object/slots.scm 33 */
				obj_t BgL_arg1800z00_1257;
				obj_t BgL_arg1801z00_1258;

				{	/* Object/slots.scm 33 */
					obj_t BgL_v1167z00_1281;

					BgL_v1167z00_1281 = create_vector(13L);
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1814z00_1282;

						BgL_arg1814z00_1282 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(3)), BGl_proc2024z00zzobject_slotsz00,
							BGl_proc2023z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(12)));
						VECTOR_SET(BgL_v1167z00_1281, 0L, BgL_arg1814z00_1282);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1825z00_1292;

						BgL_arg1825z00_1292 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(13)), BGl_proc2026z00zzobject_slotsz00,
							BGl_proc2025z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(14)));
						VECTOR_SET(BgL_v1167z00_1281, 1L, BgL_arg1825z00_1292);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1842z00_1302;

						BgL_arg1842z00_1302 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(15)), BGl_proc2028z00zzobject_slotsz00,
							BGl_proc2027z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 2L, BgL_arg1842z00_1302);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1851z00_1312;

						BgL_arg1851z00_1312 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(17)), BGl_proc2030z00zzobject_slotsz00,
							BGl_proc2029z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 3L, BgL_arg1851z00_1312);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1859z00_1322;

						BgL_arg1859z00_1322 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(18)), BGl_proc2032z00zzobject_slotsz00,
							BGl_proc2031z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(19)));
						VECTOR_SET(BgL_v1167z00_1281, 4L, BgL_arg1859z00_1322);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1876z00_1332;

						BgL_arg1876z00_1332 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(20)), BGl_proc2034z00zzobject_slotsz00,
							BGl_proc2033z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, ((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 5L, BgL_arg1876z00_1332);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1885z00_1342;

						BgL_arg1885z00_1342 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(21)), BGl_proc2037z00zzobject_slotsz00,
							BGl_proc2036z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2035z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1167z00_1281, 6L, BgL_arg1885z00_1342);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1893z00_1355;

						BgL_arg1893z00_1355 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(23)), BGl_proc2040z00zzobject_slotsz00,
							BGl_proc2039z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2038z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 7L, BgL_arg1893z00_1355);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1900z00_1368;

						BgL_arg1900z00_1368 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(24)), BGl_proc2043z00zzobject_slotsz00,
							BGl_proc2042z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2041z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 8L, BgL_arg1900z00_1368);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1907z00_1381;

						BgL_arg1907z00_1381 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(25)), BGl_proc2046z00zzobject_slotsz00,
							BGl_proc2045z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2044z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(22)));
						VECTOR_SET(BgL_v1167z00_1281, 9L, BgL_arg1907z00_1381);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1915z00_1394;

						BgL_arg1915z00_1394 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(26)), BGl_proc2049z00zzobject_slotsz00,
							BGl_proc2048z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2047z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 10L, BgL_arg1915z00_1394);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1922z00_1407;

						BgL_arg1922z00_1407 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(27)), BGl_proc2052z00zzobject_slotsz00,
							BGl_proc2051z00zzobject_slotsz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2050z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 11L, BgL_arg1922z00_1407);
					}
					{	/* Object/slots.scm 33 */
						obj_t BgL_arg1930z00_1420;

						BgL_arg1930z00_1420 =
							BGl_makezd2classzd2fieldz00zz__objectz00(
							((obj_t)
								CNST_TABLE_REF(28)), BGl_proc2055z00zzobject_slotsz00,
							BGl_proc2054z00zzobject_slotsz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BGl_proc2053z00zzobject_slotsz00,
							((obj_t) CNST_TABLE_REF(16)));
						VECTOR_SET(BgL_v1167z00_1281, 12L, BgL_arg1930z00_1420);
					}
					BgL_arg1800z00_1257 = BgL_v1167z00_1281;
				}
				{	/* Object/slots.scm 33 */
					obj_t BgL_v1168z00_1433;

					BgL_v1168z00_1433 = create_vector(0L);
					BgL_arg1801z00_1258 = BgL_v1168z00_1433;
				}
				return (BGl_slotz00zzobject_slotsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(
						((obj_t)
							CNST_TABLE_REF(29)),
						((obj_t)
							CNST_TABLE_REF(30)), BGl_objectz00zz__objectz00, 48870L,
						BGl_proc2058z00zzobject_slotsz00, BGl_proc2057z00zzobject_slotsz00,
						BFALSE, BGl_proc2056z00zzobject_slotsz00, BFALSE,
						BgL_arg1800z00_1257, BgL_arg1801z00_1258), BUNSPEC);
			}
		}

	}



/* &<@anonymous:1811> */
	obj_t BGl_z62zc3z04anonymousza31811ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2151, obj_t BgL_new1079z00_2152)
	{
		{	/* Object/slots.scm 33 */
			{
				BgL_slotz00_bglt BgL_auxz00_3325;

				((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_new1079z00_2152)))->BgL_idz00) =
					((obj_t) ((obj_t) CNST_TABLE_REF(31))), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_namez00) =
					((obj_t) BGl_string2059z00zzobject_slotsz00), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_classzd2ownerzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_indexz00) = ((long) 0L), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_readzd2onlyzf3z21) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_defaultzd2valuezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_virtualzd2numzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_virtualzd2overridezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_getterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_setterz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_slotz00_bglt) COBJECT(((BgL_slotz00_bglt)
									BgL_new1079z00_2152)))->BgL_userzd2infozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_3325 = ((BgL_slotz00_bglt) BgL_new1079z00_2152);
				return ((obj_t) BgL_auxz00_3325);
			}
		}

	}



/* &lambda1804 */
	BgL_slotz00_bglt BGl_z62lambda1804z62zzobject_slotsz00(obj_t BgL_envz00_2153)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				BgL_slotz00_bglt BgL_new1078z00_2279;

				BgL_new1078z00_2279 =
					((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_slotz00_bgl))));
				{	/* Object/slots.scm 33 */
					long BgL_arg1810z00_2280;

					BgL_arg1810z00_2280 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1078z00_2279), BgL_arg1810z00_2280);
				}
				return BgL_new1078z00_2279;
			}
		}

	}



/* &lambda1802 */
	BgL_slotz00_bglt BGl_z62lambda1802z62zzobject_slotsz00(obj_t BgL_envz00_2154,
		obj_t BgL_id1065z00_2155, obj_t BgL_name1066z00_2156,
		obj_t BgL_src1067z00_2157, obj_t BgL_classzd2owner1068zd2_2158,
		obj_t BgL_index1069z00_2159, obj_t BgL_type1070z00_2160,
		obj_t BgL_readzd2onlyzf31071z21_2161, obj_t BgL_defaultzd2value1072zd2_2162,
		obj_t BgL_virtualzd2num1073zd2_2163,
		obj_t BgL_virtualzd2override1074zd2_2164, obj_t BgL_getter1075z00_2165,
		obj_t BgL_setter1076z00_2166, obj_t BgL_userzd2info1077zd2_2167)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_index1069z00_2283;
				bool_t BgL_readzd2onlyzf31071z21_2284;
				bool_t BgL_virtualzd2override1074zd2_2285;

				BgL_index1069z00_2283 = (long) CINT(BgL_index1069z00_2159);
				BgL_readzd2onlyzf31071z21_2284 = CBOOL(BgL_readzd2onlyzf31071z21_2161);
				BgL_virtualzd2override1074zd2_2285 =
					CBOOL(BgL_virtualzd2override1074zd2_2164);
				{	/* Object/slots.scm 33 */
					BgL_slotz00_bglt BgL_new1110z00_2286;

					{	/* Object/slots.scm 33 */
						BgL_slotz00_bglt BgL_new1109z00_2287;

						BgL_new1109z00_2287 =
							((BgL_slotz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_slotz00_bgl))));
						{	/* Object/slots.scm 33 */
							long BgL_arg1803z00_2288;

							BgL_arg1803z00_2288 = BGL_CLASS_NUM(BGl_slotz00zzobject_slotsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1109z00_2287),
								BgL_arg1803z00_2288);
						}
						BgL_new1110z00_2286 = BgL_new1109z00_2287;
					}
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1065z00_2155)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_namez00) =
						((obj_t) ((obj_t) BgL_name1066z00_2156)), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_srcz00) =
						((obj_t) BgL_src1067z00_2157), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_classzd2ownerzd2) =
						((obj_t) BgL_classzd2owner1068zd2_2158), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_indexz00) =
						((long) BgL_index1069z00_2283), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_typez00) =
						((obj_t) BgL_type1070z00_2160), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_readzd2onlyzf3z21) =
						((bool_t) BgL_readzd2onlyzf31071z21_2284), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_defaultzd2valuezd2) =
						((obj_t) BgL_defaultzd2value1072zd2_2162), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_virtualzd2numzd2) =
						((obj_t) BgL_virtualzd2num1073zd2_2163), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_virtualzd2overridezd2) =
						((bool_t) BgL_virtualzd2override1074zd2_2285), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_getterz00) =
						((obj_t) BgL_getter1075z00_2165), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->BgL_setterz00) =
						((obj_t) BgL_setter1076z00_2166), BUNSPEC);
					((((BgL_slotz00_bglt) COBJECT(BgL_new1110z00_2286))->
							BgL_userzd2infozd2) =
						((obj_t) BgL_userzd2info1077zd2_2167), BUNSPEC);
					return BgL_new1110z00_2286;
				}
			}
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2168)
	{
		{	/* Object/slots.scm 33 */
			return BUNSPEC;
		}

	}



/* &lambda1936 */
	obj_t BGl_z62lambda1936z62zzobject_slotsz00(obj_t BgL_envz00_2169,
		obj_t BgL_oz00_2170, obj_t BgL_vz00_2171)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2170)))->BgL_userzd2infozd2) =
				((obj_t) BgL_vz00_2171), BUNSPEC);
		}

	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zzobject_slotsz00(obj_t BgL_envz00_2172,
		obj_t BgL_oz00_2173)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2173)))->BgL_userzd2infozd2);
		}

	}



/* &<@anonymous:1929> */
	obj_t BGl_z62zc3z04anonymousza31929ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2174)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zzobject_slotsz00(obj_t BgL_envz00_2175,
		obj_t BgL_oz00_2176, obj_t BgL_vz00_2177)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2176)))->BgL_setterz00) =
				((obj_t) BgL_vz00_2177), BUNSPEC);
		}

	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zzobject_slotsz00(obj_t BgL_envz00_2178,
		obj_t BgL_oz00_2179)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2179)))->BgL_setterz00);
		}

	}



/* &<@anonymous:1921> */
	obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2180)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zzobject_slotsz00(obj_t BgL_envz00_2181,
		obj_t BgL_oz00_2182, obj_t BgL_vz00_2183)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2182)))->BgL_getterz00) =
				((obj_t) BgL_vz00_2183), BUNSPEC);
		}

	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zzobject_slotsz00(obj_t BgL_envz00_2184,
		obj_t BgL_oz00_2185)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2185)))->BgL_getterz00);
		}

	}



/* &<@anonymous:1913> */
	obj_t BGl_z62zc3z04anonymousza31913ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2186)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1912 */
	obj_t BGl_z62lambda1912z62zzobject_slotsz00(obj_t BgL_envz00_2187,
		obj_t BgL_oz00_2188, obj_t BgL_vz00_2189)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2296;

				BgL_vz00_2296 = CBOOL(BgL_vz00_2189);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2188)))->
						BgL_virtualzd2overridezd2) = ((bool_t) BgL_vz00_2296), BUNSPEC);
			}
		}

	}



/* &lambda1911 */
	obj_t BGl_z62lambda1911z62zzobject_slotsz00(obj_t BgL_envz00_2190,
		obj_t BgL_oz00_2191)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2191)))->BgL_virtualzd2overridezd2));
		}

	}



/* &<@anonymous:1906> */
	obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2192)
	{
		{	/* Object/slots.scm 33 */
			return BINT((-1L));
		}

	}



/* &lambda1905 */
	obj_t BGl_z62lambda1905z62zzobject_slotsz00(obj_t BgL_envz00_2193,
		obj_t BgL_oz00_2194, obj_t BgL_vz00_2195)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2194)))->BgL_virtualzd2numzd2) =
				((obj_t) BgL_vz00_2195), BUNSPEC);
		}

	}



/* &lambda1904 */
	obj_t BGl_z62lambda1904z62zzobject_slotsz00(obj_t BgL_envz00_2196,
		obj_t BgL_oz00_2197)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2197)))->BgL_virtualzd2numzd2);
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2198)
	{
		{	/* Object/slots.scm 33 */
			return MAKE_YOUNG_PAIR(BINT(1L), BINT(2L));
		}

	}



/* &lambda1898 */
	obj_t BGl_z62lambda1898z62zzobject_slotsz00(obj_t BgL_envz00_2199,
		obj_t BgL_oz00_2200, obj_t BgL_vz00_2201)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2200)))->BgL_defaultzd2valuezd2) =
				((obj_t) BgL_vz00_2201), BUNSPEC);
		}

	}



/* &lambda1897 */
	obj_t BGl_z62lambda1897z62zzobject_slotsz00(obj_t BgL_envz00_2202,
		obj_t BgL_oz00_2203)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2203)))->BgL_defaultzd2valuezd2);
		}

	}



/* &<@anonymous:1892> */
	obj_t BGl_z62zc3z04anonymousza31892ze3ze5zzobject_slotsz00(obj_t
		BgL_envz00_2204)
	{
		{	/* Object/slots.scm 33 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zzobject_slotsz00(obj_t BgL_envz00_2205,
		obj_t BgL_oz00_2206, obj_t BgL_vz00_2207)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				bool_t BgL_vz00_2303;

				BgL_vz00_2303 = CBOOL(BgL_vz00_2207);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2206)))->BgL_readzd2onlyzf3z21) =
					((bool_t) BgL_vz00_2303), BUNSPEC);
			}
		}

	}



/* &lambda1890 */
	obj_t BGl_z62lambda1890z62zzobject_slotsz00(obj_t BgL_envz00_2208,
		obj_t BgL_oz00_2209)
	{
		{	/* Object/slots.scm 33 */
			return
				BBOOL(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2209)))->BgL_readzd2onlyzf3z21));
		}

	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zzobject_slotsz00(obj_t BgL_envz00_2210,
		obj_t BgL_oz00_2211, obj_t BgL_vz00_2212)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2211)))->BgL_typez00) =
				((obj_t) BgL_vz00_2212), BUNSPEC);
		}

	}



/* &lambda1883 */
	obj_t BGl_z62lambda1883z62zzobject_slotsz00(obj_t BgL_envz00_2213,
		obj_t BgL_oz00_2214)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2214)))->BgL_typez00);
		}

	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zzobject_slotsz00(obj_t BgL_envz00_2215,
		obj_t BgL_oz00_2216, obj_t BgL_vz00_2217)
	{
		{	/* Object/slots.scm 33 */
			{	/* Object/slots.scm 33 */
				long BgL_vz00_2308;

				BgL_vz00_2308 = (long) CINT(BgL_vz00_2217);
				return
					((((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_oz00_2216)))->BgL_indexz00) =
					((long) BgL_vz00_2308), BUNSPEC);
		}}

	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zzobject_slotsz00(obj_t BgL_envz00_2218,
		obj_t BgL_oz00_2219)
	{
		{	/* Object/slots.scm 33 */
			return
				BINT(
				(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2219)))->BgL_indexz00));
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zzobject_slotsz00(obj_t BgL_envz00_2220,
		obj_t BgL_oz00_2221, obj_t BgL_vz00_2222)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2221)))->BgL_classzd2ownerzd2) =
				((obj_t) BgL_vz00_2222), BUNSPEC);
		}

	}



/* &lambda1857 */
	obj_t BGl_z62lambda1857z62zzobject_slotsz00(obj_t BgL_envz00_2223,
		obj_t BgL_oz00_2224)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2224)))->BgL_classzd2ownerzd2);
		}

	}



/* &lambda1849 */
	obj_t BGl_z62lambda1849z62zzobject_slotsz00(obj_t BgL_envz00_2225,
		obj_t BgL_oz00_2226, obj_t BgL_vz00_2227)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2226)))->BgL_srcz00) =
				((obj_t) BgL_vz00_2227), BUNSPEC);
		}

	}



/* &lambda1848 */
	obj_t BGl_z62lambda1848z62zzobject_slotsz00(obj_t BgL_envz00_2228,
		obj_t BgL_oz00_2229)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2229)))->BgL_srcz00);
		}

	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zzobject_slotsz00(obj_t BgL_envz00_2230,
		obj_t BgL_oz00_2231, obj_t BgL_vz00_2232)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2231)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_2232)), BUNSPEC);
		}

	}



/* &lambda1835 */
	obj_t BGl_z62lambda1835z62zzobject_slotsz00(obj_t BgL_envz00_2233,
		obj_t BgL_oz00_2234)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2234)))->BgL_namez00);
		}

	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zzobject_slotsz00(obj_t BgL_envz00_2235,
		obj_t BgL_oz00_2236, obj_t BgL_vz00_2237)
	{
		{	/* Object/slots.scm 33 */
			return
				((((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_oz00_2236)))->BgL_idz00) = ((obj_t)
					((obj_t) BgL_vz00_2237)), BUNSPEC);
		}

	}



/* &lambda1822 */
	obj_t BGl_z62lambda1822z62zzobject_slotsz00(obj_t BgL_envz00_2238,
		obj_t BgL_oz00_2239)
	{
		{	/* Object/slots.scm 33 */
			return
				(((BgL_slotz00_bglt) COBJECT(
						((BgL_slotz00_bglt) BgL_oz00_2239)))->BgL_idz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_slotz00zzobject_slotsz00,
				BGl_proc2060z00zzobject_slotsz00, BGl_string2061z00zzobject_slotsz00);
		}

	}



/* &shape-slot1170 */
	obj_t BGl_z62shapezd2slot1170zb0zzobject_slotsz00(obj_t BgL_envz00_2241,
		obj_t BgL_sz00_2242)
	{
		{	/* Object/slots.scm 86 */
			{	/* Object/slots.scm 88 */
				obj_t BgL_arg1938z00_2321;
				obj_t BgL_arg1939z00_2322;
				obj_t BgL_arg1940z00_2323;
				obj_t BgL_arg1942z00_2324;

				{	/* Object/slots.scm 88 */
					obj_t BgL_arg1956z00_2325;

					BgL_arg1956z00_2325 =
						(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2242)))->BgL_idz00);
					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1486z00_2326;

						BgL_arg1486z00_2326 = SYMBOL_TO_STRING(BgL_arg1956z00_2325);
						BgL_arg1938z00_2321 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1486z00_2326);
					}
				}
				BgL_arg1939z00_2322 =
					(((BgL_slotz00_bglt) COBJECT(
							((BgL_slotz00_bglt) BgL_sz00_2242)))->BgL_namez00);
				BgL_arg1940z00_2323 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2242)))->BgL_classzd2ownerzd2));
				BgL_arg1942z00_2324 =
					BGl_shapez00zztools_shapez00(
					(((BgL_slotz00_bglt) COBJECT(
								((BgL_slotz00_bglt) BgL_sz00_2242)))->BgL_typez00));
				{	/* Object/slots.scm 88 */
					obj_t BgL_list1943z00_2327;

					{	/* Object/slots.scm 88 */
						obj_t BgL_arg1944z00_2328;

						{	/* Object/slots.scm 88 */
							obj_t BgL_arg1945z00_2329;

							{	/* Object/slots.scm 88 */
								obj_t BgL_arg1946z00_2330;

								{	/* Object/slots.scm 88 */
									obj_t BgL_arg1947z00_2331;

									{	/* Object/slots.scm 88 */
										obj_t BgL_arg1948z00_2332;

										{	/* Object/slots.scm 88 */
											obj_t BgL_arg1950z00_2333;

											{	/* Object/slots.scm 88 */
												obj_t BgL_arg1953z00_2334;

												{	/* Object/slots.scm 88 */
													obj_t BgL_arg1954z00_2335;

													{	/* Object/slots.scm 88 */
														obj_t BgL_arg1955z00_2336;

														BgL_arg1955z00_2336 =
															MAKE_YOUNG_PAIR
															(BGl_string2062z00zzobject_slotsz00, BNIL);
														BgL_arg1954z00_2335 =
															MAKE_YOUNG_PAIR(BgL_arg1942z00_2324,
															BgL_arg1955z00_2336);
													}
													BgL_arg1953z00_2334 =
														MAKE_YOUNG_PAIR(BGl_string2063z00zzobject_slotsz00,
														BgL_arg1954z00_2335);
												}
												BgL_arg1950z00_2333 =
													MAKE_YOUNG_PAIR(BgL_arg1940z00_2323,
													BgL_arg1953z00_2334);
											}
											BgL_arg1948z00_2332 =
												MAKE_YOUNG_PAIR(BGl_string2064z00zzobject_slotsz00,
												BgL_arg1950z00_2333);
										}
										BgL_arg1947z00_2331 =
											MAKE_YOUNG_PAIR(BGl_string2062z00zzobject_slotsz00,
											BgL_arg1948z00_2332);
									}
									BgL_arg1946z00_2330 =
										MAKE_YOUNG_PAIR(BgL_arg1939z00_2322, BgL_arg1947z00_2331);
								}
								BgL_arg1945z00_2329 =
									MAKE_YOUNG_PAIR(BGl_string2065z00zzobject_slotsz00,
									BgL_arg1946z00_2330);
							}
							BgL_arg1944z00_2328 =
								MAKE_YOUNG_PAIR(BgL_arg1938z00_2321, BgL_arg1945z00_2329);
						}
						BgL_list1943z00_2327 =
							MAKE_YOUNG_PAIR(BGl_string2066z00zzobject_slotsz00,
							BgL_arg1944z00_2328);
					}
					return
						BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1943z00_2327);
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_slotsz00(void)
	{
		{	/* Object/slots.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(489890788L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(501518119L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(161876678L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
			return
				BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(374700232L,
				BSTRING_TO_STRING(BGl_string2067z00zzobject_slotsz00));
		}

	}

#ifdef __cplusplus
}
#endif
